/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2uint32za2z00zztype_cachez00;
	extern obj_t BGl_za2uint16za2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00(void);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00(void);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2uint64za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00(void);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int32za2z00zztype_cachez00;
	extern obj_t BGl_za2int16za2z00zztype_cachez00;
	extern obj_t BGl_za2uint8za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2scharza2z00zztype_cachez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int8za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(void);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00(void);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_za2int64za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2023z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702024za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	      DEFINE_REAL(BGl_real2014z00zzcoerce_convertz00,
		BgL_bgl_real2014za700za7za7coe2025za7, 0.0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2026za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2011z00zzcoerce_convertz00,
		BgL_bgl_string2011za700za7za7c2027za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2012z00zzcoerce_convertz00,
		BgL_bgl_string2012za700za7za7c2028za7, "", 0);
	      DEFINE_STRING(BGl_string2013z00zzcoerce_convertz00,
		BgL_bgl_string2013za700za7za7c2029za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2015z00zzcoerce_convertz00,
		BgL_bgl_string2015za700za7za7c2030za7, "e.1 ", 4);
	      DEFINE_STRING(BGl_string2016z00zzcoerce_convertz00,
		BgL_bgl_string2016za700za7za7c2031za7, ":", 1);
	      DEFINE_STRING(BGl_string2017z00zzcoerce_convertz00,
		BgL_bgl_string2017za700za7za7c2032za7, ",", 1);
	      DEFINE_STRING(BGl_string2018z00zzcoerce_convertz00,
		BgL_bgl_string2018za700za7za7c2033za7, "Coerce/convert.scm", 18);
	      DEFINE_STRING(BGl_string2019z00zzcoerce_convertz00,
		BgL_bgl_string2019za700za7za7c2034za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2020z00zzcoerce_convertz00,
		BgL_bgl_string2020za700za7za7c2035za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2021z00zzcoerce_convertz00,
		BgL_bgl_string2021za700za7za7c2036za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_convertz00));
		     ADD_ROOT((void *) (&BGl_notifiedzd2locationszd2zzcoerce_convertz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2807, char *BgL_fromz00_2808)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_convertz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BGl_toplevelzd2initzd2zzcoerce_convertz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2796;

				{	/* Coerce/convert.scm 16 */
					obj_t BgL_stringz00_2803;

					BgL_stringz00_2803 = BGl_string2021z00zzcoerce_convertz00;
					{	/* Coerce/convert.scm 16 */
						obj_t BgL_startz00_2804;

						BgL_startz00_2804 = BINT(((long) 0));
						{	/* Coerce/convert.scm 16 */
							obj_t BgL_endz00_2805;

							BgL_endz00_2805 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2803)));
							{	/* Coerce/convert.scm 16 */

								BgL_cportz00_2796 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2803, BgL_startz00_2804, BgL_endz00_2805);
				}}}}
				{
					long BgL_iz00_2797;

					BgL_iz00_2797 = ((long) 10);
				BgL_loopz00_2798:
					if ((BgL_iz00_2797 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2022z00_2799;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2801;

										BgL_locationz00_2801 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2022z00_2799 =
												BGl_readz00zz__readerz00(BgL_cportz00_2796,
												BgL_locationz00_2801);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_tmpz00_2840;

									BgL_tmpz00_2840 = (int) (BgL_iz00_2797);
									CNST_TABLE_SET(BgL_tmpz00_2840, BgL_arg2022z00_2799);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2802;

								BgL_auxz00_2802 = (int) ((BgL_iz00_2797 - ((long) 1)));
								{
									long BgL_iz00_2845;

									BgL_iz00_2845 = (long) (BgL_auxz00_2802);
									BgL_iz00_2797 = BgL_iz00_2845;
									goto BgL_loopz00_2798;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}

	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		{	/* Coerce/convert.scm 59 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 61 */
					int BgL_stz00_1770;

					BgL_stz00_1770 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 64 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 69 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 69 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_YOUNG_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 72 */
										obj_t BgL_arg1384z00_1772;
										obj_t BgL_arg1387z00_1773;
										obj_t BgL_arg1388z00_1774;

										BgL_arg1384z00_1772 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1387z00_1773 =
											STRUCT_REF(((obj_t) BgL_locz00_37), (int) (((long) 1)));
										{	/* Coerce/convert.scm 75 */
											obj_t BgL_arg1390z00_1776;
											obj_t BgL_arg1391z00_1777;

											BgL_arg1390z00_1776 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1391z00_1777 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 74 */
												obj_t BgL_list1392z00_1778;

												{	/* Coerce/convert.scm 74 */
													obj_t BgL_arg1393z00_1779;

													{	/* Coerce/convert.scm 74 */
														obj_t BgL_arg1394z00_1780;

														BgL_arg1394z00_1780 =
															MAKE_YOUNG_PAIR(BgL_arg1391z00_1777, BNIL);
														BgL_arg1393z00_1779 =
															MAKE_YOUNG_PAIR(BgL_arg1390z00_1776,
															BgL_arg1394z00_1780);
													}
													BgL_list1392z00_1778 =
														MAKE_YOUNG_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1393z00_1779);
												}
												BgL_arg1388z00_1774 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2011z00zzcoerce_convertz00,
													BgL_list1392z00_1778);
										}}
										{	/* Coerce/convert.scm 72 */
											obj_t BgL_list1389z00_1775;

											BgL_list1389z00_1775 =
												MAKE_YOUNG_PAIR(BgL_arg1388z00_1774, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1384z00_1772,
												BgL_arg1387z00_1773, BgL_list1389z00_1775);
						}}}}
					else
						{	/* Coerce/convert.scm 64 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 68 */
								obj_t BgL_arg1400z00_1781;

								{	/* Coerce/convert.scm 68 */
									obj_t BgL_arg1421z00_1783;
									obj_t BgL_arg1422z00_1784;

									BgL_arg1421z00_1783 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1422z00_1784 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 67 */
										obj_t BgL_list1423z00_1785;

										{	/* Coerce/convert.scm 67 */
											obj_t BgL_arg1426z00_1786;

											{	/* Coerce/convert.scm 67 */
												obj_t BgL_arg1429z00_1787;

												BgL_arg1429z00_1787 =
													MAKE_YOUNG_PAIR(BgL_arg1422z00_1784, BNIL);
												BgL_arg1426z00_1786 =
													MAKE_YOUNG_PAIR(BgL_arg1421z00_1783,
													BgL_arg1429z00_1787);
											}
											BgL_list1423z00_1785 =
												MAKE_YOUNG_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1426z00_1786);
										}
										BgL_arg1400z00_1781 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2011z00zzcoerce_convertz00,
											BgL_list1423z00_1785);
								}}
								{	/* Coerce/convert.scm 66 */
									obj_t BgL_list1401z00_1782;

									BgL_list1401z00_1782 =
										MAKE_YOUNG_PAIR(BgL_arg1400z00_1781, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1401z00_1782);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1770);
				}
			else
				{	/* Coerce/convert.scm 60 */
					return BFALSE;
				}
		}

	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 88 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}

	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2784)
	{
		{	/* Coerce/convert.scm 88 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}

	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		{	/* Coerce/convert.scm 114 */
			{	/* Coerce/convert.scm 116 */
				obj_t BgL_fnamez00_1795;
				obj_t BgL_posz00_1796;

				{	/* Coerce/convert.scm 116 */
					bool_t BgL_test2042z00_2886;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 116 */
							BgL_test2042z00_2886 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_test2042z00_2886 = ((bool_t) 0);
						}
					if (BgL_test2042z00_2886)
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1795 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1795 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 117 */
					bool_t BgL_test2044z00_2893;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 117 */
							BgL_test2044z00_2893 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_test2044z00_2893 = ((bool_t) 0);
						}
					if (BgL_test2044z00_2893)
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1796 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1796 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 119 */
					obj_t BgL_arg1506z00_1797;

					{	/* Coerce/convert.scm 119 */
						obj_t BgL_arg1510z00_1798;
						obj_t BgL_arg1511z00_1799;

						{	/* Coerce/convert.scm 119 */
							obj_t BgL_arg1521z00_1800;
							obj_t BgL_arg1522z00_1801;

							{	/* Coerce/convert.scm 119 */
								obj_t BgL_arg1523z00_1802;

								{	/* Coerce/convert.scm 119 */
									obj_t BgL_arg1524z00_1803;

									BgL_arg1524z00_1803 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg1523z00_1802 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
										BgL_arg1524z00_1803);
								}
								BgL_arg1521z00_1800 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
									BgL_arg1523z00_1802);
							}
							{	/* Coerce/convert.scm 120 */
								obj_t BgL_arg1526z00_1804;

								{	/* Coerce/convert.scm 120 */
									obj_t BgL_arg1529z00_1805;

									{	/* Coerce/convert.scm 120 */
										obj_t BgL_arg1532z00_1806;
										obj_t BgL_arg1535z00_1807;

										{	/* Coerce/convert.scm 120 */
											obj_t BgL_arg1558z00_1808;

											BgL_arg1558z00_1808 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 120 */
												obj_t BgL_arg1469z00_2333;

												BgL_arg1469z00_2333 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1558z00_1808));
												BgL_arg1532z00_1806 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_2333);
										}}
										{	/* Coerce/convert.scm 121 */
											obj_t BgL_arg1559z00_1809;
											obj_t BgL_arg1561z00_1810;

											{	/* Coerce/convert.scm 121 */
												obj_t BgL_arg1469z00_2335;

												BgL_arg1469z00_2335 =
													SYMBOL_TO_STRING(((obj_t) BgL_tiz00_50));
												BgL_arg1559z00_1809 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_2335);
											}
											BgL_arg1561z00_1810 = MAKE_YOUNG_PAIR(BgL_idz00_51, BNIL);
											BgL_arg1535z00_1807 =
												MAKE_YOUNG_PAIR(BgL_arg1559z00_1809,
												BgL_arg1561z00_1810);
										}
										BgL_arg1529z00_1805 =
											MAKE_YOUNG_PAIR(BgL_arg1532z00_1806, BgL_arg1535z00_1807);
									}
									BgL_arg1526z00_1804 =
										MAKE_YOUNG_PAIR(BgL_posz00_1796, BgL_arg1529z00_1805);
								}
								BgL_arg1522z00_1801 =
									MAKE_YOUNG_PAIR(BgL_fnamez00_1795, BgL_arg1526z00_1804);
							}
							BgL_arg1510z00_1798 =
								MAKE_YOUNG_PAIR(BgL_arg1521z00_1800, BgL_arg1522z00_1801);
						}
						{	/* Coerce/convert.scm 118 */
							obj_t BgL_arg1565z00_1811;

							BgL_arg1565z00_1811 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1511z00_1799 =
								MAKE_YOUNG_PAIR(BFALSE, BgL_arg1565z00_1811);
						}
						BgL_arg1506z00_1797 =
							MAKE_YOUNG_PAIR(BgL_arg1510z00_1798, BgL_arg1511z00_1799);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1506z00_1797);
		}}}

	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		{	/* Coerce/convert.scm 128 */
			{	/* Coerce/convert.scm 130 */
				obj_t BgL_auxz00_1814;

				BgL_auxz00_1814 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 130 */
					BgL_nodez00_bglt BgL_uvaluez00_1815;

					{	/* Coerce/convert.scm 131 */
						bool_t BgL_test2046z00_2927;

						{	/* Coerce/convert.scm 131 */
							obj_t BgL_classz00_2336;

							BgL_classz00_2336 = BGl_varz00zzast_nodez00;
							{	/* Coerce/convert.scm 131 */
								BgL_objectz00_bglt BgL_arg1820z00_2338;

								{	/* Coerce/convert.scm 131 */
									obj_t BgL_tmpz00_2928;

									BgL_tmpz00_2928 = ((obj_t) BgL_valuez00_54);
									BgL_arg1820z00_2338 = (BgL_objectz00_bglt) (BgL_tmpz00_2928);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/convert.scm 131 */
										long BgL_idxz00_2344;

										BgL_idxz00_2344 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2338);
										BgL_test2046z00_2927 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2344 + ((long) 2))) == BgL_classz00_2336);
									}
								else
									{	/* Coerce/convert.scm 131 */
										bool_t BgL_res1996z00_2366;

										{	/* Coerce/convert.scm 131 */
											obj_t BgL_oclassz00_2352;

											{	/* Coerce/convert.scm 131 */
												long BgL_arg1828z00_2358;

												{	/* Coerce/convert.scm 131 */
													long BgL_arg1829z00_2359;

													BgL_arg1829z00_2359 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2338);
													BgL_arg1828z00_2358 =
														(BgL_arg1829z00_2359 - OBJECT_TYPE);
												}
												BgL_oclassz00_2352 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2358);
											}
											{	/* Coerce/convert.scm 131 */
												bool_t BgL__ortest_1111z00_2353;

												BgL__ortest_1111z00_2353 =
													(BgL_classz00_2336 == BgL_oclassz00_2352);
												if (BgL__ortest_1111z00_2353)
													{	/* Coerce/convert.scm 131 */
														BgL_res1996z00_2366 = BgL__ortest_1111z00_2353;
													}
												else
													{	/* Coerce/convert.scm 131 */
														long BgL_odepthz00_2354;

														BgL_odepthz00_2354 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2352);
														if ((((long) 2) < BgL_odepthz00_2354))
															{	/* Coerce/convert.scm 131 */
																obj_t BgL_arg1816z00_2356;

																BgL_arg1816z00_2356 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2352,
																	((long) 2));
																BgL_res1996z00_2366 =
																	(BgL_arg1816z00_2356 == BgL_classz00_2336);
															}
														else
															{	/* Coerce/convert.scm 131 */
																BgL_res1996z00_2366 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2046z00_2927 = BgL_res1996z00_2366;
									}
							}
						}
						if (BgL_test2046z00_2927)
							{	/* Coerce/convert.scm 132 */
								BgL_refz00_bglt BgL_new1110z00_1833;

								{	/* Coerce/convert.scm 132 */
									BgL_refz00_bglt BgL_new1114z00_1835;

									BgL_new1114z00_1835 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Coerce/convert.scm 132 */
										long BgL_arg1625z00_1836;

										BgL_arg1625z00_1836 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1114z00_1835),
											BgL_arg1625z00_1836);
									}
									{	/* Coerce/convert.scm 132 */
										BgL_objectz00_bglt BgL_tmpz00_2951;

										BgL_tmpz00_2951 =
											((BgL_objectz00_bglt) BgL_new1114z00_1835);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2951, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1114z00_1835);
									BgL_new1110z00_1833 = BgL_new1114z00_1835;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1110z00_1833)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_valuez00_54))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1110z00_1833)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1110z00_1833)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_valuez00_54)))->
											BgL_variablez00)), BUNSPEC);
								BgL_uvaluez00_1815 = ((BgL_nodez00_bglt) BgL_new1110z00_1833);
							}
						else
							{	/* Coerce/convert.scm 131 */
								BgL_uvaluez00_1815 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 131 */
						BgL_nodez00_bglt BgL_resz00_1816;

						{	/* Coerce/convert.scm 136 */
							obj_t BgL_arg1580z00_1819;

							{	/* Coerce/convert.scm 136 */
								obj_t BgL_arg1581z00_1820;

								{	/* Coerce/convert.scm 136 */
									obj_t BgL_arg1582z00_1821;
									obj_t BgL_arg1588z00_1822;

									{	/* Coerce/convert.scm 136 */
										obj_t BgL_arg1590z00_1823;

										{	/* Coerce/convert.scm 136 */
											obj_t BgL_arg1598z00_1824;
											obj_t BgL_arg1599z00_1825;

											{	/* Coerce/convert.scm 136 */
												obj_t BgL_arg1600z00_1826;

												{	/* Coerce/convert.scm 136 */
													obj_t BgL_arg1610z00_1827;

													{	/* Coerce/convert.scm 136 */
														obj_t BgL_arg1614z00_1828;
														obj_t BgL_arg1615z00_1829;

														{	/* Coerce/convert.scm 136 */
															obj_t BgL_arg1469z00_2372;

															BgL_arg1469z00_2372 =
																SYMBOL_TO_STRING(BgL_auxz00_1814);
															BgL_arg1614z00_1828 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1469z00_2372);
														}
														{	/* Coerce/convert.scm 136 */
															obj_t BgL_symbolz00_2373;

															BgL_symbolz00_2373 = CNST_TABLE_REF(((long) 6));
															{	/* Coerce/convert.scm 136 */
																obj_t BgL_arg1469z00_2374;

																BgL_arg1469z00_2374 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2373);
																BgL_arg1615z00_1829 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1469z00_2374);
														}}
														BgL_arg1610z00_1827 =
															string_append(BgL_arg1614z00_1828,
															BgL_arg1615z00_1829);
													}
													BgL_arg1600z00_1826 =
														bstring_to_symbol(BgL_arg1610z00_1827);
												}
												BgL_arg1598z00_1824 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1600z00_1826);
											}
											BgL_arg1599z00_1825 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1590z00_1823 =
												MAKE_YOUNG_PAIR(BgL_arg1598z00_1824,
												BgL_arg1599z00_1825);
										}
										BgL_arg1582z00_1821 =
											MAKE_YOUNG_PAIR(BgL_arg1590z00_1823, BNIL);
									}
									BgL_arg1588z00_1822 =
										MAKE_YOUNG_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1814), BNIL);
									BgL_arg1581z00_1820 =
										MAKE_YOUNG_PAIR(BgL_arg1582z00_1821, BgL_arg1588z00_1822);
								}
								BgL_arg1580z00_1819 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1581z00_1820);
							}
							BgL_resz00_1816 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1580z00_1819, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 135 */

							{	/* Coerce/convert.scm 140 */
								obj_t BgL_arg1570z00_1817;

								{	/* Coerce/convert.scm 140 */
									obj_t BgL_pairz00_2377;

									BgL_pairz00_2377 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1816)))->
										BgL_bindingsz00);
									BgL_arg1570z00_1817 = CAR(BgL_pairz00_2377);
								}
								{	/* Coerce/convert.scm 140 */
									obj_t BgL_auxz00_2988;
									obj_t BgL_tmpz00_2986;

									BgL_auxz00_2988 = ((obj_t) BgL_uvaluez00_1815);
									BgL_tmpz00_2986 = ((obj_t) BgL_arg1570z00_1817);
									SET_CDR(BgL_tmpz00_2986, BgL_auxz00_2988);
							}}
							return ((obj_t) BgL_resz00_1816);
						}
					}
				}
			}
		}

	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2785, obj_t BgL_locz00_2786, obj_t BgL_tiz00_2787,
		obj_t BgL_valuez00_2788)
	{
		{	/* Coerce/convert.scm 128 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2786,
				BgL_tiz00_2787, ((BgL_nodez00_bglt) BgL_valuez00_2788));
		}

	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		{	/* Coerce/convert.scm 150 */
			{	/* Coerce/convert.scm 154 */
				bool_t BgL_test2050z00_2994;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 154 */
						BgL_test2050z00_2994 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 154 */
						BgL_test2050z00_2994 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_test2050z00_2994)
					{	/* Coerce/convert.scm 155 */
						obj_t BgL_nodez00_1838;

						BgL_nodez00_1838 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 156 */
							obj_t BgL_arg1629z00_1839;

							BgL_arg1629z00_1839 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 108 */
								obj_t BgL_arg1482z00_2380;

								{	/* Coerce/convert.scm 108 */
									obj_t BgL_arg1484z00_2381;
									obj_t BgL_arg1496z00_2382;

									BgL_arg1484z00_2381 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg1496z00_2382 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg1482z00_2380 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2012z00zzcoerce_convertz00, BgL_arg1484z00_2381,
										BgL_arg1496z00_2382);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg1629z00_1839, BGl_string2013z00zzcoerce_convertz00,
									BgL_arg1482z00_2380);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1838));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1838), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 159 */
						bool_t BgL_test2052z00_3014;

						{	/* Coerce/convert.scm 159 */
							obj_t BgL_classz00_2383;

							BgL_classz00_2383 = BGl_tclassz00zzobject_classz00;
							{	/* Coerce/convert.scm 159 */
								BgL_objectz00_bglt BgL_arg1820z00_2385;

								{	/* Coerce/convert.scm 159 */
									obj_t BgL_tmpz00_3015;

									BgL_tmpz00_3015 =
										((obj_t) ((BgL_objectz00_bglt) BgL_toz00_56));
									BgL_arg1820z00_2385 = (BgL_objectz00_bglt) (BgL_tmpz00_3015);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/convert.scm 159 */
										long BgL_idxz00_2391;

										BgL_idxz00_2391 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2385);
										BgL_test2052z00_3014 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2391 + ((long) 2))) == BgL_classz00_2383);
									}
								else
									{	/* Coerce/convert.scm 159 */
										bool_t BgL_res1997z00_2413;

										{	/* Coerce/convert.scm 159 */
											obj_t BgL_oclassz00_2399;

											{	/* Coerce/convert.scm 159 */
												long BgL_arg1828z00_2405;

												{	/* Coerce/convert.scm 159 */
													long BgL_arg1829z00_2406;

													BgL_arg1829z00_2406 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2385);
													BgL_arg1828z00_2405 =
														(BgL_arg1829z00_2406 - OBJECT_TYPE);
												}
												BgL_oclassz00_2399 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2405);
											}
											{	/* Coerce/convert.scm 159 */
												bool_t BgL__ortest_1111z00_2400;

												BgL__ortest_1111z00_2400 =
													(BgL_classz00_2383 == BgL_oclassz00_2399);
												if (BgL__ortest_1111z00_2400)
													{	/* Coerce/convert.scm 159 */
														BgL_res1997z00_2413 = BgL__ortest_1111z00_2400;
													}
												else
													{	/* Coerce/convert.scm 159 */
														long BgL_odepthz00_2401;

														BgL_odepthz00_2401 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2399);
														if ((((long) 2) < BgL_odepthz00_2401))
															{	/* Coerce/convert.scm 159 */
																obj_t BgL_arg1816z00_2403;

																BgL_arg1816z00_2403 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2399,
																	((long) 2));
																BgL_res1997z00_2413 =
																	(BgL_arg1816z00_2403 == BgL_classz00_2383);
															}
														else
															{	/* Coerce/convert.scm 159 */
																BgL_res1997z00_2413 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2052z00_3014 = BgL_res1997z00_2413;
									}
							}
						}
						if (BgL_test2052z00_3014)
							{	/* Coerce/convert.scm 160 */
								obj_t BgL_nodez00_1842;

								BgL_nodez00_1842 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_locz00_57,
									(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->BgL_idz00),
									BgL_nodez00_58);
								{	/* Coerce/convert.scm 161 */
									obj_t BgL_arg1635z00_1843;

									BgL_arg1635z00_1843 =
										BGl_currentzd2functionzd2zztools_errorz00();
									{	/* Coerce/convert.scm 108 */
										obj_t BgL_arg1482z00_2415;

										{	/* Coerce/convert.scm 108 */
											obj_t BgL_arg1484z00_2416;
											obj_t BgL_arg1496z00_2417;

											BgL_arg1484z00_2416 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
											BgL_arg1496z00_2417 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
											BgL_arg1482z00_2415 =
												BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
												(BGl_string2012z00zzcoerce_convertz00,
												BgL_arg1484z00_2416, BgL_arg1496z00_2417);
										}
										BGl_userzd2warningzf2locationz20zztools_errorz00
											(BgL_locz00_57, BgL_arg1635z00_1843,
											BGl_string2013z00zzcoerce_convertz00,
											BgL_arg1482z00_2415);
									}
								}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_nodez00_1842));
								return
									((obj_t)
									BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_nodez00_1842), BUNSPEC,
										BgL_fromz00_55, ((bool_t) 0)));
							}
						else
							{	/* Coerce/convert.scm 159 */
								if (CBOOL(BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00))
									{	/* Coerce/convert.scm 234 */
										obj_t BgL_arg1639z00_1845;

										BgL_arg1639z00_1845 =
											BGl_currentzd2functionzd2zztools_errorz00();
										{	/* Coerce/convert.scm 97 */
											obj_t BgL_arg1458z00_2418;

											{	/* Coerce/convert.scm 97 */
												obj_t BgL_arg1467z00_2419;
												obj_t BgL_arg1468z00_2420;

												BgL_arg1467z00_2419 =
													BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
												BgL_arg1468z00_2420 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_fromz00_55));
												BgL_arg1458z00_2418 =
													BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
													(BGl_string2012z00zzcoerce_convertz00,
													BgL_arg1467z00_2419, BgL_arg1468z00_2420);
											}
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_57, BgL_arg1639z00_1845,
												BGl_string2013z00zzcoerce_convertz00,
												BgL_arg1458z00_2418, BNIL);
										}
									}
								else
									{	/* Coerce/convert.scm 166 */
										bool_t BgL_test2057z00_3058;

										if (
											(((obj_t) BgL_toz00_56) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Coerce/convert.scm 166 */
												BgL_test2057z00_3058 = ((bool_t) 1);
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2longza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 166 */
														BgL_test2057z00_3058 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 166 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2elongza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 167 */
																BgL_test2057z00_3058 = ((bool_t) 1);
															}
														else
															{	/* Coerce/convert.scm 167 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2llongza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 168 */
																		BgL_test2057z00_3058 = ((bool_t) 1);
																	}
																else
																	{	/* Coerce/convert.scm 168 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2int8za2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 169 */
																				BgL_test2057z00_3058 = ((bool_t) 1);
																			}
																		else
																			{	/* Coerce/convert.scm 169 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2uint8za2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 170 */
																						BgL_test2057z00_3058 = ((bool_t) 1);
																					}
																				else
																					{	/* Coerce/convert.scm 170 */
																						if (
																							(((obj_t) BgL_toz00_56) ==
																								BGl_za2int16za2z00zztype_cachez00))
																							{	/* Coerce/convert.scm 171 */
																								BgL_test2057z00_3058 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Coerce/convert.scm 171 */
																								if (
																									(((obj_t) BgL_toz00_56) ==
																										BGl_za2uint16za2z00zztype_cachez00))
																									{	/* Coerce/convert.scm 172 */
																										BgL_test2057z00_3058 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Coerce/convert.scm 172 */
																										if (
																											(((obj_t) BgL_toz00_56) ==
																												BGl_za2int32za2z00zztype_cachez00))
																											{	/* Coerce/convert.scm 173 */
																												BgL_test2057z00_3058 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Coerce/convert.scm 173 */
																												if (
																													(((obj_t)
																															BgL_toz00_56) ==
																														BGl_za2uint32za2z00zztype_cachez00))
																													{	/* Coerce/convert.scm 174 */
																														BgL_test2057z00_3058
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Coerce/convert.scm 174 */
																														if (
																															(((obj_t)
																																	BgL_toz00_56)
																																==
																																BGl_za2int64za2z00zztype_cachez00))
																															{	/* Coerce/convert.scm 175 */
																																BgL_test2057z00_3058
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Coerce/convert.scm 175 */
																																BgL_test2057z00_3058
																																	=
																																	(((obj_t)
																																		BgL_toz00_56)
																																	==
																																	BGl_za2uint64za2z00zztype_cachez00);
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2057z00_3058)
											{	/* Coerce/convert.scm 177 */
												obj_t BgL_nodez00_1847;

												BgL_nodez00_1847 =
													BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
													(BgL_locz00_57,
													(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
														BgL_idz00), BgL_nodez00_58);
												{	/* Coerce/convert.scm 178 */
													obj_t BgL_arg1641z00_1848;

													BgL_arg1641z00_1848 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/convert.scm 108 */
														obj_t BgL_arg1482z00_2423;

														{	/* Coerce/convert.scm 108 */
															obj_t BgL_arg1484z00_2424;
															obj_t BgL_arg1496z00_2425;

															BgL_arg1484z00_2424 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_toz00_56));
															BgL_arg1496z00_2425 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_fromz00_55));
															BgL_arg1482z00_2423 =
																BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																(BGl_string2012z00zzcoerce_convertz00,
																BgL_arg1484z00_2424, BgL_arg1496z00_2425);
														}
														BGl_userzd2warningzf2locationz20zztools_errorz00
															(BgL_locz00_57, BgL_arg1641z00_1848,
															BGl_string2013z00zzcoerce_convertz00,
															BgL_arg1482z00_2423);
													}
												}
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
													((BgL_nodez00_bglt) BgL_nodez00_1847));
												{	/* Coerce/convert.scm 180 */
													BgL_sequencez00_bglt BgL_new1117z00_1849;

													{	/* Coerce/convert.scm 180 */
														BgL_sequencez00_bglt BgL_new1116z00_1857;

														BgL_new1116z00_1857 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Coerce/convert.scm 180 */
															long BgL_arg1652z00_1858;

															BgL_arg1652z00_1858 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1116z00_1857),
																BgL_arg1652z00_1858);
														}
														{	/* Coerce/convert.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_3109;

															BgL_tmpz00_3109 =
																((BgL_objectz00_bglt) BgL_new1116z00_1857);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3109, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1116z00_1857);
														BgL_new1117z00_1849 = BgL_new1116z00_1857;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1117z00_1849)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1117z00_1849)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1117z00_1849)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1117z00_1849)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3122;

														{	/* Coerce/convert.scm 183 */
															BgL_nodez00_bglt BgL_arg1645z00_1850;
															BgL_literalz00_bglt BgL_arg1646z00_1851;

															BgL_arg1645z00_1850 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_nodez00_1847), BUNSPEC,
																BgL_fromz00_55, ((bool_t) 0));
															{	/* Coerce/convert.scm 184 */
																BgL_literalz00_bglt BgL_new1119z00_1854;

																{	/* Coerce/convert.scm 184 */
																	BgL_literalz00_bglt BgL_new1118z00_1855;

																	BgL_new1118z00_1855 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Coerce/convert.scm 184 */
																		long BgL_arg1651z00_1856;

																		{	/* Coerce/convert.scm 184 */
																			obj_t BgL_classz00_2430;

																			BgL_classz00_2430 =
																				BGl_literalz00zzast_nodez00;
																			BgL_arg1651z00_1856 =
																				BGL_CLASS_NUM(BgL_classz00_2430);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1118z00_1855),
																			BgL_arg1651z00_1856);
																	}
																	{	/* Coerce/convert.scm 184 */
																		BgL_objectz00_bglt BgL_tmpz00_3129;

																		BgL_tmpz00_3129 =
																			((BgL_objectz00_bglt)
																			BgL_new1118z00_1855);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3129,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1118z00_1855);
																	BgL_new1119z00_1854 = BgL_new1118z00_1855;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1119z00_1854)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1119z00_1854)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1119z00_1854)))->
																		BgL_valuez00) =
																	((obj_t) BINT(((long) 0))), BUNSPEC);
																BgL_arg1646z00_1851 = BgL_new1119z00_1854;
															}
															{	/* Coerce/convert.scm 182 */
																obj_t BgL_list1647z00_1852;

																{	/* Coerce/convert.scm 182 */
																	obj_t BgL_arg1648z00_1853;

																	BgL_arg1648z00_1853 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1646z00_1851), BNIL);
																	BgL_list1647z00_1852 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1645z00_1850),
																		BgL_arg1648z00_1853);
																}
																BgL_auxz00_3122 = BgL_list1647z00_1852;
														}}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1117z00_1849))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3122), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1117z00_1849))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1117z00_1849))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((obj_t) BgL_new1117z00_1849);
												}
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2boolza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 186 */
														obj_t BgL_nodez00_1860;

														BgL_nodez00_1860 =
															BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
															(BgL_locz00_57,
															(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
																BgL_idz00), BgL_nodez00_58);
														{	/* Coerce/convert.scm 187 */
															obj_t BgL_arg1661z00_1861;

															BgL_arg1661z00_1861 =
																BGl_currentzd2functionzd2zztools_errorz00();
															{	/* Coerce/convert.scm 108 */
																obj_t BgL_arg1482z00_2436;

																{	/* Coerce/convert.scm 108 */
																	obj_t BgL_arg1484z00_2437;
																	obj_t BgL_arg1496z00_2438;

																	BgL_arg1484z00_2437 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_56));
																	BgL_arg1496z00_2438 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_55));
																	BgL_arg1482z00_2436 =
																		BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																		(BGl_string2012z00zzcoerce_convertz00,
																		BgL_arg1484z00_2437, BgL_arg1496z00_2438);
																}
																BGl_userzd2warningzf2locationz20zztools_errorz00
																	(BgL_locz00_57, BgL_arg1661z00_1861,
																	BGl_string2013z00zzcoerce_convertz00,
																	BgL_arg1482z00_2436);
															}
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
															((BgL_nodez00_bglt) BgL_nodez00_1860));
														{	/* Coerce/convert.scm 189 */
															BgL_sequencez00_bglt BgL_new1122z00_1862;

															{	/* Coerce/convert.scm 189 */
																BgL_sequencez00_bglt BgL_new1120z00_1870;

																BgL_new1120z00_1870 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Coerce/convert.scm 189 */
																	long BgL_arg1674z00_1871;

																	BgL_arg1674z00_1871 =
																		BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1120z00_1870),
																		BgL_arg1674z00_1871);
																}
																{	/* Coerce/convert.scm 189 */
																	BgL_objectz00_bglt BgL_tmpz00_3166;

																	BgL_tmpz00_3166 =
																		((BgL_objectz00_bglt) BgL_new1120z00_1870);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3166,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1120z00_1870);
																BgL_new1122z00_1862 = BgL_new1120z00_1870;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1122z00_1862)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1122z00_1862)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1122z00_1862)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1122z00_1862)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_3179;

																{	/* Coerce/convert.scm 192 */
																	BgL_nodez00_bglt BgL_arg1662z00_1863;
																	BgL_literalz00_bglt BgL_arg1663z00_1864;

																	BgL_arg1662z00_1863 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_nodez00_1860),
																		BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																	{	/* Coerce/convert.scm 193 */
																		BgL_literalz00_bglt BgL_new1124z00_1867;

																		{	/* Coerce/convert.scm 193 */
																			BgL_literalz00_bglt BgL_new1123z00_1868;

																			BgL_new1123z00_1868 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Coerce/convert.scm 193 */
																				long BgL_arg1673z00_1869;

																				{	/* Coerce/convert.scm 193 */
																					obj_t BgL_classz00_2443;

																					BgL_classz00_2443 =
																						BGl_literalz00zzast_nodez00;
																					BgL_arg1673z00_1869 =
																						BGL_CLASS_NUM(BgL_classz00_2443);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1123z00_1868),
																					BgL_arg1673z00_1869);
																			}
																			{	/* Coerce/convert.scm 193 */
																				BgL_objectz00_bglt BgL_tmpz00_3186;

																				BgL_tmpz00_3186 =
																					((BgL_objectz00_bglt)
																					BgL_new1123z00_1868);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3186,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1123z00_1868);
																			BgL_new1124z00_1867 = BgL_new1123z00_1868;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1124z00_1867)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1124z00_1867)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_toz00_56),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1124z00_1867)))->
																				BgL_valuez00) =
																			((obj_t) BINT(((long) 0))), BUNSPEC);
																		BgL_arg1663z00_1864 = BgL_new1124z00_1867;
																	}
																	{	/* Coerce/convert.scm 191 */
																		obj_t BgL_list1664z00_1865;

																		{	/* Coerce/convert.scm 191 */
																			obj_t BgL_arg1672z00_1866;

																			BgL_arg1672z00_1866 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1663z00_1864), BNIL);
																			BgL_list1664z00_1865 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1662z00_1863),
																				BgL_arg1672z00_1866);
																		}
																		BgL_auxz00_3179 = BgL_list1664z00_1865;
																}}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1122z00_1862))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_3179), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1122z00_1862))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1122z00_1862))->
																	BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
															return ((obj_t) BgL_new1122z00_1862);
														}
													}
												else
													{	/* Coerce/convert.scm 185 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2realza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 195 */
																obj_t BgL_nodez00_1873;

																BgL_nodez00_1873 =
																	BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																	(BgL_locz00_57,
																	(((BgL_typez00_bglt) COBJECT(BgL_toz00_56))->
																		BgL_idz00), BgL_nodez00_58);
																{	/* Coerce/convert.scm 196 */
																	obj_t BgL_arg1680z00_1874;

																	BgL_arg1680z00_1874 =
																		BGl_currentzd2functionzd2zztools_errorz00();
																	{	/* Coerce/convert.scm 108 */
																		obj_t BgL_arg1482z00_2449;

																		{	/* Coerce/convert.scm 108 */
																			obj_t BgL_arg1484z00_2450;
																			obj_t BgL_arg1496z00_2451;

																			BgL_arg1484z00_2450 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_toz00_56));
																			BgL_arg1496z00_2451 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_fromz00_55));
																			BgL_arg1482z00_2449 =
																				BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																				(BGl_string2012z00zzcoerce_convertz00,
																				BgL_arg1484z00_2450,
																				BgL_arg1496z00_2451);
																		}
																		BGl_userzd2warningzf2locationz20zztools_errorz00
																			(BgL_locz00_57, BgL_arg1680z00_1874,
																			BGl_string2013z00zzcoerce_convertz00,
																			BgL_arg1482z00_2449);
																	}
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_nodez00_1873));
																{	/* Coerce/convert.scm 198 */
																	BgL_sequencez00_bglt BgL_new1127z00_1875;

																	{	/* Coerce/convert.scm 198 */
																		BgL_sequencez00_bglt BgL_new1125z00_1883;

																		BgL_new1125z00_1883 =
																			((BgL_sequencez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_sequencez00_bgl))));
																		{	/* Coerce/convert.scm 198 */
																			long BgL_arg1696z00_1884;

																			BgL_arg1696z00_1884 =
																				BGL_CLASS_NUM
																				(BGl_sequencez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1125z00_1883),
																				BgL_arg1696z00_1884);
																		}
																		{	/* Coerce/convert.scm 198 */
																			BgL_objectz00_bglt BgL_tmpz00_3223;

																			BgL_tmpz00_3223 =
																				((BgL_objectz00_bglt)
																				BgL_new1125z00_1883);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3223,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1125z00_1883);
																		BgL_new1127z00_1875 = BgL_new1125z00_1883;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1127z00_1875)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1127z00_1875)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1127z00_1875)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1127z00_1875)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_3236;

																		{	/* Coerce/convert.scm 201 */
																			BgL_nodez00_bglt BgL_arg1682z00_1876;
																			BgL_literalz00_bglt BgL_arg1683z00_1877;

																			BgL_arg1682z00_1876 =
																				BGl_coercez12z12zzcoerce_coercez00(
																				((BgL_nodez00_bglt) BgL_nodez00_1873),
																				BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																			{	/* Coerce/convert.scm 202 */
																				BgL_literalz00_bglt BgL_new1130z00_1880;

																				{	/* Coerce/convert.scm 202 */
																					BgL_literalz00_bglt
																						BgL_new1128z00_1881;
																					BgL_new1128z00_1881 =
																						((BgL_literalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_literalz00_bgl))));
																					{	/* Coerce/convert.scm 202 */
																						long BgL_arg1692z00_1882;

																						{	/* Coerce/convert.scm 202 */
																							obj_t BgL_classz00_2456;

																							BgL_classz00_2456 =
																								BGl_literalz00zzast_nodez00;
																							BgL_arg1692z00_1882 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2456);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1128z00_1881),
																							BgL_arg1692z00_1882);
																					}
																					{	/* Coerce/convert.scm 202 */
																						BgL_objectz00_bglt BgL_tmpz00_3243;

																						BgL_tmpz00_3243 =
																							((BgL_objectz00_bglt)
																							BgL_new1128z00_1881);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3243, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1128z00_1881);
																					BgL_new1130z00_1880 =
																						BgL_new1128z00_1881;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1130z00_1880)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1130z00_1880)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_toz00_56),
																					BUNSPEC);
																				((((BgL_atomz00_bglt)
																							COBJECT(((BgL_atomz00_bglt)
																									BgL_new1130z00_1880)))->
																						BgL_valuez00) =
																					((obj_t)
																						BGL_REAL_CNST
																						(BGl_real2014z00zzcoerce_convertz00)),
																					BUNSPEC);
																				BgL_arg1683z00_1877 =
																					BgL_new1130z00_1880;
																			}
																			{	/* Coerce/convert.scm 200 */
																				obj_t BgL_list1684z00_1878;

																				{	/* Coerce/convert.scm 200 */
																					obj_t BgL_arg1687z00_1879;

																					BgL_arg1687z00_1879 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_arg1683z00_1877),
																						BNIL);
																					BgL_list1684z00_1878 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg1682z00_1876),
																						BgL_arg1687z00_1879);
																				}
																				BgL_auxz00_3236 = BgL_list1684z00_1878;
																		}}
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1127z00_1875))->
																				BgL_nodesz00) =
																			((obj_t) BgL_auxz00_3236), BUNSPEC);
																	}
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1127z00_1875))->
																			BgL_unsafez00) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1127z00_1875))->
																			BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																	return ((obj_t) BgL_new1127z00_1875);
																}
															}
														else
															{	/* Coerce/convert.scm 194 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2charza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 204 */
																		obj_t BgL_nodez00_1886;

																		BgL_nodez00_1886 =
																			BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																			(BgL_locz00_57,
																			(((BgL_typez00_bglt)
																					COBJECT(BgL_toz00_56))->BgL_idz00),
																			BgL_nodez00_58);
																		{	/* Coerce/convert.scm 205 */
																			obj_t BgL_arg1698z00_1887;

																			BgL_arg1698z00_1887 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			{	/* Coerce/convert.scm 108 */
																				obj_t BgL_arg1482z00_2462;

																				{	/* Coerce/convert.scm 108 */
																					obj_t BgL_arg1484z00_2463;
																					obj_t BgL_arg1496z00_2464;

																					BgL_arg1484z00_2463 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_toz00_56));
																					BgL_arg1496z00_2464 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_fromz00_55));
																					BgL_arg1482z00_2462 =
																						BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																						(BGl_string2012z00zzcoerce_convertz00,
																						BgL_arg1484z00_2463,
																						BgL_arg1496z00_2464);
																				}
																				BGl_userzd2warningzf2locationz20zztools_errorz00
																					(BgL_locz00_57, BgL_arg1698z00_1887,
																					BGl_string2013z00zzcoerce_convertz00,
																					BgL_arg1482z00_2462);
																			}
																		}
																		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																			((BgL_nodez00_bglt) BgL_nodez00_1886));
																		{	/* Coerce/convert.scm 207 */
																			BgL_sequencez00_bglt BgL_new1132z00_1888;

																			{	/* Coerce/convert.scm 207 */
																				BgL_sequencez00_bglt
																					BgL_new1131z00_1896;
																				BgL_new1131z00_1896 =
																					((BgL_sequencez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Coerce/convert.scm 207 */
																					long BgL_arg1723z00_1897;

																					BgL_arg1723z00_1897 =
																						BGL_CLASS_NUM
																						(BGl_sequencez00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1131z00_1896),
																						BgL_arg1723z00_1897);
																				}
																				{	/* Coerce/convert.scm 207 */
																					BgL_objectz00_bglt BgL_tmpz00_3279;

																					BgL_tmpz00_3279 =
																						((BgL_objectz00_bglt)
																						BgL_new1131z00_1896);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3279, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1131z00_1896);
																				BgL_new1132z00_1888 =
																					BgL_new1131z00_1896;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1132z00_1888)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1132z00_1888)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_toz00_56),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1132z00_1888)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1132z00_1888)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_3292;

																				{	/* Coerce/convert.scm 210 */
																					BgL_nodez00_bglt BgL_arg1705z00_1889;
																					BgL_literalz00_bglt
																						BgL_arg1711z00_1890;
																					BgL_arg1705z00_1889 =
																						BGl_coercez12z12zzcoerce_coercez00((
																							(BgL_nodez00_bglt)
																							BgL_nodez00_1886), BUNSPEC,
																						BgL_fromz00_55, ((bool_t) 0));
																					{	/* Coerce/convert.scm 211 */
																						BgL_literalz00_bglt
																							BgL_new1135z00_1893;
																						{	/* Coerce/convert.scm 211 */
																							BgL_literalz00_bglt
																								BgL_new1133z00_1894;
																							BgL_new1133z00_1894 =
																								((BgL_literalz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_literalz00_bgl))));
																							{	/* Coerce/convert.scm 211 */
																								long BgL_arg1721z00_1895;

																								{	/* Coerce/convert.scm 211 */
																									obj_t BgL_classz00_2469;

																									BgL_classz00_2469 =
																										BGl_literalz00zzast_nodez00;
																									BgL_arg1721z00_1895 =
																										BGL_CLASS_NUM
																										(BgL_classz00_2469);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1133z00_1894),
																									BgL_arg1721z00_1895);
																							}
																							{	/* Coerce/convert.scm 211 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_3299;
																								BgL_tmpz00_3299 =
																									((BgL_objectz00_bglt)
																									BgL_new1133z00_1894);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_3299, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1133z00_1894);
																							BgL_new1135z00_1893 =
																								BgL_new1133z00_1894;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1135z00_1893)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1135z00_1893)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) BgL_toz00_56),
																							BUNSPEC);
																						((((BgL_atomz00_bglt)
																									COBJECT(((BgL_atomz00_bglt)
																											BgL_new1135z00_1893)))->
																								BgL_valuez00) =
																							((obj_t) BCHAR(((unsigned char)
																										'\000'))), BUNSPEC);
																						BgL_arg1711z00_1890 =
																							BgL_new1135z00_1893;
																					}
																					{	/* Coerce/convert.scm 209 */
																						obj_t BgL_list1712z00_1891;

																						{	/* Coerce/convert.scm 209 */
																							obj_t BgL_arg1720z00_1892;

																							BgL_arg1720z00_1892 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg1711z00_1890),
																								BNIL);
																							BgL_list1712z00_1891 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_arg1705z00_1889),
																								BgL_arg1720z00_1892);
																						}
																						BgL_auxz00_3292 =
																							BgL_list1712z00_1891;
																				}}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1132z00_1888))->
																						BgL_nodesz00) =
																					((obj_t) BgL_auxz00_3292), BUNSPEC);
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1132z00_1888))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1132z00_1888))->
																					BgL_metaz00) =
																				((obj_t) BNIL), BUNSPEC);
																			return ((obj_t) BgL_new1132z00_1888);
																		}
																	}
																else
																	{	/* Coerce/convert.scm 203 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2scharza2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 213 */
																				obj_t BgL_nodez00_1899;

																				BgL_nodez00_1899 =
																					BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																					(BgL_locz00_57,
																					(((BgL_typez00_bglt)
																							COBJECT(BgL_toz00_56))->
																						BgL_idz00), BgL_nodez00_58);
																				{	/* Coerce/convert.scm 214 */
																					obj_t BgL_arg1730z00_1900;

																					BgL_arg1730z00_1900 =
																						BGl_currentzd2functionzd2zztools_errorz00
																						();
																					{	/* Coerce/convert.scm 108 */
																						obj_t BgL_arg1482z00_2475;

																						{	/* Coerce/convert.scm 108 */
																							obj_t BgL_arg1484z00_2476;
																							obj_t BgL_arg1496z00_2477;

																							BgL_arg1484z00_2476 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_toz00_56));
																							BgL_arg1496z00_2477 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_fromz00_55));
																							BgL_arg1482z00_2475 =
																								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																								(BGl_string2012z00zzcoerce_convertz00,
																								BgL_arg1484z00_2476,
																								BgL_arg1496z00_2477);
																						}
																						BGl_userzd2warningzf2locationz20zztools_errorz00
																							(BgL_locz00_57,
																							BgL_arg1730z00_1900,
																							BGl_string2013z00zzcoerce_convertz00,
																							BgL_arg1482z00_2475);
																					}
																				}
																				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_1899));
																				{	/* Coerce/convert.scm 216 */
																					BgL_sequencez00_bglt
																						BgL_new1137z00_1901;
																					{	/* Coerce/convert.scm 216 */
																						BgL_sequencez00_bglt
																							BgL_new1136z00_1909;
																						BgL_new1136z00_1909 =
																							((BgL_sequencez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Coerce/convert.scm 216 */
																							long BgL_arg1741z00_1910;

																							BgL_arg1741z00_1910 =
																								BGL_CLASS_NUM
																								(BGl_sequencez00zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1136z00_1909),
																								BgL_arg1741z00_1910);
																						}
																						{	/* Coerce/convert.scm 216 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3336;
																							BgL_tmpz00_3336 =
																								((BgL_objectz00_bglt)
																								BgL_new1136z00_1909);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3336, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1136z00_1909);
																						BgL_new1137z00_1901 =
																							BgL_new1136z00_1909;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1137z00_1901)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1137z00_1901)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2charza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1137z00_1901)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1137z00_1901)))->
																							BgL_keyz00) =
																						((obj_t) BINT(((long) -1))),
																						BUNSPEC);
																					{
																						obj_t BgL_auxz00_3350;

																						{	/* Coerce/convert.scm 219 */
																							BgL_nodez00_bglt
																								BgL_arg1731z00_1902;
																							BgL_literalz00_bglt
																								BgL_arg1734z00_1903;
																							BgL_arg1731z00_1902 =
																								BGl_coercez12z12zzcoerce_coercez00
																								(((BgL_nodez00_bglt)
																									BgL_nodez00_1899), BUNSPEC,
																								BgL_fromz00_55, ((bool_t) 0));
																							{	/* Coerce/convert.scm 220 */
																								BgL_literalz00_bglt
																									BgL_new1139z00_1906;
																								{	/* Coerce/convert.scm 220 */
																									BgL_literalz00_bglt
																										BgL_new1138z00_1907;
																									BgL_new1138z00_1907 =
																										((BgL_literalz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_literalz00_bgl))));
																									{	/* Coerce/convert.scm 220 */
																										long BgL_arg1738z00_1908;

																										{	/* Coerce/convert.scm 220 */
																											obj_t BgL_classz00_2482;

																											BgL_classz00_2482 =
																												BGl_literalz00zzast_nodez00;
																											BgL_arg1738z00_1908 =
																												BGL_CLASS_NUM
																												(BgL_classz00_2482);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1138z00_1907),
																											BgL_arg1738z00_1908);
																									}
																									{	/* Coerce/convert.scm 220 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3357;
																										BgL_tmpz00_3357 =
																											((BgL_objectz00_bglt)
																											BgL_new1138z00_1907);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_3357, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1138z00_1907);
																									BgL_new1139z00_1906 =
																										BgL_new1138z00_1907;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1139z00_1906)))->
																										BgL_locz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1139z00_1906)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BGl_za2charza2z00zztype_cachez00)),
																									BUNSPEC);
																								((((BgL_atomz00_bglt)
																											COBJECT((
																													(BgL_atomz00_bglt)
																													BgL_new1139z00_1906)))->
																										BgL_valuez00) =
																									((obj_t) BCHAR(((unsigned
																													char) '\000'))),
																									BUNSPEC);
																								BgL_arg1734z00_1903 =
																									BgL_new1139z00_1906;
																							}
																							{	/* Coerce/convert.scm 218 */
																								obj_t BgL_list1735z00_1904;

																								{	/* Coerce/convert.scm 218 */
																									obj_t BgL_arg1736z00_1905;

																									BgL_arg1736z00_1905 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg1734z00_1903),
																										BNIL);
																									BgL_list1735z00_1904 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1731z00_1902),
																										BgL_arg1736z00_1905);
																								}
																								BgL_auxz00_3350 =
																									BgL_list1735z00_1904;
																						}}
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1137z00_1901))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_3350),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1137z00_1901))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1137z00_1901))->
																							BgL_metaz00) =
																						((obj_t) BNIL), BUNSPEC);
																					return ((obj_t) BgL_new1137z00_1901);
																				}
																			}
																		else
																			{	/* Coerce/convert.scm 212 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2stringza2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 222 */
																						obj_t BgL_nodez00_1912;

																						BgL_nodez00_1912 =
																							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																							(BgL_locz00_57,
																							(((BgL_typez00_bglt)
																									COBJECT(BgL_toz00_56))->
																								BgL_idz00), BgL_nodez00_58);
																						{	/* Coerce/convert.scm 223 */
																							obj_t BgL_arg1746z00_1913;

																							BgL_arg1746z00_1913 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							{	/* Coerce/convert.scm 108 */
																								obj_t BgL_arg1482z00_2488;

																								{	/* Coerce/convert.scm 108 */
																									obj_t BgL_arg1484z00_2489;
																									obj_t BgL_arg1496z00_2490;

																									BgL_arg1484z00_2489 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_toz00_56));
																									BgL_arg1496z00_2490 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_fromz00_55));
																									BgL_arg1482z00_2488 =
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string2012z00zzcoerce_convertz00,
																										BgL_arg1484z00_2489,
																										BgL_arg1496z00_2490);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_locz00_57,
																									BgL_arg1746z00_1913,
																									BGl_string2013z00zzcoerce_convertz00,
																									BgL_arg1482z00_2488);
																							}
																						}
																						BGl_lvtypezd2nodez12zc0zzast_lvtypez00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1912));
																						{	/* Coerce/convert.scm 225 */
																							BgL_sequencez00_bglt
																								BgL_new1141z00_1914;
																							{	/* Coerce/convert.scm 225 */
																								BgL_sequencez00_bglt
																									BgL_new1140z00_1922;
																								BgL_new1140z00_1922 =
																									((BgL_sequencez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_sequencez00_bgl))));
																								{	/* Coerce/convert.scm 225 */
																									long BgL_arg1754z00_1923;

																									BgL_arg1754z00_1923 =
																										BGL_CLASS_NUM
																										(BGl_sequencez00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1140z00_1922),
																										BgL_arg1754z00_1923);
																								}
																								{	/* Coerce/convert.scm 225 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_3395;
																									BgL_tmpz00_3395 =
																										((BgL_objectz00_bglt)
																										BgL_new1140z00_1922);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_3395, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1140z00_1922);
																								BgL_new1141z00_1914 =
																									BgL_new1140z00_1922;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1141z00_1914)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1141z00_1914)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_toz00_56), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1141z00_1914)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1141z00_1914)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3408;

																								{	/* Coerce/convert.scm 228 */
																									BgL_nodez00_bglt
																										BgL_arg1749z00_1915;
																									BgL_literalz00_bglt
																										BgL_arg1750z00_1916;
																									BgL_arg1749z00_1915 =
																										BGl_coercez12z12zzcoerce_coercez00
																										(((BgL_nodez00_bglt)
																											BgL_nodez00_1912),
																										BUNSPEC, BgL_fromz00_55,
																										((bool_t) 0));
																									{	/* Coerce/convert.scm 229 */
																										BgL_literalz00_bglt
																											BgL_new1143z00_1919;
																										{	/* Coerce/convert.scm 229 */
																											BgL_literalz00_bglt
																												BgL_new1142z00_1920;
																											BgL_new1142z00_1920 =
																												((BgL_literalz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_literalz00_bgl))));
																											{	/* Coerce/convert.scm 229 */
																												long
																													BgL_arg1753z00_1921;
																												{	/* Coerce/convert.scm 229 */
																													obj_t
																														BgL_classz00_2495;
																													BgL_classz00_2495 =
																														BGl_literalz00zzast_nodez00;
																													BgL_arg1753z00_1921 =
																														BGL_CLASS_NUM
																														(BgL_classz00_2495);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1142z00_1920),
																													BgL_arg1753z00_1921);
																											}
																											{	/* Coerce/convert.scm 229 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_3415;
																												BgL_tmpz00_3415 =
																													((BgL_objectz00_bglt)
																													BgL_new1142z00_1920);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_3415,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1142z00_1920);
																											BgL_new1143z00_1919 =
																												BgL_new1142z00_1920;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1143z00_1919)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1143z00_1919)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_toz00_56), BUNSPEC);
																										((((BgL_atomz00_bglt)
																													COBJECT((
																															(BgL_atomz00_bglt)
																															BgL_new1143z00_1919)))->
																												BgL_valuez00) =
																											((obj_t)
																												BGl_string2012z00zzcoerce_convertz00),
																											BUNSPEC);
																										BgL_arg1750z00_1916 =
																											BgL_new1143z00_1919;
																									}
																									{	/* Coerce/convert.scm 227 */
																										obj_t BgL_list1751z00_1917;

																										{	/* Coerce/convert.scm 227 */
																											obj_t BgL_arg1752z00_1918;

																											BgL_arg1752z00_1918 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1750z00_1916),
																												BNIL);
																											BgL_list1751z00_1917 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg1749z00_1915),
																												BgL_arg1752z00_1918);
																										}
																										BgL_auxz00_3408 =
																											BgL_list1751z00_1917;
																								}}
																								((((BgL_sequencez00_bglt)
																											COBJECT
																											(BgL_new1141z00_1914))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_3408),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1141z00_1914))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1141z00_1914))->
																									BgL_metaz00) =
																								((obj_t) BNIL), BUNSPEC);
																							return ((obj_t)
																								BgL_new1141z00_1914);
																						}
																					}
																				else
																					{	/* Coerce/convert.scm 221 */
																						{	/* Coerce/convert.scm 231 */
																							obj_t BgL_arg1756z00_1925;
																							obj_t BgL_arg1757z00_1926;

																							{	/* Coerce/convert.scm 231 */
																								obj_t BgL_tmpz00_3433;

																								BgL_tmpz00_3433 =
																									BGL_CURRENT_DYNAMIC_ENV();
																								BgL_arg1756z00_1925 =
																									BGL_ENV_CURRENT_ERROR_PORT
																									(BgL_tmpz00_3433);
																							}
																							BgL_arg1757z00_1926 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_nodez00_58));
																							{	/* Coerce/convert.scm 231 */
																								obj_t BgL_list1758z00_1927;

																								{	/* Coerce/convert.scm 231 */
																									obj_t BgL_arg1763z00_1928;

																									{	/* Coerce/convert.scm 231 */
																										obj_t BgL_arg1765z00_1929;

																										{	/* Coerce/convert.scm 231 */
																											obj_t BgL_arg1766z00_1930;

																											{	/* Coerce/convert.scm 231 */
																												obj_t
																													BgL_arg1769z00_1931;
																												{	/* Coerce/convert.scm 231 */
																													obj_t
																														BgL_arg1770z00_1932;
																													BgL_arg1770z00_1932 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1757z00_1926,
																														BNIL);
																													BgL_arg1769z00_1931 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2015z00zzcoerce_convertz00,
																														BgL_arg1770z00_1932);
																												}
																												BgL_arg1766z00_1930 =
																													MAKE_YOUNG_PAIR
																													(BGl_string2016z00zzcoerce_convertz00,
																													BgL_arg1769z00_1931);
																											}
																											BgL_arg1765z00_1929 =
																												MAKE_YOUNG_PAIR(BINT((
																														(long) 231)),
																												BgL_arg1766z00_1930);
																										}
																										BgL_arg1763z00_1928 =
																											MAKE_YOUNG_PAIR
																											(BGl_string2017z00zzcoerce_convertz00,
																											BgL_arg1765z00_1929);
																									}
																									BgL_list1758z00_1927 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2018z00zzcoerce_convertz00,
																										BgL_arg1763z00_1928);
																								}
																								BGl_tprintz00zz__r4_output_6_10_3z00
																									(BgL_arg1756z00_1925,
																									BgL_list1758z00_1927);
																						}}
																						{	/* Coerce/convert.scm 232 */
																							obj_t BgL_arg1771z00_1933;

																							BgL_arg1771z00_1933 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							{	/* Coerce/convert.scm 97 */
																								obj_t BgL_arg1458z00_2501;

																								{	/* Coerce/convert.scm 97 */
																									obj_t BgL_arg1467z00_2502;
																									obj_t BgL_arg1468z00_2503;

																									BgL_arg1467z00_2502 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_toz00_56));
																									BgL_arg1468z00_2503 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_fromz00_55));
																									BgL_arg1458z00_2501 =
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string2012z00zzcoerce_convertz00,
																										BgL_arg1467z00_2502,
																										BgL_arg1468z00_2503);
																								}
																								return
																									BGl_userzd2errorzf2locationz20zztools_errorz00
																									(BgL_locz00_57,
																									BgL_arg1771z00_1933,
																									BGl_string2013z00zzcoerce_convertz00,
																									BgL_arg1458z00_2501, BNIL);
																							}
																						}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		{	/* Coerce/convert.scm 242 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 246 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 248 */
					BgL_typez00_bglt BgL_toz00_1934;
					BgL_typez00_bglt BgL_froz00_1935;

					BgL_toz00_1934 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_froz00_1935 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 250 */
						bool_t BgL_test2075z00_3459;

						if ((((obj_t) BgL_froz00_1935) == ((obj_t) BgL_toz00_1934)))
							{	/* Coerce/convert.scm 250 */
								BgL_test2075z00_3459 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 250 */
								BgL_test2075z00_3459 =
									(((BgL_typez00_bglt) COBJECT(BgL_froz00_1935))->
									BgL_magiczf3zf3);
							}
						if (BgL_test2075z00_3459)
							{	/* Coerce/convert.scm 250 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 252 */
								obj_t BgL_coercerz00_1937;
								obj_t BgL_locz00_1938;

								BgL_coercerz00_1937 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_froz00_1935,
									BgL_toz00_1934);
								BgL_locz00_1938 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 254 */
									bool_t BgL_test2077z00_3467;

									if (STRUCTP(BgL_coercerz00_1937))
										{	/* Coerce/convert.scm 254 */
											BgL_test2077z00_3467 =
												(STRUCT_KEY(BgL_coercerz00_1937) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 254 */
											BgL_test2077z00_3467 = ((bool_t) 0);
										}
									if (BgL_test2077z00_3467)
										{	/* Coerce/convert.scm 258 */
											obj_t BgL_g1144z00_1940;
											obj_t BgL_g1145z00_1941;

											BgL_g1144z00_1940 =
												STRUCT_REF(BgL_coercerz00_1937, (int) (((long) 2)));
											BgL_g1145z00_1941 =
												STRUCT_REF(BgL_coercerz00_1937, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1943;
												obj_t BgL_coercesz00_1944;
												BgL_nodez00_bglt BgL_nodez00_1945;

												{
													obj_t BgL_auxz00_3477;

													BgL_checksz00_1943 = BgL_g1144z00_1940;
													BgL_coercesz00_1944 = BgL_g1145z00_1941;
													BgL_nodez00_1945 = BgL_nodez00_59;
												BgL_zc3z04anonymousza31774ze3z87_1946:
													if (NULLP(BgL_checksz00_1943))
														{	/* Coerce/convert.scm 262 */
															if (NULLP(BgL_coercesz00_1944))
																{	/* Coerce/convert.scm 263 */
																	BgL_auxz00_3477 = ((obj_t) BgL_nodez00_1945);
																}
															else
																{	/* Coerce/convert.scm 266 */
																	obj_t BgL_arg1777z00_1949;
																	obj_t BgL_arg1778z00_1950;

																	BgL_arg1777z00_1949 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1778z00_1950 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1934));
																	BgL_auxz00_3477 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2019z00zzcoerce_convertz00,
																		BgL_arg1777z00_1949, BgL_arg1778z00_1950);
																}
														}
													else
														{	/* Coerce/convert.scm 262 */
															if (NULLP(BgL_coercesz00_1944))
																{	/* Coerce/convert.scm 270 */
																	obj_t BgL_arg1781z00_1952;
																	obj_t BgL_arg1785z00_1953;

																	BgL_arg1781z00_1952 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1785z00_1953 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1934));
																	BgL_auxz00_3477 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2019z00zzcoerce_convertz00,
																		BgL_arg1781z00_1952, BgL_arg1785z00_1953);
																}
															else
																{	/* Coerce/convert.scm 273 */
																	obj_t BgL_arg1787z00_1954;
																	obj_t BgL_arg1789z00_1955;
																	BgL_nodez00_bglt BgL_arg1790z00_1956;

																	BgL_arg1787z00_1954 =
																		CDR(((obj_t) BgL_checksz00_1943));
																	BgL_arg1789z00_1955 =
																		CDR(((obj_t) BgL_coercesz00_1944));
																	{	/* Coerce/convert.scm 275 */
																		obj_t BgL_arg1811z00_1957;
																		obj_t BgL_arg1812z00_1958;
																		obj_t BgL_arg1813z00_1959;
																		obj_t BgL_arg1817z00_1960;

																		{	/* Coerce/convert.scm 275 */
																			obj_t BgL_pairz00_2518;

																			BgL_pairz00_2518 =
																				CAR(((obj_t) BgL_checksz00_1943));
																			BgL_arg1811z00_1957 =
																				CDR(BgL_pairz00_2518);
																		}
																		{	/* Coerce/convert.scm 276 */
																			obj_t BgL_pairz00_2522;

																			BgL_pairz00_2522 =
																				CAR(((obj_t) BgL_coercesz00_1944));
																			BgL_arg1812z00_1958 =
																				CDR(BgL_pairz00_2522);
																		}
																		{	/* Coerce/convert.scm 277 */
																			obj_t BgL_pairz00_2526;

																			BgL_pairz00_2526 =
																				CAR(((obj_t) BgL_checksz00_1943));
																			BgL_arg1813z00_1959 =
																				CAR(BgL_pairz00_2526);
																		}
																		{	/* Coerce/convert.scm 278 */
																			obj_t BgL_pairz00_2530;

																			BgL_pairz00_2530 =
																				CAR(((obj_t) BgL_coercesz00_1944));
																			BgL_arg1817z00_1960 =
																				CAR(BgL_pairz00_2530);
																		}
																		BgL_arg1790z00_1956 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg1811z00_1957, BgL_arg1812z00_1958,
																			BgL_arg1813z00_1959, BgL_arg1817z00_1960,
																			BgL_nodez00_1945, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3514;
																		obj_t BgL_coercesz00_3513;
																		obj_t BgL_checksz00_3512;

																		BgL_checksz00_3512 = BgL_arg1787z00_1954;
																		BgL_coercesz00_3513 = BgL_arg1789z00_1955;
																		BgL_nodez00_3514 = BgL_arg1790z00_1956;
																		BgL_nodez00_1945 = BgL_nodez00_3514;
																		BgL_coercesz00_1944 = BgL_coercesz00_3513;
																		BgL_checksz00_1943 = BgL_checksz00_3512;
																		goto BgL_zc3z04anonymousza31774ze3z87_1946;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3477);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 254 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_froz00_1935, BgL_toz00_1934, BgL_locz00_1938,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}

	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2789, obj_t BgL_nodez00_2790, obj_t BgL_fromz00_2791,
		obj_t BgL_toz00_2792, obj_t BgL_safez00_2793)
	{
		{	/* Coerce/convert.scm 242 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2790),
				((BgL_typez00_bglt) BgL_fromz00_2791),
				((BgL_typez00_bglt) BgL_toz00_2792), CBOOL(BgL_safez00_2793));
		}

	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		{	/* Coerce/convert.scm 291 */
			{	/* Coerce/convert.scm 292 */
				bool_t BgL_test2082z00_3523;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 292 */
						BgL_test2082z00_3523 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 292 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 292 */
								BgL_test2082z00_3523 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 292 */
								BgL_test2082z00_3523 = ((bool_t) 1);
							}
					}
				if (BgL_test2082z00_3523)
					{	/* Coerce/convert.scm 292 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 294 */
						bool_t BgL_test2085z00_3529;

						{	/* Coerce/convert.scm 294 */
							obj_t BgL_classz00_2531;

							BgL_classz00_2531 = BGl_tclassz00zzobject_classz00;
							if (BGL_OBJECTP(BgL_fromz00_63))
								{	/* Coerce/convert.scm 294 */
									BgL_objectz00_bglt BgL_arg1820z00_2533;

									BgL_arg1820z00_2533 = (BgL_objectz00_bglt) (BgL_fromz00_63);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Coerce/convert.scm 294 */
											long BgL_idxz00_2539;

											BgL_idxz00_2539 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2533);
											BgL_test2085z00_3529 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2539 + ((long) 2))) == BgL_classz00_2531);
										}
									else
										{	/* Coerce/convert.scm 294 */
											bool_t BgL_res2005z00_2561;

											{	/* Coerce/convert.scm 294 */
												obj_t BgL_oclassz00_2547;

												{	/* Coerce/convert.scm 294 */
													long BgL_arg1828z00_2553;

													{	/* Coerce/convert.scm 294 */
														long BgL_arg1829z00_2554;

														BgL_arg1829z00_2554 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2533);
														BgL_arg1828z00_2553 =
															(BgL_arg1829z00_2554 - OBJECT_TYPE);
													}
													BgL_oclassz00_2547 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2553);
												}
												{	/* Coerce/convert.scm 294 */
													bool_t BgL__ortest_1111z00_2548;

													BgL__ortest_1111z00_2548 =
														(BgL_classz00_2531 == BgL_oclassz00_2547);
													if (BgL__ortest_1111z00_2548)
														{	/* Coerce/convert.scm 294 */
															BgL_res2005z00_2561 = BgL__ortest_1111z00_2548;
														}
													else
														{	/* Coerce/convert.scm 294 */
															long BgL_odepthz00_2549;

															BgL_odepthz00_2549 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2547);
															if ((((long) 2) < BgL_odepthz00_2549))
																{	/* Coerce/convert.scm 294 */
																	obj_t BgL_arg1816z00_2551;

																	BgL_arg1816z00_2551 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2547,
																		((long) 2));
																	BgL_res2005z00_2561 =
																		(BgL_arg1816z00_2551 == BgL_classz00_2531);
																}
															else
																{	/* Coerce/convert.scm 294 */
																	BgL_res2005z00_2561 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2085z00_3529 = BgL_res2005z00_2561;
										}
								}
							else
								{	/* Coerce/convert.scm 294 */
									BgL_test2085z00_3529 = ((bool_t) 0);
								}
						}
						if (BgL_test2085z00_3529)
							{	/* Coerce/convert.scm 294 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 294 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}

	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		{	/* Coerce/convert.scm 301 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 302 */
				bool_t BgL_test2090z00_3551;

				{	/* Coerce/convert.scm 302 */
					obj_t BgL_classz00_2562;

					BgL_classz00_2562 = BGl_letzd2varzd2zzast_nodez00;
					{	/* Coerce/convert.scm 302 */
						BgL_objectz00_bglt BgL_arg1820z00_2564;

						{	/* Coerce/convert.scm 302 */
							obj_t BgL_tmpz00_3552;

							BgL_tmpz00_3552 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_69));
							BgL_arg1820z00_2564 = (BgL_objectz00_bglt) (BgL_tmpz00_3552);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Coerce/convert.scm 302 */
								long BgL_idxz00_2570;

								BgL_idxz00_2570 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2564);
								BgL_test2090z00_3551 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2570 + ((long) 3))) == BgL_classz00_2562);
							}
						else
							{	/* Coerce/convert.scm 302 */
								bool_t BgL_res2006z00_2592;

								{	/* Coerce/convert.scm 302 */
									obj_t BgL_oclassz00_2578;

									{	/* Coerce/convert.scm 302 */
										long BgL_arg1828z00_2584;

										{	/* Coerce/convert.scm 302 */
											long BgL_arg1829z00_2585;

											BgL_arg1829z00_2585 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2564);
											BgL_arg1828z00_2584 = (BgL_arg1829z00_2585 - OBJECT_TYPE);
										}
										BgL_oclassz00_2578 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2584);
									}
									{	/* Coerce/convert.scm 302 */
										bool_t BgL__ortest_1111z00_2579;

										BgL__ortest_1111z00_2579 =
											(BgL_classz00_2562 == BgL_oclassz00_2578);
										if (BgL__ortest_1111z00_2579)
											{	/* Coerce/convert.scm 302 */
												BgL_res2006z00_2592 = BgL__ortest_1111z00_2579;
											}
										else
											{	/* Coerce/convert.scm 302 */
												long BgL_odepthz00_2580;

												BgL_odepthz00_2580 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2578);
												if ((((long) 3) < BgL_odepthz00_2580))
													{	/* Coerce/convert.scm 302 */
														obj_t BgL_arg1816z00_2582;

														BgL_arg1816z00_2582 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2578,
															((long) 3));
														BgL_res2006z00_2592 =
															(BgL_arg1816z00_2582 == BgL_classz00_2562);
													}
												else
													{	/* Coerce/convert.scm 302 */
														BgL_res2006z00_2592 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2090z00_3551 = BgL_res2006z00_2592;
							}
					}
				}
				if (BgL_test2090z00_3551)
					{	/* Coerce/convert.scm 303 */
						BgL_nodez00_bglt BgL_arg1830z00_1965;

						BgL_arg1830z00_1965 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3574;

							BgL_nodez00_3574 = BgL_arg1830z00_1965;
							BgL_nodez00_69 = BgL_nodez00_3574;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 302 */
						return BgL_nodez00_69;
					}
			}
		}

	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		{	/* Coerce/convert.scm 309 */
			{	/* Coerce/convert.scm 312 */
				obj_t BgL_auxz00_1966;

				BgL_auxz00_1966 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 312 */
					obj_t BgL_locz00_1967;

					BgL_locz00_1967 =
						(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 313 */
						BgL_nodez00_bglt BgL_lnodez00_1968;

						{	/* Coerce/convert.scm 321 */
							obj_t BgL_arg1847z00_1982;

							{	/* Coerce/convert.scm 321 */
								obj_t BgL_arg1848z00_1983;

								{	/* Coerce/convert.scm 321 */
									obj_t BgL_arg1849z00_1984;
									obj_t BgL_arg1850z00_1985;

									{	/* Coerce/convert.scm 321 */
										obj_t BgL_arg1851z00_1986;

										{	/* Coerce/convert.scm 321 */
											obj_t BgL_arg1854z00_1987;
											obj_t BgL_arg1856z00_1988;

											{	/* Coerce/convert.scm 321 */
												obj_t BgL_arg1857z00_1989;

												{	/* Coerce/convert.scm 321 */
													obj_t BgL_arg1859z00_1990;

													BgL_arg1859z00_1990 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg1857z00_1989 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1966, BgL_arg1859z00_1990);
												}
												BgL_arg1854z00_1987 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1857z00_1989);
											}
											BgL_arg1856z00_1988 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1851z00_1986 =
												MAKE_YOUNG_PAIR(BgL_arg1854z00_1987,
												BgL_arg1856z00_1988);
										}
										BgL_arg1849z00_1984 =
											MAKE_YOUNG_PAIR(BgL_arg1851z00_1986, BNIL);
									}
									{	/* Coerce/convert.scm 323 */
										obj_t BgL_arg1860z00_1991;

										{	/* Coerce/convert.scm 323 */
											obj_t BgL_arg1861z00_1992;

											{	/* Coerce/convert.scm 323 */
												obj_t BgL_arg1862z00_1993;
												obj_t BgL_arg1864z00_1994;

												{	/* Coerce/convert.scm 323 */
													obj_t BgL_arg1865z00_1995;

													BgL_arg1865z00_1995 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1966, BNIL);
													BgL_arg1862z00_1993 =
														MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg1865z00_1995);
												}
												{	/* Coerce/convert.scm 325 */
													obj_t BgL_arg1866z00_1996;

													{	/* Coerce/convert.scm 325 */
														obj_t BgL_arg1867z00_1997;

														{	/* Coerce/convert.scm 325 */
															obj_t BgL_arg1868z00_1998;

															BgL_arg1868z00_1998 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg1867z00_1997 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1967, BgL_arg1868z00_1998,
																BgL_auxz00_1966);
														}
														BgL_arg1866z00_1996 =
															MAKE_YOUNG_PAIR(BgL_arg1867z00_1997, BNIL);
													}
													BgL_arg1864z00_1994 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1966,
														BgL_arg1866z00_1996);
												}
												BgL_arg1861z00_1992 =
													MAKE_YOUNG_PAIR(BgL_arg1862z00_1993,
													BgL_arg1864z00_1994);
											}
											BgL_arg1860z00_1991 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg1861z00_1992);
										}
										BgL_arg1850z00_1985 =
											MAKE_YOUNG_PAIR(BgL_arg1860z00_1991, BNIL);
									}
									BgL_arg1848z00_1983 =
										MAKE_YOUNG_PAIR(BgL_arg1849z00_1984, BgL_arg1850z00_1985);
								}
								BgL_arg1847z00_1982 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1848z00_1983);
							}
							BgL_lnodez00_1968 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1847z00_1982, BgL_locz00_1967);
						}
						{	/* Coerce/convert.scm 314 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 83 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1967);
								}
							else
								{	/* Coerce/convert.scm 83 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1968);
							{	/* Coerce/convert.scm 329 */
								obj_t BgL_varz00_1969;

								{	/* Coerce/convert.scm 329 */
									obj_t BgL_pairz00_2600;

									{	/* Coerce/convert.scm 329 */
										obj_t BgL_pairz00_2599;

										BgL_pairz00_2599 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1968)))->
											BgL_bindingsz00);
										BgL_pairz00_2600 = CAR(BgL_pairz00_2599);
									}
									BgL_varz00_1969 = CAR(BgL_pairz00_2600);
								}
								{	/* Coerce/convert.scm 329 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1970;

									{	/* Coerce/convert.scm 331 */
										BgL_refz00_bglt BgL_arg1840z00_1976;

										{	/* Coerce/convert.scm 331 */
											BgL_refz00_bglt BgL_new1147z00_1977;

											{	/* Coerce/convert.scm 332 */
												BgL_refz00_bglt BgL_new1146z00_1978;

												BgL_new1146z00_1978 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Coerce/convert.scm 332 */
													long BgL_arg1844z00_1979;

													BgL_arg1844z00_1979 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1146z00_1978),
														BgL_arg1844z00_1979);
												}
												{	/* Coerce/convert.scm 332 */
													BgL_objectz00_bglt BgL_tmpz00_3614;

													BgL_tmpz00_3614 =
														((BgL_objectz00_bglt) BgL_new1146z00_1978);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3614, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1146z00_1978);
												BgL_new1147z00_1977 = BgL_new1146z00_1978;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1147z00_1977)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1967), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1147z00_1977)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1147z00_1977)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1969)), BUNSPEC);
											BgL_arg1840z00_1976 = BgL_new1147z00_1977;
										}
										BgL_coercezd2appzd2_1970 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg1840z00_1976),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 330 */
										BgL_nodez00_bglt BgL_condnz00_1971;

										BgL_condnz00_1971 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1968);
										{	/* Coerce/convert.scm 336 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1969))))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											{	/* Coerce/convert.scm 340 */
												obj_t BgL_arg1833z00_1972;

												{	/* Coerce/convert.scm 340 */
													obj_t BgL_pairz00_2608;

													BgL_pairz00_2608 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1968)))->
														BgL_bindingsz00);
													BgL_arg1833z00_1972 = CAR(BgL_pairz00_2608);
												}
												{	/* Coerce/convert.scm 340 */
													obj_t BgL_auxz00_3641;
													obj_t BgL_tmpz00_3639;

													BgL_auxz00_3641 = ((obj_t) BgL_nodez00_74);
													BgL_tmpz00_3639 = ((obj_t) BgL_arg1833z00_1972);
													SET_CDR(BgL_tmpz00_3639, BgL_auxz00_3641);
											}}
											((((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											((((BgL_conditionalz00_bglt)
														COBJECT(((BgL_conditionalz00_bglt)
																BgL_condnz00_1971)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_coercezd2appzd2_1970), BUNSPEC);
											{	/* Coerce/convert.scm 344 */
												BgL_nodez00_bglt BgL_arg1836z00_1974;

												{	/* Coerce/convert.scm 344 */
													BgL_nodez00_bglt BgL_arg1837z00_1975;

													BgL_arg1837z00_1975 =
														(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1971)))->BgL_falsez00);
													BgL_arg1836z00_1974 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg1837z00_1975, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												((((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1971)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_arg1836z00_1974), BUNSPEC);
											}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1968);
											return BgL_lnodez00_1968;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		{	/* Coerce/convert.scm 354 */
			{	/* Coerce/convert.scm 357 */
				bool_t BgL_test2095z00_3655;

				{	/* Coerce/convert.scm 357 */
					bool_t BgL_test2096z00_3656;

					{	/* Coerce/convert.scm 357 */
						obj_t BgL_classz00_2617;

						BgL_classz00_2617 = BGl_tclassz00zzobject_classz00;
						if (BGL_OBJECTP(BgL_toz00_76))
							{	/* Coerce/convert.scm 357 */
								BgL_objectz00_bglt BgL_arg1820z00_2619;

								BgL_arg1820z00_2619 = (BgL_objectz00_bglt) (BgL_toz00_76);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/convert.scm 357 */
										long BgL_idxz00_2625;

										BgL_idxz00_2625 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2619);
										BgL_test2096z00_3656 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2625 + ((long) 2))) == BgL_classz00_2617);
									}
								else
									{	/* Coerce/convert.scm 357 */
										bool_t BgL_res2007z00_2647;

										{	/* Coerce/convert.scm 357 */
											obj_t BgL_oclassz00_2633;

											{	/* Coerce/convert.scm 357 */
												long BgL_arg1828z00_2639;

												{	/* Coerce/convert.scm 357 */
													long BgL_arg1829z00_2640;

													BgL_arg1829z00_2640 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2619);
													BgL_arg1828z00_2639 =
														(BgL_arg1829z00_2640 - OBJECT_TYPE);
												}
												BgL_oclassz00_2633 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2639);
											}
											{	/* Coerce/convert.scm 357 */
												bool_t BgL__ortest_1111z00_2634;

												BgL__ortest_1111z00_2634 =
													(BgL_classz00_2617 == BgL_oclassz00_2633);
												if (BgL__ortest_1111z00_2634)
													{	/* Coerce/convert.scm 357 */
														BgL_res2007z00_2647 = BgL__ortest_1111z00_2634;
													}
												else
													{	/* Coerce/convert.scm 357 */
														long BgL_odepthz00_2635;

														BgL_odepthz00_2635 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2633);
														if ((((long) 2) < BgL_odepthz00_2635))
															{	/* Coerce/convert.scm 357 */
																obj_t BgL_arg1816z00_2637;

																BgL_arg1816z00_2637 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2633,
																	((long) 2));
																BgL_res2007z00_2647 =
																	(BgL_arg1816z00_2637 == BgL_classz00_2617);
															}
														else
															{	/* Coerce/convert.scm 357 */
																BgL_res2007z00_2647 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2096z00_3656 = BgL_res2007z00_2647;
									}
							}
						else
							{	/* Coerce/convert.scm 357 */
								BgL_test2096z00_3656 = ((bool_t) 0);
							}
					}
					if (BgL_test2096z00_3656)
						{	/* Coerce/convert.scm 357 */
							BgL_test2095z00_3655 =
								BGl_typezd2subclasszf3z21zzobject_classz00(
								((BgL_typez00_bglt) BgL_fromz00_75),
								((BgL_typez00_bglt) BgL_toz00_76));
						}
					else
						{	/* Coerce/convert.scm 357 */
							BgL_test2095z00_3655 = ((bool_t) 0);
						}
				}
				if (BgL_test2095z00_3655)
					{	/* Coerce/convert.scm 357 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 359 */
						obj_t BgL_auxz00_2002;

						BgL_auxz00_2002 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 359 */
							obj_t BgL_aux2z00_2003;

							BgL_aux2z00_2003 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 360 */
								obj_t BgL_locz00_2004;

								BgL_locz00_2004 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 361 */
									BgL_nodez00_bglt BgL_lnodez00_2005;

									{	/* Coerce/convert.scm 364 */
										obj_t BgL_arg1888z00_2029;

										{	/* Coerce/convert.scm 364 */
											obj_t BgL_arg1889z00_2030;

											{	/* Coerce/convert.scm 364 */
												obj_t BgL_arg1890z00_2031;
												obj_t BgL_arg1891z00_2032;

												{	/* Coerce/convert.scm 364 */
													obj_t BgL_arg1892z00_2033;

													{	/* Coerce/convert.scm 364 */
														obj_t BgL_arg1894z00_2034;
														obj_t BgL_arg1898z00_2035;

														{	/* Coerce/convert.scm 364 */
															obj_t BgL_arg1899z00_2036;

															{	/* Coerce/convert.scm 364 */
																obj_t BgL_arg1900z00_2037;

																{	/* Coerce/convert.scm 364 */
																	obj_t BgL_arg1901z00_2038;
																	obj_t BgL_arg1902z00_2039;

																	{	/* Coerce/convert.scm 364 */
																		obj_t BgL_arg1469z00_2650;

																		BgL_arg1469z00_2650 =
																			SYMBOL_TO_STRING(BgL_auxz00_2002);
																		BgL_arg1901z00_2038 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1469z00_2650);
																	}
																	{	/* Coerce/convert.scm 364 */
																		obj_t BgL_symbolz00_2651;

																		BgL_symbolz00_2651 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Coerce/convert.scm 364 */
																			obj_t BgL_arg1469z00_2652;

																			BgL_arg1469z00_2652 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2651);
																			BgL_arg1902z00_2039 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1469z00_2652);
																	}}
																	BgL_arg1900z00_2037 =
																		string_append(BgL_arg1901z00_2038,
																		BgL_arg1902z00_2039);
																}
																BgL_arg1899z00_2036 =
																	bstring_to_symbol(BgL_arg1900z00_2037);
															}
															BgL_arg1894z00_2034 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1899z00_2036);
														}
														BgL_arg1898z00_2035 =
															MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
														BgL_arg1892z00_2033 =
															MAKE_YOUNG_PAIR(BgL_arg1894z00_2034,
															BgL_arg1898z00_2035);
													}
													BgL_arg1890z00_2031 =
														MAKE_YOUNG_PAIR(BgL_arg1892z00_2033, BNIL);
												}
												{	/* Coerce/convert.scm 366 */
													obj_t BgL_arg1903z00_2040;

													{	/* Coerce/convert.scm 366 */
														obj_t BgL_arg1904z00_2041;

														{	/* Coerce/convert.scm 366 */
															obj_t BgL_arg1906z00_2042;
															obj_t BgL_arg1907z00_2043;

															{	/* Coerce/convert.scm 366 */
																obj_t BgL_arg1908z00_2044;

																{	/* Coerce/convert.scm 366 */
																	obj_t BgL_arg1910z00_2045;
																	obj_t BgL_arg1912z00_2046;

																	{	/* Coerce/convert.scm 366 */
																		obj_t BgL_arg1914z00_2047;

																		{	/* Coerce/convert.scm 366 */
																			obj_t BgL_arg1915z00_2048;

																			{	/* Coerce/convert.scm 366 */
																				obj_t BgL_arg1916z00_2049;
																				obj_t BgL_arg1917z00_2050;

																				{	/* Coerce/convert.scm 366 */
																					obj_t BgL_arg1469z00_2655;

																					BgL_arg1469z00_2655 =
																						SYMBOL_TO_STRING(BgL_aux2z00_2003);
																					BgL_arg1916z00_2049 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1469z00_2655);
																				}
																				{	/* Coerce/convert.scm 366 */
																					obj_t BgL_symbolz00_2656;

																					BgL_symbolz00_2656 =
																						CNST_TABLE_REF(((long) 6));
																					{	/* Coerce/convert.scm 366 */
																						obj_t BgL_arg1469z00_2657;

																						BgL_arg1469z00_2657 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_2656);
																						BgL_arg1917z00_2050 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1469z00_2657);
																				}}
																				BgL_arg1915z00_2048 =
																					string_append(BgL_arg1916z00_2049,
																					BgL_arg1917z00_2050);
																			}
																			BgL_arg1914z00_2047 =
																				bstring_to_symbol(BgL_arg1915z00_2048);
																		}
																		BgL_arg1910z00_2045 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg1914z00_2047);
																	}
																	BgL_arg1912z00_2046 =
																		MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																	BgL_arg1908z00_2044 =
																		MAKE_YOUNG_PAIR(BgL_arg1910z00_2045,
																		BgL_arg1912z00_2046);
																}
																BgL_arg1906z00_2042 =
																	MAKE_YOUNG_PAIR(BgL_arg1908z00_2044, BNIL);
															}
															{	/* Coerce/convert.scm 367 */
																obj_t BgL_arg1918z00_2051;

																{	/* Coerce/convert.scm 367 */
																	obj_t BgL_arg1919z00_2052;

																	{	/* Coerce/convert.scm 367 */
																		obj_t BgL_arg1920z00_2053;
																		obj_t BgL_arg1921z00_2054;

																		{	/* Coerce/convert.scm 367 */
																			obj_t BgL_arg1922z00_2055;

																			BgL_arg1922z00_2055 =
																				MAKE_YOUNG_PAIR(BgL_aux2z00_2003, BNIL);
																			BgL_arg1920z00_2053 =
																				MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg1922z00_2055);
																		}
																		{	/* Coerce/convert.scm 369 */
																			obj_t BgL_arg1924z00_2056;

																			{	/* Coerce/convert.scm 369 */
																				obj_t BgL_arg1925z00_2057;

																				{	/* Coerce/convert.scm 369 */
																					obj_t BgL_arg1926z00_2058;

																					BgL_arg1926z00_2058 =
																						(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg1925z00_2057 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_2004,
																						BgL_arg1926z00_2058,
																						BgL_auxz00_2002);
																				}
																				BgL_arg1924z00_2056 =
																					MAKE_YOUNG_PAIR(BgL_arg1925z00_2057,
																					BNIL);
																			}
																			BgL_arg1921z00_2054 =
																				MAKE_YOUNG_PAIR(BgL_auxz00_2002,
																				BgL_arg1924z00_2056);
																		}
																		BgL_arg1919z00_2052 =
																			MAKE_YOUNG_PAIR(BgL_arg1920z00_2053,
																			BgL_arg1921z00_2054);
																	}
																	BgL_arg1918z00_2051 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg1919z00_2052);
																}
																BgL_arg1907z00_2043 =
																	MAKE_YOUNG_PAIR(BgL_arg1918z00_2051, BNIL);
															}
															BgL_arg1904z00_2041 =
																MAKE_YOUNG_PAIR(BgL_arg1906z00_2042,
																BgL_arg1907z00_2043);
														}
														BgL_arg1903z00_2040 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg1904z00_2041);
													}
													BgL_arg1891z00_2032 =
														MAKE_YOUNG_PAIR(BgL_arg1903z00_2040, BNIL);
												}
												BgL_arg1889z00_2030 =
													MAKE_YOUNG_PAIR(BgL_arg1890z00_2031,
													BgL_arg1891z00_2032);
											}
											BgL_arg1888z00_2029 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1889z00_2030);
										}
										BgL_lnodez00_2005 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg1888z00_2029, BgL_locz00_2004);
									}
									{	/* Coerce/convert.scm 362 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 83 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00
													(BgL_fromz00_75, BgL_toz00_76, BgL_locz00_2004);
											}
										else
											{	/* Coerce/convert.scm 83 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_2005);
										{	/* Coerce/convert.scm 373 */
											obj_t BgL_varz00_2006;

											{	/* Coerce/convert.scm 373 */
												obj_t BgL_pairz00_2663;

												{	/* Coerce/convert.scm 373 */
													obj_t BgL_pairz00_2662;

													BgL_pairz00_2662 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_2005)))->
														BgL_bindingsz00);
													BgL_pairz00_2663 = CAR(BgL_pairz00_2662);
												}
												BgL_varz00_2006 = CAR(BgL_pairz00_2663);
											}
											{	/* Coerce/convert.scm 373 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_2007;

												{	/* Coerce/convert.scm 375 */
													BgL_refz00_bglt BgL_arg1884z00_2023;

													{	/* Coerce/convert.scm 375 */
														BgL_refz00_bglt BgL_new1149z00_2024;

														{	/* Coerce/convert.scm 376 */
															BgL_refz00_bglt BgL_new1148z00_2025;

															BgL_new1148z00_2025 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Coerce/convert.scm 376 */
																long BgL_arg1885z00_2026;

																BgL_arg1885z00_2026 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1148z00_2025),
																	BgL_arg1885z00_2026);
															}
															{	/* Coerce/convert.scm 376 */
																BgL_objectz00_bglt BgL_tmpz00_3740;

																BgL_tmpz00_3740 =
																	((BgL_objectz00_bglt) BgL_new1148z00_2025);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3740,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1148z00_2025);
															BgL_new1149z00_2024 = BgL_new1148z00_2025;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1149z00_2024)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2004), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1149z00_2024)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1149z00_2024)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_2006)), BUNSPEC);
														BgL_arg1884z00_2023 = BgL_new1149z00_2024;
													}
													BgL_coercezd2appzd2_2007 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg1884z00_2023),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 374 */
													BgL_nodez00_bglt BgL_condnz00_2008;

													BgL_condnz00_2008 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_2005);
													{	/* Coerce/convert.scm 380 */

														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_2006))))->
																BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														{	/* Coerce/convert.scm 384 */
															obj_t BgL_arg1873z00_2009;

															{	/* Coerce/convert.scm 384 */
																obj_t BgL_pairz00_2671;

																BgL_pairz00_2671 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_2005)))->BgL_bindingsz00);
																BgL_arg1873z00_2009 = CAR(BgL_pairz00_2671);
															}
															{	/* Coerce/convert.scm 384 */
																obj_t BgL_auxz00_3765;
																obj_t BgL_tmpz00_3763;

																BgL_auxz00_3765 = ((obj_t) BgL_nodez00_79);
																BgL_tmpz00_3763 = ((obj_t) BgL_arg1873z00_2009);
																SET_CDR(BgL_tmpz00_3763, BgL_auxz00_3765);
														}}
														{	/* Coerce/convert.scm 385 */
															obj_t BgL_binding2z00_2011;

															{	/* Coerce/convert.scm 385 */
																obj_t BgL_pairz00_2675;

																BgL_pairz00_2675 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_2005)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_2011 = CAR(BgL_pairz00_2675);
															}
															{	/* Coerce/convert.scm 386 */
																BgL_castz00_bglt BgL_arg1875z00_2012;

																{	/* Coerce/convert.scm 386 */
																	BgL_castz00_bglt BgL_new1151z00_2013;

																	{	/* Coerce/convert.scm 387 */
																		BgL_castz00_bglt BgL_new1150z00_2017;

																		BgL_new1150z00_2017 =
																			((BgL_castz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 387 */
																			long BgL_arg1877z00_2018;

																			BgL_arg1877z00_2018 =
																				BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1150z00_2017),
																				BgL_arg1877z00_2018);
																		}
																		{	/* Coerce/convert.scm 387 */
																			BgL_objectz00_bglt BgL_tmpz00_3777;

																			BgL_tmpz00_3777 =
																				((BgL_objectz00_bglt)
																				BgL_new1150z00_2017);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3777,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1150z00_2017);
																		BgL_new1151z00_2013 = BgL_new1150z00_2017;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1151z00_2013)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_2004), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1151z00_2013)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3786;

																		{	/* Coerce/convert.scm 389 */
																			BgL_refz00_bglt BgL_new1153z00_2014;

																			{	/* Coerce/convert.scm 390 */
																				BgL_refz00_bglt BgL_new1152z00_2015;

																				BgL_new1152z00_2015 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Coerce/convert.scm 390 */
																					long BgL_arg1876z00_2016;

																					{	/* Coerce/convert.scm 390 */
																						obj_t BgL_classz00_2680;

																						BgL_classz00_2680 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1876z00_2016 =
																							BGL_CLASS_NUM(BgL_classz00_2680);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1152z00_2015),
																						BgL_arg1876z00_2016);
																				}
																				{	/* Coerce/convert.scm 390 */
																					BgL_objectz00_bglt BgL_tmpz00_3791;

																					BgL_tmpz00_3791 =
																						((BgL_objectz00_bglt)
																						BgL_new1152z00_2015);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3791, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1152z00_2015);
																				BgL_new1153z00_2014 =
																					BgL_new1152z00_2015;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1153z00_2014)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_2004), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1153z00_2014)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1153z00_2014)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_2006)), BUNSPEC);
																			BgL_auxz00_3786 =
																				((BgL_nodez00_bglt)
																				BgL_new1153z00_2014);
																		}
																		((((BgL_castz00_bglt)
																					COBJECT(BgL_new1151z00_2013))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3786),
																			BUNSPEC);
																	}
																	BgL_arg1875z00_2012 = BgL_new1151z00_2013;
																}
																{	/* Coerce/convert.scm 386 */
																	obj_t BgL_auxz00_3807;
																	obj_t BgL_tmpz00_3805;

																	BgL_auxz00_3807 =
																		((obj_t) BgL_arg1875z00_2012);
																	BgL_tmpz00_3805 =
																		((obj_t) BgL_binding2z00_2011);
																	SET_CDR(BgL_tmpz00_3805, BgL_auxz00_3807);
														}}}
														((((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_condnz00_2008)))->BgL_truez00) =
															((BgL_nodez00_bglt) BgL_coercezd2appzd2_2007),
															BUNSPEC);
														{	/* Coerce/convert.scm 395 */
															BgL_nodez00_bglt BgL_arg1882z00_2021;

															{	/* Coerce/convert.scm 395 */
																BgL_nodez00_bglt BgL_arg1883z00_2022;

																BgL_arg1883z00_2022 =
																	(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2008)))->BgL_falsez00);
																BgL_arg1882z00_2021 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg1883z00_2022, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															((((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2008)))->BgL_falsez00) =
																((BgL_nodez00_bglt) BgL_arg1882z00_2021),
																BUNSPEC);
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_2005);
														return BgL_lnodez00_2005;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		{	/* Coerce/convert.scm 405 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 408 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 410 */
					BgL_nodez00_bglt BgL_nnodez00_2060;

					{	/* Coerce/convert.scm 410 */
						obj_t BgL_arg1927z00_2061;
						obj_t BgL_arg1928z00_2062;

						{	/* Coerce/convert.scm 410 */
							obj_t BgL_arg1929z00_2063;

							BgL_arg1929z00_2063 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg1927z00_2061 =
								MAKE_YOUNG_PAIR(BgL_coercezd2opzd2_80, BgL_arg1929z00_2063);
						}
						BgL_arg1928z00_2062 =
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_2060 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg1927z00_2061, BgL_arg1928z00_2062);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_2060);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_2060);
					return BgL_nnodez00_2060;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2020z00zzcoerce_convertz00));
		}

	}

#ifdef __cplusplus
}
#endif
