/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62dataflowzd2testzd2envzd2va1431zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sync1445z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1402z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1400z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1392za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1394z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1398z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1418za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1406za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21414za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1381z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1420za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1449z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez121378za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31611ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1390z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62abortzf31438z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1425zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1427zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21416za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1404z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1383z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2testzd2env1421z62zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1600z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2app1453z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1429zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1612z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1447z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21437zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1443z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1631z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1455z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1385z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1640z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62lambda1641z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2conditional1451z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1433zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly1457z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1591z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2fail1441z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2304z00zzdataflow_walkz00,
		BgL_bgl_string2304za700za7za7d2311za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2305z00zzdataflow_walkz00,
		BgL_bgl_string2305za700za7za7d2312za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2313za7,
		BGl_z62abortzf3zd2conditional1451z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2314za7,
		BGl_z62abortzf3zd2app1453z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2315za7,
		BGl_z62abortzf3zd2funcall1455z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2316za7,
		BGl_z62abortzf3zd2appzd2ly1457z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2243z00zzdataflow_walkz00,
		BgL_bgl_string2243za700za7za7d2317za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2244z00zzdataflow_walkz00,
		BgL_bgl_string2244za700za7za7d2318za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2245z00zzdataflow_walkz00,
		BgL_bgl_string2245za700za7za7d2319za7, " error", 6);
	      DEFINE_STRING(BGl_string2246z00zzdataflow_walkz00,
		BgL_bgl_string2246za700za7za7d2320za7, "s", 1);
	      DEFINE_STRING(BGl_string2247z00zzdataflow_walkz00,
		BgL_bgl_string2247za700za7za7d2321za7, "", 0);
	      DEFINE_STRING(BGl_string2248z00zzdataflow_walkz00,
		BgL_bgl_string2248za700za7za7d2322za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2249z00zzdataflow_walkz00,
		BgL_bgl_string2249za700za7za7d2323za7, "failure during postlude hook", 28);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2324z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2259z00zzdataflow_walkz00,
		BgL_bgl_string2259za700za7za7d2325za7, "dataflow-node!1378", 18);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72326za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1632za7622327z00, BGl_z62lambda1632z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1631za7622328z00, BGl_z62lambda1631z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1641za7622329z00, BGl_z62lambda1641z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1640za7622330z00, BGl_z62lambda1640z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1612za7622331z00, BGl_z62lambda1612z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2261z00zzdataflow_walkz00,
		BgL_bgl_string2261za700za7za7d2332za7, "dataflow-test-env1421", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2333za7,
		BGl_z62zc3z04anonymousza31611ze3ze5zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1600za7622334z00, BGl_z62lambda1600z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2263z00zzdataflow_walkz00,
		BgL_bgl_string2263za700za7za7d2335za7, "dataflow-test-false-1434", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1591za7622336z00, BGl_z62lambda1591z62zzdataflow_walkz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2337z00,
		BGl_z62dataflowzd2nodez121378za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2265z00zzdataflow_walkz00,
		BgL_bgl_string2265za700za7za7d2338za7, "abort?1438", 10);
	      DEFINE_STRING(BGl_string2267z00zzdataflow_walkz00,
		BgL_bgl_string2267za700za7za7d2339za7, "dataflow-node!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2340z00,
		BGl_z62dataflowzd2testzd2env1421z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2341z00,
		BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31438za72342za7,
		BGl_z62abortzf31438z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2343z00,
		BGl_z62dataflowzd2nodez12zd2var1381z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2344z00,
		BGl_z62dataflowzd2nodez12zd2closu1383z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2345z00,
		BGl_z62dataflowzd2nodez12zd2seque1385z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2346z00,
		BGl_z62dataflowzd2nodez12zd2sync1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2347z00,
		BGl_z62dataflowzd2nodez12zd2app1390z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2348z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1392za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2349z00,
		BGl_z62dataflowzd2nodez12zd2funca1394z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2350z00,
		BGl_z62dataflowzd2nodez12zd2exter1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2351z00,
		BGl_z62dataflowzd2nodez12zd2setq1398z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2352z00,
		BGl_z62dataflowzd2nodez12zd2condi1400z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2353z00,
		BGl_z62dataflowzd2nodez12zd2fail1402z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2354z00,
		BGl_z62dataflowzd2nodez12zd2switc1404z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2355z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1406za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2287z00zzdataflow_walkz00,
		BgL_bgl_string2287za700za7za7d2356za7, "dataflow-test-env", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2357z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2358z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2359z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21414za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2360z00,
		BGl_z62dataflowzd2nodez12zd2makezd21416za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2361z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1418za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2362z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1420za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2363z00,
		BGl_z62dataflowzd2testzd2envzd2ap1425zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2293z00zzdataflow_walkz00,
		BgL_bgl_string2293za700za7za7d2364za7, "dataflow-test-false-env", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2365z00,
		BGl_z62dataflowzd2testzd2envzd2in1427zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2295z00zzdataflow_walkz00,
		BgL_bgl_string2295za700za7za7d2366za7, "abort?", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2367z00,
		BGl_z62dataflowzd2testzd2envzd2co1429zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2368z00,
		BGl_z62dataflowzd2testzd2envzd2va1431zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2369z00,
		BGl_z62dataflowzd2testzd2envzd2le1433zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2370z00,
		BGl_z62dataflowzd2testzd2falsezd21437zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2371za7,
		BGl_z62abortzf3zd2fail1441z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2372za7,
		BGl_z62abortzf3zd2sequence1443z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2373za7,
		BGl_z62abortzf3zd2sync1445z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2374za7,
		BGl_z62abortzf3zd2letzd2var1447z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2375za7,
		BGl_z62abortzf3zd2letzd2fun1449z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2376z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2377z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2378z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4504, char *BgL_fromz00_4505)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4047;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_4054;

					BgL_stringz00_4054 = BGl_string2305z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_4055;

						BgL_startz00_4055 = BINT(((long) 0));
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_4056;

							BgL_endz00_4056 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4054)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_4047 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4054, BgL_startz00_4055, BgL_endz00_4056);
				}}}}
				{
					long BgL_iz00_4048;

					BgL_iz00_4048 = ((long) 11);
				BgL_loopz00_4049:
					if ((BgL_iz00_4048 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2306z00_4050;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4052;

										BgL_locationz00_4052 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2306z00_4050 =
												BGl_readz00zz__readerz00(BgL_cportz00_4047,
												BgL_locationz00_4052);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_4539;

									BgL_tmpz00_4539 = (int) (BgL_iz00_4048);
									CNST_TABLE_SET(BgL_tmpz00_4539, BgL_arg2306z00_4050);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4053;

								BgL_auxz00_4053 = (int) ((BgL_iz00_4048 - ((long) 1)));
								{
									long BgL_iz00_4544;

									BgL_iz00_4544 = (long) (BgL_auxz00_4053);
									BgL_iz00_4048 = BgL_iz00_4544;
									goto BgL_loopz00_4049;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1813;

				BgL_headz00_1813 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1814;
					obj_t BgL_tailz00_1815;

					BgL_prevz00_1814 = BgL_headz00_1813;
					BgL_tailz00_1815 = BgL_l1z00_1;
				BgL_loopz00_1816:
					if (PAIRP(BgL_tailz00_1815))
						{
							obj_t BgL_newzd2prevzd2_1818;

							BgL_newzd2prevzd2_1818 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1815), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1814, BgL_newzd2prevzd2_1818);
							{
								obj_t BgL_tailz00_4554;
								obj_t BgL_prevz00_4553;

								BgL_prevz00_4553 = BgL_newzd2prevzd2_1818;
								BgL_tailz00_4554 = CDR(BgL_tailz00_1815);
								BgL_tailz00_1815 = BgL_tailz00_4554;
								BgL_prevz00_1814 = BgL_prevz00_4553;
								goto BgL_loopz00_1816;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1813);
				}
			}
		}

	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1485z00_1827;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1496z00_1828;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1506z00_1829;

						BgL_arg1506z00_1829 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1496z00_1828 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1506z00_1829);
					}
					BgL_list1485z00_1827 =
						MAKE_YOUNG_PAIR(BGl_string2243z00zzdataflow_walkz00,
						BgL_arg1496z00_1828);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1485z00_1827);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1141z00_1830;

				BgL_g1141z00_1830 = BNIL;
				{
					obj_t BgL_hooksz00_1833;
					obj_t BgL_hnamesz00_1834;

					BgL_hooksz00_1833 = BgL_g1141z00_1830;
					BgL_hnamesz00_1834 = BNIL;
				BgL_zc3z04anonymousza31507ze3z87_1835:
					if (NULLP(BgL_hooksz00_1833))
						{	/* Dataflow/walk.scm 46 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_test2383z00_4567;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1523z00_1842;

								BgL_fun1523z00_1842 = CAR(((obj_t) BgL_hooksz00_1833));
								BgL_test2383z00_4567 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1523z00_1842)) (BgL_fun1523z00_1842,
										BEOA));
							}
							if (BgL_test2383z00_4567)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1511z00_1839;
									obj_t BgL_arg1521z00_1840;

									BgL_arg1511z00_1839 = CDR(((obj_t) BgL_hooksz00_1833));
									BgL_arg1521z00_1840 = CDR(((obj_t) BgL_hnamesz00_1834));
									{
										obj_t BgL_hnamesz00_4579;
										obj_t BgL_hooksz00_4578;

										BgL_hooksz00_4578 = BgL_arg1511z00_1839;
										BgL_hnamesz00_4579 = BgL_arg1521z00_1840;
										BgL_hnamesz00_1834 = BgL_hnamesz00_4579;
										BgL_hooksz00_1833 = BgL_hooksz00_4578;
										goto BgL_zc3z04anonymousza31507ze3z87_1835;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1522z00_1841;

									BgL_arg1522z00_1841 = CAR(((obj_t) BgL_hnamesz00_1834));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2244z00zzdataflow_walkz00, BgL_arg1522z00_1841);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l1334z00_1846;

				BgL_l1334z00_1846 = BgL_globalsz00_56;
			BgL_zc3z04anonymousza31525ze3z87_1847:
				if (PAIRP(BgL_l1334z00_1846))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1529z00_1849;

							BgL_arg1529z00_1849 = CAR(BgL_l1334z00_1846);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1565z00_2850;

								BgL_arg1565z00_2850 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1529z00_1849))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1565z00_2850), BNIL);
							}
						}
						{
							obj_t BgL_l1334z00_4602;

							BgL_l1334z00_4602 = CDR(BgL_l1334z00_1846);
							BgL_l1334z00_1846 = BgL_l1334z00_4602;
							goto BgL_zc3z04anonymousza31525ze3z87_1847;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1336z00_1854;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_tmpz00_4607;

							BgL_tmpz00_4607 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1336z00_1854 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4607);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1336z00_1854);
						bgl_display_string(BGl_string2245z00zzdataflow_walkz00,
							BgL_port1336z00_1854);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1535z00_1855;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2386z00_4612;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_test2386z00_4612 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_test2386z00_4612 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_test2386z00_4612 = ((bool_t) 0);
									}
								if (BgL_test2386z00_4612)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1535z00_1855 = BGl_string2246z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1535z00_1855 = BGl_string2247z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1535z00_1855, BgL_port1336z00_1854);
						}
						bgl_display_string(BGl_string2248z00zzdataflow_walkz00,
							BgL_port1336z00_1854);
						bgl_display_char(((unsigned char) 10), BgL_port1336z00_1854);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1538z00_1859;

						BgL_list1538z00_1859 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1538z00_1859);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1143z00_1860;

					BgL_g1143z00_1860 = BNIL;
					{
						obj_t BgL_hooksz00_1863;
						obj_t BgL_hnamesz00_1864;

						BgL_hooksz00_1863 = BgL_g1143z00_1860;
						BgL_hnamesz00_1864 = BNIL;
					BgL_zc3z04anonymousza31539ze3z87_1865:
						if (NULLP(BgL_hooksz00_1863))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2390z00_4629;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1562z00_1872;

									BgL_fun1562z00_1872 = CAR(((obj_t) BgL_hooksz00_1863));
									BgL_test2390z00_4629 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1562z00_1872))
										(BgL_fun1562z00_1872, BEOA));
								}
								if (BgL_test2390z00_4629)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1558z00_1869;
										obj_t BgL_arg1559z00_1870;

										BgL_arg1558z00_1869 = CDR(((obj_t) BgL_hooksz00_1863));
										BgL_arg1559z00_1870 = CDR(((obj_t) BgL_hnamesz00_1864));
										{
											obj_t BgL_hnamesz00_4641;
											obj_t BgL_hooksz00_4640;

											BgL_hooksz00_4640 = BgL_arg1558z00_1869;
											BgL_hnamesz00_4641 = BgL_arg1559z00_1870;
											BgL_hnamesz00_1864 = BgL_hnamesz00_4641;
											BgL_hooksz00_1863 = BgL_hooksz00_4640;
											goto BgL_zc3z04anonymousza31539ze3z87_1865;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1561z00_1871;

										BgL_arg1561z00_1871 = CAR(((obj_t) BgL_hnamesz00_1864));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2249z00zzdataflow_walkz00, BgL_arg1561z00_1871);
									}
							}
					}
				}
		}

	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3857,
		obj_t BgL_globalsz00_3858, obj_t BgL_namez00_3859)
	{
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3858,
				BgL_namez00_3859);
		}

	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		{	/* Dataflow/walk.scm 308 */
			{
				obj_t BgL_l1358z00_1878;

				BgL_l1358z00_1878 = BgL_nodeza2za2_99;
			BgL_zc3z04anonymousza31568ze3z87_1879:
				if (PAIRP(BgL_l1358z00_1878))
					{	/* Dataflow/walk.scm 309 */
						{	/* Dataflow/walk.scm 309 */
							obj_t BgL_nz00_1881;

							BgL_nz00_1881 = CAR(BgL_l1358z00_1878);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1881), BgL_envz00_100);
						}
						{
							obj_t BgL_l1358z00_4651;

							BgL_l1358z00_4651 = CDR(BgL_l1358z00_1878);
							BgL_l1358z00_1878 = BgL_l1358z00_4651;
							goto BgL_zc3z04anonymousza31568ze3z87_1879;
						}
					}
				else
					{	/* Dataflow/walk.scm 309 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1588z00_1888;
				obj_t BgL_arg1590z00_1889;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1376z00_1925;

					BgL_v1376z00_1925 = create_vector(((long) 2));
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1625z00_1926;

						BgL_arg1625z00_1926 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2251z00zzdataflow_walkz00,
							BGl_proc2250z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1376z00_1925, ((long) 0), BgL_arg1625z00_1926);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1635z00_1936;

						BgL_arg1635z00_1936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2253z00zzdataflow_walkz00,
							BGl_proc2252z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1376z00_1925, ((long) 1), BgL_arg1635z00_1936);
					}
					BgL_arg1588z00_1888 = BgL_v1376z00_1925;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1377z00_1946;

					BgL_v1377z00_1946 = create_vector(((long) 0));
					BgL_arg1590z00_1889 = BgL_v1377z00_1946;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2257z00zzdataflow_walkz00,
						BGl_proc2256z00zzdataflow_walkz00, BFALSE,
						BGl_proc2255z00zzdataflow_walkz00,
						BGl_proc2254z00zzdataflow_walkz00, BgL_arg1588z00_1888,
						BgL_arg1590z00_1889), BUNSPEC);
		}}

	}



/* &lambda1612 */
	BgL_localz00_bglt BGl_z62lambda1612z62zzdataflow_walkz00(obj_t
		BgL_envz00_3868, obj_t BgL_o1128z00_3869)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1614z00_4059;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1615z00_4060;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1616z00_4061;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1828z00_4062;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1829z00_4063;

								BgL_arg1829z00_4063 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1128z00_3869)));
								BgL_arg1828z00_4062 = (BgL_arg1829z00_4063 - OBJECT_TYPE);
							}
							BgL_arg1616z00_4061 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4062);
						}
						BgL_arg1615z00_4060 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1616z00_4061);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_tmpz00_4671;

						BgL_tmpz00_4671 = ((obj_t) BgL_arg1615z00_4060);
						BgL_arg1614z00_4059 = BGL_CLASS_NUM(BgL_tmpz00_4671);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1128z00_3869)), BgL_arg1614z00_4059);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_4677;

				BgL_tmpz00_4677 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3869));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4677, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3869));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1128z00_3869));
		}

	}



/* &<@anonymous:1611> */
	obj_t BGl_z62zc3z04anonymousza31611ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_3870, obj_t BgL_new1127z00_3871)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_auxz00_4685;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1127z00_3871))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4693;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4065;

						BgL_classz00_4065 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1113z00_4066;

							BgL__ortest_1113z00_4066 = BGL_CLASS_NIL(BgL_classz00_4065);
							if (CBOOL(BgL__ortest_1113z00_4066))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4693 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4066);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4693 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4065));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1127z00_3871))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4693), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4703;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4067;

						BgL_classz00_4067 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1113z00_4068;

							BgL__ortest_1113z00_4068 = BGL_CLASS_NIL(BgL_classz00_4067);
							if (CBOOL(BgL__ortest_1113z00_4068))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4703 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4068);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4703 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4067));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1127z00_3871))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4703), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1127z00_3871))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1127z00_3871))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4740;

					{
						obj_t BgL_auxz00_4741;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4742;

							BgL_tmpz00_4742 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1127z00_3871));
							BgL_auxz00_4741 = BGL_OBJECT_WIDENING(BgL_tmpz00_4742);
						}
						BgL_auxz00_4740 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4741);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4740))->
							BgL_stampz00) = ((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4756;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4749;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4069;

						BgL_classz00_4069 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1113z00_4070;

							BgL__ortest_1113z00_4070 = BGL_CLASS_NIL(BgL_classz00_4069);
							if (CBOOL(BgL__ortest_1113z00_4070))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4756 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_4070);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4756 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4069));
								}
						}
					}
					{
						obj_t BgL_auxz00_4750;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4751;

							BgL_tmpz00_4751 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1127z00_3871));
							BgL_auxz00_4750 = BGL_OBJECT_WIDENING(BgL_tmpz00_4751);
						}
						BgL_auxz00_4749 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4750);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4749))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_4756), BUNSPEC);
				}
				BgL_auxz00_4685 = ((BgL_localz00_bglt) BgL_new1127z00_3871);
				return ((obj_t) BgL_auxz00_4685);
			}
		}

	}



/* &lambda1600 */
	BgL_localz00_bglt BGl_z62lambda1600z62zzdataflow_walkz00(obj_t
		BgL_envz00_3872, obj_t BgL_o1123z00_3873)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1125z00_4072;

				BgL_wide1125z00_4072 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_4771;
					BgL_objectz00_bglt BgL_tmpz00_4767;

					BgL_auxz00_4771 = ((obj_t) BgL_wide1125z00_4072);
					BgL_tmpz00_4767 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3873)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4767, BgL_auxz00_4771);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3873)));
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1610z00_4073;

					BgL_arg1610z00_4073 =
						BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1123z00_3873))), BgL_arg1610z00_4073);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3873)));
			}
		}

	}



/* &lambda1591 */
	BgL_localz00_bglt BGl_z62lambda1591z62zzdataflow_walkz00(obj_t
		BgL_envz00_3874, obj_t BgL_id1108z00_3875, obj_t BgL_name1109z00_3876,
		obj_t BgL_type1110z00_3877, obj_t BgL_value1111z00_3878,
		obj_t BgL_access1112z00_3879, obj_t BgL_fastzd2alpha1113zd2_3880,
		obj_t BgL_removable1114z00_3881, obj_t BgL_occurrence1115z00_3882,
		obj_t BgL_occurrencew1116z00_3883, obj_t BgL_userzf31117zf3_3884,
		obj_t BgL_key1118z00_3885, obj_t BgL_valzd2noescape1119zd2_3886,
		obj_t BgL_volatile1120z00_3887, obj_t BgL_stamp1121z00_3888,
		obj_t BgL_node1122z00_3889)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1115z00_4077;
				long BgL_occurrencew1116z00_4078;
				bool_t BgL_userzf31117zf3_4079;
				long BgL_key1118z00_4080;
				bool_t BgL_volatile1120z00_4081;
				int BgL_stamp1121z00_4082;

				BgL_occurrence1115z00_4077 = (long) CINT(BgL_occurrence1115z00_3882);
				BgL_occurrencew1116z00_4078 = (long) CINT(BgL_occurrencew1116z00_3883);
				BgL_userzf31117zf3_4079 = CBOOL(BgL_userzf31117zf3_3884);
				BgL_key1118z00_4080 = (long) CINT(BgL_key1118z00_3885);
				BgL_volatile1120z00_4081 = CBOOL(BgL_volatile1120z00_3887);
				BgL_stamp1121z00_4082 = CINT(BgL_stamp1121z00_3888);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1196z00_4084;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1194z00_4085;
						BgL_localzf2valuezf2_bglt BgL_wide1195z00_4086;

						{
							BgL_localz00_bglt BgL_auxz00_4791;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1193z00_4087;

								BgL_new1193z00_4087 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1599z00_4088;

									BgL_arg1599z00_4088 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1193z00_4087),
										BgL_arg1599z00_4088);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_4796;

									BgL_tmpz00_4796 = ((BgL_objectz00_bglt) BgL_new1193z00_4087);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4796, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1193z00_4087);
								BgL_auxz00_4791 = BgL_new1193z00_4087;
							}
							BgL_tmp1194z00_4085 = ((BgL_localz00_bglt) BgL_auxz00_4791);
						}
						BgL_wide1195z00_4086 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_4804;
							BgL_objectz00_bglt BgL_tmpz00_4802;

							BgL_auxz00_4804 = ((obj_t) BgL_wide1195z00_4086);
							BgL_tmpz00_4802 = ((BgL_objectz00_bglt) BgL_tmp1194z00_4085);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4802, BgL_auxz00_4804);
						}
						((BgL_objectz00_bglt) BgL_tmp1194z00_4085);
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1598z00_4089;

							BgL_arg1598z00_4089 =
								BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1194z00_4085),
								BgL_arg1598z00_4089);
						}
						BgL_new1196z00_4084 = ((BgL_localz00_bglt) BgL_tmp1194z00_4085);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1196z00_4084)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1108z00_3875)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_namez00) =
						((obj_t) BgL_name1109z00_3876), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1110z00_3877)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1111z00_3878)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_accessz00) =
						((obj_t) BgL_access1112z00_3879), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1113zd2_3880), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_removablez00) =
						((obj_t) BgL_removable1114z00_3881), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_occurrencez00) =
						((long) BgL_occurrence1115z00_4077), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1116z00_4078), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_4084)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31117zf3_4079), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1196z00_4084)))->BgL_keyz00) =
						((long) BgL_key1118z00_4080), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1196z00_4084)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1119zd2_3886), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1196z00_4084)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1120z00_4081), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4841;

						{
							obj_t BgL_auxz00_4842;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4843;

								BgL_tmpz00_4843 = ((BgL_objectz00_bglt) BgL_new1196z00_4084);
								BgL_auxz00_4842 = BGL_OBJECT_WIDENING(BgL_tmpz00_4843);
							}
							BgL_auxz00_4841 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4842);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4841))->
								BgL_stampz00) = ((int) BgL_stamp1121z00_4082), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4848;

						{
							obj_t BgL_auxz00_4849;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4850;

								BgL_tmpz00_4850 = ((BgL_objectz00_bglt) BgL_new1196z00_4084);
								BgL_auxz00_4849 = BGL_OBJECT_WIDENING(BgL_tmpz00_4850);
							}
							BgL_auxz00_4848 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4849);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4848))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1122z00_3889)),
							BUNSPEC);
					}
					return BgL_new1196z00_4084;
				}
			}
		}

	}



/* &lambda1641 */
	obj_t BGl_z62lambda1641z62zzdataflow_walkz00(obj_t BgL_envz00_3890,
		obj_t BgL_oz00_3891, obj_t BgL_vz00_3892)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4856;

				{
					obj_t BgL_auxz00_4857;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4858;

						BgL_tmpz00_4858 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3891));
						BgL_auxz00_4857 = BGL_OBJECT_WIDENING(BgL_tmpz00_4858);
					}
					BgL_auxz00_4856 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4857);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4856))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3892)), BUNSPEC);
			}
		}

	}



/* &lambda1640 */
	BgL_nodez00_bglt BGl_z62lambda1640z62zzdataflow_walkz00(obj_t BgL_envz00_3893,
		obj_t BgL_oz00_3894)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4865;

				{
					obj_t BgL_auxz00_4866;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4867;

						BgL_tmpz00_4867 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3894));
						BgL_auxz00_4866 = BGL_OBJECT_WIDENING(BgL_tmpz00_4867);
					}
					BgL_auxz00_4865 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4866);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4865))->BgL_nodez00);
			}
		}

	}



/* &lambda1632 */
	obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t BgL_envz00_3895,
		obj_t BgL_oz00_3896, obj_t BgL_vz00_3897)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_4094;

				BgL_vz00_4094 = CINT(BgL_vz00_3897);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4874;

					{
						obj_t BgL_auxz00_4875;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4876;

							BgL_tmpz00_4876 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3896));
							BgL_auxz00_4875 = BGL_OBJECT_WIDENING(BgL_tmpz00_4876);
						}
						BgL_auxz00_4874 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4875);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4874))->
							BgL_stampz00) = ((int) BgL_vz00_4094), BUNSPEC);
		}}}

	}



/* &lambda1631 */
	obj_t BGl_z62lambda1631z62zzdataflow_walkz00(obj_t BgL_envz00_3898,
		obj_t BgL_oz00_3899)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_4882;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4883;

					{
						obj_t BgL_auxz00_4884;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4885;

							BgL_tmpz00_4885 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3899));
							BgL_auxz00_4884 = BGL_OBJECT_WIDENING(BgL_tmpz00_4885);
						}
						BgL_auxz00_4883 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4884);
					}
					BgL_tmpz00_4882 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4883))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_4882);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2258z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2259z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2260z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2261z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2262z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2263z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2264z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2265z00zzdataflow_walkz00);
		}

	}



/* &abort?1438 */
	obj_t BGl_z62abortzf31438z91zzdataflow_walkz00(obj_t BgL_envz00_3904,
		obj_t BgL_nodez00_3905)
	{
		{	/* Dataflow/walk.scm 429 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &dataflow-test-false-1434 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3906, obj_t BgL_nodez00_3907)
	{
		{	/* Dataflow/walk.scm 401 */
			return BNIL;
		}

	}



/* &dataflow-test-env1421 */
	obj_t BGl_z62dataflowzd2testzd2env1421z62zzdataflow_walkz00(obj_t
		BgL_envz00_3908, obj_t BgL_nodez00_3909)
	{
		{	/* Dataflow/walk.scm 315 */
			return BNIL;
		}

	}



/* &dataflow-node!1378 */
	obj_t BGl_z62dataflowzd2nodez121378za2zzdataflow_walkz00(obj_t
		BgL_envz00_3910, obj_t BgL_nodez00_3911, obj_t BgL_envz00_3912)
	{
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3912);
		}

	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1379z00_1968;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2201z00_2944;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2915;

						BgL_objzd2classzd2numz00_2915 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1825z00_2916;

							BgL_arg1825z00_2916 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2919;

								BgL_offsetz00_2919 = (int) (BgL_objzd2classzd2numz00_2915);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2920;

									BgL_offsetz00_2920 =
										((long) (BgL_offsetz00_2919) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2921;

										BgL_modz00_2921 =
											(BgL_offsetz00_2920 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2923;

											BgL_restz00_2923 =
												(BgL_offsetz00_2920 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2925;

													BgL_bucketz00_2925 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2916), BgL_modz00_2921);
													BgL_res2201z00_2944 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2925), BgL_restz00_2923);
					}}}}}}}}
					BgL_method1379z00_1968 = BgL_res2201z00_2944;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1379z00_1968)) (BgL_method1379z00_1968,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}

	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3913,
		obj_t BgL_nodez00_3914, obj_t BgL_envz00_3915)
	{
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3914), BgL_envz00_3915);
		}

	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		{	/* Dataflow/walk.scm 315 */
			{	/* Dataflow/walk.scm 315 */
				obj_t BgL_method1423z00_1969;

				{	/* Dataflow/walk.scm 315 */
					obj_t BgL_res2206z00_2975;

					{	/* Dataflow/walk.scm 315 */
						long BgL_objzd2classzd2numz00_2946;

						BgL_objzd2classzd2numz00_2946 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
						{	/* Dataflow/walk.scm 315 */
							obj_t BgL_arg1825z00_2947;

							BgL_arg1825z00_2947 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 315 */
								int BgL_offsetz00_2950;

								BgL_offsetz00_2950 = (int) (BgL_objzd2classzd2numz00_2946);
								{	/* Dataflow/walk.scm 315 */
									long BgL_offsetz00_2951;

									BgL_offsetz00_2951 =
										((long) (BgL_offsetz00_2950) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 315 */
										long BgL_modz00_2952;

										BgL_modz00_2952 =
											(BgL_offsetz00_2951 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 315 */
											long BgL_restz00_2954;

											BgL_restz00_2954 =
												(BgL_offsetz00_2951 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 315 */

												{	/* Dataflow/walk.scm 315 */
													obj_t BgL_bucketz00_2956;

													BgL_bucketz00_2956 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2947), BgL_modz00_2952);
													BgL_res2206z00_2975 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2956), BgL_restz00_2954);
					}}}}}}}}
					BgL_method1423z00_1969 = BgL_res2206z00_2975;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1423z00_1969)) (BgL_method1423z00_1969,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}

	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3916,
		obj_t BgL_nodez00_3917)
	{
		{	/* Dataflow/walk.scm 315 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3917));
		}

	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		{	/* Dataflow/walk.scm 401 */
			{	/* Dataflow/walk.scm 401 */
				obj_t BgL_method1435z00_1970;

				{	/* Dataflow/walk.scm 401 */
					obj_t BgL_res2211z00_3006;

					{	/* Dataflow/walk.scm 401 */
						long BgL_objzd2classzd2numz00_2977;

						BgL_objzd2classzd2numz00_2977 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
						{	/* Dataflow/walk.scm 401 */
							obj_t BgL_arg1825z00_2978;

							BgL_arg1825z00_2978 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 401 */
								int BgL_offsetz00_2981;

								BgL_offsetz00_2981 = (int) (BgL_objzd2classzd2numz00_2977);
								{	/* Dataflow/walk.scm 401 */
									long BgL_offsetz00_2982;

									BgL_offsetz00_2982 =
										((long) (BgL_offsetz00_2981) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 401 */
										long BgL_modz00_2983;

										BgL_modz00_2983 =
											(BgL_offsetz00_2982 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 401 */
											long BgL_restz00_2985;

											BgL_restz00_2985 =
												(BgL_offsetz00_2982 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 401 */

												{	/* Dataflow/walk.scm 401 */
													obj_t BgL_bucketz00_2987;

													BgL_bucketz00_2987 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2978), BgL_modz00_2983);
													BgL_res2211z00_3006 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2987), BgL_restz00_2985);
					}}}}}}}}
					BgL_method1435z00_1970 = BgL_res2211z00_3006;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1435z00_1970)) (BgL_method1435z00_1970,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}

	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3918, obj_t BgL_nodez00_3919)
	{
		{	/* Dataflow/walk.scm 401 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3919));
		}

	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		{	/* Dataflow/walk.scm 429 */
			{	/* Dataflow/walk.scm 429 */
				obj_t BgL_method1439z00_1971;

				{	/* Dataflow/walk.scm 429 */
					obj_t BgL_res2216z00_3037;

					{	/* Dataflow/walk.scm 429 */
						long BgL_objzd2classzd2numz00_3008;

						BgL_objzd2classzd2numz00_3008 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
						{	/* Dataflow/walk.scm 429 */
							obj_t BgL_arg1825z00_3009;

							BgL_arg1825z00_3009 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 429 */
								int BgL_offsetz00_3012;

								BgL_offsetz00_3012 = (int) (BgL_objzd2classzd2numz00_3008);
								{	/* Dataflow/walk.scm 429 */
									long BgL_offsetz00_3013;

									BgL_offsetz00_3013 =
										((long) (BgL_offsetz00_3012) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 429 */
										long BgL_modz00_3014;

										BgL_modz00_3014 =
											(BgL_offsetz00_3013 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Dataflow/walk.scm 429 */
											long BgL_restz00_3016;

											BgL_restz00_3016 =
												(BgL_offsetz00_3013 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Dataflow/walk.scm 429 */

												{	/* Dataflow/walk.scm 429 */
													obj_t BgL_bucketz00_3018;

													BgL_bucketz00_3018 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3009), BgL_modz00_3014);
													BgL_res2216z00_3037 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3018), BgL_restz00_3016);
					}}}}}}}}
					BgL_method1439z00_1971 = BgL_res2216z00_3037;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1439z00_1971)) (BgL_method1439z00_1971,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}

	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3920,
		obj_t BgL_nodez00_3921)
	{
		{	/* Dataflow/walk.scm 429 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3921));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2266z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2268z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2269z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2270z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2271z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2272z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2273z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2274z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2275z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2276z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2277z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2278z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2279z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2280z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2281z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2282z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2283z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2284z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2285z00zzdataflow_walkz00,
				BGl_string2267z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2286z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2288z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2289z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2290z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2291z00zzdataflow_walkz00,
				BGl_string2287z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2292z00zzdataflow_walkz00,
				BGl_string2293z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2294z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2296z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2297z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2298z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2299z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2300z00zzdataflow_walkz00,
				BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2301z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2302z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2303z00zzdataflow_walkz00, BGl_string2295z00zzdataflow_walkz00);
		}

	}



/* &abort?-app-ly1457 */
	obj_t BGl_z62abortzf3zd2appzd2ly1457z91zzdataflow_walkz00(obj_t
		BgL_envz00_3957, obj_t BgL_nodez00_3958)
	{
		{	/* Dataflow/walk.scm 490 */
			{	/* Dataflow/walk.scm 492 */
				obj_t BgL__ortest_1192z00_4102;

				BgL__ortest_1192z00_4102 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3958)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1192z00_4102))
					{	/* Dataflow/walk.scm 492 */
						return BgL__ortest_1192z00_4102;
					}
				else
					{	/* Dataflow/walk.scm 492 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3958)))->BgL_argz00));
					}
			}
		}

	}



/* &abort?-funcall1455 */
	obj_t BGl_z62abortzf3zd2funcall1455z43zzdataflow_walkz00(obj_t
		BgL_envz00_3959, obj_t BgL_nodez00_3960)
	{
		{	/* Dataflow/walk.scm 483 */
			{	/* Dataflow/walk.scm 485 */
				obj_t BgL__ortest_1190z00_4104;

				BgL__ortest_1190z00_4104 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3960)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1190z00_4104))
					{	/* Dataflow/walk.scm 485 */
						return BgL__ortest_1190z00_4104;
					}
				else
					{	/* Dataflow/walk.scm 485 */
						obj_t BgL_g1374z00_4105;

						BgL_g1374z00_4105 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3960)))->BgL_argsz00);
						{
							obj_t BgL_l1372z00_4107;

							BgL_l1372z00_4107 = BgL_g1374z00_4105;
						BgL_zc3z04anonymousza32121ze3z87_4106:
							if (NULLP(BgL_l1372z00_4107))
								{	/* Dataflow/walk.scm 485 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 485 */
									obj_t BgL__ortest_1375z00_4108;

									{	/* Dataflow/walk.scm 485 */
										obj_t BgL_arg2124z00_4109;

										BgL_arg2124z00_4109 = CAR(((obj_t) BgL_l1372z00_4107));
										BgL__ortest_1375z00_4108 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2124z00_4109));
									}
									if (CBOOL(BgL__ortest_1375z00_4108))
										{	/* Dataflow/walk.scm 485 */
											return BgL__ortest_1375z00_4108;
										}
									else
										{	/* Dataflow/walk.scm 485 */
											obj_t BgL_arg2123z00_4110;

											BgL_arg2123z00_4110 = CDR(((obj_t) BgL_l1372z00_4107));
											{
												obj_t BgL_l1372z00_5086;

												BgL_l1372z00_5086 = BgL_arg2123z00_4110;
												BgL_l1372z00_4107 = BgL_l1372z00_5086;
												goto BgL_zc3z04anonymousza32121ze3z87_4106;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-app1453 */
	obj_t BGl_z62abortzf3zd2app1453z43zzdataflow_walkz00(obj_t BgL_envz00_3961,
		obj_t BgL_nodez00_3962)
	{
		{	/* Dataflow/walk.scm 476 */
			{	/* Dataflow/walk.scm 478 */
				obj_t BgL__ortest_1188z00_4112;

				{	/* Dataflow/walk.scm 478 */
					BgL_varz00_bglt BgL_arg2120z00_4113;

					BgL_arg2120z00_4113 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3962)))->BgL_funz00);
					BgL__ortest_1188z00_4112 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2120z00_4113));
				}
				if (CBOOL(BgL__ortest_1188z00_4112))
					{	/* Dataflow/walk.scm 478 */
						return BgL__ortest_1188z00_4112;
					}
				else
					{	/* Dataflow/walk.scm 478 */
						obj_t BgL_g1370z00_4114;

						BgL_g1370z00_4114 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3962)))->BgL_argsz00);
						{
							obj_t BgL_l1368z00_4116;

							BgL_l1368z00_4116 = BgL_g1370z00_4114;
						BgL_zc3z04anonymousza32116ze3z87_4115:
							if (NULLP(BgL_l1368z00_4116))
								{	/* Dataflow/walk.scm 478 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 478 */
									obj_t BgL__ortest_1371z00_4117;

									{	/* Dataflow/walk.scm 478 */
										obj_t BgL_arg2119z00_4118;

										BgL_arg2119z00_4118 = CAR(((obj_t) BgL_l1368z00_4116));
										BgL__ortest_1371z00_4117 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2119z00_4118));
									}
									if (CBOOL(BgL__ortest_1371z00_4117))
										{	/* Dataflow/walk.scm 478 */
											return BgL__ortest_1371z00_4117;
										}
									else
										{	/* Dataflow/walk.scm 478 */
											obj_t BgL_arg2118z00_4119;

											BgL_arg2118z00_4119 = CDR(((obj_t) BgL_l1368z00_4116));
											{
												obj_t BgL_l1368z00_5105;

												BgL_l1368z00_5105 = BgL_arg2118z00_4119;
												BgL_l1368z00_4116 = BgL_l1368z00_5105;
												goto BgL_zc3z04anonymousza32116ze3z87_4115;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-conditional1451 */
	obj_t BGl_z62abortzf3zd2conditional1451z43zzdataflow_walkz00(obj_t
		BgL_envz00_3963, obj_t BgL_nodez00_3964)
	{
		{	/* Dataflow/walk.scm 469 */
			{	/* Dataflow/walk.scm 471 */
				obj_t BgL__ortest_1185z00_4121;

				BgL__ortest_1185z00_4121 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3964)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1185z00_4121))
					{	/* Dataflow/walk.scm 471 */
						return BgL__ortest_1185z00_4121;
					}
				else
					{	/* Dataflow/walk.scm 471 */
						obj_t BgL__andtest_1186z00_4122;

						BgL__andtest_1186z00_4122 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3964)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1186z00_4122))
							{	/* Dataflow/walk.scm 471 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3964)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 471 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &abort?-let-fun1449 */
	obj_t BGl_z62abortzf3zd2letzd2fun1449z91zzdataflow_walkz00(obj_t
		BgL_envz00_3965, obj_t BgL_nodez00_3966)
	{
		{	/* Dataflow/walk.scm 462 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3966)))->BgL_bodyz00));
		}

	}



/* &abort?-let-var1447 */
	obj_t BGl_z62abortzf3zd2letzd2var1447z91zzdataflow_walkz00(obj_t
		BgL_envz00_3967, obj_t BgL_nodez00_3968)
	{
		{	/* Dataflow/walk.scm 455 */
			{	/* Dataflow/walk.scm 457 */
				obj_t BgL__ortest_1182z00_4125;

				{	/* Dataflow/walk.scm 457 */
					obj_t BgL_g1366z00_4126;

					BgL_g1366z00_4126 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3968)))->BgL_bindingsz00);
					{
						obj_t BgL_l1364z00_4128;

						BgL_l1364z00_4128 = BgL_g1366z00_4126;
					BgL_zc3z04anonymousza32108ze3z87_4127:
						if (NULLP(BgL_l1364z00_4128))
							{	/* Dataflow/walk.scm 457 */
								BgL__ortest_1182z00_4125 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 457 */
								obj_t BgL__ortest_1367z00_4129;

								{	/* Dataflow/walk.scm 457 */
									obj_t BgL_bz00_4130;

									BgL_bz00_4130 = CAR(((obj_t) BgL_l1364z00_4128));
									{	/* Dataflow/walk.scm 457 */
										obj_t BgL_arg2111z00_4131;

										BgL_arg2111z00_4131 = CDR(((obj_t) BgL_bz00_4130));
										BgL__ortest_1367z00_4129 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2111z00_4131));
									}
								}
								if (CBOOL(BgL__ortest_1367z00_4129))
									{	/* Dataflow/walk.scm 457 */
										BgL__ortest_1182z00_4125 = BgL__ortest_1367z00_4129;
									}
								else
									{	/* Dataflow/walk.scm 457 */
										obj_t BgL_arg2110z00_4132;

										BgL_arg2110z00_4132 = CDR(((obj_t) BgL_l1364z00_4128));
										{
											obj_t BgL_l1364z00_5136;

											BgL_l1364z00_5136 = BgL_arg2110z00_4132;
											BgL_l1364z00_4128 = BgL_l1364z00_5136;
											goto BgL_zc3z04anonymousza32108ze3z87_4127;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1182z00_4125))
					{	/* Dataflow/walk.scm 457 */
						return BgL__ortest_1182z00_4125;
					}
				else
					{	/* Dataflow/walk.scm 457 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3968)))->BgL_bodyz00));
					}
			}
		}

	}



/* &abort?-sync1445 */
	obj_t BGl_z62abortzf3zd2sync1445z43zzdataflow_walkz00(obj_t BgL_envz00_3969,
		obj_t BgL_nodez00_3970)
	{
		{	/* Dataflow/walk.scm 447 */
			{	/* Dataflow/walk.scm 448 */
				obj_t BgL__ortest_1179z00_4134;

				BgL__ortest_1179z00_4134 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3970)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1179z00_4134))
					{	/* Dataflow/walk.scm 448 */
						return BgL__ortest_1179z00_4134;
					}
				else
					{	/* Dataflow/walk.scm 449 */
						obj_t BgL__ortest_1180z00_4135;

						BgL__ortest_1180z00_4135 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_3970)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1180z00_4135))
							{	/* Dataflow/walk.scm 449 */
								return BgL__ortest_1180z00_4135;
							}
						else
							{	/* Dataflow/walk.scm 449 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_3970)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &abort?-sequence1443 */
	obj_t BGl_z62abortzf3zd2sequence1443z43zzdataflow_walkz00(obj_t
		BgL_envz00_3971, obj_t BgL_nodez00_3972)
	{
		{	/* Dataflow/walk.scm 441 */
			{	/* Dataflow/walk.scm 442 */
				obj_t BgL_g1362z00_4137;

				BgL_g1362z00_4137 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3972)))->BgL_nodesz00);
				{
					obj_t BgL_l1360z00_4139;

					BgL_l1360z00_4139 = BgL_g1362z00_4137;
				BgL_zc3z04anonymousza32100ze3z87_4138:
					if (NULLP(BgL_l1360z00_4139))
						{	/* Dataflow/walk.scm 442 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 442 */
							obj_t BgL__ortest_1363z00_4140;

							{	/* Dataflow/walk.scm 442 */
								obj_t BgL_arg2103z00_4141;

								BgL_arg2103z00_4141 = CAR(((obj_t) BgL_l1360z00_4139));
								BgL__ortest_1363z00_4140 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2103z00_4141));
							}
							if (CBOOL(BgL__ortest_1363z00_4140))
								{	/* Dataflow/walk.scm 442 */
									return BgL__ortest_1363z00_4140;
								}
							else
								{	/* Dataflow/walk.scm 442 */
									obj_t BgL_arg2102z00_4142;

									BgL_arg2102z00_4142 = CDR(((obj_t) BgL_l1360z00_4139));
									{
										obj_t BgL_l1360z00_5167;

										BgL_l1360z00_5167 = BgL_arg2102z00_4142;
										BgL_l1360z00_4139 = BgL_l1360z00_5167;
										goto BgL_zc3z04anonymousza32100ze3z87_4138;
									}
								}
						}
				}
			}
		}

	}



/* &abort?-fail1441 */
	obj_t BGl_z62abortzf3zd2fail1441z43zzdataflow_walkz00(obj_t BgL_envz00_3973,
		obj_t BgL_nodez00_3974)
	{
		{	/* Dataflow/walk.scm 435 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &dataflow-test-false-1437 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21437zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3975, obj_t BgL_nodez00_3976)
	{
		{	/* Dataflow/walk.scm 407 */
			{	/* Dataflow/walk.scm 409 */
				BgL_variablez00_bglt BgL_fz00_4145;

				BgL_fz00_4145 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3976)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 410 */

					{	/* Dataflow/walk.scm 411 */
						bool_t BgL_test2411z00_5172;

						{	/* Dataflow/walk.scm 411 */
							bool_t BgL_test2412z00_5173;

							{	/* Dataflow/walk.scm 411 */
								obj_t BgL_tmpz00_5174;

								BgL_tmpz00_5174 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3976)))->BgL_argsz00);
								BgL_test2412z00_5173 = PAIRP(BgL_tmpz00_5174);
							}
							if (BgL_test2412z00_5173)
								{	/* Dataflow/walk.scm 411 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3976)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 412 */
											bool_t BgL_test2414z00_5183;

											{	/* Dataflow/walk.scm 412 */
												obj_t BgL_arg2093z00_4146;

												BgL_arg2093z00_4146 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3976)))->
														BgL_argsz00));
												{	/* Dataflow/walk.scm 412 */
													obj_t BgL_classz00_4147;

													BgL_classz00_4147 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2093z00_4146))
														{	/* Dataflow/walk.scm 412 */
															BgL_objectz00_bglt BgL_arg1820z00_4148;

															BgL_arg1820z00_4148 =
																(BgL_objectz00_bglt) (BgL_arg2093z00_4146);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 412 */
																	long BgL_idxz00_4149;

																	BgL_idxz00_4149 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4148);
																	BgL_test2414z00_5183 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4149 + ((long) 2))) ==
																		BgL_classz00_4147);
																}
															else
																{	/* Dataflow/walk.scm 412 */
																	bool_t BgL_res2234z00_4152;

																	{	/* Dataflow/walk.scm 412 */
																		obj_t BgL_oclassz00_4153;

																		{	/* Dataflow/walk.scm 412 */
																			long BgL_arg1828z00_4154;

																			{	/* Dataflow/walk.scm 412 */
																				long BgL_arg1829z00_4155;

																				BgL_arg1829z00_4155 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4148);
																				BgL_arg1828z00_4154 =
																					(BgL_arg1829z00_4155 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4153 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4154);
																		}
																		{	/* Dataflow/walk.scm 412 */
																			bool_t BgL__ortest_1111z00_4156;

																			BgL__ortest_1111z00_4156 =
																				(BgL_classz00_4147 ==
																				BgL_oclassz00_4153);
																			if (BgL__ortest_1111z00_4156)
																				{	/* Dataflow/walk.scm 412 */
																					BgL_res2234z00_4152 =
																						BgL__ortest_1111z00_4156;
																				}
																			else
																				{	/* Dataflow/walk.scm 412 */
																					long BgL_odepthz00_4157;

																					BgL_odepthz00_4157 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4153);
																					if ((((long) 2) < BgL_odepthz00_4157))
																						{	/* Dataflow/walk.scm 412 */
																							obj_t BgL_arg1816z00_4158;

																							BgL_arg1816z00_4158 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4153,
																								((long) 2));
																							BgL_res2234z00_4152 =
																								(BgL_arg1816z00_4158 ==
																								BgL_classz00_4147);
																						}
																					else
																						{	/* Dataflow/walk.scm 412 */
																							BgL_res2234z00_4152 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2414z00_5183 = BgL_res2234z00_4152;
																}
														}
													else
														{	/* Dataflow/walk.scm 412 */
															BgL_test2414z00_5183 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2414z00_5183)
												{	/* Dataflow/walk.scm 413 */
													BgL_typez00_bglt BgL_arg2088z00_4159;

													{
														BgL_variablez00_bglt BgL_auxz00_5206;

														{
															BgL_varz00_bglt BgL_auxz00_5207;

															{	/* Dataflow/walk.scm 413 */
																obj_t BgL_pairz00_4160;

																BgL_pairz00_4160 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3976)))->
																	BgL_argsz00);
																BgL_auxz00_5207 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4160));
															}
															BgL_auxz00_5206 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5207))->
																BgL_variablez00);
														}
														BgL_arg2088z00_4159 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5206))->BgL_typez00);
													}
													BgL_test2411z00_5172 =
														(
														((obj_t) BgL_arg2088z00_4159) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 412 */
													BgL_test2411z00_5172 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 411 */
											BgL_test2411z00_5172 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 411 */
									BgL_test2411z00_5172 = ((bool_t) 0);
								}
						}
						if (BgL_test2411z00_5172)
							{	/* Dataflow/walk.scm 411 */
								if (
									(((obj_t) BgL_fz00_4145) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 416 */
										obj_t BgL_arg2077z00_4161;

										{	/* Dataflow/walk.scm 416 */
											BgL_variablez00_bglt BgL_arg2079z00_4162;

											{
												BgL_varz00_bglt BgL_auxz00_5219;

												{	/* Dataflow/walk.scm 416 */
													obj_t BgL_pairz00_4163;

													BgL_pairz00_4163 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3976)))->
														BgL_argsz00);
													BgL_auxz00_5219 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4163));
												}
												BgL_arg2079z00_4162 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5219))->
													BgL_variablez00);
											}
											BgL_arg2077z00_4161 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2079z00_4162),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 416 */
											obj_t BgL_list2078z00_4164;

											BgL_list2078z00_4164 =
												MAKE_YOUNG_PAIR(BgL_arg2077z00_4161, BNIL);
											return BgL_list2078z00_4164;
										}
									}
								else
									{	/* Dataflow/walk.scm 417 */
										bool_t BgL_test2420z00_5228;

										if (
											(((obj_t) BgL_fz00_4145) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 417 */
												BgL_test2420z00_5228 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 417 */
												BgL_test2420z00_5228 =
													(
													((obj_t) BgL_fz00_4145) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_test2420z00_5228)
											{	/* Dataflow/walk.scm 418 */
												obj_t BgL_arg2083z00_4165;

												{	/* Dataflow/walk.scm 418 */
													BgL_variablez00_bglt BgL_arg2085z00_4166;

													{
														BgL_varz00_bglt BgL_auxz00_5234;

														{	/* Dataflow/walk.scm 418 */
															obj_t BgL_pairz00_4167;

															BgL_pairz00_4167 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3976)))->
																BgL_argsz00);
															BgL_auxz00_5234 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4167));
														}
														BgL_arg2085z00_4166 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5234))->
															BgL_variablez00);
													}
													BgL_arg2083z00_4165 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2085z00_4166),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 418 */
													obj_t BgL_list2084z00_4168;

													BgL_list2084z00_4168 =
														MAKE_YOUNG_PAIR(BgL_arg2083z00_4165, BNIL);
													return BgL_list2084z00_4168;
												}
											}
										else
											{	/* Dataflow/walk.scm 417 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 411 */
								return BNIL;
							}
					}
				}
			}
		}

	}



/* &dataflow-test-env-le1433 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1433zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3977, obj_t BgL_nodez00_3978)
	{
		{	/* Dataflow/walk.scm 379 */
			{	/* Dataflow/walk.scm 381 */
				bool_t BgL_test2422z00_5243;

				{	/* Dataflow/walk.scm 381 */
					bool_t BgL_test2423z00_5244;

					{	/* Dataflow/walk.scm 381 */
						obj_t BgL_tmpz00_5245;

						BgL_tmpz00_5245 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
							BgL_bindingsz00);
						BgL_test2423z00_5244 = PAIRP(BgL_tmpz00_5245);
					}
					if (BgL_test2423z00_5244)
						{	/* Dataflow/walk.scm 381 */
							BgL_test2422z00_5243 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 381 */
							BgL_test2422z00_5243 = ((bool_t) 0);
						}
				}
				if (BgL_test2422z00_5243)
					{	/* Dataflow/walk.scm 383 */
						bool_t BgL_test2424z00_5253;

						{	/* Dataflow/walk.scm 383 */
							obj_t BgL_arg2048z00_4170;

							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_pairz00_4171;

								BgL_pairz00_4171 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
									BgL_bindingsz00);
								BgL_arg2048z00_4170 = CDR(CAR(BgL_pairz00_4171));
							}
							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_classz00_4172;

								BgL_classz00_4172 = BGl_varz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_arg2048z00_4170))
									{	/* Dataflow/walk.scm 383 */
										BgL_objectz00_bglt BgL_arg1820z00_4173;

										BgL_arg1820z00_4173 =
											(BgL_objectz00_bglt) (BgL_arg2048z00_4170);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 383 */
												long BgL_idxz00_4174;

												BgL_idxz00_4174 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4173);
												BgL_test2424z00_5253 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4174 + ((long) 2))) ==
													BgL_classz00_4172);
											}
										else
											{	/* Dataflow/walk.scm 383 */
												bool_t BgL_res2231z00_4177;

												{	/* Dataflow/walk.scm 383 */
													obj_t BgL_oclassz00_4178;

													{	/* Dataflow/walk.scm 383 */
														long BgL_arg1828z00_4179;

														{	/* Dataflow/walk.scm 383 */
															long BgL_arg1829z00_4180;

															BgL_arg1829z00_4180 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4173);
															BgL_arg1828z00_4179 =
																(BgL_arg1829z00_4180 - OBJECT_TYPE);
														}
														BgL_oclassz00_4178 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4179);
													}
													{	/* Dataflow/walk.scm 383 */
														bool_t BgL__ortest_1111z00_4181;

														BgL__ortest_1111z00_4181 =
															(BgL_classz00_4172 == BgL_oclassz00_4178);
														if (BgL__ortest_1111z00_4181)
															{	/* Dataflow/walk.scm 383 */
																BgL_res2231z00_4177 = BgL__ortest_1111z00_4181;
															}
														else
															{	/* Dataflow/walk.scm 383 */
																long BgL_odepthz00_4182;

																BgL_odepthz00_4182 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4178);
																if ((((long) 2) < BgL_odepthz00_4182))
																	{	/* Dataflow/walk.scm 383 */
																		obj_t BgL_arg1816z00_4183;

																		BgL_arg1816z00_4183 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4178, ((long) 2));
																		BgL_res2231z00_4177 =
																			(BgL_arg1816z00_4183 ==
																			BgL_classz00_4172);
																	}
																else
																	{	/* Dataflow/walk.scm 383 */
																		BgL_res2231z00_4177 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2424z00_5253 = BgL_res2231z00_4177;
											}
									}
								else
									{	/* Dataflow/walk.scm 383 */
										BgL_test2424z00_5253 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2424z00_5253)
							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_envz00_4184;

								BgL_envz00_4184 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 385 */
									bool_t BgL_test2429z00_5280;

									if (NULLP(BgL_envz00_4184))
										{	/* Dataflow/walk.scm 385 */
											BgL_test2429z00_5280 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 385 */
											if (NULLP(CDR(BgL_envz00_4184)))
												{	/* Dataflow/walk.scm 387 */
													obj_t BgL_tmpz00_5286;

													{	/* Dataflow/walk.scm 387 */
														obj_t BgL_pairz00_4185;

														BgL_pairz00_4185 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
															BgL_bindingsz00);
														BgL_tmpz00_5286 = CAR(CAR(BgL_pairz00_4185));
													}
													BgL_test2429z00_5280 =
														(CAR(CAR(BgL_envz00_4184)) == BgL_tmpz00_5286);
												}
											else
												{	/* Dataflow/walk.scm 386 */
													BgL_test2429z00_5280 = ((bool_t) 0);
												}
										}
									if (BgL_test2429z00_5280)
										{	/* Dataflow/walk.scm 388 */
											obj_t BgL_arg2006z00_4186;

											{	/* Dataflow/walk.scm 388 */
												BgL_variablez00_bglt BgL_arg2008z00_4187;
												obj_t BgL_arg2010z00_4188;

												{
													BgL_varz00_bglt BgL_auxz00_5294;

													{
														obj_t BgL_auxz00_5295;

														{	/* Dataflow/walk.scm 388 */
															obj_t BgL_pairz00_4189;

															BgL_pairz00_4189 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_3978)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 388 */
																obj_t BgL_pairz00_4190;

																BgL_pairz00_4190 = CAR(BgL_pairz00_4189);
																BgL_auxz00_5295 = CDR(BgL_pairz00_4190);
															}
														}
														BgL_auxz00_5294 =
															((BgL_varz00_bglt) BgL_auxz00_5295);
													}
													BgL_arg2008z00_4187 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5294))->
														BgL_variablez00);
												}
												BgL_arg2010z00_4188 = CDR(CAR(BgL_envz00_4184));
												BgL_arg2006z00_4186 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2008z00_4187), BgL_arg2010z00_4188);
											}
											{	/* Dataflow/walk.scm 388 */
												obj_t BgL_list2007z00_4191;

												BgL_list2007z00_4191 =
													MAKE_YOUNG_PAIR(BgL_arg2006z00_4186, BNIL);
												return BgL_list2007z00_4191;
											}
										}
									else
										{	/* Dataflow/walk.scm 385 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 390 */
								bool_t BgL_test2432z00_5307;

								{	/* Dataflow/walk.scm 390 */
									bool_t BgL_test2433z00_5308;

									{	/* Dataflow/walk.scm 390 */
										BgL_nodez00_bglt BgL_arg2047z00_4192;

										BgL_arg2047z00_4192 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 390 */
											obj_t BgL_classz00_4193;

											BgL_classz00_4193 = BGl_varz00zzast_nodez00;
											{	/* Dataflow/walk.scm 390 */
												BgL_objectz00_bglt BgL_arg1820z00_4194;

												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_tmpz00_5311;

													BgL_tmpz00_5311 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2047z00_4192));
													BgL_arg1820z00_4194 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5311);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 390 */
														long BgL_idxz00_4195;

														BgL_idxz00_4195 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4194);
														BgL_test2433z00_5308 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4195 + ((long) 2))) ==
															BgL_classz00_4193);
													}
												else
													{	/* Dataflow/walk.scm 390 */
														bool_t BgL_res2233z00_4198;

														{	/* Dataflow/walk.scm 390 */
															obj_t BgL_oclassz00_4199;

															{	/* Dataflow/walk.scm 390 */
																long BgL_arg1828z00_4200;

																{	/* Dataflow/walk.scm 390 */
																	long BgL_arg1829z00_4201;

																	BgL_arg1829z00_4201 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4194);
																	BgL_arg1828z00_4200 =
																		(BgL_arg1829z00_4201 - OBJECT_TYPE);
																}
																BgL_oclassz00_4199 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4200);
															}
															{	/* Dataflow/walk.scm 390 */
																bool_t BgL__ortest_1111z00_4202;

																BgL__ortest_1111z00_4202 =
																	(BgL_classz00_4193 == BgL_oclassz00_4199);
																if (BgL__ortest_1111z00_4202)
																	{	/* Dataflow/walk.scm 390 */
																		BgL_res2233z00_4198 =
																			BgL__ortest_1111z00_4202;
																	}
																else
																	{	/* Dataflow/walk.scm 390 */
																		long BgL_odepthz00_4203;

																		BgL_odepthz00_4203 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4199);
																		if ((((long) 2) < BgL_odepthz00_4203))
																			{	/* Dataflow/walk.scm 390 */
																				obj_t BgL_arg1816z00_4204;

																				BgL_arg1816z00_4204 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4199, ((long) 2));
																				BgL_res2233z00_4198 =
																					(BgL_arg1816z00_4204 ==
																					BgL_classz00_4193);
																			}
																		else
																			{	/* Dataflow/walk.scm 390 */
																				BgL_res2233z00_4198 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2433z00_5308 = BgL_res2233z00_4198;
													}
											}
										}
									}
									if (BgL_test2433z00_5308)
										{	/* Dataflow/walk.scm 391 */
											bool_t BgL_test2437z00_5331;

											{	/* Dataflow/walk.scm 391 */
												obj_t BgL_tmpz00_5332;

												{	/* Dataflow/walk.scm 391 */
													obj_t BgL_pairz00_4205;

													BgL_pairz00_4205 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
														BgL_bindingsz00);
													BgL_tmpz00_5332 = CAR(CAR(BgL_pairz00_4205));
												}
												BgL_test2437z00_5331 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3978)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_5332);
											}
											if (BgL_test2437z00_5331)
												{	/* Dataflow/walk.scm 392 */
													BgL_typez00_bglt BgL_arg2040z00_4206;

													{
														BgL_variablez00_bglt BgL_auxz00_5343;

														{
															obj_t BgL_auxz00_5344;

															{	/* Dataflow/walk.scm 392 */
																obj_t BgL_pairz00_4207;

																BgL_pairz00_4207 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3978)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 392 */
																	obj_t BgL_pairz00_4208;

																	BgL_pairz00_4208 = CAR(BgL_pairz00_4207);
																	BgL_auxz00_5344 = CAR(BgL_pairz00_4208);
																}
															}
															BgL_auxz00_5343 =
																((BgL_variablez00_bglt) BgL_auxz00_5344);
														}
														BgL_arg2040z00_4206 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_5343))->BgL_typez00);
													}
													BgL_test2432z00_5307 =
														(
														((obj_t) BgL_arg2040z00_4206) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 391 */
													BgL_test2432z00_5307 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 390 */
											BgL_test2432z00_5307 = ((bool_t) 0);
										}
								}
								if (BgL_test2432z00_5307)
									{	/* Dataflow/walk.scm 393 */
										obj_t BgL_arg2037z00_4209;

										{	/* Dataflow/walk.scm 393 */
											obj_t BgL_pairz00_4210;

											BgL_pairz00_4210 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3978)))->
												BgL_bindingsz00);
											BgL_arg2037z00_4209 = CDR(CAR(BgL_pairz00_4210));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2037z00_4209));
									}
								else
									{	/* Dataflow/walk.scm 390 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 381 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-va1431 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1431zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3979, obj_t BgL_nodez00_3980)
	{
		{	/* Dataflow/walk.scm 362 */
			{	/* Dataflow/walk.scm 364 */
				bool_t BgL_test2438z00_5359;

				{	/* Dataflow/walk.scm 364 */
					BgL_variablez00_bglt BgL_arg1988z00_4212;

					BgL_arg1988z00_4212 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_3980)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 364 */
						obj_t BgL_classz00_4213;

						BgL_classz00_4213 = BGl_localzf2valuezf2zzdataflow_walkz00;
						{	/* Dataflow/walk.scm 364 */
							obj_t BgL_oclassz00_4214;

							{	/* Dataflow/walk.scm 364 */
								long BgL_arg1828z00_4215;

								{	/* Dataflow/walk.scm 364 */
									long BgL_arg1829z00_4216;

									BgL_arg1829z00_4216 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1988z00_4212));
									BgL_arg1828z00_4215 = (BgL_arg1829z00_4216 - OBJECT_TYPE);
								}
								BgL_oclassz00_4214 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_4215);
							}
							BgL_test2438z00_5359 = (BgL_oclassz00_4214 == BgL_classz00_4213);
				}}}
				if (BgL_test2438z00_5359)
					{	/* Dataflow/walk.scm 365 */
						BgL_nodez00_bglt BgL_arg1986z00_4217;

						{	/* Dataflow/walk.scm 365 */
							BgL_localz00_bglt BgL_oz00_4218;

							BgL_oz00_4218 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_3980)))->BgL_variablez00));
							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_5370;

								{
									obj_t BgL_auxz00_5371;

									{	/* Dataflow/walk.scm 365 */
										BgL_objectz00_bglt BgL_tmpz00_5372;

										BgL_tmpz00_5372 = ((BgL_objectz00_bglt) BgL_oz00_4218);
										BgL_auxz00_5371 = BGL_OBJECT_WIDENING(BgL_tmpz00_5372);
									}
									BgL_auxz00_5370 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_5371);
								}
								BgL_arg1986z00_4217 =
									(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5370))->
									BgL_nodez00);
							}
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1986z00_4217);
					}
				else
					{	/* Dataflow/walk.scm 364 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-co1429 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1429zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3981, obj_t BgL_nodez00_3982)
	{
		{	/* Dataflow/walk.scm 353 */
			{	/* Dataflow/walk.scm 355 */
				bool_t BgL_test2439z00_5378;

				{	/* Dataflow/walk.scm 355 */
					bool_t BgL_test2440z00_5379;

					{	/* Dataflow/walk.scm 355 */
						BgL_nodez00_bglt BgL_arg1983z00_4220;

						BgL_arg1983z00_4220 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3982)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 355 */
							obj_t BgL_classz00_4221;

							BgL_classz00_4221 = BGl_atomz00zzast_nodez00;
							{	/* Dataflow/walk.scm 355 */
								BgL_objectz00_bglt BgL_arg1820z00_4222;

								{	/* Dataflow/walk.scm 355 */
									obj_t BgL_tmpz00_5382;

									BgL_tmpz00_5382 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1983z00_4220));
									BgL_arg1820z00_4222 = (BgL_objectz00_bglt) (BgL_tmpz00_5382);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 355 */
										long BgL_idxz00_4223;

										BgL_idxz00_4223 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4222);
										BgL_test2440z00_5379 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4223 + ((long) 2))) == BgL_classz00_4221);
									}
								else
									{	/* Dataflow/walk.scm 355 */
										bool_t BgL_res2230z00_4226;

										{	/* Dataflow/walk.scm 355 */
											obj_t BgL_oclassz00_4227;

											{	/* Dataflow/walk.scm 355 */
												long BgL_arg1828z00_4228;

												{	/* Dataflow/walk.scm 355 */
													long BgL_arg1829z00_4229;

													BgL_arg1829z00_4229 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4222);
													BgL_arg1828z00_4228 =
														(BgL_arg1829z00_4229 - OBJECT_TYPE);
												}
												BgL_oclassz00_4227 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4228);
											}
											{	/* Dataflow/walk.scm 355 */
												bool_t BgL__ortest_1111z00_4230;

												BgL__ortest_1111z00_4230 =
													(BgL_classz00_4221 == BgL_oclassz00_4227);
												if (BgL__ortest_1111z00_4230)
													{	/* Dataflow/walk.scm 355 */
														BgL_res2230z00_4226 = BgL__ortest_1111z00_4230;
													}
												else
													{	/* Dataflow/walk.scm 355 */
														long BgL_odepthz00_4231;

														BgL_odepthz00_4231 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4227);
														if ((((long) 2) < BgL_odepthz00_4231))
															{	/* Dataflow/walk.scm 355 */
																obj_t BgL_arg1816z00_4232;

																BgL_arg1816z00_4232 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4227,
																	((long) 2));
																BgL_res2230z00_4226 =
																	(BgL_arg1816z00_4232 == BgL_classz00_4221);
															}
														else
															{	/* Dataflow/walk.scm 355 */
																BgL_res2230z00_4226 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2440z00_5379 = BgL_res2230z00_4226;
									}
							}
						}
					}
					if (BgL_test2440z00_5379)
						{	/* Dataflow/walk.scm 355 */
							BgL_test2439z00_5378 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3982)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 355 */
							BgL_test2439z00_5378 = ((bool_t) 0);
						}
				}
				if (BgL_test2439z00_5378)
					{	/* Dataflow/walk.scm 355 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3982)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_3982)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 355 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-in1427 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1427zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3983, obj_t BgL_nodez00_3984)
	{
		{	/* Dataflow/walk.scm 344 */
			{	/* Dataflow/walk.scm 346 */
				bool_t BgL_test2444z00_5414;

				{	/* Dataflow/walk.scm 346 */
					obj_t BgL_arg1969z00_4234;

					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_pairz00_4235;

						BgL_pairz00_4235 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_3984))))->
							BgL_exprza2za2);
						BgL_arg1969z00_4234 = CAR(BgL_pairz00_4235);
					}
					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_classz00_4236;

						BgL_classz00_4236 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg1969z00_4234))
							{	/* Dataflow/walk.scm 346 */
								BgL_objectz00_bglt BgL_arg1820z00_4237;

								BgL_arg1820z00_4237 =
									(BgL_objectz00_bglt) (BgL_arg1969z00_4234);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 346 */
										long BgL_idxz00_4238;

										BgL_idxz00_4238 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4237);
										BgL_test2444z00_5414 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4238 + ((long) 2))) == BgL_classz00_4236);
									}
								else
									{	/* Dataflow/walk.scm 346 */
										bool_t BgL_res2228z00_4241;

										{	/* Dataflow/walk.scm 346 */
											obj_t BgL_oclassz00_4242;

											{	/* Dataflow/walk.scm 346 */
												long BgL_arg1828z00_4243;

												{	/* Dataflow/walk.scm 346 */
													long BgL_arg1829z00_4244;

													BgL_arg1829z00_4244 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4237);
													BgL_arg1828z00_4243 =
														(BgL_arg1829z00_4244 - OBJECT_TYPE);
												}
												BgL_oclassz00_4242 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4243);
											}
											{	/* Dataflow/walk.scm 346 */
												bool_t BgL__ortest_1111z00_4245;

												BgL__ortest_1111z00_4245 =
													(BgL_classz00_4236 == BgL_oclassz00_4242);
												if (BgL__ortest_1111z00_4245)
													{	/* Dataflow/walk.scm 346 */
														BgL_res2228z00_4241 = BgL__ortest_1111z00_4245;
													}
												else
													{	/* Dataflow/walk.scm 346 */
														long BgL_odepthz00_4246;

														BgL_odepthz00_4246 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4242);
														if ((((long) 2) < BgL_odepthz00_4246))
															{	/* Dataflow/walk.scm 346 */
																obj_t BgL_arg1816z00_4247;

																BgL_arg1816z00_4247 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4242,
																	((long) 2));
																BgL_res2228z00_4241 =
																	(BgL_arg1816z00_4247 == BgL_classz00_4236);
															}
														else
															{	/* Dataflow/walk.scm 346 */
																BgL_res2228z00_4241 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2444z00_5414 = BgL_res2228z00_4241;
									}
							}
						else
							{	/* Dataflow/walk.scm 346 */
								BgL_test2444z00_5414 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2444z00_5414)
					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_arg1963z00_4248;

						{	/* Dataflow/walk.scm 347 */
							BgL_variablez00_bglt BgL_arg1965z00_4249;
							BgL_typez00_bglt BgL_arg1966z00_4250;

							{
								BgL_varz00_bglt BgL_auxz00_5438;

								{	/* Dataflow/walk.scm 347 */
									obj_t BgL_pairz00_4251;

									BgL_pairz00_4251 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_3984))))->
										BgL_exprza2za2);
									BgL_auxz00_5438 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4251));
								}
								BgL_arg1965z00_4249 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5438))->
									BgL_variablez00);
							}
							BgL_arg1966z00_4250 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_3984)))->
								BgL_classz00);
							BgL_arg1963z00_4248 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1965z00_4249),
								((obj_t) BgL_arg1966z00_4250));
						}
						{	/* Dataflow/walk.scm 347 */
							obj_t BgL_list1964z00_4252;

							BgL_list1964z00_4252 = MAKE_YOUNG_PAIR(BgL_arg1963z00_4248, BNIL);
							return BgL_list1964z00_4252;
						}
					}
				else
					{	/* Dataflow/walk.scm 346 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-ap1425 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1425zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		{	/* Dataflow/walk.scm 321 */
			{	/* Dataflow/walk.scm 323 */
				BgL_variablez00_bglt BgL_fz00_4254;

				BgL_fz00_4254 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3986)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 323 */
					BgL_valuez00_bglt BgL_funvz00_4255;

					BgL_funvz00_4255 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4254))->BgL_valuez00);
					{	/* Dataflow/walk.scm 324 */

						{	/* Dataflow/walk.scm 326 */
							obj_t BgL_g1170z00_4256;

							BgL_g1170z00_4256 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3986)));
							if (CBOOL(BgL_g1170z00_4256))
								{	/* Dataflow/walk.scm 329 */
									bool_t BgL_test2450z00_5460;

									{	/* Dataflow/walk.scm 329 */
										obj_t BgL_arg1921z00_4257;

										BgL_arg1921z00_4257 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3986)))->
												BgL_argsz00));
										{	/* Dataflow/walk.scm 329 */
											obj_t BgL_classz00_4258;

											BgL_classz00_4258 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1921z00_4257))
												{	/* Dataflow/walk.scm 329 */
													BgL_objectz00_bglt BgL_arg1820z00_4259;

													BgL_arg1820z00_4259 =
														(BgL_objectz00_bglt) (BgL_arg1921z00_4257);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Dataflow/walk.scm 329 */
															long BgL_idxz00_4260;

															BgL_idxz00_4260 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4259);
															BgL_test2450z00_5460 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4260 + ((long) 2))) ==
																BgL_classz00_4258);
														}
													else
														{	/* Dataflow/walk.scm 329 */
															bool_t BgL_res2223z00_4263;

															{	/* Dataflow/walk.scm 329 */
																obj_t BgL_oclassz00_4264;

																{	/* Dataflow/walk.scm 329 */
																	long BgL_arg1828z00_4265;

																	{	/* Dataflow/walk.scm 329 */
																		long BgL_arg1829z00_4266;

																		BgL_arg1829z00_4266 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4259);
																		BgL_arg1828z00_4265 =
																			(BgL_arg1829z00_4266 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4264 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4265);
																}
																{	/* Dataflow/walk.scm 329 */
																	bool_t BgL__ortest_1111z00_4267;

																	BgL__ortest_1111z00_4267 =
																		(BgL_classz00_4258 == BgL_oclassz00_4264);
																	if (BgL__ortest_1111z00_4267)
																		{	/* Dataflow/walk.scm 329 */
																			BgL_res2223z00_4263 =
																				BgL__ortest_1111z00_4267;
																		}
																	else
																		{	/* Dataflow/walk.scm 329 */
																			long BgL_odepthz00_4268;

																			BgL_odepthz00_4268 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4264);
																			if ((((long) 2) < BgL_odepthz00_4268))
																				{	/* Dataflow/walk.scm 329 */
																					obj_t BgL_arg1816z00_4269;

																					BgL_arg1816z00_4269 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4264, ((long) 2));
																					BgL_res2223z00_4263 =
																						(BgL_arg1816z00_4269 ==
																						BgL_classz00_4258);
																				}
																			else
																				{	/* Dataflow/walk.scm 329 */
																					BgL_res2223z00_4263 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2450z00_5460 = BgL_res2223z00_4263;
														}
												}
											else
												{	/* Dataflow/walk.scm 329 */
													BgL_test2450z00_5460 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2450z00_5460)
										{	/* Dataflow/walk.scm 330 */
											obj_t BgL_arg1916z00_4270;

											{	/* Dataflow/walk.scm 330 */
												BgL_variablez00_bglt BgL_arg1918z00_4271;

												{
													BgL_varz00_bglt BgL_auxz00_5483;

													{	/* Dataflow/walk.scm 330 */
														obj_t BgL_pairz00_4272;

														BgL_pairz00_4272 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3986)))->
															BgL_argsz00);
														BgL_auxz00_5483 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4272));
													}
													BgL_arg1918z00_4271 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5483))->
														BgL_variablez00);
												}
												BgL_arg1916z00_4270 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1918z00_4271), BgL_g1170z00_4256);
											}
											{	/* Dataflow/walk.scm 330 */
												obj_t BgL_list1917z00_4273;

												BgL_list1917z00_4273 =
													MAKE_YOUNG_PAIR(BgL_arg1916z00_4270, BNIL);
												return BgL_list1917z00_4273;
											}
										}
									else
										{	/* Dataflow/walk.scm 329 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 332 */
									bool_t BgL_test2455z00_5492;

									{	/* Dataflow/walk.scm 332 */
										bool_t BgL_test2456z00_5493;

										{	/* Dataflow/walk.scm 332 */
											obj_t BgL_classz00_4274;

											BgL_classz00_4274 = BGl_funz00zzast_varz00;
											{	/* Dataflow/walk.scm 332 */
												BgL_objectz00_bglt BgL_arg1820z00_4275;

												{	/* Dataflow/walk.scm 332 */
													obj_t BgL_tmpz00_5494;

													BgL_tmpz00_5494 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funvz00_4255));
													BgL_arg1820z00_4275 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5494);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 332 */
														long BgL_idxz00_4276;

														BgL_idxz00_4276 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4275);
														BgL_test2456z00_5493 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4276 + ((long) 2))) ==
															BgL_classz00_4274);
													}
												else
													{	/* Dataflow/walk.scm 332 */
														bool_t BgL_res2225z00_4279;

														{	/* Dataflow/walk.scm 332 */
															obj_t BgL_oclassz00_4280;

															{	/* Dataflow/walk.scm 332 */
																long BgL_arg1828z00_4281;

																{	/* Dataflow/walk.scm 332 */
																	long BgL_arg1829z00_4282;

																	BgL_arg1829z00_4282 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4275);
																	BgL_arg1828z00_4281 =
																		(BgL_arg1829z00_4282 - OBJECT_TYPE);
																}
																BgL_oclassz00_4280 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4281);
															}
															{	/* Dataflow/walk.scm 332 */
																bool_t BgL__ortest_1111z00_4283;

																BgL__ortest_1111z00_4283 =
																	(BgL_classz00_4274 == BgL_oclassz00_4280);
																if (BgL__ortest_1111z00_4283)
																	{	/* Dataflow/walk.scm 332 */
																		BgL_res2225z00_4279 =
																			BgL__ortest_1111z00_4283;
																	}
																else
																	{	/* Dataflow/walk.scm 332 */
																		long BgL_odepthz00_4284;

																		BgL_odepthz00_4284 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4280);
																		if ((((long) 2) < BgL_odepthz00_4284))
																			{	/* Dataflow/walk.scm 332 */
																				obj_t BgL_arg1816z00_4285;

																				BgL_arg1816z00_4285 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4280, ((long) 2));
																				BgL_res2225z00_4279 =
																					(BgL_arg1816z00_4285 ==
																					BgL_classz00_4274);
																			}
																		else
																			{	/* Dataflow/walk.scm 332 */
																				BgL_res2225z00_4279 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2456z00_5493 = BgL_res2225z00_4279;
													}
											}
										}
										if (BgL_test2456z00_5493)
											{	/* Dataflow/walk.scm 332 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_4255)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 334 */
														bool_t BgL_test2461z00_5518;

														{	/* Dataflow/walk.scm 334 */
															obj_t BgL_tmpz00_5519;

															BgL_tmpz00_5519 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3986)))->
																BgL_argsz00);
															BgL_test2461z00_5518 = PAIRP(BgL_tmpz00_5519);
														}
														if (BgL_test2461z00_5518)
															{	/* Dataflow/walk.scm 334 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_3986)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 335 */
																		bool_t BgL_test2463z00_5528;

																		{	/* Dataflow/walk.scm 335 */
																			obj_t BgL_arg1954z00_4286;

																			BgL_arg1954z00_4286 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_3986)))->
																					BgL_argsz00));
																			{	/* Dataflow/walk.scm 335 */
																				obj_t BgL_classz00_4287;

																				BgL_classz00_4287 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1954z00_4286))
																					{	/* Dataflow/walk.scm 335 */
																						BgL_objectz00_bglt
																							BgL_arg1820z00_4288;
																						BgL_arg1820z00_4288 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1954z00_4286);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Dataflow/walk.scm 335 */
																								long BgL_idxz00_4289;

																								BgL_idxz00_4289 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1820z00_4288);
																								BgL_test2463z00_5528 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4289 +
																											((long) 2))) ==
																									BgL_classz00_4287);
																							}
																						else
																							{	/* Dataflow/walk.scm 335 */
																								bool_t BgL_res2226z00_4292;

																								{	/* Dataflow/walk.scm 335 */
																									obj_t BgL_oclassz00_4293;

																									{	/* Dataflow/walk.scm 335 */
																										long BgL_arg1828z00_4294;

																										{	/* Dataflow/walk.scm 335 */
																											long BgL_arg1829z00_4295;

																											BgL_arg1829z00_4295 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1820z00_4288);
																											BgL_arg1828z00_4294 =
																												(BgL_arg1829z00_4295 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4293 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1828z00_4294);
																									}
																									{	/* Dataflow/walk.scm 335 */
																										bool_t
																											BgL__ortest_1111z00_4296;
																										BgL__ortest_1111z00_4296 =
																											(BgL_classz00_4287 ==
																											BgL_oclassz00_4293);
																										if (BgL__ortest_1111z00_4296)
																											{	/* Dataflow/walk.scm 335 */
																												BgL_res2226z00_4292 =
																													BgL__ortest_1111z00_4296;
																											}
																										else
																											{	/* Dataflow/walk.scm 335 */
																												long BgL_odepthz00_4297;

																												BgL_odepthz00_4297 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4293);
																												if ((((long) 2) <
																														BgL_odepthz00_4297))
																													{	/* Dataflow/walk.scm 335 */
																														obj_t
																															BgL_arg1816z00_4298;
																														BgL_arg1816z00_4298
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4293,
																															((long) 2));
																														BgL_res2226z00_4292
																															=
																															(BgL_arg1816z00_4298
																															==
																															BgL_classz00_4287);
																													}
																												else
																													{	/* Dataflow/walk.scm 335 */
																														BgL_res2226z00_4292
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2463z00_5528 =
																									BgL_res2226z00_4292;
																							}
																					}
																				else
																					{	/* Dataflow/walk.scm 335 */
																						BgL_test2463z00_5528 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2463z00_5528)
																			{	/* Dataflow/walk.scm 336 */
																				BgL_typez00_bglt BgL_arg1950z00_4299;

																				{
																					BgL_variablez00_bglt BgL_auxz00_5551;

																					{
																						BgL_varz00_bglt BgL_auxz00_5552;

																						{	/* Dataflow/walk.scm 336 */
																							obj_t BgL_pairz00_4300;

																							BgL_pairz00_4300 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_3986)))->
																								BgL_argsz00);
																							BgL_auxz00_5552 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_4300));
																						}
																						BgL_auxz00_5551 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_5552))->
																							BgL_variablez00);
																					}
																					BgL_arg1950z00_4299 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_5551))->
																						BgL_typez00);
																				}
																				BgL_test2455z00_5492 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1950z00_4299);
																			}
																		else
																			{	/* Dataflow/walk.scm 335 */
																				BgL_test2455z00_5492 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 334 */
																		BgL_test2455z00_5492 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 334 */
																BgL_test2455z00_5492 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 333 */
														BgL_test2455z00_5492 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 332 */
												BgL_test2455z00_5492 = ((bool_t) 0);
											}
									}
									if (BgL_test2455z00_5492)
										{	/* Dataflow/walk.scm 337 */
											obj_t BgL_arg1944z00_4301;

											{	/* Dataflow/walk.scm 337 */
												BgL_variablez00_bglt BgL_arg1946z00_4302;
												obj_t BgL_arg1947z00_4303;

												{
													BgL_varz00_bglt BgL_auxz00_5560;

													{	/* Dataflow/walk.scm 337 */
														obj_t BgL_pairz00_4304;

														BgL_pairz00_4304 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3986)))->
															BgL_argsz00);
														BgL_auxz00_5560 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4304));
													}
													BgL_arg1946z00_4302 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5560))->
														BgL_variablez00);
												}
												BgL_arg1947z00_4303 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_4255)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1944z00_4301 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1946z00_4302),
													BgL_arg1947z00_4303);
											}
											{	/* Dataflow/walk.scm 337 */
												obj_t BgL_list1945z00_4305;

												BgL_list1945z00_4305 =
													MAKE_YOUNG_PAIR(BgL_arg1944z00_4301, BNIL);
												return BgL_list1945z00_4305;
											}
										}
									else
										{	/* Dataflow/walk.scm 332 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-box-s1420 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1420za2zzdataflow_walkz00(obj_t
		BgL_envz00_3987, obj_t BgL_nodez00_3988, obj_t BgL_envz00_3989)
	{
		{	/* Dataflow/walk.scm 301 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3988)))->BgL_valuez00),
				BgL_envz00_3989);
		}

	}



/* &dataflow-node!-box-r1418 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1418za2zzdataflow_walkz00(obj_t
		BgL_envz00_3990, obj_t BgL_nodez00_3991, obj_t BgL_envz00_3992)
	{
		{	/* Dataflow/walk.scm 294 */
			return ((obj_t) BgL_envz00_3992);
		}

	}



/* &dataflow-node!-make-1416 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21416za2zzdataflow_walkz00(obj_t
		BgL_envz00_3993, obj_t BgL_nodez00_3994, obj_t BgL_envz00_3995)
	{
		{	/* Dataflow/walk.scm 288 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3994)))->BgL_valuez00),
				BgL_envz00_3995);
		}

	}



/* &dataflow-node!-jump-1414 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21414za2zzdataflow_walkz00(obj_t
		BgL_envz00_3996, obj_t BgL_nodez00_3997, obj_t BgL_envz00_3998)
	{
		{	/* Dataflow/walk.scm 279 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3997)))->BgL_exitz00),
				BgL_envz00_3998);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3997)))->
					BgL_valuez00), BgL_envz00_3998);
			return BNIL;
		}

	}



/* &dataflow-node!-set-e1412 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1412za2zzdataflow_walkz00(obj_t
		BgL_envz00_3999, obj_t BgL_nodez00_4000, obj_t BgL_envz00_4001)
	{
		{	/* Dataflow/walk.scm 270 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4000)))->BgL_bodyz00),
				BgL_envz00_4001);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_setzd2exzd2itz00_bglt)
						COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4000)))->
					BgL_onexitz00), BgL_envz00_4001);
			return BNIL;
		}

	}



/* &dataflow-node!-let-v1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1410za2zzdataflow_walkz00(obj_t
		BgL_envz00_4002, obj_t BgL_nodez00_4003, obj_t BgL_envz00_4004)
	{
		{	/* Dataflow/walk.scm 238 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 241 */
				long BgL_stampz00_4313;

				BgL_stampz00_4313 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 241 */
					obj_t BgL_envz00_4314;

					{
						obj_t BgL_bindingsz00_4316;
						obj_t BgL_envz00_4317;

						BgL_bindingsz00_4316 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4003)))->
							BgL_bindingsz00);
						BgL_envz00_4317 = BgL_envz00_4004;
					BgL_loopz00_4315:
						if (NULLP(BgL_bindingsz00_4316))
							{	/* Dataflow/walk.scm 244 */
								BgL_envz00_4314 = BgL_envz00_4317;
							}
						else
							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_nodez00_4318;

								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_pairz00_4319;

									BgL_pairz00_4319 = CAR(((obj_t) BgL_bindingsz00_4316));
									BgL_nodez00_4318 = CDR(BgL_pairz00_4319);
								}
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_envz00_4320;

									BgL_envz00_4320 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_4318), BgL_envz00_4317);
									{	/* Dataflow/walk.scm 247 */

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_lz00_4321;

											{	/* Dataflow/walk.scm 248 */
												obj_t BgL_pairz00_4322;

												BgL_pairz00_4322 = CAR(((obj_t) BgL_bindingsz00_4316));
												BgL_lz00_4321 = CAR(BgL_pairz00_4322);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_4321)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
												{	/* Dataflow/walk.scm 249 */
													{	/* Dataflow/walk.scm 250 */
														BgL_localzf2valuezf2_bglt BgL_wide1163z00_4323;

														BgL_wide1163z00_4323 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 250 */
															obj_t BgL_auxz00_5611;
															BgL_objectz00_bglt BgL_tmpz00_5607;

															BgL_auxz00_5611 = ((obj_t) BgL_wide1163z00_4323);
															BgL_tmpz00_5607 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_4321)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5607,
																BgL_auxz00_5611);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4321)));
														{	/* Dataflow/walk.scm 250 */
															long BgL_arg1900z00_4324;

															BgL_arg1900z00_4324 =
																BGL_CLASS_NUM
																(BGl_localzf2valuezf2zzdataflow_walkz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) ((BgL_localz00_bglt)
																			BgL_lz00_4321))), BgL_arg1900z00_4324);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4321)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5625;

														{
															obj_t BgL_auxz00_5626;

															{	/* Dataflow/walk.scm 251 */
																BgL_objectz00_bglt BgL_tmpz00_5627;

																BgL_tmpz00_5627 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4321)));
																BgL_auxz00_5626 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5627);
															}
															BgL_auxz00_5625 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5626);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5625))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_4313)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5635;

														{
															obj_t BgL_auxz00_5636;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5637;

																BgL_tmpz00_5637 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4321)));
																BgL_auxz00_5636 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5637);
															}
															BgL_auxz00_5635 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5636);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5635))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_4318)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_4321)));
												}
											else
												{	/* Dataflow/walk.scm 249 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 253 */
											obj_t BgL_arg1902z00_4325;

											BgL_arg1902z00_4325 = CDR(((obj_t) BgL_bindingsz00_4316));
											{
												obj_t BgL_envz00_5651;
												obj_t BgL_bindingsz00_5650;

												BgL_bindingsz00_5650 = BgL_arg1902z00_4325;
												BgL_envz00_5651 = BgL_envz00_4320;
												BgL_envz00_4317 = BgL_envz00_5651;
												BgL_bindingsz00_4316 = BgL_bindingsz00_5650;
												goto BgL_loopz00_4315;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 242 */

						{	/* Dataflow/walk.scm 254 */
							obj_t BgL_arg1865z00_4326;

							BgL_arg1865z00_4326 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4003)))->
									BgL_bodyz00), BgL_envz00_4314);
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_zc3z04anonymousza31867ze3z87_4327;

								BgL_zc3z04anonymousza31867ze3z87_4327 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31867ze3ze5zzdataflow_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31867ze3z87_4327,
									(int) (((long) 0)), BINT(BgL_stampz00_4313));
								{	/* Dataflow/walk.scm 254 */
									obj_t BgL_list1866z00_4328;

									BgL_list1866z00_4328 =
										MAKE_YOUNG_PAIR(BgL_arg1865z00_4326, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31867ze3z87_4327,
										BgL_list1866z00_4328);
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1867> */
	obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_4005, obj_t BgL_bz00_4007)
	{
		{	/* Dataflow/walk.scm 254 */
			{	/* Dataflow/walk.scm 256 */
				long BgL_stampz00_4006;

				BgL_stampz00_4006 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4005, (int) (((long) 0))));
				{	/* Dataflow/walk.scm 256 */
					bool_t BgL_test2470z00_5668;

					{	/* Dataflow/walk.scm 256 */
						bool_t BgL_test2471z00_5669;

						{	/* Dataflow/walk.scm 256 */
							obj_t BgL_arg1890z00_4329;

							BgL_arg1890z00_4329 = CAR(((obj_t) BgL_bz00_4007));
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_classz00_4330;

								BgL_classz00_4330 = BGl_localzf2valuezf2zzdataflow_walkz00;
								if (BGL_OBJECTP(BgL_arg1890z00_4329))
									{	/* Dataflow/walk.scm 256 */
										obj_t BgL_oclassz00_4331;

										{	/* Dataflow/walk.scm 256 */
											long BgL_arg1828z00_4332;

											{	/* Dataflow/walk.scm 256 */
												long BgL_arg1829z00_4333;

												BgL_arg1829z00_4333 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_arg1890z00_4329));
												BgL_arg1828z00_4332 =
													(BgL_arg1829z00_4333 - OBJECT_TYPE);
											}
											BgL_oclassz00_4331 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4332);
										}
										BgL_test2471z00_5669 =
											(BgL_oclassz00_4331 == BgL_classz00_4330);
									}
								else
									{	/* Dataflow/walk.scm 256 */
										BgL_test2471z00_5669 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2471z00_5669)
							{	/* Dataflow/walk.scm 257 */
								int BgL_arg1888z00_4334;

								{	/* Dataflow/walk.scm 257 */
									BgL_localz00_bglt BgL_oz00_4335;

									BgL_oz00_4335 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4007)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5682;

										{
											obj_t BgL_auxz00_5683;

											{	/* Dataflow/walk.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_5684;

												BgL_tmpz00_5684 = ((BgL_objectz00_bglt) BgL_oz00_4335);
												BgL_auxz00_5683 = BGL_OBJECT_WIDENING(BgL_tmpz00_5684);
											}
											BgL_auxz00_5682 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5683);
										}
										BgL_arg1888z00_4334 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5682))->
											BgL_stampz00);
								}}
								BgL_test2470z00_5668 =
									((long) (BgL_arg1888z00_4334) < BgL_stampz00_4006);
							}
						else
							{	/* Dataflow/walk.scm 256 */
								BgL_test2470z00_5668 = ((bool_t) 1);
							}
					}
					if (BgL_test2470z00_5668)
						{	/* Dataflow/walk.scm 256 */
							return BgL_bz00_4007;
						}
					else
						{	/* Dataflow/walk.scm 259 */
							bool_t BgL_test2473z00_5691;

							{	/* Dataflow/walk.scm 259 */
								BgL_nodez00_bglt BgL_arg1886z00_4336;

								{	/* Dataflow/walk.scm 259 */
									BgL_localz00_bglt BgL_oz00_4337;

									BgL_oz00_4337 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4007)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5695;

										{
											obj_t BgL_auxz00_5696;

											{	/* Dataflow/walk.scm 259 */
												BgL_objectz00_bglt BgL_tmpz00_5697;

												BgL_tmpz00_5697 = ((BgL_objectz00_bglt) BgL_oz00_4337);
												BgL_auxz00_5696 = BGL_OBJECT_WIDENING(BgL_tmpz00_5697);
											}
											BgL_auxz00_5695 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5696);
										}
										BgL_arg1886z00_4336 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5695))->
											BgL_nodez00);
									}
								}
								{	/* Dataflow/walk.scm 259 */
									obj_t BgL_classz00_4338;

									BgL_classz00_4338 = BGl_varz00zzast_nodez00;
									{	/* Dataflow/walk.scm 259 */
										BgL_objectz00_bglt BgL_arg1820z00_4339;

										{	/* Dataflow/walk.scm 259 */
											obj_t BgL_tmpz00_5702;

											BgL_tmpz00_5702 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1886z00_4336));
											BgL_arg1820z00_4339 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5702);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 259 */
												long BgL_idxz00_4340;

												BgL_idxz00_4340 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4339);
												BgL_test2473z00_5691 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4340 + ((long) 2))) ==
													BgL_classz00_4338);
											}
										else
											{	/* Dataflow/walk.scm 259 */
												bool_t BgL_res2222z00_4343;

												{	/* Dataflow/walk.scm 259 */
													obj_t BgL_oclassz00_4344;

													{	/* Dataflow/walk.scm 259 */
														long BgL_arg1828z00_4345;

														{	/* Dataflow/walk.scm 259 */
															long BgL_arg1829z00_4346;

															BgL_arg1829z00_4346 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4339);
															BgL_arg1828z00_4345 =
																(BgL_arg1829z00_4346 - OBJECT_TYPE);
														}
														BgL_oclassz00_4344 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4345);
													}
													{	/* Dataflow/walk.scm 259 */
														bool_t BgL__ortest_1111z00_4347;

														BgL__ortest_1111z00_4347 =
															(BgL_classz00_4338 == BgL_oclassz00_4344);
														if (BgL__ortest_1111z00_4347)
															{	/* Dataflow/walk.scm 259 */
																BgL_res2222z00_4343 = BgL__ortest_1111z00_4347;
															}
														else
															{	/* Dataflow/walk.scm 259 */
																long BgL_odepthz00_4348;

																BgL_odepthz00_4348 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4344);
																if ((((long) 2) < BgL_odepthz00_4348))
																	{	/* Dataflow/walk.scm 259 */
																		obj_t BgL_arg1816z00_4349;

																		BgL_arg1816z00_4349 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4344, ((long) 2));
																		BgL_res2222z00_4343 =
																			(BgL_arg1816z00_4349 ==
																			BgL_classz00_4338);
																	}
																else
																	{	/* Dataflow/walk.scm 259 */
																		BgL_res2222z00_4343 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2473z00_5691 = BgL_res2222z00_4343;
											}
									}
								}
							}
							if (BgL_test2473z00_5691)
								{	/* Dataflow/walk.scm 260 */
									BgL_variablez00_bglt BgL_vz00_4350;

									{	/* Dataflow/walk.scm 260 */
										BgL_nodez00_bglt BgL_arg1884z00_4351;

										{	/* Dataflow/walk.scm 260 */
											BgL_localz00_bglt BgL_oz00_4352;

											BgL_oz00_4352 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4007)));
											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_5725;

												{
													obj_t BgL_auxz00_5726;

													{	/* Dataflow/walk.scm 260 */
														BgL_objectz00_bglt BgL_tmpz00_5727;

														BgL_tmpz00_5727 =
															((BgL_objectz00_bglt) BgL_oz00_4352);
														BgL_auxz00_5726 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5727);
													}
													BgL_auxz00_5725 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_5726);
												}
												BgL_arg1884z00_4351 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_5725))->BgL_nodez00);
											}
										}
										BgL_vz00_4350 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_arg1884z00_4351)))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_4350))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
										{	/* Dataflow/walk.scm 262 */
											obj_t BgL_arg1882z00_4353;

											BgL_arg1882z00_4353 = CDR(((obj_t) BgL_bz00_4007));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_4350), BgL_arg1882z00_4353);
										}
									else
										{	/* Dataflow/walk.scm 261 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 259 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-let-f1406 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1406za2zzdataflow_walkz00(obj_t
		BgL_envz00_4008, obj_t BgL_nodez00_4009, obj_t BgL_envz00_4010)
	{
		{	/* Dataflow/walk.scm 223 */
			{	/* Dataflow/walk.scm 225 */
				obj_t BgL_g1357z00_4355;

				BgL_g1357z00_4355 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4009)))->BgL_localsz00);
				{
					obj_t BgL_l1355z00_4357;

					BgL_l1355z00_4357 = BgL_g1357z00_4355;
				BgL_zc3z04anonymousza31857ze3z87_4356:
					if (PAIRP(BgL_l1355z00_4357))
						{	/* Dataflow/walk.scm 225 */
							{	/* Dataflow/walk.scm 226 */
								obj_t BgL_localz00_4358;

								BgL_localz00_4358 = CAR(BgL_l1355z00_4357);
								{	/* Dataflow/walk.scm 226 */
									obj_t BgL_arg1859z00_4359;

									BgL_arg1859z00_4359 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_4358))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1859z00_4359), BNIL);
								}
							}
							{
								obj_t BgL_l1355z00_5754;

								BgL_l1355z00_5754 = CDR(BgL_l1355z00_4357);
								BgL_l1355z00_4357 = BgL_l1355z00_5754;
								goto BgL_zc3z04anonymousza31857ze3z87_4356;
							}
						}
					else
						{	/* Dataflow/walk.scm 225 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4009)))->BgL_bodyz00),
				BgL_envz00_4010);
		}

	}



/* &dataflow-node!-switc1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1404z70zzdataflow_walkz00(obj_t
		BgL_envz00_4011, obj_t BgL_nodez00_4012, obj_t BgL_envz00_4013)
	{
		{	/* Dataflow/walk.scm 212 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4012)))->BgL_testz00),
				BgL_envz00_4013);
			{	/* Dataflow/walk.scm 215 */
				obj_t BgL_g1354z00_4361;

				BgL_g1354z00_4361 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4012)))->BgL_clausesz00);
				{
					obj_t BgL_l1352z00_4363;

					BgL_l1352z00_4363 = BgL_g1354z00_4361;
				BgL_zc3z04anonymousza31852ze3z87_4362:
					if (PAIRP(BgL_l1352z00_4363))
						{	/* Dataflow/walk.scm 215 */
							{	/* Dataflow/walk.scm 216 */
								obj_t BgL_clausez00_4364;

								BgL_clausez00_4364 = CAR(BgL_l1352z00_4363);
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_arg1854z00_4365;

									BgL_arg1854z00_4365 = CDR(((obj_t) BgL_clausez00_4364));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1854z00_4365), BgL_envz00_4013);
								}
							}
							{
								obj_t BgL_l1352z00_5771;

								BgL_l1352z00_5771 = CDR(BgL_l1352z00_4363);
								BgL_l1352z00_4363 = BgL_l1352z00_5771;
								goto BgL_zc3z04anonymousza31852ze3z87_4362;
							}
						}
					else
						{	/* Dataflow/walk.scm 215 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_4013;
		}

	}



/* &dataflow-node!-fail1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1402z70zzdataflow_walkz00(obj_t
		BgL_envz00_4014, obj_t BgL_nodez00_4015, obj_t BgL_envz00_4016)
	{
		{	/* Dataflow/walk.scm 202 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4015)))->BgL_procz00),
				BgL_envz00_4016);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4015)))->BgL_msgz00),
				BgL_envz00_4016);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4015)))->BgL_objz00),
				BgL_envz00_4016);
			return BgL_envz00_4016;
		}

	}



/* &dataflow-node!-condi1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1400z70zzdataflow_walkz00(obj_t
		BgL_envz00_4017, obj_t BgL_nodez00_4018, obj_t BgL_envz00_4019)
	{
		{	/* Dataflow/walk.scm 179 */
			{
				obj_t BgL_env1z00_4369;
				obj_t BgL_env2z00_4370;

				{	/* Dataflow/walk.scm 190 */
					obj_t BgL_tenvz00_4381;

					BgL_tenvz00_4381 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4018)))->BgL_testz00),
						BgL_envz00_4019);
					{	/* Dataflow/walk.scm 190 */
						obj_t BgL_truezd2envzd2_4382;

						BgL_truezd2envzd2_4382 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4018)))->BgL_testz00)), BgL_tenvz00_4381);
						{	/* Dataflow/walk.scm 191 */
							obj_t BgL_falsezd2envzd2_4383;

							BgL_falsezd2envzd2_4383 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4018)))->
										BgL_testz00)), BgL_tenvz00_4381);
							{	/* Dataflow/walk.scm 192 */

								{	/* Dataflow/walk.scm 193 */
									obj_t BgL_tenvz00_4384;
									obj_t BgL_fenvz00_4385;

									BgL_tenvz00_4384 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_4018)))->
											BgL_falsez00), BgL_falsezd2envzd2_4383);
									BgL_fenvz00_4385 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4018)))->
											BgL_truez00), BgL_truezd2envzd2_4382);
									{	/* Dataflow/walk.scm 195 */
										bool_t BgL_test2480z00_5799;

										{	/* Dataflow/walk.scm 195 */
											BgL_nodez00_bglt BgL_arg1817z00_4386;

											BgL_arg1817z00_4386 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_4018)))->
												BgL_falsez00);
											BgL_test2480z00_5799 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg1817z00_4386));
										}
										if (BgL_test2480z00_5799)
											{	/* Dataflow/walk.scm 195 */
												return BgL_tenvz00_4384;
											}
										else
											{	/* Dataflow/walk.scm 195 */
												BgL_env1z00_4369 = BgL_tenvz00_4384;
												BgL_env2z00_4370 = BgL_fenvz00_4385;
												{	/* Dataflow/walk.scm 182 */
													obj_t BgL_hook1351z00_4371;

													BgL_hook1351z00_4371 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1348z00_4373;
														obj_t BgL_h1349z00_4374;

														BgL_l1348z00_4373 = BgL_env1z00_4369;
														BgL_h1349z00_4374 = BgL_hook1351z00_4371;
													BgL_zc3z04anonymousza31838ze3z87_4372:
														if (NULLP(BgL_l1348z00_4373))
															{	/* Dataflow/walk.scm 182 */
																return CDR(BgL_hook1351z00_4371);
															}
														else
															{	/* Dataflow/walk.scm 182 */
																bool_t BgL_test2482z00_5808;

																{	/* Dataflow/walk.scm 183 */
																	obj_t BgL_cz00_4375;

																	BgL_cz00_4375 =
																		CAR(((obj_t) BgL_l1348z00_4373));
																	{	/* Dataflow/walk.scm 184 */
																		obj_t BgL_c2z00_4376;

																		BgL_c2z00_4376 =
																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(((obj_t) BgL_cz00_4375)),
																			BgL_env2z00_4370);
																		{	/* Dataflow/walk.scm 185 */

																			if (PAIRP(BgL_c2z00_4376))
																				{	/* Dataflow/walk.scm 186 */
																					BgL_test2482z00_5808 =
																						(CDR(BgL_c2z00_4376) ==
																						CDR(((obj_t) BgL_cz00_4375)));
																				}
																			else
																				{	/* Dataflow/walk.scm 186 */
																					BgL_test2482z00_5808 = ((bool_t) 0);
																				}
																		}
																	}
																}
																if (BgL_test2482z00_5808)
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_nh1350z00_4377;

																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1845z00_4378;

																			BgL_arg1845z00_4378 =
																				CAR(((obj_t) BgL_l1348z00_4373));
																			BgL_nh1350z00_4377 =
																				MAKE_YOUNG_PAIR(BgL_arg1845z00_4378,
																				BNIL);
																		}
																		SET_CDR(BgL_h1349z00_4374,
																			BgL_nh1350z00_4377);
																		{	/* Dataflow/walk.scm 182 */
																			obj_t BgL_arg1844z00_4379;

																			BgL_arg1844z00_4379 =
																				CDR(((obj_t) BgL_l1348z00_4373));
																			{
																				obj_t BgL_h1349z00_5827;
																				obj_t BgL_l1348z00_5826;

																				BgL_l1348z00_5826 = BgL_arg1844z00_4379;
																				BgL_h1349z00_5827 = BgL_nh1350z00_4377;
																				BgL_h1349z00_4374 = BgL_h1349z00_5827;
																				BgL_l1348z00_4373 = BgL_l1348z00_5826;
																				goto
																					BgL_zc3z04anonymousza31838ze3z87_4372;
																			}
																		}
																	}
																else
																	{	/* Dataflow/walk.scm 182 */
																		obj_t BgL_arg1846z00_4380;

																		BgL_arg1846z00_4380 =
																			CDR(((obj_t) BgL_l1348z00_4373));
																		{
																			obj_t BgL_l1348z00_5830;

																			BgL_l1348z00_5830 = BgL_arg1846z00_4380;
																			BgL_l1348z00_4373 = BgL_l1348z00_5830;
																			goto
																				BgL_zc3z04anonymousza31838ze3z87_4372;
																		}
																	}
															}
													}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-setq1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1398z70zzdataflow_walkz00(obj_t
		BgL_envz00_4020, obj_t BgL_nodez00_4021, obj_t BgL_envz00_4022)
	{
		{	/* Dataflow/walk.scm 159 */
			{
				BgL_variablez00_bglt BgL_variablez00_4389;
				obj_t BgL_envz00_4390;

				{	/* Dataflow/walk.scm 167 */
					obj_t BgL_nenvz00_4400;

					BgL_nenvz00_4400 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_4021)))->BgL_valuez00),
						BgL_envz00_4022);
					{	/* Dataflow/walk.scm 168 */
						BgL_varz00_bglt BgL_i1154z00_4401;

						BgL_i1154z00_4401 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_4021)))->BgL_varz00);
						{	/* Dataflow/walk.scm 169 */
							bool_t BgL_test2484z00_5836;

							{	/* Dataflow/walk.scm 169 */
								BgL_variablez00_bglt BgL_arg1771z00_4402;

								BgL_arg1771z00_4402 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4401))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 169 */
									obj_t BgL_classz00_4403;

									BgL_classz00_4403 = BGl_globalz00zzast_varz00;
									{	/* Dataflow/walk.scm 169 */
										BgL_objectz00_bglt BgL_arg1820z00_4404;

										{	/* Dataflow/walk.scm 169 */
											obj_t BgL_tmpz00_5838;

											BgL_tmpz00_5838 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1771z00_4402));
											BgL_arg1820z00_4404 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5838);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 169 */
												long BgL_idxz00_4405;

												BgL_idxz00_4405 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4404);
												BgL_test2484z00_5836 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4405 + ((long) 2))) ==
													BgL_classz00_4403);
											}
										else
											{	/* Dataflow/walk.scm 169 */
												bool_t BgL_res2221z00_4408;

												{	/* Dataflow/walk.scm 169 */
													obj_t BgL_oclassz00_4409;

													{	/* Dataflow/walk.scm 169 */
														long BgL_arg1828z00_4410;

														{	/* Dataflow/walk.scm 169 */
															long BgL_arg1829z00_4411;

															BgL_arg1829z00_4411 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4404);
															BgL_arg1828z00_4410 =
																(BgL_arg1829z00_4411 - OBJECT_TYPE);
														}
														BgL_oclassz00_4409 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4410);
													}
													{	/* Dataflow/walk.scm 169 */
														bool_t BgL__ortest_1111z00_4412;

														BgL__ortest_1111z00_4412 =
															(BgL_classz00_4403 == BgL_oclassz00_4409);
														if (BgL__ortest_1111z00_4412)
															{	/* Dataflow/walk.scm 169 */
																BgL_res2221z00_4408 = BgL__ortest_1111z00_4412;
															}
														else
															{	/* Dataflow/walk.scm 169 */
																long BgL_odepthz00_4413;

																BgL_odepthz00_4413 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4409);
																if ((((long) 2) < BgL_odepthz00_4413))
																	{	/* Dataflow/walk.scm 169 */
																		obj_t BgL_arg1816z00_4414;

																		BgL_arg1816z00_4414 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4409, ((long) 2));
																		BgL_res2221z00_4408 =
																			(BgL_arg1816z00_4414 ==
																			BgL_classz00_4403);
																	}
																else
																	{	/* Dataflow/walk.scm 169 */
																		BgL_res2221z00_4408 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2484z00_5836 = BgL_res2221z00_4408;
											}
									}
								}
							}
							if (BgL_test2484z00_5836)
								{	/* Dataflow/walk.scm 169 */
									BgL_variablez00_4389 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4401))->
										BgL_variablez00);
									BgL_envz00_4390 = BgL_nenvz00_4400;
								BgL_removezd2variablezd2fromzd2envzd2_4388:
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_hook1346z00_4391;

										BgL_hook1346z00_4391 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{
											obj_t BgL_l1343z00_4393;
											obj_t BgL_h1344z00_4394;

											BgL_l1343z00_4393 = BgL_envz00_4390;
											BgL_h1344z00_4394 = BgL_hook1346z00_4391;
										BgL_zc3z04anonymousza31779ze3z87_4392:
											if (NULLP(BgL_l1343z00_4393))
												{	/* Dataflow/walk.scm 162 */
													return CDR(BgL_hook1346z00_4391);
												}
											else
												{	/* Dataflow/walk.scm 162 */
													bool_t BgL_test2489z00_5862;

													{	/* Dataflow/walk.scm 163 */
														bool_t BgL_test2490z00_5863;

														{	/* Dataflow/walk.scm 163 */
															obj_t BgL_tmpz00_5864;

															{	/* Dataflow/walk.scm 163 */
																obj_t BgL_pairz00_4395;

																BgL_pairz00_4395 =
																	CAR(((obj_t) BgL_l1343z00_4393));
																BgL_tmpz00_5864 = CAR(BgL_pairz00_4395);
															}
															BgL_test2490z00_5863 =
																(BgL_tmpz00_5864 ==
																((obj_t) BgL_variablez00_4389));
														}
														if (BgL_test2490z00_5863)
															{	/* Dataflow/walk.scm 163 */
																BgL_test2489z00_5862 = ((bool_t) 0);
															}
														else
															{	/* Dataflow/walk.scm 163 */
																BgL_test2489z00_5862 = ((bool_t) 1);
															}
													}
													if (BgL_test2489z00_5862)
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_nh1345z00_4396;

															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1789z00_4397;

																BgL_arg1789z00_4397 =
																	CAR(((obj_t) BgL_l1343z00_4393));
																BgL_nh1345z00_4396 =
																	MAKE_YOUNG_PAIR(BgL_arg1789z00_4397, BNIL);
															}
															SET_CDR(BgL_h1344z00_4394, BgL_nh1345z00_4396);
															{	/* Dataflow/walk.scm 162 */
																obj_t BgL_arg1787z00_4398;

																BgL_arg1787z00_4398 =
																	CDR(((obj_t) BgL_l1343z00_4393));
																{
																	obj_t BgL_h1344z00_5877;
																	obj_t BgL_l1343z00_5876;

																	BgL_l1343z00_5876 = BgL_arg1787z00_4398;
																	BgL_h1344z00_5877 = BgL_nh1345z00_4396;
																	BgL_h1344z00_4394 = BgL_h1344z00_5877;
																	BgL_l1343z00_4393 = BgL_l1343z00_5876;
																	goto BgL_zc3z04anonymousza31779ze3z87_4392;
																}
															}
														}
													else
														{	/* Dataflow/walk.scm 162 */
															obj_t BgL_arg1790z00_4399;

															BgL_arg1790z00_4399 =
																CDR(((obj_t) BgL_l1343z00_4393));
															{
																obj_t BgL_l1343z00_5880;

																BgL_l1343z00_5880 = BgL_arg1790z00_4399;
																BgL_l1343z00_4393 = BgL_l1343z00_5880;
																goto BgL_zc3z04anonymousza31779ze3z87_4392;
															}
														}
												}
										}
									}
								}
							else
								{	/* Dataflow/walk.scm 171 */
									BgL_typez00_bglt BgL_typz00_4415;

									BgL_typz00_4415 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_4021)))->
											BgL_valuez00), ((bool_t) 1));
									{	/* Dataflow/walk.scm 172 */
										bool_t BgL_test2491z00_5885;

										if (
											(((obj_t) BgL_typz00_4415) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 172 */
												BgL_test2491z00_5885 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 172 */
												BgL_test2491z00_5885 =
													(
													((obj_t) BgL_typz00_4415) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_test2491z00_5885)
											{
												obj_t BgL_envz00_5893;
												BgL_variablez00_bglt BgL_variablez00_5891;

												BgL_variablez00_5891 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4401))->
													BgL_variablez00);
												BgL_envz00_5893 = BgL_nenvz00_4400;
												BgL_envz00_4390 = BgL_envz00_5893;
												BgL_variablez00_4389 = BgL_variablez00_5891;
												goto BgL_removezd2variablezd2fromzd2envzd2_4388;
											}
										else
											{	/* Dataflow/walk.scm 174 */
												obj_t BgL_arg1766z00_4416;

												{	/* Dataflow/walk.scm 174 */
													BgL_variablez00_bglt BgL_arg1769z00_4417;

													BgL_arg1769z00_4417 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4401))->
														BgL_variablez00);
													BgL_arg1766z00_4416 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg1769z00_4417),
														((obj_t) BgL_typz00_4415));
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1766z00_4416,
													BgL_nenvz00_4400);
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-exter1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_4023, obj_t BgL_nodez00_4024, obj_t BgL_envz00_4025)
	{
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2308z00_4419;

				BgL_res2308z00_4419 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4024)))->BgL_exprza2za2),
					BgL_envz00_4025);
				return BgL_res2308z00_4419;
			}
		}

	}



/* &dataflow-node!-funca1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1394z70zzdataflow_walkz00(obj_t
		BgL_envz00_4026, obj_t BgL_nodez00_4027, obj_t BgL_envz00_4028)
	{
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4027)))->BgL_funz00),
				BgL_envz00_4028);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_4027)))->BgL_argsz00),
				BgL_envz00_4028);
		}

	}



/* &dataflow-node!-app-l1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1392za2zzdataflow_walkz00(obj_t
		BgL_envz00_4029, obj_t BgL_nodez00_4030, obj_t BgL_envz00_4031)
	{
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4030)))->BgL_funz00),
				BgL_envz00_4031);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_4030)))->BgL_argz00),
				BgL_envz00_4031);
		}

	}



/* &dataflow-node!-app1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1390z70zzdataflow_walkz00(obj_t
		BgL_envz00_4032, obj_t BgL_nodez00_4033, obj_t BgL_envz00_4034)
	{
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_4423;

				BgL_aenvz00_4423 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4033)))->BgL_argsz00),
					BgL_envz00_4034);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_test2493z00_5917;

					{	/* Dataflow/walk.scm 123 */
						bool_t BgL_test2494z00_5918;

						{	/* Dataflow/walk.scm 123 */
							BgL_varz00_bglt BgL_arg1751z00_4424;

							BgL_arg1751z00_4424 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4033)))->BgL_funz00);
							{	/* Dataflow/walk.scm 123 */
								obj_t BgL_classz00_4425;

								BgL_classz00_4425 = BGl_varz00zzast_nodez00;
								{	/* Dataflow/walk.scm 123 */
									BgL_objectz00_bglt BgL_arg1820z00_4426;

									{	/* Dataflow/walk.scm 123 */
										obj_t BgL_tmpz00_5921;

										BgL_tmpz00_5921 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1751z00_4424));
										BgL_arg1820z00_4426 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5921);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Dataflow/walk.scm 123 */
											long BgL_idxz00_4427;

											BgL_idxz00_4427 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4426);
											BgL_test2494z00_5918 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4427 + ((long) 2))) == BgL_classz00_4425);
										}
									else
										{	/* Dataflow/walk.scm 123 */
											bool_t BgL_res2218z00_4430;

											{	/* Dataflow/walk.scm 123 */
												obj_t BgL_oclassz00_4431;

												{	/* Dataflow/walk.scm 123 */
													long BgL_arg1828z00_4432;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1829z00_4433;

														BgL_arg1829z00_4433 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4426);
														BgL_arg1828z00_4432 =
															(BgL_arg1829z00_4433 - OBJECT_TYPE);
													}
													BgL_oclassz00_4431 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4432);
												}
												{	/* Dataflow/walk.scm 123 */
													bool_t BgL__ortest_1111z00_4434;

													BgL__ortest_1111z00_4434 =
														(BgL_classz00_4425 == BgL_oclassz00_4431);
													if (BgL__ortest_1111z00_4434)
														{	/* Dataflow/walk.scm 123 */
															BgL_res2218z00_4430 = BgL__ortest_1111z00_4434;
														}
													else
														{	/* Dataflow/walk.scm 123 */
															long BgL_odepthz00_4435;

															BgL_odepthz00_4435 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4431);
															if ((((long) 2) < BgL_odepthz00_4435))
																{	/* Dataflow/walk.scm 123 */
																	obj_t BgL_arg1816z00_4436;

																	BgL_arg1816z00_4436 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4431,
																		((long) 2));
																	BgL_res2218z00_4430 =
																		(BgL_arg1816z00_4436 == BgL_classz00_4425);
																}
															else
																{	/* Dataflow/walk.scm 123 */
																	BgL_res2218z00_4430 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2494z00_5918 = BgL_res2218z00_4430;
										}
								}
							}
						}
						if (BgL_test2494z00_5918)
							{	/* Dataflow/walk.scm 123 */
								BgL_variablez00_bglt BgL_arg1749z00_4437;

								BgL_arg1749z00_4437 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4033)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Dataflow/walk.scm 123 */
									obj_t BgL_classz00_4438;

									BgL_classz00_4438 = BGl_localz00zzast_varz00;
									{	/* Dataflow/walk.scm 123 */
										BgL_objectz00_bglt BgL_arg1820z00_4439;

										{	/* Dataflow/walk.scm 123 */
											obj_t BgL_tmpz00_5944;

											BgL_tmpz00_5944 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1749z00_4437));
											BgL_arg1820z00_4439 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5944);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 123 */
												long BgL_idxz00_4440;

												BgL_idxz00_4440 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4439);
												BgL_test2493z00_5917 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4440 + ((long) 2))) ==
													BgL_classz00_4438);
											}
										else
											{	/* Dataflow/walk.scm 123 */
												bool_t BgL_res2219z00_4443;

												{	/* Dataflow/walk.scm 123 */
													obj_t BgL_oclassz00_4444;

													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1828z00_4445;

														{	/* Dataflow/walk.scm 123 */
															long BgL_arg1829z00_4446;

															BgL_arg1829z00_4446 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4439);
															BgL_arg1828z00_4445 =
																(BgL_arg1829z00_4446 - OBJECT_TYPE);
														}
														BgL_oclassz00_4444 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4445);
													}
													{	/* Dataflow/walk.scm 123 */
														bool_t BgL__ortest_1111z00_4447;

														BgL__ortest_1111z00_4447 =
															(BgL_classz00_4438 == BgL_oclassz00_4444);
														if (BgL__ortest_1111z00_4447)
															{	/* Dataflow/walk.scm 123 */
																BgL_res2219z00_4443 = BgL__ortest_1111z00_4447;
															}
														else
															{	/* Dataflow/walk.scm 123 */
																long BgL_odepthz00_4448;

																BgL_odepthz00_4448 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4444);
																if ((((long) 2) < BgL_odepthz00_4448))
																	{	/* Dataflow/walk.scm 123 */
																		obj_t BgL_arg1816z00_4449;

																		BgL_arg1816z00_4449 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4444, ((long) 2));
																		BgL_res2219z00_4443 =
																			(BgL_arg1816z00_4449 ==
																			BgL_classz00_4438);
																	}
																else
																	{	/* Dataflow/walk.scm 123 */
																		BgL_res2219z00_4443 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2493z00_5917 = BgL_res2219z00_4443;
											}
									}
								}
							}
						else
							{	/* Dataflow/walk.scm 123 */
								BgL_test2493z00_5917 = ((bool_t) 0);
							}
					}
					if (BgL_test2493z00_5917)
						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_hook1341z00_4450;

							BgL_hook1341z00_4450 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1338z00_4452;
								obj_t BgL_h1339z00_4453;

								BgL_l1338z00_4452 = BgL_aenvz00_4423;
								BgL_h1339z00_4453 = BgL_hook1341z00_4450;
							BgL_zc3z04anonymousza31733ze3z87_4451:
								if (NULLP(BgL_l1338z00_4452))
									{	/* Dataflow/walk.scm 127 */
										return CDR(BgL_hook1341z00_4450);
									}
								else
									{	/* Dataflow/walk.scm 127 */
										bool_t BgL_test2502z00_5968;

										{	/* Dataflow/walk.scm 128 */
											obj_t BgL_vz00_4454;

											{	/* Dataflow/walk.scm 128 */
												obj_t BgL_pairz00_4455;

												BgL_pairz00_4455 = CAR(((obj_t) BgL_l1338z00_4452));
												BgL_vz00_4454 = CAR(BgL_pairz00_4455);
											}
											{	/* Dataflow/walk.scm 129 */
												bool_t BgL__ortest_1150z00_4456;

												{	/* Dataflow/walk.scm 129 */
													obj_t BgL_classz00_4457;

													BgL_classz00_4457 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_vz00_4454))
														{	/* Dataflow/walk.scm 129 */
															BgL_objectz00_bglt BgL_arg1820z00_4458;

															BgL_arg1820z00_4458 =
																(BgL_objectz00_bglt) (BgL_vz00_4454);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 129 */
																	long BgL_idxz00_4459;

																	BgL_idxz00_4459 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4458);
																	BgL__ortest_1150z00_4456 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4459 + ((long) 2))) ==
																		BgL_classz00_4457);
																}
															else
																{	/* Dataflow/walk.scm 129 */
																	bool_t BgL_res2220z00_4462;

																	{	/* Dataflow/walk.scm 129 */
																		obj_t BgL_oclassz00_4463;

																		{	/* Dataflow/walk.scm 129 */
																			long BgL_arg1828z00_4464;

																			{	/* Dataflow/walk.scm 129 */
																				long BgL_arg1829z00_4465;

																				BgL_arg1829z00_4465 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4458);
																				BgL_arg1828z00_4464 =
																					(BgL_arg1829z00_4465 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4463 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4464);
																		}
																		{	/* Dataflow/walk.scm 129 */
																			bool_t BgL__ortest_1111z00_4466;

																			BgL__ortest_1111z00_4466 =
																				(BgL_classz00_4457 ==
																				BgL_oclassz00_4463);
																			if (BgL__ortest_1111z00_4466)
																				{	/* Dataflow/walk.scm 129 */
																					BgL_res2220z00_4462 =
																						BgL__ortest_1111z00_4466;
																				}
																			else
																				{	/* Dataflow/walk.scm 129 */
																					long BgL_odepthz00_4467;

																					BgL_odepthz00_4467 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4463);
																					if ((((long) 2) < BgL_odepthz00_4467))
																						{	/* Dataflow/walk.scm 129 */
																							obj_t BgL_arg1816z00_4468;

																							BgL_arg1816z00_4468 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4463,
																								((long) 2));
																							BgL_res2220z00_4462 =
																								(BgL_arg1816z00_4468 ==
																								BgL_classz00_4457);
																						}
																					else
																						{	/* Dataflow/walk.scm 129 */
																							BgL_res2220z00_4462 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL__ortest_1150z00_4456 =
																		BgL_res2220z00_4462;
																}
														}
													else
														{	/* Dataflow/walk.scm 129 */
															BgL__ortest_1150z00_4456 = ((bool_t) 0);
														}
												}
												if (BgL__ortest_1150z00_4456)
													{	/* Dataflow/walk.scm 129 */
														BgL_test2502z00_5968 = BgL__ortest_1150z00_4456;
													}
												else
													{	/* Dataflow/walk.scm 129 */
														BgL_test2502z00_5968 =
															(
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_4454)))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
										}}}
										if (BgL_test2502z00_5968)
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_nh1340z00_4469;

												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1741z00_4470;

													BgL_arg1741z00_4470 =
														CAR(((obj_t) BgL_l1338z00_4452));
													BgL_nh1340z00_4469 =
														MAKE_YOUNG_PAIR(BgL_arg1741z00_4470, BNIL);
												}
												SET_CDR(BgL_h1339z00_4453, BgL_nh1340z00_4469);
												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1738z00_4471;

													BgL_arg1738z00_4471 =
														CDR(((obj_t) BgL_l1338z00_4452));
													{
														obj_t BgL_h1339z00_6003;
														obj_t BgL_l1338z00_6002;

														BgL_l1338z00_6002 = BgL_arg1738z00_4471;
														BgL_h1339z00_6003 = BgL_nh1340z00_4469;
														BgL_h1339z00_4453 = BgL_h1339z00_6003;
														BgL_l1338z00_4452 = BgL_l1338z00_6002;
														goto BgL_zc3z04anonymousza31733ze3z87_4451;
													}
												}
											}
										else
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_arg1745z00_4472;

												BgL_arg1745z00_4472 = CDR(((obj_t) BgL_l1338z00_4452));
												{
													obj_t BgL_l1338z00_6006;

													BgL_l1338z00_6006 = BgL_arg1745z00_4472;
													BgL_l1338z00_4452 = BgL_l1338z00_6006;
													goto BgL_zc3z04anonymousza31733ze3z87_4451;
												}
											}
									}
							}
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_4423;
						}
				}
			}
		}

	}



/* &dataflow-node!-sync1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_4035, obj_t BgL_nodez00_4036, obj_t BgL_envz00_4037)
	{
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4036)))->BgL_mutexz00),
				BgL_envz00_4037);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4036)))->BgL_prelockz00),
				BgL_envz00_4037);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4036)))->BgL_bodyz00),
				BgL_envz00_4037);
			return BgL_envz00_4037;
		}

	}



/* &dataflow-node!-seque1385 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1385z70zzdataflow_walkz00(obj_t
		BgL_envz00_4038, obj_t BgL_nodez00_4039, obj_t BgL_envz00_4040)
	{
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2309z00_4482;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1148z00_4475;

					BgL_g1148z00_4475 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4039)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_4477;
						obj_t BgL_envz00_4478;

						BgL_nodeza2za2_4477 = BgL_g1148z00_4475;
						BgL_envz00_4478 = BgL_envz00_4040;
					BgL_loopz00_4476:
						if (NULLP(BgL_nodeza2za2_4477))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2309z00_4482 = BgL_envz00_4478;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1696z00_4479;
								obj_t BgL_arg1697z00_4480;

								BgL_arg1696z00_4479 = CDR(((obj_t) BgL_nodeza2za2_4477));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1698z00_4481;

									BgL_arg1698z00_4481 = CAR(((obj_t) BgL_nodeza2za2_4477));
									BgL_arg1697z00_4480 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1698z00_4481), BgL_envz00_4478);
								}
								{
									obj_t BgL_envz00_6027;
									obj_t BgL_nodeza2za2_6026;

									BgL_nodeza2za2_6026 = BgL_arg1696z00_4479;
									BgL_envz00_6027 = BgL_arg1697z00_4480;
									BgL_envz00_4478 = BgL_envz00_6027;
									BgL_nodeza2za2_4477 = BgL_nodeza2za2_6026;
									goto BgL_loopz00_4476;
								}
							}
					}
				}
				return BgL_res2309z00_4482;
			}
		}

	}



/* &dataflow-node!-closu1383 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1383z70zzdataflow_walkz00(obj_t
		BgL_envz00_4041, obj_t BgL_nodez00_4042, obj_t BgL_envz00_4043)
	{
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_4043);
		}

	}



/* &dataflow-node!-var1381 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1381z70zzdataflow_walkz00(obj_t
		BgL_envz00_4044, obj_t BgL_nodez00_4045, obj_t BgL_envz00_4046)
	{
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1146z00_4486;

				BgL_i1146z00_4486 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_4045)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_test2509z00_6031;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4486))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1147z00_4487;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_test2511z00_6035;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1687z00_4488;

									BgL_arg1687z00_4488 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4486))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										obj_t BgL_classz00_4489;

										BgL_classz00_4489 = BGl_tclassz00zzobject_classz00;
										{	/* Dataflow/walk.scm 85 */
											BgL_objectz00_bglt BgL_arg1820z00_4490;

											{	/* Dataflow/walk.scm 85 */
												obj_t BgL_tmpz00_6037;

												BgL_tmpz00_6037 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1687z00_4488));
												BgL_arg1820z00_4490 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6037);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Dataflow/walk.scm 85 */
													long BgL_idxz00_4491;

													BgL_idxz00_4491 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4490);
													BgL_test2511z00_6035 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4491 + ((long) 2))) ==
														BgL_classz00_4489);
												}
											else
												{	/* Dataflow/walk.scm 85 */
													bool_t BgL_res2217z00_4494;

													{	/* Dataflow/walk.scm 85 */
														obj_t BgL_oclassz00_4495;

														{	/* Dataflow/walk.scm 85 */
															long BgL_arg1828z00_4496;

															{	/* Dataflow/walk.scm 85 */
																long BgL_arg1829z00_4497;

																BgL_arg1829z00_4497 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4490);
																BgL_arg1828z00_4496 =
																	(BgL_arg1829z00_4497 - OBJECT_TYPE);
															}
															BgL_oclassz00_4495 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4496);
														}
														{	/* Dataflow/walk.scm 85 */
															bool_t BgL__ortest_1111z00_4498;

															BgL__ortest_1111z00_4498 =
																(BgL_classz00_4489 == BgL_oclassz00_4495);
															if (BgL__ortest_1111z00_4498)
																{	/* Dataflow/walk.scm 85 */
																	BgL_res2217z00_4494 =
																		BgL__ortest_1111z00_4498;
																}
															else
																{	/* Dataflow/walk.scm 85 */
																	long BgL_odepthz00_4499;

																	BgL_odepthz00_4499 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4495);
																	if ((((long) 2) < BgL_odepthz00_4499))
																		{	/* Dataflow/walk.scm 85 */
																			obj_t BgL_arg1816z00_4500;

																			BgL_arg1816z00_4500 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4495, ((long) 2));
																			BgL_res2217z00_4494 =
																				(BgL_arg1816z00_4500 ==
																				BgL_classz00_4489);
																		}
																	else
																		{	/* Dataflow/walk.scm 85 */
																			BgL_res2217z00_4494 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2511z00_6035 = BgL_res2217z00_4494;
												}
										}
									}
								}
								if (BgL_test2511z00_6035)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4487 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4487 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1147z00_4487)
								{	/* Dataflow/walk.scm 85 */
									BgL_test2509z00_6031 = BgL__ortest_1147z00_4487;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1682z00_4501;
									BgL_typez00_bglt BgL_arg1683z00_4502;

									BgL_arg1682z00_4501 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4486))->
										BgL_typez00);
									BgL_arg1683z00_4502 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4045))))->BgL_typez00);
									BgL_test2509z00_6031 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1682z00_4501, BgL_arg1683z00_4502);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_test2509z00_6031 = ((bool_t) 0);
						}
					if (BgL_test2509z00_6031)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_4503;

							BgL_bz00_4503 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4045)))->
										BgL_variablez00)), BgL_envz00_4046);
							if (PAIRP(BgL_bz00_4503))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4045))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_4503))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4045))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_4045)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_4046;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2304z00zzdataflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
