/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121369zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1361z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1351z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1365za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1341za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void);
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2funcall1343z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21363z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1359za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62callzd2graphz12zd2extern1345z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2switch1355z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1367za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1375z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sequence1334z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1379z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2app1339z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62savezd2callz12zd2local1377z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz121331za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1524z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62lambda1525z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2cast1347z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1357za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1468z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void);
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62savezd2callz12zd2global1373z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2setq1349z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_globalz00_bglt BGl_z62lambda1560z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sync1336z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1485z62zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1566z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1569z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2fail1353z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1498z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1589z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62savezd2callz121370za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62lambda1590z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d21945za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71946za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71947za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1948z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71949za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71950za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71951za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1952z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71953za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1954z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1955z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1956z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71957za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1958z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1959z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1960z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71961za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1962z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1963z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1964z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1965z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1966z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1967z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71968za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71969za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71970za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1971z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1972z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1973z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1974z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global1975z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1976z00,
		BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1977z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1525za7621978z00, BGl_z62lambda1525z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1524za7621979z00, BGl_z62lambda1524z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1498za7621980z00, BGl_z62lambda1498z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo1981za7,
		BGl_z62zc3z04anonymousza31497ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1485za7621982z00, BGl_z62lambda1485z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1468za7621983z00, BGl_z62lambda1468z62zzeffect_cgraphz00,
		0L, BUNSPEC, 14);
	      DEFINE_STRING(BGl_string1912z00zzeffect_cgraphz00,
		BgL_bgl_string1912za700za7za7e1984za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1590za7621985z00, BGl_z62lambda1590z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1589za7621986z00, BGl_z62lambda1589z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1914z00zzeffect_cgraphz00,
		BgL_bgl_string1914za700za7za7e1987za7, "call-graph!1331", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1569za7621988z00, BGl_z62lambda1569z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo1989za7,
		BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1916z00zzeffect_cgraphz00,
		BgL_bgl_string1916za700za7za7e1990za7, "save-call!1370", 14);
	      DEFINE_STRING(BGl_string1917z00zzeffect_cgraphz00,
		BgL_bgl_string1917za700za7za7e1991za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1919z00zzeffect_cgraphz00,
		BgL_bgl_string1919za700za7za7e1992za7, "call-graph!", 11);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza71993za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1566za7621994z00, BGl_z62lambda1566z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1560za7621995z00, BGl_z62lambda1560z62zzeffect_cgraphz00,
		0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza71996za7,
		BGl_z62callzd2graphz121331za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza711997za7,
		BGl_z62savezd2callz121370za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza71998za7,
		BGl_z62callzd2graphz12zd2sequence1334z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1999z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2000z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72001za7,
		BGl_z62callzd2graphz12zd2sync1336z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72002za7,
		BGl_z62callzd2graphz12zd2app1339z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2003z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72004za7,
		BGl_z62callzd2graphz12zd2appzd2ly1341za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72005za7,
		BGl_z62callzd2graphz12zd2funcall1343z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72006za7,
		BGl_z62callzd2graphz12zd2extern1345z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72007za7,
		BGl_z62callzd2graphz12zd2cast1347z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72008za7,
		BGl_z62callzd2graphz12zd2setq1349z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72009za7,
		BGl_z62callzd2graphz12zd2conditio1351z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72010za7,
		BGl_z62callzd2graphz12zd2fail1353z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72011za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72012za7,
		BGl_z62callzd2graphz12zd2switch1355z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1938z00zzeffect_cgraphz00,
		BgL_bgl_string1938za700za7za7e2013za7, "save-call!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72014za7,
		BGl_z62callzd2graphz12zd2letzd2fun1357za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72015za7,
		BGl_z62callzd2graphz12zd2letzd2var1359za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72016za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1361z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72017za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21363z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72018za7,
		BGl_z62callzd2graphz12zd2makezd2box1365za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72019za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1367za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1942z00zzeffect_cgraphz00,
		BgL_bgl_string1942za700za7za7e2020za7, "effect_cgraph", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72021za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121369zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1943z00zzeffect_cgraphz00,
		BgL_bgl_string1943za700za7za7e2022za7,
		"import done save-call!1370 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712023za7,
		BGl_z62savezd2callz12zd2global1373z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712024za7,
		BGl_z62savezd2callz12zd2globalzf2fr1375z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2025z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72026za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712027za7,
		BGl_z62savezd2callz12zd2local1377z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712028za7,
		BGl_z62savezd2callz12zd2localzf2fro1379z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2029z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2030za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2031z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2032z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72033za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72034za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2035za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2036z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2037z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2038z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2039z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2040z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72041za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72042za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712043za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2044z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2045z00,
		BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72046za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72047za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2048z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72049za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2050z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2051z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2052z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72053za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2054z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2055z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72056za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72057za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2058z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2059z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72060za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2061z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72062za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2063z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_cgraphz00));
		     ADD_ROOT((void
				*) (&BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_localzf2fromzf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_za2varzf2allza2zf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_globalzf2fromzf2zzeffect_cgraphz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3215, char *BgL_fromz00_3216)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_cgraphz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					return BGl_toplevelzd2initzd2zzeffect_cgraphz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_2979;

				{	/* Effect/cgraph.scm 15 */
					obj_t BgL_stringz00_2986;

					BgL_stringz00_2986 = BGl_string1943z00zzeffect_cgraphz00;
					{	/* Effect/cgraph.scm 15 */
						obj_t BgL_startz00_2987;

						BgL_startz00_2987 = BINT(((long) 0));
						{	/* Effect/cgraph.scm 15 */
							obj_t BgL_endz00_2988;

							BgL_endz00_2988 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2986)));
							{	/* Effect/cgraph.scm 15 */

								BgL_cportz00_2979 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2986, BgL_startz00_2987, BgL_endz00_2988);
				}}}}
				{
					long BgL_iz00_2980;

					BgL_iz00_2980 = ((long) 9);
				BgL_loopz00_2981:
					if ((BgL_iz00_2980 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg1944z00_2982;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_2984;

										BgL_locationz00_2984 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg1944z00_2982 =
												BGl_readz00zz__readerz00(BgL_cportz00_2979,
												BgL_locationz00_2984);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_tmpz00_3247;

									BgL_tmpz00_3247 = (int) (BgL_iz00_2980);
									CNST_TABLE_SET(BgL_tmpz00_3247, BgL_arg1944z00_2982);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_2985;

								BgL_auxz00_2985 = (int) ((BgL_iz00_2980 - ((long) 1)));
								{
									long BgL_iz00_3252;

									BgL_iz00_3252 = (long) (BgL_auxz00_2985);
									BgL_iz00_2980 = BgL_iz00_3252;
									goto BgL_loopz00_2981;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1163z00_3,
		obj_t BgL_name1164z00_4, BgL_typez00_bglt BgL_type1165z00_5,
		BgL_valuez00_bglt BgL_value1166z00_6, obj_t BgL_access1167z00_7,
		obj_t BgL_fastzd2alpha1168zd2_8, obj_t BgL_removable1169z00_9,
		long BgL_occurrence1170z00_10, long BgL_occurrencew1171z00_11,
		bool_t BgL_userzf31172zf3_12, long BgL_key1173z00_13,
		obj_t BgL_from1174z00_14)
	{
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				BgL_localz00_bglt BgL_new1159z00_2990;

				{	/* Effect/cgraph.sch 91 */
					BgL_localz00_bglt BgL_tmp1157z00_2991;
					BgL_localzf2fromzf2_bglt BgL_wide1158z00_2992;

					{
						BgL_localz00_bglt BgL_auxz00_3255;

						{	/* Effect/cgraph.sch 91 */
							BgL_localz00_bglt BgL_new1156z00_2993;

							BgL_new1156z00_2993 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 91 */
								long BgL_arg1388z00_2994;

								BgL_arg1388z00_2994 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1156z00_2993),
									BgL_arg1388z00_2994);
							}
							{	/* Effect/cgraph.sch 91 */
								BgL_objectz00_bglt BgL_tmpz00_3260;

								BgL_tmpz00_3260 = ((BgL_objectz00_bglt) BgL_new1156z00_2993);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3260, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1156z00_2993);
							BgL_auxz00_3255 = BgL_new1156z00_2993;
						}
						BgL_tmp1157z00_2991 = ((BgL_localz00_bglt) BgL_auxz00_3255);
					}
					BgL_wide1158z00_2992 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 91 */
						obj_t BgL_auxz00_3268;
						BgL_objectz00_bglt BgL_tmpz00_3266;

						BgL_auxz00_3268 = ((obj_t) BgL_wide1158z00_2992);
						BgL_tmpz00_3266 = ((BgL_objectz00_bglt) BgL_tmp1157z00_2991);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3266, BgL_auxz00_3268);
					}
					((BgL_objectz00_bglt) BgL_tmp1157z00_2991);
					{	/* Effect/cgraph.sch 91 */
						long BgL_arg1387z00_2995;

						BgL_arg1387z00_2995 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1157z00_2991), BgL_arg1387z00_2995);
					}
					BgL_new1159z00_2990 = ((BgL_localz00_bglt) BgL_tmp1157z00_2991);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1159z00_2990)))->BgL_idz00) =
					((obj_t) BgL_id1163z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_namez00) =
					((obj_t) BgL_name1164z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1165z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1166z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_accessz00) =
					((obj_t) BgL_access1167z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1168zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_removablez00) =
					((obj_t) BgL_removable1169z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_occurrencez00) =
					((long) BgL_occurrence1170z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1171z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1159z00_2990)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31172zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1159z00_2990)))->BgL_keyz00) =
					((long) BgL_key1173z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1159z00_2990)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1159z00_2990)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3302;

					{
						obj_t BgL_auxz00_3303;

						{	/* Effect/cgraph.sch 91 */
							BgL_objectz00_bglt BgL_tmpz00_3304;

							BgL_tmpz00_3304 = ((BgL_objectz00_bglt) BgL_new1159z00_2990);
							BgL_auxz00_3303 = BGL_OBJECT_WIDENING(BgL_tmpz00_3304);
						}
						BgL_auxz00_3302 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3303);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3302))->
							BgL_fromz00) = ((obj_t) BgL_from1174z00_14), BUNSPEC);
				}
				return BgL_new1159z00_2990;
			}
		}

	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2604, obj_t BgL_id1163z00_2605, obj_t BgL_name1164z00_2606,
		obj_t BgL_type1165z00_2607, obj_t BgL_value1166z00_2608,
		obj_t BgL_access1167z00_2609, obj_t BgL_fastzd2alpha1168zd2_2610,
		obj_t BgL_removable1169z00_2611, obj_t BgL_occurrence1170z00_2612,
		obj_t BgL_occurrencew1171z00_2613, obj_t BgL_userzf31172zf3_2614,
		obj_t BgL_key1173z00_2615, obj_t BgL_from1174z00_2616)
	{
		{	/* Effect/cgraph.sch 91 */
			return
				BGl_makezd2localzf2fromz20zzeffect_cgraphz00(BgL_id1163z00_2605,
				BgL_name1164z00_2606, ((BgL_typez00_bglt) BgL_type1165z00_2607),
				((BgL_valuez00_bglt) BgL_value1166z00_2608), BgL_access1167z00_2609,
				BgL_fastzd2alpha1168zd2_2610, BgL_removable1169z00_2611,
				(long) CINT(BgL_occurrence1170z00_2612),
				(long) CINT(BgL_occurrencew1171z00_2613),
				CBOOL(BgL_userzf31172zf3_2614), (long) CINT(BgL_key1173z00_2615),
				BgL_from1174z00_2616);
		}

	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		{	/* Effect/cgraph.sch 92 */
			{	/* Effect/cgraph.sch 92 */
				obj_t BgL_classz00_2996;

				BgL_classz00_2996 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_arg1820z00_2997;

						BgL_arg1820z00_2997 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Effect/cgraph.sch 92 */
								long BgL_idxz00_2998;

								BgL_idxz00_2998 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2997);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2998 + ((long) 3))) == BgL_classz00_2996);
							}
						else
							{	/* Effect/cgraph.sch 92 */
								bool_t BgL_res1880z00_3001;

								{	/* Effect/cgraph.sch 92 */
									obj_t BgL_oclassz00_3002;

									{	/* Effect/cgraph.sch 92 */
										long BgL_arg1828z00_3003;

										{	/* Effect/cgraph.sch 92 */
											long BgL_arg1829z00_3004;

											BgL_arg1829z00_3004 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2997);
											BgL_arg1828z00_3003 = (BgL_arg1829z00_3004 - OBJECT_TYPE);
										}
										BgL_oclassz00_3002 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3003);
									}
									{	/* Effect/cgraph.sch 92 */
										bool_t BgL__ortest_1111z00_3005;

										BgL__ortest_1111z00_3005 =
											(BgL_classz00_2996 == BgL_oclassz00_3002);
										if (BgL__ortest_1111z00_3005)
											{	/* Effect/cgraph.sch 92 */
												BgL_res1880z00_3001 = BgL__ortest_1111z00_3005;
											}
										else
											{	/* Effect/cgraph.sch 92 */
												long BgL_odepthz00_3006;

												BgL_odepthz00_3006 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3002);
												if ((((long) 3) < BgL_odepthz00_3006))
													{	/* Effect/cgraph.sch 92 */
														obj_t BgL_arg1816z00_3007;

														BgL_arg1816z00_3007 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3002,
															((long) 3));
														BgL_res1880z00_3001 =
															(BgL_arg1816z00_3007 == BgL_classz00_2996);
													}
												else
													{	/* Effect/cgraph.sch 92 */
														BgL_res1880z00_3001 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1880z00_3001;
							}
					}
				else
					{	/* Effect/cgraph.sch 92 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2617,
		obj_t BgL_objz00_2618)
	{
		{	/* Effect/cgraph.sch 92 */
			return BBOOL(BGl_localzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2618));
		}

	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				obj_t BgL_classz00_2119;

				BgL_classz00_2119 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 93 */
					obj_t BgL__ortest_1113z00_2120;

					BgL__ortest_1113z00_2120 = BGL_CLASS_NIL(BgL_classz00_2119);
					if (CBOOL(BgL__ortest_1113z00_2120))
						{	/* Effect/cgraph.sch 93 */
							return ((BgL_localz00_bglt) BgL__ortest_1113z00_2120);
						}
					else
						{	/* Effect/cgraph.sch 93 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2119));
						}
				}
			}
		}

	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2619)
	{
		{	/* Effect/cgraph.sch 93 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		{	/* Effect/cgraph.sch 94 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3344;

				{
					obj_t BgL_auxz00_3345;

					{	/* Effect/cgraph.sch 94 */
						BgL_objectz00_bglt BgL_tmpz00_3346;

						BgL_tmpz00_3346 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3345 = BGL_OBJECT_WIDENING(BgL_tmpz00_3346);
					}
					BgL_auxz00_3344 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3345);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3344))->BgL_fromz00);
			}
		}

	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2620,
		obj_t BgL_oz00_2621)
	{
		{	/* Effect/cgraph.sch 94 */
			return
				BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2621));
		}

	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* Effect/cgraph.sch 95 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3353;

				{
					obj_t BgL_auxz00_3354;

					{	/* Effect/cgraph.sch 95 */
						BgL_objectz00_bglt BgL_tmpz00_3355;

						BgL_tmpz00_3355 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3354 = BGL_OBJECT_WIDENING(BgL_tmpz00_3355);
					}
					BgL_auxz00_3353 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3354);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3353))->
						BgL_fromz00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2622, obj_t BgL_oz00_2623, obj_t BgL_vz00_2624)
	{
		{	/* Effect/cgraph.sch 95 */
			return
				BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2623), BgL_vz00_2624);
		}

	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}

	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2625,
		obj_t BgL_oz00_2626)
	{
		{	/* Effect/cgraph.sch 96 */
			return
				BINT(BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2626)));
		}

	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}

	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2627, obj_t BgL_oz00_2628)
	{
		{	/* Effect/cgraph.sch 98 */
			return
				BBOOL(BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2628)));
		}

	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2629, obj_t BgL_oz00_2630, obj_t BgL_vz00_2631)
	{
		{	/* Effect/cgraph.sch 99 */
			return
				BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2630), CBOOL(BgL_vz00_2631));
		}

	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}

	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2632, obj_t BgL_oz00_2633)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2633)));
		}

	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}

	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2634, obj_t BgL_oz00_2635, obj_t BgL_vz00_2636)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2635), (long) CINT(BgL_vz00_2636));
		}

	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}

	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2637, obj_t BgL_oz00_2638)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				BINT(BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2638)));
		}

	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}

	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2639, obj_t BgL_oz00_2640, obj_t BgL_vz00_2641)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2640), (long) CINT(BgL_vz00_2641));
		}

	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}

	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2642, obj_t BgL_oz00_2643)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2643));
		}

	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2644, obj_t BgL_oz00_2645, obj_t BgL_vz00_2646)
	{
		{	/* Effect/cgraph.sch 105 */
			return
				BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2645), BgL_vz00_2646);
		}

	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2647, obj_t BgL_oz00_2648)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2648));
		}

	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2649, obj_t BgL_oz00_2650, obj_t BgL_vz00_2651)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2650), BgL_vz00_2651);
		}

	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}

	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2652,
		obj_t BgL_oz00_2653)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2653));
		}

	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2654, obj_t BgL_oz00_2655, obj_t BgL_vz00_2656)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2655), BgL_vz00_2656);
		}

	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}

	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2657, obj_t BgL_oz00_2658)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2658));
		}

	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}

	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2659, obj_t BgL_oz00_2660, obj_t BgL_vz00_2661)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2660),
				((BgL_valuez00_bglt) BgL_vz00_2661));
		}

	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}

	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2662, obj_t BgL_oz00_2663)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				BGl_localzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2663));
		}

	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}

	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2665),
				((BgL_typez00_bglt) BgL_vz00_2666));
		}

	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}

	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2667,
		obj_t BgL_oz00_2668)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				BGl_localzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2668));
		}

	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2670), BgL_vz00_2671);
		}

	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}

	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2672,
		obj_t BgL_oz00_2673)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				BGl_localzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2673));
		}

	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1141z00_52,
		obj_t BgL_name1142z00_53, BgL_typez00_bglt BgL_type1143z00_54,
		BgL_valuez00_bglt BgL_value1144z00_55, obj_t BgL_access1145z00_56,
		obj_t BgL_fastzd2alpha1146zd2_57, obj_t BgL_removable1147z00_58,
		long BgL_occurrence1148z00_59, long BgL_occurrencew1149z00_60,
		bool_t BgL_userzf31150zf3_61, obj_t BgL_module1151z00_62,
		obj_t BgL_import1152z00_63, bool_t BgL_evaluablezf31153zf3_64,
		bool_t BgL_evalzf31154zf3_65, obj_t BgL_library1155z00_66,
		obj_t BgL_pragma1156z00_67, obj_t BgL_src1157z00_68,
		obj_t BgL_jvmzd2typezd2name1158z00_69, obj_t BgL_init1159z00_70,
		obj_t BgL_alias1160z00_71, obj_t BgL_from1161z00_72)
	{
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				BgL_globalz00_bglt BgL_new1163z00_3008;

				{	/* Effect/cgraph.sch 120 */
					BgL_globalz00_bglt BgL_tmp1161z00_3009;
					BgL_globalzf2fromzf2_bglt BgL_wide1162z00_3010;

					{
						BgL_globalz00_bglt BgL_auxz00_3451;

						{	/* Effect/cgraph.sch 120 */
							BgL_globalz00_bglt BgL_new1160z00_3011;

							BgL_new1160z00_3011 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 120 */
								long BgL_arg1390z00_3012;

								BgL_arg1390z00_3012 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1160z00_3011),
									BgL_arg1390z00_3012);
							}
							{	/* Effect/cgraph.sch 120 */
								BgL_objectz00_bglt BgL_tmpz00_3456;

								BgL_tmpz00_3456 = ((BgL_objectz00_bglt) BgL_new1160z00_3011);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3456, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1160z00_3011);
							BgL_auxz00_3451 = BgL_new1160z00_3011;
						}
						BgL_tmp1161z00_3009 = ((BgL_globalz00_bglt) BgL_auxz00_3451);
					}
					BgL_wide1162z00_3010 =
						((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 120 */
						obj_t BgL_auxz00_3464;
						BgL_objectz00_bglt BgL_tmpz00_3462;

						BgL_auxz00_3464 = ((obj_t) BgL_wide1162z00_3010);
						BgL_tmpz00_3462 = ((BgL_objectz00_bglt) BgL_tmp1161z00_3009);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3462, BgL_auxz00_3464);
					}
					((BgL_objectz00_bglt) BgL_tmp1161z00_3009);
					{	/* Effect/cgraph.sch 120 */
						long BgL_arg1389z00_3013;

						BgL_arg1389z00_3013 =
							BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1161z00_3009), BgL_arg1389z00_3013);
					}
					BgL_new1163z00_3008 = ((BgL_globalz00_bglt) BgL_tmp1161z00_3009);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1163z00_3008)))->BgL_idz00) =
					((obj_t) BgL_id1141z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_namez00) =
					((obj_t) BgL_name1142z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1143z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1144z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_accessz00) =
					((obj_t) BgL_access1145z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1146zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_removablez00) =
					((obj_t) BgL_removable1147z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_occurrencez00) =
					((long) BgL_occurrence1148z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1149z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1163z00_3008)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31150zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_modulez00) =
					((obj_t) BgL_module1151z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_importz00) =
					((obj_t) BgL_import1152z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31153zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31154zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_libraryz00) =
					((obj_t) BgL_library1155z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1156z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_srcz00) =
					((obj_t) BgL_src1157z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1158z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_initz00) =
					((obj_t) BgL_init1159z00_70), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1163z00_3008)))->BgL_aliasz00) =
					((obj_t) BgL_alias1160z00_71), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3512;

					{
						obj_t BgL_auxz00_3513;

						{	/* Effect/cgraph.sch 120 */
							BgL_objectz00_bglt BgL_tmpz00_3514;

							BgL_tmpz00_3514 = ((BgL_objectz00_bglt) BgL_new1163z00_3008);
							BgL_auxz00_3513 = BGL_OBJECT_WIDENING(BgL_tmpz00_3514);
						}
						BgL_auxz00_3512 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3513);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3512))->
							BgL_fromz00) = ((obj_t) BgL_from1161z00_72), BUNSPEC);
				}
				return BgL_new1163z00_3008;
			}
		}

	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2674, obj_t BgL_id1141z00_2675, obj_t BgL_name1142z00_2676,
		obj_t BgL_type1143z00_2677, obj_t BgL_value1144z00_2678,
		obj_t BgL_access1145z00_2679, obj_t BgL_fastzd2alpha1146zd2_2680,
		obj_t BgL_removable1147z00_2681, obj_t BgL_occurrence1148z00_2682,
		obj_t BgL_occurrencew1149z00_2683, obj_t BgL_userzf31150zf3_2684,
		obj_t BgL_module1151z00_2685, obj_t BgL_import1152z00_2686,
		obj_t BgL_evaluablezf31153zf3_2687, obj_t BgL_evalzf31154zf3_2688,
		obj_t BgL_library1155z00_2689, obj_t BgL_pragma1156z00_2690,
		obj_t BgL_src1157z00_2691, obj_t BgL_jvmzd2typezd2name1158z00_2692,
		obj_t BgL_init1159z00_2693, obj_t BgL_alias1160z00_2694,
		obj_t BgL_from1161z00_2695)
	{
		{	/* Effect/cgraph.sch 120 */
			return
				BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(BgL_id1141z00_2675,
				BgL_name1142z00_2676, ((BgL_typez00_bglt) BgL_type1143z00_2677),
				((BgL_valuez00_bglt) BgL_value1144z00_2678), BgL_access1145z00_2679,
				BgL_fastzd2alpha1146zd2_2680, BgL_removable1147z00_2681,
				(long) CINT(BgL_occurrence1148z00_2682),
				(long) CINT(BgL_occurrencew1149z00_2683),
				CBOOL(BgL_userzf31150zf3_2684), BgL_module1151z00_2685,
				BgL_import1152z00_2686, CBOOL(BgL_evaluablezf31153zf3_2687),
				CBOOL(BgL_evalzf31154zf3_2688), BgL_library1155z00_2689,
				BgL_pragma1156z00_2690, BgL_src1157z00_2691,
				BgL_jvmzd2typezd2name1158z00_2692, BgL_init1159z00_2693,
				BgL_alias1160z00_2694, BgL_from1161z00_2695);
		}

	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_73)
	{
		{	/* Effect/cgraph.sch 121 */
			{	/* Effect/cgraph.sch 121 */
				obj_t BgL_classz00_3014;

				BgL_classz00_3014 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_73))
					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_arg1820z00_3015;

						BgL_arg1820z00_3015 = (BgL_objectz00_bglt) (BgL_objz00_73);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Effect/cgraph.sch 121 */
								long BgL_idxz00_3016;

								BgL_idxz00_3016 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3015);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3016 + ((long) 3))) == BgL_classz00_3014);
							}
						else
							{	/* Effect/cgraph.sch 121 */
								bool_t BgL_res1881z00_3019;

								{	/* Effect/cgraph.sch 121 */
									obj_t BgL_oclassz00_3020;

									{	/* Effect/cgraph.sch 121 */
										long BgL_arg1828z00_3021;

										{	/* Effect/cgraph.sch 121 */
											long BgL_arg1829z00_3022;

											BgL_arg1829z00_3022 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3015);
											BgL_arg1828z00_3021 = (BgL_arg1829z00_3022 - OBJECT_TYPE);
										}
										BgL_oclassz00_3020 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3021);
									}
									{	/* Effect/cgraph.sch 121 */
										bool_t BgL__ortest_1111z00_3023;

										BgL__ortest_1111z00_3023 =
											(BgL_classz00_3014 == BgL_oclassz00_3020);
										if (BgL__ortest_1111z00_3023)
											{	/* Effect/cgraph.sch 121 */
												BgL_res1881z00_3019 = BgL__ortest_1111z00_3023;
											}
										else
											{	/* Effect/cgraph.sch 121 */
												long BgL_odepthz00_3024;

												BgL_odepthz00_3024 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3020);
												if ((((long) 3) < BgL_odepthz00_3024))
													{	/* Effect/cgraph.sch 121 */
														obj_t BgL_arg1816z00_3025;

														BgL_arg1816z00_3025 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3020,
															((long) 3));
														BgL_res1881z00_3019 =
															(BgL_arg1816z00_3025 == BgL_classz00_3014);
													}
												else
													{	/* Effect/cgraph.sch 121 */
														BgL_res1881z00_3019 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1881z00_3019;
							}
					}
				else
					{	/* Effect/cgraph.sch 121 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2696,
		obj_t BgL_objz00_2697)
	{
		{	/* Effect/cgraph.sch 121 */
			return BBOOL(BGl_globalzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2697));
		}

	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				obj_t BgL_classz00_2169;

				BgL_classz00_2169 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 122 */
					obj_t BgL__ortest_1113z00_2170;

					BgL__ortest_1113z00_2170 = BGL_CLASS_NIL(BgL_classz00_2169);
					if (CBOOL(BgL__ortest_1113z00_2170))
						{	/* Effect/cgraph.sch 122 */
							return ((BgL_globalz00_bglt) BgL__ortest_1113z00_2170);
						}
					else
						{	/* Effect/cgraph.sch 122 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2169));
						}
				}
			}
		}

	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2698)
	{
		{	/* Effect/cgraph.sch 122 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74)
	{
		{	/* Effect/cgraph.sch 123 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3555;

				{
					obj_t BgL_auxz00_3556;

					{	/* Effect/cgraph.sch 123 */
						BgL_objectz00_bglt BgL_tmpz00_3557;

						BgL_tmpz00_3557 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3556 = BGL_OBJECT_WIDENING(BgL_tmpz00_3557);
					}
					BgL_auxz00_3555 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3556);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3555))->BgL_fromz00);
			}
		}

	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2699,
		obj_t BgL_oz00_2700)
	{
		{	/* Effect/cgraph.sch 123 */
			return
				BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2700));
		}

	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_75, obj_t BgL_vz00_76)
	{
		{	/* Effect/cgraph.sch 124 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3564;

				{
					obj_t BgL_auxz00_3565;

					{	/* Effect/cgraph.sch 124 */
						BgL_objectz00_bglt BgL_tmpz00_3566;

						BgL_tmpz00_3566 = ((BgL_objectz00_bglt) BgL_oz00_75);
						BgL_auxz00_3565 = BGL_OBJECT_WIDENING(BgL_tmpz00_3566);
					}
					BgL_auxz00_3564 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3565);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3564))->
						BgL_fromz00) = ((obj_t) BgL_vz00_76), BUNSPEC);
			}
		}

	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2701, obj_t BgL_oz00_2702, obj_t BgL_vz00_2703)
	{
		{	/* Effect/cgraph.sch 124 */
			return
				BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2702), BgL_vz00_2703);
		}

	}



/* global/from-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77)
	{
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_aliasz00);
		}

	}



/* &global/from-alias */
	obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t BgL_envz00_2704,
		obj_t BgL_oz00_2705)
	{
		{	/* Effect/cgraph.sch 125 */
			return
				BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2705));
		}

	}



/* global/from-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_78)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &global/from-alias-set! */
	obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2706, obj_t BgL_oz00_2707, obj_t BgL_vz00_2708)
	{
		{	/* Effect/cgraph.sch 126 */
			return
				BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2707), BgL_vz00_2708);
		}

	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_80)
	{
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_initz00);
		}

	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2709,
		obj_t BgL_oz00_2710)
	{
		{	/* Effect/cgraph.sch 127 */
			return
				BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2710));
		}

	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_81, obj_t BgL_vz00_82)
	{
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_81)))->BgL_initz00) =
				((obj_t) BgL_vz00_82), BUNSPEC);
		}

	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2711, obj_t BgL_oz00_2712, obj_t BgL_vz00_2713)
	{
		{	/* Effect/cgraph.sch 128 */
			return
				BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2712), BgL_vz00_2713);
		}

	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_83)
	{
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2714, obj_t BgL_oz00_2715)
	{
		{	/* Effect/cgraph.sch 129 */
			return
				BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2715));
		}

	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_84)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2716, obj_t BgL_oz00_2717, obj_t BgL_vz00_2718)
	{
		{	/* Effect/cgraph.sch 130 */
			return
				BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2717), BgL_vz00_2718);
		}

	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_86)
	{
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_srcz00);
		}

	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2719,
		obj_t BgL_oz00_2720)
	{
		{	/* Effect/cgraph.sch 131 */
			return
				BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2720));
		}

	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_87)))->BgL_srcz00) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2721, obj_t BgL_oz00_2722, obj_t BgL_vz00_2723)
	{
		{	/* Effect/cgraph.sch 132 */
			return
				BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2722), BgL_vz00_2723);
		}

	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_pragmaz00);
		}

	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2724, obj_t BgL_oz00_2725)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2725));
		}

	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_90, obj_t BgL_vz00_91)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_90)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_91), BUNSPEC);
		}

	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2726, obj_t BgL_oz00_2727, obj_t BgL_vz00_2728)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2727), BgL_vz00_2728);
		}

	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_libraryz00);
		}

	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2729, obj_t BgL_oz00_2730)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2730));
		}

	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_93, obj_t BgL_vz00_94)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_93)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_94), BUNSPEC);
		}

	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2731, obj_t BgL_oz00_2732, obj_t BgL_vz00_2733)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2732), BgL_vz00_2733);
		}

	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_95)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evalzf3zf3);
		}

	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2734, obj_t BgL_oz00_2735)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				BBOOL(BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2735)));
		}

	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_96, bool_t BgL_vz00_97)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_96)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_97), BUNSPEC);
		}

	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2736, obj_t BgL_oz00_2737, obj_t BgL_vz00_2738)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2737), CBOOL(BgL_vz00_2738));
		}

	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_evaluablezf3zf3);
		}

	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2739, obj_t BgL_oz00_2740)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				BBOOL(BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2740)));
		}

	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_99, bool_t BgL_vz00_100)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_99)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_100), BUNSPEC);
		}

	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2741, obj_t BgL_oz00_2742, obj_t BgL_vz00_2743)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2742), CBOOL(BgL_vz00_2743));
		}

	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_importz00);
		}

	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2744, obj_t BgL_oz00_2745)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2745));
		}

	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_102, obj_t BgL_vz00_103)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_102)))->BgL_importz00) =
				((obj_t) BgL_vz00_103), BUNSPEC);
		}

	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2746, obj_t BgL_oz00_2747, obj_t BgL_vz00_2748)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2747), BgL_vz00_2748);
		}

	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_104)))->BgL_modulez00);
		}

	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2749, obj_t BgL_oz00_2750)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2750));
		}

	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_105, obj_t BgL_vz00_106)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_105)))->BgL_modulez00) =
				((obj_t) BgL_vz00_106), BUNSPEC);
		}

	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2751, obj_t BgL_oz00_2752, obj_t BgL_vz00_2753)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2752), BgL_vz00_2753);
		}

	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_107)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_userzf3zf3);
		}

	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2754, obj_t BgL_oz00_2755)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				BBOOL(BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2755)));
		}

	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_108, bool_t BgL_vz00_109)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_108)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_109), BUNSPEC);
		}

	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2756, obj_t BgL_oz00_2757, obj_t BgL_vz00_2758)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2757), CBOOL(BgL_vz00_2758));
		}

	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_110)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencewz00);
		}

	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2759, obj_t BgL_oz00_2760)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				BINT(BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2760)));
		}

	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_111, long BgL_vz00_112)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_111)))->BgL_occurrencewz00) =
				((long) BgL_vz00_112), BUNSPEC);
		}

	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2761, obj_t BgL_oz00_2762, obj_t BgL_vz00_2763)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2762), (long) CINT(BgL_vz00_2763));
		}

	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_113)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_occurrencez00);
		}

	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2764, obj_t BgL_oz00_2765)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				BINT(BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2765)));
		}

	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_114, long BgL_vz00_115)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_114)))->BgL_occurrencez00) =
				((long) BgL_vz00_115), BUNSPEC);
		}

	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2766, obj_t BgL_oz00_2767, obj_t BgL_vz00_2768)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2767), (long) CINT(BgL_vz00_2768));
		}

	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_116)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_removablez00);
		}

	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2769, obj_t BgL_oz00_2770)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2770));
		}

	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_117, obj_t BgL_vz00_118)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_117)))->BgL_removablez00) =
				((obj_t) BgL_vz00_118), BUNSPEC);
		}

	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2771, obj_t BgL_oz00_2772, obj_t BgL_vz00_2773)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2772), BgL_vz00_2773);
		}

	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_fastzd2alphazd2);
		}

	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2774, obj_t BgL_oz00_2775)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2775));
		}

	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_120, obj_t BgL_vz00_121)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_120)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_121), BUNSPEC);
		}

	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2776, obj_t BgL_oz00_2777, obj_t BgL_vz00_2778)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2777), BgL_vz00_2778);
		}

	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_accessz00);
		}

	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2779, obj_t BgL_oz00_2780)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2780));
		}

	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_123, obj_t BgL_vz00_124)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_123)))->BgL_accessz00) =
				((obj_t) BgL_vz00_124), BUNSPEC);
		}

	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2781, obj_t BgL_oz00_2782, obj_t BgL_vz00_2783)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2782), BgL_vz00_2783);
		}

	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_valuez00);
		}

	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2784, obj_t BgL_oz00_2785)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2785));
		}

	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_126, BgL_valuez00_bglt BgL_vz00_127)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_126)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_127), BUNSPEC);
		}

	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2786, obj_t BgL_oz00_2787, obj_t BgL_vz00_2788)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2787),
				((BgL_valuez00_bglt) BgL_vz00_2788));
		}

	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_typez00);
		}

	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2789, obj_t BgL_oz00_2790)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2790));
		}

	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_129, BgL_typez00_bglt BgL_vz00_130)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_129)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_130), BUNSPEC);
		}

	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2791, obj_t BgL_oz00_2792, obj_t BgL_vz00_2793)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2792),
				((BgL_typez00_bglt) BgL_vz00_2793));
		}

	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_131)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_131)))->BgL_namez00);
		}

	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2794,
		obj_t BgL_oz00_2795)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2795));
		}

	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_132, obj_t BgL_vz00_133)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_132)))->BgL_namez00) =
				((obj_t) BgL_vz00_133), BUNSPEC);
		}

	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2796, obj_t BgL_oz00_2797, obj_t BgL_vz00_2798)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2797), BgL_vz00_2798);
		}

	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_134)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_134)))->BgL_idz00);
		}

	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2799,
		obj_t BgL_oz00_2800)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2800));
		}

	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_137)
	{
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_YOUNG_PAIR(
				((obj_t) BgL_variablez00_137),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg1391z00_1550;

				BgL_arg1391z00_1550 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_137))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg1391z00_1550), BgL_variablez00_137);
			}
		}

	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2801,
		obj_t BgL_variablez00_2802)
	{
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2802));
		}

	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_176,
		obj_t BgL_ownerz00_177)
	{
		{	/* Effect/cgraph.scm 206 */
			{
				obj_t BgL_l1325z00_1553;

				BgL_l1325z00_1553 = BgL_nodeza2za2_176;
			BgL_zc3z04anonymousza31393ze3z87_1554:
				if (PAIRP(BgL_l1325z00_1553))
					{	/* Effect/cgraph.scm 207 */
						{	/* Effect/cgraph.scm 207 */
							obj_t BgL_nodez00_1556;

							BgL_nodez00_1556 = CAR(BgL_l1325z00_1553);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1556),
								((BgL_variablez00_bglt) BgL_ownerz00_177));
						}
						{
							obj_t BgL_l1325z00_3756;

							BgL_l1325z00_3756 = CDR(BgL_l1325z00_1553);
							BgL_l1325z00_1553 = BgL_l1325z00_3756;
							goto BgL_zc3z04anonymousza31393ze3z87_1554;
						}
					}
				else
					{	/* Effect/cgraph.scm 207 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}

	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2803)
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
		}

	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}

	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2804)
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_getzd2varzf2allz20zzeffect_cgraphz00();
		}

	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 273 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2805)
	{
		{	/* Effect/cgraph.scm 273 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}

	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_188)
	{
		{	/* Effect/cgraph.scm 280 */
			{	/* Effect/cgraph.scm 283 */
				BgL_valuez00_bglt BgL_funz00_1559;

				BgL_funz00_1559 =
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_188))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_funz00_1559)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 285 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_188),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 288 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 288 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_YOUNG_PAIR(
										((obj_t) BgL_vz00_188),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 285 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_vz00_188),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						return ((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
											BgL_funz00_1559)))->BgL_sidezd2effectzd2) =
							((obj_t) BTRUE), BUNSPEC);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg1458z00_1566;
				obj_t BgL_arg1467z00_1567;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1327z00_1602;

					BgL_v1327z00_1602 = create_vector(((long) 1));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1521z00_1603;

						BgL_arg1521z00_1603 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1901z00zzeffect_cgraphz00,
							BGl_proc1900z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1327z00_1602, ((long) 0), BgL_arg1521z00_1603);
					}
					BgL_arg1458z00_1566 = BgL_v1327z00_1602;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1328z00_1613;

					BgL_v1328z00_1613 = create_vector(((long) 0));
					BgL_arg1467z00_1567 = BgL_v1328z00_1613;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc1905z00zzeffect_cgraphz00, BGl_proc1904z00zzeffect_cgraphz00,
					BFALSE, BGl_proc1903z00zzeffect_cgraphz00,
					BGl_proc1902z00zzeffect_cgraphz00, BgL_arg1458z00_1566,
					BgL_arg1467z00_1567);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg1558z00_1622;
				obj_t BgL_arg1559z00_1623;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1329z00_1665;

					BgL_v1329z00_1665 = create_vector(((long) 1));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1581z00_1666;

						BgL_arg1581z00_1666 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc1907z00zzeffect_cgraphz00,
							BGl_proc1906z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1329z00_1665, ((long) 0), BgL_arg1581z00_1666);
					}
					BgL_arg1558z00_1622 = BgL_v1329z00_1665;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1330z00_1676;

					BgL_v1330z00_1676 = create_vector(((long) 0));
					BgL_arg1559z00_1623 = BgL_v1330z00_1676;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc1911z00zzeffect_cgraphz00,
						BGl_proc1910z00zzeffect_cgraphz00, BFALSE,
						BGl_proc1909z00zzeffect_cgraphz00,
						BGl_proc1908z00zzeffect_cgraphz00, BgL_arg1558z00_1622,
						BgL_arg1559z00_1623), BUNSPEC);
		}}

	}



/* &lambda1569 */
	BgL_globalz00_bglt BGl_z62lambda1569z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2818, obj_t BgL_o1148z00_2819)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_arg1570z00_3027;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_arg1572z00_3028;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1580z00_3029;

						{	/* Effect/cgraph.scm 22 */
							long BgL_arg1828z00_3030;

							{	/* Effect/cgraph.scm 22 */
								long BgL_arg1829z00_3031;

								BgL_arg1829z00_3031 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1148z00_2819)));
								BgL_arg1828z00_3030 = (BgL_arg1829z00_3031 - OBJECT_TYPE);
							}
							BgL_arg1580z00_3029 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3030);
						}
						BgL_arg1572z00_3028 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1580z00_3029);
					}
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_tmpz00_3801;

						BgL_tmpz00_3801 = ((obj_t) BgL_arg1572z00_3028);
						BgL_arg1570z00_3027 = BGL_CLASS_NUM(BgL_tmpz00_3801);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1148z00_2819)), BgL_arg1570z00_3027);
			}
			{	/* Effect/cgraph.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3807;

				BgL_tmpz00_3807 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2819));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3807, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2819));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2819));
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2820, obj_t BgL_new1147z00_2821)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_auxz00_3815;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1147z00_2821))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3823;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3033;

						BgL_classz00_3033 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1113z00_3034;

							BgL__ortest_1113z00_3034 = BGL_CLASS_NIL(BgL_classz00_3033);
							if (CBOOL(BgL__ortest_1113z00_3034))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3823 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_3034);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3823 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3033));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1147z00_2821))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3823), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3833;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3035;

						BgL_classz00_3035 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1113z00_3036;

							BgL__ortest_1113z00_3036 = BGL_CLASS_NIL(BgL_classz00_3035);
							if (CBOOL(BgL__ortest_1113z00_3036))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3833 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_3036);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3833 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3035));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1147z00_2821))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3833), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1147z00_2821))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string1912z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2821))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3892;

					{
						obj_t BgL_auxz00_3893;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3894;

							BgL_tmpz00_3894 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1147z00_2821));
							BgL_auxz00_3893 = BGL_OBJECT_WIDENING(BgL_tmpz00_3894);
						}
						BgL_auxz00_3892 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3893);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3892))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3815 = ((BgL_globalz00_bglt) BgL_new1147z00_2821);
				return ((obj_t) BgL_auxz00_3815);
			}
		}

	}



/* &lambda1566 */
	BgL_globalz00_bglt BGl_z62lambda1566z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2822, obj_t BgL_o1144z00_2823)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				BgL_globalzf2fromzf2_bglt BgL_wide1146z00_3038;

				BgL_wide1146z00_3038 =
					((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_auxz00_3907;
					BgL_objectz00_bglt BgL_tmpz00_3903;

					BgL_auxz00_3907 = ((obj_t) BgL_wide1146z00_3038);
					BgL_tmpz00_3903 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2823)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3903, BgL_auxz00_3907);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2823)));
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg1567z00_3039;

					BgL_arg1567z00_3039 =
						BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1144z00_2823))),
						BgL_arg1567z00_3039);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2823)));
			}
		}

	}



/* &lambda1560 */
	BgL_globalz00_bglt BGl_z62lambda1560z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2824, obj_t BgL_id1123z00_2825, obj_t BgL_name1124z00_2826,
		obj_t BgL_type1125z00_2827, obj_t BgL_value1126z00_2828,
		obj_t BgL_access1127z00_2829, obj_t BgL_fastzd2alpha1128zd2_2830,
		obj_t BgL_removable1129z00_2831, obj_t BgL_occurrence1130z00_2832,
		obj_t BgL_occurrencew1131z00_2833, obj_t BgL_userzf31132zf3_2834,
		obj_t BgL_module1133z00_2835, obj_t BgL_import1134z00_2836,
		obj_t BgL_evaluablezf31135zf3_2837, obj_t BgL_evalzf31136zf3_2838,
		obj_t BgL_library1137z00_2839, obj_t BgL_pragma1138z00_2840,
		obj_t BgL_src1139z00_2841, obj_t BgL_jvmzd2typezd2name1140z00_2842,
		obj_t BgL_init1141z00_2843, obj_t BgL_alias1142z00_2844,
		obj_t BgL_from1143z00_2845)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_occurrence1130z00_3043;
				long BgL_occurrencew1131z00_3044;
				bool_t BgL_userzf31132zf3_3045;
				bool_t BgL_evaluablezf31135zf3_3047;
				bool_t BgL_evalzf31136zf3_3048;

				BgL_occurrence1130z00_3043 = (long) CINT(BgL_occurrence1130z00_2832);
				BgL_occurrencew1131z00_3044 = (long) CINT(BgL_occurrencew1131z00_2833);
				BgL_userzf31132zf3_3045 = CBOOL(BgL_userzf31132zf3_2834);
				BgL_evaluablezf31135zf3_3047 = CBOOL(BgL_evaluablezf31135zf3_2837);
				BgL_evalzf31136zf3_3048 = CBOOL(BgL_evalzf31136zf3_2838);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1197z00_3050;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1195z00_3051;
						BgL_globalzf2fromzf2_bglt BgL_wide1196z00_3052;

						{
							BgL_globalz00_bglt BgL_auxz00_3926;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1194z00_3053;

								BgL_new1194z00_3053 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1565z00_3054;

									BgL_arg1565z00_3054 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1194z00_3053),
										BgL_arg1565z00_3054);
								}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3931;

									BgL_tmpz00_3931 = ((BgL_objectz00_bglt) BgL_new1194z00_3053);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3931, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1194z00_3053);
								BgL_auxz00_3926 = BgL_new1194z00_3053;
							}
							BgL_tmp1195z00_3051 = ((BgL_globalz00_bglt) BgL_auxz00_3926);
						}
						BgL_wide1196z00_3052 =
							((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_3939;
							BgL_objectz00_bglt BgL_tmpz00_3937;

							BgL_auxz00_3939 = ((obj_t) BgL_wide1196z00_3052);
							BgL_tmpz00_3937 = ((BgL_objectz00_bglt) BgL_tmp1195z00_3051);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3937, BgL_auxz00_3939);
						}
						((BgL_objectz00_bglt) BgL_tmp1195z00_3051);
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg1561z00_3055;

							BgL_arg1561z00_3055 =
								BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1195z00_3051),
								BgL_arg1561z00_3055);
						}
						BgL_new1197z00_3050 = ((BgL_globalz00_bglt) BgL_tmp1195z00_3051);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1197z00_3050)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1123z00_2825)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_namez00) =
						((obj_t) BgL_name1124z00_2826), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1125z00_2827)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1126z00_2828)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_accessz00) =
						((obj_t) BgL_access1127z00_2829), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1128zd2_2830), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_removablez00) =
						((obj_t) BgL_removable1129z00_2831), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_occurrencez00) =
						((long) BgL_occurrence1130z00_3043), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1131z00_3044), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1197z00_3050)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31132zf3_3045), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1133z00_2835)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_importz00) =
						((obj_t) BgL_import1134z00_2836), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31135zf3_3047), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31136zf3_3048), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_libraryz00) =
						((obj_t) BgL_library1137z00_2839), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1138z00_2840), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_srcz00) =
						((obj_t) BgL_src1139z00_2841), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1140z00_2842)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_initz00) =
						((obj_t) BgL_init1141z00_2843), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1197z00_3050)))->BgL_aliasz00) =
						((obj_t) BgL_alias1142z00_2844), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3992;

						{
							obj_t BgL_auxz00_3993;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_3994;

								BgL_tmpz00_3994 = ((BgL_objectz00_bglt) BgL_new1197z00_3050);
								BgL_auxz00_3993 = BGL_OBJECT_WIDENING(BgL_tmpz00_3994);
							}
							BgL_auxz00_3992 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3993);
						}
						((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3992))->
								BgL_fromz00) = ((obj_t) BgL_from1143z00_2845), BUNSPEC);
					}
					return BgL_new1197z00_3050;
				}
			}
		}

	}



/* &lambda1590 */
	obj_t BGl_z62lambda1590z62zzeffect_cgraphz00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847, obj_t BgL_vz00_2848)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3999;

				{
					obj_t BgL_auxz00_4000;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4001;

						BgL_tmpz00_4001 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2847));
						BgL_auxz00_4000 = BGL_OBJECT_WIDENING(BgL_tmpz00_4001);
					}
					BgL_auxz00_3999 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4000);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3999))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2848), BUNSPEC);
			}
		}

	}



/* &lambda1589 */
	obj_t BGl_z62lambda1589z62zzeffect_cgraphz00(obj_t BgL_envz00_2849,
		obj_t BgL_oz00_2850)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_4007;

				{
					obj_t BgL_auxz00_4008;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4009;

						BgL_tmpz00_4009 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2850));
						BgL_auxz00_4008 = BGL_OBJECT_WIDENING(BgL_tmpz00_4009);
					}
					BgL_auxz00_4007 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4008);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4007))->BgL_fromz00);
			}
		}

	}



/* &lambda1498 */
	BgL_localz00_bglt BGl_z62lambda1498z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2851, obj_t BgL_o1121z00_2852)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_arg1506z00_3059;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_arg1510z00_3060;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1511z00_3061;

						{	/* Effect/cgraph.scm 21 */
							long BgL_arg1828z00_3062;

							{	/* Effect/cgraph.scm 21 */
								long BgL_arg1829z00_3063;

								BgL_arg1829z00_3063 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2852)));
								BgL_arg1828z00_3062 = (BgL_arg1829z00_3063 - OBJECT_TYPE);
							}
							BgL_arg1511z00_3061 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3062);
						}
						BgL_arg1510z00_3060 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1511z00_3061);
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_tmpz00_4021;

						BgL_tmpz00_4021 = ((obj_t) BgL_arg1510z00_3060);
						BgL_arg1506z00_3059 = BGL_CLASS_NUM(BgL_tmpz00_4021);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2852)), BgL_arg1506z00_3059);
			}
			{	/* Effect/cgraph.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_4027;

				BgL_tmpz00_4027 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2852));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4027, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2852));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2852));
		}

	}



/* &<@anonymous:1497> */
	obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2853, obj_t BgL_new1120z00_2854)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_4035;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2854))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4043;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3065;

						BgL_classz00_3065 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1113z00_3066;

							BgL__ortest_1113z00_3066 = BGL_CLASS_NIL(BgL_classz00_3065);
							if (CBOOL(BgL__ortest_1113z00_3066))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4043 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_3066);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4043 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3065));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2854))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4043), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4053;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3067;

						BgL_classz00_3067 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1113z00_3068;

							BgL__ortest_1113z00_3068 = BGL_CLASS_NIL(BgL_classz00_3067);
							if (CBOOL(BgL__ortest_1113z00_3068))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4053 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_3068);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4053 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3067));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2854))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4053), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2854))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2854))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4090;

					{
						obj_t BgL_auxz00_4091;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_4092;

							BgL_tmpz00_4092 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_2854));
							BgL_auxz00_4091 = BGL_OBJECT_WIDENING(BgL_tmpz00_4092);
						}
						BgL_auxz00_4090 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4091);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4090))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_4035 = ((BgL_localz00_bglt) BgL_new1120z00_2854);
				return ((obj_t) BgL_auxz00_4035);
			}
		}

	}



/* &lambda1485 */
	BgL_localz00_bglt BGl_z62lambda1485z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2855, obj_t BgL_o1117z00_2856)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_localzf2fromzf2_bglt BgL_wide1119z00_3070;

				BgL_wide1119z00_3070 =
					((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_auxz00_4105;
					BgL_objectz00_bglt BgL_tmpz00_4101;

					BgL_auxz00_4105 = ((obj_t) BgL_wide1119z00_3070);
					BgL_tmpz00_4101 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2856)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4101, BgL_auxz00_4105);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2856)));
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg1496z00_3071;

					BgL_arg1496z00_3071 =
						BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_2856))), BgL_arg1496z00_3071);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2856)));
			}
		}

	}



/* &lambda1468 */
	BgL_localz00_bglt BGl_z62lambda1468z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2857, obj_t BgL_id1103z00_2858, obj_t BgL_name1104z00_2859,
		obj_t BgL_type1105z00_2860, obj_t BgL_value1106z00_2861,
		obj_t BgL_access1107z00_2862, obj_t BgL_fastzd2alpha1108zd2_2863,
		obj_t BgL_removable1109z00_2864, obj_t BgL_occurrence1110z00_2865,
		obj_t BgL_occurrencew1111z00_2866, obj_t BgL_userzf31112zf3_2867,
		obj_t BgL_key1113z00_2868, obj_t BgL_valzd2noescape1114zd2_2869,
		obj_t BgL_volatile1115z00_2870, obj_t BgL_from1116z00_2871)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_occurrence1110z00_3075;
				long BgL_occurrencew1111z00_3076;
				bool_t BgL_userzf31112zf3_3077;
				long BgL_key1113z00_3078;
				bool_t BgL_volatile1115z00_3079;

				BgL_occurrence1110z00_3075 = (long) CINT(BgL_occurrence1110z00_2865);
				BgL_occurrencew1111z00_3076 = (long) CINT(BgL_occurrencew1111z00_2866);
				BgL_userzf31112zf3_3077 = CBOOL(BgL_userzf31112zf3_2867);
				BgL_key1113z00_3078 = (long) CINT(BgL_key1113z00_2868);
				BgL_volatile1115z00_3079 = CBOOL(BgL_volatile1115z00_2870);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1192z00_3080;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1190z00_3081;
						BgL_localzf2fromzf2_bglt BgL_wide1191z00_3082;

						{
							BgL_localz00_bglt BgL_auxz00_4124;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1189z00_3083;

								BgL_new1189z00_3083 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1484z00_3084;

									BgL_arg1484z00_3084 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1189z00_3083),
										BgL_arg1484z00_3084);
								}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_4129;

									BgL_tmpz00_4129 = ((BgL_objectz00_bglt) BgL_new1189z00_3083);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4129, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1189z00_3083);
								BgL_auxz00_4124 = BgL_new1189z00_3083;
							}
							BgL_tmp1190z00_3081 = ((BgL_localz00_bglt) BgL_auxz00_4124);
						}
						BgL_wide1191z00_3082 =
							((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4137;
							BgL_objectz00_bglt BgL_tmpz00_4135;

							BgL_auxz00_4137 = ((obj_t) BgL_wide1191z00_3082);
							BgL_tmpz00_4135 = ((BgL_objectz00_bglt) BgL_tmp1190z00_3081);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4135, BgL_auxz00_4137);
						}
						((BgL_objectz00_bglt) BgL_tmp1190z00_3081);
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg1482z00_3085;

							BgL_arg1482z00_3085 =
								BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1190z00_3081),
								BgL_arg1482z00_3085);
						}
						BgL_new1192z00_3080 = ((BgL_localz00_bglt) BgL_tmp1190z00_3081);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1192z00_3080)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2858)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2859), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2860)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2861)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2862), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2863), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2864), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_3075), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_3076), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1192z00_3080)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_3077), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1192z00_3080)))->BgL_keyz00) =
						((long) BgL_key1113z00_3078), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1192z00_3080)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2869), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1192z00_3080)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_3079), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4174;

						{
							obj_t BgL_auxz00_4175;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_4176;

								BgL_tmpz00_4176 = ((BgL_objectz00_bglt) BgL_new1192z00_3080);
								BgL_auxz00_4175 = BGL_OBJECT_WIDENING(BgL_tmpz00_4176);
							}
							BgL_auxz00_4174 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4175);
						}
						((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4174))->
								BgL_fromz00) = ((obj_t) BgL_from1116z00_2871), BUNSPEC);
					}
					return BgL_new1192z00_3080;
				}
			}
		}

	}



/* &lambda1525 */
	obj_t BGl_z62lambda1525z62zzeffect_cgraphz00(obj_t BgL_envz00_2872,
		obj_t BgL_oz00_2873, obj_t BgL_vz00_2874)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4181;

				{
					obj_t BgL_auxz00_4182;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4183;

						BgL_tmpz00_4183 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2873));
						BgL_auxz00_4182 = BGL_OBJECT_WIDENING(BgL_tmpz00_4183);
					}
					BgL_auxz00_4181 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4182);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4181))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2874), BUNSPEC);
			}
		}

	}



/* &lambda1524 */
	obj_t BGl_z62lambda1524z62zzeffect_cgraphz00(obj_t BgL_envz00_2875,
		obj_t BgL_oz00_2876)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4189;

				{
					obj_t BgL_auxz00_4190;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4191;

						BgL_tmpz00_4191 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2876));
						BgL_auxz00_4190 = BGL_OBJECT_WIDENING(BgL_tmpz00_4191);
					}
					BgL_auxz00_4189 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4190);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4189))->BgL_fromz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1913z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string1914z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1915z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string1916z00zzeffect_cgraphz00);
		}

	}



/* &save-call!1370 */
	obj_t BGl_z62savezd2callz121370za2zzeffect_cgraphz00(obj_t BgL_envz00_2879,
		obj_t BgL_calleez00_2880, obj_t BgL_ownerz00_2881)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
				BGl_string1917z00zzeffect_cgraphz00,
				((obj_t) ((BgL_variablez00_bglt) BgL_calleez00_2880)));
		}

	}



/* &call-graph!1331 */
	obj_t BGl_z62callzd2graphz121331za2zzeffect_cgraphz00(obj_t BgL_envz00_2882,
		obj_t BgL_nodez00_2883, obj_t BgL_ownerz00_2884)
	{
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}

	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_138, BgL_variablez00_bglt BgL_ownerz00_139)
	{
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1332z00_1691;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res1886z00_2282;

					{	/* Effect/cgraph.scm 38 */
						long BgL_objzd2classzd2numz00_2253;

						BgL_objzd2classzd2numz00_2253 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_138));
						{	/* Effect/cgraph.scm 38 */
							obj_t BgL_arg1825z00_2254;

							BgL_arg1825z00_2254 =
								PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 38 */
								int BgL_offsetz00_2257;

								BgL_offsetz00_2257 = (int) (BgL_objzd2classzd2numz00_2253);
								{	/* Effect/cgraph.scm 38 */
									long BgL_offsetz00_2258;

									BgL_offsetz00_2258 =
										((long) (BgL_offsetz00_2257) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 38 */
										long BgL_modz00_2259;

										BgL_modz00_2259 =
											(BgL_offsetz00_2258 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/cgraph.scm 38 */
											long BgL_restz00_2261;

											BgL_restz00_2261 =
												(BgL_offsetz00_2258 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/cgraph.scm 38 */

												{	/* Effect/cgraph.scm 38 */
													obj_t BgL_bucketz00_2263;

													BgL_bucketz00_2263 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2254), BgL_modz00_2259);
													BgL_res1886z00_2282 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2263), BgL_restz00_2261);
					}}}}}}}}
					BgL_method1332z00_1691 = BgL_res1886z00_2282;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1332z00_1691)) (BgL_method1332z00_1691,
					((obj_t) BgL_nodez00_138), ((obj_t) BgL_ownerz00_139), BEOA);
			}
		}

	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2885,
		obj_t BgL_nodez00_2886, obj_t BgL_ownerz00_2887)
	{
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_2886),
				((BgL_variablez00_bglt) BgL_ownerz00_2887));
		}

	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_178, BgL_variablez00_bglt BgL_ownerz00_179)
	{
		{	/* Effect/cgraph.scm 212 */
			{	/* Effect/cgraph.scm 212 */
				obj_t BgL_method1371z00_1692;

				{	/* Effect/cgraph.scm 212 */
					obj_t BgL_res1891z00_2313;

					{	/* Effect/cgraph.scm 212 */
						long BgL_objzd2classzd2numz00_2284;

						BgL_objzd2classzd2numz00_2284 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_calleez00_178));
						{	/* Effect/cgraph.scm 212 */
							obj_t BgL_arg1825z00_2285;

							BgL_arg1825z00_2285 =
								PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 212 */
								int BgL_offsetz00_2288;

								BgL_offsetz00_2288 = (int) (BgL_objzd2classzd2numz00_2284);
								{	/* Effect/cgraph.scm 212 */
									long BgL_offsetz00_2289;

									BgL_offsetz00_2289 =
										((long) (BgL_offsetz00_2288) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 212 */
										long BgL_modz00_2290;

										BgL_modz00_2290 =
											(BgL_offsetz00_2289 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Effect/cgraph.scm 212 */
											long BgL_restz00_2292;

											BgL_restz00_2292 =
												(BgL_offsetz00_2289 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Effect/cgraph.scm 212 */

												{	/* Effect/cgraph.scm 212 */
													obj_t BgL_bucketz00_2294;

													BgL_bucketz00_2294 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2285), BgL_modz00_2290);
													BgL_res1891z00_2313 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2294), BgL_restz00_2292);
					}}}}}}}}
					BgL_method1371z00_1692 = BgL_res1891z00_2313;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1371z00_1692)) (BgL_method1371z00_1692,
					((obj_t) BgL_calleez00_178), ((obj_t) BgL_ownerz00_179), BEOA);
			}
		}

	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2888,
		obj_t BgL_calleez00_2889, obj_t BgL_ownerz00_2890)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_2889),
				((BgL_variablez00_bglt) BgL_ownerz00_2890));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1918z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc1920z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc1921z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1922z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1923z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc1924z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc1925z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc1926z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1927z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc1928z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_switchz00zzast_nodez00, BGl_proc1929z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1930z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1931z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1932z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1933z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1934z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1935z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1936z00zzeffect_cgraphz00,
				BGl_string1919z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc1937z00zzeffect_cgraphz00,
				BGl_string1938z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1939z00zzeffect_cgraphz00, BGl_string1938z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc1940z00zzeffect_cgraphz00,
				BGl_string1938z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1941z00zzeffect_cgraphz00, BGl_string1938z00zzeffect_cgraphz00);
		}

	}



/* &save-call!-local/fro1379 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1379z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2913, obj_t BgL_calleez00_2914, obj_t BgL_ownerz00_2915)
	{
		{	/* Effect/cgraph.scm 243 */
			{	/* Effect/cgraph.scm 245 */
				bool_t BgL_test2083z00_4296;

				{	/* Effect/cgraph.scm 245 */
					obj_t BgL_arg1763z00_3093;

					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4297;

						{
							obj_t BgL_auxz00_4298;

							{	/* Effect/cgraph.scm 245 */
								BgL_objectz00_bglt BgL_tmpz00_4299;

								BgL_tmpz00_4299 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2914));
								BgL_auxz00_4298 = BGL_OBJECT_WIDENING(BgL_tmpz00_4299);
							}
							BgL_auxz00_4297 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4298);
						}
						BgL_arg1763z00_3093 =
							(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4297))->
							BgL_fromz00);
					}
					BgL_test2083z00_4296 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2915,
							BgL_arg1763z00_3093));
				}
				if (BgL_test2083z00_4296)
					{	/* Effect/cgraph.scm 245 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4314;
						BgL_localzf2fromzf2_bglt BgL_auxz00_4307;

						{	/* Effect/cgraph.scm 246 */
							obj_t BgL_arg1757z00_3094;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4315;

								{
									obj_t BgL_auxz00_4316;

									{	/* Effect/cgraph.scm 246 */
										BgL_objectz00_bglt BgL_tmpz00_4317;

										BgL_tmpz00_4317 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_calleez00_2914));
										BgL_auxz00_4316 = BGL_OBJECT_WIDENING(BgL_tmpz00_4317);
									}
									BgL_auxz00_4315 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4316);
								}
								BgL_arg1757z00_3094 =
									(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4315))->
									BgL_fromz00);
							}
							BgL_auxz00_4314 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2915, BgL_arg1757z00_3094);
						}
						{
							obj_t BgL_auxz00_4308;

							{	/* Effect/cgraph.scm 246 */
								BgL_objectz00_bglt BgL_tmpz00_4309;

								BgL_tmpz00_4309 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2914));
								BgL_auxz00_4308 = BGL_OBJECT_WIDENING(BgL_tmpz00_4309);
							}
							BgL_auxz00_4307 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4308);
						}
						return
							((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4307))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4314), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-local1377 */
	obj_t BGl_z62savezd2callz12zd2local1377z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2916, obj_t BgL_calleez00_2917, obj_t BgL_ownerz00_2918)
	{
		{	/* Effect/cgraph.scm 237 */
			{	/* Effect/cgraph.scm 238 */
				BgL_localz00_bglt BgL_arg1753z00_3096;

				{	/* Effect/cgraph.scm 238 */
					BgL_localzf2fromzf2_bglt BgL_wide1186z00_3097;

					BgL_wide1186z00_3097 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 238 */
						obj_t BgL_auxz00_4330;
						BgL_objectz00_bglt BgL_tmpz00_4326;

						BgL_auxz00_4330 = ((obj_t) BgL_wide1186z00_3097);
						BgL_tmpz00_4326 =
							((BgL_objectz00_bglt)
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2917)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4326, BgL_auxz00_4330);
					}
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2917)));
					{	/* Effect/cgraph.scm 238 */
						long BgL_arg1754z00_3098;

						BgL_arg1754z00_3098 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2917))),
							BgL_arg1754z00_3098);
					}
					((BgL_localz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2917)));
				}
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4344;

					{
						obj_t BgL_auxz00_4345;

						{	/* Effect/cgraph.scm 238 */
							BgL_objectz00_bglt BgL_tmpz00_4346;

							BgL_tmpz00_4346 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2917)));
							BgL_auxz00_4345 = BGL_OBJECT_WIDENING(BgL_tmpz00_4346);
						}
						BgL_auxz00_4344 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4345);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4344))->
							BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg1753z00_3096 =
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2917));
				return
					BGl_savezd2callz12zc0zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_arg1753z00_3096),
					((BgL_variablez00_bglt) BgL_ownerz00_2918));
			}
		}

	}



/* &save-call!-global/fr1375 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1375z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2919, obj_t BgL_calleez00_2920, obj_t BgL_ownerz00_2921)
	{
		{	/* Effect/cgraph.scm 229 */
			{	/* Effect/cgraph.scm 231 */
				bool_t BgL_test2084z00_4358;

				{	/* Effect/cgraph.scm 231 */
					obj_t BgL_arg1752z00_3100;

					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4359;

						{
							obj_t BgL_auxz00_4360;

							{	/* Effect/cgraph.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_4361;

								BgL_tmpz00_4361 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2920));
								BgL_auxz00_4360 = BGL_OBJECT_WIDENING(BgL_tmpz00_4361);
							}
							BgL_auxz00_4359 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4360);
						}
						BgL_arg1752z00_3100 =
							(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4359))->
							BgL_fromz00);
					}
					BgL_test2084z00_4358 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2921,
							BgL_arg1752z00_3100));
				}
				if (BgL_test2084z00_4358)
					{	/* Effect/cgraph.scm 231 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4376;
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4369;

						{	/* Effect/cgraph.scm 232 */
							obj_t BgL_arg1751z00_3101;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4377;

								{
									obj_t BgL_auxz00_4378;

									{	/* Effect/cgraph.scm 232 */
										BgL_objectz00_bglt BgL_tmpz00_4379;

										BgL_tmpz00_4379 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2920));
										BgL_auxz00_4378 = BGL_OBJECT_WIDENING(BgL_tmpz00_4379);
									}
									BgL_auxz00_4377 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4378);
								}
								BgL_arg1751z00_3101 =
									(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4377))->
									BgL_fromz00);
							}
							BgL_auxz00_4376 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2921, BgL_arg1751z00_3101);
						}
						{
							obj_t BgL_auxz00_4370;

							{	/* Effect/cgraph.scm 232 */
								BgL_objectz00_bglt BgL_tmpz00_4371;

								BgL_tmpz00_4371 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2920));
								BgL_auxz00_4370 = BGL_OBJECT_WIDENING(BgL_tmpz00_4371);
							}
							BgL_auxz00_4369 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4370);
						}
						return
							((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4369))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4376), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-global1373 */
	obj_t BGl_z62savezd2callz12zd2global1373z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2922, obj_t BgL_calleez00_2923, obj_t BgL_ownerz00_2924)
	{
		{	/* Effect/cgraph.scm 217 */
			{	/* Effect/cgraph.scm 218 */
				BgL_valuez00_bglt BgL_funz00_3103;

				BgL_funz00_3103 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2923))))->BgL_valuez00);
				{	/* Effect/cgraph.scm 219 */
					bool_t BgL_test2085z00_4390;

					{	/* Effect/cgraph.scm 219 */
						bool_t BgL_test2086z00_4391;

						{	/* Effect/cgraph.scm 219 */
							obj_t BgL_classz00_3104;

							BgL_classz00_3104 = BGl_cfunz00zzast_varz00;
							{	/* Effect/cgraph.scm 219 */
								BgL_objectz00_bglt BgL_arg1820z00_3105;

								{	/* Effect/cgraph.scm 219 */
									obj_t BgL_tmpz00_4392;

									BgL_tmpz00_4392 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3103));
									BgL_arg1820z00_3105 = (BgL_objectz00_bglt) (BgL_tmpz00_4392);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Effect/cgraph.scm 219 */
										long BgL_idxz00_3106;

										BgL_idxz00_3106 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3105);
										BgL_test2086z00_4391 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3106 + ((long) 3))) == BgL_classz00_3104);
									}
								else
									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res1894z00_3109;

										{	/* Effect/cgraph.scm 219 */
											obj_t BgL_oclassz00_3110;

											{	/* Effect/cgraph.scm 219 */
												long BgL_arg1828z00_3111;

												{	/* Effect/cgraph.scm 219 */
													long BgL_arg1829z00_3112;

													BgL_arg1829z00_3112 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3105);
													BgL_arg1828z00_3111 =
														(BgL_arg1829z00_3112 - OBJECT_TYPE);
												}
												BgL_oclassz00_3110 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3111);
											}
											{	/* Effect/cgraph.scm 219 */
												bool_t BgL__ortest_1111z00_3113;

												BgL__ortest_1111z00_3113 =
													(BgL_classz00_3104 == BgL_oclassz00_3110);
												if (BgL__ortest_1111z00_3113)
													{	/* Effect/cgraph.scm 219 */
														BgL_res1894z00_3109 = BgL__ortest_1111z00_3113;
													}
												else
													{	/* Effect/cgraph.scm 219 */
														long BgL_odepthz00_3114;

														BgL_odepthz00_3114 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3110);
														if ((((long) 3) < BgL_odepthz00_3114))
															{	/* Effect/cgraph.scm 219 */
																obj_t BgL_arg1816z00_3115;

																BgL_arg1816z00_3115 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3110,
																	((long) 3));
																BgL_res1894z00_3109 =
																	(BgL_arg1816z00_3115 == BgL_classz00_3104);
															}
														else
															{	/* Effect/cgraph.scm 219 */
																BgL_res1894z00_3109 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2086z00_4391 = BgL_res1894z00_3109;
									}
							}
						}
						if (BgL_test2086z00_4391)
							{	/* Effect/cgraph.scm 219 */
								BgL_test2085z00_4390 = ((bool_t) 1);
							}
						else
							{	/* Effect/cgraph.scm 220 */
								bool_t BgL_test2090z00_4412;

								{	/* Effect/cgraph.scm 220 */
									obj_t BgL_classz00_3116;

									BgL_classz00_3116 = BGl_sfunz00zzast_varz00;
									{	/* Effect/cgraph.scm 220 */
										BgL_objectz00_bglt BgL_arg1820z00_3117;

										{	/* Effect/cgraph.scm 220 */
											obj_t BgL_tmpz00_4413;

											BgL_tmpz00_4413 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3103));
											BgL_arg1820z00_3117 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4413);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Effect/cgraph.scm 220 */
												long BgL_idxz00_3118;

												BgL_idxz00_3118 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3117);
												BgL_test2090z00_4412 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3118 + ((long) 3))) ==
													BgL_classz00_3116);
											}
										else
											{	/* Effect/cgraph.scm 220 */
												bool_t BgL_res1895z00_3121;

												{	/* Effect/cgraph.scm 220 */
													obj_t BgL_oclassz00_3122;

													{	/* Effect/cgraph.scm 220 */
														long BgL_arg1828z00_3123;

														{	/* Effect/cgraph.scm 220 */
															long BgL_arg1829z00_3124;

															BgL_arg1829z00_3124 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3117);
															BgL_arg1828z00_3123 =
																(BgL_arg1829z00_3124 - OBJECT_TYPE);
														}
														BgL_oclassz00_3122 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3123);
													}
													{	/* Effect/cgraph.scm 220 */
														bool_t BgL__ortest_1111z00_3125;

														BgL__ortest_1111z00_3125 =
															(BgL_classz00_3116 == BgL_oclassz00_3122);
														if (BgL__ortest_1111z00_3125)
															{	/* Effect/cgraph.scm 220 */
																BgL_res1895z00_3121 = BgL__ortest_1111z00_3125;
															}
														else
															{	/* Effect/cgraph.scm 220 */
																long BgL_odepthz00_3126;

																BgL_odepthz00_3126 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3122);
																if ((((long) 3) < BgL_odepthz00_3126))
																	{	/* Effect/cgraph.scm 220 */
																		obj_t BgL_arg1816z00_3127;

																		BgL_arg1816z00_3127 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3122, ((long) 3));
																		BgL_res1895z00_3121 =
																			(BgL_arg1816z00_3127 ==
																			BgL_classz00_3116);
																	}
																else
																	{	/* Effect/cgraph.scm 220 */
																		BgL_res1895z00_3121 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2090z00_4412 = BgL_res1895z00_3121;
											}
									}
								}
								if (BgL_test2090z00_4412)
									{	/* Effect/cgraph.scm 220 */
										BgL_test2085z00_4390 =
											(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_calleez00_2923)))->
												BgL_importz00) == CNST_TABLE_REF(((long) 9)));
									}
								else
									{	/* Effect/cgraph.scm 220 */
										BgL_test2085z00_4390 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2085z00_4390)
						{	/* Effect/cgraph.scm 219 */
							if (CBOOL(
									(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_funz00_3103)))->
										BgL_sidezd2effectzd2)))
								{	/* Effect/cgraph.scm 222 */
									return
										BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_ownerz00_2924));
								}
							else
								{	/* Effect/cgraph.scm 222 */
									return BFALSE;
								}
						}
					else
						{	/* Effect/cgraph.scm 224 */
							BgL_globalz00_bglt BgL_arg1741z00_3128;

							{	/* Effect/cgraph.scm 224 */
								BgL_globalzf2fromzf2_bglt BgL_wide1181z00_3129;

								BgL_wide1181z00_3129 =
									((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2fromzf2_bgl))));
								{	/* Effect/cgraph.scm 224 */
									obj_t BgL_auxz00_4448;
									BgL_objectz00_bglt BgL_tmpz00_4444;

									BgL_auxz00_4448 = ((obj_t) BgL_wide1181z00_3129);
									BgL_tmpz00_4444 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2923)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4444, BgL_auxz00_4448);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2923)));
								{	/* Effect/cgraph.scm 224 */
									long BgL_arg1745z00_3130;

									BgL_arg1745z00_3130 =
										BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2923))),
										BgL_arg1745z00_3130);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2923)));
							}
							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4462;

								{
									obj_t BgL_auxz00_4463;

									{	/* Effect/cgraph.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4464;

										BgL_tmpz00_4464 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2923)));
										BgL_auxz00_4463 = BGL_OBJECT_WIDENING(BgL_tmpz00_4464);
									}
									BgL_auxz00_4462 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4463);
								}
								((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4462))->
										BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg1741z00_3128 =
								((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2923));
							return
								BGl_savezd2callz12zc0zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_arg1741z00_3128),
								((BgL_variablez00_bglt) BgL_ownerz00_2924));
						}
				}
			}
		}

	}



/* &call-graph!-box-set!1369 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121369zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_2925, obj_t BgL_nodez00_2926, obj_t BgL_ownerz00_2927)
	{
		{	/* Effect/cgraph.scm 197 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2927));
			{	/* Effect/cgraph.scm 200 */
				BgL_varz00_bglt BgL_arg1731z00_3132;

				BgL_arg1731z00_3132 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2926)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1731z00_3132),
					((BgL_variablez00_bglt) BgL_ownerz00_2927));
			}
			{	/* Effect/cgraph.scm 201 */
				BgL_nodez00_bglt BgL_arg1734z00_3133;

				BgL_arg1734z00_3133 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2926)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1734z00_3133,
					((BgL_variablez00_bglt) BgL_ownerz00_2927));
			}
		}

	}



/* &call-graph!-box-ref1367 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1367za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2928, obj_t BgL_nodez00_2929, obj_t BgL_ownerz00_2930)
	{
		{	/* Effect/cgraph.scm 189 */
			{	/* Effect/cgraph.scm 190 */
				BgL_varz00_bglt BgL_arg1730z00_3135;

				BgL_arg1730z00_3135 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2929)))->BgL_varz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1730z00_3135),
					((BgL_variablez00_bglt) BgL_ownerz00_2930));
			}
		}

	}



/* &call-graph!-make-box1365 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1365za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2931, obj_t BgL_nodez00_2932, obj_t BgL_ownerz00_2933)
	{
		{	/* Effect/cgraph.scm 183 */
			{	/* Effect/cgraph.scm 184 */
				BgL_nodez00_bglt BgL_arg1728z00_3137;

				BgL_arg1728z00_3137 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2932)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1728z00_3137,
					((BgL_variablez00_bglt) BgL_ownerz00_2933));
			}
		}

	}



/* &call-graph!-jump-ex-1363 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21363z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2934, obj_t BgL_nodez00_2935, obj_t BgL_ownerz00_2936)
	{
		{	/* Effect/cgraph.scm 174 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2936));
			{	/* Effect/cgraph.scm 177 */
				BgL_nodez00_bglt BgL_arg1721z00_3139;

				BgL_arg1721z00_3139 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2935)))->BgL_exitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1721z00_3139,
					((BgL_variablez00_bglt) BgL_ownerz00_2936));
			}
			{	/* Effect/cgraph.scm 178 */
				BgL_nodez00_bglt BgL_arg1723z00_3140;

				BgL_arg1723z00_3140 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2935)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1723z00_3140,
					((BgL_variablez00_bglt) BgL_ownerz00_2936));
			}
		}

	}



/* &call-graph!-set-ex-i1361 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1361z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2937, obj_t BgL_nodez00_2938, obj_t BgL_ownerz00_2939)
	{
		{	/* Effect/cgraph.scm 165 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2939));
			{	/* Effect/cgraph.scm 168 */
				BgL_nodez00_bglt BgL_arg1712z00_3142;

				BgL_arg1712z00_3142 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2938)))->BgL_onexitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1712z00_3142,
					((BgL_variablez00_bglt) BgL_ownerz00_2939));
			}
			{	/* Effect/cgraph.scm 169 */
				BgL_nodez00_bglt BgL_arg1720z00_3143;

				BgL_arg1720z00_3143 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2938)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1720z00_3143,
					((BgL_variablez00_bglt) BgL_ownerz00_2939));
			}
		}

	}



/* &call-graph!-let-var1359 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1359za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2940, obj_t BgL_nodez00_2941, obj_t BgL_ownerz00_2942)
	{
		{	/* Effect/cgraph.scm 155 */
			{	/* Effect/cgraph.scm 156 */
				bool_t BgL_tmpz00_4516;

				{	/* Effect/cgraph.scm 157 */
					BgL_nodez00_bglt BgL_arg1697z00_3145;

					BgL_arg1697z00_3145 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2941)))->BgL_bodyz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1697z00_3145,
						((BgL_variablez00_bglt) BgL_ownerz00_2942));
				}
				{	/* Effect/cgraph.scm 158 */
					obj_t BgL_g1324z00_3146;

					BgL_g1324z00_3146 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2941)))->BgL_bindingsz00);
					{
						obj_t BgL_l1322z00_3148;

						BgL_l1322z00_3148 = BgL_g1324z00_3146;
					BgL_zc3z04anonymousza31698ze3z87_3147:
						if (PAIRP(BgL_l1322z00_3148))
							{	/* Effect/cgraph.scm 158 */
								{	/* Effect/cgraph.scm 159 */
									obj_t BgL_bindingz00_3149;

									BgL_bindingz00_3149 = CAR(BgL_l1322z00_3148);
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_arg1705z00_3150;

										BgL_arg1705z00_3150 = CDR(((obj_t) BgL_bindingz00_3149));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1705z00_3150),
											((BgL_variablez00_bglt) BgL_ownerz00_2942));
									}
								}
								{
									obj_t BgL_l1322z00_4531;

									BgL_l1322z00_4531 = CDR(BgL_l1322z00_3148);
									BgL_l1322z00_3148 = BgL_l1322z00_4531;
									goto BgL_zc3z04anonymousza31698ze3z87_3147;
								}
							}
						else
							{	/* Effect/cgraph.scm 158 */
								BgL_tmpz00_4516 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4516);
			}
		}

	}



/* &call-graph!-let-fun1357 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1357za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2943, obj_t BgL_nodez00_2944, obj_t BgL_ownerz00_2945)
	{
		{	/* Effect/cgraph.scm 145 */
			{	/* Effect/cgraph.scm 147 */
				obj_t BgL_g1321z00_3152;

				BgL_g1321z00_3152 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2944)))->BgL_localsz00);
				{
					obj_t BgL_l1319z00_3154;

					BgL_l1319z00_3154 = BgL_g1321z00_3152;
				BgL_zc3z04anonymousza31688ze3z87_3153:
					if (PAIRP(BgL_l1319z00_3154))
						{	/* Effect/cgraph.scm 147 */
							{	/* Effect/cgraph.scm 148 */
								obj_t BgL_localz00_3155;

								BgL_localz00_3155 = CAR(BgL_l1319z00_3154);
								BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_localz00_3155));
							}
							{
								obj_t BgL_l1319z00_4541;

								BgL_l1319z00_4541 = CDR(BgL_l1319z00_3154);
								BgL_l1319z00_3154 = BgL_l1319z00_4541;
								goto BgL_zc3z04anonymousza31688ze3z87_3153;
							}
						}
					else
						{	/* Effect/cgraph.scm 147 */
							((bool_t) 1);
						}
				}
			}
			{	/* Effect/cgraph.scm 150 */
				BgL_nodez00_bglt BgL_arg1696z00_3156;

				BgL_arg1696z00_3156 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2944)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1696z00_3156,
					((BgL_variablez00_bglt) BgL_ownerz00_2945));
			}
		}

	}



/* &call-graph!-switch1355 */
	obj_t BGl_z62callzd2graphz12zd2switch1355z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2946, obj_t BgL_nodez00_2947, obj_t BgL_ownerz00_2948)
	{
		{	/* Effect/cgraph.scm 135 */
			{	/* Effect/cgraph.scm 136 */
				bool_t BgL_tmpz00_4547;

				{	/* Effect/cgraph.scm 137 */
					BgL_nodez00_bglt BgL_arg1680z00_3158;

					BgL_arg1680z00_3158 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2947)))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1680z00_3158,
						((BgL_variablez00_bglt) BgL_ownerz00_2948));
				}
				{	/* Effect/cgraph.scm 138 */
					obj_t BgL_g1318z00_3159;

					BgL_g1318z00_3159 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2947)))->BgL_clausesz00);
					{
						obj_t BgL_l1316z00_3161;

						BgL_l1316z00_3161 = BgL_g1318z00_3159;
					BgL_zc3z04anonymousza31681ze3z87_3160:
						if (PAIRP(BgL_l1316z00_3161))
							{	/* Effect/cgraph.scm 138 */
								{	/* Effect/cgraph.scm 139 */
									obj_t BgL_clausez00_3162;

									BgL_clausez00_3162 = CAR(BgL_l1316z00_3161);
									{	/* Effect/cgraph.scm 139 */
										obj_t BgL_arg1683z00_3163;

										BgL_arg1683z00_3163 = CDR(((obj_t) BgL_clausez00_3162));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1683z00_3163),
											((BgL_variablez00_bglt) BgL_ownerz00_2948));
									}
								}
								{
									obj_t BgL_l1316z00_4562;

									BgL_l1316z00_4562 = CDR(BgL_l1316z00_3161);
									BgL_l1316z00_3161 = BgL_l1316z00_4562;
									goto BgL_zc3z04anonymousza31681ze3z87_3160;
								}
							}
						else
							{	/* Effect/cgraph.scm 138 */
								BgL_tmpz00_4547 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4547);
			}
		}

	}



/* &call-graph!-fail1353 */
	obj_t BGl_z62callzd2graphz12zd2fail1353z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2949, obj_t BgL_nodez00_2950, obj_t BgL_ownerz00_2951)
	{
		{	/* Effect/cgraph.scm 125 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2951));
			{	/* Effect/cgraph.scm 128 */
				BgL_nodez00_bglt BgL_arg1673z00_3165;

				BgL_arg1673z00_3165 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2950)))->BgL_procz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1673z00_3165,
					((BgL_variablez00_bglt) BgL_ownerz00_2951));
			}
			{	/* Effect/cgraph.scm 129 */
				BgL_nodez00_bglt BgL_arg1674z00_3166;

				BgL_arg1674z00_3166 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2950)))->BgL_msgz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1674z00_3166,
					((BgL_variablez00_bglt) BgL_ownerz00_2951));
			}
			{	/* Effect/cgraph.scm 130 */
				BgL_nodez00_bglt BgL_arg1677z00_3167;

				BgL_arg1677z00_3167 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2950)))->BgL_objz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1677z00_3167,
					((BgL_variablez00_bglt) BgL_ownerz00_2951));
			}
		}

	}



/* &call-graph!-conditio1351 */
	obj_t BGl_z62callzd2graphz12zd2conditio1351z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2952, obj_t BgL_nodez00_2953, obj_t BgL_ownerz00_2954)
	{
		{	/* Effect/cgraph.scm 116 */
			{	/* Effect/cgraph.scm 118 */
				BgL_nodez00_bglt BgL_arg1662z00_3169;

				BgL_arg1662z00_3169 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2953)))->BgL_testz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1662z00_3169,
					((BgL_variablez00_bglt) BgL_ownerz00_2954));
			}
			{	/* Effect/cgraph.scm 119 */
				BgL_nodez00_bglt BgL_arg1663z00_3170;

				BgL_arg1663z00_3170 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2953)))->BgL_truez00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1663z00_3170,
					((BgL_variablez00_bglt) BgL_ownerz00_2954));
			}
			{	/* Effect/cgraph.scm 120 */
				BgL_nodez00_bglt BgL_arg1672z00_3171;

				BgL_arg1672z00_3171 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2953)))->BgL_falsez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1672z00_3171,
					((BgL_variablez00_bglt) BgL_ownerz00_2954));
			}
		}

	}



/* &call-graph!-setq1349 */
	obj_t BGl_z62callzd2graphz12zd2setq1349z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2955, obj_t BgL_nodez00_2956, obj_t BgL_ownerz00_2957)
	{
		{	/* Effect/cgraph.scm 106 */
			{	/* Effect/cgraph.scm 108 */
				bool_t BgL_test2098z00_4591;

				{	/* Effect/cgraph.scm 108 */
					bool_t BgL_test2099z00_4592;

					{	/* Effect/cgraph.scm 108 */
						obj_t BgL_classz00_3173;

						BgL_classz00_3173 = BGl_localz00zzast_varz00;
						if (BGL_OBJECTP(BgL_ownerz00_2957))
							{	/* Effect/cgraph.scm 108 */
								BgL_objectz00_bglt BgL_arg1820z00_3174;

								BgL_arg1820z00_3174 = (BgL_objectz00_bglt) (BgL_ownerz00_2957);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Effect/cgraph.scm 108 */
										long BgL_idxz00_3175;

										BgL_idxz00_3175 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3174);
										BgL_test2099z00_4592 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3175 + ((long) 2))) == BgL_classz00_3173);
									}
								else
									{	/* Effect/cgraph.scm 108 */
										bool_t BgL_res1892z00_3178;

										{	/* Effect/cgraph.scm 108 */
											obj_t BgL_oclassz00_3179;

											{	/* Effect/cgraph.scm 108 */
												long BgL_arg1828z00_3180;

												{	/* Effect/cgraph.scm 108 */
													long BgL_arg1829z00_3181;

													BgL_arg1829z00_3181 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3174);
													BgL_arg1828z00_3180 =
														(BgL_arg1829z00_3181 - OBJECT_TYPE);
												}
												BgL_oclassz00_3179 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3180);
											}
											{	/* Effect/cgraph.scm 108 */
												bool_t BgL__ortest_1111z00_3182;

												BgL__ortest_1111z00_3182 =
													(BgL_classz00_3173 == BgL_oclassz00_3179);
												if (BgL__ortest_1111z00_3182)
													{	/* Effect/cgraph.scm 108 */
														BgL_res1892z00_3178 = BgL__ortest_1111z00_3182;
													}
												else
													{	/* Effect/cgraph.scm 108 */
														long BgL_odepthz00_3183;

														BgL_odepthz00_3183 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3179);
														if ((((long) 2) < BgL_odepthz00_3183))
															{	/* Effect/cgraph.scm 108 */
																obj_t BgL_arg1816z00_3184;

																BgL_arg1816z00_3184 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3179,
																	((long) 2));
																BgL_res1892z00_3178 =
																	(BgL_arg1816z00_3184 == BgL_classz00_3173);
															}
														else
															{	/* Effect/cgraph.scm 108 */
																BgL_res1892z00_3178 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2099z00_4592 = BgL_res1892z00_3178;
									}
							}
						else
							{	/* Effect/cgraph.scm 108 */
								BgL_test2099z00_4592 = ((bool_t) 0);
							}
					}
					if (BgL_test2099z00_4592)
						{	/* Effect/cgraph.scm 108 */
							BgL_test2098z00_4591 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BgL_variablez00_bglt BgL_arg1651z00_3185;

							BgL_arg1651z00_3185 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_2956)))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 108 */
								obj_t BgL_classz00_3186;

								BgL_classz00_3186 = BGl_globalz00zzast_varz00;
								{	/* Effect/cgraph.scm 108 */
									BgL_objectz00_bglt BgL_arg1820z00_3187;

									{	/* Effect/cgraph.scm 108 */
										obj_t BgL_tmpz00_4615;

										BgL_tmpz00_4615 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1651z00_3185));
										BgL_arg1820z00_3187 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4615);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/cgraph.scm 108 */
											long BgL_idxz00_3188;

											BgL_idxz00_3188 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3187);
											BgL_test2098z00_4591 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3188 + ((long) 2))) == BgL_classz00_3186);
										}
									else
										{	/* Effect/cgraph.scm 108 */
											bool_t BgL_res1893z00_3191;

											{	/* Effect/cgraph.scm 108 */
												obj_t BgL_oclassz00_3192;

												{	/* Effect/cgraph.scm 108 */
													long BgL_arg1828z00_3193;

													{	/* Effect/cgraph.scm 108 */
														long BgL_arg1829z00_3194;

														BgL_arg1829z00_3194 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3187);
														BgL_arg1828z00_3193 =
															(BgL_arg1829z00_3194 - OBJECT_TYPE);
													}
													BgL_oclassz00_3192 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3193);
												}
												{	/* Effect/cgraph.scm 108 */
													bool_t BgL__ortest_1111z00_3195;

													BgL__ortest_1111z00_3195 =
														(BgL_classz00_3186 == BgL_oclassz00_3192);
													if (BgL__ortest_1111z00_3195)
														{	/* Effect/cgraph.scm 108 */
															BgL_res1893z00_3191 = BgL__ortest_1111z00_3195;
														}
													else
														{	/* Effect/cgraph.scm 108 */
															long BgL_odepthz00_3196;

															BgL_odepthz00_3196 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3192);
															if ((((long) 2) < BgL_odepthz00_3196))
																{	/* Effect/cgraph.scm 108 */
																	obj_t BgL_arg1816z00_3197;

																	BgL_arg1816z00_3197 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3192,
																		((long) 2));
																	BgL_res1893z00_3191 =
																		(BgL_arg1816z00_3197 == BgL_classz00_3186);
																}
															else
																{	/* Effect/cgraph.scm 108 */
																	BgL_res1893z00_3191 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2098z00_4591 = BgL_res1893z00_3191;
										}
								}
							}
						}
				}
				if (BgL_test2098z00_4591)
					{	/* Effect/cgraph.scm 108 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_2957));
					}
				else
					{	/* Effect/cgraph.scm 108 */
						BFALSE;
					}
			}
			{	/* Effect/cgraph.scm 110 */
				BgL_varz00_bglt BgL_arg1653z00_3198;

				BgL_arg1653z00_3198 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2956)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1653z00_3198),
					((BgL_variablez00_bglt) BgL_ownerz00_2957));
			}
			{	/* Effect/cgraph.scm 111 */
				BgL_nodez00_bglt BgL_arg1661z00_3199;

				BgL_arg1661z00_3199 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2956)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1661z00_3199,
					((BgL_variablez00_bglt) BgL_ownerz00_2957));
			}
		}

	}



/* &call-graph!-cast1347 */
	obj_t BGl_z62callzd2graphz12zd2cast1347z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2958, obj_t BgL_nodez00_2959, obj_t BgL_ownerz00_2960)
	{
		{	/* Effect/cgraph.scm 95 */
			{	/* Effect/cgraph.scm 97 */
				BgL_nodez00_bglt BgL_arg1641z00_3201;

				BgL_arg1641z00_3201 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2959)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1641z00_3201,
					((BgL_variablez00_bglt) BgL_ownerz00_2960));
			}
		}

	}



/* &call-graph!-extern1345 */
	obj_t BGl_z62callzd2graphz12zd2extern1345z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2961, obj_t BgL_nodez00_2962, obj_t BgL_ownerz00_2963)
	{
		{	/* Effect/cgraph.scm 86 */
			{	/* Effect/cgraph.scm 87 */
				bool_t BgL_tmpz00_4650;

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_externz00_bglt) BgL_nodez00_2962))))->
							BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 88 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_2963));
					}
				else
					{	/* Effect/cgraph.scm 88 */
						BFALSE;
					}
				BgL_tmpz00_4650 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2962)))->BgL_exprza2za2),
					BgL_ownerz00_2963);
				return BBOOL(BgL_tmpz00_4650);
			}
		}

	}



/* &call-graph!-funcall1343 */
	obj_t BGl_z62callzd2graphz12zd2funcall1343z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2964, obj_t BgL_nodez00_2965, obj_t BgL_ownerz00_2966)
	{
		{	/* Effect/cgraph.scm 77 */
			{	/* Effect/cgraph.scm 78 */
				bool_t BgL_tmpz00_4662;

				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_2966));
				{	/* Effect/cgraph.scm 80 */
					BgL_nodez00_bglt BgL_arg1635z00_3204;

					BgL_arg1635z00_3204 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2965)))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1635z00_3204,
						((BgL_variablez00_bglt) BgL_ownerz00_2966));
				}
				BgL_tmpz00_4662 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2965)))->BgL_argsz00),
					BgL_ownerz00_2966);
				return BBOOL(BgL_tmpz00_4662);
			}
		}

	}



/* &call-graph!-app-ly1341 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1341za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2967, obj_t BgL_nodez00_2968, obj_t BgL_ownerz00_2969)
	{
		{	/* Effect/cgraph.scm 68 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2969));
			{	/* Effect/cgraph.scm 71 */
				BgL_nodez00_bglt BgL_arg1630z00_3206;

				BgL_arg1630z00_3206 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2968)))->BgL_funz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1630z00_3206,
					((BgL_variablez00_bglt) BgL_ownerz00_2969));
			}
			{	/* Effect/cgraph.scm 72 */
				BgL_nodez00_bglt BgL_arg1632z00_3207;

				BgL_arg1632z00_3207 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2968)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1632z00_3207,
					((BgL_variablez00_bglt) BgL_ownerz00_2969));
			}
		}

	}



/* &call-graph!-app1339 */
	obj_t BGl_z62callzd2graphz12zd2app1339z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2970, obj_t BgL_nodez00_2971, obj_t BgL_ownerz00_2972)
	{
		{	/* Effect/cgraph.scm 58 */
			{	/* Effect/cgraph.scm 59 */
				bool_t BgL_tmpz00_4683;

				{	/* Effect/cgraph.scm 62 */
					BgL_variablez00_bglt BgL_arg1616z00_3209;

					BgL_arg1616z00_3209 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2971)))->BgL_funz00)))->
						BgL_variablez00);
					BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg1616z00_3209,
						((BgL_variablez00_bglt) BgL_ownerz00_2972));
				}
				BgL_tmpz00_4683 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2971)))->BgL_argsz00),
					BgL_ownerz00_2972);
				return BBOOL(BgL_tmpz00_4683);
			}
		}

	}



/* &call-graph!-sync1336 */
	obj_t BGl_z62callzd2graphz12zd2sync1336z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2973, obj_t BgL_nodez00_2974, obj_t BgL_ownerz00_2975)
	{
		{	/* Effect/cgraph.scm 50 */
			{	/* Effect/cgraph.scm 51 */
				BgL_nodez00_bglt BgL_arg1610z00_3211;

				BgL_arg1610z00_3211 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2974)))->BgL_mutexz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1610z00_3211,
					((BgL_variablez00_bglt) BgL_ownerz00_2975));
			}
			{	/* Effect/cgraph.scm 52 */
				BgL_nodez00_bglt BgL_arg1614z00_3212;

				BgL_arg1614z00_3212 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2974)))->BgL_prelockz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1614z00_3212,
					((BgL_variablez00_bglt) BgL_ownerz00_2975));
			}
			{	/* Effect/cgraph.scm 53 */
				BgL_nodez00_bglt BgL_arg1615z00_3213;

				BgL_arg1615z00_3213 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2974)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1615z00_3213,
					((BgL_variablez00_bglt) BgL_ownerz00_2975));
			}
		}

	}



/* &call-graph!-sequence1334 */
	obj_t BGl_z62callzd2graphz12zd2sequence1334z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2976, obj_t BgL_nodez00_2977, obj_t BgL_ownerz00_2978)
	{
		{	/* Effect/cgraph.scm 44 */
			return
				BBOOL(BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2977)))->BgL_nodesz00),
					BgL_ownerz00_2978));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1942z00zzeffect_cgraphz00));
		}

	}

#ifdef __cplusplus
}
#endif
