/*===========================================================================*/
/*   (Expand/object.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/object.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_objectz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzexpand_objectz00(void);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	static obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzexpand_objectz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_slotz00zzobject_slotsz00;
	BGL_IMPORT obj_t make_vector(long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_objectz00(void);
	static obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	static obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32314ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_lexicalzd2stackzd2zzexpand_epsz00(void);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31611ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31382ze3ze5zzexpand_objectz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_objectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_inlinezd2definitionzd2queuez00zzread_inlinez00(void);
	static bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t, obj_t);
	extern obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00(void);
	static obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[46];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2definezd2classzd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2defi2706z00,
		BGl_z62expandzd2definezd2classz62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2shrinkz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2shri2707z00,
		BGl_z62expandzd2shrinkz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2widenz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2wide2708z00,
		BGl_z62expandzd2widenz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2duplicatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2dupl2709z00,
		BGl_z62expandzd2duplicatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2700z00zzexpand_objectz00,
		BgL_bgl_string2700za700za7za7e2710za7, "shrink!", 7);
	      DEFINE_STRING(BGl_string2701z00zzexpand_objectz00,
		BgL_bgl_string2701za700za7za7e2711za7, "Not a wide object", 17);
	      DEFINE_STRING(BGl_string2702z00zzexpand_objectz00,
		BgL_bgl_string2702za700za7za7e2712za7, "Field unknown \"~a\"", 18);
	      DEFINE_STRING(BGl_string2703z00zzexpand_objectz00,
		BgL_bgl_string2703za700za7za7e2713za7, "expand_object", 13);
	      DEFINE_STRING(BGl_string2704z00zzexpand_objectz00,
		BgL_bgl_string2704za700za7za7e2714za7,
		"if error object-widening object? object-widening-set! object-class class-super class-num object-class-num-set! o shrink! cast duplicated tmp instantiate co-instantiate bit-rsh bit-lsh bit-xor bit-and bit-or - + class-nil lambda begin quote sifun default-inline no-literal define-inline class-constructor new class-field-default-value vector-ref-ur @ class-all-fields __object set! let i define-class static define-abstract-class define-final-class class ",
		454);
	      DEFINE_STRING(BGl_string2680z00zzexpand_objectz00,
		BgL_bgl_string2680za700za7za7e2715za7, "Illegal define-class", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2instantiatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2inst2716z00,
		BGl_z62expandzd2instantiatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2681z00zzexpand_objectz00,
		BgL_bgl_string2681za700za7za7e2717za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2682z00zzexpand_objectz00,
		BgL_bgl_string2682za700za7za7e2718za7, "Illegal field", 13);
	      DEFINE_STRING(BGl_string2683z00zzexpand_objectz00,
		BgL_bgl_string2683za700za7za7e2719za7, "Illegal class", 13);
	      DEFINE_STRING(BGl_string2684z00zzexpand_objectz00,
		BgL_bgl_string2684za700za7za7e2720za7, "with-access", 11);
	      DEFINE_STRING(BGl_string2685z00zzexpand_objectz00,
		BgL_bgl_string2685za700za7za7e2721za7, "No such field", 13);
	      DEFINE_STRING(BGl_string2686z00zzexpand_objectz00,
		BgL_bgl_string2686za700za7za7e2722za7,
		"Abstract classes can't be instantiated", 38);
	      DEFINE_STRING(BGl_string2687z00zzexpand_objectz00,
		BgL_bgl_string2687za700za7za7e2723za7, "Cannot find class definition", 28);
	      DEFINE_STRING(BGl_string2688z00zzexpand_objectz00,
		BgL_bgl_string2688za700za7za7e2724za7, "instantiate", 11);
	      DEFINE_STRING(BGl_string2689z00zzexpand_objectz00,
		BgL_bgl_string2689za700za7za7e2725za7, "Illegal argument \"~a\"", 21);
	      DEFINE_STRING(BGl_string2690z00zzexpand_objectz00,
		BgL_bgl_string2690za700za7za7e2726za7,
		"Cannot inline slot \"~s\" default value", 37);
	      DEFINE_STRING(BGl_string2691z00zzexpand_objectz00,
		BgL_bgl_string2691za700za7za7e2727za7, "Missing value for field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2692z00zzexpand_objectz00,
		BgL_bgl_string2692za700za7za7e2728za7, "co-instantiate", 14);
	      DEFINE_STRING(BGl_string2693z00zzexpand_objectz00,
		BgL_bgl_string2693za700za7za7e2729za7, "Illegal binding", 15);
	      DEFINE_STRING(BGl_string2694z00zzexpand_objectz00,
		BgL_bgl_string2694za700za7za7e2730za7, "Illegal variable type", 21);
	      DEFINE_STRING(BGl_string2695z00zzexpand_objectz00,
		BgL_bgl_string2695za700za7za7e2731za7,
		"Abstract classes can't be duplicated", 36);
	      DEFINE_STRING(BGl_string2696z00zzexpand_objectz00,
		BgL_bgl_string2696za700za7za7e2732za7, "Illegal class type \"~a\"", 23);
	      DEFINE_STRING(BGl_string2697z00zzexpand_objectz00,
		BgL_bgl_string2697za700za7za7e2733za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string2698z00zzexpand_objectz00,
		BgL_bgl_string2698za700za7za7e2734za7, "wident!", 7);
	      DEFINE_STRING(BGl_string2699z00zzexpand_objectz00,
		BgL_bgl_string2699za700za7za7e2735za7, "Illegal shrink!", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2cozd2instantiatezd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2coza7d2736za7,
		BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2accesszd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2with2737z00,
		BGl_z62expandzd2withzd2accessz62zzexpand_objectz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzexpand_objectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_objectz00(long
		BgL_checksumz00_4232, char *BgL_fromz00_4233)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_objectz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_objectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzexpand_objectz00();
					BGl_libraryzd2moduleszd2initz00zzexpand_objectz00();
					BGl_cnstzd2initzd2zzexpand_objectz00();
					BGl_importedzd2moduleszd2initz00zzexpand_objectz00();
					return BGl_methodzd2initzd2zzexpand_objectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_object");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"expand_object");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			{	/* Expand/object.scm 15 */
				obj_t BgL_cportz00_4154;

				{	/* Expand/object.scm 15 */
					obj_t BgL_stringz00_4161;

					BgL_stringz00_4161 = BGl_string2704z00zzexpand_objectz00;
					{	/* Expand/object.scm 15 */
						obj_t BgL_startz00_4162;

						BgL_startz00_4162 = BINT(((long) 0));
						{	/* Expand/object.scm 15 */
							obj_t BgL_endz00_4163;

							BgL_endz00_4163 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4161)));
							{	/* Expand/object.scm 15 */

								BgL_cportz00_4154 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4161, BgL_startz00_4162, BgL_endz00_4163);
				}}}}
				{
					long BgL_iz00_4155;

					BgL_iz00_4155 = ((long) 45);
				BgL_loopz00_4156:
					if ((BgL_iz00_4155 == ((long) -1)))
						{	/* Expand/object.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/object.scm 15 */
							{	/* Expand/object.scm 15 */
								obj_t BgL_arg2705z00_4157;

								{	/* Expand/object.scm 15 */

									{	/* Expand/object.scm 15 */
										obj_t BgL_locationz00_4159;

										BgL_locationz00_4159 = BBOOL(((bool_t) 0));
										{	/* Expand/object.scm 15 */

											BgL_arg2705z00_4157 =
												BGl_readz00zz__readerz00(BgL_cportz00_4154,
												BgL_locationz00_4159);
										}
									}
								}
								{	/* Expand/object.scm 15 */
									int BgL_tmpz00_4268;

									BgL_tmpz00_4268 = (int) (BgL_iz00_4155);
									CNST_TABLE_SET(BgL_tmpz00_4268, BgL_arg2705z00_4157);
							}}
							{	/* Expand/object.scm 15 */
								int BgL_auxz00_4160;

								BgL_auxz00_4160 = (int) ((BgL_iz00_4155 - ((long) 1)));
								{
									long BgL_iz00_4273;

									BgL_iz00_4273 = (long) (BgL_auxz00_4160);
									BgL_iz00_4155 = BgL_iz00_4273;
									goto BgL_loopz00_4156;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* expand-define-class */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		{	/* Expand/object.scm 52 */
			{
				obj_t BgL_restz00_1673;

				if (PAIRP(BgL_xz00_3))
					{	/* Expand/object.scm 53 */
						obj_t BgL_carzd2106zd2_1678;
						obj_t BgL_cdrzd2107zd2_1679;

						BgL_carzd2106zd2_1678 = CAR(((obj_t) BgL_xz00_3));
						BgL_cdrzd2107zd2_1679 = CDR(((obj_t) BgL_xz00_3));
						if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 4))))
							{	/* Expand/object.scm 53 */
								BgL_restz00_1673 = BgL_cdrzd2107zd2_1679;
							BgL_tagzd2101zd2_1674:
								{	/* Expand/object.scm 55 */
									obj_t BgL_nxz00_1684;

									{	/* Expand/object.scm 55 */
										obj_t BgL_arg1338z00_1692;

										{	/* Expand/object.scm 55 */
											obj_t BgL_arg1339z00_1693;

											BgL_arg1339z00_1693 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_restz00_1673, BNIL);
											BgL_arg1338z00_1692 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
												BgL_arg1339z00_1693);
										}
										BgL_nxz00_1684 =
											BGl_evepairifyz00zz__prognz00(BgL_arg1338z00_1692,
											BgL_xz00_3);
									}
									{	/* Expand/object.scm 55 */
										obj_t BgL_protoz00_1685;

										BgL_protoz00_1685 =
											BGl_parsezd2prototypezd2zzmodule_prototypez00
											(BgL_nxz00_1684);
										{	/* Expand/object.scm 56 */

											if (CBOOL(BgL_protoz00_1685))
												{	/* Expand/object.scm 57 */
													{	/* Expand/object.scm 61 */
														obj_t BgL_arg1318z00_1686;
														bool_t BgL_arg1319z00_1687;
														bool_t BgL_arg1331z00_1688;

														BgL_arg1318z00_1686 =
															CDR(((obj_t) BgL_protoz00_1685));
														BgL_arg1319z00_1687 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															CNST_TABLE_REF(((long) 1)));
														BgL_arg1331z00_1688 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															CNST_TABLE_REF(((long) 2)));
														BGl_declarezd2classz12zc0zzmodule_classz00
															(BgL_arg1318z00_1686,
															BGl_za2moduleza2z00zzmodule_modulez00,
															CNST_TABLE_REF(((long) 3)), BgL_arg1319z00_1687,
															BgL_arg1331z00_1688, BgL_nxz00_1684, BFALSE);
													}
													return
														BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00
														();
												}
											else
												{	/* Expand/object.scm 58 */
													obj_t BgL_arg1334z00_1691;

													BgL_arg1334z00_1691 = CAR(((obj_t) BgL_xz00_3));
													return
														BGl_errorz00zz__errorz00(BgL_arg1334z00_1691,
														BGl_string2680z00zzexpand_objectz00, BgL_xz00_3);
												}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 53 */
								if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 1))))
									{
										obj_t BgL_restz00_4311;

										BgL_restz00_4311 = BgL_cdrzd2107zd2_1679;
										BgL_restz00_1673 = BgL_restz00_4311;
										goto BgL_tagzd2101zd2_1674;
									}
								else
									{	/* Expand/object.scm 53 */
										if ((BgL_carzd2106zd2_1678 == CNST_TABLE_REF(((long) 2))))
											{
												obj_t BgL_restz00_4315;

												BgL_restz00_4315 = BgL_cdrzd2107zd2_1679;
												BgL_restz00_1673 = BgL_restz00_4315;
												goto BgL_tagzd2101zd2_1674;
											}
										else
											{	/* Expand/object.scm 53 */
											BgL_tagzd2102zd2_1675:
												return
													BGl_errorz00zz__errorz00(BgL_xz00_3,
													BGl_string2680z00zzexpand_objectz00, BgL_xz00_3);
											}
									}
							}
					}
				else
					{	/* Expand/object.scm 53 */
						goto BgL_tagzd2102zd2_1675;
					}
			}
		}

	}



/* &expand-define-class */
	obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t
		BgL_envz00_4086, obj_t BgL_xz00_4087, obj_t BgL_ez00_4088)
	{
		{	/* Expand/object.scm 52 */
			return
				BGl_expandzd2definezd2classz00zzexpand_objectz00(BgL_xz00_4087,
				BgL_ez00_4088);
		}

	}



/* expand-with-access */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t
		BgL_xz00_5, obj_t BgL_ez00_6)
	{
		{	/* Expand/object.scm 71 */
			{
				obj_t BgL_withzd2accesszd2_1694;
				obj_t BgL_instancez00_1695;
				obj_t BgL_slotsz00_1696;
				obj_t BgL_bodyz00_1697;

				if (PAIRP(BgL_xz00_5))
					{	/* Expand/object.scm 72 */
						obj_t BgL_cdrzd2123zd2_1702;

						BgL_cdrzd2123zd2_1702 = CDR(((obj_t) BgL_xz00_5));
						if (PAIRP(BgL_cdrzd2123zd2_1702))
							{	/* Expand/object.scm 72 */
								obj_t BgL_cdrzd2129zd2_1704;

								BgL_cdrzd2129zd2_1704 = CDR(BgL_cdrzd2123zd2_1702);
								if (PAIRP(BgL_cdrzd2129zd2_1704))
									{	/* Expand/object.scm 72 */
										obj_t BgL_carzd2133zd2_1706;
										obj_t BgL_cdrzd2134zd2_1707;

										BgL_carzd2133zd2_1706 = CAR(BgL_cdrzd2129zd2_1704);
										BgL_cdrzd2134zd2_1707 = CDR(BgL_cdrzd2129zd2_1704);
										if (PAIRP(BgL_carzd2133zd2_1706))
											{	/* Expand/object.scm 72 */
												if (PAIRP(BgL_cdrzd2134zd2_1707))
													{	/* Expand/object.scm 72 */
														obj_t BgL_arg1347z00_1710;
														obj_t BgL_arg1352z00_1711;

														BgL_arg1347z00_1710 = CAR(((obj_t) BgL_xz00_5));
														BgL_arg1352z00_1711 = CAR(BgL_cdrzd2123zd2_1702);
														BgL_withzd2accesszd2_1694 = BgL_arg1347z00_1710;
														BgL_instancez00_1695 = BgL_arg1352z00_1711;
														BgL_slotsz00_1696 = BgL_carzd2133zd2_1706;
														BgL_bodyz00_1697 = BgL_cdrzd2134zd2_1707;
														{	/* Expand/object.scm 74 */
															obj_t BgL_locz00_1712;

															BgL_locz00_1712 =
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_xz00_5);
															{	/* Expand/object.scm 74 */
																BgL_typez00_bglt BgL_classz00_1713;

																BgL_classz00_1713 =
																	BGl_typezd2ofzd2idz00zzast_identz00
																	(BgL_withzd2accesszd2_1694, BgL_locz00_1712);
																{	/* Expand/object.scm 75 */

																	{	/* Expand/object.scm 77 */
																		bool_t BgL_test2750z00_4338;

																		{	/* Expand/object.scm 77 */
																			obj_t BgL_classz00_3196;

																			BgL_classz00_3196 =
																				BGl_tclassz00zzobject_classz00;
																			{	/* Expand/object.scm 77 */
																				BgL_objectz00_bglt BgL_arg1820z00_3198;

																				{	/* Expand/object.scm 77 */
																					obj_t BgL_tmpz00_4339;

																					BgL_tmpz00_4339 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_classz00_1713));
																					BgL_arg1820z00_3198 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4339);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Expand/object.scm 77 */
																						long BgL_idxz00_3204;

																						BgL_idxz00_3204 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_3198);
																						BgL_test2750z00_4338 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3204 +
																									((long) 2))) ==
																							BgL_classz00_3196);
																					}
																				else
																					{	/* Expand/object.scm 77 */
																						bool_t BgL_res2661z00_3226;

																						{	/* Expand/object.scm 77 */
																							obj_t BgL_oclassz00_3212;

																							{	/* Expand/object.scm 77 */
																								long BgL_arg1828z00_3218;

																								{	/* Expand/object.scm 77 */
																									long BgL_arg1829z00_3219;

																									BgL_arg1829z00_3219 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_3198);
																									BgL_arg1828z00_3218 =
																										(BgL_arg1829z00_3219 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3212 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_3218);
																							}
																							{	/* Expand/object.scm 77 */
																								bool_t BgL__ortest_1111z00_3213;

																								BgL__ortest_1111z00_3213 =
																									(BgL_classz00_3196 ==
																									BgL_oclassz00_3212);
																								if (BgL__ortest_1111z00_3213)
																									{	/* Expand/object.scm 77 */
																										BgL_res2661z00_3226 =
																											BgL__ortest_1111z00_3213;
																									}
																								else
																									{	/* Expand/object.scm 77 */
																										long BgL_odepthz00_3214;

																										BgL_odepthz00_3214 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3212);
																										if ((((long) 2) <
																												BgL_odepthz00_3214))
																											{	/* Expand/object.scm 77 */
																												obj_t
																													BgL_arg1816z00_3216;
																												BgL_arg1816z00_3216 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3212,
																													((long) 2));
																												BgL_res2661z00_3226 =
																													(BgL_arg1816z00_3216
																													== BgL_classz00_3196);
																											}
																										else
																											{	/* Expand/object.scm 77 */
																												BgL_res2661z00_3226 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2750z00_4338 =
																							BgL_res2661z00_3226;
																					}
																			}
																		}
																		if (BgL_test2750z00_4338)
																			{
																				obj_t BgL_sz00_1717;
																				obj_t BgL_nslotsz00_1718;

																				BgL_sz00_1717 = BgL_slotsz00_1696;
																				BgL_nslotsz00_1718 = BNIL;
																			BgL_zc3z04anonymousza31355ze3z87_1719:
																				if (NULLP(BgL_sz00_1717))
																					{	/* Expand/object.scm 84 */
																						obj_t BgL_auxz00_1721;

																						BgL_auxz00_1721 =
																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 5))));
																						{	/* Expand/object.scm 84 */
																							obj_t BgL_instancez00_1722;

																							BgL_instancez00_1722 =
																								((obj_t(*)(obj_t, obj_t, obj_t,
																										obj_t))
																								PROCEDURE_ENTRY(BgL_ez00_6))
																								(BgL_ez00_6,
																								BgL_instancez00_1695,
																								BgL_ez00_6, BEOA);
																							{	/* Expand/object.scm 85 */
																								obj_t BgL_classzd2idzd2_1723;

																								BgL_classzd2idzd2_1723 =
																									(((BgL_typez00_bglt)
																										COBJECT
																										(BgL_classz00_1713))->
																									BgL_idz00);
																								{	/* Expand/object.scm 86 */
																									obj_t BgL_tauxz00_1724;

																									BgL_tauxz00_1724 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_auxz00_1721,
																										BgL_classzd2idzd2_1723);
																									{	/* Expand/object.scm 87 */

																										{	/* Expand/object.scm 90 */
																											obj_t BgL_arg1358z00_1725;

																											{	/* Expand/object.scm 90 */
																												obj_t
																													BgL_arg1359z00_1726;
																												obj_t
																													BgL_arg1361z00_1727;
																												if (NULLP
																													(BgL_nslotsz00_1718))
																													{	/* Expand/object.scm 90 */
																														BgL_arg1359z00_1726
																															= BNIL;
																													}
																												else
																													{	/* Expand/object.scm 90 */
																														obj_t
																															BgL_head1263z00_1731;
																														{	/* Expand/object.scm 90 */
																															obj_t
																																BgL_arg1378z00_1743;
																															{	/* Expand/object.scm 90 */
																																obj_t
																																	BgL_pairz00_3229;
																																BgL_pairz00_3229
																																	=
																																	CAR(((obj_t)
																																		BgL_nslotsz00_1718));
																																BgL_arg1378z00_1743
																																	=
																																	CAR
																																	(BgL_pairz00_3229);
																															}
																															BgL_head1263z00_1731
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1378z00_1743,
																																BNIL);
																														}
																														{	/* Expand/object.scm 90 */
																															obj_t
																																BgL_g1266z00_1732;
																															BgL_g1266z00_1732
																																=
																																CDR(((obj_t)
																																	BgL_nslotsz00_1718));
																															{
																																obj_t
																																	BgL_l1261z00_1734;
																																obj_t
																																	BgL_tail1264z00_1735;
																																BgL_l1261z00_1734
																																	=
																																	BgL_g1266z00_1732;
																																BgL_tail1264z00_1735
																																	=
																																	BgL_head1263z00_1731;
																															BgL_zc3z04anonymousza31364ze3z87_1736:
																																if (NULLP
																																	(BgL_l1261z00_1734))
																																	{	/* Expand/object.scm 90 */
																																		BgL_arg1359z00_1726
																																			=
																																			BgL_head1263z00_1731;
																																	}
																																else
																																	{	/* Expand/object.scm 90 */
																																		obj_t
																																			BgL_newtail1265z00_1738;
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1375z00_1740;
																																			{	/* Expand/object.scm 90 */
																																				obj_t
																																					BgL_pairz00_3232;
																																				BgL_pairz00_3232
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_l1261z00_1734));
																																				BgL_arg1375z00_1740
																																					=
																																					CAR
																																					(BgL_pairz00_3232);
																																			}
																																			BgL_newtail1265z00_1738
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1375z00_1740,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1264z00_1735,
																																			BgL_newtail1265z00_1738);
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1372z00_1739;
																																			BgL_arg1372z00_1739
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_l1261z00_1734));
																																			{
																																				obj_t
																																					BgL_tail1264z00_4389;
																																				obj_t
																																					BgL_l1261z00_4388;
																																				BgL_l1261z00_4388
																																					=
																																					BgL_arg1372z00_1739;
																																				BgL_tail1264z00_4389
																																					=
																																					BgL_newtail1265z00_1738;
																																				BgL_tail1264z00_1735
																																					=
																																					BgL_tail1264z00_4389;
																																				BgL_l1261z00_1734
																																					=
																																					BgL_l1261z00_4388;
																																				goto
																																					BgL_zc3z04anonymousza31364ze3z87_1736;
																																			}
																																		}
																																	}
																															}
																														}
																													}
																												BgL_arg1361z00_1727 =
																													BGl_findzd2locationzd2zztools_locationz00
																													(BgL_xz00_5);
																												{	/* Expand/object.scm 92 */
																													obj_t
																														BgL_zc3z04anonymousza31382ze3z87_4089;
																													BgL_zc3z04anonymousza31382ze3z87_4089
																														=
																														MAKE_FX_PROCEDURE
																														(BGl_z62zc3z04anonymousza31382ze3ze5zzexpand_objectz00,
																														(int) (((long) 0)),
																														(int) (((long) 8)));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 0)),
																														BgL_ez00_6);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 1)),
																														BgL_auxz00_1721);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 2)),
																														((obj_t)
																															BgL_classz00_1713));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 3)),
																														BgL_nslotsz00_1718);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 4)),
																														BgL_xz00_5);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 5)),
																														BgL_instancez00_1722);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 6)),
																														BgL_tauxz00_1724);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31382ze3z87_4089,
																														(int) (((long) 7)),
																														BgL_bodyz00_1697);
																													BgL_arg1358z00_1725 =
																														BGl_withzd2lexicalzd2zzexpand_epsz00
																														(BgL_arg1359z00_1726,
																														BgL_auxz00_1721,
																														BgL_arg1361z00_1727,
																														BgL_zc3z04anonymousza31382ze3z87_4089);
																											}}
																											return
																												BGl_replacez12z12zztools_miscz00
																												(BgL_xz00_5,
																												BgL_arg1358z00_1725);
																										}
																									}
																								}
																							}
																						}
																					}
																				else
																					{	/* Expand/object.scm 83 */
																						if (PAIRP(BgL_sz00_1717))
																							{	/* Expand/object.scm 99 */
																								bool_t BgL_test2758z00_4415;

																								{	/* Expand/object.scm 99 */
																									obj_t BgL_tmpz00_4416;

																									BgL_tmpz00_4416 =
																										CAR(BgL_sz00_1717);
																									BgL_test2758z00_4415 =
																										SYMBOLP(BgL_tmpz00_4416);
																								}
																								if (BgL_test2758z00_4415)
																									{	/* Expand/object.scm 100 */
																										obj_t BgL_arg1421z00_1760;
																										obj_t BgL_arg1422z00_1761;

																										BgL_arg1421z00_1760 =
																											CDR(BgL_sz00_1717);
																										{	/* Expand/object.scm 100 */
																											obj_t BgL_arg1426z00_1762;

																											{	/* Expand/object.scm 100 */
																												obj_t
																													BgL_arg1429z00_1763;
																												obj_t
																													BgL_arg1458z00_1764;
																												BgL_arg1429z00_1763 =
																													CAR(BgL_sz00_1717);
																												BgL_arg1458z00_1764 =
																													CAR(BgL_sz00_1717);
																												{	/* Expand/object.scm 100 */
																													obj_t
																														BgL_list1459z00_1765;
																													{	/* Expand/object.scm 100 */
																														obj_t
																															BgL_arg1467z00_1766;
																														BgL_arg1467z00_1766
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1458z00_1764,
																															BNIL);
																														BgL_list1459z00_1765
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1429z00_1763,
																															BgL_arg1467z00_1766);
																													}
																													BgL_arg1426z00_1762 =
																														BgL_list1459z00_1765;
																												}
																											}
																											BgL_arg1422z00_1761 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1426z00_1762,
																												BgL_nslotsz00_1718);
																										}
																										{
																											obj_t BgL_nslotsz00_4426;
																											obj_t BgL_sz00_4425;

																											BgL_sz00_4425 =
																												BgL_arg1421z00_1760;
																											BgL_nslotsz00_4426 =
																												BgL_arg1422z00_1761;
																											BgL_nslotsz00_1718 =
																												BgL_nslotsz00_4426;
																											BgL_sz00_1717 =
																												BgL_sz00_4425;
																											goto
																												BgL_zc3z04anonymousza31355ze3z87_1719;
																										}
																									}
																								else
																									{	/* Expand/object.scm 101 */
																										bool_t BgL_test2759z00_4427;

																										{	/* Expand/object.scm 101 */
																											bool_t
																												BgL_test2760z00_4428;
																											{	/* Expand/object.scm 101 */
																												obj_t BgL_tmpz00_4429;

																												BgL_tmpz00_4429 =
																													CAR(BgL_sz00_1717);
																												BgL_test2760z00_4428 =
																													PAIRP
																													(BgL_tmpz00_4429);
																											}
																											if (BgL_test2760z00_4428)
																												{	/* Expand/object.scm 102 */
																													bool_t
																														BgL_test2761z00_4432;
																													{	/* Expand/object.scm 102 */
																														obj_t
																															BgL_tmpz00_4433;
																														BgL_tmpz00_4433 =
																															CAR(CAR
																															(BgL_sz00_1717));
																														BgL_test2761z00_4432
																															=
																															SYMBOLP
																															(BgL_tmpz00_4433);
																													}
																													if (BgL_test2761z00_4432)
																														{	/* Expand/object.scm 103 */
																															bool_t
																																BgL_test2762z00_4437;
																															{	/* Expand/object.scm 103 */
																																obj_t
																																	BgL_tmpz00_4438;
																																BgL_tmpz00_4438
																																	=
																																	CDR(CAR
																																	(BgL_sz00_1717));
																																BgL_test2762z00_4437
																																	=
																																	PAIRP
																																	(BgL_tmpz00_4438);
																															}
																															if (BgL_test2762z00_4437)
																																{	/* Expand/object.scm 104 */
																																	bool_t
																																		BgL_test2763z00_4442;
																																	{	/* Expand/object.scm 104 */
																																		obj_t
																																			BgL_tmpz00_4443;
																																		{	/* Expand/object.scm 104 */
																																			obj_t
																																				BgL_pairz00_3246;
																																			BgL_pairz00_3246
																																				=
																																				CAR
																																				(BgL_sz00_1717);
																																			BgL_tmpz00_4443
																																				=
																																				CAR(CDR
																																				(BgL_pairz00_3246));
																																		}
																																		BgL_test2763z00_4442
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_4443);
																																	}
																																	if (BgL_test2763z00_4442)
																																		{	/* Expand/object.scm 105 */
																																			obj_t
																																				BgL_tmpz00_4448;
																																			{	/* Expand/object.scm 105 */
																																				obj_t
																																					BgL_pairz00_3251;
																																				BgL_pairz00_3251
																																					=
																																					CAR
																																					(BgL_sz00_1717);
																																				BgL_tmpz00_4448
																																					=
																																					CDR
																																					(CDR
																																					(BgL_pairz00_3251));
																																			}
																																			BgL_test2759z00_4427
																																				=
																																				NULLP
																																				(BgL_tmpz00_4448);
																																		}
																																	else
																																		{	/* Expand/object.scm 104 */
																																			BgL_test2759z00_4427
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 103 */
																																	BgL_test2759z00_4427
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 102 */
																															BgL_test2759z00_4427
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* Expand/object.scm 101 */
																													BgL_test2759z00_4427 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2759z00_4427)
																											{	/* Expand/object.scm 106 */
																												obj_t
																													BgL_arg1561z00_1788;
																												obj_t
																													BgL_arg1565z00_1789;
																												BgL_arg1561z00_1788 =
																													CDR(BgL_sz00_1717);
																												BgL_arg1565z00_1789 =
																													MAKE_YOUNG_PAIR(CAR
																													(BgL_sz00_1717),
																													BgL_nslotsz00_1718);
																												{
																													obj_t
																														BgL_nslotsz00_4457;
																													obj_t BgL_sz00_4456;

																													BgL_sz00_4456 =
																														BgL_arg1561z00_1788;
																													BgL_nslotsz00_4457 =
																														BgL_arg1565z00_1789;
																													BgL_nslotsz00_1718 =
																														BgL_nslotsz00_4457;
																													BgL_sz00_1717 =
																														BgL_sz00_4456;
																													goto
																														BgL_zc3z04anonymousza31355ze3z87_1719;
																												}
																											}
																										else
																											{	/* Expand/object.scm 101 */
																												return
																													BGl_errorz00zz__errorz00
																													(CAR(BgL_sz00_1717),
																													BGl_string2681z00zzexpand_objectz00,
																													BgL_xz00_5);
																											}
																									}
																							}
																						else
																							{	/* Expand/object.scm 97 */
																								return
																									BGl_errorz00zz__errorz00
																									(BgL_sz00_1717,
																									BGl_string2682z00zzexpand_objectz00,
																									BgL_xz00_5);
																							}
																					}
																			}
																		else
																			{	/* Expand/object.scm 77 */
																				return
																					BGl_errorz00zz__errorz00
																					(BgL_withzd2accesszd2_1694,
																					BGl_string2683z00zzexpand_objectz00,
																					BgL_xz00_5);
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Expand/object.scm 72 */
													BgL_tagzd2112zd2_1699:
														return
															BGl_errorz00zz__errorz00
															(BGl_string2684z00zzexpand_objectz00,
															BGl_string2681z00zzexpand_objectz00, BgL_xz00_5);
													}
											}
										else
											{	/* Expand/object.scm 72 */
												goto BgL_tagzd2112zd2_1699;
											}
									}
								else
									{	/* Expand/object.scm 72 */
										goto BgL_tagzd2112zd2_1699;
									}
							}
						else
							{	/* Expand/object.scm 72 */
								goto BgL_tagzd2112zd2_1699;
							}
					}
				else
					{	/* Expand/object.scm 72 */
						goto BgL_tagzd2112zd2_1699;
					}
			}
		}

	}



/* &expand-with-access */
	obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t
		BgL_envz00_4090, obj_t BgL_xz00_4091, obj_t BgL_ez00_4092)
	{
		{	/* Expand/object.scm 71 */
			return
				BGl_expandzd2withzd2accessz00zzexpand_objectz00(BgL_xz00_4091,
				BgL_ez00_4092);
		}

	}



/* &<@anonymous:1382> */
	obj_t BGl_z62zc3z04anonymousza31382ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4093)
	{
		{	/* Expand/object.scm 91 */
			{	/* Expand/object.scm 92 */
				obj_t BgL_ez00_4094;
				obj_t BgL_auxz00_4095;
				BgL_typez00_bglt BgL_classz00_4096;
				obj_t BgL_nslotsz00_4097;
				obj_t BgL_xz00_4098;
				obj_t BgL_instancez00_4099;
				obj_t BgL_tauxz00_4100;
				obj_t BgL_bodyz00_4101;

				BgL_ez00_4094 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 0))));
				BgL_auxz00_4095 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 1))));
				BgL_classz00_4096 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 2))));
				BgL_nslotsz00_4097 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 3))));
				BgL_xz00_4098 = PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 4)));
				BgL_instancez00_4099 =
					PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 5)));
				BgL_tauxz00_4100 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 6))));
				BgL_bodyz00_4101 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4093, (int) (((long) 7))));
				{	/* Expand/object.scm 92 */
					obj_t BgL_ez00_4165;

					{	/* Expand/object.scm 93 */
						obj_t BgL_arg1393z00_4166;

						BgL_arg1393z00_4166 =
							BGl_withzd2accesszd2expanderz00zzexpand_objectz00(BgL_ez00_4094,
							BgL_auxz00_4095, ((obj_t) BgL_classz00_4096), BgL_nslotsz00_4097,
							BgL_xz00_4098);
						BgL_ez00_4165 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_arg1393z00_4166);
					}
					{	/* Expand/object.scm 95 */
						obj_t BgL_arg1384z00_4167;

						{	/* Expand/object.scm 95 */
							obj_t BgL_arg1387z00_4168;
							obj_t BgL_arg1388z00_4169;

							{	/* Expand/object.scm 95 */
								obj_t BgL_arg1389z00_4170;

								{	/* Expand/object.scm 95 */
									obj_t BgL_arg1390z00_4171;

									BgL_arg1390z00_4171 =
										MAKE_YOUNG_PAIR(BgL_instancez00_4099, BNIL);
									BgL_arg1389z00_4170 =
										MAKE_YOUNG_PAIR(BgL_tauxz00_4100, BgL_arg1390z00_4171);
								}
								BgL_arg1387z00_4168 =
									MAKE_YOUNG_PAIR(BgL_arg1389z00_4170, BNIL);
							}
							{	/* Expand/object.scm 96 */
								obj_t BgL_arg1391z00_4172;

								{	/* Expand/object.scm 96 */
									obj_t BgL_arg1392z00_4173;

									BgL_arg1392z00_4173 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_4101);
									BgL_arg1391z00_4172 =
										((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t)) PROCEDURE_ENTRY(BgL_ez00_4165)) (BgL_ez00_4165,
										BgL_arg1392z00_4173, BgL_ez00_4165, BEOA);
								}
								BgL_arg1388z00_4169 =
									MAKE_YOUNG_PAIR(BgL_arg1391z00_4172, BNIL);
							}
							BgL_arg1384z00_4167 =
								MAKE_YOUNG_PAIR(BgL_arg1387z00_4168, BgL_arg1388z00_4169);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg1384z00_4167);
		}}}}

	}



/* with-access-expander */
	obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t BgL_oldez00_7,
		obj_t BgL_iz00_8, obj_t BgL_classz00_9, obj_t BgL_slotsz00_10,
		obj_t BgL_formz00_11)
	{
		{	/* Expand/object.scm 115 */
			{	/* Expand/object.scm 119 */
				obj_t BgL_idsz00_1808;

				if (NULLP(BgL_slotsz00_10))
					{	/* Expand/object.scm 119 */
						BgL_idsz00_1808 = BNIL;
					}
				else
					{	/* Expand/object.scm 119 */
						obj_t BgL_head1269z00_1880;

						{	/* Expand/object.scm 119 */
							obj_t BgL_arg1698z00_1892;

							{	/* Expand/object.scm 119 */
								obj_t BgL_pairz00_3270;

								BgL_pairz00_3270 = CAR(((obj_t) BgL_slotsz00_10));
								BgL_arg1698z00_1892 = CAR(BgL_pairz00_3270);
							}
							BgL_head1269z00_1880 = MAKE_YOUNG_PAIR(BgL_arg1698z00_1892, BNIL);
						}
						{	/* Expand/object.scm 119 */
							obj_t BgL_g1272z00_1881;

							BgL_g1272z00_1881 = CDR(((obj_t) BgL_slotsz00_10));
							{
								obj_t BgL_l1267z00_1883;
								obj_t BgL_tail1270z00_1884;

								BgL_l1267z00_1883 = BgL_g1272z00_1881;
								BgL_tail1270z00_1884 = BgL_head1269z00_1880;
							BgL_zc3z04anonymousza31689ze3z87_1885:
								if (NULLP(BgL_l1267z00_1883))
									{	/* Expand/object.scm 119 */
										BgL_idsz00_1808 = BgL_head1269z00_1880;
									}
								else
									{	/* Expand/object.scm 119 */
										obj_t BgL_newtail1271z00_1887;

										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1696z00_1889;

											{	/* Expand/object.scm 119 */
												obj_t BgL_pairz00_3273;

												BgL_pairz00_3273 = CAR(((obj_t) BgL_l1267z00_1883));
												BgL_arg1696z00_1889 = CAR(BgL_pairz00_3273);
											}
											BgL_newtail1271z00_1887 =
												MAKE_YOUNG_PAIR(BgL_arg1696z00_1889, BNIL);
										}
										SET_CDR(BgL_tail1270z00_1884, BgL_newtail1271z00_1887);
										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1692z00_1888;

											BgL_arg1692z00_1888 = CDR(((obj_t) BgL_l1267z00_1883));
											{
												obj_t BgL_tail1270z00_4520;
												obj_t BgL_l1267z00_4519;

												BgL_l1267z00_4519 = BgL_arg1692z00_1888;
												BgL_tail1270z00_4520 = BgL_newtail1271z00_1887;
												BgL_tail1270z00_1884 = BgL_tail1270z00_4520;
												BgL_l1267z00_1883 = BgL_l1267z00_4519;
												goto BgL_zc3z04anonymousza31689ze3z87_1885;
											}
										}
									}
							}
						}
					}
				{	/* Expand/object.scm 120 */
					obj_t BgL_zc3z04anonymousza31611ze3z87_4102;

					BgL_zc3z04anonymousza31611ze3z87_4102 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31611ze3ze5zzexpand_objectz00,
						(int) (((long) 2)), (int) (((long) 6)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 0)), BgL_oldez00_7);
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 1)), BgL_slotsz00_10);
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 2)), BgL_classz00_9);
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 3)), BgL_formz00_11);
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 4)), BgL_iz00_8);
					PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_4102,
						(int) (((long) 5)), BgL_idsz00_1808);
					return BgL_zc3z04anonymousza31611ze3z87_4102;
				}
			}
		}

	}



/* &<@anonymous:1611> */
	obj_t BGl_z62zc3z04anonymousza31611ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4103, obj_t BgL_xz00_4110, obj_t BgL_ez00_4111)
	{
		{	/* Expand/object.scm 120 */
			{	/* Expand/object.scm 120 */
				obj_t BgL_oldez00_4104;
				obj_t BgL_slotsz00_4105;
				obj_t BgL_classz00_4106;
				obj_t BgL_formz00_4107;
				obj_t BgL_iz00_4108;
				obj_t BgL_idsz00_4109;

				BgL_oldez00_4104 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 0))));
				BgL_slotsz00_4105 = PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 1)));
				BgL_classz00_4106 = PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 2)));
				BgL_formz00_4107 = PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 3)));
				BgL_iz00_4108 = PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 4)));
				BgL_idsz00_4109 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4103, (int) (((long) 5))));
				{
					obj_t BgL_varz00_4195;
					obj_t BgL_varz00_4177;
					obj_t BgL_valz00_4178;

					if (SYMBOLP(BgL_xz00_4110))
						{	/* Expand/object.scm 120 */
							BgL_varz00_4195 = BgL_xz00_4110;
							{	/* Expand/object.scm 123 */
								bool_t BgL_test2767z00_4552;

								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_varz00_4195, BgL_idsz00_4109)))
									{	/* Expand/object.scm 124 */
										obj_t BgL_cellz00_4196;

										BgL_cellz00_4196 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_4195,
											BGl_lexicalzd2stackzd2zzexpand_epsz00());
										if (PAIRP(BgL_cellz00_4196))
											{	/* Expand/object.scm 125 */
												BgL_test2767z00_4552 =
													(CDR(BgL_cellz00_4196) == BgL_iz00_4108);
											}
										else
											{	/* Expand/object.scm 125 */
												BgL_test2767z00_4552 = ((bool_t) 0);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										BgL_test2767z00_4552 = ((bool_t) 0);
									}
								if (BgL_test2767z00_4552)
									{	/* Expand/object.scm 126 */
										obj_t BgL_slotz00_4197;

										{	/* Expand/object.scm 126 */
											obj_t BgL_arg1646z00_4198;

											{	/* Expand/object.scm 117 */
												obj_t BgL_pairz00_4199;

												BgL_pairz00_4199 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_varz00_4195, BgL_slotsz00_4105);
												BgL_arg1646z00_4198 = CAR(CDR(BgL_pairz00_4199));
											}
											BgL_slotz00_4197 =
												BGl_findzd2classzd2slotz00zzobject_toolsz00(
												((BgL_typez00_bglt) BgL_classz00_4106),
												BgL_arg1646z00_4198);
										}
										if (CBOOL(BgL_slotz00_4197))
											{	/* Expand/object.scm 129 */
												obj_t BgL_arg1639z00_4200;

												{	/* Expand/object.scm 129 */
													obj_t BgL_arg1641z00_4201;

													{	/* Expand/object.scm 117 */
														obj_t BgL_pairz00_4202;

														BgL_pairz00_4202 =
															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_varz00_4195, BgL_slotsz00_4105);
														BgL_arg1641z00_4201 = CAR(CDR(BgL_pairz00_4202));
													}
													{	/* Expand/object.scm 129 */

														BgL_arg1639z00_4200 =
															BGl_fieldzd2accesszd2zzast_objectz00
															(BgL_iz00_4108, BgL_arg1641z00_4201, BFALSE);
													}
												}
												return
													((obj_t(*)(obj_t, obj_t, obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_oldez00_4104)) (BgL_oldez00_4104,
													BgL_arg1639z00_4200, BgL_oldez00_4104, BEOA);
											}
										else
											{	/* Expand/object.scm 128 */
												obj_t BgL_arg1645z00_4203;

												{	/* Expand/object.scm 117 */
													obj_t BgL_pairz00_4204;

													BgL_pairz00_4204 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_varz00_4195, BgL_slotsz00_4105);
													BgL_arg1645z00_4203 = CAR(CDR(BgL_pairz00_4204));
												}
												return
													BGl_errorz00zz__errorz00(BgL_arg1645z00_4203,
													BGl_string2685z00zzexpand_objectz00,
													BgL_formz00_4107);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										return
											((obj_t(*)(obj_t, obj_t, obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_oldez00_4104)) (BgL_oldez00_4104,
											BgL_varz00_4195, BgL_oldez00_4104, BEOA);
									}
							}
						}
					else
						{	/* Expand/object.scm 120 */
							if (PAIRP(BgL_xz00_4110))
								{	/* Expand/object.scm 120 */
									obj_t BgL_cdrzd2154zd2_4205;

									BgL_cdrzd2154zd2_4205 = CDR(((obj_t) BgL_xz00_4110));
									if (
										(CAR(
												((obj_t) BgL_xz00_4110)) == CNST_TABLE_REF(((long) 7))))
										{	/* Expand/object.scm 120 */
											if (PAIRP(BgL_cdrzd2154zd2_4205))
												{	/* Expand/object.scm 120 */
													obj_t BgL_carzd2157zd2_4206;
													obj_t BgL_cdrzd2158zd2_4207;

													BgL_carzd2157zd2_4206 = CAR(BgL_cdrzd2154zd2_4205);
													BgL_cdrzd2158zd2_4207 = CDR(BgL_cdrzd2154zd2_4205);
													if (SYMBOLP(BgL_carzd2157zd2_4206))
														{	/* Expand/object.scm 120 */
															if (PAIRP(BgL_cdrzd2158zd2_4207))
																{	/* Expand/object.scm 120 */
																	if (NULLP(CDR(BgL_cdrzd2158zd2_4207)))
																		{	/* Expand/object.scm 120 */
																			BgL_varz00_4177 = BgL_carzd2157zd2_4206;
																			BgL_valz00_4178 =
																				CAR(BgL_cdrzd2158zd2_4207);
																			{	/* Expand/object.scm 132 */
																				obj_t BgL_valz00_4179;

																				BgL_valz00_4179 =
																					((obj_t(*)(obj_t, obj_t, obj_t,
																							obj_t))
																					PROCEDURE_ENTRY(BgL_ez00_4111))
																					(BgL_ez00_4111, BgL_valz00_4178,
																					BgL_ez00_4111, BEOA);
																				{	/* Expand/object.scm 133 */
																					bool_t BgL_test2777z00_4612;

																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_varz00_4177,
																								BgL_idsz00_4109)))
																						{	/* Expand/object.scm 134 */
																							obj_t BgL_cellz00_4180;

																							BgL_cellz00_4180 =
																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_varz00_4177,
																								BGl_lexicalzd2stackzd2zzexpand_epsz00
																								());
																							if (PAIRP(BgL_cellz00_4180))
																								{	/* Expand/object.scm 135 */
																									BgL_test2777z00_4612 =
																										(CDR(BgL_cellz00_4180) ==
																										BgL_iz00_4108);
																								}
																							else
																								{	/* Expand/object.scm 135 */
																									BgL_test2777z00_4612 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							BgL_test2777z00_4612 =
																								((bool_t) 0);
																						}
																					if (BgL_test2777z00_4612)
																						{	/* Expand/object.scm 136 */
																							obj_t BgL_slotz00_4181;

																							{	/* Expand/object.scm 136 */
																								obj_t BgL_arg1680z00_4182;

																								{	/* Expand/object.scm 117 */
																									obj_t BgL_pairz00_4183;

																									BgL_pairz00_4183 =
																										BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_varz00_4177,
																										BgL_slotsz00_4105);
																									BgL_arg1680z00_4182 =
																										CAR(CDR(BgL_pairz00_4183));
																								}
																								BgL_slotz00_4181 =
																									BGl_findzd2classzd2slotz00zzobject_toolsz00
																									(((BgL_typez00_bglt)
																										BgL_classz00_4106),
																									BgL_arg1680z00_4182);
																							}
																							if (CBOOL(BgL_slotz00_4181))
																								{	/* Expand/object.scm 140 */
																									obj_t BgL_arg1663z00_4184;

																									{	/* Expand/object.scm 140 */
																										obj_t BgL_idz00_4185;

																										{	/* Expand/object.scm 140 */
																											obj_t BgL_arg1674z00_4186;

																											{	/* Expand/object.scm 117 */
																												obj_t BgL_pairz00_4187;

																												BgL_pairz00_4187 =
																													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_varz00_4177,
																													BgL_slotsz00_4105);
																												BgL_arg1674z00_4186 =
																													CAR(CDR
																													(BgL_pairz00_4187));
																											}
																											{	/* Expand/object.scm 140 */

																												BgL_idz00_4185 =
																													BGl_fieldzd2accesszd2zzast_objectz00
																													(BgL_iz00_4108,
																													BgL_arg1674z00_4186,
																													BFALSE);
																											}
																										}
																										{	/* Expand/object.scm 140 */
																											obj_t BgL_nxz00_4188;

																											{	/* Expand/object.scm 141 */
																												obj_t
																													BgL_arg1672z00_4189;
																												{	/* Expand/object.scm 141 */
																													obj_t
																														BgL_arg1673z00_4190;
																													BgL_arg1673z00_4190 =
																														MAKE_YOUNG_PAIR
																														(BgL_valz00_4179,
																														BNIL);
																													BgL_arg1672z00_4189 =
																														MAKE_YOUNG_PAIR
																														(BgL_idz00_4185,
																														BgL_arg1673z00_4190);
																												}
																												BgL_nxz00_4188 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 7)),
																													BgL_arg1672z00_4189);
																											}
																											{	/* Expand/object.scm 141 */

																												BgL_arg1663z00_4184 =
																													((obj_t(*)(obj_t,
																															obj_t, obj_t,
																															obj_t))
																													PROCEDURE_ENTRY
																													(BgL_oldez00_4104))
																													(BgL_oldez00_4104,
																													BgL_nxz00_4188,
																													BgL_oldez00_4104,
																													BEOA);
																									}}}
																									return
																										BGl_objectzd2epairifyzd2zzexpand_objectz00
																										(BgL_arg1663z00_4184,
																										BgL_xz00_4110);
																								}
																							else
																								{	/* Expand/object.scm 138 */
																									obj_t BgL_arg1677z00_4191;

																									{	/* Expand/object.scm 117 */
																										obj_t BgL_pairz00_4192;

																										BgL_pairz00_4192 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_varz00_4177,
																											BgL_slotsz00_4105);
																										BgL_arg1677z00_4191 =
																											CAR(CDR
																											(BgL_pairz00_4192));
																									}
																									return
																										BGl_errorz00zz__errorz00
																										(BgL_arg1677z00_4191,
																										BGl_string2685z00zzexpand_objectz00,
																										BgL_formz00_4107);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							{	/* Expand/object.scm 145 */
																								obj_t BgL_arg1682z00_4193;

																								{	/* Expand/object.scm 145 */
																									obj_t BgL_pairz00_4194;

																									BgL_pairz00_4194 =
																										CDR(
																										((obj_t) BgL_xz00_4110));
																									BgL_arg1682z00_4193 =
																										CDR(BgL_pairz00_4194);
																								}
																								{	/* Expand/object.scm 145 */
																									obj_t BgL_tmpz00_4650;

																									BgL_tmpz00_4650 =
																										((obj_t)
																										BgL_arg1682z00_4193);
																									SET_CAR(BgL_tmpz00_4650,
																										BgL_valz00_4179);
																								}
																							}
																							return
																								((obj_t(*)(obj_t, obj_t, obj_t,
																										obj_t))
																								PROCEDURE_ENTRY
																								(BgL_oldez00_4104))
																								(BgL_oldez00_4104,
																								BgL_xz00_4110, BgL_oldez00_4104,
																								BEOA);
																						}
																				}
																			}
																		}
																	else
																		{	/* Expand/object.scm 120 */
																		BgL_tagzd2143zd2_4174:
																			return
																				((obj_t(*)(obj_t, obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_oldez00_4104))
																				(BgL_oldez00_4104, BgL_xz00_4110,
																				BgL_ez00_4111, BEOA);
																		}
																}
															else
																{	/* Expand/object.scm 120 */
																	goto BgL_tagzd2143zd2_4174;
																}
														}
													else
														{	/* Expand/object.scm 120 */
															goto BgL_tagzd2143zd2_4174;
														}
												}
											else
												{	/* Expand/object.scm 120 */
													goto BgL_tagzd2143zd2_4174;
												}
										}
									else
										{	/* Expand/object.scm 120 */
											goto BgL_tagzd2143zd2_4174;
										}
								}
							else
								{	/* Expand/object.scm 120 */
									goto BgL_tagzd2143zd2_4174;
								}
						}
				}
			}
		}

	}



/* expand-instantiate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t
		BgL_xz00_12, obj_t BgL_ez00_13)
	{
		{	/* Expand/object.scm 153 */
			{
				obj_t BgL_instantiatez00_1898;

				if (PAIRP(BgL_xz00_12))
					{	/* Expand/object.scm 154 */
						obj_t BgL_arg1720z00_1903;

						BgL_arg1720z00_1903 = CAR(((obj_t) BgL_xz00_12));
						BgL_instantiatez00_1898 = BgL_arg1720z00_1903;
						{	/* Expand/object.scm 156 */
							BgL_typez00_bglt BgL_classz00_1904;

							BgL_classz00_1904 =
								BGl_typezd2ofzd2idz00zzast_identz00(BgL_instantiatez00_1898,
								BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_12));
							{	/* Expand/object.scm 158 */
								bool_t BgL_test2782z00_4670;

								{	/* Expand/object.scm 158 */
									obj_t BgL_classz00_3319;

									BgL_classz00_3319 = BGl_tclassz00zzobject_classz00;
									{	/* Expand/object.scm 158 */
										BgL_objectz00_bglt BgL_arg1820z00_3321;

										{	/* Expand/object.scm 158 */
											obj_t BgL_tmpz00_4671;

											BgL_tmpz00_4671 =
												((obj_t) ((BgL_objectz00_bglt) BgL_classz00_1904));
											BgL_arg1820z00_3321 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4671);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Expand/object.scm 158 */
												long BgL_idxz00_3327;

												BgL_idxz00_3327 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3321);
												BgL_test2782z00_4670 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3327 + ((long) 2))) ==
													BgL_classz00_3319);
											}
										else
											{	/* Expand/object.scm 158 */
												bool_t BgL_res2663z00_3349;

												{	/* Expand/object.scm 158 */
													obj_t BgL_oclassz00_3335;

													{	/* Expand/object.scm 158 */
														long BgL_arg1828z00_3341;

														{	/* Expand/object.scm 158 */
															long BgL_arg1829z00_3342;

															BgL_arg1829z00_3342 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3321);
															BgL_arg1828z00_3341 =
																(BgL_arg1829z00_3342 - OBJECT_TYPE);
														}
														BgL_oclassz00_3335 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3341);
													}
													{	/* Expand/object.scm 158 */
														bool_t BgL__ortest_1111z00_3336;

														BgL__ortest_1111z00_3336 =
															(BgL_classz00_3319 == BgL_oclassz00_3335);
														if (BgL__ortest_1111z00_3336)
															{	/* Expand/object.scm 158 */
																BgL_res2663z00_3349 = BgL__ortest_1111z00_3336;
															}
														else
															{	/* Expand/object.scm 158 */
																long BgL_odepthz00_3337;

																BgL_odepthz00_3337 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3335);
																if ((((long) 2) < BgL_odepthz00_3337))
																	{	/* Expand/object.scm 158 */
																		obj_t BgL_arg1816z00_3339;

																		BgL_arg1816z00_3339 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3335, ((long) 2));
																		BgL_res2663z00_3349 =
																			(BgL_arg1816z00_3339 ==
																			BgL_classz00_3319);
																	}
																else
																	{	/* Expand/object.scm 158 */
																		BgL_res2663z00_3349 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2782z00_4670 = BgL_res2663z00_3349;
											}
									}
								}
								if (BgL_test2782z00_4670)
									{	/* Expand/object.scm 160 */
										bool_t BgL_test2786z00_4691;

										{
											BgL_tclassz00_bglt BgL_auxz00_4692;

											{
												obj_t BgL_auxz00_4693;

												{	/* Expand/object.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_4694;

													BgL_tmpz00_4694 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_classz00_1904));
													BgL_auxz00_4693 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4694);
												}
												BgL_auxz00_4692 =
													((BgL_tclassz00_bglt) BgL_auxz00_4693);
											}
											BgL_test2786z00_4691 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4692))->
												BgL_abstractzf3zf3);
										}
										if (BgL_test2786z00_4691)
											{	/* Expand/object.scm 160 */
												return
													BGl_errorz00zz__errorz00(BgL_instantiatez00_1898,
													BGl_string2686z00zzexpand_objectz00, BgL_xz00_12);
											}
										else
											{	/* Expand/object.scm 160 */
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_12,
													BGl_instantiatezd2ze3makez31zzexpand_objectz00
													(BgL_xz00_12, BgL_classz00_1904, BgL_ez00_13));
											}
									}
								else
									{	/* Expand/object.scm 158 */
										return
											BGl_errorz00zz__errorz00(BgL_instantiatez00_1898,
											BGl_string2687z00zzexpand_objectz00, BgL_xz00_12);
									}
							}
						}
					}
				else
					{	/* Expand/object.scm 154 */
						return
							BGl_errorz00zz__errorz00(BGl_string2688z00zzexpand_objectz00,
							BGl_string2681z00zzexpand_objectz00, BgL_xz00_12);
					}
			}
		}

	}



/* &expand-instantiate */
	obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t BgL_envz00_4112,
		obj_t BgL_xz00_4113, obj_t BgL_ez00_4114)
	{
		{	/* Expand/object.scm 153 */
			return
				BGl_expandzd2instantiatezd2zzexpand_objectz00(BgL_xz00_4113,
				BgL_ez00_4114);
		}

	}



/* instantiate->make */
	obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t BgL_xz00_14,
		BgL_typez00_bglt BgL_classz00_15, obj_t BgL_ez00_16)
	{
		{	/* Expand/object.scm 170 */
			{	/* Expand/object.scm 171 */
				obj_t BgL_oz00_1909;

				BgL_oz00_1909 =
					BGl_allocatezd2exprzd2zzexpand_objectz00(((obj_t) BgL_classz00_15));
				{	/* Expand/object.scm 172 */
					obj_t BgL_arg1730z00_1910;
					obj_t BgL_arg1731z00_1911;
					obj_t BgL_arg1734z00_1912;

					BgL_arg1730z00_1910 = CAR(((obj_t) BgL_xz00_14));
					BgL_arg1731z00_1911 = CDR(((obj_t) BgL_xz00_14));
					{
						BgL_tclassz00_bglt BgL_auxz00_4712;

						{
							obj_t BgL_auxz00_4713;

							{	/* Expand/object.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_4714;

								BgL_tmpz00_4714 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_15));
								BgL_auxz00_4713 = BGL_OBJECT_WIDENING(BgL_tmpz00_4714);
							}
							BgL_auxz00_4712 = ((BgL_tclassz00_bglt) BgL_auxz00_4713);
						}
						BgL_arg1734z00_1912 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4712))->BgL_slotsz00);
					}
					return
						BGl_instantiatezd2fillzd2zzexpand_objectz00(BgL_arg1730z00_1910,
						BgL_arg1731z00_1911, ((obj_t) BgL_classz00_15), BgL_arg1734z00_1912,
						BgL_oz00_1909, BgL_xz00_14, BgL_ez00_16);
				}
			}
		}

	}



/* instantiate-fill */
	obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t BgL_opz00_17,
		obj_t BgL_providedz00_18, obj_t BgL_classz00_19, obj_t BgL_slotsz00_20,
		obj_t BgL_initz00_21, obj_t BgL_xz00_22, obj_t BgL_ez00_23)
	{
		{	/* Expand/object.scm 178 */
			{
				BgL_globalz00_bglt BgL_gz00_2362;
				obj_t BgL_sz00_2363;
				obj_t BgL_sz00_2386;
				obj_t BgL_slotsz00_2395;

				{	/* Expand/object.scm 312 */
					obj_t BgL_idz00_1921;

					BgL_idz00_1921 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_19)))->BgL_idz00);
					{	/* Expand/object.scm 312 */
						obj_t BgL_newz00_1922;

						BgL_newz00_1922 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)));
						{	/* Expand/object.scm 313 */
							obj_t BgL_tnewz00_1923;

							BgL_tnewz00_1923 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1922,
								BgL_idz00_1921);
							{	/* Expand/object.scm 314 */
								obj_t BgL_argsz00_1924;

								BgL_slotsz00_2395 = BgL_slotsz00_20;
								{	/* Expand/object.scm 246 */
									long BgL_offsetz00_2397;
									obj_t BgL_vargsz00_2398;

									{	/* Expand/object.scm 246 */
										long BgL_arg2159z00_2442;
										long BgL_arg2160z00_2443;

										{	/* Expand/object.scm 246 */
											obj_t BgL_arg2161z00_2444;

											{
												BgL_tclassz00_bglt BgL_auxz00_4727;

												{
													obj_t BgL_auxz00_4728;

													{	/* Expand/object.scm 246 */
														BgL_objectz00_bglt BgL_tmpz00_4729;

														BgL_tmpz00_4729 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_19));
														BgL_auxz00_4728 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4729);
													}
													BgL_auxz00_4727 =
														((BgL_tclassz00_bglt) BgL_auxz00_4728);
												}
												BgL_arg2161z00_2444 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4727))->
													BgL_slotsz00);
											}
											BgL_arg2159z00_2442 =
												bgl_list_length(BgL_arg2161z00_2444);
										}
										BgL_arg2160z00_2443 = bgl_list_length(BgL_slotsz00_2395);
										BgL_offsetz00_2397 =
											(BgL_arg2159z00_2442 - BgL_arg2160z00_2443);
									}
									BgL_vargsz00_2398 =
										make_vector(bgl_list_length(BgL_slotsz00_2395), BUNSPEC);
									{
										obj_t BgL_providedz00_2400;

										BgL_providedz00_2400 = BgL_providedz00_18;
									BgL_zc3z04anonymousza32130ze3z87_2401:
										if (PAIRP(BgL_providedz00_2400))
											{	/* Expand/object.scm 251 */
												obj_t BgL_pz00_2403;

												BgL_pz00_2403 = CAR(BgL_providedz00_2400);
												{
													obj_t BgL_szd2namezd2_2404;
													obj_t BgL_valuez00_2405;

													if (PAIRP(BgL_pz00_2403))
														{	/* Expand/object.scm 252 */
															obj_t BgL_carzd2672zd2_2410;
															obj_t BgL_cdrzd2673zd2_2411;

															BgL_carzd2672zd2_2410 =
																CAR(((obj_t) BgL_pz00_2403));
															BgL_cdrzd2673zd2_2411 =
																CDR(((obj_t) BgL_pz00_2403));
															if (SYMBOLP(BgL_carzd2672zd2_2410))
																{	/* Expand/object.scm 252 */
																	if (PAIRP(BgL_cdrzd2673zd2_2411))
																		{	/* Expand/object.scm 252 */
																			if (NULLP(CDR(BgL_cdrzd2673zd2_2411)))
																				{	/* Expand/object.scm 252 */
																					BgL_szd2namezd2_2404 =
																						BgL_carzd2672zd2_2410;
																					BgL_valuez00_2405 =
																						CAR(BgL_cdrzd2673zd2_2411);
																					{	/* Expand/object.scm 255 */
																						long BgL_arg2139z00_2418;
																						obj_t BgL_arg2141z00_2419;

																						{	/* Expand/object.scm 255 */
																							obj_t BgL_arg2142z00_2420;

																							BgL_arg2142z00_2420 =
																								BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																								(BgL_slotsz00_2395,
																								BgL_szd2namezd2_2404,
																								BgL_opz00_17, BgL_pz00_2403);
																							BgL_arg2139z00_2418 =
																								((long)
																								CINT(BgL_arg2142z00_2420) -
																								BgL_offsetz00_2397);
																						}
																						BgL_arg2141z00_2419 =
																							MAKE_YOUNG_PAIR(BTRUE,
																							BGl_objectzd2epairifyzd2zzexpand_objectz00
																							(BgL_valuez00_2405,
																								BgL_pz00_2403));
																						VECTOR_SET(BgL_vargsz00_2398,
																							BgL_arg2139z00_2418,
																							BgL_arg2141z00_2419);
																				}}
																			else
																				{	/* Expand/object.scm 252 */
																				BgL_tagzd2666zd2_2407:
																					{	/* Expand/object.scm 258 */
																						obj_t BgL_arg2144z00_2422;

																						{	/* Expand/object.scm 258 */
																							obj_t BgL_list2145z00_2423;

																							BgL_list2145z00_2423 =
																								MAKE_YOUNG_PAIR(BgL_pz00_2403,
																								BNIL);
																							BgL_arg2144z00_2422 =
																								BGl_formatz00zz__r4_output_6_10_3z00
																								(BGl_string2689z00zzexpand_objectz00,
																								BgL_list2145z00_2423);
																						}
																						BGl_errorz00zz__errorz00
																							(BgL_opz00_17,
																							BgL_arg2144z00_2422, BgL_xz00_22);
																					}
																				}
																		}
																	else
																		{	/* Expand/object.scm 252 */
																			goto BgL_tagzd2666zd2_2407;
																		}
																}
															else
																{	/* Expand/object.scm 252 */
																	goto BgL_tagzd2666zd2_2407;
																}
														}
													else
														{	/* Expand/object.scm 252 */
															goto BgL_tagzd2666zd2_2407;
														}
												}
												{
													obj_t BgL_providedz00_4766;

													BgL_providedz00_4766 = CDR(BgL_providedz00_2400);
													BgL_providedz00_2400 = BgL_providedz00_4766;
													goto BgL_zc3z04anonymousza32130ze3z87_2401;
												}
											}
										else
											{	/* Expand/object.scm 250 */
												((bool_t) 0);
											}
									}
									{
										long BgL_iz00_2427;
										obj_t BgL_slotsz00_2428;

										BgL_iz00_2427 = ((long) 0);
										BgL_slotsz00_2428 = BgL_slotsz00_2395;
									BgL_zc3z04anonymousza32147ze3z87_2429:
										if (PAIRP(BgL_slotsz00_2428))
											{	/* Expand/object.scm 264 */
												obj_t BgL_sz00_2431;

												BgL_sz00_2431 = CAR(BgL_slotsz00_2428);
												{	/* Expand/object.scm 266 */
													bool_t BgL_test2793z00_4771;

													{	/* Expand/object.scm 266 */
														obj_t BgL_tmpz00_4772;

														BgL_tmpz00_4772 =
															VECTOR_REF(BgL_vargsz00_2398, BgL_iz00_2427);
														BgL_test2793z00_4771 = PAIRP(BgL_tmpz00_4772);
													}
													if (BgL_test2793z00_4771)
														{	/* Expand/object.scm 266 */
															BUNSPEC;
														}
													else
														{	/* Expand/object.scm 266 */
															if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_2431)))
																{	/* Expand/object.scm 269 */
																	obj_t BgL_arg2152z00_2435;

																	{	/* Expand/object.scm 269 */
																		obj_t BgL_tmpz00_4778;

																		BgL_sz00_2386 = BgL_sz00_2431;
																		{	/* Expand/object.scm 237 */
																			BgL_globalz00_bglt BgL_gz00_2388;
																			obj_t BgL_mz00_2389;

																			{
																				BgL_tclassz00_bglt BgL_auxz00_4779;

																				{
																					obj_t BgL_auxz00_4780;

																					{	/* Expand/object.scm 237 */
																						BgL_objectz00_bglt BgL_tmpz00_4781;

																						BgL_tmpz00_4781 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_classz00_19));
																						BgL_auxz00_4780 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4781);
																					}
																					BgL_auxz00_4779 =
																						((BgL_tclassz00_bglt)
																						BgL_auxz00_4780);
																				}
																				BgL_gz00_2388 =
																					(((BgL_tclassz00_bglt)
																						COBJECT(BgL_auxz00_4779))->
																					BgL_holderz00);
																			}
																			{	/* Expand/object.scm 238 */
																				BgL_globalz00_bglt BgL_arg2127z00_2393;

																				{	/* Expand/object.scm 238 */
																					BgL_typez00_bglt BgL_oz00_3607;

																					BgL_oz00_3607 =
																						((BgL_typez00_bglt)
																						(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2386)))->
																							BgL_classzd2ownerzd2));
																					{
																						BgL_tclassz00_bglt BgL_auxz00_4790;

																						{
																							obj_t BgL_auxz00_4791;

																							{	/* Expand/object.scm 238 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4792;
																								BgL_tmpz00_4792 =
																									((BgL_objectz00_bglt)
																									BgL_oz00_3607);
																								BgL_auxz00_4791 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4792);
																							}
																							BgL_auxz00_4790 =
																								((BgL_tclassz00_bglt)
																								BgL_auxz00_4791);
																						}
																						BgL_arg2127z00_2393 =
																							(((BgL_tclassz00_bglt)
																								COBJECT(BgL_auxz00_4790))->
																							BgL_holderz00);
																					}
																				}
																				BgL_mz00_2389 =
																					(((BgL_globalz00_bglt)
																						COBJECT(BgL_arg2127z00_2393))->
																					BgL_modulez00);
																			}
																			{	/* Expand/object.scm 239 */
																				bool_t BgL_test2795z00_4798;

																				{	/* Expand/object.scm 239 */
																					obj_t BgL_arg2126z00_2392;

																					BgL_arg2126z00_2392 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_2386)))->
																						BgL_defaultzd2valuezd2);
																					BgL_test2795z00_4798 =
																						BGl_inlinablezf3ze70z14zzexpand_objectz00
																						(BgL_arg2126z00_2392,
																						BgL_mz00_2389);
																				}
																				if (BgL_test2795z00_4798)
																					{	/* Expand/object.scm 239 */
																						BgL_tmpz00_4778 =
																							(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2386)))->
																							BgL_defaultzd2valuezd2);
																					}
																				else
																					{	/* Expand/object.scm 239 */
																						BgL_gz00_2362 = BgL_gz00_2388;
																						BgL_sz00_2363 = BgL_sz00_2386;
																						if (CBOOL
																							(BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00))
																							{	/* Expand/object.scm 224 */
																								{	/* Expand/object.scm 225 */
																									obj_t BgL_arg2102z00_2365;
																									obj_t BgL_arg2103z00_2366;
																									obj_t BgL_arg2104z00_2367;

																									BgL_arg2102z00_2365 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_xz00_22);
																									{	/* Expand/object.scm 227 */
																										obj_t BgL_arg2105z00_2368;

																										BgL_arg2105z00_2368 =
																											(((BgL_slotz00_bglt)
																												COBJECT((
																														(BgL_slotz00_bglt)
																														BgL_sz00_2363)))->
																											BgL_idz00);
																										{	/* Expand/object.scm 227 */
																											obj_t
																												BgL_list2106z00_2369;
																											BgL_list2106z00_2369 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2105z00_2368,
																												BNIL);
																											BgL_arg2103z00_2366 =
																												BGl_formatz00zz__r4_output_6_10_3z00
																												(BGl_string2690z00zzexpand_objectz00,
																												BgL_list2106z00_2369);
																										}
																									}
																									BgL_arg2104z00_2367 =
																										(((BgL_slotz00_bglt)
																											COBJECT((
																													(BgL_slotz00_bglt)
																													BgL_sz00_2363)))->
																										BgL_defaultzd2valuezd2);
																									BGl_userzd2warningzf2locationz20zztools_errorz00
																										(BgL_arg2102z00_2365,
																										BgL_opz00_17,
																										BgL_arg2103z00_2366,
																										BgL_arg2104z00_2367);
																								}
																								{	/* Expand/object.scm 229 */
																									obj_t BgL_arg2107z00_2370;

																									{	/* Expand/object.scm 229 */
																										obj_t BgL_tmpz00_4814;

																										BgL_tmpz00_4814 =
																											BGL_CURRENT_DYNAMIC_ENV();
																										BgL_arg2107z00_2370 =
																											BGL_ENV_CURRENT_ERROR_PORT
																											(BgL_tmpz00_4814);
																									}
																									bgl_display_char(((unsigned
																												char) 10),
																										BgL_arg2107z00_2370);
																							}}
																						else
																							{	/* Expand/object.scm 224 */
																								BFALSE;
																							}
																						{	/* Expand/object.scm 232 */
																							obj_t BgL_arg2108z00_2371;

																							{	/* Expand/object.scm 232 */
																								obj_t BgL_arg2109z00_2372;

																								{	/* Expand/object.scm 232 */
																									obj_t BgL_arg2110z00_2373;

																									{	/* Expand/object.scm 232 */
																										obj_t BgL_arg2111z00_2374;
																										obj_t BgL_arg2112z00_2375;

																										{	/* Expand/object.scm 232 */
																											obj_t BgL_arg2113z00_2376;
																											obj_t BgL_arg2114z00_2377;

																											{	/* Expand/object.scm 232 */
																												obj_t
																													BgL_arg2115z00_2378;
																												{	/* Expand/object.scm 232 */
																													obj_t
																														BgL_arg2116z00_2379;
																													BgL_arg2116z00_2379 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 8)),
																														BNIL);
																													BgL_arg2115z00_2378 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BgL_arg2116z00_2379);
																												}
																												BgL_arg2113z00_2376 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 10)),
																													BgL_arg2115z00_2378);
																											}
																											{	/* Expand/object.scm 233 */
																												obj_t
																													BgL_arg2117z00_2380;
																												{	/* Expand/object.scm 233 */
																													obj_t
																														BgL_arg2118z00_2381;
																													{	/* Expand/object.scm 233 */
																														obj_t
																															BgL_arg2119z00_2382;
																														obj_t
																															BgL_arg2120z00_2383;
																														BgL_arg2119z00_2382
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_gz00_2362)))->BgL_idz00);
																														BgL_arg2120z00_2383
																															=
																															MAKE_YOUNG_PAIR(((
																																	(BgL_globalz00_bglt)
																																	COBJECT
																																	(BgL_gz00_2362))->
																																BgL_modulez00),
																															BNIL);
																														BgL_arg2118z00_2381
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2119z00_2382,
																															BgL_arg2120z00_2383);
																													}
																													BgL_arg2117z00_2380 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 10)),
																														BgL_arg2118z00_2381);
																												}
																												BgL_arg2114z00_2377 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2117z00_2380,
																													BNIL);
																											}
																											BgL_arg2111z00_2374 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2113z00_2376,
																												BgL_arg2114z00_2377);
																										}
																										{	/* Expand/object.scm 234 */
																											long BgL_arg2122z00_2385;

																											BgL_arg2122z00_2385 =
																												(((BgL_slotz00_bglt)
																													COBJECT((
																															(BgL_slotz00_bglt)
																															BgL_sz00_2363)))->
																												BgL_indexz00);
																											BgL_arg2112z00_2375 =
																												MAKE_YOUNG_PAIR(BINT
																												(BgL_arg2122z00_2385),
																												BNIL);
																										}
																										BgL_arg2110z00_2373 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2111z00_2374,
																											BgL_arg2112z00_2375);
																									}
																									BgL_arg2109z00_2372 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												11)),
																										BgL_arg2110z00_2373);
																								}
																								BgL_arg2108z00_2371 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2109z00_2372, BNIL);
																							}
																							BgL_tmpz00_4778 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 12)),
																								BgL_arg2108z00_2371);
																		}}}}
																		BgL_arg2152z00_2435 =
																			MAKE_YOUNG_PAIR(BTRUE, BgL_tmpz00_4778);
																	}
																	VECTOR_SET(BgL_vargsz00_2398, BgL_iz00_2427,
																		BgL_arg2152z00_2435);
																}
															else
																{	/* Expand/object.scm 271 */
																	obj_t BgL_arg2155z00_2437;

																	BgL_arg2155z00_2437 =
																		MAKE_YOUNG_PAIR(BFALSE, BUNSPEC);
																	VECTOR_SET(BgL_vargsz00_2398, BgL_iz00_2427,
																		BgL_arg2155z00_2437);
																}
														}
												}
												{
													obj_t BgL_slotsz00_4849;
													long BgL_iz00_4847;

													BgL_iz00_4847 = (BgL_iz00_2427 + ((long) 1));
													BgL_slotsz00_4849 = CDR(BgL_slotsz00_2428);
													BgL_slotsz00_2428 = BgL_slotsz00_4849;
													BgL_iz00_2427 = BgL_iz00_4847;
													goto BgL_zc3z04anonymousza32147ze3z87_2429;
												}
											}
										else
											{	/* Expand/object.scm 263 */
												((bool_t) 0);
											}
									}
									BgL_argsz00_1924 =
										BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
										(BgL_vargsz00_2398);
								}
								{	/* Expand/object.scm 315 */

									{
										obj_t BgL_ll1284z00_1926;
										obj_t BgL_ll1285z00_1927;

										BgL_ll1284z00_1926 = BgL_argsz00_1924;
										BgL_ll1285z00_1927 = BgL_slotsz00_20;
									BgL_zc3z04anonymousza31735ze3z87_1928:
										if (NULLP(BgL_ll1284z00_1926))
											{	/* Expand/object.scm 317 */
												((bool_t) 1);
											}
										else
											{	/* Expand/object.scm 317 */
												{	/* Expand/object.scm 318 */
													obj_t BgL_az00_1930;
													obj_t BgL_sz00_1931;

													BgL_az00_1930 = CAR(((obj_t) BgL_ll1284z00_1926));
													BgL_sz00_1931 = CAR(((obj_t) BgL_ll1285z00_1927));
													{	/* Expand/object.scm 318 */
														bool_t BgL_test2798z00_4858;

														if (CBOOL(CAR(((obj_t) BgL_az00_1930))))
															{	/* Expand/object.scm 318 */
																BgL_test2798z00_4858 = ((bool_t) 1);
															}
														else
															{	/* Expand/object.scm 318 */
																BgL_test2798z00_4858 =
																	BGl_slotzd2virtualzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_1931));
															}
														if (BgL_test2798z00_4858)
															{	/* Expand/object.scm 318 */
																BFALSE;
															}
														else
															{	/* Expand/object.scm 321 */
																obj_t BgL_arg1741z00_1934;

																{	/* Expand/object.scm 321 */
																	obj_t BgL_arg1745z00_1935;

																	BgL_arg1745z00_1935 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_sz00_1931)))->
																		BgL_idz00);
																	{	/* Expand/object.scm 321 */
																		obj_t BgL_list1746z00_1936;

																		BgL_list1746z00_1936 =
																			MAKE_YOUNG_PAIR(BgL_arg1745z00_1935,
																			BNIL);
																		BgL_arg1741z00_1934 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2691z00zzexpand_objectz00,
																			BgL_list1746z00_1936);
																	}
																}
																BGl_errorz00zz__errorz00(BgL_opz00_17,
																	BgL_arg1741z00_1934, BgL_xz00_22);
															}
													}
												}
												{	/* Expand/object.scm 317 */
													obj_t BgL_arg1749z00_1938;
													obj_t BgL_arg1750z00_1939;

													BgL_arg1749z00_1938 =
														CDR(((obj_t) BgL_ll1284z00_1926));
													BgL_arg1750z00_1939 =
														CDR(((obj_t) BgL_ll1285z00_1927));
													{
														obj_t BgL_ll1285z00_4875;
														obj_t BgL_ll1284z00_4874;

														BgL_ll1284z00_4874 = BgL_arg1749z00_1938;
														BgL_ll1285z00_4875 = BgL_arg1750z00_1939;
														BgL_ll1285z00_1927 = BgL_ll1285z00_4875;
														BgL_ll1284z00_1926 = BgL_ll1284z00_4874;
														goto BgL_zc3z04anonymousza31735ze3z87_1928;
													}
												}
											}
									}
									{	/* Expand/object.scm 326 */
										obj_t BgL_arg1751z00_1941;

										{	/* Expand/object.scm 326 */
											obj_t BgL_arg1752z00_1942;
											obj_t BgL_arg1753z00_1943;

											{	/* Expand/object.scm 326 */
												obj_t BgL_arg1754z00_1944;

												{	/* Expand/object.scm 326 */
													obj_t BgL_arg1755z00_1945;

													BgL_arg1755z00_1945 =
														MAKE_YOUNG_PAIR(BgL_initz00_21, BNIL);
													BgL_arg1754z00_1944 =
														MAKE_YOUNG_PAIR(BgL_tnewz00_1923,
														BgL_arg1755z00_1945);
												}
												BgL_arg1752z00_1942 =
													MAKE_YOUNG_PAIR(BgL_arg1754z00_1944, BNIL);
											}
											{	/* Expand/object.scm 329 */
												obj_t BgL_arg1756z00_1946;
												obj_t BgL_arg1757z00_1947;

												{	/* Expand/object.scm 329 */
													obj_t BgL_zc3z04anonymousza31766ze3z87_4116;

													BgL_zc3z04anonymousza31766ze3z87_4116 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31766ze3ze5zzexpand_objectz00,
														(int) (((long) 2)), (int) (((long) 2)));
													PROCEDURE_SET(BgL_zc3z04anonymousza31766ze3z87_4116,
														(int) (((long) 0)), BgL_ez00_23);
													PROCEDURE_SET(BgL_zc3z04anonymousza31766ze3z87_4116,
														(int) (((long) 1)), BgL_newz00_1922);
													{	/* Expand/object.scm 328 */
														obj_t BgL_list1764z00_1949;

														{	/* Expand/object.scm 328 */
															obj_t BgL_arg1765z00_1950;

															BgL_arg1765z00_1950 =
																MAKE_YOUNG_PAIR(BgL_argsz00_1924, BNIL);
															BgL_list1764z00_1949 =
																MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																BgL_arg1765z00_1950);
														}
														BgL_arg1756z00_1946 =
															BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
															(BgL_zc3z04anonymousza31766ze3z87_4116,
															BgL_list1764z00_1949);
												}}
												{	/* Expand/object.scm 336 */
													obj_t BgL_arg1785z00_1964;
													obj_t BgL_arg1787z00_1965;

													if (CBOOL
														(BGl_findzd2classzd2constructorz00zzobject_classz00(
																((BgL_typez00_bglt) BgL_classz00_19))))
														{	/* Expand/object.scm 337 */
															BgL_globalz00_bglt BgL_gz00_1967;

															{
																BgL_tclassz00_bglt BgL_auxz00_4893;

																{
																	obj_t BgL_auxz00_4894;

																	{	/* Expand/object.scm 337 */
																		BgL_objectz00_bglt BgL_tmpz00_4895;

																		BgL_tmpz00_4895 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_19));
																		BgL_auxz00_4894 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4895);
																	}
																	BgL_auxz00_4893 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4894);
																}
																BgL_gz00_1967 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_4893))->BgL_holderz00);
															}
															{	/* Expand/object.scm 337 */
																obj_t BgL_nxz00_1968;

																{	/* Expand/object.scm 338 */
																	obj_t BgL_arg1790z00_1970;
																	obj_t BgL_arg1811z00_1971;

																	{	/* Expand/object.scm 338 */
																		obj_t BgL_arg1812z00_1972;
																		obj_t BgL_arg1813z00_1973;

																		{	/* Expand/object.scm 338 */
																			obj_t BgL_arg1817z00_1974;

																			{	/* Expand/object.scm 338 */
																				obj_t BgL_arg1819z00_1975;

																				BgL_arg1819z00_1975 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BNIL);
																				BgL_arg1817z00_1974 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							14)), BgL_arg1819z00_1975);
																			}
																			BgL_arg1812z00_1972 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						10)), BgL_arg1817z00_1974);
																		}
																		{	/* Expand/object.scm 339 */
																			obj_t BgL_arg1821z00_1976;

																			{	/* Expand/object.scm 339 */
																				obj_t BgL_arg1822z00_1977;

																				{	/* Expand/object.scm 339 */
																					obj_t BgL_arg1830z00_1978;
																					obj_t BgL_arg1833z00_1979;

																					BgL_arg1830z00_1978 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_gz00_1967)))->BgL_idz00);
																					BgL_arg1833z00_1979 =
																						MAKE_YOUNG_PAIR(((
																								(BgL_globalz00_bglt)
																								COBJECT(BgL_gz00_1967))->
																							BgL_modulez00), BNIL);
																					BgL_arg1822z00_1977 =
																						MAKE_YOUNG_PAIR(BgL_arg1830z00_1978,
																						BgL_arg1833z00_1979);
																				}
																				BgL_arg1821z00_1976 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							10)), BgL_arg1822z00_1977);
																			}
																			BgL_arg1813z00_1973 =
																				MAKE_YOUNG_PAIR(BgL_arg1821z00_1976,
																				BNIL);
																		}
																		BgL_arg1790z00_1970 =
																			MAKE_YOUNG_PAIR(BgL_arg1812z00_1972,
																			BgL_arg1813z00_1973);
																	}
																	BgL_arg1811z00_1971 =
																		MAKE_YOUNG_PAIR(BgL_newz00_1922, BNIL);
																	BgL_nxz00_1968 =
																		MAKE_YOUNG_PAIR(BgL_arg1790z00_1970,
																		BgL_arg1811z00_1971);
																}
																{	/* Expand/object.scm 338 */

																	{	/* Expand/object.scm 341 */
																		obj_t BgL_arg1789z00_1969;

																		BgL_arg1789z00_1969 =
																			BGl_objectzd2epairifyzd2zzexpand_objectz00
																			(BgL_nxz00_1968, BgL_xz00_22);
																		BgL_arg1785z00_1964 =
																			((obj_t(*)(obj_t, obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_ez00_23))
																			(BgL_ez00_23, BgL_arg1789z00_1969,
																			BgL_ez00_23, BEOA);
														}}}}
													else
														{	/* Expand/object.scm 336 */
															BgL_arg1785z00_1964 = BFALSE;
														}
													{	/* Expand/object.scm 344 */
														obj_t BgL_arg1836z00_1981;
														obj_t BgL_arg1837z00_1982;

														{	/* Expand/object.scm 344 */
															obj_t BgL_zc3z04anonymousza31845ze3z87_4115;

															BgL_zc3z04anonymousza31845ze3z87_4115 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31845ze3ze5zzexpand_objectz00,
																(int) (((long) 2)), (int) (((long) 2)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31845ze3z87_4115,
																(int) (((long) 0)), BgL_ez00_23);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31845ze3z87_4115,
																(int) (((long) 1)), BgL_newz00_1922);
															{	/* Expand/object.scm 343 */
																obj_t BgL_list1841z00_1984;

																{	/* Expand/object.scm 343 */
																	obj_t BgL_arg1844z00_1985;

																	BgL_arg1844z00_1985 =
																		MAKE_YOUNG_PAIR(BgL_argsz00_1924, BNIL);
																	BgL_list1841z00_1984 =
																		MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																		BgL_arg1844z00_1985);
																}
																BgL_arg1836z00_1981 =
																	BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31845ze3z87_4115,
																	BgL_list1841z00_1984);
														}}
														BgL_arg1837z00_1982 =
															MAKE_YOUNG_PAIR(BgL_newz00_1922, BNIL);
														BgL_arg1787z00_1965 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1836z00_1981, BgL_arg1837z00_1982);
													}
													BgL_arg1757z00_1947 =
														MAKE_YOUNG_PAIR(BgL_arg1785z00_1964,
														BgL_arg1787z00_1965);
												}
												BgL_arg1753z00_1943 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1756z00_1946, BgL_arg1757z00_1947);
											}
											BgL_arg1751z00_1941 =
												MAKE_YOUNG_PAIR(BgL_arg1752z00_1942,
												BgL_arg1753z00_1943);
										}
										return
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
											BgL_arg1751z00_1941);
		}}}}}}}}

	}



/* inlinable-call?~0 */
	obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t BgL_funz00_2003,
		obj_t BgL_modulez00_2004)
	{
		{	/* Expand/object.scm 186 */
			{
				obj_t BgL_gz00_2302;
				obj_t BgL_funz00_2313;
				obj_t BgL_modulez00_2314;

				{	/* Expand/object.scm 181 */
					obj_t BgL_gz00_2006;

					{	/* Expand/object.scm 181 */
						obj_t BgL_list1872z00_2022;

						BgL_list1872z00_2022 = MAKE_YOUNG_PAIR(BgL_modulez00_2004, BNIL);
						BgL_gz00_2006 =
							BGl_findzd2globalzd2zzast_envz00(BgL_funz00_2003,
							BgL_list1872z00_2022);
					}
					{	/* Expand/object.scm 182 */
						bool_t BgL_test2801z00_4943;

						{	/* Expand/object.scm 182 */
							bool_t BgL_test2802z00_4944;

							{	/* Expand/object.scm 182 */
								obj_t BgL_classz00_3357;

								BgL_classz00_3357 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2006))
									{	/* Expand/object.scm 182 */
										BgL_objectz00_bglt BgL_arg1820z00_3359;

										BgL_arg1820z00_3359 = (BgL_objectz00_bglt) (BgL_gz00_2006);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Expand/object.scm 182 */
												long BgL_idxz00_3365;

												BgL_idxz00_3365 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3359);
												BgL_test2802z00_4944 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3365 + ((long) 2))) ==
													BgL_classz00_3357);
											}
										else
											{	/* Expand/object.scm 182 */
												bool_t BgL_res2664z00_3387;

												{	/* Expand/object.scm 182 */
													obj_t BgL_oclassz00_3373;

													{	/* Expand/object.scm 182 */
														long BgL_arg1828z00_3379;

														{	/* Expand/object.scm 182 */
															long BgL_arg1829z00_3380;

															BgL_arg1829z00_3380 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3359);
															BgL_arg1828z00_3379 =
																(BgL_arg1829z00_3380 - OBJECT_TYPE);
														}
														BgL_oclassz00_3373 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3379);
													}
													{	/* Expand/object.scm 182 */
														bool_t BgL__ortest_1111z00_3374;

														BgL__ortest_1111z00_3374 =
															(BgL_classz00_3357 == BgL_oclassz00_3373);
														if (BgL__ortest_1111z00_3374)
															{	/* Expand/object.scm 182 */
																BgL_res2664z00_3387 = BgL__ortest_1111z00_3374;
															}
														else
															{	/* Expand/object.scm 182 */
																long BgL_odepthz00_3375;

																BgL_odepthz00_3375 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3373);
																if ((((long) 2) < BgL_odepthz00_3375))
																	{	/* Expand/object.scm 182 */
																		obj_t BgL_arg1816z00_3377;

																		BgL_arg1816z00_3377 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3373, ((long) 2));
																		BgL_res2664z00_3387 =
																			(BgL_arg1816z00_3377 ==
																			BgL_classz00_3357);
																	}
																else
																	{	/* Expand/object.scm 182 */
																		BgL_res2664z00_3387 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2802z00_4944 = BgL_res2664z00_3387;
											}
									}
								else
									{	/* Expand/object.scm 182 */
										BgL_test2802z00_4944 = ((bool_t) 0);
									}
							}
							if (BgL_test2802z00_4944)
								{	/* Expand/object.scm 182 */
									BgL_valuez00_bglt BgL_arg1871z00_2021;

									BgL_arg1871z00_2021 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_2006))))->
										BgL_valuez00);
									{	/* Expand/object.scm 182 */
										obj_t BgL_classz00_3389;

										BgL_classz00_3389 = BGl_sfunz00zzast_varz00;
										{	/* Expand/object.scm 182 */
											BgL_objectz00_bglt BgL_arg1820z00_3391;

											{	/* Expand/object.scm 182 */
												obj_t BgL_tmpz00_4967;

												BgL_tmpz00_4967 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1871z00_2021));
												BgL_arg1820z00_3391 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4967);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Expand/object.scm 182 */
													long BgL_idxz00_3397;

													BgL_idxz00_3397 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3391);
													BgL_test2801z00_4943 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3397 + ((long) 3))) ==
														BgL_classz00_3389);
												}
											else
												{	/* Expand/object.scm 182 */
													bool_t BgL_res2665z00_3419;

													{	/* Expand/object.scm 182 */
														obj_t BgL_oclassz00_3405;

														{	/* Expand/object.scm 182 */
															long BgL_arg1828z00_3411;

															{	/* Expand/object.scm 182 */
																long BgL_arg1829z00_3412;

																BgL_arg1829z00_3412 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3391);
																BgL_arg1828z00_3411 =
																	(BgL_arg1829z00_3412 - OBJECT_TYPE);
															}
															BgL_oclassz00_3405 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_3411);
														}
														{	/* Expand/object.scm 182 */
															bool_t BgL__ortest_1111z00_3406;

															BgL__ortest_1111z00_3406 =
																(BgL_classz00_3389 == BgL_oclassz00_3405);
															if (BgL__ortest_1111z00_3406)
																{	/* Expand/object.scm 182 */
																	BgL_res2665z00_3419 =
																		BgL__ortest_1111z00_3406;
																}
															else
																{	/* Expand/object.scm 182 */
																	long BgL_odepthz00_3407;

																	BgL_odepthz00_3407 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3405);
																	if ((((long) 3) < BgL_odepthz00_3407))
																		{	/* Expand/object.scm 182 */
																			obj_t BgL_arg1816z00_3409;

																			BgL_arg1816z00_3409 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3405, ((long) 3));
																			BgL_res2665z00_3419 =
																				(BgL_arg1816z00_3409 ==
																				BgL_classz00_3389);
																		}
																	else
																		{	/* Expand/object.scm 182 */
																			BgL_res2665z00_3419 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2801z00_4943 = BgL_res2665z00_3419;
												}
										}
									}
								}
							else
								{	/* Expand/object.scm 182 */
									BgL_test2801z00_4943 = ((bool_t) 0);
								}
						}
						if (BgL_test2801z00_4943)
							{	/* Expand/object.scm 183 */
								bool_t BgL__ortest_1112z00_2010;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_2006))))->
															BgL_valuez00))))->BgL_sidezd2effectzd2)))
									{	/* Expand/object.scm 183 */
										BgL__ortest_1112z00_2010 = ((bool_t) 0);
									}
								else
									{	/* Expand/object.scm 183 */
										BgL__ortest_1112z00_2010 = ((bool_t) 1);
									}
								if (BgL__ortest_1112z00_2010)
									{	/* Expand/object.scm 183 */
										return BBOOL(BgL__ortest_1112z00_2010);
									}
								else
									{	/* Expand/object.scm 184 */
										obj_t BgL__ortest_1114z00_2011;

										BgL__ortest_1114z00_2011 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
													(long) 17)),
											(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
															BgL_gz00_2006)))->BgL_pragmaz00));
										if (CBOOL(BgL__ortest_1114z00_2011))
											{	/* Expand/object.scm 184 */
												return BgL__ortest_1114z00_2011;
											}
										else
											{	/* Expand/object.scm 184 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2006))))->
																			BgL_valuez00))))->BgL_classz00) ==
														CNST_TABLE_REF(((long) 18))))
													{	/* Expand/object.scm 186 */
														obj_t BgL_arg1862z00_2013;

														BgL_gz00_2302 = BgL_gz00_2006;
														if (
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2302))))->
																					BgL_valuez00))))->BgL_bodyz00) ==
																BUNSPEC))
															{	/* Expand/object.scm 212 */
																obj_t BgL__ortest_1125z00_2307;

																{	/* Expand/object.scm 212 */
																	obj_t BgL_arg2063z00_2308;
																	obj_t BgL_arg2065z00_2309;

																	BgL_arg2063z00_2308 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_2302))))->BgL_idz00);
																	BgL_arg2065z00_2309 =
																		(((BgL_globalz00_bglt)
																			COBJECT(((BgL_globalz00_bglt)
																					BgL_gz00_2302)))->BgL_modulez00);
																	BgL_funz00_2313 = BgL_arg2063z00_2308;
																	BgL_modulez00_2314 = BgL_arg2065z00_2309;
																	{	/* Expand/object.scm 216 */
																		obj_t BgL_g1282z00_2316;

																		BgL_g1282z00_2316 =
																			BGl_inlinezd2definitionzd2queuez00zzread_inlinez00
																			();
																		{
																			obj_t BgL_l1279z00_2318;

																			BgL_l1279z00_2318 = BgL_g1282z00_2316;
																		BgL_zc3z04anonymousza32070ze3z87_2319:
																			if (NULLP(BgL_l1279z00_2318))
																				{	/* Expand/object.scm 221 */
																					BgL__ortest_1125z00_2307 = BFALSE;
																				}
																			else
																				{	/* Expand/object.scm 217 */
																					obj_t BgL__ortest_1283z00_2321;

																					{	/* Expand/object.scm 217 */
																						obj_t BgL_defz00_2323;

																						BgL_defz00_2323 =
																							CAR(((obj_t) BgL_l1279z00_2318));
																						if (PAIRP(BgL_defz00_2323))
																							{	/* Expand/object.scm 217 */
																								obj_t BgL_cdrzd2638zd2_2330;

																								BgL_cdrzd2638zd2_2330 =
																									CDR(
																									((obj_t) BgL_defz00_2323));
																								if (
																									(CAR(
																											((obj_t) BgL_defz00_2323))
																										==
																										CNST_TABLE_REF(((long)
																												15))))
																									{	/* Expand/object.scm 217 */
																										if (PAIRP
																											(BgL_cdrzd2638zd2_2330))
																											{	/* Expand/object.scm 217 */
																												obj_t
																													BgL_carzd2642zd2_2334;
																												obj_t
																													BgL_cdrzd2643zd2_2335;
																												BgL_carzd2642zd2_2334 =
																													CAR
																													(BgL_cdrzd2638zd2_2330);
																												BgL_cdrzd2643zd2_2335 =
																													CDR
																													(BgL_cdrzd2638zd2_2330);
																												if (PAIRP
																													(BgL_carzd2642zd2_2334))
																													{	/* Expand/object.scm 217 */
																														obj_t
																															BgL_carzd2646zd2_2337;
																														BgL_carzd2646zd2_2337
																															=
																															CAR
																															(BgL_carzd2642zd2_2334);
																														if (PAIRP
																															(BgL_carzd2646zd2_2337))
																															{	/* Expand/object.scm 217 */
																																obj_t
																																	BgL_cdrzd2651zd2_2339;
																																BgL_cdrzd2651zd2_2339
																																	=
																																	CDR
																																	(BgL_carzd2646zd2_2337);
																																if ((CAR
																																		(BgL_carzd2646zd2_2337)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				10))))
																																	{	/* Expand/object.scm 217 */
																																		if (PAIRP
																																			(BgL_cdrzd2651zd2_2339))
																																			{	/* Expand/object.scm 217 */
																																				obj_t
																																					BgL_cdrzd2655zd2_2343;
																																				BgL_cdrzd2655zd2_2343
																																					=
																																					CDR
																																					(BgL_cdrzd2651zd2_2339);
																																				if (PAIRP(BgL_cdrzd2655zd2_2343))
																																					{	/* Expand/object.scm 217 */
																																						if (NULLP(CDR(BgL_cdrzd2655zd2_2343)))
																																							{	/* Expand/object.scm 217 */
																																								if (NULLP(CDR(BgL_carzd2642zd2_2334)))
																																									{	/* Expand/object.scm 217 */
																																										if (PAIRP(BgL_cdrzd2643zd2_2335))
																																											{	/* Expand/object.scm 217 */
																																												if (NULLP(CDR(BgL_cdrzd2643zd2_2335)))
																																													{	/* Expand/object.scm 219 */
																																														bool_t
																																															BgL_test2828z00_5066;
																																														if ((CAR(BgL_cdrzd2651zd2_2339) == BgL_funz00_2313))
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2828z00_5066
																																																	=
																																																	(CAR
																																																	(BgL_cdrzd2655zd2_2343)
																																																	==
																																																	BgL_modulez00_2314);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2828z00_5066
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																														if (BgL_test2828z00_5066)
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1283z00_2321
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2643zd2_2335);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1283z00_2321
																																																	=
																																																	BFALSE;
																																															}
																																													}
																																												else
																																													{	/* Expand/object.scm 217 */
																																														BgL__ortest_1283z00_2321
																																															=
																																															BFALSE;
																																													}
																																											}
																																										else
																																											{	/* Expand/object.scm 217 */
																																												BgL__ortest_1283z00_2321
																																													=
																																													BFALSE;
																																											}
																																									}
																																								else
																																									{	/* Expand/object.scm 217 */
																																										BgL__ortest_1283z00_2321
																																											=
																																											BFALSE;
																																									}
																																							}
																																						else
																																							{	/* Expand/object.scm 217 */
																																								BgL__ortest_1283z00_2321
																																									=
																																									BFALSE;
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 217 */
																																						BgL__ortest_1283z00_2321
																																							=
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Expand/object.scm 217 */
																																				BgL__ortest_1283z00_2321
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Expand/object.scm 217 */
																																		BgL__ortest_1283z00_2321
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Expand/object.scm 217 */
																																BgL__ortest_1283z00_2321
																																	= BFALSE;
																															}
																													}
																												else
																													{	/* Expand/object.scm 217 */
																														BgL__ortest_1283z00_2321
																															= BFALSE;
																													}
																											}
																										else
																											{	/* Expand/object.scm 217 */
																												BgL__ortest_1283z00_2321
																													= BFALSE;
																											}
																									}
																								else
																									{	/* Expand/object.scm 217 */
																										BgL__ortest_1283z00_2321 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Expand/object.scm 217 */
																								BgL__ortest_1283z00_2321 =
																									BFALSE;
																							}
																					}
																					if (CBOOL(BgL__ortest_1283z00_2321))
																						{	/* Expand/object.scm 221 */
																							BgL__ortest_1125z00_2307 =
																								BgL__ortest_1283z00_2321;
																						}
																					else
																						{
																							obj_t BgL_l1279z00_5075;

																							BgL_l1279z00_5075 =
																								CDR(
																								((obj_t) BgL_l1279z00_2318));
																							BgL_l1279z00_2318 =
																								BgL_l1279z00_5075;
																							goto
																								BgL_zc3z04anonymousza32070ze3z87_2319;
																						}
																				}
																		}
																	}
																}
																if (CBOOL(BgL__ortest_1125z00_2307))
																	{	/* Expand/object.scm 212 */
																		BgL_arg1862z00_2013 =
																			BgL__ortest_1125z00_2307;
																	}
																else
																	{	/* Expand/object.scm 212 */
																		BgL_arg1862z00_2013 =
																			CNST_TABLE_REF(((long) 16));
															}}
														else
															{	/* Expand/object.scm 211 */
																BgL_arg1862z00_2013 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2302))))->
																					BgL_valuez00))))->BgL_bodyz00);
															}
														return
															BBOOL(BGl_inlinablezf3ze70z14zzexpand_objectz00
															(BgL_arg1862z00_2013, BgL_modulez00_2004));
													}
												else
													{	/* Expand/object.scm 185 */
														return BFALSE;
													}
											}
									}
							}
						else
							{	/* Expand/object.scm 182 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* inlinable?~0 */
	bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t BgL_nz00_2023,
		obj_t BgL_modulez00_2024)
	{
		{	/* Expand/object.scm 208 */
		BGl_inlinablezf3ze70z14zzexpand_objectz00:
			{	/* Expand/object.scm 189 */
				bool_t BgL__ortest_1116z00_2026;

				BgL__ortest_1116z00_2026 =
					BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_nz00_2023);
				if (BgL__ortest_1116z00_2026)
					{	/* Expand/object.scm 189 */
						return BgL__ortest_1116z00_2026;
					}
				else
					{	/* Expand/object.scm 190 */
						bool_t BgL__ortest_1117z00_2027;

						BgL__ortest_1117z00_2027 = STRINGP(BgL_nz00_2023);
						if (BgL__ortest_1117z00_2027)
							{	/* Expand/object.scm 190 */
								return BgL__ortest_1117z00_2027;
							}
						else
							{	/* Expand/object.scm 191 */
								bool_t BgL__ortest_1118z00_2028;

								BgL__ortest_1118z00_2028 = CHARP(BgL_nz00_2023);
								if (BgL__ortest_1118z00_2028)
									{	/* Expand/object.scm 191 */
										return BgL__ortest_1118z00_2028;
									}
								else
									{	/* Expand/object.scm 192 */
										bool_t BgL__ortest_1119z00_2029;

										BgL__ortest_1119z00_2029 = BOOLEANP(BgL_nz00_2023);
										if (BgL__ortest_1119z00_2029)
											{	/* Expand/object.scm 192 */
												return BgL__ortest_1119z00_2029;
											}
										else
											{	/* Expand/object.scm 193 */
												bool_t BgL__ortest_1120z00_2030;

												BgL__ortest_1120z00_2030 = (BgL_nz00_2023 == BUNSPEC);
												if (BgL__ortest_1120z00_2030)
													{	/* Expand/object.scm 193 */
														return BgL__ortest_1120z00_2030;
													}
												else
													{	/* Expand/object.scm 194 */
														bool_t BgL__ortest_1121z00_2031;

														{	/* Expand/object.scm 194 */
															obj_t BgL_classz00_3425;

															BgL_classz00_3425 = BGl_literalz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_2023))
																{	/* Expand/object.scm 194 */
																	BgL_objectz00_bglt BgL_arg1820z00_3427;

																	BgL_arg1820z00_3427 =
																		(BgL_objectz00_bglt) (BgL_nz00_2023);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Expand/object.scm 194 */
																			long BgL_idxz00_3433;

																			BgL_idxz00_3433 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_3427);
																			BgL__ortest_1121z00_2031 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3433 + ((long) 3))) ==
																				BgL_classz00_3425);
																		}
																	else
																		{	/* Expand/object.scm 194 */
																			bool_t BgL_res2666z00_3455;

																			{	/* Expand/object.scm 194 */
																				obj_t BgL_oclassz00_3441;

																				{	/* Expand/object.scm 194 */
																					long BgL_arg1828z00_3447;

																					{	/* Expand/object.scm 194 */
																						long BgL_arg1829z00_3448;

																						BgL_arg1829z00_3448 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_3427);
																						BgL_arg1828z00_3447 =
																							(BgL_arg1829z00_3448 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3441 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_3447);
																				}
																				{	/* Expand/object.scm 194 */
																					bool_t BgL__ortest_1111z00_3442;

																					BgL__ortest_1111z00_3442 =
																						(BgL_classz00_3425 ==
																						BgL_oclassz00_3441);
																					if (BgL__ortest_1111z00_3442)
																						{	/* Expand/object.scm 194 */
																							BgL_res2666z00_3455 =
																								BgL__ortest_1111z00_3442;
																						}
																					else
																						{	/* Expand/object.scm 194 */
																							long BgL_odepthz00_3443;

																							BgL_odepthz00_3443 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3441);
																							if ((((long) 3) <
																									BgL_odepthz00_3443))
																								{	/* Expand/object.scm 194 */
																									obj_t BgL_arg1816z00_3445;

																									BgL_arg1816z00_3445 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3441,
																										((long) 3));
																									BgL_res2666z00_3455 =
																										(BgL_arg1816z00_3445 ==
																										BgL_classz00_3425);
																								}
																							else
																								{	/* Expand/object.scm 194 */
																									BgL_res2666z00_3455 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1121z00_2031 =
																				BgL_res2666z00_3455;
																		}
																}
															else
																{	/* Expand/object.scm 194 */
																	BgL__ortest_1121z00_2031 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1121z00_2031)
															{	/* Expand/object.scm 194 */
																return BgL__ortest_1121z00_2031;
															}
														else
															{
																obj_t BgL_funz00_2040;
																obj_t BgL_argsz00_2041;
																obj_t BgL_funz00_2043;
																obj_t BgL_modz00_2044;
																obj_t BgL_argsz00_2045;

																if (PAIRP(BgL_nz00_2023))
																	{	/* Expand/object.scm 195 */
																		if (
																			(CAR(
																					((obj_t) BgL_nz00_2023)) ==
																				CNST_TABLE_REF(((long) 19))))
																			{	/* Expand/object.scm 195 */
																				return ((bool_t) 1);
																			}
																		else
																			{	/* Expand/object.scm 195 */
																				if (
																					(CAR(
																							((obj_t) BgL_nz00_2023)) ==
																						CNST_TABLE_REF(((long) 20))))
																					{	/* Expand/object.scm 195 */
																						obj_t BgL_arg1879z00_2054;

																						BgL_arg1879z00_2054 =
																							CDR(((obj_t) BgL_nz00_2023));
																						{
																							obj_t BgL_nz00_5132;

																							BgL_nz00_5132 =
																								BgL_arg1879z00_2054;
																							BgL_nz00_2023 = BgL_nz00_5132;
																							goto
																								BGl_inlinablezf3ze70z14zzexpand_objectz00;
																						}
																					}
																				else
																					{	/* Expand/object.scm 195 */
																						obj_t BgL_carzd2208zd2_2055;
																						obj_t BgL_cdrzd2209zd2_2056;

																						BgL_carzd2208zd2_2055 =
																							CAR(((obj_t) BgL_nz00_2023));
																						BgL_cdrzd2209zd2_2056 =
																							CDR(((obj_t) BgL_nz00_2023));
																						{

																							if (
																								(BgL_carzd2208zd2_2055 ==
																									CNST_TABLE_REF(((long) 23))))
																								{	/* Expand/object.scm 195 */
																								BgL_kapzd2210zd2_2057:
																									if (PAIRP
																										(BgL_cdrzd2209zd2_2056))
																										{	/* Expand/object.scm 195 */
																											obj_t
																												BgL_cdrzd2214zd2_2153;
																											BgL_cdrzd2214zd2_2153 =
																												CDR
																												(BgL_cdrzd2209zd2_2056);
																											if (PAIRP
																												(BgL_cdrzd2214zd2_2153))
																												{	/* Expand/object.scm 195 */
																													if (NULLP(CDR
																															(BgL_cdrzd2214zd2_2153)))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg1955z00_2157;
																															obj_t
																																BgL_arg1956z00_2158;
																															BgL_arg1955z00_2157
																																=
																																CAR
																																(BgL_cdrzd2209zd2_2056);
																															BgL_arg1956z00_2158
																																=
																																CAR
																																(BgL_cdrzd2214zd2_2153);
																															if (BGl_inlinablezf3ze70z14zzexpand_objectz00(BgL_arg1955z00_2157, BgL_modulez00_2024))
																																{
																																	obj_t
																																		BgL_nz00_5152;
																																	BgL_nz00_5152
																																		=
																																		BgL_arg1956z00_2158;
																																	BgL_nz00_2023
																																		=
																																		BgL_nz00_5152;
																																	goto
																																		BGl_inlinablezf3ze70z14zzexpand_objectz00;
																																}
																															else
																																{	/* Expand/object.scm 199 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_nz00_2023))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			21))))
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 1);
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2233zd2_2161;
																																	BgL_carzd2233zd2_2161
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2023));
																																	if (SYMBOLP
																																		(BgL_carzd2233zd2_2161))
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_arg1960z00_2163;
																																			BgL_arg1960z00_2163
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_nz00_2023));
																																			BgL_funz00_2040
																																				=
																																				BgL_carzd2233zd2_2161;
																																			BgL_argsz00_2041
																																				=
																																				BgL_arg1960z00_2163;
																																		BgL_tagzd2179zd2_2042:
																																			{	/* Expand/object.scm 203 */
																																				obj_t
																																					BgL__andtest_1123z00_2282;
																																				BgL__andtest_1123z00_2282
																																					=
																																					BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																					(BgL_funz00_2040,
																																					BgL_modulez00_2024);
																																				if (CBOOL(BgL__andtest_1123z00_2282))
																																					{
																																						obj_t
																																							BgL_l1273z00_2284;
																																						BgL_l1273z00_2284
																																							=
																																							BgL_argsz00_2041;
																																					BgL_zc3z04anonymousza32052ze3z87_2285:
																																						if (NULLP(BgL_l1273z00_2284))
																																							{	/* Expand/object.scm 204 */
																																								return
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Expand/object.scm 204 */
																																								bool_t
																																									BgL_test2854z00_5169;
																																								{	/* Expand/object.scm 204 */
																																									obj_t
																																										BgL_az00_2290;
																																									BgL_az00_2290
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1273z00_2284));
																																									BgL_test2854z00_5169
																																										=
																																										BGl_inlinablezf3ze70z14zzexpand_objectz00
																																										(BgL_az00_2290,
																																										BgL_modulez00_2024);
																																								}
																																								if (BgL_test2854z00_5169)
																																									{	/* Expand/object.scm 204 */
																																										obj_t
																																											BgL_arg2055z00_2289;
																																										BgL_arg2055z00_2289
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1273z00_2284));
																																										{
																																											obj_t
																																												BgL_l1273z00_5175;
																																											BgL_l1273z00_5175
																																												=
																																												BgL_arg2055z00_2289;
																																											BgL_l1273z00_2284
																																												=
																																												BgL_l1273z00_5175;
																																											goto
																																												BgL_zc3z04anonymousza32052ze3z87_2285;
																																										}
																																									}
																																								else
																																									{	/* Expand/object.scm 204 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 203 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2233zd2_2161))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2250zd2_2166;
																																					BgL_cdrzd2250zd2_2166
																																						=
																																						CDR
																																						(BgL_carzd2233zd2_2161);
																																					if (
																																						(CAR
																																							(BgL_carzd2233zd2_2161)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2250zd2_2166))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2253zd2_2170;
																																									obj_t
																																										BgL_cdrzd2254zd2_2171;
																																									BgL_carzd2253zd2_2170
																																										=
																																										CAR
																																										(BgL_cdrzd2250zd2_2166);
																																									BgL_cdrzd2254zd2_2171
																																										=
																																										CDR
																																										(BgL_cdrzd2250zd2_2166);
																																									if (SYMBOLP(BgL_carzd2253zd2_2170))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2254zd2_2171))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2259zd2_2174;
																																													BgL_carzd2259zd2_2174
																																														=
																																														CAR
																																														(BgL_cdrzd2254zd2_2171);
																																													if (SYMBOLP(BgL_carzd2259zd2_2174))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2254zd2_2171)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg1970z00_2178;
																																																	BgL_arg1970z00_2178
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2023));
																																																	BgL_funz00_2043
																																																		=
																																																		BgL_carzd2253zd2_2170;
																																																	BgL_modz00_2044
																																																		=
																																																		BgL_carzd2259zd2_2174;
																																																	BgL_argsz00_2045
																																																		=
																																																		BgL_arg1970z00_2178;
																																																BgL_tagzd2180zd2_2046:
																																																	{	/* Expand/object.scm 206 */
																																																		obj_t
																																																			BgL__andtest_1124z00_2292;
																																																		BgL__andtest_1124z00_2292
																																																			=
																																																			BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																																			(BgL_funz00_2043,
																																																			BgL_modz00_2044);
																																																		if (CBOOL(BgL__andtest_1124z00_2292))
																																																			{
																																																				obj_t
																																																					BgL_l1276z00_2294;
																																																				BgL_l1276z00_2294
																																																					=
																																																					BgL_argsz00_2045;
																																																			BgL_zc3z04anonymousza32056ze3z87_2295:
																																																				if (NULLP(BgL_l1276z00_2294))
																																																					{	/* Expand/object.scm 207 */
																																																						return
																																																							(
																																																							(bool_t)
																																																							1);
																																																					}
																																																				else
																																																					{	/* Expand/object.scm 207 */
																																																						bool_t
																																																							BgL_test2864z00_5204;
																																																						{	/* Expand/object.scm 207 */
																																																							obj_t
																																																								BgL_az00_2300;
																																																							BgL_az00_2300
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_l1276z00_2294));
																																																							BgL_test2864z00_5204
																																																								=
																																																								BGl_inlinablezf3ze70z14zzexpand_objectz00
																																																								(BgL_az00_2300,
																																																								BgL_modulez00_2024);
																																																						}
																																																						if (BgL_test2864z00_5204)
																																																							{	/* Expand/object.scm 207 */
																																																								obj_t
																																																									BgL_arg2058z00_2299;
																																																								BgL_arg2058z00_2299
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_l1276z00_2294));
																																																								{
																																																									obj_t
																																																										BgL_l1276z00_5210;
																																																									BgL_l1276z00_5210
																																																										=
																																																										BgL_arg2058z00_2299;
																																																									BgL_l1276z00_2294
																																																										=
																																																										BgL_l1276z00_5210;
																																																									goto
																																																										BgL_zc3z04anonymousza32056ze3z87_2295;
																																																								}
																																																							}
																																																						else
																																																							{	/* Expand/object.scm 207 */
																																																								return
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Expand/object.scm 206 */
																																																				return
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_nz00_2023))
																															==
																															CNST_TABLE_REF((
																																	(long) 21))))
																														{	/* Expand/object.scm 195 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_cdrzd2274zd2_2185;
																															BgL_cdrzd2274zd2_2185
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2023));
																															if ((CAR(((obj_t)
																																			BgL_nz00_2023))
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			22))))
																																{	/* Expand/object.scm 195 */
																																	bool_t
																																		BgL_test2867z00_5223;
																																	{	/* Expand/object.scm 195 */
																																		obj_t
																																			BgL_tmpz00_5224;
																																		BgL_tmpz00_5224
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd2274zd2_2185));
																																		BgL_test2867z00_5223
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_5224);
																																	}
																																	if (BgL_test2867z00_5223)
																																		{	/* Expand/object.scm 195 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd2274zd2_2185))))
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2282zd2_2192;
																																					BgL_carzd2282zd2_2192
																																						=
																																						CAR(
																																						((obj_t) BgL_nz00_2023));
																																					if (SYMBOLP(BgL_carzd2282zd2_2192))
																																						{
																																							obj_t
																																								BgL_argsz00_5237;
																																							obj_t
																																								BgL_funz00_5236;
																																							BgL_funz00_5236
																																								=
																																								BgL_carzd2282zd2_2192;
																																							BgL_argsz00_5237
																																								=
																																								BgL_cdrzd2274zd2_2185;
																																							BgL_argsz00_2041
																																								=
																																								BgL_argsz00_5237;
																																							BgL_funz00_2040
																																								=
																																								BgL_funz00_5236;
																																							goto
																																								BgL_tagzd2179zd2_2042;
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_carzd2282zd2_2192))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_cdrzd2299zd2_2197;
																																									BgL_cdrzd2299zd2_2197
																																										=
																																										CDR
																																										(BgL_carzd2282zd2_2192);
																																									if ((CAR(BgL_carzd2282zd2_2192) == CNST_TABLE_REF(((long) 10))))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2299zd2_2197))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2302zd2_2201;
																																													obj_t
																																														BgL_cdrzd2303zd2_2202;
																																													BgL_carzd2302zd2_2201
																																														=
																																														CAR
																																														(BgL_cdrzd2299zd2_2197);
																																													BgL_cdrzd2303zd2_2202
																																														=
																																														CDR
																																														(BgL_cdrzd2299zd2_2197);
																																													if (SYMBOLP(BgL_carzd2302zd2_2201))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2303zd2_2202))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2308zd2_2205;
																																																	BgL_carzd2308zd2_2205
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2303zd2_2202);
																																																	if (SYMBOLP(BgL_carzd2308zd2_2205))
																																																		{	/* Expand/object.scm 195 */
																																																			if (NULLP(CDR(BgL_cdrzd2303zd2_2202)))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_arg1994z00_2209;
																																																					BgL_arg1994z00_2209
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_nz00_2023));
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5263;
																																																						obj_t
																																																							BgL_modz00_5262;
																																																						obj_t
																																																							BgL_funz00_5261;
																																																						BgL_funz00_5261
																																																							=
																																																							BgL_carzd2302zd2_2201;
																																																						BgL_modz00_5262
																																																							=
																																																							BgL_carzd2308zd2_2205;
																																																						BgL_argsz00_5263
																																																							=
																																																							BgL_arg1994z00_2209;
																																																						BgL_argsz00_2045
																																																							=
																																																							BgL_argsz00_5263;
																																																						BgL_modz00_2044
																																																							=
																																																							BgL_modz00_5262;
																																																						BgL_funz00_2043
																																																							=
																																																							BgL_funz00_5261;
																																																						goto
																																																							BgL_tagzd2180zd2_2046;
																																																					}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_carzd2319zd2_2213;
																																			BgL_carzd2319zd2_2213
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_nz00_2023));
																																			if (SYMBOLP(BgL_carzd2319zd2_2213))
																																				{
																																					obj_t
																																						BgL_argsz00_5269;
																																					obj_t
																																						BgL_funz00_5268;
																																					BgL_funz00_5268
																																						=
																																						BgL_carzd2319zd2_2213;
																																					BgL_argsz00_5269
																																						=
																																						BgL_cdrzd2274zd2_2185;
																																					BgL_argsz00_2041
																																						=
																																						BgL_argsz00_5269;
																																					BgL_funz00_2040
																																						=
																																						BgL_funz00_5268;
																																					goto
																																						BgL_tagzd2179zd2_2042;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (PAIRP(BgL_carzd2319zd2_2213))
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2336zd2_2218;
																																							BgL_cdrzd2336zd2_2218
																																								=
																																								CDR
																																								(BgL_carzd2319zd2_2213);
																																							if ((CAR(BgL_carzd2319zd2_2213) == CNST_TABLE_REF(((long) 10))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2336zd2_2218))
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2339zd2_2222;
																																											obj_t
																																												BgL_cdrzd2340zd2_2223;
																																											BgL_carzd2339zd2_2222
																																												=
																																												CAR
																																												(BgL_cdrzd2336zd2_2218);
																																											BgL_cdrzd2340zd2_2223
																																												=
																																												CDR
																																												(BgL_cdrzd2336zd2_2218);
																																											if (SYMBOLP(BgL_carzd2339zd2_2222))
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_cdrzd2340zd2_2223))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2345zd2_2226;
																																															BgL_carzd2345zd2_2226
																																																=
																																																CAR
																																																(BgL_cdrzd2340zd2_2223);
																																															if (SYMBOLP(BgL_carzd2345zd2_2226))
																																																{	/* Expand/object.scm 195 */
																																																	if (NULLP(CDR(BgL_cdrzd2340zd2_2223)))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_arg2010z00_2230;
																																																			BgL_arg2010z00_2230
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_nz00_2023));
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5295;
																																																				obj_t
																																																					BgL_modz00_5294;
																																																				obj_t
																																																					BgL_funz00_5293;
																																																				BgL_funz00_5293
																																																					=
																																																					BgL_carzd2339zd2_2222;
																																																				BgL_modz00_5294
																																																					=
																																																					BgL_carzd2345zd2_2226;
																																																				BgL_argsz00_5295
																																																					=
																																																					BgL_arg2010z00_2230;
																																																				BgL_argsz00_2045
																																																					=
																																																					BgL_argsz00_5295;
																																																				BgL_modz00_2044
																																																					=
																																																					BgL_modz00_5294;
																																																				BgL_funz00_2043
																																																					=
																																																					BgL_funz00_5293;
																																																				goto
																																																					BgL_tagzd2180zd2_2046;
																																																			}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2356zd2_2234;
																																	BgL_carzd2356zd2_2234
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2023));
																																	if (SYMBOLP
																																		(BgL_carzd2356zd2_2234))
																																		{
																																			obj_t
																																				BgL_argsz00_5301;
																																			obj_t
																																				BgL_funz00_5300;
																																			BgL_funz00_5300
																																				=
																																				BgL_carzd2356zd2_2234;
																																			BgL_argsz00_5301
																																				=
																																				BgL_cdrzd2274zd2_2185;
																																			BgL_argsz00_2041
																																				=
																																				BgL_argsz00_5301;
																																			BgL_funz00_2040
																																				=
																																				BgL_funz00_5300;
																																			goto
																																				BgL_tagzd2179zd2_2042;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2356zd2_2234))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2373zd2_2239;
																																					BgL_cdrzd2373zd2_2239
																																						=
																																						CDR
																																						(BgL_carzd2356zd2_2234);
																																					if (
																																						(CAR
																																							(BgL_carzd2356zd2_2234)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2373zd2_2239))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2376zd2_2243;
																																									obj_t
																																										BgL_cdrzd2377zd2_2244;
																																									BgL_carzd2376zd2_2243
																																										=
																																										CAR
																																										(BgL_cdrzd2373zd2_2239);
																																									BgL_cdrzd2377zd2_2244
																																										=
																																										CDR
																																										(BgL_cdrzd2373zd2_2239);
																																									if (SYMBOLP(BgL_carzd2376zd2_2243))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2377zd2_2244))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2382zd2_2247;
																																													BgL_carzd2382zd2_2247
																																														=
																																														CAR
																																														(BgL_cdrzd2377zd2_2244);
																																													if (SYMBOLP(BgL_carzd2382zd2_2247))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2377zd2_2244)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg2025z00_2251;
																																																	BgL_arg2025z00_2251
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2023));
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5327;
																																																		obj_t
																																																			BgL_modz00_5326;
																																																		obj_t
																																																			BgL_funz00_5325;
																																																		BgL_funz00_5325
																																																			=
																																																			BgL_carzd2376zd2_2243;
																																																		BgL_modz00_5326
																																																			=
																																																			BgL_carzd2382zd2_2247;
																																																		BgL_argsz00_5327
																																																			=
																																																			BgL_arg2025z00_2251;
																																																		BgL_argsz00_2045
																																																			=
																																																			BgL_argsz00_5327;
																																																		BgL_modz00_2044
																																																			=
																																																			BgL_modz00_5326;
																																																		BgL_funz00_2043
																																																			=
																																																			BgL_funz00_5325;
																																																		goto
																																																			BgL_tagzd2180zd2_2046;
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_nz00_2023)) ==
																													CNST_TABLE_REF(((long)
																															21))))
																												{	/* Expand/object.scm 195 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													obj_t
																														BgL_carzd2401zd2_2258;
																													BgL_carzd2401zd2_2258
																														=
																														CAR(((obj_t)
																															BgL_nz00_2023));
																													if (SYMBOLP
																														(BgL_carzd2401zd2_2258))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg2034z00_2260;
																															BgL_arg2034z00_2260
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2023));
																															{
																																obj_t
																																	BgL_argsz00_5340;
																																obj_t
																																	BgL_funz00_5339;
																																BgL_funz00_5339
																																	=
																																	BgL_carzd2401zd2_2258;
																																BgL_argsz00_5340
																																	=
																																	BgL_arg2034z00_2260;
																																BgL_argsz00_2041
																																	=
																																	BgL_argsz00_5340;
																																BgL_funz00_2040
																																	=
																																	BgL_funz00_5339;
																																goto
																																	BgL_tagzd2179zd2_2042;
																															}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (PAIRP
																																(BgL_carzd2401zd2_2258))
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_cdrzd2418zd2_2263;
																																	BgL_cdrzd2418zd2_2263
																																		=
																																		CDR
																																		(BgL_carzd2401zd2_2258);
																																	if ((CAR
																																			(BgL_carzd2401zd2_2258)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					10))))
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_cdrzd2418zd2_2263))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2421zd2_2267;
																																					obj_t
																																						BgL_cdrzd2422zd2_2268;
																																					BgL_carzd2421zd2_2267
																																						=
																																						CAR
																																						(BgL_cdrzd2418zd2_2263);
																																					BgL_cdrzd2422zd2_2268
																																						=
																																						CDR
																																						(BgL_cdrzd2418zd2_2263);
																																					if (SYMBOLP(BgL_carzd2421zd2_2267))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2422zd2_2268))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2427zd2_2271;
																																									BgL_carzd2427zd2_2271
																																										=
																																										CAR
																																										(BgL_cdrzd2422zd2_2268);
																																									if (SYMBOLP(BgL_carzd2427zd2_2271))
																																										{	/* Expand/object.scm 195 */
																																											if (NULLP(CDR(BgL_cdrzd2422zd2_2268)))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_arg2045z00_2275;
																																													BgL_arg2045z00_2275
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_nz00_2023));
																																													{
																																														obj_t
																																															BgL_argsz00_5366;
																																														obj_t
																																															BgL_modz00_5365;
																																														obj_t
																																															BgL_funz00_5364;
																																														BgL_funz00_5364
																																															=
																																															BgL_carzd2421zd2_2267;
																																														BgL_modz00_5365
																																															=
																																															BgL_carzd2427zd2_2271;
																																														BgL_argsz00_5366
																																															=
																																															BgL_arg2045z00_2275;
																																														BgL_argsz00_2045
																																															=
																																															BgL_argsz00_5366;
																																														BgL_modz00_2044
																																															=
																																															BgL_modz00_5365;
																																														BgL_funz00_2043
																																															=
																																															BgL_funz00_5364;
																																														goto
																																															BgL_tagzd2180zd2_2046;
																																													}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Expand/object.scm 195 */
																									if (
																										(BgL_carzd2208zd2_2055 ==
																											CNST_TABLE_REF(((long)
																													24))))
																										{	/* Expand/object.scm 195 */
																											goto
																												BgL_kapzd2210zd2_2057;
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(BgL_carzd2208zd2_2055
																													==
																													CNST_TABLE_REF(((long)
																															25))))
																												{	/* Expand/object.scm 195 */
																													goto
																														BgL_kapzd2210zd2_2057;
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(BgL_carzd2208zd2_2055
																															==
																															CNST_TABLE_REF((
																																	(long) 26))))
																														{	/* Expand/object.scm 195 */
																															goto
																																BgL_kapzd2210zd2_2057;
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(BgL_carzd2208zd2_2055
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			27))))
																																{	/* Expand/object.scm 195 */
																																	goto
																																		BgL_kapzd2210zd2_2057;
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	if (
																																		(BgL_carzd2208zd2_2055
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					28))))
																																		{	/* Expand/object.scm 195 */
																																			goto
																																				BgL_kapzd2210zd2_2057;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (
																																				(BgL_carzd2208zd2_2055
																																					==
																																					CNST_TABLE_REF
																																					(((long) 29))))
																																				{	/* Expand/object.scm 195 */
																																					goto
																																						BgL_kapzd2210zd2_2057;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (
																																						(BgL_carzd2208zd2_2055
																																							==
																																							CNST_TABLE_REF
																																							(((long) 21))))
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2447zd2_2060;
																																							BgL_cdrzd2447zd2_2060
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_nz00_2023));
																																							if ((CAR(((obj_t) BgL_nz00_2023)) == CNST_TABLE_REF(((long) 22))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2447zd2_2060))
																																										{	/* Expand/object.scm 195 */
																																											bool_t
																																												BgL_test2911z00_5397;
																																											{	/* Expand/object.scm 195 */
																																												obj_t
																																													BgL_tmpz00_5398;
																																												BgL_tmpz00_5398
																																													=
																																													CAR
																																													(BgL_cdrzd2447zd2_2060);
																																												BgL_test2911z00_5397
																																													=
																																													SYMBOLP
																																													(BgL_tmpz00_5398);
																																											}
																																											if (BgL_test2911z00_5397)
																																												{	/* Expand/object.scm 195 */
																																													if (NULLP(CDR(BgL_cdrzd2447zd2_2060)))
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																1);
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2455zd2_2068;
																																															BgL_carzd2455zd2_2068
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_nz00_2023));
																																															if (SYMBOLP(BgL_carzd2455zd2_2068))
																																																{
																																																	obj_t
																																																		BgL_argsz00_5409;
																																																	obj_t
																																																		BgL_funz00_5408;
																																																	BgL_funz00_5408
																																																		=
																																																		BgL_carzd2455zd2_2068;
																																																	BgL_argsz00_5409
																																																		=
																																																		BgL_cdrzd2447zd2_2060;
																																																	BgL_argsz00_2041
																																																		=
																																																		BgL_argsz00_5409;
																																																	BgL_funz00_2040
																																																		=
																																																		BgL_funz00_5408;
																																																	goto
																																																		BgL_tagzd2179zd2_2042;
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_carzd2455zd2_2068))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_cdrzd2472zd2_2073;
																																																			BgL_cdrzd2472zd2_2073
																																																				=
																																																				CDR
																																																				(BgL_carzd2455zd2_2068);
																																																			if ((CAR(BgL_carzd2455zd2_2068) == CNST_TABLE_REF(((long) 10))))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2472zd2_2073))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2475zd2_2077;
																																																							obj_t
																																																								BgL_cdrzd2476zd2_2078;
																																																							BgL_carzd2475zd2_2077
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2472zd2_2073);
																																																							BgL_cdrzd2476zd2_2078
																																																								=
																																																								CDR
																																																								(BgL_cdrzd2472zd2_2073);
																																																							if (SYMBOLP(BgL_carzd2475zd2_2077))
																																																								{	/* Expand/object.scm 195 */
																																																									if (PAIRP(BgL_cdrzd2476zd2_2078))
																																																										{	/* Expand/object.scm 195 */
																																																											obj_t
																																																												BgL_carzd2481zd2_2081;
																																																											BgL_carzd2481zd2_2081
																																																												=
																																																												CAR
																																																												(BgL_cdrzd2476zd2_2078);
																																																											if (SYMBOLP(BgL_carzd2481zd2_2081))
																																																												{	/* Expand/object.scm 195 */
																																																													if (NULLP(CDR(BgL_cdrzd2476zd2_2078)))
																																																														{	/* Expand/object.scm 195 */
																																																															obj_t
																																																																BgL_arg1900z00_2085;
																																																															BgL_arg1900z00_2085
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_nz00_2023));
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_5435;
																																																																obj_t
																																																																	BgL_modz00_5434;
																																																																obj_t
																																																																	BgL_funz00_5433;
																																																																BgL_funz00_5433
																																																																	=
																																																																	BgL_carzd2475zd2_2077;
																																																																BgL_modz00_5434
																																																																	=
																																																																	BgL_carzd2481zd2_2081;
																																																																BgL_argsz00_5435
																																																																	=
																																																																	BgL_arg1900z00_2085;
																																																																BgL_argsz00_2045
																																																																	=
																																																																	BgL_argsz00_5435;
																																																																BgL_modz00_2044
																																																																	=
																																																																	BgL_modz00_5434;
																																																																BgL_funz00_2043
																																																																	=
																																																																	BgL_funz00_5433;
																																																																goto
																																																																	BgL_tagzd2180zd2_2046;
																																																															}
																																																														}
																																																													else
																																																														{	/* Expand/object.scm 195 */
																																																															return
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2492zd2_2089;
																																													BgL_carzd2492zd2_2089
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_nz00_2023));
																																													if (SYMBOLP(BgL_carzd2492zd2_2089))
																																														{
																																															obj_t
																																																BgL_argsz00_5441;
																																															obj_t
																																																BgL_funz00_5440;
																																															BgL_funz00_5440
																																																=
																																																BgL_carzd2492zd2_2089;
																																															BgL_argsz00_5441
																																																=
																																																BgL_cdrzd2447zd2_2060;
																																															BgL_argsz00_2041
																																																=
																																																BgL_argsz00_5441;
																																															BgL_funz00_2040
																																																=
																																																BgL_funz00_5440;
																																															goto
																																																BgL_tagzd2179zd2_2042;
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_carzd2492zd2_2089))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_cdrzd2509zd2_2094;
																																																	BgL_cdrzd2509zd2_2094
																																																		=
																																																		CDR
																																																		(BgL_carzd2492zd2_2089);
																																																	if ((CAR(BgL_carzd2492zd2_2089) == CNST_TABLE_REF(((long) 10))))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2509zd2_2094))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2512zd2_2098;
																																																					obj_t
																																																						BgL_cdrzd2513zd2_2099;
																																																					BgL_carzd2512zd2_2098
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2509zd2_2094);
																																																					BgL_cdrzd2513zd2_2099
																																																						=
																																																						CDR
																																																						(BgL_cdrzd2509zd2_2094);
																																																					if (SYMBOLP(BgL_carzd2512zd2_2098))
																																																						{	/* Expand/object.scm 195 */
																																																							if (PAIRP(BgL_cdrzd2513zd2_2099))
																																																								{	/* Expand/object.scm 195 */
																																																									obj_t
																																																										BgL_carzd2518zd2_2102;
																																																									BgL_carzd2518zd2_2102
																																																										=
																																																										CAR
																																																										(BgL_cdrzd2513zd2_2099);
																																																									if (SYMBOLP(BgL_carzd2518zd2_2102))
																																																										{	/* Expand/object.scm 195 */
																																																											if (NULLP(CDR(BgL_cdrzd2513zd2_2099)))
																																																												{	/* Expand/object.scm 195 */
																																																													obj_t
																																																														BgL_arg1916z00_2106;
																																																													BgL_arg1916z00_2106
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_nz00_2023));
																																																													{
																																																														obj_t
																																																															BgL_argsz00_5467;
																																																														obj_t
																																																															BgL_modz00_5466;
																																																														obj_t
																																																															BgL_funz00_5465;
																																																														BgL_funz00_5465
																																																															=
																																																															BgL_carzd2512zd2_2098;
																																																														BgL_modz00_5466
																																																															=
																																																															BgL_carzd2518zd2_2102;
																																																														BgL_argsz00_5467
																																																															=
																																																															BgL_arg1916z00_2106;
																																																														BgL_argsz00_2045
																																																															=
																																																															BgL_argsz00_5467;
																																																														BgL_modz00_2044
																																																															=
																																																															BgL_modz00_5466;
																																																														BgL_funz00_2043
																																																															=
																																																															BgL_funz00_5465;
																																																														goto
																																																															BgL_tagzd2180zd2_2046;
																																																													}
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2529zd2_2110;
																																											BgL_carzd2529zd2_2110
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_nz00_2023));
																																											if (SYMBOLP(BgL_carzd2529zd2_2110))
																																												{
																																													obj_t
																																														BgL_argsz00_5473;
																																													obj_t
																																														BgL_funz00_5472;
																																													BgL_funz00_5472
																																														=
																																														BgL_carzd2529zd2_2110;
																																													BgL_argsz00_5473
																																														=
																																														BgL_cdrzd2447zd2_2060;
																																													BgL_argsz00_2041
																																														=
																																														BgL_argsz00_5473;
																																													BgL_funz00_2040
																																														=
																																														BgL_funz00_5472;
																																													goto
																																														BgL_tagzd2179zd2_2042;
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_carzd2529zd2_2110))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_cdrzd2546zd2_2115;
																																															BgL_cdrzd2546zd2_2115
																																																=
																																																CDR
																																																(BgL_carzd2529zd2_2110);
																																															if ((CAR(BgL_carzd2529zd2_2110) == CNST_TABLE_REF(((long) 10))))
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_cdrzd2546zd2_2115))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_carzd2549zd2_2119;
																																																			obj_t
																																																				BgL_cdrzd2550zd2_2120;
																																																			BgL_carzd2549zd2_2119
																																																				=
																																																				CAR
																																																				(BgL_cdrzd2546zd2_2115);
																																																			BgL_cdrzd2550zd2_2120
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2546zd2_2115);
																																																			if (SYMBOLP(BgL_carzd2549zd2_2119))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2550zd2_2120))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2555zd2_2123;
																																																							BgL_carzd2555zd2_2123
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2550zd2_2120);
																																																							if (SYMBOLP(BgL_carzd2555zd2_2123))
																																																								{	/* Expand/object.scm 195 */
																																																									if (NULLP(CDR(BgL_cdrzd2550zd2_2120)))
																																																										{	/* Expand/object.scm 195 */
																																																											obj_t
																																																												BgL_arg1932z00_2127;
																																																											BgL_arg1932z00_2127
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_nz00_2023));
																																																											{
																																																												obj_t
																																																													BgL_argsz00_5499;
																																																												obj_t
																																																													BgL_modz00_5498;
																																																												obj_t
																																																													BgL_funz00_5497;
																																																												BgL_funz00_5497
																																																													=
																																																													BgL_carzd2549zd2_2119;
																																																												BgL_modz00_5498
																																																													=
																																																													BgL_carzd2555zd2_2123;
																																																												BgL_argsz00_5499
																																																													=
																																																													BgL_arg1932z00_2127;
																																																												BgL_argsz00_2045
																																																													=
																																																													BgL_argsz00_5499;
																																																												BgL_modz00_2044
																																																													=
																																																													BgL_modz00_5498;
																																																												BgL_funz00_2043
																																																													=
																																																													BgL_funz00_5497;
																																																												goto
																																																													BgL_tagzd2180zd2_2046;
																																																											}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2566zd2_2130;
																																									BgL_carzd2566zd2_2130
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_nz00_2023));
																																									if (SYMBOLP(BgL_carzd2566zd2_2130))
																																										{
																																											obj_t
																																												BgL_argsz00_5505;
																																											obj_t
																																												BgL_funz00_5504;
																																											BgL_funz00_5504
																																												=
																																												BgL_carzd2566zd2_2130;
																																											BgL_argsz00_5505
																																												=
																																												BgL_cdrzd2447zd2_2060;
																																											BgL_argsz00_2041
																																												=
																																												BgL_argsz00_5505;
																																											BgL_funz00_2040
																																												=
																																												BgL_funz00_5504;
																																											goto
																																												BgL_tagzd2179zd2_2042;
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_carzd2566zd2_2130))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_cdrzd2583zd2_2135;
																																													BgL_cdrzd2583zd2_2135
																																														=
																																														CDR
																																														(BgL_carzd2566zd2_2130);
																																													if ((CAR(BgL_carzd2566zd2_2130) == CNST_TABLE_REF(((long) 10))))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2583zd2_2135))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2586zd2_2139;
																																																	obj_t
																																																		BgL_cdrzd2587zd2_2140;
																																																	BgL_carzd2586zd2_2139
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2583zd2_2135);
																																																	BgL_cdrzd2587zd2_2140
																																																		=
																																																		CDR
																																																		(BgL_cdrzd2583zd2_2135);
																																																	if (SYMBOLP(BgL_carzd2586zd2_2139))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2587zd2_2140))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2592zd2_2143;
																																																					BgL_carzd2592zd2_2143
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2587zd2_2140);
																																																					if (SYMBOLP(BgL_carzd2592zd2_2143))
																																																						{	/* Expand/object.scm 195 */
																																																							if (NULLP(CDR(BgL_cdrzd2587zd2_2140)))
																																																								{	/* Expand/object.scm 195 */
																																																									obj_t
																																																										BgL_arg1946z00_2147;
																																																									BgL_arg1946z00_2147
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_nz00_2023));
																																																									{
																																																										obj_t
																																																											BgL_argsz00_5531;
																																																										obj_t
																																																											BgL_modz00_5530;
																																																										obj_t
																																																											BgL_funz00_5529;
																																																										BgL_funz00_5529
																																																											=
																																																											BgL_carzd2586zd2_2139;
																																																										BgL_modz00_5530
																																																											=
																																																											BgL_carzd2592zd2_2143;
																																																										BgL_argsz00_5531
																																																											=
																																																											BgL_arg1946z00_2147;
																																																										BgL_argsz00_2045
																																																											=
																																																											BgL_argsz00_5531;
																																																										BgL_modz00_2044
																																																											=
																																																											BgL_modz00_5530;
																																																										BgL_funz00_2043
																																																											=
																																																											BgL_funz00_5529;
																																																										goto
																																																											BgL_tagzd2180zd2_2046;
																																																									}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
																else
																	{	/* Expand/object.scm 195 */
																		return ((bool_t) 0);
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1845> */
	obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4117, obj_t BgL_slotz00_4120, obj_t BgL_valz00_4121)
	{
		{	/* Expand/object.scm 343 */
			{	/* Expand/object.scm 344 */
				obj_t BgL_ez00_4118;
				obj_t BgL_newz00_4119;

				BgL_ez00_4118 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4117, (int) (((long) 0))));
				BgL_newz00_4119 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4117, (int) (((long) 1))));
				{	/* Expand/object.scm 344 */
					bool_t BgL_test2945z00_5538;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4120)))
						{	/* Expand/object.scm 344 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4120)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 345 */
									BgL_test2945z00_5538 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 345 */
									BgL_test2945z00_5538 = CBOOL(CAR(((obj_t) BgL_valz00_4121)));
								}
						}
					else
						{	/* Expand/object.scm 344 */
							BgL_test2945z00_5538 = ((bool_t) 0);
						}
					if (BgL_test2945z00_5538)
						{	/* Expand/object.scm 347 */
							obj_t BgL_vz00_4208;
							obj_t BgL_idz00_4209;

							{	/* Expand/object.scm 347 */
								obj_t BgL_arg1857z00_4210;

								BgL_arg1857z00_4210 = CDR(((obj_t) BgL_valz00_4121));
								BgL_vz00_4208 =
									((obj_t(*)(obj_t, obj_t, obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_ez00_4118)) (BgL_ez00_4118,
									BgL_arg1857z00_4210, BgL_ez00_4118, BEOA);
							}
							BgL_idz00_4209 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_4120)))->BgL_idz00);
							{	/* Expand/object.scm 349 */
								obj_t BgL_arg1849z00_4211;
								obj_t BgL_arg1850z00_4212;

								BgL_arg1849z00_4211 = CDR(((obj_t) BgL_valz00_4121));
								{	/* Expand/object.scm 350 */
									obj_t BgL_arg1851z00_4213;

									{	/* Expand/object.scm 350 */
										obj_t BgL_arg1854z00_4214;
										obj_t BgL_arg1856z00_4215;

										BgL_arg1854z00_4214 =
											BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4119,
											BgL_idz00_4209, BTRUE);
										BgL_arg1856z00_4215 = MAKE_YOUNG_PAIR(BgL_vz00_4208, BNIL);
										BgL_arg1851z00_4213 =
											MAKE_YOUNG_PAIR(BgL_arg1854z00_4214, BgL_arg1856z00_4215);
									}
									BgL_arg1850z00_4212 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
										BgL_arg1851z00_4213);
								}
								return
									BGl_objectzd2epairifyzd2zzexpand_objectz00
									(BgL_arg1850z00_4212, BgL_arg1849z00_4211);
							}
						}
					else
						{	/* Expand/object.scm 344 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:1766> */
	obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4122, obj_t BgL_slotz00_4125, obj_t BgL_valz00_4126)
	{
		{	/* Expand/object.scm 328 */
			{	/* Expand/object.scm 329 */
				obj_t BgL_ez00_4123;
				obj_t BgL_newz00_4124;

				BgL_ez00_4123 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4122, (int) (((long) 0))));
				BgL_newz00_4124 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4122, (int) (((long) 1))));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4125)))
					{	/* Expand/object.scm 329 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 330 */
						obj_t BgL_vz00_4216;
						obj_t BgL_idz00_4217;

						{	/* Expand/object.scm 330 */
							obj_t BgL_arg1781z00_4218;

							BgL_arg1781z00_4218 = CDR(((obj_t) BgL_valz00_4126));
							BgL_vz00_4216 =
								((obj_t(*)(obj_t, obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_4123)) (BgL_ez00_4123,
								BgL_arg1781z00_4218, BgL_ez00_4123, BEOA);
						}
						BgL_idz00_4217 =
							(((BgL_slotz00_bglt) COBJECT(
									((BgL_slotz00_bglt) BgL_slotz00_4125)))->BgL_idz00);
						{	/* Expand/object.scm 332 */
							obj_t BgL_arg1769z00_4219;
							obj_t BgL_arg1770z00_4220;

							BgL_arg1769z00_4219 = CDR(((obj_t) BgL_valz00_4126));
							{	/* Expand/object.scm 333 */
								obj_t BgL_arg1771z00_4221;

								{	/* Expand/object.scm 333 */
									obj_t BgL_arg1777z00_4222;
									obj_t BgL_arg1778z00_4223;

									BgL_arg1777z00_4222 =
										BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4124,
										BgL_idz00_4217, BTRUE);
									BgL_arg1778z00_4223 = MAKE_YOUNG_PAIR(BgL_vz00_4216, BNIL);
									BgL_arg1771z00_4221 =
										MAKE_YOUNG_PAIR(BgL_arg1777z00_4222, BgL_arg1778z00_4223);
								}
								BgL_arg1770z00_4220 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1771z00_4221);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg1770z00_4220,
								BgL_arg1769z00_4219);
						}
					}
			}
		}

	}



/* expand-co-instantiate */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t BgL_xz00_24,
		obj_t BgL_ez00_25)
	{
		{	/* Expand/object.scm 358 */
			{

				if (PAIRP(BgL_xz00_24))
					{	/* Expand/object.scm 359 */
						obj_t BgL_cdrzd2705zd2_2510;

						BgL_cdrzd2705zd2_2510 = CDR(((obj_t) BgL_xz00_24));
						if ((CAR(((obj_t) BgL_xz00_24)) == CNST_TABLE_REF(((long) 30))))
							{	/* Expand/object.scm 359 */
								if (PAIRP(BgL_cdrzd2705zd2_2510))
									{	/* Expand/object.scm 359 */
										obj_t BgL_arg2197z00_2514;
										obj_t BgL_arg2198z00_2515;

										BgL_arg2197z00_2514 = CAR(BgL_cdrzd2705zd2_2510);
										BgL_arg2198z00_2515 = CDR(BgL_cdrzd2705zd2_2510);
										return
											BGl_replacez12z12zztools_miscz00(BgL_xz00_24,
											BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00
											(BgL_arg2197z00_2514, BgL_arg2198z00_2515, BgL_xz00_24,
												BgL_ez00_25));
									}
								else
									{	/* Expand/object.scm 359 */
									BgL_tagzd2698zd2_2507:
										return
											BGl_errorz00zz__errorz00
											(BGl_string2692z00zzexpand_objectz00,
											BGl_string2681z00zzexpand_objectz00, BgL_xz00_24);
									}
							}
						else
							{	/* Expand/object.scm 359 */
								goto BgL_tagzd2698zd2_2507;
							}
					}
				else
					{	/* Expand/object.scm 359 */
						goto BgL_tagzd2698zd2_2507;
					}
			}
		}

	}



/* &expand-co-instantiate */
	obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t
		BgL_envz00_4127, obj_t BgL_xz00_4128, obj_t BgL_ez00_4129)
	{
		{	/* Expand/object.scm 358 */
			return
				BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(BgL_xz00_4128,
				BgL_ez00_4129);
		}

	}



/* co-instantiate->let */
	obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t
		BgL_bindingsz00_26, obj_t BgL_bodyz00_27, obj_t BgL_xz00_28,
		obj_t BgL_ez00_29)
	{
		{	/* Expand/object.scm 368 */
			{
				obj_t BgL_exprz00_2611;
				obj_t BgL_bdgz00_2612;
				obj_t BgL_locz00_2613;

				{	/* Expand/object.scm 390 */
					obj_t BgL_locz00_2519;
					obj_t BgL_varsz00_2520;

					BgL_locz00_2519 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_28);
					if (NULLP(BgL_bindingsz00_26))
						{	/* Expand/object.scm 391 */
							BgL_varsz00_2520 = BNIL;
						}
					else
						{	/* Expand/object.scm 391 */
							obj_t BgL_head1289z00_2570;

							BgL_head1289z00_2570 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1287z00_2572;
								obj_t BgL_tail1290z00_2573;

								BgL_l1287z00_2572 = BgL_bindingsz00_26;
								BgL_tail1290z00_2573 = BgL_head1289z00_2570;
							BgL_zc3z04anonymousza32228ze3z87_2574:
								if (NULLP(BgL_l1287z00_2572))
									{	/* Expand/object.scm 391 */
										BgL_varsz00_2520 = CDR(BgL_head1289z00_2570);
									}
								else
									{	/* Expand/object.scm 391 */
										obj_t BgL_newtail1291z00_2576;

										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2231z00_2578;

											{	/* Expand/object.scm 391 */
												obj_t BgL_bdgz00_2579;

												BgL_bdgz00_2579 = CAR(((obj_t) BgL_l1287z00_2572));
												{
													obj_t BgL_varz00_2580;
													obj_t BgL_exprz00_2581;

													if (PAIRP(BgL_bdgz00_2579))
														{	/* Expand/object.scm 392 */
															obj_t BgL_carzd2730zd2_2586;
															obj_t BgL_cdrzd2731zd2_2587;

															BgL_carzd2730zd2_2586 =
																CAR(((obj_t) BgL_bdgz00_2579));
															BgL_cdrzd2731zd2_2587 =
																CDR(((obj_t) BgL_bdgz00_2579));
															if (SYMBOLP(BgL_carzd2730zd2_2586))
																{	/* Expand/object.scm 392 */
																	if (PAIRP(BgL_cdrzd2731zd2_2587))
																		{	/* Expand/object.scm 392 */
																			if (NULLP(CDR(BgL_cdrzd2731zd2_2587)))
																				{	/* Expand/object.scm 392 */
																					BgL_varz00_2580 =
																						BgL_carzd2730zd2_2586;
																					BgL_exprz00_2581 =
																						CAR(BgL_cdrzd2731zd2_2587);
																					{	/* Expand/object.scm 394 */
																						obj_t BgL_locz00_2594;

																						BgL_locz00_2594 =
																							BGl_findzd2locationzf2locz20zztools_locationz00
																							(BgL_bdgz00_2579, BgL_xz00_28);
																						{	/* Expand/object.scm 394 */
																							obj_t BgL_idzd2typezd2_2595;

																							BgL_idzd2typezd2_2595 =
																								BGl_parsezd2idzd2zzast_identz00
																								(BgL_varz00_2580,
																								BgL_locz00_2594);
																							{	/* Expand/object.scm 395 */
																								obj_t BgL_idz00_2596;

																								BgL_idz00_2596 =
																									CAR(BgL_idzd2typezd2_2595);
																								{	/* Expand/object.scm 396 */
																									obj_t BgL_tz00_2597;

																									BgL_tz00_2597 =
																										CDR(BgL_idzd2typezd2_2595);
																									{	/* Expand/object.scm 397 */
																										obj_t BgL_klassz00_2598;

																										BgL_exprz00_2611 =
																											BgL_exprz00_2581;
																										BgL_bdgz00_2612 =
																											BgL_bdgz00_2579;
																										BgL_locz00_2613 =
																											BgL_locz00_2594;
																										{
																											obj_t
																												BgL_instantiatez00_2615;
																											obj_t BgL_bodyz00_2616;

																											if (PAIRP
																												(BgL_exprz00_2611))
																												{	/* Expand/object.scm 388 */
																													obj_t
																														BgL_arg2251z00_2621;
																													obj_t
																														BgL_arg2252z00_2622;
																													BgL_arg2251z00_2621 =
																														CAR(((obj_t)
																															BgL_exprz00_2611));
																													BgL_arg2252z00_2622 =
																														CDR(((obj_t)
																															BgL_exprz00_2611));
																													BgL_instantiatez00_2615
																														=
																														BgL_arg2251z00_2621;
																													BgL_bodyz00_2616 =
																														BgL_arg2252z00_2622;
																													{	/* Expand/object.scm 373 */
																														obj_t
																															BgL_locz00_2623;
																														BgL_locz00_2623 =
																															BGl_findzd2locationzf2locz20zztools_locationz00
																															(BgL_bodyz00_2616,
																															BgL_locz00_2613);
																														{	/* Expand/object.scm 373 */
																															obj_t
																																BgL_idzd2typezd2_2624;
																															BgL_idzd2typezd2_2624
																																=
																																BGl_parsezd2idzd2zzast_identz00
																																(BgL_instantiatez00_2615,
																																BgL_locz00_2623);
																															{	/* Expand/object.scm 374 */
																																obj_t
																																	BgL_kclassz00_2625;
																																BgL_kclassz00_2625
																																	=
																																	CDR
																																	(BgL_idzd2typezd2_2624);
																																{	/* Expand/object.scm 375 */

																																	if (
																																		(CAR
																																			(BgL_idzd2typezd2_2624)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					31))))
																																		{	/* Expand/object.scm 379 */
																																			bool_t
																																				BgL_test2960z00_5647;
																																			{	/* Expand/object.scm 379 */
																																				obj_t
																																					BgL_classz00_3663;
																																				BgL_classz00_3663
																																					=
																																					BGl_tclassz00zzobject_classz00;
																																				if (BGL_OBJECTP(BgL_kclassz00_2625))
																																					{	/* Expand/object.scm 379 */
																																						BgL_objectz00_bglt
																																							BgL_arg1820z00_3665;
																																						BgL_arg1820z00_3665
																																							=
																																							(BgL_objectz00_bglt)
																																							(BgL_kclassz00_2625);
																																						if (BGL_CONDEXPAND_ISA_ARCH64())
																																							{	/* Expand/object.scm 379 */
																																								long
																																									BgL_idxz00_3671;
																																								BgL_idxz00_3671
																																									=
																																									BGL_OBJECT_INHERITANCE_NUM
																																									(BgL_arg1820z00_3665);
																																								BgL_test2960z00_5647
																																									=
																																									(VECTOR_REF
																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																										(BgL_idxz00_3671
																																											+
																																											((long) 2))) == BgL_classz00_3663);
																																							}
																																						else
																																							{	/* Expand/object.scm 379 */
																																								bool_t
																																									BgL_res2668z00_3693;
																																								{	/* Expand/object.scm 379 */
																																									obj_t
																																										BgL_oclassz00_3679;
																																									{	/* Expand/object.scm 379 */
																																										long
																																											BgL_arg1828z00_3685;
																																										{	/* Expand/object.scm 379 */
																																											long
																																												BgL_arg1829z00_3686;
																																											BgL_arg1829z00_3686
																																												=
																																												BGL_OBJECT_CLASS_NUM
																																												(BgL_arg1820z00_3665);
																																											BgL_arg1828z00_3685
																																												=
																																												(BgL_arg1829z00_3686
																																												-
																																												OBJECT_TYPE);
																																										}
																																										BgL_oclassz00_3679
																																											=
																																											VECTOR_REF
																																											(BGl_za2classesza2z00zz__objectz00,
																																											BgL_arg1828z00_3685);
																																									}
																																									{	/* Expand/object.scm 379 */
																																										bool_t
																																											BgL__ortest_1111z00_3680;
																																										BgL__ortest_1111z00_3680
																																											=
																																											(BgL_classz00_3663
																																											==
																																											BgL_oclassz00_3679);
																																										if (BgL__ortest_1111z00_3680)
																																											{	/* Expand/object.scm 379 */
																																												BgL_res2668z00_3693
																																													=
																																													BgL__ortest_1111z00_3680;
																																											}
																																										else
																																											{	/* Expand/object.scm 379 */
																																												long
																																													BgL_odepthz00_3681;
																																												BgL_odepthz00_3681
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_oclassz00_3679);
																																												if ((((long) 2) < BgL_odepthz00_3681))
																																													{	/* Expand/object.scm 379 */
																																														obj_t
																																															BgL_arg1816z00_3683;
																																														BgL_arg1816z00_3683
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_oclassz00_3679,
																																															((long) 2));
																																														BgL_res2668z00_3693
																																															=
																																															(BgL_arg1816z00_3683
																																															==
																																															BgL_classz00_3663);
																																													}
																																												else
																																													{	/* Expand/object.scm 379 */
																																														BgL_res2668z00_3693
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																									}
																																								}
																																								BgL_test2960z00_5647
																																									=
																																									BgL_res2668z00_3693;
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 379 */
																																						BgL_test2960z00_5647
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																			if (BgL_test2960z00_5647)
																																				{	/* Expand/object.scm 381 */
																																					bool_t
																																						BgL_test2965z00_5667;
																																					{
																																						BgL_tclassz00_bglt
																																							BgL_auxz00_5668;
																																						{
																																							obj_t
																																								BgL_auxz00_5669;
																																							{	/* Expand/object.scm 381 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_5670;
																																								BgL_tmpz00_5670
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_typez00_bglt) BgL_kclassz00_2625));
																																								BgL_auxz00_5669
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_5670);
																																							}
																																							BgL_auxz00_5668
																																								=
																																								(
																																								(BgL_tclassz00_bglt)
																																								BgL_auxz00_5669);
																																						}
																																						BgL_test2965z00_5667
																																							=
																																							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5668))->BgL_abstractzf3zf3);
																																					}
																																					if (BgL_test2965z00_5667)
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2598
																																								=
																																								BGl_errorz00zz__errorz00
																																								(BgL_instantiatez00_2615,
																																								BGl_string2686z00zzexpand_objectz00,
																																								BgL_bdgz00_2612);
																																						}
																																					else
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2598
																																								=
																																								BgL_kclassz00_2625;
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 379 */
																																					BgL_klassz00_2598
																																						=
																																						BGl_errorz00zz__errorz00
																																						(BgL_instantiatez00_2615,
																																						BGl_string2683z00zzexpand_objectz00,
																																						BgL_bdgz00_2612);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 377 */
																																			BgL_klassz00_2598
																																				=
																																				BGl_errorz00zz__errorz00
																																				(BgL_instantiatez00_2615,
																																				BGl_string2693z00zzexpand_objectz00,
																																				BgL_bdgz00_2612);
																																		}
																																}
																															}
																														}
																													}
																												}
																											else
																												{	/* Expand/object.scm 388 */
																													BgL_klassz00_2598 =
																														BGl_errorz00zz__errorz00
																														(BGl_string2692z00zzexpand_objectz00,
																														BGl_string2693z00zzexpand_objectz00,
																														BgL_bdgz00_2612);
																												}
																										}
																										{	/* Expand/object.scm 398 */

																											{	/* Expand/object.scm 399 */
																												bool_t
																													BgL_test2966z00_5680;
																												{	/* Expand/object.scm 399 */
																													bool_t
																														BgL_test2967z00_5681;
																													{	/* Expand/object.scm 399 */
																														BgL_typez00_bglt
																															BgL_arg2247z00_2608;
																														BgL_arg2247z00_2608
																															=
																															BGl_getzd2defaultzd2typez00zztype_cachez00
																															();
																														BgL_test2967z00_5681
																															=
																															(BgL_tz00_2597 ==
																															((obj_t)
																																BgL_arg2247z00_2608));
																													}
																													if (BgL_test2967z00_5681)
																														{	/* Expand/object.scm 399 */
																															BgL_test2966z00_5680
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Expand/object.scm 399 */
																															BgL_test2966z00_5680
																																=
																																(BgL_tz00_2597
																																==
																																BgL_klassz00_2598);
																														}
																												}
																												if (BgL_test2966z00_5680)
																													{	/* Expand/object.scm 401 */
																														obj_t
																															BgL_list2243z00_2603;
																														{	/* Expand/object.scm 401 */
																															obj_t
																																BgL_arg2244z00_2604;
																															{	/* Expand/object.scm 401 */
																																obj_t
																																	BgL_arg2245z00_2605;
																																BgL_arg2245z00_2605
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_exprz00_2581,
																																	BNIL);
																																BgL_arg2244z00_2604
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_klassz00_2598,
																																	BgL_arg2245z00_2605);
																															}
																															BgL_list2243z00_2603
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_2596,
																																BgL_arg2244z00_2604);
																														}
																														BgL_arg2231z00_2578
																															=
																															BgL_list2243z00_2603;
																													}
																												else
																													{	/* Expand/object.scm 399 */
																														BgL_arg2231z00_2578
																															=
																															BGl_errorz00zz__errorz00
																															(CAR(BgL_xz00_28),
																															BGl_string2694z00zzexpand_objectz00,
																															BgL_bdgz00_2579);
																													}
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			else
																				{	/* Expand/object.scm 392 */
																				BgL_tagzd2724zd2_2583:
																					BgL_arg2231z00_2578 =
																						BGl_errorz00zz__errorz00(CAR
																						(BgL_xz00_28),
																						BGl_string2693z00zzexpand_objectz00,
																						BgL_bdgz00_2579);
																				}
																		}
																	else
																		{	/* Expand/object.scm 392 */
																			goto BgL_tagzd2724zd2_2583;
																		}
																}
															else
																{	/* Expand/object.scm 392 */
																	goto BgL_tagzd2724zd2_2583;
																}
														}
													else
														{	/* Expand/object.scm 392 */
															goto BgL_tagzd2724zd2_2583;
														}
												}
											}
											BgL_newtail1291z00_2576 =
												MAKE_YOUNG_PAIR(BgL_arg2231z00_2578, BNIL);
										}
										SET_CDR(BgL_tail1290z00_2573, BgL_newtail1291z00_2576);
										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2230z00_2577;

											BgL_arg2230z00_2577 = CDR(((obj_t) BgL_l1287z00_2572));
											{
												obj_t BgL_tail1290z00_5699;
												obj_t BgL_l1287z00_5698;

												BgL_l1287z00_5698 = BgL_arg2230z00_2577;
												BgL_tail1290z00_5699 = BgL_newtail1291z00_2576;
												BgL_tail1290z00_2573 = BgL_tail1290z00_5699;
												BgL_l1287z00_2572 = BgL_l1287z00_5698;
												goto BgL_zc3z04anonymousza32228ze3z87_2574;
											}
										}
									}
							}
						}
					{	/* Expand/object.scm 406 */
						obj_t BgL_arg2201z00_2521;

						{	/* Expand/object.scm 406 */
							obj_t BgL_arg2202z00_2522;
							obj_t BgL_arg2203z00_2523;

							if (NULLP(BgL_varsz00_2520))
								{	/* Expand/object.scm 406 */
									BgL_arg2202z00_2522 = BNIL;
								}
							else
								{	/* Expand/object.scm 406 */
									obj_t BgL_head1294z00_2526;

									BgL_head1294z00_2526 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1292z00_2528;
										obj_t BgL_tail1295z00_2529;

										BgL_l1292z00_2528 = BgL_varsz00_2520;
										BgL_tail1295z00_2529 = BgL_head1294z00_2526;
									BgL_zc3z04anonymousza32205ze3z87_2530:
										if (NULLP(BgL_l1292z00_2528))
											{	/* Expand/object.scm 406 */
												BgL_arg2202z00_2522 = CDR(BgL_head1294z00_2526);
											}
										else
											{	/* Expand/object.scm 406 */
												obj_t BgL_newtail1296z00_2532;

												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2208z00_2534;

													{	/* Expand/object.scm 406 */
														obj_t BgL_varz00_2535;

														BgL_varz00_2535 = CAR(((obj_t) BgL_l1292z00_2528));
														{	/* Expand/object.scm 407 */
															obj_t BgL_idz00_2536;
															obj_t BgL_klassz00_2537;

															BgL_idz00_2536 = CAR(((obj_t) BgL_varz00_2535));
															{	/* Expand/object.scm 408 */
																obj_t BgL_pairz00_3717;

																BgL_pairz00_3717 =
																	CDR(((obj_t) BgL_varz00_2535));
																BgL_klassz00_2537 = CAR(BgL_pairz00_3717);
															}
															{	/* Expand/object.scm 410 */
																obj_t BgL_arg2209z00_2538;

																{	/* Expand/object.scm 410 */
																	obj_t BgL_arg2210z00_2539;
																	obj_t BgL_arg2211z00_2540;

																	{	/* Expand/object.scm 410 */
																		obj_t BgL_arg2212z00_2541;

																		BgL_arg2212z00_2541 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_klassz00_2537)))->BgL_idz00);
																		BgL_arg2210z00_2539 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_idz00_2536, BgL_arg2212z00_2541);
																	}
																	BgL_arg2211z00_2540 =
																		MAKE_YOUNG_PAIR
																		(BGl_allocatezd2exprzd2zzexpand_objectz00
																		(BgL_klassz00_2537), BNIL);
																	BgL_arg2209z00_2538 =
																		MAKE_YOUNG_PAIR(BgL_arg2210z00_2539,
																		BgL_arg2211z00_2540);
																}
																BgL_arg2208z00_2534 =
																	BGl_objectzd2epairifyzd2zzexpand_objectz00
																	(BgL_arg2209z00_2538, BgL_xz00_28);
															}
														}
													}
													BgL_newtail1296z00_2532 =
														MAKE_YOUNG_PAIR(BgL_arg2208z00_2534, BNIL);
												}
												SET_CDR(BgL_tail1295z00_2529, BgL_newtail1296z00_2532);
												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2207z00_2533;

													BgL_arg2207z00_2533 =
														CDR(((obj_t) BgL_l1292z00_2528));
													{
														obj_t BgL_tail1295z00_5725;
														obj_t BgL_l1292z00_5724;

														BgL_l1292z00_5724 = BgL_arg2207z00_2533;
														BgL_tail1295z00_5725 = BgL_newtail1296z00_2532;
														BgL_tail1295z00_2529 = BgL_tail1295z00_5725;
														BgL_l1292z00_2528 = BgL_l1292z00_5724;
														goto BgL_zc3z04anonymousza32205ze3z87_2530;
													}
												}
											}
									}
								}
							{	/* Expand/object.scm 413 */
								obj_t BgL_arg2214z00_2544;
								obj_t BgL_arg2215z00_2545;

								if (NULLP(BgL_varsz00_2520))
									{	/* Expand/object.scm 413 */
										BgL_arg2214z00_2544 = BNIL;
									}
								else
									{	/* Expand/object.scm 413 */
										obj_t BgL_head1299z00_2548;

										BgL_head1299z00_2548 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1297z00_2550;
											obj_t BgL_tail1300z00_2551;

											BgL_l1297z00_2550 = BgL_varsz00_2520;
											BgL_tail1300z00_2551 = BgL_head1299z00_2548;
										BgL_zc3z04anonymousza32217ze3z87_2552:
											if (NULLP(BgL_l1297z00_2550))
												{	/* Expand/object.scm 413 */
													BgL_arg2214z00_2544 = CDR(BgL_head1299z00_2548);
												}
											else
												{	/* Expand/object.scm 413 */
													obj_t BgL_newtail1301z00_2554;

													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2220z00_2556;

														{	/* Expand/object.scm 413 */
															obj_t BgL_varz00_2557;

															BgL_varz00_2557 =
																CAR(((obj_t) BgL_l1297z00_2550));
															{	/* Expand/object.scm 414 */
																obj_t BgL_idz00_2558;
																obj_t BgL_klassz00_2559;
																obj_t BgL_exprz00_2560;

																BgL_idz00_2558 = CAR(((obj_t) BgL_varz00_2557));
																{	/* Expand/object.scm 415 */
																	obj_t BgL_pairz00_3727;

																	BgL_pairz00_3727 =
																		CDR(((obj_t) BgL_varz00_2557));
																	BgL_klassz00_2559 = CAR(BgL_pairz00_3727);
																}
																{	/* Expand/object.scm 416 */
																	obj_t BgL_pairz00_3733;

																	{	/* Expand/object.scm 416 */
																		obj_t BgL_pairz00_3732;

																		BgL_pairz00_3732 =
																			CDR(((obj_t) BgL_varz00_2557));
																		BgL_pairz00_3733 = CDR(BgL_pairz00_3732);
																	}
																	BgL_exprz00_2560 = CAR(BgL_pairz00_3733);
																}
																{	/* Expand/object.scm 417 */
																	obj_t BgL_arg2221z00_2561;
																	obj_t BgL_arg2222z00_2562;
																	obj_t BgL_arg2223z00_2563;

																	BgL_arg2221z00_2561 =
																		CAR(((obj_t) BgL_exprz00_2560));
																	BgL_arg2222z00_2562 =
																		CDR(((obj_t) BgL_exprz00_2560));
																	{
																		BgL_tclassz00_bglt BgL_auxz00_5747;

																		{
																			obj_t BgL_auxz00_5748;

																			{	/* Expand/object.scm 418 */
																				BgL_objectz00_bglt BgL_tmpz00_5749;

																				BgL_tmpz00_5749 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_klassz00_2559));
																				BgL_auxz00_5748 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5749);
																			}
																			BgL_auxz00_5747 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5748);
																		}
																		BgL_arg2223z00_2563 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5747))->
																			BgL_slotsz00);
																	}
																	BgL_arg2220z00_2556 =
																		BGl_instantiatezd2fillzd2zzexpand_objectz00
																		(BgL_arg2221z00_2561, BgL_arg2222z00_2562,
																		BgL_klassz00_2559, BgL_arg2223z00_2563,
																		BgL_idz00_2558, BgL_exprz00_2560,
																		BgL_ez00_29);
																}
															}
														}
														BgL_newtail1301z00_2554 =
															MAKE_YOUNG_PAIR(BgL_arg2220z00_2556, BNIL);
													}
													SET_CDR(BgL_tail1300z00_2551,
														BgL_newtail1301z00_2554);
													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2219z00_2555;

														BgL_arg2219z00_2555 =
															CDR(((obj_t) BgL_l1297z00_2550));
														{
															obj_t BgL_tail1300z00_5761;
															obj_t BgL_l1297z00_5760;

															BgL_l1297z00_5760 = BgL_arg2219z00_2555;
															BgL_tail1300z00_5761 = BgL_newtail1301z00_2554;
															BgL_tail1300z00_2551 = BgL_tail1300z00_5761;
															BgL_l1297z00_2550 = BgL_l1297z00_5760;
															goto BgL_zc3z04anonymousza32217ze3z87_2552;
														}
													}
												}
										}
									}
								{	/* Expand/object.scm 420 */
									obj_t BgL_arg2224z00_2565;

									{	/* Expand/object.scm 420 */
										obj_t BgL_arg2225z00_2566;

										{	/* Expand/object.scm 420 */
											obj_t BgL_arg2226z00_2567;

											BgL_arg2226z00_2567 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_bodyz00_27, BNIL);
											BgL_arg2225z00_2566 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
												BgL_arg2226z00_2567);
										}
										BgL_arg2224z00_2565 =
											((obj_t(*)(obj_t, obj_t, obj_t,
													obj_t)) PROCEDURE_ENTRY(BgL_ez00_29)) (BgL_ez00_29,
											BgL_arg2225z00_2566, BgL_ez00_29, BEOA);
									}
									BgL_arg2215z00_2545 =
										MAKE_YOUNG_PAIR(BgL_arg2224z00_2565, BNIL);
								}
								BgL_arg2203z00_2523 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg2214z00_2544, BgL_arg2215z00_2545);
							}
							BgL_arg2201z00_2521 =
								MAKE_YOUNG_PAIR(BgL_arg2202z00_2522, BgL_arg2203z00_2523);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2201z00_2521);
		}}}}

	}



/* expand-duplicate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t
		BgL_xz00_30, obj_t BgL_ez00_31)
	{
		{	/* Expand/object.scm 425 */
			{
				obj_t BgL_duplicatez00_2632;
				obj_t BgL_dupz00_2633;
				obj_t BgL_provz00_2634;

				if (PAIRP(BgL_xz00_30))
					{	/* Expand/object.scm 426 */
						obj_t BgL_cdrzd2748zd2_2639;

						BgL_cdrzd2748zd2_2639 = CDR(((obj_t) BgL_xz00_30));
						if (PAIRP(BgL_cdrzd2748zd2_2639))
							{	/* Expand/object.scm 426 */
								obj_t BgL_arg2260z00_2641;
								obj_t BgL_arg2261z00_2642;
								obj_t BgL_arg2262z00_2643;

								BgL_arg2260z00_2641 = CAR(((obj_t) BgL_xz00_30));
								BgL_arg2261z00_2642 = CAR(BgL_cdrzd2748zd2_2639);
								BgL_arg2262z00_2643 = CDR(BgL_cdrzd2748zd2_2639);
								BgL_duplicatez00_2632 = BgL_arg2260z00_2641;
								BgL_dupz00_2633 = BgL_arg2261z00_2642;
								BgL_provz00_2634 = BgL_arg2262z00_2643;
								{	/* Expand/object.scm 428 */
									obj_t BgL_idzd2typezd2_2644;

									BgL_idzd2typezd2_2644 =
										BGl_parsezd2idzd2zzast_identz00(BgL_duplicatez00_2632,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_30));
									{	/* Expand/object.scm 428 */
										obj_t BgL_idz00_2645;

										BgL_idz00_2645 = CAR(BgL_idzd2typezd2_2644);
										{	/* Expand/object.scm 429 */
											obj_t BgL_classz00_2646;

											BgL_classz00_2646 = CDR(BgL_idzd2typezd2_2644);
											{	/* Expand/object.scm 430 */

												{	/* Expand/object.scm 432 */
													bool_t BgL_test2974z00_5789;

													{	/* Expand/object.scm 432 */
														obj_t BgL_classz00_3742;

														BgL_classz00_3742 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_classz00_2646))
															{	/* Expand/object.scm 432 */
																BgL_objectz00_bglt BgL_arg1820z00_3744;

																BgL_arg1820z00_3744 =
																	(BgL_objectz00_bglt) (BgL_classz00_2646);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Expand/object.scm 432 */
																		long BgL_idxz00_3750;

																		BgL_idxz00_3750 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_3744);
																		BgL_test2974z00_5789 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3750 + ((long) 2))) ==
																			BgL_classz00_3742);
																	}
																else
																	{	/* Expand/object.scm 432 */
																		bool_t BgL_res2670z00_3772;

																		{	/* Expand/object.scm 432 */
																			obj_t BgL_oclassz00_3758;

																			{	/* Expand/object.scm 432 */
																				long BgL_arg1828z00_3764;

																				{	/* Expand/object.scm 432 */
																					long BgL_arg1829z00_3765;

																					BgL_arg1829z00_3765 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_3744);
																					BgL_arg1828z00_3764 =
																						(BgL_arg1829z00_3765 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3758 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_3764);
																			}
																			{	/* Expand/object.scm 432 */
																				bool_t BgL__ortest_1111z00_3759;

																				BgL__ortest_1111z00_3759 =
																					(BgL_classz00_3742 ==
																					BgL_oclassz00_3758);
																				if (BgL__ortest_1111z00_3759)
																					{	/* Expand/object.scm 432 */
																						BgL_res2670z00_3772 =
																							BgL__ortest_1111z00_3759;
																					}
																				else
																					{	/* Expand/object.scm 432 */
																						long BgL_odepthz00_3760;

																						BgL_odepthz00_3760 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3758);
																						if ((((long) 2) <
																								BgL_odepthz00_3760))
																							{	/* Expand/object.scm 432 */
																								obj_t BgL_arg1816z00_3762;

																								BgL_arg1816z00_3762 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3758,
																									((long) 2));
																								BgL_res2670z00_3772 =
																									(BgL_arg1816z00_3762 ==
																									BgL_classz00_3742);
																							}
																						else
																							{	/* Expand/object.scm 432 */
																								BgL_res2670z00_3772 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2974z00_5789 = BgL_res2670z00_3772;
																	}
															}
														else
															{	/* Expand/object.scm 432 */
																BgL_test2974z00_5789 = ((bool_t) 0);
															}
													}
													if (BgL_test2974z00_5789)
														{	/* Expand/object.scm 434 */
															bool_t BgL_test2979z00_5809;

															{
																BgL_tclassz00_bglt BgL_auxz00_5810;

																{
																	obj_t BgL_auxz00_5811;

																	{	/* Expand/object.scm 434 */
																		BgL_objectz00_bglt BgL_tmpz00_5812;

																		BgL_tmpz00_5812 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_2646));
																		BgL_auxz00_5811 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5812);
																	}
																	BgL_auxz00_5810 =
																		((BgL_tclassz00_bglt) BgL_auxz00_5811);
																}
																BgL_test2979z00_5809 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_5810))->
																	BgL_abstractzf3zf3);
															}
															if (BgL_test2979z00_5809)
																{	/* Expand/object.scm 434 */
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_duplicatez00_2632,
																		BGl_string2695z00zzexpand_objectz00,
																		BgL_xz00_30);
																}
															else
																{	/* Expand/object.scm 434 */
																	return
																		BGl_replacez12z12zztools_miscz00
																		(BgL_xz00_30,
																		BGl_duplicatezd2ze3makez31zzexpand_objectz00
																		(BgL_classz00_2646, BgL_dupz00_2633,
																			BgL_provz00_2634, BgL_xz00_30,
																			BgL_ez00_31));
																}
														}
													else
														{	/* Expand/object.scm 433 */
															obj_t BgL_arg2266z00_2650;

															{	/* Expand/object.scm 433 */
																obj_t BgL_list2267z00_2651;

																BgL_list2267z00_2651 =
																	MAKE_YOUNG_PAIR(BgL_idz00_2645, BNIL);
																BgL_arg2266z00_2650 =
																	BGl_formatz00zz__r4_output_6_10_3z00
																	(BGl_string2696z00zzexpand_objectz00,
																	BgL_list2267z00_2651);
															}
															return
																BGl_errorz00zz__errorz00(BgL_duplicatez00_2632,
																BgL_arg2266z00_2650, BgL_xz00_30);
														}
												}
											}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 426 */
							BgL_tagzd2739zd2_2636:
								return
									BGl_errorz00zz__errorz00(BGl_string2697z00zzexpand_objectz00,
									BGl_string2681z00zzexpand_objectz00, BgL_xz00_30);
							}
					}
				else
					{	/* Expand/object.scm 426 */
						goto BgL_tagzd2739zd2_2636;
					}
			}
		}

	}



/* &expand-duplicate */
	obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t BgL_envz00_4130,
		obj_t BgL_xz00_4131, obj_t BgL_ez00_4132)
	{
		{	/* Expand/object.scm 425 */
			return
				BGl_expandzd2duplicatezd2zzexpand_objectz00(BgL_xz00_4131,
				BgL_ez00_4132);
		}

	}



/* duplicate->make */
	obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t BgL_classz00_32,
		obj_t BgL_duplicatedz00_33, obj_t BgL_providedz00_34, obj_t BgL_xz00_35,
		obj_t BgL_ez00_36)
	{
		{	/* Expand/object.scm 450 */
			{
				obj_t BgL_slotsz00_2782;
				obj_t BgL_slotsz00_2725;
				obj_t BgL_dupvarz00_2726;
				obj_t BgL_parentz00_2727;

				{	/* Expand/object.scm 507 */
					obj_t BgL_idz00_2656;

					BgL_idz00_2656 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_32)))->BgL_idz00);
					{	/* Expand/object.scm 507 */
						obj_t BgL_slotsz00_2657;

						{
							BgL_tclassz00_bglt BgL_auxz00_5828;

							{
								obj_t BgL_auxz00_5829;

								{	/* Expand/object.scm 508 */
									BgL_objectz00_bglt BgL_tmpz00_5830;

									BgL_tmpz00_5830 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_32));
									BgL_auxz00_5829 = BGL_OBJECT_WIDENING(BgL_tmpz00_5830);
								}
								BgL_auxz00_5828 = ((BgL_tclassz00_bglt) BgL_auxz00_5829);
							}
							BgL_slotsz00_2657 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5828))->BgL_slotsz00);
						}
						{	/* Expand/object.scm 508 */
							obj_t BgL_newz00_2658;

							BgL_newz00_2658 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)));
							{	/* Expand/object.scm 509 */
								obj_t BgL_tmpz00_2659;

								BgL_tmpz00_2659 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											32)));
								{	/* Expand/object.scm 510 */
									obj_t BgL_tnewz00_2660;

									BgL_tnewz00_2660 =
										BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_2658,
										BgL_idz00_2656);
									{	/* Expand/object.scm 511 */
										obj_t BgL_dupvarz00_2661;

										BgL_dupvarz00_2661 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														33))));
										{	/* Expand/object.scm 512 */
											obj_t BgL_parentz00_2662;

											BgL_slotsz00_2782 = BgL_slotsz00_2657;
											if (NULLP(BgL_slotsz00_2782))
												{	/* Expand/object.scm 490 */
													BgL_parentz00_2662 = BgL_classz00_32;
												}
											else
												{	/* Expand/object.scm 492 */
													obj_t BgL_g1126z00_2785;
													obj_t BgL_g1127z00_2786;

													BgL_g1126z00_2785 =
														(((BgL_slotz00_bglt) COBJECT(
																((BgL_slotz00_bglt)
																	CAR(
																		((obj_t) BgL_slotsz00_2782)))))->
														BgL_classzd2ownerzd2);
													BgL_g1127z00_2786 = CDR(((obj_t) BgL_slotsz00_2782));
													{
														obj_t BgL_parentz00_2788;
														obj_t BgL_slotsz00_2789;

														BgL_parentz00_2788 = BgL_g1126z00_2785;
														BgL_slotsz00_2789 = BgL_g1127z00_2786;
														if (NULLP(BgL_slotsz00_2789))
															{	/* Expand/object.scm 495 */
																BgL_parentz00_2662 = BgL_parentz00_2788;
															}
														else
															{	/* Expand/object.scm 497 */
																bool_t BgL_test2982z00_5854;

																{	/* Expand/object.scm 497 */
																	obj_t BgL_arg2369z00_2796;

																	BgL_arg2369z00_2796 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt)
																					CAR(
																						((obj_t) BgL_slotsz00_2789)))))->
																		BgL_classzd2ownerzd2);
																	BgL_test2982z00_5854 =
																		BGl_typezd2subclasszf3z21zzobject_classz00((
																			(BgL_typez00_bglt) BgL_parentz00_2788),
																		((BgL_typez00_bglt) BgL_arg2369z00_2796));
																}
																if (BgL_test2982z00_5854)
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2662 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						CAR(
																							((obj_t) BgL_slotsz00_2789)))))->
																			BgL_classzd2ownerzd2);
																	}
																else
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2662 = BgL_parentz00_2788;
																	}
															}
													}
												}
											{	/* Expand/object.scm 513 */
												obj_t BgL_tdupvarz00_2663;

												{	/* Expand/object.scm 514 */
													obj_t BgL_arg2323z00_2723;

													BgL_arg2323z00_2723 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_parentz00_2662)))->
														BgL_idz00);
													BgL_tdupvarz00_2663 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_dupvarz00_2661, BgL_arg2323z00_2723);
												}
												{	/* Expand/object.scm 514 */
													obj_t BgL_argsz00_2664;

													BgL_slotsz00_2725 = BgL_slotsz00_2657;
													BgL_dupvarz00_2726 = BgL_dupvarz00_2661;
													BgL_parentz00_2727 = BgL_parentz00_2662;
													{	/* Expand/object.scm 453 */
														obj_t BgL_vargsz00_2729;

														BgL_vargsz00_2729 =
															make_vector(bgl_list_length(BgL_slotsz00_2725),
															BUNSPEC);
														{
															obj_t BgL_providedz00_2731;

															BgL_providedz00_2731 = BgL_providedz00_34;
														BgL_zc3z04anonymousza32326ze3z87_2732:
															if (PAIRP(BgL_providedz00_2731))
																{	/* Expand/object.scm 457 */
																	obj_t BgL_pz00_2734;

																	BgL_pz00_2734 = CAR(BgL_providedz00_2731);
																	{
																		obj_t BgL_szd2namezd2_2735;
																		obj_t BgL_valuez00_2736;

																		if (PAIRP(BgL_pz00_2734))
																			{	/* Expand/object.scm 458 */
																				obj_t BgL_carzd2763zd2_2741;
																				obj_t BgL_cdrzd2764zd2_2742;

																				BgL_carzd2763zd2_2741 =
																					CAR(((obj_t) BgL_pz00_2734));
																				BgL_cdrzd2764zd2_2742 =
																					CDR(((obj_t) BgL_pz00_2734));
																				if (SYMBOLP(BgL_carzd2763zd2_2741))
																					{	/* Expand/object.scm 458 */
																						if (PAIRP(BgL_cdrzd2764zd2_2742))
																							{	/* Expand/object.scm 458 */
																								if (NULLP(CDR
																										(BgL_cdrzd2764zd2_2742)))
																									{	/* Expand/object.scm 458 */
																										BgL_szd2namezd2_2735 =
																											BgL_carzd2763zd2_2741;
																										BgL_valuez00_2736 =
																											CAR
																											(BgL_cdrzd2764zd2_2742);
																										{	/* Expand/object.scm 462 */
																											obj_t BgL_arg2335z00_2749;
																											obj_t BgL_arg2337z00_2750;

																											BgL_arg2335z00_2749 =
																												BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																												(BgL_slotsz00_2725,
																												BgL_szd2namezd2_2735,
																												BGl_string2697z00zzexpand_objectz00,
																												BgL_pz00_2734);
																											BgL_arg2337z00_2750 =
																												MAKE_YOUNG_PAIR(BTRUE,
																												BGl_objectzd2epairifyzd2zzexpand_objectz00
																												(BgL_valuez00_2736,
																													BgL_pz00_2734));
																											VECTOR_SET
																												(BgL_vargsz00_2729,
																												(long)
																												CINT
																												(BgL_arg2335z00_2749),
																												BgL_arg2337z00_2750);
																									}}
																								else
																									{	/* Expand/object.scm 458 */
																									BgL_tagzd2757zd2_2738:
																										{	/* Expand/object.scm 465 */
																											obj_t BgL_arg2339z00_2752;

																											BgL_arg2339z00_2752 =
																												CAR(
																												((obj_t) BgL_xz00_35));
																											BGl_errorz00zz__errorz00
																												(BgL_arg2339z00_2752,
																												BGl_string2681z00zzexpand_objectz00,
																												BgL_xz00_35);
																										}
																									}
																							}
																						else
																							{	/* Expand/object.scm 458 */
																								goto BgL_tagzd2757zd2_2738;
																							}
																					}
																				else
																					{	/* Expand/object.scm 458 */
																						goto BgL_tagzd2757zd2_2738;
																					}
																			}
																		else
																			{	/* Expand/object.scm 458 */
																				goto BgL_tagzd2757zd2_2738;
																			}
																	}
																	{
																		obj_t BgL_providedz00_5896;

																		BgL_providedz00_5896 =
																			CDR(BgL_providedz00_2731);
																		BgL_providedz00_2731 = BgL_providedz00_5896;
																		goto BgL_zc3z04anonymousza32326ze3z87_2732;
																	}
																}
															else
																{	/* Expand/object.scm 456 */
																	((bool_t) 0);
																}
														}
														{
															long BgL_iz00_2756;
															obj_t BgL_slotsz00_2757;

															BgL_iz00_2756 = ((long) 0);
															BgL_slotsz00_2757 = BgL_slotsz00_2725;
														BgL_zc3z04anonymousza32341ze3z87_2758:
															if (PAIRP(BgL_slotsz00_2757))
																{	/* Expand/object.scm 471 */
																	obj_t BgL_valuez00_2760;

																	BgL_valuez00_2760 =
																		VECTOR_REF(BgL_vargsz00_2729,
																		BgL_iz00_2756);
																	if (PAIRP(BgL_valuez00_2760))
																		{	/* Expand/object.scm 472 */
																			BFALSE;
																		}
																	else
																		{	/* Expand/object.scm 475 */
																			obj_t BgL_slotz00_2762;

																			BgL_slotz00_2762 = CAR(BgL_slotsz00_2757);
																			{	/* Expand/object.scm 475 */
																				obj_t BgL_claza7za7z00_2763;

																				BgL_claza7za7z00_2763 =
																					(((BgL_slotz00_bglt) COBJECT(
																							((BgL_slotz00_bglt)
																								BgL_slotz00_2762)))->
																					BgL_classzd2ownerzd2);
																				{	/* Expand/object.scm 476 */
																					obj_t BgL_valz00_2764;

																					if (
																						(BgL_claza7za7z00_2763 ==
																							BgL_parentz00_2727))
																						{	/* Expand/object.scm 478 */
																							obj_t BgL_arg2345z00_2766;

																							BgL_arg2345z00_2766 =
																								(((BgL_slotz00_bglt) COBJECT(
																										((BgL_slotz00_bglt)
																											BgL_slotz00_2762)))->
																								BgL_idz00);
																							BgL_valz00_2764 =
																								BGl_fieldzd2accesszd2zzast_objectz00
																								(BgL_dupvarz00_2726,
																								BgL_arg2345z00_2766, BTRUE);
																						}
																					else
																						{	/* Expand/object.scm 479 */
																							obj_t BgL_tmpz00_2767;

																							BgL_tmpz00_2767 =
																								BGl_gensymz00zz__r4_symbols_6_4z00
																								(CNST_TABLE_REF(((long) 32)));
																							{	/* Expand/object.scm 479 */
																								obj_t BgL_cidz00_2768;

																								BgL_cidz00_2768 =
																									(((BgL_typez00_bglt) COBJECT(
																											((BgL_typez00_bglt)
																												BgL_claza7za7z00_2763)))->
																									BgL_idz00);
																								{	/* Expand/object.scm 480 */
																									obj_t BgL_ttmpz00_2769;

																									BgL_ttmpz00_2769 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_tmpz00_2767,
																										BgL_cidz00_2768);
																									{	/* Expand/object.scm 481 */

																										{	/* Expand/object.scm 482 */
																											obj_t BgL_arg2346z00_2770;

																											{	/* Expand/object.scm 482 */
																												obj_t
																													BgL_arg2347z00_2771;
																												obj_t
																													BgL_arg2348z00_2772;
																												{	/* Expand/object.scm 482 */
																													obj_t
																														BgL_arg2350z00_2773;
																													{	/* Expand/object.scm 482 */
																														obj_t
																															BgL_arg2352z00_2774;
																														BgL_arg2352z00_2774
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_dupvarz00_2726,
																															BNIL);
																														BgL_arg2350z00_2773
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_ttmpz00_2769,
																															BgL_arg2352z00_2774);
																													}
																													BgL_arg2347z00_2771 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2350z00_2773,
																														BNIL);
																												}
																												{	/* Expand/object.scm 483 */
																													obj_t
																														BgL_arg2355z00_2775;
																													{	/* Expand/object.scm 483 */
																														obj_t
																															BgL_arg2356z00_2776;
																														BgL_arg2356z00_2776
																															=
																															(((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_slotz00_2762)))->BgL_idz00);
																														BgL_arg2355z00_2775
																															=
																															BGl_fieldzd2accesszd2zzast_objectz00
																															(BgL_tmpz00_2767,
																															BgL_arg2356z00_2776,
																															BTRUE);
																													}
																													BgL_arg2348z00_2772 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2355z00_2775,
																														BNIL);
																												}
																												BgL_arg2346z00_2770 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2347z00_2771,
																													BgL_arg2348z00_2772);
																											}
																											BgL_valz00_2764 =
																												MAKE_YOUNG_PAIR
																												(CNST_TABLE_REF(((long)
																														6)),
																												BgL_arg2346z00_2770);
																						}}}}}
																					{	/* Expand/object.scm 477 */

																						{	/* Expand/object.scm 484 */
																							obj_t BgL_arg2344z00_2765;

																							BgL_arg2344z00_2765 =
																								MAKE_YOUNG_PAIR(BTRUE,
																								BgL_valz00_2764);
																							VECTOR_SET(BgL_vargsz00_2729,
																								BgL_iz00_2756,
																								BgL_arg2344z00_2765);
																		}}}}}
																	{
																		obj_t BgL_slotsz00_5930;
																		long BgL_iz00_5928;

																		BgL_iz00_5928 =
																			(BgL_iz00_2756 + ((long) 1));
																		BgL_slotsz00_5930 = CDR(BgL_slotsz00_2757);
																		BgL_slotsz00_2757 = BgL_slotsz00_5930;
																		BgL_iz00_2756 = BgL_iz00_5928;
																		goto BgL_zc3z04anonymousza32341ze3z87_2758;
																	}
																}
															else
																{	/* Expand/object.scm 470 */
																	((bool_t) 0);
																}
														}
														BgL_argsz00_2664 =
															BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
															(BgL_vargsz00_2729);
													}
													{	/* Expand/object.scm 515 */

														{	/* Expand/object.scm 518 */
															obj_t BgL_arg2269z00_2665;

															{	/* Expand/object.scm 518 */
																obj_t BgL_arg2270z00_2666;
																obj_t BgL_arg2271z00_2667;

																{	/* Expand/object.scm 518 */
																	obj_t BgL_arg2272z00_2668;
																	obj_t BgL_arg2273z00_2669;

																	{	/* Expand/object.scm 518 */
																		obj_t BgL_arg2274z00_2670;

																		{	/* Expand/object.scm 518 */
																			obj_t BgL_arg2275z00_2671;

																			BgL_arg2275z00_2671 =
																				((obj_t(*)(obj_t, obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_ez00_36))
																				(BgL_ez00_36, BgL_duplicatedz00_33,
																				BgL_ez00_36, BEOA);
																			BgL_arg2274z00_2670 =
																				MAKE_YOUNG_PAIR(BgL_arg2275z00_2671,
																				BNIL);
																		}
																		BgL_arg2272z00_2668 =
																			MAKE_YOUNG_PAIR(BgL_tdupvarz00_2663,
																			BgL_arg2274z00_2670);
																	}
																	{	/* Expand/object.scm 519 */
																		obj_t BgL_arg2276z00_2672;

																		{	/* Expand/object.scm 519 */
																			obj_t BgL_arg2277z00_2673;

																			BgL_arg2277z00_2673 =
																				MAKE_YOUNG_PAIR
																				(BGl_allocatezd2exprzd2zzexpand_objectz00
																				(BgL_classz00_32), BNIL);
																			BgL_arg2276z00_2672 =
																				MAKE_YOUNG_PAIR(BgL_tnewz00_2660,
																				BgL_arg2277z00_2673);
																		}
																		BgL_arg2273z00_2669 =
																			MAKE_YOUNG_PAIR(BgL_arg2276z00_2672,
																			BNIL);
																	}
																	BgL_arg2270z00_2666 =
																		MAKE_YOUNG_PAIR(BgL_arg2272z00_2668,
																		BgL_arg2273z00_2669);
																}
																{	/* Expand/object.scm 522 */
																	obj_t BgL_arg2280z00_2675;
																	obj_t BgL_arg2281z00_2676;

																	{	/* Expand/object.scm 522 */
																		obj_t BgL_zc3z04anonymousza32286ze3z87_4135;

																		BgL_zc3z04anonymousza32286ze3z87_4135 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32286ze3ze5zzexpand_objectz00,
																			(int) (((long) 2)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32286ze3z87_4135,
																			(int) (((long) 0)), BgL_ez00_36);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32286ze3z87_4135,
																			(int) (((long) 1)), BgL_newz00_2658);
																		{	/* Expand/object.scm 521 */
																			obj_t BgL_list2283z00_2678;

																			{	/* Expand/object.scm 521 */
																				obj_t BgL_arg2285z00_2679;

																				BgL_arg2285z00_2679 =
																					MAKE_YOUNG_PAIR(BgL_argsz00_2664,
																					BNIL);
																				BgL_list2283z00_2678 =
																					MAKE_YOUNG_PAIR(BgL_slotsz00_2657,
																					BgL_arg2285z00_2679);
																			}
																			BgL_arg2280z00_2675 =
																				BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																				(BgL_zc3z04anonymousza32286ze3z87_4135,
																				BgL_list2283z00_2678);
																	}}
																	{	/* Expand/object.scm 527 */
																		obj_t BgL_arg2292z00_2689;
																		obj_t BgL_arg2294z00_2690;

																		if (CBOOL
																			(BGl_findzd2classzd2constructorz00zzobject_classz00
																				(((BgL_typez00_bglt) BgL_classz00_32))))
																			{	/* Expand/object.scm 528 */
																				BgL_globalz00_bglt BgL_gz00_2692;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_5959;

																					{
																						obj_t BgL_auxz00_5960;

																						{	/* Expand/object.scm 528 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5961;
																							BgL_tmpz00_5961 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_32));
																							BgL_auxz00_5960 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_5961);
																						}
																						BgL_auxz00_5959 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_5960);
																					}
																					BgL_gz00_2692 =
																						(((BgL_tclassz00_bglt)
																							COBJECT(BgL_auxz00_5959))->
																						BgL_holderz00);
																				}
																				{	/* Expand/object.scm 529 */
																					obj_t BgL_arg2297z00_2693;

																					{	/* Expand/object.scm 529 */
																						obj_t BgL_arg2298z00_2694;
																						obj_t BgL_arg2299z00_2695;

																						{	/* Expand/object.scm 529 */
																							obj_t BgL_arg2300z00_2696;
																							obj_t BgL_arg2301z00_2697;

																							{	/* Expand/object.scm 529 */
																								obj_t BgL_arg2302z00_2698;

																								{	/* Expand/object.scm 529 */
																									obj_t BgL_arg2303z00_2699;

																									BgL_arg2303z00_2699 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long) 8)),
																										BNIL);
																									BgL_arg2302z00_2698 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												14)),
																										BgL_arg2303z00_2699);
																								}
																								BgL_arg2300z00_2696 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 10)),
																									BgL_arg2302z00_2698);
																							}
																							{	/* Expand/object.scm 530 */
																								obj_t BgL_arg2304z00_2700;

																								{	/* Expand/object.scm 530 */
																									obj_t BgL_arg2305z00_2701;

																									{	/* Expand/object.scm 530 */
																										obj_t BgL_arg2306z00_2702;
																										obj_t BgL_arg2307z00_2703;

																										BgL_arg2306z00_2702 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_gz00_2692)))->
																											BgL_idz00);
																										BgL_arg2307z00_2703 =
																											MAKE_YOUNG_PAIR(((
																													(BgL_globalz00_bglt)
																													COBJECT
																													(BgL_gz00_2692))->
																												BgL_modulez00), BNIL);
																										BgL_arg2305z00_2701 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2306z00_2702,
																											BgL_arg2307z00_2703);
																									}
																									BgL_arg2304z00_2700 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg2305z00_2701);
																								}
																								BgL_arg2301z00_2697 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2304z00_2700, BNIL);
																							}
																							BgL_arg2298z00_2694 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2300z00_2696,
																								BgL_arg2301z00_2697);
																						}
																						BgL_arg2299z00_2695 =
																							MAKE_YOUNG_PAIR(BgL_newz00_2658,
																							BNIL);
																						BgL_arg2297z00_2693 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2298z00_2694,
																							BgL_arg2299z00_2695);
																					}
																					BgL_arg2292z00_2689 =
																						((obj_t(*)(obj_t, obj_t, obj_t,
																								obj_t))
																						PROCEDURE_ENTRY(BgL_ez00_36))
																						(BgL_ez00_36, BgL_arg2297z00_2693,
																						BgL_ez00_36, BEOA);
																			}}
																		else
																			{	/* Expand/object.scm 527 */
																				BgL_arg2292z00_2689 = BFALSE;
																			}
																		{	/* Expand/object.scm 535 */
																			obj_t BgL_arg2309z00_2705;
																			obj_t BgL_arg2310z00_2706;

																			{	/* Expand/object.scm 535 */
																				obj_t
																					BgL_zc3z04anonymousza32314ze3z87_4134;
																				BgL_zc3z04anonymousza32314ze3z87_4134 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32314ze3ze5zzexpand_objectz00,
																					(int) (((long) 2)),
																					(int) (((long) 2)));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32314ze3z87_4134,
																					(int) (((long) 0)), BgL_ez00_36);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32314ze3z87_4134,
																					(int) (((long) 1)), BgL_newz00_2658);
																				{	/* Expand/object.scm 534 */
																					obj_t BgL_list2312z00_2708;

																					{	/* Expand/object.scm 534 */
																						obj_t BgL_arg2313z00_2709;

																						BgL_arg2313z00_2709 =
																							MAKE_YOUNG_PAIR(BgL_argsz00_2664,
																							BNIL);
																						BgL_list2312z00_2708 =
																							MAKE_YOUNG_PAIR(BgL_slotsz00_2657,
																							BgL_arg2313z00_2709);
																					}
																					BgL_arg2309z00_2705 =
																						BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																						(BgL_zc3z04anonymousza32314ze3z87_4134,
																						BgL_list2312z00_2708);
																			}}
																			BgL_arg2310z00_2706 =
																				MAKE_YOUNG_PAIR(BgL_newz00_2658, BNIL);
																			BgL_arg2294z00_2690 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2309z00_2705,
																				BgL_arg2310z00_2706);
																		}
																		BgL_arg2281z00_2676 =
																			MAKE_YOUNG_PAIR(BgL_arg2292z00_2689,
																			BgL_arg2294z00_2690);
																	}
																	BgL_arg2271z00_2667 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2280z00_2675, BgL_arg2281z00_2676);
																}
																BgL_arg2269z00_2665 =
																	MAKE_YOUNG_PAIR(BgL_arg2270z00_2666,
																	BgL_arg2271z00_2667);
															}
															return
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg2269z00_2665);
		}}}}}}}}}}}}}

	}



/* &slot-set */
	obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t BgL_newz00_2800,
		obj_t BgL_slotz00_2801, obj_t BgL_vz00_2802)
	{
		{	/* Expand/object.scm 505 */
			{	/* Expand/object.scm 503 */
				obj_t BgL_idz00_2805;

				BgL_idz00_2805 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_slotz00_2801)))->BgL_idz00);
				{	/* Expand/object.scm 505 */
					obj_t BgL_arg2373z00_2806;

					{	/* Expand/object.scm 505 */
						obj_t BgL_arg2374z00_2807;
						obj_t BgL_arg2375z00_2808;

						BgL_arg2374z00_2807 =
							BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_2800,
							BgL_idz00_2805, BTRUE);
						BgL_arg2375z00_2808 = MAKE_YOUNG_PAIR(BgL_vz00_2802, BNIL);
						BgL_arg2373z00_2806 =
							MAKE_YOUNG_PAIR(BgL_arg2374z00_2807, BgL_arg2375z00_2808);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2373z00_2806);
		}}}

	}



/* &<@anonymous:2314> */
	obj_t BGl_z62zc3z04anonymousza32314ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4136, obj_t BgL_slotz00_4139, obj_t BgL_valz00_4140)
	{
		{	/* Expand/object.scm 534 */
			{	/* Expand/object.scm 535 */
				obj_t BgL_ez00_4137;
				obj_t BgL_newz00_4138;

				BgL_ez00_4137 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4136, (int) (((long) 0))));
				BgL_newz00_4138 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4136, (int) (((long) 1))));
				{	/* Expand/object.scm 535 */
					bool_t BgL_test2992z00_6019;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4139)))
						{	/* Expand/object.scm 535 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4139)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 536 */
									BgL_test2992z00_6019 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 536 */
									BgL_test2992z00_6019 = CBOOL(CAR(((obj_t) BgL_valz00_4140)));
								}
						}
					else
						{	/* Expand/object.scm 535 */
							BgL_test2992z00_6019 = ((bool_t) 0);
						}
					if (BgL_test2992z00_6019)
						{	/* Expand/object.scm 538 */
							obj_t BgL_arg2318z00_4224;
							obj_t BgL_arg2319z00_4225;

							BgL_arg2318z00_4224 = CDR(((obj_t) BgL_valz00_4140));
							{	/* Expand/object.scm 539 */
								obj_t BgL_arg2320z00_4226;

								{	/* Expand/object.scm 539 */
									obj_t BgL_arg2321z00_4227;

									BgL_arg2321z00_4227 = CDR(((obj_t) BgL_valz00_4140));
									BgL_arg2320z00_4226 =
										((obj_t(*)(obj_t, obj_t, obj_t,
												obj_t)) PROCEDURE_ENTRY(BgL_ez00_4137)) (BgL_ez00_4137,
										BgL_arg2321z00_4227, BgL_ez00_4137, BEOA);
								}
								BgL_arg2319z00_4225 =
									BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4138,
									BgL_slotz00_4139, BgL_arg2320z00_4226);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2319z00_4225,
								BgL_arg2318z00_4224);
						}
					else
						{	/* Expand/object.scm 535 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2286> */
	obj_t BGl_z62zc3z04anonymousza32286ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4141, obj_t BgL_slotz00_4144, obj_t BgL_valz00_4145)
	{
		{	/* Expand/object.scm 521 */
			{	/* Expand/object.scm 522 */
				obj_t BgL_ez00_4142;
				obj_t BgL_newz00_4143;

				BgL_ez00_4142 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4141, (int) (((long) 0))));
				BgL_newz00_4143 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4141, (int) (((long) 1))));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4144)))
					{	/* Expand/object.scm 522 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 523 */
						obj_t BgL_arg2288z00_4228;
						obj_t BgL_arg2289z00_4229;

						BgL_arg2288z00_4228 = CDR(((obj_t) BgL_valz00_4145));
						{	/* Expand/object.scm 524 */
							obj_t BgL_arg2290z00_4230;

							{	/* Expand/object.scm 524 */
								obj_t BgL_arg2291z00_4231;

								BgL_arg2291z00_4231 = CDR(((obj_t) BgL_valz00_4145));
								BgL_arg2290z00_4230 =
									((obj_t(*)(obj_t, obj_t, obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_ez00_4142)) (BgL_ez00_4142,
									BgL_arg2291z00_4231, BgL_ez00_4142, BEOA);
							}
							BgL_arg2289z00_4229 =
								BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4143,
								BgL_slotz00_4144, BgL_arg2290z00_4230);
						}
						return
							BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2289z00_4229,
							BgL_arg2288z00_4228);
					}
			}
		}

	}



/* allocate-expr */
	obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t BgL_classz00_37)
	{
		{	/* Expand/object.scm 546 */
			if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_37))
				{	/* Expand/object.scm 548 */
					obj_t BgL_superz00_2813;

					{
						BgL_tclassz00_bglt BgL_auxz00_6062;

						{
							obj_t BgL_auxz00_6063;

							{	/* Expand/object.scm 548 */
								BgL_objectz00_bglt BgL_tmpz00_6064;

								BgL_tmpz00_6064 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_37));
								BgL_auxz00_6063 = BGL_OBJECT_WIDENING(BgL_tmpz00_6064);
							}
							BgL_auxz00_6062 = ((BgL_tclassz00_bglt) BgL_auxz00_6063);
						}
						BgL_superz00_2813 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6062))->
							BgL_itszd2superzd2);
					}
					{	/* Expand/object.scm 550 */
						obj_t BgL_arg2378z00_2814;

						BgL_arg2378z00_2814 =
							BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_superz00_2813));
						return
							BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_classz00_37), BgL_arg2378z00_2814);
					}
				}
			else
				{	/* Expand/object.scm 547 */
					return
						BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
						((BgL_typez00_bglt) BgL_classz00_37));
				}
		}

	}



/* expand-widen! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_38, obj_t BgL_ez00_39)
	{
		{	/* Expand/object.scm 556 */
			{
				obj_t BgL_widenz12z12_2815;
				obj_t BgL_objz00_2816;
				obj_t BgL_providedz00_2817;

				if (PAIRP(BgL_xz00_38))
					{	/* Expand/object.scm 557 */
						obj_t BgL_cdrzd2782zd2_2822;

						BgL_cdrzd2782zd2_2822 = CDR(((obj_t) BgL_xz00_38));
						if (PAIRP(BgL_cdrzd2782zd2_2822))
							{	/* Expand/object.scm 557 */
								obj_t BgL_arg2381z00_2824;
								obj_t BgL_arg2382z00_2825;
								obj_t BgL_arg2383z00_2826;

								BgL_arg2381z00_2824 = CAR(((obj_t) BgL_xz00_38));
								BgL_arg2382z00_2825 = CAR(BgL_cdrzd2782zd2_2822);
								BgL_arg2383z00_2826 = CDR(BgL_cdrzd2782zd2_2822);
								BgL_widenz12z12_2815 = BgL_arg2381z00_2824;
								BgL_objz00_2816 = BgL_arg2382z00_2825;
								BgL_providedz00_2817 = BgL_arg2383z00_2826;
								{	/* Expand/object.scm 559 */
									BgL_typez00_bglt BgL_classz00_2827;

									BgL_classz00_2827 =
										BGl_typezd2ofzd2idz00zzast_identz00(BgL_widenz12z12_2815,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_38));
									{	/* Expand/object.scm 560 */
										bool_t BgL_test2999z00_6088;

										{	/* Expand/object.scm 560 */
											bool_t BgL_test3000z00_6089;

											{	/* Expand/object.scm 560 */
												obj_t BgL_classz00_3825;

												BgL_classz00_3825 = BGl_tclassz00zzobject_classz00;
												{	/* Expand/object.scm 560 */
													BgL_objectz00_bglt BgL_arg1820z00_3827;

													{	/* Expand/object.scm 560 */
														obj_t BgL_tmpz00_6090;

														BgL_tmpz00_6090 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_classz00_2827));
														BgL_arg1820z00_3827 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6090);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Expand/object.scm 560 */
															long BgL_idxz00_3833;

															BgL_idxz00_3833 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3827);
															BgL_test3000z00_6089 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3833 + ((long) 2))) ==
																BgL_classz00_3825);
														}
													else
														{	/* Expand/object.scm 560 */
															bool_t BgL_res2672z00_3855;

															{	/* Expand/object.scm 560 */
																obj_t BgL_oclassz00_3841;

																{	/* Expand/object.scm 560 */
																	long BgL_arg1828z00_3847;

																	{	/* Expand/object.scm 560 */
																		long BgL_arg1829z00_3848;

																		BgL_arg1829z00_3848 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3827);
																		BgL_arg1828z00_3847 =
																			(BgL_arg1829z00_3848 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3841 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_3847);
																}
																{	/* Expand/object.scm 560 */
																	bool_t BgL__ortest_1111z00_3842;

																	BgL__ortest_1111z00_3842 =
																		(BgL_classz00_3825 == BgL_oclassz00_3841);
																	if (BgL__ortest_1111z00_3842)
																		{	/* Expand/object.scm 560 */
																			BgL_res2672z00_3855 =
																				BgL__ortest_1111z00_3842;
																		}
																	else
																		{	/* Expand/object.scm 560 */
																			long BgL_odepthz00_3843;

																			BgL_odepthz00_3843 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3841);
																			if ((((long) 2) < BgL_odepthz00_3843))
																				{	/* Expand/object.scm 560 */
																					obj_t BgL_arg1816z00_3845;

																					BgL_arg1816z00_3845 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3841, ((long) 2));
																					BgL_res2672z00_3855 =
																						(BgL_arg1816z00_3845 ==
																						BgL_classz00_3825);
																				}
																			else
																				{	/* Expand/object.scm 560 */
																					BgL_res2672z00_3855 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3000z00_6089 = BgL_res2672z00_3855;
														}
												}
											}
											if (BgL_test3000z00_6089)
												{	/* Expand/object.scm 560 */
													obj_t BgL_tmpz00_6110;

													{
														BgL_tclassz00_bglt BgL_auxz00_6111;

														{
															obj_t BgL_auxz00_6112;

															{	/* Expand/object.scm 560 */
																BgL_objectz00_bglt BgL_tmpz00_6113;

																BgL_tmpz00_6113 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_2827));
																BgL_auxz00_6112 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6113);
															}
															BgL_auxz00_6111 =
																((BgL_tclassz00_bglt) BgL_auxz00_6112);
														}
														BgL_tmpz00_6110 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6111))->
															BgL_wideningz00);
													}
													BgL_test2999z00_6088 = CBOOL(BgL_tmpz00_6110);
												}
											else
												{	/* Expand/object.scm 560 */
													BgL_test2999z00_6088 = ((bool_t) 0);
												}
										}
										if (BgL_test2999z00_6088)
											{	/* Expand/object.scm 561 */
												obj_t BgL_arg2387z00_2830;

												{	/* Expand/object.scm 561 */
													obj_t BgL_arg2388z00_2831;

													BgL_arg2388z00_2831 =
														BGl_expandzd2wideningzd2zzexpand_objectz00
														(BgL_xz00_38, BgL_classz00_2827, BgL_objz00_2816,
														BgL_providedz00_2817, BgL_ez00_39);
													BgL_arg2387z00_2830 =
														((obj_t(*)(obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_ez00_39)) (BgL_ez00_39,
														BgL_arg2388z00_2831, BgL_ez00_39, BEOA);
												}
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_38,
													BgL_arg2387z00_2830);
											}
										else
											{	/* Expand/object.scm 563 */
												obj_t BgL_arg2389z00_2832;

												{	/* Expand/object.scm 563 */
													obj_t BgL_arg2390z00_2833;

													BgL_arg2390z00_2833 =
														(((BgL_typez00_bglt) COBJECT(BgL_classz00_2827))->
														BgL_idz00);
													{	/* Expand/object.scm 563 */
														obj_t BgL_list2391z00_2834;

														BgL_list2391z00_2834 =
															MAKE_YOUNG_PAIR(BgL_arg2390z00_2833, BNIL);
														BgL_arg2389z00_2832 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2696z00zzexpand_objectz00,
															BgL_list2391z00_2834);
													}
												}
												return
													BGl_errorz00zz__errorz00(BgL_widenz12z12_2815,
													BgL_arg2389z00_2832, BgL_xz00_38);
											}
									}
								}
							}
						else
							{	/* Expand/object.scm 557 */
							BgL_tagzd2773zd2_2819:
								return
									BGl_errorz00zz__errorz00(BGl_string2698z00zzexpand_objectz00,
									BGl_string2681z00zzexpand_objectz00, BgL_xz00_38);
							}
					}
				else
					{	/* Expand/object.scm 557 */
						goto BgL_tagzd2773zd2_2819;
					}
			}
		}

	}



/* &expand-widen! */
	obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t BgL_envz00_4146,
		obj_t BgL_xz00_4147, obj_t BgL_ez00_4148)
	{
		{	/* Expand/object.scm 556 */
			return
				BGl_expandzd2widenz12zc0zzexpand_objectz00(BgL_xz00_4147,
				BgL_ez00_4148);
		}

	}



/* expand-widening */
	obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t BgL_formz00_40,
		BgL_typez00_bglt BgL_classz00_41, obj_t BgL_oz00_42,
		obj_t BgL_providedz00_43, obj_t BgL_ez00_44)
	{
		{	/* Expand/object.scm 571 */
			{	/* Expand/object.scm 572 */
				obj_t BgL_superz00_2837;

				{
					BgL_tclassz00_bglt BgL_auxz00_6133;

					{
						obj_t BgL_auxz00_6134;

						{	/* Expand/object.scm 572 */
							BgL_objectz00_bglt BgL_tmpz00_6135;

							BgL_tmpz00_6135 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_41));
							BgL_auxz00_6134 = BGL_OBJECT_WIDENING(BgL_tmpz00_6135);
						}
						BgL_auxz00_6133 = ((BgL_tclassz00_bglt) BgL_auxz00_6134);
					}
					BgL_superz00_2837 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6133))->
						BgL_itszd2superzd2);
				}
				{	/* Expand/object.scm 572 */
					obj_t BgL_tidz00_2838;

					BgL_tidz00_2838 =
						(((BgL_typez00_bglt) COBJECT(BgL_classz00_41))->BgL_idz00);
					{	/* Expand/object.scm 573 */
						obj_t BgL_sidz00_2839;

						BgL_sidz00_2839 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_superz00_2837)))->BgL_idz00);
						{	/* Expand/object.scm 574 */
							obj_t BgL_tmpz00_2840;

							BgL_tmpz00_2840 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											32))));
							{	/* Expand/object.scm 575 */
								obj_t BgL_ttmpz00_2841;

								BgL_ttmpz00_2841 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_tmpz00_2840,
									BgL_sidz00_2839);
								{	/* Expand/object.scm 576 */
									obj_t BgL_slotsz00_2842;

									{	/* Expand/object.scm 577 */
										obj_t BgL_hook1306z00_2855;

										BgL_hook1306z00_2855 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{	/* Expand/object.scm 578 */
											obj_t BgL_g1307z00_2856;

											{
												BgL_tclassz00_bglt BgL_auxz00_6149;

												{
													obj_t BgL_auxz00_6150;

													{	/* Expand/object.scm 578 */
														BgL_objectz00_bglt BgL_tmpz00_6151;

														BgL_tmpz00_6151 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_41));
														BgL_auxz00_6150 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6151);
													}
													BgL_auxz00_6149 =
														((BgL_tclassz00_bglt) BgL_auxz00_6150);
												}
												BgL_g1307z00_2856 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6149))->
													BgL_slotsz00);
											}
											{
												obj_t BgL_l1303z00_2858;
												obj_t BgL_h1304z00_2859;

												BgL_l1303z00_2858 = BgL_g1307z00_2856;
												BgL_h1304z00_2859 = BgL_hook1306z00_2855;
											BgL_zc3z04anonymousza32409ze3z87_2860:
												if (NULLP(BgL_l1303z00_2858))
													{	/* Expand/object.scm 578 */
														BgL_slotsz00_2842 = CDR(BgL_hook1306z00_2855);
													}
												else
													{	/* Expand/object.scm 578 */
														if (
															((((BgL_slotz00_bglt) COBJECT(
																			((BgL_slotz00_bglt)
																				CAR(
																					((obj_t) BgL_l1303z00_2858)))))->
																	BgL_classzd2ownerzd2) ==
																((obj_t) BgL_classz00_41)))
															{	/* Expand/object.scm 578 */
																obj_t BgL_nh1305z00_2865;

																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2415z00_2867;

																	BgL_arg2415z00_2867 =
																		CAR(((obj_t) BgL_l1303z00_2858));
																	BgL_nh1305z00_2865 =
																		MAKE_YOUNG_PAIR(BgL_arg2415z00_2867, BNIL);
																}
																SET_CDR(BgL_h1304z00_2859, BgL_nh1305z00_2865);
																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2414z00_2866;

																	BgL_arg2414z00_2866 =
																		CDR(((obj_t) BgL_l1303z00_2858));
																	{
																		obj_t BgL_h1304z00_6174;
																		obj_t BgL_l1303z00_6173;

																		BgL_l1303z00_6173 = BgL_arg2414z00_2866;
																		BgL_h1304z00_6174 = BgL_nh1305z00_2865;
																		BgL_h1304z00_2859 = BgL_h1304z00_6174;
																		BgL_l1303z00_2858 = BgL_l1303z00_6173;
																		goto BgL_zc3z04anonymousza32409ze3z87_2860;
																	}
																}
															}
														else
															{	/* Expand/object.scm 578 */
																obj_t BgL_arg2416z00_2868;

																BgL_arg2416z00_2868 =
																	CDR(((obj_t) BgL_l1303z00_2858));
																{
																	obj_t BgL_l1303z00_6177;

																	BgL_l1303z00_6177 = BgL_arg2416z00_2868;
																	BgL_l1303z00_2858 = BgL_l1303z00_6177;
																	goto BgL_zc3z04anonymousza32409ze3z87_2860;
																}
															}
													}
											}
										}
									}
									{	/* Expand/object.scm 577 */

										{	/* Expand/object.scm 579 */
											obj_t BgL_arg2394z00_2843;

											{	/* Expand/object.scm 579 */
												obj_t BgL_arg2396z00_2844;
												obj_t BgL_arg2397z00_2845;

												{	/* Expand/object.scm 579 */
													obj_t BgL_arg2398z00_2846;

													{	/* Expand/object.scm 579 */
														obj_t BgL_arg2400z00_2847;

														BgL_arg2400z00_2847 =
															MAKE_YOUNG_PAIR(BgL_oz00_42, BNIL);
														BgL_arg2398z00_2846 =
															MAKE_YOUNG_PAIR(BgL_ttmpz00_2841,
															BgL_arg2400z00_2847);
													}
													BgL_arg2396z00_2844 =
														MAKE_YOUNG_PAIR(BgL_arg2398z00_2846, BNIL);
												}
												{	/* Expand/object.scm 580 */
													obj_t BgL_arg2401z00_2848;
													obj_t BgL_arg2402z00_2849;

													BgL_arg2401z00_2848 =
														BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
														((BgL_typez00_bglt) BgL_classz00_41),
														BgL_tmpz00_2840);
													{	/* Expand/object.scm 581 */
														obj_t BgL_arg2403z00_2850;

														{	/* Expand/object.scm 581 */
															obj_t BgL_arg2404z00_2851;
															obj_t BgL_arg2405z00_2852;
															obj_t BgL_arg2407z00_2853;

															BgL_arg2404z00_2851 =
																CAR(((obj_t) BgL_formz00_40));
															{	/* Expand/object.scm 581 */
																obj_t BgL_pairz00_3880;

																BgL_pairz00_3880 =
																	CDR(((obj_t) BgL_formz00_40));
																BgL_arg2405z00_2852 = CDR(BgL_pairz00_3880);
															}
															{	/* Expand/object.scm 582 */
																obj_t BgL_list2408z00_2854;

																BgL_list2408z00_2854 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_2840, BNIL);
																BgL_arg2407z00_2853 =
																	BGl_makezd2privatezd2sexpz00zzast_privatez00
																	(CNST_TABLE_REF(((long) 34)), BgL_tidz00_2838,
																	BgL_list2408z00_2854);
															}
															BgL_arg2403z00_2850 =
																BGl_instantiatezd2fillzd2zzexpand_objectz00
																(BgL_arg2404z00_2851, BgL_arg2405z00_2852,
																((obj_t) BgL_classz00_41), BgL_slotsz00_2842,
																BgL_arg2407z00_2853, BgL_formz00_40,
																BgL_ez00_44);
														}
														BgL_arg2402z00_2849 =
															MAKE_YOUNG_PAIR(BgL_arg2403z00_2850, BNIL);
													}
													BgL_arg2397z00_2845 =
														MAKE_YOUNG_PAIR(BgL_arg2401z00_2848,
														BgL_arg2402z00_2849);
												}
												BgL_arg2394z00_2843 =
													MAKE_YOUNG_PAIR(BgL_arg2396z00_2844,
													BgL_arg2397z00_2845);
											}
											return
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
												BgL_arg2394z00_2843);
		}}}}}}}}}

	}



/* expand-shrink! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_45, obj_t BgL_ez00_46)
	{
		{	/* Expand/object.scm 587 */
			{
				obj_t BgL_symz00_2873;
				obj_t BgL_oz00_2874;

				if (PAIRP(BgL_xz00_45))
					{	/* Expand/object.scm 588 */
						obj_t BgL_carzd2797zd2_2879;
						obj_t BgL_cdrzd2798zd2_2880;

						BgL_carzd2797zd2_2879 = CAR(((obj_t) BgL_xz00_45));
						BgL_cdrzd2798zd2_2880 = CDR(((obj_t) BgL_xz00_45));
						if (SYMBOLP(BgL_carzd2797zd2_2879))
							{	/* Expand/object.scm 588 */
								if (PAIRP(BgL_cdrzd2798zd2_2880))
									{	/* Expand/object.scm 588 */
										if (NULLP(CDR(BgL_cdrzd2798zd2_2880)))
											{	/* Expand/object.scm 588 */
												BgL_symz00_2873 = BgL_carzd2797zd2_2879;
												BgL_oz00_2874 = CAR(BgL_cdrzd2798zd2_2880);
												{	/* Expand/object.scm 590 */
													obj_t BgL_sz00_2887;

													BgL_sz00_2887 =
														BGl_parsezd2idzd2zzast_identz00(BgL_symz00_2873,
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_45));
													if ((CAR(BgL_sz00_2887) ==
															CNST_TABLE_REF(((long) 35))))
														{	/* Expand/object.scm 591 */
															return
																BGl_replacez12z12zztools_miscz00(BgL_xz00_45,
																BGl_makezd2azd2shrinkz12z12zzexpand_objectz00
																(BgL_ez00_46, BgL_oz00_2874));
														}
													else
														{	/* Expand/object.scm 591 */
															return
																BGl_errorz00zz__errorz00(BgL_symz00_2873,
																BGl_string2699z00zzexpand_objectz00,
																BgL_xz00_45);
														}
												}
											}
										else
											{	/* Expand/object.scm 588 */
											BgL_tagzd2791zd2_2876:
												return
													BGl_errorz00zz__errorz00
													(BGl_string2700z00zzexpand_objectz00,
													BGl_string2681z00zzexpand_objectz00, BgL_xz00_45);
											}
									}
								else
									{	/* Expand/object.scm 588 */
										goto BgL_tagzd2791zd2_2876;
									}
							}
						else
							{	/* Expand/object.scm 588 */
								goto BgL_tagzd2791zd2_2876;
							}
					}
				else
					{	/* Expand/object.scm 588 */
						goto BgL_tagzd2791zd2_2876;
					}
			}
		}

	}



/* &expand-shrink! */
	obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t BgL_envz00_4149,
		obj_t BgL_xz00_4150, obj_t BgL_ez00_4151)
	{
		{	/* Expand/object.scm 587 */
			return
				BGl_expandzd2shrinkz12zc0zzexpand_objectz00(BgL_xz00_4150,
				BgL_ez00_4151);
		}

	}



/* make-a-shrink! */
	obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t BgL_ez00_47,
		obj_t BgL_oz00_48)
	{
		{	/* Expand/object.scm 600 */
			{	/* Expand/object.scm 601 */
				obj_t BgL_newoz00_2893;

				BgL_newoz00_2893 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36))));
				if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
					{	/* Expand/object.scm 603 */
						obj_t BgL_arg2435z00_2894;

						{	/* Expand/object.scm 603 */
							obj_t BgL_arg2436z00_2895;
							obj_t BgL_arg2437z00_2896;

							{	/* Expand/object.scm 603 */
								obj_t BgL_arg2438z00_2897;

								{	/* Expand/object.scm 603 */
									obj_t BgL_arg2439z00_2898;

									{	/* Expand/object.scm 603 */
										obj_t BgL_arg2441z00_2899;

										BgL_arg2441z00_2899 =
											((obj_t(*)(obj_t, obj_t, obj_t,
													obj_t)) PROCEDURE_ENTRY(BgL_ez00_47)) (BgL_ez00_47,
											BgL_oz00_48, BgL_ez00_47, BEOA);
										BgL_arg2439z00_2898 =
											MAKE_YOUNG_PAIR(BgL_arg2441z00_2899, BNIL);
									}
									BgL_arg2438z00_2897 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2893, BgL_arg2439z00_2898);
								}
								BgL_arg2436z00_2895 =
									MAKE_YOUNG_PAIR(BgL_arg2438z00_2897, BNIL);
							}
							{	/* Expand/object.scm 604 */
								obj_t BgL_arg2442z00_2900;
								obj_t BgL_arg2443z00_2901;

								{	/* Expand/object.scm 604 */
									obj_t BgL_arg2444z00_2902;
									obj_t BgL_arg2446z00_2903;

									{	/* Expand/object.scm 604 */
										obj_t BgL_arg2447z00_2904;

										{	/* Expand/object.scm 604 */
											obj_t BgL_arg2448z00_2905;

											BgL_arg2448z00_2905 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
											BgL_arg2447z00_2904 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 37)),
												BgL_arg2448z00_2905);
										}
										BgL_arg2444z00_2902 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg2447z00_2904);
									}
									{	/* Expand/object.scm 606 */
										obj_t BgL_arg2450z00_2906;

										{	/* Expand/object.scm 606 */
											obj_t BgL_arg2451z00_2907;

											{	/* Expand/object.scm 606 */
												obj_t BgL_arg2452z00_2908;
												obj_t BgL_arg2454z00_2909;

												{	/* Expand/object.scm 606 */
													obj_t BgL_arg2456z00_2910;

													{	/* Expand/object.scm 606 */
														obj_t BgL_arg2457z00_2911;

														BgL_arg2457z00_2911 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
														BgL_arg2456z00_2910 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 38)),
															BgL_arg2457z00_2911);
													}
													BgL_arg2452z00_2908 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_arg2456z00_2910);
												}
												{	/* Expand/object.scm 607 */
													obj_t BgL_arg2458z00_2912;

													{	/* Expand/object.scm 607 */
														obj_t BgL_arg2460z00_2913;
														obj_t BgL_arg2461z00_2914;

														{	/* Expand/object.scm 607 */
															obj_t BgL_arg2462z00_2915;

															{	/* Expand/object.scm 607 */
																obj_t BgL_arg2463z00_2916;

																BgL_arg2463z00_2916 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																	BNIL);
																BgL_arg2462z00_2915 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 39)),
																	BgL_arg2463z00_2916);
															}
															BgL_arg2460z00_2913 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
																BgL_arg2462z00_2915);
														}
														{	/* Expand/object.scm 608 */
															obj_t BgL_arg2464z00_2917;

															{	/* Expand/object.scm 608 */
																obj_t BgL_arg2465z00_2918;
																obj_t BgL_arg2467z00_2919;

																{	/* Expand/object.scm 608 */
																	obj_t BgL_arg2468z00_2920;

																	{	/* Expand/object.scm 608 */
																		obj_t BgL_arg2469z00_2921;

																		BgL_arg2469z00_2921 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					8)), BNIL);
																		BgL_arg2468z00_2920 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					40)), BgL_arg2469z00_2921);
																	}
																	BgL_arg2465z00_2918 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 10)),
																		BgL_arg2468z00_2920);
																}
																BgL_arg2467z00_2919 =
																	MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
																BgL_arg2464z00_2917 =
																	MAKE_YOUNG_PAIR(BgL_arg2465z00_2918,
																	BgL_arg2467z00_2919);
															}
															BgL_arg2461z00_2914 =
																MAKE_YOUNG_PAIR(BgL_arg2464z00_2917, BNIL);
														}
														BgL_arg2458z00_2912 =
															MAKE_YOUNG_PAIR(BgL_arg2460z00_2913,
															BgL_arg2461z00_2914);
													}
													BgL_arg2454z00_2909 =
														MAKE_YOUNG_PAIR(BgL_arg2458z00_2912, BNIL);
												}
												BgL_arg2451z00_2907 =
													MAKE_YOUNG_PAIR(BgL_arg2452z00_2908,
													BgL_arg2454z00_2909);
											}
											BgL_arg2450z00_2906 =
												MAKE_YOUNG_PAIR(BgL_arg2451z00_2907, BNIL);
										}
										BgL_arg2446z00_2903 =
											MAKE_YOUNG_PAIR(BgL_newoz00_2893, BgL_arg2450z00_2906);
									}
									BgL_arg2442z00_2900 =
										MAKE_YOUNG_PAIR(BgL_arg2444z00_2902, BgL_arg2446z00_2903);
								}
								{	/* Expand/object.scm 609 */
									obj_t BgL_arg2470z00_2922;
									obj_t BgL_arg2471z00_2923;

									{	/* Expand/object.scm 609 */
										obj_t BgL_arg2473z00_2924;

										{	/* Expand/object.scm 609 */
											obj_t BgL_arg2474z00_2925;

											BgL_arg2474z00_2925 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											BgL_arg2473z00_2924 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2893, BgL_arg2474z00_2925);
										}
										BgL_arg2470z00_2922 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
											BgL_arg2473z00_2924);
									}
									BgL_arg2471z00_2923 = MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
									BgL_arg2443z00_2901 =
										MAKE_YOUNG_PAIR(BgL_arg2470z00_2922, BgL_arg2471z00_2923);
								}
								BgL_arg2437z00_2896 =
									MAKE_YOUNG_PAIR(BgL_arg2442z00_2900, BgL_arg2443z00_2901);
							}
							BgL_arg2435z00_2894 =
								MAKE_YOUNG_PAIR(BgL_arg2436z00_2895, BgL_arg2437z00_2896);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2435z00_2894);
					}
				else
					{	/* Expand/object.scm 611 */
						obj_t BgL_arg2476z00_2926;

						{	/* Expand/object.scm 611 */
							obj_t BgL_arg2477z00_2927;
							obj_t BgL_arg2478z00_2928;

							{	/* Expand/object.scm 611 */
								obj_t BgL_arg2479z00_2929;

								{	/* Expand/object.scm 611 */
									obj_t BgL_arg2481z00_2930;

									{	/* Expand/object.scm 611 */
										obj_t BgL_arg2482z00_2931;

										BgL_arg2482z00_2931 =
											((obj_t(*)(obj_t, obj_t, obj_t,
													obj_t)) PROCEDURE_ENTRY(BgL_ez00_47)) (BgL_ez00_47,
											BgL_oz00_48, BgL_ez00_47, BEOA);
										BgL_arg2481z00_2930 =
											MAKE_YOUNG_PAIR(BgL_arg2482z00_2931, BNIL);
									}
									BgL_arg2479z00_2929 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2893, BgL_arg2481z00_2930);
								}
								BgL_arg2477z00_2927 =
									MAKE_YOUNG_PAIR(BgL_arg2479z00_2929, BNIL);
							}
							{	/* Expand/object.scm 612 */
								obj_t BgL_arg2484z00_2932;

								{	/* Expand/object.scm 612 */
									obj_t BgL_arg2485z00_2933;

									{	/* Expand/object.scm 612 */
										obj_t BgL_arg2487z00_2934;
										obj_t BgL_arg2488z00_2935;

										{	/* Expand/object.scm 612 */
											obj_t BgL_arg2492z00_2936;

											BgL_arg2492z00_2936 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
											BgL_arg2487z00_2934 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 42)),
												BgL_arg2492z00_2936);
										}
										{	/* Expand/object.scm 613 */
											obj_t BgL_arg2493z00_2937;
											obj_t BgL_arg2494z00_2938;

											{	/* Expand/object.scm 613 */
												obj_t BgL_arg2495z00_2939;

												{	/* Expand/object.scm 613 */
													obj_t BgL_arg2496z00_2940;
													obj_t BgL_arg2499z00_2941;

													{	/* Expand/object.scm 613 */
														obj_t BgL_arg2500z00_2942;

														BgL_arg2500z00_2942 =
															MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
														BgL_arg2496z00_2940 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 43)),
															BgL_arg2500z00_2942);
													}
													{	/* Expand/object.scm 615 */
														obj_t BgL_arg2502z00_2943;
														obj_t BgL_arg2508z00_2944;

														{	/* Expand/object.scm 615 */
															obj_t BgL_arg2511z00_2945;

															{	/* Expand/object.scm 615 */
																obj_t BgL_arg2512z00_2946;
																obj_t BgL_arg2513z00_2947;

																{	/* Expand/object.scm 615 */
																	obj_t BgL_arg2514z00_2948;
																	obj_t BgL_arg2515z00_2949;

																	{	/* Expand/object.scm 615 */
																		obj_t BgL_arg2516z00_2950;

																		{	/* Expand/object.scm 615 */
																			obj_t BgL_arg2517z00_2951;

																			BgL_arg2517z00_2951 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						8)), BNIL);
																			BgL_arg2516z00_2950 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						37)), BgL_arg2517z00_2951);
																		}
																		BgL_arg2514z00_2948 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					10)), BgL_arg2516z00_2950);
																	}
																	{	/* Expand/object.scm 617 */
																		obj_t BgL_arg2519z00_2952;

																		{	/* Expand/object.scm 617 */
																			obj_t BgL_arg2521z00_2953;

																			{	/* Expand/object.scm 617 */
																				obj_t BgL_arg2522z00_2954;
																				obj_t BgL_arg2523z00_2955;

																				{	/* Expand/object.scm 617 */
																					obj_t BgL_arg2524z00_2956;

																					{	/* Expand/object.scm 617 */
																						obj_t BgL_arg2527z00_2957;

																						BgL_arg2527z00_2957 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 8)), BNIL);
																						BgL_arg2524z00_2956 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 38)),
																							BgL_arg2527z00_2957);
																					}
																					BgL_arg2522z00_2954 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 10)),
																						BgL_arg2524z00_2956);
																				}
																				{	/* Expand/object.scm 618 */
																					obj_t BgL_arg2528z00_2958;

																					{	/* Expand/object.scm 618 */
																						obj_t BgL_arg2529z00_2959;
																						obj_t BgL_arg2533z00_2960;

																						{	/* Expand/object.scm 618 */
																							obj_t BgL_arg2534z00_2961;

																							{	/* Expand/object.scm 618 */
																								obj_t BgL_arg2535z00_2962;

																								BgL_arg2535z00_2962 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 8)), BNIL);
																								BgL_arg2534z00_2961 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 39)),
																									BgL_arg2535z00_2962);
																							}
																							BgL_arg2529z00_2959 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 10)),
																								BgL_arg2534z00_2961);
																						}
																						{	/* Expand/object.scm 619 */
																							obj_t BgL_arg2536z00_2963;

																							{	/* Expand/object.scm 619 */
																								obj_t BgL_arg2538z00_2964;
																								obj_t BgL_arg2542z00_2965;

																								{	/* Expand/object.scm 619 */
																									obj_t BgL_arg2543z00_2966;

																									{	/* Expand/object.scm 619 */
																										obj_t BgL_arg2547z00_2967;

																										BgL_arg2547z00_2967 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													8)), BNIL);
																										BgL_arg2543z00_2966 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													40)),
																											BgL_arg2547z00_2967);
																									}
																									BgL_arg2538z00_2964 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												10)),
																										BgL_arg2543z00_2966);
																								}
																								BgL_arg2542z00_2965 =
																									MAKE_YOUNG_PAIR
																									(BgL_newoz00_2893, BNIL);
																								BgL_arg2536z00_2963 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2538z00_2964,
																									BgL_arg2542z00_2965);
																							}
																							BgL_arg2533z00_2960 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2536z00_2963, BNIL);
																						}
																						BgL_arg2528z00_2958 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2529z00_2959,
																							BgL_arg2533z00_2960);
																					}
																					BgL_arg2523z00_2955 =
																						MAKE_YOUNG_PAIR(BgL_arg2528z00_2958,
																						BNIL);
																				}
																				BgL_arg2521z00_2953 =
																					MAKE_YOUNG_PAIR(BgL_arg2522z00_2954,
																					BgL_arg2523z00_2955);
																			}
																			BgL_arg2519z00_2952 =
																				MAKE_YOUNG_PAIR(BgL_arg2521z00_2953,
																				BNIL);
																		}
																		BgL_arg2515z00_2949 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2893,
																			BgL_arg2519z00_2952);
																	}
																	BgL_arg2512z00_2946 =
																		MAKE_YOUNG_PAIR(BgL_arg2514z00_2948,
																		BgL_arg2515z00_2949);
																}
																{	/* Expand/object.scm 620 */
																	obj_t BgL_arg2548z00_2968;
																	obj_t BgL_arg2551z00_2969;

																	{	/* Expand/object.scm 620 */
																		obj_t BgL_arg2552z00_2970;

																		{	/* Expand/object.scm 620 */
																			obj_t BgL_arg2555z00_2971;

																			BgL_arg2555z00_2971 =
																				MAKE_YOUNG_PAIR(BFALSE, BNIL);
																			BgL_arg2552z00_2970 =
																				MAKE_YOUNG_PAIR(BgL_newoz00_2893,
																				BgL_arg2555z00_2971);
																		}
																		BgL_arg2548z00_2968 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					41)), BgL_arg2552z00_2970);
																	}
																	BgL_arg2551z00_2969 =
																		MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
																	BgL_arg2513z00_2947 =
																		MAKE_YOUNG_PAIR(BgL_arg2548z00_2968,
																		BgL_arg2551z00_2969);
																}
																BgL_arg2511z00_2945 =
																	MAKE_YOUNG_PAIR(BgL_arg2512z00_2946,
																	BgL_arg2513z00_2947);
															}
															BgL_arg2502z00_2943 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
																BgL_arg2511z00_2945);
														}
														{	/* Expand/object.scm 622 */
															obj_t BgL_arg2556z00_2972;

															{	/* Expand/object.scm 622 */
																obj_t BgL_arg2557z00_2973;

																{	/* Expand/object.scm 622 */
																	obj_t BgL_arg2558z00_2974;

																	{	/* Expand/object.scm 622 */
																		obj_t BgL_arg2559z00_2975;

																		BgL_arg2559z00_2975 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
																		BgL_arg2558z00_2974 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2701z00zzexpand_objectz00,
																			BgL_arg2559z00_2975);
																	}
																	BgL_arg2557z00_2973 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2700z00zzexpand_objectz00,
																		BgL_arg2558z00_2974);
																}
																BgL_arg2556z00_2972 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 44)),
																	BgL_arg2557z00_2973);
															}
															BgL_arg2508z00_2944 =
																MAKE_YOUNG_PAIR(BgL_arg2556z00_2972, BNIL);
														}
														BgL_arg2499z00_2941 =
															MAKE_YOUNG_PAIR(BgL_arg2502z00_2943,
															BgL_arg2508z00_2944);
													}
													BgL_arg2495z00_2939 =
														MAKE_YOUNG_PAIR(BgL_arg2496z00_2940,
														BgL_arg2499z00_2941);
												}
												BgL_arg2493z00_2937 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 45)),
													BgL_arg2495z00_2939);
											}
											{	/* Expand/object.scm 623 */
												obj_t BgL_arg2560z00_2976;

												{	/* Expand/object.scm 623 */
													obj_t BgL_arg2561z00_2977;

													{	/* Expand/object.scm 623 */
														obj_t BgL_arg2562z00_2978;

														{	/* Expand/object.scm 623 */
															obj_t BgL_arg2563z00_2979;

															BgL_arg2563z00_2979 =
																MAKE_YOUNG_PAIR(BgL_newoz00_2893, BNIL);
															BgL_arg2562z00_2978 =
																MAKE_YOUNG_PAIR
																(BGl_string2701z00zzexpand_objectz00,
																BgL_arg2563z00_2979);
														}
														BgL_arg2561z00_2977 =
															MAKE_YOUNG_PAIR
															(BGl_string2700z00zzexpand_objectz00,
															BgL_arg2562z00_2978);
													}
													BgL_arg2560z00_2976 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 44)),
														BgL_arg2561z00_2977);
												}
												BgL_arg2494z00_2938 =
													MAKE_YOUNG_PAIR(BgL_arg2560z00_2976, BNIL);
											}
											BgL_arg2488z00_2935 =
												MAKE_YOUNG_PAIR(BgL_arg2493z00_2937,
												BgL_arg2494z00_2938);
										}
										BgL_arg2485z00_2933 =
											MAKE_YOUNG_PAIR(BgL_arg2487z00_2934, BgL_arg2488z00_2935);
									}
									BgL_arg2484z00_2932 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 45)),
										BgL_arg2485z00_2933);
								}
								BgL_arg2478z00_2928 =
									MAKE_YOUNG_PAIR(BgL_arg2484z00_2932, BNIL);
							}
							BgL_arg2476z00_2926 =
								MAKE_YOUNG_PAIR(BgL_arg2477z00_2927, BgL_arg2478z00_2928);
						}
						return
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg2476z00_2926);
		}}}

	}



/* object-epairify */
	obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t BgL_objz00_49,
		obj_t BgL_epairz00_50)
	{
		{	/* Expand/object.scm 628 */
		BGl_objectzd2epairifyzd2zzexpand_objectz00:
			if (EPAIRP(BgL_objz00_49))
				{	/* Expand/object.scm 629 */
					return BgL_objz00_49;
				}
			else
				{	/* Expand/object.scm 629 */
					if (EPAIRP(BgL_epairz00_50))
						{	/* Expand/object.scm 631 */
							if (PAIRP(BgL_objz00_49))
								{	/* Expand/object.scm 633 */
									obj_t BgL_arg2568z00_2984;
									obj_t BgL_arg2569z00_2985;
									obj_t BgL_arg2570z00_2986;

									BgL_arg2568z00_2984 = CAR(BgL_objz00_49);
									BgL_arg2569z00_2985 = CDR(BgL_objz00_49);
									BgL_arg2570z00_2986 = CER(((obj_t) BgL_epairz00_50));
									{	/* Expand/object.scm 633 */
										obj_t BgL_res2673z00_3889;

										BgL_res2673z00_3889 =
											MAKE_YOUNG_EPAIR(BgL_arg2568z00_2984, BgL_arg2569z00_2985,
											BgL_arg2570z00_2986);
										return BgL_res2673z00_3889;
									}
								}
							else
								{	/* Expand/object.scm 634 */
									obj_t BgL_arg2572z00_2987;

									{	/* Expand/object.scm 634 */
										obj_t BgL_arg2573z00_2988;

										BgL_arg2573z00_2988 = MAKE_YOUNG_PAIR(BgL_objz00_49, BNIL);
										BgL_arg2572z00_2987 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
											BgL_arg2573z00_2988);
									}
									{
										obj_t BgL_objz00_6373;

										BgL_objz00_6373 = BgL_arg2572z00_2987;
										BgL_objz00_49 = BgL_objz00_6373;
										goto BGl_objectzd2epairifyzd2zzexpand_objectz00;
									}
								}
						}
					else
						{	/* Expand/object.scm 631 */
							return BgL_objz00_49;
						}
				}
		}

	}



/* find-slot-offset */
	obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t BgL_slotsz00_53,
		obj_t BgL_namez00_54, obj_t BgL_formz00_55, obj_t BgL_sexpz00_56)
	{
		{	/* Expand/object.scm 646 */
			{	/* Expand/object.scm 647 */
				obj_t BgL_sz00_2989;

				{
					obj_t BgL_list1309z00_2994;

					BgL_list1309z00_2994 = BgL_slotsz00_53;
				BgL_zc3z04anonymousza32579ze3z87_2995:
					if (PAIRP(BgL_list1309z00_2994))
						{	/* Expand/object.scm 647 */
							if (
								((((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(BgL_list1309z00_2994))))->BgL_idz00) ==
									BgL_namez00_54))
								{	/* Expand/object.scm 647 */
									BgL_sz00_2989 = CAR(BgL_list1309z00_2994);
								}
							else
								{
									obj_t BgL_list1309z00_6382;

									BgL_list1309z00_6382 = CDR(BgL_list1309z00_2994);
									BgL_list1309z00_2994 = BgL_list1309z00_6382;
									goto BgL_zc3z04anonymousza32579ze3z87_2995;
								}
						}
					else
						{	/* Expand/object.scm 647 */
							BgL_sz00_2989 = BFALSE;
						}
				}
				{	/* Expand/object.scm 648 */
					bool_t BgL_test3017z00_6384;

					{	/* Expand/object.scm 648 */
						obj_t BgL_classz00_3894;

						BgL_classz00_3894 = BGl_slotz00zzobject_slotsz00;
						if (BGL_OBJECTP(BgL_sz00_2989))
							{	/* Expand/object.scm 648 */
								BgL_objectz00_bglt BgL_arg1820z00_3896;

								BgL_arg1820z00_3896 = (BgL_objectz00_bglt) (BgL_sz00_2989);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Expand/object.scm 648 */
										long BgL_idxz00_3902;

										BgL_idxz00_3902 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3896);
										BgL_test3017z00_6384 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3902 + ((long) 1))) == BgL_classz00_3894);
									}
								else
									{	/* Expand/object.scm 648 */
										bool_t BgL_res2674z00_3924;

										{	/* Expand/object.scm 648 */
											obj_t BgL_oclassz00_3910;

											{	/* Expand/object.scm 648 */
												long BgL_arg1828z00_3916;

												{	/* Expand/object.scm 648 */
													long BgL_arg1829z00_3917;

													BgL_arg1829z00_3917 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3896);
													BgL_arg1828z00_3916 =
														(BgL_arg1829z00_3917 - OBJECT_TYPE);
												}
												BgL_oclassz00_3910 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3916);
											}
											{	/* Expand/object.scm 648 */
												bool_t BgL__ortest_1111z00_3911;

												BgL__ortest_1111z00_3911 =
													(BgL_classz00_3894 == BgL_oclassz00_3910);
												if (BgL__ortest_1111z00_3911)
													{	/* Expand/object.scm 648 */
														BgL_res2674z00_3924 = BgL__ortest_1111z00_3911;
													}
												else
													{	/* Expand/object.scm 648 */
														long BgL_odepthz00_3912;

														BgL_odepthz00_3912 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3910);
														if ((((long) 1) < BgL_odepthz00_3912))
															{	/* Expand/object.scm 648 */
																obj_t BgL_arg1816z00_3914;

																BgL_arg1816z00_3914 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3910,
																	((long) 1));
																BgL_res2674z00_3924 =
																	(BgL_arg1816z00_3914 == BgL_classz00_3894);
															}
														else
															{	/* Expand/object.scm 648 */
																BgL_res2674z00_3924 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3017z00_6384 = BgL_res2674z00_3924;
									}
							}
						else
							{	/* Expand/object.scm 648 */
								BgL_test3017z00_6384 = ((bool_t) 0);
							}
					}
					if (BgL_test3017z00_6384)
						{	/* Expand/object.scm 648 */
							return
								BINT(
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_2989)))->BgL_indexz00));
						}
					else
						{	/* Expand/object.scm 650 */
							obj_t BgL_arg2577z00_2991;

							{	/* Expand/object.scm 650 */
								obj_t BgL_list2578z00_2992;

								BgL_list2578z00_2992 = MAKE_YOUNG_PAIR(BgL_namez00_54, BNIL);
								BgL_arg2577z00_2991 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2702z00zzexpand_objectz00, BgL_list2578z00_2992);
							}
							return
								BGl_errorz00zz__errorz00(BgL_formz00_55, BgL_arg2577z00_2991,
								BgL_sexpz00_56);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121776),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzread_inlinez00(((long) 500058826),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(((long) 502726840),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 223654864),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long) 499400840),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string2703z00zzexpand_objectz00));
		}

	}

#ifdef __cplusplus
}
#endif
