/*===========================================================================*/
/*   (Globalize/escape.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/escape.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	static obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62escapezd2funz12zd2local1324z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2lo1332za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz121325z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t
		BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez121333z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2atom1336za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t
		BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62escapezd2funz12zd2global1322z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1328za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1330za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1903z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1903za700za7za7g1907za7, "globalize_escape", 16);
	      DEFINE_STRING(BGl_string1904z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1904za700za7za7g1908za7, "export done escape!1333 ", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2m1909za7,
		BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1910za7,
		BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1911za7,
		BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1866z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1866za700za7za7g1912za7, "escape-fun!1319", 15);
	      DEFINE_STRING(BGl_string1868z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1868za700za7za7g1913za7, "set-escaping-fun!1325", 21);
	      DEFINE_STRING(BGl_string1870z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1870za700za7za7g1914za7, "escape!1333", 11);
	      DEFINE_STRING(BGl_string1871z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1871za700za7za7g1915za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71916za7,
		BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1872z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1872za700za7za7g1917za7, "set-escaping-fun!", 17);
	      DEFINE_STRING(BGl_string1873z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1873za700za7za7g1918za7, "Illegal variable", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1919z00,
		BGl_z62setzd2escapingzd2funz121325z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1875z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1875za700za7za7g1920za7, "escape-fun!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza71213331921z00,
		BGl_z62escapez121333z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71922za7,
		BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71923za7,
		BGl_z62escapezd2funz12zd2global1322z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1881z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1881za700za7za7g1924za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71925za7,
		BGl_z62escapezd2funz12zd2local1324z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1926z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1328za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1927z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1330za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1928z00,
		BGl_z62setzd2escapingzd2funz12zd2lo1332za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1929za7,
		BGl_z62escapez12zd2atom1336za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2k1930za7,
		BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2v1931za7,
		BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1932za7,
		BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1933za7,
		BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1934za7,
		BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1935za7,
		BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1936za7,
		BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1937za7,
		BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2e1938za7,
		BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1939za7,
		BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1940za7,
		BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1941za7,
		BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1942za7,
		BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1943za7,
		BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1944za7,
		BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1945za7,
		BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1946za7,
		BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2j1947za7,
		BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za770za71948z00,
		BGl_z62escapez12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1949z00,
		BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long
		BgL_checksumz00_2910, char *BgL_fromz00_2911)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_escapeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_genericzd2initzd2zzglobaliza7e_escapeza7();
					BGl_methodzd2initzd2zzglobaliza7e_escapeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_escape");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			{	/* Globalize/escape.scm 15 */
				obj_t BgL_cportz00_2759;

				{	/* Globalize/escape.scm 15 */
					obj_t BgL_stringz00_2766;

					BgL_stringz00_2766 = BGl_string1904z00zzglobaliza7e_escapeza7;
					{	/* Globalize/escape.scm 15 */
						obj_t BgL_startz00_2767;

						BgL_startz00_2767 = BINT(((long) 0));
						{	/* Globalize/escape.scm 15 */
							obj_t BgL_endz00_2768;

							BgL_endz00_2768 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2766)));
							{	/* Globalize/escape.scm 15 */

								BgL_cportz00_2759 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2766, BgL_startz00_2767, BgL_endz00_2768);
				}}}}
				{
					long BgL_iz00_2760;

					BgL_iz00_2760 = ((long) 2);
				BgL_loopz00_2761:
					if ((BgL_iz00_2760 == ((long) -1)))
						{	/* Globalize/escape.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/escape.scm 15 */
							{	/* Globalize/escape.scm 15 */
								obj_t BgL_arg1906z00_2762;

								{	/* Globalize/escape.scm 15 */

									{	/* Globalize/escape.scm 15 */
										obj_t BgL_locationz00_2764;

										BgL_locationz00_2764 = BBOOL(((bool_t) 0));
										{	/* Globalize/escape.scm 15 */

											BgL_arg1906z00_2762 =
												BGl_readz00zz__readerz00(BgL_cportz00_2759,
												BgL_locationz00_2764);
										}
									}
								}
								{	/* Globalize/escape.scm 15 */
									int BgL_tmpz00_2941;

									BgL_tmpz00_2941 = (int) (BgL_iz00_2760);
									CNST_TABLE_SET(BgL_tmpz00_2941, BgL_arg1906z00_2762);
							}}
							{	/* Globalize/escape.scm 15 */
								int BgL_auxz00_2765;

								BgL_auxz00_2765 = (int) ((BgL_iz00_2760 - ((long) 1)));
								{
									long BgL_iz00_2946;

									BgL_iz00_2946 = (long) (BgL_auxz00_2765);
									BgL_iz00_2760 = BgL_iz00_2946;
									goto BgL_loopz00_2761;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* escape*! */
	bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t BgL_nodeza2za2_56,
		obj_t BgL_oz00_57)
	{
		{	/* Globalize/escape.scm 267 */
			{
				obj_t BgL_l1317z00_1751;

				BgL_l1317z00_1751 = BgL_nodeza2za2_56;
			BgL_zc3z04anonymousza31385ze3z87_1752:
				if (PAIRP(BgL_l1317z00_1751))
					{	/* Globalize/escape.scm 268 */
						{	/* Globalize/escape.scm 268 */
							obj_t BgL_nz00_1754;

							BgL_nz00_1754 = CAR(BgL_l1317z00_1751);
							BGl_escapez12z12zzglobaliza7e_escapeza7(
								((BgL_nodez00_bglt) BgL_nz00_1754),
								((BgL_variablez00_bglt) BgL_oz00_57));
						}
						{
							obj_t BgL_l1317z00_2955;

							BgL_l1317z00_2955 = CDR(BgL_l1317z00_1751);
							BgL_l1317z00_1751 = BgL_l1317z00_2955;
							goto BgL_zc3z04anonymousza31385ze3z87_1752;
						}
					}
				else
					{	/* Globalize/escape.scm 268 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_proc1865z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1866z00zzglobaliza7e_escapeza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1867z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1868z00zzglobaliza7e_escapeza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1869z00zzglobaliza7e_escapeza7, BGl_nodez00zzast_nodez00,
				BGl_string1870z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!1333 */
	obj_t BGl_z62escapez121333z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2642,
		obj_t BgL_nodez00_2643, obj_t BgL_oz00_2644)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1871z00zzglobaliza7e_escapeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2643)));
		}

	}



/* &set-escaping-fun!1325 */
	obj_t BGl_z62setzd2escapingzd2funz121325z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2645, obj_t BgL_variablez00_2646)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 56 */
				obj_t BgL_arg1458z00_2773;

				BgL_arg1458z00_2773 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2646)));
				return
					BGl_errorz00zz__errorz00(BGl_string1872z00zzglobaliza7e_escapeza7,
					BGl_string1873z00zzglobaliza7e_escapeza7, BgL_arg1458z00_2773);
			}
		}

	}



/* &escape-fun!1319 */
	obj_t BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2647, obj_t BgL_variablez00_2648)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 28 */
				BgL_valuez00_bglt BgL_funz00_2775;

				BgL_funz00_2775 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_2648)))->BgL_valuez00);
				{	/* Globalize/escape.scm 29 */
					obj_t BgL_g1301z00_2776;

					BgL_g1301z00_2776 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2775)))->BgL_argsz00);
					{
						obj_t BgL_l1299z00_2778;

						BgL_l1299z00_2778 = BgL_g1301z00_2776;
					BgL_zc3z04anonymousza31389ze3z87_2777:
						if (PAIRP(BgL_l1299z00_2778))
							{	/* Globalize/escape.scm 31 */
								{	/* Globalize/escape.scm 30 */
									obj_t BgL_localz00_2779;

									BgL_localz00_2779 = CAR(BgL_l1299z00_2778);
									{	/* Globalize/escape.scm 30 */
										BgL_svarz00_bglt BgL_tmp1107z00_2780;

										BgL_tmp1107z00_2780 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2779))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 30 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1109z00_2781;

											BgL_wide1109z00_2781 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 30 */
												obj_t BgL_auxz00_2983;
												BgL_objectz00_bglt BgL_tmpz00_2980;

												BgL_auxz00_2983 = ((obj_t) BgL_wide1109z00_2781);
												BgL_tmpz00_2980 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2980,
													BgL_auxz00_2983);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
											{	/* Globalize/escape.scm 30 */
												long BgL_arg1400z00_2782;

												BgL_arg1400z00_2782 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1107z00_2780)),
													BgL_arg1400z00_2782);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_2994;

											{
												obj_t BgL_auxz00_2995;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_2996;

													BgL_tmpz00_2996 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
													BgL_auxz00_2995 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2996);
												}
												BgL_auxz00_2994 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2995);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2994))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3002;

											{
												obj_t BgL_auxz00_3003;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3004;

													BgL_tmpz00_3004 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
													BgL_auxz00_3003 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3004);
												}
												BgL_auxz00_3002 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3003);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3002))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3010;

											{
												obj_t BgL_auxz00_3011;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3012;

													BgL_tmpz00_3012 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
													BgL_auxz00_3011 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3012);
												}
												BgL_auxz00_3010 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3011);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3010))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3018;

											{
												obj_t BgL_auxz00_3019;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3020;

													BgL_tmpz00_3020 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
													BgL_auxz00_3019 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3020);
												}
												BgL_auxz00_3018 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3019);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3018))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3026;

											{
												obj_t BgL_auxz00_3027;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3028;

													BgL_tmpz00_3028 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2780));
													BgL_auxz00_3027 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3028);
												}
												BgL_auxz00_3026 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3027);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3026))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1107z00_2780);
								}}
								{
									obj_t BgL_l1299z00_3035;

									BgL_l1299z00_3035 = CDR(BgL_l1299z00_2778);
									BgL_l1299z00_2778 = BgL_l1299z00_3035;
									goto BgL_zc3z04anonymousza31389ze3z87_2777;
								}
							}
						else
							{	/* Globalize/escape.scm 31 */
								((bool_t) 1);
							}
					}
				}
				{	/* Globalize/escape.scm 32 */
					BgL_sfunzf2ginfozf2_bglt BgL_wide1113z00_2783;

					BgL_wide1113z00_2783 =
						((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 32 */
						obj_t BgL_auxz00_3042;
						BgL_objectz00_bglt BgL_tmpz00_3038;

						BgL_auxz00_3042 = ((obj_t) BgL_wide1113z00_2783);
						BgL_tmpz00_3038 =
							((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3038, BgL_auxz00_3042);
					}
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
					{	/* Globalize/escape.scm 32 */
						long BgL_arg1422z00_2784;

						BgL_arg1422z00_2784 =
							BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_2775))), BgL_arg1422z00_2784);
					}
					((BgL_sfunz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3056;

					{
						obj_t BgL_auxz00_3057;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3058;

							BgL_tmpz00_3058 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3057 = BGL_OBJECT_WIDENING(BgL_tmpz00_3058);
						}
						BgL_auxz00_3056 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3057);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3056))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3065;

					{
						obj_t BgL_auxz00_3066;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3067;

							BgL_tmpz00_3067 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3066 = BGL_OBJECT_WIDENING(BgL_tmpz00_3067);
						}
						BgL_auxz00_3065 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3066);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3065))->
							BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3074;

					{
						obj_t BgL_auxz00_3075;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3076;

							BgL_tmpz00_3076 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3075 = BGL_OBJECT_WIDENING(BgL_tmpz00_3076);
						}
						BgL_auxz00_3074 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3075);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3074))->
							BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3083;

					{
						obj_t BgL_auxz00_3084;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3085;

							BgL_tmpz00_3085 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3084 = BGL_OBJECT_WIDENING(BgL_tmpz00_3085);
						}
						BgL_auxz00_3083 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3084);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3083))->BgL_ctoz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3092;

					{
						obj_t BgL_auxz00_3093;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3094;

							BgL_tmpz00_3094 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3093 = BGL_OBJECT_WIDENING(BgL_tmpz00_3094);
						}
						BgL_auxz00_3092 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3093);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3092))->
							BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3101;

					{
						obj_t BgL_auxz00_3102;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3103;

							BgL_tmpz00_3103 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3102 = BGL_OBJECT_WIDENING(BgL_tmpz00_3103);
						}
						BgL_auxz00_3101 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3102);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3101))->
							BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3110;

					{
						obj_t BgL_auxz00_3111;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3112;

							BgL_tmpz00_3112 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3111 = BGL_OBJECT_WIDENING(BgL_tmpz00_3112);
						}
						BgL_auxz00_3110 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3111);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3110))->
							BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3119;

					{
						obj_t BgL_auxz00_3120;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3121;

							BgL_tmpz00_3121 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3120 = BGL_OBJECT_WIDENING(BgL_tmpz00_3121);
						}
						BgL_auxz00_3119 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3120);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3119))->
							BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3128;

					{
						obj_t BgL_auxz00_3129;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3130;

							BgL_tmpz00_3130 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3129 = BGL_OBJECT_WIDENING(BgL_tmpz00_3130);
						}
						BgL_auxz00_3128 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3129);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3128))->
							BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3137;

					{
						obj_t BgL_auxz00_3138;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3139;

							BgL_tmpz00_3139 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3138 = BGL_OBJECT_WIDENING(BgL_tmpz00_3139);
						}
						BgL_auxz00_3137 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3138);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3137))->
							BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3146;

					{
						obj_t BgL_auxz00_3147;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3148;

							BgL_tmpz00_3148 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3147 = BGL_OBJECT_WIDENING(BgL_tmpz00_3148);
						}
						BgL_auxz00_3146 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3147);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3146))->
							BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3155;

					{
						obj_t BgL_auxz00_3156;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3157;

							BgL_tmpz00_3157 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3156 = BGL_OBJECT_WIDENING(BgL_tmpz00_3157);
						}
						BgL_auxz00_3155 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3156);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3155))->
							BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3164;

					{
						obj_t BgL_auxz00_3165;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3166;

							BgL_tmpz00_3166 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3165 = BGL_OBJECT_WIDENING(BgL_tmpz00_3166);
						}
						BgL_auxz00_3164 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3165);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3164))->
							BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3173;

					{
						obj_t BgL_auxz00_3174;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3175;

							BgL_tmpz00_3175 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3174 = BGL_OBJECT_WIDENING(BgL_tmpz00_3175);
						}
						BgL_auxz00_3173 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3174);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3173))->
							BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3182;

					{
						obj_t BgL_auxz00_3183;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3184;

							BgL_tmpz00_3184 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3183 = BGL_OBJECT_WIDENING(BgL_tmpz00_3184);
						}
						BgL_auxz00_3182 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3183);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3182))->
							BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3191;

					{
						obj_t BgL_auxz00_3192;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3193;

							BgL_tmpz00_3193 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3192 = BGL_OBJECT_WIDENING(BgL_tmpz00_3193);
						}
						BgL_auxz00_3191 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3192);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3191))->
							BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3200;

					{
						obj_t BgL_auxz00_3201;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3202;

							BgL_tmpz00_3202 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3201 = BGL_OBJECT_WIDENING(BgL_tmpz00_3202);
						}
						BgL_auxz00_3200 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3201);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3200))->
							BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3209;

					{
						obj_t BgL_auxz00_3210;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3211;

							BgL_tmpz00_3211 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3210 = BGL_OBJECT_WIDENING(BgL_tmpz00_3211);
						}
						BgL_auxz00_3209 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3210);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3209))->
							BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3218;

					{
						obj_t BgL_auxz00_3219;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3220;

							BgL_tmpz00_3220 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3219 = BGL_OBJECT_WIDENING(BgL_tmpz00_3220);
						}
						BgL_auxz00_3218 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3219);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3218))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3227;

					{
						obj_t BgL_auxz00_3228;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3229;

							BgL_tmpz00_3229 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775)));
							BgL_auxz00_3228 = BGL_OBJECT_WIDENING(BgL_tmpz00_3229);
						}
						BgL_auxz00_3227 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3228);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3227))->
							BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
				}
				((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2775));
				{	/* Globalize/escape.scm 33 */
					obj_t BgL_arg1426z00_2785;

					BgL_arg1426z00_2785 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2775)))->BgL_bodyz00);
					return
						BGl_escapez12z12zzglobaliza7e_escapeza7(
						((BgL_nodez00_bglt) BgL_arg1426z00_2785),
						((BgL_variablez00_bglt) BgL_variablez00_2648));
				}
			}
		}

	}



/* escape-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_3)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 27 */
				obj_t BgL_method1320z00_1791;

				{	/* Globalize/escape.scm 27 */
					obj_t BgL_res1850z00_2318;

					{	/* Globalize/escape.scm 27 */
						long BgL_objzd2classzd2numz00_2289;

						BgL_objzd2classzd2numz00_2289 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_3));
						{	/* Globalize/escape.scm 27 */
							obj_t BgL_arg1825z00_2290;

							BgL_arg1825z00_2290 =
								PROCEDURE_REF
								(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 27 */
								int BgL_offsetz00_2293;

								BgL_offsetz00_2293 = (int) (BgL_objzd2classzd2numz00_2289);
								{	/* Globalize/escape.scm 27 */
									long BgL_offsetz00_2294;

									BgL_offsetz00_2294 =
										((long) (BgL_offsetz00_2293) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 27 */
										long BgL_modz00_2295;

										BgL_modz00_2295 =
											(BgL_offsetz00_2294 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 27 */
											long BgL_restz00_2297;

											BgL_restz00_2297 =
												(BgL_offsetz00_2294 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 27 */

												{	/* Globalize/escape.scm 27 */
													obj_t BgL_bucketz00_2299;

													BgL_bucketz00_2299 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2290), BgL_modz00_2295);
													BgL_res1850z00_2318 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2299), BgL_restz00_2297);
					}}}}}}}}
					BgL_method1320z00_1791 = BgL_res1850z00_2318;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1320z00_1791)) (BgL_method1320z00_1791,
					((obj_t) BgL_variablez00_3), BEOA);
			}
		}

	}



/* &escape-fun! */
	obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t BgL_envz00_2649,
		obj_t BgL_variablez00_2650)
	{
		{	/* Globalize/escape.scm 27 */
			return
				BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2650));
		}

	}



/* set-escaping-fun! */
	obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_6)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 55 */
				obj_t BgL_method1326z00_1792;

				{	/* Globalize/escape.scm 55 */
					obj_t BgL_res1855z00_2349;

					{	/* Globalize/escape.scm 55 */
						long BgL_objzd2classzd2numz00_2320;

						BgL_objzd2classzd2numz00_2320 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_6));
						{	/* Globalize/escape.scm 55 */
							obj_t BgL_arg1825z00_2321;

							BgL_arg1825z00_2321 =
								PROCEDURE_REF
								(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 55 */
								int BgL_offsetz00_2324;

								BgL_offsetz00_2324 = (int) (BgL_objzd2classzd2numz00_2320);
								{	/* Globalize/escape.scm 55 */
									long BgL_offsetz00_2325;

									BgL_offsetz00_2325 =
										((long) (BgL_offsetz00_2324) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 55 */
										long BgL_modz00_2326;

										BgL_modz00_2326 =
											(BgL_offsetz00_2325 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 55 */
											long BgL_restz00_2328;

											BgL_restz00_2328 =
												(BgL_offsetz00_2325 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 55 */

												{	/* Globalize/escape.scm 55 */
													obj_t BgL_bucketz00_2330;

													BgL_bucketz00_2330 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2321), BgL_modz00_2326);
													BgL_res1855z00_2349 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2330), BgL_restz00_2328);
					}}}}}}}}
					BgL_method1326z00_1792 = BgL_res1855z00_2349;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1326z00_1792)) (BgL_method1326z00_1792,
					((obj_t) BgL_variablez00_6), BEOA);
			}
		}

	}



/* &set-escaping-fun! */
	obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2651, obj_t BgL_variablez00_2652)
	{
		{	/* Globalize/escape.scm 55 */
			return
				BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2652));
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_oz00_11)
	{
		{	/* Globalize/escape.scm 79 */
			{	/* Globalize/escape.scm 79 */
				obj_t BgL_method1334z00_1793;

				{	/* Globalize/escape.scm 79 */
					obj_t BgL_res1860z00_2380;

					{	/* Globalize/escape.scm 79 */
						long BgL_objzd2classzd2numz00_2351;

						BgL_objzd2classzd2numz00_2351 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_10));
						{	/* Globalize/escape.scm 79 */
							obj_t BgL_arg1825z00_2352;

							BgL_arg1825z00_2352 =
								PROCEDURE_REF(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (((long) 1)));
							{	/* Globalize/escape.scm 79 */
								int BgL_offsetz00_2355;

								BgL_offsetz00_2355 = (int) (BgL_objzd2classzd2numz00_2351);
								{	/* Globalize/escape.scm 79 */
									long BgL_offsetz00_2356;

									BgL_offsetz00_2356 =
										((long) (BgL_offsetz00_2355) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 79 */
										long BgL_modz00_2357;

										BgL_modz00_2357 =
											(BgL_offsetz00_2356 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/escape.scm 79 */
											long BgL_restz00_2359;

											BgL_restz00_2359 =
												(BgL_offsetz00_2356 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/escape.scm 79 */

												{	/* Globalize/escape.scm 79 */
													obj_t BgL_bucketz00_2361;

													BgL_bucketz00_2361 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2352), BgL_modz00_2357);
													BgL_res1860z00_2380 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2361), BgL_restz00_2359);
					}}}}}}}}
					BgL_method1334z00_1793 = BgL_res1860z00_2380;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1334z00_1793)) (BgL_method1334z00_1793,
					((obj_t) BgL_nodez00_10), ((obj_t) BgL_oz00_11), BEOA);
			}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2653,
		obj_t BgL_nodez00_2654, obj_t BgL_oz00_2655)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_escapez12z12zzglobaliza7e_escapeza7(
				((BgL_nodez00_bglt) BgL_nodez00_2654),
				((BgL_variablez00_bglt) BgL_oz00_2655));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1874z00zzglobaliza7e_escapeza7,
				BGl_string1875z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_localz00zzast_varz00, BGl_proc1876z00zzglobaliza7e_escapeza7,
				BGl_string1875z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1877z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1878z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1879z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_atomz00zzast_nodez00, BGl_proc1880z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_kwotez00zzast_nodez00, BGl_proc1882z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_varz00zzast_nodez00,
				BGl_proc1883z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_closurez00zzast_nodez00, BGl_proc1884z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_sequencez00zzast_nodez00, BGl_proc1885z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_syncz00zzast_nodez00, BGl_proc1886z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_appz00zzast_nodez00,
				BGl_proc1887z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1888z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_funcallz00zzast_nodez00, BGl_proc1889z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_externz00zzast_nodez00, BGl_proc1890z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_castz00zzast_nodez00, BGl_proc1891z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setqz00zzast_nodez00, BGl_proc1892z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc1893z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_failz00zzast_nodez00, BGl_proc1894z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_switchz00zzast_nodez00, BGl_proc1895z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1896z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1897z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1898z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1899z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1900z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1901z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1902z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!-box-ref1379 */
	obj_t BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2683, obj_t BgL_nodez00_2684, obj_t BgL_oz00_2685)
	{
		{	/* Globalize/escape.scm 260 */
			{	/* Globalize/escape.scm 262 */
				BgL_varz00_bglt BgL_arg1672z00_2787;

				BgL_arg1672z00_2787 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2684)))->BgL_varz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(
					((BgL_nodez00_bglt) BgL_arg1672z00_2787),
					((BgL_variablez00_bglt) BgL_oz00_2685));
			}
		}

	}



/* &escape!-box-set!1377 */
	obj_t BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2686, obj_t BgL_nodez00_2687, obj_t BgL_oz00_2688)
	{
		{	/* Globalize/escape.scm 253 */
			{	/* Globalize/escape.scm 255 */
				BgL_nodez00_bglt BgL_arg1663z00_2789;

				BgL_arg1663z00_2789 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2687)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1663z00_2789,
					((BgL_variablez00_bglt) BgL_oz00_2688));
			}
		}

	}



/* &escape!-make-box1375 */
	obj_t BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2689, obj_t BgL_nodez00_2690, obj_t BgL_oz00_2691)
	{
		{	/* Globalize/escape.scm 247 */
			{	/* Globalize/escape.scm 248 */
				BgL_nodez00_bglt BgL_arg1662z00_2791;

				BgL_arg1662z00_2791 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2690)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1662z00_2791,
					((BgL_variablez00_bglt) BgL_oz00_2691));
			}
		}

	}



/* &escape!-jump-ex-it1373 */
	obj_t BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2692, obj_t BgL_nodez00_2693, obj_t BgL_oz00_2694)
	{
		{	/* Globalize/escape.scm 239 */
			{	/* Globalize/escape.scm 241 */
				BgL_nodez00_bglt BgL_arg1653z00_2793;

				BgL_arg1653z00_2793 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2693)))->BgL_exitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1653z00_2793,
					((BgL_variablez00_bglt) BgL_oz00_2694));
			}
			{	/* Globalize/escape.scm 242 */
				BgL_nodez00_bglt BgL_arg1661z00_2794;

				BgL_arg1661z00_2794 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2693)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1661z00_2794,
					((BgL_variablez00_bglt) BgL_oz00_2694));
			}
		}

	}



/* &escape!-set-ex-it1371 */
	obj_t BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2695, obj_t BgL_nodez00_2696, obj_t BgL_oz00_2697)
	{
		{	/* Globalize/escape.scm 230 */
			{	/* Globalize/escape.scm 232 */
				BgL_sexitz00_bglt BgL_tmp1154z00_2796;

				BgL_tmp1154z00_2796 =
					((BgL_sexitz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																((BgL_setzd2exzd2itz00_bglt)
																	BgL_nodez00_2696)))->BgL_varz00)))->
											BgL_variablez00)))))->BgL_valuez00));
				{	/* Globalize/escape.scm 232 */
					BgL_sexitzf2ginfozf2_bglt BgL_wide1156z00_2797;

					BgL_wide1156z00_2797 =
						((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 232 */
						obj_t BgL_auxz00_3401;
						BgL_objectz00_bglt BgL_tmpz00_3398;

						BgL_auxz00_3401 = ((obj_t) BgL_wide1156z00_2797);
						BgL_tmpz00_3398 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3398, BgL_auxz00_3401);
					}
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
					{	/* Globalize/escape.scm 232 */
						long BgL_arg1645z00_2798;

						BgL_arg1645z00_2798 =
							BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1154z00_2796)),
							BgL_arg1645z00_2798);
					}
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3412;

					{
						obj_t BgL_auxz00_3413;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3414;

							BgL_tmpz00_3414 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
							BgL_auxz00_3413 = BGL_OBJECT_WIDENING(BgL_tmpz00_3414);
						}
						BgL_auxz00_3412 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3413);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3412))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3420;

					{
						obj_t BgL_auxz00_3421;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3422;

							BgL_tmpz00_3422 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
							BgL_auxz00_3421 = BGL_OBJECT_WIDENING(BgL_tmpz00_3422);
						}
						BgL_auxz00_3420 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3421);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3420))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3428;

					{
						obj_t BgL_auxz00_3429;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3430;

							BgL_tmpz00_3430 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
							BgL_auxz00_3429 = BGL_OBJECT_WIDENING(BgL_tmpz00_3430);
						}
						BgL_auxz00_3428 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3429);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3428))->
							BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3436;

					{
						obj_t BgL_auxz00_3437;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3438;

							BgL_tmpz00_3438 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1154z00_2796));
							BgL_auxz00_3437 = BGL_OBJECT_WIDENING(BgL_tmpz00_3438);
						}
						BgL_auxz00_3436 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3437);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3436))->
							BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
				}
				((BgL_sexitz00_bglt) BgL_tmp1154z00_2796);
			}
			{	/* Globalize/escape.scm 233 */
				BgL_nodez00_bglt BgL_arg1651z00_2799;

				BgL_arg1651z00_2799 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2696)))->BgL_onexitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1651z00_2799,
					((BgL_variablez00_bglt) BgL_oz00_2697));
			}
			{	/* Globalize/escape.scm 234 */
				BgL_nodez00_bglt BgL_arg1652z00_2800;

				BgL_arg1652z00_2800 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2696)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1652z00_2800,
					((BgL_variablez00_bglt) BgL_oz00_2697));
			}
		}

	}



/* &escape!-let-var1369 */
	obj_t BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2698, obj_t BgL_nodez00_2699, obj_t BgL_oz00_2700)
	{
		{	/* Globalize/escape.scm 219 */
			{	/* Globalize/escape.scm 220 */
				bool_t BgL_tmpz00_3453;

				{	/* Globalize/escape.scm 221 */
					BgL_nodez00_bglt BgL_arg1632z00_2802;

					BgL_arg1632z00_2802 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2699)))->BgL_bodyz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1632z00_2802,
						((BgL_variablez00_bglt) BgL_oz00_2700));
				}
				{	/* Globalize/escape.scm 222 */
					obj_t BgL_g1316z00_2803;

					BgL_g1316z00_2803 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2699)))->BgL_bindingsz00);
					{
						obj_t BgL_l1314z00_2805;

						BgL_l1314z00_2805 = BgL_g1316z00_2803;
					BgL_zc3z04anonymousza31633ze3z87_2804:
						if (PAIRP(BgL_l1314z00_2805))
							{	/* Globalize/escape.scm 222 */
								{	/* Globalize/escape.scm 223 */
									obj_t BgL_bindingz00_2806;

									BgL_bindingz00_2806 = CAR(BgL_l1314z00_2805);
									{	/* Globalize/escape.scm 223 */
										BgL_svarz00_bglt BgL_tmp1149z00_2807;

										BgL_tmp1149z00_2807 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_bindingz00_2806))))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 223 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1151z00_2808;

											BgL_wide1151z00_2808 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 223 */
												obj_t BgL_auxz00_3473;
												BgL_objectz00_bglt BgL_tmpz00_3470;

												BgL_auxz00_3473 = ((obj_t) BgL_wide1151z00_2808);
												BgL_tmpz00_3470 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3470,
													BgL_auxz00_3473);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
											{	/* Globalize/escape.scm 223 */
												long BgL_arg1635z00_2809;

												BgL_arg1635z00_2809 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1149z00_2807)),
													BgL_arg1635z00_2809);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3484;

											{
												obj_t BgL_auxz00_3485;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3486;

													BgL_tmpz00_3486 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
													BgL_auxz00_3485 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3486);
												}
												BgL_auxz00_3484 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3485);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3484))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3492;

											{
												obj_t BgL_auxz00_3493;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3494;

													BgL_tmpz00_3494 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
													BgL_auxz00_3493 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3494);
												}
												BgL_auxz00_3492 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3493);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3492))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3500;

											{
												obj_t BgL_auxz00_3501;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3502;

													BgL_tmpz00_3502 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
													BgL_auxz00_3501 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3502);
												}
												BgL_auxz00_3500 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3501);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3500))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3508;

											{
												obj_t BgL_auxz00_3509;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3510;

													BgL_tmpz00_3510 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
													BgL_auxz00_3509 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3510);
												}
												BgL_auxz00_3508 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3509);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3508))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3516;

											{
												obj_t BgL_auxz00_3517;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3518;

													BgL_tmpz00_3518 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_2807));
													BgL_auxz00_3517 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3518);
												}
												BgL_auxz00_3516 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3517);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3516))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1149z00_2807);
									}
									{	/* Globalize/escape.scm 224 */
										obj_t BgL_arg1639z00_2810;

										BgL_arg1639z00_2810 = CDR(((obj_t) BgL_bindingz00_2806));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1639z00_2810),
											((BgL_variablez00_bglt) BgL_oz00_2700));
								}}
								{
									obj_t BgL_l1314z00_3530;

									BgL_l1314z00_3530 = CDR(BgL_l1314z00_2805);
									BgL_l1314z00_2805 = BgL_l1314z00_3530;
									goto BgL_zc3z04anonymousza31633ze3z87_2804;
								}
							}
						else
							{	/* Globalize/escape.scm 222 */
								BgL_tmpz00_3453 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3453);
			}
		}

	}



/* &escape!-let-fun1367 */
	obj_t BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2701, obj_t BgL_nodez00_2702, obj_t BgL_oz00_2703)
	{
		{	/* Globalize/escape.scm 196 */
			{	/* Globalize/escape.scm 199 */
				obj_t BgL_g1310z00_2812;

				BgL_g1310z00_2812 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_localsz00);
				{
					obj_t BgL_l1308z00_2814;

					BgL_l1308z00_2814 = BgL_g1310z00_2812;
				BgL_zc3z04anonymousza31591ze3z87_2813:
					if (PAIRP(BgL_l1308z00_2814))
						{	/* Globalize/escape.scm 199 */
							{	/* Globalize/escape.scm 200 */
								obj_t BgL_localz00_2815;

								BgL_localz00_2815 = CAR(BgL_l1308z00_2814);
								{	/* Globalize/escape.scm 200 */
									BgL_localzf2ginfozf2_bglt BgL_wide1138z00_2816;

									BgL_wide1138z00_2816 =
										((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2ginfozf2_bgl))));
									{	/* Globalize/escape.scm 200 */
										obj_t BgL_auxz00_3543;
										BgL_objectz00_bglt BgL_tmpz00_3539;

										BgL_auxz00_3543 = ((obj_t) BgL_wide1138z00_2816);
										BgL_tmpz00_3539 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2815)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3539, BgL_auxz00_3543);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2815)));
									{	/* Globalize/escape.scm 200 */
										long BgL_arg1598z00_2817;

										BgL_arg1598z00_2817 =
											BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2815))),
											BgL_arg1598z00_2817);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2815)));
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3557;

									{
										obj_t BgL_auxz00_3558;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3559;

											BgL_tmpz00_3559 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2815)));
											BgL_auxz00_3558 = BGL_OBJECT_WIDENING(BgL_tmpz00_3559);
										}
										BgL_auxz00_3557 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3558);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3557))->
											BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3566;

									{
										obj_t BgL_auxz00_3567;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3568;

											BgL_tmpz00_3568 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2815)));
											BgL_auxz00_3567 = BGL_OBJECT_WIDENING(BgL_tmpz00_3568);
										}
										BgL_auxz00_3566 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3567);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3566))->
											BgL_globaliza7edzf3z54) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_2815));
								{	/* Globalize/escape.scm 201 */
									BgL_valuez00_bglt BgL_funz00_2818;

									BgL_funz00_2818 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2815))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 202 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1142z00_2819;

										BgL_wide1142z00_2819 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/escape.scm 202 */
											obj_t BgL_auxz00_3585;
											BgL_objectz00_bglt BgL_tmpz00_3581;

											BgL_auxz00_3585 = ((obj_t) BgL_wide1142z00_2819);
											BgL_tmpz00_3581 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2818)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3581, BgL_auxz00_3585);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2818)));
										{	/* Globalize/escape.scm 202 */
											long BgL_arg1599z00_2820;

											BgL_arg1599z00_2820 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
															BgL_funz00_2818))), BgL_arg1599z00_2820);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2818)));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3599;

										{
											obj_t BgL_auxz00_3600;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3601;

												BgL_tmpz00_3601 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3600 = BGL_OBJECT_WIDENING(BgL_tmpz00_3601);
											}
											BgL_auxz00_3599 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3600);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3599))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3608;

										{
											obj_t BgL_auxz00_3609;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3610;

												BgL_tmpz00_3610 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3609 = BGL_OBJECT_WIDENING(BgL_tmpz00_3610);
											}
											BgL_auxz00_3608 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3609);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3608))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3617;

										{
											obj_t BgL_auxz00_3618;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3619;

												BgL_tmpz00_3619 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3618 = BGL_OBJECT_WIDENING(BgL_tmpz00_3619);
											}
											BgL_auxz00_3617 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3618);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3617))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3626;

										{
											obj_t BgL_auxz00_3627;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3628;

												BgL_tmpz00_3628 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3627 = BGL_OBJECT_WIDENING(BgL_tmpz00_3628);
											}
											BgL_auxz00_3626 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3627);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3626))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3635;

										{
											obj_t BgL_auxz00_3636;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3637;

												BgL_tmpz00_3637 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3636 = BGL_OBJECT_WIDENING(BgL_tmpz00_3637);
											}
											BgL_auxz00_3635 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3636);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3635))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3644;

										{
											obj_t BgL_auxz00_3645;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3646;

												BgL_tmpz00_3646 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3645 = BGL_OBJECT_WIDENING(BgL_tmpz00_3646);
											}
											BgL_auxz00_3644 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3645);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3644))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3653;

										{
											obj_t BgL_auxz00_3654;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3655;

												BgL_tmpz00_3655 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3654 = BGL_OBJECT_WIDENING(BgL_tmpz00_3655);
											}
											BgL_auxz00_3653 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3654);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3653))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3662;

										{
											obj_t BgL_auxz00_3663;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3664;

												BgL_tmpz00_3664 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3663 = BGL_OBJECT_WIDENING(BgL_tmpz00_3664);
											}
											BgL_auxz00_3662 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3663);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3662))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3671;

										{
											obj_t BgL_auxz00_3672;

											{	/* Globalize/escape.scm 203 */
												BgL_objectz00_bglt BgL_tmpz00_3673;

												BgL_tmpz00_3673 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3672 = BGL_OBJECT_WIDENING(BgL_tmpz00_3673);
											}
											BgL_auxz00_3671 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3672);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3671))->
												BgL_ownerz00) = ((obj_t) BgL_oz00_2703), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3680;

										{
											obj_t BgL_auxz00_3681;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3682;

												BgL_tmpz00_3682 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3681 = BGL_OBJECT_WIDENING(BgL_tmpz00_3682);
											}
											BgL_auxz00_3680 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3681);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3680))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3689;

										{
											obj_t BgL_auxz00_3690;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3691;

												BgL_tmpz00_3691 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3690 = BGL_OBJECT_WIDENING(BgL_tmpz00_3691);
											}
											BgL_auxz00_3689 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3690);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3689))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3698;

										{
											obj_t BgL_auxz00_3699;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3700;

												BgL_tmpz00_3700 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3699 = BGL_OBJECT_WIDENING(BgL_tmpz00_3700);
											}
											BgL_auxz00_3698 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3699);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3698))->
												BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3707;

										{
											obj_t BgL_auxz00_3708;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3709;

												BgL_tmpz00_3709 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3708 = BGL_OBJECT_WIDENING(BgL_tmpz00_3709);
											}
											BgL_auxz00_3707 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3708);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3707))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3716;

										{
											obj_t BgL_auxz00_3717;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3718;

												BgL_tmpz00_3718 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3717 = BGL_OBJECT_WIDENING(BgL_tmpz00_3718);
											}
											BgL_auxz00_3716 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3717);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3716))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3725;

										{
											obj_t BgL_auxz00_3726;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3727;

												BgL_tmpz00_3727 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3726 = BGL_OBJECT_WIDENING(BgL_tmpz00_3727);
											}
											BgL_auxz00_3725 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3726);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3725))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3734;

										{
											obj_t BgL_auxz00_3735;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3736;

												BgL_tmpz00_3736 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3735 = BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
											}
											BgL_auxz00_3734 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3735);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3734))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3743;

										{
											obj_t BgL_auxz00_3744;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3745;

												BgL_tmpz00_3745 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3744 = BGL_OBJECT_WIDENING(BgL_tmpz00_3745);
											}
											BgL_auxz00_3743 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3744);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3743))->
												BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3752;

										{
											obj_t BgL_auxz00_3753;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3754;

												BgL_tmpz00_3754 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3753 = BGL_OBJECT_WIDENING(BgL_tmpz00_3754);
											}
											BgL_auxz00_3752 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3753);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3752))->
												BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3761;

										{
											obj_t BgL_auxz00_3762;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3763;

												BgL_tmpz00_3763 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3762 = BGL_OBJECT_WIDENING(BgL_tmpz00_3763);
											}
											BgL_auxz00_3761 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3762);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3761))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3770;

										{
											obj_t BgL_auxz00_3771;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3772;

												BgL_tmpz00_3772 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2818)));
												BgL_auxz00_3771 = BGL_OBJECT_WIDENING(BgL_tmpz00_3772);
											}
											BgL_auxz00_3770 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3771);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3770))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2818));
									{	/* Globalize/escape.scm 204 */
										obj_t BgL_g1307z00_2821;

										BgL_g1307z00_2821 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2818)))->BgL_argsz00);
										{
											obj_t BgL_l1305z00_2823;

											BgL_l1305z00_2823 = BgL_g1307z00_2821;
										BgL_zc3z04anonymousza31600ze3z87_2822:
											if (PAIRP(BgL_l1305z00_2823))
												{	/* Globalize/escape.scm 206 */
													{	/* Globalize/escape.scm 205 */
														obj_t BgL_localz00_2824;

														BgL_localz00_2824 = CAR(BgL_l1305z00_2823);
														{	/* Globalize/escape.scm 205 */
															BgL_svarz00_bglt BgL_tmp1144z00_2825;

															BgL_tmp1144z00_2825 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_localz00_2824))))->BgL_valuez00));
															{	/* Globalize/escape.scm 205 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1146z00_2826;

																BgL_wide1146z00_2826 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/escape.scm 205 */
																	obj_t BgL_auxz00_3794;
																	BgL_objectz00_bglt BgL_tmpz00_3791;

																	BgL_auxz00_3794 =
																		((obj_t) BgL_wide1146z00_2826);
																	BgL_tmpz00_3791 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3791,
																		BgL_auxz00_3794);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																{	/* Globalize/escape.scm 205 */
																	long BgL_arg1610z00_2827;

																	BgL_arg1610z00_2827 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825)),
																		BgL_arg1610z00_2827);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3805;

																{
																	obj_t BgL_auxz00_3806;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3807;

																		BgL_tmpz00_3807 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																		BgL_auxz00_3806 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3807);
																	}
																	BgL_auxz00_3805 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3806);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3805))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3813;

																{
																	obj_t BgL_auxz00_3814;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3815;

																		BgL_tmpz00_3815 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																		BgL_auxz00_3814 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3815);
																	}
																	BgL_auxz00_3813 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3814);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3813))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3821;

																{
																	obj_t BgL_auxz00_3822;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3823;

																		BgL_tmpz00_3823 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																		BgL_auxz00_3822 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3823);
																	}
																	BgL_auxz00_3821 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3822);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3821))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3829;

																{
																	obj_t BgL_auxz00_3830;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3831;

																		BgL_tmpz00_3831 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																		BgL_auxz00_3830 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3831);
																	}
																	BgL_auxz00_3829 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3830);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3829))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3837;

																{
																	obj_t BgL_auxz00_3838;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3839;

																		BgL_tmpz00_3839 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1144z00_2825));
																		BgL_auxz00_3838 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3839);
																	}
																	BgL_auxz00_3837 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3838);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3837))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1144z00_2825);
													}}
													{
														obj_t BgL_l1305z00_3846;

														BgL_l1305z00_3846 = CDR(BgL_l1305z00_2823);
														BgL_l1305z00_2823 = BgL_l1305z00_3846;
														goto BgL_zc3z04anonymousza31600ze3z87_2822;
													}
												}
											else
												{	/* Globalize/escape.scm 206 */
													((bool_t) 1);
												}
										}
									}
								}
							}
							{
								obj_t BgL_l1308z00_3848;

								BgL_l1308z00_3848 = CDR(BgL_l1308z00_2814);
								BgL_l1308z00_2814 = BgL_l1308z00_3848;
								goto BgL_zc3z04anonymousza31591ze3z87_2813;
							}
						}
					else
						{	/* Globalize/escape.scm 199 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 209 */
				obj_t BgL_g1313z00_2828;

				BgL_g1313z00_2828 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_localsz00);
				{
					obj_t BgL_l1311z00_2830;

					BgL_l1311z00_2830 = BgL_g1313z00_2828;
				BgL_zc3z04anonymousza31616ze3z87_2829:
					if (PAIRP(BgL_l1311z00_2830))
						{	/* Globalize/escape.scm 209 */
							{	/* Globalize/escape.scm 210 */
								obj_t BgL_localz00_2831;

								BgL_localz00_2831 = CAR(BgL_l1311z00_2830);
								{	/* Globalize/escape.scm 210 */
									BgL_valuez00_bglt BgL_funz00_2832;

									BgL_funz00_2832 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2831))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 211 */
										obj_t BgL_arg1625z00_2833;

										BgL_arg1625z00_2833 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2832)))->BgL_bodyz00);
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1625z00_2833),
											((BgL_variablez00_bglt) BgL_localz00_2831));
									}
								}
							}
							{
								obj_t BgL_l1311z00_3863;

								BgL_l1311z00_3863 = CDR(BgL_l1311z00_2830);
								BgL_l1311z00_2830 = BgL_l1311z00_3863;
								goto BgL_zc3z04anonymousza31616ze3z87_2829;
							}
						}
					else
						{	/* Globalize/escape.scm 209 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 214 */
				BgL_nodez00_bglt BgL_arg1630z00_2834;

				BgL_arg1630z00_2834 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2702)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1630z00_2834,
					((BgL_variablez00_bglt) BgL_oz00_2703));
			}
		}

	}



/* &escape!-switch1365 */
	obj_t BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2704, obj_t BgL_nodez00_2705, obj_t BgL_oz00_2706)
	{
		{	/* Globalize/escape.scm 182 */
			{	/* Globalize/escape.scm 183 */
				bool_t BgL_tmpz00_3869;

				{	/* Globalize/escape.scm 184 */
					BgL_nodez00_bglt BgL_arg1582z00_2836;

					BgL_arg1582z00_2836 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2705)))->BgL_testz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1582z00_2836,
						((BgL_variablez00_bglt) BgL_oz00_2706));
				}
				{	/* Globalize/escape.scm 185 */
					obj_t BgL_g1304z00_2837;

					BgL_g1304z00_2837 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2705)))->BgL_clausesz00);
					{
						obj_t BgL_l1302z00_2839;

						BgL_l1302z00_2839 = BgL_g1304z00_2837;
					BgL_zc3z04anonymousza31583ze3z87_2838:
						if (PAIRP(BgL_l1302z00_2839))
							{	/* Globalize/escape.scm 185 */
								{	/* Globalize/escape.scm 186 */
									obj_t BgL_clausez00_2840;

									BgL_clausez00_2840 = CAR(BgL_l1302z00_2839);
									{	/* Globalize/escape.scm 186 */
										obj_t BgL_arg1588z00_2841;

										BgL_arg1588z00_2841 = CDR(((obj_t) BgL_clausez00_2840));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1588z00_2841),
											((BgL_variablez00_bglt) BgL_oz00_2706));
									}
								}
								{
									obj_t BgL_l1302z00_3884;

									BgL_l1302z00_3884 = CDR(BgL_l1302z00_2839);
									BgL_l1302z00_2839 = BgL_l1302z00_3884;
									goto BgL_zc3z04anonymousza31583ze3z87_2838;
								}
							}
						else
							{	/* Globalize/escape.scm 185 */
								BgL_tmpz00_3869 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3869);
			}
		}

	}



/* &escape!-fail1363 */
	obj_t BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2707, obj_t BgL_nodez00_2708, obj_t BgL_oz00_2709)
	{
		{	/* Globalize/escape.scm 173 */
			{	/* Globalize/escape.scm 175 */
				BgL_nodez00_bglt BgL_arg1572z00_2843;

				BgL_arg1572z00_2843 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2708)))->BgL_procz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1572z00_2843,
					((BgL_variablez00_bglt) BgL_oz00_2709));
			}
			{	/* Globalize/escape.scm 176 */
				BgL_nodez00_bglt BgL_arg1580z00_2844;

				BgL_arg1580z00_2844 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2708)))->BgL_msgz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1580z00_2844,
					((BgL_variablez00_bglt) BgL_oz00_2709));
			}
			{	/* Globalize/escape.scm 177 */
				BgL_nodez00_bglt BgL_arg1581z00_2845;

				BgL_arg1581z00_2845 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2708)))->BgL_objz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1581z00_2845,
					((BgL_variablez00_bglt) BgL_oz00_2709));
			}
		}

	}



/* &escape!-conditional1361 */
	obj_t BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2710, obj_t BgL_nodez00_2711, obj_t BgL_oz00_2712)
	{
		{	/* Globalize/escape.scm 164 */
			{	/* Globalize/escape.scm 166 */
				BgL_nodez00_bglt BgL_arg1565z00_2847;

				BgL_arg1565z00_2847 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2711)))->BgL_testz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1565z00_2847,
					((BgL_variablez00_bglt) BgL_oz00_2712));
			}
			{	/* Globalize/escape.scm 167 */
				BgL_nodez00_bglt BgL_arg1567z00_2848;

				BgL_arg1567z00_2848 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2711)))->BgL_truez00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1567z00_2848,
					((BgL_variablez00_bglt) BgL_oz00_2712));
			}
			{	/* Globalize/escape.scm 168 */
				BgL_nodez00_bglt BgL_arg1570z00_2849;

				BgL_arg1570z00_2849 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2711)))->BgL_falsez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1570z00_2849,
					((BgL_variablez00_bglt) BgL_oz00_2712));
			}
		}

	}



/* &escape!-setq1359 */
	obj_t BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2713, obj_t BgL_nodez00_2714, obj_t BgL_oz00_2715)
	{
		{	/* Globalize/escape.scm 157 */
			{	/* Globalize/escape.scm 159 */
				BgL_nodez00_bglt BgL_arg1561z00_2851;

				BgL_arg1561z00_2851 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2714)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1561z00_2851,
					((BgL_variablez00_bglt) BgL_oz00_2715));
			}
		}

	}



/* &escape!-cast1357 */
	obj_t BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2716, obj_t BgL_nodez00_2717, obj_t BgL_oz00_2718)
	{
		{	/* Globalize/escape.scm 151 */
			{	/* Globalize/escape.scm 152 */
				BgL_nodez00_bglt BgL_arg1559z00_2853;

				BgL_arg1559z00_2853 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2717)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1559z00_2853,
					((BgL_variablez00_bglt) BgL_oz00_2718));
			}
		}

	}



/* &escape!-extern1355 */
	obj_t BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2719, obj_t BgL_nodez00_2720, obj_t BgL_oz00_2721)
	{
		{	/* Globalize/escape.scm 145 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2720)))->BgL_exprza2za2),
					BgL_oz00_2721));
		}

	}



/* &escape!-funcall1353 */
	obj_t BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2722, obj_t BgL_nodez00_2723, obj_t BgL_oz00_2724)
	{
		{	/* Globalize/escape.scm 137 */
			{	/* Globalize/escape.scm 138 */
				bool_t BgL_tmpz00_3923;

				{	/* Globalize/escape.scm 139 */
					BgL_nodez00_bglt BgL_arg1532z00_2856;

					BgL_arg1532z00_2856 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2723)))->BgL_funz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1532z00_2856,
						((BgL_variablez00_bglt) BgL_oz00_2724));
				}
				BgL_tmpz00_3923 =
					BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2723)))->BgL_argsz00),
					BgL_oz00_2724);
				return BBOOL(BgL_tmpz00_3923);
			}
		}

	}



/* &escape!-app-ly1351 */
	obj_t BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2725, obj_t BgL_nodez00_2726, obj_t BgL_oz00_2727)
	{
		{	/* Globalize/escape.scm 129 */
			{	/* Globalize/escape.scm 131 */
				BgL_nodez00_bglt BgL_arg1526z00_2858;

				BgL_arg1526z00_2858 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2726)))->BgL_funz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1526z00_2858,
					((BgL_variablez00_bglt) BgL_oz00_2727));
			}
			{	/* Globalize/escape.scm 132 */
				BgL_nodez00_bglt BgL_arg1529z00_2859;

				BgL_arg1529z00_2859 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2726)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1529z00_2859,
					((BgL_variablez00_bglt) BgL_oz00_2727));
			}
		}

	}



/* &escape!-app1349 */
	obj_t BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2728, obj_t BgL_nodez00_2729, obj_t BgL_oz00_2730)
	{
		{	/* Globalize/escape.scm 122 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2729)))->BgL_argsz00),
					BgL_oz00_2730));
		}

	}



/* &escape!-sync1347 */
	obj_t BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2731, obj_t BgL_nodez00_2732, obj_t BgL_oz00_2733)
	{
		{	/* Globalize/escape.scm 114 */
			{	/* Globalize/escape.scm 115 */
				BgL_nodez00_bglt BgL_arg1521z00_2862;

				BgL_arg1521z00_2862 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2732)))->BgL_mutexz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1521z00_2862,
					((BgL_variablez00_bglt) BgL_oz00_2733));
			}
			{	/* Globalize/escape.scm 116 */
				BgL_nodez00_bglt BgL_arg1522z00_2863;

				BgL_arg1522z00_2863 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2732)))->BgL_prelockz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1522z00_2863,
					((BgL_variablez00_bglt) BgL_oz00_2733));
			}
			{	/* Globalize/escape.scm 117 */
				BgL_nodez00_bglt BgL_arg1523z00_2864;

				BgL_arg1523z00_2864 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2732)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1523z00_2864,
					((BgL_variablez00_bglt) BgL_oz00_2733));
			}
		}

	}



/* &escape!-sequence1345 */
	obj_t BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2734, obj_t BgL_nodez00_2735, obj_t BgL_oz00_2736)
	{
		{	/* Globalize/escape.scm 108 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2735)))->BgL_nodesz00),
					BgL_oz00_2736));
		}

	}



/* &escape!-closure1343 */
	obj_t BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2737, obj_t BgL_nodez00_2738, obj_t BgL_oz00_2739)
	{
		{	/* Globalize/escape.scm 102 */
			{	/* Globalize/escape.scm 103 */
				BgL_variablez00_bglt BgL_arg1510z00_2867;

				BgL_arg1510z00_2867 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2738))))->BgL_variablez00);
				return
					BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7
					(BgL_arg1510z00_2867);
			}
		}

	}



/* &escape!-var1341 */
	obj_t BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2740, obj_t BgL_nodez00_2741, obj_t BgL_oz00_2742)
	{
		{	/* Globalize/escape.scm 96 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &escape!-kwote1339 */
	obj_t BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2743, obj_t BgL_nodez00_2744, obj_t BgL_oz00_2745)
	{
		{	/* Globalize/escape.scm 90 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &escape!-atom1336 */
	obj_t BGl_z62escapez12zd2atom1336za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2746, obj_t BgL_nodez00_2747, obj_t BgL_oz00_2748)
	{
		{	/* Globalize/escape.scm 84 */
			return CNST_TABLE_REF(((long) 1));
		}

	}



/* &set-escaping-fun!-lo1332 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2lo1332za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2749, obj_t BgL_variablez00_2750)
	{
		{	/* Globalize/escape.scm 73 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_3967;

				{
					obj_t BgL_auxz00_3968;

					{	/* Globalize/escape.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_3969;

						BgL_tmpz00_3969 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_2750));
						BgL_auxz00_3968 = BGL_OBJECT_WIDENING(BgL_tmpz00_3969);
					}
					BgL_auxz00_3967 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3968);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3967))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1330 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1330za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2751, obj_t BgL_variablez00_2752)
	{
		{	/* Globalize/escape.scm 67 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_3975;

				{
					obj_t BgL_auxz00_3976;

					{	/* Globalize/escape.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_3977;

						BgL_tmpz00_3977 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2752));
						BgL_auxz00_3976 = BGL_OBJECT_WIDENING(BgL_tmpz00_3977);
					}
					BgL_auxz00_3975 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3976);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3975))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1328 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1328za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2753, obj_t BgL_variablez00_2754)
	{
		{	/* Globalize/escape.scm 61 */
			{
				BgL_globalz00_bglt BgL_auxz00_3983;

				{	/* Globalize/escape.scm 62 */
					BgL_globalzf2ginfozf2_bglt BgL_wide1125z00_2874;

					BgL_wide1125z00_2874 =
						((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 62 */
						obj_t BgL_auxz00_3989;
						BgL_objectz00_bglt BgL_tmpz00_3985;

						BgL_auxz00_3989 = ((obj_t) BgL_wide1125z00_2874);
						BgL_tmpz00_3985 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_variablez00_2754)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3985, BgL_auxz00_3989);
					}
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2754)));
					{	/* Globalize/escape.scm 62 */
						long BgL_arg1506z00_2875;

						BgL_arg1506z00_2875 =
							BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2754))),
							BgL_arg1506z00_2875);
					}
					((BgL_globalz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2754)));
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4003;

					{
						obj_t BgL_auxz00_4004;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4005;

							BgL_tmpz00_4005 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2754)));
							BgL_auxz00_4004 = BGL_OBJECT_WIDENING(BgL_tmpz00_4005);
						}
						BgL_auxz00_4003 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4004);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4003))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4012;

					{
						obj_t BgL_auxz00_4013;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4014;

							BgL_tmpz00_4014 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2754)));
							BgL_auxz00_4013 = BGL_OBJECT_WIDENING(BgL_tmpz00_4014);
						}
						BgL_auxz00_4012 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4013);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4012))->
							BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				BgL_auxz00_3983 =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2754));
				return ((obj_t) BgL_auxz00_3983);
			}
		}

	}



/* &escape-fun!-local1324 */
	obj_t BGl_z62escapezd2funz12zd2local1324z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2755, obj_t BgL_variablez00_2756)
	{
		{	/* Globalize/escape.scm 47 */
			{

				{	/* Globalize/escape.scm 48 */
					bool_t BgL_test1959z00_4024;

					{	/* Globalize/escape.scm 48 */
						obj_t BgL_classz00_2879;

						BgL_classz00_2879 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 48 */
							BgL_objectz00_bglt BgL_arg1820z00_2880;

							{	/* Globalize/escape.scm 48 */
								obj_t BgL_tmpz00_4025;

								BgL_tmpz00_4025 =
									((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2756));
								BgL_arg1820z00_2880 = (BgL_objectz00_bglt) (BgL_tmpz00_4025);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/escape.scm 48 */
									long BgL_idxz00_2881;

									BgL_idxz00_2881 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2880);
									BgL_test1959z00_4024 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2881 + ((long) 3))) == BgL_classz00_2879);
								}
							else
								{	/* Globalize/escape.scm 48 */
									bool_t BgL_res1862z00_2884;

									{	/* Globalize/escape.scm 48 */
										obj_t BgL_oclassz00_2885;

										{	/* Globalize/escape.scm 48 */
											long BgL_arg1828z00_2886;

											{	/* Globalize/escape.scm 48 */
												long BgL_arg1829z00_2887;

												BgL_arg1829z00_2887 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2880);
												BgL_arg1828z00_2886 =
													(BgL_arg1829z00_2887 - OBJECT_TYPE);
											}
											BgL_oclassz00_2885 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2886);
										}
										{	/* Globalize/escape.scm 48 */
											bool_t BgL__ortest_1111z00_2888;

											BgL__ortest_1111z00_2888 =
												(BgL_classz00_2879 == BgL_oclassz00_2885);
											if (BgL__ortest_1111z00_2888)
												{	/* Globalize/escape.scm 48 */
													BgL_res1862z00_2884 = BgL__ortest_1111z00_2888;
												}
											else
												{	/* Globalize/escape.scm 48 */
													long BgL_odepthz00_2889;

													BgL_odepthz00_2889 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2885);
													if ((((long) 3) < BgL_odepthz00_2889))
														{	/* Globalize/escape.scm 48 */
															obj_t BgL_arg1816z00_2890;

															BgL_arg1816z00_2890 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2885,
																((long) 3));
															BgL_res1862z00_2884 =
																(BgL_arg1816z00_2890 == BgL_classz00_2879);
														}
													else
														{	/* Globalize/escape.scm 48 */
															BgL_res1862z00_2884 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1959z00_4024 = BgL_res1862z00_2884;
								}
						}
					}
					if (BgL_test1959z00_4024)
						{	/* Globalize/escape.scm 48 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 48 */
							{	/* Globalize/escape.scm 49 */
								BgL_localzf2ginfozf2_bglt BgL_wide1121z00_2891;

								BgL_wide1121z00_2891 =
									((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 49 */
									obj_t BgL_auxz00_4050;
									BgL_objectz00_bglt BgL_tmpz00_4046;

									BgL_auxz00_4050 = ((obj_t) BgL_wide1121z00_2891);
									BgL_tmpz00_4046 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_variablez00_2756)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4046, BgL_auxz00_4050);
								}
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2756)));
								{	/* Globalize/escape.scm 49 */
									long BgL_arg1496z00_2892;

									BgL_arg1496z00_2892 =
										BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2756))),
										BgL_arg1496z00_2892);
								}
								((BgL_localz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2756)));
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4064;

								{
									obj_t BgL_auxz00_4065;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4066;

										BgL_tmpz00_4066 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2756)));
										BgL_auxz00_4065 = BGL_OBJECT_WIDENING(BgL_tmpz00_4066);
									}
									BgL_auxz00_4064 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4065);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4064))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4073;

								{
									obj_t BgL_auxz00_4074;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4075;

										BgL_tmpz00_4075 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2756)));
										BgL_auxz00_4074 = BGL_OBJECT_WIDENING(BgL_tmpz00_4075);
									}
									BgL_auxz00_4073 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4074);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4073))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							((obj_t)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_2756)));
				}}
				{	/* Globalize/escape.scm 47 */
					obj_t BgL_nextzd2method1323zd2_2878;

					BgL_nextzd2method1323zd2_2878 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt) BgL_variablez00_2756)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_localz00zzast_varz00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1323zd2_2878))
						(BgL_nextzd2method1323zd2_2878,
						((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2756)), BEOA);
				}
			}
		}

	}



/* &escape-fun!-global1322 */
	obj_t BGl_z62escapezd2funz12zd2global1322z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2757, obj_t BgL_variablez00_2758)
	{
		{	/* Globalize/escape.scm 38 */
			{

				{	/* Globalize/escape.scm 39 */
					bool_t BgL_test1963z00_4094;

					{	/* Globalize/escape.scm 39 */
						obj_t BgL_classz00_2896;

						BgL_classz00_2896 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 39 */
							BgL_objectz00_bglt BgL_arg1820z00_2897;

							{	/* Globalize/escape.scm 39 */
								obj_t BgL_tmpz00_4095;

								BgL_tmpz00_4095 =
									((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2758));
								BgL_arg1820z00_2897 = (BgL_objectz00_bglt) (BgL_tmpz00_4095);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/escape.scm 39 */
									long BgL_idxz00_2898;

									BgL_idxz00_2898 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2897);
									BgL_test1963z00_4094 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2898 + ((long) 3))) == BgL_classz00_2896);
								}
							else
								{	/* Globalize/escape.scm 39 */
									bool_t BgL_res1861z00_2901;

									{	/* Globalize/escape.scm 39 */
										obj_t BgL_oclassz00_2902;

										{	/* Globalize/escape.scm 39 */
											long BgL_arg1828z00_2903;

											{	/* Globalize/escape.scm 39 */
												long BgL_arg1829z00_2904;

												BgL_arg1829z00_2904 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2897);
												BgL_arg1828z00_2903 =
													(BgL_arg1829z00_2904 - OBJECT_TYPE);
											}
											BgL_oclassz00_2902 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2903);
										}
										{	/* Globalize/escape.scm 39 */
											bool_t BgL__ortest_1111z00_2905;

											BgL__ortest_1111z00_2905 =
												(BgL_classz00_2896 == BgL_oclassz00_2902);
											if (BgL__ortest_1111z00_2905)
												{	/* Globalize/escape.scm 39 */
													BgL_res1861z00_2901 = BgL__ortest_1111z00_2905;
												}
											else
												{	/* Globalize/escape.scm 39 */
													long BgL_odepthz00_2906;

													BgL_odepthz00_2906 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2902);
													if ((((long) 3) < BgL_odepthz00_2906))
														{	/* Globalize/escape.scm 39 */
															obj_t BgL_arg1816z00_2907;

															BgL_arg1816z00_2907 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2902,
																((long) 3));
															BgL_res1861z00_2901 =
																(BgL_arg1816z00_2907 == BgL_classz00_2896);
														}
													else
														{	/* Globalize/escape.scm 39 */
															BgL_res1861z00_2901 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1963z00_4094 = BgL_res1861z00_2901;
								}
						}
					}
					if (BgL_test1963z00_4094)
						{	/* Globalize/escape.scm 39 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 39 */
							{	/* Globalize/escape.scm 40 */
								BgL_globalzf2ginfozf2_bglt BgL_wide1117z00_2908;

								BgL_wide1117z00_2908 =
									((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 40 */
									obj_t BgL_auxz00_4120;
									BgL_objectz00_bglt BgL_tmpz00_4116;

									BgL_auxz00_4120 = ((obj_t) BgL_wide1117z00_2908);
									BgL_tmpz00_4116 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_2758)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4116, BgL_auxz00_4120);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2758)));
								{	/* Globalize/escape.scm 40 */
									long BgL_arg1482z00_2909;

									BgL_arg1482z00_2909 =
										BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2758))),
										BgL_arg1482z00_2909);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2758)));
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4134;

								{
									obj_t BgL_auxz00_4135;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4136;

										BgL_tmpz00_4136 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2758)));
										BgL_auxz00_4135 = BGL_OBJECT_WIDENING(BgL_tmpz00_4136);
									}
									BgL_auxz00_4134 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4135);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4134))->
										BgL_escapezf3zf3) =
									((bool_t) ((((BgL_globalz00_bglt)
													COBJECT(((BgL_globalz00_bglt)
															BgL_variablez00_2758)))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 2)))), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4147;

								{
									obj_t BgL_auxz00_4148;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4149;

										BgL_tmpz00_4149 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2758)));
										BgL_auxz00_4148 = BGL_OBJECT_WIDENING(BgL_tmpz00_4149);
									}
									BgL_auxz00_4147 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4148);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4147))->
										BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
							}
							((obj_t)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2758)));
				}}
				{	/* Globalize/escape.scm 38 */
					obj_t BgL_nextzd2method1321zd2_2895;

					BgL_nextzd2method1321zd2_2895 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2758)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_globalz00zzast_varz00);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1321zd2_2895))
						(BgL_nextzd2method1321zd2_2895,
						((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2758)), BEOA);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
		}

	}

#ifdef __cplusplus
}
#endif
