/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
		BUNSPEC;
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t,
		obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	static BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[9];


	   
		 
		DEFINE_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1946za700za7za7g1949za7, "globalize_local->global", 23);
	      DEFINE_STRING(BGl_string1947z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1947za700za7za7g1950za7,
		"now sfun static & cell-globalize write value procedure-ref env ", 63);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762localza7d2za7e3gl1951za7,
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762theza7d2globalza71952za7,
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long
		BgL_checksumz00_2787, char *BgL_fromz00_2788)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					return BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_local->global");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			{	/* Globalize/loc2glo.scm 15 */
				obj_t BgL_cportz00_2776;

				{	/* Globalize/loc2glo.scm 15 */
					obj_t BgL_stringz00_2783;

					BgL_stringz00_2783 =
						BGl_string1947z00zzglobaliza7e_localzd2ze3globalz96;
					{	/* Globalize/loc2glo.scm 15 */
						obj_t BgL_startz00_2784;

						BgL_startz00_2784 = BINT(((long) 0));
						{	/* Globalize/loc2glo.scm 15 */
							obj_t BgL_endz00_2785;

							BgL_endz00_2785 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2783)));
							{	/* Globalize/loc2glo.scm 15 */

								BgL_cportz00_2776 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2783, BgL_startz00_2784, BgL_endz00_2785);
				}}}}
				{
					long BgL_iz00_2777;

					BgL_iz00_2777 = ((long) 8);
				BgL_loopz00_2778:
					if ((BgL_iz00_2777 == ((long) -1)))
						{	/* Globalize/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/loc2glo.scm 15 */
							{	/* Globalize/loc2glo.scm 15 */
								obj_t BgL_arg1948z00_2779;

								{	/* Globalize/loc2glo.scm 15 */

									{	/* Globalize/loc2glo.scm 15 */
										obj_t BgL_locationz00_2781;

										BgL_locationz00_2781 = BBOOL(((bool_t) 0));
										{	/* Globalize/loc2glo.scm 15 */

											BgL_arg1948z00_2779 =
												BGl_readz00zz__readerz00(BgL_cportz00_2776,
												BgL_locationz00_2781);
										}
									}
								}
								{	/* Globalize/loc2glo.scm 15 */
									int BgL_tmpz00_2815;

									BgL_tmpz00_2815 = (int) (BgL_iz00_2777);
									CNST_TABLE_SET(BgL_tmpz00_2815, BgL_arg1948z00_2779);
							}}
							{	/* Globalize/loc2glo.scm 15 */
								int BgL_auxz00_2782;

								BgL_auxz00_2782 = (int) ((BgL_iz00_2777 - ((long) 1)));
								{
									long BgL_iz00_2820;

									BgL_iz00_2820 = (long) (BgL_auxz00_2782);
									BgL_iz00_2777 = BgL_iz00_2820;
									goto BgL_loopz00_2778;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1803;

				BgL_headz00_1803 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1804;
					obj_t BgL_tailz00_1805;

					BgL_prevz00_1804 = BgL_headz00_1803;
					BgL_tailz00_1805 = BgL_l1z00_1;
				BgL_loopz00_1806:
					if (PAIRP(BgL_tailz00_1805))
						{
							obj_t BgL_newzd2prevzd2_1808;

							BgL_newzd2prevzd2_1808 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1805), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1804, BgL_newzd2prevzd2_1808);
							{
								obj_t BgL_tailz00_2830;
								obj_t BgL_prevz00_2829;

								BgL_prevz00_2829 = BgL_newzd2prevzd2_1808;
								BgL_tailz00_2830 = CDR(BgL_tailz00_1805);
								BgL_tailz00_1805 = BgL_tailz00_2830;
								BgL_prevz00_1804 = BgL_prevz00_2829;
								goto BgL_loopz00_1806;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1803);
				}
			}
		}

	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 40 */
			{	/* Globalize/loc2glo.scm 41 */
				bool_t BgL_test1956z00_2833;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1956z00_2833 =
							((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2));
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1956z00_2833 = ((bool_t) 0);
					}
				if (BgL_test1956z00_2833)
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2objza2z00zztype_cachez00;
					}
			}
		}

	}



/* local->global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Globalize/loc2glo.scm 46 */
			{	/* Globalize/loc2glo.scm 50 */
				BgL_globalz00_bglt BgL_globalz00_1812;

				BgL_globalz00_1812 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_3);
				{	/* Globalize/loc2glo.scm 50 */
					obj_t BgL_argsz00_1813;

					BgL_argsz00_1813 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_3)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* Globalize/loc2glo.scm 51 */
						BgL_valuez00_bglt BgL_infoz00_1814;

						BgL_infoz00_1814 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
						{	/* Globalize/loc2glo.scm 52 */
							obj_t BgL_newzd2bodyzd2_1815;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2845;

								{
									obj_t BgL_auxz00_2846;

									{	/* Globalize/loc2glo.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_2847;

										BgL_tmpz00_2847 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_infoz00_1814));
										BgL_auxz00_2846 = BGL_OBJECT_WIDENING(BgL_tmpz00_2847);
									}
									BgL_auxz00_2845 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2846);
								}
								BgL_newzd2bodyzd2_1815 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2845))->
									BgL_newzd2bodyzd2);
							}
							{	/* Globalize/loc2glo.scm 53 */
								obj_t BgL_kapturedz00_1816;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2853;

									{
										obj_t BgL_auxz00_2854;

										{	/* Globalize/loc2glo.scm 54 */
											BgL_objectz00_bglt BgL_tmpz00_2855;

											BgL_tmpz00_2855 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1814));
											BgL_auxz00_2854 = BGL_OBJECT_WIDENING(BgL_tmpz00_2855);
										}
										BgL_auxz00_2853 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2854);
									}
									BgL_kapturedz00_1816 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2853))->
										BgL_kapturedz00);
								}
								{	/* Globalize/loc2glo.scm 54 */

									{	/* Globalize/loc2glo.scm 57 */
										bool_t BgL_test1958z00_2861;

										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2862;

											{
												obj_t BgL_auxz00_2863;

												{	/* Globalize/loc2glo.scm 57 */
													BgL_objectz00_bglt BgL_tmpz00_2864;

													BgL_tmpz00_2864 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_3));
													BgL_auxz00_2863 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2864);
												}
												BgL_auxz00_2862 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2863);
											}
											BgL_test1958z00_2861 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2862))->BgL_escapezf3zf3);
										}
										if (BgL_test1958z00_2861)
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1812, BgL_localz00_3, BgL_argsz00_1813,
													BgL_kapturedz00_1816, BgL_newzd2bodyzd2_1815);
											}
										else
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1812, BgL_localz00_3, BgL_argsz00_1813,
													BgL_kapturedz00_1816, BgL_newzd2bodyzd2_1815);
											}
									}
									return BgL_globalz00_1812;
								}
							}
						}
					}
				}
			}
		}

	}



/* &local->global */
	BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2772, obj_t BgL_localz00_2773)
	{
		{	/* Globalize/loc2glo.scm 46 */
			return
				BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2773));
		}

	}



/* fix-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_5, BgL_localz00_bglt BgL_localz00_6,
		obj_t BgL_argsz00_7, obj_t BgL_kapturedz00_8, obj_t BgL_bodyz00_9)
	{
		{	/* Globalize/loc2glo.scm 84 */
			{	/* Globalize/loc2glo.scm 85 */
				BgL_localz00_bglt BgL_envz00_1819;

				BgL_envz00_1819 =
					BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long) 0)),
					((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
				{	/* Globalize/loc2glo.scm 85 */
					obj_t BgL_newzd2freezd2_1820;

					if (NULLP(BgL_kapturedz00_8))
						{	/* Globalize/loc2glo.scm 86 */
							BgL_newzd2freezd2_1820 = BNIL;
						}
					else
						{	/* Globalize/loc2glo.scm 86 */
							obj_t BgL_head1390z00_1952;

							BgL_head1390z00_1952 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1388z00_1954;
								obj_t BgL_tail1391z00_1955;

								BgL_l1388z00_1954 = BgL_kapturedz00_8;
								BgL_tail1391z00_1955 = BgL_head1390z00_1952;
							BgL_zc3z04anonymousza31665ze3z87_1956:
								if (NULLP(BgL_l1388z00_1954))
									{	/* Globalize/loc2glo.scm 86 */
										BgL_newzd2freezd2_1820 = CDR(BgL_head1390z00_1952);
									}
								else
									{	/* Globalize/loc2glo.scm 86 */
										obj_t BgL_newtail1392z00_1958;

										{	/* Globalize/loc2glo.scm 86 */
											BgL_localz00_bglt BgL_arg1673z00_1960;

											{	/* Globalize/loc2glo.scm 86 */
												obj_t BgL_oldz00_1961;

												BgL_oldz00_1961 = CAR(((obj_t) BgL_l1388z00_1954));
												{	/* Globalize/loc2glo.scm 87 */
													BgL_localz00_bglt BgL_newz00_1962;

													{	/* Globalize/loc2glo.scm 88 */
														obj_t BgL_arg1683z00_1975;
														obj_t BgL_arg1687z00_1976;

														BgL_arg1683z00_1975 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_idz00);
														BgL_arg1687z00_1976 =
															BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
															();
														BgL_newz00_1962 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(BgL_arg1683z00_1975,
															((BgL_typez00_bglt) BgL_arg1687z00_1976));
													}
													{	/* Globalize/loc2glo.scm 90 */
														bool_t BgL_arg1674z00_1963;

														BgL_arg1674z00_1963 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_userzf3zf3);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1962)))->BgL_userzf3zf3) =
															((bool_t) BgL_arg1674z00_1963), BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 91 */
														BgL_localzf2ginfozf2_bglt BgL_wide1115z00_1966;

														BgL_wide1115z00_1966 =
															((BgL_localzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 91 */
															obj_t BgL_auxz00_2900;
															BgL_objectz00_bglt BgL_tmpz00_2897;

															BgL_auxz00_2900 = ((obj_t) BgL_wide1115z00_1966);
															BgL_tmpz00_2897 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1962));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2897,
																BgL_auxz00_2900);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1962));
														{	/* Globalize/loc2glo.scm 91 */
															long BgL_arg1677z00_1967;

															BgL_arg1677z00_1967 =
																BGL_CLASS_NUM
																(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) BgL_newz00_1962)),
																BgL_arg1677z00_1967);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1962));
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2911;

														{
															obj_t BgL_auxz00_2912;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2913;

																BgL_tmpz00_2913 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1962));
																BgL_auxz00_2912 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2913);
															}
															BgL_auxz00_2911 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2912);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2911))->BgL_escapezf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2919;

														{
															obj_t BgL_auxz00_2920;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2921;

																BgL_tmpz00_2921 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1962));
																BgL_auxz00_2920 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2921);
															}
															BgL_auxz00_2919 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2920);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2919))->
																BgL_globaliza7edzf3z54) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													((BgL_localz00_bglt) BgL_newz00_1962);
													{	/* Globalize/loc2glo.scm 92 */
														BgL_svarz00_bglt BgL_tmp1117z00_1969;

														BgL_tmp1117z00_1969 =
															((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_newz00_1962)))->
																BgL_valuez00));
														{	/* Globalize/loc2glo.scm 92 */
															BgL_svarzf2ginfozf2_bglt BgL_wide1119z00_1971;

															BgL_wide1119z00_1971 =
																((BgL_svarzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_svarzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 92 */
																obj_t BgL_auxz00_2935;
																BgL_objectz00_bglt BgL_tmpz00_2932;

																BgL_auxz00_2935 =
																	((obj_t) BgL_wide1119z00_1971);
																BgL_tmpz00_2932 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2932,
																	BgL_auxz00_2935);
															}
															((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
															{	/* Globalize/loc2glo.scm 92 */
																long BgL_arg1680z00_1972;

																BgL_arg1680z00_1972 =
																	BGL_CLASS_NUM
																	(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_svarz00_bglt) BgL_tmp1117z00_1969)),
																	BgL_arg1680z00_1972);
															}
															((BgL_svarz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2946;

															{
																obj_t BgL_auxz00_2947;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2948;

																	BgL_tmpz00_2948 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																	BgL_auxz00_2947 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2948);
																}
																BgL_auxz00_2946 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2947);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2946))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2954;

															{
																obj_t BgL_auxz00_2955;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2956;

																	BgL_tmpz00_2956 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																	BgL_auxz00_2955 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2956);
																}
																BgL_auxz00_2954 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2955);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2954))->
																	BgL_freezd2markzd2) =
																((long) ((long) -10)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2962;

															{
																obj_t BgL_auxz00_2963;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2964;

																	BgL_tmpz00_2964 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																	BgL_auxz00_2963 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2964);
																}
																BgL_auxz00_2962 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2963);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2962))->BgL_markz00) =
																((long) ((long) -10)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2970;

															{
																obj_t BgL_auxz00_2971;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2972;

																	BgL_tmpz00_2972 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																	BgL_auxz00_2971 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2972);
																}
																BgL_auxz00_2970 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2971);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2970))->
																	BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2978;

															{
																obj_t BgL_auxz00_2979;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2980;

																	BgL_tmpz00_2980 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1969));
																	BgL_auxz00_2979 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2980);
																}
																BgL_auxz00_2978 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2979);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2978))->
																	BgL_stackablez00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_svarz00_bglt) BgL_tmp1117z00_1969);
													}
													{	/* Globalize/loc2glo.scm 94 */
														obj_t BgL_arg1682z00_1974;

														BgL_arg1682z00_1974 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1961))))->
															BgL_accessz00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1962)))->BgL_accessz00) =
															((obj_t) BgL_arg1682z00_1974), BUNSPEC);
													}
													BgL_arg1673z00_1960 = BgL_newz00_1962;
											}}
											BgL_newtail1392z00_1958 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1673z00_1960), BNIL);
										}
										SET_CDR(BgL_tail1391z00_1955, BgL_newtail1392z00_1958);
										{	/* Globalize/loc2glo.scm 86 */
											obj_t BgL_arg1672z00_1959;

											BgL_arg1672z00_1959 = CDR(((obj_t) BgL_l1388z00_1954));
											{
												obj_t BgL_tail1391z00_2998;
												obj_t BgL_l1388z00_2997;

												BgL_l1388z00_2997 = BgL_arg1672z00_1959;
												BgL_tail1391z00_2998 = BgL_newtail1392z00_1958;
												BgL_tail1391z00_1955 = BgL_tail1391z00_2998;
												BgL_l1388z00_1954 = BgL_l1388z00_2997;
												goto BgL_zc3z04anonymousza31665ze3z87_1956;
											}
										}
									}
							}
						}
					{	/* Globalize/loc2glo.scm 86 */
						obj_t BgL_newzd2argszd2_1821;

						if (NULLP(BgL_argsz00_7))
							{	/* Globalize/loc2glo.scm 97 */
								BgL_newzd2argszd2_1821 = BNIL;
							}
						else
							{	/* Globalize/loc2glo.scm 97 */
								obj_t BgL_head1395z00_1923;

								BgL_head1395z00_1923 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1393z00_1925;
									obj_t BgL_tail1396z00_1926;

									BgL_l1393z00_1925 = BgL_argsz00_7;
									BgL_tail1396z00_1926 = BgL_head1395z00_1923;
								BgL_zc3z04anonymousza31641ze3z87_1927:
									if (NULLP(BgL_l1393z00_1925))
										{	/* Globalize/loc2glo.scm 97 */
											BgL_newzd2argszd2_1821 = CDR(BgL_head1395z00_1923);
										}
									else
										{	/* Globalize/loc2glo.scm 97 */
											obj_t BgL_newtail1397z00_1929;

											{	/* Globalize/loc2glo.scm 97 */
												BgL_localz00_bglt BgL_arg1646z00_1931;

												{	/* Globalize/loc2glo.scm 97 */
													obj_t BgL_oldz00_1932;

													BgL_oldz00_1932 = CAR(((obj_t) BgL_l1393z00_1925));
													{	/* Globalize/loc2glo.scm 98 */
														BgL_localz00_bglt BgL_newz00_1933;

														{	/* Globalize/loc2glo.scm 99 */
															obj_t BgL_arg1662z00_1947;
															obj_t BgL_arg1663z00_1948;

															BgL_arg1662z00_1947 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_idz00);
															BgL_arg1663z00_1948 =
																BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
																();
															BgL_newz00_1933 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_arg1662z00_1947,
																((BgL_typez00_bglt) BgL_arg1663z00_1948));
														}
														{	/* Globalize/loc2glo.scm 101 */
															bool_t BgL_arg1648z00_1934;

															BgL_arg1648z00_1934 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_userzf3zf3) =
																((bool_t) BgL_arg1648z00_1934), BUNSPEC);
														}
														{	/* Globalize/loc2glo.scm 102 */
															BgL_localzf2ginfozf2_bglt BgL_wide1123z00_1937;

															BgL_wide1123z00_1937 =
																((BgL_localzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 102 */
																obj_t BgL_auxz00_3022;
																BgL_objectz00_bglt BgL_tmpz00_3019;

																BgL_auxz00_3022 =
																	((obj_t) BgL_wide1123z00_1937);
																BgL_tmpz00_3019 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1933));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3019,
																	BgL_auxz00_3022);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1933));
															{	/* Globalize/loc2glo.scm 102 */
																long BgL_arg1651z00_1938;

																BgL_arg1651z00_1938 =
																	BGL_CLASS_NUM
																	(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) BgL_newz00_1933)),
																	BgL_arg1651z00_1938);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1933));
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3033;

															{
																obj_t BgL_auxz00_3034;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3035;

																	BgL_tmpz00_3035 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1933));
																	BgL_auxz00_3034 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3035);
																}
																BgL_auxz00_3033 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3034);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3033))->
																	BgL_escapezf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3041;

															{
																obj_t BgL_auxz00_3042;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3043;

																	BgL_tmpz00_3043 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1933));
																	BgL_auxz00_3042 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3043);
																}
																BgL_auxz00_3041 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3042);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3041))->
																	BgL_globaliza7edzf3z54) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt) BgL_newz00_1933);
														{	/* Globalize/loc2glo.scm 103 */
															BgL_svarz00_bglt BgL_tmp1125z00_1940;

															BgL_tmp1125z00_1940 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_valuez00));
															{	/* Globalize/loc2glo.scm 103 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1127z00_1942;

																BgL_wide1127z00_1942 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/loc2glo.scm 103 */
																	obj_t BgL_auxz00_3057;
																	BgL_objectz00_bglt BgL_tmpz00_3054;

																	BgL_auxz00_3057 =
																		((obj_t) BgL_wide1127z00_1942);
																	BgL_tmpz00_3054 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3054,
																		BgL_auxz00_3057);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																{	/* Globalize/loc2glo.scm 103 */
																	long BgL_arg1652z00_1943;

																	BgL_arg1652z00_1943 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940)),
																		BgL_arg1652z00_1943);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
															}
															{
																bool_t BgL_auxz00_3075;
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3068;

																{	/* Globalize/loc2glo.scm 104 */
																	BgL_svarz00_bglt BgL_oz00_2443;

																	BgL_oz00_2443 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1932))))->
																			BgL_valuez00));
																	{
																		BgL_svarzf2ginfozf2_bglt BgL_auxz00_3080;

																		{
																			obj_t BgL_auxz00_3081;

																			{	/* Globalize/loc2glo.scm 104 */
																				BgL_objectz00_bglt BgL_tmpz00_3082;

																				BgL_tmpz00_3082 =
																					((BgL_objectz00_bglt) BgL_oz00_2443);
																				BgL_auxz00_3081 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3082);
																			}
																			BgL_auxz00_3080 =
																				((BgL_svarzf2ginfozf2_bglt)
																				BgL_auxz00_3081);
																		}
																		BgL_auxz00_3075 =
																			(((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3080))->
																			BgL_kapturedzf3zf3);
																}}
																{
																	obj_t BgL_auxz00_3069;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3070;

																		BgL_tmpz00_3070 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																		BgL_auxz00_3069 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3070);
																	}
																	BgL_auxz00_3068 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3069);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3068))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_3075), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3088;

																{
																	obj_t BgL_auxz00_3089;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3090;

																		BgL_tmpz00_3090 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																		BgL_auxz00_3089 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3090);
																	}
																	BgL_auxz00_3088 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3089);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3088))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3096;

																{
																	obj_t BgL_auxz00_3097;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3098;

																		BgL_tmpz00_3098 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																		BgL_auxz00_3097 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3098);
																	}
																	BgL_auxz00_3096 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3097);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3096))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3104;

																{
																	obj_t BgL_auxz00_3105;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3106;

																		BgL_tmpz00_3106 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																		BgL_auxz00_3105 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3106);
																	}
																	BgL_auxz00_3104 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3105);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3104))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3112;

																{
																	obj_t BgL_auxz00_3113;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3114;

																		BgL_tmpz00_3114 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1940));
																		BgL_auxz00_3113 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3114);
																	}
																	BgL_auxz00_3112 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3113);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3112))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1125z00_1940);
														}
														{	/* Globalize/loc2glo.scm 106 */
															obj_t BgL_arg1661z00_1946;

															BgL_arg1661z00_1946 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1932))))->
																BgL_accessz00);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1933)))->BgL_accessz00) =
																((obj_t) BgL_arg1661z00_1946), BUNSPEC);
														}
														BgL_arg1646z00_1931 = BgL_newz00_1933;
												}}
												BgL_newtail1397z00_1929 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1646z00_1931), BNIL);
											}
											SET_CDR(BgL_tail1396z00_1926, BgL_newtail1397z00_1929);
											{	/* Globalize/loc2glo.scm 97 */
												obj_t BgL_arg1645z00_1930;

												BgL_arg1645z00_1930 = CDR(((obj_t) BgL_l1393z00_1925));
												{
													obj_t BgL_tail1396z00_3132;
													obj_t BgL_l1393z00_3131;

													BgL_l1393z00_3131 = BgL_arg1645z00_1930;
													BgL_tail1396z00_3132 = BgL_newtail1397z00_1929;
													BgL_tail1396z00_1926 = BgL_tail1396z00_3132;
													BgL_l1393z00_1925 = BgL_l1393z00_3131;
													goto BgL_zc3z04anonymousza31641ze3z87_1927;
												}
											}
										}
								}
							}
						{	/* Globalize/loc2glo.scm 97 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1822;

							BgL_oldzd2funzd2_1822 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_6)))->BgL_valuez00);
							{	/* Globalize/loc2glo.scm 109 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1823;

								{	/* Globalize/loc2glo.scm 110 */
									BgL_sfunz00_bglt BgL_new1130z00_1906;

									{	/* Globalize/loc2glo.scm 111 */
										BgL_sfunz00_bglt BgL_new1144z00_1919;

										BgL_new1144z00_1919 =
											((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1639z00_1920;

											BgL_arg1639z00_1920 =
												BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1144z00_1919),
												BgL_arg1639z00_1920);
										}
										{	/* Globalize/loc2glo.scm 111 */
											BgL_objectz00_bglt BgL_tmpz00_3139;

											BgL_tmpz00_3139 =
												((BgL_objectz00_bglt) BgL_new1144z00_1919);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3139, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1144z00_1919);
										BgL_new1130z00_1906 = BgL_new1144z00_1919;
									}
									{
										long BgL_auxz00_3143;

										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1636z00_1907;

											BgL_arg1636z00_1907 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1822))))->
												BgL_arityz00);
											BgL_auxz00_3143 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1636z00_1907), BINT(((long) 1))));
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1130z00_1906)))->
												BgL_arityz00) = ((long) BgL_auxz00_3143), BUNSPEC);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_new1130z00_1906)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_argszd2noescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_argszd2noescapezd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1130z00_1906)))->BgL_argszd2retescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1822)))->
												BgL_argszd2retescapezd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_propertyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_argsz00) =
										((obj_t) MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_1819),
												BgL_newzd2argszd2_1821)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_strengthz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1130z00_1906))->
											BgL_stackablez00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1822))))->BgL_stackablez00)),
										BUNSPEC);
									BgL_newzd2funzd2_1823 = BgL_new1130z00_1906;
								}
								{	/* Globalize/loc2glo.scm 110 */

									{
										BgL_globalzf2ginfozf2_bglt BgL_auxz00_3236;

										{
											obj_t BgL_auxz00_3237;

											{	/* Globalize/loc2glo.scm 114 */
												BgL_objectz00_bglt BgL_tmpz00_3238;

												BgL_tmpz00_3238 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_5));
												BgL_auxz00_3237 = BGL_OBJECT_WIDENING(BgL_tmpz00_3238);
											}
											BgL_auxz00_3236 =
												((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3237);
										}
										((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3236))->
												BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 115 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1147z00_1826;

										BgL_wide1147z00_1826 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/loc2glo.scm 115 */
											obj_t BgL_auxz00_3248;
											BgL_objectz00_bglt BgL_tmpz00_3245;

											BgL_auxz00_3248 = ((obj_t) BgL_wide1147z00_1826);
											BgL_tmpz00_3245 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3245, BgL_auxz00_3248);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
										{	/* Globalize/loc2glo.scm 115 */
											long BgL_arg1484z00_1827;

											BgL_arg1484z00_1827 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) BgL_newzd2funzd2_1823)),
												BgL_arg1484z00_1827);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3259;

										{
											obj_t BgL_auxz00_3260;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3261;

												BgL_tmpz00_3261 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3260 = BGL_OBJECT_WIDENING(BgL_tmpz00_3261);
											}
											BgL_auxz00_3259 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3260);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3259))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3267;

										{
											obj_t BgL_auxz00_3268;

											{	/* Globalize/ginfo.scm 24 */
												BgL_objectz00_bglt BgL_tmpz00_3269;

												BgL_tmpz00_3269 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3268 = BGL_OBJECT_WIDENING(BgL_tmpz00_3269);
											}
											BgL_auxz00_3267 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3268);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3267))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3275;

										{
											obj_t BgL_auxz00_3276;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3277;

												BgL_tmpz00_3277 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3276 = BGL_OBJECT_WIDENING(BgL_tmpz00_3277);
											}
											BgL_auxz00_3275 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3276);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3275))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3283;

										{
											obj_t BgL_auxz00_3284;

											{	/* Globalize/ginfo.scm 28 */
												BgL_objectz00_bglt BgL_tmpz00_3285;

												BgL_tmpz00_3285 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3284 = BGL_OBJECT_WIDENING(BgL_tmpz00_3285);
											}
											BgL_auxz00_3283 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3284);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3283))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3291;

										{
											obj_t BgL_auxz00_3292;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3293;

												BgL_tmpz00_3293 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3292 = BGL_OBJECT_WIDENING(BgL_tmpz00_3293);
											}
											BgL_auxz00_3291 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3292);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3291))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3299;

										{
											obj_t BgL_auxz00_3300;

											{	/* Globalize/ginfo.scm 32 */
												BgL_objectz00_bglt BgL_tmpz00_3301;

												BgL_tmpz00_3301 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3300 = BGL_OBJECT_WIDENING(BgL_tmpz00_3301);
											}
											BgL_auxz00_3299 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3300);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3299))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3307;

										{
											obj_t BgL_auxz00_3308;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3309;

												BgL_tmpz00_3309 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3308 = BGL_OBJECT_WIDENING(BgL_tmpz00_3309);
											}
											BgL_auxz00_3307 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3308);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3307))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3315;

										{
											obj_t BgL_auxz00_3316;

											{	/* Globalize/ginfo.scm 36 */
												BgL_objectz00_bglt BgL_tmpz00_3317;

												BgL_tmpz00_3317 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3316 = BGL_OBJECT_WIDENING(BgL_tmpz00_3317);
											}
											BgL_auxz00_3315 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3316);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3315))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3323;

										{
											obj_t BgL_auxz00_3324;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3325;

												BgL_tmpz00_3325 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3324 = BGL_OBJECT_WIDENING(BgL_tmpz00_3325);
											}
											BgL_auxz00_3323 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3324);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3323))->
												BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3331;

										{
											obj_t BgL_auxz00_3332;

											{	/* Globalize/ginfo.scm 40 */
												BgL_objectz00_bglt BgL_tmpz00_3333;

												BgL_tmpz00_3333 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3332 = BGL_OBJECT_WIDENING(BgL_tmpz00_3333);
											}
											BgL_auxz00_3331 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3332);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3331))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3339;

										{
											obj_t BgL_auxz00_3340;

											{	/* Globalize/ginfo.scm 42 */
												BgL_objectz00_bglt BgL_tmpz00_3341;

												BgL_tmpz00_3341 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3340 = BGL_OBJECT_WIDENING(BgL_tmpz00_3341);
											}
											BgL_auxz00_3339 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3340);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3339))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3347;

										{
											obj_t BgL_auxz00_3348;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3349;

												BgL_tmpz00_3349 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3348 = BGL_OBJECT_WIDENING(BgL_tmpz00_3349);
											}
											BgL_auxz00_3347 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3348);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3347))->
												BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3355;

										{
											obj_t BgL_auxz00_3356;

											{	/* Globalize/ginfo.scm 46 */
												BgL_objectz00_bglt BgL_tmpz00_3357;

												BgL_tmpz00_3357 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3356 = BGL_OBJECT_WIDENING(BgL_tmpz00_3357);
											}
											BgL_auxz00_3355 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3356);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3355))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3363;

										{
											obj_t BgL_auxz00_3364;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3365;

												BgL_tmpz00_3365 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3364 = BGL_OBJECT_WIDENING(BgL_tmpz00_3365);
											}
											BgL_auxz00_3363 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3364);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3363))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3371;

										{
											obj_t BgL_auxz00_3372;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3373;

												BgL_tmpz00_3373 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3372 = BGL_OBJECT_WIDENING(BgL_tmpz00_3373);
											}
											BgL_auxz00_3371 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3372);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3371))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3379;

										{
											obj_t BgL_auxz00_3380;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3381;

												BgL_tmpz00_3381 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3380 = BGL_OBJECT_WIDENING(BgL_tmpz00_3381);
											}
											BgL_auxz00_3379 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3380);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3379))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3387;

										{
											obj_t BgL_auxz00_3388;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3389;

												BgL_tmpz00_3389 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3388 = BGL_OBJECT_WIDENING(BgL_tmpz00_3389);
											}
											BgL_auxz00_3387 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3388);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3387))->
												BgL_bmarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3395;

										{
											obj_t BgL_auxz00_3396;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3397;

												BgL_tmpz00_3397 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3396 = BGL_OBJECT_WIDENING(BgL_tmpz00_3397);
											}
											BgL_auxz00_3395 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3396);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3395))->
												BgL_umarkz00) = ((long) ((long) -10)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3403;

										{
											obj_t BgL_auxz00_3404;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3405;

												BgL_tmpz00_3405 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3404 = BGL_OBJECT_WIDENING(BgL_tmpz00_3405);
											}
											BgL_auxz00_3403 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3404);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3403))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3411;

										{
											obj_t BgL_auxz00_3412;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3413;

												BgL_tmpz00_3413 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823));
												BgL_auxz00_3412 = BGL_OBJECT_WIDENING(BgL_tmpz00_3413);
											}
											BgL_auxz00_3411 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3412);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3411))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) BgL_newzd2funzd2_1823);
									{	/* Globalize/loc2glo.scm 117 */
										BgL_svarz00_bglt BgL_tmp1149z00_1829;

										BgL_tmp1149z00_1829 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_envz00_1819)))->
												BgL_valuez00));
										{	/* Globalize/loc2glo.scm 117 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1151z00_1831;

											BgL_wide1151z00_1831 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 117 */
												obj_t BgL_auxz00_3427;
												BgL_objectz00_bglt BgL_tmpz00_3424;

												BgL_auxz00_3427 = ((obj_t) BgL_wide1151z00_1831);
												BgL_tmpz00_3424 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3424,
													BgL_auxz00_3427);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
											{	/* Globalize/loc2glo.scm 117 */
												long BgL_arg1496z00_1832;

												BgL_arg1496z00_1832 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1149z00_1829)),
													BgL_arg1496z00_1832);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3438;

											{
												obj_t BgL_auxz00_3439;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3440;

													BgL_tmpz00_3440 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3439 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3440);
												}
												BgL_auxz00_3438 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3439);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3438))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3446;

											{
												obj_t BgL_auxz00_3447;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3448;

													BgL_tmpz00_3448 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3447 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3448);
												}
												BgL_auxz00_3446 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3447);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3446))->
													BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3454;

											{
												obj_t BgL_auxz00_3455;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3456;

													BgL_tmpz00_3456 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3455 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3456);
												}
												BgL_auxz00_3454 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3455);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3454))->
													BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3462;

											{
												obj_t BgL_auxz00_3463;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3464;

													BgL_tmpz00_3464 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3463 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3464);
												}
												BgL_auxz00_3462 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3463);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3462))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3470;

											{
												obj_t BgL_auxz00_3471;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3472;

													BgL_tmpz00_3472 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1149z00_1829));
													BgL_auxz00_3471 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3472);
												}
												BgL_auxz00_3470 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3471);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3470))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1149z00_1829);
									}
									{	/* Globalize/loc2glo.scm 118 */
										obj_t BgL_arg1506z00_1834;

										{	/* Globalize/loc2glo.scm 118 */
											BgL_typez00_bglt BgL_arg1510z00_1835;

											BgL_arg1510z00_1835 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_6)))->
												BgL_typez00);
											if (CBOOL
												(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1506z00_1834 = ((obj_t) BgL_arg1510z00_1835);
												}
											else
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1506z00_1834 = BGl_za2objza2z00zztype_cachez00;
												}
										}
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_5)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1506z00_1834)), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) ((obj_t) BgL_localz00_6)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 121 */
										obj_t BgL_nargsz00_1836;

										BgL_nargsz00_1836 =
											CDR(
											(((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
												BgL_argsz00));
										{	/* Globalize/loc2glo.scm 122 */
											bool_t BgL_test1964z00_3491;

											if (BGl_localzd2iszd2methodzf3zf3zzobject_methodz00
												(BgL_localz00_6))
												{	/* Globalize/loc2glo.scm 123 */
													obj_t BgL_arg1581z00_1875;

													BgL_arg1581z00_1875 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test1964z00_3491 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1581z00_1875)))->
														BgL_typedzd2funcallzd2);
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													BgL_test1964z00_3491 = ((bool_t) 0);
												}
											if (BgL_test1964z00_3491)
												{	/* Globalize/loc2glo.scm 122 */
													{	/* Globalize/loc2glo.scm 128 */
														obj_t BgL_arg1523z00_1840;
														BgL_typez00_bglt BgL_arg1524z00_1841;

														BgL_arg1523z00_1840 =
															CAR(((obj_t) BgL_nargsz00_1836));
														BgL_arg1524z00_1841 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_argsz00_7))))))->
															BgL_typez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt) (
																				(BgL_localz00_bglt)
																				BgL_arg1523z00_1840))))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_arg1524z00_1841),
															BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 129 */
														obj_t BgL_g1401z00_1843;
														obj_t BgL_g1402z00_1844;

														BgL_g1401z00_1843 =
															CDR(((obj_t) BgL_nargsz00_1836));
														BgL_g1402z00_1844 = CDR(((obj_t) BgL_argsz00_7));
														{
															obj_t BgL_ll1398z00_1846;
															obj_t BgL_ll1399z00_1847;

															BgL_ll1398z00_1846 = BgL_g1401z00_1843;
															BgL_ll1399z00_1847 = BgL_g1402z00_1844;
														BgL_zc3z04anonymousza31527ze3z87_1848:
															if (NULLP(BgL_ll1398z00_1846))
																{	/* Globalize/loc2glo.scm 134 */
																	((bool_t) 1);
																}
															else
																{	/* Globalize/loc2glo.scm 134 */
																	{	/* Globalize/loc2glo.scm 130 */
																		obj_t BgL_nz00_1850;
																		obj_t BgL_oz00_1851;

																		BgL_nz00_1850 =
																			CAR(((obj_t) BgL_ll1398z00_1846));
																		BgL_oz00_1851 =
																			CAR(((obj_t) BgL_ll1399z00_1847));
																		{	/* Globalize/loc2glo.scm 130 */
																			bool_t BgL_test1967z00_3517;

																			{	/* Globalize/loc2glo.scm 130 */
																				bool_t BgL_test1968z00_3518;

																				{	/* Globalize/loc2glo.scm 130 */
																					BgL_typez00_bglt BgL_arg1567z00_1863;

																					BgL_arg1567z00_1863 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1851))))->
																						BgL_typez00);
																					BgL_test1968z00_3518 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg1567z00_1863);
																				}
																				if (BgL_test1968z00_3518)
																					{	/* Globalize/loc2glo.scm 131 */
																						bool_t BgL_test1969z00_3523;

																						{	/* Globalize/loc2glo.scm 131 */
																							BgL_typez00_bglt
																								BgL_arg1565z00_1862;
																							BgL_arg1565z00_1862 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												BgL_oz00_1851))))->
																								BgL_typez00);
																							BgL_test1969z00_3523 =
																								(((obj_t) BgL_arg1565z00_1862)
																								==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL_test1969z00_3523)
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1967z00_3517 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1967z00_3517 =
																									((bool_t) 1);
																							}
																					}
																				else
																					{	/* Globalize/loc2glo.scm 130 */
																						BgL_test1967z00_3517 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1967z00_3517)
																				{	/* Globalize/loc2glo.scm 132 */
																					BgL_typez00_bglt BgL_arg1561z00_1859;

																					BgL_arg1561z00_1859 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1851))))->
																						BgL_typez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1850))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_arg1561z00_1859), BUNSPEC);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 133 */
																					BgL_typez00_bglt BgL_vz00_2519;

																					BgL_vz00_2519 =
																						((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1850))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_2519),
																						BUNSPEC);
																				}
																		}
																	}
																	{	/* Globalize/loc2glo.scm 134 */
																		obj_t BgL_arg1570z00_1864;
																		obj_t BgL_arg1572z00_1865;

																		BgL_arg1570z00_1864 =
																			CDR(((obj_t) BgL_ll1398z00_1846));
																		BgL_arg1572z00_1865 =
																			CDR(((obj_t) BgL_ll1399z00_1847));
																		{
																			obj_t BgL_ll1399z00_3544;
																			obj_t BgL_ll1398z00_3543;

																			BgL_ll1398z00_3543 = BgL_arg1570z00_1864;
																			BgL_ll1399z00_3544 = BgL_arg1572z00_1865;
																			BgL_ll1399z00_1847 = BgL_ll1399z00_3544;
																			BgL_ll1398z00_1846 = BgL_ll1398z00_3543;
																			goto
																				BgL_zc3z04anonymousza31527ze3z87_1848;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													if (CBOOL
														(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
														{	/* Globalize/loc2glo.scm 135 */
															((bool_t) 0);
														}
													else
														{
															obj_t BgL_l1403z00_1868;

															BgL_l1403z00_1868 = BgL_nargsz00_1836;
														BgL_zc3z04anonymousza31573ze3z87_1869:
															if (PAIRP(BgL_l1403z00_1868))
																{	/* Globalize/loc2glo.scm 136 */
																	{	/* Globalize/loc2glo.scm 137 */
																		obj_t BgL_lz00_1871;

																		BgL_lz00_1871 = CAR(BgL_l1403z00_1868);
																		{	/* Globalize/loc2glo.scm 137 */
																			BgL_typez00_bglt BgL_vz00_2524;

																			BgL_vz00_2524 =
																				((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00);
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_lz00_1871))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_2524),
																				BUNSPEC);
																		}
																	}
																	{
																		obj_t BgL_l1403z00_3554;

																		BgL_l1403z00_3554 = CDR(BgL_l1403z00_1868);
																		BgL_l1403z00_1868 = BgL_l1403z00_3554;
																		goto BgL_zc3z04anonymousza31573ze3z87_1869;
																	}
																}
															else
																{	/* Globalize/loc2glo.scm 136 */
																	((bool_t) 1);
																}
														}
												}
										}
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_5)))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1823)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 145 */
										BgL_nodez00_bglt BgL_arg1588z00_1877;

										{	/* Globalize/loc2glo.scm 145 */
											BgL_nodez00_bglt BgL_arg1590z00_1878;

											{	/* Globalize/loc2glo.scm 145 */
												obj_t BgL_arg1598z00_1879;

												{	/* Globalize/loc2glo.scm 145 */
													obj_t BgL_arg1599z00_1880;
													obj_t BgL_arg1600z00_1881;

													{	/* Globalize/loc2glo.scm 145 */
														obj_t BgL_arg1610z00_1882;

														BgL_arg1610z00_1882 =
															BGl_thezd2closurezd2zzglobaliza7e_freeza7(
															((BgL_variablez00_bglt) BgL_localz00_6), BFALSE);
														BgL_arg1599z00_1880 =
															MAKE_YOUNG_PAIR(BgL_arg1610z00_1882,
															((obj_t) BgL_envz00_1819));
													}
													if (NULLP(BgL_kapturedz00_8))
														{	/* Globalize/loc2glo.scm 146 */
															BgL_arg1600z00_1881 = BNIL;
														}
													else
														{	/* Globalize/loc2glo.scm 146 */
															obj_t BgL_head1407z00_1886;

															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_arg1630z00_1902;

																{	/* Globalize/loc2glo.scm 146 */
																	obj_t BgL_arg1632z00_1903;
																	obj_t BgL_arg1635z00_1904;

																	BgL_arg1632z00_1903 =
																		CAR(((obj_t) BgL_kapturedz00_8));
																	BgL_arg1635z00_1904 =
																		CAR(((obj_t) BgL_newzd2freezd2_1820));
																	BgL_arg1630z00_1902 =
																		MAKE_YOUNG_PAIR(BgL_arg1632z00_1903,
																		BgL_arg1635z00_1904);
																}
																BgL_head1407z00_1886 =
																	MAKE_YOUNG_PAIR(BgL_arg1630z00_1902, BNIL);
															}
															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_g1411z00_1887;
																obj_t BgL_g1412z00_1888;

																BgL_g1411z00_1887 =
																	CDR(((obj_t) BgL_kapturedz00_8));
																BgL_g1412z00_1888 =
																	CDR(((obj_t) BgL_newzd2freezd2_1820));
																{
																	obj_t BgL_ll1405z00_1890;
																	obj_t BgL_ll1406z00_1891;
																	obj_t BgL_tail1408z00_1892;

																	BgL_ll1405z00_1890 = BgL_g1411z00_1887;
																	BgL_ll1406z00_1891 = BgL_g1412z00_1888;
																	BgL_tail1408z00_1892 = BgL_head1407z00_1886;
																BgL_zc3z04anonymousza31612ze3z87_1893:
																	if (NULLP(BgL_ll1405z00_1890))
																		{	/* Globalize/loc2glo.scm 146 */
																			BgL_arg1600z00_1881 =
																				BgL_head1407z00_1886;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 146 */
																			obj_t BgL_newtail1409z00_1895;

																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1616z00_1898;

																				{	/* Globalize/loc2glo.scm 146 */
																					obj_t BgL_arg1625z00_1899;
																					obj_t BgL_arg1629z00_1900;

																					BgL_arg1625z00_1899 =
																						CAR(((obj_t) BgL_ll1405z00_1890));
																					BgL_arg1629z00_1900 =
																						CAR(((obj_t) BgL_ll1406z00_1891));
																					BgL_arg1616z00_1898 =
																						MAKE_YOUNG_PAIR(BgL_arg1625z00_1899,
																						BgL_arg1629z00_1900);
																				}
																				BgL_newtail1409z00_1895 =
																					MAKE_YOUNG_PAIR(BgL_arg1616z00_1898,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1408z00_1892,
																				BgL_newtail1409z00_1895);
																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1614z00_1896;
																				obj_t BgL_arg1615z00_1897;

																				BgL_arg1614z00_1896 =
																					CDR(((obj_t) BgL_ll1405z00_1890));
																				BgL_arg1615z00_1897 =
																					CDR(((obj_t) BgL_ll1406z00_1891));
																				{
																					obj_t BgL_tail1408z00_3590;
																					obj_t BgL_ll1406z00_3589;
																					obj_t BgL_ll1405z00_3588;

																					BgL_ll1405z00_3588 =
																						BgL_arg1614z00_1896;
																					BgL_ll1406z00_3589 =
																						BgL_arg1615z00_1897;
																					BgL_tail1408z00_3590 =
																						BgL_newtail1409z00_1895;
																					BgL_tail1408z00_1892 =
																						BgL_tail1408z00_3590;
																					BgL_ll1406z00_1891 =
																						BgL_ll1406z00_3589;
																					BgL_ll1405z00_1890 =
																						BgL_ll1405z00_3588;
																					goto
																						BgL_zc3z04anonymousza31612ze3z87_1893;
																				}
																			}
																		}
																}
															}
														}
													BgL_arg1598z00_1879 =
														MAKE_YOUNG_PAIR(BgL_arg1599z00_1880,
														BgL_arg1600z00_1881);
												}
												BgL_arg1590z00_1878 =
													BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
													((BgL_nodez00_bglt) BgL_bodyz00_9),
													((BgL_variablez00_bglt) BgL_localz00_6),
													BgL_arg1598z00_1879);
											}
											BgL_arg1588z00_1877 =
												BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
												(BgL_localz00_6, BgL_globalz00_5,
												BgL_newzd2argszd2_1821, BgL_newzd2freezd2_1820,
												BgL_envz00_1819, BgL_arg1590z00_1878);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1823))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1588z00_1877)), BUNSPEC);
									}
									return BgL_globalz00_5;
								}
							}
						}
					}
				}
			}
		}

	}



/* make-escaping-body */
	BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt BgL_localz00_10, BgL_globalz00_bglt BgL_globalz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_kapturedz00_13,
		BgL_localz00_bglt BgL_envz00_14, BgL_nodez00_bglt BgL_bodyz00_15)
	{
		{	/* Globalize/loc2glo.scm 152 */
			{	/* Globalize/loc2glo.scm 153 */
				obj_t BgL_stackz00_1978;
				obj_t BgL_locz00_1979;

				{	/* Globalize/loc2glo.scm 153 */
					obj_t BgL_list1754z00_2032;

					BgL_list1754z00_2032 = MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_14), BNIL);
					BgL_stackz00_1978 = BgL_list1754z00_2032;
				}
				BgL_locz00_1979 =
					(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_15))->BgL_locz00);
				{	/* Globalize/loc2glo.scm 155 */
					BgL_valuez00_bglt BgL_arg1692z00_1980;

					BgL_arg1692z00_1980 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_valuez00);
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1692z00_1980)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_bodyz00_15)), BUNSPEC);
				}
				{	/* Globalize/loc2glo.scm 156 */
					BgL_letzd2varzd2_bglt BgL_new1154z00_1981;

					{	/* Globalize/loc2glo.scm 157 */
						BgL_letzd2varzd2_bglt BgL_new1153z00_2030;

						BgL_new1153z00_2030 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Globalize/loc2glo.scm 157 */
							long BgL_arg1753z00_2031;

							BgL_arg1753z00_2031 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1153z00_2030),
								BgL_arg1753z00_2031);
						}
						{	/* Globalize/loc2glo.scm 157 */
							BgL_objectz00_bglt BgL_tmpz00_3610;

							BgL_tmpz00_3610 = ((BgL_objectz00_bglt) BgL_new1153z00_2030);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3610, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1153z00_2030);
						BgL_new1154z00_1981 = BgL_new1153z00_2030;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1154z00_1981)))->BgL_locz00) =
						((obj_t) BgL_locz00_1979), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3616;

						{	/* Globalize/loc2glo.scm 158 */
							BgL_typez00_bglt BgL_arg1696z00_1982;

							BgL_arg1696z00_1982 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_typez00);
							BgL_auxz00_3616 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1696z00_1982,
								((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1154z00_1981)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_3616), BUNSPEC);
					}
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt) BgL_new1154z00_1981)))->
							BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1154z00_1981)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3628;

						{
							obj_t BgL_kapturedz00_1985;
							long BgL_numz00_1986;
							obj_t BgL_resz00_1987;

							BgL_kapturedz00_1985 = BgL_kapturedz00_13;
							BgL_numz00_1986 = ((long) 0);
							BgL_resz00_1987 = BNIL;
						BgL_zc3z04anonymousza31697ze3z87_1988:
							if (NULLP(BgL_kapturedz00_1985))
								{	/* Globalize/loc2glo.scm 162 */
									BgL_auxz00_3628 = bgl_reverse_bang(BgL_resz00_1987);
								}
							else
								{	/* Globalize/loc2glo.scm 164 */
									obj_t BgL_arg1705z00_1990;
									long BgL_arg1711z00_1991;
									obj_t BgL_arg1712z00_1992;

									BgL_arg1705z00_1990 = CDR(((obj_t) BgL_kapturedz00_1985));
									BgL_arg1711z00_1991 = (BgL_numz00_1986 + ((long) 1));
									{	/* Globalize/loc2glo.scm 166 */
										obj_t BgL_arg1720z00_1993;

										{	/* Globalize/loc2glo.scm 166 */
											obj_t BgL_arg1721z00_1994;
											BgL_nodez00_bglt BgL_arg1723z00_1995;

											BgL_arg1721z00_1994 = CAR(((obj_t) BgL_kapturedz00_1985));
											{	/* Globalize/loc2glo.scm 168 */
												obj_t BgL_arg1728z00_1996;

												{	/* Globalize/loc2glo.scm 168 */
													obj_t BgL_arg1730z00_1997;

													{	/* Globalize/loc2glo.scm 168 */
														obj_t BgL_arg1731z00_1998;

														BgL_arg1731z00_1998 =
															MAKE_YOUNG_PAIR(BINT(BgL_numz00_1986), BNIL);
														BgL_arg1730z00_1997 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
															BgL_arg1731z00_1998);
													}
													BgL_arg1728z00_1996 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
														BgL_arg1730z00_1997);
												}
												BgL_arg1723z00_1995 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1728z00_1996, BgL_stackz00_1978,
													BgL_locz00_1979, CNST_TABLE_REF(((long) 2)));
											}
											BgL_arg1720z00_1993 =
												MAKE_YOUNG_PAIR(BgL_arg1721z00_1994,
												((obj_t) BgL_arg1723z00_1995));
										}
										BgL_arg1712z00_1992 =
											MAKE_YOUNG_PAIR(BgL_arg1720z00_1993, BgL_resz00_1987);
									}
									{
										obj_t BgL_resz00_3650;
										long BgL_numz00_3649;
										obj_t BgL_kapturedz00_3648;

										BgL_kapturedz00_3648 = BgL_arg1705z00_1990;
										BgL_numz00_3649 = BgL_arg1711z00_1991;
										BgL_resz00_3650 = BgL_arg1712z00_1992;
										BgL_resz00_1987 = BgL_resz00_3650;
										BgL_numz00_1986 = BgL_numz00_3649;
										BgL_kapturedz00_1985 = BgL_kapturedz00_3648;
										goto BgL_zc3z04anonymousza31697ze3z87_1988;
									}
								}
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_3628), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3652;

						{	/* Globalize/loc2glo.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1158z00_2000;

							{	/* Globalize/loc2glo.scm 174 */
								BgL_letzd2funzd2_bglt BgL_new1156z00_2028;

								BgL_new1156z00_2028 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Globalize/loc2glo.scm 174 */
									long BgL_arg1752z00_2029;

									{	/* Globalize/loc2glo.scm 174 */
										obj_t BgL_classz00_2550;

										BgL_classz00_2550 = BGl_letzd2funzd2zzast_nodez00;
										BgL_arg1752z00_2029 = BGL_CLASS_NUM(BgL_classz00_2550);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1156z00_2028),
										BgL_arg1752z00_2029);
								}
								{	/* Globalize/loc2glo.scm 174 */
									BgL_objectz00_bglt BgL_tmpz00_3657;

									BgL_tmpz00_3657 = ((BgL_objectz00_bglt) BgL_new1156z00_2028);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3657, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1156z00_2028);
								BgL_new1158z00_2000 = BgL_new1156z00_2028;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1158z00_2000)))->BgL_locz00) =
								((obj_t) BgL_locz00_1979), BUNSPEC);
							{
								BgL_typez00_bglt BgL_auxz00_3663;

								{	/* Globalize/loc2glo.scm 175 */
									BgL_typez00_bglt BgL_arg1734z00_2001;

									BgL_arg1734z00_2001 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_10)))->
										BgL_typez00);
									BgL_auxz00_3663 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg1734z00_2001,
										((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1158z00_2000)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3663), BUNSPEC);
							}
							((((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_new1158z00_2000)))->
									BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_2000)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							{
								obj_t BgL_auxz00_3675;

								{	/* Globalize/loc2glo.scm 176 */
									obj_t BgL_list1735z00_2002;

									BgL_list1735z00_2002 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_10), BNIL);
									BgL_auxz00_3675 = BgL_list1735z00_2002;
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1158z00_2000))->
										BgL_localsz00) = ((obj_t) BgL_auxz00_3675), BUNSPEC);
							}
							{
								BgL_nodez00_bglt BgL_auxz00_3679;

								{	/* Globalize/loc2glo.scm 177 */
									BgL_appz00_bglt BgL_new1160z00_2003;

									{	/* Globalize/loc2glo.scm 178 */
										BgL_appz00_bglt BgL_new1159z00_2026;

										BgL_new1159z00_2026 =
											((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_appz00_bgl))));
										{	/* Globalize/loc2glo.scm 178 */
											long BgL_arg1751z00_2027;

											{	/* Globalize/loc2glo.scm 178 */
												obj_t BgL_classz00_2556;

												BgL_classz00_2556 = BGl_appz00zzast_nodez00;
												BgL_arg1751z00_2027 = BGL_CLASS_NUM(BgL_classz00_2556);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1159z00_2026),
												BgL_arg1751z00_2027);
										}
										{	/* Globalize/loc2glo.scm 178 */
											BgL_objectz00_bglt BgL_tmpz00_3684;

											BgL_tmpz00_3684 =
												((BgL_objectz00_bglt) BgL_new1159z00_2026);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3684, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1159z00_2026);
										BgL_new1160z00_2003 = BgL_new1159z00_2026;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1160z00_2003)))->
											BgL_locz00) = ((obj_t) BgL_locz00_1979), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_3690;

										{	/* Globalize/loc2glo.scm 179 */
											BgL_typez00_bglt BgL_arg1736z00_2004;

											BgL_arg1736z00_2004 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_10)))->
												BgL_typez00);
											BgL_auxz00_3690 =
												BGl_strictzd2nodezd2typez00zzast_nodez00
												(BgL_arg1736z00_2004,
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1160z00_2003)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_3690), BUNSPEC);
									}
									((((BgL_nodezf2effectzf2_bglt) COBJECT(
													((BgL_nodezf2effectzf2_bglt) BgL_new1160z00_2003)))->
											BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1160z00_2003)))->BgL_keyz00) =
										((obj_t) BINT(((long) -1))), BUNSPEC);
									{
										BgL_varz00_bglt BgL_auxz00_3702;

										{	/* Globalize/loc2glo.scm 180 */
											BgL_refz00_bglt BgL_new1162z00_2005;

											{	/* Globalize/loc2glo.scm 181 */
												BgL_refz00_bglt BgL_new1161z00_2007;

												BgL_new1161z00_2007 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Globalize/loc2glo.scm 181 */
													long BgL_arg1741z00_2008;

													{	/* Globalize/loc2glo.scm 181 */
														obj_t BgL_classz00_2561;

														BgL_classz00_2561 = BGl_refz00zzast_nodez00;
														BgL_arg1741z00_2008 =
															BGL_CLASS_NUM(BgL_classz00_2561);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1161z00_2007),
														BgL_arg1741z00_2008);
												}
												{	/* Globalize/loc2glo.scm 181 */
													BgL_objectz00_bglt BgL_tmpz00_3707;

													BgL_tmpz00_3707 =
														((BgL_objectz00_bglt) BgL_new1161z00_2007);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3707, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1161z00_2007);
												BgL_new1162z00_2005 = BgL_new1161z00_2007;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1162z00_2005)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1979), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_3713;

												{	/* Globalize/loc2glo.scm 183 */
													BgL_typez00_bglt BgL_arg1738z00_2006;

													BgL_arg1738z00_2006 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_localz00_10)))->
														BgL_typez00);
													BgL_auxz00_3713 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1738z00_2006,
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1162z00_2005)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_3713), BUNSPEC);
											}
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_new1162z00_2005)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_localz00_10)), BUNSPEC);
											BgL_auxz00_3702 = ((BgL_varz00_bglt) BgL_new1162z00_2005);
										}
										((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
												BgL_funz00) =
											((BgL_varz00_bglt) BgL_auxz00_3702), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_3725;

										if (NULLP(BgL_argsz00_12))
											{	/* Globalize/loc2glo.scm 185 */
												BgL_auxz00_3725 = BNIL;
											}
										else
											{	/* Globalize/loc2glo.scm 185 */
												obj_t BgL_head1415z00_2011;

												BgL_head1415z00_2011 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1413z00_2013;
													obj_t BgL_tail1416z00_2014;

													BgL_l1413z00_2013 = BgL_argsz00_12;
													BgL_tail1416z00_2014 = BgL_head1415z00_2011;
												BgL_zc3z04anonymousza31743ze3z87_2015:
													if (NULLP(BgL_l1413z00_2013))
														{	/* Globalize/loc2glo.scm 185 */
															BgL_auxz00_3725 = CDR(BgL_head1415z00_2011);
														}
													else
														{	/* Globalize/loc2glo.scm 185 */
															obj_t BgL_newtail1417z00_2017;

															{	/* Globalize/loc2glo.scm 185 */
																BgL_refz00_bglt BgL_arg1746z00_2019;

																{	/* Globalize/loc2glo.scm 185 */
																	obj_t BgL_vz00_2020;

																	BgL_vz00_2020 =
																		CAR(((obj_t) BgL_l1413z00_2013));
																	{	/* Globalize/loc2glo.scm 186 */
																		BgL_refz00_bglt BgL_new1164z00_2021;

																		{	/* Globalize/loc2glo.scm 190 */
																			BgL_refz00_bglt BgL_new1163z00_2023;

																			BgL_new1163z00_2023 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Globalize/loc2glo.scm 190 */
																				long BgL_arg1750z00_2024;

																				{	/* Globalize/loc2glo.scm 190 */
																					obj_t BgL_classz00_2568;

																					BgL_classz00_2568 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1750z00_2024 =
																						BGL_CLASS_NUM(BgL_classz00_2568);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1163z00_2023),
																					BgL_arg1750z00_2024);
																			}
																			{	/* Globalize/loc2glo.scm 190 */
																				BgL_objectz00_bglt BgL_tmpz00_3738;

																				BgL_tmpz00_3738 =
																					((BgL_objectz00_bglt)
																					BgL_new1163z00_2023);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3738,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1163z00_2023);
																			BgL_new1164z00_2021 = BgL_new1163z00_2023;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1164z00_2021)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1979), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_3744;

																			{	/* Globalize/loc2glo.scm 189 */
																				BgL_typez00_bglt BgL_arg1749z00_2022;

																				BgL_arg1749z00_2022 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_vz00_2020)))->BgL_typez00);
																				BgL_auxz00_3744 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1749z00_2022,
																					((BgL_typez00_bglt)
																						BGl_za2_za2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1164z00_2021)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_3744),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_new1164z00_2021)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_vz00_2020)), BUNSPEC);
																		BgL_arg1746z00_2019 = BgL_new1164z00_2021;
																}}
																BgL_newtail1417z00_2017 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1746z00_2019), BNIL);
															}
															SET_CDR(BgL_tail1416z00_2014,
																BgL_newtail1417z00_2017);
															{	/* Globalize/loc2glo.scm 185 */
																obj_t BgL_arg1745z00_2018;

																BgL_arg1745z00_2018 =
																	CDR(((obj_t) BgL_l1413z00_2013));
																{
																	obj_t BgL_tail1416z00_3760;
																	obj_t BgL_l1413z00_3759;

																	BgL_l1413z00_3759 = BgL_arg1745z00_2018;
																	BgL_tail1416z00_3760 =
																		BgL_newtail1417z00_2017;
																	BgL_tail1416z00_2014 = BgL_tail1416z00_3760;
																	BgL_l1413z00_2013 = BgL_l1413z00_3759;
																	goto BgL_zc3z04anonymousza31743ze3z87_2015;
																}
															}
														}
												}
											}
										((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_3725), BUNSPEC);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_2003))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
									BgL_auxz00_3679 = ((BgL_nodez00_bglt) BgL_new1160z00_2003);
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1158z00_2000))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) BgL_auxz00_3679), BUNSPEC);
							}
							BgL_auxz00_3652 = ((BgL_nodez00_bglt) BgL_new1158z00_2000);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3652), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1154z00_1981))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1154z00_1981);
				}
			}
		}

	}



/* fix-non-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_16, BgL_localz00_bglt BgL_localz00_17,
		obj_t BgL_argsz00_18, obj_t BgL_kapturedz00_19, obj_t BgL_bodyz00_20)
	{
		{	/* Globalize/loc2glo.scm 196 */
			{	/* Globalize/loc2glo.scm 197 */
				obj_t BgL_addzd2argszd2_2033;

				if (NULLP(BgL_kapturedz00_19))
					{	/* Globalize/loc2glo.scm 197 */
						BgL_addzd2argszd2_2033 = BNIL;
					}
				else
					{	/* Globalize/loc2glo.scm 197 */
						obj_t BgL_head1420z00_2083;

						BgL_head1420z00_2083 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1418z00_2085;
							obj_t BgL_tail1421z00_2086;

							BgL_l1418z00_2085 = BgL_kapturedz00_19;
							BgL_tail1421z00_2086 = BgL_head1420z00_2083;
						BgL_zc3z04anonymousza31815ze3z87_2087:
							if (NULLP(BgL_l1418z00_2085))
								{	/* Globalize/loc2glo.scm 197 */
									BgL_addzd2argszd2_2033 = CDR(BgL_head1420z00_2083);
								}
							else
								{	/* Globalize/loc2glo.scm 197 */
									obj_t BgL_newtail1422z00_2089;

									{	/* Globalize/loc2glo.scm 197 */
										BgL_localz00_bglt BgL_arg1819z00_2091;

										{	/* Globalize/loc2glo.scm 197 */
											obj_t BgL_oldz00_2092;

											BgL_oldz00_2092 = CAR(((obj_t) BgL_l1418z00_2085));
											{	/* Globalize/loc2glo.scm 200 */
												BgL_localz00_bglt BgL_newz00_2093;

												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_arg1833z00_2106;
													BgL_typez00_bglt BgL_arg1835z00_2107;

													BgL_arg1833z00_2106 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_idz00);
													BgL_arg1835z00_2107 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) (
																		(BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_typez00);
													BgL_newz00_2093 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1833z00_2106, BgL_arg1835z00_2107);
												}
												{	/* Globalize/loc2glo.scm 203 */
													bool_t BgL_arg1821z00_2094;

													BgL_arg1821z00_2094 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_userzf3zf3);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_newz00_2093)))->BgL_userzf3zf3) =
														((bool_t) BgL_arg1821z00_2094), BUNSPEC);
												}
												{	/* Globalize/loc2glo.scm 204 */
													BgL_localzf2ginfozf2_bglt BgL_wide1167z00_2097;

													BgL_wide1167z00_2097 =
														((BgL_localzf2ginfozf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_localzf2ginfozf2_bgl))));
													{	/* Globalize/loc2glo.scm 204 */
														obj_t BgL_auxz00_3793;
														BgL_objectz00_bglt BgL_tmpz00_3790;

														BgL_auxz00_3793 = ((obj_t) BgL_wide1167z00_2097);
														BgL_tmpz00_3790 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_2093));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3790,
															BgL_auxz00_3793);
													}
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2093));
													{	/* Globalize/loc2glo.scm 204 */
														long BgL_arg1822z00_2098;

														BgL_arg1822z00_2098 =
															BGL_CLASS_NUM
															(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_localz00_bglt) BgL_newz00_2093)),
															BgL_arg1822z00_2098);
													}
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2093));
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3804;

													{
														obj_t BgL_auxz00_3805;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3806;

															BgL_tmpz00_3806 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2093));
															BgL_auxz00_3805 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3806);
														}
														BgL_auxz00_3804 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3805);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3804))->BgL_escapezf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3812;

													{
														obj_t BgL_auxz00_3813;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3814;

															BgL_tmpz00_3814 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2093));
															BgL_auxz00_3813 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3814);
														}
														BgL_auxz00_3812 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3813);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3812))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												((BgL_localz00_bglt) BgL_newz00_2093);
												{	/* Globalize/loc2glo.scm 205 */
													BgL_svarz00_bglt BgL_tmp1169z00_2100;

													BgL_tmp1169z00_2100 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_newz00_2093)))->
															BgL_valuez00));
													{	/* Globalize/loc2glo.scm 205 */
														BgL_svarzf2ginfozf2_bglt BgL_wide1171z00_2102;

														BgL_wide1171z00_2102 =
															((BgL_svarzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_svarzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 205 */
															obj_t BgL_auxz00_3828;
															BgL_objectz00_bglt BgL_tmpz00_3825;

															BgL_auxz00_3828 = ((obj_t) BgL_wide1171z00_2102);
															BgL_tmpz00_3825 =
																((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3825,
																BgL_auxz00_3828);
														}
														((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
														{	/* Globalize/loc2glo.scm 205 */
															long BgL_arg1830z00_2103;

															BgL_arg1830z00_2103 =
																BGL_CLASS_NUM
																(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_svarz00_bglt) BgL_tmp1169z00_2100)),
																BgL_arg1830z00_2103);
														}
														((BgL_svarz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3839;

														{
															obj_t BgL_auxz00_3840;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3841;

																BgL_tmpz00_3841 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3840 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3841);
															}
															BgL_auxz00_3839 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3840);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3839))->
																BgL_kapturedzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3847;

														{
															obj_t BgL_auxz00_3848;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3849;

																BgL_tmpz00_3849 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3848 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3849);
															}
															BgL_auxz00_3847 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3848);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3847))->
																BgL_freezd2markzd2) =
															((long) ((long) -10)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3855;

														{
															obj_t BgL_auxz00_3856;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3857;

																BgL_tmpz00_3857 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3856 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3857);
															}
															BgL_auxz00_3855 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3856);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3855))->BgL_markz00) =
															((long) ((long) -10)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3863;

														{
															obj_t BgL_auxz00_3864;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3865;

																BgL_tmpz00_3865 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3864 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3865);
															}
															BgL_auxz00_3863 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3864);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3863))->BgL_celledzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3871;

														{
															obj_t BgL_auxz00_3872;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3873;

																BgL_tmpz00_3873 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1169z00_2100));
																BgL_auxz00_3872 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3873);
															}
															BgL_auxz00_3871 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3872);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3871))->BgL_stackablez00) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													((BgL_svarz00_bglt) BgL_tmp1169z00_2100);
												}
												{	/* Globalize/loc2glo.scm 208 */
													obj_t BgL_casezd2valuezd2_2105;

													BgL_casezd2valuezd2_2105 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2092))))->
														BgL_accessz00);
													if ((BgL_casezd2valuezd2_2105 ==
															CNST_TABLE_REF(((long) 3))))
														{	/* Globalize/loc2glo.scm 208 */
															{	/* Globalize/loc2glo.scm 211 */
																BgL_typez00_bglt BgL_vz00_2600;

																BgL_vz00_2600 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_newz00_2093)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_2600), BUNSPEC);
															}
															{	/* Globalize/loc2glo.scm 212 */
																obj_t BgL_vz00_2602;

																BgL_vz00_2602 = CNST_TABLE_REF(((long) 4));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_newz00_2093)))->BgL_accessz00) =
																	((obj_t) BgL_vz00_2602), BUNSPEC);
														}}
													else
														{	/* Globalize/loc2glo.scm 208 */
															if (
																(BgL_casezd2valuezd2_2105 ==
																	CNST_TABLE_REF(((long) 4))))
																{	/* Globalize/loc2glo.scm 208 */
																	{	/* Globalize/loc2glo.scm 215 */
																		BgL_typez00_bglt BgL_vz00_2604;

																		BgL_vz00_2604 =
																			((BgL_typez00_bglt)
																			BGl_za2cellza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_2093)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_2604),
																			BUNSPEC);
																	}
																	{	/* Globalize/loc2glo.scm 216 */
																		obj_t BgL_vz00_2606;

																		BgL_vz00_2606 = CNST_TABLE_REF(((long) 4));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_newz00_2093)))->
																				BgL_accessz00) =
																			((obj_t) BgL_vz00_2606), BUNSPEC);
																}}
															else
																{	/* Globalize/loc2glo.scm 208 */
																	BUNSPEC;
																}
														}
												}
												BgL_arg1819z00_2091 = BgL_newz00_2093;
											}
										}
										BgL_newtail1422z00_2089 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1819z00_2091), BNIL);
									}
									SET_CDR(BgL_tail1421z00_2086, BgL_newtail1422z00_2089);
									{	/* Globalize/loc2glo.scm 197 */
										obj_t BgL_arg1817z00_2090;

										BgL_arg1817z00_2090 = CDR(((obj_t) BgL_l1418z00_2085));
										{
											obj_t BgL_tail1421z00_3907;
											obj_t BgL_l1418z00_3906;

											BgL_l1418z00_3906 = BgL_arg1817z00_2090;
											BgL_tail1421z00_3907 = BgL_newtail1422z00_2089;
											BgL_tail1421z00_2086 = BgL_tail1421z00_3907;
											BgL_l1418z00_2085 = BgL_l1418z00_3906;
											goto BgL_zc3z04anonymousza31815ze3z87_2087;
										}
									}
								}
						}
					}
				{	/* Globalize/loc2glo.scm 197 */
					BgL_valuez00_bglt BgL_oldzd2funzd2_2034;

					BgL_oldzd2funzd2_2034 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_valuez00);
					{	/* Globalize/loc2glo.scm 220 */
						BgL_sfunz00_bglt BgL_newzd2funzd2_2035;

						{	/* Globalize/loc2glo.scm 221 */
							BgL_sfunz00_bglt BgL_new1173z00_2064;

							{	/* Globalize/loc2glo.scm 222 */
								BgL_sfunz00_bglt BgL_new1187z00_2079;

								BgL_new1187z00_2079 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1813z00_2080;

									BgL_arg1813z00_2080 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1187z00_2079),
										BgL_arg1813z00_2080);
								}
								{	/* Globalize/loc2glo.scm 222 */
									BgL_objectz00_bglt BgL_tmpz00_3914;

									BgL_tmpz00_3914 = ((BgL_objectz00_bglt) BgL_new1187z00_2079);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3914, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1187z00_2079);
								BgL_new1173z00_2064 = BgL_new1187z00_2079;
							}
							{
								long BgL_auxz00_3918;

								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1790z00_2065;
									long BgL_arg1811z00_2066;

									BgL_arg1790z00_2065 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_oldzd2funzd2_2034))))->
										BgL_arityz00);
									BgL_arg1811z00_2066 = bgl_list_length(BgL_kapturedz00_19);
									BgL_auxz00_3918 =
										(long)
										CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
											(BgL_arg1790z00_2065), BINT(BgL_arg1811z00_2066)));
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_new1173z00_2064)))->
										BgL_arityz00) = ((long) BgL_auxz00_3918), BUNSPEC);
							}
							((((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_new1173z00_2064)))->
									BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_sidezd2effectzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_predicatezd2ofzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_predicatezd2ofzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_stackzd2allocatorzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_stackzd2allocatorzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_topzf3zf3) =
								((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_thezd2closurezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_thezd2closurezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_effectz00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_effectz00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_failsafez00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_failsafez00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_argszd2noescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_argszd2noescapezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1173z00_2064)))->BgL_argszd2retescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2034)))->BgL_argszd2retescapezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_propertyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_propertyz00)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_3969;

								{	/* Globalize/loc2glo.scm 223 */
									obj_t BgL_arg1812z00_2068;

									BgL_arg1812z00_2068 = bgl_reverse(BgL_addzd2argszd2_2033);
									BgL_auxz00_3969 =
										BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96
										(BgL_arg1812z00_2068, BgL_argsz00_18);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_3969), BUNSPEC);
							}
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_argszd2namezd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_argszd2namezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_bodyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_bodyz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_classz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_classz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_dssslzd2keywordszd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->
										BgL_dssslzd2keywordszd2)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->BgL_locz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_locz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_optionalsz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_optionalsz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_keysz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_keysz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_thezd2closurezd2globalz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->
										BgL_thezd2closurezd2globalz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_strengthz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_strengthz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1173z00_2064))->
									BgL_stackablez00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2034))))->BgL_stackablez00)),
								BUNSPEC);
							BgL_newzd2funzd2_2035 = BgL_new1173z00_2064;
						}
						{	/* Globalize/loc2glo.scm 221 */

							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4013;

								{
									obj_t BgL_auxz00_4014;

									{	/* Globalize/loc2glo.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4015;

										BgL_tmpz00_4015 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_17));
										BgL_auxz00_4014 = BGL_OBJECT_WIDENING(BgL_tmpz00_4015);
									}
									BgL_auxz00_4013 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4014);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4013))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4021;

								{
									obj_t BgL_auxz00_4022;

									{	/* Globalize/loc2glo.scm 225 */
										BgL_objectz00_bglt BgL_tmpz00_4023;

										BgL_tmpz00_4023 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_16));
										BgL_auxz00_4022 = BGL_OBJECT_WIDENING(BgL_tmpz00_4023);
									}
									BgL_auxz00_4021 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4022);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4021))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 226 */
								BgL_typez00_bglt BgL_arg1755z00_2036;

								BgL_arg1755z00_2036 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_typez00);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_16)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg1755z00_2036), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 229 */
								BgL_nodez00_bglt BgL_arg1756z00_2037;

								{	/* Globalize/loc2glo.scm 229 */
									obj_t BgL_arg1757z00_2038;
									obj_t BgL_arg1763z00_2039;

									{	/* Globalize/loc2glo.scm 228 */
										BgL_sfunz00_bglt BgL_oz00_2625;

										BgL_oz00_2625 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_17)))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4036;

											{
												obj_t BgL_auxz00_4037;

												{	/* Globalize/loc2glo.scm 228 */
													BgL_objectz00_bglt BgL_tmpz00_4038;

													BgL_tmpz00_4038 =
														((BgL_objectz00_bglt) BgL_oz00_2625);
													BgL_auxz00_4037 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4038);
												}
												BgL_auxz00_4036 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4037);
											}
											BgL_arg1757z00_2038 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4036))->
												BgL_newzd2bodyzd2);
									}}
									if (NULLP(BgL_kapturedz00_19))
										{	/* Globalize/loc2glo.scm 231 */
											BgL_arg1763z00_2039 = BNIL;
										}
									else
										{	/* Globalize/loc2glo.scm 231 */
											obj_t BgL_head1425z00_2044;

											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_arg1785z00_2060;

												{	/* Globalize/loc2glo.scm 231 */
													obj_t BgL_arg1787z00_2061;
													obj_t BgL_arg1789z00_2062;

													BgL_arg1787z00_2061 =
														CAR(((obj_t) BgL_kapturedz00_19));
													BgL_arg1789z00_2062 =
														CAR(((obj_t) BgL_addzd2argszd2_2033));
													BgL_arg1785z00_2060 =
														MAKE_YOUNG_PAIR(BgL_arg1787z00_2061,
														BgL_arg1789z00_2062);
												}
												BgL_head1425z00_2044 =
													MAKE_YOUNG_PAIR(BgL_arg1785z00_2060, BNIL);
											}
											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_g1429z00_2045;
												obj_t BgL_g1430z00_2046;

												BgL_g1429z00_2045 = CDR(((obj_t) BgL_kapturedz00_19));
												BgL_g1430z00_2046 =
													CDR(((obj_t) BgL_addzd2argszd2_2033));
												{
													obj_t BgL_ll1423z00_2048;
													obj_t BgL_ll1424z00_2049;
													obj_t BgL_tail1426z00_2050;

													BgL_ll1423z00_2048 = BgL_g1429z00_2045;
													BgL_ll1424z00_2049 = BgL_g1430z00_2046;
													BgL_tail1426z00_2050 = BgL_head1425z00_2044;
												BgL_zc3z04anonymousza31768ze3z87_2051:
													if (NULLP(BgL_ll1423z00_2048))
														{	/* Globalize/loc2glo.scm 231 */
															BgL_arg1763z00_2039 = BgL_head1425z00_2044;
														}
													else
														{	/* Globalize/loc2glo.scm 231 */
															obj_t BgL_newtail1427z00_2053;

															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1777z00_2056;

																{	/* Globalize/loc2glo.scm 231 */
																	obj_t BgL_arg1778z00_2057;
																	obj_t BgL_arg1781z00_2058;

																	BgL_arg1778z00_2057 =
																		CAR(((obj_t) BgL_ll1423z00_2048));
																	BgL_arg1781z00_2058 =
																		CAR(((obj_t) BgL_ll1424z00_2049));
																	BgL_arg1777z00_2056 =
																		MAKE_YOUNG_PAIR(BgL_arg1778z00_2057,
																		BgL_arg1781z00_2058);
																}
																BgL_newtail1427z00_2053 =
																	MAKE_YOUNG_PAIR(BgL_arg1777z00_2056, BNIL);
															}
															SET_CDR(BgL_tail1426z00_2050,
																BgL_newtail1427z00_2053);
															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1770z00_2054;
																obj_t BgL_arg1771z00_2055;

																BgL_arg1770z00_2054 =
																	CDR(((obj_t) BgL_ll1423z00_2048));
																BgL_arg1771z00_2055 =
																	CDR(((obj_t) BgL_ll1424z00_2049));
																{
																	obj_t BgL_tail1426z00_4070;
																	obj_t BgL_ll1424z00_4069;
																	obj_t BgL_ll1423z00_4068;

																	BgL_ll1423z00_4068 = BgL_arg1770z00_2054;
																	BgL_ll1424z00_4069 = BgL_arg1771z00_2055;
																	BgL_tail1426z00_4070 =
																		BgL_newtail1427z00_2053;
																	BgL_tail1426z00_2050 = BgL_tail1426z00_4070;
																	BgL_ll1424z00_2049 = BgL_ll1424z00_4069;
																	BgL_ll1423z00_2048 = BgL_ll1423z00_4068;
																	goto BgL_zc3z04anonymousza31768ze3z87_2051;
																}
															}
														}
												}
											}
										}
									BgL_arg1756z00_2037 =
										BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_arg1757z00_2038),
										((BgL_variablez00_bglt) BgL_localz00_17),
										BgL_arg1763z00_2039);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_2035))->
										BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1756z00_2037)), BUNSPEC);
							}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_16)))->
									BgL_valuez00) =
								((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
										BgL_newzd2funzd2_2035)), BUNSPEC);
							return BgL_globalz00_16;
						}
					}
				}
			}
		}

	}



/* the-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_21)
	{
		{	/* Globalize/loc2glo.scm 241 */
			{	/* Globalize/loc2glo.scm 242 */
				BgL_valuez00_bglt BgL_valuez00_2109;

				BgL_valuez00_2109 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_21)))->BgL_valuez00);
				{	/* Globalize/loc2glo.scm 243 */
					bool_t BgL_test1983z00_4081;

					{	/* Globalize/loc2glo.scm 243 */
						obj_t BgL_arg1861z00_2133;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4082;

							{
								obj_t BgL_auxz00_4083;

								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_tmpz00_4084;

									BgL_tmpz00_4084 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_2109));
									BgL_auxz00_4083 = BGL_OBJECT_WIDENING(BgL_tmpz00_4084);
								}
								BgL_auxz00_4082 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4083);
							}
							BgL_arg1861z00_2133 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4082))->
								BgL_thezd2globalzd2);
						}
						{	/* Globalize/loc2glo.scm 243 */
							obj_t BgL_classz00_2642;

							BgL_classz00_2642 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1861z00_2133))
								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_arg1820z00_2644;

									BgL_arg1820z00_2644 =
										(BgL_objectz00_bglt) (BgL_arg1861z00_2133);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/loc2glo.scm 243 */
											long BgL_idxz00_2650;

											BgL_idxz00_2650 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2644);
											BgL_test1983z00_4081 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2650 + ((long) 2))) == BgL_classz00_2642);
										}
									else
										{	/* Globalize/loc2glo.scm 243 */
											bool_t BgL_res1943z00_2672;

											{	/* Globalize/loc2glo.scm 243 */
												obj_t BgL_oclassz00_2658;

												{	/* Globalize/loc2glo.scm 243 */
													long BgL_arg1828z00_2664;

													{	/* Globalize/loc2glo.scm 243 */
														long BgL_arg1829z00_2665;

														BgL_arg1829z00_2665 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2644);
														BgL_arg1828z00_2664 =
															(BgL_arg1829z00_2665 - OBJECT_TYPE);
													}
													BgL_oclassz00_2658 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2664);
												}
												{	/* Globalize/loc2glo.scm 243 */
													bool_t BgL__ortest_1111z00_2659;

													BgL__ortest_1111z00_2659 =
														(BgL_classz00_2642 == BgL_oclassz00_2658);
													if (BgL__ortest_1111z00_2659)
														{	/* Globalize/loc2glo.scm 243 */
															BgL_res1943z00_2672 = BgL__ortest_1111z00_2659;
														}
													else
														{	/* Globalize/loc2glo.scm 243 */
															long BgL_odepthz00_2660;

															BgL_odepthz00_2660 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2658);
															if ((((long) 2) < BgL_odepthz00_2660))
																{	/* Globalize/loc2glo.scm 243 */
																	obj_t BgL_arg1816z00_2662;

																	BgL_arg1816z00_2662 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2658,
																		((long) 2));
																	BgL_res1943z00_2672 =
																		(BgL_arg1816z00_2662 == BgL_classz00_2642);
																}
															else
																{	/* Globalize/loc2glo.scm 243 */
																	BgL_res1943z00_2672 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1983z00_4081 = BgL_res1943z00_2672;
										}
								}
							else
								{	/* Globalize/loc2glo.scm 243 */
									BgL_test1983z00_4081 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test1983z00_4081)
						{
							obj_t BgL_auxz00_4109;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4110;

								{
									obj_t BgL_auxz00_4111;

									{	/* Globalize/loc2glo.scm 244 */
										BgL_objectz00_bglt BgL_tmpz00_4112;

										BgL_tmpz00_4112 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_2109));
										BgL_auxz00_4111 = BGL_OBJECT_WIDENING(BgL_tmpz00_4112);
									}
									BgL_auxz00_4110 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4111);
								}
								BgL_auxz00_4109 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4110))->
									BgL_thezd2globalzd2);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_4109);
						}
					else
						{	/* Globalize/loc2glo.scm 245 */
							obj_t BgL_lidz00_2112;

							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_arg1856z00_2129;

								{	/* Globalize/loc2glo.scm 245 */
									obj_t BgL_arg1857z00_2130;
									obj_t BgL_arg1859z00_2131;

									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_symbolz00_2675;

										BgL_symbolz00_2675 = CNST_TABLE_REF(((long) 5));
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1469z00_2676;

											BgL_arg1469z00_2676 =
												SYMBOL_TO_STRING(BgL_symbolz00_2675);
											BgL_arg1857z00_2130 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_2676);
									}}
									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_arg1860z00_2132;

										BgL_arg1860z00_2132 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_21)))->
											BgL_idz00);
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1469z00_2679;

											BgL_arg1469z00_2679 =
												SYMBOL_TO_STRING(BgL_arg1860z00_2132);
											BgL_arg1859z00_2131 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_2679);
									}}
									BgL_arg1856z00_2129 =
										string_append(BgL_arg1857z00_2130, BgL_arg1859z00_2131);
								}
								BgL_lidz00_2112 = bstring_to_symbol(BgL_arg1856z00_2129);
							}
							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_idz00_2113;

								{	/* Globalize/loc2glo.scm 246 */
									bool_t BgL_test1988z00_4128;

									{	/* Globalize/loc2glo.scm 246 */
										obj_t BgL_arg1854z00_2128;

										BgL_arg1854z00_2128 =
											BGl_findzd2globalzf2modulez20zzast_envz00(BgL_lidz00_2112,
											BGl_za2moduleza2z00zzmodule_modulez00);
										{	/* Globalize/loc2glo.scm 246 */
											obj_t BgL_classz00_2681;

											BgL_classz00_2681 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_arg1854z00_2128))
												{	/* Globalize/loc2glo.scm 246 */
													BgL_objectz00_bglt BgL_arg1820z00_2683;

													BgL_arg1820z00_2683 =
														(BgL_objectz00_bglt) (BgL_arg1854z00_2128);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Globalize/loc2glo.scm 246 */
															long BgL_idxz00_2689;

															BgL_idxz00_2689 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2683);
															BgL_test1988z00_4128 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2689 + ((long) 2))) ==
																BgL_classz00_2681);
														}
													else
														{	/* Globalize/loc2glo.scm 246 */
															bool_t BgL_res1944z00_2711;

															{	/* Globalize/loc2glo.scm 246 */
																obj_t BgL_oclassz00_2697;

																{	/* Globalize/loc2glo.scm 246 */
																	long BgL_arg1828z00_2703;

																	{	/* Globalize/loc2glo.scm 246 */
																		long BgL_arg1829z00_2704;

																		BgL_arg1829z00_2704 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2683);
																		BgL_arg1828z00_2703 =
																			(BgL_arg1829z00_2704 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2697 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_2703);
																}
																{	/* Globalize/loc2glo.scm 246 */
																	bool_t BgL__ortest_1111z00_2698;

																	BgL__ortest_1111z00_2698 =
																		(BgL_classz00_2681 == BgL_oclassz00_2697);
																	if (BgL__ortest_1111z00_2698)
																		{	/* Globalize/loc2glo.scm 246 */
																			BgL_res1944z00_2711 =
																				BgL__ortest_1111z00_2698;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 246 */
																			long BgL_odepthz00_2699;

																			BgL_odepthz00_2699 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2697);
																			if ((((long) 2) < BgL_odepthz00_2699))
																				{	/* Globalize/loc2glo.scm 246 */
																					obj_t BgL_arg1816z00_2701;

																					BgL_arg1816z00_2701 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2697, ((long) 2));
																					BgL_res1944z00_2711 =
																						(BgL_arg1816z00_2701 ==
																						BgL_classz00_2681);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 246 */
																					BgL_res1944z00_2711 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1988z00_4128 = BgL_res1944z00_2711;
														}
												}
											else
												{	/* Globalize/loc2glo.scm 246 */
													BgL_test1988z00_4128 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test1988z00_4128)
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2113 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_lidz00_2112);
										}
									else
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2113 = BgL_lidz00_2112;
										}
								}
								{	/* Globalize/loc2glo.scm 246 */
									BgL_globalz00_bglt BgL_globalz00_2114;

									BgL_globalz00_2114 =
										BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
										(BgL_idz00_2113, BNIL, BNIL,
										BGl_za2moduleza2z00zzmodule_modulez00,
										CNST_TABLE_REF(((long) 6)), CNST_TABLE_REF(((long) 7)),
										CNST_TABLE_REF(((long) 8)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 249 */

										{	/* Globalize/loc2glo.scm 262 */
											BgL_valuez00_bglt BgL_arg1840z00_2115;
											obj_t BgL_arg1844z00_2116;

											BgL_arg1840z00_2115 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2114)))->
												BgL_valuez00);
											BgL_arg1844z00_2116 =
												(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_valuez00_2109)))->BgL_locz00);
											((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_arg1840z00_2115)))->BgL_locz00) =
												((obj_t) BgL_arg1844z00_2116), BUNSPEC);
										}
										{	/* Globalize/loc2glo.scm 264 */
											BgL_typez00_bglt BgL_arg1845z00_2117;

											BgL_arg1845z00_2117 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_typez00);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_2114)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg1845z00_2117), BUNSPEC);
										}
										if (
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_userzf3zf3))
											{	/* Globalize/loc2glo.scm 266 */
												BFALSE;
											}
										else
											{	/* Globalize/loc2glo.scm 266 */
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_2114)))->
														BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
											}
										{	/* Globalize/loc2glo.scm 268 */
											BgL_globalzf2ginfozf2_bglt BgL_wide1190z00_2121;

											BgL_wide1190z00_2121 =
												((BgL_globalzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_globalzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 268 */
												obj_t BgL_auxz00_4173;
												BgL_objectz00_bglt BgL_tmpz00_4170;

												BgL_auxz00_4173 = ((obj_t) BgL_wide1190z00_2121);
												BgL_tmpz00_4170 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2114));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4170,
													BgL_auxz00_4173);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2114));
											{	/* Globalize/loc2glo.scm 268 */
												long BgL_arg1847z00_2122;

												BgL_arg1847z00_2122 =
													BGL_CLASS_NUM
													(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_globalz00_bglt) BgL_globalz00_2114)),
													BgL_arg1847z00_2122);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2114));
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4184;

											{
												obj_t BgL_auxz00_4185;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4186;

													BgL_tmpz00_4186 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2114));
													BgL_auxz00_4185 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4186);
												}
												BgL_auxz00_4184 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4185);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4184))->BgL_escapezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4192;

											{
												obj_t BgL_auxz00_4193;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4194;

													BgL_tmpz00_4194 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2114));
													BgL_auxz00_4193 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4194);
												}
												BgL_auxz00_4192 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4193);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4192))->
													BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_globalz00_2114);
										{	/* Globalize/loc2glo.scm 269 */
											BgL_valuez00_bglt BgL_arg1848z00_2124;
											obj_t BgL_arg1849z00_2125;

											BgL_arg1848z00_2124 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2114)))->
												BgL_valuez00);
											BgL_arg1849z00_2125 =
												(((BgL_funz00_bglt)
													COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_valuez00_2109))))->BgL_sidezd2effectzd2);
											((((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_arg1848z00_2124))))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_arg1849z00_2125), BUNSPEC);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4209;

											{
												obj_t BgL_auxz00_4210;

												{	/* Globalize/loc2glo.scm 271 */
													BgL_objectz00_bglt BgL_tmpz00_4211;

													BgL_tmpz00_4211 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_valuez00_2109));
													BgL_auxz00_4210 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4211);
												}
												BgL_auxz00_4209 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4210);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4209))->
													BgL_thezd2globalzd2) =
												((obj_t) ((obj_t) BgL_globalz00_2114)), BUNSPEC);
										}
										return BgL_globalz00_2114;
									}
								}
							}
						}
				}
			}
		}

	}



/* &the-global */
	BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2774, obj_t BgL_localz00_2775)
	{
		{	/* Globalize/loc2glo.scm 241 */
			return
				BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2775));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 493120707),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)
					244215788),
				BSTRING_TO_STRING(BGl_string1946z00zzglobaliza7e_localzd2ze3globalz96));
		}

	}

#ifdef __cplusplus
}
#endif
