/*===========================================================================*/
/*   (Globalize/node.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1377za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1381za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1400z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7(void);
	static BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t, obj_t, long,
		obj_t, BgL_variablez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1394za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62gloz121365z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1404za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1383z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1402z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1388za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1412z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1398za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121414z62zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1410z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7(void);
	static obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1406za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1385za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2cast1390za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setq1392za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sync1379za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1375za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2fail1396za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1373za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezd2globaliza7ez12zd2envzb5zzglobaliza7e_nodeza7,
		BgL_bgl_za762nodeza7d2global2078z00,
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2047z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2047za700za7za7g2079za7, "glo!1365", 8);
	      DEFINE_STRING(BGl_string2048z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2048za700za7za7g2080za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2050z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2050za700za7za7g2081za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza7121365za7702082za7,
		BGl_z62gloz121365z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2atom2083za7,
		BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2kwot2084za7,
		BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2var12085za7,
		BGl_z62gloz12zd2var1373za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2clos2086za7,
		BGl_z62gloz12zd2closure1375za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sequ2087za7,
		BGl_z62gloz12zd2sequence1377za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sync2088za7,
		BGl_z62gloz12zd2sync1379za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2app12089za7,
		BGl_z62gloz12zd2app1381za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2appza72090z00,
		BGl_z62gloz12zd2appzd2ly1383z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2func2091za7,
		BGl_z62gloz12zd2funcall1385za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2exte2092za7,
		BGl_z62gloz12zd2extern1388za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cast2093za7,
		BGl_z62gloz12zd2cast1390za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setq2094za7,
		BGl_z62gloz12zd2setq1392za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cond2095za7,
		BGl_z62gloz12zd2conditional1394za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2fail2096za7,
		BGl_z62gloz12zd2fail1396za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2swit2097za7,
		BGl_z62gloz12zd2switch1398za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72098z00,
		BGl_z62gloz12zd2letzd2fun1400z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2072z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2072za700za7za7g2099za7,
		"Shoud not be here (because of the integration", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72100z00,
		BGl_z62gloz12zd2letzd2var1402z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2073z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2073za700za7za7g2101za7, "globalize_node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setza72102z00,
		BGl_z62gloz12zd2setzd2exzd2it1404za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2074z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2074za700za7za7g2103za7,
		"aux glo! glo!1365 procedure-set! foreign make-fx-procedure make-va-procedure done (write cell-globalize) cell-globalize ",
		120);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2jump2104za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1406za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2make2105za7,
		BGl_z62gloz12zd2makezd2box1410z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72106z00,
		BGl_z62gloz12zd2boxzd2ref1412z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72107z00,
		BGl_z62gloz12zd2boxzd2setz121414z62zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za770za7za7gl2108za7,
		BGl_z62gloz12z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long
		BgL_checksumz00_3754, char *BgL_fromz00_3755)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_nodeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_genericzd2initzd2zzglobaliza7e_nodeza7();
					BGl_methodzd2initzd2zzglobaliza7e_nodeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			{	/* Globalize/node.scm 17 */
				obj_t BgL_cportz00_3484;

				{	/* Globalize/node.scm 17 */
					obj_t BgL_stringz00_3491;

					BgL_stringz00_3491 = BGl_string2074z00zzglobaliza7e_nodeza7;
					{	/* Globalize/node.scm 17 */
						obj_t BgL_startz00_3492;

						BgL_startz00_3492 = BINT(((long) 0));
						{	/* Globalize/node.scm 17 */
							obj_t BgL_endz00_3493;

							BgL_endz00_3493 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3491)));
							{	/* Globalize/node.scm 17 */

								BgL_cportz00_3484 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3491, BgL_startz00_3492, BgL_endz00_3493);
				}}}}
				{
					long BgL_iz00_3485;

					BgL_iz00_3485 = ((long) 9);
				BgL_loopz00_3486:
					if ((BgL_iz00_3485 == ((long) -1)))
						{	/* Globalize/node.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/node.scm 17 */
							{	/* Globalize/node.scm 17 */
								obj_t BgL_arg2077z00_3487;

								{	/* Globalize/node.scm 17 */

									{	/* Globalize/node.scm 17 */
										obj_t BgL_locationz00_3489;

										BgL_locationz00_3489 = BBOOL(((bool_t) 0));
										{	/* Globalize/node.scm 17 */

											BgL_arg2077z00_3487 =
												BGl_readz00zz__readerz00(BgL_cportz00_3484,
												BgL_locationz00_3489);
										}
									}
								}
								{	/* Globalize/node.scm 17 */
									int BgL_tmpz00_3785;

									BgL_tmpz00_3785 = (int) (BgL_iz00_3485);
									CNST_TABLE_SET(BgL_tmpz00_3785, BgL_arg2077z00_3487);
							}}
							{	/* Globalize/node.scm 17 */
								int BgL_auxz00_3490;

								BgL_auxz00_3490 = (int) ((BgL_iz00_3485 - ((long) 1)));
								{
									long BgL_iz00_3790;

									BgL_iz00_3790 = (long) (BgL_auxz00_3490);
									BgL_iz00_3485 = BgL_iz00_3790;
									goto BgL_loopz00_3486;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1760;

				BgL_headz00_1760 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1761;
					obj_t BgL_tailz00_1762;

					BgL_prevz00_1761 = BgL_headz00_1760;
					BgL_tailz00_1762 = BgL_l1z00_1;
				BgL_loopz00_1763:
					if (PAIRP(BgL_tailz00_1762))
						{
							obj_t BgL_newzd2prevzd2_1765;

							BgL_newzd2prevzd2_1765 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1762), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1761, BgL_newzd2prevzd2_1765);
							{
								obj_t BgL_tailz00_3800;
								obj_t BgL_prevz00_3799;

								BgL_prevz00_3799 = BgL_newzd2prevzd2_1765;
								BgL_tailz00_3800 = CDR(BgL_tailz00_1762);
								BgL_tailz00_1762 = BgL_tailz00_3800;
								BgL_prevz00_1761 = BgL_prevz00_3799;
								goto BgL_loopz00_1763;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1760);
				}
			}
		}

	}



/* node-globalize! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Globalize/node.scm 40 */
			{	/* Globalize/node.scm 44 */
				BgL_valuez00_bglt BgL_funz00_1768;

				BgL_funz00_1768 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Globalize/node.scm 44 */
					obj_t BgL_celledz00_1769;

					{	/* Globalize/node.scm 45 */
						obj_t BgL_arg1484z00_1790;

						BgL_arg1484z00_1790 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1768)))->BgL_argsz00);
						BgL_celledz00_1769 =
							BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
							(BgL_arg1484z00_1790);
					}
					{	/* Globalize/node.scm 45 */
						obj_t BgL_whatzf2byza2z50_1770;

						BgL_whatzf2byza2z50_1770 =
							BGl_appendzd221011zd2zzglobaliza7e_nodeza7(BgL_celledz00_1769,
							BgL_whatzf2byza2z50_5);
						{	/* Globalize/node.scm 46 */

							{
								obj_t BgL_l1343z00_1772;

								BgL_l1343z00_1772 = BgL_whatzf2byza2z50_1770;
							BgL_zc3z04anonymousza31423ze3z87_1773:
								if (PAIRP(BgL_l1343z00_1772))
									{	/* Globalize/node.scm 48 */
										{	/* Globalize/node.scm 49 */
											obj_t BgL_wzd2bzd2_1775;

											BgL_wzd2bzd2_1775 = CAR(BgL_l1343z00_1772);
											{	/* Globalize/node.scm 49 */
												obj_t BgL_arg1426z00_1776;
												obj_t BgL_arg1429z00_1777;

												BgL_arg1426z00_1776 = CAR(((obj_t) BgL_wzd2bzd2_1775));
												BgL_arg1429z00_1777 = CDR(((obj_t) BgL_wzd2bzd2_1775));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1426z00_1776))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1429z00_1777), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1343z00_3818;

											BgL_l1343z00_3818 = CDR(BgL_l1343z00_1772);
											BgL_l1343z00_1772 = BgL_l1343z00_3818;
											goto BgL_zc3z04anonymousza31423ze3z87_1773;
										}
									}
								else
									{	/* Globalize/node.scm 48 */
										((bool_t) 1);
									}
							}
							{	/* Globalize/node.scm 51 */
								BgL_nodez00_bglt BgL_resz00_1780;

								BgL_resz00_1780 =
									BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(BgL_celledz00_1769,
									BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1345z00_1782;

									BgL_l1345z00_1782 = BgL_whatzf2byza2z50_1770;
								BgL_zc3z04anonymousza31459ze3z87_1783:
									if (PAIRP(BgL_l1345z00_1782))
										{	/* Globalize/node.scm 53 */
											{	/* Globalize/node.scm 54 */
												obj_t BgL_wzd2bzd2_1785;

												BgL_wzd2bzd2_1785 = CAR(BgL_l1345z00_1782);
												{	/* Globalize/node.scm 54 */
													obj_t BgL_arg1467z00_1786;

													BgL_arg1467z00_1786 =
														CAR(((obj_t) BgL_wzd2bzd2_1785));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1467z00_1786))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1345z00_3830;

												BgL_l1345z00_3830 = CDR(BgL_l1345z00_1782);
												BgL_l1345z00_1782 = BgL_l1345z00_3830;
												goto BgL_zc3z04anonymousza31459ze3z87_1783;
											}
										}
									else
										{	/* Globalize/node.scm 53 */
											((bool_t) 1);
										}
								}
								return BgL_resz00_1780;
							}
						}
					}
				}
			}
		}

	}



/* &node-globalize! */
	BgL_nodez00_bglt BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3385, obj_t BgL_nodez00_3386, obj_t BgL_integratorz00_3387,
		obj_t BgL_whatzf2byza2z50_3388)
	{
		{	/* Globalize/node.scm 40 */
			return
				BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3386),
				((BgL_variablez00_bglt) BgL_integratorz00_3387),
				BgL_whatzf2byza2z50_3388);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t BgL_formalsz00_6)
	{
		{	/* Globalize/node.scm 61 */
			{
				obj_t BgL_celledz00_1793;
				obj_t BgL_formalsz00_1794;

				BgL_celledz00_1793 = BNIL;
				BgL_formalsz00_1794 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31485ze3z87_1795:
				if (NULLP(BgL_formalsz00_1794))
					{	/* Globalize/node.scm 65 */
						return BgL_celledz00_1793;
					}
				else
					{	/* Globalize/node.scm 67 */
						bool_t BgL_test2115z00_3837;

						{	/* Globalize/node.scm 67 */
							obj_t BgL_arg1522z00_1805;

							BgL_arg1522z00_1805 = CAR(((obj_t) BgL_formalsz00_1794));
							BgL_test2115z00_3837 =
								BGl_celledzf3zf3zzglobaliza7e_nodeza7(
								((BgL_variablez00_bglt) BgL_arg1522z00_1805));
						}
						if (BgL_test2115z00_3837)
							{	/* Globalize/node.scm 70 */
								obj_t BgL_ovarz00_1799;

								BgL_ovarz00_1799 = CAR(((obj_t) BgL_formalsz00_1794));
								{	/* Globalize/node.scm 70 */
									BgL_localz00_bglt BgL_nvarz00_1800;

									BgL_nvarz00_1800 =
										BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
										((BgL_localz00_bglt) BgL_ovarz00_1799));
									{	/* Globalize/node.scm 71 */

										{	/* Globalize/node.scm 72 */
											obj_t BgL_arg1506z00_1801;
											obj_t BgL_arg1510z00_1802;

											{	/* Globalize/node.scm 72 */
												obj_t BgL_arg1511z00_1803;

												BgL_arg1511z00_1803 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1799,
													((obj_t) BgL_nvarz00_1800));
												BgL_arg1506z00_1801 =
													MAKE_YOUNG_PAIR(BgL_arg1511z00_1803,
													BgL_celledz00_1793);
											}
											BgL_arg1510z00_1802 = CDR(((obj_t) BgL_formalsz00_1794));
											{
												obj_t BgL_formalsz00_3852;
												obj_t BgL_celledz00_3851;

												BgL_celledz00_3851 = BgL_arg1506z00_1801;
												BgL_formalsz00_3852 = BgL_arg1510z00_1802;
												BgL_formalsz00_1794 = BgL_formalsz00_3852;
												BgL_celledz00_1793 = BgL_celledz00_3851;
												goto BgL_zc3z04anonymousza31485ze3z87_1795;
											}
										}
									}
								}
							}
						else
							{	/* Globalize/node.scm 68 */
								obj_t BgL_arg1521z00_1804;

								BgL_arg1521z00_1804 = CDR(((obj_t) BgL_formalsz00_1794));
								{
									obj_t BgL_formalsz00_3855;

									BgL_formalsz00_3855 = BgL_arg1521z00_1804;
									BgL_formalsz00_1794 = BgL_formalsz00_3855;
									goto BgL_zc3z04anonymousza31485ze3z87_1795;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Globalize/node.scm 77 */
			{	/* Globalize/node.scm 78 */
				BgL_localz00_bglt BgL_varz00_1807;

				{	/* Globalize/node.scm 78 */
					obj_t BgL_arg1526z00_1814;

					BgL_arg1526z00_1814 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1807 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1526z00_1814,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Globalize/node.scm 79 */
					obj_t BgL_vz00_2573;

					BgL_vz00_2573 = CNST_TABLE_REF(((long) 0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2573), BUNSPEC);
				}
				{	/* Globalize/node.scm 80 */
					bool_t BgL_arg1523z00_1808;

					BgL_arg1523z00_1808 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_userzf3zf3);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_userzf3zf3) =
						((bool_t) BgL_arg1523z00_1808), BUNSPEC);
				}
				{	/* Globalize/node.scm 81 */
					BgL_svarz00_bglt BgL_tmp1112z00_1809;

					BgL_tmp1112z00_1809 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1807)))->BgL_valuez00));
					{	/* Globalize/node.scm 81 */
						BgL_svarzf2ginfozf2_bglt BgL_wide1114z00_1811;

						BgL_wide1114z00_1811 =
							((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2ginfozf2_bgl))));
						{	/* Globalize/node.scm 81 */
							obj_t BgL_auxz00_3874;
							BgL_objectz00_bglt BgL_tmpz00_3871;

							BgL_auxz00_3874 = ((obj_t) BgL_wide1114z00_1811);
							BgL_tmpz00_3871 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3871, BgL_auxz00_3874);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
						{	/* Globalize/node.scm 81 */
							long BgL_arg1524z00_1812;

							BgL_arg1524z00_1812 =
								BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809)),
								BgL_arg1524z00_1812);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3885;

						{
							obj_t BgL_auxz00_3886;

							{	/* Globalize/node.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_3887;

								BgL_tmpz00_3887 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
								BgL_auxz00_3886 = BGL_OBJECT_WIDENING(BgL_tmpz00_3887);
							}
							BgL_auxz00_3885 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3886);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3885))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3893;

						{
							obj_t BgL_auxz00_3894;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3895;

								BgL_tmpz00_3895 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
								BgL_auxz00_3894 = BGL_OBJECT_WIDENING(BgL_tmpz00_3895);
							}
							BgL_auxz00_3893 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3894);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3893))->
								BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3901;

						{
							obj_t BgL_auxz00_3902;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3903;

								BgL_tmpz00_3903 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
								BgL_auxz00_3902 = BGL_OBJECT_WIDENING(BgL_tmpz00_3903);
							}
							BgL_auxz00_3901 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3902);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3901))->
								BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3909;

						{
							obj_t BgL_auxz00_3910;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3911;

								BgL_tmpz00_3911 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
								BgL_auxz00_3910 = BGL_OBJECT_WIDENING(BgL_tmpz00_3911);
							}
							BgL_auxz00_3909 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3910);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3909))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3917;

						{
							obj_t BgL_auxz00_3918;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3919;

								BgL_tmpz00_3919 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1809));
								BgL_auxz00_3918 = BGL_OBJECT_WIDENING(BgL_tmpz00_3919);
							}
							BgL_auxz00_3917 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3918);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3917))->
								BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1112z00_1809);
				}
				return BgL_varz00_1807;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Globalize/node.scm 89 */
			if (NULLP(BgL_celledz00_8))
				{	/* Globalize/node.scm 90 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Globalize/node.scm 92 */
					obj_t BgL_locz00_1816;

					BgL_locz00_1816 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Globalize/node.scm 93 */
						BgL_letzd2varzd2_bglt BgL_new1118z00_1817;

						{	/* Globalize/node.scm 94 */
							BgL_letzd2varzd2_bglt BgL_new1117z00_1839;

							BgL_new1117z00_1839 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 94 */
								long BgL_arg1572z00_1840;

								BgL_arg1572z00_1840 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1117z00_1839),
									BgL_arg1572z00_1840);
							}
							{	/* Globalize/node.scm 94 */
								BgL_objectz00_bglt BgL_tmpz00_3933;

								BgL_tmpz00_3933 = ((BgL_objectz00_bglt) BgL_new1117z00_1839);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3933, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1117z00_1839);
							BgL_new1118z00_1817 = BgL_new1117z00_1839;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1118z00_1817)))->BgL_locz00) =
							((obj_t) BgL_locz00_1816), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1118z00_1817)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1118z00_1817)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1118z00_1817)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3947;

							{	/* Globalize/node.scm 97 */
								obj_t BgL_head1349z00_1820;

								BgL_head1349z00_1820 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1347z00_1822;
									obj_t BgL_tail1350z00_1823;

									BgL_l1347z00_1822 = BgL_celledz00_8;
									BgL_tail1350z00_1823 = BgL_head1349z00_1820;
								BgL_zc3z04anonymousza31529ze3z87_1824:
									if (NULLP(BgL_l1347z00_1822))
										{	/* Globalize/node.scm 97 */
											BgL_auxz00_3947 = CDR(BgL_head1349z00_1820);
										}
									else
										{	/* Globalize/node.scm 97 */
											obj_t BgL_newtail1351z00_1826;

											{	/* Globalize/node.scm 97 */
												obj_t BgL_arg1535z00_1828;

												{	/* Globalize/node.scm 97 */
													obj_t BgL_ozd2nzd2_1829;

													BgL_ozd2nzd2_1829 = CAR(((obj_t) BgL_l1347z00_1822));
													{	/* Globalize/node.scm 98 */
														obj_t BgL_arg1558z00_1830;
														BgL_makezd2boxzd2_bglt BgL_arg1559z00_1831;

														BgL_arg1558z00_1830 =
															CDR(((obj_t) BgL_ozd2nzd2_1829));
														{	/* Globalize/node.scm 100 */
															BgL_refz00_bglt BgL_arg1561z00_1832;
															obj_t BgL_arg1565z00_1833;

															{	/* Globalize/node.scm 100 */
																BgL_refz00_bglt BgL_new1120z00_1834;

																{	/* Globalize/node.scm 103 */
																	BgL_refz00_bglt BgL_new1119z00_1836;

																	BgL_new1119z00_1836 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Globalize/node.scm 103 */
																		long BgL_arg1570z00_1837;

																		{	/* Globalize/node.scm 103 */
																			obj_t BgL_classz00_2596;

																			BgL_classz00_2596 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1570z00_1837 =
																				BGL_CLASS_NUM(BgL_classz00_2596);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1119z00_1836),
																			BgL_arg1570z00_1837);
																	}
																	{	/* Globalize/node.scm 103 */
																		BgL_objectz00_bglt BgL_tmpz00_3960;

																		BgL_tmpz00_3960 =
																			((BgL_objectz00_bglt)
																			BgL_new1119z00_1836);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3960,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1119z00_1836);
																	BgL_new1120z00_1834 = BgL_new1119z00_1836;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1120z00_1834)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1816), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1120z00_1834)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt)
																						CAR(((obj_t)
																								BgL_ozd2nzd2_1829)))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1120z00_1834)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) CAR(((obj_t)
																					BgL_ozd2nzd2_1829)))), BUNSPEC);
																BgL_arg1561z00_1832 = BgL_new1120z00_1834;
															}
															BgL_arg1565z00_1833 =
																CAR(((obj_t) BgL_ozd2nzd2_1829));
															BgL_arg1559z00_1831 =
																BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
																((BgL_nodez00_bglt) BgL_arg1561z00_1832),
																((BgL_variablez00_bglt) BgL_arg1565z00_1833));
														}
														BgL_arg1535z00_1828 =
															MAKE_YOUNG_PAIR(BgL_arg1558z00_1830,
															((obj_t) BgL_arg1559z00_1831));
												}}
												BgL_newtail1351z00_1826 =
													MAKE_YOUNG_PAIR(BgL_arg1535z00_1828, BNIL);
											}
											SET_CDR(BgL_tail1350z00_1823, BgL_newtail1351z00_1826);
											{	/* Globalize/node.scm 97 */
												obj_t BgL_arg1532z00_1827;

												BgL_arg1532z00_1827 = CDR(((obj_t) BgL_l1347z00_1822));
												{
													obj_t BgL_tail1350z00_3989;
													obj_t BgL_l1347z00_3988;

													BgL_l1347z00_3988 = BgL_arg1532z00_1827;
													BgL_tail1350z00_3989 = BgL_newtail1351z00_1826;
													BgL_tail1350z00_1823 = BgL_tail1350z00_3989;
													BgL_l1347z00_1822 = BgL_l1347z00_3988;
													goto BgL_zc3z04anonymousza31529ze3z87_1824;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1817))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3947), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1817))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1817))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1118z00_1817);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Globalize/node.scm 110 */
			{	/* Globalize/node.scm 112 */
				obj_t BgL_vz00_2607;

				BgL_vz00_2607 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2607), BUNSPEC);
			}
			{	/* Globalize/node.scm 113 */
				BgL_valuez00_bglt BgL_arg1580z00_1842;

				BgL_arg1580z00_1842 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_3999;

					{
						obj_t BgL_auxz00_4000;

						{	/* Globalize/node.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_4001;

							BgL_tmpz00_4001 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1580z00_1842));
							BgL_auxz00_4000 = BGL_OBJECT_WIDENING(BgL_tmpz00_4001);
						}
						BgL_auxz00_3999 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4000);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3999))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Globalize/node.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1123z00_1843;

				{	/* Globalize/node.scm 117 */
					BgL_makezd2boxzd2_bglt BgL_new1122z00_1846;

					BgL_new1122z00_1846 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Globalize/node.scm 117 */
						long BgL_arg1588z00_1847;

						BgL_arg1588z00_1847 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1122z00_1846), BgL_arg1588z00_1847);
					}
					{	/* Globalize/node.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_4011;

						BgL_tmpz00_4011 = ((BgL_objectz00_bglt) BgL_new1122z00_1846);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4011, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1122z00_1846);
					BgL_new1123z00_1843 = BgL_new1122z00_1846;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1123z00_1843)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1123z00_1843)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_1843)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_1843)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4027;

					{	/* Globalize/node.scm 116 */
						BgL_typez00_bglt BgL_arg1581z00_1844;

						BgL_arg1581z00_1844 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_4027 =
							BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
							(BgL_arg1581z00_1844);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_4027), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4031;

					{	/* Globalize/node.scm 119 */
						BgL_svarz00_bglt BgL_oz00_2618;

						BgL_oz00_2618 =
							((BgL_svarz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
								BgL_valuez00));
						{	/* Globalize/node.scm 119 */
							bool_t BgL_tmpz00_4034;

							{
								BgL_svarzf2ginfozf2_bglt BgL_auxz00_4035;

								{
									obj_t BgL_auxz00_4036;

									{	/* Globalize/node.scm 119 */
										BgL_objectz00_bglt BgL_tmpz00_4037;

										BgL_tmpz00_4037 = ((BgL_objectz00_bglt) BgL_oz00_2618);
										BgL_auxz00_4036 = BGL_OBJECT_WIDENING(BgL_tmpz00_4037);
									}
									BgL_auxz00_4035 =
										((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4036);
								}
								BgL_tmpz00_4034 =
									(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4035))->
									BgL_stackablez00);
							}
							BgL_auxz00_4031 = BBOOL(BgL_tmpz00_4034);
					}}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1123z00_1843))->
							BgL_stackablez00) = ((obj_t) BgL_auxz00_4031), BUNSPEC);
				}
				return BgL_new1123z00_1843;
			}
		}

	}



/* celled? */
	bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt
		BgL_variablez00_12)
	{
		{	/* Globalize/node.scm 124 */
			{	/* Globalize/node.scm 125 */
				bool_t BgL_test2118z00_4044;

				{	/* Globalize/node.scm 125 */
					obj_t BgL_classz00_2620;

					BgL_classz00_2620 = BGl_localz00zzast_varz00;
					{	/* Globalize/node.scm 125 */
						BgL_objectz00_bglt BgL_arg1820z00_2622;

						{	/* Globalize/node.scm 125 */
							obj_t BgL_tmpz00_4045;

							BgL_tmpz00_4045 = ((obj_t) BgL_variablez00_12);
							BgL_arg1820z00_2622 = (BgL_objectz00_bglt) (BgL_tmpz00_4045);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/node.scm 125 */
								long BgL_idxz00_2628;

								BgL_idxz00_2628 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2622);
								BgL_test2118z00_4044 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2628 + ((long) 2))) == BgL_classz00_2620);
							}
						else
							{	/* Globalize/node.scm 125 */
								bool_t BgL_res2022z00_2650;

								{	/* Globalize/node.scm 125 */
									obj_t BgL_oclassz00_2636;

									{	/* Globalize/node.scm 125 */
										long BgL_arg1828z00_2642;

										{	/* Globalize/node.scm 125 */
											long BgL_arg1829z00_2643;

											BgL_arg1829z00_2643 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2622);
											BgL_arg1828z00_2642 = (BgL_arg1829z00_2643 - OBJECT_TYPE);
										}
										BgL_oclassz00_2636 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2642);
									}
									{	/* Globalize/node.scm 125 */
										bool_t BgL__ortest_1111z00_2637;

										BgL__ortest_1111z00_2637 =
											(BgL_classz00_2620 == BgL_oclassz00_2636);
										if (BgL__ortest_1111z00_2637)
											{	/* Globalize/node.scm 125 */
												BgL_res2022z00_2650 = BgL__ortest_1111z00_2637;
											}
										else
											{	/* Globalize/node.scm 125 */
												long BgL_odepthz00_2638;

												BgL_odepthz00_2638 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2636);
												if ((((long) 2) < BgL_odepthz00_2638))
													{	/* Globalize/node.scm 125 */
														obj_t BgL_arg1816z00_2640;

														BgL_arg1816z00_2640 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2636,
															((long) 2));
														BgL_res2022z00_2650 =
															(BgL_arg1816z00_2640 == BgL_classz00_2620);
													}
												else
													{	/* Globalize/node.scm 125 */
														BgL_res2022z00_2650 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2118z00_4044 = BgL_res2022z00_2650;
							}
					}
				}
				if (BgL_test2118z00_4044)
					{	/* Globalize/node.scm 126 */
						bool_t BgL_test2122z00_4064;

						{	/* Globalize/node.scm 126 */
							BgL_valuez00_bglt BgL_arg1600z00_1855;

							BgL_arg1600z00_1855 =
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
								BgL_valuez00);
							{	/* Globalize/node.scm 126 */
								obj_t BgL_classz00_2652;

								BgL_classz00_2652 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
								{	/* Globalize/node.scm 126 */
									BgL_objectz00_bglt BgL_arg1820z00_2654;

									{	/* Globalize/node.scm 126 */
										obj_t BgL_tmpz00_4066;

										BgL_tmpz00_4066 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1600z00_1855));
										BgL_arg1820z00_2654 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4066);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/node.scm 126 */
											long BgL_idxz00_2660;

											BgL_idxz00_2660 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2654);
											BgL_test2122z00_4064 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2660 + ((long) 3))) == BgL_classz00_2652);
										}
									else
										{	/* Globalize/node.scm 126 */
											bool_t BgL_res2023z00_2682;

											{	/* Globalize/node.scm 126 */
												obj_t BgL_oclassz00_2668;

												{	/* Globalize/node.scm 126 */
													long BgL_arg1828z00_2674;

													{	/* Globalize/node.scm 126 */
														long BgL_arg1829z00_2675;

														BgL_arg1829z00_2675 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2654);
														BgL_arg1828z00_2674 =
															(BgL_arg1829z00_2675 - OBJECT_TYPE);
													}
													BgL_oclassz00_2668 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2674);
												}
												{	/* Globalize/node.scm 126 */
													bool_t BgL__ortest_1111z00_2669;

													BgL__ortest_1111z00_2669 =
														(BgL_classz00_2652 == BgL_oclassz00_2668);
													if (BgL__ortest_1111z00_2669)
														{	/* Globalize/node.scm 126 */
															BgL_res2023z00_2682 = BgL__ortest_1111z00_2669;
														}
													else
														{	/* Globalize/node.scm 126 */
															long BgL_odepthz00_2670;

															BgL_odepthz00_2670 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2668);
															if ((((long) 3) < BgL_odepthz00_2670))
																{	/* Globalize/node.scm 126 */
																	obj_t BgL_arg1816z00_2672;

																	BgL_arg1816z00_2672 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2668,
																		((long) 3));
																	BgL_res2023z00_2682 =
																		(BgL_arg1816z00_2672 == BgL_classz00_2652);
																}
															else
																{	/* Globalize/node.scm 126 */
																	BgL_res2023z00_2682 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2122z00_4064 = BgL_res2023z00_2682;
										}
								}
							}
						}
						if (BgL_test2122z00_4064)
							{	/* Globalize/node.scm 127 */
								bool_t BgL__ortest_1126z00_1850;

								{	/* Globalize/node.scm 127 */
									BgL_svarz00_bglt BgL_oz00_2684;

									BgL_oz00_2684 =
										((BgL_svarz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
											BgL_valuez00));
									{
										BgL_svarzf2ginfozf2_bglt BgL_auxz00_4088;

										{
											obj_t BgL_auxz00_4089;

											{	/* Globalize/node.scm 127 */
												BgL_objectz00_bglt BgL_tmpz00_4090;

												BgL_tmpz00_4090 = ((BgL_objectz00_bglt) BgL_oz00_2684);
												BgL_auxz00_4089 = BGL_OBJECT_WIDENING(BgL_tmpz00_4090);
											}
											BgL_auxz00_4088 =
												((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4089);
										}
										BgL__ortest_1126z00_1850 =
											(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4088))->
											BgL_celledzf3zf3);
									}
								}
								if (BgL__ortest_1126z00_1850)
									{	/* Globalize/node.scm 127 */
										return BgL__ortest_1126z00_1850;
									}
								else
									{	/* Globalize/node.scm 127 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_accessz00),
													CNST_TABLE_REF(((long) 1)))))
											{	/* Globalize/node.scm 129 */
												BgL_svarz00_bglt BgL_oz00_2688;

												BgL_oz00_2688 =
													((BgL_svarz00_bglt)
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_valuez00));
												{
													BgL_svarzf2ginfozf2_bglt BgL_auxz00_4103;

													{
														obj_t BgL_auxz00_4104;

														{	/* Globalize/node.scm 129 */
															BgL_objectz00_bglt BgL_tmpz00_4105;

															BgL_tmpz00_4105 =
																((BgL_objectz00_bglt) BgL_oz00_2688);
															BgL_auxz00_4104 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4105);
														}
														BgL_auxz00_4103 =
															((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4104);
													}
													return
														(((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_4103))->BgL_kapturedzf3zf3);
												}
											}
										else
											{	/* Globalize/node.scm 128 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* Globalize/node.scm 126 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Globalize/node.scm 125 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Globalize/node.scm 496 */
			{
				obj_t BgL_nodeza2za2_1857;

				BgL_nodeza2za2_1857 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31601ze3z87_1858:
				if (NULLP(BgL_nodeza2za2_1857))
					{	/* Globalize/node.scm 498 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Globalize/node.scm 498 */
						{	/* Globalize/node.scm 501 */
							BgL_nodez00_bglt BgL_arg1610z00_1860;

							{	/* Globalize/node.scm 501 */
								obj_t BgL_arg1614z00_1861;

								BgL_arg1614z00_1861 = CAR(((obj_t) BgL_nodeza2za2_1857));
								BgL_arg1610z00_1860 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_arg1614z00_1861),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Globalize/node.scm 501 */
								obj_t BgL_auxz00_4120;
								obj_t BgL_tmpz00_4118;

								BgL_auxz00_4120 = ((obj_t) BgL_arg1610z00_1860);
								BgL_tmpz00_4118 = ((obj_t) BgL_nodeza2za2_1857);
								SET_CAR(BgL_tmpz00_4118, BgL_auxz00_4120);
							}
						}
						{	/* Globalize/node.scm 502 */
							obj_t BgL_arg1615z00_1862;

							BgL_arg1615z00_1862 = CDR(((obj_t) BgL_nodeza2za2_1857));
							{
								obj_t BgL_nodeza2za2_4125;

								BgL_nodeza2za2_4125 = BgL_arg1615z00_1862;
								BgL_nodeza2za2_1857 = BgL_nodeza2za2_4125;
								goto BgL_zc3z04anonymousza31601ze3z87_1858;
							}
						}
					}
			}
		}

	}



/* make-escaping-bindings */
	BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t
		BgL_ebindingsz00_61, BgL_nodez00_bglt BgL_nodez00_62,
		BgL_variablez00_bglt BgL_integratorz00_63)
	{
		{	/* Globalize/node.scm 507 */
			{
				obj_t BgL_ebindingsz00_1867;
				obj_t BgL_bindingsz00_1868;
				obj_t BgL_setsz00_1869;

				BgL_ebindingsz00_1867 = BgL_ebindingsz00_61;
				BgL_bindingsz00_1868 = BNIL;
				BgL_setsz00_1869 = BNIL;
			BgL_zc3z04anonymousza31616ze3z87_1870:
				if (NULLP(BgL_ebindingsz00_1867))
					{	/* Globalize/node.scm 515 */
						BgL_letzd2varzd2_bglt BgL_new1179z00_1872;

						{	/* Globalize/node.scm 516 */
							BgL_letzd2varzd2_bglt BgL_new1177z00_1879;

							BgL_new1177z00_1879 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 516 */
								long BgL_arg1630z00_1880;

								BgL_arg1630z00_1880 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1177z00_1879),
									BgL_arg1630z00_1880);
							}
							{	/* Globalize/node.scm 516 */
								BgL_objectz00_bglt BgL_tmpz00_4132;

								BgL_tmpz00_4132 = ((BgL_objectz00_bglt) BgL_new1177z00_1879);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4132, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1177z00_1879);
							BgL_new1179z00_1872 = BgL_new1177z00_1879;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1179z00_1872)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
									BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1179z00_1872)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1179z00_1872)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1179z00_1872)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1872))->
								BgL_bindingsz00) = ((obj_t) BgL_bindingsz00_1868), BUNSPEC);
						{
							BgL_nodez00_bglt BgL_auxz00_4148;

							if (NULLP(BgL_setsz00_1869))
								{	/* Globalize/node.scm 519 */
									BgL_auxz00_4148 = BgL_nodez00_62;
								}
							else
								{	/* Globalize/node.scm 521 */
									BgL_sequencez00_bglt BgL_new1181z00_1874;

									{	/* Globalize/node.scm 522 */
										BgL_sequencez00_bglt BgL_new1180z00_1877;

										BgL_new1180z00_1877 =
											((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sequencez00_bgl))));
										{	/* Globalize/node.scm 522 */
											long BgL_arg1629z00_1878;

											{	/* Globalize/node.scm 522 */
												obj_t BgL_classz00_2699;

												BgL_classz00_2699 = BGl_sequencez00zzast_nodez00;
												BgL_arg1629z00_1878 = BGL_CLASS_NUM(BgL_classz00_2699);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1180z00_1877),
												BgL_arg1629z00_1878);
										}
										{	/* Globalize/node.scm 522 */
											BgL_objectz00_bglt BgL_tmpz00_4155;

											BgL_tmpz00_4155 =
												((BgL_objectz00_bglt) BgL_new1180z00_1877);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4155, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1180z00_1877);
										BgL_new1181z00_1874 = BgL_new1180z00_1877;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1181z00_1874)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
												BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1181z00_1874)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1181z00_1874)))->BgL_sidezd2effectzd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1181z00_1874)))->BgL_keyz00) =
										((obj_t) BINT(((long) -1))), BUNSPEC);
									{
										obj_t BgL_auxz00_4170;

										{	/* Globalize/node.scm 524 */
											obj_t BgL_arg1625z00_1875;

											{	/* Globalize/node.scm 524 */
												obj_t BgL_list1626z00_1876;

												BgL_list1626z00_1876 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_62), BNIL);
												BgL_arg1625z00_1875 = BgL_list1626z00_1876;
											}
											BgL_auxz00_4170 =
												BGl_appendzd221011zd2zzglobaliza7e_nodeza7
												(BgL_setsz00_1869, BgL_arg1625z00_1875);
										}
										((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1874))->
												BgL_nodesz00) = ((obj_t) BgL_auxz00_4170), BUNSPEC);
									}
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1874))->
											BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1874))->
											BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_4148 = ((BgL_nodez00_bglt) BgL_new1181z00_1874);
								}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1872))->
									BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4148), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1872))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1179z00_1872;
					}
				else
					{	/* Globalize/node.scm 525 */
						obj_t BgL_localz00_1881;

						BgL_localz00_1881 = CAR(((obj_t) BgL_ebindingsz00_1867));
						{	/* Globalize/node.scm 525 */
							obj_t BgL_newz00_1882;

							{	/* Globalize/node.scm 526 */
								obj_t BgL_arg1651z00_1893;

								BgL_arg1651z00_1893 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
								BgL_newz00_1882 =
									BGl_thezd2closurezd2zzglobaliza7e_freeza7(
									((BgL_variablez00_bglt) BgL_localz00_1881),
									BgL_arg1651z00_1893);
							}
							{	/* Globalize/node.scm 526 */
								obj_t BgL_nsetsz00_1883;

								{	/* Globalize/node.scm 528 */
									obj_t BgL_arg1645z00_1890;
									obj_t BgL_arg1646z00_1891;

									BgL_arg1645z00_1890 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
									{	/* Globalize/node.scm 529 */
										BgL_sfunz00_bglt BgL_oz00_2710;

										BgL_oz00_2710 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1881))))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4190;

											{
												obj_t BgL_auxz00_4191;

												{	/* Globalize/node.scm 529 */
													BgL_objectz00_bglt BgL_tmpz00_4192;

													BgL_tmpz00_4192 =
														((BgL_objectz00_bglt) BgL_oz00_2710);
													BgL_auxz00_4191 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4192);
												}
												BgL_auxz00_4190 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4191);
											}
											BgL_arg1646z00_1891 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4190))->
												BgL_kapturedz00);
										}
									}
									BgL_nsetsz00_1883 =
										BGl_makezd2setszd2zzglobaliza7e_nodeza7(BgL_newz00_1882,
										BgL_arg1645z00_1890, BgL_arg1646z00_1891,
										BgL_integratorz00_63);
								}
								{	/* Globalize/node.scm 527 */

									{	/* Globalize/node.scm 531 */
										obj_t BgL_arg1632z00_1884;
										obj_t BgL_arg1635z00_1885;
										obj_t BgL_arg1636z00_1886;

										BgL_arg1632z00_1884 = CDR(((obj_t) BgL_ebindingsz00_1867));
										{	/* Globalize/node.scm 532 */
											obj_t BgL_arg1639z00_1887;

											{	/* Globalize/node.scm 532 */
												BgL_appz00_bglt BgL_arg1641z00_1888;

												BgL_arg1641z00_1888 =
													BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(
													((BgL_localz00_bglt) BgL_localz00_1881));
												BgL_arg1639z00_1887 =
													MAKE_YOUNG_PAIR(BgL_newz00_1882,
													((obj_t) BgL_arg1641z00_1888));
											}
											BgL_arg1635z00_1885 =
												MAKE_YOUNG_PAIR(BgL_arg1639z00_1887,
												BgL_bindingsz00_1868);
										}
										if (NULLP(BgL_nsetsz00_1883))
											{	/* Globalize/node.scm 534 */
												BgL_arg1636z00_1886 = BgL_setsz00_1869;
											}
										else
											{	/* Globalize/node.scm 534 */
												BgL_arg1636z00_1886 =
													MAKE_YOUNG_PAIR(BgL_nsetsz00_1883, BgL_setsz00_1869);
											}
										{
											obj_t BgL_setsz00_4210;
											obj_t BgL_bindingsz00_4209;
											obj_t BgL_ebindingsz00_4208;

											BgL_ebindingsz00_4208 = BgL_arg1632z00_1884;
											BgL_bindingsz00_4209 = BgL_arg1635z00_1885;
											BgL_setsz00_4210 = BgL_arg1636z00_1886;
											BgL_setsz00_1869 = BgL_setsz00_4210;
											BgL_bindingsz00_1868 = BgL_bindingsz00_4209;
											BgL_ebindingsz00_1867 = BgL_ebindingsz00_4208;
											goto BgL_zc3z04anonymousza31616ze3z87_1870;
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_64, BgL_variablez00_bglt BgL_integratorz00_65)
	{
		{	/* Globalize/node.scm 541 */
			{	/* Globalize/node.scm 544 */
				BgL_valuez00_bglt BgL_funz00_1895;

				BgL_funz00_1895 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_64)))->BgL_valuez00);
				{	/* Globalize/node.scm 544 */
					obj_t BgL_obodyz00_1896;

					BgL_obodyz00_1896 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_bodyz00);
					{	/* Globalize/node.scm 545 */

						if ((((obj_t) BgL_localz00_64) == ((obj_t) BgL_integratorz00_65)))
							{	/* Globalize/node.scm 547 */
								BgL_nodez00_bglt BgL_arg1652z00_1897;

								BgL_arg1652z00_1897 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_obodyz00_1896), BgL_integratorz00_65);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1652z00_1897)), BUNSPEC);
							}
						else
							{	/* Globalize/node.scm 548 */
								obj_t BgL_celledz00_1898;

								{	/* Globalize/node.scm 548 */
									obj_t BgL_arg1674z00_1918;

									BgL_arg1674z00_1918 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1895)))->BgL_argsz00);
									BgL_celledz00_1898 =
										BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
										(BgL_arg1674z00_1918);
								}
								{
									obj_t BgL_l1361z00_1900;

									BgL_l1361z00_1900 = BgL_celledz00_1898;
								BgL_zc3z04anonymousza31653ze3z87_1901:
									if (PAIRP(BgL_l1361z00_1900))
										{	/* Globalize/node.scm 549 */
											{	/* Globalize/node.scm 550 */
												obj_t BgL_wzd2bzd2_1903;

												BgL_wzd2bzd2_1903 = CAR(BgL_l1361z00_1900);
												{	/* Globalize/node.scm 550 */
													obj_t BgL_arg1661z00_1904;
													obj_t BgL_arg1662z00_1905;

													BgL_arg1661z00_1904 =
														CAR(((obj_t) BgL_wzd2bzd2_1903));
													BgL_arg1662z00_1905 =
														CDR(((obj_t) BgL_wzd2bzd2_1903));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1661z00_1904))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg1662z00_1905), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1361z00_4237;

												BgL_l1361z00_4237 = CDR(BgL_l1361z00_1900);
												BgL_l1361z00_1900 = BgL_l1361z00_4237;
												goto BgL_zc3z04anonymousza31653ze3z87_1901;
											}
										}
									else
										{	/* Globalize/node.scm 549 */
											((bool_t) 1);
										}
								}
								{	/* Globalize/node.scm 552 */
									BgL_nodez00_bglt BgL_nbody1z00_1908;

									BgL_nbody1z00_1908 =
										BGl_gloz12z12zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_obodyz00_1896),
										BgL_integratorz00_65);
									{	/* Globalize/node.scm 552 */
										BgL_nodez00_bglt BgL_nbody2z00_1909;

										BgL_nbody2z00_1909 =
											BGl_cellzd2formalszd2zzglobaliza7e_nodeza7
											(BgL_celledz00_1898, BgL_nbody1z00_1908);
										{	/* Globalize/node.scm 553 */

											{
												obj_t BgL_l1363z00_1911;

												BgL_l1363z00_1911 = BgL_celledz00_1898;
											BgL_zc3z04anonymousza31664ze3z87_1912:
												if (PAIRP(BgL_l1363z00_1911))
													{	/* Globalize/node.scm 554 */
														{	/* Globalize/node.scm 555 */
															obj_t BgL_wzd2bzd2_1914;

															BgL_wzd2bzd2_1914 = CAR(BgL_l1363z00_1911);
															{	/* Globalize/node.scm 555 */
																obj_t BgL_arg1672z00_1915;

																BgL_arg1672z00_1915 =
																	CAR(((obj_t) BgL_wzd2bzd2_1914));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_arg1672z00_1915))))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1363z00_4250;

															BgL_l1363z00_4250 = CDR(BgL_l1363z00_1911);
															BgL_l1363z00_1911 = BgL_l1363z00_4250;
															goto BgL_zc3z04anonymousza31664ze3z87_1912;
														}
													}
												else
													{	/* Globalize/node.scm 554 */
														((bool_t) 1);
													}
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1895)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_nbody2z00_1909)), BUNSPEC);
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* a-make-procedure */
	BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_66)
	{
		{	/* Globalize/node.scm 562 */
			{	/* Globalize/node.scm 563 */
				BgL_valuez00_bglt BgL_funz00_1919;

				BgL_funz00_1919 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_66)))->BgL_valuez00);
				{	/* Globalize/node.scm 563 */
					long BgL_arityz00_1920;

					BgL_arityz00_1920 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_1919))))->BgL_arityz00);
					{	/* Globalize/node.scm 564 */
						obj_t BgL_kapturedz00_1921;

						{	/* Globalize/node.scm 565 */
							BgL_sfunz00_bglt BgL_oz00_2730;

							BgL_oz00_2730 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_66)))->
									BgL_valuez00));
							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4263;

								{
									obj_t BgL_auxz00_4264;

									{	/* Globalize/node.scm 565 */
										BgL_objectz00_bglt BgL_tmpz00_4265;

										BgL_tmpz00_4265 = ((BgL_objectz00_bglt) BgL_oz00_2730);
										BgL_auxz00_4264 = BGL_OBJECT_WIDENING(BgL_tmpz00_4265);
									}
									BgL_auxz00_4263 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4264);
								}
								BgL_kapturedz00_1921 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4263))->
									BgL_kapturedz00);
						}}
						{	/* Globalize/node.scm 566 */
							obj_t BgL_makezd2pzd2_1923;

							if ((BgL_arityz00_1920 < ((long) 0)))
								{	/* Globalize/node.scm 567 */
									BgL_makezd2pzd2_1923 = CNST_TABLE_REF(((long) 3));
								}
							else
								{	/* Globalize/node.scm 567 */
									BgL_makezd2pzd2_1923 = CNST_TABLE_REF(((long) 4));
								}
							{	/* Globalize/node.scm 567 */
								obj_t BgL_vz00_1924;

								BgL_vz00_1924 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_makezd2pzd2_1923, CNST_TABLE_REF(((long) 5)));
								{	/* Globalize/node.scm 568 */

									{	/* Globalize/node.scm 569 */
										BgL_appz00_bglt BgL_new1184z00_1925;

										{	/* Globalize/node.scm 570 */
											BgL_appz00_bglt BgL_new1182z00_1950;

											BgL_new1182z00_1950 =
												((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_appz00_bgl))));
											{	/* Globalize/node.scm 570 */
												long BgL_arg1721z00_1951;

												BgL_arg1721z00_1951 =
													BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1182z00_1950),
													BgL_arg1721z00_1951);
											}
											{	/* Globalize/node.scm 570 */
												BgL_objectz00_bglt BgL_tmpz00_4280;

												BgL_tmpz00_4280 =
													((BgL_objectz00_bglt) BgL_new1182z00_1950);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4280, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1182z00_1950);
											BgL_new1184z00_1925 = BgL_new1182z00_1950;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1184z00_1925)))->
												BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1184z00_1925)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vz00_1924)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1184z00_1925)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1184z00_1925)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										{
											BgL_varz00_bglt BgL_auxz00_4295;

											{	/* Globalize/node.scm 576 */
												BgL_refz00_bglt BgL_new1186z00_1926;

												{	/* Globalize/node.scm 577 */
													BgL_refz00_bglt BgL_new1185z00_1927;

													BgL_new1185z00_1927 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Globalize/node.scm 577 */
														long BgL_arg1677z00_1928;

														{	/* Globalize/node.scm 577 */
															obj_t BgL_classz00_2738;

															BgL_classz00_2738 = BGl_refz00zzast_nodez00;
															BgL_arg1677z00_1928 =
																BGL_CLASS_NUM(BgL_classz00_2738);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1185z00_1927),
															BgL_arg1677z00_1928);
													}
													{	/* Globalize/node.scm 577 */
														BgL_objectz00_bglt BgL_tmpz00_4300;

														BgL_tmpz00_4300 =
															((BgL_objectz00_bglt) BgL_new1185z00_1927);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4300, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1185z00_1927);
													BgL_new1186z00_1926 = BgL_new1185z00_1927;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1186z00_1926)))->
														BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1186z00_1926)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_vz00_1924)))->BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1186z00_1926)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_vz00_1924)), BUNSPEC);
												BgL_auxz00_4295 =
													((BgL_varz00_bglt) BgL_new1186z00_1926);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1184z00_1925))->
													BgL_funz00) =
												((BgL_varz00_bglt) BgL_auxz00_4295), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4315;

											{	/* Globalize/node.scm 580 */
												BgL_refz00_bglt BgL_arg1680z00_1929;
												BgL_literalz00_bglt BgL_arg1682z00_1930;
												BgL_literalz00_bglt BgL_arg1683z00_1931;

												{	/* Globalize/node.scm 580 */
													BgL_refz00_bglt BgL_new1188z00_1935;

													{	/* Globalize/node.scm 581 */
														BgL_refz00_bglt BgL_new1187z00_1937;

														BgL_new1187z00_1937 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Globalize/node.scm 581 */
															long BgL_arg1697z00_1938;

															{	/* Globalize/node.scm 581 */
																obj_t BgL_classz00_2743;

																BgL_classz00_2743 = BGl_refz00zzast_nodez00;
																BgL_arg1697z00_1938 =
																	BGL_CLASS_NUM(BgL_classz00_2743);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1187z00_1937),
																BgL_arg1697z00_1938);
														}
														{	/* Globalize/node.scm 581 */
															BgL_objectz00_bglt BgL_tmpz00_4320;

															BgL_tmpz00_4320 =
																((BgL_objectz00_bglt) BgL_new1187z00_1937);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4320, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1187z00_1937);
														BgL_new1188z00_1935 = BgL_new1187z00_1937;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1188z00_1935)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_4326;

														{	/* Globalize/node.scm 582 */
															BgL_globalz00_bglt BgL_arg1696z00_1936;

															BgL_arg1696z00_1936 =
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66);
															BgL_auxz00_4326 =
																(((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_arg1696z00_1936)))->BgL_typez00);
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1188z00_1935)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_4326), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1188z00_1935)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66))), BUNSPEC);
													BgL_arg1680z00_1929 = BgL_new1188z00_1935;
												}
												{	/* Globalize/node.scm 584 */
													BgL_literalz00_bglt BgL_new1190z00_1939;

													{	/* Globalize/node.scm 585 */
														BgL_literalz00_bglt BgL_new1189z00_1940;

														BgL_new1189z00_1940 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 585 */
															long BgL_arg1698z00_1941;

															{	/* Globalize/node.scm 585 */
																obj_t BgL_classz00_2748;

																BgL_classz00_2748 = BGl_literalz00zzast_nodez00;
																BgL_arg1698z00_1941 =
																	BGL_CLASS_NUM(BgL_classz00_2748);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1189z00_1940),
																BgL_arg1698z00_1941);
														}
														{	/* Globalize/node.scm 585 */
															BgL_objectz00_bglt BgL_tmpz00_4340;

															BgL_tmpz00_4340 =
																((BgL_objectz00_bglt) BgL_new1189z00_1940);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4340, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1189z00_1940);
														BgL_new1190z00_1939 = BgL_new1189z00_1940;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1190z00_1939)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1190z00_1939)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
																(BgL_arityz00_1920))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1190z00_1939)))->BgL_valuez00) =
														((obj_t) BINT(BgL_arityz00_1920)), BUNSPEC);
													BgL_arg1682z00_1930 = BgL_new1190z00_1939;
												}
												{	/* Globalize/node.scm 588 */
													BgL_literalz00_bglt BgL_new1192z00_1942;

													{	/* Globalize/node.scm 589 */
														BgL_literalz00_bglt BgL_new1191z00_1943;

														BgL_new1191z00_1943 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 589 */
															long BgL_arg1705z00_1944;

															{	/* Globalize/node.scm 589 */
																obj_t BgL_classz00_2752;

																BgL_classz00_2752 = BGl_literalz00zzast_nodez00;
																BgL_arg1705z00_1944 =
																	BGL_CLASS_NUM(BgL_classz00_2752);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1191z00_1943),
																BgL_arg1705z00_1944);
														}
														{	/* Globalize/node.scm 589 */
															BgL_objectz00_bglt BgL_tmpz00_4357;

															BgL_tmpz00_4357 =
																((BgL_objectz00_bglt) BgL_new1191z00_1943);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4357, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1191z00_1943);
														BgL_new1192z00_1942 = BgL_new1191z00_1943;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1192z00_1942)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1192z00_1942)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT((
																		(long) 1)))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1192z00_1942)))->BgL_valuez00) =
														((obj_t)
															BINT(bgl_list_length(BgL_kapturedz00_1921))),
														BUNSPEC);
													BgL_arg1683z00_1931 = BgL_new1192z00_1942;
												}
												{	/* Globalize/node.scm 580 */
													obj_t BgL_list1684z00_1932;

													{	/* Globalize/node.scm 580 */
														obj_t BgL_arg1687z00_1933;

														{	/* Globalize/node.scm 580 */
															obj_t BgL_arg1692z00_1934;

															BgL_arg1692z00_1934 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1683z00_1931), BNIL);
															BgL_arg1687z00_1933 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1682z00_1930),
																BgL_arg1692z00_1934);
														}
														BgL_list1684z00_1932 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1680z00_1929),
															BgL_arg1687z00_1933);
													}
													BgL_auxz00_4315 = BgL_list1684z00_1932;
											}}
											((((BgL_appz00_bglt) COBJECT(BgL_new1184z00_1925))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_4315), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4378;

											if (
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1919)))->
														BgL_stackablez00) == BTRUE))
												{	/* Globalize/node.scm 573 */
													BgL_valuez00_bglt BgL_gvz00_1947;

													BgL_gvz00_1947 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_1924))))->
														BgL_valuez00);
													{	/* Globalize/node.scm 574 */
														bool_t BgL_test2137z00_4386;

														{	/* Globalize/node.scm 574 */
															obj_t BgL_classz00_2759;

															BgL_classz00_2759 = BGl_funz00zzast_varz00;
															{	/* Globalize/node.scm 574 */
																BgL_objectz00_bglt BgL_arg1820z00_2761;

																{	/* Globalize/node.scm 574 */
																	obj_t BgL_tmpz00_4387;

																	BgL_tmpz00_4387 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_gvz00_1947));
																	BgL_arg1820z00_2761 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4387);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Globalize/node.scm 574 */
																		long BgL_idxz00_2767;

																		BgL_idxz00_2767 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2761);
																		{	/* Globalize/node.scm 574 */
																			obj_t BgL_arg1814z00_2768;

																			{	/* Globalize/node.scm 574 */
																				long BgL_arg1815z00_2769;

																				BgL_arg1815z00_2769 =
																					(BgL_idxz00_2767 + ((long) 2));
																				{	/* Globalize/node.scm 574 */
																					obj_t BgL_vectorz00_2771;

																					BgL_vectorz00_2771 =
																						BGl_za2inheritancesza2z00zz__objectz00;
																					BgL_arg1814z00_2768 =
																						VECTOR_REF(BgL_vectorz00_2771,
																						BgL_arg1815z00_2769);
																			}}
																			BgL_test2137z00_4386 =
																				(BgL_arg1814z00_2768 ==
																				BgL_classz00_2759);
																	}}
																else
																	{	/* Globalize/node.scm 574 */
																		bool_t BgL_res2026z00_2789;

																		{	/* Globalize/node.scm 574 */
																			obj_t BgL_oclassz00_2775;

																			{	/* Globalize/node.scm 574 */
																				long BgL_arg1828z00_2781;

																				{	/* Globalize/node.scm 574 */
																					long BgL_arg1829z00_2782;

																					BgL_arg1829z00_2782 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2761);
																					BgL_arg1828z00_2781 =
																						(BgL_arg1829z00_2782 - OBJECT_TYPE);
																				}
																				{	/* Globalize/node.scm 574 */
																					obj_t BgL_vectorz00_2786;

																					BgL_vectorz00_2786 =
																						BGl_za2classesza2z00zz__objectz00;
																					BgL_oclassz00_2775 =
																						VECTOR_REF(BgL_vectorz00_2786,
																						BgL_arg1828z00_2781);
																			}}
																			{	/* Globalize/node.scm 574 */
																				bool_t BgL__ortest_1111z00_2776;

																				BgL__ortest_1111z00_2776 =
																					(BgL_classz00_2759 ==
																					BgL_oclassz00_2775);
																				if (BgL__ortest_1111z00_2776)
																					{	/* Globalize/node.scm 574 */
																						BgL_res2026z00_2789 =
																							BgL__ortest_1111z00_2776;
																					}
																				else
																					{	/* Globalize/node.scm 574 */
																						long BgL_odepthz00_2777;

																						BgL_odepthz00_2777 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2775);
																						if ((((long) 2) <
																								BgL_odepthz00_2777))
																							{	/* Globalize/node.scm 574 */
																								obj_t BgL_arg1816z00_2779;

																								BgL_arg1816z00_2779 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2775,
																									((long) 2));
																								BgL_res2026z00_2789 =
																									(BgL_arg1816z00_2779 ==
																									BgL_classz00_2759);
																							}
																						else
																							{	/* Globalize/node.scm 574 */
																								BgL_res2026z00_2789 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2137z00_4386 = BgL_res2026z00_2789;
																	}
															}
														}
														if (BgL_test2137z00_4386)
															{	/* Globalize/node.scm 574 */
																BgL_auxz00_4378 =
																	(((BgL_funz00_bglt) COBJECT(
																			((BgL_funz00_bglt) BgL_gvz00_1947)))->
																	BgL_stackzd2allocatorzd2);
															}
														else
															{	/* Globalize/node.scm 574 */
																BgL_auxz00_4378 = BFALSE;
															}
													}
												}
											else
												{	/* Globalize/node.scm 572 */
													BgL_auxz00_4378 = BFALSE;
												}
											((((BgL_appz00_bglt) COBJECT(BgL_new1184z00_1925))->
													BgL_stackablez00) =
												((obj_t) BgL_auxz00_4378), BUNSPEC);
										}
										return BgL_new1184z00_1925;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-sets */
	obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t BgL_newz00_67,
		obj_t BgL_locz00_68, obj_t BgL_kapturedz00_69,
		BgL_variablez00_bglt BgL_integratorz00_70)
	{
		{	/* Globalize/node.scm 596 */
			if (NULLP(BgL_kapturedz00_69))
				{	/* Globalize/node.scm 597 */
					return BNIL;
				}
			else
				{
					obj_t BgL_kapturedz00_1957;
					long BgL_indicez00_1958;
					obj_t BgL_setsz00_1959;

					{
						BgL_sequencez00_bglt BgL_auxz00_4412;

						BgL_kapturedz00_1957 = BgL_kapturedz00_69;
						BgL_indicez00_1958 = ((long) 0);
						BgL_setsz00_1959 = BNIL;
					BgL_zc3z04anonymousza31726ze3z87_1960:
						if (NULLP(BgL_kapturedz00_1957))
							{	/* Globalize/node.scm 603 */
								BgL_sequencez00_bglt BgL_new1195z00_1962;

								{	/* Globalize/node.scm 604 */
									BgL_sequencez00_bglt BgL_new1194z00_1964;

									BgL_new1194z00_1964 =
										((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sequencez00_bgl))));
									{	/* Globalize/node.scm 604 */
										long BgL_arg1730z00_1965;

										BgL_arg1730z00_1965 =
											BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1194z00_1964),
											BgL_arg1730z00_1965);
									}
									{	/* Globalize/node.scm 604 */
										BgL_objectz00_bglt BgL_tmpz00_4419;

										BgL_tmpz00_4419 =
											((BgL_objectz00_bglt) BgL_new1194z00_1964);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4419, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1194z00_1964);
									BgL_new1195z00_1962 = BgL_new1194z00_1964;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1195z00_1962)))->
										BgL_locz00) = ((obj_t) BgL_locz00_68), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1195z00_1962)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) CAR(((obj_t)
																BgL_setsz00_1959)))))->BgL_typez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1195z00_1962)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1195z00_1962)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1195z00_1962))->
										BgL_nodesz00) =
									((obj_t) bgl_reverse_bang(BgL_setsz00_1959)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1195z00_1962))->
										BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1195z00_1962))->
										BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
								BgL_auxz00_4412 = BgL_new1195z00_1962;
							}
						else
							{	/* Globalize/node.scm 607 */
								obj_t BgL_arg1731z00_1966;
								long BgL_arg1734z00_1967;
								obj_t BgL_arg1736z00_1968;

								BgL_arg1731z00_1966 = CDR(((obj_t) BgL_kapturedz00_1957));
								BgL_arg1734z00_1967 = (BgL_indicez00_1958 + ((long) 1));
								{	/* Globalize/node.scm 612 */
									BgL_appz00_bglt BgL_arg1738z00_1969;

									{	/* Globalize/node.scm 612 */
										obj_t BgL_arg1741z00_1970;

										BgL_arg1741z00_1970 = CAR(((obj_t) BgL_kapturedz00_1957));
										BgL_arg1738z00_1969 =
											BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7
											(BgL_locz00_68, BgL_newz00_67, BgL_indicez00_1958,
											BgL_arg1741z00_1970, BgL_integratorz00_70);
									}
									BgL_arg1736z00_1968 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1738z00_1969), BgL_setsz00_1959);
								}
								{
									obj_t BgL_setsz00_4450;
									long BgL_indicez00_4449;
									obj_t BgL_kapturedz00_4448;

									BgL_kapturedz00_4448 = BgL_arg1731z00_1966;
									BgL_indicez00_4449 = BgL_arg1734z00_1967;
									BgL_setsz00_4450 = BgL_arg1736z00_1968;
									BgL_setsz00_1959 = BgL_setsz00_4450;
									BgL_indicez00_1958 = BgL_indicez00_4449;
									BgL_kapturedz00_1957 = BgL_kapturedz00_4448;
									goto BgL_zc3z04anonymousza31726ze3z87_1960;
								}
							}
						return ((obj_t) BgL_auxz00_4412);
					}
				}
		}

	}



/* a-procedure-set! */
	BgL_appz00_bglt BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t
		BgL_locz00_71, obj_t BgL_newz00_72, long BgL_indicez00_73,
		obj_t BgL_kapturedz00_74, BgL_variablez00_bglt BgL_integratorz00_75)
	{
		{	/* Globalize/node.scm 619 */
			{
				obj_t BgL_varz00_1996;

				{	/* Globalize/node.scm 625 */
					obj_t BgL_vfz00_1973;
					obj_t BgL_vaz00_1974;

					BgL_vfz00_1973 =
						BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								6)), CNST_TABLE_REF(((long) 5)));
					BgL_varz00_1996 = BgL_kapturedz00_74;
				BgL_zc3z04anonymousza31758ze3z87_1997:
					{	/* Globalize/node.scm 621 */
						obj_t BgL_alphaz00_1998;

						BgL_alphaz00_1998 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1996)))->
							BgL_fastzd2alphazd2);
						{	/* Globalize/node.scm 622 */
							bool_t BgL_test2143z00_4457;

							{	/* Globalize/node.scm 622 */
								obj_t BgL_classz00_2801;

								BgL_classz00_2801 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_alphaz00_1998))
									{	/* Globalize/node.scm 622 */
										BgL_objectz00_bglt BgL_arg1820z00_2803;

										BgL_arg1820z00_2803 =
											(BgL_objectz00_bglt) (BgL_alphaz00_1998);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/node.scm 622 */
												long BgL_idxz00_2809;

												BgL_idxz00_2809 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2803);
												BgL_test2143z00_4457 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2809 + ((long) 2))) ==
													BgL_classz00_2801);
											}
										else
											{	/* Globalize/node.scm 622 */
												bool_t BgL_res2027z00_2831;

												{	/* Globalize/node.scm 622 */
													obj_t BgL_oclassz00_2817;

													{	/* Globalize/node.scm 622 */
														long BgL_arg1828z00_2823;

														{	/* Globalize/node.scm 622 */
															long BgL_arg1829z00_2824;

															BgL_arg1829z00_2824 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2803);
															BgL_arg1828z00_2823 =
																(BgL_arg1829z00_2824 - OBJECT_TYPE);
														}
														BgL_oclassz00_2817 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2823);
													}
													{	/* Globalize/node.scm 622 */
														bool_t BgL__ortest_1111z00_2818;

														BgL__ortest_1111z00_2818 =
															(BgL_classz00_2801 == BgL_oclassz00_2817);
														if (BgL__ortest_1111z00_2818)
															{	/* Globalize/node.scm 622 */
																BgL_res2027z00_2831 = BgL__ortest_1111z00_2818;
															}
														else
															{	/* Globalize/node.scm 622 */
																long BgL_odepthz00_2819;

																BgL_odepthz00_2819 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2817);
																if ((((long) 2) < BgL_odepthz00_2819))
																	{	/* Globalize/node.scm 622 */
																		obj_t BgL_arg1816z00_2821;

																		BgL_arg1816z00_2821 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2817, ((long) 2));
																		BgL_res2027z00_2831 =
																			(BgL_arg1816z00_2821 ==
																			BgL_classz00_2801);
																	}
																else
																	{	/* Globalize/node.scm 622 */
																		BgL_res2027z00_2831 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2143z00_4457 = BgL_res2027z00_2831;
											}
									}
								else
									{	/* Globalize/node.scm 622 */
										BgL_test2143z00_4457 = ((bool_t) 0);
									}
							}
							if (BgL_test2143z00_4457)
								{
									obj_t BgL_varz00_4477;

									BgL_varz00_4477 = BgL_alphaz00_1998;
									BgL_varz00_1996 = BgL_varz00_4477;
									goto BgL_zc3z04anonymousza31758ze3z87_1997;
								}
							else
								{	/* Globalize/node.scm 622 */
									BgL_vaz00_1974 = BgL_varz00_1996;
								}
						}
					}
					{	/* Globalize/node.scm 627 */
						BgL_appz00_bglt BgL_new1197z00_1975;

						{	/* Globalize/node.scm 628 */
							BgL_appz00_bglt BgL_new1196z00_1994;

							BgL_new1196z00_1994 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Globalize/node.scm 628 */
								long BgL_arg1757z00_1995;

								BgL_arg1757z00_1995 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1196z00_1994),
									BgL_arg1757z00_1995);
							}
							{	/* Globalize/node.scm 628 */
								BgL_objectz00_bglt BgL_tmpz00_4482;

								BgL_tmpz00_4482 = ((BgL_objectz00_bglt) BgL_new1196z00_1994);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4482, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1196z00_1994);
							BgL_new1197z00_1975 = BgL_new1196z00_1994;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1197z00_1975)))->BgL_locz00) =
							((obj_t) BgL_locz00_71), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1197z00_1975)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1973)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1197z00_1975)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1197z00_1975)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_4497;

							{	/* Globalize/node.scm 630 */
								BgL_refz00_bglt BgL_new1199z00_1976;

								{	/* Globalize/node.scm 631 */
									BgL_refz00_bglt BgL_new1198z00_1977;

									BgL_new1198z00_1977 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Globalize/node.scm 631 */
										long BgL_arg1745z00_1978;

										{	/* Globalize/node.scm 631 */
											obj_t BgL_classz00_2837;

											BgL_classz00_2837 = BGl_refz00zzast_nodez00;
											BgL_arg1745z00_1978 = BGL_CLASS_NUM(BgL_classz00_2837);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1198z00_1977),
											BgL_arg1745z00_1978);
									}
									{	/* Globalize/node.scm 631 */
										BgL_objectz00_bglt BgL_tmpz00_4502;

										BgL_tmpz00_4502 =
											((BgL_objectz00_bglt) BgL_new1198z00_1977);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4502, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1198z00_1977);
									BgL_new1199z00_1976 = BgL_new1198z00_1977;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1199z00_1976)))->
										BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1199z00_1976)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1973)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1199z00_1976)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BgL_vfz00_1973)), BUNSPEC);
								BgL_auxz00_4497 = ((BgL_varz00_bglt) BgL_new1199z00_1976);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1197z00_1975))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_4497), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_4517;

							{	/* Globalize/node.scm 634 */
								BgL_refz00_bglt BgL_arg1746z00_1979;
								BgL_literalz00_bglt BgL_arg1749z00_1980;
								BgL_refz00_bglt BgL_arg1750z00_1981;

								{	/* Globalize/node.scm 634 */
									BgL_refz00_bglt BgL_new1203z00_1985;

									{	/* Globalize/node.scm 635 */
										BgL_refz00_bglt BgL_new1201z00_1986;

										BgL_new1201z00_1986 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Globalize/node.scm 635 */
											long BgL_arg1754z00_1987;

											{	/* Globalize/node.scm 635 */
												obj_t BgL_classz00_2842;

												BgL_classz00_2842 = BGl_refz00zzast_nodez00;
												BgL_arg1754z00_1987 = BGL_CLASS_NUM(BgL_classz00_2842);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1201z00_1986),
												BgL_arg1754z00_1987);
										}
										{	/* Globalize/node.scm 635 */
											BgL_objectz00_bglt BgL_tmpz00_4522;

											BgL_tmpz00_4522 =
												((BgL_objectz00_bglt) BgL_new1201z00_1986);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4522, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1201z00_1986);
										BgL_new1203z00_1985 = BgL_new1201z00_1986;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1203z00_1985)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1203z00_1985)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_newz00_72)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1203z00_1985)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_newz00_72)), BUNSPEC);
									BgL_arg1746z00_1979 = BgL_new1203z00_1985;
								}
								{	/* Globalize/node.scm 638 */
									BgL_literalz00_bglt BgL_new1205z00_1988;

									{	/* Globalize/node.scm 639 */
										BgL_literalz00_bglt BgL_new1204z00_1989;

										BgL_new1204z00_1989 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Globalize/node.scm 639 */
											long BgL_arg1755z00_1990;

											{	/* Globalize/node.scm 639 */
												obj_t BgL_classz00_2847;

												BgL_classz00_2847 = BGl_literalz00zzast_nodez00;
												BgL_arg1755z00_1990 = BGL_CLASS_NUM(BgL_classz00_2847);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1204z00_1989),
												BgL_arg1755z00_1990);
										}
										{	/* Globalize/node.scm 639 */
											BgL_objectz00_bglt BgL_tmpz00_4539;

											BgL_tmpz00_4539 =
												((BgL_objectz00_bglt) BgL_new1204z00_1989);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4539, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1204z00_1989);
										BgL_new1205z00_1988 = BgL_new1204z00_1989;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1205z00_1988)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1205z00_1988)))->BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
												(BgL_indicez00_73))), BUNSPEC);
									((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
														BgL_new1205z00_1988)))->BgL_valuez00) =
										((obj_t) BINT(BgL_indicez00_73)), BUNSPEC);
									BgL_arg1749z00_1980 = BgL_new1205z00_1988;
								}
								{	/* Globalize/node.scm 642 */

									{	/* Globalize/node.scm 643 */
										BgL_refz00_bglt BgL_new1207z00_1991;

										{	/* Globalize/node.scm 644 */
											BgL_refz00_bglt BgL_new1206z00_1992;

											BgL_new1206z00_1992 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 644 */
												long BgL_arg1756z00_1993;

												{	/* Globalize/node.scm 644 */
													obj_t BgL_classz00_2851;

													BgL_classz00_2851 = BGl_refz00zzast_nodez00;
													BgL_arg1756z00_1993 =
														BGL_CLASS_NUM(BgL_classz00_2851);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1206z00_1992),
													BgL_arg1756z00_1993);
											}
											{	/* Globalize/node.scm 644 */
												BgL_objectz00_bglt BgL_tmpz00_4556;

												BgL_tmpz00_4556 =
													((BgL_objectz00_bglt) BgL_new1206z00_1992);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4556, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1206z00_1992);
											BgL_new1207z00_1991 = BgL_new1206z00_1992;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1207z00_1991)))->
												BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1207z00_1991)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vaz00_1974)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1207z00_1991)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_vaz00_1974)), BUNSPEC);
										BgL_arg1750z00_1981 = BgL_new1207z00_1991;
								}}
								{	/* Globalize/node.scm 634 */
									obj_t BgL_list1751z00_1982;

									{	/* Globalize/node.scm 634 */
										obj_t BgL_arg1752z00_1983;

										{	/* Globalize/node.scm 634 */
											obj_t BgL_arg1753z00_1984;

											BgL_arg1753z00_1984 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1750z00_1981), BNIL);
											BgL_arg1752z00_1983 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1749z00_1980), BgL_arg1753z00_1984);
										}
										BgL_list1751z00_1982 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1746z00_1979), BgL_arg1752z00_1983);
									}
									BgL_auxz00_4517 = BgL_list1751z00_1982;
							}}
							((((BgL_appz00_bglt) COBJECT(BgL_new1197z00_1975))->BgL_argsz00) =
								((obj_t) BgL_auxz00_4517), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1197z00_1975))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1197z00_1975;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_proc2046z00zzglobaliza7e_nodeza7, BGl_nodez00zzast_nodez00,
				BGl_string2047z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!1365 */
	obj_t BGl_z62gloz121365z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3390,
		obj_t BgL_nodez00_3391, obj_t BgL_integratorz00_3392)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
				BGl_string2048z00zzglobaliza7e_nodeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3391)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Globalize/node.scm 134 */
			{	/* Globalize/node.scm 134 */
				obj_t BgL_method1366z00_2006;

				{	/* Globalize/node.scm 134 */
					obj_t BgL_res2033z00_2887;

					{	/* Globalize/node.scm 134 */
						long BgL_objzd2classzd2numz00_2858;

						BgL_objzd2classzd2numz00_2858 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Globalize/node.scm 134 */
							obj_t BgL_arg1825z00_2859;

							BgL_arg1825z00_2859 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
								(int) (((long) 1)));
							{	/* Globalize/node.scm 134 */
								int BgL_offsetz00_2862;

								BgL_offsetz00_2862 = (int) (BgL_objzd2classzd2numz00_2858);
								{	/* Globalize/node.scm 134 */
									long BgL_offsetz00_2863;

									BgL_offsetz00_2863 =
										((long) (BgL_offsetz00_2862) - OBJECT_TYPE);
									{	/* Globalize/node.scm 134 */
										long BgL_modz00_2864;

										BgL_modz00_2864 =
											(BgL_offsetz00_2863 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Globalize/node.scm 134 */
											long BgL_restz00_2866;

											BgL_restz00_2866 =
												(BgL_offsetz00_2863 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Globalize/node.scm 134 */

												{	/* Globalize/node.scm 134 */
													obj_t BgL_bucketz00_2868;

													BgL_bucketz00_2868 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2859), BgL_modz00_2864);
													BgL_res2033z00_2887 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2868), BgL_restz00_2866);
					}}}}}}}}
					BgL_method1366z00_2006 = BgL_res2033z00_2887;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1366z00_2006)) (BgL_method1366z00_2006,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14), BEOA));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3393,
		obj_t BgL_nodez00_3394, obj_t BgL_integratorz00_3395)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_gloz12z12zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3394),
				((BgL_variablez00_bglt) BgL_integratorz00_3395));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_atomz00zzast_nodez00,
				BGl_proc2049z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2051z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_varz00zzast_nodez00,
				BGl_proc2052z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_closurez00zzast_nodez00,
				BGl_proc2053z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_sequencez00zzast_nodez00,
				BGl_proc2054z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_syncz00zzast_nodez00,
				BGl_proc2055z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appz00zzast_nodez00,
				BGl_proc2056z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2057z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_funcallz00zzast_nodez00,
				BGl_proc2058z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_externz00zzast_nodez00,
				BGl_proc2059z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_castz00zzast_nodez00,
				BGl_proc2060z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_setqz00zzast_nodez00,
				BGl_proc2061z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2062z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_failz00zzast_nodez00,
				BGl_proc2063z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_switchz00zzast_nodez00,
				BGl_proc2064z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2065z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2066z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2067z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2068z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2069z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2070z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2071z00zzglobaliza7e_nodeza7,
				BGl_string2050z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!-box-set!1414 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121414z62zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3418, obj_t BgL_nodez00_3419, obj_t BgL_integratorz00_3420)
	{
		{	/* Globalize/node.scm 487 */
			{
				BgL_varz00_bglt BgL_auxz00_4640;

				{	/* Globalize/node.scm 489 */
					BgL_varz00_bglt BgL_arg1955z00_3498;

					BgL_arg1955z00_3498 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3419)))->BgL_varz00);
					BgL_auxz00_4640 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg1955z00_3498),
							((BgL_variablez00_bglt) BgL_integratorz00_3420)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3419)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4640), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4649;

				{	/* Globalize/node.scm 490 */
					BgL_nodez00_bglt BgL_arg1956z00_3499;

					BgL_arg1956z00_3499 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3419)))->BgL_valuez00);
					BgL_auxz00_4649 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1956z00_3499,
						((BgL_variablez00_bglt) BgL_integratorz00_3420));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3419)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4649), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3419));
		}

	}



/* &glo!-box-ref1412 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1412z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3421, obj_t BgL_nodez00_3422, obj_t BgL_integratorz00_3423)
	{
		{	/* Globalize/node.scm 479 */
			{
				BgL_varz00_bglt BgL_auxz00_4658;

				{	/* Globalize/node.scm 481 */
					BgL_varz00_bglt BgL_arg1954z00_3501;

					BgL_arg1954z00_3501 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3422)))->BgL_varz00);
					BgL_auxz00_4658 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg1954z00_3501),
							((BgL_variablez00_bglt) BgL_integratorz00_3423)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3422)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4658), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3422));
		}

	}



/* &glo!-make-box1410 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1410z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3424, obj_t BgL_nodez00_3425, obj_t BgL_integratorz00_3426)
	{
		{	/* Globalize/node.scm 471 */
			{
				BgL_nodez00_bglt BgL_auxz00_4669;

				{	/* Globalize/node.scm 473 */
					BgL_nodez00_bglt BgL_arg1953z00_3503;

					BgL_arg1953z00_3503 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3425)))->BgL_valuez00);
					BgL_auxz00_4669 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1953z00_3503,
						((BgL_variablez00_bglt) BgL_integratorz00_3426));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3425)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4669), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3425));
		}

	}



/* &glo!-jump-ex-it1406 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1406za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3427, obj_t BgL_nodez00_3428, obj_t BgL_integratorz00_3429)
	{
		{	/* Globalize/node.scm 462 */
			{
				BgL_nodez00_bglt BgL_auxz00_4678;

				{	/* Globalize/node.scm 464 */
					BgL_nodez00_bglt BgL_arg1951z00_3505;

					BgL_arg1951z00_3505 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3428)))->BgL_exitz00);
					BgL_auxz00_4678 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1951z00_3505,
						((BgL_variablez00_bglt) BgL_integratorz00_3429));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3428)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4678), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4685;

				{	/* Globalize/node.scm 465 */
					BgL_nodez00_bglt BgL_arg1952z00_3506;

					BgL_arg1952z00_3506 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3428)))->
						BgL_valuez00);
					BgL_auxz00_4685 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1952z00_3506,
						((BgL_variablez00_bglt) BgL_integratorz00_3429));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3428)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4685), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3428));
		}

	}



/* &glo!-set-ex-it1404 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1404za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3430, obj_t BgL_nodez00_3431, obj_t BgL_integratorz00_3432)
	{
		{	/* Globalize/node.scm 446 */
			{	/* Globalize/node.scm 448 */
				obj_t BgL_hdlgz00_3508;

				BgL_hdlgz00_3508 =
					(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																			((BgL_setzd2exzd2itz00_bglt)
																				BgL_nodez00_3431)))->BgL_varz00)))->
														BgL_variablez00)))))->BgL_valuez00))))->
					BgL_handlerz00);
				{	/* Globalize/node.scm 453 */
					bool_t BgL_test2148z00_4702;

					{	/* Globalize/node.scm 453 */
						BgL_sfunz00_bglt BgL_oz00_3509;

						BgL_oz00_3509 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_hdlgz00_3508))))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4707;

							{
								obj_t BgL_auxz00_4708;

								{	/* Globalize/node.scm 453 */
									BgL_objectz00_bglt BgL_tmpz00_4709;

									BgL_tmpz00_4709 = ((BgL_objectz00_bglt) BgL_oz00_3509);
									BgL_auxz00_4708 = BGL_OBJECT_WIDENING(BgL_tmpz00_4709);
								}
								BgL_auxz00_4707 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4708);
							}
							BgL_test2148z00_4702 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4707))->
								BgL_gzf3zf3);
						}
					}
					if (BgL_test2148z00_4702)
						{	/* Globalize/node.scm 454 */
							BgL_valuez00_bglt BgL_arg1942z00_3510;

							BgL_arg1942z00_3510 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																		((BgL_setzd2exzd2itz00_bglt)
																			BgL_nodez00_3431)))->BgL_varz00)))->
													BgL_variablez00)))))->BgL_valuez00);
							((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
												BgL_arg1942z00_3510)))->BgL_detachedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					else
						{	/* Globalize/node.scm 453 */
							BFALSE;
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4722;

					{	/* Globalize/node.scm 455 */
						BgL_nodez00_bglt BgL_arg1946z00_3511;

						BgL_arg1946z00_3511 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3431)))->
							BgL_bodyz00);
						BgL_auxz00_4722 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1946z00_3511,
							((BgL_variablez00_bglt) BgL_integratorz00_3432));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3431)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4722), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4729;

					{	/* Globalize/node.scm 456 */
						BgL_nodez00_bglt BgL_arg1947z00_3512;

						BgL_arg1947z00_3512 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3431)))->
							BgL_onexitz00);
						BgL_auxz00_4729 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1947z00_3512,
							((BgL_variablez00_bglt) BgL_integratorz00_3432));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3431)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4729), BUNSPEC);
				}
				return
					((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3431));
			}
		}

	}



/* &glo!-let-var1402 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1402z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3433, obj_t BgL_nodez00_3434, obj_t BgL_integratorz00_3435)
	{
		{	/* Globalize/node.scm 421 */
			{	/* Globalize/node.scm 423 */
				obj_t BgL_g1357z00_3514;

				BgL_g1357z00_3514 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3434)))->BgL_bindingsz00);
				{
					obj_t BgL_l1355z00_3516;

					BgL_l1355z00_3516 = BgL_g1357z00_3514;
				BgL_zc3z04anonymousza31927ze3z87_3515:
					if (PAIRP(BgL_l1355z00_3516))
						{	/* Globalize/node.scm 423 */
							{	/* Globalize/node.scm 424 */
								obj_t BgL_bindingz00_3517;

								BgL_bindingz00_3517 = CAR(BgL_l1355z00_3516);
								{	/* Globalize/node.scm 424 */
									obj_t BgL_varz00_3518;
									obj_t BgL_valz00_3519;

									BgL_varz00_3518 = CAR(((obj_t) BgL_bindingz00_3517));
									BgL_valz00_3519 = CDR(((obj_t) BgL_bindingz00_3517));
									{	/* Globalize/node.scm 426 */
										BgL_nodez00_bglt BgL_arg1929z00_3520;

										BgL_arg1929z00_3520 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_valz00_3519),
											((BgL_variablez00_bglt) BgL_integratorz00_3435));
										{	/* Globalize/node.scm 426 */
											obj_t BgL_auxz00_4752;
											obj_t BgL_tmpz00_4750;

											BgL_auxz00_4752 = ((obj_t) BgL_arg1929z00_3520);
											BgL_tmpz00_4750 = ((obj_t) BgL_bindingz00_3517);
											SET_CDR(BgL_tmpz00_4750, BgL_auxz00_4752);
										}
									}
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3518)))
										{	/* Globalize/node.scm 428 */
											BgL_localz00_bglt BgL_nvarz00_3521;

											BgL_nvarz00_3521 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3518));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3518))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3521)), BUNSPEC);
											{	/* Globalize/node.scm 431 */
												BgL_makezd2boxzd2_bglt BgL_arg1931z00_3522;

												{	/* Globalize/node.scm 431 */
													obj_t BgL_arg1932z00_3523;

													BgL_arg1932z00_3523 =
														CDR(((obj_t) BgL_bindingz00_3517));
													BgL_arg1931z00_3522 =
														BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1932z00_3523),
														((BgL_variablez00_bglt) BgL_varz00_3518));
												}
												{	/* Globalize/node.scm 430 */
													obj_t BgL_auxz00_4771;
													obj_t BgL_tmpz00_4769;

													BgL_auxz00_4771 = ((obj_t) BgL_arg1931z00_3522);
													BgL_tmpz00_4769 = ((obj_t) BgL_bindingz00_3517);
													SET_CDR(BgL_tmpz00_4769, BgL_auxz00_4771);
												}
											}
										}
									else
										{	/* Globalize/node.scm 427 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1355z00_4774;

								BgL_l1355z00_4774 = CDR(BgL_l1355z00_3516);
								BgL_l1355z00_3516 = BgL_l1355z00_4774;
								goto BgL_zc3z04anonymousza31927ze3z87_3515;
							}
						}
					else
						{	/* Globalize/node.scm 423 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4776;

				{	/* Globalize/node.scm 433 */
					BgL_nodez00_bglt BgL_arg1934z00_3524;

					BgL_arg1934z00_3524 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3434)))->BgL_bodyz00);
					BgL_auxz00_4776 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1934z00_3524,
						((BgL_variablez00_bglt) BgL_integratorz00_3435));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3434)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4776), BUNSPEC);
			}
			{	/* Globalize/node.scm 434 */
				obj_t BgL_g1360z00_3525;

				BgL_g1360z00_3525 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3434)))->BgL_bindingsz00);
				{
					obj_t BgL_l1358z00_3527;

					BgL_l1358z00_3527 = BgL_g1360z00_3525;
				BgL_zc3z04anonymousza31935ze3z87_3526:
					if (PAIRP(BgL_l1358z00_3527))
						{	/* Globalize/node.scm 434 */
							{	/* Globalize/node.scm 435 */
								obj_t BgL_bindingz00_3528;

								BgL_bindingz00_3528 = CAR(BgL_l1358z00_3527);
								{	/* Globalize/node.scm 435 */
									obj_t BgL_varz00_3529;

									BgL_varz00_3529 = CAR(((obj_t) BgL_bindingz00_3528));
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3529)))
										{	/* Globalize/node.scm 437 */
											BgL_localz00_bglt BgL_nvarz00_3530;

											BgL_nvarz00_3530 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3529));
											{	/* Globalize/node.scm 438 */
												obj_t BgL_arg1938z00_3531;

												BgL_arg1938z00_3531 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3529)))->
													BgL_fastzd2alphazd2);
												{	/* Globalize/node.scm 438 */
													obj_t BgL_tmpz00_4797;

													BgL_tmpz00_4797 = ((obj_t) BgL_bindingz00_3528);
													SET_CAR(BgL_tmpz00_4797, BgL_arg1938z00_3531);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3529))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 436 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1358z00_4803;

								BgL_l1358z00_4803 = CDR(BgL_l1358z00_3527);
								BgL_l1358z00_3527 = BgL_l1358z00_4803;
								goto BgL_zc3z04anonymousza31935ze3z87_3526;
							}
						}
					else
						{	/* Globalize/node.scm 434 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3434));
		}

	}



/* &glo!-let-fun1400 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1400z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3436, obj_t BgL_nodez00_3437, obj_t BgL_integratorz00_3438)
	{
		{	/* Globalize/node.scm 379 */
			{
				BgL_nodez00_bglt BgL_auxz00_4807;

				{	/* Globalize/node.scm 381 */
					BgL_nodez00_bglt BgL_arg1900z00_3533;

					BgL_arg1900z00_3533 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3437)))->BgL_bodyz00);
					BgL_auxz00_4807 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1900z00_3533,
						((BgL_variablez00_bglt) BgL_integratorz00_3438));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3437)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4807), BUNSPEC);
			}
			{
				obj_t BgL_obindingsz00_3535;
				obj_t BgL_nbindingsz00_3536;
				obj_t BgL_ebindingsz00_3537;

				{	/* Globalize/node.scm 382 */
					obj_t BgL_arg1901z00_3548;

					BgL_arg1901z00_3548 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3437)))->BgL_localsz00);
					{
						BgL_nodezf2effectzf2_bglt BgL_auxz00_4816;

						BgL_obindingsz00_3535 = BgL_arg1901z00_3548;
						BgL_nbindingsz00_3536 = BNIL;
						BgL_ebindingsz00_3537 = BNIL;
					BgL_liipz00_3534:
						if (NULLP(BgL_obindingsz00_3535))
							{	/* Globalize/node.scm 393 */
								((((BgL_letzd2funzd2_bglt) COBJECT(
												((BgL_letzd2funzd2_bglt) BgL_nodez00_3437)))->
										BgL_localsz00) = ((obj_t) BgL_nbindingsz00_3536), BUNSPEC);
								if (NULLP(BgL_ebindingsz00_3537))
									{	/* Globalize/node.scm 395 */
										BgL_auxz00_4816 =
											((BgL_nodezf2effectzf2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3437));
									}
								else
									{	/* Globalize/node.scm 395 */
										BgL_auxz00_4816 =
											((BgL_nodezf2effectzf2_bglt)
											BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7
											(BgL_ebindingsz00_3537,
												((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_3437)),
												((BgL_variablez00_bglt) BgL_integratorz00_3438)));
									}
							}
						else
							{	/* Globalize/node.scm 398 */
								bool_t BgL_test2155z00_4830;

								if (
									(CAR(
											((obj_t) BgL_obindingsz00_3535)) ==
										BgL_integratorz00_3438))
									{	/* Globalize/node.scm 398 */
										BgL_test2155z00_4830 = ((bool_t) 0);
									}
								else
									{	/* Globalize/node.scm 399 */
										BgL_localz00_bglt BgL_oz00_3538;

										BgL_oz00_3538 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_obindingsz00_3535)));
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_4838;

											{
												obj_t BgL_auxz00_4839;

												{	/* Globalize/node.scm 399 */
													BgL_objectz00_bglt BgL_tmpz00_4840;

													BgL_tmpz00_4840 =
														((BgL_objectz00_bglt) BgL_oz00_3538);
													BgL_auxz00_4839 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4840);
												}
												BgL_auxz00_4838 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4839);
											}
											BgL_test2155z00_4830 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_4838))->BgL_escapezf3zf3);
										}
									}
								if (BgL_test2155z00_4830)
									{	/* Globalize/node.scm 400 */
										obj_t BgL_arg1912z00_3539;
										obj_t BgL_arg1914z00_3540;

										BgL_arg1912z00_3539 = CDR(((obj_t) BgL_obindingsz00_3535));
										{	/* Globalize/node.scm 402 */
											obj_t BgL_arg1915z00_3541;

											BgL_arg1915z00_3541 =
												CAR(((obj_t) BgL_obindingsz00_3535));
											BgL_arg1914z00_3540 =
												MAKE_YOUNG_PAIR(BgL_arg1915z00_3541,
												BgL_ebindingsz00_3537);
										}
										{
											obj_t BgL_ebindingsz00_4851;
											obj_t BgL_obindingsz00_4850;

											BgL_obindingsz00_4850 = BgL_arg1912z00_3539;
											BgL_ebindingsz00_4851 = BgL_arg1914z00_3540;
											BgL_ebindingsz00_3537 = BgL_ebindingsz00_4851;
											BgL_obindingsz00_3535 = BgL_obindingsz00_4850;
											goto BgL_liipz00_3534;
										}
									}
								else
									{	/* Globalize/node.scm 398 */
										if (
											(CAR(
													((obj_t) BgL_obindingsz00_3535)) ==
												BgL_integratorz00_3438))
											{	/* Globalize/node.scm 403 */
												{	/* Globalize/node.scm 407 */
													obj_t BgL_arg1918z00_3542;

													{	/* Globalize/node.scm 407 */
														obj_t BgL_arg1919z00_3543;

														BgL_arg1919z00_3543 =
															CAR(((obj_t) BgL_obindingsz00_3535));
														BgL_arg1918z00_3542 =
															BGl_shapez00zztools_shapez00(BgL_arg1919z00_3543);
													}
													BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF
														(((long) 8)),
														BGl_string2072z00zzglobaliza7e_nodeza7,
														BgL_arg1918z00_3542);
												}
												{	/* Globalize/node.scm 408 */
													obj_t BgL_arg1920z00_3544;

													BgL_arg1920z00_3544 =
														CDR(((obj_t) BgL_obindingsz00_3535));
													{
														obj_t BgL_obindingsz00_4863;

														BgL_obindingsz00_4863 = BgL_arg1920z00_3544;
														BgL_obindingsz00_3535 = BgL_obindingsz00_4863;
														goto BgL_liipz00_3534;
													}
												}
											}
										else
											{	/* Globalize/node.scm 412 */
												obj_t BgL_localz00_3545;

												BgL_localz00_3545 =
													CAR(((obj_t) BgL_obindingsz00_3535));
												BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7
													(((BgL_localz00_bglt) BgL_localz00_3545),
													((BgL_variablez00_bglt) BgL_integratorz00_3438));
												{	/* Globalize/node.scm 414 */
													obj_t BgL_arg1921z00_3546;
													obj_t BgL_arg1922z00_3547;

													BgL_arg1921z00_3546 =
														CDR(((obj_t) BgL_obindingsz00_3535));
													BgL_arg1922z00_3547 =
														MAKE_YOUNG_PAIR(BgL_localz00_3545,
														BgL_nbindingsz00_3536);
													{
														obj_t BgL_nbindingsz00_4873;
														obj_t BgL_obindingsz00_4872;

														BgL_obindingsz00_4872 = BgL_arg1921z00_3546;
														BgL_nbindingsz00_4873 = BgL_arg1922z00_3547;
														BgL_nbindingsz00_3536 = BgL_nbindingsz00_4873;
														BgL_obindingsz00_3535 = BgL_obindingsz00_4872;
														goto BgL_liipz00_3534;
													}
												}
											}
									}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_4816);
					}
				}
			}
		}

	}



/* &glo!-switch1398 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1398za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3439, obj_t BgL_nodez00_3440, obj_t BgL_integratorz00_3441)
	{
		{	/* Globalize/node.scm 368 */
			{
				BgL_nodez00_bglt BgL_auxz00_4875;

				{	/* Globalize/node.scm 370 */
					BgL_nodez00_bglt BgL_arg1891z00_3550;

					BgL_arg1891z00_3550 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3440)))->BgL_testz00);
					BgL_auxz00_4875 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1891z00_3550,
						((BgL_variablez00_bglt) BgL_integratorz00_3441));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3440)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4875), BUNSPEC);
			}
			{	/* Globalize/node.scm 371 */
				obj_t BgL_g1354z00_3551;

				BgL_g1354z00_3551 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3440)))->BgL_clausesz00);
				{
					obj_t BgL_l1352z00_3553;

					BgL_l1352z00_3553 = BgL_g1354z00_3551;
				BgL_zc3z04anonymousza31892ze3z87_3552:
					if (PAIRP(BgL_l1352z00_3553))
						{	/* Globalize/node.scm 371 */
							{	/* Globalize/node.scm 372 */
								obj_t BgL_clausez00_3554;

								BgL_clausez00_3554 = CAR(BgL_l1352z00_3553);
								{	/* Globalize/node.scm 372 */
									BgL_nodez00_bglt BgL_arg1894z00_3555;

									{	/* Globalize/node.scm 372 */
										obj_t BgL_arg1898z00_3556;

										BgL_arg1898z00_3556 = CDR(((obj_t) BgL_clausez00_3554));
										BgL_arg1894z00_3555 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_arg1898z00_3556),
											((BgL_variablez00_bglt) BgL_integratorz00_3441));
									}
									{	/* Globalize/node.scm 372 */
										obj_t BgL_auxz00_4894;
										obj_t BgL_tmpz00_4892;

										BgL_auxz00_4894 = ((obj_t) BgL_arg1894z00_3555);
										BgL_tmpz00_4892 = ((obj_t) BgL_clausez00_3554);
										SET_CDR(BgL_tmpz00_4892, BgL_auxz00_4894);
									}
								}
							}
							{
								obj_t BgL_l1352z00_4897;

								BgL_l1352z00_4897 = CDR(BgL_l1352z00_3553);
								BgL_l1352z00_3553 = BgL_l1352z00_4897;
								goto BgL_zc3z04anonymousza31892ze3z87_3552;
							}
						}
					else
						{	/* Globalize/node.scm 371 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3440));
		}

	}



/* &glo!-fail1396 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1396za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3442, obj_t BgL_nodez00_3443, obj_t BgL_integratorz00_3444)
	{
		{	/* Globalize/node.scm 358 */
			{
				BgL_nodez00_bglt BgL_auxz00_4901;

				{	/* Globalize/node.scm 360 */
					BgL_nodez00_bglt BgL_arg1888z00_3558;

					BgL_arg1888z00_3558 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_procz00);
					BgL_auxz00_4901 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1888z00_3558,
						((BgL_variablez00_bglt) BgL_integratorz00_3444));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4901), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4908;

				{	/* Globalize/node.scm 361 */
					BgL_nodez00_bglt BgL_arg1889z00_3559;

					BgL_arg1889z00_3559 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_msgz00);
					BgL_auxz00_4908 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1889z00_3559,
						((BgL_variablez00_bglt) BgL_integratorz00_3444));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4908), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4915;

				{	/* Globalize/node.scm 362 */
					BgL_nodez00_bglt BgL_arg1890z00_3560;

					BgL_arg1890z00_3560 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_objz00);
					BgL_auxz00_4915 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1890z00_3560,
						((BgL_variablez00_bglt) BgL_integratorz00_3444));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3443)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4915), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3443));
		}

	}



/* &glo!-conditional1394 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1394za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3445, obj_t BgL_nodez00_3446, obj_t BgL_integratorz00_3447)
	{
		{	/* Globalize/node.scm 348 */
			{
				BgL_nodez00_bglt BgL_auxz00_4924;

				{	/* Globalize/node.scm 350 */
					BgL_nodez00_bglt BgL_arg1885z00_3562;

					BgL_arg1885z00_3562 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_testz00);
					BgL_auxz00_4924 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1885z00_3562,
						((BgL_variablez00_bglt) BgL_integratorz00_3447));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4924), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4931;

				{	/* Globalize/node.scm 351 */
					BgL_nodez00_bglt BgL_arg1886z00_3563;

					BgL_arg1886z00_3563 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_truez00);
					BgL_auxz00_4931 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1886z00_3563,
						((BgL_variablez00_bglt) BgL_integratorz00_3447));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4931), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4938;

				{	/* Globalize/node.scm 352 */
					BgL_nodez00_bglt BgL_arg1887z00_3564;

					BgL_arg1887z00_3564 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_falsez00);
					BgL_auxz00_4938 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1887z00_3564,
						((BgL_variablez00_bglt) BgL_integratorz00_3447));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4938), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3446));
		}

	}



/* &glo!-setq1392 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1392za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3448, obj_t BgL_nodez00_3449, obj_t BgL_integratorz00_3450)
	{
		{	/* Globalize/node.scm 310 */
			{
				BgL_nodez00_bglt BgL_auxz00_4947;

				{	/* Globalize/node.scm 312 */
					BgL_nodez00_bglt BgL_arg1864z00_3566;

					BgL_arg1864z00_3566 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3449)))->BgL_valuez00);
					BgL_auxz00_4947 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1864z00_3566,
						((BgL_variablez00_bglt) BgL_integratorz00_3450));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3449)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4947), BUNSPEC);
			}
			{	/* Globalize/node.scm 313 */
				BgL_variablez00_bglt BgL_varz00_3567;

				BgL_varz00_3567 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_3449)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Globalize/node.scm 313 */
					BgL_typez00_bglt BgL_vtypez00_3568;

					BgL_vtypez00_3568 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3567))->BgL_typez00);
					{	/* Globalize/node.scm 314 */

						{	/* Globalize/node.scm 315 */
							obj_t BgL_g1150z00_3569;

							BgL_g1150z00_3569 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3567))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3571;
								obj_t BgL_alphaz00_3572;

								BgL_varz00_3571 = ((obj_t) BgL_varz00_3567);
								BgL_alphaz00_3572 = BgL_g1150z00_3569;
							BgL_loopz00_3570:
								{	/* Globalize/node.scm 317 */
									bool_t BgL_test2159z00_4959;

									{	/* Globalize/node.scm 317 */
										obj_t BgL_classz00_3573;

										BgL_classz00_3573 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3572))
											{	/* Globalize/node.scm 317 */
												BgL_objectz00_bglt BgL_arg1820z00_3574;

												BgL_arg1820z00_3574 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3572);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/node.scm 317 */
														long BgL_idxz00_3575;

														BgL_idxz00_3575 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3574);
														BgL_test2159z00_4959 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3575 + ((long) 2))) ==
															BgL_classz00_3573);
													}
												else
													{	/* Globalize/node.scm 317 */
														bool_t BgL_res2039z00_3578;

														{	/* Globalize/node.scm 317 */
															obj_t BgL_oclassz00_3579;

															{	/* Globalize/node.scm 317 */
																long BgL_arg1828z00_3580;

																{	/* Globalize/node.scm 317 */
																	long BgL_arg1829z00_3581;

																	BgL_arg1829z00_3581 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3574);
																	BgL_arg1828z00_3580 =
																		(BgL_arg1829z00_3581 - OBJECT_TYPE);
																}
																BgL_oclassz00_3579 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3580);
															}
															{	/* Globalize/node.scm 317 */
																bool_t BgL__ortest_1111z00_3582;

																BgL__ortest_1111z00_3582 =
																	(BgL_classz00_3573 == BgL_oclassz00_3579);
																if (BgL__ortest_1111z00_3582)
																	{	/* Globalize/node.scm 317 */
																		BgL_res2039z00_3578 =
																			BgL__ortest_1111z00_3582;
																	}
																else
																	{	/* Globalize/node.scm 317 */
																		long BgL_odepthz00_3583;

																		BgL_odepthz00_3583 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3579);
																		if ((((long) 2) < BgL_odepthz00_3583))
																			{	/* Globalize/node.scm 317 */
																				obj_t BgL_arg1816z00_3584;

																				BgL_arg1816z00_3584 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3579, ((long) 2));
																				BgL_res2039z00_3578 =
																					(BgL_arg1816z00_3584 ==
																					BgL_classz00_3573);
																			}
																		else
																			{	/* Globalize/node.scm 317 */
																				BgL_res2039z00_3578 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2159z00_4959 = BgL_res2039z00_3578;
													}
											}
										else
											{	/* Globalize/node.scm 317 */
												BgL_test2159z00_4959 = ((bool_t) 0);
											}
									}
									if (BgL_test2159z00_4959)
										{	/* Globalize/node.scm 317 */
											{	/* Globalize/node.scm 319 */
												BgL_varz00_bglt BgL_arg1867z00_3585;

												BgL_arg1867z00_3585 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3449)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1867z00_3585))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3572)), BUNSPEC);
											}
											{	/* Globalize/node.scm 320 */
												obj_t BgL_arg1868z00_3586;

												BgL_arg1868z00_3586 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3572)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_4986;
													obj_t BgL_varz00_4985;

													BgL_varz00_4985 = BgL_alphaz00_3572;
													BgL_alphaz00_4986 = BgL_arg1868z00_3586;
													BgL_alphaz00_3572 = BgL_alphaz00_4986;
													BgL_varz00_3571 = BgL_varz00_4985;
													goto BgL_loopz00_3570;
												}
											}
										}
									else
										{	/* Globalize/node.scm 321 */
											BgL_variablez00_bglt BgL_varz00_3587;

											BgL_varz00_3587 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3449)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Globalize/node.scm 322 */
												bool_t BgL_test2164z00_4990;

												{	/* Globalize/node.scm 322 */
													bool_t BgL_test2165z00_4991;

													{	/* Globalize/node.scm 322 */
														obj_t BgL_classz00_3588;

														BgL_classz00_3588 = BGl_localz00zzast_varz00;
														{	/* Globalize/node.scm 322 */
															BgL_objectz00_bglt BgL_arg1820z00_3589;

															{	/* Globalize/node.scm 322 */
																obj_t BgL_tmpz00_4992;

																BgL_tmpz00_4992 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3587));
																BgL_arg1820z00_3589 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4992);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Globalize/node.scm 322 */
																	long BgL_idxz00_3590;

																	BgL_idxz00_3590 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_3589);
																	BgL_test2165z00_4991 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3590 + ((long) 2))) ==
																		BgL_classz00_3588);
																}
															else
																{	/* Globalize/node.scm 322 */
																	bool_t BgL_res2040z00_3593;

																	{	/* Globalize/node.scm 322 */
																		obj_t BgL_oclassz00_3594;

																		{	/* Globalize/node.scm 322 */
																			long BgL_arg1828z00_3595;

																			{	/* Globalize/node.scm 322 */
																				long BgL_arg1829z00_3596;

																				BgL_arg1829z00_3596 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_3589);
																				BgL_arg1828z00_3595 =
																					(BgL_arg1829z00_3596 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3594 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_3595);
																		}
																		{	/* Globalize/node.scm 322 */
																			bool_t BgL__ortest_1111z00_3597;

																			BgL__ortest_1111z00_3597 =
																				(BgL_classz00_3588 ==
																				BgL_oclassz00_3594);
																			if (BgL__ortest_1111z00_3597)
																				{	/* Globalize/node.scm 322 */
																					BgL_res2040z00_3593 =
																						BgL__ortest_1111z00_3597;
																				}
																			else
																				{	/* Globalize/node.scm 322 */
																					long BgL_odepthz00_3598;

																					BgL_odepthz00_3598 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3594);
																					if ((((long) 2) < BgL_odepthz00_3598))
																						{	/* Globalize/node.scm 322 */
																							obj_t BgL_arg1816z00_3599;

																							BgL_arg1816z00_3599 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3594,
																								((long) 2));
																							BgL_res2040z00_3593 =
																								(BgL_arg1816z00_3599 ==
																								BgL_classz00_3588);
																						}
																					else
																						{	/* Globalize/node.scm 322 */
																							BgL_res2040z00_3593 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2165z00_4991 = BgL_res2040z00_3593;
																}
														}
													}
													if (BgL_test2165z00_4991)
														{	/* Globalize/node.scm 322 */
															BgL_test2164z00_4990 =
																BGl_celledzf3zf3zzglobaliza7e_nodeza7
																(BgL_varz00_3587);
														}
													else
														{	/* Globalize/node.scm 322 */
															BgL_test2164z00_4990 = ((bool_t) 0);
														}
												}
												if (BgL_test2164z00_4990)
													{	/* Globalize/node.scm 323 */
														BgL_localz00_bglt BgL_azd2varzd2_3600;
														obj_t BgL_locz00_3601;

														BgL_azd2varzd2_3600 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(CNST_TABLE_REF(((long) 9)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3601 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_3449))))->BgL_locz00);
														{	/* Globalize/node.scm 325 */
															obj_t BgL_vz00_3602;

															BgL_vz00_3602 = CNST_TABLE_REF(((long) 0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3587))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3602), BUNSPEC);
														}
														{	/* Globalize/node.scm 326 */
															bool_t BgL_arg1871z00_3603;

															BgL_arg1871z00_3603 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_3587))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3600)))->
																	BgL_userzf3zf3) =
																((bool_t) BgL_arg1871z00_3603), BUNSPEC);
														}
														{	/* Globalize/node.scm 327 */
															BgL_varz00_bglt BgL_arg1873z00_3604;

															BgL_arg1873z00_3604 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3449)))->
																BgL_varz00);
															{	/* Globalize/node.scm 327 */
																BgL_typez00_bglt BgL_vz00_3605;

																BgL_vz00_3605 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1873z00_3604)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3605), BUNSPEC);
														}}
														{	/* Globalize/node.scm 328 */
															BgL_svarz00_bglt BgL_tmp1151z00_3606;

															BgL_tmp1151z00_3606 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3600)))->BgL_valuez00));
															{	/* Globalize/node.scm 328 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1153z00_3607;

																BgL_wide1153z00_3607 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/node.scm 328 */
																	obj_t BgL_auxz00_5040;
																	BgL_objectz00_bglt BgL_tmpz00_5037;

																	BgL_auxz00_5040 =
																		((obj_t) BgL_wide1153z00_3607);
																	BgL_tmpz00_5037 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5037,
																		BgL_auxz00_5040);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																{	/* Globalize/node.scm 328 */
																	long BgL_arg1874z00_3608;

																	BgL_arg1874z00_3608 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606)),
																		BgL_arg1874z00_3608);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5051;

																{
																	obj_t BgL_auxz00_5052;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5053;

																		BgL_tmpz00_5053 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																		BgL_auxz00_5052 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5053);
																	}
																	BgL_auxz00_5051 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5052);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5051))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5059;

																{
																	obj_t BgL_auxz00_5060;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5061;

																		BgL_tmpz00_5061 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																		BgL_auxz00_5060 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5061);
																	}
																	BgL_auxz00_5059 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5060);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5059))->
																		BgL_freezd2markzd2) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5067;

																{
																	obj_t BgL_auxz00_5068;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5069;

																		BgL_tmpz00_5069 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																		BgL_auxz00_5068 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5069);
																	}
																	BgL_auxz00_5067 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5068);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5067))->BgL_markz00) =
																	((long) ((long) -10)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5075;

																{
																	obj_t BgL_auxz00_5076;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5077;

																		BgL_tmpz00_5077 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																		BgL_auxz00_5076 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5077);
																	}
																	BgL_auxz00_5075 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5076);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5075))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5083;

																{
																	obj_t BgL_auxz00_5084;

																	{	/* Globalize/node.scm 329 */
																		BgL_objectz00_bglt BgL_tmpz00_5085;

																		BgL_tmpz00_5085 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3606));
																		BgL_auxz00_5084 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5085);
																	}
																	BgL_auxz00_5083 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5084);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5083))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1151z00_3606);
														}
														{	/* Globalize/node.scm 330 */
															BgL_letzd2varzd2_bglt BgL_new1156z00_3609;

															{	/* Globalize/node.scm 331 */
																BgL_letzd2varzd2_bglt BgL_new1155z00_3610;

																BgL_new1155z00_3610 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Globalize/node.scm 331 */
																	long BgL_arg1882z00_3611;

																	BgL_arg1882z00_3611 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1155z00_3610),
																		BgL_arg1882z00_3611);
																}
																{	/* Globalize/node.scm 331 */
																	BgL_objectz00_bglt BgL_tmpz00_5096;

																	BgL_tmpz00_5096 =
																		((BgL_objectz00_bglt) BgL_new1155z00_3610);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5096,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1155z00_3610);
																BgL_new1156z00_3609 = BgL_new1155z00_3610;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1156z00_3609)))->BgL_locz00) =
																((obj_t) BgL_locz00_3601), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1156z00_3609)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1156z00_3609)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1156z00_3609)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_5110;

																{	/* Globalize/node.scm 333 */
																	obj_t BgL_arg1875z00_3612;

																	{	/* Globalize/node.scm 333 */
																		BgL_nodez00_bglt BgL_arg1877z00_3613;

																		BgL_arg1877z00_3613 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_3449)))->BgL_valuez00);
																		BgL_arg1875z00_3612 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3600),
																			((obj_t) BgL_arg1877z00_3613));
																	}
																	{	/* Globalize/node.scm 333 */
																		obj_t BgL_list1876z00_3614;

																		BgL_list1876z00_3614 =
																			MAKE_YOUNG_PAIR(BgL_arg1875z00_3612,
																			BNIL);
																		BgL_auxz00_5110 = BgL_list1876z00_3614;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1156z00_3609))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_5110), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_5118;

																{	/* Globalize/node.scm 334 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1159z00_3615;

																	{	/* Globalize/node.scm 335 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1158z00_3616;
																		BgL_new1158z00_3616 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Globalize/node.scm 335 */
																			long BgL_arg1880z00_3617;

																			{	/* Globalize/node.scm 335 */
																				obj_t BgL_classz00_3618;

																				BgL_classz00_3618 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1880z00_3617 =
																					BGL_CLASS_NUM(BgL_classz00_3618);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1158z00_3616),
																				BgL_arg1880z00_3617);
																		}
																		{	/* Globalize/node.scm 335 */
																			BgL_objectz00_bglt BgL_tmpz00_5123;

																			BgL_tmpz00_5123 =
																				((BgL_objectz00_bglt)
																				BgL_new1158z00_3616);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5123,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1158z00_3616);
																		BgL_new1159z00_3615 = BgL_new1158z00_3616;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1159z00_3615)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3601), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1159z00_3615)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1159z00_3615))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_3449)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_5135;

																		{	/* Globalize/node.scm 339 */
																			BgL_refz00_bglt BgL_new1161z00_3619;

																			{	/* Globalize/node.scm 340 */
																				BgL_refz00_bglt BgL_new1160z00_3620;

																				BgL_new1160z00_3620 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Globalize/node.scm 340 */
																					long BgL_arg1879z00_3621;

																					{	/* Globalize/node.scm 340 */
																						obj_t BgL_classz00_3622;

																						BgL_classz00_3622 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1879z00_3621 =
																							BGL_CLASS_NUM(BgL_classz00_3622);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1160z00_3620),
																						BgL_arg1879z00_3621);
																				}
																				{	/* Globalize/node.scm 340 */
																					BgL_objectz00_bglt BgL_tmpz00_5140;

																					BgL_tmpz00_5140 =
																						((BgL_objectz00_bglt)
																						BgL_new1160z00_3620);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5140, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1160z00_3620);
																				BgL_new1161z00_3619 =
																					BgL_new1160z00_3620;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1161z00_3619)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3601), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1161z00_3619)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3600)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1161z00_3619)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3600)), BUNSPEC);
																			BgL_auxz00_5135 =
																				((BgL_nodez00_bglt)
																				BgL_new1161z00_3619);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1159z00_3615))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_5135),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1159z00_3615))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																			(BgL_vtypez00_3568)), BUNSPEC);
																	BgL_auxz00_5118 =
																		((BgL_nodez00_bglt) BgL_new1159z00_3615);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1156z00_3609))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_5118),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1156z00_3609))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1156z00_3609);
														}
													}
												else
													{	/* Globalize/node.scm 322 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_3449));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1390 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1390za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3451, obj_t BgL_nodez00_3452, obj_t BgL_integratorz00_3453)
	{
		{	/* Globalize/node.scm 302 */
			{	/* Globalize/node.scm 304 */
				BgL_nodez00_bglt BgL_arg1862z00_3624;

				BgL_arg1862z00_3624 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3452)))->BgL_argz00);
				BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1862z00_3624,
					((BgL_variablez00_bglt) BgL_integratorz00_3453));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3452));
		}

	}



/* &glo!-extern1388 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1388za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3454, obj_t BgL_nodez00_3455, obj_t BgL_integratorz00_3456)
	{
		{	/* Globalize/node.scm 294 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3455)))->BgL_exprza2za2),
				BgL_integratorz00_3456);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3455));
		}

	}



/* &glo!-funcall1385 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1385za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3457, obj_t BgL_nodez00_3458, obj_t BgL_integratorz00_3459)
	{
		{	/* Globalize/node.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_5175;

				{	/* Globalize/node.scm 287 */
					BgL_nodez00_bglt BgL_arg1859z00_3627;

					BgL_arg1859z00_3627 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3458)))->BgL_funz00);
					BgL_auxz00_5175 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1859z00_3627,
						((BgL_variablez00_bglt) BgL_integratorz00_3459));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3458)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5175), BUNSPEC);
			}
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3458)))->BgL_argsz00),
				BgL_integratorz00_3459);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3458));
		}

	}



/* &glo!-app-ly1383 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1383z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3460, obj_t BgL_nodez00_3461, obj_t BgL_integratorz00_3462)
	{
		{	/* Globalize/node.scm 276 */
			{
				BgL_nodez00_bglt BgL_auxz00_5187;

				{	/* Globalize/node.scm 278 */
					BgL_nodez00_bglt BgL_arg1856z00_3629;

					BgL_arg1856z00_3629 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3461)))->BgL_funz00);
					BgL_auxz00_5187 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1856z00_3629,
						((BgL_variablez00_bglt) BgL_integratorz00_3462));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3461)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5187), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5194;

				{	/* Globalize/node.scm 279 */
					BgL_nodez00_bglt BgL_arg1857z00_3630;

					BgL_arg1857z00_3630 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3461)))->BgL_argz00);
					BgL_auxz00_5194 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1857z00_3630,
						((BgL_variablez00_bglt) BgL_integratorz00_3462));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3461)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5194), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3461));
		}

	}



/* &glo!-app1381 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1381za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3463, obj_t BgL_nodez00_3464, obj_t BgL_integratorz00_3465)
	{
		{	/* Globalize/node.scm 211 */
			{	/* Globalize/node.scm 213 */
				BgL_variablez00_bglt BgL_funz00_3632;

				BgL_funz00_3632 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3464)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Globalize/node.scm 213 */
					BgL_valuez00_bglt BgL_infoz00_3633;

					BgL_infoz00_3633 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_3632))->BgL_valuez00);
					{	/* Globalize/node.scm 214 */

						{	/* Globalize/node.scm 223 */
							bool_t BgL_test2169z00_5207;

							{	/* Globalize/node.scm 223 */
								bool_t BgL_test2170z00_5208;

								{	/* Globalize/node.scm 223 */
									obj_t BgL_classz00_3634;

									BgL_classz00_3634 = BGl_localz00zzast_varz00;
									{	/* Globalize/node.scm 223 */
										BgL_objectz00_bglt BgL_arg1820z00_3635;

										{	/* Globalize/node.scm 223 */
											obj_t BgL_tmpz00_5209;

											BgL_tmpz00_5209 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3632));
											BgL_arg1820z00_3635 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5209);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/node.scm 223 */
												long BgL_idxz00_3636;

												BgL_idxz00_3636 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3635);
												BgL_test2170z00_5208 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3636 + ((long) 2))) ==
													BgL_classz00_3634);
											}
										else
											{	/* Globalize/node.scm 223 */
												bool_t BgL_res2036z00_3639;

												{	/* Globalize/node.scm 223 */
													obj_t BgL_oclassz00_3640;

													{	/* Globalize/node.scm 223 */
														long BgL_arg1828z00_3641;

														{	/* Globalize/node.scm 223 */
															long BgL_arg1829z00_3642;

															BgL_arg1829z00_3642 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3635);
															BgL_arg1828z00_3641 =
																(BgL_arg1829z00_3642 - OBJECT_TYPE);
														}
														BgL_oclassz00_3640 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3641);
													}
													{	/* Globalize/node.scm 223 */
														bool_t BgL__ortest_1111z00_3643;

														BgL__ortest_1111z00_3643 =
															(BgL_classz00_3634 == BgL_oclassz00_3640);
														if (BgL__ortest_1111z00_3643)
															{	/* Globalize/node.scm 223 */
																BgL_res2036z00_3639 = BgL__ortest_1111z00_3643;
															}
														else
															{	/* Globalize/node.scm 223 */
																long BgL_odepthz00_3644;

																BgL_odepthz00_3644 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3640);
																if ((((long) 2) < BgL_odepthz00_3644))
																	{	/* Globalize/node.scm 223 */
																		obj_t BgL_arg1816z00_3645;

																		BgL_arg1816z00_3645 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3640, ((long) 2));
																		BgL_res2036z00_3639 =
																			(BgL_arg1816z00_3645 ==
																			BgL_classz00_3634);
																	}
																else
																	{	/* Globalize/node.scm 223 */
																		BgL_res2036z00_3639 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2170z00_5208 = BgL_res2036z00_3639;
											}
									}
								}
								if (BgL_test2170z00_5208)
									{	/* Globalize/node.scm 224 */
										bool_t BgL_test2174z00_5229;

										if ((((obj_t) BgL_funz00_3632) == BgL_integratorz00_3465))
											{	/* Globalize/node.scm 225 */
												bool_t BgL_test2176z00_5233;

												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_5234;

													{
														obj_t BgL_auxz00_5235;

														{	/* Globalize/node.scm 225 */
															BgL_objectz00_bglt BgL_tmpz00_5236;

															BgL_tmpz00_5236 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_funz00_3632));
															BgL_auxz00_5235 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5236);
														}
														BgL_auxz00_5234 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5235);
													}
													BgL_test2176z00_5233 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_5234))->BgL_escapezf3zf3);
												}
												if (BgL_test2176z00_5233)
													{	/* Globalize/node.scm 225 */
														BgL_test2174z00_5229 = ((bool_t) 0);
													}
												else
													{	/* Globalize/node.scm 225 */
														BgL_test2174z00_5229 = ((bool_t) 1);
													}
											}
										else
											{	/* Globalize/node.scm 224 */
												BgL_test2174z00_5229 = ((bool_t) 1);
											}
										if (BgL_test2174z00_5229)
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5242;

												{
													obj_t BgL_auxz00_5243;

													{	/* Globalize/node.scm 226 */
														BgL_objectz00_bglt BgL_tmpz00_5244;

														BgL_tmpz00_5244 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3633));
														BgL_auxz00_5243 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5244);
													}
													BgL_auxz00_5242 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5243);
												}
												BgL_test2169z00_5207 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5242))->BgL_gzf3zf3);
											}
										else
											{	/* Globalize/node.scm 224 */
												BgL_test2169z00_5207 = ((bool_t) 0);
											}
									}
								else
									{	/* Globalize/node.scm 223 */
										BgL_test2169z00_5207 = ((bool_t) 0);
									}
							}
							if (BgL_test2169z00_5207)
								{	/* Globalize/node.scm 228 */
									BgL_refz00_bglt BgL_arg1811z00_3646;

									{	/* Globalize/node.scm 228 */
										BgL_refz00_bglt BgL_new1138z00_3647;

										{	/* Globalize/node.scm 229 */
											BgL_refz00_bglt BgL_new1137z00_3648;

											BgL_new1137z00_3648 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 229 */
												long BgL_arg1812z00_3649;

												BgL_arg1812z00_3649 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1137z00_3648),
													BgL_arg1812z00_3649);
											}
											{	/* Globalize/node.scm 229 */
												BgL_objectz00_bglt BgL_tmpz00_5254;

												BgL_tmpz00_5254 =
													((BgL_objectz00_bglt) BgL_new1137z00_3648);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5254, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1137z00_3648);
											BgL_new1138z00_3647 = BgL_new1137z00_3648;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1138z00_3647)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3464))))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1138z00_3647)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3464))))->BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1138z00_3647)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
														((BgL_localz00_bglt) BgL_funz00_3632)))), BUNSPEC);
										BgL_arg1811z00_3646 = BgL_new1138z00_3647;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3464)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1811z00_3646)),
										BUNSPEC);
								}
							else
								{	/* Globalize/node.scm 223 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3651;

							BgL_nodesz00_3651 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3464)))->BgL_argsz00);
						BgL_liipz00_3650:
							if (NULLP(BgL_nodesz00_3651))
								{	/* Globalize/node.scm 235 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Globalize/node.scm 235 */
									{	/* Globalize/node.scm 238 */
										BgL_nodez00_bglt BgL_arg1817z00_3652;

										{	/* Globalize/node.scm 238 */
											obj_t BgL_arg1819z00_3653;

											BgL_arg1819z00_3653 = CAR(((obj_t) BgL_nodesz00_3651));
											BgL_arg1817z00_3652 =
												BGl_gloz12z12zzglobaliza7e_nodeza7(
												((BgL_nodez00_bglt) BgL_arg1819z00_3653),
												((BgL_variablez00_bglt) BgL_integratorz00_3465));
										}
										{	/* Globalize/node.scm 238 */
											obj_t BgL_auxz00_5286;
											obj_t BgL_tmpz00_5284;

											BgL_auxz00_5286 = ((obj_t) BgL_arg1817z00_3652);
											BgL_tmpz00_5284 = ((obj_t) BgL_nodesz00_3651);
											SET_CAR(BgL_tmpz00_5284, BgL_auxz00_5286);
										}
									}
									{	/* Globalize/node.scm 239 */
										obj_t BgL_arg1821z00_3654;

										BgL_arg1821z00_3654 = CDR(((obj_t) BgL_nodesz00_3651));
										{
											obj_t BgL_nodesz00_5291;

											BgL_nodesz00_5291 = BgL_arg1821z00_3654;
											BgL_nodesz00_3651 = BgL_nodesz00_5291;
											goto BgL_liipz00_3650;
										}
									}
								}
						}
						{	/* Globalize/node.scm 241 */
							bool_t BgL_test2178z00_5294;

							{	/* Globalize/node.scm 241 */
								bool_t BgL_test2179z00_5295;

								{	/* Globalize/node.scm 241 */
									obj_t BgL_classz00_3655;

									BgL_classz00_3655 = BGl_globalz00zzast_varz00;
									{	/* Globalize/node.scm 241 */
										BgL_objectz00_bglt BgL_arg1820z00_3656;

										{	/* Globalize/node.scm 241 */
											obj_t BgL_tmpz00_5296;

											BgL_tmpz00_5296 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3632));
											BgL_arg1820z00_3656 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5296);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/node.scm 241 */
												long BgL_idxz00_3657;

												BgL_idxz00_3657 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3656);
												BgL_test2179z00_5295 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3657 + ((long) 2))) ==
													BgL_classz00_3655);
											}
										else
											{	/* Globalize/node.scm 241 */
												bool_t BgL_res2037z00_3660;

												{	/* Globalize/node.scm 241 */
													obj_t BgL_oclassz00_3661;

													{	/* Globalize/node.scm 241 */
														long BgL_arg1828z00_3662;

														{	/* Globalize/node.scm 241 */
															long BgL_arg1829z00_3663;

															BgL_arg1829z00_3663 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3656);
															BgL_arg1828z00_3662 =
																(BgL_arg1829z00_3663 - OBJECT_TYPE);
														}
														BgL_oclassz00_3661 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3662);
													}
													{	/* Globalize/node.scm 241 */
														bool_t BgL__ortest_1111z00_3664;

														BgL__ortest_1111z00_3664 =
															(BgL_classz00_3655 == BgL_oclassz00_3661);
														if (BgL__ortest_1111z00_3664)
															{	/* Globalize/node.scm 241 */
																BgL_res2037z00_3660 = BgL__ortest_1111z00_3664;
															}
														else
															{	/* Globalize/node.scm 241 */
																long BgL_odepthz00_3665;

																BgL_odepthz00_3665 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3661);
																if ((((long) 2) < BgL_odepthz00_3665))
																	{	/* Globalize/node.scm 241 */
																		obj_t BgL_arg1816z00_3666;

																		BgL_arg1816z00_3666 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3661, ((long) 2));
																		BgL_res2037z00_3660 =
																			(BgL_arg1816z00_3666 ==
																			BgL_classz00_3655);
																	}
																else
																	{	/* Globalize/node.scm 241 */
																		BgL_res2037z00_3660 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2179z00_5295 = BgL_res2037z00_3660;
											}
									}
								}
								if (BgL_test2179z00_5295)
									{	/* Globalize/node.scm 241 */
										BgL_test2178z00_5294 = ((bool_t) 1);
									}
								else
									{	/* Globalize/node.scm 242 */
										bool_t BgL_test2183z00_5316;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5317;

											{
												obj_t BgL_auxz00_5318;

												{	/* Globalize/node.scm 242 */
													BgL_objectz00_bglt BgL_tmpz00_5319;

													BgL_tmpz00_5319 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3633));
													BgL_auxz00_5318 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5319);
												}
												BgL_auxz00_5317 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5318);
											}
											BgL_test2183z00_5316 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5317))->
												BgL_gzf3zf3);
										}
										if (BgL_test2183z00_5316)
											{	/* Globalize/node.scm 242 */
												if (
													(((obj_t) BgL_funz00_3632) == BgL_integratorz00_3465))
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_5328;

														{
															obj_t BgL_auxz00_5329;

															{	/* Globalize/node.scm 244 */
																BgL_objectz00_bglt BgL_tmpz00_5330;

																BgL_tmpz00_5330 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_funz00_3632));
																BgL_auxz00_5329 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5330);
															}
															BgL_auxz00_5328 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5329);
														}
														BgL_test2178z00_5294 =
															(((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_5328))->BgL_escapezf3zf3);
													}
												else
													{	/* Globalize/node.scm 243 */
														BgL_test2178z00_5294 = ((bool_t) 0);
													}
											}
										else
											{	/* Globalize/node.scm 242 */
												BgL_test2178z00_5294 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2178z00_5294)
								{	/* Globalize/node.scm 241 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Globalize/node.scm 246 */
									bool_t BgL_test2185z00_5337;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_5338;

										{
											obj_t BgL_auxz00_5339;

											{	/* Globalize/node.scm 246 */
												BgL_objectz00_bglt BgL_tmpz00_5340;

												BgL_tmpz00_5340 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_3632));
												BgL_auxz00_5339 = BGL_OBJECT_WIDENING(BgL_tmpz00_5340);
											}
											BgL_auxz00_5338 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5339);
										}
										BgL_test2185z00_5337 =
											(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5338))->
											BgL_escapezf3zf3);
									}
									if (BgL_test2185z00_5337)
										{
											obj_t BgL_auxz00_5346;

											{	/* Globalize/node.scm 249 */
												BgL_nodez00_bglt BgL_arg1830z00_3667;
												obj_t BgL_arg1833z00_3668;

												{	/* Globalize/node.scm 249 */
													BgL_refz00_bglt BgL_arg1835z00_3669;

													{	/* Globalize/node.scm 249 */
														BgL_refz00_bglt BgL_new1141z00_3670;

														{	/* Globalize/node.scm 252 */
															BgL_refz00_bglt BgL_new1140z00_3671;

															BgL_new1140z00_3671 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Globalize/node.scm 252 */
																long BgL_arg1844z00_3672;

																{	/* Globalize/node.scm 252 */
																	obj_t BgL_classz00_3673;

																	BgL_classz00_3673 = BGl_refz00zzast_nodez00;
																	BgL_arg1844z00_3672 =
																		BGL_CLASS_NUM(BgL_classz00_3673);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1140z00_3671),
																	BgL_arg1844z00_3672);
															}
															{	/* Globalize/node.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5352;

																BgL_tmpz00_5352 =
																	((BgL_objectz00_bglt) BgL_new1140z00_3671);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5352,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1140z00_3671);
															BgL_new1141z00_3670 = BgL_new1140z00_3671;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1141z00_3670)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt) (
																					(BgL_appz00_bglt)
																					BgL_nodez00_3464))))->BgL_locz00)),
															BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_5361;

															{	/* Globalize/node.scm 251 */
																obj_t BgL_arg1836z00_3674;

																{	/* Globalize/node.scm 251 */
																	obj_t BgL_arg1837z00_3675;

																	BgL_arg1837z00_3675 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_3464))))->BgL_locz00);
																	BgL_arg1836z00_3674 =
																		BGl_thezd2closurezd2zzglobaliza7e_freeza7
																		(BgL_funz00_3632, BgL_arg1837z00_3675);
																}
																BgL_auxz00_5361 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1836z00_3674)))->BgL_typez00);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1141z00_3670)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_5361), BUNSPEC);
														}
														{
															BgL_variablez00_bglt BgL_auxz00_5370;

															{	/* Globalize/node.scm 252 */
																obj_t BgL_arg1840z00_3676;

																BgL_arg1840z00_3676 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt)
																					BgL_nodez00_3464))))->BgL_locz00);
																BgL_auxz00_5370 =
																	((BgL_variablez00_bglt)
																	BGl_thezd2closurezd2zzglobaliza7e_freeza7
																	(BgL_funz00_3632, BgL_arg1840z00_3676));
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1141z00_3670)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_auxz00_5370),
																BUNSPEC);
														}
														BgL_arg1835z00_3669 = BgL_new1141z00_3670;
													}
													BgL_arg1830z00_3667 =
														BGl_gloz12z12zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1835z00_3669),
														((BgL_variablez00_bglt) BgL_integratorz00_3465));
												}
												BgL_arg1833z00_3668 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3464)))->
													BgL_argsz00);
												BgL_auxz00_5346 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1830z00_3667),
													BgL_arg1833z00_3668);
											}
											((((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3464)))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_5346), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 258 */
											obj_t BgL_g1142z00_3677;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5386;

												{
													obj_t BgL_auxz00_5387;

													{	/* Globalize/node.scm 259 */
														BgL_objectz00_bglt BgL_tmpz00_5388;

														BgL_tmpz00_5388 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3633));
														BgL_auxz00_5387 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5388);
													}
													BgL_auxz00_5386 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5387);
												}
												BgL_g1142z00_3677 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5386))->BgL_kapturedz00);
											}
											{
												obj_t BgL_newzd2actualszd2_3679;
												obj_t BgL_kapturedz00_3680;

												BgL_newzd2actualszd2_3679 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3464)))->
													BgL_argsz00);
												BgL_kapturedz00_3680 = BgL_g1142z00_3677;
											BgL_loopz00_3678:
												if (NULLP(BgL_kapturedz00_3680))
													{	/* Globalize/node.scm 260 */
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3464)))->
																BgL_argsz00) =
															((obj_t) BgL_newzd2actualszd2_3679), BUNSPEC);
													}
												else
													{	/* Globalize/node.scm 262 */
														obj_t BgL_kapz00_3681;

														BgL_kapz00_3681 =
															CAR(((obj_t) BgL_kapturedz00_3680));
														{	/* Globalize/node.scm 262 */
															obj_t BgL_alphaz00_3682;

															BgL_alphaz00_3682 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_kapz00_3681))))->
																BgL_fastzd2alphazd2);
															{	/* Globalize/node.scm 263 */
																obj_t BgL_varz00_3683;

																{	/* Globalize/node.scm 264 */
																	bool_t BgL_test2187z00_5403;

																	{	/* Globalize/node.scm 264 */
																		obj_t BgL_classz00_3684;

																		BgL_classz00_3684 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_alphaz00_3682))
																			{	/* Globalize/node.scm 264 */
																				BgL_objectz00_bglt BgL_arg1820z00_3685;

																				BgL_arg1820z00_3685 =
																					(BgL_objectz00_bglt)
																					(BgL_alphaz00_3682);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Globalize/node.scm 264 */
																						long BgL_idxz00_3686;

																						BgL_idxz00_3686 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_3685);
																						BgL_test2187z00_5403 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3686 +
																									((long) 2))) ==
																							BgL_classz00_3684);
																					}
																				else
																					{	/* Globalize/node.scm 264 */
																						bool_t BgL_res2038z00_3689;

																						{	/* Globalize/node.scm 264 */
																							obj_t BgL_oclassz00_3690;

																							{	/* Globalize/node.scm 264 */
																								long BgL_arg1828z00_3691;

																								{	/* Globalize/node.scm 264 */
																									long BgL_arg1829z00_3692;

																									BgL_arg1829z00_3692 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_3685);
																									BgL_arg1828z00_3691 =
																										(BgL_arg1829z00_3692 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3690 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_3691);
																							}
																							{	/* Globalize/node.scm 264 */
																								bool_t BgL__ortest_1111z00_3693;

																								BgL__ortest_1111z00_3693 =
																									(BgL_classz00_3684 ==
																									BgL_oclassz00_3690);
																								if (BgL__ortest_1111z00_3693)
																									{	/* Globalize/node.scm 264 */
																										BgL_res2038z00_3689 =
																											BgL__ortest_1111z00_3693;
																									}
																								else
																									{	/* Globalize/node.scm 264 */
																										long BgL_odepthz00_3694;

																										BgL_odepthz00_3694 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3690);
																										if ((((long) 2) <
																												BgL_odepthz00_3694))
																											{	/* Globalize/node.scm 264 */
																												obj_t
																													BgL_arg1816z00_3695;
																												BgL_arg1816z00_3695 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3690,
																													((long) 2));
																												BgL_res2038z00_3689 =
																													(BgL_arg1816z00_3695
																													== BgL_classz00_3684);
																											}
																										else
																											{	/* Globalize/node.scm 264 */
																												BgL_res2038z00_3689 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2187z00_5403 =
																							BgL_res2038z00_3689;
																					}
																			}
																		else
																			{	/* Globalize/node.scm 264 */
																				BgL_test2187z00_5403 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2187z00_5403)
																		{	/* Globalize/node.scm 264 */
																			BgL_varz00_3683 = BgL_alphaz00_3682;
																		}
																	else
																		{	/* Globalize/node.scm 264 */
																			BgL_varz00_3683 = BgL_kapz00_3681;
																		}
																}
																{	/* Globalize/node.scm 264 */

																	{	/* Globalize/node.scm 265 */
																		obj_t BgL_arg1848z00_3696;
																		obj_t BgL_arg1849z00_3697;

																		{	/* Globalize/node.scm 265 */
																			BgL_refz00_bglt BgL_arg1850z00_3698;

																			{	/* Globalize/node.scm 265 */
																				BgL_refz00_bglt BgL_new1144z00_3699;

																				{	/* Globalize/node.scm 268 */
																					BgL_refz00_bglt BgL_new1143z00_3700;

																					BgL_new1143z00_3700 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Globalize/node.scm 268 */
																						long BgL_arg1851z00_3701;

																						BgL_arg1851z00_3701 =
																							BGL_CLASS_NUM
																							(BGl_refz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1143z00_3700),
																							BgL_arg1851z00_3701);
																					}
																					{	/* Globalize/node.scm 268 */
																						BgL_objectz00_bglt BgL_tmpz00_5427;

																						BgL_tmpz00_5427 =
																							((BgL_objectz00_bglt)
																							BgL_new1143z00_3700);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_5427, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1143z00_3700);
																					BgL_new1144z00_3699 =
																						BgL_new1143z00_3700;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1144z00_3699)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_nodez00_3464))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1144z00_3699)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_varz00_3683)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1144z00_3699)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_varz00_3683)), BUNSPEC);
																				BgL_arg1850z00_3698 =
																					BgL_new1144z00_3699;
																			}
																			BgL_arg1848z00_3696 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1850z00_3698),
																				BgL_newzd2actualszd2_3679);
																		}
																		BgL_arg1849z00_3697 =
																			CDR(((obj_t) BgL_kapturedz00_3680));
																		{
																			obj_t BgL_kapturedz00_5448;
																			obj_t BgL_newzd2actualszd2_5447;

																			BgL_newzd2actualszd2_5447 =
																				BgL_arg1848z00_3696;
																			BgL_kapturedz00_5448 =
																				BgL_arg1849z00_3697;
																			BgL_kapturedz00_3680 =
																				BgL_kapturedz00_5448;
																			BgL_newzd2actualszd2_3679 =
																				BgL_newzd2actualszd2_5447;
																			goto BgL_loopz00_3678;
																		}
																	}
																}
															}
														}
													}
											}
										}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3464));
					}
				}
			}
		}

	}



/* &glo!-sync1379 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1379za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3466, obj_t BgL_nodez00_3467, obj_t BgL_integratorz00_3468)
	{
		{	/* Globalize/node.scm 201 */
			{
				BgL_nodez00_bglt BgL_auxz00_5453;

				{	/* Globalize/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1787z00_3703;

					BgL_arg1787z00_3703 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_mutexz00);
					BgL_auxz00_5453 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1787z00_3703,
						((BgL_variablez00_bglt) BgL_integratorz00_3468));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5453), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5460;

				{	/* Globalize/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1789z00_3704;

					BgL_arg1789z00_3704 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_prelockz00);
					BgL_auxz00_5460 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1789z00_3704,
						((BgL_variablez00_bglt) BgL_integratorz00_3468));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5460), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5467;

				{	/* Globalize/node.scm 205 */
					BgL_nodez00_bglt BgL_arg1790z00_3705;

					BgL_arg1790z00_3705 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_bodyz00);
					BgL_auxz00_5467 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1790z00_3705,
						((BgL_variablez00_bglt) BgL_integratorz00_3468));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3467)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5467), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3467));
		}

	}



/* &glo!-sequence1377 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1377za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3469, obj_t BgL_nodez00_3470, obj_t BgL_integratorz00_3471)
	{
		{	/* Globalize/node.scm 193 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3470)))->BgL_nodesz00),
				BgL_integratorz00_3471);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3470));
		}

	}



/* &glo!-closure1375 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1375za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3472, obj_t BgL_nodez00_3473, obj_t BgL_integratorz00_3474)
	{
		{	/* Globalize/node.scm 182 */
			{	/* Globalize/node.scm 184 */
				BgL_refz00_bglt BgL_arg1771z00_3708;

				{	/* Globalize/node.scm 184 */
					BgL_refz00_bglt BgL_new1133z00_3709;

					{	/* Globalize/node.scm 185 */
						BgL_refz00_bglt BgL_new1132z00_3710;

						BgL_new1132z00_3710 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Globalize/node.scm 185 */
							long BgL_arg1781z00_3711;

							BgL_arg1781z00_3711 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_3710),
								BgL_arg1781z00_3711);
						}
						{	/* Globalize/node.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_5485;

							BgL_tmpz00_5485 = ((BgL_objectz00_bglt) BgL_new1132z00_3710);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5485, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_3710);
						BgL_new1133z00_3709 = BgL_new1132z00_3710;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1133z00_3709)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3473))))->BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1133z00_3709)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2procedureza2z00zztype_cachez00)), BUNSPEC);
					{
						BgL_variablez00_bglt BgL_auxz00_5497;

						{	/* Globalize/node.scm 187 */
							BgL_variablez00_bglt BgL_arg1777z00_3712;
							obj_t BgL_arg1778z00_3713;

							BgL_arg1777z00_3712 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nodez00_3473))))->
								BgL_variablez00);
							BgL_arg1778z00_3713 =
								(((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3473))))->BgL_locz00);
							BgL_auxz00_5497 =
								((BgL_variablez00_bglt)
								BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_arg1777z00_3712,
									BgL_arg1778z00_3713));
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1133z00_3709)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) BgL_auxz00_5497), BUNSPEC);
					}
					BgL_arg1771z00_3708 = BgL_new1133z00_3709;
				}
				return
					BGl_gloz12z12zzglobaliza7e_nodeza7(
					((BgL_nodez00_bglt) BgL_arg1771z00_3708),
					((BgL_variablez00_bglt) BgL_integratorz00_3474));
			}
		}

	}



/* &glo!-var1373 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1373za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3475, obj_t BgL_nodez00_3476, obj_t BgL_integratorz00_3477)
	{
		{	/* Globalize/node.scm 151 */
			{	/* Globalize/node.scm 152 */
				BgL_variablez00_bglt BgL_variablez00_3715;

				BgL_variablez00_3715 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3476)))->BgL_variablez00);
				{	/* Globalize/node.scm 152 */
					BgL_typez00_bglt BgL_vtypez00_3716;

					BgL_vtypez00_3716 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3715))->
						BgL_typez00);
					{	/* Globalize/node.scm 153 */

						{
							obj_t BgL_variablez00_3718;

							BgL_variablez00_3718 = ((obj_t) BgL_variablez00_3715);
						BgL_loopz00_3717:
							{	/* Globalize/node.scm 155 */
								obj_t BgL_alphaz00_3719;

								BgL_alphaz00_3719 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3718)))->
									BgL_fastzd2alphazd2);
								{	/* Globalize/node.scm 157 */
									bool_t BgL_test2192z00_5516;

									{	/* Globalize/node.scm 157 */
										obj_t BgL_classz00_3720;

										BgL_classz00_3720 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3719))
											{	/* Globalize/node.scm 157 */
												BgL_objectz00_bglt BgL_arg1820z00_3721;

												BgL_arg1820z00_3721 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3719);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/node.scm 157 */
														long BgL_idxz00_3722;

														BgL_idxz00_3722 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3721);
														BgL_test2192z00_5516 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3722 + ((long) 2))) ==
															BgL_classz00_3720);
													}
												else
													{	/* Globalize/node.scm 157 */
														bool_t BgL_res2034z00_3725;

														{	/* Globalize/node.scm 157 */
															obj_t BgL_oclassz00_3726;

															{	/* Globalize/node.scm 157 */
																long BgL_arg1828z00_3727;

																{	/* Globalize/node.scm 157 */
																	long BgL_arg1829z00_3728;

																	BgL_arg1829z00_3728 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3721);
																	BgL_arg1828z00_3727 =
																		(BgL_arg1829z00_3728 - OBJECT_TYPE);
																}
																BgL_oclassz00_3726 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3727);
															}
															{	/* Globalize/node.scm 157 */
																bool_t BgL__ortest_1111z00_3729;

																BgL__ortest_1111z00_3729 =
																	(BgL_classz00_3720 == BgL_oclassz00_3726);
																if (BgL__ortest_1111z00_3729)
																	{	/* Globalize/node.scm 157 */
																		BgL_res2034z00_3725 =
																			BgL__ortest_1111z00_3729;
																	}
																else
																	{	/* Globalize/node.scm 157 */
																		long BgL_odepthz00_3730;

																		BgL_odepthz00_3730 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3726);
																		if ((((long) 2) < BgL_odepthz00_3730))
																			{	/* Globalize/node.scm 157 */
																				obj_t BgL_arg1816z00_3731;

																				BgL_arg1816z00_3731 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3726, ((long) 2));
																				BgL_res2034z00_3725 =
																					(BgL_arg1816z00_3731 ==
																					BgL_classz00_3720);
																			}
																		else
																			{	/* Globalize/node.scm 157 */
																				BgL_res2034z00_3725 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2192z00_5516 = BgL_res2034z00_3725;
													}
											}
										else
											{	/* Globalize/node.scm 157 */
												BgL_test2192z00_5516 = ((bool_t) 0);
											}
									}
									if (BgL_test2192z00_5516)
										{	/* Globalize/node.scm 157 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3476)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3719)), BUNSPEC);
											{	/* Globalize/node.scm 159 */
												BgL_typez00_bglt BgL_arg1766z00_3732;

												BgL_arg1766z00_3732 =
													BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
													(BgL_vtypez00_3716);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_3476))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1766z00_3732), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_5543;

												BgL_variablez00_5543 = BgL_alphaz00_3719;
												BgL_variablez00_3718 = BgL_variablez00_5543;
												goto BgL_loopz00_3717;
											}
										}
									else
										{	/* Globalize/node.scm 161 */
											bool_t BgL_test2197z00_5544;

											{	/* Globalize/node.scm 161 */
												obj_t BgL_classz00_3733;

												BgL_classz00_3733 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3718))
													{	/* Globalize/node.scm 161 */
														BgL_objectz00_bglt BgL_arg1820z00_3734;

														BgL_arg1820z00_3734 =
															(BgL_objectz00_bglt) (BgL_variablez00_3718);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Globalize/node.scm 161 */
																long BgL_idxz00_3735;

																BgL_idxz00_3735 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3734);
																BgL_test2197z00_5544 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3735 + ((long) 2))) ==
																	BgL_classz00_3733);
															}
														else
															{	/* Globalize/node.scm 161 */
																bool_t BgL_res2035z00_3738;

																{	/* Globalize/node.scm 161 */
																	obj_t BgL_oclassz00_3739;

																	{	/* Globalize/node.scm 161 */
																		long BgL_arg1828z00_3740;

																		{	/* Globalize/node.scm 161 */
																			long BgL_arg1829z00_3741;

																			BgL_arg1829z00_3741 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3734);
																			BgL_arg1828z00_3740 =
																				(BgL_arg1829z00_3741 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3739 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3740);
																	}
																	{	/* Globalize/node.scm 161 */
																		bool_t BgL__ortest_1111z00_3742;

																		BgL__ortest_1111z00_3742 =
																			(BgL_classz00_3733 == BgL_oclassz00_3739);
																		if (BgL__ortest_1111z00_3742)
																			{	/* Globalize/node.scm 161 */
																				BgL_res2035z00_3738 =
																					BgL__ortest_1111z00_3742;
																			}
																		else
																			{	/* Globalize/node.scm 161 */
																				long BgL_odepthz00_3743;

																				BgL_odepthz00_3743 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3739);
																				if ((((long) 2) < BgL_odepthz00_3743))
																					{	/* Globalize/node.scm 161 */
																						obj_t BgL_arg1816z00_3744;

																						BgL_arg1816z00_3744 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3739, ((long) 2));
																						BgL_res2035z00_3738 =
																							(BgL_arg1816z00_3744 ==
																							BgL_classz00_3733);
																					}
																				else
																					{	/* Globalize/node.scm 161 */
																						BgL_res2035z00_3738 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2197z00_5544 = BgL_res2035z00_3738;
															}
													}
												else
													{	/* Globalize/node.scm 161 */
														BgL_test2197z00_5544 = ((bool_t) 0);
													}
											}
											if (BgL_test2197z00_5544)
												{	/* Globalize/node.scm 161 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3476));
												}
											else
												{	/* Globalize/node.scm 161 */
													if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
															((BgL_variablez00_bglt) BgL_variablez00_3718)))
														{	/* Globalize/node.scm 165 */
															BgL_typez00_bglt BgL_vtypez00_3745;
															BgL_typez00_bglt BgL_ntypez00_3746;

															BgL_vtypez00_3745 =
																BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																(BgL_vtypez00_3716);
															{	/* Globalize/node.scm 166 */
																BgL_typez00_bglt BgL_arg1770z00_3747;

																BgL_arg1770z00_3747 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_varz00_bglt)
																					BgL_nodez00_3476))))->BgL_typez00);
																BgL_ntypez00_3746 =
																	BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																	(BgL_arg1770z00_3747);
															}
															{	/* Globalize/node.scm 168 */
																BgL_typez00_bglt BgL_vz00_3748;

																BgL_vz00_3748 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_3476))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3748), BUNSPEC);
															}
															{	/* Globalize/node.scm 169 */
																BgL_boxzd2refzd2_bglt BgL_new1130z00_3749;

																{	/* Globalize/node.scm 170 */
																	BgL_boxzd2refzd2_bglt BgL_new1128z00_3750;

																	BgL_new1128z00_3750 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Globalize/node.scm 170 */
																		long BgL_arg1769z00_3751;

																		BgL_arg1769z00_3751 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1128z00_3750),
																			BgL_arg1769z00_3751);
																	}
																	{	/* Globalize/node.scm 170 */
																		BgL_objectz00_bglt BgL_tmpz00_5582;

																		BgL_tmpz00_5582 =
																			((BgL_objectz00_bglt)
																			BgL_new1128z00_3750);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5582,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1128z00_3750);
																	BgL_new1130z00_3749 = BgL_new1128z00_3750;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1130z00_3749)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_3476))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1130z00_3749)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_ntypez00_3746),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3749)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3749)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3749))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_3476)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3749))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3745),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1130z00_3749);
															}
														}
													else
														{	/* Globalize/node.scm 163 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3476));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1370 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3478, obj_t BgL_nodez00_3479, obj_t BgL_integratorz00_3480)
	{
		{	/* Globalize/node.scm 145 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3479));
		}

	}



/* &glo!-atom1368 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3481, obj_t BgL_nodez00_3482, obj_t BgL_integratorz00_3483)
	{
		{	/* Globalize/node.scm 139 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3482));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long) 244215788),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(((long)
					115338080),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031),
				BSTRING_TO_STRING(BGl_string2073z00zzglobaliza7e_nodeza7));
		}

	}

#ifdef __cplusplus
}
#endif
