/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	static BgL_sfunz00_bglt BGl_z62lambda1693z62zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1698z62zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzinitflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1373zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1371zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2var1343z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1340zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1351zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2app1349z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62initflowzd2nodezd2funcal1353z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1375zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2extern1355z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1359z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2switch1363z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1367zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00(void);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1365zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1377zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1369zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2setq1357z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sync1347z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2sequen1345z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1361z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1683z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2056z00,
		BGl_z62initflowzd2nodezd2extern1355z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2057z00,
		BGl_z62initflowzd2nodezd2setq1357z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2058z00,
		BGl_z62initflowzd2nodezd2condit1359z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2059z00,
		BGl_z62initflowzd2nodezd2fail1361z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2060z00,
		BGl_z62initflowzd2nodezd2switch1363z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2061z00,
		BGl_z62initflowzd2nodezd2makezd2b1365zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2043z00zzinitflow_walkz00,
		BgL_bgl_string2043za700za7za7i2062za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2063z00,
		BGl_z62initflowzd2nodezd2boxzd2re1367zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2044z00zzinitflow_walkz00,
		BgL_bgl_string2044za700za7za7i2064za7, "initflow_walk", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2065z00,
		BGl_z62initflowzd2nodezd2boxzd2se1369zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2045z00zzinitflow_walkz00,
		BgL_bgl_string2045za700za7za7i2066za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2067z00,
		BGl_z62initflowzd2nodezd2letzd2fu1371zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2068z00,
		BGl_z62initflowzd2nodezd2letzd2va1373zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2069z00,
		BGl_z62initflowzd2nodezd2setzd2ex1375zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2070z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1377zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2071z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2072z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2009z00zzinitflow_walkz00,
		BgL_bgl_string2009za700za7za7i2073za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2010z00zzinitflow_walkz00,
		BgL_bgl_string2010za700za7za7i2074za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2011z00zzinitflow_walkz00,
		BgL_bgl_string2011za700za7za7i2075za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2012z00zzinitflow_walkz00,
		BgL_bgl_string2012za700za7za7i2076za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2013z00zzinitflow_walkz00,
		BgL_bgl_string2013za700za7za7i2077za7, " error", 6);
	      DEFINE_STRING(BGl_string2014z00zzinitflow_walkz00,
		BgL_bgl_string2014za700za7za7i2078za7, "s", 1);
	      DEFINE_STRING(BGl_string2015z00zzinitflow_walkz00,
		BgL_bgl_string2015za700za7za7i2079za7, "", 0);
	      DEFINE_STRING(BGl_string2016z00zzinitflow_walkz00,
		BgL_bgl_string2016za700za7za7i2080za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2017z00zzinitflow_walkz00,
		BgL_bgl_string2017za700za7za7i2081za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2023z00zzinitflow_walkz00,
		BgL_bgl_string2023za700za7za7i2082za7, "initflow-node1340", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1698za7622083z00, BGl_z62lambda1698z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2025z00zzinitflow_walkz00,
		BgL_bgl_string2025za700za7za7i2084za7, "initflow-node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2085za7,
		BGl_z62zc3z04anonymousza31697ze3ze5zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1693za7622086z00, BGl_z62lambda1693z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1683za7622087z00, BGl_z62lambda1683z62zzinitflow_walkz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2088z00,
		BGl_z62initflowzd2node1340zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2089z00,
		BGl_z62initflowzd2nodezd2var1343z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2090z00,
		BGl_z62initflowzd2nodezd2sequen1345z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2091z00,
		BGl_z62initflowzd2nodezd2sync1347z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2092z00,
		BGl_z62initflowzd2nodezd2app1349z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2093z00,
		BGl_z62initflowzd2nodezd2appzd2ly1351zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2094z00,
		BGl_z62initflowzd2nodezd2funcal1353z62zzinitflow_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinitflow_walkz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2iflowzf2zzinitflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_3061, char *BgL_fromz00_3062)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinitflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BGl_toplevelzd2initzd2zzinitflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2864;

				{	/* Initflow/walk.scm 27 */
					obj_t BgL_stringz00_2871;

					BgL_stringz00_2871 = BGl_string2045z00zzinitflow_walkz00;
					{	/* Initflow/walk.scm 27 */
						obj_t BgL_startz00_2872;

						BgL_startz00_2872 = BINT(((long) 0));
						{	/* Initflow/walk.scm 27 */
							obj_t BgL_endz00_2873;

							BgL_endz00_2873 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2871)));
							{	/* Initflow/walk.scm 27 */

								BgL_cportz00_2864 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2871, BgL_startz00_2872, BgL_endz00_2873);
				}}}}
				{
					long BgL_iz00_2865;

					BgL_iz00_2865 = ((long) 6);
				BgL_loopz00_2866:
					if ((BgL_iz00_2865 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2046z00_2867;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2869;

										BgL_locationz00_2869 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2046z00_2867 =
												BGl_readz00zz__readerz00(BgL_cportz00_2864,
												BgL_locationz00_2869);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_tmpz00_3095;

									BgL_tmpz00_3095 = (int) (BgL_iz00_2865);
									CNST_TABLE_SET(BgL_tmpz00_3095, BgL_arg2046z00_2867);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2870;

								BgL_auxz00_2870 = (int) ((BgL_iz00_2865 - ((long) 1)));
								{
									long BgL_iz00_3100;

									BgL_iz00_3100 = (long) (BgL_auxz00_2870);
									BgL_iz00_2865 = BgL_iz00_3100;
									goto BgL_loopz00_2866;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1475;

				BgL_headz00_1475 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1476;
					obj_t BgL_tailz00_1477;

					BgL_prevz00_1476 = BgL_headz00_1475;
					BgL_tailz00_1477 = BgL_l1z00_1;
				BgL_loopz00_1478:
					if (PAIRP(BgL_tailz00_1477))
						{
							obj_t BgL_newzd2prevzd2_1480;

							BgL_newzd2prevzd2_1480 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1477), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1476, BgL_newzd2prevzd2_1480);
							{
								obj_t BgL_tailz00_3110;
								obj_t BgL_prevz00_3109;

								BgL_prevz00_3109 = BgL_newzd2prevzd2_1480;
								BgL_tailz00_3110 = CDR(BgL_tailz00_1477);
								BgL_tailz00_1477 = BgL_tailz00_3110;
								BgL_prevz00_1476 = BgL_prevz00_3109;
								goto BgL_loopz00_1478;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1475);
				}
			}
		}

	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_80)
	{
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1389z00_1489;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1390z00_1490;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1391z00_1491;

						BgL_arg1391z00_1491 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1390z00_1490 =
							MAKE_YOUNG_PAIR(BGl_string2009z00zzinitflow_walkz00,
							BgL_arg1391z00_1491);
					}
					BgL_list1389z00_1489 =
						MAKE_YOUNG_PAIR(BGl_string2010z00zzinitflow_walkz00,
						BgL_arg1390z00_1490);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1389z00_1489);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2009z00zzinitflow_walkz00;
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_g1144z00_1492;

				BgL_g1144z00_1492 = BNIL;
				{
					obj_t BgL_hooksz00_1495;
					obj_t BgL_hnamesz00_1496;

					BgL_hooksz00_1495 = BgL_g1144z00_1492;
					BgL_hnamesz00_1496 = BNIL;
				BgL_zc3z04anonymousza31392ze3z87_1497:
					if (NULLP(BgL_hooksz00_1495))
						{	/* Initflow/walk.scm 49 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Initflow/walk.scm 49 */
							bool_t BgL_test2099z00_3123;

							{	/* Initflow/walk.scm 49 */
								obj_t BgL_fun1424z00_1504;

								BgL_fun1424z00_1504 = CAR(((obj_t) BgL_hooksz00_1495));
								BgL_test2099z00_3123 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1424z00_1504)) (BgL_fun1424z00_1504,
										BEOA));
							}
							if (BgL_test2099z00_3123)
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1400z00_1501;
									obj_t BgL_arg1421z00_1502;

									BgL_arg1400z00_1501 = CDR(((obj_t) BgL_hooksz00_1495));
									BgL_arg1421z00_1502 = CDR(((obj_t) BgL_hnamesz00_1496));
									{
										obj_t BgL_hnamesz00_3135;
										obj_t BgL_hooksz00_3134;

										BgL_hooksz00_3134 = BgL_arg1400z00_1501;
										BgL_hnamesz00_3135 = BgL_arg1421z00_1502;
										BgL_hnamesz00_1496 = BgL_hnamesz00_3135;
										BgL_hooksz00_1495 = BgL_hooksz00_3134;
										goto BgL_zc3z04anonymousza31392ze3z87_1497;
									}
								}
							else
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1422z00_1503;

									BgL_arg1422z00_1503 = CAR(((obj_t) BgL_hnamesz00_1496));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2009z00zzinitflow_walkz00,
										BGl_string2011z00zzinitflow_walkz00, BgL_arg1422z00_1503);
								}
						}
				}
			}
			{
				obj_t BgL_l1297z00_1508;

				BgL_l1297z00_1508 = BgL_globalsz00_80;
			BgL_zc3z04anonymousza31426ze3z87_1509:
				if (PAIRP(BgL_l1297z00_1508))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1511;

							BgL_gz00_1511 = CAR(BgL_l1297z00_1508);
							if (
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1511))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1514;

									BgL_valuez00_1514 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1511))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_test2102z00_3151;

										{	/* Initflow/walk.scm 56 */
											obj_t BgL_classz00_2198;

											BgL_classz00_2198 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 56 */
												BgL_objectz00_bglt BgL_arg1820z00_2200;

												{	/* Initflow/walk.scm 56 */
													obj_t BgL_tmpz00_3152;

													BgL_tmpz00_3152 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1514));
													BgL_arg1820z00_2200 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3152);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Initflow/walk.scm 56 */
														long BgL_idxz00_2206;

														BgL_idxz00_2206 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2200);
														BgL_test2102z00_3151 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2206 + ((long) 3))) ==
															BgL_classz00_2198);
													}
												else
													{	/* Initflow/walk.scm 56 */
														bool_t BgL_res1987z00_2228;

														{	/* Initflow/walk.scm 56 */
															obj_t BgL_oclassz00_2214;

															{	/* Initflow/walk.scm 56 */
																long BgL_arg1828z00_2220;

																{	/* Initflow/walk.scm 56 */
																	long BgL_arg1829z00_2221;

																	BgL_arg1829z00_2221 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2200);
																	BgL_arg1828z00_2220 =
																		(BgL_arg1829z00_2221 - OBJECT_TYPE);
																}
																BgL_oclassz00_2214 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_2220);
															}
															{	/* Initflow/walk.scm 56 */
																bool_t BgL__ortest_1111z00_2215;

																BgL__ortest_1111z00_2215 =
																	(BgL_classz00_2198 == BgL_oclassz00_2214);
																if (BgL__ortest_1111z00_2215)
																	{	/* Initflow/walk.scm 56 */
																		BgL_res1987z00_2228 =
																			BgL__ortest_1111z00_2215;
																	}
																else
																	{	/* Initflow/walk.scm 56 */
																		long BgL_odepthz00_2216;

																		BgL_odepthz00_2216 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2214);
																		if ((((long) 3) < BgL_odepthz00_2216))
																			{	/* Initflow/walk.scm 56 */
																				obj_t BgL_arg1816z00_2218;

																				BgL_arg1816z00_2218 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2214, ((long) 3));
																				BgL_res1987z00_2228 =
																					(BgL_arg1816z00_2218 ==
																					BgL_classz00_2198);
																			}
																		else
																			{	/* Initflow/walk.scm 56 */
																				BgL_res1987z00_2228 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2102z00_3151 = BgL_res1987z00_2228;
													}
											}
										}
										if (BgL_test2102z00_3151)
											{	/* Initflow/walk.scm 56 */
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1511)))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1297z00_3174;

							BgL_l1297z00_3174 = CDR(BgL_l1297z00_1508);
							BgL_l1297z00_1508 = BgL_l1297z00_3174;
							goto BgL_zc3z04anonymousza31426ze3z87_1509;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1312z00_1519;

				BgL_g1312z00_1519 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1310z00_1521;

					BgL_l1310z00_1521 = BgL_g1312z00_1519;
				BgL_zc3z04anonymousza31468ze3z87_1522:
					if (PAIRP(BgL_l1310z00_1521))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1524;

								BgL_idz00_1524 = CAR(BgL_l1310z00_1521);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1525;

									BgL_rootz00_1525 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1524,
										BGl_za2moduleza2z00zzmodule_modulez00);
									{	/* Initflow/walk.scm 62 */
										bool_t BgL_test2107z00_3181;

										{	/* Initflow/walk.scm 62 */
											obj_t BgL_classz00_2232;

											BgL_classz00_2232 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_rootz00_1525))
												{	/* Initflow/walk.scm 62 */
													BgL_objectz00_bglt BgL_arg1820z00_2234;

													BgL_arg1820z00_2234 =
														(BgL_objectz00_bglt) (BgL_rootz00_1525);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Initflow/walk.scm 62 */
															long BgL_idxz00_2240;

															BgL_idxz00_2240 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2234);
															BgL_test2107z00_3181 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2240 + ((long) 2))) ==
																BgL_classz00_2232);
														}
													else
														{	/* Initflow/walk.scm 62 */
															bool_t BgL_res1988z00_2262;

															{	/* Initflow/walk.scm 62 */
																obj_t BgL_oclassz00_2248;

																{	/* Initflow/walk.scm 62 */
																	long BgL_arg1828z00_2254;

																	{	/* Initflow/walk.scm 62 */
																		long BgL_arg1829z00_2255;

																		BgL_arg1829z00_2255 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2234);
																		BgL_arg1828z00_2254 =
																			(BgL_arg1829z00_2255 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2248 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_2254);
																}
																{	/* Initflow/walk.scm 62 */
																	bool_t BgL__ortest_1111z00_2249;

																	BgL__ortest_1111z00_2249 =
																		(BgL_classz00_2232 == BgL_oclassz00_2248);
																	if (BgL__ortest_1111z00_2249)
																		{	/* Initflow/walk.scm 62 */
																			BgL_res1988z00_2262 =
																				BgL__ortest_1111z00_2249;
																		}
																	else
																		{	/* Initflow/walk.scm 62 */
																			long BgL_odepthz00_2250;

																			BgL_odepthz00_2250 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2248);
																			if ((((long) 2) < BgL_odepthz00_2250))
																				{	/* Initflow/walk.scm 62 */
																					obj_t BgL_arg1816z00_2252;

																					BgL_arg1816z00_2252 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2248, ((long) 2));
																					BgL_res1988z00_2262 =
																						(BgL_arg1816z00_2252 ==
																						BgL_classz00_2232);
																				}
																			else
																				{	/* Initflow/walk.scm 62 */
																					BgL_res1988z00_2262 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2107z00_3181 = BgL_res1988z00_2262;
														}
												}
											else
												{	/* Initflow/walk.scm 62 */
													BgL_test2107z00_3181 = ((bool_t) 0);
												}
										}
										if (BgL_test2107z00_3181)
											{	/* Initflow/walk.scm 62 */
												BGl_initflowzd2funzd2zzinitflow_walkz00(
													((BgL_variablez00_bglt) BgL_rootz00_1525),
													((bool_t) 1));
												{	/* Initflow/walk.scm 64 */
													obj_t BgL_lz00_1527;

													{	/* Initflow/walk.scm 64 */
														obj_t BgL_hook1303z00_1549;

														BgL_hook1303z00_1549 =
															MAKE_YOUNG_PAIR(BFALSE, BNIL);
														{
															obj_t BgL_l1300z00_1551;
															obj_t BgL_h1301z00_1552;

															BgL_l1300z00_1551 = BgL_globalsz00_80;
															BgL_h1301z00_1552 = BgL_hook1303z00_1549;
														BgL_zc3z04anonymousza31523ze3z87_1553:
															if (NULLP(BgL_l1300z00_1551))
																{	/* Initflow/walk.scm 64 */
																	BgL_lz00_1527 = CDR(BgL_hook1303z00_1549);
																}
															else
																{	/* Initflow/walk.scm 64 */
																	bool_t BgL_test2113z00_3207;

																	{	/* Initflow/walk.scm 65 */
																		obj_t BgL_gz00_1566;

																		BgL_gz00_1566 =
																			CAR(((obj_t) BgL_l1300z00_1551));
																		{	/* Initflow/walk.scm 65 */
																			bool_t BgL_test2114z00_3210;

																			{	/* Initflow/walk.scm 65 */
																				BgL_valuez00_bglt BgL_arg1565z00_1570;

																				BgL_arg1565z00_1570 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_1566))))->
																					BgL_valuez00);
																				{	/* Initflow/walk.scm 65 */
																					obj_t BgL_classz00_2266;

																					BgL_classz00_2266 =
																						BGl_sfunz00zzast_varz00;
																					{	/* Initflow/walk.scm 65 */
																						BgL_objectz00_bglt
																							BgL_arg1820z00_2268;
																						{	/* Initflow/walk.scm 65 */
																							obj_t BgL_tmpz00_3214;

																							BgL_tmpz00_3214 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg1565z00_1570));
																							BgL_arg1820z00_2268 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_3214);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Initflow/walk.scm 65 */
																								long BgL_idxz00_2274;

																								BgL_idxz00_2274 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1820z00_2268);
																								BgL_test2114z00_3210 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2274 +
																											((long) 3))) ==
																									BgL_classz00_2266);
																							}
																						else
																							{	/* Initflow/walk.scm 65 */
																								bool_t BgL_res1989z00_2296;

																								{	/* Initflow/walk.scm 65 */
																									obj_t BgL_oclassz00_2282;

																									{	/* Initflow/walk.scm 65 */
																										long BgL_arg1828z00_2288;

																										{	/* Initflow/walk.scm 65 */
																											long BgL_arg1829z00_2289;

																											BgL_arg1829z00_2289 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1820z00_2268);
																											BgL_arg1828z00_2288 =
																												(BgL_arg1829z00_2289 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2282 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1828z00_2288);
																									}
																									{	/* Initflow/walk.scm 65 */
																										bool_t
																											BgL__ortest_1111z00_2283;
																										BgL__ortest_1111z00_2283 =
																											(BgL_classz00_2266 ==
																											BgL_oclassz00_2282);
																										if (BgL__ortest_1111z00_2283)
																											{	/* Initflow/walk.scm 65 */
																												BgL_res1989z00_2296 =
																													BgL__ortest_1111z00_2283;
																											}
																										else
																											{	/* Initflow/walk.scm 65 */
																												long BgL_odepthz00_2284;

																												BgL_odepthz00_2284 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_2282);
																												if ((((long) 3) <
																														BgL_odepthz00_2284))
																													{	/* Initflow/walk.scm 65 */
																														obj_t
																															BgL_arg1816z00_2286;
																														BgL_arg1816z00_2286
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_2282,
																															((long) 3));
																														BgL_res1989z00_2296
																															=
																															(BgL_arg1816z00_2286
																															==
																															BgL_classz00_2266);
																													}
																												else
																													{	/* Initflow/walk.scm 65 */
																														BgL_res1989z00_2296
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2114z00_3210 =
																									BgL_res1989z00_2296;
																							}
																					}
																				}
																			}
																			if (BgL_test2114z00_3210)
																				{	/* Initflow/walk.scm 65 */
																					BgL_test2113z00_3207 = ((bool_t) 0);
																				}
																			else
																				{	/* Initflow/walk.scm 65 */
																					if (
																						((((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_gz00_1566)))->
																								BgL_initz00) == BTRUE))
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2113z00_3207 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2113z00_3207 =
																								((bool_t) 1);
																						}
																				}
																		}
																	}
																	if (BgL_test2113z00_3207)
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_nh1302z00_1562;

																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1558z00_1564;

																				BgL_arg1558z00_1564 =
																					CAR(((obj_t) BgL_l1300z00_1551));
																				BgL_nh1302z00_1562 =
																					MAKE_YOUNG_PAIR(BgL_arg1558z00_1564,
																					BNIL);
																			}
																			SET_CDR(BgL_h1301z00_1552,
																				BgL_nh1302z00_1562);
																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1535z00_1563;

																				BgL_arg1535z00_1563 =
																					CDR(((obj_t) BgL_l1300z00_1551));
																				{
																					obj_t BgL_h1301z00_3245;
																					obj_t BgL_l1300z00_3244;

																					BgL_l1300z00_3244 =
																						BgL_arg1535z00_1563;
																					BgL_h1301z00_3245 =
																						BgL_nh1302z00_1562;
																					BgL_h1301z00_1552 = BgL_h1301z00_3245;
																					BgL_l1300z00_1551 = BgL_l1300z00_3244;
																					goto
																						BgL_zc3z04anonymousza31523ze3z87_1553;
																				}
																			}
																		}
																	else
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_arg1559z00_1565;

																			BgL_arg1559z00_1565 =
																				CDR(((obj_t) BgL_l1300z00_1551));
																			{
																				obj_t BgL_l1300z00_3248;

																				BgL_l1300z00_3248 = BgL_arg1559z00_1565;
																				BgL_l1300z00_1551 = BgL_l1300z00_3248;
																				goto
																					BgL_zc3z04anonymousza31523ze3z87_1553;
																			}
																		}
																}
														}
													}
													if (PAIRP(BgL_lz00_1527))
														{	/* Initflow/walk.scm 70 */
															obj_t BgL_arg1482z00_1529;

															{	/* Initflow/walk.scm 70 */
																obj_t BgL_head1306z00_1535;

																BgL_head1306z00_1535 =
																	MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00
																	(CAR(BgL_lz00_1527)), BNIL);
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_g1309z00_1536;

																	BgL_g1309z00_1536 = CDR(BgL_lz00_1527);
																	{
																		obj_t BgL_l1304z00_1538;
																		obj_t BgL_tail1307z00_1539;

																		BgL_l1304z00_1538 = BgL_g1309z00_1536;
																		BgL_tail1307z00_1539 = BgL_head1306z00_1535;
																	BgL_zc3z04anonymousza31498ze3z87_1540:
																		if (NULLP(BgL_l1304z00_1538))
																			{	/* Initflow/walk.scm 70 */
																				BgL_arg1482z00_1529 =
																					BgL_head1306z00_1535;
																			}
																		else
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_newtail1308z00_1542;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1510z00_1544;

																					{	/* Initflow/walk.scm 70 */
																						obj_t BgL_arg1511z00_1545;

																						BgL_arg1511z00_1545 =
																							CAR(((obj_t) BgL_l1304z00_1538));
																						BgL_arg1510z00_1544 =
																							BGl_shapez00zztools_shapez00
																							(BgL_arg1511z00_1545);
																					}
																					BgL_newtail1308z00_1542 =
																						MAKE_YOUNG_PAIR(BgL_arg1510z00_1544,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1307z00_1539,
																					BgL_newtail1308z00_1542);
																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1506z00_1543;

																					BgL_arg1506z00_1543 =
																						CDR(((obj_t) BgL_l1304z00_1538));
																					{
																						obj_t BgL_tail1307z00_3265;
																						obj_t BgL_l1304z00_3264;

																						BgL_l1304z00_3264 =
																							BgL_arg1506z00_1543;
																						BgL_tail1307z00_3265 =
																							BgL_newtail1308z00_1542;
																						BgL_tail1307z00_1539 =
																							BgL_tail1307z00_3265;
																						BgL_l1304z00_1538 =
																							BgL_l1304z00_3264;
																						goto
																							BgL_zc3z04anonymousza31498ze3z87_1540;
																					}
																				}
																			}
																	}
																}
															}
															{	/* Initflow/walk.scm 69 */
																obj_t BgL_list1483z00_1530;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg1484z00_1531;

																	{	/* Initflow/walk.scm 69 */
																		obj_t BgL_arg1496z00_1532;

																		BgL_arg1496z00_1532 =
																			MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																					10)), BNIL);
																		BgL_arg1484z00_1531 =
																			MAKE_YOUNG_PAIR(BgL_arg1482z00_1529,
																			BgL_arg1496z00_1532);
																	}
																	BgL_list1483z00_1530 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2012z00zzinitflow_walkz00,
																		BgL_arg1484z00_1531);
																}
																BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																	BgL_list1483z00_1530);
														}}
													else
														{	/* Initflow/walk.scm 68 */
															BFALSE;
														}
												}
											}
										else
											{	/* Initflow/walk.scm 62 */
												BFALSE;
											}
									}
								}
							}
							{
								obj_t BgL_l1310z00_3272;

								BgL_l1310z00_3272 = CDR(BgL_l1310z00_1521);
								BgL_l1310z00_1521 = BgL_l1310z00_3272;
								goto BgL_zc3z04anonymousza31468ze3z87_1522;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1313z00_1576;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_tmpz00_3277;

							BgL_tmpz00_3277 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1313z00_1576 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3277);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1313z00_1576);
						bgl_display_string(BGl_string2013z00zzinitflow_walkz00,
							BgL_port1313z00_1576);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg1570z00_1577;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2122z00_3282;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_test2122z00_3282 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_test2122z00_3282 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_test2122z00_3282 = ((bool_t) 0);
									}
								if (BgL_test2122z00_3282)
									{	/* Initflow/walk.scm 74 */
										BgL_arg1570z00_1577 = BGl_string2014z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg1570z00_1577 = BGl_string2015z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1570z00_1577, BgL_port1313z00_1576);
						}
						bgl_display_string(BGl_string2016z00zzinitflow_walkz00,
							BgL_port1313z00_1576);
						bgl_display_char(((unsigned char) 10), BgL_port1313z00_1576);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list1573z00_1581;

						BgL_list1573z00_1581 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1573z00_1581);
					}
				}
			else
				{	/* Initflow/walk.scm 74 */
					obj_t BgL_g1148z00_1582;

					BgL_g1148z00_1582 = BNIL;
					{
						obj_t BgL_hooksz00_1585;
						obj_t BgL_hnamesz00_1586;

						BgL_hooksz00_1585 = BgL_g1148z00_1582;
						BgL_hnamesz00_1586 = BNIL;
					BgL_zc3z04anonymousza31574ze3z87_1587:
						if (NULLP(BgL_hooksz00_1585))
							{	/* Initflow/walk.scm 74 */
								return BgL_globalsz00_80;
							}
						else
							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2126z00_3299;

								{	/* Initflow/walk.scm 74 */
									obj_t BgL_fun1583z00_1594;

									BgL_fun1583z00_1594 = CAR(((obj_t) BgL_hooksz00_1585));
									BgL_test2126z00_3299 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1583z00_1594))
										(BgL_fun1583z00_1594, BEOA));
								}
								if (BgL_test2126z00_3299)
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1580z00_1591;
										obj_t BgL_arg1581z00_1592;

										BgL_arg1580z00_1591 = CDR(((obj_t) BgL_hooksz00_1585));
										BgL_arg1581z00_1592 = CDR(((obj_t) BgL_hnamesz00_1586));
										{
											obj_t BgL_hnamesz00_3311;
											obj_t BgL_hooksz00_3310;

											BgL_hooksz00_3310 = BgL_arg1580z00_1591;
											BgL_hnamesz00_3311 = BgL_arg1581z00_1592;
											BgL_hnamesz00_1586 = BgL_hnamesz00_3311;
											BgL_hooksz00_1585 = BgL_hooksz00_3310;
											goto BgL_zc3z04anonymousza31574ze3z87_1587;
										}
									}
								else
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1582z00_1593;

										BgL_arg1582z00_1593 = CAR(((obj_t) BgL_hnamesz00_1586));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2017z00zzinitflow_walkz00, BgL_arg1582z00_1593);
									}
							}
					}
				}
		}

	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2750,
		obj_t BgL_globalsz00_2751)
	{
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2751);
		}

	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_81, bool_t BgL_ez00_82)
	{
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1597;

				BgL_fz00_1597 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_81))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_test2127z00_3317;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg1600z00_1607;

						BgL_arg1600z00_1607 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_fz00_1597)))->BgL_bodyz00);
						{	/* Initflow/walk.scm 82 */
							obj_t BgL_classz00_2323;

							BgL_classz00_2323 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_arg1600z00_1607))
								{	/* Initflow/walk.scm 82 */
									BgL_objectz00_bglt BgL_arg1820z00_2325;

									BgL_arg1820z00_2325 =
										(BgL_objectz00_bglt) (BgL_arg1600z00_1607);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Initflow/walk.scm 82 */
											long BgL_idxz00_2331;

											BgL_idxz00_2331 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2325);
											BgL_test2127z00_3317 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2331 + ((long) 1))) == BgL_classz00_2323);
										}
									else
										{	/* Initflow/walk.scm 82 */
											bool_t BgL_res1991z00_2353;

											{	/* Initflow/walk.scm 82 */
												obj_t BgL_oclassz00_2339;

												{	/* Initflow/walk.scm 82 */
													long BgL_arg1828z00_2345;

													{	/* Initflow/walk.scm 82 */
														long BgL_arg1829z00_2346;

														BgL_arg1829z00_2346 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2325);
														BgL_arg1828z00_2345 =
															(BgL_arg1829z00_2346 - OBJECT_TYPE);
													}
													BgL_oclassz00_2339 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2345);
												}
												{	/* Initflow/walk.scm 82 */
													bool_t BgL__ortest_1111z00_2340;

													BgL__ortest_1111z00_2340 =
														(BgL_classz00_2323 == BgL_oclassz00_2339);
													if (BgL__ortest_1111z00_2340)
														{	/* Initflow/walk.scm 82 */
															BgL_res1991z00_2353 = BgL__ortest_1111z00_2340;
														}
													else
														{	/* Initflow/walk.scm 82 */
															long BgL_odepthz00_2341;

															BgL_odepthz00_2341 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2339);
															if ((((long) 1) < BgL_odepthz00_2341))
																{	/* Initflow/walk.scm 82 */
																	obj_t BgL_arg1816z00_2343;

																	BgL_arg1816z00_2343 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2339,
																		((long) 1));
																	BgL_res1991z00_2353 =
																		(BgL_arg1816z00_2343 == BgL_classz00_2323);
																}
															else
																{	/* Initflow/walk.scm 82 */
																	BgL_res1991z00_2353 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2127z00_3317 = BgL_res1991z00_2353;
										}
								}
							else
								{	/* Initflow/walk.scm 82 */
									BgL_test2127z00_3317 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2127z00_3317)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_test2132z00_3339;

							{	/* Initflow/walk.scm 84 */
								obj_t BgL_classz00_2354;

								BgL_classz00_2354 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
								{	/* Initflow/walk.scm 84 */
									obj_t BgL_oclassz00_2356;

									{	/* Initflow/walk.scm 84 */
										long BgL_arg1828z00_2358;

										{	/* Initflow/walk.scm 84 */
											long BgL_arg1829z00_2359;

											BgL_arg1829z00_2359 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_fz00_1597));
											BgL_arg1828z00_2358 = (BgL_arg1829z00_2359 - OBJECT_TYPE);
										}
										BgL_oclassz00_2356 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2358);
									}
									BgL_test2132z00_3339 =
										(BgL_oclassz00_2356 == BgL_classz00_2354);
							}}
							if (BgL_test2132z00_3339)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunzf2iflowzf2_bglt BgL_wide1152z00_1603;

										BgL_wide1152z00_1603 =
											((BgL_sfunzf2iflowzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2iflowzf2_bgl))));
										{	/* Initflow/walk.scm 87 */
											obj_t BgL_auxz00_3350;
											BgL_objectz00_bglt BgL_tmpz00_3346;

											BgL_auxz00_3350 = ((obj_t) BgL_wide1152z00_1603);
											BgL_tmpz00_3346 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_fz00_1597)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3346, BgL_auxz00_3350);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1597)));
										{	/* Initflow/walk.scm 87 */
											long BgL_arg1598z00_1604;

											BgL_arg1598z00_1604 =
												BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_fz00_1597))),
												BgL_arg1598z00_1604);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1597)));
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1597));
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg1599z00_1606;

										BgL_arg1599z00_1606 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_1597)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1599z00_1606), BgL_ez00_82);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}

	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_87,
		obj_t BgL_ez00_88)
	{
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1610;
				obj_t BgL_isz00_1611;

				BgL_nodesz00_1610 = BgL_nodesz00_87;
				BgL_isz00_1611 = BNIL;
			BgL_zc3z04anonymousza31601ze3z87_1612:
				if (NULLP(BgL_nodesz00_1610))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_88))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1314z00_1615;

									BgL_l1314z00_1615 = BgL_isz00_1611;
								BgL_zc3z04anonymousza31603ze3z87_1616:
									if (PAIRP(BgL_l1314z00_1615))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1618;

												BgL_gz00_1618 = CAR(BgL_l1314z00_1615);
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_1618)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 131 */
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_1618)))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1314z00_3383;

												BgL_l1314z00_3383 = CDR(BgL_l1314z00_1615);
												BgL_l1314z00_1615 = BgL_l1314z00_3383;
												goto BgL_zc3z04anonymousza31603ze3z87_1616;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 135 */
								obj_t BgL_hook1320z00_1624;

								BgL_hook1320z00_1624 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1317z00_1626;
									obj_t BgL_h1318z00_1627;

									BgL_l1317z00_1626 = BgL_isz00_1611;
									BgL_h1318z00_1627 = BgL_hook1320z00_1624;
								BgL_zc3z04anonymousza31616ze3z87_1628:
									if (NULLP(BgL_l1317z00_1626))
										{	/* Initflow/walk.scm 135 */
											return CDR(BgL_hook1320z00_1624);
										}
									else
										{	/* Initflow/walk.scm 135 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_l1317z00_1626)))))->
														BgL_initz00)))
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_nh1319z00_1632;

													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1630z00_1634;

														BgL_arg1630z00_1634 =
															CAR(((obj_t) BgL_l1317z00_1626));
														BgL_nh1319z00_1632 =
															MAKE_YOUNG_PAIR(BgL_arg1630z00_1634, BNIL);
													}
													SET_CDR(BgL_h1318z00_1627, BgL_nh1319z00_1632);
													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1629z00_1633;

														BgL_arg1629z00_1633 =
															CDR(((obj_t) BgL_l1317z00_1626));
														{
															obj_t BgL_h1318z00_3402;
															obj_t BgL_l1317z00_3401;

															BgL_l1317z00_3401 = BgL_arg1629z00_1633;
															BgL_h1318z00_3402 = BgL_nh1319z00_1632;
															BgL_h1318z00_1627 = BgL_h1318z00_3402;
															BgL_l1317z00_1626 = BgL_l1317z00_3401;
															goto BgL_zc3z04anonymousza31616ze3z87_1628;
														}
													}
												}
											else
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_arg1632z00_1635;

													BgL_arg1632z00_1635 =
														CDR(((obj_t) BgL_l1317z00_1626));
													{
														obj_t BgL_l1317z00_3405;

														BgL_l1317z00_3405 = BgL_arg1632z00_1635;
														BgL_l1317z00_1626 = BgL_l1317z00_3405;
														goto BgL_zc3z04anonymousza31616ze3z87_1628;
													}
												}
										}
								}
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1638;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg1641z00_1641;

							BgL_arg1641z00_1641 = CAR(((obj_t) BgL_nodesz00_1610));
							BgL_iz00_1638 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg1641z00_1641), ((bool_t) 0));
						}
						{	/* Initflow/walk.scm 137 */
							obj_t BgL_arg1636z00_1639;
							obj_t BgL_arg1639z00_1640;

							BgL_arg1636z00_1639 = CDR(((obj_t) BgL_nodesz00_1610));
							BgL_arg1639z00_1640 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1638,
								BgL_isz00_1611);
							{
								obj_t BgL_isz00_3414;
								obj_t BgL_nodesz00_3413;

								BgL_nodesz00_3413 = BgL_arg1636z00_1639;
								BgL_isz00_3414 = BgL_arg1639z00_1640;
								BgL_isz00_1611 = BgL_isz00_3414;
								BgL_nodesz00_1610 = BgL_nodesz00_3413;
								goto BgL_zc3z04anonymousza31601ze3z87_1612;
							}
						}
					}
			}
		}

	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_103, obj_t BgL_ez00_104)
	{
		{	/* Initflow/walk.scm 216 */
			if (NULLP(BgL_isz00_103))
				{	/* Initflow/walk.scm 217 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 219 */
					obj_t BgL_lubz00_1644;

					BgL_lubz00_1644 = BNIL;
					{	/* Initflow/walk.scm 220 */
						obj_t BgL_g1327z00_1645;

						BgL_g1327z00_1645 = CAR(((obj_t) BgL_isz00_103));
						{
							obj_t BgL_l1325z00_1647;

							BgL_l1325z00_1647 = BgL_g1327z00_1645;
						BgL_zc3z04anonymousza31643ze3z87_1648:
							if (PAIRP(BgL_l1325z00_1647))
								{	/* Initflow/walk.scm 226 */
									{	/* Initflow/walk.scm 221 */
										obj_t BgL_gz00_1650;

										BgL_gz00_1650 = CAR(BgL_l1325z00_1647);
										{	/* Initflow/walk.scm 221 */
											bool_t BgL_test2141z00_3422;

											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1650)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1321z00_1668;

													BgL_l1321z00_1668 = CDR(((obj_t) BgL_isz00_103));
												BgL_zc3z04anonymousza31654ze3z87_1669:
													if (NULLP(BgL_l1321z00_1668))
														{	/* Initflow/walk.scm 222 */
															BgL_test2141z00_3422 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 222 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1650,
																		CAR(((obj_t) BgL_l1321z00_1668)))))
																{
																	obj_t BgL_l1321z00_3434;

																	BgL_l1321z00_3434 =
																		CDR(((obj_t) BgL_l1321z00_1668));
																	BgL_l1321z00_1668 = BgL_l1321z00_3434;
																	goto BgL_zc3z04anonymousza31654ze3z87_1669;
																}
															else
																{	/* Initflow/walk.scm 222 */
																	BgL_test2141z00_3422 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BgL_test2141z00_3422 = ((bool_t) 0);
												}
											if (BgL_test2141z00_3422)
												{	/* Initflow/walk.scm 221 */
													if (CBOOL(BgL_ez00_104))
														{	/* Initflow/walk.scm 223 */
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_gz00_1650)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 223 */
															BgL_lubz00_1644 =
																MAKE_YOUNG_PAIR(BgL_gz00_1650, BgL_lubz00_1644);
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1325z00_3444;

										BgL_l1325z00_3444 = CDR(BgL_l1325z00_1647);
										BgL_l1325z00_1647 = BgL_l1325z00_3444;
										goto BgL_zc3z04anonymousza31643ze3z87_1648;
									}
								}
							else
								{	/* Initflow/walk.scm 226 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1644;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg1680z00_1683;
				obj_t BgL_arg1682z00_1684;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1338z00_1727;

					BgL_v1338z00_1727 = create_vector(((long) 0));
					BgL_arg1680z00_1683 = BgL_v1338z00_1727;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1339z00_1728;

					BgL_v1339z00_1728 = create_vector(((long) 0));
					BgL_arg1682z00_1684 = BgL_v1339z00_1728;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2021z00zzinitflow_walkz00,
						BGl_proc2020z00zzinitflow_walkz00, BFALSE,
						BGl_proc2019z00zzinitflow_walkz00,
						BGl_proc2018z00zzinitflow_walkz00, BgL_arg1680z00_1683,
						BgL_arg1682z00_1684), BUNSPEC);
		}}

	}



/* &lambda1698 */
	BgL_sfunz00_bglt BGl_z62lambda1698z62zzinitflow_walkz00(obj_t BgL_envz00_2756,
		obj_t BgL_o1131z00_2757)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arg1705z00_2876;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_arg1711z00_2877;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg1712z00_2878;

						{	/* Initflow/walk.scm 42 */
							long BgL_arg1828z00_2879;

							{	/* Initflow/walk.scm 42 */
								long BgL_arg1829z00_2880;

								BgL_arg1829z00_2880 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1131z00_2757)));
								BgL_arg1828z00_2879 = (BgL_arg1829z00_2880 - OBJECT_TYPE);
							}
							BgL_arg1712z00_2878 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2879);
						}
						BgL_arg1711z00_2877 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1712z00_2878);
					}
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_tmpz00_3457;

						BgL_tmpz00_3457 = ((obj_t) BgL_arg1711z00_2877);
						BgL_arg1705z00_2876 = BGL_CLASS_NUM(BgL_tmpz00_3457);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1131z00_2757)), BgL_arg1705z00_2876);
			}
			{	/* Initflow/walk.scm 42 */
				BgL_objectz00_bglt BgL_tmpz00_3463;

				BgL_tmpz00_3463 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2757));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3463, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2757));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1131z00_2757));
		}

	}



/* &<@anonymous:1697> */
	obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzinitflow_walkz00(obj_t
		BgL_envz00_2758, obj_t BgL_new1130z00_2759)
	{
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_auxz00_3471;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1130z00_2759))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1130z00_2759))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3471 = ((BgL_sfunz00_bglt) BgL_new1130z00_2759);
				return ((obj_t) BgL_auxz00_3471);
			}
		}

	}



/* &lambda1693 */
	BgL_sfunz00_bglt BGl_z62lambda1693z62zzinitflow_walkz00(obj_t BgL_envz00_2760,
		obj_t BgL_o1126z00_2761)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				BgL_sfunzf2iflowzf2_bglt BgL_wide1128z00_2883;

				BgL_wide1128z00_2883 =
					((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iflowzf2_bgl))));
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_auxz00_3546;
					BgL_objectz00_bglt BgL_tmpz00_3542;

					BgL_auxz00_3546 = ((obj_t) BgL_wide1128z00_2883);
					BgL_tmpz00_3542 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2761)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3542, BgL_auxz00_3546);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2761)));
				{	/* Initflow/walk.scm 42 */
					long BgL_arg1696z00_2884;

					BgL_arg1696z00_2884 =
						BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1126z00_2761))), BgL_arg1696z00_2884);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2761)));
			}
		}

	}



/* &lambda1683 */
	BgL_sfunz00_bglt BGl_z62lambda1683z62zzinitflow_walkz00(obj_t BgL_envz00_2762,
		obj_t BgL_arity1104z00_2763, obj_t BgL_sidezd2effect1105zd2_2764,
		obj_t BgL_predicatezd2of1106zd2_2765,
		obj_t BgL_stackzd2allocator1107zd2_2766, obj_t BgL_topzf31108zf3_2767,
		obj_t BgL_thezd2closure1109zd2_2768, obj_t BgL_effect1110z00_2769,
		obj_t BgL_failsafe1111z00_2770, obj_t BgL_argszd2noescape1112zd2_2771,
		obj_t BgL_argszd2retescape1113zd2_2772, obj_t BgL_property1114z00_2773,
		obj_t BgL_args1115z00_2774, obj_t BgL_argszd2name1116zd2_2775,
		obj_t BgL_body1117z00_2776, obj_t BgL_class1118z00_2777,
		obj_t BgL_dssslzd2keywords1119zd2_2778, obj_t BgL_loc1120z00_2779,
		obj_t BgL_optionals1121z00_2780, obj_t BgL_keys1122z00_2781,
		obj_t BgL_thezd2closurezd2global1123z00_2782,
		obj_t BgL_strength1124z00_2783, obj_t BgL_stackable1125z00_2784)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arity1104z00_2885;
				bool_t BgL_topzf31108zf3_2886;

				BgL_arity1104z00_2885 = (long) CINT(BgL_arity1104z00_2763);
				BgL_topzf31108zf3_2886 = CBOOL(BgL_topzf31108zf3_2767);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1177z00_2888;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1175z00_2889;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1176z00_2890;

						{
							BgL_sfunz00_bglt BgL_auxz00_3562;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1174z00_2891;

								BgL_new1174z00_2891 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1692z00_2892;

									BgL_arg1692z00_2892 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1174z00_2891),
										BgL_arg1692z00_2892);
								}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_tmpz00_3567;

									BgL_tmpz00_3567 = ((BgL_objectz00_bglt) BgL_new1174z00_2891);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3567, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1174z00_2891);
								BgL_auxz00_3562 = BgL_new1174z00_2891;
							}
							BgL_tmp1175z00_2889 = ((BgL_sfunz00_bglt) BgL_auxz00_3562);
						}
						BgL_wide1176z00_2890 =
							((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3575;
							BgL_objectz00_bglt BgL_tmpz00_3573;

							BgL_auxz00_3575 = ((obj_t) BgL_wide1176z00_2890);
							BgL_tmpz00_3573 = ((BgL_objectz00_bglt) BgL_tmp1175z00_2889);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3573, BgL_auxz00_3575);
						}
						((BgL_objectz00_bglt) BgL_tmp1175z00_2889);
						{	/* Initflow/walk.scm 42 */
							long BgL_arg1687z00_2893;

							BgL_arg1687z00_2893 =
								BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1175z00_2889),
								BgL_arg1687z00_2893);
						}
						BgL_new1177z00_2888 = ((BgL_sfunz00_bglt) BgL_tmp1175z00_2889);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1177z00_2888)))->BgL_arityz00) =
						((long) BgL_arity1104z00_2885), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_2764), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1106zd2_2765), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1107zd2_2766), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31108zf3_2886), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1109zd2_2768), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_effectz00) =
						((obj_t) BgL_effect1110z00_2769), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1111z00_2770), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1112zd2_2771), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1177z00_2888)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1113zd2_2772), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_propertyz00) =
						((obj_t) BgL_property1114z00_2773), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_argsz00) =
						((obj_t) BgL_args1115z00_2774), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1116zd2_2775), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_bodyz00) =
						((obj_t) BgL_body1117z00_2776), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_classz00) =
						((obj_t) BgL_class1118z00_2777), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1119zd2_2778), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_locz00) =
						((obj_t) BgL_loc1120z00_2779), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1121z00_2780), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_keysz00) =
						((obj_t) BgL_keys1122z00_2781), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1123z00_2782), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1124z00_2783)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1177z00_2888)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1125z00_2784), BUNSPEC);
					return BgL_new1177z00_2888;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2022z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2023z00zzinitflow_walkz00);
		}

	}



/* &initflow-node1340 */
	obj_t BGl_z62initflowzd2node1340zb0zzinitflow_walkz00(obj_t BgL_envz00_2786,
		obj_t BgL_nodez00_2787, obj_t BgL_ez00_2788)
	{
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}

	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_83, bool_t BgL_ez00_84)
	{
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1341z00_1738;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res1996z00_2451;

					{	/* Initflow/walk.scm 93 */
						long BgL_objzd2classzd2numz00_2422;

						BgL_objzd2classzd2numz00_2422 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_83));
						{	/* Initflow/walk.scm 93 */
							obj_t BgL_arg1825z00_2423;

							BgL_arg1825z00_2423 =
								PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
								(int) (((long) 1)));
							{	/* Initflow/walk.scm 93 */
								int BgL_offsetz00_2426;

								BgL_offsetz00_2426 = (int) (BgL_objzd2classzd2numz00_2422);
								{	/* Initflow/walk.scm 93 */
									long BgL_offsetz00_2427;

									BgL_offsetz00_2427 =
										((long) (BgL_offsetz00_2426) - OBJECT_TYPE);
									{	/* Initflow/walk.scm 93 */
										long BgL_modz00_2428;

										BgL_modz00_2428 =
											(BgL_offsetz00_2427 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Initflow/walk.scm 93 */
											long BgL_restz00_2430;

											BgL_restz00_2430 =
												(BgL_offsetz00_2427 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Initflow/walk.scm 93 */

												{	/* Initflow/walk.scm 93 */
													obj_t BgL_bucketz00_2432;

													BgL_bucketz00_2432 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2423), BgL_modz00_2428);
													BgL_res1996z00_2451 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2432), BgL_restz00_2430);
					}}}}}}}}
					BgL_method1341z00_1738 = BgL_res1996z00_2451;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1341z00_1738)) (BgL_method1341z00_1738,
					((obj_t) BgL_nodez00_83), BBOOL(BgL_ez00_84), BEOA);
			}
		}

	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2789,
		obj_t BgL_nodez00_2790, obj_t BgL_ez00_2791)
	{
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2790), CBOOL(BgL_ez00_2791));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2024z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2026z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2027z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2028z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2029z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2030z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2031z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2032z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2033z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2034z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2035z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2036z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2037z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2038z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2039z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2040z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2041z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2042z00zzinitflow_walkz00,
				BGl_string2025z00zzinitflow_walkz00);
		}

	}



/* &initflow-node-jump-e1377 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1377zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2810, obj_t BgL_nodez00_2811, obj_t BgL_ez00_2812)
	{
		{	/* Initflow/walk.scm 306 */
			{	/* Initflow/walk.scm 307 */
				obj_t BgL_res2047z00_2902;

				{	/* Initflow/walk.scm 308 */
					obj_t BgL_arg1926z00_2897;

					{	/* Initflow/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg1927z00_2898;
						BgL_nodez00_bglt BgL_arg1928z00_2899;

						BgL_arg1927z00_2898 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2811)))->
							BgL_exitz00);
						BgL_arg1928z00_2899 =
							(((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2811)))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 308 */
							obj_t BgL_list1929z00_2900;

							{	/* Initflow/walk.scm 308 */
								obj_t BgL_arg1930z00_2901;

								BgL_arg1930z00_2901 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1928z00_2899), BNIL);
								BgL_list1929z00_2900 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1927z00_2898), BgL_arg1930z00_2901);
							}
							BgL_arg1926z00_2897 = BgL_list1929z00_2900;
						}
					}
					BgL_res2047z00_2902 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1926z00_2897,
						BgL_ez00_2812);
				}
				return BgL_res2047z00_2902;
			}
		}

	}



/* &initflow-node-set-ex1375 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1375zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2813, obj_t BgL_nodez00_2814, obj_t BgL_ez00_2815)
	{
		{	/* Initflow/walk.scm 298 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2814)))->BgL_onexitz00),
				CBOOL(BgL_ez00_2815));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2814)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2815));
		}

	}



/* &initflow-node-let-va1373 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1373zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2816, obj_t BgL_nodez00_2817, obj_t BgL_ez00_2818)
	{
		{	/* Initflow/walk.scm 289 */
			{	/* Initflow/walk.scm 290 */
				obj_t BgL_res2048z00_2917;

				{	/* Initflow/walk.scm 291 */
					obj_t BgL_isz00_2905;

					{	/* Initflow/walk.scm 291 */
						obj_t BgL_l1333z00_2906;

						BgL_l1333z00_2906 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2817)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1333z00_2906))
							{	/* Initflow/walk.scm 291 */
								BgL_isz00_2905 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 291 */
								obj_t BgL_head1335z00_2907;

								BgL_head1335z00_2907 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1333z00_2909;
									obj_t BgL_tail1336z00_2910;

									BgL_l1333z00_2909 = BgL_l1333z00_2906;
									BgL_tail1336z00_2910 = BgL_head1335z00_2907;
								BgL_zc3z04anonymousza31918ze3z87_2908:
									if (NULLP(BgL_l1333z00_2909))
										{	/* Initflow/walk.scm 291 */
											BgL_isz00_2905 = CDR(BgL_head1335z00_2907);
										}
									else
										{	/* Initflow/walk.scm 291 */
											obj_t BgL_newtail1337z00_2911;

											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1921z00_2912;

												{	/* Initflow/walk.scm 291 */
													obj_t BgL_bz00_2913;

													BgL_bz00_2913 = CAR(((obj_t) BgL_l1333z00_2909));
													{	/* Initflow/walk.scm 291 */
														obj_t BgL_arg1922z00_2914;

														BgL_arg1922z00_2914 = CDR(((obj_t) BgL_bz00_2913));
														BgL_arg1921z00_2912 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg1922z00_2914),
															CBOOL(BgL_ez00_2818));
													}
												}
												BgL_newtail1337z00_2911 =
													MAKE_YOUNG_PAIR(BgL_arg1921z00_2912, BNIL);
											}
											SET_CDR(BgL_tail1336z00_2910, BgL_newtail1337z00_2911);
											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1920z00_2915;

												BgL_arg1920z00_2915 = CDR(((obj_t) BgL_l1333z00_2909));
												{
													obj_t BgL_tail1336z00_3719;
													obj_t BgL_l1333z00_3718;

													BgL_l1333z00_3718 = BgL_arg1920z00_2915;
													BgL_tail1336z00_3719 = BgL_newtail1337z00_2911;
													BgL_tail1336z00_2910 = BgL_tail1336z00_3719;
													BgL_l1333z00_2909 = BgL_l1333z00_3718;
													goto BgL_zc3z04anonymousza31918ze3z87_2908;
												}
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 291 */
						obj_t BgL_lubz00_2916;

						BgL_lubz00_2916 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_2905, BgL_ez00_2818);
						{	/* Initflow/walk.scm 292 */

							BgL_res2048z00_2917 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_2916,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2817)))->
										BgL_bodyz00), CBOOL(BgL_ez00_2818)));
						}
					}
				}
				return BgL_res2048z00_2917;
			}
		}

	}



/* &initflow-node-let-fu1371 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1371zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2819, obj_t BgL_nodez00_2820, obj_t BgL_ez00_2821)
	{
		{	/* Initflow/walk.scm 282 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2820)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2821));
		}

	}



/* &initflow-node-box-se1369 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1369zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2822, obj_t BgL_nodez00_2823, obj_t BgL_ez00_2824)
	{
		{	/* Initflow/walk.scm 275 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2823)))->BgL_valuez00),
				CBOOL(BgL_ez00_2824));
		}

	}



/* &initflow-node-box-re1367 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1367zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2825, obj_t BgL_nodez00_2826, obj_t BgL_ez00_2827)
	{
		{	/* Initflow/walk.scm 268 */
			{	/* Initflow/walk.scm 270 */
				BgL_varz00_bglt BgL_arg1910z00_2921;

				BgL_arg1910z00_2921 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2826)))->BgL_varz00);
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					((BgL_nodez00_bglt) BgL_arg1910z00_2921), CBOOL(BgL_ez00_2827));
			}
		}

	}



/* &initflow-node-make-b1365 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1365zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_ez00_2830)
	{
		{	/* Initflow/walk.scm 261 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2829)))->BgL_valuez00),
				CBOOL(BgL_ez00_2830));
		}

	}



/* &initflow-node-switch1363 */
	obj_t BGl_z62initflowzd2nodezd2switch1363z62zzinitflow_walkz00(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832, obj_t BgL_ez00_2833)
	{
		{	/* Initflow/walk.scm 251 */
			{	/* Initflow/walk.scm 252 */
				obj_t BgL_res2049z00_2936;

				{	/* Initflow/walk.scm 253 */
					obj_t BgL_i0z00_2924;

					BgL_i0z00_2924 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2832)))->BgL_testz00),
						CBOOL(BgL_ez00_2833));
					{	/* Initflow/walk.scm 254 */
						obj_t BgL_isz00_2925;

						{	/* Initflow/walk.scm 254 */
							obj_t BgL_l1328z00_2926;

							BgL_l1328z00_2926 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2832)))->BgL_clausesz00);
							if (NULLP(BgL_l1328z00_2926))
								{	/* Initflow/walk.scm 254 */
									BgL_isz00_2925 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 254 */
									obj_t BgL_head1330z00_2927;

									BgL_head1330z00_2927 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1328z00_2929;
										obj_t BgL_tail1331z00_2930;

										BgL_l1328z00_2929 = BgL_l1328z00_2926;
										BgL_tail1331z00_2930 = BgL_head1330z00_2927;
									BgL_zc3z04anonymousza31901ze3z87_2928:
										if (NULLP(BgL_l1328z00_2929))
											{	/* Initflow/walk.scm 254 */
												BgL_isz00_2925 = CDR(BgL_head1330z00_2927);
											}
										else
											{	/* Initflow/walk.scm 254 */
												obj_t BgL_newtail1332z00_2931;

												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1904z00_2932;

													{	/* Initflow/walk.scm 254 */
														obj_t BgL_cz00_2933;

														BgL_cz00_2933 = CAR(((obj_t) BgL_l1328z00_2929));
														{	/* Initflow/walk.scm 254 */
															obj_t BgL_arg1906z00_2934;

															BgL_arg1906z00_2934 =
																CDR(((obj_t) BgL_cz00_2933));
															BgL_arg1904z00_2932 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg1906z00_2934),
																((bool_t) 0));
														}
													}
													BgL_newtail1332z00_2931 =
														MAKE_YOUNG_PAIR(BgL_arg1904z00_2932, BNIL);
												}
												SET_CDR(BgL_tail1331z00_2930, BgL_newtail1332z00_2931);
												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1903z00_2935;

													BgL_arg1903z00_2935 =
														CDR(((obj_t) BgL_l1328z00_2929));
													{
														obj_t BgL_tail1331z00_3766;
														obj_t BgL_l1328z00_3765;

														BgL_l1328z00_3765 = BgL_arg1903z00_2935;
														BgL_tail1331z00_3766 = BgL_newtail1332z00_2931;
														BgL_tail1331z00_2930 = BgL_tail1331z00_3766;
														BgL_l1328z00_2929 = BgL_l1328z00_3765;
														goto BgL_zc3z04anonymousza31901ze3z87_2928;
													}
												}
											}
									}
								}
						}
						BgL_res2049z00_2936 =
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_2925, BgL_ez00_2833),
							BgL_i0z00_2924);
					}
				}
				return BgL_res2049z00_2936;
			}
		}

	}



/* &initflow-node-fail1361 */
	obj_t BGl_z62initflowzd2nodezd2fail1361z62zzinitflow_walkz00(obj_t
		BgL_envz00_2834, obj_t BgL_nodez00_2835, obj_t BgL_ez00_2836)
	{
		{	/* Initflow/walk.scm 244 */
			{	/* Initflow/walk.scm 245 */
				obj_t BgL_res2050z00_2945;

				{	/* Initflow/walk.scm 246 */
					obj_t BgL_arg1889z00_2938;

					{	/* Initflow/walk.scm 246 */
						BgL_nodez00_bglt BgL_arg1890z00_2939;
						BgL_nodez00_bglt BgL_arg1891z00_2940;
						BgL_nodez00_bglt BgL_arg1892z00_2941;

						BgL_arg1890z00_2939 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2835)))->BgL_procz00);
						BgL_arg1891z00_2940 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2835)))->BgL_msgz00);
						BgL_arg1892z00_2941 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2835)))->BgL_objz00);
						{	/* Initflow/walk.scm 246 */
							obj_t BgL_list1893z00_2942;

							{	/* Initflow/walk.scm 246 */
								obj_t BgL_arg1894z00_2943;

								{	/* Initflow/walk.scm 246 */
									obj_t BgL_arg1898z00_2944;

									BgL_arg1898z00_2944 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1892z00_2941), BNIL);
									BgL_arg1894z00_2943 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1891z00_2940), BgL_arg1898z00_2944);
								}
								BgL_list1893z00_2942 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1890z00_2939), BgL_arg1894z00_2943);
							}
							BgL_arg1889z00_2938 = BgL_list1893z00_2942;
						}
					}
					BgL_res2050z00_2945 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1889z00_2938,
						BgL_ez00_2836);
				}
				return BgL_res2050z00_2945;
			}
		}

	}



/* &initflow-node-condit1359 */
	obj_t BGl_z62initflowzd2nodezd2condit1359z62zzinitflow_walkz00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_ez00_2839)
	{
		{	/* Initflow/walk.scm 232 */
			{	/* Initflow/walk.scm 233 */
				obj_t BgL_res2051z00_2954;

				{	/* Initflow/walk.scm 234 */
					obj_t BgL_i0z00_2947;

					BgL_i0z00_2947 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2838)))->BgL_testz00),
						CBOOL(BgL_ez00_2839));
					{	/* Initflow/walk.scm 236 */
						obj_t BgL_i1z00_2948;
						obj_t BgL_i2z00_2949;

						BgL_i1z00_2948 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2838)))->
								BgL_truez00), ((bool_t) 0));
						BgL_i2z00_2949 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2838)))->BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 239 */
							obj_t BgL_arg1882z00_2950;

							{	/* Initflow/walk.scm 239 */
								obj_t BgL_arg1883z00_2951;

								{	/* Initflow/walk.scm 239 */
									obj_t BgL_list1884z00_2952;

									{	/* Initflow/walk.scm 239 */
										obj_t BgL_arg1885z00_2953;

										BgL_arg1885z00_2953 = MAKE_YOUNG_PAIR(BgL_i2z00_2949, BNIL);
										BgL_list1884z00_2952 =
											MAKE_YOUNG_PAIR(BgL_i1z00_2948, BgL_arg1885z00_2953);
									}
									BgL_arg1883z00_2951 = BgL_list1884z00_2952;
								}
								BgL_arg1882z00_2950 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg1883z00_2951,
									BgL_ez00_2839);
							}
							BgL_res2051z00_2954 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg1882z00_2950,
								BgL_i0z00_2947);
						}
					}
				}
				return BgL_res2051z00_2954;
			}
		}

	}



/* &initflow-node-setq1357 */
	obj_t BGl_z62initflowzd2nodezd2setq1357z62zzinitflow_walkz00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_ez00_2842)
	{
		{	/* Initflow/walk.scm 199 */
			{	/* Initflow/walk.scm 201 */
				obj_t BgL_isz00_2956;
				BgL_variablez00_bglt BgL_vz00_2957;

				BgL_isz00_2956 =
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2841)))->BgL_valuez00),
					CBOOL(BgL_ez00_2842));
				BgL_vz00_2957 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2841)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 203 */
					bool_t BgL_test2150z00_3803;

					{	/* Initflow/walk.scm 203 */
						bool_t BgL_test2151z00_3804;

						{	/* Initflow/walk.scm 203 */
							obj_t BgL_classz00_2958;

							BgL_classz00_2958 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 203 */
								BgL_objectz00_bglt BgL_arg1820z00_2959;

								{	/* Initflow/walk.scm 203 */
									obj_t BgL_tmpz00_3805;

									BgL_tmpz00_3805 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2957));
									BgL_arg1820z00_2959 = (BgL_objectz00_bglt) (BgL_tmpz00_3805);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Initflow/walk.scm 203 */
										long BgL_idxz00_2960;

										BgL_idxz00_2960 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2959);
										BgL_test2151z00_3804 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2960 + ((long) 2))) == BgL_classz00_2958);
									}
								else
									{	/* Initflow/walk.scm 203 */
										bool_t BgL_res2002z00_2963;

										{	/* Initflow/walk.scm 203 */
											obj_t BgL_oclassz00_2964;

											{	/* Initflow/walk.scm 203 */
												long BgL_arg1828z00_2965;

												{	/* Initflow/walk.scm 203 */
													long BgL_arg1829z00_2966;

													BgL_arg1829z00_2966 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2959);
													BgL_arg1828z00_2965 =
														(BgL_arg1829z00_2966 - OBJECT_TYPE);
												}
												BgL_oclassz00_2964 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2965);
											}
											{	/* Initflow/walk.scm 203 */
												bool_t BgL__ortest_1111z00_2967;

												BgL__ortest_1111z00_2967 =
													(BgL_classz00_2958 == BgL_oclassz00_2964);
												if (BgL__ortest_1111z00_2967)
													{	/* Initflow/walk.scm 203 */
														BgL_res2002z00_2963 = BgL__ortest_1111z00_2967;
													}
												else
													{	/* Initflow/walk.scm 203 */
														long BgL_odepthz00_2968;

														BgL_odepthz00_2968 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2964);
														if ((((long) 2) < BgL_odepthz00_2968))
															{	/* Initflow/walk.scm 203 */
																obj_t BgL_arg1816z00_2969;

																BgL_arg1816z00_2969 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2964,
																	((long) 2));
																BgL_res2002z00_2963 =
																	(BgL_arg1816z00_2969 == BgL_classz00_2958);
															}
														else
															{	/* Initflow/walk.scm 203 */
																BgL_res2002z00_2963 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2151z00_3804 = BgL_res2002z00_2963;
									}
							}
						}
						if (BgL_test2151z00_3804)
							{	/* Initflow/walk.scm 203 */
								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2957)))->
											BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 205 */
										obj_t BgL_arg1876z00_2970;

										BgL_arg1876z00_2970 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2957)))->
											BgL_modulez00);
										BgL_test2150z00_3803 =
											(BgL_arg1876z00_2970 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 204 */
										BgL_test2150z00_3803 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 203 */
								BgL_test2150z00_3803 = ((bool_t) 0);
							}
					}
					if (BgL_test2150z00_3803)
						{	/* Initflow/walk.scm 203 */
							if (CBOOL(BgL_ez00_2842))
								{	/* Initflow/walk.scm 206 */
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2957)))->BgL_initz00) =
										((obj_t) BTRUE), BUNSPEC);
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 206 */
									return
										MAKE_YOUNG_PAIR(((obj_t) BgL_vz00_2957), BgL_isz00_2956);
								}
						}
					else
						{	/* Initflow/walk.scm 203 */
							return BgL_isz00_2956;
						}
				}
			}
		}

	}



/* &initflow-node-extern1355 */
	obj_t BGl_z62initflowzd2nodezd2extern1355z62zzinitflow_walkz00(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844, obj_t BgL_ez00_2845)
	{
		{	/* Initflow/walk.scm 192 */
			{	/* Initflow/walk.scm 193 */
				obj_t BgL_res2052z00_2972;

				BgL_res2052z00_2972 =
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2844)))->BgL_exprza2za2),
					BgL_ez00_2845);
				return BgL_res2052z00_2972;
			}
		}

	}



/* &initflow-node-funcal1353 */
	obj_t BGl_z62initflowzd2nodezd2funcal1353z62zzinitflow_walkz00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_ez00_2848)
	{
		{	/* Initflow/walk.scm 185 */
			{	/* Initflow/walk.scm 186 */
				obj_t BgL_res2053z00_2977;

				{	/* Initflow/walk.scm 187 */
					obj_t BgL_arg1865z00_2974;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg1866z00_2975;
						obj_t BgL_arg1867z00_2976;

						BgL_arg1866z00_2975 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2847)))->BgL_funz00);
						BgL_arg1867z00_2976 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2847)))->BgL_argsz00);
						BgL_arg1865z00_2974 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg1866z00_2975), BgL_arg1867z00_2976);
					}
					BgL_res2053z00_2977 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1865z00_2974,
						BgL_ez00_2848);
				}
				return BgL_res2053z00_2977;
			}
		}

	}



/* &initflow-node-app-ly1351 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1351zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850, obj_t BgL_ez00_2851)
	{
		{	/* Initflow/walk.scm 178 */
			{	/* Initflow/walk.scm 179 */
				obj_t BgL_res2054z00_2984;

				{	/* Initflow/walk.scm 180 */
					obj_t BgL_arg1860z00_2979;

					{	/* Initflow/walk.scm 180 */
						BgL_nodez00_bglt BgL_arg1861z00_2980;
						BgL_nodez00_bglt BgL_arg1862z00_2981;

						BgL_arg1861z00_2980 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2850)))->BgL_funz00);
						BgL_arg1862z00_2981 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2850)))->BgL_argz00);
						{	/* Initflow/walk.scm 180 */
							obj_t BgL_list1863z00_2982;

							{	/* Initflow/walk.scm 180 */
								obj_t BgL_arg1864z00_2983;

								BgL_arg1864z00_2983 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1862z00_2981), BNIL);
								BgL_list1863z00_2982 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1861z00_2980), BgL_arg1864z00_2983);
							}
							BgL_arg1860z00_2979 = BgL_list1863z00_2982;
						}
					}
					BgL_res2054z00_2984 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1860z00_2979,
						BgL_ez00_2851);
				}
				return BgL_res2054z00_2984;
			}
		}

	}



/* &initflow-node-app1349 */
	obj_t BGl_z62initflowzd2nodezd2app1349z62zzinitflow_walkz00(obj_t
		BgL_envz00_2852, obj_t BgL_nodez00_2853, obj_t BgL_ez00_2854)
	{
		{	/* Initflow/walk.scm 164 */
			{	/* Initflow/walk.scm 166 */
				BgL_variablez00_bglt BgL_vz00_2986;

				BgL_vz00_2986 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2853)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 166 */
					BgL_valuez00_bglt BgL_fz00_2987;

					BgL_fz00_2987 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2986))->BgL_valuez00);
					{	/* Initflow/walk.scm 167 */

						{	/* Initflow/walk.scm 168 */
							bool_t BgL_test2157z00_3861;

							{	/* Initflow/walk.scm 168 */
								bool_t BgL_test2158z00_3862;

								{	/* Initflow/walk.scm 168 */
									obj_t BgL_classz00_2988;

									BgL_classz00_2988 = BGl_sfunz00zzast_varz00;
									{	/* Initflow/walk.scm 168 */
										BgL_objectz00_bglt BgL_arg1820z00_2989;

										{	/* Initflow/walk.scm 168 */
											obj_t BgL_tmpz00_3863;

											BgL_tmpz00_3863 =
												((obj_t) ((BgL_objectz00_bglt) BgL_fz00_2987));
											BgL_arg1820z00_2989 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3863);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Initflow/walk.scm 168 */
												long BgL_idxz00_2990;

												BgL_idxz00_2990 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2989);
												BgL_test2158z00_3862 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2990 + ((long) 3))) ==
													BgL_classz00_2988);
											}
										else
											{	/* Initflow/walk.scm 168 */
												bool_t BgL_res1999z00_2993;

												{	/* Initflow/walk.scm 168 */
													obj_t BgL_oclassz00_2994;

													{	/* Initflow/walk.scm 168 */
														long BgL_arg1828z00_2995;

														{	/* Initflow/walk.scm 168 */
															long BgL_arg1829z00_2996;

															BgL_arg1829z00_2996 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2989);
															BgL_arg1828z00_2995 =
																(BgL_arg1829z00_2996 - OBJECT_TYPE);
														}
														BgL_oclassz00_2994 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2995);
													}
													{	/* Initflow/walk.scm 168 */
														bool_t BgL__ortest_1111z00_2997;

														BgL__ortest_1111z00_2997 =
															(BgL_classz00_2988 == BgL_oclassz00_2994);
														if (BgL__ortest_1111z00_2997)
															{	/* Initflow/walk.scm 168 */
																BgL_res1999z00_2993 = BgL__ortest_1111z00_2997;
															}
														else
															{	/* Initflow/walk.scm 168 */
																long BgL_odepthz00_2998;

																BgL_odepthz00_2998 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2994);
																if ((((long) 3) < BgL_odepthz00_2998))
																	{	/* Initflow/walk.scm 168 */
																		obj_t BgL_arg1816z00_2999;

																		BgL_arg1816z00_2999 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2994, ((long) 3));
																		BgL_res1999z00_2993 =
																			(BgL_arg1816z00_2999 ==
																			BgL_classz00_2988);
																	}
																else
																	{	/* Initflow/walk.scm 168 */
																		BgL_res1999z00_2993 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2158z00_3862 = BgL_res1999z00_2993;
											}
									}
								}
								if (BgL_test2158z00_3862)
									{	/* Initflow/walk.scm 168 */
										BgL_test2157z00_3861 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 6)),
												(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_fz00_2987)))->BgL_propertyz00)));
									}
								else
									{	/* Initflow/walk.scm 168 */
										BgL_test2157z00_3861 = ((bool_t) 0);
									}
							}
							if (BgL_test2157z00_3861)
								{	/* Initflow/walk.scm 168 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 170 */
									obj_t BgL_isz00_3000;

									BgL_isz00_3000 =
										BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2853)))->BgL_argsz00),
										BgL_ez00_2854);
									{	/* Initflow/walk.scm 171 */
										bool_t BgL_test2162z00_3891;

										{	/* Initflow/walk.scm 171 */
											obj_t BgL_classz00_3001;

											BgL_classz00_3001 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 171 */
												BgL_objectz00_bglt BgL_arg1820z00_3002;

												{	/* Initflow/walk.scm 171 */
													obj_t BgL_tmpz00_3892;

													BgL_tmpz00_3892 =
														((obj_t) ((BgL_objectz00_bglt) BgL_fz00_2987));
													BgL_arg1820z00_3002 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3892);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Initflow/walk.scm 171 */
														long BgL_idxz00_3003;

														BgL_idxz00_3003 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3002);
														BgL_test2162z00_3891 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3003 + ((long) 3))) ==
															BgL_classz00_3001);
													}
												else
													{	/* Initflow/walk.scm 171 */
														bool_t BgL_res2000z00_3006;

														{	/* Initflow/walk.scm 171 */
															obj_t BgL_oclassz00_3007;

															{	/* Initflow/walk.scm 171 */
																long BgL_arg1828z00_3008;

																{	/* Initflow/walk.scm 171 */
																	long BgL_arg1829z00_3009;

																	BgL_arg1829z00_3009 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3002);
																	BgL_arg1828z00_3008 =
																		(BgL_arg1829z00_3009 - OBJECT_TYPE);
																}
																BgL_oclassz00_3007 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3008);
															}
															{	/* Initflow/walk.scm 171 */
																bool_t BgL__ortest_1111z00_3010;

																BgL__ortest_1111z00_3010 =
																	(BgL_classz00_3001 == BgL_oclassz00_3007);
																if (BgL__ortest_1111z00_3010)
																	{	/* Initflow/walk.scm 171 */
																		BgL_res2000z00_3006 =
																			BgL__ortest_1111z00_3010;
																	}
																else
																	{	/* Initflow/walk.scm 171 */
																		long BgL_odepthz00_3011;

																		BgL_odepthz00_3011 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3007);
																		if ((((long) 3) < BgL_odepthz00_3011))
																			{	/* Initflow/walk.scm 171 */
																				obj_t BgL_arg1816z00_3012;

																				BgL_arg1816z00_3012 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3007, ((long) 3));
																				BgL_res2000z00_3006 =
																					(BgL_arg1816z00_3012 ==
																					BgL_classz00_3001);
																			}
																		else
																			{	/* Initflow/walk.scm 171 */
																				BgL_res2000z00_3006 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2162z00_3891 = BgL_res2000z00_3006;
													}
											}
										}
										if (BgL_test2162z00_3891)
											{	/* Initflow/walk.scm 171 */
												return
													BGl_appendzd221011zd2zzinitflow_walkz00
													(BGl_initflowzd2funzd2zzinitflow_walkz00
													(BgL_vz00_2986, CBOOL(BgL_ez00_2854)),
													BgL_isz00_3000);
											}
										else
											{	/* Initflow/walk.scm 171 */
												return BgL_isz00_3000;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &initflow-node-sync1347 */
	obj_t BGl_z62initflowzd2nodezd2sync1347z62zzinitflow_walkz00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_ez00_2857)
	{
		{	/* Initflow/walk.scm 155 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2856)))->BgL_mutexz00),
				CBOOL(BgL_ez00_2857));
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2856)))->BgL_prelockz00),
				CBOOL(BgL_ez00_2857));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2856)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2857));
		}

	}



/* &initflow-node-sequen1345 */
	obj_t BGl_z62initflowzd2nodezd2sequen1345z62zzinitflow_walkz00(obj_t
		BgL_envz00_2858, obj_t BgL_nodez00_2859, obj_t BgL_ez00_2860)
	{
		{	/* Initflow/walk.scm 142 */
			{	/* Initflow/walk.scm 143 */
				obj_t BgL_res2055z00_3022;

				{
					obj_t BgL_nodesz00_3016;
					obj_t BgL_isz00_3017;

					BgL_nodesz00_3016 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2859)))->BgL_nodesz00);
					BgL_isz00_3017 = BNIL;
				BgL_loopz00_3015:
					if (NULLP(BgL_nodesz00_3016))
						{	/* Initflow/walk.scm 146 */
							BgL_res2055z00_3022 = BgL_isz00_3017;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_3018;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg1846z00_3019;

								BgL_arg1846z00_3019 = CAR(((obj_t) BgL_nodesz00_3016));
								BgL_iz00_3018 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg1846z00_3019),
									CBOOL(BgL_ez00_2860));
							}
							{	/* Initflow/walk.scm 149 */
								obj_t BgL_arg1844z00_3020;
								obj_t BgL_arg1845z00_3021;

								BgL_arg1844z00_3020 = CDR(((obj_t) BgL_nodesz00_3016));
								BgL_arg1845z00_3021 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_3018,
									BgL_isz00_3017);
								{
									obj_t BgL_isz00_3938;
									obj_t BgL_nodesz00_3937;

									BgL_nodesz00_3937 = BgL_arg1844z00_3020;
									BgL_isz00_3938 = BgL_arg1845z00_3021;
									BgL_isz00_3017 = BgL_isz00_3938;
									BgL_nodesz00_3016 = BgL_nodesz00_3937;
									goto BgL_loopz00_3015;
								}
							}
						}
				}
				return BgL_res2055z00_3022;
			}
		}

	}



/* &initflow-node-var1343 */
	obj_t BGl_z62initflowzd2nodezd2var1343z62zzinitflow_walkz00(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862, obj_t BgL_ez00_2863)
	{
		{	/* Initflow/walk.scm 99 */
			{	/* Initflow/walk.scm 101 */
				bool_t BgL_test2167z00_3941;

				{	/* Initflow/walk.scm 101 */
					bool_t BgL_test2168z00_3942;

					{	/* Initflow/walk.scm 101 */
						BgL_variablez00_bglt BgL_arg1822z00_3024;

						BgL_arg1822z00_3024 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_2862)))->BgL_variablez00);
						{	/* Initflow/walk.scm 101 */
							obj_t BgL_classz00_3025;

							BgL_classz00_3025 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 101 */
								BgL_objectz00_bglt BgL_arg1820z00_3026;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_tmpz00_3945;

									BgL_tmpz00_3945 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1822z00_3024));
									BgL_arg1820z00_3026 = (BgL_objectz00_bglt) (BgL_tmpz00_3945);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Initflow/walk.scm 101 */
										long BgL_idxz00_3027;

										BgL_idxz00_3027 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3026);
										BgL_test2168z00_3942 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3027 + ((long) 2))) == BgL_classz00_3025);
									}
								else
									{	/* Initflow/walk.scm 101 */
										bool_t BgL_res1997z00_3030;

										{	/* Initflow/walk.scm 101 */
											obj_t BgL_oclassz00_3031;

											{	/* Initflow/walk.scm 101 */
												long BgL_arg1828z00_3032;

												{	/* Initflow/walk.scm 101 */
													long BgL_arg1829z00_3033;

													BgL_arg1829z00_3033 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3026);
													BgL_arg1828z00_3032 =
														(BgL_arg1829z00_3033 - OBJECT_TYPE);
												}
												BgL_oclassz00_3031 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3032);
											}
											{	/* Initflow/walk.scm 101 */
												bool_t BgL__ortest_1111z00_3034;

												BgL__ortest_1111z00_3034 =
													(BgL_classz00_3025 == BgL_oclassz00_3031);
												if (BgL__ortest_1111z00_3034)
													{	/* Initflow/walk.scm 101 */
														BgL_res1997z00_3030 = BgL__ortest_1111z00_3034;
													}
												else
													{	/* Initflow/walk.scm 101 */
														long BgL_odepthz00_3035;

														BgL_odepthz00_3035 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3031);
														if ((((long) 2) < BgL_odepthz00_3035))
															{	/* Initflow/walk.scm 101 */
																obj_t BgL_arg1816z00_3036;

																BgL_arg1816z00_3036 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3031,
																	((long) 2));
																BgL_res1997z00_3030 =
																	(BgL_arg1816z00_3036 == BgL_classz00_3025);
															}
														else
															{	/* Initflow/walk.scm 101 */
																BgL_res1997z00_3030 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2168z00_3942 = BgL_res1997z00_3030;
									}
							}
						}
					}
					if (BgL_test2168z00_3942)
						{	/* Initflow/walk.scm 101 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2862)))->
														BgL_variablez00))))->BgL_initz00) == BUNSPEC))
								{	/* Initflow/walk.scm 103 */
									obj_t BgL_arg1813z00_3037;

									BgL_arg1813z00_3037 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2862)))->
														BgL_variablez00))))->BgL_modulez00);
									BgL_test2167z00_3941 =
										(BgL_arg1813z00_3037 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
							else
								{	/* Initflow/walk.scm 102 */
									BgL_test2167z00_3941 = ((bool_t) 0);
								}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BgL_test2167z00_3941 = ((bool_t) 0);
						}
				}
				if (BgL_test2167z00_3941)
					{	/* Initflow/walk.scm 101 */
						{	/* Initflow/walk.scm 104 */
							BgL_variablez00_bglt BgL_arg1741z00_3038;

							BgL_arg1741z00_3038 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2862)))->BgL_variablez00);
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_arg1741z00_3038)))->
									BgL_initz00) = ((obj_t) BFALSE), BUNSPEC);
						}
						{	/* Initflow/walk.scm 106 */
							bool_t BgL_test2173z00_3980;

							{	/* Initflow/walk.scm 106 */
								BgL_typez00_bglt BgL_arg1811z00_3039;

								BgL_arg1811z00_3039 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2862)))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_test2173z00_3980 =
									(((obj_t) BgL_arg1811z00_3039) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2173z00_3980)
								{	/* Initflow/walk.scm 107 */
									BgL_variablez00_bglt BgL_arg1749z00_3040;

									BgL_arg1749z00_3040 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2862)))->
										BgL_variablez00);
									{	/* Initflow/walk.scm 107 */
										BgL_typez00_bglt BgL_vz00_3041;

										BgL_vz00_3041 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_arg1749z00_3040))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3041), BUNSPEC);
									}
								}
							else
								{	/* Initflow/walk.scm 108 */
									bool_t BgL_test2174z00_3994;

									{	/* Initflow/walk.scm 108 */
										BgL_typez00_bglt BgL_arg1789z00_3042;

										BgL_arg1789z00_3042 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_2862)))->
																BgL_variablez00)))))->BgL_typez00);
										BgL_test2174z00_3994 =
											(((obj_t) BgL_arg1789z00_3042) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_test2174z00_3994)
										{	/* Initflow/walk.scm 108 */
											BUNSPEC;
										}
									else
										{	/* Initflow/walk.scm 110 */
											bool_t BgL_test2175z00_4002;

											{	/* Initflow/walk.scm 110 */
												bool_t BgL_test2176z00_4003;

												{	/* Initflow/walk.scm 110 */
													BgL_variablez00_bglt BgL_arg1787z00_3043;

													BgL_arg1787z00_3043 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2862)))->
														BgL_variablez00);
													BgL_test2176z00_4003 =
														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
															(BgL_globalz00_bglt) BgL_arg1787z00_3043));
												}
												if (BgL_test2176z00_4003)
													{	/* Initflow/walk.scm 111 */
														BgL_typez00_bglt BgL_arg1778z00_3044;
														obj_t BgL_arg1781z00_3045;

														BgL_arg1778z00_3044 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_nodez00_2862)))->
																				BgL_variablez00)))))->BgL_typez00);
														BgL_arg1781z00_3045 =
															BGl_getzd2classzd2typez00zztype_cachez00();
														BgL_test2175z00_4002 =
															(((obj_t) BgL_arg1778z00_3044) ==
															BgL_arg1781z00_3045);
													}
												else
													{	/* Initflow/walk.scm 110 */
														BgL_test2175z00_4002 = ((bool_t) 0);
													}
											}
											if (BgL_test2175z00_4002)
												{	/* Initflow/walk.scm 110 */
													BUNSPEC;
												}
											else
												{	/* Initflow/walk.scm 114 */
													obj_t BgL_arg1769z00_3046;
													obj_t BgL_arg1770z00_3047;

													BgL_arg1769z00_3046 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2862))))->
														BgL_locz00);
													BgL_arg1770z00_3047 =
														(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
																		COBJECT(((BgL_varz00_bglt)
																				BgL_nodez00_2862)))->
																	BgL_variablez00)))->BgL_idz00);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1769z00_3046,
														BGl_za2moduleza2z00zzmodule_modulez00,
														BGl_string2043z00zzinitflow_walkz00,
														BgL_arg1770z00_3047, BNIL);
												}
										}
								}
						}
					}
				else
					{	/* Initflow/walk.scm 101 */
						BFALSE;
					}
			}
			{	/* Initflow/walk.scm 117 */
				bool_t BgL_test2177z00_4023;

				{	/* Initflow/walk.scm 117 */
					BgL_valuez00_bglt BgL_arg1836z00_3048;

					BgL_arg1836z00_3048 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2862)))->
									BgL_variablez00)))->BgL_valuez00);
					{	/* Initflow/walk.scm 117 */
						obj_t BgL_classz00_3049;

						BgL_classz00_3049 = BGl_sfunz00zzast_varz00;
						{	/* Initflow/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1820z00_3050;

							{	/* Initflow/walk.scm 117 */
								obj_t BgL_tmpz00_4027;

								BgL_tmpz00_4027 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1836z00_3048));
								BgL_arg1820z00_3050 = (BgL_objectz00_bglt) (BgL_tmpz00_4027);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Initflow/walk.scm 117 */
									long BgL_idxz00_3051;

									BgL_idxz00_3051 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3050);
									BgL_test2177z00_4023 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3051 + ((long) 3))) == BgL_classz00_3049);
								}
							else
								{	/* Initflow/walk.scm 117 */
									bool_t BgL_res1998z00_3054;

									{	/* Initflow/walk.scm 117 */
										obj_t BgL_oclassz00_3055;

										{	/* Initflow/walk.scm 117 */
											long BgL_arg1828z00_3056;

											{	/* Initflow/walk.scm 117 */
												long BgL_arg1829z00_3057;

												BgL_arg1829z00_3057 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3050);
												BgL_arg1828z00_3056 =
													(BgL_arg1829z00_3057 - OBJECT_TYPE);
											}
											BgL_oclassz00_3055 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3056);
										}
										{	/* Initflow/walk.scm 117 */
											bool_t BgL__ortest_1111z00_3058;

											BgL__ortest_1111z00_3058 =
												(BgL_classz00_3049 == BgL_oclassz00_3055);
											if (BgL__ortest_1111z00_3058)
												{	/* Initflow/walk.scm 117 */
													BgL_res1998z00_3054 = BgL__ortest_1111z00_3058;
												}
											else
												{	/* Initflow/walk.scm 117 */
													long BgL_odepthz00_3059;

													BgL_odepthz00_3059 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3055);
													if ((((long) 3) < BgL_odepthz00_3059))
														{	/* Initflow/walk.scm 117 */
															obj_t BgL_arg1816z00_3060;

															BgL_arg1816z00_3060 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3055,
																((long) 3));
															BgL_res1998z00_3054 =
																(BgL_arg1816z00_3060 == BgL_classz00_3049);
														}
													else
														{	/* Initflow/walk.scm 117 */
															BgL_res1998z00_3054 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2177z00_4023 = BgL_res1998z00_3054;
								}
						}
					}
				}
				if (BgL_test2177z00_4023)
					{	/* Initflow/walk.scm 117 */
						return
							BGl_initflowzd2funzd2zzinitflow_walkz00(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2862)))->BgL_variablez00),
							CBOOL(BgL_ez00_2863));
					}
				else
					{	/* Initflow/walk.scm 117 */
						return BNIL;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2044z00zzinitflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
