/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1330z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt,
		obj_t, bool_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2switch1341z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2tailreczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1324z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1332z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00(void);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1347z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1336z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00(void);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121359za2zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_disablezd2inliningz12zc0zzinline_inlinez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1355zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1334z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sync1322z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1343zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1339z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21349z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00(void);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1320z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12zd2le1364z70zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62inlinezd2node1311zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1328z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1318z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12za2zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1345zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2failsafezb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00(void);
	static obj_t BGl_z62isfunzd2tailreczb0zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_inlinez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1357zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	static obj_t BGl_z62lambda1600z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzinline_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31619ze3ze5zzinline_inlinez00(obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1314z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2retblock1351z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static obj_t BGl_z62zc3z04anonymousza31571ze3ze5zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1617z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1618z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1633z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1634z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1326zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2failsafezd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1562z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1568z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	static obj_t BGl_z62disablezd2inliningz121360za2zzinline_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1572z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1316z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1599z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2return1353z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2036z00,
		BGl_z62disablezd2inliningz12zd2le1364z70zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72037za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2038za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72039za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2040za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2041z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2042z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2043z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2044z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72045za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2046z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2047z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2failsafezd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2fails2048z00,
		BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2049z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2050z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2051za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2052za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2053z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72054za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72055za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2056z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72057za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2058z00,
		BGl_z62disablezd2inliningz12za2zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72059za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2060z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2failsafezd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2fails2061z00,
		BGl_z62isfunzd2failsafezb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2062za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2063z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2064za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2065za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2066z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2067z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2068z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72069za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2070z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzinline_inlinez00,
		BgL_bgl_za762lambda1600za7622071z00, BGl_z62lambda1600z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzinline_inlinez00,
		BgL_bgl_za762lambda1599za7622072z00, BGl_z62lambda1599z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2073za7,
		BGl_z62zc3z04anonymousza31619ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzinline_inlinez00,
		BgL_bgl_za762lambda1618za7622074z00, BGl_z62lambda1618z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzinline_inlinez00,
		BgL_bgl_za762lambda1617za7622075z00, BGl_z62lambda1617z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2076za7,
		BGl_z62zc3z04anonymousza31635ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzinline_inlinez00,
		BgL_bgl_za762lambda1634za7622077z00, BGl_z62lambda1634z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzinline_inlinez00,
		BgL_bgl_za762lambda1633za7622078z00, BGl_z62lambda1633z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzinline_inlinez00,
		BgL_bgl_za762lambda1572za7622079z00, BGl_z62lambda1572z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzinline_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2080za7,
		BGl_z62zc3z04anonymousza31571ze3ze5zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2081z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2082z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2083z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2084z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2tailreczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2tailr2085z00,
		BGl_z62isfunzd2tailreczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2086z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2087za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72088za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2003z00zzinline_inlinez00,
		BgL_bgl_string2003za700za7za7i2089za7, "inline-node1311", 15);
	      DEFINE_STRING(BGl_string2005z00zzinline_inlinez00,
		BgL_bgl_string2005za700za7za7i2090za7, "disable-inlining!1360", 21);
	      DEFINE_STRING(BGl_string2006z00zzinline_inlinez00,
		BgL_bgl_string2006za700za7za7i2091za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2008z00zzinline_inlinez00,
		BgL_bgl_string2008za700za7za7i2092za7, "inline-node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzinline_inlinez00,
		BgL_bgl_za762lambda1568za7622093z00, BGl_z62lambda1568z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzinline_inlinez00,
		BgL_bgl_za762lambda1562za7622094z00, BGl_z62lambda1562z62zzinline_inlinez00,
		0L, BUNSPEC, 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2095z00,
		BGl_z62inlinezd2node1311zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzinline_inlinez00,
		BgL_bgl_za762disableza7d2inl2096z00,
		BGl_z62disablezd2inliningz121360za2zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2097za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2098z00,
		BGl_z62inlinezd2nodezd2atom1314z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2099z00,
		BGl_z62inlinezd2nodezd2var1316z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2100z00,
		BGl_z62inlinezd2nodezd2kwote1318z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2101z00,
		BGl_z62inlinezd2nodezd2sequence1320z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2102z00,
		BGl_z62inlinezd2nodezd2sync1322z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2103z00,
		BGl_z62inlinezd2nodezd2app1324z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2104z00,
		BGl_z62inlinezd2nodezd2appzd2ly1326zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2105z00,
		BGl_z62inlinezd2nodezd2funcall1328z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2106z00,
		BGl_z62inlinezd2nodezd2extern1330z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2107z00,
		BGl_z62inlinezd2nodezd2cast1332z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2108z00,
		BGl_z62inlinezd2nodezd2setq1334z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2109z00,
		BGl_z62inlinezd2nodezd2conditio1336z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2110z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2111z00,
		BGl_z62inlinezd2nodezd2fail1339z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2112z00,
		BGl_z62inlinezd2nodezd2switch1341z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2113z00,
		BGl_z62inlinezd2nodezd2letzd2fun1343zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2114z00,
		BGl_z62inlinezd2nodezd2letzd2var1345zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2115z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1347z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2116z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21349z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2032z00zzinline_inlinez00,
		BgL_bgl_string2032za700za7za7i2117za7, "disable-inlining!::node", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2118z00,
		BGl_z62inlinezd2nodezd2retblock1351z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2033z00zzinline_inlinez00,
		BgL_bgl_string2033za700za7za7i2119za7, "inline_inline", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2120z00,
		BGl_z62inlinezd2nodezd2return1353z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2034z00zzinline_inlinez00,
		BgL_bgl_string2034za700za7za7i2121za7,
		"read (noinline) noinline inline-node1311 _ inline_inline isfun bool tailrec obj recursive-calls original-body done static cgen all ",
		131);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2122z00,
		BGl_z62inlinezd2nodezd2makezd2box1355zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2123z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1357zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2tailreczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2tailr2124z00,
		BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72125za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2126z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121359za2zzinline_inlinez00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_inlinez00));
		     ADD_ROOT((void *) (&BGl_isfunz00zzinline_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3289, char *BgL_fromz00_3290)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BGl_toplevelzd2initzd2zzinline_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_3100;

				{	/* Inline/inline.scm 15 */
					obj_t BgL_stringz00_3107;

					BgL_stringz00_3107 = BGl_string2034z00zzinline_inlinez00;
					{	/* Inline/inline.scm 15 */
						obj_t BgL_startz00_3108;

						BgL_startz00_3108 = BINT(((long) 0));
						{	/* Inline/inline.scm 15 */
							obj_t BgL_endz00_3109;

							BgL_endz00_3109 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3107)));
							{	/* Inline/inline.scm 15 */

								BgL_cportz00_3100 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3107, BgL_startz00_3108, BgL_endz00_3109);
				}}}}
				{
					long BgL_iz00_3101;

					BgL_iz00_3101 = ((long) 15);
				BgL_loopz00_3102:
					if ((BgL_iz00_3101 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2035z00_3103;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_3105;

										BgL_locationz00_3105 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2035z00_3103 =
												BGl_readz00zz__readerz00(BgL_cportz00_3100,
												BgL_locationz00_3105);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_tmpz00_3321;

									BgL_tmpz00_3321 = (int) (BgL_iz00_3101);
									CNST_TABLE_SET(BgL_tmpz00_3321, BgL_arg2035z00_3103);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_3106;

								BgL_auxz00_3106 = (int) ((BgL_iz00_3101 - ((long) 1)));
								{
									long BgL_iz00_3326;

									BgL_iz00_3326 = (long) (BgL_auxz00_3106);
									BgL_iz00_3101 = BgL_iz00_3326;
									goto BgL_loopz00_3102;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}

	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1127z00_3, obj_t BgL_sidezd2effect1128zd2_4,
		obj_t BgL_predicatezd2of1129zd2_5, obj_t BgL_stackzd2allocator1130zd2_6,
		bool_t BgL_topzf31131zf3_7, obj_t BgL_thezd2closure1132zd2_8,
		obj_t BgL_effect1133z00_9, obj_t BgL_failsafe1134z00_10,
		obj_t BgL_property1135z00_11, obj_t BgL_args1136z00_12,
		obj_t BgL_argszd2name1137zd2_13, obj_t BgL_body1138z00_14,
		obj_t BgL_class1139z00_15, obj_t BgL_dssslzd2keywords1140zd2_16,
		obj_t BgL_loc1141z00_17, obj_t BgL_optionals1142z00_18,
		obj_t BgL_keys1143z00_19, obj_t BgL_thezd2closurezd2global1144z00_20,
		obj_t BgL_strength1145z00_21,
		BgL_nodez00_bglt BgL_originalzd2body1146zd2_22,
		obj_t BgL_recursivezd2calls1147zd2_23, bool_t BgL_tailrec1148z00_24)
	{
		{	/* Inline/inline.sch 60 */
			{	/* Inline/inline.sch 60 */
				BgL_sfunz00_bglt BgL_new1150z00_3111;

				{	/* Inline/inline.sch 60 */
					BgL_sfunz00_bglt BgL_tmp1148z00_3112;
					BgL_isfunz00_bglt BgL_wide1149z00_3113;

					{
						BgL_sfunz00_bglt BgL_auxz00_3329;

						{	/* Inline/inline.sch 60 */
							BgL_sfunz00_bglt BgL_new1147z00_3114;

							BgL_new1147z00_3114 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 60 */
								long BgL_arg1378z00_3115;

								BgL_arg1378z00_3115 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1147z00_3114),
									BgL_arg1378z00_3115);
							}
							{	/* Inline/inline.sch 60 */
								BgL_objectz00_bglt BgL_tmpz00_3334;

								BgL_tmpz00_3334 = ((BgL_objectz00_bglt) BgL_new1147z00_3114);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3334, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1147z00_3114);
							BgL_auxz00_3329 = BgL_new1147z00_3114;
						}
						BgL_tmp1148z00_3112 = ((BgL_sfunz00_bglt) BgL_auxz00_3329);
					}
					BgL_wide1149z00_3113 =
						((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 60 */
						obj_t BgL_auxz00_3342;
						BgL_objectz00_bglt BgL_tmpz00_3340;

						BgL_auxz00_3342 = ((obj_t) BgL_wide1149z00_3113);
						BgL_tmpz00_3340 = ((BgL_objectz00_bglt) BgL_tmp1148z00_3112);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3340, BgL_auxz00_3342);
					}
					((BgL_objectz00_bglt) BgL_tmp1148z00_3112);
					{	/* Inline/inline.sch 60 */
						long BgL_arg1376z00_3116;

						BgL_arg1376z00_3116 = BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1148z00_3112), BgL_arg1376z00_3116);
					}
					BgL_new1150z00_3111 = ((BgL_sfunz00_bglt) BgL_tmp1148z00_3112);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1150z00_3111)))->BgL_arityz00) =
					((long) BgL_arity1127z00_3), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1128zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1129zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1130zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31131zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1132zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_effectz00) = ((obj_t) BgL_effect1133z00_9), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1134z00_10), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_argszd2noescapezd2) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1150z00_3111)))->
						BgL_argszd2retescapezd2) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_propertyz00) =
					((obj_t) BgL_property1135z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_argsz00) =
					((obj_t) BgL_args1136z00_12), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1137zd2_13), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_bodyz00) =
					((obj_t) BgL_body1138z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_classz00) =
					((obj_t) BgL_class1139z00_15), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1140zd2_16), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_locz00) =
					((obj_t) BgL_loc1141z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1142z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_keysz00) =
					((obj_t) BgL_keys1143z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1144z00_20), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_strengthz00) =
					((obj_t) BgL_strength1145z00_21), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1150z00_3111)))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3394;

					{
						obj_t BgL_auxz00_3395;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3396;

							BgL_tmpz00_3396 = ((BgL_objectz00_bglt) BgL_new1150z00_3111);
							BgL_auxz00_3395 = BGL_OBJECT_WIDENING(BgL_tmpz00_3396);
						}
						BgL_auxz00_3394 = ((BgL_isfunz00_bglt) BgL_auxz00_3395);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3394))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1146zd2_22), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3401;

					{
						obj_t BgL_auxz00_3402;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3403;

							BgL_tmpz00_3403 = ((BgL_objectz00_bglt) BgL_new1150z00_3111);
							BgL_auxz00_3402 = BGL_OBJECT_WIDENING(BgL_tmpz00_3403);
						}
						BgL_auxz00_3401 = ((BgL_isfunz00_bglt) BgL_auxz00_3402);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3401))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1147zd2_23), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3408;

					{
						obj_t BgL_auxz00_3409;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_tmpz00_3410;

							BgL_tmpz00_3410 = ((BgL_objectz00_bglt) BgL_new1150z00_3111);
							BgL_auxz00_3409 = BGL_OBJECT_WIDENING(BgL_tmpz00_3410);
						}
						BgL_auxz00_3408 = ((BgL_isfunz00_bglt) BgL_auxz00_3409);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3408))->BgL_tailrecz00) =
						((bool_t) BgL_tailrec1148z00_24), BUNSPEC);
				}
				return BgL_new1150z00_3111;
			}
		}

	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2778, obj_t BgL_arity1127z00_2779,
		obj_t BgL_sidezd2effect1128zd2_2780, obj_t BgL_predicatezd2of1129zd2_2781,
		obj_t BgL_stackzd2allocator1130zd2_2782, obj_t BgL_topzf31131zf3_2783,
		obj_t BgL_thezd2closure1132zd2_2784, obj_t BgL_effect1133z00_2785,
		obj_t BgL_failsafe1134z00_2786, obj_t BgL_property1135z00_2787,
		obj_t BgL_args1136z00_2788, obj_t BgL_argszd2name1137zd2_2789,
		obj_t BgL_body1138z00_2790, obj_t BgL_class1139z00_2791,
		obj_t BgL_dssslzd2keywords1140zd2_2792, obj_t BgL_loc1141z00_2793,
		obj_t BgL_optionals1142z00_2794, obj_t BgL_keys1143z00_2795,
		obj_t BgL_thezd2closurezd2global1144z00_2796,
		obj_t BgL_strength1145z00_2797, obj_t BgL_originalzd2body1146zd2_2798,
		obj_t BgL_recursivezd2calls1147zd2_2799, obj_t BgL_tailrec1148z00_2800)
	{
		{	/* Inline/inline.sch 60 */
			return
				BGl_makezd2isfunzd2zzinline_inlinez00(
				(long) CINT(BgL_arity1127z00_2779), BgL_sidezd2effect1128zd2_2780,
				BgL_predicatezd2of1129zd2_2781, BgL_stackzd2allocator1130zd2_2782,
				CBOOL(BgL_topzf31131zf3_2783), BgL_thezd2closure1132zd2_2784,
				BgL_effect1133z00_2785, BgL_failsafe1134z00_2786,
				BgL_property1135z00_2787, BgL_args1136z00_2788,
				BgL_argszd2name1137zd2_2789, BgL_body1138z00_2790,
				BgL_class1139z00_2791, BgL_dssslzd2keywords1140zd2_2792,
				BgL_loc1141z00_2793, BgL_optionals1142z00_2794, BgL_keys1143z00_2795,
				BgL_thezd2closurezd2global1144z00_2796, BgL_strength1145z00_2797,
				((BgL_nodez00_bglt) BgL_originalzd2body1146zd2_2798),
				BgL_recursivezd2calls1147zd2_2799, CBOOL(BgL_tailrec1148z00_2800));
		}

	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_25)
	{
		{	/* Inline/inline.sch 61 */
			{	/* Inline/inline.sch 61 */
				obj_t BgL_classz00_3117;

				BgL_classz00_3117 = BGl_isfunz00zzinline_inlinez00;
				if (BGL_OBJECTP(BgL_objz00_25))
					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_arg1820z00_3118;

						BgL_arg1820z00_3118 = (BgL_objectz00_bglt) (BgL_objz00_25);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Inline/inline.sch 61 */
								long BgL_idxz00_3119;

								BgL_idxz00_3119 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3118);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3119 + ((long) 4))) == BgL_classz00_3117);
							}
						else
							{	/* Inline/inline.sch 61 */
								bool_t BgL_res1968z00_3122;

								{	/* Inline/inline.sch 61 */
									obj_t BgL_oclassz00_3123;

									{	/* Inline/inline.sch 61 */
										long BgL_arg1828z00_3124;

										{	/* Inline/inline.sch 61 */
											long BgL_arg1829z00_3125;

											BgL_arg1829z00_3125 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3118);
											BgL_arg1828z00_3124 = (BgL_arg1829z00_3125 - OBJECT_TYPE);
										}
										BgL_oclassz00_3123 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3124);
									}
									{	/* Inline/inline.sch 61 */
										bool_t BgL__ortest_1111z00_3126;

										BgL__ortest_1111z00_3126 =
											(BgL_classz00_3117 == BgL_oclassz00_3123);
										if (BgL__ortest_1111z00_3126)
											{	/* Inline/inline.sch 61 */
												BgL_res1968z00_3122 = BgL__ortest_1111z00_3126;
											}
										else
											{	/* Inline/inline.sch 61 */
												long BgL_odepthz00_3127;

												BgL_odepthz00_3127 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3123);
												if ((((long) 4) < BgL_odepthz00_3127))
													{	/* Inline/inline.sch 61 */
														obj_t BgL_arg1816z00_3128;

														BgL_arg1816z00_3128 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3123,
															((long) 4));
														BgL_res1968z00_3122 =
															(BgL_arg1816z00_3128 == BgL_classz00_3117);
													}
												else
													{	/* Inline/inline.sch 61 */
														BgL_res1968z00_3122 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1968z00_3122;
							}
					}
				else
					{	/* Inline/inline.sch 61 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2801,
		obj_t BgL_objz00_2802)
	{
		{	/* Inline/inline.sch 61 */
			return BBOOL(BGl_isfunzf3zf3zzinline_inlinez00(BgL_objz00_2802));
		}

	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.sch 62 */
			{	/* Inline/inline.sch 62 */
				obj_t BgL_classz00_2233;

				BgL_classz00_2233 = BGl_isfunz00zzinline_inlinez00;
				{	/* Inline/inline.sch 62 */
					obj_t BgL__ortest_1113z00_2234;

					BgL__ortest_1113z00_2234 = BGL_CLASS_NIL(BgL_classz00_2233);
					if (CBOOL(BgL__ortest_1113z00_2234))
						{	/* Inline/inline.sch 62 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1113z00_2234);
						}
					else
						{	/* Inline/inline.sch 62 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2233));
						}
				}
			}
		}

	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2803)
	{
		{	/* Inline/inline.sch 62 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}

	}



/* isfun-tailrec */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2tailreczd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_26)
	{
		{	/* Inline/inline.sch 63 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3448;

				{
					obj_t BgL_auxz00_3449;

					{	/* Inline/inline.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_3450;

						BgL_tmpz00_3450 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_3449 = BGL_OBJECT_WIDENING(BgL_tmpz00_3450);
					}
					BgL_auxz00_3448 = ((BgL_isfunz00_bglt) BgL_auxz00_3449);
				}
				return (((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3448))->BgL_tailrecz00);
			}
		}

	}



/* &isfun-tailrec */
	obj_t BGl_z62isfunzd2tailreczb0zzinline_inlinez00(obj_t BgL_envz00_2804,
		obj_t BgL_oz00_2805)
	{
		{	/* Inline/inline.sch 63 */
			return
				BBOOL(BGl_isfunzd2tailreczd2zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2805)));
		}

	}



/* isfun-tailrec-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27, bool_t BgL_vz00_28)
	{
		{	/* Inline/inline.sch 64 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3458;

				{
					obj_t BgL_auxz00_3459;

					{	/* Inline/inline.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_3460;

						BgL_tmpz00_3460 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3459 = BGL_OBJECT_WIDENING(BgL_tmpz00_3460);
					}
					BgL_auxz00_3458 = ((BgL_isfunz00_bglt) BgL_auxz00_3459);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3458))->BgL_tailrecz00) =
					((bool_t) BgL_vz00_28), BUNSPEC);
			}
		}

	}



/* &isfun-tailrec-set! */
	obj_t BGl_z62isfunzd2tailreczd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2806, obj_t BgL_oz00_2807, obj_t BgL_vz00_2808)
	{
		{	/* Inline/inline.sch 64 */
			return
				BGl_isfunzd2tailreczd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2807), CBOOL(BgL_vz00_2808));
		}

	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_29)
	{
		{	/* Inline/inline.sch 65 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3468;

				{
					obj_t BgL_auxz00_3469;

					{	/* Inline/inline.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_3470;

						BgL_tmpz00_3470 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_3469 = BGL_OBJECT_WIDENING(BgL_tmpz00_3470);
					}
					BgL_auxz00_3468 = ((BgL_isfunz00_bglt) BgL_auxz00_3469);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3468))->
					BgL_recursivezd2callszd2);
			}
		}

	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2809, obj_t BgL_oz00_2810)
	{
		{	/* Inline/inline.sch 65 */
			return
				BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2810));
		}

	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Inline/inline.sch 66 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3477;

				{
					obj_t BgL_auxz00_3478;

					{	/* Inline/inline.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_3479;

						BgL_tmpz00_3479 = ((BgL_objectz00_bglt) BgL_oz00_30);
						BgL_auxz00_3478 = BGL_OBJECT_WIDENING(BgL_tmpz00_3479);
					}
					BgL_auxz00_3477 = ((BgL_isfunz00_bglt) BgL_auxz00_3478);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3477))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_31), BUNSPEC);
			}
		}

	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2811, obj_t BgL_oz00_2812, obj_t BgL_vz00_2813)
	{
		{	/* Inline/inline.sch 66 */
			return
				BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2812), BgL_vz00_2813);
		}

	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_32)
	{
		{	/* Inline/inline.sch 67 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3486;

				{
					obj_t BgL_auxz00_3487;

					{	/* Inline/inline.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_3488;

						BgL_tmpz00_3488 = ((BgL_objectz00_bglt) BgL_oz00_32);
						BgL_auxz00_3487 = BGL_OBJECT_WIDENING(BgL_tmpz00_3488);
					}
					BgL_auxz00_3486 = ((BgL_isfunz00_bglt) BgL_auxz00_3487);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3486))->
					BgL_originalzd2bodyzd2);
			}
		}

	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2814, obj_t BgL_oz00_2815)
	{
		{	/* Inline/inline.sch 67 */
			return
				BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2815));
		}

	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_35)
	{
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_35)))->BgL_strengthz00);
		}

	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2816,
		obj_t BgL_oz00_2817)
	{
		{	/* Inline/inline.sch 69 */
			return
				BGl_isfunzd2strengthzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2817));
		}

	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36, obj_t BgL_vz00_37)
	{
		{	/* Inline/inline.sch 70 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}

	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819, obj_t BgL_vz00_2820)
	{
		{	/* Inline/inline.sch 70 */
			return
				BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2819), BgL_vz00_2820);
		}

	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_38)
	{
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_38)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822)
	{
		{	/* Inline/inline.sch 71 */
			return
				BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2822));
		}

	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_39, obj_t BgL_vz00_40)
	{
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_39)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_40), BUNSPEC);
		}

	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2823, obj_t BgL_oz00_2824, obj_t BgL_vz00_2825)
	{
		{	/* Inline/inline.sch 72 */
			return
				BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2824), BgL_vz00_2825);
		}

	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_41)
	{
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_41)))->BgL_keysz00);
		}

	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2826,
		obj_t BgL_oz00_2827)
	{
		{	/* Inline/inline.sch 73 */
			return
				BGl_isfunzd2keyszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2827));
		}

	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_44)
	{
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_44)))->BgL_optionalsz00);
		}

	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2828,
		obj_t BgL_oz00_2829)
	{
		{	/* Inline/inline.sch 75 */
			return
				BGl_isfunzd2optionalszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2829));
		}

	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_47)
	{
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_47)))->BgL_locz00);
		}

	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2830,
		obj_t BgL_oz00_2831)
	{
		{	/* Inline/inline.sch 77 */
			return
				BGl_isfunzd2loczd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2831));
		}

	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_48,
		obj_t BgL_vz00_49)
	{
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_locz00) =
				((obj_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2832,
		obj_t BgL_oz00_2833, obj_t BgL_vz00_2834)
	{
		{	/* Inline/inline.sch 78 */
			return
				BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2833), BgL_vz00_2834);
		}

	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_50)
	{
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_50)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2835, obj_t BgL_oz00_2836)
	{
		{	/* Inline/inline.sch 79 */
			return
				BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2836));
		}

	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		{	/* Inline/inline.sch 80 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2837, obj_t BgL_oz00_2838, obj_t BgL_vz00_2839)
	{
		{	/* Inline/inline.sch 80 */
			return
				BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2838), BgL_vz00_2839);
		}

	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_53)
	{
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_53)))->BgL_classz00);
		}

	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2840,
		obj_t BgL_oz00_2841)
	{
		{	/* Inline/inline.sch 81 */
			return
				BGl_isfunzd2classzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2841));
		}

	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_classz00) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}

	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2842, obj_t BgL_oz00_2843, obj_t BgL_vz00_2844)
	{
		{	/* Inline/inline.sch 82 */
			return
				BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2843), BgL_vz00_2844);
		}

	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_56)
	{
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_56)))->BgL_bodyz00);
		}

	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2845,
		obj_t BgL_oz00_2846)
	{
		{	/* Inline/inline.sch 83 */
			return
				BGl_isfunzd2bodyzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2846));
		}

	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_57,
		obj_t BgL_vz00_58)
	{
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_58), BUNSPEC);
		}

	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2847,
		obj_t BgL_oz00_2848, obj_t BgL_vz00_2849)
	{
		{	/* Inline/inline.sch 84 */
			return
				BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2848), BgL_vz00_2849);
		}

	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_59)
	{
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_59)))->BgL_argszd2namezd2);
		}

	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2850,
		obj_t BgL_oz00_2851)
	{
		{	/* Inline/inline.sch 85 */
			return
				BGl_isfunzd2argszd2namez00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2851));
		}

	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_62)
	{
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_62)))->BgL_argsz00);
		}

	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2852,
		obj_t BgL_oz00_2853)
	{
		{	/* Inline/inline.sch 87 */
			return
				BGl_isfunzd2argszd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2853));
		}

	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63,
		obj_t BgL_vz00_64)
	{
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_63)))->BgL_argsz00) =
				((obj_t) BgL_vz00_64), BUNSPEC);
		}

	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2854,
		obj_t BgL_oz00_2855, obj_t BgL_vz00_2856)
	{
		{	/* Inline/inline.sch 88 */
			return
				BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2855), BgL_vz00_2856);
		}

	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_65)
	{
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_65)))->BgL_propertyz00);
		}

	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2857,
		obj_t BgL_oz00_2858)
	{
		{	/* Inline/inline.sch 89 */
			return
				BGl_isfunzd2propertyzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2858));
		}

	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_66, obj_t BgL_vz00_67)
	{
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_66)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_67), BUNSPEC);
		}

	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2859, obj_t BgL_oz00_2860, obj_t BgL_vz00_2861)
	{
		{	/* Inline/inline.sch 90 */
			return
				BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2860), BgL_vz00_2861);
		}

	}



/* isfun-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2failsafezd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_68)
	{
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_68)))->BgL_failsafez00);
		}

	}



/* &isfun-failsafe */
	obj_t BGl_z62isfunzd2failsafezb0zzinline_inlinez00(obj_t BgL_envz00_2862,
		obj_t BgL_oz00_2863)
	{
		{	/* Inline/inline.sch 91 */
			return
				BGl_isfunzd2failsafezd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2863));
		}

	}



/* isfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_69, obj_t BgL_vz00_70)
	{
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_69)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &isfun-failsafe-set! */
	obj_t BGl_z62isfunzd2failsafezd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2864, obj_t BgL_oz00_2865, obj_t BgL_vz00_2866)
	{
		{	/* Inline/inline.sch 92 */
			return
				BGl_isfunzd2failsafezd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2865), BgL_vz00_2866);
		}

	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_71)
	{
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_71)))->BgL_effectz00);
		}

	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2867,
		obj_t BgL_oz00_2868)
	{
		{	/* Inline/inline.sch 93 */
			return
				BGl_isfunzd2effectzd2zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2868));
		}

	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72, obj_t BgL_vz00_73)
	{
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_72)))->BgL_effectz00) =
				((obj_t) BgL_vz00_73), BUNSPEC);
		}

	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2869, obj_t BgL_oz00_2870, obj_t BgL_vz00_2871)
	{
		{	/* Inline/inline.sch 94 */
			return
				BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2870), BgL_vz00_2871);
		}

	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_74)
	{
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_74)))->BgL_thezd2closurezd2);
		}

	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2872,
		obj_t BgL_oz00_2873)
	{
		{	/* Inline/inline.sch 95 */
			return
				BGl_isfunzd2thezd2closurez00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2873));
		}

	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75, obj_t BgL_vz00_76)
	{
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_75)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_76), BUNSPEC);
		}

	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2874, obj_t BgL_oz00_2875, obj_t BgL_vz00_2876)
	{
		{	/* Inline/inline.sch 96 */
			return
				BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2875), BgL_vz00_2876);
		}

	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_77)
	{
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_77)))->BgL_topzf3zf3);
		}

	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2877,
		obj_t BgL_oz00_2878)
	{
		{	/* Inline/inline.sch 97 */
			return
				BBOOL(BGl_isfunzd2topzf3z21zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2878)));
		}

	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_78, bool_t BgL_vz00_79)
	{
		{	/* Inline/inline.sch 98 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_78)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2879, obj_t BgL_oz00_2880, obj_t BgL_vz00_2881)
	{
		{	/* Inline/inline.sch 98 */
			return
				BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2880), CBOOL(BgL_vz00_2881));
		}

	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_80)
	{
		{	/* Inline/inline.sch 99 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_80)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2882, obj_t BgL_oz00_2883)
	{
		{	/* Inline/inline.sch 99 */
			return
				BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2883));
		}

	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81, obj_t BgL_vz00_82)
	{
		{	/* Inline/inline.sch 100 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_81)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_82), BUNSPEC);
		}

	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2884, obj_t BgL_oz00_2885, obj_t BgL_vz00_2886)
	{
		{	/* Inline/inline.sch 100 */
			return
				BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2885), BgL_vz00_2886);
		}

	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_83)
	{
		{	/* Inline/inline.sch 101 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_83)))->BgL_predicatezd2ofzd2);
		}

	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2887, obj_t BgL_oz00_2888)
	{
		{	/* Inline/inline.sch 101 */
			return
				BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2888));
		}

	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_84, obj_t BgL_vz00_85)
	{
		{	/* Inline/inline.sch 102 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_84)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_85), BUNSPEC);
		}

	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2889, obj_t BgL_oz00_2890, obj_t BgL_vz00_2891)
	{
		{	/* Inline/inline.sch 102 */
			return
				BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2890), BgL_vz00_2891);
		}

	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_86)
	{
		{	/* Inline/inline.sch 103 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_86)))->BgL_sidezd2effectzd2);
		}

	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2892,
		obj_t BgL_oz00_2893)
	{
		{	/* Inline/inline.sch 103 */
			return
				BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2893));
		}

	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_87, obj_t BgL_vz00_88)
	{
		{	/* Inline/inline.sch 104 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_87)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_88), BUNSPEC);
		}

	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2894, obj_t BgL_oz00_2895, obj_t BgL_vz00_2896)
	{
		{	/* Inline/inline.sch 104 */
			return
				BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(
				((BgL_sfunz00_bglt) BgL_oz00_2895), BgL_vz00_2896);
		}

	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_89)
	{
		{	/* Inline/inline.sch 105 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_89)))->BgL_arityz00);
		}

	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2897,
		obj_t BgL_oz00_2898)
	{
		{	/* Inline/inline.sch 105 */
			return
				BINT(BGl_isfunzd2arityzd2zzinline_inlinez00(
					((BgL_sfunz00_bglt) BgL_oz00_2898)));
		}

	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_92, long BgL_kfactorz00_93, obj_t BgL_stackz00_94)
	{
		{	/* Inline/inline.scm 38 */
			{	/* Inline/inline.scm 42 */
				BgL_valuez00_bglt BgL_sfunz00_1527;

				BgL_sfunz00_1527 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_92))->BgL_valuez00);
				{	/* Inline/inline.scm 42 */
					BgL_sfunz00_bglt BgL_isfunz00_1528;

					{	/* Inline/inline.scm 43 */
						obj_t BgL_classz00_2241;

						BgL_classz00_2241 = BGl_isfunz00zzinline_inlinez00;
						((bool_t) 0);
					}
					{	/* Inline/inline.scm 45 */
						BgL_isfunz00_bglt BgL_wide1153z00_1563;

						BgL_wide1153z00_1563 =
							((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 45 */
							obj_t BgL_auxz00_3640;
							BgL_objectz00_bglt BgL_tmpz00_3636;

							BgL_auxz00_3640 = ((obj_t) BgL_wide1153z00_1563);
							BgL_tmpz00_3636 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3636, BgL_auxz00_3640);
						}
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
						{	/* Inline/inline.scm 45 */
							long BgL_arg1521z00_1564;

							BgL_arg1521z00_1564 =
								BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1527))),
								BgL_arg1521z00_1564);
						}
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3654;

						{
							obj_t BgL_auxz00_3655;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3656;

								BgL_tmpz00_3656 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3655 = BGL_OBJECT_WIDENING(BgL_tmpz00_3656);
							}
							BgL_auxz00_3654 = ((BgL_isfunz00_bglt) BgL_auxz00_3655);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3654))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
										BgL_bodyz00))), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3666;

						{
							obj_t BgL_auxz00_3667;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3668;

								BgL_tmpz00_3668 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3667 = BGL_OBJECT_WIDENING(BgL_tmpz00_3668);
							}
							BgL_auxz00_3666 = ((BgL_isfunz00_bglt) BgL_auxz00_3667);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3666))->
								BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3675;

						{
							obj_t BgL_auxz00_3676;

							{	/* Inline/inline.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_3677;

								BgL_tmpz00_3677 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527)));
								BgL_auxz00_3676 = BGL_OBJECT_WIDENING(BgL_tmpz00_3677);
							}
							BgL_auxz00_3675 = ((BgL_isfunz00_bglt) BgL_auxz00_3676);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3675))->BgL_tailrecz00) =
							((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					BgL_isfunz00_1528 =
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1527));
					{	/* Inline/inline.scm 43 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1529;

						{
							BgL_isfunz00_bglt BgL_auxz00_3686;

							{
								obj_t BgL_auxz00_3687;

								{	/* Inline/inline.scm 46 */
									BgL_objectz00_bglt BgL_tmpz00_3688;

									BgL_tmpz00_3688 = ((BgL_objectz00_bglt) BgL_isfunz00_1528);
									BgL_auxz00_3687 = BGL_OBJECT_WIDENING(BgL_tmpz00_3688);
								}
								BgL_auxz00_3686 = ((BgL_isfunz00_bglt) BgL_auxz00_3687);
							}
							BgL_ozd2bodyzd2_1529 =
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3686))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 46 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1530;

							{	/* Inline/inline.scm 47 */
								bool_t BgL_test2134z00_3693;

								{	/* Inline/inline.scm 48 */
									long BgL_arg1506z00_1557;

									BgL_arg1506z00_1557 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
												BgL_argsz00)));
									BgL_test2134z00_3693 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_92,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1506z00_1557, BNIL);
								}
								if (BgL_test2134z00_3693)
									{	/* Inline/inline.scm 47 */
										BgL_inlzd2bodyzd2_1530 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1529);
									}
								else
									{	/* Inline/inline.scm 47 */
										BgL_inlzd2bodyzd2_1530 = BgL_ozd2bodyzd2_1529;
									}
							}
							{	/* Inline/inline.scm 47 */

								{	/* Inline/inline.scm 57 */
									BgL_nodez00_bglt BgL_arg1381z00_1531;

									{	/* Inline/inline.scm 57 */
										bool_t BgL_test2135z00_3701;

										if (
											(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
												CNST_TABLE_REF(((long) 0))))
											{	/* Inline/inline.scm 57 */
												BgL_test2135z00_3701 = ((bool_t) 1);
											}
										else
											{	/* Inline/inline.scm 58 */
												bool_t BgL_test2137z00_3705;

												if (
													((((BgL_variablez00_bglt)
																COBJECT(BgL_variablez00_92))->
															BgL_occurrencez00) > ((long) 0)))
													{	/* Inline/inline.scm 58 */
														BgL_test2137z00_3705 = ((bool_t) 1);
													}
												else
													{	/* Inline/inline.scm 58 */
														BgL_test2137z00_3705 =
															(
															(((BgL_variablez00_bglt)
																	COBJECT(BgL_variablez00_92))->
																BgL_removablez00) ==
															CNST_TABLE_REF(((long) 1)));
													}
												if (BgL_test2137z00_3705)
													{	/* Inline/inline.scm 58 */
														BgL_test2135z00_3701 = ((bool_t) 1);
													}
												else
													{	/* Inline/inline.scm 60 */
														bool_t BgL_test2139z00_3712;

														{	/* Inline/inline.scm 60 */
															obj_t BgL_classz00_2287;

															BgL_classz00_2287 = BGl_globalz00zzast_varz00;
															{	/* Inline/inline.scm 60 */
																BgL_objectz00_bglt BgL_arg1820z00_2289;

																{	/* Inline/inline.scm 60 */
																	obj_t BgL_tmpz00_3713;

																	BgL_tmpz00_3713 =
																		((obj_t) BgL_variablez00_92);
																	BgL_arg1820z00_2289 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3713);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/inline.scm 60 */
																		long BgL_idxz00_2295;

																		BgL_idxz00_2295 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2289);
																		BgL_test2139z00_3712 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2295 + ((long) 2))) ==
																			BgL_classz00_2287);
																	}
																else
																	{	/* Inline/inline.scm 60 */
																		bool_t BgL_res1970z00_2317;

																		{	/* Inline/inline.scm 60 */
																			obj_t BgL_oclassz00_2303;

																			{	/* Inline/inline.scm 60 */
																				long BgL_arg1828z00_2309;

																				{	/* Inline/inline.scm 60 */
																					long BgL_arg1829z00_2310;

																					BgL_arg1829z00_2310 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2289);
																					BgL_arg1828z00_2309 =
																						(BgL_arg1829z00_2310 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2303 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2309);
																			}
																			{	/* Inline/inline.scm 60 */
																				bool_t BgL__ortest_1111z00_2304;

																				BgL__ortest_1111z00_2304 =
																					(BgL_classz00_2287 ==
																					BgL_oclassz00_2303);
																				if (BgL__ortest_1111z00_2304)
																					{	/* Inline/inline.scm 60 */
																						BgL_res1970z00_2317 =
																							BgL__ortest_1111z00_2304;
																					}
																				else
																					{	/* Inline/inline.scm 60 */
																						long BgL_odepthz00_2305;

																						BgL_odepthz00_2305 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2303);
																						if ((((long) 2) <
																								BgL_odepthz00_2305))
																							{	/* Inline/inline.scm 60 */
																								obj_t BgL_arg1816z00_2307;

																								BgL_arg1816z00_2307 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2303,
																									((long) 2));
																								BgL_res1970z00_2317 =
																									(BgL_arg1816z00_2307 ==
																									BgL_classz00_2287);
																							}
																						else
																							{	/* Inline/inline.scm 60 */
																								BgL_res1970z00_2317 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2139z00_3712 = BgL_res1970z00_2317;
																	}
															}
														}
														if (BgL_test2139z00_3712)
															{	/* Inline/inline.scm 60 */
																if (
																	((((BgL_globalz00_bglt) COBJECT(
																					((BgL_globalz00_bglt)
																						BgL_variablez00_92)))->
																			BgL_importz00) ==
																		CNST_TABLE_REF(((long) 2))))
																	{	/* Inline/inline.scm 61 */
																		BgL_test2135z00_3701 = ((bool_t) 0);
																	}
																else
																	{	/* Inline/inline.scm 61 */
																		BgL_test2135z00_3701 = ((bool_t) 1);
																	}
															}
														else
															{	/* Inline/inline.scm 60 */
																BgL_test2135z00_3701 = ((bool_t) 0);
															}
													}
											}
										if (BgL_test2135z00_3701)
											{	/* Inline/inline.scm 62 */
												obj_t BgL_arg1429z00_1545;

												BgL_arg1429z00_1545 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_variablez00_92), BgL_stackz00_94);
												BgL_arg1381z00_1531 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_inlzd2bodyzd2_1530, BgL_kfactorz00_93,
													BgL_arg1429z00_1545);
											}
										else
											{	/* Inline/inline.scm 57 */
												BgL_arg1381z00_1531 = BgL_inlzd2bodyzd2_1530;
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1527)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1381z00_1531)), BUNSPEC);
								}
							}
						}
					}
				}
			}
			return BNIL;
		}

	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2899,
		obj_t BgL_variablez00_2900, obj_t BgL_kfactorz00_2901,
		obj_t BgL_stackz00_2902)
	{
		{	/* Inline/inline.scm 38 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2900),
				(long) CINT(BgL_kfactorz00_2901), BgL_stackz00_2902);
		}

	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_167, obj_t BgL_kfactorz00_168, obj_t BgL_stackz00_169)
	{
		{	/* Inline/inline.scm 294 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_167))
				{	/* Inline/inline.scm 295 */
					return CNST_TABLE_REF(((long) 3));
				}
			else
				{	/* Inline/inline.scm 295 */
					{	/* Inline/inline.scm 298 */
						BgL_nodez00_bglt BgL_arg1523z00_1567;

						{	/* Inline/inline.scm 298 */
							obj_t BgL_arg1524z00_1568;

							BgL_arg1524z00_1568 = CAR(((obj_t) BgL_nodeza2za2_167));
							BgL_arg1523z00_1567 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg1524z00_1568),
								(long) CINT(BgL_kfactorz00_168), BgL_stackz00_169);
						}
						{	/* Inline/inline.scm 298 */
							obj_t BgL_auxz00_3756;
							obj_t BgL_tmpz00_3754;

							BgL_auxz00_3756 = ((obj_t) BgL_arg1523z00_1567);
							BgL_tmpz00_3754 = ((obj_t) BgL_nodeza2za2_167);
							SET_CAR(BgL_tmpz00_3754, BgL_auxz00_3756);
					}}
					{	/* Inline/inline.scm 299 */
						obj_t BgL_arg1526z00_1569;

						BgL_arg1526z00_1569 = CDR(((obj_t) BgL_nodeza2za2_167));
						{
							obj_t BgL_nodeza2za2_3761;

							BgL_nodeza2za2_3761 = BgL_arg1526z00_1569;
							BgL_nodeza2za2_167 = BgL_nodeza2za2_3761;
							goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
						}
					}
				}
		}

	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2903,
		obj_t BgL_nodeza2za2_2904, obj_t BgL_kfactorz00_2905,
		obj_t BgL_stackz00_2906)
	{
		{	/* Inline/inline.scm 294 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2904,
				BgL_kfactorz00_2905, BgL_stackz00_2906);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 28 */
				obj_t BgL_arg1559z00_1574;
				obj_t BgL_arg1561z00_1575;

				{	/* Inline/inline.scm 28 */
					obj_t BgL_v1309z00_1621;

					BgL_v1309z00_1621 = create_vector(((long) 3));
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1588z00_1622;

						BgL_arg1588z00_1622 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc1991z00zzinline_inlinez00,
							BGl_proc1990z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1309z00_1621, ((long) 0), BgL_arg1588z00_1622);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1610z00_1632;

						BgL_arg1610z00_1632 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1994z00zzinline_inlinez00,
							BGl_proc1993z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1992z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1309z00_1621, ((long) 1), BgL_arg1610z00_1632);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1625z00_1645;

						BgL_arg1625z00_1645 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1997z00zzinline_inlinez00,
							BGl_proc1996z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1995z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 8)));
						VECTOR_SET(BgL_v1309z00_1621, ((long) 2), BgL_arg1625z00_1645);
					}
					BgL_arg1559z00_1574 = BgL_v1309z00_1621;
				}
				{	/* Inline/inline.scm 28 */
					obj_t BgL_v1310z00_1658;

					BgL_v1310z00_1658 = create_vector(((long) 0));
					BgL_arg1561z00_1575 = BgL_v1310z00_1658;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
						CNST_TABLE_REF(((long) 10)), BGl_sfunz00zzast_varz00,
						((long) 31916), BGl_proc2001z00zzinline_inlinez00,
						BGl_proc2000z00zzinline_inlinez00, BFALSE,
						BGl_proc1999z00zzinline_inlinez00,
						BGl_proc1998z00zzinline_inlinez00, BgL_arg1559z00_1574,
						BgL_arg1561z00_1575), BUNSPEC);
		}}

	}



/* &lambda1572 */
	BgL_sfunz00_bglt BGl_z62lambda1572z62zzinline_inlinez00(obj_t BgL_envz00_2919,
		obj_t BgL_o1132z00_2920)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				long BgL_arg1580z00_3130;

				{	/* Inline/inline.scm 28 */
					obj_t BgL_arg1581z00_3131;

					{	/* Inline/inline.scm 28 */
						obj_t BgL_arg1582z00_3132;

						{	/* Inline/inline.scm 28 */
							long BgL_arg1828z00_3133;

							{	/* Inline/inline.scm 28 */
								long BgL_arg1829z00_3134;

								BgL_arg1829z00_3134 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1132z00_2920)));
								BgL_arg1828z00_3133 = (BgL_arg1829z00_3134 - OBJECT_TYPE);
							}
							BgL_arg1582z00_3132 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3133);
						}
						BgL_arg1581z00_3131 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1582z00_3132);
					}
					{	/* Inline/inline.scm 28 */
						obj_t BgL_tmpz00_3785;

						BgL_tmpz00_3785 = ((obj_t) BgL_arg1581z00_3131);
						BgL_arg1580z00_3130 = BGL_CLASS_NUM(BgL_tmpz00_3785);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1132z00_2920)), BgL_arg1580z00_3130);
			}
			{	/* Inline/inline.scm 28 */
				BgL_objectz00_bglt BgL_tmpz00_3791;

				BgL_tmpz00_3791 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1132z00_2920));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3791, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1132z00_2920));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1132z00_2920));
		}

	}



/* &<@anonymous:1571> */
	obj_t BGl_z62zc3z04anonymousza31571ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2921, obj_t BgL_new1131z00_2922)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_sfunz00_bglt BgL_auxz00_3799;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1131z00_2922))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 11))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1131z00_2922))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3874;
					BgL_isfunz00_bglt BgL_auxz00_3867;

					{	/* Inline/inline.scm 28 */
						obj_t BgL_classz00_3136;

						BgL_classz00_3136 = BGl_nodez00zzast_nodez00;
						{	/* Inline/inline.scm 28 */
							obj_t BgL__ortest_1113z00_3137;

							BgL__ortest_1113z00_3137 = BGL_CLASS_NIL(BgL_classz00_3136);
							if (CBOOL(BgL__ortest_1113z00_3137))
								{	/* Inline/inline.scm 28 */
									BgL_auxz00_3874 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_3137);
								}
							else
								{	/* Inline/inline.scm 28 */
									BgL_auxz00_3874 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3136));
								}
						}
					}
					{
						obj_t BgL_auxz00_3868;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3869;

							BgL_tmpz00_3869 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1131z00_2922));
							BgL_auxz00_3868 = BGL_OBJECT_WIDENING(BgL_tmpz00_3869);
						}
						BgL_auxz00_3867 = ((BgL_isfunz00_bglt) BgL_auxz00_3868);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3867))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_auxz00_3874), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3882;

					{
						obj_t BgL_auxz00_3883;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3884;

							BgL_tmpz00_3884 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1131z00_2922));
							BgL_auxz00_3883 = BGL_OBJECT_WIDENING(BgL_tmpz00_3884);
						}
						BgL_auxz00_3882 = ((BgL_isfunz00_bglt) BgL_auxz00_3883);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3882))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3890;

					{
						obj_t BgL_auxz00_3891;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3892;

							BgL_tmpz00_3892 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1131z00_2922));
							BgL_auxz00_3891 = BGL_OBJECT_WIDENING(BgL_tmpz00_3892);
						}
						BgL_auxz00_3890 = ((BgL_isfunz00_bglt) BgL_auxz00_3891);
					}
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3890))->BgL_tailrecz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_3799 = ((BgL_sfunz00_bglt) BgL_new1131z00_2922);
				return ((obj_t) BgL_auxz00_3799);
			}
		}

	}



/* &lambda1568 */
	BgL_sfunz00_bglt BGl_z62lambda1568z62zzinline_inlinez00(obj_t BgL_envz00_2923,
		obj_t BgL_o1128z00_2924)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				BgL_isfunz00_bglt BgL_wide1130z00_3139;

				BgL_wide1130z00_3139 =
					((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_isfunz00_bgl))));
				{	/* Inline/inline.scm 28 */
					obj_t BgL_auxz00_3905;
					BgL_objectz00_bglt BgL_tmpz00_3901;

					BgL_auxz00_3905 = ((obj_t) BgL_wide1130z00_3139);
					BgL_tmpz00_3901 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1128z00_2924)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3901, BgL_auxz00_3905);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1128z00_2924)));
				{	/* Inline/inline.scm 28 */
					long BgL_arg1570z00_3140;

					BgL_arg1570z00_3140 = BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1128z00_2924))), BgL_arg1570z00_3140);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1128z00_2924)));
			}
		}

	}



/* &lambda1562 */
	BgL_sfunz00_bglt BGl_z62lambda1562z62zzinline_inlinez00(obj_t BgL_envz00_2925,
		obj_t BgL_arity1103z00_2926, obj_t BgL_sidezd2effect1104zd2_2927,
		obj_t BgL_predicatezd2of1105zd2_2928,
		obj_t BgL_stackzd2allocator1106zd2_2929, obj_t BgL_topzf31107zf3_2930,
		obj_t BgL_thezd2closure1108zd2_2931, obj_t BgL_effect1109z00_2932,
		obj_t BgL_failsafe1110z00_2933, obj_t BgL_argszd2noescape1111zd2_2934,
		obj_t BgL_argszd2retescape1112zd2_2935, obj_t BgL_property1113z00_2936,
		obj_t BgL_args1114z00_2937, obj_t BgL_argszd2name1115zd2_2938,
		obj_t BgL_body1116z00_2939, obj_t BgL_class1117z00_2940,
		obj_t BgL_dssslzd2keywords1118zd2_2941, obj_t BgL_loc1119z00_2942,
		obj_t BgL_optionals1120z00_2943, obj_t BgL_keys1121z00_2944,
		obj_t BgL_thezd2closurezd2global1122z00_2945,
		obj_t BgL_strength1123z00_2946, obj_t BgL_stackable1124z00_2947,
		obj_t BgL_originalzd2body1125zd2_2948,
		obj_t BgL_recursivezd2calls1126zd2_2949, obj_t BgL_tailrec1127z00_2950)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				long BgL_arity1103z00_3141;
				bool_t BgL_topzf31107zf3_3142;
				bool_t BgL_tailrec1127z00_3145;

				BgL_arity1103z00_3141 = (long) CINT(BgL_arity1103z00_2926);
				BgL_topzf31107zf3_3142 = CBOOL(BgL_topzf31107zf3_2930);
				BgL_tailrec1127z00_3145 = CBOOL(BgL_tailrec1127z00_2950);
				{	/* Inline/inline.scm 28 */
					BgL_sfunz00_bglt BgL_new1176z00_3146;

					{	/* Inline/inline.scm 28 */
						BgL_sfunz00_bglt BgL_tmp1174z00_3147;
						BgL_isfunz00_bglt BgL_wide1175z00_3148;

						{
							BgL_sfunz00_bglt BgL_auxz00_3922;

							{	/* Inline/inline.scm 28 */
								BgL_sfunz00_bglt BgL_new1173z00_3149;

								BgL_new1173z00_3149 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 28 */
									long BgL_arg1567z00_3150;

									BgL_arg1567z00_3150 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1173z00_3149),
										BgL_arg1567z00_3150);
								}
								{	/* Inline/inline.scm 28 */
									BgL_objectz00_bglt BgL_tmpz00_3927;

									BgL_tmpz00_3927 = ((BgL_objectz00_bglt) BgL_new1173z00_3149);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3927, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1173z00_3149);
								BgL_auxz00_3922 = BgL_new1173z00_3149;
							}
							BgL_tmp1174z00_3147 = ((BgL_sfunz00_bglt) BgL_auxz00_3922);
						}
						BgL_wide1175z00_3148 =
							((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 28 */
							obj_t BgL_auxz00_3935;
							BgL_objectz00_bglt BgL_tmpz00_3933;

							BgL_auxz00_3935 = ((obj_t) BgL_wide1175z00_3148);
							BgL_tmpz00_3933 = ((BgL_objectz00_bglt) BgL_tmp1174z00_3147);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3933, BgL_auxz00_3935);
						}
						((BgL_objectz00_bglt) BgL_tmp1174z00_3147);
						{	/* Inline/inline.scm 28 */
							long BgL_arg1565z00_3151;

							BgL_arg1565z00_3151 =
								BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1174z00_3147),
								BgL_arg1565z00_3151);
						}
						BgL_new1176z00_3146 = ((BgL_sfunz00_bglt) BgL_tmp1174z00_3147);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1176z00_3146)))->BgL_arityz00) =
						((long) BgL_arity1103z00_3141), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1104zd2_2927), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1105zd2_2928), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1106zd2_2929), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31107zf3_3142), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1108zd2_2931), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_effectz00) =
						((obj_t) BgL_effect1109z00_2932), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1110z00_2933), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1111zd2_2934), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1176z00_3146)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1112zd2_2935), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_propertyz00) =
						((obj_t) BgL_property1113z00_2936), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_argsz00) =
						((obj_t) BgL_args1114z00_2937), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1115zd2_2938), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_bodyz00) =
						((obj_t) BgL_body1116z00_2939), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_classz00) =
						((obj_t) BgL_class1117z00_2940), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1118zd2_2941), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_locz00) =
						((obj_t) BgL_loc1119z00_2942), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1120z00_2943), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_keysz00) =
						((obj_t) BgL_keys1121z00_2944), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1122z00_2945), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1123z00_2946)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1176z00_3146)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1124z00_2947), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3988;

						{
							obj_t BgL_auxz00_3989;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_3990;

								BgL_tmpz00_3990 = ((BgL_objectz00_bglt) BgL_new1176z00_3146);
								BgL_auxz00_3989 = BGL_OBJECT_WIDENING(BgL_tmpz00_3990);
							}
							BgL_auxz00_3988 = ((BgL_isfunz00_bglt) BgL_auxz00_3989);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3988))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BgL_originalzd2body1125zd2_2948)), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3996;

						{
							obj_t BgL_auxz00_3997;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_3998;

								BgL_tmpz00_3998 = ((BgL_objectz00_bglt) BgL_new1176z00_3146);
								BgL_auxz00_3997 = BGL_OBJECT_WIDENING(BgL_tmpz00_3998);
							}
							BgL_auxz00_3996 = ((BgL_isfunz00_bglt) BgL_auxz00_3997);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3996))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1126zd2_2949), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_4003;

						{
							obj_t BgL_auxz00_4004;

							{	/* Inline/inline.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_4005;

								BgL_tmpz00_4005 = ((BgL_objectz00_bglt) BgL_new1176z00_3146);
								BgL_auxz00_4004 = BGL_OBJECT_WIDENING(BgL_tmpz00_4005);
							}
							BgL_auxz00_4003 = ((BgL_isfunz00_bglt) BgL_auxz00_4004);
						}
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4003))->BgL_tailrecz00) =
							((bool_t) BgL_tailrec1127z00_3145), BUNSPEC);
					}
					return BgL_new1176z00_3146;
				}
			}
		}

	}



/* &<@anonymous:1635> */
	obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2951)
	{
		{	/* Inline/inline.scm 28 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zzinline_inlinez00(obj_t BgL_envz00_2952,
		obj_t BgL_oz00_2953, obj_t BgL_vz00_2954)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				bool_t BgL_vz00_3153;

				BgL_vz00_3153 = CBOOL(BgL_vz00_2954);
				{
					BgL_isfunz00_bglt BgL_auxz00_4012;

					{
						obj_t BgL_auxz00_4013;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_4014;

							BgL_tmpz00_4014 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2953));
							BgL_auxz00_4013 = BGL_OBJECT_WIDENING(BgL_tmpz00_4014);
						}
						BgL_auxz00_4012 = ((BgL_isfunz00_bglt) BgL_auxz00_4013);
					}
					return
						((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4012))->BgL_tailrecz00) =
						((bool_t) BgL_vz00_3153), BUNSPEC);
				}
			}
		}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzinline_inlinez00(obj_t BgL_envz00_2955,
		obj_t BgL_oz00_2956)
	{
		{	/* Inline/inline.scm 28 */
			{	/* Inline/inline.scm 28 */
				bool_t BgL_tmpz00_4020;

				{
					BgL_isfunz00_bglt BgL_auxz00_4021;

					{
						obj_t BgL_auxz00_4022;

						{	/* Inline/inline.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_4023;

							BgL_tmpz00_4023 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2956));
							BgL_auxz00_4022 = BGL_OBJECT_WIDENING(BgL_tmpz00_4023);
						}
						BgL_auxz00_4021 = ((BgL_isfunz00_bglt) BgL_auxz00_4022);
					}
					BgL_tmpz00_4020 =
						(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4021))->BgL_tailrecz00);
				}
				return BBOOL(BgL_tmpz00_4020);
			}
		}

	}



/* &<@anonymous:1619> */
	obj_t BGl_z62zc3z04anonymousza31619ze3ze5zzinline_inlinez00(obj_t
		BgL_envz00_2957)
	{
		{	/* Inline/inline.scm 28 */
			return BUNSPEC;
		}

	}



/* &lambda1618 */
	obj_t BGl_z62lambda1618z62zzinline_inlinez00(obj_t BgL_envz00_2958,
		obj_t BgL_oz00_2959, obj_t BgL_vz00_2960)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4030;

				{
					obj_t BgL_auxz00_4031;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4032;

						BgL_tmpz00_4032 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2959));
						BgL_auxz00_4031 = BGL_OBJECT_WIDENING(BgL_tmpz00_4032);
					}
					BgL_auxz00_4030 = ((BgL_isfunz00_bglt) BgL_auxz00_4031);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4030))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2960), BUNSPEC);
			}
		}

	}



/* &lambda1617 */
	obj_t BGl_z62lambda1617z62zzinline_inlinez00(obj_t BgL_envz00_2961,
		obj_t BgL_oz00_2962)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4038;

				{
					obj_t BgL_auxz00_4039;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4040;

						BgL_tmpz00_4040 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2962));
						BgL_auxz00_4039 = BGL_OBJECT_WIDENING(BgL_tmpz00_4040);
					}
					BgL_auxz00_4038 = ((BgL_isfunz00_bglt) BgL_auxz00_4039);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4038))->
					BgL_recursivezd2callszd2);
			}
		}

	}



/* &lambda1600 */
	obj_t BGl_z62lambda1600z62zzinline_inlinez00(obj_t BgL_envz00_2963,
		obj_t BgL_oz00_2964, obj_t BgL_vz00_2965)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4046;

				{
					obj_t BgL_auxz00_4047;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4048;

						BgL_tmpz00_4048 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2964));
						BgL_auxz00_4047 = BGL_OBJECT_WIDENING(BgL_tmpz00_4048);
					}
					BgL_auxz00_4046 = ((BgL_isfunz00_bglt) BgL_auxz00_4047);
				}
				return
					((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4046))->
						BgL_originalzd2bodyzd2) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_2965)), BUNSPEC);
			}
		}

	}



/* &lambda1599 */
	BgL_nodez00_bglt BGl_z62lambda1599z62zzinline_inlinez00(obj_t BgL_envz00_2966,
		obj_t BgL_oz00_2967)
	{
		{	/* Inline/inline.scm 28 */
			{
				BgL_isfunz00_bglt BgL_auxz00_4055;

				{
					obj_t BgL_auxz00_4056;

					{	/* Inline/inline.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_4057;

						BgL_tmpz00_4057 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2967));
						BgL_auxz00_4056 = BGL_OBJECT_WIDENING(BgL_tmpz00_4057);
					}
					BgL_auxz00_4055 = ((BgL_isfunz00_bglt) BgL_auxz00_4056);
				}
				return
					(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_4055))->
					BgL_originalzd2bodyzd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2002z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2003z00zzinline_inlinez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
				BGl_proc2004z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2005z00zzinline_inlinez00);
		}

	}



/* &disable-inlining!1360 */
	obj_t BGl_z62disablezd2inliningz121360za2zzinline_inlinez00(obj_t
		BgL_envz00_2972, obj_t BgL_nz00_2973)
	{
		{	/* Inline/inline.scm 304 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nz00_2973),
					BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00));
		}

	}



/* &inline-node1311 */
	obj_t BGl_z62inlinezd2node1311zb0zzinline_inlinez00(obj_t BgL_envz00_2974,
		obj_t BgL_nodez00_2975, obj_t BgL_kfactorz00_2976, obj_t BgL_stackz00_2977)
	{
		{	/* Inline/inline.scm 70 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
				BGl_string2006z00zzinline_inlinez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2975)));
		}

	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_95,
		long BgL_kfactorz00_96, obj_t BgL_stackz00_97)
	{
		{	/* Inline/inline.scm 70 */
			{	/* Inline/inline.scm 70 */
				obj_t BgL_method1312z00_1684;

				{	/* Inline/inline.scm 70 */
					obj_t BgL_res1975z00_2401;

					{	/* Inline/inline.scm 70 */
						long BgL_objzd2classzd2numz00_2372;

						BgL_objzd2classzd2numz00_2372 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_95));
						{	/* Inline/inline.scm 70 */
							obj_t BgL_arg1825z00_2373;

							BgL_arg1825z00_2373 =
								PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 70 */
								int BgL_offsetz00_2376;

								BgL_offsetz00_2376 = (int) (BgL_objzd2classzd2numz00_2372);
								{	/* Inline/inline.scm 70 */
									long BgL_offsetz00_2377;

									BgL_offsetz00_2377 =
										((long) (BgL_offsetz00_2376) - OBJECT_TYPE);
									{	/* Inline/inline.scm 70 */
										long BgL_modz00_2378;

										BgL_modz00_2378 =
											(BgL_offsetz00_2377 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/inline.scm 70 */
											long BgL_restz00_2380;

											BgL_restz00_2380 =
												(BgL_offsetz00_2377 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/inline.scm 70 */

												{	/* Inline/inline.scm 70 */
													obj_t BgL_bucketz00_2382;

													BgL_bucketz00_2382 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2373), BgL_modz00_2378);
													BgL_res1975z00_2401 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2382), BgL_restz00_2380);
					}}}}}}}}
					BgL_method1312z00_1684 = BgL_res1975z00_2401;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1312z00_1684)) (BgL_method1312z00_1684,
						((obj_t) BgL_nodez00_95), BINT(BgL_kfactorz00_96), BgL_stackz00_97,
						BEOA));
			}
		}

	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_kfactorz00_2980,
		obj_t BgL_stackz00_2981)
	{
		{	/* Inline/inline.scm 70 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2979),
				(long) CINT(BgL_kfactorz00_2980), BgL_stackz00_2981);
		}

	}



/* disable-inlining! */
	BgL_nodez00_bglt
		BGl_disablezd2inliningz12zc0zzinline_inlinez00(BgL_nodez00_bglt
		BgL_nz00_170)
	{
		{	/* Inline/inline.scm 304 */
			{	/* Inline/inline.scm 304 */
				obj_t BgL_method1362z00_1685;

				{	/* Inline/inline.scm 304 */
					obj_t BgL_res1980z00_2432;

					{	/* Inline/inline.scm 304 */
						long BgL_objzd2classzd2numz00_2403;

						BgL_objzd2classzd2numz00_2403 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_170));
						{	/* Inline/inline.scm 304 */
							obj_t BgL_arg1825z00_2404;

							BgL_arg1825z00_2404 =
								PROCEDURE_REF
								(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 304 */
								int BgL_offsetz00_2407;

								BgL_offsetz00_2407 = (int) (BgL_objzd2classzd2numz00_2403);
								{	/* Inline/inline.scm 304 */
									long BgL_offsetz00_2408;

									BgL_offsetz00_2408 =
										((long) (BgL_offsetz00_2407) - OBJECT_TYPE);
									{	/* Inline/inline.scm 304 */
										long BgL_modz00_2409;

										BgL_modz00_2409 =
											(BgL_offsetz00_2408 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/inline.scm 304 */
											long BgL_restz00_2411;

											BgL_restz00_2411 =
												(BgL_offsetz00_2408 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/inline.scm 304 */

												{	/* Inline/inline.scm 304 */
													obj_t BgL_bucketz00_2413;

													BgL_bucketz00_2413 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2404), BgL_modz00_2409);
													BgL_res1980z00_2432 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2413), BgL_restz00_2411);
					}}}}}}}}
					BgL_method1362z00_1685 = BgL_res1980z00_2432;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1362z00_1685)) (BgL_method1362z00_1685,
						((obj_t) BgL_nz00_170), BEOA));
			}
		}

	}



/* &disable-inlining! */
	BgL_nodez00_bglt BGl_z62disablezd2inliningz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2969, obj_t BgL_nz00_2970)
	{
		{	/* Inline/inline.scm 304 */
			return
				BGl_disablezd2inliningz12zc0zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nz00_2970));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2007z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2009z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2010z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2011z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_syncz00zzast_nodez00,
				BGl_proc2012z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2013z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2014z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2015z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2016z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2017z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2018z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2019z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2020z00zzinline_inlinez00, BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_switchz00zzast_nodez00, BGl_proc2021z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2022z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2023z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2024z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2025z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_retblockz00zzast_nodez00, BGl_proc2026z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_returnz00zzast_nodez00, BGl_proc2027z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2028z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2029z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2030z00zzinline_inlinez00,
				BGl_string2008z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_disablezd2inliningz12zd2envz12zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2031z00zzinline_inlinez00,
				BGl_string2032z00zzinline_inlinez00);
		}

	}



/* &disable-inlining!-le1364 */
	BgL_nodez00_bglt
		BGl_z62disablezd2inliningz12zd2le1364z70zzinline_inlinez00(obj_t
		BgL_envz00_3006, obj_t BgL_nz00_3007)
	{
		{	/* Inline/inline.scm 310 */
			{
				obj_t BgL_bodyz00_3165;

				{	/* Inline/inline.scm 318 */
					obj_t BgL_g1308z00_3178;

					BgL_g1308z00_3178 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_3007)))->BgL_localsz00);
					{
						obj_t BgL_l1306z00_3180;

						BgL_l1306z00_3180 = BgL_g1308z00_3178;
					BgL_zc3z04anonymousza31890ze3z87_3179:
						if (PAIRP(BgL_l1306z00_3180))
							{	/* Inline/inline.scm 318 */
								{	/* Inline/inline.scm 319 */
									obj_t BgL_funz00_3181;

									BgL_funz00_3181 = CAR(BgL_l1306z00_3180);
									{	/* Inline/inline.scm 320 */
										BgL_sfunz00_bglt BgL_i1169z00_3182;

										BgL_i1169z00_3182 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_funz00_3181))))->
												BgL_valuez00));
										{	/* Inline/inline.scm 321 */
											obj_t BgL_arg1892z00_3183;

											BgL_arg1892z00_3183 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1169z00_3182))->
												BgL_bodyz00);
											BGl_disablezd2inliningz12zc0zzinline_inlinez00((
													(BgL_nodez00_bglt) BgL_arg1892z00_3183));
										}
										{	/* Inline/inline.scm 322 */
											bool_t BgL_test2147z00_4178;

											{	/* Inline/inline.scm 322 */
												obj_t BgL_tmpz00_4179;

												BgL_bodyz00_3165 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1169z00_3182))->
													BgL_bodyz00);
												{	/* Inline/inline.scm 313 */
													bool_t BgL_test2148z00_4180;

													{	/* Inline/inline.scm 313 */
														obj_t BgL_classz00_3166;

														BgL_classz00_3166 = BGl_sequencez00zzast_nodez00;
														if (BGL_OBJECTP(BgL_bodyz00_3165))
															{	/* Inline/inline.scm 313 */
																BgL_objectz00_bglt BgL_arg1820z00_3167;

																BgL_arg1820z00_3167 =
																	(BgL_objectz00_bglt) (BgL_bodyz00_3165);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/inline.scm 313 */
																		long BgL_idxz00_3168;

																		BgL_idxz00_3168 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_3167);
																		BgL_test2148z00_4180 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3168 + ((long) 3))) ==
																			BgL_classz00_3166);
																	}
																else
																	{	/* Inline/inline.scm 313 */
																		bool_t BgL_res1984z00_3171;

																		{	/* Inline/inline.scm 313 */
																			obj_t BgL_oclassz00_3172;

																			{	/* Inline/inline.scm 313 */
																				long BgL_arg1828z00_3173;

																				{	/* Inline/inline.scm 313 */
																					long BgL_arg1829z00_3174;

																					BgL_arg1829z00_3174 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_3167);
																					BgL_arg1828z00_3173 =
																						(BgL_arg1829z00_3174 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3172 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_3173);
																			}
																			{	/* Inline/inline.scm 313 */
																				bool_t BgL__ortest_1111z00_3175;

																				BgL__ortest_1111z00_3175 =
																					(BgL_classz00_3166 ==
																					BgL_oclassz00_3172);
																				if (BgL__ortest_1111z00_3175)
																					{	/* Inline/inline.scm 313 */
																						BgL_res1984z00_3171 =
																							BgL__ortest_1111z00_3175;
																					}
																				else
																					{	/* Inline/inline.scm 313 */
																						long BgL_odepthz00_3176;

																						BgL_odepthz00_3176 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3172);
																						if ((((long) 3) <
																								BgL_odepthz00_3176))
																							{	/* Inline/inline.scm 313 */
																								obj_t BgL_arg1816z00_3177;

																								BgL_arg1816z00_3177 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3172,
																									((long) 3));
																								BgL_res1984z00_3171 =
																									(BgL_arg1816z00_3177 ==
																									BgL_classz00_3166);
																							}
																						else
																							{	/* Inline/inline.scm 313 */
																								BgL_res1984z00_3171 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2148z00_4180 = BgL_res1984z00_3171;
																	}
															}
														else
															{	/* Inline/inline.scm 313 */
																BgL_test2148z00_4180 = ((bool_t) 0);
															}
													}
													if (BgL_test2148z00_4180)
														{	/* Inline/inline.scm 313 */
															BgL_tmpz00_4179 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 13)),
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_bodyz00_3165)))->BgL_metaz00));
														}
													else
														{	/* Inline/inline.scm 313 */
															BgL_tmpz00_4179 = BFALSE;
														}
												}
												BgL_test2147z00_4178 = CBOOL(BgL_tmpz00_4179);
											}
											if (BgL_test2147z00_4178)
												{	/* Inline/inline.scm 322 */
													BFALSE;
												}
											else
												{	/* Inline/inline.scm 323 */
													BgL_nodez00_bglt BgL_i1170z00_3184;

													BgL_i1170z00_3184 =
														((BgL_nodez00_bglt)
														(((BgL_sfunz00_bglt) COBJECT(BgL_i1169z00_3182))->
															BgL_bodyz00));
													{
														obj_t BgL_auxz00_4208;

														{	/* Inline/inline.scm 325 */
															BgL_sequencez00_bglt BgL_new1172z00_3185;

															{	/* Inline/inline.scm 328 */
																BgL_sequencez00_bglt BgL_new1171z00_3186;

																BgL_new1171z00_3186 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Inline/inline.scm 328 */
																	long BgL_arg1900z00_3187;

																	{	/* Inline/inline.scm 328 */
																		obj_t BgL_classz00_3188;

																		BgL_classz00_3188 =
																			BGl_sequencez00zzast_nodez00;
																		BgL_arg1900z00_3187 =
																			BGL_CLASS_NUM(BgL_classz00_3188);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1171z00_3186),
																		BgL_arg1900z00_3187);
																}
																{	/* Inline/inline.scm 328 */
																	BgL_objectz00_bglt BgL_tmpz00_4213;

																	BgL_tmpz00_4213 =
																		((BgL_objectz00_bglt) BgL_new1171z00_3186);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4213,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1171z00_3186);
																BgL_new1172z00_3185 = BgL_new1171z00_3186;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1172z00_3185)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1172z00_3185)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_i1170z00_3184))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1172z00_3185)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1172z00_3185)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_4227;

																{	/* Inline/inline.scm 326 */
																	obj_t BgL_arg1898z00_3189;

																	BgL_arg1898z00_3189 =
																		(((BgL_sfunz00_bglt)
																			COBJECT(BgL_i1169z00_3182))->BgL_bodyz00);
																	{	/* Inline/inline.scm 326 */
																		obj_t BgL_list1899z00_3190;

																		BgL_list1899z00_3190 =
																			MAKE_YOUNG_PAIR(BgL_arg1898z00_3189,
																			BNIL);
																		BgL_auxz00_4227 = BgL_list1899z00_3190;
																}}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1172z00_3185))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_4227), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1172z00_3185))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1172z00_3185))->
																	BgL_metaz00) =
																((obj_t) CNST_TABLE_REF(((long) 14))), BUNSPEC);
															BgL_auxz00_4208 = ((obj_t) BgL_new1172z00_3185);
														}
														((((BgL_sfunz00_bglt) COBJECT(BgL_i1169z00_3182))->
																BgL_bodyz00) =
															((obj_t) BgL_auxz00_4208), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1306z00_4236;

									BgL_l1306z00_4236 = CDR(BgL_l1306z00_3180);
									BgL_l1306z00_3180 = BgL_l1306z00_4236;
									goto BgL_zc3z04anonymousza31890ze3z87_3179;
								}
							}
						else
							{	/* Inline/inline.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4238;

					{	/* Inline/inline.scm 330 */
						BgL_nodez00_bglt BgL_arg1903z00_3191;

						BgL_arg1903z00_3191 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_3007)))->BgL_bodyz00);
						BgL_auxz00_4238 =
							BGl_disablezd2inliningz12zc0zzinline_inlinez00
							(BgL_arg1903z00_3191);
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_3007)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4238), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_3007));
			}
		}

	}



/* &inline-node-box-set!1359 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121359za2zzinline_inlinez00(obj_t
		BgL_envz00_3008, obj_t BgL_nodez00_3009, obj_t BgL_kfactorz00_3010,
		obj_t BgL_stackz00_3011)
	{
		{	/* Inline/inline.scm 285 */
			{
				BgL_varz00_bglt BgL_auxz00_4246;

				{	/* Inline/inline.scm 287 */
					BgL_varz00_bglt BgL_arg1888z00_3193;

					BgL_arg1888z00_3193 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3009)))->BgL_varz00);
					BgL_auxz00_4246 =
						((BgL_varz00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg1888z00_3193),
							(long) CINT(BgL_kfactorz00_3010), BgL_stackz00_3011));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3009)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4246), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4255;

				{	/* Inline/inline.scm 288 */
					BgL_nodez00_bglt BgL_arg1889z00_3194;

					BgL_arg1889z00_3194 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3009)))->BgL_valuez00);
					BgL_auxz00_4255 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1889z00_3194,
						(long) CINT(BgL_kfactorz00_3010), BgL_stackz00_3011);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3009)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4255), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3009));
		}

	}



/* &inline-node-box-ref1357 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1357zb0zzinline_inlinez00(obj_t
		BgL_envz00_3012, obj_t BgL_nodez00_3013, obj_t BgL_kfactorz00_3014,
		obj_t BgL_stackz00_3015)
	{
		{	/* Inline/inline.scm 278 */
			{	/* Inline/inline.scm 279 */
				BgL_nodez00_bglt BgL_arg1886z00_3196;

				{	/* Inline/inline.scm 279 */
					BgL_varz00_bglt BgL_arg1887z00_3197;

					BgL_arg1887z00_3197 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3013)))->BgL_varz00);
					BgL_arg1886z00_3196 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(
						((BgL_nodez00_bglt) BgL_arg1887z00_3197),
						(long) CINT(BgL_kfactorz00_3014), BgL_stackz00_3015);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3013)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1886z00_3196)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3013));
		}

	}



/* &inline-node-make-box1355 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1355zb0zzinline_inlinez00(obj_t
		BgL_envz00_3016, obj_t BgL_nodez00_3017, obj_t BgL_kfactorz00_3018,
		obj_t BgL_stackz00_3019)
	{
		{	/* Inline/inline.scm 271 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3017)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3017)))->
							BgL_valuez00), (long) CINT(BgL_kfactorz00_3018),
						BgL_stackz00_3019)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3017));
		}

	}



/* &inline-node-return1353 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2return1353z62zzinline_inlinez00(obj_t
		BgL_envz00_3020, obj_t BgL_nodez00_3021, obj_t BgL_kfactorz00_3022,
		obj_t BgL_stackz00_3023)
	{
		{	/* Inline/inline.scm 264 */
			((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_3021)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_returnz00_bglt)
								COBJECT(((BgL_returnz00_bglt) BgL_nodez00_3021)))->
							BgL_valuez00), (long) CINT(BgL_kfactorz00_3022),
						BgL_stackz00_3023)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_3021));
		}

	}



/* &inline-node-retblock1351 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2retblock1351z62zzinline_inlinez00(obj_t
		BgL_envz00_3024, obj_t BgL_nodez00_3025, obj_t BgL_kfactorz00_3026,
		obj_t BgL_stackz00_3027)
	{
		{	/* Inline/inline.scm 257 */
			((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_3025)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_retblockz00_bglt)
								COBJECT(((BgL_retblockz00_bglt) BgL_nodez00_3025)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3026),
						BgL_stackz00_3027)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_3025));
		}

	}



/* &inline-node-jump-ex-1349 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21349z62zzinline_inlinez00(obj_t
		BgL_envz00_3028, obj_t BgL_nodez00_3029, obj_t BgL_kfactorz00_3030,
		obj_t BgL_stackz00_3031)
	{
		{	/* Inline/inline.scm 248 */
			{
				BgL_nodez00_bglt BgL_auxz00_4298;

				{	/* Inline/inline.scm 250 */
					BgL_nodez00_bglt BgL_arg1876z00_3202;

					BgL_arg1876z00_3202 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3029)))->BgL_exitz00);
					BgL_auxz00_4298 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1876z00_3202,
						(long) CINT(BgL_kfactorz00_3030), BgL_stackz00_3031);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3029)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4298), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4305;

				{	/* Inline/inline.scm 251 */
					BgL_nodez00_bglt BgL_arg1877z00_3203;

					BgL_arg1877z00_3203 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3029)))->
						BgL_valuez00);
					BgL_auxz00_4305 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1877z00_3203,
						(long) CINT(BgL_kfactorz00_3030), BgL_stackz00_3031);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3029)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4305), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3029));
		}

	}



/* &inline-node-set-ex-i1347 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1347z62zzinline_inlinez00(obj_t
		BgL_envz00_3032, obj_t BgL_nodez00_3033, obj_t BgL_kfactorz00_3034,
		obj_t BgL_stackz00_3035)
	{
		{	/* Inline/inline.scm 240 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3033)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3033)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3034),
						BgL_stackz00_3035)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3033)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3033)))->
							BgL_onexitz00), (long) CINT(BgL_kfactorz00_3034),
						BgL_stackz00_3035)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3033));
		}

	}



/* &inline-node-let-var1345 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1345zb0zzinline_inlinez00(obj_t
		BgL_envz00_3036, obj_t BgL_nodez00_3037, obj_t BgL_kfactorz00_3038,
		obj_t BgL_stackz00_3039)
	{
		{	/* Inline/inline.scm 228 */
			{	/* Inline/inline.scm 229 */
				obj_t BgL_g1305z00_3206;

				BgL_g1305z00_3206 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3037)))->BgL_bindingsz00);
				{
					obj_t BgL_l1303z00_3208;

					BgL_l1303z00_3208 = BgL_g1305z00_3206;
				BgL_zc3z04anonymousza31863ze3z87_3207:
					if (PAIRP(BgL_l1303z00_3208))
						{	/* Inline/inline.scm 233 */
							{	/* Inline/inline.scm 231 */
								obj_t BgL_bindingz00_3209;

								BgL_bindingz00_3209 = CAR(BgL_l1303z00_3208);
								{	/* Inline/inline.scm 232 */
									BgL_nodez00_bglt BgL_arg1865z00_3210;

									{	/* Inline/inline.scm 232 */
										obj_t BgL_arg1866z00_3211;

										BgL_arg1866z00_3211 = CDR(((obj_t) BgL_bindingz00_3209));
										BgL_arg1865z00_3210 =
											BGl_inlinezd2nodezd2zzinline_inlinez00(
											((BgL_nodez00_bglt) BgL_arg1866z00_3211),
											(long) CINT(BgL_kfactorz00_3038), BgL_stackz00_3039);
									}
									{	/* Inline/inline.scm 232 */
										obj_t BgL_auxz00_4340;
										obj_t BgL_tmpz00_4338;

										BgL_auxz00_4340 = ((obj_t) BgL_arg1865z00_3210);
										BgL_tmpz00_4338 = ((obj_t) BgL_bindingz00_3209);
										SET_CDR(BgL_tmpz00_4338, BgL_auxz00_4340);
							}}}
							{
								obj_t BgL_l1303z00_4343;

								BgL_l1303z00_4343 = CDR(BgL_l1303z00_3208);
								BgL_l1303z00_3208 = BgL_l1303z00_4343;
								goto BgL_zc3z04anonymousza31863ze3z87_3207;
							}
						}
					else
						{	/* Inline/inline.scm 233 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3037)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3037)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3038),
						BgL_stackz00_3039)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3037));
		}

	}



/* &inline-node-let-fun1343 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1343zb0zzinline_inlinez00(obj_t
		BgL_envz00_3040, obj_t BgL_nodez00_3041, obj_t BgL_kfactorz00_3042,
		obj_t BgL_stackz00_3043)
	{
		{	/* Inline/inline.scm 213 */
			{	/* Inline/inline.scm 217 */
				obj_t BgL_g1302z00_3213;

				BgL_g1302z00_3213 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3041)))->BgL_localsz00);
				{
					obj_t BgL_l1300z00_3215;

					BgL_l1300z00_3215 = BgL_g1302z00_3213;
				BgL_zc3z04anonymousza31858ze3z87_3214:
					if (PAIRP(BgL_l1300z00_3215))
						{	/* Inline/inline.scm 219 */
							{	/* Inline/inline.scm 218 */
								obj_t BgL_localz00_3216;

								BgL_localz00_3216 = CAR(BgL_l1300z00_3215);
								BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
									((BgL_variablez00_bglt) BgL_localz00_3216),
									(long) CINT(BgL_kfactorz00_3042), BgL_stackz00_3043);
							}
							{
								obj_t BgL_l1300z00_4361;

								BgL_l1300z00_4361 = CDR(BgL_l1300z00_3215);
								BgL_l1300z00_3215 = BgL_l1300z00_4361;
								goto BgL_zc3z04anonymousza31858ze3z87_3214;
							}
						}
					else
						{	/* Inline/inline.scm 219 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3041)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_3041)))->
							BgL_bodyz00), (long) CINT(BgL_kfactorz00_3042),
						BgL_stackz00_3043)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3041));
		}

	}



/* &inline-node-switch1341 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2switch1341z62zzinline_inlinez00(obj_t
		BgL_envz00_3044, obj_t BgL_nodez00_3045, obj_t BgL_kfactorz00_3046,
		obj_t BgL_stackz00_3047)
	{
		{	/* Inline/inline.scm 203 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3045)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_3045)))->BgL_testz00),
						(long) CINT(BgL_kfactorz00_3046), BgL_stackz00_3047)), BUNSPEC);
			{	/* Inline/inline.scm 205 */
				obj_t BgL_g1299z00_3218;

				BgL_g1299z00_3218 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3045)))->BgL_clausesz00);
				{
					obj_t BgL_l1297z00_3220;

					BgL_l1297z00_3220 = BgL_g1299z00_3218;
				BgL_zc3z04anonymousza31851ze3z87_3219:
					if (PAIRP(BgL_l1297z00_3220))
						{	/* Inline/inline.scm 207 */
							{	/* Inline/inline.scm 206 */
								obj_t BgL_clausez00_3221;

								BgL_clausez00_3221 = CAR(BgL_l1297z00_3220);
								{	/* Inline/inline.scm 206 */
									BgL_nodez00_bglt BgL_arg1854z00_3222;

									{	/* Inline/inline.scm 206 */
										obj_t BgL_arg1856z00_3223;

										BgL_arg1856z00_3223 = CDR(((obj_t) BgL_clausez00_3221));
										BgL_arg1854z00_3222 =
											BGl_inlinezd2nodezd2zzinline_inlinez00(
											((BgL_nodez00_bglt) BgL_arg1856z00_3223),
											(long) CINT(BgL_kfactorz00_3046), BgL_stackz00_3047);
									}
									{	/* Inline/inline.scm 206 */
										obj_t BgL_auxz00_4389;
										obj_t BgL_tmpz00_4387;

										BgL_auxz00_4389 = ((obj_t) BgL_arg1854z00_3222);
										BgL_tmpz00_4387 = ((obj_t) BgL_clausez00_3221);
										SET_CDR(BgL_tmpz00_4387, BgL_auxz00_4389);
							}}}
							{
								obj_t BgL_l1297z00_4392;

								BgL_l1297z00_4392 = CDR(BgL_l1297z00_3220);
								BgL_l1297z00_3220 = BgL_l1297z00_4392;
								goto BgL_zc3z04anonymousza31851ze3z87_3219;
							}
						}
					else
						{	/* Inline/inline.scm 207 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3045));
		}

	}



/* &inline-node-fail1339 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1339z62zzinline_inlinez00(obj_t
		BgL_envz00_3048, obj_t BgL_nodez00_3049, obj_t BgL_kfactorz00_3050,
		obj_t BgL_stackz00_3051)
	{
		{	/* Inline/inline.scm 193 */
			{
				BgL_nodez00_bglt BgL_auxz00_4396;

				{	/* Inline/inline.scm 195 */
					BgL_nodez00_bglt BgL_arg1846z00_3225;

					BgL_arg1846z00_3225 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_procz00);
					BgL_auxz00_4396 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1846z00_3225,
						(long) CINT(BgL_kfactorz00_3050), BgL_stackz00_3051);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4396), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4403;

				{	/* Inline/inline.scm 196 */
					BgL_nodez00_bglt BgL_arg1847z00_3226;

					BgL_arg1847z00_3226 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_msgz00);
					BgL_auxz00_4403 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1847z00_3226,
						(long) CINT(BgL_kfactorz00_3050), BgL_stackz00_3051);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4403), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4410;

				{	/* Inline/inline.scm 197 */
					BgL_nodez00_bglt BgL_arg1848z00_3227;

					BgL_arg1848z00_3227 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_objz00);
					BgL_auxz00_4410 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1848z00_3227,
						(long) CINT(BgL_kfactorz00_3050), BgL_stackz00_3051);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3049)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4410), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3049));
		}

	}



/* &inline-node-conditio1336 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1336z62zzinline_inlinez00(obj_t
		BgL_envz00_3052, obj_t BgL_nodez00_3053, obj_t BgL_kfactorz00_3054,
		obj_t BgL_stackz00_3055)
	{
		{	/* Inline/inline.scm 181 */
			{
				BgL_nodez00_bglt BgL_auxz00_4419;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1840z00_3229;

					BgL_arg1840z00_3229 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_testz00);
					BgL_auxz00_4419 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1840z00_3229,
						(long) CINT(BgL_kfactorz00_3054), BgL_stackz00_3055);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4419), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4426;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1844z00_3230;

					BgL_arg1844z00_3230 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_truez00);
					BgL_auxz00_4426 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1844z00_3230,
						(long) CINT(BgL_kfactorz00_3054), BgL_stackz00_3055);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4426), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4433;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1845z00_3231;

					BgL_arg1845z00_3231 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_falsez00);
					BgL_auxz00_4433 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1845z00_3231,
						(long) CINT(BgL_kfactorz00_3054), BgL_stackz00_3055);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3053)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4433), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3053));
		}

	}



/* &inline-node-setq1334 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1334z62zzinline_inlinez00(obj_t
		BgL_envz00_3056, obj_t BgL_nodez00_3057, obj_t BgL_kfactorz00_3058,
		obj_t BgL_stackz00_3059)
	{
		{	/* Inline/inline.scm 174 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3057)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3057)))->BgL_valuez00),
						(long) CINT(BgL_kfactorz00_3058), BgL_stackz00_3059)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3057));
		}

	}



/* &inline-node-cast1332 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1332z62zzinline_inlinez00(obj_t
		BgL_envz00_3060, obj_t BgL_nodez00_3061, obj_t BgL_kfactorz00_3062,
		obj_t BgL_stackz00_3063)
	{
		{	/* Inline/inline.scm 167 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3061)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3061)))->BgL_argz00),
						(long) CINT(BgL_kfactorz00_3062), BgL_stackz00_3063)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3061));
		}

	}



/* &inline-node-extern1330 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1330z62zzinline_inlinez00(obj_t
		BgL_envz00_3064, obj_t BgL_nodez00_3065, obj_t BgL_kfactorz00_3066,
		obj_t BgL_stackz00_3067)
	{
		{	/* Inline/inline.scm 160 */
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3065)))->BgL_exprza2za2),
				BgL_kfactorz00_3066, BgL_stackz00_3067);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3065));
		}

	}



/* &inline-node-funcall1328 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1328z62zzinline_inlinez00(obj_t
		BgL_envz00_3068, obj_t BgL_nodez00_3069, obj_t BgL_kfactorz00_3070,
		obj_t BgL_stackz00_3071)
	{
		{	/* Inline/inline.scm 150 */
			BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
				ADDFX(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00,
				BINT(((long) 1)));
			((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3069)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
								COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3069)))->BgL_funz00),
						(long) CINT(BgL_kfactorz00_3070), BgL_stackz00_3071)), BUNSPEC);
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3069)))->BgL_argsz00),
				BgL_kfactorz00_3070, BgL_stackz00_3071);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3069));
		}

	}



/* &inline-node-app-ly1326 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1326zb0zzinline_inlinez00(obj_t
		BgL_envz00_3072, obj_t BgL_nodez00_3073, obj_t BgL_kfactorz00_3074,
		obj_t BgL_stackz00_3075)
	{
		{	/* Inline/inline.scm 141 */
			{
				BgL_nodez00_bglt BgL_auxz00_4476;

				{	/* Inline/inline.scm 143 */
					BgL_nodez00_bglt BgL_arg1813z00_3237;

					BgL_arg1813z00_3237 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3073)))->BgL_funz00);
					BgL_auxz00_4476 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1813z00_3237,
						(long) CINT(BgL_kfactorz00_3074), BgL_stackz00_3075);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3073)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4476), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4483;

				{	/* Inline/inline.scm 144 */
					BgL_nodez00_bglt BgL_arg1817z00_3238;

					BgL_arg1817z00_3238 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3073)))->BgL_argz00);
					BgL_auxz00_4483 =
						BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg1817z00_3238,
						(long) CINT(BgL_kfactorz00_3074), BgL_stackz00_3075);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3073)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4483), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3073));
		}

	}



/* &inline-node-app1324 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1324z62zzinline_inlinez00(obj_t
		BgL_envz00_3076, obj_t BgL_nodez00_3077, obj_t BgL_kfactorz00_3078,
		obj_t BgL_stackz00_3079)
	{
		{	/* Inline/inline.scm 134 */
			BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3077)))->BgL_argsz00),
				BgL_kfactorz00_3078, BgL_stackz00_3079);
			return BGl_inlinezd2appzd2zzinline_appz00(((BgL_appz00_bglt)
					BgL_nodez00_3077), (long) CINT(BgL_kfactorz00_3078),
				BgL_stackz00_3079);
		}

	}



/* &inline-node-sync1322 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2sync1322z62zzinline_inlinez00(obj_t
		BgL_envz00_3080, obj_t BgL_nodez00_3081, obj_t BgL_kfactorz00_3082,
		obj_t BgL_stackz00_3083)
	{
		{	/* Inline/inline.scm 125 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3081)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3081)))->BgL_mutexz00),
						(long) CINT(BgL_kfactorz00_3082), BgL_stackz00_3083)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3081)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3081)))->
							BgL_prelockz00), (long) CINT(BgL_kfactorz00_3082),
						BgL_stackz00_3083)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3081)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3081)))->BgL_bodyz00),
						(long) CINT(BgL_kfactorz00_3082), BgL_stackz00_3083)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3081));
		}

	}



/* &inline-node-sequence1320 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1320z62zzinline_inlinez00(obj_t
		BgL_envz00_3084, obj_t BgL_nodez00_3085, obj_t BgL_kfactorz00_3086,
		obj_t BgL_stackz00_3087)
	{
		{	/* Inline/inline.scm 113 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long)
								13)),
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nodez00_3085)))->BgL_metaz00))))
				{	/* Tools/trace.sch 53 */
					((obj_t)
						BGl_disablezd2inliningz12zc0zzinline_inlinez00(
							((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3085))));
				}
			else
				{	/* Tools/trace.sch 53 */
					BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3085)))->BgL_nodesz00),
						BgL_kfactorz00_3086, BgL_stackz00_3087);
				}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3085));
		}

	}



/* &inline-node-kwote1318 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1318z62zzinline_inlinez00(obj_t
		BgL_envz00_3088, obj_t BgL_nodez00_3089, obj_t BgL_kfactorz00_3090,
		obj_t BgL_stackz00_3091)
	{
		{	/* Inline/inline.scm 107 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3089));
		}

	}



/* &inline-node-var1316 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1316z62zzinline_inlinez00(obj_t
		BgL_envz00_3092, obj_t BgL_nodez00_3093, obj_t BgL_kfactorz00_3094,
		obj_t BgL_stackz00_3095)
	{
		{	/* Inline/inline.scm 81 */
			{	/* Inline/inline.scm 83 */
				bool_t BgL_test2157z00_4535;

				if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
					{	/* Inline/inline.scm 84 */
						bool_t BgL_test2159z00_4539;

						{	/* Inline/inline.scm 84 */
							BgL_variablez00_bglt BgL_arg1770z00_3244;

							BgL_arg1770z00_3244 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3093)))->BgL_variablez00);
							{	/* Inline/inline.scm 84 */
								obj_t BgL_classz00_3245;

								BgL_classz00_3245 = BGl_globalz00zzast_varz00;
								{	/* Inline/inline.scm 84 */
									BgL_objectz00_bglt BgL_arg1820z00_3246;

									{	/* Inline/inline.scm 84 */
										obj_t BgL_tmpz00_4542;

										BgL_tmpz00_4542 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1770z00_3244));
										BgL_arg1820z00_3246 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4542);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Inline/inline.scm 84 */
											long BgL_idxz00_3247;

											BgL_idxz00_3247 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3246);
											BgL_test2159z00_4539 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3247 + ((long) 2))) == BgL_classz00_3245);
										}
									else
										{	/* Inline/inline.scm 84 */
											bool_t BgL_res1981z00_3250;

											{	/* Inline/inline.scm 84 */
												obj_t BgL_oclassz00_3251;

												{	/* Inline/inline.scm 84 */
													long BgL_arg1828z00_3252;

													{	/* Inline/inline.scm 84 */
														long BgL_arg1829z00_3253;

														BgL_arg1829z00_3253 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3246);
														BgL_arg1828z00_3252 =
															(BgL_arg1829z00_3253 - OBJECT_TYPE);
													}
													BgL_oclassz00_3251 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3252);
												}
												{	/* Inline/inline.scm 84 */
													bool_t BgL__ortest_1111z00_3254;

													BgL__ortest_1111z00_3254 =
														(BgL_classz00_3245 == BgL_oclassz00_3251);
													if (BgL__ortest_1111z00_3254)
														{	/* Inline/inline.scm 84 */
															BgL_res1981z00_3250 = BgL__ortest_1111z00_3254;
														}
													else
														{	/* Inline/inline.scm 84 */
															long BgL_odepthz00_3255;

															BgL_odepthz00_3255 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3251);
															if ((((long) 2) < BgL_odepthz00_3255))
																{	/* Inline/inline.scm 84 */
																	obj_t BgL_arg1816z00_3256;

																	BgL_arg1816z00_3256 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3251,
																		((long) 2));
																	BgL_res1981z00_3250 =
																		(BgL_arg1816z00_3256 == BgL_classz00_3245);
																}
															else
																{	/* Inline/inline.scm 84 */
																	BgL_res1981z00_3250 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2159z00_4539 = BgL_res1981z00_3250;
										}
								}
							}
						}
						if (BgL_test2159z00_4539)
							{	/* Inline/inline.scm 84 */
								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_3093)))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2))))
									{	/* Inline/inline.scm 85 */
										if (
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_3093)))->
																BgL_variablez00))))->BgL_evalzf3zf3))
											{	/* Inline/inline.scm 86 */
												BgL_test2157z00_4535 = ((bool_t) 0);
											}
										else
											{	/* Inline/inline.scm 87 */
												bool_t BgL__ortest_1157z00_3257;

												BgL__ortest_1157z00_3257 =
													(
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_nodez00_3093)))->
																			BgL_variablez00)))))->BgL_accessz00) ==
													CNST_TABLE_REF(((long) 15)));
												if (BgL__ortest_1157z00_3257)
													{	/* Inline/inline.scm 87 */
														BgL_test2157z00_4535 = BgL__ortest_1157z00_3257;
													}
												else
													{	/* Inline/inline.scm 87 */
														if (
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_nodez00_3093)))->
																					BgL_variablez00))))->BgL_initz00) ==
																BTRUE))
															{	/* Inline/inline.scm 89 */

																BgL_test2157z00_4535 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										BgL_nodez00_3093)))->
																							BgL_variablez00)))))->
																		BgL_occurrencewz00) == ((long) 1));
															}
														else
															{	/* Inline/inline.scm 88 */
																BgL_test2157z00_4535 = ((bool_t) 0);
															}
													}
											}
									}
								else
									{	/* Inline/inline.scm 85 */
										BgL_test2157z00_4535 = ((bool_t) 0);
									}
							}
						else
							{	/* Inline/inline.scm 84 */
								BgL_test2157z00_4535 = ((bool_t) 0);
							}
					}
				else
					{	/* Inline/inline.scm 83 */
						BgL_test2157z00_4535 = ((bool_t) 0);
					}
				if (BgL_test2157z00_4535)
					{	/* Inline/inline.scm 91 */
						bool_t BgL_test2167z00_4594;

						{	/* Inline/inline.scm 91 */
							bool_t BgL_test2168z00_4595;

							{	/* Inline/inline.scm 91 */
								obj_t BgL_arg1752z00_3258;

								BgL_arg1752z00_3258 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3093)))->
													BgL_variablez00))))->BgL_srcz00);
								{	/* Inline/inline.scm 91 */
									obj_t BgL_classz00_3259;

									BgL_classz00_3259 = BGl_atomz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg1752z00_3258))
										{	/* Inline/inline.scm 91 */
											BgL_objectz00_bglt BgL_arg1820z00_3260;

											BgL_arg1820z00_3260 =
												(BgL_objectz00_bglt) (BgL_arg1752z00_3258);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Inline/inline.scm 91 */
													long BgL_idxz00_3261;

													BgL_idxz00_3261 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3260);
													BgL_test2168z00_4595 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3261 + ((long) 2))) ==
														BgL_classz00_3259);
												}
											else
												{	/* Inline/inline.scm 91 */
													bool_t BgL_res1982z00_3264;

													{	/* Inline/inline.scm 91 */
														obj_t BgL_oclassz00_3265;

														{	/* Inline/inline.scm 91 */
															long BgL_arg1828z00_3266;

															{	/* Inline/inline.scm 91 */
																long BgL_arg1829z00_3267;

																BgL_arg1829z00_3267 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3260);
																BgL_arg1828z00_3266 =
																	(BgL_arg1829z00_3267 - OBJECT_TYPE);
															}
															BgL_oclassz00_3265 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_3266);
														}
														{	/* Inline/inline.scm 91 */
															bool_t BgL__ortest_1111z00_3268;

															BgL__ortest_1111z00_3268 =
																(BgL_classz00_3259 == BgL_oclassz00_3265);
															if (BgL__ortest_1111z00_3268)
																{	/* Inline/inline.scm 91 */
																	BgL_res1982z00_3264 =
																		BgL__ortest_1111z00_3268;
																}
															else
																{	/* Inline/inline.scm 91 */
																	long BgL_odepthz00_3269;

																	BgL_odepthz00_3269 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3265);
																	if ((((long) 2) < BgL_odepthz00_3269))
																		{	/* Inline/inline.scm 91 */
																			obj_t BgL_arg1816z00_3270;

																			BgL_arg1816z00_3270 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3265, ((long) 2));
																			BgL_res1982z00_3264 =
																				(BgL_arg1816z00_3270 ==
																				BgL_classz00_3259);
																		}
																	else
																		{	/* Inline/inline.scm 91 */
																			BgL_res1982z00_3264 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2168z00_4595 = BgL_res1982z00_3264;
												}
										}
									else
										{	/* Inline/inline.scm 91 */
											BgL_test2168z00_4595 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2168z00_4595)
								{	/* Inline/inline.scm 93 */
									bool_t BgL_test2173z00_4619;

									{	/* Inline/inline.scm 93 */
										obj_t BgL_tmpz00_4620;

										BgL_tmpz00_4620 =
											(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_nodez00_3093)))->
																			BgL_variablez00))))->BgL_srcz00))))->
											BgL_valuez00);
										BgL_test2173z00_4619 = BIGNUMP(BgL_tmpz00_4620);
									}
									if (BgL_test2173z00_4619)
										{	/* Inline/inline.scm 93 */
											BgL_test2167z00_4594 = ((bool_t) 0);
										}
									else
										{	/* Inline/inline.scm 93 */
											BgL_test2167z00_4594 = ((bool_t) 1);
										}
								}
							else
								{	/* Inline/inline.scm 91 */
									BgL_test2167z00_4594 = ((bool_t) 0);
								}
						}
						if (BgL_test2167z00_4594)
							{	/* Inline/inline.scm 91 */
								{	/* Inline/inline.scm 96 */
									obj_t BgL_arg1720z00_3271;
									obj_t BgL_arg1721z00_3272;

									BgL_arg1720z00_3271 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_3093))))->BgL_locz00);
									BgL_arg1721z00_3272 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_3093)))->
														BgL_variablez00))))->BgL_srcz00);
									return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
										BgL_arg1720z00_3271,
										((BgL_nodez00_bglt) BgL_arg1721z00_3272));
								}
							}
						else
							{	/* Inline/inline.scm 97 */
								bool_t BgL_test2174z00_4637;

								{	/* Inline/inline.scm 97 */
									bool_t BgL_test2175z00_4638;

									{	/* Inline/inline.scm 97 */
										obj_t BgL_arg1746z00_3273;

										BgL_arg1746z00_3273 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_3093)))->
															BgL_variablez00))))->BgL_srcz00);
										{	/* Inline/inline.scm 97 */
											obj_t BgL_classz00_3274;

											BgL_classz00_3274 = BGl_kwotez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1746z00_3273))
												{	/* Inline/inline.scm 97 */
													BgL_objectz00_bglt BgL_arg1820z00_3275;

													BgL_arg1820z00_3275 =
														(BgL_objectz00_bglt) (BgL_arg1746z00_3273);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Inline/inline.scm 97 */
															long BgL_idxz00_3276;

															BgL_idxz00_3276 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3275);
															BgL_test2175z00_4638 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3276 + ((long) 2))) ==
																BgL_classz00_3274);
														}
													else
														{	/* Inline/inline.scm 97 */
															bool_t BgL_res1983z00_3279;

															{	/* Inline/inline.scm 97 */
																obj_t BgL_oclassz00_3280;

																{	/* Inline/inline.scm 97 */
																	long BgL_arg1828z00_3281;

																	{	/* Inline/inline.scm 97 */
																		long BgL_arg1829z00_3282;

																		BgL_arg1829z00_3282 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3275);
																		BgL_arg1828z00_3281 =
																			(BgL_arg1829z00_3282 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3280 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_3281);
																}
																{	/* Inline/inline.scm 97 */
																	bool_t BgL__ortest_1111z00_3283;

																	BgL__ortest_1111z00_3283 =
																		(BgL_classz00_3274 == BgL_oclassz00_3280);
																	if (BgL__ortest_1111z00_3283)
																		{	/* Inline/inline.scm 97 */
																			BgL_res1983z00_3279 =
																				BgL__ortest_1111z00_3283;
																		}
																	else
																		{	/* Inline/inline.scm 97 */
																			long BgL_odepthz00_3284;

																			BgL_odepthz00_3284 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3280);
																			if ((((long) 2) < BgL_odepthz00_3284))
																				{	/* Inline/inline.scm 97 */
																					obj_t BgL_arg1816z00_3285;

																					BgL_arg1816z00_3285 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3280, ((long) 2));
																					BgL_res1983z00_3279 =
																						(BgL_arg1816z00_3285 ==
																						BgL_classz00_3274);
																				}
																			else
																				{	/* Inline/inline.scm 97 */
																					BgL_res1983z00_3279 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2175z00_4638 = BgL_res1983z00_3279;
														}
												}
											else
												{	/* Inline/inline.scm 97 */
													BgL_test2175z00_4638 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2175z00_4638)
										{	/* Inline/inline.scm 97 */
											BgL_test2174z00_4637 =
												(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
												CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Inline/inline.scm 97 */
											BgL_test2174z00_4637 = ((bool_t) 0);
										}
								}
								if (BgL_test2174z00_4637)
									{	/* Inline/inline.scm 97 */
										{	/* Inline/inline.scm 99 */
											obj_t BgL_arg1738z00_3286;
											obj_t BgL_arg1741z00_3287;

											BgL_arg1738z00_3286 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_varz00_bglt) BgL_nodez00_3093))))->
												BgL_locz00);
											BgL_arg1741z00_3287 =
												(((BgL_globalz00_bglt)
													COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
																	COBJECT(((BgL_varz00_bglt)
																			BgL_nodez00_3093)))->BgL_variablez00))))->
												BgL_srcz00);
											return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
												BgL_arg1738z00_3286,
												((BgL_nodez00_bglt) BgL_arg1741z00_3287));
										}
									}
								else
									{	/* Inline/inline.scm 97 */
										return
											((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3093));
									}
							}
					}
				else
					{	/* Inline/inline.scm 83 */
						return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3093));
					}
			}
		}

	}



/* &inline-node-atom1314 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1314z62zzinline_inlinez00(obj_t
		BgL_envz00_3096, obj_t BgL_nodez00_3097, obj_t BgL_kfactorz00_3098,
		obj_t BgL_stackz00_3099)
	{
		{	/* Inline/inline.scm 75 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3097));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00(void)
	{
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2033z00zzinline_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
