/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00(void);
	static obj_t BGl_objectzd2initzd2zzinline_recursionz00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00(void);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31600ze3ze5zzinline_recursionz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1345z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00(void);
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1999z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1970z00zzinline_recursionz00,
		BgL_bgl_string1970za700za7za7i2000za7, "simple", 6);
	      DEFINE_STRING(BGl_string1971z00zzinline_recursionz00,
		BgL_bgl_string1971za700za7za7i2001za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string1972z00zzinline_recursionz00,
		BgL_bgl_string1972za700za7za7i2002za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1973z00zzinline_recursionz00,
		BgL_bgl_string1973za700za7za7i2003za7, "         ", 9);
	      DEFINE_STRING(BGl_string1974z00zzinline_recursionz00,
		BgL_bgl_string1974za700za7za7i2004za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string1976z00zzinline_recursionz00,
		BgL_bgl_string1976za700za7za7i2005za7, "find-recursive-calls1308", 24);
	      DEFINE_STRING(BGl_string1978z00zzinline_recursionz00,
		BgL_bgl_string1978za700za7za7i2006za7, "find-recursive-calls", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2007z00,
		BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2008z00,
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2009z00,
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2010z00,
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2011z00,
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2012z00,
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2013z00,
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2014z00,
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2015z00,
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2016z00,
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2017z00,
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2018z00,
		BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2019z00,
		BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string1996z00zzinline_recursionz00,
		BgL_bgl_string1996za700za7za7i2020za7, "inline_recursion", 16);
	      DEFINE_STRING(BGl_string1997z00zzinline_recursionz00,
		BgL_bgl_string1997za700za7za7i2021za7, "(sifun sgfun) sfun ", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2022z00,
		BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2023z00,
		BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2024z00,
		BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2025z00,
		BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2026z00,
		BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2027z00,
		BGl_z62findzd2recursivezd2calls1345z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza72028za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv2029z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_recursionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_3089, char *BgL_fromz00_3090)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_recursionz00();
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BGl_toplevelzd2initzd2zzinline_recursionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_2959;

				{	/* Inline/recursion.scm 15 */
					obj_t BgL_stringz00_2966;

					BgL_stringz00_2966 = BGl_string1997z00zzinline_recursionz00;
					{	/* Inline/recursion.scm 15 */
						obj_t BgL_startz00_2967;

						BgL_startz00_2967 = BINT(((long) 0));
						{	/* Inline/recursion.scm 15 */
							obj_t BgL_endz00_2968;

							BgL_endz00_2968 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2966)));
							{	/* Inline/recursion.scm 15 */

								BgL_cportz00_2959 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2966, BgL_startz00_2967, BgL_endz00_2968);
				}}}}
				{
					long BgL_iz00_2960;

					BgL_iz00_2960 = ((long) 1);
				BgL_loopz00_2961:
					if ((BgL_iz00_2960 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg1998z00_2962;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_2964;

										BgL_locationz00_2964 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg1998z00_2962 =
												BGl_readz00zz__readerz00(BgL_cportz00_2959,
												BgL_locationz00_2964);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_tmpz00_3122;

									BgL_tmpz00_3122 = (int) (BgL_iz00_2960);
									CNST_TABLE_SET(BgL_tmpz00_3122, BgL_arg1998z00_2962);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_2965;

								BgL_auxz00_2965 = (int) ((BgL_iz00_2960 - ((long) 1)));
								{
									long BgL_iz00_3127;

									BgL_iz00_3127 = (long) (BgL_auxz00_2965);
									BgL_iz00_2960 = BgL_iz00_3127;
									goto BgL_loopz00_2961;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1576;

				BgL_headz00_1576 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1577;
					obj_t BgL_tailz00_1578;

					BgL_prevz00_1577 = BgL_headz00_1576;
					BgL_tailz00_1578 = BgL_l1z00_1;
				BgL_loopz00_1579:
					if (PAIRP(BgL_tailz00_1578))
						{
							obj_t BgL_newzd2prevzd2_1581;

							BgL_newzd2prevzd2_1581 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1578), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1577, BgL_newzd2prevzd2_1581);
							{
								obj_t BgL_tailz00_3137;
								obj_t BgL_prevz00_3136;

								BgL_prevz00_3136 = BgL_newzd2prevzd2_1581;
								BgL_tailz00_3137 = CDR(BgL_tailz00_1578);
								BgL_tailz00_1578 = BgL_tailz00_3137;
								BgL_prevz00_1577 = BgL_prevz00_3136;
								goto BgL_loopz00_1579;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1576);
				}
			}
		}

	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/recursion.scm 41 */
			{	/* Inline/recursion.scm 42 */
				BgL_varz00_bglt BgL_funz00_1584;

				BgL_funz00_1584 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00);
				{	/* Inline/recursion.scm 42 */
					BgL_variablez00_bglt BgL_calleez00_1585;

					BgL_calleez00_1585 =
						(((BgL_varz00_bglt) COBJECT(BgL_funz00_1584))->BgL_variablez00);
					{	/* Inline/recursion.scm 43 */

						if (BGl_tailreczf3zf3zzinline_recursionz00(BgL_calleez00_1585))
							{	/* Inline/recursion.scm 45 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_calleez00_1585), BgL_stackz00_5)))
									{	/* Inline/recursion.scm 47 */
										return
											BGl_inlinezd2appzd2simplez00zzinline_simplez00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5,
											BGl_string1970z00zzinline_recursionz00);
									}
								else
									{	/* Inline/recursion.scm 47 */
										return
											((BgL_nodez00_bglt)
											BGl_inlinezd2appzd2labelsz00zzinline_recursionz00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5));
									}
							}
						else
							{	/* Inline/recursion.scm 45 */
								return BgL_nodez00_3;
							}
					}
				}
			}
		}

	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_2830, obj_t BgL_nodez00_2831, obj_t BgL_kfactorz00_2832,
		obj_t BgL_stackz00_2833)
	{
		{	/* Inline/recursion.scm 41 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2831),
				(long) CINT(BgL_kfactorz00_2832), BgL_stackz00_2833);
		}

	}



/* tailrec? */
	bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_6)
	{
		{	/* Inline/recursion.scm 62 */
			{	/* Inline/recursion.scm 63 */
				bool_t BgL_test2035z00_3155;

				{	/* Inline/recursion.scm 63 */
					BgL_valuez00_bglt BgL_arg1358z00_1591;

					BgL_arg1358z00_1591 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00);
					{	/* Inline/recursion.scm 63 */
						obj_t BgL_classz00_2224;

						BgL_classz00_2224 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 63 */
							BgL_objectz00_bglt BgL_arg1820z00_2226;

							{	/* Inline/recursion.scm 63 */
								obj_t BgL_tmpz00_3157;

								BgL_tmpz00_3157 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1358z00_1591));
								BgL_arg1820z00_2226 = (BgL_objectz00_bglt) (BgL_tmpz00_3157);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 63 */
									long BgL_idxz00_2232;

									BgL_idxz00_2232 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2226);
									BgL_test2035z00_3155 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2232 + ((long) 4))) == BgL_classz00_2224);
								}
							else
								{	/* Inline/recursion.scm 63 */
									bool_t BgL_res1946z00_2254;

									{	/* Inline/recursion.scm 63 */
										obj_t BgL_oclassz00_2240;

										{	/* Inline/recursion.scm 63 */
											long BgL_arg1828z00_2246;

											{	/* Inline/recursion.scm 63 */
												long BgL_arg1829z00_2247;

												BgL_arg1829z00_2247 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2226);
												BgL_arg1828z00_2246 =
													(BgL_arg1829z00_2247 - OBJECT_TYPE);
											}
											BgL_oclassz00_2240 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2246);
										}
										{	/* Inline/recursion.scm 63 */
											bool_t BgL__ortest_1111z00_2241;

											BgL__ortest_1111z00_2241 =
												(BgL_classz00_2224 == BgL_oclassz00_2240);
											if (BgL__ortest_1111z00_2241)
												{	/* Inline/recursion.scm 63 */
													BgL_res1946z00_2254 = BgL__ortest_1111z00_2241;
												}
											else
												{	/* Inline/recursion.scm 63 */
													long BgL_odepthz00_2242;

													BgL_odepthz00_2242 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2240);
													if ((((long) 4) < BgL_odepthz00_2242))
														{	/* Inline/recursion.scm 63 */
															obj_t BgL_arg1816z00_2244;

															BgL_arg1816z00_2244 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2240,
																((long) 4));
															BgL_res1946z00_2254 =
																(BgL_arg1816z00_2244 == BgL_classz00_2224);
														}
													else
														{	/* Inline/recursion.scm 63 */
															BgL_res1946z00_2254 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2035z00_3155 = BgL_res1946z00_2254;
								}
						}
					}
				}
				if (BgL_test2035z00_3155)
					{	/* Inline/recursion.scm 64 */
						BgL_sfunz00_bglt BgL_i1109z00_1590;

						BgL_i1109z00_1590 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00));
						{
							BgL_isfunz00_bglt BgL_auxz00_3179;

							{
								obj_t BgL_auxz00_3180;

								{	/* Inline/recursion.scm 64 */
									BgL_objectz00_bglt BgL_tmpz00_3181;

									BgL_tmpz00_3181 = ((BgL_objectz00_bglt) BgL_i1109z00_1590);
									BgL_auxz00_3180 = BGL_OBJECT_WIDENING(BgL_tmpz00_3181);
								}
								BgL_auxz00_3179 = ((BgL_isfunz00_bglt) BgL_auxz00_3180);
							}
							return
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3179))->
								BgL_tailrecz00);
						}
					}
				else
					{	/* Inline/recursion.scm 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
	{
		{	/* Inline/recursion.scm 72 */
			{	/* Inline/recursion.scm 73 */
				BgL_variablez00_bglt BgL_variablez00_1592;

				BgL_variablez00_1592 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_7)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/recursion.scm 73 */
					BgL_localz00_bglt BgL_localz00_1593;

					{	/* Inline/recursion.scm 74 */
						obj_t BgL_arg1561z00_1719;
						BgL_typez00_bglt BgL_arg1565z00_1720;
						BgL_valuez00_bglt BgL_arg1567z00_1721;

						BgL_arg1561z00_1719 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_idz00);
						BgL_arg1565z00_1720 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_typez00);
						BgL_arg1567z00_1721 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_valuez00);
						BgL_localz00_1593 =
							BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg1561z00_1719,
							BgL_arg1565z00_1720, ((BgL_sfunz00_bglt) BgL_arg1567z00_1721));
					}
					{	/* Inline/recursion.scm 74 */
						BgL_valuez00_bglt BgL_oldzd2sfunzd2_1594;

						BgL_oldzd2sfunzd2_1594 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1592))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 77 */
							obj_t BgL_oldzd2bodyzd2_1595;

							{	/* Inline/recursion.scm 78 */
								bool_t BgL_test2039z00_3195;

								{	/* Inline/recursion.scm 78 */
									obj_t BgL_classz00_2263;

									BgL_classz00_2263 = BGl_isfunz00zzinline_inlinez00;
									{	/* Inline/recursion.scm 78 */
										BgL_objectz00_bglt BgL_arg1820z00_2265;

										{	/* Inline/recursion.scm 78 */
											obj_t BgL_tmpz00_3196;

											BgL_tmpz00_3196 =
												((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2sfunzd2_1594));
											BgL_arg1820z00_2265 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3196);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/recursion.scm 78 */
												long BgL_idxz00_2271;

												BgL_idxz00_2271 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2265);
												BgL_test2039z00_3195 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2271 + ((long) 4))) ==
													BgL_classz00_2263);
											}
										else
											{	/* Inline/recursion.scm 78 */
												bool_t BgL_res1947z00_2293;

												{	/* Inline/recursion.scm 78 */
													obj_t BgL_oclassz00_2279;

													{	/* Inline/recursion.scm 78 */
														long BgL_arg1828z00_2285;

														{	/* Inline/recursion.scm 78 */
															long BgL_arg1829z00_2286;

															BgL_arg1829z00_2286 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2265);
															BgL_arg1828z00_2285 =
																(BgL_arg1829z00_2286 - OBJECT_TYPE);
														}
														BgL_oclassz00_2279 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2285);
													}
													{	/* Inline/recursion.scm 78 */
														bool_t BgL__ortest_1111z00_2280;

														BgL__ortest_1111z00_2280 =
															(BgL_classz00_2263 == BgL_oclassz00_2279);
														if (BgL__ortest_1111z00_2280)
															{	/* Inline/recursion.scm 78 */
																BgL_res1947z00_2293 = BgL__ortest_1111z00_2280;
															}
														else
															{	/* Inline/recursion.scm 78 */
																long BgL_odepthz00_2281;

																BgL_odepthz00_2281 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2279);
																if ((((long) 4) < BgL_odepthz00_2281))
																	{	/* Inline/recursion.scm 78 */
																		obj_t BgL_arg1816z00_2283;

																		BgL_arg1816z00_2283 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2279, ((long) 4));
																		BgL_res1947z00_2293 =
																			(BgL_arg1816z00_2283 ==
																			BgL_classz00_2263);
																	}
																else
																	{	/* Inline/recursion.scm 78 */
																		BgL_res1947z00_2293 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2039z00_3195 = BgL_res1947z00_2293;
											}
									}
								}
								if (BgL_test2039z00_3195)
									{
										BgL_nodez00_bglt BgL_auxz00_3216;

										{
											BgL_isfunz00_bglt BgL_auxz00_3217;

											{
												obj_t BgL_auxz00_3218;

												{	/* Inline/recursion.scm 79 */
													BgL_objectz00_bglt BgL_tmpz00_3219;

													BgL_tmpz00_3219 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594));
													BgL_auxz00_3218 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3219);
												}
												BgL_auxz00_3217 = ((BgL_isfunz00_bglt) BgL_auxz00_3218);
											}
											BgL_auxz00_3216 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3217))->
												BgL_originalzd2bodyzd2);
										}
										BgL_oldzd2bodyzd2_1595 = ((obj_t) BgL_auxz00_3216);
									}
								else
									{	/* Inline/recursion.scm 78 */
										BgL_oldzd2bodyzd2_1595 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594)))->
											BgL_bodyz00);
									}
							}
							{	/* Inline/recursion.scm 78 */
								obj_t BgL_reczd2callszd2_1596;

								{	/* Inline/recursion.scm 81 */
									obj_t BgL_arg1558z00_1717;

									BgL_arg1558z00_1717 = MAKE_YOUNG_CELL(BTRUE);
									BgL_reczd2callszd2_1596 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1595),
										BgL_variablez00_1592, BTRUE, BgL_arg1558z00_1717);
								}
								{	/* Inline/recursion.scm 81 */
									obj_t BgL_oldzd2argszd2_1597;

									BgL_oldzd2argszd2_1597 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1594)))->
										BgL_argsz00);
									{	/* Inline/recursion.scm 82 */
										obj_t BgL_invzd2argszd2_1598;

										BgL_invzd2argszd2_1598 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_7,
											BgL_variablez00_1592, BgL_reczd2callszd2_1596);
										{	/* Inline/recursion.scm 83 */
											obj_t BgL_varzd2argszd2_1599;

											BgL_varzd2argszd2_1599 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_1592);
											{	/* Inline/recursion.scm 84 */
												obj_t BgL_newzd2argszd2_1600;

												if (NULLP(BgL_varzd2argszd2_1599))
													{	/* Inline/recursion.scm 85 */
														BgL_newzd2argszd2_1600 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 85 */
														obj_t BgL_head1292z00_1701;

														BgL_head1292z00_1701 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1290z00_1703;
															obj_t BgL_tail1293z00_1704;

															BgL_l1290z00_1703 = BgL_varzd2argszd2_1599;
															BgL_tail1293z00_1704 = BgL_head1292z00_1701;
														BgL_zc3z04anonymousza31523ze3z87_1705:
															if (NULLP(BgL_l1290z00_1703))
																{	/* Inline/recursion.scm 85 */
																	BgL_newzd2argszd2_1600 =
																		CDR(BgL_head1292z00_1701);
																}
															else
																{	/* Inline/recursion.scm 85 */
																	obj_t BgL_newtail1294z00_1707;

																	{	/* Inline/recursion.scm 85 */
																		BgL_localz00_bglt BgL_arg1529z00_1709;

																		{	/* Inline/recursion.scm 85 */
																			obj_t BgL_lz00_1710;

																			BgL_lz00_1710 =
																				CAR(((obj_t) BgL_l1290z00_1703));
																			{	/* Inline/recursion.scm 86 */
																				BgL_svarz00_bglt BgL_arg1532z00_1711;

																				{	/* Inline/recursion.scm 86 */
																					BgL_svarz00_bglt
																						BgL_duplicated1112z00_1712;
																					BgL_svarz00_bglt BgL_new1110z00_1713;

																					BgL_duplicated1112z00_1712 =
																						((BgL_svarz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_lz00_1710))))->
																							BgL_valuez00));
																					{	/* Inline/recursion.scm 86 */
																						BgL_svarz00_bglt
																							BgL_new1113z00_1714;
																						BgL_new1113z00_1714 =
																							((BgL_svarz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_svarz00_bgl))));
																						{	/* Inline/recursion.scm 86 */
																							long BgL_arg1535z00_1715;

																							BgL_arg1535z00_1715 =
																								BGL_CLASS_NUM
																								(BGl_svarz00zzast_varz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1113z00_1714),
																								BgL_arg1535z00_1715);
																						}
																						{	/* Inline/recursion.scm 86 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3251;
																							BgL_tmpz00_3251 =
																								((BgL_objectz00_bglt)
																								BgL_new1113z00_1714);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3251, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1113z00_1714);
																						BgL_new1110z00_1713 =
																							BgL_new1113z00_1714;
																					}
																					((((BgL_svarz00_bglt)
																								COBJECT(BgL_new1110z00_1713))->
																							BgL_locz00) =
																						((obj_t) (((BgL_svarz00_bglt)
																									COBJECT
																									(BgL_duplicated1112z00_1712))->
																								BgL_locz00)), BUNSPEC);
																					BgL_arg1532z00_1711 =
																						BgL_new1110z00_1713;
																				}
																				BgL_arg1529z00_1709 =
																					BGl_clonezd2localzd2zzast_localz00(
																					((BgL_localz00_bglt) BgL_lz00_1710),
																					((BgL_valuez00_bglt)
																						BgL_arg1532z00_1711));
																		}}
																		BgL_newtail1294z00_1707 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1529z00_1709), BNIL);
																	}
																	SET_CDR(BgL_tail1293z00_1704,
																		BgL_newtail1294z00_1707);
																	{	/* Inline/recursion.scm 85 */
																		obj_t BgL_arg1526z00_1708;

																		BgL_arg1526z00_1708 =
																			CDR(((obj_t) BgL_l1290z00_1703));
																		{
																			obj_t BgL_tail1293z00_3266;
																			obj_t BgL_l1290z00_3265;

																			BgL_l1290z00_3265 = BgL_arg1526z00_1708;
																			BgL_tail1293z00_3266 =
																				BgL_newtail1294z00_1707;
																			BgL_tail1293z00_1704 =
																				BgL_tail1293z00_3266;
																			BgL_l1290z00_1703 = BgL_l1290z00_3265;
																			goto
																				BgL_zc3z04anonymousza31523ze3z87_1705;
																		}
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 85 */
													obj_t BgL_substitutez00_1601;

													{	/* Inline/recursion.scm 88 */
														obj_t BgL_arg1521z00_1698;

														BgL_arg1521z00_1698 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_7)))->
															BgL_argsz00);
														BgL_substitutez00_1601 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_1592, BgL_arg1521z00_1698,
															BgL_newzd2argszd2_1600);
													}
													{	/* Inline/recursion.scm 88 */
														obj_t BgL_svgzd2callszd2argsz00_1602;

														if (NULLP(BgL_reczd2callszd2_1596))
															{	/* Inline/recursion.scm 89 */
																BgL_svgzd2callszd2argsz00_1602 = BNIL;
															}
														else
															{	/* Inline/recursion.scm 89 */
																obj_t BgL_head1297z00_1687;

																BgL_head1297z00_1687 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_l1295z00_1689;
																	obj_t BgL_tail1298z00_1690;

																	BgL_l1295z00_1689 = BgL_reczd2callszd2_1596;
																	BgL_tail1298z00_1690 = BgL_head1297z00_1687;
																BgL_zc3z04anonymousza31508ze3z87_1691:
																	if (NULLP(BgL_l1295z00_1689))
																		{	/* Inline/recursion.scm 89 */
																			BgL_svgzd2callszd2argsz00_1602 =
																				CDR(BgL_head1297z00_1687);
																		}
																	else
																		{	/* Inline/recursion.scm 89 */
																			obj_t BgL_newtail1299z00_1693;

																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1511z00_1695;

																				BgL_arg1511z00_1695 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1295z00_1689)))))->
																					BgL_argsz00);
																				BgL_newtail1299z00_1693 =
																					MAKE_YOUNG_PAIR(BgL_arg1511z00_1695,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1298z00_1690,
																				BgL_newtail1299z00_1693);
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1510z00_1694;

																				BgL_arg1510z00_1694 =
																					CDR(((obj_t) BgL_l1295z00_1689));
																				{
																					obj_t BgL_tail1298z00_3285;
																					obj_t BgL_l1295z00_3284;

																					BgL_l1295z00_3284 =
																						BgL_arg1510z00_1694;
																					BgL_tail1298z00_3285 =
																						BgL_newtail1299z00_1693;
																					BgL_tail1298z00_1690 =
																						BgL_tail1298z00_3285;
																					BgL_l1295z00_1689 = BgL_l1295z00_3284;
																					goto
																						BgL_zc3z04anonymousza31508ze3z87_1691;
																				}
																			}
																		}
																}
															}
														{	/* Inline/recursion.scm 89 */
															bool_t BgL_removez12z12_1603;

															{
																obj_t BgL_l1300z00_1679;

																BgL_l1300z00_1679 = BgL_reczd2callszd2_1596;
															BgL_zc3z04anonymousza31485ze3z87_1680:
																if (PAIRP(BgL_l1300z00_1679))
																	{	/* Inline/recursion.scm 90 */
																		{	/* Inline/recursion.scm 90 */
																			obj_t BgL_arg1496z00_1682;

																			BgL_arg1496z00_1682 =
																				CAR(BgL_l1300z00_1679);
																			BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																				(((BgL_appz00_bglt)
																					BgL_arg1496z00_1682));
																		}
																		{
																			obj_t BgL_l1300z00_3291;

																			BgL_l1300z00_3291 =
																				CDR(BgL_l1300z00_1679);
																			BgL_l1300z00_1679 = BgL_l1300z00_3291;
																			goto
																				BgL_zc3z04anonymousza31485ze3z87_1680;
																		}
																	}
																else
																	{	/* Inline/recursion.scm 90 */
																		BgL_removez12z12_1603 = ((bool_t) 1);
																	}
															}
															{	/* Inline/recursion.scm 90 */
																obj_t BgL_ilocz00_1604;

																{	/* Inline/recursion.scm 91 */
																	bool_t BgL_test2048z00_3293;

																	{	/* Inline/recursion.scm 91 */
																		obj_t BgL_classz00_2315;

																		BgL_classz00_2315 =
																			BGl_globalz00zzast_varz00;
																		{	/* Inline/recursion.scm 91 */
																			BgL_objectz00_bglt BgL_arg1820z00_2317;

																			{	/* Inline/recursion.scm 91 */
																				obj_t BgL_tmpz00_3294;

																				BgL_tmpz00_3294 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_variablez00_1592));
																				BgL_arg1820z00_2317 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3294);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Inline/recursion.scm 91 */
																					long BgL_idxz00_2323;

																					BgL_idxz00_2323 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2317);
																					BgL_test2048z00_3293 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2323 + ((long) 2))) ==
																						BgL_classz00_2315);
																				}
																			else
																				{	/* Inline/recursion.scm 91 */
																					bool_t BgL_res1948z00_2345;

																					{	/* Inline/recursion.scm 91 */
																						obj_t BgL_oclassz00_2331;

																						{	/* Inline/recursion.scm 91 */
																							long BgL_arg1828z00_2337;

																							{	/* Inline/recursion.scm 91 */
																								long BgL_arg1829z00_2338;

																								BgL_arg1829z00_2338 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2317);
																								BgL_arg1828z00_2337 =
																									(BgL_arg1829z00_2338 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2331 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_2337);
																						}
																						{	/* Inline/recursion.scm 91 */
																							bool_t BgL__ortest_1111z00_2332;

																							BgL__ortest_1111z00_2332 =
																								(BgL_classz00_2315 ==
																								BgL_oclassz00_2331);
																							if (BgL__ortest_1111z00_2332)
																								{	/* Inline/recursion.scm 91 */
																									BgL_res1948z00_2345 =
																										BgL__ortest_1111z00_2332;
																								}
																							else
																								{	/* Inline/recursion.scm 91 */
																									long BgL_odepthz00_2333;

																									BgL_odepthz00_2333 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2331);
																									if ((((long) 2) <
																											BgL_odepthz00_2333))
																										{	/* Inline/recursion.scm 91 */
																											obj_t BgL_arg1816z00_2335;

																											BgL_arg1816z00_2335 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2331,
																												((long) 2));
																											BgL_res1948z00_2345 =
																												(BgL_arg1816z00_2335 ==
																												BgL_classz00_2315);
																										}
																									else
																										{	/* Inline/recursion.scm 91 */
																											BgL_res1948z00_2345 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2048z00_3293 =
																						BgL_res1948z00_2345;
																				}
																		}
																	}
																	if (BgL_test2048z00_3293)
																		{	/* Inline/recursion.scm 92 */
																			bool_t BgL_test2052z00_3314;

																			{	/* Inline/recursion.scm 92 */
																				obj_t BgL_arg1484z00_1677;

																				BgL_arg1484z00_1677 =
																					(((BgL_globalz00_bglt) COBJECT(
																							((BgL_globalz00_bglt)
																								BgL_variablez00_1592)))->
																					BgL_modulez00);
																				BgL_test2052z00_3314 =
																					(BgL_arg1484z00_1677 ==
																					BGl_za2moduleza2z00zzmodule_modulez00);
																			}
																			if (BgL_test2052z00_3314)
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1604 = BFALSE;
																				}
																			else
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1604 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_nodez00_7))->
																						BgL_locz00);
																				}
																		}
																	else
																		{	/* Inline/recursion.scm 91 */
																			BgL_ilocz00_1604 = BFALSE;
																		}
																}
																{	/* Inline/recursion.scm 91 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_1605;

																	if (NULLP(BgL_invzd2argszd2_1598))
																		{	/* Inline/recursion.scm 96 */
																			obj_t BgL_arg1458z00_1671;
																			obj_t BgL_arg1467z00_1672;

																			BgL_arg1458z00_1671 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1592),
																				BgL_oldzd2argszd2_1597);
																			BgL_arg1467z00_1672 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1593),
																				BgL_substitutez00_1601);
																			BgL_newzd2bodyzd2_1605 =
																				BGl_alphatiza7eza7zzast_alphatiza7eza7
																				(BgL_arg1458z00_1671,
																				BgL_arg1467z00_1672, BgL_ilocz00_1604,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1595));
																		}
																	else
																		{	/* Inline/recursion.scm 103 */
																			obj_t BgL_arg1468z00_1673;
																			obj_t BgL_arg1482z00_1674;

																			BgL_arg1468z00_1673 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1592),
																				BgL_oldzd2argszd2_1597);
																			BgL_arg1482z00_1674 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1593),
																				BgL_substitutez00_1601);
																			BgL_newzd2bodyzd2_1605 =
																				BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7
																				(BgL_arg1468z00_1673,
																				BgL_arg1482z00_1674, BgL_ilocz00_1604,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1595),
																				BgL_variablez00_1592);
																		}
																	{	/* Inline/recursion.scm 94 */
																		bool_t BgL_restorez12z12_1606;

																		{
																			obj_t BgL_ll1302z00_1661;
																			obj_t BgL_ll1303z00_1662;

																			BgL_ll1302z00_1661 =
																				BgL_reczd2callszd2_1596;
																			BgL_ll1303z00_1662 =
																				BgL_svgzd2callszd2argsz00_1602;
																		BgL_zc3z04anonymousza31423ze3z87_1663:
																			if (NULLP(BgL_ll1302z00_1661))
																				{	/* Inline/recursion.scm 108 */
																					BgL_restorez12z12_1606 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 108 */
																					{	/* Inline/recursion.scm 109 */
																						obj_t BgL_appz00_1665;
																						obj_t BgL_argsz00_1666;

																						BgL_appz00_1665 =
																							CAR(((obj_t) BgL_ll1302z00_1661));
																						BgL_argsz00_1666 =
																							CAR(((obj_t) BgL_ll1303z00_1662));
																						((((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_appz00_1665)))->
																								BgL_argsz00) =
																							((obj_t) BgL_argsz00_1666),
																							BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 108 */
																						obj_t BgL_arg1426z00_1667;
																						obj_t BgL_arg1429z00_1668;

																						BgL_arg1426z00_1667 =
																							CDR(((obj_t) BgL_ll1302z00_1661));
																						BgL_arg1429z00_1668 =
																							CDR(((obj_t) BgL_ll1303z00_1662));
																						{
																							obj_t BgL_ll1303z00_3346;
																							obj_t BgL_ll1302z00_3345;

																							BgL_ll1302z00_3345 =
																								BgL_arg1426z00_1667;
																							BgL_ll1303z00_3346 =
																								BgL_arg1429z00_1668;
																							BgL_ll1303z00_1662 =
																								BgL_ll1303z00_3346;
																							BgL_ll1302z00_1661 =
																								BgL_ll1302z00_3345;
																							goto
																								BgL_zc3z04anonymousza31423ze3z87_1663;
																						}
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 108 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_1607;

																			{	/* Inline/recursion.scm 112 */
																				BgL_sfunz00_bglt BgL_new1116z00_1648;

																				{	/* Inline/recursion.scm 112 */
																					BgL_sfunz00_bglt BgL_new1128z00_1658;

																					BgL_new1128z00_1658 =
																						((BgL_sfunz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sfunz00_bgl))));
																					{	/* Inline/recursion.scm 112 */
																						long BgL_arg1422z00_1659;

																						BgL_arg1422z00_1659 =
																							BGL_CLASS_NUM
																							(BGl_sfunz00zzast_varz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1128z00_1658),
																							BgL_arg1422z00_1659);
																					}
																					{	/* Inline/recursion.scm 112 */
																						BgL_objectz00_bglt BgL_tmpz00_3351;

																						BgL_tmpz00_3351 =
																							((BgL_objectz00_bglt)
																							BgL_new1128z00_1658);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3351, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1128z00_1658);
																					BgL_new1116z00_1648 =
																						BgL_new1128z00_1658;
																				}
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_arityz00) =
																					((long) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_arityz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_sidezd2effectzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_predicatezd2ofzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_predicatezd2ofzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_stackzd2allocatorzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_stackzd2allocatorzd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_topzf3zf3) =
																					((bool_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_topzf3zf3)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_thezd2closurezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_thezd2closurezd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_effectz00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_effectz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_failsafez00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_failsafez00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_argszd2noescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_argszd2noescapezd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1648)))->
																						BgL_argszd2retescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1594)))->
																							BgL_argszd2retescapezd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_propertyz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_propertyz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_argsz00) =
																					((obj_t) BgL_newzd2argszd2_1600),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_argszd2namezd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_argszd2namezd2)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_bodyz00) =
																					((obj_t) ((obj_t)
																							BgL_newzd2bodyzd2_1605)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_classz00) =
																					((obj_t) CNST_TABLE_REF(((long) 0))),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_dssslzd2keywordszd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_dssslzd2keywordszd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_locz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_optionalsz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_optionalsz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_keysz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_keysz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_thezd2closurezd2globalz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_thezd2closurezd2globalz00)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_strengthz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_strengthz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1648))->
																						BgL_stackablez00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1594))))->
																							BgL_stackablez00)), BUNSPEC);
																				BgL_newzd2sfunzd2_1607 =
																					BgL_new1116z00_1648;
																			}
																			{	/* Inline/recursion.scm 112 */
																				obj_t BgL_newzd2kfactorzd2_1608;

																				BgL_newzd2kfactorzd2_1608 =
																					((obj_t(*)(obj_t, obj_t,
																							obj_t))
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00))
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_8), BEOA);
																				{	/* Inline/recursion.scm 116 */

																					{
																						obj_t BgL_ll1305z00_1610;
																						obj_t BgL_ll1306z00_1611;

																						BgL_ll1305z00_1610 =
																							BgL_newzd2argszd2_1600;
																						BgL_ll1306z00_1611 =
																							BgL_varzd2argszd2_1599;
																					BgL_zc3z04anonymousza31359ze3z87_1612:
																						if (NULLP
																							(BgL_ll1305z00_1610))
																							{	/* Inline/recursion.scm 118 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 118 */
																								{	/* Inline/recursion.scm 119 */
																									obj_t BgL_newz00_1614;
																									obj_t BgL_oldz00_1615;

																									BgL_newz00_1614 =
																										CAR(
																										((obj_t)
																											BgL_ll1305z00_1610));
																									BgL_oldz00_1615 =
																										CAR(((obj_t)
																											BgL_ll1306z00_1611));
																									{	/* Inline/recursion.scm 119 */
																										bool_t BgL_arg1361z00_1616;

																										BgL_arg1361z00_1616 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_oldz00_1615))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_newz00_1614))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1361z00_1616), BUNSPEC);
																									}
																								}
																								{	/* Inline/recursion.scm 118 */
																									obj_t BgL_arg1362z00_1617;
																									obj_t BgL_arg1364z00_1618;

																									BgL_arg1362z00_1617 =
																										CDR(
																										((obj_t)
																											BgL_ll1305z00_1610));
																									BgL_arg1364z00_1618 =
																										CDR(((obj_t)
																											BgL_ll1306z00_1611));
																									{
																										obj_t BgL_ll1306z00_3458;
																										obj_t BgL_ll1305z00_3457;

																										BgL_ll1305z00_3457 =
																											BgL_arg1362z00_1617;
																										BgL_ll1306z00_3458 =
																											BgL_arg1364z00_1618;
																										BgL_ll1306z00_1611 =
																											BgL_ll1306z00_3458;
																										BgL_ll1305z00_1610 =
																											BgL_ll1305z00_3457;
																										goto
																											BgL_zc3z04anonymousza31359ze3z87_1612;
																									}
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 124 */
																						bool_t BgL_arg1365z00_1620;

																						{	/* Inline/recursion.scm 124 */
																							bool_t BgL_test2056z00_3459;

																							{	/* Inline/recursion.scm 124 */
																								obj_t BgL_classz00_2364;

																								BgL_classz00_2364 =
																									BGl_globalz00zzast_varz00;
																								{	/* Inline/recursion.scm 124 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_2366;
																									{	/* Inline/recursion.scm 124 */
																										obj_t BgL_tmpz00_3460;

																										BgL_tmpz00_3460 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_variablez00_1592));
																										BgL_arg1820z00_2366 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3460);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Inline/recursion.scm 124 */
																											long BgL_idxz00_2372;

																											BgL_idxz00_2372 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_2366);
																											BgL_test2056z00_3459 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_2372 +
																														((long) 2))) ==
																												BgL_classz00_2364);
																										}
																									else
																										{	/* Inline/recursion.scm 124 */
																											bool_t
																												BgL_res1949z00_2394;
																											{	/* Inline/recursion.scm 124 */
																												obj_t
																													BgL_oclassz00_2380;
																												{	/* Inline/recursion.scm 124 */
																													long
																														BgL_arg1828z00_2386;
																													{	/* Inline/recursion.scm 124 */
																														long
																															BgL_arg1829z00_2387;
																														BgL_arg1829z00_2387
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_2366);
																														BgL_arg1828z00_2386
																															=
																															(BgL_arg1829z00_2387
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_2380 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_2386);
																												}
																												{	/* Inline/recursion.scm 124 */
																													bool_t
																														BgL__ortest_1111z00_2381;
																													BgL__ortest_1111z00_2381
																														=
																														(BgL_classz00_2364
																														==
																														BgL_oclassz00_2380);
																													if (BgL__ortest_1111z00_2381)
																														{	/* Inline/recursion.scm 124 */
																															BgL_res1949z00_2394
																																=
																																BgL__ortest_1111z00_2381;
																														}
																													else
																														{	/* Inline/recursion.scm 124 */
																															long
																																BgL_odepthz00_2382;
																															BgL_odepthz00_2382
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_2380);
																															if ((((long) 2) <
																																	BgL_odepthz00_2382))
																																{	/* Inline/recursion.scm 124 */
																																	obj_t
																																		BgL_arg1816z00_2384;
																																	BgL_arg1816z00_2384
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_2380,
																																		((long) 2));
																																	BgL_res1949z00_2394
																																		=
																																		(BgL_arg1816z00_2384
																																		==
																																		BgL_classz00_2364);
																																}
																															else
																																{	/* Inline/recursion.scm 124 */
																																	BgL_res1949z00_2394
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2056z00_3459 =
																												BgL_res1949z00_2394;
																										}
																								}
																							}
																							if (BgL_test2056z00_3459)
																								{	/* Inline/recursion.scm 124 */
																									BgL_arg1365z00_1620 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_1592))))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 126 */
																									bool_t BgL_test2060z00_3483;

																									{	/* Inline/recursion.scm 126 */
																										obj_t BgL_classz00_2396;

																										BgL_classz00_2396 =
																											BGl_localz00zzast_varz00;
																										{	/* Inline/recursion.scm 126 */
																											BgL_objectz00_bglt
																												BgL_arg1820z00_2398;
																											{	/* Inline/recursion.scm 126 */
																												obj_t BgL_tmpz00_3484;

																												BgL_tmpz00_3484 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_variablez00_1592));
																												BgL_arg1820z00_2398 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3484);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Inline/recursion.scm 126 */
																													long BgL_idxz00_2404;

																													BgL_idxz00_2404 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1820z00_2398);
																													BgL_test2060z00_3483 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2404 +
																																((long) 2))) ==
																														BgL_classz00_2396);
																												}
																											else
																												{	/* Inline/recursion.scm 126 */
																													bool_t
																														BgL_res1950z00_2426;
																													{	/* Inline/recursion.scm 126 */
																														obj_t
																															BgL_oclassz00_2412;
																														{	/* Inline/recursion.scm 126 */
																															long
																																BgL_arg1828z00_2418;
																															{	/* Inline/recursion.scm 126 */
																																long
																																	BgL_arg1829z00_2419;
																																BgL_arg1829z00_2419
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1820z00_2398);
																																BgL_arg1828z00_2418
																																	=
																																	(BgL_arg1829z00_2419
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2412
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1828z00_2418);
																														}
																														{	/* Inline/recursion.scm 126 */
																															bool_t
																																BgL__ortest_1111z00_2413;
																															BgL__ortest_1111z00_2413
																																=
																																(BgL_classz00_2396
																																==
																																BgL_oclassz00_2412);
																															if (BgL__ortest_1111z00_2413)
																																{	/* Inline/recursion.scm 126 */
																																	BgL_res1950z00_2426
																																		=
																																		BgL__ortest_1111z00_2413;
																																}
																															else
																																{	/* Inline/recursion.scm 126 */
																																	long
																																		BgL_odepthz00_2414;
																																	BgL_odepthz00_2414
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2412);
																																	if ((((long)
																																				2) <
																																			BgL_odepthz00_2414))
																																		{	/* Inline/recursion.scm 126 */
																																			obj_t
																																				BgL_arg1816z00_2416;
																																			BgL_arg1816z00_2416
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2412,
																																				((long)
																																					2));
																																			BgL_res1950z00_2426
																																				=
																																				(BgL_arg1816z00_2416
																																				==
																																				BgL_classz00_2396);
																																		}
																																	else
																																		{	/* Inline/recursion.scm 126 */
																																			BgL_res1950z00_2426
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2060z00_3483 =
																														BgL_res1950z00_2426;
																												}
																										}
																									}
																									if (BgL_test2060z00_3483)
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1365z00_1620 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_variablez00_1592))))->BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1365z00_1620 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_localz00_1593)))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg1365z00_1620),
																							BUNSPEC);
																					}
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_localz00_1593)))->
																							BgL_valuez00) =
																						((BgL_valuez00_bglt) (
																								(BgL_valuez00_bglt)
																								BgL_newzd2sfunzd2_1607)),
																						BUNSPEC);
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																										COBJECT(((BgL_sfunz00_bglt)
																												BgL_oldzd2sfunzd2_1594)))->
																									BgL_classz00),
																								CNST_TABLE_REF(((long) 1)))))
																						{	/* Inline/recursion.scm 139 */
																							BFALSE;
																						}
																					else
																						{	/* Inline/recursion.scm 140 */
																							bool_t BgL_test2065z00_3518;

																							if (INTEGERP
																								(BGl_za2verboseza2z00zzengine_paramz00))
																								{	/* Inline/recursion.scm 140 */
																									BgL_test2065z00_3518 =
																										(((long) 3) <=
																										(long)
																										CINT
																										(BGl_za2verboseza2z00zzengine_paramz00));
																								}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BgL_test2065z00_3518 =
																										BGl_2zc3zd3z10zz__r4_numbers_6_5z00
																										(BINT(((long) 3)),
																										BGl_za2verboseza2z00zzengine_paramz00);
																								}
																							if (BgL_test2065z00_3518)
																								{	/* Inline/recursion.scm 141 */
																									obj_t BgL_arg1376z00_1628;
																									obj_t BgL_arg1378z00_1629;

																									BgL_arg1376z00_1628 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t)
																											BgL_variablez00_1592));
																									BgL_arg1378z00_1629 =
																										BGl_currentzd2functionzd2zztools_errorz00
																										();
																									{	/* Inline/recursion.scm 140 */
																										obj_t BgL_list1379z00_1630;

																										{	/* Inline/recursion.scm 140 */
																											obj_t BgL_arg1381z00_1631;

																											{	/* Inline/recursion.scm 140 */
																												obj_t
																													BgL_arg1384z00_1632;
																												{	/* Inline/recursion.scm 140 */
																													obj_t
																														BgL_arg1387z00_1633;
																													{	/* Inline/recursion.scm 140 */
																														obj_t
																															BgL_arg1388z00_1634;
																														{	/* Inline/recursion.scm 140 */
																															obj_t
																																BgL_arg1389z00_1635;
																															BgL_arg1389z00_1635
																																=
																																MAKE_YOUNG_PAIR
																																(BCHAR((
																																		(unsigned
																																			char)
																																		10)), BNIL);
																															BgL_arg1388z00_1634
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1971z00zzinline_recursionz00,
																																BgL_arg1389z00_1635);
																														}
																														BgL_arg1387z00_1633
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1378z00_1629,
																															BgL_arg1388z00_1634);
																													}
																													BgL_arg1384z00_1632 =
																														MAKE_YOUNG_PAIR
																														(BGl_string1972z00zzinline_recursionz00,
																														BgL_arg1387z00_1633);
																												}
																												BgL_arg1381z00_1631 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1376z00_1628,
																													BgL_arg1384z00_1632);
																											}
																											BgL_list1379z00_1630 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1973z00zzinline_recursionz00,
																												BgL_arg1381z00_1631);
																										}
																										BGl_verbosez00zztools_speekz00
																											(BINT(((long) 3)),
																											BgL_list1379z00_1630);
																								}}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BUNSPEC;
																								}
																						}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_1593),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_1608),
																						BgL_stackz00_9);
																					{	/* Inline/recursion.scm 150 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_1638;
																						long BgL_callzd2siza7ez75_1639;

																						BgL_newzd2callzd2_1638 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_7));
																						BgL_callzd2siza7ez75_1639 =
																							(((long) 1) +
																							bgl_list_length(((
																										(BgL_appz00_bglt)
																										COBJECT(((BgL_appz00_bglt)
																												BgL_nodez00_7)))->
																									BgL_argsz00)));
																						{	/* Inline/recursion.scm 152 */
																							bool_t BgL_test2067z00_3546;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 152 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1592))
																										{	/* Inline/recursion.scm 153 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1592))
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2067z00_3546 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2067z00_3546 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_1593), (long) CINT(BgL_newzd2kfactorzd2_1608), BgL_callzd2siza7ez75_1639, BgL_stackz00_9);
																										}}
																									else
																										{	/* Inline/recursion.scm 153 */
																											BgL_test2067z00_3546 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									BgL_test2067z00_3546 =
																										((bool_t) 0);
																								}
																							if (BgL_test2067z00_3546)
																								{	/* Inline/recursion.scm 152 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1592,
																										BgL_nodez00_7,
																										BgL_localz00_1593,
																										BgL_newzd2kfactorzd2_1608,
																										BgL_newzd2callzd2_1638,
																										BgL_stackz00_9);
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									return
																										((obj_t)
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1592,
																											BgL_nodez00_7,
																											BgL_localz00_1593,
																											BgL_newzd2callzd2_1638,
																											BgL_stackz00_9));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_10, BgL_nodez00_bglt BgL_nodez00_11,
		BgL_localz00_bglt BgL_localz00_12, BgL_appz00_bglt BgL_newzd2callzd2_13,
		obj_t BgL_stackz00_14)
	{
		{	/* Inline/recursion.scm 164 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_10);
			{	/* Inline/recursion.scm 174 */
				obj_t BgL_ilocz00_1723;

				{	/* Inline/recursion.scm 174 */
					bool_t BgL_test2071z00_3560;

					{	/* Inline/recursion.scm 174 */
						obj_t BgL_classz00_2437;

						BgL_classz00_2437 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 174 */
							BgL_objectz00_bglt BgL_arg1820z00_2439;

							{	/* Inline/recursion.scm 174 */
								obj_t BgL_tmpz00_3561;

								BgL_tmpz00_3561 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_10));
								BgL_arg1820z00_2439 = (BgL_objectz00_bglt) (BgL_tmpz00_3561);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 174 */
									long BgL_idxz00_2445;

									BgL_idxz00_2445 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2439);
									BgL_test2071z00_3560 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2445 + ((long) 2))) == BgL_classz00_2437);
								}
							else
								{	/* Inline/recursion.scm 174 */
									bool_t BgL_res1951z00_2467;

									{	/* Inline/recursion.scm 174 */
										obj_t BgL_oclassz00_2453;

										{	/* Inline/recursion.scm 174 */
											long BgL_arg1828z00_2459;

											{	/* Inline/recursion.scm 174 */
												long BgL_arg1829z00_2460;

												BgL_arg1829z00_2460 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2439);
												BgL_arg1828z00_2459 =
													(BgL_arg1829z00_2460 - OBJECT_TYPE);
											}
											BgL_oclassz00_2453 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2459);
										}
										{	/* Inline/recursion.scm 174 */
											bool_t BgL__ortest_1111z00_2454;

											BgL__ortest_1111z00_2454 =
												(BgL_classz00_2437 == BgL_oclassz00_2453);
											if (BgL__ortest_1111z00_2454)
												{	/* Inline/recursion.scm 174 */
													BgL_res1951z00_2467 = BgL__ortest_1111z00_2454;
												}
											else
												{	/* Inline/recursion.scm 174 */
													long BgL_odepthz00_2455;

													BgL_odepthz00_2455 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2453);
													if ((((long) 2) < BgL_odepthz00_2455))
														{	/* Inline/recursion.scm 174 */
															obj_t BgL_arg1816z00_2457;

															BgL_arg1816z00_2457 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2453,
																((long) 2));
															BgL_res1951z00_2467 =
																(BgL_arg1816z00_2457 == BgL_classz00_2437);
														}
													else
														{	/* Inline/recursion.scm 174 */
															BgL_res1951z00_2467 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2071z00_3560 = BgL_res1951z00_2467;
								}
						}
					}
					if (BgL_test2071z00_3560)
						{	/* Inline/recursion.scm 175 */
							bool_t BgL_test2075z00_3581;

							{	/* Inline/recursion.scm 175 */
								obj_t BgL_arg1590z00_1734;

								BgL_arg1590z00_1734 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_10)))->
									BgL_modulez00);
								BgL_test2075z00_3581 =
									(BgL_arg1590z00_1734 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2075z00_3581)
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1723 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1723 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 174 */
							BgL_ilocz00_1723 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 177 */
					BgL_letzd2funzd2_bglt BgL_new1133z00_1724;

					{	/* Inline/recursion.scm 178 */
						BgL_letzd2funzd2_bglt BgL_new1132z00_1730;

						BgL_new1132z00_1730 =
							((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Inline/recursion.scm 178 */
							long BgL_arg1588z00_1731;

							BgL_arg1588z00_1731 =
								BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_1730),
								BgL_arg1588z00_1731);
						}
						{	/* Inline/recursion.scm 178 */
							BgL_objectz00_bglt BgL_tmpz00_3590;

							BgL_tmpz00_3590 = ((BgL_objectz00_bglt) BgL_new1132z00_1730);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3590, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_1730);
						BgL_new1133z00_1724 = BgL_new1132z00_1730;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1133z00_1724)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1133z00_1724)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_typez00)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1133z00_1724)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1133z00_1724)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3605;

						{	/* Inline/recursion.scm 180 */
							obj_t BgL_list1571z00_1725;

							BgL_list1571z00_1725 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
							BgL_auxz00_3605 = BgL_list1571z00_1725;
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1133z00_1724))->
								BgL_localsz00) = ((obj_t) BgL_auxz00_3605), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3609;

						{	/* Inline/recursion.scm 181 */
							obj_t BgL_arg1572z00_1726;
							obj_t BgL_arg1580z00_1727;

							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1581z00_1728;

								BgL_list1581z00_1728 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_10), BNIL);
								BgL_arg1572z00_1726 = BgL_list1581z00_1728;
							}
							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1582z00_1729;

								BgL_list1582z00_1729 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
								BgL_arg1580z00_1727 = BgL_list1582z00_1729;
							}
							BgL_auxz00_3609 =
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1572z00_1726,
								BgL_arg1580z00_1727, BgL_ilocz00_1723,
								((BgL_nodez00_bglt) BgL_newzd2callzd2_13));
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1133z00_1724))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3609), BUNSPEC);
					}
					return BgL_new1133z00_1724;
				}
			}
		}

	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_15, BgL_nodez00_bglt BgL_nodez00_16,
		BgL_localz00_bglt BgL_localz00_17, obj_t BgL_kfactorz00_18,
		BgL_appz00_bglt BgL_callz00_19, obj_t BgL_stackz00_20)
	{
		{	/* Inline/recursion.scm 187 */
			{	/* Inline/recursion.scm 193 */
				obj_t BgL_ilocz00_1735;

				{	/* Inline/recursion.scm 193 */
					bool_t BgL_test2076z00_3617;

					{	/* Inline/recursion.scm 193 */
						obj_t BgL_classz00_2479;

						BgL_classz00_2479 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 193 */
							BgL_objectz00_bglt BgL_arg1820z00_2481;

							{	/* Inline/recursion.scm 193 */
								obj_t BgL_tmpz00_3618;

								BgL_tmpz00_3618 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_15));
								BgL_arg1820z00_2481 = (BgL_objectz00_bglt) (BgL_tmpz00_3618);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 193 */
									long BgL_idxz00_2487;

									BgL_idxz00_2487 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2481);
									BgL_test2076z00_3617 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2487 + ((long) 2))) == BgL_classz00_2479);
								}
							else
								{	/* Inline/recursion.scm 193 */
									bool_t BgL_res1955z00_2509;

									{	/* Inline/recursion.scm 193 */
										obj_t BgL_oclassz00_2495;

										{	/* Inline/recursion.scm 193 */
											long BgL_arg1828z00_2501;

											{	/* Inline/recursion.scm 193 */
												long BgL_arg1829z00_2502;

												BgL_arg1829z00_2502 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2481);
												BgL_arg1828z00_2501 =
													(BgL_arg1829z00_2502 - OBJECT_TYPE);
											}
											BgL_oclassz00_2495 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2501);
										}
										{	/* Inline/recursion.scm 193 */
											bool_t BgL__ortest_1111z00_2496;

											BgL__ortest_1111z00_2496 =
												(BgL_classz00_2479 == BgL_oclassz00_2495);
											if (BgL__ortest_1111z00_2496)
												{	/* Inline/recursion.scm 193 */
													BgL_res1955z00_2509 = BgL__ortest_1111z00_2496;
												}
											else
												{	/* Inline/recursion.scm 193 */
													long BgL_odepthz00_2497;

													BgL_odepthz00_2497 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2495);
													if ((((long) 2) < BgL_odepthz00_2497))
														{	/* Inline/recursion.scm 193 */
															obj_t BgL_arg1816z00_2499;

															BgL_arg1816z00_2499 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2495,
																((long) 2));
															BgL_res1955z00_2509 =
																(BgL_arg1816z00_2499 == BgL_classz00_2479);
														}
													else
														{	/* Inline/recursion.scm 193 */
															BgL_res1955z00_2509 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2076z00_3617 = BgL_res1955z00_2509;
								}
						}
					}
					if (BgL_test2076z00_3617)
						{	/* Inline/recursion.scm 194 */
							bool_t BgL_test2080z00_3638;

							{	/* Inline/recursion.scm 194 */
								obj_t BgL_arg1629z00_1758;

								BgL_arg1629z00_1758 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_15)))->
									BgL_modulez00);
								BgL_test2080z00_3638 =
									(BgL_arg1629z00_1758 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2080z00_3638)
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1735 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1735 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_callz00_19)))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 193 */
							BgL_ilocz00_1735 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 193 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1736;

					{	/* Inline/recursion.scm 196 */
						obj_t BgL_arg1616z00_1752;
						obj_t BgL_arg1625z00_1753;

						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1626z00_1754;

							BgL_list1626z00_1754 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_15), BNIL);
							BgL_arg1616z00_1752 = BgL_list1626z00_1754;
						}
						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1627z00_1755;

							BgL_list1627z00_1755 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BNIL);
							BgL_arg1625z00_1753 = BgL_list1627z00_1755;
						}
						BgL_newzd2callzd2_1736 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1616z00_1752,
							BgL_arg1625z00_1753, BgL_ilocz00_1735,
							((BgL_nodez00_bglt) BgL_callz00_19));
					}
					{	/* Inline/recursion.scm 197 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1738;

						{	/* Inline/recursion.scm 200 */
							obj_t BgL_arg1614z00_1750;

							BgL_arg1614z00_1750 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BgL_stackz00_20);
							BgL_newzd2bodyzd2_1738 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1736, (long) CINT(BgL_kfactorz00_18),
								BgL_arg1614z00_1750, BGl_string1974z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 198 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_15);
							{	/* Inline/recursion.scm 209 */
								obj_t BgL__z00_1739;

								{	/* Inline/recursion.scm 213 */
									BgL_nodez00_bglt BgL_arg1598z00_1741;

									{	/* Inline/recursion.scm 213 */
										obj_t BgL_zc3z04anonymousza31600ze3z87_2834;

										BgL_zc3z04anonymousza31600ze3z87_2834 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31600ze3ze5zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31600ze3z87_2834,
											(int) (((long) 0)), ((obj_t) BgL_localz00_17));
										BgL_arg1598z00_1741 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1738, BgL_localz00_17,
											BgL_zc3z04anonymousza31600ze3z87_2834);
									}
									BgL__z00_1739 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1598z00_1741,
										BNIL);
								}
								{	/* Inline/recursion.scm 210 */
									obj_t BgL_nodez00_1740;

									{	/* Inline/recursion.scm 210 */
										obj_t BgL_tmpz00_2523;

										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3663;

											BgL_tmpz00_3663 = (int) (((long) 1));
											BgL_tmpz00_2523 = BGL_MVALUES_VAL(BgL_tmpz00_3663);
										}
										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3666;

											BgL_tmpz00_3666 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3666, BUNSPEC);
										}
										BgL_nodez00_1740 = BgL_tmpz00_2523;
									}
									return BgL_nodez00_1740;
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1600> */
	obj_t BGl_z62zc3z04anonymousza31600ze3ze5zzinline_recursionz00(obj_t
		BgL_envz00_2835, obj_t BgL_nodez00_2837)
	{
		{	/* Inline/recursion.scm 212 */
			{	/* Inline/recursion.scm 213 */
				BgL_localz00_bglt BgL_localz00_2836;

				BgL_localz00_2836 =
					((BgL_localz00_bglt)
					PROCEDURE_REF(BgL_envz00_2835, (int) (((long) 0))));
				{
					BgL_letzd2funzd2_bglt BgL_auxz00_3672;

					{	/* Inline/recursion.scm 213 */
						BgL_letzd2funzd2_bglt BgL_new1137z00_2970;

						{	/* Inline/recursion.scm 214 */
							BgL_letzd2funzd2_bglt BgL_new1136z00_2971;

							BgL_new1136z00_2971 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Inline/recursion.scm 214 */
								long BgL_arg1610z00_2972;

								BgL_arg1610z00_2972 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1136z00_2971),
									BgL_arg1610z00_2972);
							}
							{	/* Inline/recursion.scm 214 */
								BgL_objectz00_bglt BgL_tmpz00_3677;

								BgL_tmpz00_3677 = ((BgL_objectz00_bglt) BgL_new1136z00_2971);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3677, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1136z00_2971);
							BgL_new1137z00_2970 = BgL_new1136z00_2971;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1137z00_2970)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_2837)))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1137z00_2970)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) BgL_nodez00_2837)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1137z00_2970)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1137z00_2970)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3694;

							{	/* Inline/recursion.scm 217 */
								obj_t BgL_list1601z00_2973;

								BgL_list1601z00_2973 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_2836), BNIL);
								BgL_auxz00_3694 = BgL_list1601z00_2973;
							}
							((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1137z00_2970))->
									BgL_localsz00) = ((obj_t) BgL_auxz00_3694), BUNSPEC);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1137z00_2970))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2837)),
							BUNSPEC);
						BgL_auxz00_3672 = BgL_new1137z00_2970;
					}
					return ((obj_t) BgL_auxz00_3672);
				}
			}
		}

	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_21)
	{
		{	/* Inline/recursion.scm 224 */
			{	/* Inline/recursion.scm 226 */
				BgL_valuez00_bglt BgL_sfunz00_1759;

				BgL_sfunz00_1759 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->BgL_valuez00);
				{	/* Inline/recursion.scm 227 */
					bool_t BgL_test2081z00_3702;

					{	/* Inline/recursion.scm 227 */
						obj_t BgL_classz00_2525;

						BgL_classz00_2525 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 227 */
							BgL_objectz00_bglt BgL_arg1820z00_2527;

							{	/* Inline/recursion.scm 227 */
								obj_t BgL_tmpz00_3703;

								BgL_tmpz00_3703 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1759));
								BgL_arg1820z00_2527 = (BgL_objectz00_bglt) (BgL_tmpz00_3703);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 227 */
									long BgL_idxz00_2533;

									BgL_idxz00_2533 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2527);
									BgL_test2081z00_3702 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2533 + ((long) 4))) == BgL_classz00_2525);
								}
							else
								{	/* Inline/recursion.scm 227 */
									bool_t BgL_res1959z00_2555;

									{	/* Inline/recursion.scm 227 */
										obj_t BgL_oclassz00_2541;

										{	/* Inline/recursion.scm 227 */
											long BgL_arg1828z00_2547;

											{	/* Inline/recursion.scm 227 */
												long BgL_arg1829z00_2548;

												BgL_arg1829z00_2548 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2527);
												BgL_arg1828z00_2547 =
													(BgL_arg1829z00_2548 - OBJECT_TYPE);
											}
											BgL_oclassz00_2541 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2547);
										}
										{	/* Inline/recursion.scm 227 */
											bool_t BgL__ortest_1111z00_2542;

											BgL__ortest_1111z00_2542 =
												(BgL_classz00_2525 == BgL_oclassz00_2541);
											if (BgL__ortest_1111z00_2542)
												{	/* Inline/recursion.scm 227 */
													BgL_res1959z00_2555 = BgL__ortest_1111z00_2542;
												}
											else
												{	/* Inline/recursion.scm 227 */
													long BgL_odepthz00_2543;

													BgL_odepthz00_2543 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2541);
													if ((((long) 4) < BgL_odepthz00_2543))
														{	/* Inline/recursion.scm 227 */
															obj_t BgL_arg1816z00_2545;

															BgL_arg1816z00_2545 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2541,
																((long) 4));
															BgL_res1959z00_2555 =
																(BgL_arg1816z00_2545 == BgL_classz00_2525);
														}
													else
														{	/* Inline/recursion.scm 227 */
															BgL_res1959z00_2555 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2081z00_3702 = BgL_res1959z00_2555;
								}
						}
					}
					if (BgL_test2081z00_3702)
						{	/* Inline/recursion.scm 236 */
							bool_t BgL_test2085z00_3723;

							{	/* Inline/recursion.scm 236 */
								obj_t BgL_arg1646z00_1770;

								{
									BgL_isfunz00_bglt BgL_auxz00_3724;

									{
										obj_t BgL_auxz00_3725;

										{	/* Inline/recursion.scm 236 */
											BgL_objectz00_bglt BgL_tmpz00_3726;

											BgL_tmpz00_3726 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1759));
											BgL_auxz00_3725 = BGL_OBJECT_WIDENING(BgL_tmpz00_3726);
										}
										BgL_auxz00_3724 = ((BgL_isfunz00_bglt) BgL_auxz00_3725);
									}
									BgL_arg1646z00_1770 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3724))->
										BgL_recursivezd2callszd2);
								}
								BgL_test2085z00_3723 = PAIRP(BgL_arg1646z00_1770);
							}
							if (BgL_test2085z00_3723)
								{	/* Inline/recursion.scm 236 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 238 */
									bool_t BgL_test2086z00_3733;

									{	/* Inline/recursion.scm 238 */
										obj_t BgL_arg1645z00_1769;

										{
											BgL_isfunz00_bglt BgL_auxz00_3734;

											{
												obj_t BgL_auxz00_3735;

												{	/* Inline/recursion.scm 238 */
													BgL_objectz00_bglt BgL_tmpz00_3736;

													BgL_tmpz00_3736 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1759));
													BgL_auxz00_3735 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
												}
												BgL_auxz00_3734 = ((BgL_isfunz00_bglt) BgL_auxz00_3735);
											}
											BgL_arg1645z00_1769 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3734))->
												BgL_recursivezd2callszd2);
										}
										BgL_test2086z00_3733 = NULLP(BgL_arg1645z00_1769);
									}
									if (BgL_test2086z00_3733)
										{	/* Inline/recursion.scm 238 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 241 */
											obj_t BgL_trecz00_1765;

											BgL_trecz00_1765 = MAKE_YOUNG_CELL(BTRUE);
											{	/* Inline/recursion.scm 241 */
												obj_t BgL_callsz00_1766;

												{	/* Inline/recursion.scm 243 */
													BgL_nodez00_bglt BgL_arg1641z00_1768;

													{
														BgL_isfunz00_bglt BgL_auxz00_3744;

														{
															obj_t BgL_auxz00_3745;

															{	/* Inline/recursion.scm 243 */
																BgL_objectz00_bglt BgL_tmpz00_3746;

																BgL_tmpz00_3746 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1759));
																BgL_auxz00_3745 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3746);
															}
															BgL_auxz00_3744 =
																((BgL_isfunz00_bglt) BgL_auxz00_3745);
														}
														BgL_arg1641z00_1768 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3744))->
															BgL_originalzd2bodyzd2);
													}
													BgL_callsz00_1766 =
														BGl_findzd2recursivezd2callsz00zzinline_recursionz00
														(BgL_arg1641z00_1768, BgL_varz00_21, BTRUE,
														BgL_trecz00_1765);
												}
												{	/* Inline/recursion.scm 242 */

													{	/* Inline/recursion.scm 244 */
														obj_t BgL_arg1639z00_1767;

														BgL_arg1639z00_1767 = CELL_REF(BgL_trecz00_1765);
														{	/* Inline/recursion.scm 244 */
															bool_t BgL_vz00_2564;

															BgL_vz00_2564 = CBOOL(BgL_arg1639z00_1767);
															{
																BgL_isfunz00_bglt BgL_auxz00_3755;

																{
																	obj_t BgL_auxz00_3756;

																	{	/* Inline/recursion.scm 244 */
																		BgL_objectz00_bglt BgL_tmpz00_3757;

																		BgL_tmpz00_3757 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_sfunz00_1759));
																		BgL_auxz00_3756 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3757);
																	}
																	BgL_auxz00_3755 =
																		((BgL_isfunz00_bglt) BgL_auxz00_3756);
																}
																((((BgL_isfunz00_bglt)
																			COBJECT(BgL_auxz00_3755))->
																		BgL_tailrecz00) =
																	((bool_t) BgL_vz00_2564), BUNSPEC);
															}
														}
													}
													{
														BgL_isfunz00_bglt BgL_auxz00_3763;

														{
															obj_t BgL_auxz00_3764;

															{	/* Inline/recursion.scm 245 */
																BgL_objectz00_bglt BgL_tmpz00_3765;

																BgL_tmpz00_3765 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1759));
																BgL_auxz00_3764 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3765);
															}
															BgL_auxz00_3763 =
																((BgL_isfunz00_bglt) BgL_auxz00_3764);
														}
														((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3763))->
																BgL_recursivezd2callszd2) =
															((obj_t) BgL_callsz00_1766), BUNSPEC);
													}
													return PAIRP(BgL_callsz00_1766);
												}
											}
										}
								}
						}
					else
						{	/* Inline/recursion.scm 228 */
							obj_t BgL_trecz00_1771;

							BgL_trecz00_1771 = MAKE_YOUNG_CELL(BTRUE);
							{	/* Inline/recursion.scm 228 */
								obj_t BgL_callsz00_1772;

								{	/* Inline/recursion.scm 229 */
									obj_t BgL_arg1651z00_1778;

									BgL_arg1651z00_1778 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1759)))->BgL_bodyz00);
									BgL_callsz00_1772 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1651z00_1778), BgL_varz00_21,
										BTRUE, BgL_trecz00_1771);
								}
								{	/* Inline/recursion.scm 229 */

									{	/* Inline/recursion.scm 230 */
										BgL_isfunz00_bglt BgL_wide1140z00_1775;

										BgL_wide1140z00_1775 =
											((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_isfunz00_bgl))));
										{	/* Inline/recursion.scm 230 */
											obj_t BgL_auxz00_3782;
											BgL_objectz00_bglt BgL_tmpz00_3778;

											BgL_auxz00_3782 = ((obj_t) BgL_wide1140z00_1775);
											BgL_tmpz00_3778 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3778, BgL_auxz00_3782);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
										{	/* Inline/recursion.scm 230 */
											long BgL_arg1648z00_1776;

											BgL_arg1648z00_1776 =
												BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1759))),
												BgL_arg1648z00_1776);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3796;

										{
											obj_t BgL_auxz00_3797;

											{	/* Inline/recursion.scm 232 */
												BgL_objectz00_bglt BgL_tmpz00_3798;

												BgL_tmpz00_3798 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
												BgL_auxz00_3797 = BGL_OBJECT_WIDENING(BgL_tmpz00_3798);
											}
											BgL_auxz00_3796 = ((BgL_isfunz00_bglt) BgL_auxz00_3797);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3796))->
												BgL_originalzd2bodyzd2) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((
															(BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_sfunz00_1759)))->BgL_bodyz00))), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3808;

										{
											obj_t BgL_auxz00_3809;

											{	/* Inline/recursion.scm 233 */
												BgL_objectz00_bglt BgL_tmpz00_3810;

												BgL_tmpz00_3810 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
												BgL_auxz00_3809 = BGL_OBJECT_WIDENING(BgL_tmpz00_3810);
											}
											BgL_auxz00_3808 = ((BgL_isfunz00_bglt) BgL_auxz00_3809);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3808))->
												BgL_recursivezd2callszd2) =
											((obj_t) BgL_callsz00_1772), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3817;

										{
											obj_t BgL_auxz00_3818;

											{	/* Inline/recursion.scm 231 */
												BgL_objectz00_bglt BgL_tmpz00_3819;

												BgL_tmpz00_3819 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1759)));
												BgL_auxz00_3818 = BGL_OBJECT_WIDENING(BgL_tmpz00_3819);
											}
											BgL_auxz00_3817 = ((BgL_isfunz00_bglt) BgL_auxz00_3818);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3817))->
												BgL_tailrecz00) =
											((bool_t) CBOOL(CELL_REF(BgL_trecz00_1771))), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1759));
									return PAIRP(BgL_callsz00_1772);
								}
							}
						}
				}
			}
		}

	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_2838,
		obj_t BgL_varz00_2839)
	{
		{	/* Inline/recursion.scm 224 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_2839)));
		}

	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_98, obj_t BgL_varz00_99, obj_t BgL_tailz00_100,
		obj_t BgL_tresz00_101)
	{
		{	/* Inline/recursion.scm 411 */
			{
				obj_t BgL_nodeza2za2_1781;
				obj_t BgL_callsz00_1782;

				BgL_nodeza2za2_1781 = BgL_nodeza2za2_98;
				BgL_callsz00_1782 = BNIL;
			BgL_zc3z04anonymousza31652ze3z87_1783:
				if (NULLP(BgL_nodeza2za2_1781))
					{	/* Inline/recursion.scm 415 */
						return BgL_callsz00_1782;
					}
				else
					{	/* Inline/recursion.scm 415 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1781))))
							{	/* Inline/recursion.scm 418 */
								obj_t BgL_arg1663z00_1787;

								{	/* Inline/recursion.scm 418 */
									obj_t BgL_arg1672z00_1788;

									BgL_arg1672z00_1788 = CAR(((obj_t) BgL_nodeza2za2_1781));
									BgL_arg1663z00_1787 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1672z00_1788),
										((BgL_variablez00_bglt) BgL_varz00_99), BgL_tailz00_100,
										BgL_tresz00_101);
								}
								return
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1663z00_1787, BgL_callsz00_1782);
							}
						else
							{	/* Inline/recursion.scm 420 */
								obj_t BgL_arg1673z00_1789;
								obj_t BgL_arg1674z00_1790;

								BgL_arg1673z00_1789 = CDR(((obj_t) BgL_nodeza2za2_1781));
								{	/* Inline/recursion.scm 421 */
									obj_t BgL_arg1677z00_1791;

									{	/* Inline/recursion.scm 421 */
										obj_t BgL_arg1680z00_1792;

										BgL_arg1680z00_1792 = CAR(((obj_t) BgL_nodeza2za2_1781));
										BgL_arg1677z00_1791 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg1680z00_1792),
											((BgL_variablez00_bglt) BgL_varz00_99), BFALSE,
											BgL_tresz00_101);
									}
									BgL_arg1674z00_1790 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_arg1677z00_1791, BgL_callsz00_1782);
								}
								{
									obj_t BgL_callsz00_3855;
									obj_t BgL_nodeza2za2_3854;

									BgL_nodeza2za2_3854 = BgL_arg1673z00_1789;
									BgL_callsz00_3855 = BgL_arg1674z00_1790;
									BgL_callsz00_1782 = BgL_callsz00_3855;
									BgL_nodeza2za2_1781 = BgL_nodeza2za2_3854;
									goto BgL_zc3z04anonymousza31652ze3z87_1783;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc1975z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string1976z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1308 */
	obj_t BGl_z62findzd2recursivezd2calls1308z62zzinline_recursionz00(obj_t
		BgL_envz00_2841, obj_t BgL_nodez00_2842, obj_t BgL_varz00_2843,
		obj_t BgL_tailz00_2844, obj_t BgL_tresz00_2845)
	{
		{	/* Inline/recursion.scm 251 */
			return BNIL;
		}

	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_variablez00_bglt BgL_varz00_23, obj_t BgL_tailz00_24,
		obj_t BgL_tresz00_25)
	{
		{	/* Inline/recursion.scm 251 */
			{	/* Inline/recursion.scm 251 */
				obj_t BgL_method1309z00_1802;

				{	/* Inline/recursion.scm 251 */
					obj_t BgL_res1964z00_2612;

					{	/* Inline/recursion.scm 251 */
						long BgL_objzd2classzd2numz00_2583;

						BgL_objzd2classzd2numz00_2583 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
						{	/* Inline/recursion.scm 251 */
							obj_t BgL_arg1825z00_2584;

							BgL_arg1825z00_2584 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (((long) 1)));
							{	/* Inline/recursion.scm 251 */
								int BgL_offsetz00_2587;

								BgL_offsetz00_2587 = (int) (BgL_objzd2classzd2numz00_2583);
								{	/* Inline/recursion.scm 251 */
									long BgL_offsetz00_2588;

									BgL_offsetz00_2588 =
										((long) (BgL_offsetz00_2587) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 251 */
										long BgL_modz00_2589;

										BgL_modz00_2589 =
											(BgL_offsetz00_2588 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/recursion.scm 251 */
											long BgL_restz00_2591;

											BgL_restz00_2591 =
												(BgL_offsetz00_2588 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/recursion.scm 251 */

												{	/* Inline/recursion.scm 251 */
													obj_t BgL_bucketz00_2593;

													BgL_bucketz00_2593 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2584), BgL_modz00_2589);
													BgL_res1964z00_2612 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2593), BgL_restz00_2591);
					}}}}}}}}
					BgL_method1309z00_1802 = BgL_res1964z00_2612;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1309z00_1802)) (BgL_method1309z00_1802,
					((obj_t) BgL_nodez00_22), ((obj_t) BgL_varz00_23), BgL_tailz00_24,
					BgL_tresz00_25, BEOA);
			}
		}

	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_varz00_2848,
		obj_t BgL_tailz00_2849, obj_t BgL_tresz00_2850)
	{
		{	/* Inline/recursion.scm 251 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2847),
				((BgL_variablez00_bglt) BgL_varz00_2848), BgL_tailz00_2849,
				BgL_tresz00_2850);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1977z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_syncz00zzast_nodez00, BGl_proc1979z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc1980z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1981z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1982z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc1983z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc1984z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc1985z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1986z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc1987z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_switchz00zzast_nodez00, BGl_proc1988z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1989z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1990z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1991z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1992z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1993z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1994z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1995z00zzinline_recursionz00,
				BGl_string1978z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1345 */
	obj_t BGl_z62findzd2recursivezd2calls1345z62zzinline_recursionz00(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870, obj_t BgL_vz00_2871,
		obj_t BgL_tailz00_2872, obj_t BgL_tresz00_2873)
	{
		{	/* Inline/recursion.scm 403 */
			{	/* Inline/recursion.scm 405 */
				obj_t BgL_arg1871z00_2977;
				obj_t BgL_arg1873z00_2978;

				{	/* Inline/recursion.scm 405 */
					BgL_varz00_bglt BgL_arg1874z00_2979;

					BgL_arg1874z00_2979 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2870)))->BgL_varz00);
					BgL_arg1871z00_2977 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg1874z00_2979),
						((BgL_variablez00_bglt) BgL_vz00_2871), BFALSE, BgL_tresz00_2873);
				}
				{	/* Inline/recursion.scm 406 */
					BgL_nodez00_bglt BgL_arg1875z00_2980;

					BgL_arg1875z00_2980 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2870)))->BgL_valuez00);
					BgL_arg1873z00_2978 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1875z00_2980, ((BgL_variablez00_bglt) BgL_vz00_2871),
						BFALSE, BgL_tresz00_2873);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1871z00_2977,
					BgL_arg1873z00_2978);
			}
		}

	}



/* &find-recursive-calls1343 */
	obj_t BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00(obj_t
		BgL_envz00_2874, obj_t BgL_nodez00_2875, obj_t BgL_varz00_2876,
		obj_t BgL_tailz00_2877, obj_t BgL_tresz00_2878)
	{
		{	/* Inline/recursion.scm 397 */
			{	/* Inline/recursion.scm 398 */
				BgL_varz00_bglt BgL_arg1870z00_2982;

				BgL_arg1870z00_2982 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2875)))->BgL_varz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
					((BgL_nodez00_bglt) BgL_arg1870z00_2982),
					((BgL_variablez00_bglt) BgL_varz00_2876), BFALSE, BgL_tresz00_2878);
			}
		}

	}



/* &find-recursive-calls1341 */
	obj_t BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00(obj_t
		BgL_envz00_2879, obj_t BgL_nodez00_2880, obj_t BgL_varz00_2881,
		obj_t BgL_tailz00_2882, obj_t BgL_tresz00_2883)
	{
		{	/* Inline/recursion.scm 391 */
			{	/* Inline/recursion.scm 392 */
				BgL_nodez00_bglt BgL_arg1868z00_2984;

				BgL_arg1868z00_2984 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2880)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1868z00_2984, ((BgL_variablez00_bglt) BgL_varz00_2881),
					BFALSE, BgL_tresz00_2883);
			}
		}

	}



/* &find-recursive-calls1339 */
	obj_t BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00(obj_t
		BgL_envz00_2884, obj_t BgL_nodez00_2885, obj_t BgL_vz00_2886,
		obj_t BgL_tailz00_2887, obj_t BgL_tresz00_2888)
	{
		{	/* Inline/recursion.scm 383 */
			{	/* Inline/recursion.scm 385 */
				obj_t BgL_arg1864z00_2986;
				obj_t BgL_arg1865z00_2987;

				{	/* Inline/recursion.scm 385 */
					BgL_nodez00_bglt BgL_arg1866z00_2988;

					BgL_arg1866z00_2988 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2885)))->BgL_exitz00);
					BgL_arg1864z00_2986 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1866z00_2988, ((BgL_variablez00_bglt) BgL_vz00_2886),
						BFALSE, BgL_tresz00_2888);
				}
				{	/* Inline/recursion.scm 386 */
					BgL_nodez00_bglt BgL_arg1867z00_2989;

					BgL_arg1867z00_2989 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2885)))->
						BgL_valuez00);
					BgL_arg1865z00_2987 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1867z00_2989, ((BgL_variablez00_bglt) BgL_vz00_2886),
						BFALSE, BgL_tresz00_2888);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1864z00_2986,
					BgL_arg1865z00_2987);
			}
		}

	}



/* &find-recursive-calls1337 */
	obj_t BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00(obj_t
		BgL_envz00_2889, obj_t BgL_nodez00_2890, obj_t BgL_varz00_2891,
		obj_t BgL_tailz00_2892, obj_t BgL_tresz00_2893)
	{
		{	/* Inline/recursion.scm 376 */
			{	/* Inline/recursion.scm 377 */
				BgL_nodez00_bglt BgL_arg1860z00_2991;
				obj_t BgL_arg1861z00_2992;

				BgL_arg1860z00_2991 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2890)))->BgL_bodyz00);
				{	/* Inline/recursion.scm 378 */
					BgL_nodez00_bglt BgL_arg1862z00_2993;

					BgL_arg1862z00_2993 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2890)))->
						BgL_onexitz00);
					BgL_arg1861z00_2992 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1862z00_2993, ((BgL_variablez00_bglt) BgL_varz00_2891),
						BFALSE, BgL_tresz00_2893);
				}
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1860z00_2991, ((BgL_variablez00_bglt) BgL_varz00_2891),
					BFALSE, BgL_arg1861z00_2992);
			}
		}

	}



/* &find-recursive-calls1335 */
	obj_t BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00(obj_t
		BgL_envz00_2894, obj_t BgL_nodez00_2895, obj_t BgL_varz00_2896,
		obj_t BgL_tailz00_2897, obj_t BgL_tresz00_2898)
	{
		{	/* Inline/recursion.scm 364 */
			{	/* Inline/recursion.scm 365 */
				obj_t BgL_g1155z00_2995;
				obj_t BgL_g1156z00_2996;

				BgL_g1155z00_2995 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2895)))->BgL_bindingsz00);
				{	/* Inline/recursion.scm 366 */
					BgL_nodez00_bglt BgL_arg1859z00_2997;

					BgL_arg1859z00_2997 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2895)))->BgL_bodyz00);
					BgL_g1156z00_2996 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1859z00_2997, ((BgL_variablez00_bglt) BgL_varz00_2896),
						BgL_tailz00_2897, BgL_tresz00_2898);
				}
				{
					obj_t BgL_bindingsz00_2999;
					obj_t BgL_callsz00_3000;

					BgL_bindingsz00_2999 = BgL_g1155z00_2995;
					BgL_callsz00_3000 = BgL_g1156z00_2996;
				BgL_loopz00_2998:
					if (NULLP(BgL_bindingsz00_2999))
						{	/* Inline/recursion.scm 367 */
							return BgL_callsz00_3000;
						}
					else
						{	/* Inline/recursion.scm 369 */
							obj_t BgL_arg1850z00_3001;
							obj_t BgL_arg1851z00_3002;

							BgL_arg1850z00_3001 = CDR(((obj_t) BgL_bindingsz00_2999));
							{	/* Inline/recursion.scm 371 */
								obj_t BgL_arg1854z00_3003;

								{	/* Inline/recursion.scm 371 */
									obj_t BgL_arg1856z00_3004;

									{	/* Inline/recursion.scm 371 */
										obj_t BgL_pairz00_3005;

										BgL_pairz00_3005 = CAR(((obj_t) BgL_bindingsz00_2999));
										BgL_arg1856z00_3004 = CDR(BgL_pairz00_3005);
									}
									BgL_arg1854z00_3003 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1856z00_3004),
										((BgL_variablez00_bglt) BgL_varz00_2896), BFALSE,
										BgL_tresz00_2898);
								}
								BgL_arg1851z00_3002 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3000,
									BgL_arg1854z00_3003);
							}
							{
								obj_t BgL_callsz00_3966;
								obj_t BgL_bindingsz00_3965;

								BgL_bindingsz00_3965 = BgL_arg1850z00_3001;
								BgL_callsz00_3966 = BgL_arg1851z00_3002;
								BgL_callsz00_3000 = BgL_callsz00_3966;
								BgL_bindingsz00_2999 = BgL_bindingsz00_3965;
								goto BgL_loopz00_2998;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1333 */
	obj_t BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00(obj_t
		BgL_envz00_2899, obj_t BgL_nodez00_2900, obj_t BgL_varz00_2901,
		obj_t BgL_tailz00_2902, obj_t BgL_tresz00_2903)
	{
		{	/* Inline/recursion.scm 350 */
			{	/* Inline/recursion.scm 351 */
				obj_t BgL_g1150z00_3007;
				obj_t BgL_g1151z00_3008;

				BgL_g1150z00_3007 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2900)))->BgL_localsz00);
				{	/* Inline/recursion.scm 352 */
					BgL_nodez00_bglt BgL_arg1847z00_3009;

					BgL_arg1847z00_3009 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2900)))->BgL_bodyz00);
					BgL_g1151z00_3008 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1847z00_3009, ((BgL_variablez00_bglt) BgL_varz00_2901),
						BgL_tailz00_2902, BgL_tresz00_2903);
				}
				{
					obj_t BgL_localsz00_3011;
					obj_t BgL_callsz00_3012;

					BgL_localsz00_3011 = BgL_g1150z00_3007;
					BgL_callsz00_3012 = BgL_g1151z00_3008;
				BgL_loopz00_3010:
					if (NULLP(BgL_localsz00_3011))
						{	/* Inline/recursion.scm 353 */
							return BgL_callsz00_3012;
						}
					else
						{	/* Inline/recursion.scm 355 */
							obj_t BgL_arg1836z00_3013;
							obj_t BgL_arg1837z00_3014;

							BgL_arg1836z00_3013 = CDR(((obj_t) BgL_localsz00_3011));
							{	/* Inline/recursion.scm 358 */
								obj_t BgL_arg1840z00_3015;

								{	/* Inline/recursion.scm 358 */
									obj_t BgL_arg1844z00_3016;

									BgL_arg1844z00_3016 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_3011))))))->
														BgL_valuez00))))->BgL_bodyz00);
									BgL_arg1840z00_3015 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00((
											(BgL_nodez00_bglt) BgL_arg1844z00_3016),
										((BgL_variablez00_bglt) BgL_varz00_2901), BTRUE,
										BgL_tresz00_2903);
								}
								BgL_arg1837z00_3014 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3012,
									BgL_arg1840z00_3015);
							}
							{
								obj_t BgL_callsz00_3989;
								obj_t BgL_localsz00_3988;

								BgL_localsz00_3988 = BgL_arg1836z00_3013;
								BgL_callsz00_3989 = BgL_arg1837z00_3014;
								BgL_callsz00_3012 = BgL_callsz00_3989;
								BgL_localsz00_3011 = BgL_localsz00_3988;
								goto BgL_loopz00_3010;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1331 */
	obj_t BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00(obj_t
		BgL_envz00_2904, obj_t BgL_nodez00_2905, obj_t BgL_varz00_2906,
		obj_t BgL_tailz00_2907, obj_t BgL_tresz00_2908)
	{
		{	/* Inline/recursion.scm 338 */
			{	/* Inline/recursion.scm 339 */
				obj_t BgL_g1148z00_3018;
				obj_t BgL_g1149z00_3019;

				BgL_g1148z00_3018 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2905)))->BgL_clausesz00);
				{	/* Inline/recursion.scm 340 */
					BgL_nodez00_bglt BgL_arg1833z00_3020;

					BgL_arg1833z00_3020 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2905)))->BgL_testz00);
					BgL_g1149z00_3019 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1833z00_3020, ((BgL_variablez00_bglt) BgL_varz00_2906),
						BFALSE, BgL_tresz00_2908);
				}
				{
					obj_t BgL_clausesz00_3022;
					obj_t BgL_callsz00_3023;

					BgL_clausesz00_3022 = BgL_g1148z00_3018;
					BgL_callsz00_3023 = BgL_g1149z00_3019;
				BgL_loopz00_3021:
					if (NULLP(BgL_clausesz00_3022))
						{	/* Inline/recursion.scm 341 */
							return BgL_callsz00_3023;
						}
					else
						{	/* Inline/recursion.scm 343 */
							obj_t BgL_arg1817z00_3024;
							obj_t BgL_arg1819z00_3025;

							BgL_arg1817z00_3024 = CDR(((obj_t) BgL_clausesz00_3022));
							{	/* Inline/recursion.scm 344 */
								obj_t BgL_arg1821z00_3026;

								{	/* Inline/recursion.scm 344 */
									obj_t BgL_arg1822z00_3027;

									{	/* Inline/recursion.scm 344 */
										obj_t BgL_pairz00_3028;

										BgL_pairz00_3028 = CAR(((obj_t) BgL_clausesz00_3022));
										BgL_arg1822z00_3027 = CDR(BgL_pairz00_3028);
									}
									BgL_arg1821z00_3026 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1822z00_3027),
										((BgL_variablez00_bglt) BgL_varz00_2906), BgL_tailz00_2907,
										BgL_tresz00_2908);
								}
								BgL_arg1819z00_3025 =
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1821z00_3026, BgL_callsz00_3023);
							}
							{
								obj_t BgL_callsz00_4008;
								obj_t BgL_clausesz00_4007;

								BgL_clausesz00_4007 = BgL_arg1817z00_3024;
								BgL_callsz00_4008 = BgL_arg1819z00_3025;
								BgL_callsz00_3023 = BgL_callsz00_4008;
								BgL_clausesz00_3022 = BgL_clausesz00_4007;
								goto BgL_loopz00_3021;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1329 */
	obj_t BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t
		BgL_envz00_2909, obj_t BgL_nodez00_2910, obj_t BgL_varz00_2911,
		obj_t BgL_tailz00_2912, obj_t BgL_tresz00_2913)
	{
		{	/* Inline/recursion.scm 329 */
			{	/* Inline/recursion.scm 331 */
				obj_t BgL_arg1781z00_3030;
				obj_t BgL_arg1785z00_3031;
				obj_t BgL_arg1787z00_3032;

				{	/* Inline/recursion.scm 331 */
					BgL_nodez00_bglt BgL_arg1811z00_3033;

					BgL_arg1811z00_3033 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2910)))->BgL_procz00);
					BgL_arg1781z00_3030 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1811z00_3033, ((BgL_variablez00_bglt) BgL_varz00_2911),
						BFALSE, BgL_tresz00_2913);
				}
				{	/* Inline/recursion.scm 332 */
					BgL_nodez00_bglt BgL_arg1812z00_3034;

					BgL_arg1812z00_3034 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2910)))->BgL_msgz00);
					BgL_arg1785z00_3031 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1812z00_3034, ((BgL_variablez00_bglt) BgL_varz00_2911),
						BFALSE, BgL_tresz00_2913);
				}
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg1813z00_3035;

					BgL_arg1813z00_3035 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2910)))->BgL_objz00);
					BgL_arg1787z00_3032 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1813z00_3035, ((BgL_variablez00_bglt) BgL_varz00_2911),
						BFALSE, BgL_tresz00_2913);
				}
				{	/* Inline/recursion.scm 331 */
					obj_t BgL_list1788z00_3036;

					{	/* Inline/recursion.scm 331 */
						obj_t BgL_arg1789z00_3037;

						{	/* Inline/recursion.scm 331 */
							obj_t BgL_arg1790z00_3038;

							BgL_arg1790z00_3038 = MAKE_YOUNG_PAIR(BgL_arg1787z00_3032, BNIL);
							BgL_arg1789z00_3037 =
								MAKE_YOUNG_PAIR(BgL_arg1785z00_3031, BgL_arg1790z00_3038);
						}
						BgL_list1788z00_3036 =
							MAKE_YOUNG_PAIR(BgL_arg1781z00_3030, BgL_arg1789z00_3037);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1788z00_3036);
				}
			}
		}

	}



/* &find-recursive-calls1327 */
	obj_t BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t
		BgL_envz00_2914, obj_t BgL_nodez00_2915, obj_t BgL_varz00_2916,
		obj_t BgL_tailz00_2917, obj_t BgL_tresz00_2918)
	{
		{	/* Inline/recursion.scm 320 */
			{	/* Inline/recursion.scm 322 */
				obj_t BgL_arg1763z00_3040;
				obj_t BgL_arg1765z00_3041;
				obj_t BgL_arg1766z00_3042;

				{	/* Inline/recursion.scm 322 */
					BgL_nodez00_bglt BgL_arg1771z00_3043;

					BgL_arg1771z00_3043 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2915)))->BgL_testz00);
					BgL_arg1763z00_3040 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1771z00_3043, ((BgL_variablez00_bglt) BgL_varz00_2916),
						BFALSE, BgL_tresz00_2918);
				}
				{	/* Inline/recursion.scm 323 */
					BgL_nodez00_bglt BgL_arg1777z00_3044;

					BgL_arg1777z00_3044 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2915)))->BgL_truez00);
					BgL_arg1765z00_3041 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1777z00_3044, ((BgL_variablez00_bglt) BgL_varz00_2916),
						BgL_tailz00_2917, BgL_tresz00_2918);
				}
				{	/* Inline/recursion.scm 324 */
					BgL_nodez00_bglt BgL_arg1778z00_3045;

					BgL_arg1778z00_3045 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2915)))->BgL_falsez00);
					BgL_arg1766z00_3042 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1778z00_3045, ((BgL_variablez00_bglt) BgL_varz00_2916),
						BgL_tailz00_2917, BgL_tresz00_2918);
				}
				{	/* Inline/recursion.scm 322 */
					obj_t BgL_list1767z00_3046;

					{	/* Inline/recursion.scm 322 */
						obj_t BgL_arg1769z00_3047;

						{	/* Inline/recursion.scm 322 */
							obj_t BgL_arg1770z00_3048;

							BgL_arg1770z00_3048 = MAKE_YOUNG_PAIR(BgL_arg1766z00_3042, BNIL);
							BgL_arg1769z00_3047 =
								MAKE_YOUNG_PAIR(BgL_arg1765z00_3041, BgL_arg1770z00_3048);
						}
						BgL_list1767z00_3046 =
							MAKE_YOUNG_PAIR(BgL_arg1763z00_3040, BgL_arg1769z00_3047);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1767z00_3046);
				}
			}
		}

	}



/* &find-recursive-calls1325 */
	obj_t BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t
		BgL_envz00_2919, obj_t BgL_nodez00_2920, obj_t BgL_varz00_2921,
		obj_t BgL_tailz00_2922, obj_t BgL_tresz00_2923)
	{
		{	/* Inline/recursion.scm 314 */
			{	/* Inline/recursion.scm 315 */
				BgL_nodez00_bglt BgL_arg1757z00_3050;

				BgL_arg1757z00_3050 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2920)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1757z00_3050, ((BgL_variablez00_bglt) BgL_varz00_2921),
					BFALSE, BgL_tresz00_2923);
			}
		}

	}



/* &find-recursive-calls1323 */
	obj_t BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t
		BgL_envz00_2924, obj_t BgL_nodez00_2925, obj_t BgL_varz00_2926,
		obj_t BgL_tailz00_2927, obj_t BgL_tresz00_2928)
	{
		{	/* Inline/recursion.scm 308 */
			{	/* Inline/recursion.scm 309 */
				BgL_nodez00_bglt BgL_arg1756z00_3052;

				BgL_arg1756z00_3052 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2925)))->BgL_argz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1756z00_3052, ((BgL_variablez00_bglt) BgL_varz00_2926),
					BFALSE, BgL_tresz00_2928);
			}
		}

	}



/* &find-recursive-calls1321 */
	obj_t BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t
		BgL_envz00_2929, obj_t BgL_nodez00_2930, obj_t BgL_varz00_2931,
		obj_t BgL_tailz00_2932, obj_t BgL_tresz00_2933)
	{
		{	/* Inline/recursion.scm 302 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2930)))->BgL_exprza2za2),
				BgL_varz00_2931, BFALSE, BgL_tresz00_2933);
		}

	}



/* &find-recursive-calls1319 */
	obj_t BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t
		BgL_envz00_2934, obj_t BgL_nodez00_2935, obj_t BgL_varz00_2936,
		obj_t BgL_tailz00_2937, obj_t BgL_tresz00_2938)
	{
		{	/* Inline/recursion.scm 294 */
			{	/* Inline/recursion.scm 296 */
				obj_t BgL_arg1751z00_3055;
				obj_t BgL_arg1752z00_3056;

				{	/* Inline/recursion.scm 296 */
					BgL_nodez00_bglt BgL_arg1753z00_3057;

					BgL_arg1753z00_3057 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2935)))->BgL_funz00);
					BgL_arg1751z00_3055 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1753z00_3057, ((BgL_variablez00_bglt) BgL_varz00_2936),
						BFALSE, BgL_tresz00_2938);
				}
				BgL_arg1752z00_3056 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2935)))->BgL_argsz00),
					BgL_varz00_2936, BFALSE, BgL_tresz00_2938);
				return BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1751z00_3055,
					BgL_arg1752z00_3056);
			}
		}

	}



/* &find-recursive-calls1317 */
	obj_t BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t
		BgL_envz00_2939, obj_t BgL_nodez00_2940, obj_t BgL_varz00_2941,
		obj_t BgL_tailz00_2942, obj_t BgL_tresz00_2943)
	{
		{	/* Inline/recursion.scm 286 */
			{	/* Inline/recursion.scm 288 */
				obj_t BgL_arg1745z00_3059;
				obj_t BgL_arg1746z00_3060;

				{	/* Inline/recursion.scm 288 */
					BgL_nodez00_bglt BgL_arg1749z00_3061;

					BgL_arg1749z00_3061 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2940)))->BgL_funz00);
					BgL_arg1745z00_3059 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1749z00_3061, ((BgL_variablez00_bglt) BgL_varz00_2941),
						BFALSE, BgL_tresz00_2943);
				}
				{	/* Inline/recursion.scm 289 */
					BgL_nodez00_bglt BgL_arg1750z00_3062;

					BgL_arg1750z00_3062 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2940)))->BgL_argz00);
					BgL_arg1746z00_3060 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1750z00_3062, ((BgL_variablez00_bglt) BgL_varz00_2941),
						BFALSE, BgL_tresz00_2943);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1745z00_3059,
					BgL_arg1746z00_3060);
			}
		}

	}



/* &find-recursive-calls1315 */
	obj_t BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t
		BgL_envz00_2944, obj_t BgL_nodez00_2945, obj_t BgL_varz00_2946,
		obj_t BgL_tailz00_2947, obj_t BgL_tresz00_2948)
	{
		{	/* Inline/recursion.scm 274 */
			{	/* Inline/recursion.scm 276 */
				obj_t BgL_argszd2callszd2_3064;

				BgL_argszd2callszd2_3064 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2945)))->BgL_argsz00),
					BgL_varz00_2946, BgL_tailz00_2947, BgL_tresz00_2948);
				{	/* Inline/recursion.scm 277 */
					bool_t BgL_test2092z00_4072;

					{	/* Inline/recursion.scm 277 */
						bool_t BgL_test2093z00_4073;

						{	/* Inline/recursion.scm 277 */
							BgL_varz00_bglt BgL_arg1738z00_3065;

							BgL_arg1738z00_3065 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2945)))->BgL_funz00);
							{	/* Inline/recursion.scm 277 */
								obj_t BgL_classz00_3066;

								BgL_classz00_3066 = BGl_varz00zzast_nodez00;
								{	/* Inline/recursion.scm 277 */
									BgL_objectz00_bglt BgL_arg1820z00_3067;

									{	/* Inline/recursion.scm 277 */
										obj_t BgL_tmpz00_4076;

										BgL_tmpz00_4076 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1738z00_3065));
										BgL_arg1820z00_3067 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4076);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Inline/recursion.scm 277 */
											long BgL_idxz00_3068;

											BgL_idxz00_3068 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3067);
											BgL_test2093z00_4073 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3068 + ((long) 2))) == BgL_classz00_3066);
										}
									else
										{	/* Inline/recursion.scm 277 */
											bool_t BgL_res1965z00_3071;

											{	/* Inline/recursion.scm 277 */
												obj_t BgL_oclassz00_3072;

												{	/* Inline/recursion.scm 277 */
													long BgL_arg1828z00_3073;

													{	/* Inline/recursion.scm 277 */
														long BgL_arg1829z00_3074;

														BgL_arg1829z00_3074 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3067);
														BgL_arg1828z00_3073 =
															(BgL_arg1829z00_3074 - OBJECT_TYPE);
													}
													BgL_oclassz00_3072 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3073);
												}
												{	/* Inline/recursion.scm 277 */
													bool_t BgL__ortest_1111z00_3075;

													BgL__ortest_1111z00_3075 =
														(BgL_classz00_3066 == BgL_oclassz00_3072);
													if (BgL__ortest_1111z00_3075)
														{	/* Inline/recursion.scm 277 */
															BgL_res1965z00_3071 = BgL__ortest_1111z00_3075;
														}
													else
														{	/* Inline/recursion.scm 277 */
															long BgL_odepthz00_3076;

															BgL_odepthz00_3076 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3072);
															if ((((long) 2) < BgL_odepthz00_3076))
																{	/* Inline/recursion.scm 277 */
																	obj_t BgL_arg1816z00_3077;

																	BgL_arg1816z00_3077 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3072,
																		((long) 2));
																	BgL_res1965z00_3071 =
																		(BgL_arg1816z00_3077 == BgL_classz00_3066);
																}
															else
																{	/* Inline/recursion.scm 277 */
																	BgL_res1965z00_3071 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2093z00_4073 = BgL_res1965z00_3071;
										}
								}
							}
						}
						if (BgL_test2093z00_4073)
							{	/* Inline/recursion.scm 277 */
								BgL_test2092z00_4072 =
									(
									((obj_t)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2945)))->
														BgL_funz00)))->BgL_variablez00)) ==
									BgL_varz00_2946);
							}
						else
							{	/* Inline/recursion.scm 277 */
								BgL_test2092z00_4072 = ((bool_t) 0);
							}
					}
					if (BgL_test2092z00_4072)
						{	/* Inline/recursion.scm 277 */
							if (CBOOL(BgL_tailz00_2947))
								{	/* Inline/recursion.scm 279 */
									BFALSE;
								}
							else
								{	/* Inline/recursion.scm 279 */
									CELL_SET(((obj_t) BgL_tresz00_2948), BFALSE);
								}
							return
								MAKE_YOUNG_PAIR(
								((obj_t)
									((BgL_appz00_bglt) BgL_nodez00_2945)),
								BgL_argszd2callszd2_3064);
						}
					else
						{	/* Inline/recursion.scm 277 */
							return BgL_argszd2callszd2_3064;
						}
				}
			}
		}

	}



/* &find-recursive-calls1313 */
	obj_t BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t
		BgL_envz00_2949, obj_t BgL_nodez00_2950, obj_t BgL_varz00_2951,
		obj_t BgL_tailz00_2952, obj_t BgL_tresz00_2953)
	{
		{	/* Inline/recursion.scm 263 */
			{	/* Inline/recursion.scm 264 */
				obj_t BgL_arg1692z00_3079;
				obj_t BgL_arg1696z00_3080;
				obj_t BgL_arg1697z00_3081;

				{	/* Inline/recursion.scm 264 */
					BgL_nodez00_bglt BgL_arg1712z00_3082;

					BgL_arg1712z00_3082 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2950)))->BgL_mutexz00);
					BgL_arg1692z00_3079 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1712z00_3082, ((BgL_variablez00_bglt) BgL_varz00_2951),
						BFALSE, BgL_tresz00_2953);
				}
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg1720z00_3083;

					BgL_arg1720z00_3083 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2950)))->BgL_prelockz00);
					BgL_arg1696z00_3080 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1720z00_3083, ((BgL_variablez00_bglt) BgL_varz00_2951),
						BFALSE, BgL_tresz00_2953);
				}
				{	/* Inline/recursion.scm 266 */
					BgL_nodez00_bglt BgL_arg1721z00_3084;

					BgL_arg1721z00_3084 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2950)))->BgL_bodyz00);
					BgL_arg1697z00_3081 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1721z00_3084, ((BgL_variablez00_bglt) BgL_varz00_2951),
						BFALSE, BgL_tresz00_2953);
				}
				{	/* Inline/recursion.scm 264 */
					obj_t BgL_list1698z00_3085;

					{	/* Inline/recursion.scm 264 */
						obj_t BgL_arg1705z00_3086;

						{	/* Inline/recursion.scm 264 */
							obj_t BgL_arg1711z00_3087;

							BgL_arg1711z00_3087 = MAKE_YOUNG_PAIR(BgL_arg1697z00_3081, BNIL);
							BgL_arg1705z00_3086 =
								MAKE_YOUNG_PAIR(BgL_arg1696z00_3080, BgL_arg1711z00_3087);
						}
						BgL_list1698z00_3085 =
							MAKE_YOUNG_PAIR(BgL_arg1692z00_3079, BgL_arg1705z00_3086);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1698z00_3085);
				}
			}
		}

	}



/* &find-recursive-calls1311 */
	obj_t BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t
		BgL_envz00_2954, obj_t BgL_nodez00_2955, obj_t BgL_varz00_2956,
		obj_t BgL_tailz00_2957, obj_t BgL_tresz00_2958)
	{
		{	/* Inline/recursion.scm 257 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2955)))->BgL_nodesz00),
				BgL_varz00_2956, BgL_tailz00_2957, BgL_tresz00_2958);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 342478691),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string1996z00zzinline_recursionz00));
		}

	}

#ifdef __cplusplus
}
#endif
