/*===========================================================================*/
/*   (Inline/size.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/size.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_siza7edzd2sequencez75_bgl
	{
		long BgL_siza7eza7;
	}                            *BgL_siza7edzd2sequencez75_bglt;

	typedef struct BgL_siza7edzd2syncz75_bgl
	{
		long BgL_siza7eza7;
	}                        *BgL_siza7edzd2syncz75_bglt;

	typedef struct BgL_siza7edzd2switchz75_bgl
	{
		long BgL_siza7eza7;
	}                          *BgL_siza7edzd2switchz75_bglt;

	typedef struct BgL_siza7edzd2letzd2funza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2funza7_bglt;

	typedef struct BgL_siza7edzd2letzd2varza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2varza7_bglt;


	static BgL_letzd2varzd2_bglt BGl_z62lambda1767z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1771z62zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1698z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_siza7eza7 = BUNSPEC;
	static obj_t BGl_siza7edzd2syncz75zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62lambda1790z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1791z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7(void);
	static obj_t BGl_z62nodezd2siza7ezd2conditiona1425zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2cast1418zc5zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_siza7eza7(void);
	static obj_t BGl_z62nodezd2siza7ezd2funcall1416zc5zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_siza7eza7(void);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2setq1422zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2sync1406zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2app1412zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62nodezd2siza7ezd2retblock1445zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2fail1427zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2letzd2var1437z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2var1398zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_siza7eza7(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1451z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7e1393z17zzinline_siza7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2kwote1400zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1443zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static long BGl_mz00zzinline_siza7eza7;
	static obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd2siza7ezd2appzd2ly1414z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2switchz75zzinline_siza7eza7 = BUNSPEC;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_siza7edzd2sequencez75zzinline_siza7eza7 = BUNSPEC;
	BGL_EXPORTED_DECL long
		BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_siza7eza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7(void);
	static obj_t BGl_z62nodezd2siza7ezd2makezd2box1449z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2return1447zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2boxzd2setz121453z05zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2extern1420zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2switch1429zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1616z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21435z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21439z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1630z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1634z62zzinline_siza7eza7(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1559z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1404zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1724z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1566z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1647z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1648z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1569z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2letzd2fun1433z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1441zc5zzinline_siza7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1731z62zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_letzd2funzd2_bglt BGl_z62lambda1736z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2sequence1402zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 = BUNSPEC;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1410zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31770ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1664z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1589z62zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62lambda1751z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1590z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1752z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1674z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1431zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1679z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2atom1396zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1764z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1590za7622110z00, BGl_z62lambda1590z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1589za7622111z00, BGl_z62lambda1589z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1569za7622112z00, BGl_z62lambda1569z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2113za7,
		BGl_z62zc3z04anonymousza31568ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1566za7622114z00, BGl_z62lambda1566z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1559za7622115z00, BGl_z62lambda1559z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1648za7622116z00, BGl_z62lambda1648z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1647za7622117z00, BGl_z62lambda1647z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1634za7622118z00, BGl_z62lambda1634z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2119za7,
		BGl_z62zc3z04anonymousza31633ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1630za7622120z00, BGl_z62lambda1630z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1616za7622121z00, BGl_z62lambda1616z62zzinline_siza7eza7,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1698za7622122z00, BGl_z62lambda1698z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1697za7622123z00, BGl_z62lambda1697z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1679za7622124z00, BGl_z62lambda1679z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2125za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1674za7622126z00, BGl_z62lambda1674z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1664za7622127z00, BGl_z62lambda1664z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1752za7622128z00, BGl_z62lambda1752z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1751za7622129z00, BGl_z62lambda1751z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1736za7622130z00, BGl_z62lambda1736z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2131za7,
		BGl_z62zc3z04anonymousza31735ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1731za7622132z00, BGl_z62lambda1731z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1724za7622133z00, BGl_z62lambda1724z62zzinline_siza7eza7,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1791za7622134z00, BGl_z62lambda1791z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2070z00zzinline_siza7eza7,
		BgL_bgl_string2070za700za7za7i2135za7, "node-size1393", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1790za7622136z00, BGl_z62lambda1790z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2071z00zzinline_siza7eza7,
		BgL_bgl_string2071za700za7za7i2137za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1771za7622138z00, BGl_z62lambda1771z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2139za7,
		BGl_z62zc3z04anonymousza31770ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2073z00zzinline_siza7eza7,
		BgL_bgl_string2073za700za7za7i2140za7, "node-size", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1767za7622141z00, BGl_z62lambda1767z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1764za7622142z00, BGl_z62lambda1764z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2143za7,
		BGl_z62nodezd2siza7e1393z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2144za7,
		BGl_z62nodezd2siza7ezd2atom1396zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2145za7,
		BGl_z62nodezd2siza7ezd2var1398zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2146za7,
		BGl_z62nodezd2siza7ezd2kwote1400zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2147za7,
		BGl_z62nodezd2siza7ezd2sequence1402zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2148za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1404zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2149za7,
		BGl_z62nodezd2siza7ezd2sync1406zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2150za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1410zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2151za7,
		BGl_z62nodezd2siza7ezd2app1412zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2152za7,
		BGl_z62nodezd2siza7ezd2appzd2ly1414z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2153za7,
		BGl_z62nodezd2siza7ezd2funcall1416zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2154za7,
		BGl_z62nodezd2siza7ezd2cast1418zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2155za7,
		BGl_z62nodezd2siza7ezd2extern1420zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2156za7,
		BGl_z62nodezd2siza7ezd2setq1422zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2157za7,
		BGl_z62nodezd2siza7ezd2conditiona1425zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2158za7,
		BGl_z62nodezd2siza7ezd2fail1427zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2159za7,
		BGl_z62nodezd2siza7ezd2switch1429zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2160za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1431zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2161za7,
		BGl_z62nodezd2siza7ezd2letzd2fun1433z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2162za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21435z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2163za7,
		BGl_z62nodezd2siza7ezd2letzd2var1437z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2164za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21439z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2165za7,
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1441zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2166za7,
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1443zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2167za7,
		BGl_z62nodezd2siza7ezd2retblock1445zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2168za7,
		BGl_z62nodezd2siza7ezd2return1447zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2169za7,
		BGl_z62nodezd2siza7ezd2makezd2box1449z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2170za7,
		BGl_z62nodezd2siza7ezd2boxzd2ref1451z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2171za7,
		BGl_z62nodezd2siza7ez17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2101z00zzinline_siza7eza7,
		BgL_bgl_string2101za700za7za7i2172za7, "INLINESZ", 8);
	      DEFINE_STRING(BGl_string2102z00zzinline_siza7eza7,
		BgL_bgl_string2102za700za7za7i2173za7, ">>> inline-size node=", 21);
	      DEFINE_STRING(BGl_string2103z00zzinline_siza7eza7,
		BgL_bgl_string2103za700za7za7i2174za7, "--- inline-size node=", 21);
	      DEFINE_STRING(BGl_string2104z00zzinline_siza7eza7,
		BgL_bgl_string2104za700za7za7i2175za7, " size=", 6);
	      DEFINE_STRING(BGl_string2105z00zzinline_siza7eza7,
		BgL_bgl_string2105za700za7za7i2176za7, " null=", 6);
	      DEFINE_STRING(BGl_string2106z00zzinline_siza7eza7,
		BgL_bgl_string2106za700za7za7i2177za7, "<<< inline-size node=", 21);
	      DEFINE_STRING(BGl_string2107z00zzinline_siza7eza7,
		BgL_bgl_string2107za700za7za7i2178za7, "inline_size", 11);
	      DEFINE_STRING(BGl_string2108z00zzinline_siza7eza7,
		BgL_bgl_string2108za700za7za7i2179za7,
		"node-size1393 sized-let-var sized-let-fun sized-switch sized-sync inline_size sized-sequence long size ",
		103);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2180za7,
		BGl_z62nodezd2siza7ezd2boxzd2setz121453z05zzinline_siza7eza7, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2syncz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2varza7zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2switchz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2sequencez75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2funza7zzinline_siza7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long
		BgL_checksumz00_3212, char *BgL_fromz00_3213)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_siza7eza7))
				{
					BGl_requirezd2initializa7ationz75zzinline_siza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_siza7eza7();
					BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_cnstzd2initzd2zzinline_siza7eza7();
					BGl_importedzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_objectzd2initzd2zzinline_siza7eza7();
					BGl_genericzd2initzd2zzinline_siza7eza7();
					BGl_methodzd2initzd2zzinline_siza7eza7();
					return BGl_toplevelzd2initzd2zzinline_siza7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_size");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 15 */
				obj_t BgL_cportz00_2917;

				{	/* Inline/size.scm 15 */
					obj_t BgL_stringz00_2924;

					BgL_stringz00_2924 = BGl_string2108z00zzinline_siza7eza7;
					{	/* Inline/size.scm 15 */
						obj_t BgL_startz00_2925;

						BgL_startz00_2925 = BINT(((long) 0));
						{	/* Inline/size.scm 15 */
							obj_t BgL_endz00_2926;

							BgL_endz00_2926 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2924)));
							{	/* Inline/size.scm 15 */

								BgL_cportz00_2917 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2924, BgL_startz00_2925, BgL_endz00_2926);
				}}}}
				{
					long BgL_iz00_2918;

					BgL_iz00_2918 = ((long) 8);
				BgL_loopz00_2919:
					if ((BgL_iz00_2918 == ((long) -1)))
						{	/* Inline/size.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/size.scm 15 */
							{	/* Inline/size.scm 15 */
								obj_t BgL_arg2109z00_2920;

								{	/* Inline/size.scm 15 */

									{	/* Inline/size.scm 15 */
										obj_t BgL_locationz00_2922;

										BgL_locationz00_2922 = BBOOL(((bool_t) 0));
										{	/* Inline/size.scm 15 */

											BgL_arg2109z00_2920 =
												BGl_readz00zz__readerz00(BgL_cportz00_2917,
												BgL_locationz00_2922);
										}
									}
								}
								{	/* Inline/size.scm 15 */
									int BgL_tmpz00_3246;

									BgL_tmpz00_3246 = (int) (BgL_iz00_2918);
									CNST_TABLE_SET(BgL_tmpz00_3246, BgL_arg2109z00_2920);
							}}
							{	/* Inline/size.scm 15 */
								int BgL_auxz00_2923;

								BgL_auxz00_2923 = (int) ((BgL_iz00_2918 - ((long) 1)));
								{
									long BgL_iz00_3251;

									BgL_iz00_3251 = (long) (BgL_auxz00_2923);
									BgL_iz00_2918 = BgL_iz00_3251;
									goto BgL_loopz00_2919;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_mz00zzinline_siza7eza7 = ((long) 0);
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 22 */
				obj_t BgL_arg1535z00_1564;
				obj_t BgL_arg1558z00_1565;

				{	/* Inline/size.scm 22 */
					obj_t BgL_v1383z00_1594;

					BgL_v1383z00_1594 = create_vector(((long) 1));
					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1581z00_1595;

						BgL_arg1581z00_1595 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2040z00zzinline_siza7eza7,
							BGl_proc2039z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1383z00_1594, ((long) 0), BgL_arg1581z00_1595);
					}
					BgL_arg1535z00_1564 = BgL_v1383z00_1594;
				}
				{	/* Inline/size.scm 22 */
					obj_t BgL_v1384z00_1605;

					BgL_v1384z00_1605 = create_vector(((long) 0));
					BgL_arg1558z00_1565 = BgL_v1384z00_1605;
				}
				BGl_siza7edzd2sequencez75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_sequencez00zzast_nodez00,
					((long) 10745), BGl_proc2044z00zzinline_siza7eza7,
					BGl_proc2043z00zzinline_siza7eza7, BFALSE,
					BGl_proc2042z00zzinline_siza7eza7, BGl_proc2041z00zzinline_siza7eza7,
					BgL_arg1535z00_1564, BgL_arg1558z00_1565);
			}
			{	/* Inline/size.scm 23 */
				obj_t BgL_arg1614z00_1614;
				obj_t BgL_arg1615z00_1615;

				{	/* Inline/size.scm 23 */
					obj_t BgL_v1385z00_1642;

					BgL_v1385z00_1642 = create_vector(((long) 1));
					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1641z00_1643;

						BgL_arg1641z00_1643 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2046z00zzinline_siza7eza7,
							BGl_proc2045z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1385z00_1642, ((long) 0), BgL_arg1641z00_1643);
					}
					BgL_arg1614z00_1614 = BgL_v1385z00_1642;
				}
				{	/* Inline/size.scm 23 */
					obj_t BgL_v1386z00_1653;

					BgL_v1386z00_1653 = create_vector(((long) 0));
					BgL_arg1615z00_1615 = BgL_v1386z00_1653;
				}
				BGl_siza7edzd2syncz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
					CNST_TABLE_REF(((long) 3)), BGl_syncz00zzast_nodez00, ((long) 41409),
					BGl_proc2050z00zzinline_siza7eza7, BGl_proc2049z00zzinline_siza7eza7,
					BFALSE, BGl_proc2048z00zzinline_siza7eza7,
					BGl_proc2047z00zzinline_siza7eza7, BgL_arg1614z00_1614,
					BgL_arg1615z00_1615);
			}
			{	/* Inline/size.scm 24 */
				obj_t BgL_arg1662z00_1662;
				obj_t BgL_arg1663z00_1663;

				{	/* Inline/size.scm 24 */
					obj_t BgL_v1387z00_1692;

					BgL_v1387z00_1692 = create_vector(((long) 1));
					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1687z00_1693;

						BgL_arg1687z00_1693 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2052z00zzinline_siza7eza7,
							BGl_proc2051z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1387z00_1692, ((long) 0), BgL_arg1687z00_1693);
					}
					BgL_arg1662z00_1662 = BgL_v1387z00_1692;
				}
				{	/* Inline/size.scm 24 */
					obj_t BgL_v1388z00_1703;

					BgL_v1388z00_1703 = create_vector(((long) 0));
					BgL_arg1663z00_1663 = BgL_v1388z00_1703;
				}
				BGl_siza7edzd2switchz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
					CNST_TABLE_REF(((long) 3)), BGl_switchz00zzast_nodez00,
					((long) 37483), BGl_proc2056z00zzinline_siza7eza7,
					BGl_proc2055z00zzinline_siza7eza7, BFALSE,
					BGl_proc2054z00zzinline_siza7eza7, BGl_proc2053z00zzinline_siza7eza7,
					BgL_arg1662z00_1662, BgL_arg1663z00_1663);
			}
			{	/* Inline/size.scm 25 */
				obj_t BgL_arg1721z00_1712;
				obj_t BgL_arg1723z00_1713;

				{	/* Inline/size.scm 25 */
					obj_t BgL_v1389z00_1741;

					BgL_v1389z00_1741 = create_vector(((long) 1));
					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1746z00_1742;

						BgL_arg1746z00_1742 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2058z00zzinline_siza7eza7,
							BGl_proc2057z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1389z00_1741, ((long) 0), BgL_arg1746z00_1742);
					}
					BgL_arg1721z00_1712 = BgL_v1389z00_1741;
				}
				{	/* Inline/size.scm 25 */
					obj_t BgL_v1390z00_1752;

					BgL_v1390z00_1752 = create_vector(((long) 0));
					BgL_arg1723z00_1713 = BgL_v1390z00_1752;
				}
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 6)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2funzd2zzast_nodez00,
					((long) 7325), BGl_proc2062z00zzinline_siza7eza7,
					BGl_proc2061z00zzinline_siza7eza7, BFALSE,
					BGl_proc2060z00zzinline_siza7eza7, BGl_proc2059z00zzinline_siza7eza7,
					BgL_arg1721z00_1712, BgL_arg1723z00_1713);
			}
			{	/* Inline/size.scm 26 */
				obj_t BgL_arg1757z00_1761;
				obj_t BgL_arg1763z00_1762;

				{	/* Inline/size.scm 26 */
					obj_t BgL_v1391z00_1791;

					BgL_v1391z00_1791 = create_vector(((long) 1));
					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1785z00_1792;

						BgL_arg1785z00_1792 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2064z00zzinline_siza7eza7,
							BGl_proc2063z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1391z00_1791, ((long) 0), BgL_arg1785z00_1792);
					}
					BgL_arg1757z00_1761 = BgL_v1391z00_1791;
				}
				{	/* Inline/size.scm 26 */
					obj_t BgL_v1392z00_1802;

					BgL_v1392z00_1802 = create_vector(((long) 0));
					BgL_arg1763z00_1762 = BgL_v1392z00_1802;
				}
				return (BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 3)), BGl_letzd2varzd2zzast_nodez00,
						((long) 20381), BGl_proc2068z00zzinline_siza7eza7,
						BGl_proc2067z00zzinline_siza7eza7, BFALSE,
						BGl_proc2066z00zzinline_siza7eza7,
						BGl_proc2065z00zzinline_siza7eza7, BgL_arg1757z00_1761,
						BgL_arg1763z00_1762), BUNSPEC);
		}}

	}



/* &lambda1771 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1771z62zzinline_siza7eza7(obj_t
		BgL_envz00_2731, obj_t BgL_o1169z00_2732)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_arg1777z00_2929;

				{	/* Inline/size.scm 26 */
					obj_t BgL_arg1778z00_2930;

					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1781z00_2931;

						{	/* Inline/size.scm 26 */
							long BgL_arg1828z00_2932;

							{	/* Inline/size.scm 26 */
								long BgL_arg1829z00_2933;

								BgL_arg1829z00_2933 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1169z00_2732)));
								BgL_arg1828z00_2932 = (BgL_arg1829z00_2933 - OBJECT_TYPE);
							}
							BgL_arg1781z00_2931 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2932);
						}
						BgL_arg1778z00_2930 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1781z00_2931);
					}
					{	/* Inline/size.scm 26 */
						obj_t BgL_tmpz00_3305;

						BgL_tmpz00_3305 = ((obj_t) BgL_arg1778z00_2930);
						BgL_arg1777z00_2929 = BGL_CLASS_NUM(BgL_tmpz00_3305);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1169z00_2732)), BgL_arg1777z00_2929);
			}
			{	/* Inline/size.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_3311;

				BgL_tmpz00_3311 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2732));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3311, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2732));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2732));
		}

	}



/* &<@anonymous:1770> */
	obj_t BGl_z62zc3z04anonymousza31770ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2733, obj_t BgL_new1168z00_2734)
	{
		{	/* Inline/size.scm 26 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_3319;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3323;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2935;

						BgL_classz00_2935 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1113z00_2936;

							BgL__ortest_1113z00_2936 = BGL_CLASS_NIL(BgL_classz00_2935);
							if (CBOOL(BgL__ortest_1113z00_2936))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3323 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2936);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3323 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2935));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3323), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1168z00_2734))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1168z00_2734))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3342;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2937;

						BgL_classz00_2937 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1113z00_2938;

							BgL__ortest_1113z00_2938 = BGL_CLASS_NIL(BgL_classz00_2937);
							if (CBOOL(BgL__ortest_1113z00_2938))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3342 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_2938);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3342 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2937));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3342), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3355;

					{
						obj_t BgL_auxz00_3356;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3357;

							BgL_tmpz00_3357 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734));
							BgL_auxz00_3356 = BGL_OBJECT_WIDENING(BgL_tmpz00_3357);
						}
						BgL_auxz00_3355 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3356);
					}
					((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3355))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3319 = ((BgL_letzd2varzd2_bglt) BgL_new1168z00_2734);
				return ((obj_t) BgL_auxz00_3319);
			}
		}

	}



/* &lambda1767 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1767z62zzinline_siza7eza7(obj_t
		BgL_envz00_2735, obj_t BgL_o1165z00_2736)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				BgL_siza7edzd2letzd2varza7_bglt BgL_wide1167z00_2940;

				BgL_wide1167z00_2940 =
					((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2varza7_bgl))));
				{	/* Inline/size.scm 26 */
					obj_t BgL_auxz00_3370;
					BgL_objectz00_bglt BgL_tmpz00_3366;

					BgL_auxz00_3370 = ((obj_t) BgL_wide1167z00_2940);
					BgL_tmpz00_3366 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1165z00_2736)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3366, BgL_auxz00_3370);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1165z00_2736)));
				{	/* Inline/size.scm 26 */
					long BgL_arg1769z00_2941;

					BgL_arg1769z00_2941 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1165z00_2736))),
						BgL_arg1769z00_2941);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1165z00_2736)));
			}
		}

	}



/* &lambda1764 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1764z62zzinline_siza7eza7(obj_t
		BgL_envz00_2737, obj_t BgL_loc1157z00_2738, obj_t BgL_type1158z00_2739,
		obj_t BgL_sidezd2effect1159zd2_2740, obj_t BgL_key1160z00_2741,
		obj_t BgL_bindings1161z00_2742, obj_t BgL_body1162z00_2743,
		obj_t BgL_removablezf31163zf3_2744, obj_t BgL_siza7e1164za7_2745)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				bool_t BgL_removablezf31163zf3_2944;
				long BgL_siza7e1164za7_2945;

				BgL_removablezf31163zf3_2944 = CBOOL(BgL_removablezf31163zf3_2744);
				BgL_siza7e1164za7_2945 = (long) CINT(BgL_siza7e1164za7_2745);
				{	/* Inline/size.scm 26 */
					BgL_letzd2varzd2_bglt BgL_new1256z00_2946;

					{	/* Inline/size.scm 26 */
						BgL_letzd2varzd2_bglt BgL_tmp1254z00_2947;
						BgL_siza7edzd2letzd2varza7_bglt BgL_wide1255z00_2948;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_3386;

							{	/* Inline/size.scm 26 */
								BgL_letzd2varzd2_bglt BgL_new1253z00_2949;

								BgL_new1253z00_2949 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Inline/size.scm 26 */
									long BgL_arg1766z00_2950;

									BgL_arg1766z00_2950 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1253z00_2949),
										BgL_arg1766z00_2950);
								}
								{	/* Inline/size.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_3391;

									BgL_tmpz00_3391 = ((BgL_objectz00_bglt) BgL_new1253z00_2949);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3391, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1253z00_2949);
								BgL_auxz00_3386 = BgL_new1253z00_2949;
							}
							BgL_tmp1254z00_2947 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_3386);
						}
						BgL_wide1255z00_2948 =
							((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2varza7_bgl))));
						{	/* Inline/size.scm 26 */
							obj_t BgL_auxz00_3399;
							BgL_objectz00_bglt BgL_tmpz00_3397;

							BgL_auxz00_3399 = ((obj_t) BgL_wide1255z00_2948);
							BgL_tmpz00_3397 = ((BgL_objectz00_bglt) BgL_tmp1254z00_2947);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3397, BgL_auxz00_3399);
						}
						((BgL_objectz00_bglt) BgL_tmp1254z00_2947);
						{	/* Inline/size.scm 26 */
							long BgL_arg1765z00_2951;

							BgL_arg1765z00_2951 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1254z00_2947),
								BgL_arg1765z00_2951);
						}
						BgL_new1256z00_2946 = ((BgL_letzd2varzd2_bglt) BgL_tmp1254z00_2947);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1256z00_2946)))->BgL_locz00) =
						((obj_t) BgL_loc1157z00_2738), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1256z00_2946)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_2739)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1256z00_2946)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1159zd2_2740), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1256z00_2946)))->BgL_keyz00) =
						((obj_t) BgL_key1160z00_2741), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1256z00_2946)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1161z00_2742), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1256z00_2946)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1162z00_2743)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1256z00_2946)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31163zf3_2944), BUNSPEC);
					{
						BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3423;

						{
							obj_t BgL_auxz00_3424;

							{	/* Inline/size.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_3425;

								BgL_tmpz00_3425 = ((BgL_objectz00_bglt) BgL_new1256z00_2946);
								BgL_auxz00_3424 = BGL_OBJECT_WIDENING(BgL_tmpz00_3425);
							}
							BgL_auxz00_3423 =
								((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3424);
						}
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3423))->
								BgL_siza7eza7) = ((long) BgL_siza7e1164za7_2945), BUNSPEC);
					}
					return BgL_new1256z00_2946;
				}
			}
		}

	}



/* &lambda1791 */
	obj_t BGl_z62lambda1791z62zzinline_siza7eza7(obj_t BgL_envz00_2746,
		obj_t BgL_oz00_2747, obj_t BgL_vz00_2748)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_vz00_2953;

				BgL_vz00_2953 = (long) CINT(BgL_vz00_2748);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3431;

					{
						obj_t BgL_auxz00_3432;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3433;

							BgL_tmpz00_3433 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2747));
							BgL_auxz00_3432 = BGL_OBJECT_WIDENING(BgL_tmpz00_3433);
						}
						BgL_auxz00_3431 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3432);
					}
					return
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3431))->
							BgL_siza7eza7) = ((long) BgL_vz00_2953), BUNSPEC);
		}}}

	}



/* &lambda1790 */
	obj_t BGl_z62lambda1790z62zzinline_siza7eza7(obj_t BgL_envz00_2749,
		obj_t BgL_oz00_2750)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_tmpz00_3439;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3440;

					{
						obj_t BgL_auxz00_3441;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3442;

							BgL_tmpz00_3442 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2750));
							BgL_auxz00_3441 = BGL_OBJECT_WIDENING(BgL_tmpz00_3442);
						}
						BgL_auxz00_3440 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3441);
					}
					BgL_tmpz00_3439 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3440))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3439);
			}
		}

	}



/* &lambda1736 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1736z62zzinline_siza7eza7(obj_t
		BgL_envz00_2751, obj_t BgL_o1155z00_2752)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_arg1738z00_2956;

				{	/* Inline/size.scm 25 */
					obj_t BgL_arg1741z00_2957;

					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1745z00_2958;

						{	/* Inline/size.scm 25 */
							long BgL_arg1828z00_2959;

							{	/* Inline/size.scm 25 */
								long BgL_arg1829z00_2960;

								BgL_arg1829z00_2960 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1155z00_2752)));
								BgL_arg1828z00_2959 = (BgL_arg1829z00_2960 - OBJECT_TYPE);
							}
							BgL_arg1745z00_2958 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2959);
						}
						BgL_arg1741z00_2957 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1745z00_2958);
					}
					{	/* Inline/size.scm 25 */
						obj_t BgL_tmpz00_3455;

						BgL_tmpz00_3455 = ((obj_t) BgL_arg1741z00_2957);
						BgL_arg1738z00_2956 = BGL_CLASS_NUM(BgL_tmpz00_3455);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1155z00_2752)), BgL_arg1738z00_2956);
			}
			{	/* Inline/size.scm 25 */
				BgL_objectz00_bglt BgL_tmpz00_3461;

				BgL_tmpz00_3461 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2752));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3461, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2752));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2752));
		}

	}



/* &<@anonymous:1735> */
	obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2753, obj_t BgL_new1154z00_2754)
	{
		{	/* Inline/size.scm 25 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_3469;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3473;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2962;

						BgL_classz00_2962 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1113z00_2963;

							BgL__ortest_1113z00_2963 = BGL_CLASS_NIL(BgL_classz00_2962);
							if (CBOOL(BgL__ortest_1113z00_2963))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3473 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2963);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3473 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2962));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3473), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1154z00_2754))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1154z00_2754))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3492;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2964;

						BgL_classz00_2964 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1113z00_2965;

							BgL__ortest_1113z00_2965 = BGL_CLASS_NIL(BgL_classz00_2964);
							if (CBOOL(BgL__ortest_1113z00_2965))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3492 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_2965);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3492 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2964));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3492), BUNSPEC);
				}
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3502;

					{
						obj_t BgL_auxz00_3503;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3504;

							BgL_tmpz00_3504 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754));
							BgL_auxz00_3503 = BGL_OBJECT_WIDENING(BgL_tmpz00_3504);
						}
						BgL_auxz00_3502 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3503);
					}
					((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3502))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3469 = ((BgL_letzd2funzd2_bglt) BgL_new1154z00_2754);
				return ((obj_t) BgL_auxz00_3469);
			}
		}

	}



/* &lambda1731 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1731z62zzinline_siza7eza7(obj_t
		BgL_envz00_2755, obj_t BgL_o1151z00_2756)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				BgL_siza7edzd2letzd2funza7_bglt BgL_wide1153z00_2967;

				BgL_wide1153z00_2967 =
					((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2funza7_bgl))));
				{	/* Inline/size.scm 25 */
					obj_t BgL_auxz00_3517;
					BgL_objectz00_bglt BgL_tmpz00_3513;

					BgL_auxz00_3517 = ((obj_t) BgL_wide1153z00_2967);
					BgL_tmpz00_3513 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1151z00_2756)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3513, BgL_auxz00_3517);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1151z00_2756)));
				{	/* Inline/size.scm 25 */
					long BgL_arg1734z00_2968;

					BgL_arg1734z00_2968 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1151z00_2756))),
						BgL_arg1734z00_2968);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1151z00_2756)));
			}
		}

	}



/* &lambda1724 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1724z62zzinline_siza7eza7(obj_t
		BgL_envz00_2757, obj_t BgL_loc1144z00_2758, obj_t BgL_type1145z00_2759,
		obj_t BgL_sidezd2effect1146zd2_2760, obj_t BgL_key1147z00_2761,
		obj_t BgL_locals1148z00_2762, obj_t BgL_body1149z00_2763,
		obj_t BgL_siza7e1150za7_2764)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_siza7e1150za7_2971;

				BgL_siza7e1150za7_2971 = (long) CINT(BgL_siza7e1150za7_2764);
				{	/* Inline/size.scm 25 */
					BgL_letzd2funzd2_bglt BgL_new1251z00_2972;

					{	/* Inline/size.scm 25 */
						BgL_letzd2funzd2_bglt BgL_tmp1249z00_2973;
						BgL_siza7edzd2letzd2funza7_bglt BgL_wide1250z00_2974;

						{
							BgL_letzd2funzd2_bglt BgL_auxz00_3532;

							{	/* Inline/size.scm 25 */
								BgL_letzd2funzd2_bglt BgL_new1248z00_2975;

								BgL_new1248z00_2975 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Inline/size.scm 25 */
									long BgL_arg1730z00_2976;

									BgL_arg1730z00_2976 =
										BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1248z00_2975),
										BgL_arg1730z00_2976);
								}
								{	/* Inline/size.scm 25 */
									BgL_objectz00_bglt BgL_tmpz00_3537;

									BgL_tmpz00_3537 = ((BgL_objectz00_bglt) BgL_new1248z00_2975);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3537, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1248z00_2975);
								BgL_auxz00_3532 = BgL_new1248z00_2975;
							}
							BgL_tmp1249z00_2973 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_3532);
						}
						BgL_wide1250z00_2974 =
							((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2funza7_bgl))));
						{	/* Inline/size.scm 25 */
							obj_t BgL_auxz00_3545;
							BgL_objectz00_bglt BgL_tmpz00_3543;

							BgL_auxz00_3545 = ((obj_t) BgL_wide1250z00_2974);
							BgL_tmpz00_3543 = ((BgL_objectz00_bglt) BgL_tmp1249z00_2973);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3543, BgL_auxz00_3545);
						}
						((BgL_objectz00_bglt) BgL_tmp1249z00_2973);
						{	/* Inline/size.scm 25 */
							long BgL_arg1728z00_2977;

							BgL_arg1728z00_2977 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1249z00_2973),
								BgL_arg1728z00_2977);
						}
						BgL_new1251z00_2972 = ((BgL_letzd2funzd2_bglt) BgL_tmp1249z00_2973);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1251z00_2972)))->BgL_locz00) =
						((obj_t) BgL_loc1144z00_2758), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1251z00_2972)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1145z00_2759)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1251z00_2972)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1146zd2_2760), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1251z00_2972)))->BgL_keyz00) =
						((obj_t) BgL_key1147z00_2761), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1251z00_2972)))->BgL_localsz00) =
						((obj_t) BgL_locals1148z00_2762), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1251z00_2972)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1149z00_2763)),
						BUNSPEC);
					{
						BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3567;

						{
							obj_t BgL_auxz00_3568;

							{	/* Inline/size.scm 25 */
								BgL_objectz00_bglt BgL_tmpz00_3569;

								BgL_tmpz00_3569 = ((BgL_objectz00_bglt) BgL_new1251z00_2972);
								BgL_auxz00_3568 = BGL_OBJECT_WIDENING(BgL_tmpz00_3569);
							}
							BgL_auxz00_3567 =
								((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3568);
						}
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3567))->
								BgL_siza7eza7) = ((long) BgL_siza7e1150za7_2971), BUNSPEC);
					}
					return BgL_new1251z00_2972;
				}
			}
		}

	}



/* &lambda1752 */
	obj_t BGl_z62lambda1752z62zzinline_siza7eza7(obj_t BgL_envz00_2765,
		obj_t BgL_oz00_2766, obj_t BgL_vz00_2767)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_vz00_2979;

				BgL_vz00_2979 = (long) CINT(BgL_vz00_2767);
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3575;

					{
						obj_t BgL_auxz00_3576;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3577;

							BgL_tmpz00_3577 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2766));
							BgL_auxz00_3576 = BGL_OBJECT_WIDENING(BgL_tmpz00_3577);
						}
						BgL_auxz00_3575 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3576);
					}
					return
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3575))->
							BgL_siza7eza7) = ((long) BgL_vz00_2979), BUNSPEC);
		}}}

	}



/* &lambda1751 */
	obj_t BGl_z62lambda1751z62zzinline_siza7eza7(obj_t BgL_envz00_2768,
		obj_t BgL_oz00_2769)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_tmpz00_3583;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3584;

					{
						obj_t BgL_auxz00_3585;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3586;

							BgL_tmpz00_3586 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2769));
							BgL_auxz00_3585 = BGL_OBJECT_WIDENING(BgL_tmpz00_3586);
						}
						BgL_auxz00_3584 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3585);
					}
					BgL_tmpz00_3583 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3584))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3583);
			}
		}

	}



/* &lambda1679 */
	BgL_switchz00_bglt BGl_z62lambda1679z62zzinline_siza7eza7(obj_t
		BgL_envz00_2770, obj_t BgL_o1142z00_2771)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_arg1680z00_2982;

				{	/* Inline/size.scm 24 */
					obj_t BgL_arg1682z00_2983;

					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1683z00_2984;

						{	/* Inline/size.scm 24 */
							long BgL_arg1828z00_2985;

							{	/* Inline/size.scm 24 */
								long BgL_arg1829z00_2986;

								BgL_arg1829z00_2986 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1142z00_2771)));
								BgL_arg1828z00_2985 = (BgL_arg1829z00_2986 - OBJECT_TYPE);
							}
							BgL_arg1683z00_2984 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2985);
						}
						BgL_arg1682z00_2983 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1683z00_2984);
					}
					{	/* Inline/size.scm 24 */
						obj_t BgL_tmpz00_3599;

						BgL_tmpz00_3599 = ((obj_t) BgL_arg1682z00_2983);
						BgL_arg1680z00_2982 = BGL_CLASS_NUM(BgL_tmpz00_3599);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1142z00_2771)), BgL_arg1680z00_2982);
			}
			{	/* Inline/size.scm 24 */
				BgL_objectz00_bglt BgL_tmpz00_3605;

				BgL_tmpz00_3605 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2771));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3605, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2771));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2771));
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2772, obj_t BgL_new1141z00_2773)
	{
		{	/* Inline/size.scm 24 */
			{
				BgL_switchz00_bglt BgL_auxz00_3613;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2773))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3617;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2988;

						BgL_classz00_2988 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1113z00_2989;

							BgL__ortest_1113z00_2989 = BGL_CLASS_NIL(BgL_classz00_2988);
							if (CBOOL(BgL__ortest_1113z00_2989))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3617 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2989);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3617 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2988));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2773))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3617), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2773))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1141z00_2773))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3633;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2990;

						BgL_classz00_2990 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1113z00_2991;

							BgL__ortest_1113z00_2991 = BGL_CLASS_NIL(BgL_classz00_2990);
							if (CBOOL(BgL__ortest_1113z00_2991))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3633 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_2991);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3633 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2990));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2773))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3633), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2773))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3646;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2992;

						BgL_classz00_2992 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1113z00_2993;

							BgL__ortest_1113z00_2993 = BGL_CLASS_NIL(BgL_classz00_2992);
							if (CBOOL(BgL__ortest_1113z00_2993))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3646 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_2993);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3646 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2992));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2773))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3646), BUNSPEC);
				}
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3656;

					{
						obj_t BgL_auxz00_3657;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3658;

							BgL_tmpz00_3658 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1141z00_2773));
							BgL_auxz00_3657 = BGL_OBJECT_WIDENING(BgL_tmpz00_3658);
						}
						BgL_auxz00_3656 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3657);
					}
					((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3656))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3613 = ((BgL_switchz00_bglt) BgL_new1141z00_2773);
				return ((obj_t) BgL_auxz00_3613);
			}
		}

	}



/* &lambda1674 */
	BgL_switchz00_bglt BGl_z62lambda1674z62zzinline_siza7eza7(obj_t
		BgL_envz00_2774, obj_t BgL_o1138z00_2775)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				BgL_siza7edzd2switchz75_bglt BgL_wide1140z00_2995;

				BgL_wide1140z00_2995 =
					((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2switchz75_bgl))));
				{	/* Inline/size.scm 24 */
					obj_t BgL_auxz00_3671;
					BgL_objectz00_bglt BgL_tmpz00_3667;

					BgL_auxz00_3671 = ((obj_t) BgL_wide1140z00_2995);
					BgL_tmpz00_3667 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2775)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3667, BgL_auxz00_3671);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2775)));
				{	/* Inline/size.scm 24 */
					long BgL_arg1677z00_2996;

					BgL_arg1677z00_2996 =
						BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1138z00_2775))),
						BgL_arg1677z00_2996);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2775)));
			}
		}

	}



/* &lambda1664 */
	BgL_switchz00_bglt BGl_z62lambda1664z62zzinline_siza7eza7(obj_t
		BgL_envz00_2776, obj_t BgL_loc1130z00_2777, obj_t BgL_type1131z00_2778,
		obj_t BgL_sidezd2effect1132zd2_2779, obj_t BgL_key1133z00_2780,
		obj_t BgL_test1134z00_2781, obj_t BgL_clauses1135z00_2782,
		obj_t BgL_itemzd2type1136zd2_2783, obj_t BgL_siza7e1137za7_2784)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_siza7e1137za7_3000;

				BgL_siza7e1137za7_3000 = (long) CINT(BgL_siza7e1137za7_2784);
				{	/* Inline/size.scm 24 */
					BgL_switchz00_bglt BgL_new1246z00_3001;

					{	/* Inline/size.scm 24 */
						BgL_switchz00_bglt BgL_tmp1243z00_3002;
						BgL_siza7edzd2switchz75_bglt BgL_wide1244z00_3003;

						{
							BgL_switchz00_bglt BgL_auxz00_3686;

							{	/* Inline/size.scm 24 */
								BgL_switchz00_bglt BgL_new1242z00_3004;

								BgL_new1242z00_3004 =
									((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchz00_bgl))));
								{	/* Inline/size.scm 24 */
									long BgL_arg1673z00_3005;

									BgL_arg1673z00_3005 =
										BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1242z00_3004),
										BgL_arg1673z00_3005);
								}
								{	/* Inline/size.scm 24 */
									BgL_objectz00_bglt BgL_tmpz00_3691;

									BgL_tmpz00_3691 = ((BgL_objectz00_bglt) BgL_new1242z00_3004);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3691, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1242z00_3004);
								BgL_auxz00_3686 = BgL_new1242z00_3004;
							}
							BgL_tmp1243z00_3002 = ((BgL_switchz00_bglt) BgL_auxz00_3686);
						}
						BgL_wide1244z00_3003 =
							((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2switchz75_bgl))));
						{	/* Inline/size.scm 24 */
							obj_t BgL_auxz00_3699;
							BgL_objectz00_bglt BgL_tmpz00_3697;

							BgL_auxz00_3699 = ((obj_t) BgL_wide1244z00_3003);
							BgL_tmpz00_3697 = ((BgL_objectz00_bglt) BgL_tmp1243z00_3002);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3697, BgL_auxz00_3699);
						}
						((BgL_objectz00_bglt) BgL_tmp1243z00_3002);
						{	/* Inline/size.scm 24 */
							long BgL_arg1672z00_3006;

							BgL_arg1672z00_3006 =
								BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1243z00_3002),
								BgL_arg1672z00_3006);
						}
						BgL_new1246z00_3001 = ((BgL_switchz00_bglt) BgL_tmp1243z00_3002);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1246z00_3001)))->BgL_locz00) =
						((obj_t) BgL_loc1130z00_2777), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1246z00_3001)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1131z00_2778)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1246z00_3001)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1132zd2_2779), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1246z00_3001)))->BgL_keyz00) =
						((obj_t) BgL_key1133z00_2780), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1246z00_3001)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1134z00_2781)),
						BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1246z00_3001)))->BgL_clausesz00) =
						((obj_t) BgL_clauses1135z00_2782), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1246z00_3001)))->BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BgL_itemzd2type1136zd2_2783)), BUNSPEC);
					{
						BgL_siza7edzd2switchz75_bglt BgL_auxz00_3724;

						{
							obj_t BgL_auxz00_3725;

							{	/* Inline/size.scm 24 */
								BgL_objectz00_bglt BgL_tmpz00_3726;

								BgL_tmpz00_3726 = ((BgL_objectz00_bglt) BgL_new1246z00_3001);
								BgL_auxz00_3725 = BGL_OBJECT_WIDENING(BgL_tmpz00_3726);
							}
							BgL_auxz00_3724 =
								((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3725);
						}
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3724))->
								BgL_siza7eza7) = ((long) BgL_siza7e1137za7_3000), BUNSPEC);
					}
					return BgL_new1246z00_3001;
				}
			}
		}

	}



/* &lambda1698 */
	obj_t BGl_z62lambda1698z62zzinline_siza7eza7(obj_t BgL_envz00_2785,
		obj_t BgL_oz00_2786, obj_t BgL_vz00_2787)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_vz00_3008;

				BgL_vz00_3008 = (long) CINT(BgL_vz00_2787);
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3732;

					{
						obj_t BgL_auxz00_3733;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3734;

							BgL_tmpz00_3734 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2786));
							BgL_auxz00_3733 = BGL_OBJECT_WIDENING(BgL_tmpz00_3734);
						}
						BgL_auxz00_3732 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3733);
					}
					return
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3732))->
							BgL_siza7eza7) = ((long) BgL_vz00_3008), BUNSPEC);
		}}}

	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t BgL_envz00_2788,
		obj_t BgL_oz00_2789)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_tmpz00_3740;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3741;

					{
						obj_t BgL_auxz00_3742;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3743;

							BgL_tmpz00_3743 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2789));
							BgL_auxz00_3742 = BGL_OBJECT_WIDENING(BgL_tmpz00_3743);
						}
						BgL_auxz00_3741 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3742);
					}
					BgL_tmpz00_3740 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3741))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3740);
			}
		}

	}



/* &lambda1634 */
	BgL_syncz00_bglt BGl_z62lambda1634z62zzinline_siza7eza7(obj_t BgL_envz00_2790,
		obj_t BgL_o1128z00_2791)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_arg1635z00_3011;

				{	/* Inline/size.scm 23 */
					obj_t BgL_arg1636z00_3012;

					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1639z00_3013;

						{	/* Inline/size.scm 23 */
							long BgL_arg1828z00_3014;

							{	/* Inline/size.scm 23 */
								long BgL_arg1829z00_3015;

								BgL_arg1829z00_3015 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1128z00_2791)));
								BgL_arg1828z00_3014 = (BgL_arg1829z00_3015 - OBJECT_TYPE);
							}
							BgL_arg1639z00_3013 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3014);
						}
						BgL_arg1636z00_3012 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1639z00_3013);
					}
					{	/* Inline/size.scm 23 */
						obj_t BgL_tmpz00_3756;

						BgL_tmpz00_3756 = ((obj_t) BgL_arg1636z00_3012);
						BgL_arg1635z00_3011 = BGL_CLASS_NUM(BgL_tmpz00_3756);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1128z00_2791)), BgL_arg1635z00_3011);
			}
			{	/* Inline/size.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_3762;

				BgL_tmpz00_3762 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2791));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3762, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2791));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2791));
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2792, obj_t BgL_new1127z00_2793)
	{
		{	/* Inline/size.scm 23 */
			{
				BgL_syncz00_bglt BgL_auxz00_3770;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1127z00_2793))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3774;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3017;

						BgL_classz00_3017 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1113z00_3018;

							BgL__ortest_1113z00_3018 = BGL_CLASS_NIL(BgL_classz00_3017);
							if (CBOOL(BgL__ortest_1113z00_3018))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3774 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_3018);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3774 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3017));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2793))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3774), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3784;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3019;

						BgL_classz00_3019 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1113z00_3020;

							BgL__ortest_1113z00_3020 = BGL_CLASS_NIL(BgL_classz00_3019);
							if (CBOOL(BgL__ortest_1113z00_3020))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3784 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_3020);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3784 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3019));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2793))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3784), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3794;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3021;

						BgL_classz00_3021 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1113z00_3022;

							BgL__ortest_1113z00_3022 = BGL_CLASS_NIL(BgL_classz00_3021);
							if (CBOOL(BgL__ortest_1113z00_3022))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3794 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_3022);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3794 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3021));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2793))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_3794), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3804;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3023;

						BgL_classz00_3023 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1113z00_3024;

							BgL__ortest_1113z00_3024 = BGL_CLASS_NIL(BgL_classz00_3023);
							if (CBOOL(BgL__ortest_1113z00_3024))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3804 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_3024);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3804 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3023));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2793))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3804), BUNSPEC);
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3814;

					{
						obj_t BgL_auxz00_3815;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3816;

							BgL_tmpz00_3816 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1127z00_2793));
							BgL_auxz00_3815 = BGL_OBJECT_WIDENING(BgL_tmpz00_3816);
						}
						BgL_auxz00_3814 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3815);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3814))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3770 = ((BgL_syncz00_bglt) BgL_new1127z00_2793);
				return ((obj_t) BgL_auxz00_3770);
			}
		}

	}



/* &lambda1630 */
	BgL_syncz00_bglt BGl_z62lambda1630z62zzinline_siza7eza7(obj_t BgL_envz00_2794,
		obj_t BgL_o1123z00_2795)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				BgL_siza7edzd2syncz75_bglt BgL_wide1125z00_3026;

				BgL_wide1125z00_3026 =
					((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2syncz75_bgl))));
				{	/* Inline/size.scm 23 */
					obj_t BgL_auxz00_3829;
					BgL_objectz00_bglt BgL_tmpz00_3825;

					BgL_auxz00_3829 = ((obj_t) BgL_wide1125z00_3026);
					BgL_tmpz00_3825 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1123z00_2795)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3825, BgL_auxz00_3829);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1123z00_2795)));
				{	/* Inline/size.scm 23 */
					long BgL_arg1632z00_3027;

					BgL_arg1632z00_3027 =
						BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1123z00_2795))), BgL_arg1632z00_3027);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1123z00_2795)));
			}
		}

	}



/* &lambda1616 */
	BgL_syncz00_bglt BGl_z62lambda1616z62zzinline_siza7eza7(obj_t BgL_envz00_2796,
		obj_t BgL_loc1117z00_2797, obj_t BgL_type1118z00_2798,
		obj_t BgL_mutex1119z00_2799, obj_t BgL_prelock1120z00_2800,
		obj_t BgL_body1121z00_2801, obj_t BgL_siza7e1122za7_2802)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_siza7e1122za7_3032;

				BgL_siza7e1122za7_3032 = (long) CINT(BgL_siza7e1122za7_2802);
				{	/* Inline/size.scm 23 */
					BgL_syncz00_bglt BgL_new1240z00_3033;

					{	/* Inline/size.scm 23 */
						BgL_syncz00_bglt BgL_tmp1237z00_3034;
						BgL_siza7edzd2syncz75_bglt BgL_wide1238z00_3035;

						{
							BgL_syncz00_bglt BgL_auxz00_3844;

							{	/* Inline/size.scm 23 */
								BgL_syncz00_bglt BgL_new1236z00_3036;

								BgL_new1236z00_3036 =
									((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_syncz00_bgl))));
								{	/* Inline/size.scm 23 */
									long BgL_arg1629z00_3037;

									BgL_arg1629z00_3037 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1236z00_3036),
										BgL_arg1629z00_3037);
								}
								{	/* Inline/size.scm 23 */
									BgL_objectz00_bglt BgL_tmpz00_3849;

									BgL_tmpz00_3849 = ((BgL_objectz00_bglt) BgL_new1236z00_3036);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3849, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1236z00_3036);
								BgL_auxz00_3844 = BgL_new1236z00_3036;
							}
							BgL_tmp1237z00_3034 = ((BgL_syncz00_bglt) BgL_auxz00_3844);
						}
						BgL_wide1238z00_3035 =
							((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2syncz75_bgl))));
						{	/* Inline/size.scm 23 */
							obj_t BgL_auxz00_3857;
							BgL_objectz00_bglt BgL_tmpz00_3855;

							BgL_auxz00_3857 = ((obj_t) BgL_wide1238z00_3035);
							BgL_tmpz00_3855 = ((BgL_objectz00_bglt) BgL_tmp1237z00_3034);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3855, BgL_auxz00_3857);
						}
						((BgL_objectz00_bglt) BgL_tmp1237z00_3034);
						{	/* Inline/size.scm 23 */
							long BgL_arg1625z00_3038;

							BgL_arg1625z00_3038 =
								BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1237z00_3034),
								BgL_arg1625z00_3038);
						}
						BgL_new1240z00_3033 = ((BgL_syncz00_bglt) BgL_tmp1237z00_3034);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1240z00_3033)))->BgL_locz00) =
						((obj_t) BgL_loc1117z00_2797), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1240z00_3033)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1118z00_2798)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1240z00_3033)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1119z00_2799)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1240z00_3033)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1120z00_2800)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1240z00_3033)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1121z00_2801)),
						BUNSPEC);
					{
						BgL_siza7edzd2syncz75_bglt BgL_auxz00_3879;

						{
							obj_t BgL_auxz00_3880;

							{	/* Inline/size.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_3881;

								BgL_tmpz00_3881 = ((BgL_objectz00_bglt) BgL_new1240z00_3033);
								BgL_auxz00_3880 = BGL_OBJECT_WIDENING(BgL_tmpz00_3881);
							}
							BgL_auxz00_3879 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3880);
						}
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3879))->
								BgL_siza7eza7) = ((long) BgL_siza7e1122za7_3032), BUNSPEC);
					}
					return BgL_new1240z00_3033;
				}
			}
		}

	}



/* &lambda1648 */
	obj_t BGl_z62lambda1648z62zzinline_siza7eza7(obj_t BgL_envz00_2803,
		obj_t BgL_oz00_2804, obj_t BgL_vz00_2805)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_vz00_3040;

				BgL_vz00_3040 = (long) CINT(BgL_vz00_2805);
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3887;

					{
						obj_t BgL_auxz00_3888;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3889;

							BgL_tmpz00_3889 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2804));
							BgL_auxz00_3888 = BGL_OBJECT_WIDENING(BgL_tmpz00_3889);
						}
						BgL_auxz00_3887 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3888);
					}
					return
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3887))->
							BgL_siza7eza7) = ((long) BgL_vz00_3040), BUNSPEC);
		}}}

	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zzinline_siza7eza7(obj_t BgL_envz00_2806,
		obj_t BgL_oz00_2807)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_tmpz00_3895;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3896;

					{
						obj_t BgL_auxz00_3897;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3898;

							BgL_tmpz00_3898 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2807));
							BgL_auxz00_3897 = BGL_OBJECT_WIDENING(BgL_tmpz00_3898);
						}
						BgL_auxz00_3896 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3897);
					}
					BgL_tmpz00_3895 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3896))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3895);
			}
		}

	}



/* &lambda1569 */
	BgL_sequencez00_bglt BGl_z62lambda1569z62zzinline_siza7eza7(obj_t
		BgL_envz00_2808, obj_t BgL_o1115z00_2809)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_arg1570z00_3043;

				{	/* Inline/size.scm 22 */
					obj_t BgL_arg1572z00_3044;

					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1580z00_3045;

						{	/* Inline/size.scm 22 */
							long BgL_arg1828z00_3046;

							{	/* Inline/size.scm 22 */
								long BgL_arg1829z00_3047;

								BgL_arg1829z00_3047 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1115z00_2809)));
								BgL_arg1828z00_3046 = (BgL_arg1829z00_3047 - OBJECT_TYPE);
							}
							BgL_arg1580z00_3045 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3046);
						}
						BgL_arg1572z00_3044 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1580z00_3045);
					}
					{	/* Inline/size.scm 22 */
						obj_t BgL_tmpz00_3911;

						BgL_tmpz00_3911 = ((obj_t) BgL_arg1572z00_3044);
						BgL_arg1570z00_3043 = BGL_CLASS_NUM(BgL_tmpz00_3911);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1115z00_2809)), BgL_arg1570z00_3043);
			}
			{	/* Inline/size.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3917;

				BgL_tmpz00_3917 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1115z00_2809));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3917, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1115z00_2809));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1115z00_2809));
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2810, obj_t BgL_new1114z00_2811)
	{
		{	/* Inline/size.scm 22 */
			{
				BgL_sequencez00_bglt BgL_auxz00_3925;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1114z00_2811))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3929;

					{	/* Inline/size.scm 22 */
						obj_t BgL_classz00_3049;

						BgL_classz00_3049 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 22 */
							obj_t BgL__ortest_1113z00_3050;

							BgL__ortest_1113z00_3050 = BGL_CLASS_NIL(BgL_classz00_3049);
							if (CBOOL(BgL__ortest_1113z00_3050))
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3929 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_3050);
								}
							else
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3929 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3049));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1114z00_2811))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3929), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1114z00_2811))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1114z00_2811))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1114z00_2811))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1114z00_2811))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1114z00_2811))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_3954;

					{
						obj_t BgL_auxz00_3955;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3956;

							BgL_tmpz00_3956 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1114z00_2811));
							BgL_auxz00_3955 = BGL_OBJECT_WIDENING(BgL_tmpz00_3956);
						}
						BgL_auxz00_3954 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_3955);
					}
					((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_3954))->
							BgL_siza7eza7) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_3925 = ((BgL_sequencez00_bglt) BgL_new1114z00_2811);
				return ((obj_t) BgL_auxz00_3925);
			}
		}

	}



/* &lambda1566 */
	BgL_sequencez00_bglt BGl_z62lambda1566z62zzinline_siza7eza7(obj_t
		BgL_envz00_2812, obj_t BgL_o1111z00_2813)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				BgL_siza7edzd2sequencez75_bglt BgL_wide1113z00_3052;

				BgL_wide1113z00_3052 =
					((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2sequencez75_bgl))));
				{	/* Inline/size.scm 22 */
					obj_t BgL_auxz00_3969;
					BgL_objectz00_bglt BgL_tmpz00_3965;

					BgL_auxz00_3969 = ((obj_t) BgL_wide1113z00_3052);
					BgL_tmpz00_3965 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1111z00_2813)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3965, BgL_auxz00_3969);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1111z00_2813)));
				{	/* Inline/size.scm 22 */
					long BgL_arg1567z00_3053;

					BgL_arg1567z00_3053 =
						BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1111z00_2813))),
						BgL_arg1567z00_3053);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1111z00_2813)));
			}
		}

	}



/* &lambda1559 */
	BgL_sequencez00_bglt BGl_z62lambda1559z62zzinline_siza7eza7(obj_t
		BgL_envz00_2814, obj_t BgL_loc1103z00_2815, obj_t BgL_type1104z00_2816,
		obj_t BgL_sidezd2effect1105zd2_2817, obj_t BgL_key1106z00_2818,
		obj_t BgL_nodes1107z00_2819, obj_t BgL_unsafe1108z00_2820,
		obj_t BgL_meta1109z00_2821, obj_t BgL_siza7e1110za7_2822)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				bool_t BgL_unsafe1108z00_3056;
				long BgL_siza7e1110za7_3058;

				BgL_unsafe1108z00_3056 = CBOOL(BgL_unsafe1108z00_2820);
				BgL_siza7e1110za7_3058 = (long) CINT(BgL_siza7e1110za7_2822);
				{	/* Inline/size.scm 22 */
					BgL_sequencez00_bglt BgL_new1234z00_3059;

					{	/* Inline/size.scm 22 */
						BgL_sequencez00_bglt BgL_tmp1232z00_3060;
						BgL_siza7edzd2sequencez75_bglt BgL_wide1233z00_3061;

						{
							BgL_sequencez00_bglt BgL_auxz00_3985;

							{	/* Inline/size.scm 22 */
								BgL_sequencez00_bglt BgL_new1231z00_3062;

								BgL_new1231z00_3062 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Inline/size.scm 22 */
									long BgL_arg1565z00_3063;

									BgL_arg1565z00_3063 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1231z00_3062),
										BgL_arg1565z00_3063);
								}
								{	/* Inline/size.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3990;

									BgL_tmpz00_3990 = ((BgL_objectz00_bglt) BgL_new1231z00_3062);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3990, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1231z00_3062);
								BgL_auxz00_3985 = BgL_new1231z00_3062;
							}
							BgL_tmp1232z00_3060 = ((BgL_sequencez00_bglt) BgL_auxz00_3985);
						}
						BgL_wide1233z00_3061 =
							((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2sequencez75_bgl))));
						{	/* Inline/size.scm 22 */
							obj_t BgL_auxz00_3998;
							BgL_objectz00_bglt BgL_tmpz00_3996;

							BgL_auxz00_3998 = ((obj_t) BgL_wide1233z00_3061);
							BgL_tmpz00_3996 = ((BgL_objectz00_bglt) BgL_tmp1232z00_3060);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3996, BgL_auxz00_3998);
						}
						((BgL_objectz00_bglt) BgL_tmp1232z00_3060);
						{	/* Inline/size.scm 22 */
							long BgL_arg1561z00_3064;

							BgL_arg1561z00_3064 =
								BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1232z00_3060),
								BgL_arg1561z00_3064);
						}
						BgL_new1234z00_3059 = ((BgL_sequencez00_bglt) BgL_tmp1232z00_3060);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1234z00_3059)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_2815), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1234z00_3059)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2816)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1234z00_3059)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_2817), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1234z00_3059)))->BgL_keyz00) =
						((obj_t) BgL_key1106z00_2818), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1234z00_3059)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1107z00_2819)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1234z00_3059)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1108z00_3056), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1234z00_3059)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1109z00_2821)), BUNSPEC);
					{
						BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4023;

						{
							obj_t BgL_auxz00_4024;

							{	/* Inline/size.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_4025;

								BgL_tmpz00_4025 = ((BgL_objectz00_bglt) BgL_new1234z00_3059);
								BgL_auxz00_4024 = BGL_OBJECT_WIDENING(BgL_tmpz00_4025);
							}
							BgL_auxz00_4023 =
								((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4024);
						}
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4023))->
								BgL_siza7eza7) = ((long) BgL_siza7e1110za7_3058), BUNSPEC);
					}
					return BgL_new1234z00_3059;
				}
			}
		}

	}



/* &lambda1590 */
	obj_t BGl_z62lambda1590z62zzinline_siza7eza7(obj_t BgL_envz00_2823,
		obj_t BgL_oz00_2824, obj_t BgL_vz00_2825)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_vz00_3066;

				BgL_vz00_3066 = (long) CINT(BgL_vz00_2825);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4031;

					{
						obj_t BgL_auxz00_4032;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4033;

							BgL_tmpz00_4033 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2824));
							BgL_auxz00_4032 = BGL_OBJECT_WIDENING(BgL_tmpz00_4033);
						}
						BgL_auxz00_4031 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4032);
					}
					return
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4031))->
							BgL_siza7eza7) = ((long) BgL_vz00_3066), BUNSPEC);
		}}}

	}



/* &lambda1589 */
	obj_t BGl_z62lambda1589z62zzinline_siza7eza7(obj_t BgL_envz00_2826,
		obj_t BgL_oz00_2827)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_tmpz00_4039;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4040;

					{
						obj_t BgL_auxz00_4041;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4042;

							BgL_tmpz00_4042 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2827));
							BgL_auxz00_4041 = BGL_OBJECT_WIDENING(BgL_tmpz00_4042);
						}
						BgL_auxz00_4040 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4041);
					}
					BgL_tmpz00_4039 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4040))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4039);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_proc2069z00zzinline_siza7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2070z00zzinline_siza7eza7);
		}

	}



/* &node-size1393 */
	obj_t BGl_z62nodezd2siza7e1393z17zzinline_siza7eza7(obj_t BgL_envz00_2829,
		obj_t BgL_nodez00_2830)
	{
		{	/* Inline/size.scm 33 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 8)),
				BGl_string2071z00zzinline_siza7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2830)));
		}

	}



/* node-size */
	BGL_EXPORTED_DEF long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt
		BgL_nodez00_152)
	{
		{	/* Inline/size.scm 33 */
			{	/* Inline/size.scm 33 */
				obj_t BgL_method1394z00_1811;

				{	/* Inline/size.scm 33 */
					obj_t BgL_res2038z00_2501;

					{	/* Inline/size.scm 33 */
						long BgL_objzd2classzd2numz00_2472;

						BgL_objzd2classzd2numz00_2472 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_152));
						{	/* Inline/size.scm 33 */
							obj_t BgL_arg1825z00_2473;

							BgL_arg1825z00_2473 =
								PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
								(int) (((long) 1)));
							{	/* Inline/size.scm 33 */
								int BgL_offsetz00_2476;

								BgL_offsetz00_2476 = (int) (BgL_objzd2classzd2numz00_2472);
								{	/* Inline/size.scm 33 */
									long BgL_offsetz00_2477;

									BgL_offsetz00_2477 =
										((long) (BgL_offsetz00_2476) - OBJECT_TYPE);
									{	/* Inline/size.scm 33 */
										long BgL_modz00_2478;

										BgL_modz00_2478 =
											(BgL_offsetz00_2477 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/size.scm 33 */
											long BgL_restz00_2480;

											BgL_restz00_2480 =
												(BgL_offsetz00_2477 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/size.scm 33 */

												{	/* Inline/size.scm 33 */
													obj_t BgL_bucketz00_2482;

													BgL_bucketz00_2482 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2473), BgL_modz00_2478);
													BgL_res2038z00_2501 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2482), BgL_restz00_2480);
					}}}}}}}}
					BgL_method1394z00_1811 = BgL_res2038z00_2501;
				}
				return
					(long) CINT(
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1394z00_1811)) (BgL_method1394z00_1811,
						((obj_t) BgL_nodez00_152), BEOA));
		}}

	}



/* &node-size */
	obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t BgL_envz00_2831,
		obj_t BgL_nodez00_2832)
	{
		{	/* Inline/size.scm 33 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					((BgL_nodez00_bglt) BgL_nodez00_2832)));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2072z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2074z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_kwotez00zzast_nodez00, BGl_proc2075z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2076z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2sequencez75zzinline_siza7eza7,
				BGl_proc2077z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2078z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2syncz75zzinline_siza7eza7,
				BGl_proc2079z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2080z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2081z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2082z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2083z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_externz00zzast_nodez00, BGl_proc2084z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2085z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2086z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2087z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_switchz00zzast_nodez00, BGl_proc2088z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2switchz75zzinline_siza7eza7,
				BGl_proc2089z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2090z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7,
				BGl_proc2091z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2092z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2varza7zzinline_siza7eza7,
				BGl_proc2093z00zzinline_siza7eza7, BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2094z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2095z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_retblockz00zzast_nodez00, BGl_proc2096z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_returnz00zzast_nodez00, BGl_proc2097z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2098z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2099z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2100z00zzinline_siza7eza7,
				BGl_string2073z00zzinline_siza7eza7);
		}

	}



/* &node-size-box-set!1453 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2setz121453z05zzinline_siza7eza7(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862)
	{
		{	/* Inline/size.scm 272 */
			return
				BINT(
				(((long) 2) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2862)))->
							BgL_valuez00))));
		}

	}



/* &node-size-box-ref1451 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1451z17zzinline_siza7eza7(obj_t
		BgL_envz00_2863, obj_t BgL_nodez00_2864)
	{
		{	/* Inline/size.scm 266 */
			return BINT(((long) 2));
		}

	}



/* &node-size-make-box1449 */
	obj_t BGl_z62nodezd2siza7ezd2makezd2box1449z17zzinline_siza7eza7(obj_t
		BgL_envz00_2865, obj_t BgL_nodez00_2866)
	{
		{	/* Inline/size.scm 260 */
			return
				BINT(
				(((long) 1) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2866)))->
							BgL_valuez00))));
		}

	}



/* &node-size-return1447 */
	obj_t BGl_z62nodezd2siza7ezd2return1447zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2867, obj_t BgL_nodez00_2868)
	{
		{	/* Inline/size.scm 253 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2868)))->BgL_valuez00)));
		}

	}



/* &node-size-retblock1445 */
	obj_t BGl_z62nodezd2siza7ezd2retblock1445zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870)
	{
		{	/* Inline/size.scm 246 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2870)))->BgL_bodyz00)));
		}

	}



/* &node-size-jump-ex-it1443 */
	obj_t BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1443zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2871, obj_t BgL_nodez00_2872)
	{
		{	/* Inline/size.scm 238 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2872)))->
								BgL_exitz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(((
									(BgL_jumpzd2exzd2itz00_bglt)
									COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2872)))->
								BgL_valuez00)))));
		}

	}



/* &node-size-set-ex-it1441 */
	obj_t BGl_z62nodezd2siza7ezd2setzd2exzd2it1441zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2873, obj_t BgL_nodez00_2874)
	{
		{	/* Inline/size.scm 230 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2874)))->
								BgL_bodyz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_setzd2exzd2itz00_bglt)
									COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2874)))->
								BgL_onexitz00)))));
		}

	}



/* &node-size-sized-let-1439 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21439z62zzinline_siza7eza7(obj_t
		BgL_envz00_2875, obj_t BgL_nodez00_2876)
	{
		{	/* Inline/size.scm 224 */
			{	/* Inline/size.scm 225 */
				long BgL_tmpz00_4153;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4154;

					{
						obj_t BgL_auxz00_4155;

						{	/* Inline/size.scm 225 */
							BgL_objectz00_bglt BgL_tmpz00_4156;

							BgL_tmpz00_4156 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2876));
							BgL_auxz00_4155 = BGL_OBJECT_WIDENING(BgL_tmpz00_4156);
						}
						BgL_auxz00_4154 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4155);
					}
					BgL_tmpz00_4153 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_4154))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4153);
			}
		}

	}



/* &node-size-let-var1437 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2var1437z17zzinline_siza7eza7(obj_t
		BgL_envz00_2877, obj_t BgL_nodez00_2878)
	{
		{	/* Inline/size.scm 211 */
			{	/* Inline/size.scm 212 */
				long BgL_tmpz00_4163;

				{	/* Inline/size.scm 212 */
					obj_t BgL_g1223z00_3078;
					long BgL_g1224z00_3079;

					BgL_g1223z00_3078 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)))->BgL_bindingsz00);
					BgL_g1224z00_3079 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)))->BgL_bodyz00));
					{
						obj_t BgL_bindingsz00_3081;
						long BgL_siza7eza7_3082;

						BgL_bindingsz00_3081 = BgL_g1223z00_3078;
						BgL_siza7eza7_3082 = BgL_g1224z00_3079;
					BgL_loopz00_3080:
						if (NULLP(BgL_bindingsz00_3081))
							{	/* Inline/size.scm 214 */
								{	/* Inline/size.scm 216 */
									BgL_siza7edzd2letzd2varza7_bglt BgL_wide1227z00_3083;

									BgL_wide1227z00_3083 =
										((BgL_siza7edzd2letzd2varza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2varza7_bgl))));
									{	/* Inline/size.scm 216 */
										obj_t BgL_auxz00_4176;
										BgL_objectz00_bglt BgL_tmpz00_4172;

										BgL_auxz00_4176 = ((obj_t) BgL_wide1227z00_3083);
										BgL_tmpz00_4172 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4172, BgL_auxz00_4176);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)));
									{	/* Inline/size.scm 216 */
										long BgL_arg1954z00_3084;

										BgL_arg1954z00_3084 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_2878))), BgL_arg1954z00_3084);
									}
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)));
								}
								{
									BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4190;

									{
										obj_t BgL_auxz00_4191;

										{	/* Inline/size.scm 216 */
											BgL_objectz00_bglt BgL_tmpz00_4192;

											BgL_tmpz00_4192 =
												((BgL_objectz00_bglt)
												((BgL_letzd2varzd2_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2878)));
											BgL_auxz00_4191 = BGL_OBJECT_WIDENING(BgL_tmpz00_4192);
										}
										BgL_auxz00_4190 =
											((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4191);
									}
									((((BgL_siza7edzd2letzd2varza7_bglt)
												COBJECT(BgL_auxz00_4190))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3082), BUNSPEC);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2878));
								BgL_tmpz00_4163 = BgL_siza7eza7_3082;
							}
						else
							{	/* Inline/size.scm 218 */
								obj_t BgL_arg1955z00_3085;
								long BgL_arg1956z00_3086;

								BgL_arg1955z00_3085 = CDR(((obj_t) BgL_bindingsz00_3081));
								{	/* Inline/size.scm 219 */
									long BgL_arg1957z00_3087;

									{	/* Inline/size.scm 219 */
										obj_t BgL_arg1958z00_3088;

										{	/* Inline/size.scm 219 */
											obj_t BgL_pairz00_3089;

											BgL_pairz00_3089 = CAR(((obj_t) BgL_bindingsz00_3081));
											BgL_arg1958z00_3088 = CDR(BgL_pairz00_3089);
										}
										BgL_arg1957z00_3087 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1958z00_3088));
									}
									BgL_arg1956z00_3086 =
										(BgL_siza7eza7_3082 + BgL_arg1957z00_3087);
								}
								{
									long BgL_siza7eza7_4210;
									obj_t BgL_bindingsz00_4209;

									BgL_bindingsz00_4209 = BgL_arg1955z00_3085;
									BgL_siza7eza7_4210 = BgL_arg1956z00_3086;
									BgL_siza7eza7_3082 = BgL_siza7eza7_4210;
									BgL_bindingsz00_3081 = BgL_bindingsz00_4209;
									goto BgL_loopz00_3080;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4163);
			}
		}

	}



/* &node-size-sized-let-1435 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21435z62zzinline_siza7eza7(obj_t
		BgL_envz00_2879, obj_t BgL_nodez00_2880)
	{
		{	/* Inline/size.scm 205 */
			{	/* Inline/size.scm 206 */
				long BgL_tmpz00_4212;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4213;

					{
						obj_t BgL_auxz00_4214;

						{	/* Inline/size.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_4215;

							BgL_tmpz00_4215 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2880));
							BgL_auxz00_4214 = BGL_OBJECT_WIDENING(BgL_tmpz00_4215);
						}
						BgL_auxz00_4213 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4214);
					}
					BgL_tmpz00_4212 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_4213))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4212);
			}
		}

	}



/* &node-size-let-fun1433 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2fun1433z17zzinline_siza7eza7(obj_t
		BgL_envz00_2881, obj_t BgL_nodez00_2882)
	{
		{	/* Inline/size.scm 190 */
			{	/* Inline/size.scm 191 */
				long BgL_tmpz00_4222;

				{	/* Inline/size.scm 191 */
					obj_t BgL_g1217z00_3092;
					long BgL_g1218z00_3093;

					BgL_g1217z00_3092 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)))->BgL_localsz00);
					BgL_g1218z00_3093 =
						(bgl_list_length(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)))->
								BgL_localsz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_letzd2funzd2_bglt)
									COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)))->
								BgL_bodyz00)));
					{
						obj_t BgL_localsz00_3095;
						long BgL_siza7eza7_3096;

						BgL_localsz00_3095 = BgL_g1217z00_3092;
						BgL_siza7eza7_3096 = BgL_g1218z00_3093;
					BgL_loopz00_3094:
						if (NULLP(BgL_localsz00_3095))
							{	/* Inline/size.scm 194 */
								{	/* Inline/size.scm 196 */
									BgL_siza7edzd2letzd2funza7_bglt BgL_wide1221z00_3097;

									BgL_wide1221z00_3097 =
										((BgL_siza7edzd2letzd2funza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2funza7_bgl))));
									{	/* Inline/size.scm 196 */
										obj_t BgL_auxz00_4239;
										BgL_objectz00_bglt BgL_tmpz00_4235;

										BgL_auxz00_4239 = ((obj_t) BgL_wide1221z00_3097);
										BgL_tmpz00_4235 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4235, BgL_auxz00_4239);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)));
									{	/* Inline/size.scm 196 */
										long BgL_arg1940z00_3098;

										BgL_arg1940z00_3098 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_2882))), BgL_arg1940z00_3098);
									}
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)));
								}
								{
									BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4253;

									{
										obj_t BgL_auxz00_4254;

										{	/* Inline/size.scm 196 */
											BgL_objectz00_bglt BgL_tmpz00_4255;

											BgL_tmpz00_4255 =
												((BgL_objectz00_bglt)
												((BgL_letzd2funzd2_bglt)
													((BgL_letzd2funzd2_bglt) BgL_nodez00_2882)));
											BgL_auxz00_4254 = BGL_OBJECT_WIDENING(BgL_tmpz00_4255);
										}
										BgL_auxz00_4253 =
											((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4254);
									}
									((((BgL_siza7edzd2letzd2funza7_bglt)
												COBJECT(BgL_auxz00_4253))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3096), BUNSPEC);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2882));
								BgL_tmpz00_4222 = (((long) 1) + BgL_siza7eza7_3096);
							}
						else
							{	/* Inline/size.scm 198 */
								obj_t BgL_arg1941z00_3099;
								long BgL_arg1942z00_3100;

								BgL_arg1941z00_3099 = CDR(((obj_t) BgL_localsz00_3095));
								{	/* Inline/size.scm 200 */
									long BgL_arg1943z00_3101;

									{	/* Inline/size.scm 200 */
										long BgL_arg1944z00_3102;

										{	/* Inline/size.scm 200 */
											obj_t BgL_arg1945z00_3103;

											BgL_arg1945z00_3103 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_localsz00_3095))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_arg1944z00_3102 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7((
													(BgL_nodez00_bglt) BgL_arg1945z00_3103));
										}
										BgL_arg1943z00_3101 = (((long) 1) + BgL_arg1944z00_3102);
									}
									BgL_arg1942z00_3100 =
										(BgL_siza7eza7_3096 + BgL_arg1943z00_3101);
								}
								{
									long BgL_siza7eza7_4279;
									obj_t BgL_localsz00_4278;

									BgL_localsz00_4278 = BgL_arg1941z00_3099;
									BgL_siza7eza7_4279 = BgL_arg1942z00_3100;
									BgL_siza7eza7_3096 = BgL_siza7eza7_4279;
									BgL_localsz00_3095 = BgL_localsz00_4278;
									goto BgL_loopz00_3094;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4222);
			}
		}

	}



/* &node-size-sized-swit1431 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2swit1431zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2883, obj_t BgL_nodez00_2884)
	{
		{	/* Inline/size.scm 184 */
			{	/* Inline/size.scm 185 */
				long BgL_tmpz00_4281;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_4282;

					{
						obj_t BgL_auxz00_4283;

						{	/* Inline/size.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_4284;

							BgL_tmpz00_4284 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2884));
							BgL_auxz00_4283 = BGL_OBJECT_WIDENING(BgL_tmpz00_4284);
						}
						BgL_auxz00_4282 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4283);
					}
					BgL_tmpz00_4281 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4282))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4281);
			}
		}

	}



/* &node-size-switch1429 */
	obj_t BGl_z62nodezd2siza7ezd2switch1429zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2885, obj_t BgL_nodez00_2886)
	{
		{	/* Inline/size.scm 168 */
			{	/* Inline/size.scm 169 */
				long BgL_tmpz00_4291;

				{	/* Inline/size.scm 169 */
					obj_t BgL_g1211z00_3106;
					long BgL_g1212z00_3107;

					BgL_g1211z00_3106 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2886)))->BgL_clausesz00);
					BgL_g1212z00_3107 =
						(((long) 1) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2886)))->BgL_testz00)));
					{
						obj_t BgL_clausesz00_3109;
						long BgL_siza7eza7_3110;

						BgL_clausesz00_3109 = BgL_g1211z00_3106;
						BgL_siza7eza7_3110 = BgL_g1212z00_3107;
					BgL_loopz00_3108:
						if (NULLP(BgL_clausesz00_3109))
							{	/* Inline/size.scm 171 */
								{	/* Inline/size.scm 173 */
									BgL_siza7edzd2switchz75_bglt BgL_wide1215z00_3111;

									BgL_wide1215z00_3111 =
										((BgL_siza7edzd2switchz75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2switchz75_bgl))));
									{	/* Inline/size.scm 173 */
										obj_t BgL_auxz00_4305;
										BgL_objectz00_bglt BgL_tmpz00_4301;

										BgL_auxz00_4305 = ((obj_t) BgL_wide1215z00_3111);
										BgL_tmpz00_4301 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nodez00_2886)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4301, BgL_auxz00_4305);
									}
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2886)));
									{	/* Inline/size.scm 173 */
										long BgL_arg1919z00_3112;

										BgL_arg1919z00_3112 =
											BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2886))),
											BgL_arg1919z00_3112);
									}
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2886)));
								}
								{
									BgL_siza7edzd2switchz75_bglt BgL_auxz00_4319;

									{
										obj_t BgL_auxz00_4320;

										{	/* Inline/size.scm 173 */
											BgL_objectz00_bglt BgL_tmpz00_4321;

											BgL_tmpz00_4321 =
												((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2886)));
											BgL_auxz00_4320 = BGL_OBJECT_WIDENING(BgL_tmpz00_4321);
										}
										BgL_auxz00_4319 =
											((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4320);
									}
									((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4319))->
											BgL_siza7eza7) = ((long) BgL_siza7eza7_3110), BUNSPEC);
								}
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2886));
								BgL_tmpz00_4291 = BgL_siza7eza7_3110;
							}
						else
							{	/* Inline/size.scm 175 */
								obj_t BgL_arg1920z00_3113;
								long BgL_arg1921z00_3114;

								BgL_arg1920z00_3113 = CDR(((obj_t) BgL_clausesz00_3109));
								{	/* Inline/size.scm 176 */
									long BgL_arg1922z00_3115;

									{	/* Inline/size.scm 176 */
										long BgL_arg1924z00_3116;
										long BgL_arg1925z00_3117;

										{	/* Inline/size.scm 176 */
											bool_t BgL_test2198z00_4332;

											{	/* Inline/size.scm 176 */
												obj_t BgL_tmpz00_4333;

												{	/* Inline/size.scm 176 */
													obj_t BgL_pairz00_3118;

													BgL_pairz00_3118 = CAR(((obj_t) BgL_clausesz00_3109));
													BgL_tmpz00_4333 = CAR(BgL_pairz00_3118);
												}
												BgL_test2198z00_4332 = PAIRP(BgL_tmpz00_4333);
											}
											if (BgL_test2198z00_4332)
												{	/* Inline/size.scm 177 */
													obj_t BgL_auxz00_4338;

													{	/* Inline/size.scm 177 */
														obj_t BgL_pairz00_3119;

														BgL_pairz00_3119 =
															CAR(((obj_t) BgL_clausesz00_3109));
														BgL_auxz00_4338 = CAR(BgL_pairz00_3119);
													}
													BgL_arg1924z00_3116 =
														bgl_list_length(BgL_auxz00_4338);
												}
											else
												{	/* Inline/size.scm 176 */
													BgL_arg1924z00_3116 = ((long) 1);
										}}
										{	/* Inline/size.scm 179 */
											obj_t BgL_arg1933z00_3120;

											{	/* Inline/size.scm 179 */
												obj_t BgL_pairz00_3121;

												BgL_pairz00_3121 = CAR(((obj_t) BgL_clausesz00_3109));
												BgL_arg1933z00_3120 = CDR(BgL_pairz00_3121);
											}
											BgL_arg1925z00_3117 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7(
												((BgL_nodez00_bglt) BgL_arg1933z00_3120));
										}
										BgL_arg1922z00_3115 =
											(BgL_arg1924z00_3116 + BgL_arg1925z00_3117);
									}
									BgL_arg1921z00_3114 =
										(BgL_siza7eza7_3110 + BgL_arg1922z00_3115);
								}
								{
									long BgL_siza7eza7_4351;
									obj_t BgL_clausesz00_4350;

									BgL_clausesz00_4350 = BgL_arg1920z00_3113;
									BgL_siza7eza7_4351 = BgL_arg1921z00_3114;
									BgL_siza7eza7_3110 = BgL_siza7eza7_4351;
									BgL_clausesz00_3109 = BgL_clausesz00_4350;
									goto BgL_loopz00_3108;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4291);
			}
		}

	}



/* &node-size-fail1427 */
	obj_t BGl_z62nodezd2siza7ezd2fail1427zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2887, obj_t BgL_nodez00_2888)
	{
		{	/* Inline/size.scm 159 */
			{	/* Inline/size.scm 160 */
				long BgL_tmpz00_4353;

				{	/* Inline/size.scm 160 */
					long BgL_proczd2siza7ez75_3123;

					BgL_proczd2siza7ez75_3123 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2888)))->BgL_procz00));
					{	/* Inline/size.scm 160 */
						long BgL_msgzd2siza7ez75_3124;

						BgL_msgzd2siza7ez75_3124 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2888)))->BgL_msgz00));
						{	/* Inline/size.scm 161 */
							long BgL_objzd2siza7ez75_3125;

							BgL_objzd2siza7ez75_3125 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2888)))->BgL_objz00));
							{	/* Inline/size.scm 162 */

								BgL_tmpz00_4353 =
									(((long) 2) +
									(BgL_proczd2siza7ez75_3123 +
										(BgL_msgzd2siza7ez75_3124 + BgL_objzd2siza7ez75_3125)));
				}}}}
				return BINT(BgL_tmpz00_4353);
			}
		}

	}



/* &node-size-conditiona1425 */
	obj_t BGl_z62nodezd2siza7ezd2conditiona1425zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2889, obj_t BgL_nodez00_2890)
	{
		{	/* Inline/size.scm 150 */
			{	/* Inline/size.scm 151 */
				long BgL_tmpz00_4367;

				{	/* Inline/size.scm 151 */
					long BgL_testzd2siza7ez75_3127;

					BgL_testzd2siza7ez75_3127 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2890)))->BgL_testz00));
					{	/* Inline/size.scm 151 */
						long BgL_truezd2siza7ez75_3128;

						BgL_truezd2siza7ez75_3128 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2890)))->
								BgL_truez00));
						{	/* Inline/size.scm 152 */
							long BgL_falsezd2siza7ez75_3129;

							BgL_falsezd2siza7ez75_3129 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2890)))->
									BgL_falsez00));
							{	/* Inline/size.scm 153 */

								BgL_tmpz00_4367 =
									(((long) 1) +
									(BgL_testzd2siza7ez75_3127 +
										(BgL_truezd2siza7ez75_3128 + BgL_falsezd2siza7ez75_3129)));
				}}}}
				return BINT(BgL_tmpz00_4367);
			}
		}

	}



/* &node-size-setq1422 */
	obj_t BGl_z62nodezd2siza7ezd2setq1422zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2891, obj_t BgL_nodez00_2892)
	{
		{	/* Inline/size.scm 144 */
			return
				BINT(
				(((long) 2) +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2892)))->BgL_valuez00))));
		}

	}



/* &node-size-extern1420 */
	obj_t BGl_z62nodezd2siza7ezd2extern1420zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2893, obj_t BgL_nodez00_2894)
	{
		{	/* Inline/size.scm 134 */
			{	/* Inline/size.scm 135 */
				long BgL_tmpz00_4386;

				{	/* Inline/size.scm 135 */
					obj_t BgL_g1210z00_3132;

					BgL_g1210z00_3132 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2894)))->BgL_exprza2za2);
					{
						obj_t BgL_argsz00_3134;
						long BgL_siza7eza7_3135;

						BgL_argsz00_3134 = BgL_g1210z00_3132;
						BgL_siza7eza7_3135 = ((long) 1);
					BgL_loopz00_3133:
						if (NULLP(BgL_argsz00_3134))
							{	/* Inline/size.scm 137 */
								BgL_tmpz00_4386 = BgL_siza7eza7_3135;
							}
						else
							{	/* Inline/size.scm 139 */
								obj_t BgL_arg1894z00_3136;
								long BgL_arg1898z00_3137;

								BgL_arg1894z00_3136 = CDR(((obj_t) BgL_argsz00_3134));
								{	/* Inline/size.scm 139 */
									long BgL_arg1899z00_3138;

									{	/* Inline/size.scm 139 */
										obj_t BgL_arg1900z00_3139;

										BgL_arg1900z00_3139 = CAR(((obj_t) BgL_argsz00_3134));
										BgL_arg1899z00_3138 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1900z00_3139));
									}
									BgL_arg1898z00_3137 =
										(BgL_siza7eza7_3135 + BgL_arg1899z00_3138);
								}
								{
									long BgL_siza7eza7_4399;
									obj_t BgL_argsz00_4398;

									BgL_argsz00_4398 = BgL_arg1894z00_3136;
									BgL_siza7eza7_4399 = BgL_arg1898z00_3137;
									BgL_siza7eza7_3135 = BgL_siza7eza7_4399;
									BgL_argsz00_3134 = BgL_argsz00_4398;
									goto BgL_loopz00_3133;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4386);
			}
		}

	}



/* &node-size-cast1418 */
	obj_t BGl_z62nodezd2siza7ezd2cast1418zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2895, obj_t BgL_nodez00_2896)
	{
		{	/* Inline/size.scm 127 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2896)))->BgL_argz00)));
		}

	}



/* &node-size-funcall1416 */
	obj_t BGl_z62nodezd2siza7ezd2funcall1416zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2897, obj_t BgL_nodez00_2898)
	{
		{	/* Inline/size.scm 117 */
			{	/* Inline/size.scm 118 */
				long BgL_tmpz00_4405;

				{	/* Inline/size.scm 118 */
					obj_t BgL_g1206z00_3142;
					long BgL_g1207z00_3143;

					BgL_g1206z00_3142 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2898)))->BgL_argsz00);
					BgL_g1207z00_3143 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2898)))->BgL_funz00));
					{
						obj_t BgL_argsz00_3145;
						long BgL_siza7eza7_3146;

						BgL_argsz00_3145 = BgL_g1206z00_3142;
						BgL_siza7eza7_3146 = BgL_g1207z00_3143;
					BgL_loopz00_3144:
						if (NULLP(BgL_argsz00_3145))
							{	/* Inline/size.scm 120 */
								BgL_tmpz00_4405 = BgL_siza7eza7_3146;
							}
						else
							{	/* Inline/size.scm 122 */
								obj_t BgL_arg1885z00_3147;
								long BgL_arg1886z00_3148;

								BgL_arg1885z00_3147 = CDR(((obj_t) BgL_argsz00_3145));
								{	/* Inline/size.scm 122 */
									long BgL_arg1887z00_3149;

									{	/* Inline/size.scm 122 */
										obj_t BgL_arg1888z00_3150;

										BgL_arg1888z00_3150 = CAR(((obj_t) BgL_argsz00_3145));
										BgL_arg1887z00_3149 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1888z00_3150));
									}
									BgL_arg1886z00_3148 =
										(BgL_siza7eza7_3146 + BgL_arg1887z00_3149);
								}
								{
									long BgL_siza7eza7_4421;
									obj_t BgL_argsz00_4420;

									BgL_argsz00_4420 = BgL_arg1885z00_3147;
									BgL_siza7eza7_4421 = BgL_arg1886z00_3148;
									BgL_siza7eza7_3146 = BgL_siza7eza7_4421;
									BgL_argsz00_3145 = BgL_argsz00_4420;
									goto BgL_loopz00_3144;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4405);
			}
		}

	}



/* &node-size-app-ly1414 */
	obj_t BGl_z62nodezd2siza7ezd2appzd2ly1414z17zzinline_siza7eza7(obj_t
		BgL_envz00_2899, obj_t BgL_nodez00_2900)
	{
		{	/* Inline/size.scm 111 */
			return
				BINT(
				(((long) 1) +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2900)))->BgL_funz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2900)))->
								BgL_argz00)))));
		}

	}



/* &node-size-app1412 */
	obj_t BGl_z62nodezd2siza7ezd2app1412zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2901, obj_t BgL_nodez00_2902)
	{
		{	/* Inline/size.scm 91 */
			{	/* Inline/size.scm 92 */
				long BgL_tmpz00_4432;

				if (CBOOL(BGl_getenvz00zz__osz00(BGl_string2101z00zzinline_siza7eza7)))
					{	/* Inline/size.scm 92 */
						BGl_mz00zzinline_siza7eza7 =
							(BGl_mz00zzinline_siza7eza7 + ((long) 1));
						{	/* Inline/size.scm 94 */
							obj_t BgL_port1374z00_3153;

							{	/* Inline/size.scm 94 */
								obj_t BgL_tmpz00_4437;

								BgL_tmpz00_4437 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1374z00_3153 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4437);
							}
							bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
									((unsigned char) ' ')), BgL_port1374z00_3153);
							bgl_display_string(BGl_string2102z00zzinline_siza7eza7,
								BgL_port1374z00_3153);
							{	/* Inline/size.scm 94 */
								obj_t BgL_arg1848z00_3154;

								BgL_arg1848z00_3154 =
									BGl_shapez00zztools_shapez00(
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2902)));
								bgl_display_obj(BgL_arg1848z00_3154, BgL_port1374z00_3153);
							}
							bgl_display_char(((unsigned char) 10), BgL_port1374z00_3153);
					}}
				else
					{	/* Inline/size.scm 92 */
						BFALSE;
					}
				{	/* Inline/size.scm 95 */
					obj_t BgL_g1204z00_3155;
					long BgL_g1205z00_3156;

					BgL_g1204z00_3155 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2902)))->BgL_argsz00);
					{	/* Inline/size.scm 96 */
						BgL_varz00_bglt BgL_arg1875z00_3157;

						BgL_arg1875z00_3157 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2902)))->BgL_funz00);
						BgL_g1205z00_3156 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							((BgL_nodez00_bglt) BgL_arg1875z00_3157));
					}
					{
						obj_t BgL_argsz00_3159;
						long BgL_siza7eza7_3160;

						BgL_argsz00_3159 = BgL_g1204z00_3155;
						BgL_siza7eza7_3160 = BgL_g1205z00_3156;
					BgL_loopz00_3158:
						if (CBOOL(BGl_getenvz00zz__osz00
								(BGl_string2101z00zzinline_siza7eza7)))
							{	/* Inline/size.scm 98 */
								obj_t BgL_port1381z00_3161;

								{	/* Inline/size.scm 98 */
									obj_t BgL_tmpz00_4457;

									BgL_tmpz00_4457 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1381z00_3161 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4457);
								}
								bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
										((unsigned char) ' ')), BgL_port1381z00_3161);
								bgl_display_string(BGl_string2103z00zzinline_siza7eza7,
									BgL_port1381z00_3161);
								{	/* Inline/size.scm 98 */
									obj_t BgL_arg1854z00_3162;

									if (NULLP(BgL_argsz00_3159))
										{	/* Inline/size.scm 98 */
											BgL_arg1854z00_3162 = BNIL;
										}
									else
										{	/* Inline/size.scm 98 */
											obj_t BgL_head1377z00_3163;

											{	/* Inline/size.scm 98 */
												obj_t BgL_arg1862z00_3164;

												{	/* Inline/size.scm 98 */
													obj_t BgL_arg1864z00_3165;

													BgL_arg1864z00_3165 = CAR(((obj_t) BgL_argsz00_3159));
													BgL_arg1862z00_3164 =
														BGl_shapez00zztools_shapez00(BgL_arg1864z00_3165);
												}
												BgL_head1377z00_3163 =
													MAKE_YOUNG_PAIR(BgL_arg1862z00_3164, BNIL);
											}
											{	/* Inline/size.scm 98 */
												obj_t BgL_g1380z00_3166;

												BgL_g1380z00_3166 = CDR(((obj_t) BgL_argsz00_3159));
												{
													obj_t BgL_l1375z00_3168;
													obj_t BgL_tail1378z00_3169;

													BgL_l1375z00_3168 = BgL_g1380z00_3166;
													BgL_tail1378z00_3169 = BgL_head1377z00_3163;
												BgL_zc3z04anonymousza31856ze3z87_3167:
													if (NULLP(BgL_l1375z00_3168))
														{	/* Inline/size.scm 98 */
															BgL_arg1854z00_3162 = BgL_head1377z00_3163;
														}
													else
														{	/* Inline/size.scm 98 */
															obj_t BgL_newtail1379z00_3170;

															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1860z00_3171;

																{	/* Inline/size.scm 98 */
																	obj_t BgL_arg1861z00_3172;

																	BgL_arg1861z00_3172 =
																		CAR(((obj_t) BgL_l1375z00_3168));
																	BgL_arg1860z00_3171 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1861z00_3172);
																}
																BgL_newtail1379z00_3170 =
																	MAKE_YOUNG_PAIR(BgL_arg1860z00_3171, BNIL);
															}
															SET_CDR(BgL_tail1378z00_3169,
																BgL_newtail1379z00_3170);
															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1859z00_3173;

																BgL_arg1859z00_3173 =
																	CDR(((obj_t) BgL_l1375z00_3168));
																{
																	obj_t BgL_tail1378z00_4481;
																	obj_t BgL_l1375z00_4480;

																	BgL_l1375z00_4480 = BgL_arg1859z00_3173;
																	BgL_tail1378z00_4481 =
																		BgL_newtail1379z00_3170;
																	BgL_tail1378z00_3169 = BgL_tail1378z00_4481;
																	BgL_l1375z00_3168 = BgL_l1375z00_4480;
																	goto BgL_zc3z04anonymousza31856ze3z87_3167;
																}
															}
														}
												}
											}
										}
									bgl_display_obj(BgL_arg1854z00_3162, BgL_port1381z00_3161);
								}
								bgl_display_string(BGl_string2104z00zzinline_siza7eza7,
									BgL_port1381z00_3161);
								bgl_display_obj(BINT(BgL_siza7eza7_3160), BgL_port1381z00_3161);
								bgl_display_string(BGl_string2105z00zzinline_siza7eza7,
									BgL_port1381z00_3161);
								{	/* Inline/size.scm 98 */
									bool_t BgL_arg1865z00_3174;

									BgL_arg1865z00_3174 = NULLP(BgL_argsz00_3159);
									bgl_display_obj(BBOOL(BgL_arg1865z00_3174),
										BgL_port1381z00_3161);
								}
								bgl_display_char(((unsigned char) 10), BgL_port1381z00_3161);
							}
						else
							{	/* Inline/size.scm 97 */
								BFALSE;
							}
						if (NULLP(BgL_argsz00_3159))
							{	/* Inline/size.scm 99 */
								if (CBOOL(BGl_getenvz00zz__osz00
										(BGl_string2101z00zzinline_siza7eza7)))
									{	/* Inline/size.scm 101 */
										{	/* Inline/size.scm 102 */
											obj_t BgL_port1382z00_3175;

											{	/* Inline/size.scm 102 */
												obj_t BgL_tmpz00_4496;

												BgL_tmpz00_4496 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1382z00_3175 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4496);
											}
											bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
													((unsigned char) ' ')), BgL_port1382z00_3175);
											bgl_display_string(BGl_string2106z00zzinline_siza7eza7,
												BgL_port1382z00_3175);
											bgl_display_obj(BINT(BgL_siza7eza7_3160),
												BgL_port1382z00_3175);
											bgl_display_char(((unsigned char) 10),
												BgL_port1382z00_3175);
										}
										BGl_mz00zzinline_siza7eza7 =
											(BGl_mz00zzinline_siza7eza7 - ((long) 1));
									}
								else
									{	/* Inline/size.scm 101 */
										BFALSE;
									}
								BgL_tmpz00_4432 = BgL_siza7eza7_3160;
							}
						else
							{	/* Inline/size.scm 106 */
								obj_t BgL_arg1870z00_3176;
								long BgL_arg1871z00_3177;

								BgL_arg1870z00_3176 = CDR(((obj_t) BgL_argsz00_3159));
								{	/* Inline/size.scm 106 */
									long BgL_arg1873z00_3178;

									{	/* Inline/size.scm 106 */
										obj_t BgL_arg1874z00_3179;

										BgL_arg1874z00_3179 = CAR(((obj_t) BgL_argsz00_3159));
										BgL_arg1873z00_3178 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1874z00_3179));
									}
									BgL_arg1871z00_3177 =
										(BgL_siza7eza7_3160 + BgL_arg1873z00_3178);
								}
								{
									long BgL_siza7eza7_4514;
									obj_t BgL_argsz00_4513;

									BgL_argsz00_4513 = BgL_arg1870z00_3176;
									BgL_siza7eza7_4514 = BgL_arg1871z00_3177;
									BgL_siza7eza7_3160 = BgL_siza7eza7_4514;
									BgL_argsz00_3159 = BgL_argsz00_4513;
									goto BgL_loopz00_3158;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4432);
			}
		}

	}



/* &node-size-sized-sync1410 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sync1410zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2903, obj_t BgL_nodez00_2904)
	{
		{	/* Inline/size.scm 85 */
			{	/* Inline/size.scm 86 */
				long BgL_tmpz00_4516;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4517;

					{
						obj_t BgL_auxz00_4518;

						{	/* Inline/size.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_4519;

							BgL_tmpz00_4519 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2904));
							BgL_auxz00_4518 = BGL_OBJECT_WIDENING(BgL_tmpz00_4519);
						}
						BgL_auxz00_4517 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4518);
					}
					BgL_tmpz00_4516 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4517))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4516);
			}
		}

	}



/* &node-size-sync1406 */
	obj_t BGl_z62nodezd2siza7ezd2sync1406zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2905, obj_t BgL_nodez00_2906)
	{
		{	/* Inline/size.scm 74 */
			{	/* Inline/size.scm 75 */
				obj_t BgL_siza7eza7_3182;

				{	/* Inline/size.scm 76 */
					obj_t BgL_b1373z00_3183;

					{	/* Inline/size.scm 76 */
						long BgL_a1370z00_3184;

						BgL_a1370z00_3184 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2906)))->BgL_mutexz00));
						{	/* Inline/size.scm 77 */
							obj_t BgL_b1371z00_3185;

							{	/* Inline/size.scm 77 */
								long BgL_a1368z00_3186;

								BgL_a1368z00_3186 =
									BGl_nodezd2siza7ez75zzinline_siza7eza7(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2906)))->
										BgL_prelockz00));
								{	/* Inline/size.scm 78 */
									long BgL_b1369z00_3187;

									BgL_b1369z00_3187 =
										BGl_nodezd2siza7ez75zzinline_siza7eza7(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2906)))->
											BgL_bodyz00));
									{	/* Inline/size.scm 75 */

										{	/* Inline/size.scm 75 */
											obj_t BgL_za71za7_3188;
											obj_t BgL_za72za7_3189;

											BgL_za71za7_3188 = BINT(BgL_a1368z00_3186);
											BgL_za72za7_3189 = BINT(BgL_b1369z00_3187);
											{	/* Inline/size.scm 75 */
												obj_t BgL_resz00_3190;

												BgL_resz00_3190 = BINT(((long) 0));
												if (BGL_ADDFX_OV(BgL_za71za7_3188, BgL_za72za7_3189,
														BgL_resz00_3190))
													{	/* Inline/size.scm 75 */
														BgL_b1371z00_3185 =
															bgl_bignum_add(bgl_long_to_bignum(
																(long) CINT(BgL_za71za7_3188)),
															bgl_long_to_bignum(
																(long) CINT(BgL_za72za7_3189)));
													}
												else
													{	/* Inline/size.scm 75 */
														BgL_b1371z00_3185 = BgL_resz00_3190;
													}
											}
										}
									}
								}
							}
							{	/* Inline/size.scm 75 */

								if (INTEGERP(BgL_b1371z00_3185))
									{	/* Inline/size.scm 75 */
										obj_t BgL_za71za7_3191;

										BgL_za71za7_3191 = BINT(BgL_a1370z00_3184);
										{	/* Inline/size.scm 75 */
											obj_t BgL_resz00_3192;

											BgL_resz00_3192 = BINT(((long) 0));
											if (BGL_ADDFX_OV(BgL_za71za7_3191, BgL_b1371z00_3185,
													BgL_resz00_3192))
												{	/* Inline/size.scm 75 */
													BgL_b1373z00_3183 =
														bgl_bignum_add(bgl_long_to_bignum(
															(long) CINT(BgL_za71za7_3191)),
														bgl_long_to_bignum((long) CINT(BgL_b1371z00_3185)));
												}
											else
												{	/* Inline/size.scm 75 */
													BgL_b1373z00_3183 = BgL_resz00_3192;
												}
										}
									}
								else
									{	/* Inline/size.scm 75 */
										BgL_b1373z00_3183 =
											BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_a1370z00_3184),
											BgL_b1371z00_3185);
									}
							}
						}
					}
					{	/* Inline/size.scm 75 */

						if (INTEGERP(BgL_b1373z00_3183))
							{	/* Inline/size.scm 75 */
								obj_t BgL_za71za7_3193;

								BgL_za71za7_3193 = BINT(((long) 1));
								{	/* Inline/size.scm 75 */
									obj_t BgL_resz00_3194;

									BgL_resz00_3194 = BINT(((long) 0));
									if (BGL_ADDFX_OV(BgL_za71za7_3193, BgL_b1373z00_3183,
											BgL_resz00_3194))
										{	/* Inline/size.scm 75 */
											BgL_siza7eza7_3182 =
												bgl_bignum_add(bgl_long_to_bignum(
													(long) CINT(BgL_za71za7_3193)),
												bgl_long_to_bignum((long) CINT(BgL_b1373z00_3183)));
										}
									else
										{	/* Inline/size.scm 75 */
											BgL_siza7eza7_3182 = BgL_resz00_3194;
										}
								}
							}
						else
							{	/* Inline/size.scm 75 */
								BgL_siza7eza7_3182 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
									BgL_b1373z00_3183);
				}}}
				{	/* Inline/size.scm 79 */
					BgL_siza7edzd2syncz75_bglt BgL_wide1199z00_3195;

					BgL_wide1199z00_3195 =
						((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_siza7edzd2syncz75_bgl))));
					{	/* Inline/size.scm 79 */
						obj_t BgL_auxz00_4576;
						BgL_objectz00_bglt BgL_tmpz00_4572;

						BgL_auxz00_4576 = ((obj_t) BgL_wide1199z00_3195);
						BgL_tmpz00_4572 =
							((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2906)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4572, BgL_auxz00_4576);
					}
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2906)));
					{	/* Inline/size.scm 79 */
						long BgL_arg1833z00_3196;

						BgL_arg1833z00_3196 =
							BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_2906))), BgL_arg1833z00_3196);
					}
					((BgL_syncz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2906)));
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4590;

					{
						obj_t BgL_auxz00_4591;

						{	/* Inline/size.scm 79 */
							BgL_objectz00_bglt BgL_tmpz00_4592;

							BgL_tmpz00_4592 =
								((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2906)));
							BgL_auxz00_4591 = BGL_OBJECT_WIDENING(BgL_tmpz00_4592);
						}
						BgL_auxz00_4590 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4591);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4590))->
							BgL_siza7eza7) =
						((long) (long) CINT(BgL_siza7eza7_3182)), BUNSPEC);
				}
				((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2906));
				return BgL_siza7eza7_3182;
			}
		}

	}



/* &node-size-sized-sequ1404 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sequ1404zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2907, obj_t BgL_nodez00_2908)
	{
		{	/* Inline/size.scm 68 */
			{	/* Inline/size.scm 69 */
				long BgL_tmpz00_4602;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4603;

					{
						obj_t BgL_auxz00_4604;

						{	/* Inline/size.scm 69 */
							BgL_objectz00_bglt BgL_tmpz00_4605;

							BgL_tmpz00_4605 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_nodez00_2908));
							BgL_auxz00_4604 = BGL_OBJECT_WIDENING(BgL_tmpz00_4605);
						}
						BgL_auxz00_4603 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4604);
					}
					BgL_tmpz00_4602 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4603))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4602);
			}
		}

	}



/* &node-size-sequence1402 */
	obj_t BGl_z62nodezd2siza7ezd2sequence1402zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2909, obj_t BgL_nodez00_2910)
	{
		{	/* Inline/size.scm 56 */
			{	/* Inline/size.scm 57 */
				long BgL_tmpz00_4612;

				{	/* Inline/size.scm 57 */
					obj_t BgL_g1192z00_3199;

					BgL_g1192z00_3199 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2910)))->BgL_nodesz00);
					{
						obj_t BgL_nodesz00_3201;
						long BgL_siza7eza7_3202;

						BgL_nodesz00_3201 = BgL_g1192z00_3199;
						BgL_siza7eza7_3202 = ((long) 0);
					BgL_loopz00_3200:
						if (NULLP(BgL_nodesz00_3201))
							{	/* Inline/size.scm 59 */
								{	/* Inline/size.scm 61 */
									BgL_siza7edzd2sequencez75_bglt BgL_wide1195z00_3203;

									BgL_wide1195z00_3203 =
										((BgL_siza7edzd2sequencez75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2sequencez75_bgl))));
									{	/* Inline/size.scm 61 */
										obj_t BgL_auxz00_4622;
										BgL_objectz00_bglt BgL_tmpz00_4618;

										BgL_auxz00_4622 = ((obj_t) BgL_wide1195z00_3203);
										BgL_tmpz00_4618 =
											((BgL_objectz00_bglt)
											((BgL_sequencez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_2910)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4618, BgL_auxz00_4622);
									}
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2910)));
									{	/* Inline/size.scm 61 */
										long BgL_arg1817z00_3204;

										BgL_arg1817z00_3204 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
														BgL_nodez00_2910))), BgL_arg1817z00_3204);
									}
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2910)));
								}
								{
									BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4636;

									{
										obj_t BgL_auxz00_4637;

										{	/* Inline/size.scm 61 */
											BgL_objectz00_bglt BgL_tmpz00_4638;

											BgL_tmpz00_4638 =
												((BgL_objectz00_bglt)
												((BgL_sequencez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_2910)));
											BgL_auxz00_4637 = BGL_OBJECT_WIDENING(BgL_tmpz00_4638);
										}
										BgL_auxz00_4636 =
											((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4637);
									}
									((((BgL_siza7edzd2sequencez75_bglt)
												COBJECT(BgL_auxz00_4636))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3202), BUNSPEC);
								}
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_2910));
								BgL_tmpz00_4612 = BgL_siza7eza7_3202;
							}
						else
							{	/* Inline/size.scm 63 */
								obj_t BgL_arg1819z00_3205;
								long BgL_arg1821z00_3206;

								BgL_arg1819z00_3205 = CDR(((obj_t) BgL_nodesz00_3201));
								{	/* Inline/size.scm 63 */
									long BgL_arg1822z00_3207;

									{	/* Inline/size.scm 63 */
										obj_t BgL_arg1830z00_3208;

										BgL_arg1830z00_3208 = CAR(((obj_t) BgL_nodesz00_3201));
										BgL_arg1822z00_3207 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1830z00_3208));
									}
									BgL_arg1821z00_3206 =
										(BgL_siza7eza7_3202 + BgL_arg1822z00_3207);
								}
								{
									long BgL_siza7eza7_4655;
									obj_t BgL_nodesz00_4654;

									BgL_nodesz00_4654 = BgL_arg1819z00_3205;
									BgL_siza7eza7_4655 = BgL_arg1821z00_3206;
									BgL_siza7eza7_3202 = BgL_siza7eza7_4655;
									BgL_nodesz00_3201 = BgL_nodesz00_4654;
									goto BgL_loopz00_3200;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4612);
			}
		}

	}



/* &node-size-kwote1400 */
	obj_t BGl_z62nodezd2siza7ezd2kwote1400zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2911, obj_t BgL_nodez00_2912)
	{
		{	/* Inline/size.scm 50 */
			return BINT(((long) 1));
		}

	}



/* &node-size-var1398 */
	obj_t BGl_z62nodezd2siza7ezd2var1398zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2913, obj_t BgL_nodez00_2914)
	{
		{	/* Inline/size.scm 44 */
			return BINT(((long) 1));
		}

	}



/* &node-size-atom1396 */
	obj_t BGl_z62nodezd2siza7ezd2atom1396zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2915, obj_t BgL_nodez00_2916)
	{
		{	/* Inline/size.scm 38 */
			return BINT(((long) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2107z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2107z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2107z00zzinline_siza7eza7));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2107z00zzinline_siza7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
