/*===========================================================================*/
/*   (Integrate/iinfo.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/iinfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62lambda1847z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1767z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1848z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1768z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31781ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1693z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1694z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1857z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1779z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_infoz00 = BUNSPEC;
	static obj_t BGl_z62lambda1780z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1866z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1791z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1792z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1874z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1875z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1883z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1884z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31793ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1890z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31769ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1891z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	extern obj_t BGl_sexitz00zzast_varz00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00(obj_t,
		obj_t);
	static BgL_sexitz00_bglt
		BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31424ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	static obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00(obj_t,
		obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31362ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	static obj_t BGl_z62zc3z04anonymousza31509ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	static obj_t BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31470ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31381ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62lambda1422z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1423z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1507z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1508z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00(void);
	static obj_t
		BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00(void);
	static obj_t BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_infoz00(void);
	static BgL_svarz00_bglt BGl_z62lambda1354z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1359z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31392ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31708ze3ze5zzintegrate_infoz00(obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1363z62zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1525z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62lambda1611z62zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1530z62zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1612z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31628ze3ze5zzintegrate_infoz00(obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1534z62zzintegrate_infoz00(obj_t,
		obj_t);
	static BgL_svarz00_bglt
		BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1379z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1380z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1706z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62lambda1626z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1707z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1627z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1468z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1469z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, bool_t,
		bool_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt
		BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1390z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1391z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1640z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1722z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1723z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static BgL_sfunz00_bglt BGl_z62lambda1646z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzintegrate_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1650z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1571z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1814z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1572z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1815z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1735z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1736z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1901z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1902z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1823z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1824z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1664z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1665z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1747z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1748z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1589z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1590z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1754z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1755z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1837z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1838z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1678z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1679z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	static BgL_sexitz00_bglt
		BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t __cnst[34];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1792za7622069z00,
		BGl_z62lambda1792z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1791za7622070z00,
		BGl_z62lambda1791z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1815za7622071z00,
		BGl_z62lambda1815z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1814za7622072z00,
		BGl_z62lambda1814z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kapturedzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72073za7,
		BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2074za7,
		BGl_z62zc3z04anonymousza31825ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1824za7622075z00,
		BGl_z62lambda1824z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1823za7622076z00,
		BGl_z62lambda1823z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2077za7,
		BGl_z62zc3z04anonymousza31839ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1838za7622078z00,
		BGl_z62lambda1838z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72079za7,
		BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1837za7622080z00,
		BGl_z62lambda1837z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2081za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1848za7622082z00,
		BGl_z62lambda1848z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1847za7622083z00,
		BGl_z62lambda1847z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2084za7,
		BGl_z62zc3z04anonymousza31859ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1858za7622085z00,
		BGl_z62lambda1858z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1857za7622086z00,
		BGl_z62lambda1857z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2087za7,
		BGl_z62zc3z04anonymousza31867ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1866za7622088z00,
		BGl_z62lambda1866z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2propertyzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72089za7,
		BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1865za7622090z00,
		BGl_z62lambda1865z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72091za7,
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackzd2allocatorzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72092za7,
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2093z00,
		BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2094za7,
		BGl_z62zc3z04anonymousza31876ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1875za7622095z00,
		BGl_z62lambda1875z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1874za7622096z00,
		BGl_z62lambda1874z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2097za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1884za7622098z00,
		BGl_z62lambda1884z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1883za7622099z00,
		BGl_z62lambda1883z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2100za7,
		BGl_z62zc3z04anonymousza31892ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1891za7622101z00,
		BGl_z62lambda1891z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72102za7,
		BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1890za7622103z00,
		BGl_z62lambda1890z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2104za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2066z00zzintegrate_infoz00,
		BgL_bgl_string2066za700za7za7i2105za7, "integrate_info", 14);
	      DEFINE_STRING(BGl_string2067z00zzintegrate_infoz00,
		BgL_bgl_string2067za700za7za7i2106za7,
		"_ sfun/Iinfo pair-nil xhdls xhdl? tail-coercion kaptured global istamp Led L forceG? G? kont Ct Cn U K* K cto cfrom bound free owner sexit/Iinfo integrate_info svar/Iinfo xhdl celled? bool kaptured? u-mark obj f-mark ",
		217);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1902za7622107z00,
		BGl_z62lambda1902z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1901za7622108z00,
		BGl_z62lambda1901z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1650za7622109z00,
		BGl_z62lambda1650z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2110za7,
		BGl_z62zc3z04anonymousza31649ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1646za7622111z00,
		BGl_z62lambda1646z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1640za7622112z00,
		BGl_z62lambda1640z62zzintegrate_infoz00, 0L, BUNSPEC, 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72113za7,
		BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2strengthzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72114za7,
		BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2effectzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72115za7,
		BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2failsafezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72116za7,
		BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Lzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72117za7,
		BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2cfromzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72118za7,
		BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2failsafezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72119za7,
		BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2svarza7f2120za7,
		BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2optionalszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72121za7,
		BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2namezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72122za7,
		BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kapturedzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72123za7,
		BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2124z00,
		BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2125z00,
		BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2topzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72126za7,
		BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kza2zd2envz50zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72127za7,
		BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Gzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72128za7,
		BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2xhdlzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72129za7,
		BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72130za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2classzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72131za7,
		BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2globalzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72132za7,
		BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72133za7,
		BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Uzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72134za7,
		BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ctzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72135za7,
		BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72136za7,
		BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kza2zd2setz12zd2envz90zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72137za7,
		BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2boundzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72138za7,
		BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2keyszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72139za7,
		BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ctozd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72140za7,
		BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2detachedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2141z00,
		BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ownerzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72142za7,
		BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2loczd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72143za7,
		BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackablezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72144za7,
		BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2145z00,
		BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Uzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72146za7,
		BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2147z00,
		BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlszd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72148za7,
		BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72149za7,
		BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2150z00,
		BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2detachedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2151z00,
		BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2152z00,
		BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72153za7,
		BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2propertyzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72154za7,
		BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2loczd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72155za7,
		BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72156za7,
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72157za7,
		BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2arityzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72158za7,
		BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2classzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72159za7,
		BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ledzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72160za7,
		BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2sexitza72161za7,
		BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Cnzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72162za7,
		BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2retescapezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72163za7,
		BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72164za7,
		BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72165za7,
		BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72166za7,
		BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72167za7,
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72168za7,
		BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ctozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72169za7,
		BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2170za7,
		BGl_z62zc3z04anonymousza31381ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72171za7,
		BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1380za7622172z00,
		BGl_z62lambda1380z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1379za7622173z00,
		BGl_z62lambda1379z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72174za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2175za7,
		BGl_z62zc3z04anonymousza31392ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ledzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72176za7,
		BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kontzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72177za7,
		BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1391za7622178z00,
		BGl_z62lambda1391z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1390za7622179z00,
		BGl_z62lambda1390z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2180za7,
		BGl_z62zc3z04anonymousza31424ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1423za7622181z00,
		BGl_z62lambda1423z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1422za7622182z00,
		BGl_z62lambda1422z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2183za7,
		BGl_z62zc3z04anonymousza31470ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1469za7622184z00,
		BGl_z62lambda1469z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1468za7622185z00,
		BGl_z62lambda1468z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2186za7,
		BGl_z62zc3z04anonymousza31509ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1508za7622187z00,
		BGl_z62lambda1508z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2sidezd2effectzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72188za7,
		BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1507za7622189z00,
		BGl_z62lambda1507z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1363za7622190z00,
		BGl_z62lambda1363z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2191za7,
		BGl_z62zc3z04anonymousza31362ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1359za7622192z00,
		BGl_z62lambda1359z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1354za7622193z00,
		BGl_z62lambda1354z62zzintegrate_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2194za7,
		BGl_z62zc3z04anonymousza31573ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1572za7622195z00,
		BGl_z62lambda1572z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1571za7622196z00,
		BGl_z62lambda1571z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2197za7,
		BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1590za7622198z00,
		BGl_z62lambda1590z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72199za7,
		BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2200z00,
		BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1589za7622201z00,
		BGl_z62lambda1589z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2202za7,
		BGl_z62zc3z04anonymousza31613ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1612za7622203z00,
		BGl_z62lambda1612z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1611za7622204z00,
		BGl_z62lambda1611z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2205za7,
		BGl_z62zc3z04anonymousza31628ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2bodyzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72206za7,
		BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1627za7622207z00,
		BGl_z62lambda1627z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1626za7622208z00,
		BGl_z62lambda1626z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1534za7622209z00,
		BGl_z62lambda1534z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2210za7,
		BGl_z62zc3z04anonymousza31533ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1530za7622211z00,
		BGl_z62lambda1530z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2bodyzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72212za7,
		BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ctzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72213za7,
		BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72214za7,
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72215za7,
		BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2216z00,
		BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72217za7,
		BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2dssslzd2keywordszd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72218za7,
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72219za7,
		BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2globalzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72220za7,
		BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72221za7,
		BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2handlerzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2222z00,
		BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2forceGzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72223za7,
		BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2cfromzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72224za7,
		BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2boundzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72225za7,
		BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2freezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72226za7,
		BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72227za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72228za7,
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2predicatezd2ofzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72229za7,
		BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kontzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72230za7,
		BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2sfunza7f2231za7,
		BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72232za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ownerzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72233za7,
		BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Lzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72234za7,
		BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2noescapezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72235za7,
		BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2tailzd2coercionzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72236za7,
		BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2topzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72237za7,
		BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2forceGzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72238za7,
		BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2loczd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72239za7,
		BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2freezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72240za7,
		BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72241za7,
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2istampzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72242za7,
		BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2handlerzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2243z00,
		BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2istampzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72244za7,
		BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1525za7622245z00,
		BGl_z62lambda1525z62zzintegrate_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1665za7622246z00,
		BGl_z62lambda1665z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1664za7622247z00,
		BGl_z62lambda1664z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2248za7,
		BGl_z62zc3z04anonymousza31680ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1679za7622249z00,
		BGl_z62lambda1679z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1678za7622250z00,
		BGl_z62lambda1678z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2251za7,
		BGl_z62zc3z04anonymousza31695ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1694za7622252z00,
		BGl_z62lambda1694z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1693za7622253z00,
		BGl_z62lambda1693z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2254za7,
		BGl_z62zc3z04anonymousza31708ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72255za7,
		BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2xhdlzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72256za7,
		BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1707za7622257z00,
		BGl_z62lambda1707z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1706za7622258z00,
		BGl_z62lambda1706z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2259za7,
		BGl_z62zc3z04anonymousza31724ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1723za7622260z00,
		BGl_z62lambda1723z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1722za7622261z00,
		BGl_z62lambda1722z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2262z00,
		BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2263za7,
		BGl_z62zc3z04anonymousza31737ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1736za7622264z00,
		BGl_z62lambda1736z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1735za7622265z00,
		BGl_z62lambda1735z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2266za7,
		BGl_z62zc3z04anonymousza31749ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1748za7622267z00,
		BGl_z62lambda1748z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2effectzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72268za7,
		BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2strengthzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72269za7,
		BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1747za7622270z00,
		BGl_z62lambda1747z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2271za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1755za7622272z00,
		BGl_z62lambda1755z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1754za7622273z00,
		BGl_z62lambda1754z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72274za7,
		BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2275za7,
		BGl_z62zc3z04anonymousza31769ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1768za7622276z00,
		BGl_z62lambda1768z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1767za7622277z00,
		BGl_z62lambda1767z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2278za7,
		BGl_z62zc3z04anonymousza31781ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1780za7622279z00,
		BGl_z62lambda1780z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1779za7622280z00,
		BGl_z62lambda1779z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2loczd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72281za7,
		BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Gzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72282za7,
		BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackablezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72283za7,
		BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Cnzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72284za7,
		BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2285za7,
		BGl_z62zc3z04anonymousza31793ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2Iinfozf2zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_sexitzf2Iinfozf2zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_svarzf2Iinfozf2zzintegrate_infoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long
		BgL_checksumz00_3623, char *BgL_fromz00_3624)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_infoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_infoz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_infoz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00();
					BGl_cnstzd2initzd2zzintegrate_infoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_infoz00();
					BGl_objectzd2initzd2zzintegrate_infoz00();
					return BGl_toplevelzd2initzd2zzintegrate_infoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_info");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			{	/* Integrate/iinfo.scm 15 */
				obj_t BgL_cportz00_3430;

				{	/* Integrate/iinfo.scm 15 */
					obj_t BgL_stringz00_3437;

					BgL_stringz00_3437 = BGl_string2067z00zzintegrate_infoz00;
					{	/* Integrate/iinfo.scm 15 */
						obj_t BgL_startz00_3438;

						BgL_startz00_3438 = BINT(((long) 0));
						{	/* Integrate/iinfo.scm 15 */
							obj_t BgL_endz00_3439;

							BgL_endz00_3439 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3437)));
							{	/* Integrate/iinfo.scm 15 */

								BgL_cportz00_3430 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3437, BgL_startz00_3438, BgL_endz00_3439);
				}}}}
				{
					long BgL_iz00_3431;

					BgL_iz00_3431 = ((long) 33);
				BgL_loopz00_3432:
					if ((BgL_iz00_3431 == ((long) -1)))
						{	/* Integrate/iinfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/iinfo.scm 15 */
							{	/* Integrate/iinfo.scm 15 */
								obj_t BgL_arg2068z00_3433;

								{	/* Integrate/iinfo.scm 15 */

									{	/* Integrate/iinfo.scm 15 */
										obj_t BgL_locationz00_3435;

										BgL_locationz00_3435 = BBOOL(((bool_t) 0));
										{	/* Integrate/iinfo.scm 15 */

											BgL_arg2068z00_3433 =
												BGl_readz00zz__readerz00(BgL_cportz00_3430,
												BgL_locationz00_3435);
										}
									}
								}
								{	/* Integrate/iinfo.scm 15 */
									int BgL_tmpz00_3650;

									BgL_tmpz00_3650 = (int) (BgL_iz00_3431);
									CNST_TABLE_SET(BgL_tmpz00_3650, BgL_arg2068z00_3433);
							}}
							{	/* Integrate/iinfo.scm 15 */
								int BgL_auxz00_3436;

								BgL_auxz00_3436 = (int) ((BgL_iz00_3431 - ((long) 1)));
								{
									long BgL_iz00_3655;

									BgL_iz00_3655 = (long) (BgL_auxz00_3436);
									BgL_iz00_3431 = BgL_iz00_3655;
									goto BgL_loopz00_3432;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-svar/Iinfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_loc1227z00_3,
		obj_t BgL_fzd2mark1228zd2_4, obj_t BgL_uzd2mark1229zd2_5,
		bool_t BgL_kapturedzf31230zf3_6, bool_t BgL_celledzf31231zf3_7,
		obj_t BgL_xhdl1232z00_8)
	{
		{	/* Integrate/iinfo.sch 141 */
			{	/* Integrate/iinfo.sch 141 */
				BgL_svarz00_bglt BgL_new1179z00_3441;

				{	/* Integrate/iinfo.sch 141 */
					BgL_svarz00_bglt BgL_tmp1176z00_3442;
					BgL_svarzf2iinfozf2_bglt BgL_wide1177z00_3443;

					{
						BgL_svarz00_bglt BgL_auxz00_3658;

						{	/* Integrate/iinfo.sch 141 */
							BgL_svarz00_bglt BgL_new1175z00_3444;

							BgL_new1175z00_3444 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Integrate/iinfo.sch 141 */
								long BgL_arg1334z00_3445;

								BgL_arg1334z00_3445 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1175z00_3444),
									BgL_arg1334z00_3445);
							}
							{	/* Integrate/iinfo.sch 141 */
								BgL_objectz00_bglt BgL_tmpz00_3663;

								BgL_tmpz00_3663 = ((BgL_objectz00_bglt) BgL_new1175z00_3444);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3663, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1175z00_3444);
							BgL_auxz00_3658 = BgL_new1175z00_3444;
						}
						BgL_tmp1176z00_3442 = ((BgL_svarz00_bglt) BgL_auxz00_3658);
					}
					BgL_wide1177z00_3443 =
						((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 141 */
						obj_t BgL_auxz00_3671;
						BgL_objectz00_bglt BgL_tmpz00_3669;

						BgL_auxz00_3671 = ((obj_t) BgL_wide1177z00_3443);
						BgL_tmpz00_3669 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3442);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3669, BgL_auxz00_3671);
					}
					((BgL_objectz00_bglt) BgL_tmp1176z00_3442);
					{	/* Integrate/iinfo.sch 141 */
						long BgL_arg1333z00_3446;

						BgL_arg1333z00_3446 =
							BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1176z00_3442), BgL_arg1333z00_3446);
					}
					BgL_new1179z00_3441 = ((BgL_svarz00_bglt) BgL_tmp1176z00_3442);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1179z00_3441)))->BgL_locz00) =
					((obj_t) BgL_loc1227z00_3), BUNSPEC);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3681;

					{
						obj_t BgL_auxz00_3682;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3683;

							BgL_tmpz00_3683 = ((BgL_objectz00_bglt) BgL_new1179z00_3441);
							BgL_auxz00_3682 = BGL_OBJECT_WIDENING(BgL_tmpz00_3683);
						}
						BgL_auxz00_3681 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3682);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3681))->
							BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1228zd2_4), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3688;

					{
						obj_t BgL_auxz00_3689;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3690;

							BgL_tmpz00_3690 = ((BgL_objectz00_bglt) BgL_new1179z00_3441);
							BgL_auxz00_3689 = BGL_OBJECT_WIDENING(BgL_tmpz00_3690);
						}
						BgL_auxz00_3688 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3689);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3688))->
							BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1229zd2_5), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3695;

					{
						obj_t BgL_auxz00_3696;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3697;

							BgL_tmpz00_3697 = ((BgL_objectz00_bglt) BgL_new1179z00_3441);
							BgL_auxz00_3696 = BGL_OBJECT_WIDENING(BgL_tmpz00_3697);
						}
						BgL_auxz00_3695 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3696);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3695))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31230zf3_6), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3702;

					{
						obj_t BgL_auxz00_3703;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3704;

							BgL_tmpz00_3704 = ((BgL_objectz00_bglt) BgL_new1179z00_3441);
							BgL_auxz00_3703 = BGL_OBJECT_WIDENING(BgL_tmpz00_3704);
						}
						BgL_auxz00_3702 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3703);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3702))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31231zf3_7), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3709;

					{
						obj_t BgL_auxz00_3710;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3711;

							BgL_tmpz00_3711 = ((BgL_objectz00_bglt) BgL_new1179z00_3441);
							BgL_auxz00_3710 = BGL_OBJECT_WIDENING(BgL_tmpz00_3711);
						}
						BgL_auxz00_3709 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3710);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3709))->
							BgL_xhdlz00) = ((obj_t) BgL_xhdl1232z00_8), BUNSPEC);
				}
				return BgL_new1179z00_3441;
			}
		}

	}



/* &make-svar/Iinfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2746, obj_t BgL_loc1227z00_2747, obj_t BgL_fzd2mark1228zd2_2748,
		obj_t BgL_uzd2mark1229zd2_2749, obj_t BgL_kapturedzf31230zf3_2750,
		obj_t BgL_celledzf31231zf3_2751, obj_t BgL_xhdl1232z00_2752)
	{
		{	/* Integrate/iinfo.sch 141 */
			return
				BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(BgL_loc1227z00_2747,
				BgL_fzd2mark1228zd2_2748, BgL_uzd2mark1229zd2_2749,
				CBOOL(BgL_kapturedzf31230zf3_2750), CBOOL(BgL_celledzf31231zf3_2751),
				BgL_xhdl1232z00_2752);
		}

	}



/* svar/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_9)
	{
		{	/* Integrate/iinfo.sch 142 */
			{	/* Integrate/iinfo.sch 142 */
				obj_t BgL_classz00_3447;

				BgL_classz00_3447 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_9))
					{	/* Integrate/iinfo.sch 142 */
						BgL_objectz00_bglt BgL_arg1820z00_3448;

						BgL_arg1820z00_3448 = (BgL_objectz00_bglt) (BgL_objz00_9);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 142 */
								long BgL_idxz00_3449;

								BgL_idxz00_3449 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3448);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3449 + ((long) 3))) == BgL_classz00_3447);
							}
						else
							{	/* Integrate/iinfo.sch 142 */
								bool_t BgL_res1963z00_3452;

								{	/* Integrate/iinfo.sch 142 */
									obj_t BgL_oclassz00_3453;

									{	/* Integrate/iinfo.sch 142 */
										long BgL_arg1828z00_3454;

										{	/* Integrate/iinfo.sch 142 */
											long BgL_arg1829z00_3455;

											BgL_arg1829z00_3455 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3448);
											BgL_arg1828z00_3454 = (BgL_arg1829z00_3455 - OBJECT_TYPE);
										}
										BgL_oclassz00_3453 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3454);
									}
									{	/* Integrate/iinfo.sch 142 */
										bool_t BgL__ortest_1111z00_3456;

										BgL__ortest_1111z00_3456 =
											(BgL_classz00_3447 == BgL_oclassz00_3453);
										if (BgL__ortest_1111z00_3456)
											{	/* Integrate/iinfo.sch 142 */
												BgL_res1963z00_3452 = BgL__ortest_1111z00_3456;
											}
										else
											{	/* Integrate/iinfo.sch 142 */
												long BgL_odepthz00_3457;

												BgL_odepthz00_3457 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3453);
												if ((((long) 3) < BgL_odepthz00_3457))
													{	/* Integrate/iinfo.sch 142 */
														obj_t BgL_arg1816z00_3458;

														BgL_arg1816z00_3458 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3453,
															((long) 3));
														BgL_res1963z00_3452 =
															(BgL_arg1816z00_3458 == BgL_classz00_3447);
													}
												else
													{	/* Integrate/iinfo.sch 142 */
														BgL_res1963z00_3452 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1963z00_3452;
							}
					}
				else
					{	/* Integrate/iinfo.sch 142 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Iinfo? */
	obj_t BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2753,
		obj_t BgL_objz00_2754)
	{
		{	/* Integrate/iinfo.sch 142 */
			return BBOOL(BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2754));
		}

	}



/* svar/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 143 */
			{	/* Integrate/iinfo.sch 143 */
				obj_t BgL_classz00_2337;

				BgL_classz00_2337 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 143 */
					obj_t BgL__ortest_1113z00_2338;

					BgL__ortest_1113z00_2338 = BGL_CLASS_NIL(BgL_classz00_2337);
					if (CBOOL(BgL__ortest_1113z00_2338))
						{	/* Integrate/iinfo.sch 143 */
							return ((BgL_svarz00_bglt) BgL__ortest_1113z00_2338);
						}
					else
						{	/* Integrate/iinfo.sch 143 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2337));
						}
				}
			}
		}

	}



/* &svar/Iinfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2755)
	{
		{	/* Integrate/iinfo.sch 143 */
			return BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* svar/Iinfo-xhdl */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(BgL_svarz00_bglt BgL_oz00_10)
	{
		{	/* Integrate/iinfo.sch 144 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3747;

				{
					obj_t BgL_auxz00_3748;

					{	/* Integrate/iinfo.sch 144 */
						BgL_objectz00_bglt BgL_tmpz00_3749;

						BgL_tmpz00_3749 = ((BgL_objectz00_bglt) BgL_oz00_10);
						BgL_auxz00_3748 = BGL_OBJECT_WIDENING(BgL_tmpz00_3749);
					}
					BgL_auxz00_3747 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3748);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3747))->BgL_xhdlz00);
			}
		}

	}



/* &svar/Iinfo-xhdl */
	obj_t BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00(obj_t BgL_envz00_2756,
		obj_t BgL_oz00_2757)
	{
		{	/* Integrate/iinfo.sch 144 */
			return
				BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2757));
		}

	}



/* svar/Iinfo-xhdl-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_11, obj_t BgL_vz00_12)
	{
		{	/* Integrate/iinfo.sch 145 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3756;

				{
					obj_t BgL_auxz00_3757;

					{	/* Integrate/iinfo.sch 145 */
						BgL_objectz00_bglt BgL_tmpz00_3758;

						BgL_tmpz00_3758 = ((BgL_objectz00_bglt) BgL_oz00_11);
						BgL_auxz00_3757 = BGL_OBJECT_WIDENING(BgL_tmpz00_3758);
					}
					BgL_auxz00_3756 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3757);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3756))->
						BgL_xhdlz00) = ((obj_t) BgL_vz00_12), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-xhdl-set! */
	obj_t BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2758, obj_t BgL_oz00_2759, obj_t BgL_vz00_2760)
	{
		{	/* Integrate/iinfo.sch 145 */
			return
				BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2759), BgL_vz00_2760);
		}

	}



/* svar/Iinfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_13)
	{
		{	/* Integrate/iinfo.sch 146 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3765;

				{
					obj_t BgL_auxz00_3766;

					{	/* Integrate/iinfo.sch 146 */
						BgL_objectz00_bglt BgL_tmpz00_3767;

						BgL_tmpz00_3767 = ((BgL_objectz00_bglt) BgL_oz00_13);
						BgL_auxz00_3766 = BGL_OBJECT_WIDENING(BgL_tmpz00_3767);
					}
					BgL_auxz00_3765 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3766);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3765))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &svar/Iinfo-celled? */
	obj_t BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2761, obj_t BgL_oz00_2762)
	{
		{	/* Integrate/iinfo.sch 146 */
			return
				BBOOL(BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_2762)));
		}

	}



/* svar/Iinfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_14, bool_t BgL_vz00_15)
	{
		{	/* Integrate/iinfo.sch 147 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3775;

				{
					obj_t BgL_auxz00_3776;

					{	/* Integrate/iinfo.sch 147 */
						BgL_objectz00_bglt BgL_tmpz00_3777;

						BgL_tmpz00_3777 = ((BgL_objectz00_bglt) BgL_oz00_14);
						BgL_auxz00_3776 = BGL_OBJECT_WIDENING(BgL_tmpz00_3777);
					}
					BgL_auxz00_3775 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3776);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3775))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_15), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-celled?-set! */
	obj_t BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2763, obj_t BgL_oz00_2764, obj_t BgL_vz00_2765)
	{
		{	/* Integrate/iinfo.sch 147 */
			return
				BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2764), CBOOL(BgL_vz00_2765));
		}

	}



/* svar/Iinfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_16)
	{
		{	/* Integrate/iinfo.sch 148 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3785;

				{
					obj_t BgL_auxz00_3786;

					{	/* Integrate/iinfo.sch 148 */
						BgL_objectz00_bglt BgL_tmpz00_3787;

						BgL_tmpz00_3787 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3786 = BGL_OBJECT_WIDENING(BgL_tmpz00_3787);
					}
					BgL_auxz00_3785 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3786);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3785))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &svar/Iinfo-kaptured? */
	obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2766, obj_t BgL_oz00_2767)
	{
		{	/* Integrate/iinfo.sch 148 */
			return
				BBOOL(BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_2767)));
		}

	}



/* svar/Iinfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* Integrate/iinfo.sch 149 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3795;

				{
					obj_t BgL_auxz00_3796;

					{	/* Integrate/iinfo.sch 149 */
						BgL_objectz00_bglt BgL_tmpz00_3797;

						BgL_tmpz00_3797 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3796 = BGL_OBJECT_WIDENING(BgL_tmpz00_3797);
					}
					BgL_auxz00_3795 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3796);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3795))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-kaptured?-set! */
	obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2768, obj_t BgL_oz00_2769, obj_t BgL_vz00_2770)
	{
		{	/* Integrate/iinfo.sch 149 */
			return
				BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2769), CBOOL(BgL_vz00_2770));
		}

	}



/* svar/Iinfo-u-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_19)
	{
		{	/* Integrate/iinfo.sch 150 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3805;

				{
					obj_t BgL_auxz00_3806;

					{	/* Integrate/iinfo.sch 150 */
						BgL_objectz00_bglt BgL_tmpz00_3807;

						BgL_tmpz00_3807 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3806 = BGL_OBJECT_WIDENING(BgL_tmpz00_3807);
					}
					BgL_auxz00_3805 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3806);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3805))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &svar/Iinfo-u-mark */
	obj_t BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2771, obj_t BgL_oz00_2772)
	{
		{	/* Integrate/iinfo.sch 150 */
			return
				BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2772));
		}

	}



/* svar/Iinfo-u-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* Integrate/iinfo.sch 151 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3814;

				{
					obj_t BgL_auxz00_3815;

					{	/* Integrate/iinfo.sch 151 */
						BgL_objectz00_bglt BgL_tmpz00_3816;

						BgL_tmpz00_3816 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3815 = BGL_OBJECT_WIDENING(BgL_tmpz00_3816);
					}
					BgL_auxz00_3814 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3815);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3814))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-u-mark-set! */
	obj_t BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
	{
		{	/* Integrate/iinfo.sch 151 */
			return
				BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2774), BgL_vz00_2775);
		}

	}



/* svar/Iinfo-f-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_22)
	{
		{	/* Integrate/iinfo.sch 152 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3823;

				{
					obj_t BgL_auxz00_3824;

					{	/* Integrate/iinfo.sch 152 */
						BgL_objectz00_bglt BgL_tmpz00_3825;

						BgL_tmpz00_3825 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_3824 = BGL_OBJECT_WIDENING(BgL_tmpz00_3825);
					}
					BgL_auxz00_3823 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3824);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3823))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &svar/Iinfo-f-mark */
	obj_t BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2776, obj_t BgL_oz00_2777)
	{
		{	/* Integrate/iinfo.sch 152 */
			return
				BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2777));
		}

	}



/* svar/Iinfo-f-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_23, obj_t BgL_vz00_24)
	{
		{	/* Integrate/iinfo.sch 153 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3832;

				{
					obj_t BgL_auxz00_3833;

					{	/* Integrate/iinfo.sch 153 */
						BgL_objectz00_bglt BgL_tmpz00_3834;

						BgL_tmpz00_3834 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_3833 = BGL_OBJECT_WIDENING(BgL_tmpz00_3834);
					}
					BgL_auxz00_3832 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3833);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3832))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_24), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-f-mark-set! */
	obj_t BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2778, obj_t BgL_oz00_2779, obj_t BgL_vz00_2780)
	{
		{	/* Integrate/iinfo.sch 153 */
			return
				BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2779), BgL_vz00_2780);
		}

	}



/* svar/Iinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(BgL_svarz00_bglt BgL_oz00_25)
	{
		{	/* Integrate/iinfo.sch 154 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_25)))->BgL_locz00);
		}

	}



/* &svar/Iinfo-loc */
	obj_t BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00(obj_t BgL_envz00_2781,
		obj_t BgL_oz00_2782)
	{
		{	/* Integrate/iinfo.sch 154 */
			return
				BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2782));
		}

	}



/* svar/Iinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* Integrate/iinfo.sch 155 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_26)))->BgL_locz00) =
				((obj_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &svar/Iinfo-loc-set! */
	obj_t BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2783, obj_t BgL_oz00_2784, obj_t BgL_vz00_2785)
	{
		{	/* Integrate/iinfo.sch 155 */
			return
				BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2784), BgL_vz00_2785);
		}

	}



/* make-sexit/Iinfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_handler1220z00_28,
		bool_t BgL_detachedzf31221zf3_29, obj_t BgL_fzd2mark1222zd2_30,
		obj_t BgL_uzd2mark1223zd2_31, bool_t BgL_kapturedzf31224zf3_32,
		bool_t BgL_celledzf31225zf3_33)
	{
		{	/* Integrate/iinfo.sch 158 */
			{	/* Integrate/iinfo.sch 158 */
				BgL_sexitz00_bglt BgL_new1184z00_3459;

				{	/* Integrate/iinfo.sch 158 */
					BgL_sexitz00_bglt BgL_tmp1181z00_3460;
					BgL_sexitzf2iinfozf2_bglt BgL_wide1182z00_3461;

					{
						BgL_sexitz00_bglt BgL_auxz00_3849;

						{	/* Integrate/iinfo.sch 158 */
							BgL_sexitz00_bglt BgL_new1180z00_3462;

							BgL_new1180z00_3462 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Integrate/iinfo.sch 158 */
								long BgL_arg1339z00_3463;

								BgL_arg1339z00_3463 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1180z00_3462),
									BgL_arg1339z00_3463);
							}
							{	/* Integrate/iinfo.sch 158 */
								BgL_objectz00_bglt BgL_tmpz00_3854;

								BgL_tmpz00_3854 = ((BgL_objectz00_bglt) BgL_new1180z00_3462);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3854, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1180z00_3462);
							BgL_auxz00_3849 = BgL_new1180z00_3462;
						}
						BgL_tmp1181z00_3460 = ((BgL_sexitz00_bglt) BgL_auxz00_3849);
					}
					BgL_wide1182z00_3461 =
						((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 158 */
						obj_t BgL_auxz00_3862;
						BgL_objectz00_bglt BgL_tmpz00_3860;

						BgL_auxz00_3862 = ((obj_t) BgL_wide1182z00_3461);
						BgL_tmpz00_3860 = ((BgL_objectz00_bglt) BgL_tmp1181z00_3460);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3860, BgL_auxz00_3862);
					}
					((BgL_objectz00_bglt) BgL_tmp1181z00_3460);
					{	/* Integrate/iinfo.sch 158 */
						long BgL_arg1338z00_3464;

						BgL_arg1338z00_3464 =
							BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1181z00_3460), BgL_arg1338z00_3464);
					}
					BgL_new1184z00_3459 = ((BgL_sexitz00_bglt) BgL_tmp1181z00_3460);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1184z00_3459)))->BgL_handlerz00) =
					((obj_t) BgL_handler1220z00_28), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1184z00_3459)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31221zf3_29), BUNSPEC);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3874;

					{
						obj_t BgL_auxz00_3875;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3876;

							BgL_tmpz00_3876 = ((BgL_objectz00_bglt) BgL_new1184z00_3459);
							BgL_auxz00_3875 = BGL_OBJECT_WIDENING(BgL_tmpz00_3876);
						}
						BgL_auxz00_3874 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3875);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3874))->
							BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1222zd2_30), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3881;

					{
						obj_t BgL_auxz00_3882;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3883;

							BgL_tmpz00_3883 = ((BgL_objectz00_bglt) BgL_new1184z00_3459);
							BgL_auxz00_3882 = BGL_OBJECT_WIDENING(BgL_tmpz00_3883);
						}
						BgL_auxz00_3881 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3882);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3881))->
							BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1223zd2_31), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3888;

					{
						obj_t BgL_auxz00_3889;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3890;

							BgL_tmpz00_3890 = ((BgL_objectz00_bglt) BgL_new1184z00_3459);
							BgL_auxz00_3889 = BGL_OBJECT_WIDENING(BgL_tmpz00_3890);
						}
						BgL_auxz00_3888 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3889);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3888))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31224zf3_32), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3895;

					{
						obj_t BgL_auxz00_3896;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3897;

							BgL_tmpz00_3897 = ((BgL_objectz00_bglt) BgL_new1184z00_3459);
							BgL_auxz00_3896 = BGL_OBJECT_WIDENING(BgL_tmpz00_3897);
						}
						BgL_auxz00_3895 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3896);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3895))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31225zf3_33), BUNSPEC);
				}
				return BgL_new1184z00_3459;
			}
		}

	}



/* &make-sexit/Iinfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2786, obj_t BgL_handler1220z00_2787,
		obj_t BgL_detachedzf31221zf3_2788, obj_t BgL_fzd2mark1222zd2_2789,
		obj_t BgL_uzd2mark1223zd2_2790, obj_t BgL_kapturedzf31224zf3_2791,
		obj_t BgL_celledzf31225zf3_2792)
	{
		{	/* Integrate/iinfo.sch 158 */
			return
				BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(BgL_handler1220z00_2787,
				CBOOL(BgL_detachedzf31221zf3_2788), BgL_fzd2mark1222zd2_2789,
				BgL_uzd2mark1223zd2_2790, CBOOL(BgL_kapturedzf31224zf3_2791),
				CBOOL(BgL_celledzf31225zf3_2792));
		}

	}



/* sexit/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_34)
	{
		{	/* Integrate/iinfo.sch 159 */
			{	/* Integrate/iinfo.sch 159 */
				obj_t BgL_classz00_3465;

				BgL_classz00_3465 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_34))
					{	/* Integrate/iinfo.sch 159 */
						BgL_objectz00_bglt BgL_arg1820z00_3466;

						BgL_arg1820z00_3466 = (BgL_objectz00_bglt) (BgL_objz00_34);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 159 */
								long BgL_idxz00_3467;

								BgL_idxz00_3467 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3466);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3467 + ((long) 3))) == BgL_classz00_3465);
							}
						else
							{	/* Integrate/iinfo.sch 159 */
								bool_t BgL_res1964z00_3470;

								{	/* Integrate/iinfo.sch 159 */
									obj_t BgL_oclassz00_3471;

									{	/* Integrate/iinfo.sch 159 */
										long BgL_arg1828z00_3472;

										{	/* Integrate/iinfo.sch 159 */
											long BgL_arg1829z00_3473;

											BgL_arg1829z00_3473 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3466);
											BgL_arg1828z00_3472 = (BgL_arg1829z00_3473 - OBJECT_TYPE);
										}
										BgL_oclassz00_3471 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3472);
									}
									{	/* Integrate/iinfo.sch 159 */
										bool_t BgL__ortest_1111z00_3474;

										BgL__ortest_1111z00_3474 =
											(BgL_classz00_3465 == BgL_oclassz00_3471);
										if (BgL__ortest_1111z00_3474)
											{	/* Integrate/iinfo.sch 159 */
												BgL_res1964z00_3470 = BgL__ortest_1111z00_3474;
											}
										else
											{	/* Integrate/iinfo.sch 159 */
												long BgL_odepthz00_3475;

												BgL_odepthz00_3475 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3471);
												if ((((long) 3) < BgL_odepthz00_3475))
													{	/* Integrate/iinfo.sch 159 */
														obj_t BgL_arg1816z00_3476;

														BgL_arg1816z00_3476 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3471,
															((long) 3));
														BgL_res1964z00_3470 =
															(BgL_arg1816z00_3476 == BgL_classz00_3465);
													}
												else
													{	/* Integrate/iinfo.sch 159 */
														BgL_res1964z00_3470 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1964z00_3470;
							}
					}
				else
					{	/* Integrate/iinfo.sch 159 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Iinfo? */
	obj_t BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2793,
		obj_t BgL_objz00_2794)
	{
		{	/* Integrate/iinfo.sch 159 */
			return BBOOL(BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2794));
		}

	}



/* sexit/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 160 */
			{	/* Integrate/iinfo.sch 160 */
				obj_t BgL_classz00_2398;

				BgL_classz00_2398 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 160 */
					obj_t BgL__ortest_1113z00_2399;

					BgL__ortest_1113z00_2399 = BGL_CLASS_NIL(BgL_classz00_2398);
					if (CBOOL(BgL__ortest_1113z00_2399))
						{	/* Integrate/iinfo.sch 160 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1113z00_2399);
						}
					else
						{	/* Integrate/iinfo.sch 160 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2398));
						}
				}
			}
		}

	}



/* &sexit/Iinfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2795)
	{
		{	/* Integrate/iinfo.sch 160 */
			return BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* sexit/Iinfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_35)
	{
		{	/* Integrate/iinfo.sch 161 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3934;

				{
					obj_t BgL_auxz00_3935;

					{	/* Integrate/iinfo.sch 161 */
						BgL_objectz00_bglt BgL_tmpz00_3936;

						BgL_tmpz00_3936 = ((BgL_objectz00_bglt) BgL_oz00_35);
						BgL_auxz00_3935 = BGL_OBJECT_WIDENING(BgL_tmpz00_3936);
					}
					BgL_auxz00_3934 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3935);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3934))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &sexit/Iinfo-celled? */
	obj_t BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2796, obj_t BgL_oz00_2797)
	{
		{	/* Integrate/iinfo.sch 161 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2797)));
		}

	}



/* sexit/Iinfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_36, bool_t BgL_vz00_37)
	{
		{	/* Integrate/iinfo.sch 162 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3944;

				{
					obj_t BgL_auxz00_3945;

					{	/* Integrate/iinfo.sch 162 */
						BgL_objectz00_bglt BgL_tmpz00_3946;

						BgL_tmpz00_3946 = ((BgL_objectz00_bglt) BgL_oz00_36);
						BgL_auxz00_3945 = BGL_OBJECT_WIDENING(BgL_tmpz00_3946);
					}
					BgL_auxz00_3944 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3945);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3944))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_37), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-celled?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2798, obj_t BgL_oz00_2799, obj_t BgL_vz00_2800)
	{
		{	/* Integrate/iinfo.sch 162 */
			return
				BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2799), CBOOL(BgL_vz00_2800));
		}

	}



/* sexit/Iinfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_38)
	{
		{	/* Integrate/iinfo.sch 163 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3954;

				{
					obj_t BgL_auxz00_3955;

					{	/* Integrate/iinfo.sch 163 */
						BgL_objectz00_bglt BgL_tmpz00_3956;

						BgL_tmpz00_3956 = ((BgL_objectz00_bglt) BgL_oz00_38);
						BgL_auxz00_3955 = BGL_OBJECT_WIDENING(BgL_tmpz00_3956);
					}
					BgL_auxz00_3954 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3955);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3954))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &sexit/Iinfo-kaptured? */
	obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2801, obj_t BgL_oz00_2802)
	{
		{	/* Integrate/iinfo.sch 163 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2802)));
		}

	}



/* sexit/Iinfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_39, bool_t BgL_vz00_40)
	{
		{	/* Integrate/iinfo.sch 164 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3964;

				{
					obj_t BgL_auxz00_3965;

					{	/* Integrate/iinfo.sch 164 */
						BgL_objectz00_bglt BgL_tmpz00_3966;

						BgL_tmpz00_3966 = ((BgL_objectz00_bglt) BgL_oz00_39);
						BgL_auxz00_3965 = BGL_OBJECT_WIDENING(BgL_tmpz00_3966);
					}
					BgL_auxz00_3964 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3965);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3964))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_40), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-kaptured?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2803, obj_t BgL_oz00_2804, obj_t BgL_vz00_2805)
	{
		{	/* Integrate/iinfo.sch 164 */
			return
				BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2804), CBOOL(BgL_vz00_2805));
		}

	}



/* sexit/Iinfo-u-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_41)
	{
		{	/* Integrate/iinfo.sch 165 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3974;

				{
					obj_t BgL_auxz00_3975;

					{	/* Integrate/iinfo.sch 165 */
						BgL_objectz00_bglt BgL_tmpz00_3976;

						BgL_tmpz00_3976 = ((BgL_objectz00_bglt) BgL_oz00_41);
						BgL_auxz00_3975 = BGL_OBJECT_WIDENING(BgL_tmpz00_3976);
					}
					BgL_auxz00_3974 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3975);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3974))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &sexit/Iinfo-u-mark */
	obj_t BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2806, obj_t BgL_oz00_2807)
	{
		{	/* Integrate/iinfo.sch 165 */
			return
				BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2807));
		}

	}



/* sexit/Iinfo-u-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_42, obj_t BgL_vz00_43)
	{
		{	/* Integrate/iinfo.sch 166 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3983;

				{
					obj_t BgL_auxz00_3984;

					{	/* Integrate/iinfo.sch 166 */
						BgL_objectz00_bglt BgL_tmpz00_3985;

						BgL_tmpz00_3985 = ((BgL_objectz00_bglt) BgL_oz00_42);
						BgL_auxz00_3984 = BGL_OBJECT_WIDENING(BgL_tmpz00_3985);
					}
					BgL_auxz00_3983 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3984);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3983))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_43), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-u-mark-set! */
	obj_t BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2808, obj_t BgL_oz00_2809, obj_t BgL_vz00_2810)
	{
		{	/* Integrate/iinfo.sch 166 */
			return
				BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2809), BgL_vz00_2810);
		}

	}



/* sexit/Iinfo-f-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_44)
	{
		{	/* Integrate/iinfo.sch 167 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3992;

				{
					obj_t BgL_auxz00_3993;

					{	/* Integrate/iinfo.sch 167 */
						BgL_objectz00_bglt BgL_tmpz00_3994;

						BgL_tmpz00_3994 = ((BgL_objectz00_bglt) BgL_oz00_44);
						BgL_auxz00_3993 = BGL_OBJECT_WIDENING(BgL_tmpz00_3994);
					}
					BgL_auxz00_3992 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3993);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3992))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &sexit/Iinfo-f-mark */
	obj_t BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2811, obj_t BgL_oz00_2812)
	{
		{	/* Integrate/iinfo.sch 167 */
			return
				BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2812));
		}

	}



/* sexit/Iinfo-f-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_45, obj_t BgL_vz00_46)
	{
		{	/* Integrate/iinfo.sch 168 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4001;

				{
					obj_t BgL_auxz00_4002;

					{	/* Integrate/iinfo.sch 168 */
						BgL_objectz00_bglt BgL_tmpz00_4003;

						BgL_tmpz00_4003 = ((BgL_objectz00_bglt) BgL_oz00_45);
						BgL_auxz00_4002 = BGL_OBJECT_WIDENING(BgL_tmpz00_4003);
					}
					BgL_auxz00_4001 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4002);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4001))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_46), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-f-mark-set! */
	obj_t BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2813, obj_t BgL_oz00_2814, obj_t BgL_vz00_2815)
	{
		{	/* Integrate/iinfo.sch 168 */
			return
				BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2814), BgL_vz00_2815);
		}

	}



/* sexit/Iinfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_47)
	{
		{	/* Integrate/iinfo.sch 169 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_47)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Iinfo-detached? */
	obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2816, obj_t BgL_oz00_2817)
	{
		{	/* Integrate/iinfo.sch 169 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2817)));
		}

	}



/* sexit/Iinfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_48, bool_t BgL_vz00_49)
	{
		{	/* Integrate/iinfo.sch 170 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_48)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &sexit/Iinfo-detached?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819, obj_t BgL_vz00_2820)
	{
		{	/* Integrate/iinfo.sch 170 */
			return
				BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2819), CBOOL(BgL_vz00_2820));
		}

	}



/* sexit/Iinfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_50)
	{
		{	/* Integrate/iinfo.sch 171 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_50)))->BgL_handlerz00);
		}

	}



/* &sexit/Iinfo-handler */
	obj_t BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822)
	{
		{	/* Integrate/iinfo.sch 171 */
			return
				BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2822));
		}

	}



/* sexit/Iinfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		{	/* Integrate/iinfo.sch 172 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_51)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &sexit/Iinfo-handler-set! */
	obj_t BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2823, obj_t BgL_oz00_2824, obj_t BgL_vz00_2825)
	{
		{	/* Integrate/iinfo.sch 172 */
			return
				BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2824), BgL_vz00_2825);
		}

	}



/* make-sfun/Iinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long BgL_arity1176z00_53,
		obj_t BgL_sidezd2effect1177zd2_54, obj_t BgL_predicatezd2of1178zd2_55,
		obj_t BgL_stackzd2allocator1179zd2_56, bool_t BgL_topzf31180zf3_57,
		obj_t BgL_thezd2closure1181zd2_58, obj_t BgL_effect1182z00_59,
		obj_t BgL_failsafe1183z00_60, obj_t BgL_argszd2noescape1184zd2_61,
		obj_t BgL_argszd2retescape1185zd2_62, obj_t BgL_property1186z00_63,
		obj_t BgL_args1187z00_64, obj_t BgL_argszd2name1188zd2_65,
		obj_t BgL_body1189z00_66, obj_t BgL_class1190z00_67,
		obj_t BgL_dssslzd2keywords1191zd2_68, obj_t BgL_loc1192z00_69,
		obj_t BgL_optionals1193z00_70, obj_t BgL_keys1194z00_71,
		obj_t BgL_thezd2closurezd2global1195z00_72, obj_t BgL_strength1196z00_73,
		obj_t BgL_stackable1197z00_74, obj_t BgL_owner1198z00_75,
		obj_t BgL_free1199z00_76, obj_t BgL_bound1200z00_77,
		obj_t BgL_cfrom1201z00_78, obj_t BgL_cto1202z00_79, obj_t BgL_k1203z00_80,
		obj_t BgL_kza21204za2_81, obj_t BgL_u1205z00_82, obj_t BgL_cn1206z00_83,
		obj_t BgL_ct1207z00_84, obj_t BgL_kont1208z00_85, bool_t BgL_gzf31209zf3_86,
		bool_t BgL_forcegzf31210zf3_87, obj_t BgL_l1211z00_88,
		obj_t BgL_led1212z00_89, obj_t BgL_istamp1213z00_90,
		obj_t BgL_global1214z00_91, obj_t BgL_kaptured1215z00_92,
		obj_t BgL_tailzd2coercion1216zd2_93, bool_t BgL_xhdlzf31217zf3_94,
		obj_t BgL_xhdls1218z00_95)
	{
		{	/* Integrate/iinfo.sch 175 */
			{	/* Integrate/iinfo.sch 175 */
				BgL_sfunz00_bglt BgL_new1188z00_3477;

				{	/* Integrate/iinfo.sch 175 */
					BgL_sfunz00_bglt BgL_tmp1186z00_3478;
					BgL_sfunzf2iinfozf2_bglt BgL_wide1187z00_3479;

					{
						BgL_sfunz00_bglt BgL_auxz00_4028;

						{	/* Integrate/iinfo.sch 175 */
							BgL_sfunz00_bglt BgL_new1185z00_3480;

							BgL_new1185z00_3480 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Integrate/iinfo.sch 175 */
								long BgL_arg1341z00_3481;

								BgL_arg1341z00_3481 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1185z00_3480),
									BgL_arg1341z00_3481);
							}
							{	/* Integrate/iinfo.sch 175 */
								BgL_objectz00_bglt BgL_tmpz00_4033;

								BgL_tmpz00_4033 = ((BgL_objectz00_bglt) BgL_new1185z00_3480);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4033, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1185z00_3480);
							BgL_auxz00_4028 = BgL_new1185z00_3480;
						}
						BgL_tmp1186z00_3478 = ((BgL_sfunz00_bglt) BgL_auxz00_4028);
					}
					BgL_wide1187z00_3479 =
						((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 175 */
						obj_t BgL_auxz00_4041;
						BgL_objectz00_bglt BgL_tmpz00_4039;

						BgL_auxz00_4041 = ((obj_t) BgL_wide1187z00_3479);
						BgL_tmpz00_4039 = ((BgL_objectz00_bglt) BgL_tmp1186z00_3478);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4039, BgL_auxz00_4041);
					}
					((BgL_objectz00_bglt) BgL_tmp1186z00_3478);
					{	/* Integrate/iinfo.sch 175 */
						long BgL_arg1340z00_3482;

						BgL_arg1340z00_3482 =
							BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1186z00_3478), BgL_arg1340z00_3482);
					}
					BgL_new1188z00_3477 = ((BgL_sfunz00_bglt) BgL_tmp1186z00_3478);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1188z00_3477)))->BgL_arityz00) =
					((long) BgL_arity1176z00_53), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1177zd2_54), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1178zd2_55), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1179zd2_56), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31180zf3_57), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1181zd2_58), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_effectz00) = ((obj_t) BgL_effect1182z00_59), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1183z00_60), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1184zd2_61), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1188z00_3477)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1185zd2_62), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_propertyz00) =
					((obj_t) BgL_property1186z00_63), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_argsz00) =
					((obj_t) BgL_args1187z00_64), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1188zd2_65), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_bodyz00) =
					((obj_t) BgL_body1189z00_66), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_classz00) =
					((obj_t) BgL_class1190z00_67), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1191zd2_68), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_locz00) =
					((obj_t) BgL_loc1192z00_69), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1193z00_70), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_keysz00) =
					((obj_t) BgL_keys1194z00_71), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1195z00_72), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_strengthz00) =
					((obj_t) BgL_strength1196z00_73), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1188z00_3477)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1197z00_74), BUNSPEC);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4093;

					{
						obj_t BgL_auxz00_4094;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4095;

							BgL_tmpz00_4095 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4094 = BGL_OBJECT_WIDENING(BgL_tmpz00_4095);
						}
						BgL_auxz00_4093 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4094);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4093))->
							BgL_ownerz00) = ((obj_t) BgL_owner1198z00_75), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4100;

					{
						obj_t BgL_auxz00_4101;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4102;

							BgL_tmpz00_4102 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4101 = BGL_OBJECT_WIDENING(BgL_tmpz00_4102);
						}
						BgL_auxz00_4100 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4101);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4100))->
							BgL_freez00) = ((obj_t) BgL_free1199z00_76), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4107;

					{
						obj_t BgL_auxz00_4108;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4109;

							BgL_tmpz00_4109 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4108 = BGL_OBJECT_WIDENING(BgL_tmpz00_4109);
						}
						BgL_auxz00_4107 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4108);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4107))->
							BgL_boundz00) = ((obj_t) BgL_bound1200z00_77), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4114;

					{
						obj_t BgL_auxz00_4115;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4116;

							BgL_tmpz00_4116 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4115 = BGL_OBJECT_WIDENING(BgL_tmpz00_4116);
						}
						BgL_auxz00_4114 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4115);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4114))->
							BgL_cfromz00) = ((obj_t) BgL_cfrom1201z00_78), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4121;

					{
						obj_t BgL_auxz00_4122;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4123;

							BgL_tmpz00_4123 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4122 = BGL_OBJECT_WIDENING(BgL_tmpz00_4123);
						}
						BgL_auxz00_4121 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4122);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4121))->BgL_ctoz00) =
						((obj_t) BgL_cto1202z00_79), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4128;

					{
						obj_t BgL_auxz00_4129;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4130;

							BgL_tmpz00_4130 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4129 = BGL_OBJECT_WIDENING(BgL_tmpz00_4130);
						}
						BgL_auxz00_4128 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4129);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4128))->BgL_kz00) =
						((obj_t) BgL_k1203z00_80), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4135;

					{
						obj_t BgL_auxz00_4136;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4137;

							BgL_tmpz00_4137 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4136 = BGL_OBJECT_WIDENING(BgL_tmpz00_4137);
						}
						BgL_auxz00_4135 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4136);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4135))->
							BgL_kza2za2) = ((obj_t) BgL_kza21204za2_81), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4142;

					{
						obj_t BgL_auxz00_4143;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4144;

							BgL_tmpz00_4144 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4143 = BGL_OBJECT_WIDENING(BgL_tmpz00_4144);
						}
						BgL_auxz00_4142 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4143);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4142))->BgL_uz00) =
						((obj_t) BgL_u1205z00_82), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4149;

					{
						obj_t BgL_auxz00_4150;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4151;

							BgL_tmpz00_4151 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4150 = BGL_OBJECT_WIDENING(BgL_tmpz00_4151);
						}
						BgL_auxz00_4149 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4150);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4149))->BgL_cnz00) =
						((obj_t) BgL_cn1206z00_83), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4156;

					{
						obj_t BgL_auxz00_4157;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4158;

							BgL_tmpz00_4158 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4157 = BGL_OBJECT_WIDENING(BgL_tmpz00_4158);
						}
						BgL_auxz00_4156 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4157);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4156))->BgL_ctz00) =
						((obj_t) BgL_ct1207z00_84), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4163;

					{
						obj_t BgL_auxz00_4164;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4165;

							BgL_tmpz00_4165 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4164 = BGL_OBJECT_WIDENING(BgL_tmpz00_4165);
						}
						BgL_auxz00_4163 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4164);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4163))->
							BgL_kontz00) = ((obj_t) BgL_kont1208z00_85), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4170;

					{
						obj_t BgL_auxz00_4171;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4172;

							BgL_tmpz00_4172 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4171 = BGL_OBJECT_WIDENING(BgL_tmpz00_4172);
						}
						BgL_auxz00_4170 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4171);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4170))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31209zf3_86), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4177;

					{
						obj_t BgL_auxz00_4178;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4179;

							BgL_tmpz00_4179 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4178 = BGL_OBJECT_WIDENING(BgL_tmpz00_4179);
						}
						BgL_auxz00_4177 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4178);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4177))->
							BgL_forcegzf3zf3) = ((bool_t) BgL_forcegzf31210zf3_87), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4184;

					{
						obj_t BgL_auxz00_4185;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4186;

							BgL_tmpz00_4186 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4185 = BGL_OBJECT_WIDENING(BgL_tmpz00_4186);
						}
						BgL_auxz00_4184 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4185);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4184))->BgL_lz00) =
						((obj_t) BgL_l1211z00_88), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4191;

					{
						obj_t BgL_auxz00_4192;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4193;

							BgL_tmpz00_4193 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4192 = BGL_OBJECT_WIDENING(BgL_tmpz00_4193);
						}
						BgL_auxz00_4191 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4192);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4191))->BgL_ledz00) =
						((obj_t) BgL_led1212z00_89), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4198;

					{
						obj_t BgL_auxz00_4199;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4200;

							BgL_tmpz00_4200 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4199 = BGL_OBJECT_WIDENING(BgL_tmpz00_4200);
						}
						BgL_auxz00_4198 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4199);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4198))->
							BgL_istampz00) = ((obj_t) BgL_istamp1213z00_90), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4205;

					{
						obj_t BgL_auxz00_4206;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4207;

							BgL_tmpz00_4207 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4206 = BGL_OBJECT_WIDENING(BgL_tmpz00_4207);
						}
						BgL_auxz00_4205 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4206);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4205))->
							BgL_globalz00) = ((obj_t) BgL_global1214z00_91), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4212;

					{
						obj_t BgL_auxz00_4213;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4214;

							BgL_tmpz00_4214 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4213 = BGL_OBJECT_WIDENING(BgL_tmpz00_4214);
						}
						BgL_auxz00_4212 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4213);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4212))->
							BgL_kapturedz00) = ((obj_t) BgL_kaptured1215z00_92), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4219;

					{
						obj_t BgL_auxz00_4220;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4221;

							BgL_tmpz00_4221 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4220 = BGL_OBJECT_WIDENING(BgL_tmpz00_4221);
						}
						BgL_auxz00_4219 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4220);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4219))->
							BgL_tailzd2coercionzd2) =
						((obj_t) BgL_tailzd2coercion1216zd2_93), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4226;

					{
						obj_t BgL_auxz00_4227;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4228;

							BgL_tmpz00_4228 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4227 = BGL_OBJECT_WIDENING(BgL_tmpz00_4228);
						}
						BgL_auxz00_4226 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4227);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4226))->
							BgL_xhdlzf3zf3) = ((bool_t) BgL_xhdlzf31217zf3_94), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4233;

					{
						obj_t BgL_auxz00_4234;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4235;

							BgL_tmpz00_4235 = ((BgL_objectz00_bglt) BgL_new1188z00_3477);
							BgL_auxz00_4234 = BGL_OBJECT_WIDENING(BgL_tmpz00_4235);
						}
						BgL_auxz00_4233 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4234);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4233))->
							BgL_xhdlsz00) = ((obj_t) BgL_xhdls1218z00_95), BUNSPEC);
				}
				return BgL_new1188z00_3477;
			}
		}

	}



/* &make-sfun/Iinfo */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2826, obj_t BgL_arity1176z00_2827,
		obj_t BgL_sidezd2effect1177zd2_2828, obj_t BgL_predicatezd2of1178zd2_2829,
		obj_t BgL_stackzd2allocator1179zd2_2830, obj_t BgL_topzf31180zf3_2831,
		obj_t BgL_thezd2closure1181zd2_2832, obj_t BgL_effect1182z00_2833,
		obj_t BgL_failsafe1183z00_2834, obj_t BgL_argszd2noescape1184zd2_2835,
		obj_t BgL_argszd2retescape1185zd2_2836, obj_t BgL_property1186z00_2837,
		obj_t BgL_args1187z00_2838, obj_t BgL_argszd2name1188zd2_2839,
		obj_t BgL_body1189z00_2840, obj_t BgL_class1190z00_2841,
		obj_t BgL_dssslzd2keywords1191zd2_2842, obj_t BgL_loc1192z00_2843,
		obj_t BgL_optionals1193z00_2844, obj_t BgL_keys1194z00_2845,
		obj_t BgL_thezd2closurezd2global1195z00_2846,
		obj_t BgL_strength1196z00_2847, obj_t BgL_stackable1197z00_2848,
		obj_t BgL_owner1198z00_2849, obj_t BgL_free1199z00_2850,
		obj_t BgL_bound1200z00_2851, obj_t BgL_cfrom1201z00_2852,
		obj_t BgL_cto1202z00_2853, obj_t BgL_k1203z00_2854,
		obj_t BgL_kza21204za2_2855, obj_t BgL_u1205z00_2856,
		obj_t BgL_cn1206z00_2857, obj_t BgL_ct1207z00_2858,
		obj_t BgL_kont1208z00_2859, obj_t BgL_gzf31209zf3_2860,
		obj_t BgL_forcegzf31210zf3_2861, obj_t BgL_l1211z00_2862,
		obj_t BgL_led1212z00_2863, obj_t BgL_istamp1213z00_2864,
		obj_t BgL_global1214z00_2865, obj_t BgL_kaptured1215z00_2866,
		obj_t BgL_tailzd2coercion1216zd2_2867, obj_t BgL_xhdlzf31217zf3_2868,
		obj_t BgL_xhdls1218z00_2869)
	{
		{	/* Integrate/iinfo.sch 175 */
			return
				BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(
				(long) CINT(BgL_arity1176z00_2827), BgL_sidezd2effect1177zd2_2828,
				BgL_predicatezd2of1178zd2_2829, BgL_stackzd2allocator1179zd2_2830,
				CBOOL(BgL_topzf31180zf3_2831), BgL_thezd2closure1181zd2_2832,
				BgL_effect1182z00_2833, BgL_failsafe1183z00_2834,
				BgL_argszd2noescape1184zd2_2835, BgL_argszd2retescape1185zd2_2836,
				BgL_property1186z00_2837, BgL_args1187z00_2838,
				BgL_argszd2name1188zd2_2839, BgL_body1189z00_2840,
				BgL_class1190z00_2841, BgL_dssslzd2keywords1191zd2_2842,
				BgL_loc1192z00_2843, BgL_optionals1193z00_2844, BgL_keys1194z00_2845,
				BgL_thezd2closurezd2global1195z00_2846, BgL_strength1196z00_2847,
				BgL_stackable1197z00_2848, BgL_owner1198z00_2849, BgL_free1199z00_2850,
				BgL_bound1200z00_2851, BgL_cfrom1201z00_2852, BgL_cto1202z00_2853,
				BgL_k1203z00_2854, BgL_kza21204za2_2855, BgL_u1205z00_2856,
				BgL_cn1206z00_2857, BgL_ct1207z00_2858, BgL_kont1208z00_2859,
				CBOOL(BgL_gzf31209zf3_2860), CBOOL(BgL_forcegzf31210zf3_2861),
				BgL_l1211z00_2862, BgL_led1212z00_2863, BgL_istamp1213z00_2864,
				BgL_global1214z00_2865, BgL_kaptured1215z00_2866,
				BgL_tailzd2coercion1216zd2_2867, CBOOL(BgL_xhdlzf31217zf3_2868),
				BgL_xhdls1218z00_2869);
		}

	}



/* sfun/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_96)
	{
		{	/* Integrate/iinfo.sch 176 */
			{	/* Integrate/iinfo.sch 176 */
				obj_t BgL_classz00_3483;

				BgL_classz00_3483 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_96))
					{	/* Integrate/iinfo.sch 176 */
						BgL_objectz00_bglt BgL_arg1820z00_3484;

						BgL_arg1820z00_3484 = (BgL_objectz00_bglt) (BgL_objz00_96);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 176 */
								long BgL_idxz00_3485;

								BgL_idxz00_3485 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3484);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3485 + ((long) 4))) == BgL_classz00_3483);
							}
						else
							{	/* Integrate/iinfo.sch 176 */
								bool_t BgL_res1965z00_3488;

								{	/* Integrate/iinfo.sch 176 */
									obj_t BgL_oclassz00_3489;

									{	/* Integrate/iinfo.sch 176 */
										long BgL_arg1828z00_3490;

										{	/* Integrate/iinfo.sch 176 */
											long BgL_arg1829z00_3491;

											BgL_arg1829z00_3491 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3484);
											BgL_arg1828z00_3490 = (BgL_arg1829z00_3491 - OBJECT_TYPE);
										}
										BgL_oclassz00_3489 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3490);
									}
									{	/* Integrate/iinfo.sch 176 */
										bool_t BgL__ortest_1111z00_3492;

										BgL__ortest_1111z00_3492 =
											(BgL_classz00_3483 == BgL_oclassz00_3489);
										if (BgL__ortest_1111z00_3492)
											{	/* Integrate/iinfo.sch 176 */
												BgL_res1965z00_3488 = BgL__ortest_1111z00_3492;
											}
										else
											{	/* Integrate/iinfo.sch 176 */
												long BgL_odepthz00_3493;

												BgL_odepthz00_3493 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3489);
												if ((((long) 4) < BgL_odepthz00_3493))
													{	/* Integrate/iinfo.sch 176 */
														obj_t BgL_arg1816z00_3494;

														BgL_arg1816z00_3494 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3489,
															((long) 4));
														BgL_res1965z00_3488 =
															(BgL_arg1816z00_3494 == BgL_classz00_3483);
													}
												else
													{	/* Integrate/iinfo.sch 176 */
														BgL_res1965z00_3488 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1965z00_3488;
							}
					}
				else
					{	/* Integrate/iinfo.sch 176 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun/Iinfo? */
	obj_t BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2870,
		obj_t BgL_objz00_2871)
	{
		{	/* Integrate/iinfo.sch 176 */
			return BBOOL(BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2871));
		}

	}



/* sfun/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 177 */
			{	/* Integrate/iinfo.sch 177 */
				obj_t BgL_classz00_2474;

				BgL_classz00_2474 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 177 */
					obj_t BgL__ortest_1113z00_2475;

					BgL__ortest_1113z00_2475 = BGL_CLASS_NIL(BgL_classz00_2474);
					if (CBOOL(BgL__ortest_1113z00_2475))
						{	/* Integrate/iinfo.sch 177 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1113z00_2475);
						}
					else
						{	/* Integrate/iinfo.sch 177 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2474));
						}
				}
			}
		}

	}



/* &sfun/Iinfo-nil */
	BgL_sfunz00_bglt BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2872)
	{
		{	/* Integrate/iinfo.sch 177 */
			return BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* sfun/Iinfo-xhdls */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_97)
	{
		{	/* Integrate/iinfo.sch 178 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4274;

				{
					obj_t BgL_auxz00_4275;

					{	/* Integrate/iinfo.sch 178 */
						BgL_objectz00_bglt BgL_tmpz00_4276;

						BgL_tmpz00_4276 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_4275 = BGL_OBJECT_WIDENING(BgL_tmpz00_4276);
					}
					BgL_auxz00_4274 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4275);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4274))->BgL_xhdlsz00);
			}
		}

	}



/* &sfun/Iinfo-xhdls */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00(obj_t BgL_envz00_2873,
		obj_t BgL_oz00_2874)
	{
		{	/* Integrate/iinfo.sch 178 */
			return
				BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2874));
		}

	}



/* sfun/Iinfo-xhdls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* Integrate/iinfo.sch 179 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4283;

				{
					obj_t BgL_auxz00_4284;

					{	/* Integrate/iinfo.sch 179 */
						BgL_objectz00_bglt BgL_tmpz00_4285;

						BgL_tmpz00_4285 = ((BgL_objectz00_bglt) BgL_oz00_98);
						BgL_auxz00_4284 = BGL_OBJECT_WIDENING(BgL_tmpz00_4285);
					}
					BgL_auxz00_4283 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4284);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4283))->
						BgL_xhdlsz00) = ((obj_t) BgL_vz00_99), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-xhdls-set! */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2875, obj_t BgL_oz00_2876, obj_t BgL_vz00_2877)
	{
		{	/* Integrate/iinfo.sch 179 */
			return
				BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2876), BgL_vz00_2877);
		}

	}



/* sfun/Iinfo-xhdl? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_100)
	{
		{	/* Integrate/iinfo.sch 180 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4292;

				{
					obj_t BgL_auxz00_4293;

					{	/* Integrate/iinfo.sch 180 */
						BgL_objectz00_bglt BgL_tmpz00_4294;

						BgL_tmpz00_4294 = ((BgL_objectz00_bglt) BgL_oz00_100);
						BgL_auxz00_4293 = BGL_OBJECT_WIDENING(BgL_tmpz00_4294);
					}
					BgL_auxz00_4292 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4293);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4292))->
					BgL_xhdlzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-xhdl? */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2878, obj_t BgL_oz00_2879)
	{
		{	/* Integrate/iinfo.sch 180 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2879)));
		}

	}



/* sfun/Iinfo-xhdl?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_101, bool_t BgL_vz00_102)
	{
		{	/* Integrate/iinfo.sch 181 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4302;

				{
					obj_t BgL_auxz00_4303;

					{	/* Integrate/iinfo.sch 181 */
						BgL_objectz00_bglt BgL_tmpz00_4304;

						BgL_tmpz00_4304 = ((BgL_objectz00_bglt) BgL_oz00_101);
						BgL_auxz00_4303 = BGL_OBJECT_WIDENING(BgL_tmpz00_4304);
					}
					BgL_auxz00_4302 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4303);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4302))->
						BgL_xhdlzf3zf3) = ((bool_t) BgL_vz00_102), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-xhdl?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2880, obj_t BgL_oz00_2881, obj_t BgL_vz00_2882)
	{
		{	/* Integrate/iinfo.sch 181 */
			return
				BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2881), CBOOL(BgL_vz00_2882));
		}

	}



/* sfun/Iinfo-tail-coercion */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_103)
	{
		{	/* Integrate/iinfo.sch 182 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4312;

				{
					obj_t BgL_auxz00_4313;

					{	/* Integrate/iinfo.sch 182 */
						BgL_objectz00_bglt BgL_tmpz00_4314;

						BgL_tmpz00_4314 = ((BgL_objectz00_bglt) BgL_oz00_103);
						BgL_auxz00_4313 = BGL_OBJECT_WIDENING(BgL_tmpz00_4314);
					}
					BgL_auxz00_4312 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4313);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4312))->
					BgL_tailzd2coercionzd2);
			}
		}

	}



/* &sfun/Iinfo-tail-coercion */
	obj_t BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00(obj_t
		BgL_envz00_2883, obj_t BgL_oz00_2884)
	{
		{	/* Integrate/iinfo.sch 182 */
			return
				BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2884));
		}

	}



/* sfun/Iinfo-tail-coercion-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_104, obj_t BgL_vz00_105)
	{
		{	/* Integrate/iinfo.sch 183 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4321;

				{
					obj_t BgL_auxz00_4322;

					{	/* Integrate/iinfo.sch 183 */
						BgL_objectz00_bglt BgL_tmpz00_4323;

						BgL_tmpz00_4323 = ((BgL_objectz00_bglt) BgL_oz00_104);
						BgL_auxz00_4322 = BGL_OBJECT_WIDENING(BgL_tmpz00_4323);
					}
					BgL_auxz00_4321 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4322);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4321))->
						BgL_tailzd2coercionzd2) = ((obj_t) BgL_vz00_105), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-tail-coercion-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2885, obj_t BgL_oz00_2886, obj_t BgL_vz00_2887)
	{
		{	/* Integrate/iinfo.sch 183 */
			return
				BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2886), BgL_vz00_2887);
		}

	}



/* sfun/Iinfo-kaptured */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_106)
	{
		{	/* Integrate/iinfo.sch 184 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4330;

				{
					obj_t BgL_auxz00_4331;

					{	/* Integrate/iinfo.sch 184 */
						BgL_objectz00_bglt BgL_tmpz00_4332;

						BgL_tmpz00_4332 = ((BgL_objectz00_bglt) BgL_oz00_106);
						BgL_auxz00_4331 = BGL_OBJECT_WIDENING(BgL_tmpz00_4332);
					}
					BgL_auxz00_4330 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4331);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4330))->
					BgL_kapturedz00);
			}
		}

	}



/* &sfun/Iinfo-kaptured */
	obj_t BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00(obj_t
		BgL_envz00_2888, obj_t BgL_oz00_2889)
	{
		{	/* Integrate/iinfo.sch 184 */
			return
				BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2889));
		}

	}



/* sfun/Iinfo-kaptured-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_107, obj_t BgL_vz00_108)
	{
		{	/* Integrate/iinfo.sch 185 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4339;

				{
					obj_t BgL_auxz00_4340;

					{	/* Integrate/iinfo.sch 185 */
						BgL_objectz00_bglt BgL_tmpz00_4341;

						BgL_tmpz00_4341 = ((BgL_objectz00_bglt) BgL_oz00_107);
						BgL_auxz00_4340 = BGL_OBJECT_WIDENING(BgL_tmpz00_4341);
					}
					BgL_auxz00_4339 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4340);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4339))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_108), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-kaptured-set! */
	obj_t BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2890, obj_t BgL_oz00_2891, obj_t BgL_vz00_2892)
	{
		{	/* Integrate/iinfo.sch 185 */
			return
				BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2891), BgL_vz00_2892);
		}

	}



/* sfun/Iinfo-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_109)
	{
		{	/* Integrate/iinfo.sch 186 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4348;

				{
					obj_t BgL_auxz00_4349;

					{	/* Integrate/iinfo.sch 186 */
						BgL_objectz00_bglt BgL_tmpz00_4350;

						BgL_tmpz00_4350 = ((BgL_objectz00_bglt) BgL_oz00_109);
						BgL_auxz00_4349 = BGL_OBJECT_WIDENING(BgL_tmpz00_4350);
					}
					BgL_auxz00_4348 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4349);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4348))->
					BgL_globalz00);
			}
		}

	}



/* &sfun/Iinfo-global */
	obj_t BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00(obj_t
		BgL_envz00_2893, obj_t BgL_oz00_2894)
	{
		{	/* Integrate/iinfo.sch 186 */
			return
				BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2894));
		}

	}



/* sfun/Iinfo-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_110, obj_t BgL_vz00_111)
	{
		{	/* Integrate/iinfo.sch 187 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4357;

				{
					obj_t BgL_auxz00_4358;

					{	/* Integrate/iinfo.sch 187 */
						BgL_objectz00_bglt BgL_tmpz00_4359;

						BgL_tmpz00_4359 = ((BgL_objectz00_bglt) BgL_oz00_110);
						BgL_auxz00_4358 = BGL_OBJECT_WIDENING(BgL_tmpz00_4359);
					}
					BgL_auxz00_4357 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4358);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4357))->
						BgL_globalz00) = ((obj_t) BgL_vz00_111), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-global-set! */
	obj_t BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2895, obj_t BgL_oz00_2896, obj_t BgL_vz00_2897)
	{
		{	/* Integrate/iinfo.sch 187 */
			return
				BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2896), BgL_vz00_2897);
		}

	}



/* sfun/Iinfo-istamp */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_112)
	{
		{	/* Integrate/iinfo.sch 188 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4366;

				{
					obj_t BgL_auxz00_4367;

					{	/* Integrate/iinfo.sch 188 */
						BgL_objectz00_bglt BgL_tmpz00_4368;

						BgL_tmpz00_4368 = ((BgL_objectz00_bglt) BgL_oz00_112);
						BgL_auxz00_4367 = BGL_OBJECT_WIDENING(BgL_tmpz00_4368);
					}
					BgL_auxz00_4366 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4367);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4366))->
					BgL_istampz00);
			}
		}

	}



/* &sfun/Iinfo-istamp */
	obj_t BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00(obj_t
		BgL_envz00_2898, obj_t BgL_oz00_2899)
	{
		{	/* Integrate/iinfo.sch 188 */
			return
				BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2899));
		}

	}



/* sfun/Iinfo-istamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* Integrate/iinfo.sch 189 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4375;

				{
					obj_t BgL_auxz00_4376;

					{	/* Integrate/iinfo.sch 189 */
						BgL_objectz00_bglt BgL_tmpz00_4377;

						BgL_tmpz00_4377 = ((BgL_objectz00_bglt) BgL_oz00_113);
						BgL_auxz00_4376 = BGL_OBJECT_WIDENING(BgL_tmpz00_4377);
					}
					BgL_auxz00_4375 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4376);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4375))->
						BgL_istampz00) = ((obj_t) BgL_vz00_114), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-istamp-set! */
	obj_t BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2900, obj_t BgL_oz00_2901, obj_t BgL_vz00_2902)
	{
		{	/* Integrate/iinfo.sch 189 */
			return
				BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2901), BgL_vz00_2902);
		}

	}



/* sfun/Iinfo-Led */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_115)
	{
		{	/* Integrate/iinfo.sch 190 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4384;

				{
					obj_t BgL_auxz00_4385;

					{	/* Integrate/iinfo.sch 190 */
						BgL_objectz00_bglt BgL_tmpz00_4386;

						BgL_tmpz00_4386 = ((BgL_objectz00_bglt) BgL_oz00_115);
						BgL_auxz00_4385 = BGL_OBJECT_WIDENING(BgL_tmpz00_4386);
					}
					BgL_auxz00_4384 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4385);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4384))->BgL_ledz00);
			}
		}

	}



/* &sfun/Iinfo-Led */
	obj_t BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00(obj_t BgL_envz00_2903,
		obj_t BgL_oz00_2904)
	{
		{	/* Integrate/iinfo.sch 190 */
			return
				BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2904));
		}

	}



/* sfun/Iinfo-Led-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_116, obj_t BgL_vz00_117)
	{
		{	/* Integrate/iinfo.sch 191 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4393;

				{
					obj_t BgL_auxz00_4394;

					{	/* Integrate/iinfo.sch 191 */
						BgL_objectz00_bglt BgL_tmpz00_4395;

						BgL_tmpz00_4395 = ((BgL_objectz00_bglt) BgL_oz00_116);
						BgL_auxz00_4394 = BGL_OBJECT_WIDENING(BgL_tmpz00_4395);
					}
					BgL_auxz00_4393 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4394);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4393))->BgL_ledz00) =
					((obj_t) BgL_vz00_117), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Led-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2905, obj_t BgL_oz00_2906, obj_t BgL_vz00_2907)
	{
		{	/* Integrate/iinfo.sch 191 */
			return
				BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2906), BgL_vz00_2907);
		}

	}



/* sfun/Iinfo-L */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_118)
	{
		{	/* Integrate/iinfo.sch 192 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4402;

				{
					obj_t BgL_auxz00_4403;

					{	/* Integrate/iinfo.sch 192 */
						BgL_objectz00_bglt BgL_tmpz00_4404;

						BgL_tmpz00_4404 = ((BgL_objectz00_bglt) BgL_oz00_118);
						BgL_auxz00_4403 = BGL_OBJECT_WIDENING(BgL_tmpz00_4404);
					}
					BgL_auxz00_4402 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4403);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4402))->BgL_lz00);
			}
		}

	}



/* &sfun/Iinfo-L */
	obj_t BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00(obj_t BgL_envz00_2908,
		obj_t BgL_oz00_2909)
	{
		{	/* Integrate/iinfo.sch 192 */
			return
				BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2909));
		}

	}



/* sfun/Iinfo-L-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		{	/* Integrate/iinfo.sch 193 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4411;

				{
					obj_t BgL_auxz00_4412;

					{	/* Integrate/iinfo.sch 193 */
						BgL_objectz00_bglt BgL_tmpz00_4413;

						BgL_tmpz00_4413 = ((BgL_objectz00_bglt) BgL_oz00_119);
						BgL_auxz00_4412 = BGL_OBJECT_WIDENING(BgL_tmpz00_4413);
					}
					BgL_auxz00_4411 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4412);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4411))->BgL_lz00) =
					((obj_t) BgL_vz00_120), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-L-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2910, obj_t BgL_oz00_2911, obj_t BgL_vz00_2912)
	{
		{	/* Integrate/iinfo.sch 193 */
			return
				BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2911), BgL_vz00_2912);
		}

	}



/* sfun/Iinfo-forceG? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_121)
	{
		{	/* Integrate/iinfo.sch 194 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4420;

				{
					obj_t BgL_auxz00_4421;

					{	/* Integrate/iinfo.sch 194 */
						BgL_objectz00_bglt BgL_tmpz00_4422;

						BgL_tmpz00_4422 = ((BgL_objectz00_bglt) BgL_oz00_121);
						BgL_auxz00_4421 = BGL_OBJECT_WIDENING(BgL_tmpz00_4422);
					}
					BgL_auxz00_4420 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4421);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4420))->
					BgL_forcegzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-forceG? */
	obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2913, obj_t BgL_oz00_2914)
	{
		{	/* Integrate/iinfo.sch 194 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2914)));
		}

	}



/* sfun/Iinfo-forceG?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* Integrate/iinfo.sch 195 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4430;

				{
					obj_t BgL_auxz00_4431;

					{	/* Integrate/iinfo.sch 195 */
						BgL_objectz00_bglt BgL_tmpz00_4432;

						BgL_tmpz00_4432 = ((BgL_objectz00_bglt) BgL_oz00_122);
						BgL_auxz00_4431 = BGL_OBJECT_WIDENING(BgL_tmpz00_4432);
					}
					BgL_auxz00_4430 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4431);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4430))->
						BgL_forcegzf3zf3) = ((bool_t) BgL_vz00_123), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-forceG?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2915, obj_t BgL_oz00_2916, obj_t BgL_vz00_2917)
	{
		{	/* Integrate/iinfo.sch 195 */
			return
				BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2916), CBOOL(BgL_vz00_2917));
		}

	}



/* sfun/Iinfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_124)
	{
		{	/* Integrate/iinfo.sch 196 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4440;

				{
					obj_t BgL_auxz00_4441;

					{	/* Integrate/iinfo.sch 196 */
						BgL_objectz00_bglt BgL_tmpz00_4442;

						BgL_tmpz00_4442 = ((BgL_objectz00_bglt) BgL_oz00_124);
						BgL_auxz00_4441 = BGL_OBJECT_WIDENING(BgL_tmpz00_4442);
					}
					BgL_auxz00_4440 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4441);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4440))->BgL_gzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-G? */
	obj_t BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00(obj_t BgL_envz00_2918,
		obj_t BgL_oz00_2919)
	{
		{	/* Integrate/iinfo.sch 196 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2919)));
		}

	}



/* sfun/Iinfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_125, bool_t BgL_vz00_126)
	{
		{	/* Integrate/iinfo.sch 197 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4450;

				{
					obj_t BgL_auxz00_4451;

					{	/* Integrate/iinfo.sch 197 */
						BgL_objectz00_bglt BgL_tmpz00_4452;

						BgL_tmpz00_4452 = ((BgL_objectz00_bglt) BgL_oz00_125);
						BgL_auxz00_4451 = BGL_OBJECT_WIDENING(BgL_tmpz00_4452);
					}
					BgL_auxz00_4450 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4451);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4450))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_126), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-G?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2920, obj_t BgL_oz00_2921, obj_t BgL_vz00_2922)
	{
		{	/* Integrate/iinfo.sch 197 */
			return
				BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2921), CBOOL(BgL_vz00_2922));
		}

	}



/* sfun/Iinfo-kont */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_127)
	{
		{	/* Integrate/iinfo.sch 198 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4460;

				{
					obj_t BgL_auxz00_4461;

					{	/* Integrate/iinfo.sch 198 */
						BgL_objectz00_bglt BgL_tmpz00_4462;

						BgL_tmpz00_4462 = ((BgL_objectz00_bglt) BgL_oz00_127);
						BgL_auxz00_4461 = BGL_OBJECT_WIDENING(BgL_tmpz00_4462);
					}
					BgL_auxz00_4460 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4461);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4460))->BgL_kontz00);
			}
		}

	}



/* &sfun/Iinfo-kont */
	obj_t BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00(obj_t BgL_envz00_2923,
		obj_t BgL_oz00_2924)
	{
		{	/* Integrate/iinfo.sch 198 */
			return
				BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2924));
		}

	}



/* sfun/Iinfo-kont-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* Integrate/iinfo.sch 199 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4469;

				{
					obj_t BgL_auxz00_4470;

					{	/* Integrate/iinfo.sch 199 */
						BgL_objectz00_bglt BgL_tmpz00_4471;

						BgL_tmpz00_4471 = ((BgL_objectz00_bglt) BgL_oz00_128);
						BgL_auxz00_4470 = BGL_OBJECT_WIDENING(BgL_tmpz00_4471);
					}
					BgL_auxz00_4469 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4470);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4469))->
						BgL_kontz00) = ((obj_t) BgL_vz00_129), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-kont-set! */
	obj_t BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2925, obj_t BgL_oz00_2926, obj_t BgL_vz00_2927)
	{
		{	/* Integrate/iinfo.sch 199 */
			return
				BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2926), BgL_vz00_2927);
		}

	}



/* sfun/Iinfo-Ct */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_130)
	{
		{	/* Integrate/iinfo.sch 200 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4478;

				{
					obj_t BgL_auxz00_4479;

					{	/* Integrate/iinfo.sch 200 */
						BgL_objectz00_bglt BgL_tmpz00_4480;

						BgL_tmpz00_4480 = ((BgL_objectz00_bglt) BgL_oz00_130);
						BgL_auxz00_4479 = BGL_OBJECT_WIDENING(BgL_tmpz00_4480);
					}
					BgL_auxz00_4478 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4479);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4478))->BgL_ctz00);
			}
		}

	}



/* &sfun/Iinfo-Ct */
	obj_t BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00(obj_t BgL_envz00_2928,
		obj_t BgL_oz00_2929)
	{
		{	/* Integrate/iinfo.sch 200 */
			return
				BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2929));
		}

	}



/* sfun/Iinfo-Ct-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* Integrate/iinfo.sch 201 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4487;

				{
					obj_t BgL_auxz00_4488;

					{	/* Integrate/iinfo.sch 201 */
						BgL_objectz00_bglt BgL_tmpz00_4489;

						BgL_tmpz00_4489 = ((BgL_objectz00_bglt) BgL_oz00_131);
						BgL_auxz00_4488 = BGL_OBJECT_WIDENING(BgL_tmpz00_4489);
					}
					BgL_auxz00_4487 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4488);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4487))->BgL_ctz00) =
					((obj_t) BgL_vz00_132), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Ct-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2930, obj_t BgL_oz00_2931, obj_t BgL_vz00_2932)
	{
		{	/* Integrate/iinfo.sch 201 */
			return
				BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2931), BgL_vz00_2932);
		}

	}



/* sfun/Iinfo-Cn */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_133)
	{
		{	/* Integrate/iinfo.sch 202 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4496;

				{
					obj_t BgL_auxz00_4497;

					{	/* Integrate/iinfo.sch 202 */
						BgL_objectz00_bglt BgL_tmpz00_4498;

						BgL_tmpz00_4498 = ((BgL_objectz00_bglt) BgL_oz00_133);
						BgL_auxz00_4497 = BGL_OBJECT_WIDENING(BgL_tmpz00_4498);
					}
					BgL_auxz00_4496 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4497);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4496))->BgL_cnz00);
			}
		}

	}



/* &sfun/Iinfo-Cn */
	obj_t BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00(obj_t BgL_envz00_2933,
		obj_t BgL_oz00_2934)
	{
		{	/* Integrate/iinfo.sch 202 */
			return
				BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2934));
		}

	}



/* sfun/Iinfo-Cn-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* Integrate/iinfo.sch 203 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4505;

				{
					obj_t BgL_auxz00_4506;

					{	/* Integrate/iinfo.sch 203 */
						BgL_objectz00_bglt BgL_tmpz00_4507;

						BgL_tmpz00_4507 = ((BgL_objectz00_bglt) BgL_oz00_134);
						BgL_auxz00_4506 = BGL_OBJECT_WIDENING(BgL_tmpz00_4507);
					}
					BgL_auxz00_4505 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4506);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4505))->BgL_cnz00) =
					((obj_t) BgL_vz00_135), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Cn-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2935, obj_t BgL_oz00_2936, obj_t BgL_vz00_2937)
	{
		{	/* Integrate/iinfo.sch 203 */
			return
				BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2936), BgL_vz00_2937);
		}

	}



/* sfun/Iinfo-U */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_136)
	{
		{	/* Integrate/iinfo.sch 204 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4514;

				{
					obj_t BgL_auxz00_4515;

					{	/* Integrate/iinfo.sch 204 */
						BgL_objectz00_bglt BgL_tmpz00_4516;

						BgL_tmpz00_4516 = ((BgL_objectz00_bglt) BgL_oz00_136);
						BgL_auxz00_4515 = BGL_OBJECT_WIDENING(BgL_tmpz00_4516);
					}
					BgL_auxz00_4514 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4515);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4514))->BgL_uz00);
			}
		}

	}



/* &sfun/Iinfo-U */
	obj_t BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00(obj_t BgL_envz00_2938,
		obj_t BgL_oz00_2939)
	{
		{	/* Integrate/iinfo.sch 204 */
			return
				BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2939));
		}

	}



/* sfun/Iinfo-U-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_137, obj_t BgL_vz00_138)
	{
		{	/* Integrate/iinfo.sch 205 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4523;

				{
					obj_t BgL_auxz00_4524;

					{	/* Integrate/iinfo.sch 205 */
						BgL_objectz00_bglt BgL_tmpz00_4525;

						BgL_tmpz00_4525 = ((BgL_objectz00_bglt) BgL_oz00_137);
						BgL_auxz00_4524 = BGL_OBJECT_WIDENING(BgL_tmpz00_4525);
					}
					BgL_auxz00_4523 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4524);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4523))->BgL_uz00) =
					((obj_t) BgL_vz00_138), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-U-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2940, obj_t BgL_oz00_2941, obj_t BgL_vz00_2942)
	{
		{	/* Integrate/iinfo.sch 205 */
			return
				BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2941), BgL_vz00_2942);
		}

	}



/* sfun/Iinfo-K* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_139)
	{
		{	/* Integrate/iinfo.sch 206 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4532;

				{
					obj_t BgL_auxz00_4533;

					{	/* Integrate/iinfo.sch 206 */
						BgL_objectz00_bglt BgL_tmpz00_4534;

						BgL_tmpz00_4534 = ((BgL_objectz00_bglt) BgL_oz00_139);
						BgL_auxz00_4533 = BGL_OBJECT_WIDENING(BgL_tmpz00_4534);
					}
					BgL_auxz00_4532 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4533);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4532))->BgL_kza2za2);
			}
		}

	}



/* &sfun/Iinfo-K* */
	obj_t BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00(obj_t BgL_envz00_2943,
		obj_t BgL_oz00_2944)
	{
		{	/* Integrate/iinfo.sch 206 */
			return
				BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2944));
		}

	}



/* sfun/Iinfo-K*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Integrate/iinfo.sch 207 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4541;

				{
					obj_t BgL_auxz00_4542;

					{	/* Integrate/iinfo.sch 207 */
						BgL_objectz00_bglt BgL_tmpz00_4543;

						BgL_tmpz00_4543 = ((BgL_objectz00_bglt) BgL_oz00_140);
						BgL_auxz00_4542 = BGL_OBJECT_WIDENING(BgL_tmpz00_4543);
					}
					BgL_auxz00_4541 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4542);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4541))->
						BgL_kza2za2) = ((obj_t) BgL_vz00_141), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-K*-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00(obj_t
		BgL_envz00_2945, obj_t BgL_oz00_2946, obj_t BgL_vz00_2947)
	{
		{	/* Integrate/iinfo.sch 207 */
			return
				BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2946), BgL_vz00_2947);
		}

	}



/* sfun/Iinfo-K */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_142)
	{
		{	/* Integrate/iinfo.sch 208 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4550;

				{
					obj_t BgL_auxz00_4551;

					{	/* Integrate/iinfo.sch 208 */
						BgL_objectz00_bglt BgL_tmpz00_4552;

						BgL_tmpz00_4552 = ((BgL_objectz00_bglt) BgL_oz00_142);
						BgL_auxz00_4551 = BGL_OBJECT_WIDENING(BgL_tmpz00_4552);
					}
					BgL_auxz00_4550 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4551);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4550))->BgL_kz00);
			}
		}

	}



/* &sfun/Iinfo-K */
	obj_t BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00(obj_t BgL_envz00_2948,
		obj_t BgL_oz00_2949)
	{
		{	/* Integrate/iinfo.sch 208 */
			return
				BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2949));
		}

	}



/* sfun/Iinfo-K-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* Integrate/iinfo.sch 209 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4559;

				{
					obj_t BgL_auxz00_4560;

					{	/* Integrate/iinfo.sch 209 */
						BgL_objectz00_bglt BgL_tmpz00_4561;

						BgL_tmpz00_4561 = ((BgL_objectz00_bglt) BgL_oz00_143);
						BgL_auxz00_4560 = BGL_OBJECT_WIDENING(BgL_tmpz00_4561);
					}
					BgL_auxz00_4559 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4560);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4559))->BgL_kz00) =
					((obj_t) BgL_vz00_144), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-K-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2950, obj_t BgL_oz00_2951, obj_t BgL_vz00_2952)
	{
		{	/* Integrate/iinfo.sch 209 */
			return
				BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2951), BgL_vz00_2952);
		}

	}



/* sfun/Iinfo-cto */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_145)
	{
		{	/* Integrate/iinfo.sch 210 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4568;

				{
					obj_t BgL_auxz00_4569;

					{	/* Integrate/iinfo.sch 210 */
						BgL_objectz00_bglt BgL_tmpz00_4570;

						BgL_tmpz00_4570 = ((BgL_objectz00_bglt) BgL_oz00_145);
						BgL_auxz00_4569 = BGL_OBJECT_WIDENING(BgL_tmpz00_4570);
					}
					BgL_auxz00_4568 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4569);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4568))->BgL_ctoz00);
			}
		}

	}



/* &sfun/Iinfo-cto */
	obj_t BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00(obj_t BgL_envz00_2953,
		obj_t BgL_oz00_2954)
	{
		{	/* Integrate/iinfo.sch 210 */
			return
				BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2954));
		}

	}



/* sfun/Iinfo-cto-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* Integrate/iinfo.sch 211 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4577;

				{
					obj_t BgL_auxz00_4578;

					{	/* Integrate/iinfo.sch 211 */
						BgL_objectz00_bglt BgL_tmpz00_4579;

						BgL_tmpz00_4579 = ((BgL_objectz00_bglt) BgL_oz00_146);
						BgL_auxz00_4578 = BGL_OBJECT_WIDENING(BgL_tmpz00_4579);
					}
					BgL_auxz00_4577 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4578);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4577))->BgL_ctoz00) =
					((obj_t) BgL_vz00_147), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-cto-set! */
	obj_t BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2955, obj_t BgL_oz00_2956, obj_t BgL_vz00_2957)
	{
		{	/* Integrate/iinfo.sch 211 */
			return
				BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2956), BgL_vz00_2957);
		}

	}



/* sfun/Iinfo-cfrom */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_148)
	{
		{	/* Integrate/iinfo.sch 212 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4586;

				{
					obj_t BgL_auxz00_4587;

					{	/* Integrate/iinfo.sch 212 */
						BgL_objectz00_bglt BgL_tmpz00_4588;

						BgL_tmpz00_4588 = ((BgL_objectz00_bglt) BgL_oz00_148);
						BgL_auxz00_4587 = BGL_OBJECT_WIDENING(BgL_tmpz00_4588);
					}
					BgL_auxz00_4586 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4587);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4586))->BgL_cfromz00);
			}
		}

	}



/* &sfun/Iinfo-cfrom */
	obj_t BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00(obj_t BgL_envz00_2958,
		obj_t BgL_oz00_2959)
	{
		{	/* Integrate/iinfo.sch 212 */
			return
				BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2959));
		}

	}



/* sfun/Iinfo-cfrom-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* Integrate/iinfo.sch 213 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4595;

				{
					obj_t BgL_auxz00_4596;

					{	/* Integrate/iinfo.sch 213 */
						BgL_objectz00_bglt BgL_tmpz00_4597;

						BgL_tmpz00_4597 = ((BgL_objectz00_bglt) BgL_oz00_149);
						BgL_auxz00_4596 = BGL_OBJECT_WIDENING(BgL_tmpz00_4597);
					}
					BgL_auxz00_4595 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4596);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4595))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_150), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-cfrom-set! */
	obj_t BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2960, obj_t BgL_oz00_2961, obj_t BgL_vz00_2962)
	{
		{	/* Integrate/iinfo.sch 213 */
			return
				BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2961), BgL_vz00_2962);
		}

	}



/* sfun/Iinfo-bound */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_151)
	{
		{	/* Integrate/iinfo.sch 214 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4604;

				{
					obj_t BgL_auxz00_4605;

					{	/* Integrate/iinfo.sch 214 */
						BgL_objectz00_bglt BgL_tmpz00_4606;

						BgL_tmpz00_4606 = ((BgL_objectz00_bglt) BgL_oz00_151);
						BgL_auxz00_4605 = BGL_OBJECT_WIDENING(BgL_tmpz00_4606);
					}
					BgL_auxz00_4604 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4605);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4604))->BgL_boundz00);
			}
		}

	}



/* &sfun/Iinfo-bound */
	obj_t BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00(obj_t BgL_envz00_2963,
		obj_t BgL_oz00_2964)
	{
		{	/* Integrate/iinfo.sch 214 */
			return
				BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2964));
		}

	}



/* sfun/Iinfo-bound-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_152, obj_t BgL_vz00_153)
	{
		{	/* Integrate/iinfo.sch 215 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4613;

				{
					obj_t BgL_auxz00_4614;

					{	/* Integrate/iinfo.sch 215 */
						BgL_objectz00_bglt BgL_tmpz00_4615;

						BgL_tmpz00_4615 = ((BgL_objectz00_bglt) BgL_oz00_152);
						BgL_auxz00_4614 = BGL_OBJECT_WIDENING(BgL_tmpz00_4615);
					}
					BgL_auxz00_4613 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4614);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4613))->
						BgL_boundz00) = ((obj_t) BgL_vz00_153), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-bound-set! */
	obj_t BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2965, obj_t BgL_oz00_2966, obj_t BgL_vz00_2967)
	{
		{	/* Integrate/iinfo.sch 215 */
			return
				BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2966), BgL_vz00_2967);
		}

	}



/* sfun/Iinfo-free */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_154)
	{
		{	/* Integrate/iinfo.sch 216 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4622;

				{
					obj_t BgL_auxz00_4623;

					{	/* Integrate/iinfo.sch 216 */
						BgL_objectz00_bglt BgL_tmpz00_4624;

						BgL_tmpz00_4624 = ((BgL_objectz00_bglt) BgL_oz00_154);
						BgL_auxz00_4623 = BGL_OBJECT_WIDENING(BgL_tmpz00_4624);
					}
					BgL_auxz00_4622 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4623);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4622))->BgL_freez00);
			}
		}

	}



/* &sfun/Iinfo-free */
	obj_t BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00(obj_t BgL_envz00_2968,
		obj_t BgL_oz00_2969)
	{
		{	/* Integrate/iinfo.sch 216 */
			return
				BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2969));
		}

	}



/* sfun/Iinfo-free-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Integrate/iinfo.sch 217 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4631;

				{
					obj_t BgL_auxz00_4632;

					{	/* Integrate/iinfo.sch 217 */
						BgL_objectz00_bglt BgL_tmpz00_4633;

						BgL_tmpz00_4633 = ((BgL_objectz00_bglt) BgL_oz00_155);
						BgL_auxz00_4632 = BGL_OBJECT_WIDENING(BgL_tmpz00_4633);
					}
					BgL_auxz00_4631 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4632);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4631))->
						BgL_freez00) = ((obj_t) BgL_vz00_156), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-free-set! */
	obj_t BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2970, obj_t BgL_oz00_2971, obj_t BgL_vz00_2972)
	{
		{	/* Integrate/iinfo.sch 217 */
			return
				BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2971), BgL_vz00_2972);
		}

	}



/* sfun/Iinfo-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_157)
	{
		{	/* Integrate/iinfo.sch 218 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4640;

				{
					obj_t BgL_auxz00_4641;

					{	/* Integrate/iinfo.sch 218 */
						BgL_objectz00_bglt BgL_tmpz00_4642;

						BgL_tmpz00_4642 = ((BgL_objectz00_bglt) BgL_oz00_157);
						BgL_auxz00_4641 = BGL_OBJECT_WIDENING(BgL_tmpz00_4642);
					}
					BgL_auxz00_4640 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4641);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4640))->BgL_ownerz00);
			}
		}

	}



/* &sfun/Iinfo-owner */
	obj_t BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00(obj_t BgL_envz00_2973,
		obj_t BgL_oz00_2974)
	{
		{	/* Integrate/iinfo.sch 218 */
			return
				BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2974));
		}

	}



/* sfun/Iinfo-owner-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Integrate/iinfo.sch 219 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4649;

				{
					obj_t BgL_auxz00_4650;

					{	/* Integrate/iinfo.sch 219 */
						BgL_objectz00_bglt BgL_tmpz00_4651;

						BgL_tmpz00_4651 = ((BgL_objectz00_bglt) BgL_oz00_158);
						BgL_auxz00_4650 = BGL_OBJECT_WIDENING(BgL_tmpz00_4651);
					}
					BgL_auxz00_4649 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4650);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4649))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_159), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-owner-set! */
	obj_t BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2975, obj_t BgL_oz00_2976, obj_t BgL_vz00_2977)
	{
		{	/* Integrate/iinfo.sch 219 */
			return
				BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2976), BgL_vz00_2977);
		}

	}



/* sfun/Iinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_160)
	{
		{	/* Integrate/iinfo.sch 220 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_160)))->BgL_stackablez00);
		}

	}



/* &sfun/Iinfo-stackable */
	obj_t BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00(obj_t
		BgL_envz00_2978, obj_t BgL_oz00_2979)
	{
		{	/* Integrate/iinfo.sch 220 */
			return
				BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2979));
		}

	}



/* sfun/Iinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_161, obj_t BgL_vz00_162)
	{
		{	/* Integrate/iinfo.sch 221 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_161)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &sfun/Iinfo-stackable-set! */
	obj_t BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2980, obj_t BgL_oz00_2981, obj_t BgL_vz00_2982)
	{
		{	/* Integrate/iinfo.sch 221 */
			return
				BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2981), BgL_vz00_2982);
		}

	}



/* sfun/Iinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_163)
	{
		{	/* Integrate/iinfo.sch 222 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_163)))->BgL_strengthz00);
		}

	}



/* &sfun/Iinfo-strength */
	obj_t BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00(obj_t
		BgL_envz00_2983, obj_t BgL_oz00_2984)
	{
		{	/* Integrate/iinfo.sch 222 */
			return
				BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2984));
		}

	}



/* sfun/Iinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* Integrate/iinfo.sch 223 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_164)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &sfun/Iinfo-strength-set! */
	obj_t BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2985, obj_t BgL_oz00_2986, obj_t BgL_vz00_2987)
	{
		{	/* Integrate/iinfo.sch 223 */
			return
				BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2986), BgL_vz00_2987);
		}

	}



/* sfun/Iinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_166)
	{
		{	/* Integrate/iinfo.sch 224 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_166)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun/Iinfo-the-closure-global */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00(obj_t
		BgL_envz00_2988, obj_t BgL_oz00_2989)
	{
		{	/* Integrate/iinfo.sch 224 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2989));
		}

	}



/* sfun/Iinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Integrate/iinfo.sch 225 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_167)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &sfun/Iinfo-the-closure-global-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00
		(obj_t BgL_envz00_2990, obj_t BgL_oz00_2991, obj_t BgL_vz00_2992)
	{
		{	/* Integrate/iinfo.sch 225 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_2991), BgL_vz00_2992);
		}

	}



/* sfun/Iinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_169)
	{
		{	/* Integrate/iinfo.sch 226 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_169)))->BgL_keysz00);
		}

	}



/* &sfun/Iinfo-keys */
	obj_t BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00(obj_t BgL_envz00_2993,
		obj_t BgL_oz00_2994)
	{
		{	/* Integrate/iinfo.sch 226 */
			return
				BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2994));
		}

	}



/* sfun/Iinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_172)
	{
		{	/* Integrate/iinfo.sch 228 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_172)))->BgL_optionalsz00);
		}

	}



/* &sfun/Iinfo-optionals */
	obj_t BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00(obj_t
		BgL_envz00_2995, obj_t BgL_oz00_2996)
	{
		{	/* Integrate/iinfo.sch 228 */
			return
				BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2996));
		}

	}



/* sfun/Iinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_175)
	{
		{	/* Integrate/iinfo.sch 230 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_175)))->BgL_locz00);
		}

	}



/* &sfun/Iinfo-loc */
	obj_t BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00(obj_t BgL_envz00_2997,
		obj_t BgL_oz00_2998)
	{
		{	/* Integrate/iinfo.sch 230 */
			return
				BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2998));
		}

	}



/* sfun/Iinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* Integrate/iinfo.sch 231 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_176)))->BgL_locz00) =
				((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &sfun/Iinfo-loc-set! */
	obj_t BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2999, obj_t BgL_oz00_3000, obj_t BgL_vz00_3001)
	{
		{	/* Integrate/iinfo.sch 231 */
			return
				BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3000), BgL_vz00_3001);
		}

	}



/* sfun/Iinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_178)
	{
		{	/* Integrate/iinfo.sch 232 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_178)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun/Iinfo-dsssl-keywords */
	obj_t BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00(obj_t
		BgL_envz00_3002, obj_t BgL_oz00_3003)
	{
		{	/* Integrate/iinfo.sch 232 */
			return
				BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3003));
		}

	}



/* sfun/Iinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_179, obj_t BgL_vz00_180)
	{
		{	/* Integrate/iinfo.sch 233 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_179)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_180), BUNSPEC);
		}

	}



/* &sfun/Iinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3004, obj_t BgL_oz00_3005, obj_t BgL_vz00_3006)
	{
		{	/* Integrate/iinfo.sch 233 */
			return
				BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3005), BgL_vz00_3006);
		}

	}



/* sfun/Iinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_181)
	{
		{	/* Integrate/iinfo.sch 234 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_181)))->BgL_classz00);
		}

	}



/* &sfun/Iinfo-class */
	obj_t BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00(obj_t BgL_envz00_3007,
		obj_t BgL_oz00_3008)
	{
		{	/* Integrate/iinfo.sch 234 */
			return
				BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3008));
		}

	}



/* sfun/Iinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_182, obj_t BgL_vz00_183)
	{
		{	/* Integrate/iinfo.sch 235 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_182)))->BgL_classz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &sfun/Iinfo-class-set! */
	obj_t BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3009, obj_t BgL_oz00_3010, obj_t BgL_vz00_3011)
	{
		{	/* Integrate/iinfo.sch 235 */
			return
				BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3010), BgL_vz00_3011);
		}

	}



/* sfun/Iinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_184)
	{
		{	/* Integrate/iinfo.sch 236 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_184)))->BgL_bodyz00);
		}

	}



/* &sfun/Iinfo-body */
	obj_t BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00(obj_t BgL_envz00_3012,
		obj_t BgL_oz00_3013)
	{
		{	/* Integrate/iinfo.sch 236 */
			return
				BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3013));
		}

	}



/* sfun/Iinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_185, obj_t BgL_vz00_186)
	{
		{	/* Integrate/iinfo.sch 237 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_185)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_186), BUNSPEC);
		}

	}



/* &sfun/Iinfo-body-set! */
	obj_t BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3014, obj_t BgL_oz00_3015, obj_t BgL_vz00_3016)
	{
		{	/* Integrate/iinfo.sch 237 */
			return
				BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3015), BgL_vz00_3016);
		}

	}



/* sfun/Iinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_187)
	{
		{	/* Integrate/iinfo.sch 238 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_187)))->BgL_argszd2namezd2);
		}

	}



/* &sfun/Iinfo-args-name */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00(obj_t
		BgL_envz00_3017, obj_t BgL_oz00_3018)
	{
		{	/* Integrate/iinfo.sch 238 */
			return
				BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3018));
		}

	}



/* sfun/Iinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_190)
	{
		{	/* Integrate/iinfo.sch 240 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_190)))->BgL_argsz00);
		}

	}



/* &sfun/Iinfo-args */
	obj_t BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00(obj_t BgL_envz00_3019,
		obj_t BgL_oz00_3020)
	{
		{	/* Integrate/iinfo.sch 240 */
			return
				BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3020));
		}

	}



/* sfun/Iinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* Integrate/iinfo.sch 241 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_191)))->BgL_argsz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-set! */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3021, obj_t BgL_oz00_3022, obj_t BgL_vz00_3023)
	{
		{	/* Integrate/iinfo.sch 241 */
			return
				BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3022), BgL_vz00_3023);
		}

	}



/* sfun/Iinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_193)
	{
		{	/* Integrate/iinfo.sch 242 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_193)))->BgL_propertyz00);
		}

	}



/* &sfun/Iinfo-property */
	obj_t BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00(obj_t
		BgL_envz00_3024, obj_t BgL_oz00_3025)
	{
		{	/* Integrate/iinfo.sch 242 */
			return
				BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3025));
		}

	}



/* sfun/Iinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* Integrate/iinfo.sch 243 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_194)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &sfun/Iinfo-property-set! */
	obj_t BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3026, obj_t BgL_oz00_3027, obj_t BgL_vz00_3028)
	{
		{	/* Integrate/iinfo.sch 243 */
			return
				BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3027), BgL_vz00_3028);
		}

	}



/* sfun/Iinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_196)
	{
		{	/* Integrate/iinfo.sch 244 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_196)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun/Iinfo-args-retescape */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00(obj_t
		BgL_envz00_3029, obj_t BgL_oz00_3030)
	{
		{	/* Integrate/iinfo.sch 244 */
			return
				BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3030));
		}

	}



/* sfun/Iinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* Integrate/iinfo.sch 245 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_197)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-retescape-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3031, obj_t BgL_oz00_3032, obj_t BgL_vz00_3033)
	{
		{	/* Integrate/iinfo.sch 245 */
			return
				BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3032), BgL_vz00_3033);
		}

	}



/* sfun/Iinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_199)
	{
		{	/* Integrate/iinfo.sch 246 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_199)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun/Iinfo-args-noescape */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00(obj_t
		BgL_envz00_3034, obj_t BgL_oz00_3035)
	{
		{	/* Integrate/iinfo.sch 246 */
			return
				BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3035));
		}

	}



/* sfun/Iinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_200, obj_t BgL_vz00_201)
	{
		{	/* Integrate/iinfo.sch 247 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_200)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-noescape-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3036, obj_t BgL_oz00_3037, obj_t BgL_vz00_3038)
	{
		{	/* Integrate/iinfo.sch 247 */
			return
				BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3037), BgL_vz00_3038);
		}

	}



/* sfun/Iinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_202)
	{
		{	/* Integrate/iinfo.sch 248 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_202)))->BgL_failsafez00);
		}

	}



/* &sfun/Iinfo-failsafe */
	obj_t BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00(obj_t
		BgL_envz00_3039, obj_t BgL_oz00_3040)
	{
		{	/* Integrate/iinfo.sch 248 */
			return
				BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3040));
		}

	}



/* sfun/Iinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* Integrate/iinfo.sch 249 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_203)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &sfun/Iinfo-failsafe-set! */
	obj_t BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3041, obj_t BgL_oz00_3042, obj_t BgL_vz00_3043)
	{
		{	/* Integrate/iinfo.sch 249 */
			return
				BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3042), BgL_vz00_3043);
		}

	}



/* sfun/Iinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_205)
	{
		{	/* Integrate/iinfo.sch 250 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_205)))->BgL_effectz00);
		}

	}



/* &sfun/Iinfo-effect */
	obj_t BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00(obj_t
		BgL_envz00_3044, obj_t BgL_oz00_3045)
	{
		{	/* Integrate/iinfo.sch 250 */
			return
				BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3045));
		}

	}



/* sfun/Iinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_206, obj_t BgL_vz00_207)
	{
		{	/* Integrate/iinfo.sch 251 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_206)))->BgL_effectz00) =
				((obj_t) BgL_vz00_207), BUNSPEC);
		}

	}



/* &sfun/Iinfo-effect-set! */
	obj_t BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3046, obj_t BgL_oz00_3047, obj_t BgL_vz00_3048)
	{
		{	/* Integrate/iinfo.sch 251 */
			return
				BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3047), BgL_vz00_3048);
		}

	}



/* sfun/Iinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_208)
	{
		{	/* Integrate/iinfo.sch 252 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_208)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun/Iinfo-the-closure */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00(obj_t
		BgL_envz00_3049, obj_t BgL_oz00_3050)
	{
		{	/* Integrate/iinfo.sch 252 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3050));
		}

	}



/* sfun/Iinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Integrate/iinfo.sch 253 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_209)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &sfun/Iinfo-the-closure-set! */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3051, obj_t BgL_oz00_3052, obj_t BgL_vz00_3053)
	{
		{	/* Integrate/iinfo.sch 253 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3052), BgL_vz00_3053);
		}

	}



/* sfun/Iinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_211)
	{
		{	/* Integrate/iinfo.sch 254 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_211)))->BgL_topzf3zf3);
		}

	}



/* &sfun/Iinfo-top? */
	obj_t BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_3054, obj_t BgL_oz00_3055)
	{
		{	/* Integrate/iinfo.sch 254 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_3055)));
		}

	}



/* sfun/Iinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_212, bool_t BgL_vz00_213)
	{
		{	/* Integrate/iinfo.sch 255 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_212)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &sfun/Iinfo-top?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_3056, obj_t BgL_oz00_3057, obj_t BgL_vz00_3058)
	{
		{	/* Integrate/iinfo.sch 255 */
			return
				BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3057), CBOOL(BgL_vz00_3058));
		}

	}



/* sfun/Iinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_214)
	{
		{	/* Integrate/iinfo.sch 256 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_214)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun/Iinfo-stack-allocator */
	obj_t BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00(obj_t
		BgL_envz00_3059, obj_t BgL_oz00_3060)
	{
		{	/* Integrate/iinfo.sch 256 */
			return
				BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3060));
		}

	}



/* sfun/Iinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Integrate/iinfo.sch 257 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_215)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &sfun/Iinfo-stack-allocator-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3061, obj_t BgL_oz00_3062, obj_t BgL_vz00_3063)
	{
		{	/* Integrate/iinfo.sch 257 */
			return
				BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3062), BgL_vz00_3063);
		}

	}



/* sfun/Iinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_217)
	{
		{	/* Integrate/iinfo.sch 258 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_217)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun/Iinfo-predicate-of */
	obj_t BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00(obj_t
		BgL_envz00_3064, obj_t BgL_oz00_3065)
	{
		{	/* Integrate/iinfo.sch 258 */
			return
				BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3065));
		}

	}



/* sfun/Iinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_218, obj_t BgL_vz00_219)
	{
		{	/* Integrate/iinfo.sch 259 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_218)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_219), BUNSPEC);
		}

	}



/* &sfun/Iinfo-predicate-of-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3066, obj_t BgL_oz00_3067, obj_t BgL_vz00_3068)
	{
		{	/* Integrate/iinfo.sch 259 */
			return
				BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3067), BgL_vz00_3068);
		}

	}



/* sfun/Iinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_220)
	{
		{	/* Integrate/iinfo.sch 260 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_220)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun/Iinfo-side-effect */
	obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00(obj_t
		BgL_envz00_3069, obj_t BgL_oz00_3070)
	{
		{	/* Integrate/iinfo.sch 260 */
			return
				BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3070));
		}

	}



/* sfun/Iinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* Integrate/iinfo.sch 261 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_221)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &sfun/Iinfo-side-effect-set! */
	obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3071, obj_t BgL_oz00_3072, obj_t BgL_vz00_3073)
	{
		{	/* Integrate/iinfo.sch 261 */
			return
				BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3072), BgL_vz00_3073);
		}

	}



/* sfun/Iinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_223)
	{
		{	/* Integrate/iinfo.sch 262 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_223)))->BgL_arityz00);
		}

	}



/* &sfun/Iinfo-arity */
	obj_t BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00(obj_t BgL_envz00_3074,
		obj_t BgL_oz00_3075)
	{
		{	/* Integrate/iinfo.sch 262 */
			return
				BINT(BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_3075)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			{	/* Integrate/iinfo.scm 23 */
				obj_t BgL_arg1352z00_1597;
				obj_t BgL_arg1353z00_1598;

				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_v1320z00_1625;

					BgL_v1320z00_1625 = create_vector(((long) 5));
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1372z00_1626;

						BgL_arg1372z00_1626 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1968z00zzintegrate_infoz00,
							BGl_proc1967z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1966z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1320z00_1625, ((long) 0), BgL_arg1372z00_1626);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1384z00_1639;

						BgL_arg1384z00_1639 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1971z00zzintegrate_infoz00,
							BGl_proc1970z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1969z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1320z00_1625, ((long) 1), BgL_arg1384z00_1639);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1393z00_1652;

						BgL_arg1393z00_1652 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1974z00zzintegrate_infoz00,
							BGl_proc1973z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1972z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1320z00_1625, ((long) 2), BgL_arg1393z00_1652);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1426z00_1665;

						BgL_arg1426z00_1665 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1977z00zzintegrate_infoz00,
							BGl_proc1976z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1975z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1320z00_1625, ((long) 3), BgL_arg1426z00_1665);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1482z00_1678;

						BgL_arg1482z00_1678 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc1980z00zzintegrate_infoz00,
							BGl_proc1979z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1978z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1320z00_1625, ((long) 4), BgL_arg1482z00_1678);
					}
					BgL_arg1352z00_1597 = BgL_v1320z00_1625;
				}
				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_v1321z00_1691;

					BgL_v1321z00_1691 = create_vector(((long) 0));
					BgL_arg1353z00_1598 = BgL_v1321z00_1691;
				}
				BGl_svarzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 8)), BGl_svarz00zzast_varz00, ((long) 59340),
					BGl_proc1984z00zzintegrate_infoz00,
					BGl_proc1983z00zzintegrate_infoz00, BFALSE,
					BGl_proc1982z00zzintegrate_infoz00,
					BGl_proc1981z00zzintegrate_infoz00, BgL_arg1352z00_1597,
					BgL_arg1353z00_1598);
			}
			{	/* Integrate/iinfo.scm 35 */
				obj_t BgL_arg1523z00_1700;
				obj_t BgL_arg1524z00_1701;

				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_v1322z00_1728;

					BgL_v1322z00_1728 = create_vector(((long) 4));
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1561z00_1729;

						BgL_arg1561z00_1729 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1987z00zzintegrate_infoz00,
							BGl_proc1986z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1985z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1322z00_1728, ((long) 0), BgL_arg1561z00_1729);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1580z00_1742;

						BgL_arg1580z00_1742 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1990z00zzintegrate_infoz00,
							BGl_proc1989z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1988z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1322z00_1728, ((long) 1), BgL_arg1580z00_1742);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1598z00_1755;

						BgL_arg1598z00_1755 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1993z00zzintegrate_infoz00,
							BGl_proc1992z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1991z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1322z00_1728, ((long) 2), BgL_arg1598z00_1755);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1614z00_1768;

						BgL_arg1614z00_1768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc1996z00zzintegrate_infoz00,
							BGl_proc1995z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1994z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1322z00_1728, ((long) 3), BgL_arg1614z00_1768);
					}
					BgL_arg1523z00_1700 = BgL_v1322z00_1728;
				}
				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_v1323z00_1781;

					BgL_v1323z00_1781 = create_vector(((long) 0));
					BgL_arg1524z00_1701 = BgL_v1323z00_1781;
				}
				BGl_sexitzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 8)), BGl_sexitz00zzast_varz00, ((long) 16223),
					BGl_proc2000z00zzintegrate_infoz00,
					BGl_proc1999z00zzintegrate_infoz00, BFALSE,
					BGl_proc1998z00zzintegrate_infoz00,
					BGl_proc1997z00zzintegrate_infoz00, BgL_arg1523z00_1700,
					BgL_arg1524z00_1701);
			}
			{	/* Integrate/iinfo.scm 45 */
				obj_t BgL_arg1636z00_1790;
				obj_t BgL_arg1639z00_1791;

				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_v1324z00_1855;

					BgL_v1324z00_1855 = create_vector(((long) 21));
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1661z00_1856;

						BgL_arg1661z00_1856 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2002z00zzintegrate_infoz00,
							BGl_proc2001z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 0), BgL_arg1661z00_1856);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1672z00_1866;

						BgL_arg1672z00_1866 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc2005z00zzintegrate_infoz00,
							BGl_proc2004z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2003z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 1), BgL_arg1672z00_1866);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1682z00_1879;

						BgL_arg1682z00_1879 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc2008z00zzintegrate_infoz00,
							BGl_proc2007z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2006z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 2), BgL_arg1682z00_1879);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1696z00_1892;

						BgL_arg1696z00_1892 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc2011z00zzintegrate_infoz00,
							BGl_proc2010z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2009z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 3), BgL_arg1696z00_1892);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1711z00_1905;

						BgL_arg1711z00_1905 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc2014z00zzintegrate_infoz00,
							BGl_proc2013z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2012z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 4), BgL_arg1711z00_1905);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1728z00_1918;

						BgL_arg1728z00_1918 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc2017z00zzintegrate_infoz00,
							BGl_proc2016z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2015z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 5), BgL_arg1728z00_1918);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1738z00_1931;

						BgL_arg1738z00_1931 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc2020z00zzintegrate_infoz00,
							BGl_proc2019z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2018z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 6), BgL_arg1738z00_1931);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1750z00_1944;

						BgL_arg1750z00_1944 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc2023z00zzintegrate_infoz00,
							BGl_proc2022z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2021z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 7), BgL_arg1750z00_1944);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1757z00_1957;

						BgL_arg1757z00_1957 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc2026z00zzintegrate_infoz00,
							BGl_proc2025z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2024z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 8), BgL_arg1757z00_1957);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1770z00_1970;

						BgL_arg1770z00_1970 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc2029z00zzintegrate_infoz00,
							BGl_proc2028z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2027z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 9), BgL_arg1770z00_1970);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1785z00_1983;

						BgL_arg1785z00_1983 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc2032z00zzintegrate_infoz00,
							BGl_proc2031z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2030z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 10), BgL_arg1785z00_1983);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1811z00_1996;

						BgL_arg1811z00_1996 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2034z00zzintegrate_infoz00,
							BGl_proc2033z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 11), BgL_arg1811z00_1996);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1817z00_2006;

						BgL_arg1817z00_2006 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc2037z00zzintegrate_infoz00,
							BGl_proc2036z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2035z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 12), BgL_arg1817z00_2006);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1830z00_2019;

						BgL_arg1830z00_2019 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2040z00zzintegrate_infoz00,
							BGl_proc2039z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2038z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 13), BgL_arg1830z00_2019);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1840z00_2032;

						BgL_arg1840z00_2032 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc2043z00zzintegrate_infoz00,
							BGl_proc2042z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2041z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 14), BgL_arg1840z00_2032);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1850z00_2045;

						BgL_arg1850z00_2045 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2046z00zzintegrate_infoz00,
							BGl_proc2045z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2044z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 15), BgL_arg1850z00_2045);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1860z00_2058;

						BgL_arg1860z00_2058 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc2049z00zzintegrate_infoz00,
							BGl_proc2048z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2047z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 16), BgL_arg1860z00_2058);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1868z00_2071;

						BgL_arg1868z00_2071 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2052z00zzintegrate_infoz00,
							BGl_proc2051z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2050z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 17), BgL_arg1868z00_2071);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1877z00_2084;

						BgL_arg1877z00_2084 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc2055z00zzintegrate_infoz00,
							BGl_proc2054z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2053z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 18), BgL_arg1877z00_2084);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1886z00_2097;

						BgL_arg1886z00_2097 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc2058z00zzintegrate_infoz00,
							BGl_proc2057z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2056z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 4)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 19), BgL_arg1886z00_2097);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1894z00_2110;

						BgL_arg1894z00_2110 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc2061z00zzintegrate_infoz00,
							BGl_proc2060z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2059z00zzintegrate_infoz00,
							CNST_TABLE_REF(((long) 31)));
						VECTOR_SET(BgL_v1324z00_1855, ((long) 20), BgL_arg1894z00_2110);
					}
					BgL_arg1636z00_1790 = BgL_v1324z00_1855;
				}
				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_v1325z00_2123;

					BgL_v1325z00_2123 = create_vector(((long) 0));
					BgL_arg1639z00_1791 = BgL_v1325z00_2123;
				}
				return (BGl_sfunzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
						CNST_TABLE_REF(((long) 8)), BGl_sfunz00zzast_varz00, ((long) 11418),
						BGl_proc2065z00zzintegrate_infoz00,
						BGl_proc2064z00zzintegrate_infoz00, BFALSE,
						BGl_proc2063z00zzintegrate_infoz00,
						BGl_proc2062z00zzintegrate_infoz00, BgL_arg1636z00_1790,
						BgL_arg1639z00_1791), BUNSPEC);
		}}

	}



/* &lambda1650 */
	BgL_sfunz00_bglt BGl_z62lambda1650z62zzintegrate_infoz00(obj_t
		BgL_envz00_3176, obj_t BgL_o1174z00_3177)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				long BgL_arg1651z00_3496;

				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_arg1652z00_3497;

					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1653z00_3498;

						{	/* Integrate/iinfo.scm 45 */
							long BgL_arg1828z00_3499;

							{	/* Integrate/iinfo.scm 45 */
								long BgL_arg1829z00_3500;

								BgL_arg1829z00_3500 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1174z00_3177)));
								BgL_arg1828z00_3499 = (BgL_arg1829z00_3500 - OBJECT_TYPE);
							}
							BgL_arg1653z00_3498 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3499);
						}
						BgL_arg1652z00_3497 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1653z00_3498);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_tmpz00_4962;

						BgL_tmpz00_4962 = ((obj_t) BgL_arg1652z00_3497);
						BgL_arg1651z00_3496 = BGL_CLASS_NUM(BgL_tmpz00_4962);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1174z00_3177)), BgL_arg1651z00_3496);
			}
			{	/* Integrate/iinfo.scm 45 */
				BgL_objectz00_bglt BgL_tmpz00_4968;

				BgL_tmpz00_4968 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3177));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4968, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3177));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3177));
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3178, obj_t BgL_new1173z00_3179)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunz00_bglt BgL_auxz00_4976;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1173z00_3179))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 33))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3179))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5044;

					{
						obj_t BgL_auxz00_5045;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5046;

							BgL_tmpz00_5046 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5045 = BGL_OBJECT_WIDENING(BgL_tmpz00_5046);
						}
						BgL_auxz00_5044 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5045);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5044))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5052;

					{
						obj_t BgL_auxz00_5053;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5054;

							BgL_tmpz00_5054 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5053 = BGL_OBJECT_WIDENING(BgL_tmpz00_5054);
						}
						BgL_auxz00_5052 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5053);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5052))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5060;

					{
						obj_t BgL_auxz00_5061;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5062;

							BgL_tmpz00_5062 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5061 = BGL_OBJECT_WIDENING(BgL_tmpz00_5062);
						}
						BgL_auxz00_5060 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5061);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5060))->
							BgL_boundz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5068;

					{
						obj_t BgL_auxz00_5069;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5070;

							BgL_tmpz00_5070 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5069 = BGL_OBJECT_WIDENING(BgL_tmpz00_5070);
						}
						BgL_auxz00_5068 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5069);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5068))->
							BgL_cfromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5076;

					{
						obj_t BgL_auxz00_5077;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5078;

							BgL_tmpz00_5078 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5077 = BGL_OBJECT_WIDENING(BgL_tmpz00_5078);
						}
						BgL_auxz00_5076 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5077);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5076))->BgL_ctoz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5084;

					{
						obj_t BgL_auxz00_5085;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5086;

							BgL_tmpz00_5086 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5085 = BGL_OBJECT_WIDENING(BgL_tmpz00_5086);
						}
						BgL_auxz00_5084 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5085);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5084))->BgL_kz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5092;

					{
						obj_t BgL_auxz00_5093;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5094;

							BgL_tmpz00_5094 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5093 = BGL_OBJECT_WIDENING(BgL_tmpz00_5094);
						}
						BgL_auxz00_5092 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5093);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5092))->
							BgL_kza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5100;

					{
						obj_t BgL_auxz00_5101;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5102;

							BgL_tmpz00_5102 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5101 = BGL_OBJECT_WIDENING(BgL_tmpz00_5102);
						}
						BgL_auxz00_5100 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5101);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5100))->BgL_uz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5108;

					{
						obj_t BgL_auxz00_5109;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5110;

							BgL_tmpz00_5110 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5109 = BGL_OBJECT_WIDENING(BgL_tmpz00_5110);
						}
						BgL_auxz00_5108 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5109);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5108))->BgL_cnz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5116;

					{
						obj_t BgL_auxz00_5117;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5118;

							BgL_tmpz00_5118 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5117 = BGL_OBJECT_WIDENING(BgL_tmpz00_5118);
						}
						BgL_auxz00_5116 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5117);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5116))->BgL_ctz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5124;

					{
						obj_t BgL_auxz00_5125;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5126;

							BgL_tmpz00_5126 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5125 = BGL_OBJECT_WIDENING(BgL_tmpz00_5126);
						}
						BgL_auxz00_5124 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5125);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5124))->
							BgL_kontz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5132;

					{
						obj_t BgL_auxz00_5133;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5134;

							BgL_tmpz00_5134 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5133 = BGL_OBJECT_WIDENING(BgL_tmpz00_5134);
						}
						BgL_auxz00_5132 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5133);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5132))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5140;

					{
						obj_t BgL_auxz00_5141;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5142;

							BgL_tmpz00_5142 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5141 = BGL_OBJECT_WIDENING(BgL_tmpz00_5142);
						}
						BgL_auxz00_5140 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5141);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5140))->
							BgL_forcegzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5148;

					{
						obj_t BgL_auxz00_5149;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5150;

							BgL_tmpz00_5150 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5149 = BGL_OBJECT_WIDENING(BgL_tmpz00_5150);
						}
						BgL_auxz00_5148 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5149);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5148))->BgL_lz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5156;

					{
						obj_t BgL_auxz00_5157;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5158;

							BgL_tmpz00_5158 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5157 = BGL_OBJECT_WIDENING(BgL_tmpz00_5158);
						}
						BgL_auxz00_5156 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5157);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5156))->BgL_ledz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5164;

					{
						obj_t BgL_auxz00_5165;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5166;

							BgL_tmpz00_5166 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5165 = BGL_OBJECT_WIDENING(BgL_tmpz00_5166);
						}
						BgL_auxz00_5164 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5165);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5164))->
							BgL_istampz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5172;

					{
						obj_t BgL_auxz00_5173;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5174;

							BgL_tmpz00_5174 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5173 = BGL_OBJECT_WIDENING(BgL_tmpz00_5174);
						}
						BgL_auxz00_5172 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5173);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5172))->
							BgL_globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5180;

					{
						obj_t BgL_auxz00_5181;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5182;

							BgL_tmpz00_5182 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5181 = BGL_OBJECT_WIDENING(BgL_tmpz00_5182);
						}
						BgL_auxz00_5180 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5181);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5180))->
							BgL_kapturedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5188;

					{
						obj_t BgL_auxz00_5189;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5190;

							BgL_tmpz00_5190 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5189 = BGL_OBJECT_WIDENING(BgL_tmpz00_5190);
						}
						BgL_auxz00_5188 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5189);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5188))->
							BgL_tailzd2coercionzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5196;

					{
						obj_t BgL_auxz00_5197;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5198;

							BgL_tmpz00_5198 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5197 = BGL_OBJECT_WIDENING(BgL_tmpz00_5198);
						}
						BgL_auxz00_5196 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5197);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5196))->
							BgL_xhdlzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5204;

					{
						obj_t BgL_auxz00_5205;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5206;

							BgL_tmpz00_5206 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3179));
							BgL_auxz00_5205 = BGL_OBJECT_WIDENING(BgL_tmpz00_5206);
						}
						BgL_auxz00_5204 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5205);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5204))->
							BgL_xhdlsz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_4976 = ((BgL_sfunz00_bglt) BgL_new1173z00_3179);
				return ((obj_t) BgL_auxz00_4976);
			}
		}

	}



/* &lambda1646 */
	BgL_sfunz00_bglt BGl_z62lambda1646z62zzintegrate_infoz00(obj_t
		BgL_envz00_3180, obj_t BgL_o1170z00_3181)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				BgL_sfunzf2iinfozf2_bglt BgL_wide1172z00_3503;

				BgL_wide1172z00_3503 =
					((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_auxz00_5219;
					BgL_objectz00_bglt BgL_tmpz00_5215;

					BgL_auxz00_5219 = ((obj_t) BgL_wide1172z00_3503);
					BgL_tmpz00_5215 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3181)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5215, BgL_auxz00_5219);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3181)));
				{	/* Integrate/iinfo.scm 45 */
					long BgL_arg1648z00_3504;

					BgL_arg1648z00_3504 =
						BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1170z00_3181))), BgL_arg1648z00_3504);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3181)));
			}
		}

	}



/* &lambda1640 */
	BgL_sfunz00_bglt BGl_z62lambda1640z62zzintegrate_infoz00(obj_t
		BgL_envz00_3182, obj_t BgL_arity1127z00_3183,
		obj_t BgL_sidezd2effect1128zd2_3184, obj_t BgL_predicatezd2of1129zd2_3185,
		obj_t BgL_stackzd2allocator1130zd2_3186, obj_t BgL_topzf31131zf3_3187,
		obj_t BgL_thezd2closure1132zd2_3188, obj_t BgL_effect1133z00_3189,
		obj_t BgL_failsafe1134z00_3190, obj_t BgL_argszd2noescape1135zd2_3191,
		obj_t BgL_argszd2retescape1136zd2_3192, obj_t BgL_property1137z00_3193,
		obj_t BgL_args1138z00_3194, obj_t BgL_argszd2name1139zd2_3195,
		obj_t BgL_body1140z00_3196, obj_t BgL_class1141z00_3197,
		obj_t BgL_dssslzd2keywords1142zd2_3198, obj_t BgL_loc1143z00_3199,
		obj_t BgL_optionals1144z00_3200, obj_t BgL_keys1145z00_3201,
		obj_t BgL_thezd2closurezd2global1146z00_3202,
		obj_t BgL_strength1147z00_3203, obj_t BgL_stackable1148z00_3204,
		obj_t BgL_owner1149z00_3205, obj_t BgL_free1150z00_3206,
		obj_t BgL_bound1151z00_3207, obj_t BgL_cfrom1152z00_3208,
		obj_t BgL_cto1153z00_3209, obj_t BgL_k1154z00_3210,
		obj_t BgL_kza21155za2_3211, obj_t BgL_u1156z00_3212,
		obj_t BgL_cn1157z00_3213, obj_t BgL_ct1158z00_3214,
		obj_t BgL_kont1159z00_3215, obj_t BgL_gzf31160zf3_3216,
		obj_t BgL_forcegzf31161zf3_3217, obj_t BgL_l1162z00_3218,
		obj_t BgL_led1163z00_3219, obj_t BgL_istamp1164z00_3220,
		obj_t BgL_global1165z00_3221, obj_t BgL_kaptured1166z00_3222,
		obj_t BgL_tailzd2coercion1167zd2_3223, obj_t BgL_xhdlzf31168zf3_3224,
		obj_t BgL_xhdls1169z00_3225)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				long BgL_arity1127z00_3505;
				bool_t BgL_topzf31131zf3_3506;
				bool_t BgL_gzf31160zf3_3508;
				bool_t BgL_forcegzf31161zf3_3509;
				bool_t BgL_xhdlzf31168zf3_3510;

				BgL_arity1127z00_3505 = (long) CINT(BgL_arity1127z00_3183);
				BgL_topzf31131zf3_3506 = CBOOL(BgL_topzf31131zf3_3187);
				BgL_gzf31160zf3_3508 = CBOOL(BgL_gzf31160zf3_3216);
				BgL_forcegzf31161zf3_3509 = CBOOL(BgL_forcegzf31161zf3_3217);
				BgL_xhdlzf31168zf3_3510 = CBOOL(BgL_xhdlzf31168zf3_3224);
				{	/* Integrate/iinfo.scm 45 */
					BgL_sfunz00_bglt BgL_new1203z00_3512;

					{	/* Integrate/iinfo.scm 45 */
						BgL_sfunz00_bglt BgL_tmp1200z00_3513;
						BgL_sfunzf2iinfozf2_bglt BgL_wide1201z00_3514;

						{
							BgL_sfunz00_bglt BgL_auxz00_5238;

							{	/* Integrate/iinfo.scm 45 */
								BgL_sfunz00_bglt BgL_new1199z00_3515;

								BgL_new1199z00_3515 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Integrate/iinfo.scm 45 */
									long BgL_arg1645z00_3516;

									BgL_arg1645z00_3516 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1199z00_3515),
										BgL_arg1645z00_3516);
								}
								{	/* Integrate/iinfo.scm 45 */
									BgL_objectz00_bglt BgL_tmpz00_5243;

									BgL_tmpz00_5243 = ((BgL_objectz00_bglt) BgL_new1199z00_3515);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5243, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1199z00_3515);
								BgL_auxz00_5238 = BgL_new1199z00_3515;
							}
							BgL_tmp1200z00_3513 = ((BgL_sfunz00_bglt) BgL_auxz00_5238);
						}
						BgL_wide1201z00_3514 =
							((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 45 */
							obj_t BgL_auxz00_5251;
							BgL_objectz00_bglt BgL_tmpz00_5249;

							BgL_auxz00_5251 = ((obj_t) BgL_wide1201z00_3514);
							BgL_tmpz00_5249 = ((BgL_objectz00_bglt) BgL_tmp1200z00_3513);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5249, BgL_auxz00_5251);
						}
						((BgL_objectz00_bglt) BgL_tmp1200z00_3513);
						{	/* Integrate/iinfo.scm 45 */
							long BgL_arg1641z00_3517;

							BgL_arg1641z00_3517 =
								BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1200z00_3513),
								BgL_arg1641z00_3517);
						}
						BgL_new1203z00_3512 = ((BgL_sfunz00_bglt) BgL_tmp1200z00_3513);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1203z00_3512)))->BgL_arityz00) =
						((long) BgL_arity1127z00_3505), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1128zd2_3184), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1129zd2_3185), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1130zd2_3186), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31131zf3_3506), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1132zd2_3188), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_effectz00) =
						((obj_t) BgL_effect1133z00_3189), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1134z00_3190), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1135zd2_3191), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1203z00_3512)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1136zd2_3192), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_propertyz00) =
						((obj_t) BgL_property1137z00_3193), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_argsz00) =
						((obj_t) BgL_args1138z00_3194), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1139zd2_3195), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_bodyz00) =
						((obj_t) BgL_body1140z00_3196), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_classz00) =
						((obj_t) BgL_class1141z00_3197), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1142zd2_3198), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_locz00) =
						((obj_t) BgL_loc1143z00_3199), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1144z00_3200), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_keysz00) =
						((obj_t) BgL_keys1145z00_3201), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1146z00_3202), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1147z00_3203)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1203z00_3512)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1148z00_3204), BUNSPEC);
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5304;

						{
							obj_t BgL_auxz00_5305;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5306;

								BgL_tmpz00_5306 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5305 = BGL_OBJECT_WIDENING(BgL_tmpz00_5306);
							}
							BgL_auxz00_5304 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5305);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5304))->
								BgL_ownerz00) = ((obj_t) BgL_owner1149z00_3205), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5311;

						{
							obj_t BgL_auxz00_5312;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5313;

								BgL_tmpz00_5313 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5312 = BGL_OBJECT_WIDENING(BgL_tmpz00_5313);
							}
							BgL_auxz00_5311 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5312);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5311))->
								BgL_freez00) = ((obj_t) BgL_free1150z00_3206), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5318;

						{
							obj_t BgL_auxz00_5319;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5320;

								BgL_tmpz00_5320 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5319 = BGL_OBJECT_WIDENING(BgL_tmpz00_5320);
							}
							BgL_auxz00_5318 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5319);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5318))->
								BgL_boundz00) = ((obj_t) BgL_bound1151z00_3207), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5325;

						{
							obj_t BgL_auxz00_5326;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5327;

								BgL_tmpz00_5327 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5326 = BGL_OBJECT_WIDENING(BgL_tmpz00_5327);
							}
							BgL_auxz00_5325 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5326);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5325))->
								BgL_cfromz00) = ((obj_t) BgL_cfrom1152z00_3208), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5332;

						{
							obj_t BgL_auxz00_5333;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5334;

								BgL_tmpz00_5334 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5333 = BGL_OBJECT_WIDENING(BgL_tmpz00_5334);
							}
							BgL_auxz00_5332 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5333);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5332))->
								BgL_ctoz00) = ((obj_t) BgL_cto1153z00_3209), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5339;

						{
							obj_t BgL_auxz00_5340;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5341;

								BgL_tmpz00_5341 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5340 = BGL_OBJECT_WIDENING(BgL_tmpz00_5341);
							}
							BgL_auxz00_5339 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5340);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5339))->BgL_kz00) =
							((obj_t) BgL_k1154z00_3210), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5346;

						{
							obj_t BgL_auxz00_5347;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5348;

								BgL_tmpz00_5348 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5347 = BGL_OBJECT_WIDENING(BgL_tmpz00_5348);
							}
							BgL_auxz00_5346 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5347);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5346))->
								BgL_kza2za2) = ((obj_t) BgL_kza21155za2_3211), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5353;

						{
							obj_t BgL_auxz00_5354;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5355;

								BgL_tmpz00_5355 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5354 = BGL_OBJECT_WIDENING(BgL_tmpz00_5355);
							}
							BgL_auxz00_5353 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5354);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5353))->BgL_uz00) =
							((obj_t) BgL_u1156z00_3212), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5360;

						{
							obj_t BgL_auxz00_5361;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5362;

								BgL_tmpz00_5362 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5361 = BGL_OBJECT_WIDENING(BgL_tmpz00_5362);
							}
							BgL_auxz00_5360 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5361);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5360))->
								BgL_cnz00) = ((obj_t) BgL_cn1157z00_3213), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5367;

						{
							obj_t BgL_auxz00_5368;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5369;

								BgL_tmpz00_5369 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5368 = BGL_OBJECT_WIDENING(BgL_tmpz00_5369);
							}
							BgL_auxz00_5367 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5368);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5367))->
								BgL_ctz00) = ((obj_t) BgL_ct1158z00_3214), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5374;

						{
							obj_t BgL_auxz00_5375;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5376;

								BgL_tmpz00_5376 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5375 = BGL_OBJECT_WIDENING(BgL_tmpz00_5376);
							}
							BgL_auxz00_5374 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5375);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5374))->
								BgL_kontz00) = ((obj_t) BgL_kont1159z00_3215), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5381;

						{
							obj_t BgL_auxz00_5382;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5383;

								BgL_tmpz00_5383 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5382 = BGL_OBJECT_WIDENING(BgL_tmpz00_5383);
							}
							BgL_auxz00_5381 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5382);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5381))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31160zf3_3508), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5388;

						{
							obj_t BgL_auxz00_5389;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5390;

								BgL_tmpz00_5390 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5389 = BGL_OBJECT_WIDENING(BgL_tmpz00_5390);
							}
							BgL_auxz00_5388 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5389);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5388))->
								BgL_forcegzf3zf3) =
							((bool_t) BgL_forcegzf31161zf3_3509), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5395;

						{
							obj_t BgL_auxz00_5396;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5397;

								BgL_tmpz00_5397 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5396 = BGL_OBJECT_WIDENING(BgL_tmpz00_5397);
							}
							BgL_auxz00_5395 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5396);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5395))->BgL_lz00) =
							((obj_t) BgL_l1162z00_3218), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5402;

						{
							obj_t BgL_auxz00_5403;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5404;

								BgL_tmpz00_5404 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5403 = BGL_OBJECT_WIDENING(BgL_tmpz00_5404);
							}
							BgL_auxz00_5402 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5403);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5402))->
								BgL_ledz00) = ((obj_t) BgL_led1163z00_3219), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5409;

						{
							obj_t BgL_auxz00_5410;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5411;

								BgL_tmpz00_5411 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5410 = BGL_OBJECT_WIDENING(BgL_tmpz00_5411);
							}
							BgL_auxz00_5409 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5410);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5409))->
								BgL_istampz00) = ((obj_t) BgL_istamp1164z00_3220), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5416;

						{
							obj_t BgL_auxz00_5417;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5418;

								BgL_tmpz00_5418 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5417 = BGL_OBJECT_WIDENING(BgL_tmpz00_5418);
							}
							BgL_auxz00_5416 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5417);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5416))->
								BgL_globalz00) = ((obj_t) BgL_global1165z00_3221), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5423;

						{
							obj_t BgL_auxz00_5424;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5425;

								BgL_tmpz00_5425 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5424 = BGL_OBJECT_WIDENING(BgL_tmpz00_5425);
							}
							BgL_auxz00_5423 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5424);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5423))->
								BgL_kapturedz00) = ((obj_t) BgL_kaptured1166z00_3222), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5430;

						{
							obj_t BgL_auxz00_5431;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5432;

								BgL_tmpz00_5432 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5431 = BGL_OBJECT_WIDENING(BgL_tmpz00_5432);
							}
							BgL_auxz00_5430 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5431);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5430))->
								BgL_tailzd2coercionzd2) =
							((obj_t) BgL_tailzd2coercion1167zd2_3223), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5437;

						{
							obj_t BgL_auxz00_5438;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5439;

								BgL_tmpz00_5439 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5438 = BGL_OBJECT_WIDENING(BgL_tmpz00_5439);
							}
							BgL_auxz00_5437 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5438);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5437))->
								BgL_xhdlzf3zf3) = ((bool_t) BgL_xhdlzf31168zf3_3510), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5444;

						{
							obj_t BgL_auxz00_5445;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5446;

								BgL_tmpz00_5446 = ((BgL_objectz00_bglt) BgL_new1203z00_3512);
								BgL_auxz00_5445 = BGL_OBJECT_WIDENING(BgL_tmpz00_5446);
							}
							BgL_auxz00_5444 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5445);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5444))->
								BgL_xhdlsz00) =
							((obj_t) ((obj_t) BgL_xhdls1169z00_3225)), BUNSPEC);
					}
					return BgL_new1203z00_3512;
				}
			}
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3226)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zzintegrate_infoz00(obj_t BgL_envz00_3227,
		obj_t BgL_oz00_3228, obj_t BgL_vz00_3229)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5452;

				{
					obj_t BgL_auxz00_5453;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5454;

						BgL_tmpz00_5454 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3228));
						BgL_auxz00_5453 = BGL_OBJECT_WIDENING(BgL_tmpz00_5454);
					}
					BgL_auxz00_5452 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5453);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5452))->
						BgL_xhdlsz00) = ((obj_t) ((obj_t) BgL_vz00_3229)), BUNSPEC);
			}
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzintegrate_infoz00(obj_t BgL_envz00_3230,
		obj_t BgL_oz00_3231)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5461;

				{
					obj_t BgL_auxz00_5462;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5463;

						BgL_tmpz00_5463 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3231));
						BgL_auxz00_5462 = BGL_OBJECT_WIDENING(BgL_tmpz00_5463);
					}
					BgL_auxz00_5461 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5462);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5461))->BgL_xhdlsz00);
			}
		}

	}



/* &<@anonymous:1892> */
	obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3232)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zzintegrate_infoz00(obj_t BgL_envz00_3233,
		obj_t BgL_oz00_3234, obj_t BgL_vz00_3235)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3522;

				BgL_vz00_3522 = CBOOL(BgL_vz00_3235);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5471;

					{
						obj_t BgL_auxz00_5472;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5473;

							BgL_tmpz00_5473 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3234));
							BgL_auxz00_5472 = BGL_OBJECT_WIDENING(BgL_tmpz00_5473);
						}
						BgL_auxz00_5471 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5472);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5471))->
							BgL_xhdlzf3zf3) = ((bool_t) BgL_vz00_3522), BUNSPEC);
				}
			}
		}

	}



/* &lambda1890 */
	obj_t BGl_z62lambda1890z62zzintegrate_infoz00(obj_t BgL_envz00_3236,
		obj_t BgL_oz00_3237)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5479;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5480;

					{
						obj_t BgL_auxz00_5481;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5482;

							BgL_tmpz00_5482 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3237));
							BgL_auxz00_5481 = BGL_OBJECT_WIDENING(BgL_tmpz00_5482);
						}
						BgL_auxz00_5480 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5481);
					}
					BgL_tmpz00_5479 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5480))->
						BgL_xhdlzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5479);
			}
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3238)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zzintegrate_infoz00(obj_t BgL_envz00_3239,
		obj_t BgL_oz00_3240, obj_t BgL_vz00_3241)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5489;

				{
					obj_t BgL_auxz00_5490;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5491;

						BgL_tmpz00_5491 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3240));
						BgL_auxz00_5490 = BGL_OBJECT_WIDENING(BgL_tmpz00_5491);
					}
					BgL_auxz00_5489 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5490);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5489))->
						BgL_tailzd2coercionzd2) = ((obj_t) BgL_vz00_3241), BUNSPEC);
			}
		}

	}



/* &lambda1883 */
	obj_t BGl_z62lambda1883z62zzintegrate_infoz00(obj_t BgL_envz00_3242,
		obj_t BgL_oz00_3243)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5497;

				{
					obj_t BgL_auxz00_5498;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5499;

						BgL_tmpz00_5499 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3243));
						BgL_auxz00_5498 = BGL_OBJECT_WIDENING(BgL_tmpz00_5499);
					}
					BgL_auxz00_5497 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5498);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5497))->
					BgL_tailzd2coercionzd2);
			}
		}

	}



/* &<@anonymous:1876> */
	obj_t BGl_z62zc3z04anonymousza31876ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3244)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1875 */
	obj_t BGl_z62lambda1875z62zzintegrate_infoz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246, obj_t BgL_vz00_3247)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5505;

				{
					obj_t BgL_auxz00_5506;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5507;

						BgL_tmpz00_5507 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3246));
						BgL_auxz00_5506 = BGL_OBJECT_WIDENING(BgL_tmpz00_5507);
					}
					BgL_auxz00_5505 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5506);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5505))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_3247), BUNSPEC);
			}
		}

	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zzintegrate_infoz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5513;

				{
					obj_t BgL_auxz00_5514;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5515;

						BgL_tmpz00_5515 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3249));
						BgL_auxz00_5514 = BGL_OBJECT_WIDENING(BgL_tmpz00_5515);
					}
					BgL_auxz00_5513 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5514);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5513))->
					BgL_kapturedz00);
			}
		}

	}



/* &<@anonymous:1867> */
	obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3250)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1866 */
	obj_t BGl_z62lambda1866z62zzintegrate_infoz00(obj_t BgL_envz00_3251,
		obj_t BgL_oz00_3252, obj_t BgL_vz00_3253)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5521;

				{
					obj_t BgL_auxz00_5522;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5523;

						BgL_tmpz00_5523 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3252));
						BgL_auxz00_5522 = BGL_OBJECT_WIDENING(BgL_tmpz00_5523);
					}
					BgL_auxz00_5521 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5522);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5521))->
						BgL_globalz00) = ((obj_t) BgL_vz00_3253), BUNSPEC);
			}
		}

	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zzintegrate_infoz00(obj_t BgL_envz00_3254,
		obj_t BgL_oz00_3255)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5529;

				{
					obj_t BgL_auxz00_5530;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5531;

						BgL_tmpz00_5531 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3255));
						BgL_auxz00_5530 = BGL_OBJECT_WIDENING(BgL_tmpz00_5531);
					}
					BgL_auxz00_5529 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5530);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5529))->
					BgL_globalz00);
			}
		}

	}



/* &<@anonymous:1859> */
	obj_t BGl_z62zc3z04anonymousza31859ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3256)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzintegrate_infoz00(obj_t BgL_envz00_3257,
		obj_t BgL_oz00_3258, obj_t BgL_vz00_3259)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5537;

				{
					obj_t BgL_auxz00_5538;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5539;

						BgL_tmpz00_5539 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3258));
						BgL_auxz00_5538 = BGL_OBJECT_WIDENING(BgL_tmpz00_5539);
					}
					BgL_auxz00_5537 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5538);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5537))->
						BgL_istampz00) = ((obj_t) BgL_vz00_3259), BUNSPEC);
			}
		}

	}



/* &lambda1857 */
	obj_t BGl_z62lambda1857z62zzintegrate_infoz00(obj_t BgL_envz00_3260,
		obj_t BgL_oz00_3261)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5545;

				{
					obj_t BgL_auxz00_5546;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5547;

						BgL_tmpz00_5547 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3261));
						BgL_auxz00_5546 = BGL_OBJECT_WIDENING(BgL_tmpz00_5547);
					}
					BgL_auxz00_5545 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5546);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5545))->
					BgL_istampz00);
			}
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3262)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1848 */
	obj_t BGl_z62lambda1848z62zzintegrate_infoz00(obj_t BgL_envz00_3263,
		obj_t BgL_oz00_3264, obj_t BgL_vz00_3265)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5553;

				{
					obj_t BgL_auxz00_5554;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5555;

						BgL_tmpz00_5555 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3264));
						BgL_auxz00_5554 = BGL_OBJECT_WIDENING(BgL_tmpz00_5555);
					}
					BgL_auxz00_5553 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5554);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5553))->BgL_ledz00) =
					((obj_t) BgL_vz00_3265), BUNSPEC);
			}
		}

	}



/* &lambda1847 */
	obj_t BGl_z62lambda1847z62zzintegrate_infoz00(obj_t BgL_envz00_3266,
		obj_t BgL_oz00_3267)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5561;

				{
					obj_t BgL_auxz00_5562;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5563;

						BgL_tmpz00_5563 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3267));
						BgL_auxz00_5562 = BGL_OBJECT_WIDENING(BgL_tmpz00_5563);
					}
					BgL_auxz00_5561 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5562);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5561))->BgL_ledz00);
			}
		}

	}



/* &<@anonymous:1839> */
	obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3268)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zzintegrate_infoz00(obj_t BgL_envz00_3269,
		obj_t BgL_oz00_3270, obj_t BgL_vz00_3271)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5569;

				{
					obj_t BgL_auxz00_5570;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5571;

						BgL_tmpz00_5571 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3270));
						BgL_auxz00_5570 = BGL_OBJECT_WIDENING(BgL_tmpz00_5571);
					}
					BgL_auxz00_5569 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5570);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5569))->BgL_lz00) =
					((obj_t) BgL_vz00_3271), BUNSPEC);
			}
		}

	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zzintegrate_infoz00(obj_t BgL_envz00_3272,
		obj_t BgL_oz00_3273)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5577;

				{
					obj_t BgL_auxz00_5578;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5579;

						BgL_tmpz00_5579 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3273));
						BgL_auxz00_5578 = BGL_OBJECT_WIDENING(BgL_tmpz00_5579);
					}
					BgL_auxz00_5577 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5578);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5577))->BgL_lz00);
			}
		}

	}



/* &<@anonymous:1825> */
	obj_t BGl_z62zc3z04anonymousza31825ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3274)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1824 */
	obj_t BGl_z62lambda1824z62zzintegrate_infoz00(obj_t BgL_envz00_3275,
		obj_t BgL_oz00_3276, obj_t BgL_vz00_3277)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3537;

				BgL_vz00_3537 = CBOOL(BgL_vz00_3277);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5587;

					{
						obj_t BgL_auxz00_5588;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5589;

							BgL_tmpz00_5589 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3276));
							BgL_auxz00_5588 = BGL_OBJECT_WIDENING(BgL_tmpz00_5589);
						}
						BgL_auxz00_5587 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5588);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5587))->
							BgL_forcegzf3zf3) = ((bool_t) BgL_vz00_3537), BUNSPEC);
				}
			}
		}

	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zzintegrate_infoz00(obj_t BgL_envz00_3278,
		obj_t BgL_oz00_3279)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5595;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5596;

					{
						obj_t BgL_auxz00_5597;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5598;

							BgL_tmpz00_5598 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3279));
							BgL_auxz00_5597 = BGL_OBJECT_WIDENING(BgL_tmpz00_5598);
						}
						BgL_auxz00_5596 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5597);
					}
					BgL_tmpz00_5595 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5596))->
						BgL_forcegzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5595);
			}
		}

	}



/* &lambda1815 */
	obj_t BGl_z62lambda1815z62zzintegrate_infoz00(obj_t BgL_envz00_3280,
		obj_t BgL_oz00_3281, obj_t BgL_vz00_3282)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3540;

				BgL_vz00_3540 = CBOOL(BgL_vz00_3282);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5606;

					{
						obj_t BgL_auxz00_5607;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5608;

							BgL_tmpz00_5608 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3281));
							BgL_auxz00_5607 = BGL_OBJECT_WIDENING(BgL_tmpz00_5608);
						}
						BgL_auxz00_5606 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5607);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5606))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_3540), BUNSPEC);
				}
			}
		}

	}



/* &lambda1814 */
	obj_t BGl_z62lambda1814z62zzintegrate_infoz00(obj_t BgL_envz00_3283,
		obj_t BgL_oz00_3284)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5614;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5615;

					{
						obj_t BgL_auxz00_5616;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5617;

							BgL_tmpz00_5617 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3284));
							BgL_auxz00_5616 = BGL_OBJECT_WIDENING(BgL_tmpz00_5617);
						}
						BgL_auxz00_5615 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5616);
					}
					BgL_tmpz00_5614 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5615))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5614);
			}
		}

	}



/* &<@anonymous:1793> */
	obj_t BGl_z62zc3z04anonymousza31793ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3285)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1792 */
	obj_t BGl_z62lambda1792z62zzintegrate_infoz00(obj_t BgL_envz00_3286,
		obj_t BgL_oz00_3287, obj_t BgL_vz00_3288)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5624;

				{
					obj_t BgL_auxz00_5625;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5626;

						BgL_tmpz00_5626 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3287));
						BgL_auxz00_5625 = BGL_OBJECT_WIDENING(BgL_tmpz00_5626);
					}
					BgL_auxz00_5624 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5625);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5624))->
						BgL_kontz00) = ((obj_t) BgL_vz00_3288), BUNSPEC);
			}
		}

	}



/* &lambda1791 */
	obj_t BGl_z62lambda1791z62zzintegrate_infoz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5632;

				{
					obj_t BgL_auxz00_5633;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5634;

						BgL_tmpz00_5634 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3290));
						BgL_auxz00_5633 = BGL_OBJECT_WIDENING(BgL_tmpz00_5634);
					}
					BgL_auxz00_5632 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5633);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5632))->BgL_kontz00);
			}
		}

	}



/* &<@anonymous:1781> */
	obj_t BGl_z62zc3z04anonymousza31781ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3291)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1780 */
	obj_t BGl_z62lambda1780z62zzintegrate_infoz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293, obj_t BgL_vz00_3294)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5640;

				{
					obj_t BgL_auxz00_5641;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5642;

						BgL_tmpz00_5642 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3293));
						BgL_auxz00_5641 = BGL_OBJECT_WIDENING(BgL_tmpz00_5642);
					}
					BgL_auxz00_5640 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5641);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5640))->BgL_ctz00) =
					((obj_t) BgL_vz00_3294), BUNSPEC);
			}
		}

	}



/* &lambda1779 */
	obj_t BGl_z62lambda1779z62zzintegrate_infoz00(obj_t BgL_envz00_3295,
		obj_t BgL_oz00_3296)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5648;

				{
					obj_t BgL_auxz00_5649;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5650;

						BgL_tmpz00_5650 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3296));
						BgL_auxz00_5649 = BGL_OBJECT_WIDENING(BgL_tmpz00_5650);
					}
					BgL_auxz00_5648 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5649);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5648))->BgL_ctz00);
			}
		}

	}



/* &<@anonymous:1769> */
	obj_t BGl_z62zc3z04anonymousza31769ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3297)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1768 */
	obj_t BGl_z62lambda1768z62zzintegrate_infoz00(obj_t BgL_envz00_3298,
		obj_t BgL_oz00_3299, obj_t BgL_vz00_3300)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5656;

				{
					obj_t BgL_auxz00_5657;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5658;

						BgL_tmpz00_5658 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3299));
						BgL_auxz00_5657 = BGL_OBJECT_WIDENING(BgL_tmpz00_5658);
					}
					BgL_auxz00_5656 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5657);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5656))->BgL_cnz00) =
					((obj_t) BgL_vz00_3300), BUNSPEC);
			}
		}

	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zzintegrate_infoz00(obj_t BgL_envz00_3301,
		obj_t BgL_oz00_3302)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5664;

				{
					obj_t BgL_auxz00_5665;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5666;

						BgL_tmpz00_5666 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3302));
						BgL_auxz00_5665 = BGL_OBJECT_WIDENING(BgL_tmpz00_5666);
					}
					BgL_auxz00_5664 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5665);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5664))->BgL_cnz00);
			}
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3303)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1755 */
	obj_t BGl_z62lambda1755z62zzintegrate_infoz00(obj_t BgL_envz00_3304,
		obj_t BgL_oz00_3305, obj_t BgL_vz00_3306)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5672;

				{
					obj_t BgL_auxz00_5673;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5674;

						BgL_tmpz00_5674 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3305));
						BgL_auxz00_5673 = BGL_OBJECT_WIDENING(BgL_tmpz00_5674);
					}
					BgL_auxz00_5672 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5673);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5672))->BgL_uz00) =
					((obj_t) BgL_vz00_3306), BUNSPEC);
			}
		}

	}



/* &lambda1754 */
	obj_t BGl_z62lambda1754z62zzintegrate_infoz00(obj_t BgL_envz00_3307,
		obj_t BgL_oz00_3308)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5680;

				{
					obj_t BgL_auxz00_5681;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5682;

						BgL_tmpz00_5682 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3308));
						BgL_auxz00_5681 = BGL_OBJECT_WIDENING(BgL_tmpz00_5682);
					}
					BgL_auxz00_5680 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5681);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5680))->BgL_uz00);
			}
		}

	}



/* &<@anonymous:1749> */
	obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3309)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zzintegrate_infoz00(obj_t BgL_envz00_3310,
		obj_t BgL_oz00_3311, obj_t BgL_vz00_3312)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5688;

				{
					obj_t BgL_auxz00_5689;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5690;

						BgL_tmpz00_5690 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3311));
						BgL_auxz00_5689 = BGL_OBJECT_WIDENING(BgL_tmpz00_5690);
					}
					BgL_auxz00_5688 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5689);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5688))->
						BgL_kza2za2) = ((obj_t) BgL_vz00_3312), BUNSPEC);
			}
		}

	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zzintegrate_infoz00(obj_t BgL_envz00_3313,
		obj_t BgL_oz00_3314)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5696;

				{
					obj_t BgL_auxz00_5697;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5698;

						BgL_tmpz00_5698 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3314));
						BgL_auxz00_5697 = BGL_OBJECT_WIDENING(BgL_tmpz00_5698);
					}
					BgL_auxz00_5696 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5697);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5696))->BgL_kza2za2);
			}
		}

	}



/* &<@anonymous:1737> */
	obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3315)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1736 */
	obj_t BGl_z62lambda1736z62zzintegrate_infoz00(obj_t BgL_envz00_3316,
		obj_t BgL_oz00_3317, obj_t BgL_vz00_3318)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5704;

				{
					obj_t BgL_auxz00_5705;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5706;

						BgL_tmpz00_5706 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3317));
						BgL_auxz00_5705 = BGL_OBJECT_WIDENING(BgL_tmpz00_5706);
					}
					BgL_auxz00_5704 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5705);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5704))->BgL_kz00) =
					((obj_t) BgL_vz00_3318), BUNSPEC);
			}
		}

	}



/* &lambda1735 */
	obj_t BGl_z62lambda1735z62zzintegrate_infoz00(obj_t BgL_envz00_3319,
		obj_t BgL_oz00_3320)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5712;

				{
					obj_t BgL_auxz00_5713;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5714;

						BgL_tmpz00_5714 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3320));
						BgL_auxz00_5713 = BGL_OBJECT_WIDENING(BgL_tmpz00_5714);
					}
					BgL_auxz00_5712 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5713);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5712))->BgL_kz00);
			}
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3321)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1723 */
	obj_t BGl_z62lambda1723z62zzintegrate_infoz00(obj_t BgL_envz00_3322,
		obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5720;

				{
					obj_t BgL_auxz00_5721;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5722;

						BgL_tmpz00_5722 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3323));
						BgL_auxz00_5721 = BGL_OBJECT_WIDENING(BgL_tmpz00_5722);
					}
					BgL_auxz00_5720 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5721);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5720))->BgL_ctoz00) =
					((obj_t) BgL_vz00_3324), BUNSPEC);
			}
		}

	}



/* &lambda1722 */
	obj_t BGl_z62lambda1722z62zzintegrate_infoz00(obj_t BgL_envz00_3325,
		obj_t BgL_oz00_3326)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5728;

				{
					obj_t BgL_auxz00_5729;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5730;

						BgL_tmpz00_5730 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3326));
						BgL_auxz00_5729 = BGL_OBJECT_WIDENING(BgL_tmpz00_5730);
					}
					BgL_auxz00_5728 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5729);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5728))->BgL_ctoz00);
			}
		}

	}



/* &<@anonymous:1708> */
	obj_t BGl_z62zc3z04anonymousza31708ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3327)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1707 */
	obj_t BGl_z62lambda1707z62zzintegrate_infoz00(obj_t BgL_envz00_3328,
		obj_t BgL_oz00_3329, obj_t BgL_vz00_3330)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5736;

				{
					obj_t BgL_auxz00_5737;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5738;

						BgL_tmpz00_5738 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3329));
						BgL_auxz00_5737 = BGL_OBJECT_WIDENING(BgL_tmpz00_5738);
					}
					BgL_auxz00_5736 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5737);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5736))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_3330), BUNSPEC);
			}
		}

	}



/* &lambda1706 */
	obj_t BGl_z62lambda1706z62zzintegrate_infoz00(obj_t BgL_envz00_3331,
		obj_t BgL_oz00_3332)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5744;

				{
					obj_t BgL_auxz00_5745;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5746;

						BgL_tmpz00_5746 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3332));
						BgL_auxz00_5745 = BGL_OBJECT_WIDENING(BgL_tmpz00_5746);
					}
					BgL_auxz00_5744 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5745);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5744))->BgL_cfromz00);
			}
		}

	}



/* &<@anonymous:1695> */
	obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3333)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1694 */
	obj_t BGl_z62lambda1694z62zzintegrate_infoz00(obj_t BgL_envz00_3334,
		obj_t BgL_oz00_3335, obj_t BgL_vz00_3336)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5752;

				{
					obj_t BgL_auxz00_5753;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5754;

						BgL_tmpz00_5754 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3335));
						BgL_auxz00_5753 = BGL_OBJECT_WIDENING(BgL_tmpz00_5754);
					}
					BgL_auxz00_5752 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5753);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5752))->
						BgL_boundz00) = ((obj_t) BgL_vz00_3336), BUNSPEC);
			}
		}

	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zzintegrate_infoz00(obj_t BgL_envz00_3337,
		obj_t BgL_oz00_3338)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5760;

				{
					obj_t BgL_auxz00_5761;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5762;

						BgL_tmpz00_5762 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3338));
						BgL_auxz00_5761 = BGL_OBJECT_WIDENING(BgL_tmpz00_5762);
					}
					BgL_auxz00_5760 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5761);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5760))->BgL_boundz00);
			}
		}

	}



/* &<@anonymous:1680> */
	obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3339)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1679 */
	obj_t BGl_z62lambda1679z62zzintegrate_infoz00(obj_t BgL_envz00_3340,
		obj_t BgL_oz00_3341, obj_t BgL_vz00_3342)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5768;

				{
					obj_t BgL_auxz00_5769;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5770;

						BgL_tmpz00_5770 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3341));
						BgL_auxz00_5769 = BGL_OBJECT_WIDENING(BgL_tmpz00_5770);
					}
					BgL_auxz00_5768 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5769);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5768))->
						BgL_freez00) = ((obj_t) BgL_vz00_3342), BUNSPEC);
			}
		}

	}



/* &lambda1678 */
	obj_t BGl_z62lambda1678z62zzintegrate_infoz00(obj_t BgL_envz00_3343,
		obj_t BgL_oz00_3344)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5776;

				{
					obj_t BgL_auxz00_5777;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5778;

						BgL_tmpz00_5778 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3344));
						BgL_auxz00_5777 = BGL_OBJECT_WIDENING(BgL_tmpz00_5778);
					}
					BgL_auxz00_5776 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5777);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5776))->BgL_freez00);
			}
		}

	}



/* &lambda1665 */
	obj_t BGl_z62lambda1665z62zzintegrate_infoz00(obj_t BgL_envz00_3345,
		obj_t BgL_oz00_3346, obj_t BgL_vz00_3347)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5784;

				{
					obj_t BgL_auxz00_5785;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5786;

						BgL_tmpz00_5786 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3346));
						BgL_auxz00_5785 = BGL_OBJECT_WIDENING(BgL_tmpz00_5786);
					}
					BgL_auxz00_5784 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5785);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5784))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_3347), BUNSPEC);
			}
		}

	}



/* &lambda1664 */
	obj_t BGl_z62lambda1664z62zzintegrate_infoz00(obj_t BgL_envz00_3348,
		obj_t BgL_oz00_3349)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5792;

				{
					obj_t BgL_auxz00_5793;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5794;

						BgL_tmpz00_5794 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3349));
						BgL_auxz00_5793 = BGL_OBJECT_WIDENING(BgL_tmpz00_5794);
					}
					BgL_auxz00_5792 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5793);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5792))->BgL_ownerz00);
			}
		}

	}



/* &lambda1534 */
	BgL_sexitz00_bglt BGl_z62lambda1534z62zzintegrate_infoz00(obj_t
		BgL_envz00_3350, obj_t BgL_o1125z00_3351)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				long BgL_arg1535z00_3565;

				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_arg1558z00_3566;

					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1559z00_3567;

						{	/* Integrate/iinfo.scm 35 */
							long BgL_arg1828z00_3568;

							{	/* Integrate/iinfo.scm 35 */
								long BgL_arg1829z00_3569;

								BgL_arg1829z00_3569 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1125z00_3351)));
								BgL_arg1828z00_3568 = (BgL_arg1829z00_3569 - OBJECT_TYPE);
							}
							BgL_arg1559z00_3567 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3568);
						}
						BgL_arg1558z00_3566 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1559z00_3567);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_tmpz00_5806;

						BgL_tmpz00_5806 = ((obj_t) BgL_arg1558z00_3566);
						BgL_arg1535z00_3565 = BGL_CLASS_NUM(BgL_tmpz00_5806);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1125z00_3351)), BgL_arg1535z00_3565);
			}
			{	/* Integrate/iinfo.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_5812;

				BgL_tmpz00_5812 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3351));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5812, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3351));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3351));
		}

	}



/* &<@anonymous:1533> */
	obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3352, obj_t BgL_new1124z00_3353)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitz00_bglt BgL_auxz00_5820;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1124z00_3353))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1124z00_3353))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5827;

					{
						obj_t BgL_auxz00_5828;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5829;

							BgL_tmpz00_5829 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3353));
							BgL_auxz00_5828 = BGL_OBJECT_WIDENING(BgL_tmpz00_5829);
						}
						BgL_auxz00_5827 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5828);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5827))->
							BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5835;

					{
						obj_t BgL_auxz00_5836;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5837;

							BgL_tmpz00_5837 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3353));
							BgL_auxz00_5836 = BGL_OBJECT_WIDENING(BgL_tmpz00_5837);
						}
						BgL_auxz00_5835 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5836);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5835))->
							BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5843;

					{
						obj_t BgL_auxz00_5844;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5845;

							BgL_tmpz00_5845 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3353));
							BgL_auxz00_5844 = BGL_OBJECT_WIDENING(BgL_tmpz00_5845);
						}
						BgL_auxz00_5843 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5844);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5843))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5851;

					{
						obj_t BgL_auxz00_5852;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5853;

							BgL_tmpz00_5853 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3353));
							BgL_auxz00_5852 = BGL_OBJECT_WIDENING(BgL_tmpz00_5853);
						}
						BgL_auxz00_5851 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5852);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5851))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_5820 = ((BgL_sexitz00_bglt) BgL_new1124z00_3353);
				return ((obj_t) BgL_auxz00_5820);
			}
		}

	}



/* &lambda1530 */
	BgL_sexitz00_bglt BGl_z62lambda1530z62zzintegrate_infoz00(obj_t
		BgL_envz00_3354, obj_t BgL_o1121z00_3355)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				BgL_sexitzf2iinfozf2_bglt BgL_wide1123z00_3572;

				BgL_wide1123z00_3572 =
					((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_auxz00_5866;
					BgL_objectz00_bglt BgL_tmpz00_5862;

					BgL_auxz00_5866 = ((obj_t) BgL_wide1123z00_3572);
					BgL_tmpz00_5862 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3355)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5862, BgL_auxz00_5866);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3355)));
				{	/* Integrate/iinfo.scm 35 */
					long BgL_arg1532z00_3573;

					BgL_arg1532z00_3573 =
						BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1121z00_3355))), BgL_arg1532z00_3573);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3355)));
			}
		}

	}



/* &lambda1525 */
	BgL_sexitz00_bglt BGl_z62lambda1525z62zzintegrate_infoz00(obj_t
		BgL_envz00_3356, obj_t BgL_handler1115z00_3357,
		obj_t BgL_detachedzf31116zf3_3358, obj_t BgL_fzd2mark1117zd2_3359,
		obj_t BgL_uzd2mark1118zd2_3360, obj_t BgL_kapturedzf31119zf3_3361,
		obj_t BgL_celledzf31120zf3_3362)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_detachedzf31116zf3_3574;
				bool_t BgL_kapturedzf31119zf3_3575;
				bool_t BgL_celledzf31120zf3_3576;

				BgL_detachedzf31116zf3_3574 = CBOOL(BgL_detachedzf31116zf3_3358);
				BgL_kapturedzf31119zf3_3575 = CBOOL(BgL_kapturedzf31119zf3_3361);
				BgL_celledzf31120zf3_3576 = CBOOL(BgL_celledzf31120zf3_3362);
				{	/* Integrate/iinfo.scm 35 */
					BgL_sexitz00_bglt BgL_new1197z00_3577;

					{	/* Integrate/iinfo.scm 35 */
						BgL_sexitz00_bglt BgL_tmp1195z00_3578;
						BgL_sexitzf2iinfozf2_bglt BgL_wide1196z00_3579;

						{
							BgL_sexitz00_bglt BgL_auxz00_5883;

							{	/* Integrate/iinfo.scm 35 */
								BgL_sexitz00_bglt BgL_new1194z00_3580;

								BgL_new1194z00_3580 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Integrate/iinfo.scm 35 */
									long BgL_arg1529z00_3581;

									BgL_arg1529z00_3581 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1194z00_3580),
										BgL_arg1529z00_3581);
								}
								{	/* Integrate/iinfo.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_5888;

									BgL_tmpz00_5888 = ((BgL_objectz00_bglt) BgL_new1194z00_3580);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5888, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1194z00_3580);
								BgL_auxz00_5883 = BgL_new1194z00_3580;
							}
							BgL_tmp1195z00_3578 = ((BgL_sexitz00_bglt) BgL_auxz00_5883);
						}
						BgL_wide1196z00_3579 =
							((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 35 */
							obj_t BgL_auxz00_5896;
							BgL_objectz00_bglt BgL_tmpz00_5894;

							BgL_auxz00_5896 = ((obj_t) BgL_wide1196z00_3579);
							BgL_tmpz00_5894 = ((BgL_objectz00_bglt) BgL_tmp1195z00_3578);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5894, BgL_auxz00_5896);
						}
						((BgL_objectz00_bglt) BgL_tmp1195z00_3578);
						{	/* Integrate/iinfo.scm 35 */
							long BgL_arg1526z00_3582;

							BgL_arg1526z00_3582 =
								BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1195z00_3578),
								BgL_arg1526z00_3582);
						}
						BgL_new1197z00_3577 = ((BgL_sexitz00_bglt) BgL_tmp1195z00_3578);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1197z00_3577)))->BgL_handlerz00) =
						((obj_t) BgL_handler1115z00_3357), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1197z00_3577)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31116zf3_3574), BUNSPEC);
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5908;

						{
							obj_t BgL_auxz00_5909;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_5910;

								BgL_tmpz00_5910 = ((BgL_objectz00_bglt) BgL_new1197z00_3577);
								BgL_auxz00_5909 = BGL_OBJECT_WIDENING(BgL_tmpz00_5910);
							}
							BgL_auxz00_5908 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5909);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5908))->
								BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1117zd2_3359), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5915;

						{
							obj_t BgL_auxz00_5916;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_5917;

								BgL_tmpz00_5917 = ((BgL_objectz00_bglt) BgL_new1197z00_3577);
								BgL_auxz00_5916 = BGL_OBJECT_WIDENING(BgL_tmpz00_5917);
							}
							BgL_auxz00_5915 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5916);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5915))->
								BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1118zd2_3360), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5922;

						{
							obj_t BgL_auxz00_5923;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_5924;

								BgL_tmpz00_5924 = ((BgL_objectz00_bglt) BgL_new1197z00_3577);
								BgL_auxz00_5923 = BGL_OBJECT_WIDENING(BgL_tmpz00_5924);
							}
							BgL_auxz00_5922 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5923);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5922))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31119zf3_3575), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5929;

						{
							obj_t BgL_auxz00_5930;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_5931;

								BgL_tmpz00_5931 = ((BgL_objectz00_bglt) BgL_new1197z00_3577);
								BgL_auxz00_5930 = BGL_OBJECT_WIDENING(BgL_tmpz00_5931);
							}
							BgL_auxz00_5929 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5930);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5929))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31120zf3_3576), BUNSPEC);
					}
					return BgL_new1197z00_3577;
				}
			}
		}

	}



/* &<@anonymous:1628> */
	obj_t BGl_z62zc3z04anonymousza31628ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3363)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1627 */
	obj_t BGl_z62lambda1627z62zzintegrate_infoz00(obj_t BgL_envz00_3364,
		obj_t BgL_oz00_3365, obj_t BgL_vz00_3366)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_vz00_3584;

				BgL_vz00_3584 = CBOOL(BgL_vz00_3366);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5938;

					{
						obj_t BgL_auxz00_5939;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5940;

							BgL_tmpz00_5940 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3365));
							BgL_auxz00_5939 = BGL_OBJECT_WIDENING(BgL_tmpz00_5940);
						}
						BgL_auxz00_5938 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5939);
					}
					return
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5938))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_3584), BUNSPEC);
				}
			}
		}

	}



/* &lambda1626 */
	obj_t BGl_z62lambda1626z62zzintegrate_infoz00(obj_t BgL_envz00_3367,
		obj_t BgL_oz00_3368)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_tmpz00_5946;

				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5947;

					{
						obj_t BgL_auxz00_5948;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5949;

							BgL_tmpz00_5949 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3368));
							BgL_auxz00_5948 = BGL_OBJECT_WIDENING(BgL_tmpz00_5949);
						}
						BgL_auxz00_5947 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5948);
					}
					BgL_tmpz00_5946 =
						(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5947))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5946);
			}
		}

	}



/* &<@anonymous:1613> */
	obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3369)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1612 */
	obj_t BGl_z62lambda1612z62zzintegrate_infoz00(obj_t BgL_envz00_3370,
		obj_t BgL_oz00_3371, obj_t BgL_vz00_3372)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_vz00_3587;

				BgL_vz00_3587 = CBOOL(BgL_vz00_3372);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5958;

					{
						obj_t BgL_auxz00_5959;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5960;

							BgL_tmpz00_5960 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3371));
							BgL_auxz00_5959 = BGL_OBJECT_WIDENING(BgL_tmpz00_5960);
						}
						BgL_auxz00_5958 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5959);
					}
					return
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5958))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_3587), BUNSPEC);
				}
			}
		}

	}



/* &lambda1611 */
	obj_t BGl_z62lambda1611z62zzintegrate_infoz00(obj_t BgL_envz00_3373,
		obj_t BgL_oz00_3374)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_tmpz00_5966;

				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5967;

					{
						obj_t BgL_auxz00_5968;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5969;

							BgL_tmpz00_5969 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3374));
							BgL_auxz00_5968 = BGL_OBJECT_WIDENING(BgL_tmpz00_5969);
						}
						BgL_auxz00_5967 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5968);
					}
					BgL_tmpz00_5966 =
						(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5967))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5966);
			}
		}

	}



/* &<@anonymous:1591> */
	obj_t BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3375)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BUNSPEC;
		}

	}



/* &lambda1590 */
	obj_t BGl_z62lambda1590z62zzintegrate_infoz00(obj_t BgL_envz00_3376,
		obj_t BgL_oz00_3377, obj_t BgL_vz00_3378)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5976;

				{
					obj_t BgL_auxz00_5977;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_5978;

						BgL_tmpz00_5978 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3377));
						BgL_auxz00_5977 = BGL_OBJECT_WIDENING(BgL_tmpz00_5978);
					}
					BgL_auxz00_5976 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5977);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5976))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_3378), BUNSPEC);
			}
		}

	}



/* &lambda1589 */
	obj_t BGl_z62lambda1589z62zzintegrate_infoz00(obj_t BgL_envz00_3379,
		obj_t BgL_oz00_3380)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5984;

				{
					obj_t BgL_auxz00_5985;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_5986;

						BgL_tmpz00_5986 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3380));
						BgL_auxz00_5985 = BGL_OBJECT_WIDENING(BgL_tmpz00_5986);
					}
					BgL_auxz00_5984 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5985);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5984))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &<@anonymous:1573> */
	obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3381)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BUNSPEC;
		}

	}



/* &lambda1572 */
	obj_t BGl_z62lambda1572z62zzintegrate_infoz00(obj_t BgL_envz00_3382,
		obj_t BgL_oz00_3383, obj_t BgL_vz00_3384)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5992;

				{
					obj_t BgL_auxz00_5993;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_5994;

						BgL_tmpz00_5994 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3383));
						BgL_auxz00_5993 = BGL_OBJECT_WIDENING(BgL_tmpz00_5994);
					}
					BgL_auxz00_5992 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5993);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5992))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_3384), BUNSPEC);
			}
		}

	}



/* &lambda1571 */
	obj_t BGl_z62lambda1571z62zzintegrate_infoz00(obj_t BgL_envz00_3385,
		obj_t BgL_oz00_3386)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6000;

				{
					obj_t BgL_auxz00_6001;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_6002;

						BgL_tmpz00_6002 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3386));
						BgL_auxz00_6001 = BGL_OBJECT_WIDENING(BgL_tmpz00_6002);
					}
					BgL_auxz00_6000 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6001);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6000))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &lambda1363 */
	BgL_svarz00_bglt BGl_z62lambda1363z62zzintegrate_infoz00(obj_t
		BgL_envz00_3387, obj_t BgL_o1113z00_3388)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				long BgL_arg1364z00_3594;

				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_arg1365z00_3595;

					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1366z00_3596;

						{	/* Integrate/iinfo.scm 23 */
							long BgL_arg1828z00_3597;

							{	/* Integrate/iinfo.scm 23 */
								long BgL_arg1829z00_3598;

								BgL_arg1829z00_3598 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1113z00_3388)));
								BgL_arg1828z00_3597 = (BgL_arg1829z00_3598 - OBJECT_TYPE);
							}
							BgL_arg1366z00_3596 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_3597);
						}
						BgL_arg1365z00_3595 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1366z00_3596);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_tmpz00_6014;

						BgL_tmpz00_6014 = ((obj_t) BgL_arg1365z00_3595);
						BgL_arg1364z00_3594 = BGL_CLASS_NUM(BgL_tmpz00_6014);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1113z00_3388)), BgL_arg1364z00_3594);
			}
			{	/* Integrate/iinfo.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_6020;

				BgL_tmpz00_6020 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3388));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6020, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3388));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3388));
		}

	}



/* &<@anonymous:1362> */
	obj_t BGl_z62zc3z04anonymousza31362ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3389, obj_t BgL_new1112z00_3390)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarz00_bglt BgL_auxz00_6028;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1112z00_3390))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6032;

					{
						obj_t BgL_auxz00_6033;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6034;

							BgL_tmpz00_6034 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3390));
							BgL_auxz00_6033 = BGL_OBJECT_WIDENING(BgL_tmpz00_6034);
						}
						BgL_auxz00_6032 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6033);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6032))->
							BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6040;

					{
						obj_t BgL_auxz00_6041;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6042;

							BgL_tmpz00_6042 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3390));
							BgL_auxz00_6041 = BGL_OBJECT_WIDENING(BgL_tmpz00_6042);
						}
						BgL_auxz00_6040 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6041);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6040))->
							BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6048;

					{
						obj_t BgL_auxz00_6049;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6050;

							BgL_tmpz00_6050 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3390));
							BgL_auxz00_6049 = BGL_OBJECT_WIDENING(BgL_tmpz00_6050);
						}
						BgL_auxz00_6048 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6049);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6048))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6056;

					{
						obj_t BgL_auxz00_6057;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6058;

							BgL_tmpz00_6058 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3390));
							BgL_auxz00_6057 = BGL_OBJECT_WIDENING(BgL_tmpz00_6058);
						}
						BgL_auxz00_6056 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6057);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6056))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6064;

					{
						obj_t BgL_auxz00_6065;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6066;

							BgL_tmpz00_6066 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3390));
							BgL_auxz00_6065 = BGL_OBJECT_WIDENING(BgL_tmpz00_6066);
						}
						BgL_auxz00_6064 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6065);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6064))->
							BgL_xhdlz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6028 = ((BgL_svarz00_bglt) BgL_new1112z00_3390);
				return ((obj_t) BgL_auxz00_6028);
			}
		}

	}



/* &lambda1359 */
	BgL_svarz00_bglt BGl_z62lambda1359z62zzintegrate_infoz00(obj_t
		BgL_envz00_3391, obj_t BgL_o1109z00_3392)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				BgL_svarzf2iinfozf2_bglt BgL_wide1111z00_3601;

				BgL_wide1111z00_3601 =
					((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_auxz00_6079;
					BgL_objectz00_bglt BgL_tmpz00_6075;

					BgL_auxz00_6079 = ((obj_t) BgL_wide1111z00_3601);
					BgL_tmpz00_6075 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3392)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6075, BgL_auxz00_6079);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3392)));
				{	/* Integrate/iinfo.scm 23 */
					long BgL_arg1361z00_3602;

					BgL_arg1361z00_3602 =
						BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1109z00_3392))), BgL_arg1361z00_3602);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3392)));
			}
		}

	}



/* &lambda1354 */
	BgL_svarz00_bglt BGl_z62lambda1354z62zzintegrate_infoz00(obj_t
		BgL_envz00_3393, obj_t BgL_loc1103z00_3394, obj_t BgL_fzd2mark1104zd2_3395,
		obj_t BgL_uzd2mark1105zd2_3396, obj_t BgL_kapturedzf31106zf3_3397,
		obj_t BgL_celledzf31107zf3_3398, obj_t BgL_xhdl1108z00_3399)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_kapturedzf31106zf3_3603;
				bool_t BgL_celledzf31107zf3_3604;

				BgL_kapturedzf31106zf3_3603 = CBOOL(BgL_kapturedzf31106zf3_3397);
				BgL_celledzf31107zf3_3604 = CBOOL(BgL_celledzf31107zf3_3398);
				{	/* Integrate/iinfo.scm 23 */
					BgL_svarz00_bglt BgL_new1192z00_3605;

					{	/* Integrate/iinfo.scm 23 */
						BgL_svarz00_bglt BgL_tmp1190z00_3606;
						BgL_svarzf2iinfozf2_bglt BgL_wide1191z00_3607;

						{
							BgL_svarz00_bglt BgL_auxz00_6095;

							{	/* Integrate/iinfo.scm 23 */
								BgL_svarz00_bglt BgL_new1189z00_3608;

								BgL_new1189z00_3608 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Integrate/iinfo.scm 23 */
									long BgL_arg1358z00_3609;

									BgL_arg1358z00_3609 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1189z00_3608),
										BgL_arg1358z00_3609);
								}
								{	/* Integrate/iinfo.scm 23 */
									BgL_objectz00_bglt BgL_tmpz00_6100;

									BgL_tmpz00_6100 = ((BgL_objectz00_bglt) BgL_new1189z00_3608);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6100, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1189z00_3608);
								BgL_auxz00_6095 = BgL_new1189z00_3608;
							}
							BgL_tmp1190z00_3606 = ((BgL_svarz00_bglt) BgL_auxz00_6095);
						}
						BgL_wide1191z00_3607 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 23 */
							obj_t BgL_auxz00_6108;
							BgL_objectz00_bglt BgL_tmpz00_6106;

							BgL_auxz00_6108 = ((obj_t) BgL_wide1191z00_3607);
							BgL_tmpz00_6106 = ((BgL_objectz00_bglt) BgL_tmp1190z00_3606);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6106, BgL_auxz00_6108);
						}
						((BgL_objectz00_bglt) BgL_tmp1190z00_3606);
						{	/* Integrate/iinfo.scm 23 */
							long BgL_arg1356z00_3610;

							BgL_arg1356z00_3610 =
								BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1190z00_3606),
								BgL_arg1356z00_3610);
						}
						BgL_new1192z00_3605 = ((BgL_svarz00_bglt) BgL_tmp1190z00_3606);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1192z00_3605)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_3394), BUNSPEC);
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6118;

						{
							obj_t BgL_auxz00_6119;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6120;

								BgL_tmpz00_6120 = ((BgL_objectz00_bglt) BgL_new1192z00_3605);
								BgL_auxz00_6119 = BGL_OBJECT_WIDENING(BgL_tmpz00_6120);
							}
							BgL_auxz00_6118 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6119);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6118))->
								BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1104zd2_3395), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6125;

						{
							obj_t BgL_auxz00_6126;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6127;

								BgL_tmpz00_6127 = ((BgL_objectz00_bglt) BgL_new1192z00_3605);
								BgL_auxz00_6126 = BGL_OBJECT_WIDENING(BgL_tmpz00_6127);
							}
							BgL_auxz00_6125 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6126);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6125))->
								BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1105zd2_3396), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6132;

						{
							obj_t BgL_auxz00_6133;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6134;

								BgL_tmpz00_6134 = ((BgL_objectz00_bglt) BgL_new1192z00_3605);
								BgL_auxz00_6133 = BGL_OBJECT_WIDENING(BgL_tmpz00_6134);
							}
							BgL_auxz00_6132 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6133);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6132))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31106zf3_3603), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6139;

						{
							obj_t BgL_auxz00_6140;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6141;

								BgL_tmpz00_6141 = ((BgL_objectz00_bglt) BgL_new1192z00_3605);
								BgL_auxz00_6140 = BGL_OBJECT_WIDENING(BgL_tmpz00_6141);
							}
							BgL_auxz00_6139 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6140);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6139))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31107zf3_3604), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6146;

						{
							obj_t BgL_auxz00_6147;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6148;

								BgL_tmpz00_6148 = ((BgL_objectz00_bglt) BgL_new1192z00_3605);
								BgL_auxz00_6147 = BGL_OBJECT_WIDENING(BgL_tmpz00_6148);
							}
							BgL_auxz00_6146 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6147);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6146))->
								BgL_xhdlz00) = ((obj_t) BgL_xhdl1108z00_3399), BUNSPEC);
					}
					return BgL_new1192z00_3605;
				}
			}
		}

	}



/* &<@anonymous:1509> */
	obj_t BGl_z62zc3z04anonymousza31509ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3400)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1508 */
	obj_t BGl_z62lambda1508z62zzintegrate_infoz00(obj_t BgL_envz00_3401,
		obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6154;

				{
					obj_t BgL_auxz00_6155;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6156;

						BgL_tmpz00_6156 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3402));
						BgL_auxz00_6155 = BGL_OBJECT_WIDENING(BgL_tmpz00_6156);
					}
					BgL_auxz00_6154 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6155);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6154))->
						BgL_xhdlz00) = ((obj_t) BgL_vz00_3403), BUNSPEC);
			}
		}

	}



/* &lambda1507 */
	obj_t BGl_z62lambda1507z62zzintegrate_infoz00(obj_t BgL_envz00_3404,
		obj_t BgL_oz00_3405)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6162;

				{
					obj_t BgL_auxz00_6163;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6164;

						BgL_tmpz00_6164 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3405));
						BgL_auxz00_6163 = BGL_OBJECT_WIDENING(BgL_tmpz00_6164);
					}
					BgL_auxz00_6162 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6163);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6162))->BgL_xhdlz00);
			}
		}

	}



/* &<@anonymous:1470> */
	obj_t BGl_z62zc3z04anonymousza31470ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3406)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1469 */
	obj_t BGl_z62lambda1469z62zzintegrate_infoz00(obj_t BgL_envz00_3407,
		obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_vz00_3614;

				BgL_vz00_3614 = CBOOL(BgL_vz00_3409);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6172;

					{
						obj_t BgL_auxz00_6173;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6174;

							BgL_tmpz00_6174 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3408));
							BgL_auxz00_6173 = BGL_OBJECT_WIDENING(BgL_tmpz00_6174);
						}
						BgL_auxz00_6172 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6173);
					}
					return
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6172))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_3614), BUNSPEC);
				}
			}
		}

	}



/* &lambda1468 */
	obj_t BGl_z62lambda1468z62zzintegrate_infoz00(obj_t BgL_envz00_3410,
		obj_t BgL_oz00_3411)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_tmpz00_6180;

				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6181;

					{
						obj_t BgL_auxz00_6182;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6183;

							BgL_tmpz00_6183 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3411));
							BgL_auxz00_6182 = BGL_OBJECT_WIDENING(BgL_tmpz00_6183);
						}
						BgL_auxz00_6181 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6182);
					}
					BgL_tmpz00_6180 =
						(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6181))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6180);
			}
		}

	}



/* &<@anonymous:1424> */
	obj_t BGl_z62zc3z04anonymousza31424ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3412)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1423 */
	obj_t BGl_z62lambda1423z62zzintegrate_infoz00(obj_t BgL_envz00_3413,
		obj_t BgL_oz00_3414, obj_t BgL_vz00_3415)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_vz00_3617;

				BgL_vz00_3617 = CBOOL(BgL_vz00_3415);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6192;

					{
						obj_t BgL_auxz00_6193;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6194;

							BgL_tmpz00_6194 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3414));
							BgL_auxz00_6193 = BGL_OBJECT_WIDENING(BgL_tmpz00_6194);
						}
						BgL_auxz00_6192 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6193);
					}
					return
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6192))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_3617), BUNSPEC);
				}
			}
		}

	}



/* &lambda1422 */
	obj_t BGl_z62lambda1422z62zzintegrate_infoz00(obj_t BgL_envz00_3416,
		obj_t BgL_oz00_3417)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_tmpz00_6200;

				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6201;

					{
						obj_t BgL_auxz00_6202;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6203;

							BgL_tmpz00_6203 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3417));
							BgL_auxz00_6202 = BGL_OBJECT_WIDENING(BgL_tmpz00_6203);
						}
						BgL_auxz00_6201 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6202);
					}
					BgL_tmpz00_6200 =
						(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6201))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6200);
			}
		}

	}



/* &<@anonymous:1392> */
	obj_t BGl_z62zc3z04anonymousza31392ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3418)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1391 */
	obj_t BGl_z62lambda1391z62zzintegrate_infoz00(obj_t BgL_envz00_3419,
		obj_t BgL_oz00_3420, obj_t BgL_vz00_3421)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6210;

				{
					obj_t BgL_auxz00_6211;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6212;

						BgL_tmpz00_6212 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3420));
						BgL_auxz00_6211 = BGL_OBJECT_WIDENING(BgL_tmpz00_6212);
					}
					BgL_auxz00_6210 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6211);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6210))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_3421), BUNSPEC);
			}
		}

	}



/* &lambda1390 */
	obj_t BGl_z62lambda1390z62zzintegrate_infoz00(obj_t BgL_envz00_3422,
		obj_t BgL_oz00_3423)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6218;

				{
					obj_t BgL_auxz00_6219;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6220;

						BgL_tmpz00_6220 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3423));
						BgL_auxz00_6219 = BGL_OBJECT_WIDENING(BgL_tmpz00_6220);
					}
					BgL_auxz00_6218 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6219);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6218))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &<@anonymous:1381> */
	obj_t BGl_z62zc3z04anonymousza31381ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3424)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1380 */
	obj_t BGl_z62lambda1380z62zzintegrate_infoz00(obj_t BgL_envz00_3425,
		obj_t BgL_oz00_3426, obj_t BgL_vz00_3427)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6226;

				{
					obj_t BgL_auxz00_6227;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6228;

						BgL_tmpz00_6228 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3426));
						BgL_auxz00_6227 = BGL_OBJECT_WIDENING(BgL_tmpz00_6228);
					}
					BgL_auxz00_6226 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6227);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6226))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_3427), BUNSPEC);
			}
		}

	}



/* &lambda1379 */
	obj_t BGl_z62lambda1379z62zzintegrate_infoz00(obj_t BgL_envz00_3428,
		obj_t BgL_oz00_3429)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6234;

				{
					obj_t BgL_auxz00_6235;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6236;

						BgL_tmpz00_6236 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3429));
						BgL_auxz00_6235 = BGL_OBJECT_WIDENING(BgL_tmpz00_6236);
					}
					BgL_auxz00_6234 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6235);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6234))->
					BgL_fzd2markzd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2066z00zzintegrate_infoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2066z00zzintegrate_infoz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2066z00zzintegrate_infoz00));
		}

	}

#ifdef __cplusplus
}
#endif
