/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static BgL_nodez00_bglt BGl_z62gloz12zd2app1332za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1320za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00(void);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1345za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00(void);
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1351z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_z62gloz121317z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1334z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00(void);
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1339za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1349za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1322za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1355za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1336za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1341za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1353z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1343za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00(void);
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1330za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00(void);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1326za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1347za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00(void);
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1361z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1359z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121363z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1324za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1357za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1328za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in1992za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1955z00zzintegrate_nodez00,
		BgL_bgl_string1955za700za7za7i1993za7, "glo!1317", 8);
	      DEFINE_STRING(BGl_string1956z00zzintegrate_nodez00,
		BgL_bgl_string1956za700za7za7i1994za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1958z00zzintegrate_nodez00,
		BgL_bgl_string1958za700za7za7i1995za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121317za7701996za7,
		BGl_z62gloz121317z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom1997za7,
		BGl_z62gloz12zd2atom1320za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot1998za7,
		BGl_z62gloz12zd2kwote1322za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var11999za7,
		BGl_z62gloz12zd2var1324za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2000za7,
		BGl_z62gloz12zd2closure1326za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2001za7,
		BGl_z62gloz12zd2sequence1328za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync2002za7,
		BGl_z62gloz12zd2sync1330za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12003za7,
		BGl_z62gloz12zd2app1332za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72004z00,
		BGl_z62gloz12zd2appzd2ly1334z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2005za7,
		BGl_z62gloz12zd2funcall1336za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2006za7,
		BGl_z62gloz12zd2extern1339za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2007za7,
		BGl_z62gloz12zd2cast1341za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2008za7,
		BGl_z62gloz12zd2setq1343za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2009za7,
		BGl_z62gloz12zd2conditional1345za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2010za7,
		BGl_z62gloz12zd2fail1347za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2swit2011za7,
		BGl_z62gloz12zd2switch1349za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72012z00,
		BGl_z62gloz12zd2letzd2fun1351z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1980z00zzintegrate_nodez00,
		BgL_bgl_string1980za700za7za7i2013za7, "box-ref=", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72014z00,
		BGl_z62gloz12zd2letzd2var1353z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1981z00zzintegrate_nodez00,
		BgL_bgl_string1981za700za7za7i2015za7, ":", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72016z00,
		BGl_z62gloz12zd2setzd2exzd2it1355za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1982z00zzintegrate_nodez00,
		BgL_bgl_string1982za700za7za7i2017za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2018za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1357za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1983z00zzintegrate_nodez00,
		BgL_bgl_string1983za700za7za7i2019za7, "Integrate/node.scm", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2020za7,
		BGl_z62gloz12zd2makezd2box1359z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1984z00zzintegrate_nodez00,
		BgL_bgl_string1984za700za7za7i2021za7, "access=", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72022z00,
		BGl_z62gloz12zd2boxzd2ref1361z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1985z00zzintegrate_nodez00,
		BgL_bgl_string1985za700za7za7i2023za7, "integration", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72024z00,
		BGl_z62gloz12zd2boxzd2setz121363z62zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2025z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1986z00zzintegrate_nodez00,
		BgL_bgl_string1986za700za7za7i2026za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string1987z00zzintegrate_nodez00,
		BgL_bgl_string1987za700za7za7i2027za7, "node-free", 9);
	      DEFINE_STRING(BGl_string1988z00zzintegrate_nodez00,
		BgL_bgl_string1988za700za7za7i2028za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string1989z00zzintegrate_nodez00,
		BgL_bgl_string1989za700za7za7i2029za7, "integrate_node", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2030z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1990z00zzintegrate_nodez00,
		BgL_bgl_string1990za700za7za7i2031za7,
		"aux glo!1317 done (write cell-integrate) cell-integrate ", 56);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3255, char *BgL_fromz00_3256)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_nodez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BGl_toplevelzd2initzd2zzintegrate_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_2997;

				{	/* Integrate/node.scm 15 */
					obj_t BgL_stringz00_3004;

					BgL_stringz00_3004 = BGl_string1990z00zzintegrate_nodez00;
					{	/* Integrate/node.scm 15 */
						obj_t BgL_startz00_3005;

						BgL_startz00_3005 = BINT(((long) 0));
						{	/* Integrate/node.scm 15 */
							obj_t BgL_endz00_3006;

							BgL_endz00_3006 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3004)));
							{	/* Integrate/node.scm 15 */

								BgL_cportz00_2997 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3004, BgL_startz00_3005, BgL_endz00_3006);
				}}}}
				{
					long BgL_iz00_2998;

					BgL_iz00_2998 = ((long) 4);
				BgL_loopz00_2999:
					if ((BgL_iz00_2998 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg1991z00_3000;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3002;

										BgL_locationz00_3002 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg1991z00_3000 =
												BGl_readz00zz__readerz00(BgL_cportz00_2997,
												BgL_locationz00_3002);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_tmpz00_3287;

									BgL_tmpz00_3287 = (int) (BgL_iz00_2998);
									CNST_TABLE_SET(BgL_tmpz00_3287, BgL_arg1991z00_3000);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3003;

								BgL_auxz00_3003 = (int) ((BgL_iz00_2998 - ((long) 1)));
								{
									long BgL_iz00_3292;

									BgL_iz00_3292 = (long) (BgL_auxz00_3003);
									BgL_iz00_2998 = BgL_iz00_3292;
									goto BgL_loopz00_2999;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1619;

				BgL_headz00_1619 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1620;
					obj_t BgL_tailz00_1621;

					BgL_prevz00_1620 = BgL_headz00_1619;
					BgL_tailz00_1621 = BgL_l1z00_1;
				BgL_loopz00_1622:
					if (PAIRP(BgL_tailz00_1621))
						{
							obj_t BgL_newzd2prevzd2_1624;

							BgL_newzd2prevzd2_1624 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1621), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1620, BgL_newzd2prevzd2_1624);
							{
								obj_t BgL_tailz00_3302;
								obj_t BgL_prevz00_3301;

								BgL_prevz00_3301 = BgL_newzd2prevzd2_1624;
								BgL_tailz00_3302 = CDR(BgL_tailz00_1621);
								BgL_tailz00_1621 = BgL_tailz00_3302;
								BgL_prevz00_1620 = BgL_prevz00_3301;
								goto BgL_loopz00_1622;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1619);
				}
			}
		}

	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1627;

				BgL_funz00_1627 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1628;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg1390z00_1649;

						BgL_arg1390z00_1649 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1627)))->BgL_argsz00);
						BgL_celledz00_1628 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg1390z00_1649);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1629;

						BgL_whatzf2byza2z50_1629 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1628,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1292z00_1631;

								BgL_l1292z00_1631 = BgL_whatzf2byza2z50_1629;
							BgL_zc3z04anonymousza31376ze3z87_1632:
								if (PAIRP(BgL_l1292z00_1631))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1634;

											BgL_wzd2bzd2_1634 = CAR(BgL_l1292z00_1631);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg1378z00_1635;
												obj_t BgL_arg1381z00_1636;

												BgL_arg1378z00_1635 = CAR(((obj_t) BgL_wzd2bzd2_1634));
												BgL_arg1381z00_1636 = CDR(((obj_t) BgL_wzd2bzd2_1634));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1378z00_1635))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1381z00_1636), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1292z00_3320;

											BgL_l1292z00_3320 = CDR(BgL_l1292z00_1631);
											BgL_l1292z00_1631 = BgL_l1292z00_3320;
											goto BgL_zc3z04anonymousza31376ze3z87_1632;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1639;

								BgL_resz00_1639 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1628,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1294z00_1641;

									BgL_l1294z00_1641 = BgL_whatzf2byza2z50_1629;
								BgL_zc3z04anonymousza31385ze3z87_1642:
									if (PAIRP(BgL_l1294z00_1641))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1644;

												BgL_wzd2bzd2_1644 = CAR(BgL_l1294z00_1641);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg1387z00_1645;

													BgL_arg1387z00_1645 =
														CAR(((obj_t) BgL_wzd2bzd2_1644));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1387z00_1645))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1294z00_3332;

												BgL_l1294z00_3332 = CDR(BgL_l1294z00_1641);
												BgL_l1294z00_1641 = BgL_l1294z00_3332;
												goto BgL_zc3z04anonymousza31385ze3z87_1642;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1639);
							}
						}
					}
				}
			}
		}

	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2896, obj_t BgL_astz00_2897, obj_t BgL_integratorz00_2898,
		obj_t BgL_whatzf2byza2z50_2899)
	{
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2897),
				((BgL_variablez00_bglt) BgL_integratorz00_2898),
				BgL_whatzf2byza2z50_2899);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1652;
				obj_t BgL_formalsz00_1653;

				BgL_celledz00_1652 = BNIL;
				BgL_formalsz00_1653 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31391ze3z87_1654:
				if (NULLP(BgL_formalsz00_1653))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1652;
					}
				else
					{	/* Integrate/node.scm 65 */
						bool_t BgL_test2038z00_3340;

						{	/* Integrate/node.scm 65 */
							obj_t BgL_arg1458z00_1664;

							BgL_arg1458z00_1664 = CAR(((obj_t) BgL_formalsz00_1653));
							BgL_test2038z00_3340 =
								BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) BgL_arg1458z00_1664));
						}
						if (BgL_test2038z00_3340)
							{	/* Integrate/node.scm 68 */
								obj_t BgL_ovarz00_1658;

								BgL_ovarz00_1658 = CAR(((obj_t) BgL_formalsz00_1653));
								{	/* Integrate/node.scm 68 */
									BgL_localz00_bglt BgL_nvarz00_1659;

									BgL_nvarz00_1659 =
										BGl_cellzd2variablezd2zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_ovarz00_1658));
									{	/* Integrate/node.scm 69 */

										{	/* Integrate/node.scm 70 */
											obj_t BgL_arg1421z00_1660;
											obj_t BgL_arg1422z00_1661;

											{	/* Integrate/node.scm 70 */
												obj_t BgL_arg1426z00_1662;

												BgL_arg1426z00_1662 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1658,
													((obj_t) BgL_nvarz00_1659));
												BgL_arg1421z00_1660 =
													MAKE_YOUNG_PAIR(BgL_arg1426z00_1662,
													BgL_celledz00_1652);
											}
											BgL_arg1422z00_1661 = CDR(((obj_t) BgL_formalsz00_1653));
											{
												obj_t BgL_formalsz00_3355;
												obj_t BgL_celledz00_3354;

												BgL_celledz00_3354 = BgL_arg1421z00_1660;
												BgL_formalsz00_3355 = BgL_arg1422z00_1661;
												BgL_formalsz00_1653 = BgL_formalsz00_3355;
												BgL_celledz00_1652 = BgL_celledz00_3354;
												goto BgL_zc3z04anonymousza31391ze3z87_1654;
											}
										}
									}
								}
							}
						else
							{	/* Integrate/node.scm 66 */
								obj_t BgL_arg1429z00_1663;

								BgL_arg1429z00_1663 = CDR(((obj_t) BgL_formalsz00_1653));
								{
									obj_t BgL_formalsz00_3358;

									BgL_formalsz00_3358 = BgL_arg1429z00_1663;
									BgL_formalsz00_1653 = BgL_formalsz00_3358;
									goto BgL_zc3z04anonymousza31391ze3z87_1654;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/node.scm 75 */
			{	/* Integrate/node.scm 76 */
				BgL_localz00_bglt BgL_varz00_1666;

				{	/* Integrate/node.scm 76 */
					obj_t BgL_arg1468z00_1672;

					BgL_arg1468z00_1672 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1666 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1468z00_1672,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Integrate/node.scm 77 */
					obj_t BgL_vz00_2272;

					BgL_vz00_2272 = CNST_TABLE_REF(((long) 0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1666)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2272), BUNSPEC);
				}
				{	/* Integrate/node.scm 78 */
					BgL_svarz00_bglt BgL_tmp1110z00_1667;

					BgL_tmp1110z00_1667 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1666)))->BgL_valuez00));
					{	/* Integrate/node.scm 78 */
						BgL_svarzf2iinfozf2_bglt BgL_wide1112z00_1669;

						BgL_wide1112z00_1669 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/node.scm 78 */
							obj_t BgL_auxz00_3373;
							BgL_objectz00_bglt BgL_tmpz00_3370;

							BgL_auxz00_3373 = ((obj_t) BgL_wide1112z00_1669);
							BgL_tmpz00_3370 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3370, BgL_auxz00_3373);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
						{	/* Integrate/node.scm 78 */
							long BgL_arg1467z00_1670;

							BgL_arg1467z00_1670 =
								BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667)),
								BgL_arg1467z00_1670);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3384;

						{
							obj_t BgL_auxz00_3385;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3386;

								BgL_tmpz00_3386 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
								BgL_auxz00_3385 = BGL_OBJECT_WIDENING(BgL_tmpz00_3386);
							}
							BgL_auxz00_3384 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3385);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3384))->
								BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3392;

						{
							obj_t BgL_auxz00_3393;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3394;

								BgL_tmpz00_3394 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
								BgL_auxz00_3393 = BGL_OBJECT_WIDENING(BgL_tmpz00_3394);
							}
							BgL_auxz00_3392 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3393);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3392))->
								BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3400;

						{
							obj_t BgL_auxz00_3401;

							{	/* Integrate/node.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_3402;

								BgL_tmpz00_3402 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
								BgL_auxz00_3401 = BGL_OBJECT_WIDENING(BgL_tmpz00_3402);
							}
							BgL_auxz00_3400 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3401);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3400))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3408;

						{
							obj_t BgL_auxz00_3409;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3410;

								BgL_tmpz00_3410 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
								BgL_auxz00_3409 = BGL_OBJECT_WIDENING(BgL_tmpz00_3410);
							}
							BgL_auxz00_3408 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3409);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3408))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3416;

						{
							obj_t BgL_auxz00_3417;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3418;

								BgL_tmpz00_3418 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1667));
								BgL_auxz00_3417 = BGL_OBJECT_WIDENING(BgL_tmpz00_3418);
							}
							BgL_auxz00_3416 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3417);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3416))->
								BgL_xhdlz00) = ((obj_t) BFALSE), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1110z00_1667);
				}
				return BgL_varz00_1666;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Integrate/node.scm 86 */
			if (NULLP(BgL_celledz00_8))
				{	/* Integrate/node.scm 87 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Integrate/node.scm 89 */
					obj_t BgL_locz00_1674;

					BgL_locz00_1674 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Integrate/node.scm 90 */
						BgL_letzd2varzd2_bglt BgL_new1116z00_1675;

						{	/* Integrate/node.scm 91 */
							BgL_letzd2varzd2_bglt BgL_new1114z00_1697;

							BgL_new1114z00_1697 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 91 */
								long BgL_arg1523z00_1698;

								BgL_arg1523z00_1698 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1114z00_1697),
									BgL_arg1523z00_1698);
							}
							{	/* Integrate/node.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_3432;

								BgL_tmpz00_3432 = ((BgL_objectz00_bglt) BgL_new1114z00_1697);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3432, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1114z00_1697);
							BgL_new1116z00_1675 = BgL_new1114z00_1697;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1116z00_1675)))->BgL_locz00) =
							((obj_t) BgL_locz00_1674), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1116z00_1675)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1116z00_1675)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1116z00_1675)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3446;

							{	/* Integrate/node.scm 94 */
								obj_t BgL_head1298z00_1678;

								BgL_head1298z00_1678 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1296z00_1680;
									obj_t BgL_tail1299z00_1681;

									BgL_l1296z00_1680 = BgL_celledz00_8;
									BgL_tail1299z00_1681 = BgL_head1298z00_1678;
								BgL_zc3z04anonymousza31471ze3z87_1682:
									if (NULLP(BgL_l1296z00_1680))
										{	/* Integrate/node.scm 94 */
											BgL_auxz00_3446 = CDR(BgL_head1298z00_1678);
										}
									else
										{	/* Integrate/node.scm 94 */
											obj_t BgL_newtail1300z00_1684;

											{	/* Integrate/node.scm 94 */
												obj_t BgL_arg1484z00_1686;

												{	/* Integrate/node.scm 94 */
													obj_t BgL_ozd2nzd2_1687;

													BgL_ozd2nzd2_1687 = CAR(((obj_t) BgL_l1296z00_1680));
													{	/* Integrate/node.scm 95 */
														obj_t BgL_arg1496z00_1688;
														BgL_makezd2boxzd2_bglt BgL_arg1506z00_1689;

														BgL_arg1496z00_1688 =
															CDR(((obj_t) BgL_ozd2nzd2_1687));
														{	/* Integrate/node.scm 96 */
															BgL_refz00_bglt BgL_arg1510z00_1690;
															obj_t BgL_arg1511z00_1691;

															{	/* Integrate/node.scm 96 */
																BgL_refz00_bglt BgL_new1118z00_1692;

																{	/* Integrate/node.scm 99 */
																	BgL_refz00_bglt BgL_new1117z00_1694;

																	BgL_new1117z00_1694 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Integrate/node.scm 99 */
																		long BgL_arg1522z00_1695;

																		{	/* Integrate/node.scm 99 */
																			obj_t BgL_classz00_2292;

																			BgL_classz00_2292 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1522z00_1695 =
																				BGL_CLASS_NUM(BgL_classz00_2292);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1117z00_1694),
																			BgL_arg1522z00_1695);
																	}
																	{	/* Integrate/node.scm 99 */
																		BgL_objectz00_bglt BgL_tmpz00_3459;

																		BgL_tmpz00_3459 =
																			((BgL_objectz00_bglt)
																			BgL_new1117z00_1694);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3459,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1117z00_1694);
																	BgL_new1118z00_1692 = BgL_new1117z00_1694;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1118z00_1692)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1674), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1118z00_1692)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt)
																						CAR(((obj_t)
																								BgL_ozd2nzd2_1687)))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1118z00_1692)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) CAR(((obj_t)
																					BgL_ozd2nzd2_1687)))), BUNSPEC);
																BgL_arg1510z00_1690 = BgL_new1118z00_1692;
															}
															BgL_arg1511z00_1691 =
																CAR(((obj_t) BgL_ozd2nzd2_1687));
															BgL_arg1506z00_1689 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																((BgL_nodez00_bglt) BgL_arg1510z00_1690),
																((BgL_variablez00_bglt) BgL_arg1511z00_1691));
														}
														BgL_arg1484z00_1686 =
															MAKE_YOUNG_PAIR(BgL_arg1496z00_1688,
															((obj_t) BgL_arg1506z00_1689));
												}}
												BgL_newtail1300z00_1684 =
													MAKE_YOUNG_PAIR(BgL_arg1484z00_1686, BNIL);
											}
											SET_CDR(BgL_tail1299z00_1681, BgL_newtail1300z00_1684);
											{	/* Integrate/node.scm 94 */
												obj_t BgL_arg1482z00_1685;

												BgL_arg1482z00_1685 = CDR(((obj_t) BgL_l1296z00_1680));
												{
													obj_t BgL_tail1299z00_3488;
													obj_t BgL_l1296z00_3487;

													BgL_l1296z00_3487 = BgL_arg1482z00_1685;
													BgL_tail1299z00_3488 = BgL_newtail1300z00_1684;
													BgL_tail1299z00_1681 = BgL_tail1299z00_3488;
													BgL_l1296z00_1680 = BgL_l1296z00_3487;
													goto BgL_zc3z04anonymousza31471ze3z87_1682;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1675))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3446), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1675))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1675))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1116z00_1675);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Integrate/node.scm 106 */
			{	/* Integrate/node.scm 110 */
				obj_t BgL_vz00_2303;

				BgL_vz00_2303 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2303), BUNSPEC);
			}
			{	/* Integrate/node.scm 111 */
				BgL_valuez00_bglt BgL_arg1524z00_1700;

				BgL_arg1524z00_1700 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3498;

					{
						obj_t BgL_auxz00_3499;

						{	/* Integrate/node.scm 111 */
							BgL_objectz00_bglt BgL_tmpz00_3500;

							BgL_tmpz00_3500 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1524z00_1700));
							BgL_auxz00_3499 = BGL_OBJECT_WIDENING(BgL_tmpz00_3500);
						}
						BgL_auxz00_3498 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3499);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3498))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Integrate/node.scm 112 */
				BgL_makezd2boxzd2_bglt BgL_new1122z00_1701;

				{	/* Integrate/node.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_new1120z00_1703;

					BgL_new1120z00_1703 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 115 */
						long BgL_arg1529z00_1704;

						BgL_arg1529z00_1704 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1120z00_1703), BgL_arg1529z00_1704);
					}
					{	/* Integrate/node.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_3510;

						BgL_tmpz00_3510 = ((BgL_objectz00_bglt) BgL_new1120z00_1703);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3510, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1120z00_1703);
					BgL_new1122z00_1701 = BgL_new1120z00_1703;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1122z00_1701)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1122z00_1701)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1122z00_1701)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1122z00_1701)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1122z00_1701))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3526;

					{	/* Integrate/node.scm 114 */
						BgL_typez00_bglt BgL_arg1526z00_1702;

						BgL_arg1526z00_1702 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_3526 =
							BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1526z00_1702);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1122z00_1701))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3526), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1122z00_1701))->
						BgL_stackablez00) = ((obj_t) BTRUE), BUNSPEC);
				return BgL_new1122z00_1701;
			}
		}

	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_12)
	{
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_test2041z00_3531;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg1559z00_1711;

					BgL_arg1559z00_1711 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_variablez00_12)))->BgL_valuez00);
					{	/* Integrate/node.scm 133 */
						obj_t BgL_classz00_2314;

						BgL_classz00_2314 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/node.scm 133 */
							BgL_objectz00_bglt BgL_arg1820z00_2316;

							{	/* Integrate/node.scm 133 */
								obj_t BgL_tmpz00_3534;

								BgL_tmpz00_3534 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1559z00_1711));
								BgL_arg1820z00_2316 = (BgL_objectz00_bglt) (BgL_tmpz00_3534);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/node.scm 133 */
									long BgL_idxz00_2322;

									BgL_idxz00_2322 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2316);
									BgL_test2041z00_3531 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2322 + ((long) 3))) == BgL_classz00_2314);
								}
							else
								{	/* Integrate/node.scm 133 */
									bool_t BgL_res1935z00_2344;

									{	/* Integrate/node.scm 133 */
										obj_t BgL_oclassz00_2330;

										{	/* Integrate/node.scm 133 */
											long BgL_arg1828z00_2336;

											{	/* Integrate/node.scm 133 */
												long BgL_arg1829z00_2337;

												BgL_arg1829z00_2337 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2316);
												BgL_arg1828z00_2336 =
													(BgL_arg1829z00_2337 - OBJECT_TYPE);
											}
											BgL_oclassz00_2330 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2336);
										}
										{	/* Integrate/node.scm 133 */
											bool_t BgL__ortest_1111z00_2331;

											BgL__ortest_1111z00_2331 =
												(BgL_classz00_2314 == BgL_oclassz00_2330);
											if (BgL__ortest_1111z00_2331)
												{	/* Integrate/node.scm 133 */
													BgL_res1935z00_2344 = BgL__ortest_1111z00_2331;
												}
											else
												{	/* Integrate/node.scm 133 */
													long BgL_odepthz00_2332;

													BgL_odepthz00_2332 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2330);
													if ((((long) 3) < BgL_odepthz00_2332))
														{	/* Integrate/node.scm 133 */
															obj_t BgL_arg1816z00_2334;

															BgL_arg1816z00_2334 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2330,
																((long) 3));
															BgL_res1935z00_2344 =
																(BgL_arg1816z00_2334 == BgL_classz00_2314);
														}
													else
														{	/* Integrate/node.scm 133 */
															BgL_res1935z00_2344 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2041z00_3531 = BgL_res1935z00_2344;
								}
						}
					}
				}
				if (BgL_test2041z00_3531)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_1124z00_1706;

						{	/* Integrate/node.scm 134 */
							BgL_svarz00_bglt BgL_oz00_2346;

							BgL_oz00_2346 =
								((BgL_svarz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_12)))->
									BgL_valuez00));
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_3557;

								{
									obj_t BgL_auxz00_3558;

									{	/* Integrate/node.scm 134 */
										BgL_objectz00_bglt BgL_tmpz00_3559;

										BgL_tmpz00_3559 = ((BgL_objectz00_bglt) BgL_oz00_2346);
										BgL_auxz00_3558 = BGL_OBJECT_WIDENING(BgL_tmpz00_3559);
									}
									BgL_auxz00_3557 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3558);
								}
								BgL__ortest_1124z00_1706 =
									(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3557))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_1124z00_1706)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_1124z00_1706;
							}
						else
							{	/* Integrate/node.scm 134 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 1)))))
									{	/* Integrate/node.scm 136 */
										BgL_svarz00_bglt BgL_oz00_2350;

										BgL_oz00_2350 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_valuez00));
										{
											BgL_svarzf2iinfozf2_bglt BgL_auxz00_3574;

											{
												obj_t BgL_auxz00_3575;

												{	/* Integrate/node.scm 136 */
													BgL_objectz00_bglt BgL_tmpz00_3576;

													BgL_tmpz00_3576 =
														((BgL_objectz00_bglt) BgL_oz00_2350);
													BgL_auxz00_3575 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3576);
												}
												BgL_auxz00_3574 =
													((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3575);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3574))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2900, obj_t BgL_variablez00_2901)
	{
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2901)));
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Integrate/node.scm 439 */
			{
				obj_t BgL_nodeza2za2_1713;

				BgL_nodeza2za2_1713 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31560ze3z87_1714:
				if (NULLP(BgL_nodeza2za2_1713))
					{	/* Integrate/node.scm 441 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Integrate/node.scm 441 */
						{	/* Integrate/node.scm 444 */
							BgL_nodez00_bglt BgL_arg1565z00_1716;

							{	/* Integrate/node.scm 444 */
								obj_t BgL_arg1567z00_1717;

								BgL_arg1567z00_1717 = CAR(((obj_t) BgL_nodeza2za2_1713));
								BgL_arg1565z00_1716 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg1567z00_1717),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Integrate/node.scm 444 */
								obj_t BgL_auxz00_3594;
								obj_t BgL_tmpz00_3592;

								BgL_auxz00_3594 = ((obj_t) BgL_arg1565z00_1716);
								BgL_tmpz00_3592 = ((obj_t) BgL_nodeza2za2_1713);
								SET_CAR(BgL_tmpz00_3592, BgL_auxz00_3594);
							}
						}
						{	/* Integrate/node.scm 445 */
							obj_t BgL_arg1570z00_1718;

							BgL_arg1570z00_1718 = CDR(((obj_t) BgL_nodeza2za2_1713));
							{
								obj_t BgL_nodeza2za2_3599;

								BgL_nodeza2za2_3599 = BgL_arg1570z00_1718;
								BgL_nodeza2za2_1713 = BgL_nodeza2za2_3599;
								goto BgL_zc3z04anonymousza31560ze3z87_1714;
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_61, BgL_variablez00_bglt BgL_integratorz00_62)
	{
		{	/* Integrate/node.scm 450 */
			{	/* Integrate/node.scm 453 */
				BgL_valuez00_bglt BgL_funz00_1720;

				BgL_funz00_1720 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_61)))->BgL_valuez00);
				{	/* Integrate/node.scm 453 */
					obj_t BgL_obodyz00_1721;

					BgL_obodyz00_1721 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1720)))->BgL_bodyz00);
					{	/* Integrate/node.scm 454 */

						if ((((obj_t) BgL_localz00_61) == ((obj_t) BgL_integratorz00_62)))
							{	/* Integrate/node.scm 457 */
								BgL_nodez00_bglt BgL_arg1572z00_1722;

								BgL_arg1572z00_1722 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1721), BgL_integratorz00_62);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1720)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1572z00_1722)), BUNSPEC);
							}
						else
							{	/* Integrate/node.scm 458 */
								bool_t BgL_test2049z00_3613;

								{	/* Integrate/node.scm 458 */
									bool_t BgL_test2050z00_3614;

									{	/* Integrate/node.scm 458 */
										obj_t BgL_classz00_2358;

										BgL_classz00_2358 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
										{	/* Integrate/node.scm 458 */
											BgL_objectz00_bglt BgL_arg1820z00_2360;

											{	/* Integrate/node.scm 458 */
												obj_t BgL_tmpz00_3615;

												BgL_tmpz00_3615 =
													((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1720));
												BgL_arg1820z00_2360 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3615);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Integrate/node.scm 458 */
													long BgL_idxz00_2366;

													BgL_idxz00_2366 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2360);
													BgL_test2050z00_3614 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2366 + ((long) 4))) ==
														BgL_classz00_2358);
												}
											else
												{	/* Integrate/node.scm 458 */
													bool_t BgL_res1936z00_2388;

													{	/* Integrate/node.scm 458 */
														obj_t BgL_oclassz00_2374;

														{	/* Integrate/node.scm 458 */
															long BgL_arg1828z00_2380;

															{	/* Integrate/node.scm 458 */
																long BgL_arg1829z00_2381;

																BgL_arg1829z00_2381 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2360);
																BgL_arg1828z00_2380 =
																	(BgL_arg1829z00_2381 - OBJECT_TYPE);
															}
															BgL_oclassz00_2374 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2380);
														}
														{	/* Integrate/node.scm 458 */
															bool_t BgL__ortest_1111z00_2375;

															BgL__ortest_1111z00_2375 =
																(BgL_classz00_2358 == BgL_oclassz00_2374);
															if (BgL__ortest_1111z00_2375)
																{	/* Integrate/node.scm 458 */
																	BgL_res1936z00_2388 =
																		BgL__ortest_1111z00_2375;
																}
															else
																{	/* Integrate/node.scm 458 */
																	long BgL_odepthz00_2376;

																	BgL_odepthz00_2376 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2374);
																	if ((((long) 4) < BgL_odepthz00_2376))
																		{	/* Integrate/node.scm 458 */
																			obj_t BgL_arg1816z00_2378;

																			BgL_arg1816z00_2378 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2374, ((long) 4));
																			BgL_res1936z00_2388 =
																				(BgL_arg1816z00_2378 ==
																				BgL_classz00_2358);
																		}
																	else
																		{	/* Integrate/node.scm 458 */
																			BgL_res1936z00_2388 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2050z00_3614 = BgL_res1936z00_2388;
												}
										}
									}
									if (BgL_test2050z00_3614)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3635;

											{
												obj_t BgL_auxz00_3636;

												{	/* Integrate/node.scm 458 */
													BgL_objectz00_bglt BgL_tmpz00_3637;

													BgL_tmpz00_3637 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1720));
													BgL_auxz00_3636 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3637);
												}
												BgL_auxz00_3635 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3636);
											}
											BgL_test2049z00_3613 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3635))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 458 */
											BgL_test2049z00_3613 = ((bool_t) 0);
										}
								}
								if (BgL_test2049z00_3613)
									{	/* Integrate/node.scm 458 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 461 */
										obj_t BgL_celledz00_1725;

										{	/* Integrate/node.scm 461 */
											obj_t BgL_arg1598z00_1745;

											BgL_arg1598z00_1745 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1720)))->
												BgL_argsz00);
											BgL_celledz00_1725 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg1598z00_1745);
										}
										{
											obj_t BgL_l1313z00_1727;

											BgL_l1313z00_1727 = BgL_celledz00_1725;
										BgL_zc3z04anonymousza31576ze3z87_1728:
											if (PAIRP(BgL_l1313z00_1727))
												{	/* Integrate/node.scm 462 */
													{	/* Integrate/node.scm 463 */
														obj_t BgL_wzd2bzd2_1730;

														BgL_wzd2bzd2_1730 = CAR(BgL_l1313z00_1727);
														{	/* Integrate/node.scm 463 */
															obj_t BgL_arg1580z00_1731;
															obj_t BgL_arg1581z00_1732;

															BgL_arg1580z00_1731 =
																CAR(((obj_t) BgL_wzd2bzd2_1730));
															BgL_arg1581z00_1732 =
																CDR(((obj_t) BgL_wzd2bzd2_1730));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1580z00_1731)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_arg1581z00_1732), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1313z00_3655;

														BgL_l1313z00_3655 = CDR(BgL_l1313z00_1727);
														BgL_l1313z00_1727 = BgL_l1313z00_3655;
														goto BgL_zc3z04anonymousza31576ze3z87_1728;
													}
												}
											else
												{	/* Integrate/node.scm 462 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 465 */
											BgL_nodez00_bglt BgL_nbody1z00_1735;

											BgL_nbody1z00_1735 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1721),
												BgL_integratorz00_62);
											{	/* Integrate/node.scm 465 */
												BgL_nodez00_bglt BgL_nbody2z00_1736;

												BgL_nbody2z00_1736 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1725, BgL_nbody1z00_1735);
												{	/* Integrate/node.scm 466 */

													{
														obj_t BgL_l1315z00_1738;

														BgL_l1315z00_1738 = BgL_celledz00_1725;
													BgL_zc3z04anonymousza31583ze3z87_1739:
														if (PAIRP(BgL_l1315z00_1738))
															{	/* Integrate/node.scm 467 */
																{	/* Integrate/node.scm 468 */
																	obj_t BgL_wzd2bzd2_1741;

																	BgL_wzd2bzd2_1741 = CAR(BgL_l1315z00_1738);
																	{	/* Integrate/node.scm 468 */
																		obj_t BgL_arg1588z00_1742;

																		BgL_arg1588z00_1742 =
																			CAR(((obj_t) BgL_wzd2bzd2_1741));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_arg1588z00_1742)))->
																				BgL_fastzd2alphazd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																	}
																}
																{
																	obj_t BgL_l1315z00_3667;

																	BgL_l1315z00_3667 = CDR(BgL_l1315z00_1738);
																	BgL_l1315z00_1738 = BgL_l1315z00_3667;
																	goto BgL_zc3z04anonymousza31583ze3z87_1739;
																}
															}
														else
															{	/* Integrate/node.scm 467 */
																((bool_t) 1);
															}
													}
													return
														((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1720)))->
															BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_nbody2z00_1736)), BUNSPEC);
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc1954z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string1955z00zzintegrate_nodez00);
		}

	}



/* &glo!1317 */
	obj_t BGl_z62gloz121317z70zzintegrate_nodez00(obj_t BgL_envz00_2903,
		obj_t BgL_nodez00_2904, obj_t BgL_integratorz00_2905)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
				BGl_string1956z00zzintegrate_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2904)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method1318z00_1752;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res1941z00_2432;

					{	/* Integrate/node.scm 141 */
						long BgL_objzd2classzd2numz00_2403;

						BgL_objzd2classzd2numz00_2403 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Integrate/node.scm 141 */
							obj_t BgL_arg1825z00_2404;

							BgL_arg1825z00_2404 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (((long) 1)));
							{	/* Integrate/node.scm 141 */
								int BgL_offsetz00_2407;

								BgL_offsetz00_2407 = (int) (BgL_objzd2classzd2numz00_2403);
								{	/* Integrate/node.scm 141 */
									long BgL_offsetz00_2408;

									BgL_offsetz00_2408 =
										((long) (BgL_offsetz00_2407) - OBJECT_TYPE);
									{	/* Integrate/node.scm 141 */
										long BgL_modz00_2409;

										BgL_modz00_2409 =
											(BgL_offsetz00_2408 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/node.scm 141 */
											long BgL_restz00_2411;

											BgL_restz00_2411 =
												(BgL_offsetz00_2408 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/node.scm 141 */

												{	/* Integrate/node.scm 141 */
													obj_t BgL_bucketz00_2413;

													BgL_bucketz00_2413 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2404), BgL_modz00_2409);
													BgL_res1941z00_2432 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2413), BgL_restz00_2411);
					}}}}}}}}
					BgL_method1318z00_1752 = BgL_res1941z00_2432;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1318z00_1752)) (BgL_method1318z00_1752,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14), BEOA));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2906,
		obj_t BgL_nodez00_2907, obj_t BgL_integratorz00_2908)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2907),
				((BgL_variablez00_bglt) BgL_integratorz00_2908));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc1957z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1959z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc1960z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc1961z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc1962z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc1963z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc1964z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1965z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1966z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc1967z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc1968z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc1969z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1970z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc1971z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc1972z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1973z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1974z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1975z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1976z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1977z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1978z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1979z00zzintegrate_nodez00,
				BGl_string1958z00zzintegrate_nodez00);
		}

	}



/* &glo!-box-set!1363 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121363z62zzintegrate_nodez00(obj_t
		BgL_envz00_2931, obj_t BgL_nodez00_2932, obj_t BgL_integratorz00_2933)
	{
		{	/* Integrate/node.scm 429 */
			{
				BgL_varz00_bglt BgL_auxz00_3735;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1860z00_3011;

					BgL_arg1860z00_3011 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2932)))->BgL_varz00);
					BgL_auxz00_3735 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1860z00_3011),
							((BgL_variablez00_bglt) BgL_integratorz00_2933)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2932)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3735), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3744;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1861z00_3012;

					BgL_arg1861z00_3012 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2932)))->BgL_valuez00);
					BgL_auxz00_3744 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1861z00_3012,
						((BgL_variablez00_bglt) BgL_integratorz00_2933));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2932)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3744), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2932));
		}

	}



/* &glo!-box-ref1361 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1361z70zzintegrate_nodez00(obj_t
		BgL_envz00_2934, obj_t BgL_nodez00_2935, obj_t BgL_integratorz00_2936)
	{
		{	/* Integrate/node.scm 415 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2056z00_3753;

				{	/* Tools/trace.sch 53 */
					BgL_variablez00_bglt BgL_arg1856z00_3014;

					BgL_arg1856z00_3014 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)))->
									BgL_varz00)))->BgL_variablez00);
					BgL_test2056z00_3753 =
						BGl_integratezd2celledzf3z21zzintegrate_nodez00(((BgL_localz00_bglt)
							BgL_arg1856z00_3014));
				}
				if (BgL_test2056z00_3753)
					{	/* Tools/trace.sch 53 */
						BgL_variablez00_bglt BgL_vz00_3015;

						BgL_vz00_3015 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_boxzd2refzd2_bglt) COBJECT(
												((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1821z00_3016;
							obj_t BgL_arg1822z00_3017;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3762;

								BgL_tmpz00_3762 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1821z00_3016 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3762);
							}
							BgL_arg1822z00_3017 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1823z00_3018;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1830z00_3019;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1833z00_3020;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1835z00_3021;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1836z00_3022;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1837z00_3023;

													BgL_arg1837z00_3023 =
														MAKE_YOUNG_PAIR(BgL_arg1822z00_3017, BNIL);
													BgL_arg1836z00_3022 =
														MAKE_YOUNG_PAIR
														(BGl_string1980z00zzintegrate_nodez00,
														BgL_arg1837z00_3023);
												}
												BgL_arg1835z00_3021 =
													MAKE_YOUNG_PAIR(BGl_string1981z00zzintegrate_nodez00,
													BgL_arg1836z00_3022);
											}
											BgL_arg1833z00_3020 =
												MAKE_YOUNG_PAIR(BINT(((long) 420)),
												BgL_arg1835z00_3021);
										}
										BgL_arg1830z00_3019 =
											MAKE_YOUNG_PAIR(BGl_string1982z00zzintegrate_nodez00,
											BgL_arg1833z00_3020);
									}
									BgL_list1823z00_3018 =
										MAKE_YOUNG_PAIR(BGl_string1983z00zzintegrate_nodez00,
										BgL_arg1830z00_3019);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1821z00_3016,
									BgL_list1823z00_3018);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1840z00_3024;
							obj_t BgL_arg1844z00_3025;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3776;

								BgL_tmpz00_3776 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1840z00_3024 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3776);
							}
							BgL_arg1844z00_3025 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3015))->
								BgL_accessz00);
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1845z00_3026;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1846z00_3027;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1847z00_3028;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1848z00_3029;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1849z00_3030;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1850z00_3031;

													BgL_arg1850z00_3031 =
														MAKE_YOUNG_PAIR(BgL_arg1844z00_3025, BNIL);
													BgL_arg1849z00_3030 =
														MAKE_YOUNG_PAIR
														(BGl_string1984z00zzintegrate_nodez00,
														BgL_arg1850z00_3031);
												}
												BgL_arg1848z00_3029 =
													MAKE_YOUNG_PAIR(BGl_string1981z00zzintegrate_nodez00,
													BgL_arg1849z00_3030);
											}
											BgL_arg1847z00_3028 =
												MAKE_YOUNG_PAIR(BINT(((long) 421)),
												BgL_arg1848z00_3029);
										}
										BgL_arg1846z00_3027 =
											MAKE_YOUNG_PAIR(BGl_string1982z00zzintegrate_nodez00,
											BgL_arg1847z00_3028);
									}
									BgL_list1845z00_3026 =
										MAKE_YOUNG_PAIR(BGl_string1983z00zzintegrate_nodez00,
										BgL_arg1846z00_3027);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1840z00_3024,
									BgL_list1845z00_3026);
						}}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1851z00_3032;

							BgL_arg1851z00_3032 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)));
							BGl_errorz00zz__errorz00(BGl_string1985z00zzintegrate_nodez00,
								BGl_string1986z00zzintegrate_nodez00, BgL_arg1851z00_3032);
					}}
				else
					{	/* Tools/trace.sch 53 */
						BFALSE;
					}
			}
			{
				BgL_varz00_bglt BgL_auxz00_3792;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1859z00_3033;

					BgL_arg1859z00_3033 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)))->BgL_varz00);
					BgL_auxz00_3792 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1859z00_3033),
							((BgL_variablez00_bglt) BgL_integratorz00_2936)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3792), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2935));
		}

	}



/* &glo!-make-box1359 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1359z70zzintegrate_nodez00(obj_t
		BgL_envz00_2937, obj_t BgL_nodez00_2938, obj_t BgL_integratorz00_2939)
	{
		{	/* Integrate/node.scm 407 */
			{
				BgL_nodez00_bglt BgL_auxz00_3803;

				{	/* Integrate/node.scm 409 */
					BgL_nodez00_bglt BgL_arg1813z00_3035;

					BgL_arg1813z00_3035 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2938)))->BgL_valuez00);
					BgL_auxz00_3803 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1813z00_3035,
						((BgL_variablez00_bglt) BgL_integratorz00_2939));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2938)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3803), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2938));
		}

	}



/* &glo!-jump-ex-it1357 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1357za2zzintegrate_nodez00(obj_t
		BgL_envz00_2940, obj_t BgL_nodez00_2941, obj_t BgL_integratorz00_2942)
	{
		{	/* Integrate/node.scm 398 */
			{
				BgL_nodez00_bglt BgL_auxz00_3812;

				{	/* Integrate/node.scm 400 */
					BgL_nodez00_bglt BgL_arg1811z00_3037;

					BgL_arg1811z00_3037 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2941)))->BgL_exitz00);
					BgL_auxz00_3812 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1811z00_3037,
						((BgL_variablez00_bglt) BgL_integratorz00_2942));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2941)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3812), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3819;

				{	/* Integrate/node.scm 401 */
					BgL_nodez00_bglt BgL_arg1812z00_3038;

					BgL_arg1812z00_3038 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2941)))->
						BgL_valuez00);
					BgL_auxz00_3819 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1812z00_3038,
						((BgL_variablez00_bglt) BgL_integratorz00_2942));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2941)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3819), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2941));
		}

	}



/* &glo!-set-ex-it1355 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1355za2zzintegrate_nodez00(obj_t
		BgL_envz00_2943, obj_t BgL_nodez00_2944, obj_t BgL_integratorz00_2945)
	{
		{	/* Integrate/node.scm 389 */
			{
				BgL_nodez00_bglt BgL_auxz00_3828;

				{	/* Integrate/node.scm 391 */
					BgL_nodez00_bglt BgL_arg1789z00_3040;

					BgL_arg1789z00_3040 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2944)))->
						BgL_onexitz00);
					BgL_auxz00_3828 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1789z00_3040,
						((BgL_variablez00_bglt) BgL_integratorz00_2945));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2944)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3828), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3835;

				{	/* Integrate/node.scm 392 */
					BgL_nodez00_bglt BgL_arg1790z00_3041;

					BgL_arg1790z00_3041 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2944)))->BgL_bodyz00);
					BgL_auxz00_3835 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1790z00_3041,
						((BgL_variablez00_bglt) BgL_integratorz00_2945));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2944)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3835), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2944));
		}

	}



/* &glo!-let-var1353 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1353z70zzintegrate_nodez00(obj_t
		BgL_envz00_2946, obj_t BgL_nodez00_2947, obj_t BgL_integratorz00_2948)
	{
		{	/* Integrate/node.scm 364 */
			{	/* Integrate/node.scm 366 */
				obj_t BgL_g1309z00_3043;

				BgL_g1309z00_3043 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2947)))->BgL_bindingsz00);
				{
					obj_t BgL_l1307z00_3045;

					BgL_l1307z00_3045 = BgL_g1309z00_3043;
				BgL_zc3z04anonymousza31767ze3z87_3044:
					if (PAIRP(BgL_l1307z00_3045))
						{	/* Integrate/node.scm 366 */
							{	/* Integrate/node.scm 367 */
								obj_t BgL_bindingz00_3046;

								BgL_bindingz00_3046 = CAR(BgL_l1307z00_3045);
								{	/* Integrate/node.scm 367 */
									obj_t BgL_varz00_3047;
									obj_t BgL_valz00_3048;

									BgL_varz00_3047 = CAR(((obj_t) BgL_bindingz00_3046));
									BgL_valz00_3048 = CDR(((obj_t) BgL_bindingz00_3046));
									{	/* Integrate/node.scm 369 */
										BgL_nodez00_bglt BgL_arg1769z00_3049;

										BgL_arg1769z00_3049 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_valz00_3048),
											((BgL_variablez00_bglt) BgL_integratorz00_2948));
										{	/* Integrate/node.scm 369 */
											obj_t BgL_auxz00_3858;
											obj_t BgL_tmpz00_3856;

											BgL_auxz00_3858 = ((obj_t) BgL_arg1769z00_3049);
											BgL_tmpz00_3856 = ((obj_t) BgL_bindingz00_3046);
											SET_CDR(BgL_tmpz00_3856, BgL_auxz00_3858);
										}
									}
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3047)))
										{	/* Integrate/node.scm 371 */
											BgL_localz00_bglt BgL_nvarz00_3050;

											BgL_nvarz00_3050 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3047));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3047))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3050)), BUNSPEC);
											{	/* Integrate/node.scm 374 */
												BgL_makezd2boxzd2_bglt BgL_arg1771z00_3051;

												{	/* Integrate/node.scm 374 */
													obj_t BgL_arg1777z00_3052;

													BgL_arg1777z00_3052 =
														CDR(((obj_t) BgL_bindingz00_3046));
													BgL_arg1771z00_3051 =
														BGl_azd2makezd2cellz00zzintegrate_nodez00(
														((BgL_nodez00_bglt) BgL_arg1777z00_3052),
														((BgL_variablez00_bglt) BgL_varz00_3047));
												}
												{	/* Integrate/node.scm 373 */
													obj_t BgL_auxz00_3877;
													obj_t BgL_tmpz00_3875;

													BgL_auxz00_3877 = ((obj_t) BgL_arg1771z00_3051);
													BgL_tmpz00_3875 = ((obj_t) BgL_bindingz00_3046);
													SET_CDR(BgL_tmpz00_3875, BgL_auxz00_3877);
												}
											}
										}
									else
										{	/* Integrate/node.scm 370 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1307z00_3880;

								BgL_l1307z00_3880 = CDR(BgL_l1307z00_3045);
								BgL_l1307z00_3045 = BgL_l1307z00_3880;
								goto BgL_zc3z04anonymousza31767ze3z87_3044;
							}
						}
					else
						{	/* Integrate/node.scm 366 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3882;

				{	/* Integrate/node.scm 376 */
					BgL_nodez00_bglt BgL_arg1781z00_3053;

					BgL_arg1781z00_3053 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2947)))->BgL_bodyz00);
					BgL_auxz00_3882 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1781z00_3053,
						((BgL_variablez00_bglt) BgL_integratorz00_2948));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2947)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3882), BUNSPEC);
			}
			{	/* Integrate/node.scm 377 */
				obj_t BgL_g1312z00_3054;

				BgL_g1312z00_3054 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2947)))->BgL_bindingsz00);
				{
					obj_t BgL_l1310z00_3056;

					BgL_l1310z00_3056 = BgL_g1312z00_3054;
				BgL_zc3z04anonymousza31782ze3z87_3055:
					if (PAIRP(BgL_l1310z00_3056))
						{	/* Integrate/node.scm 377 */
							{	/* Integrate/node.scm 378 */
								obj_t BgL_bindingz00_3057;

								BgL_bindingz00_3057 = CAR(BgL_l1310z00_3056);
								{	/* Integrate/node.scm 378 */
									obj_t BgL_varz00_3058;

									BgL_varz00_3058 = CAR(((obj_t) BgL_bindingz00_3057));
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3058)))
										{	/* Integrate/node.scm 380 */
											BgL_localz00_bglt BgL_nvarz00_3059;

											BgL_nvarz00_3059 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3058));
											{	/* Integrate/node.scm 381 */
												obj_t BgL_arg1785z00_3060;

												BgL_arg1785z00_3060 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3058)))->
													BgL_fastzd2alphazd2);
												{	/* Integrate/node.scm 381 */
													obj_t BgL_tmpz00_3903;

													BgL_tmpz00_3903 = ((obj_t) BgL_bindingz00_3057);
													SET_CAR(BgL_tmpz00_3903, BgL_arg1785z00_3060);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3058))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Integrate/node.scm 379 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1310z00_3909;

								BgL_l1310z00_3909 = CDR(BgL_l1310z00_3056);
								BgL_l1310z00_3056 = BgL_l1310z00_3909;
								goto BgL_zc3z04anonymousza31782ze3z87_3055;
							}
						}
					else
						{	/* Integrate/node.scm 377 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2947));
		}

	}



/* &glo!-let-fun1351 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1351z70zzintegrate_nodez00(obj_t
		BgL_envz00_2949, obj_t BgL_nodez00_2950, obj_t BgL_integratorz00_2951)
	{
		{	/* Integrate/node.scm 353 */
			{
				BgL_nodez00_bglt BgL_auxz00_3913;

				{	/* Integrate/node.scm 355 */
					BgL_nodez00_bglt BgL_arg1763z00_3062;

					BgL_arg1763z00_3062 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2950)))->BgL_bodyz00);
					BgL_auxz00_3913 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1763z00_3062,
						((BgL_variablez00_bglt) BgL_integratorz00_2951));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2950)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3913), BUNSPEC);
			}
			{	/* Integrate/node.scm 356 */
				obj_t BgL_g1306z00_3063;

				BgL_g1306z00_3063 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2950)))->BgL_localsz00);
				{
					obj_t BgL_l1304z00_3065;

					BgL_l1304z00_3065 = BgL_g1306z00_3063;
				BgL_zc3z04anonymousza31764ze3z87_3064:
					if (PAIRP(BgL_l1304z00_3065))
						{	/* Integrate/node.scm 356 */
							{	/* Integrate/node.scm 357 */
								obj_t BgL_localz00_3066;

								BgL_localz00_3066 = CAR(BgL_l1304z00_3065);
								BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
									((BgL_localz00_bglt) BgL_localz00_3066),
									((BgL_variablez00_bglt) BgL_integratorz00_2951));
							}
							{
								obj_t BgL_l1304z00_3928;

								BgL_l1304z00_3928 = CDR(BgL_l1304z00_3065);
								BgL_l1304z00_3065 = BgL_l1304z00_3928;
								goto BgL_zc3z04anonymousza31764ze3z87_3064;
							}
						}
					else
						{	/* Integrate/node.scm 356 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2950));
		}

	}



/* &glo!-switch1349 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1349za2zzintegrate_nodez00(obj_t
		BgL_envz00_2952, obj_t BgL_nodez00_2953, obj_t BgL_integratorz00_2954)
	{
		{	/* Integrate/node.scm 342 */
			{
				BgL_nodez00_bglt BgL_auxz00_3932;

				{	/* Integrate/node.scm 344 */
					BgL_nodez00_bglt BgL_arg1752z00_3068;

					BgL_arg1752z00_3068 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2953)))->BgL_testz00);
					BgL_auxz00_3932 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1752z00_3068,
						((BgL_variablez00_bglt) BgL_integratorz00_2954));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2953)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3932), BUNSPEC);
			}
			{	/* Integrate/node.scm 345 */
				obj_t BgL_g1303z00_3069;

				BgL_g1303z00_3069 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2953)))->BgL_clausesz00);
				{
					obj_t BgL_l1301z00_3071;

					BgL_l1301z00_3071 = BgL_g1303z00_3069;
				BgL_zc3z04anonymousza31753ze3z87_3070:
					if (PAIRP(BgL_l1301z00_3071))
						{	/* Integrate/node.scm 345 */
							{	/* Integrate/node.scm 346 */
								obj_t BgL_clausez00_3072;

								BgL_clausez00_3072 = CAR(BgL_l1301z00_3071);
								{	/* Integrate/node.scm 346 */
									BgL_nodez00_bglt BgL_arg1755z00_3073;

									{	/* Integrate/node.scm 346 */
										obj_t BgL_arg1756z00_3074;

										BgL_arg1756z00_3074 = CDR(((obj_t) BgL_clausez00_3072));
										BgL_arg1755z00_3073 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_arg1756z00_3074),
											((BgL_variablez00_bglt) BgL_integratorz00_2954));
									}
									{	/* Integrate/node.scm 346 */
										obj_t BgL_auxz00_3951;
										obj_t BgL_tmpz00_3949;

										BgL_auxz00_3951 = ((obj_t) BgL_arg1755z00_3073);
										BgL_tmpz00_3949 = ((obj_t) BgL_clausez00_3072);
										SET_CDR(BgL_tmpz00_3949, BgL_auxz00_3951);
									}
								}
							}
							{
								obj_t BgL_l1301z00_3954;

								BgL_l1301z00_3954 = CDR(BgL_l1301z00_3071);
								BgL_l1301z00_3071 = BgL_l1301z00_3954;
								goto BgL_zc3z04anonymousza31753ze3z87_3070;
							}
						}
					else
						{	/* Integrate/node.scm 345 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2953));
		}

	}



/* &glo!-fail1347 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1347za2zzintegrate_nodez00(obj_t
		BgL_envz00_2955, obj_t BgL_nodez00_2956, obj_t BgL_integratorz00_2957)
	{
		{	/* Integrate/node.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_3958;

				{	/* Integrate/node.scm 334 */
					BgL_nodez00_bglt BgL_arg1749z00_3076;

					BgL_arg1749z00_3076 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_procz00);
					BgL_auxz00_3958 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1749z00_3076,
						((BgL_variablez00_bglt) BgL_integratorz00_2957));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3958), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3965;

				{	/* Integrate/node.scm 335 */
					BgL_nodez00_bglt BgL_arg1750z00_3077;

					BgL_arg1750z00_3077 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_msgz00);
					BgL_auxz00_3965 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1750z00_3077,
						((BgL_variablez00_bglt) BgL_integratorz00_2957));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3965), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3972;

				{	/* Integrate/node.scm 336 */
					BgL_nodez00_bglt BgL_arg1751z00_3078;

					BgL_arg1751z00_3078 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_objz00);
					BgL_auxz00_3972 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1751z00_3078,
						((BgL_variablez00_bglt) BgL_integratorz00_2957));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2956)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3972), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2956));
		}

	}



/* &glo!-conditional1345 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1345za2zzintegrate_nodez00(obj_t
		BgL_envz00_2958, obj_t BgL_nodez00_2959, obj_t BgL_integratorz00_2960)
	{
		{	/* Integrate/node.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_3981;

				{	/* Integrate/node.scm 324 */
					BgL_nodez00_bglt BgL_arg1741z00_3080;

					BgL_arg1741z00_3080 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_testz00);
					BgL_auxz00_3981 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1741z00_3080,
						((BgL_variablez00_bglt) BgL_integratorz00_2960));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3981), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3988;

				{	/* Integrate/node.scm 325 */
					BgL_nodez00_bglt BgL_arg1745z00_3081;

					BgL_arg1745z00_3081 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_truez00);
					BgL_auxz00_3988 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1745z00_3081,
						((BgL_variablez00_bglt) BgL_integratorz00_2960));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3988), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3995;

				{	/* Integrate/node.scm 326 */
					BgL_nodez00_bglt BgL_arg1746z00_3082;

					BgL_arg1746z00_3082 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_falsez00);
					BgL_auxz00_3995 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1746z00_3082,
						((BgL_variablez00_bglt) BgL_integratorz00_2960));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3995), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2959));
		}

	}



/* &glo!-setq1343 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1343za2zzintegrate_nodez00(obj_t
		BgL_envz00_2961, obj_t BgL_nodez00_2962, obj_t BgL_integratorz00_2963)
	{
		{	/* Integrate/node.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_4004;

				{	/* Integrate/node.scm 287 */
					BgL_nodez00_bglt BgL_arg1696z00_3084;

					BgL_arg1696z00_3084 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2962)))->BgL_valuez00);
					BgL_auxz00_4004 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1696z00_3084,
						((BgL_variablez00_bglt) BgL_integratorz00_2963));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2962)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4004), BUNSPEC);
			}
			{	/* Integrate/node.scm 288 */
				BgL_variablez00_bglt BgL_varz00_3085;

				BgL_varz00_3085 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2962)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 288 */
					BgL_typez00_bglt BgL_vtypez00_3086;

					BgL_vtypez00_3086 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3085))->BgL_typez00);
					{	/* Integrate/node.scm 289 */

						{	/* Integrate/node.scm 290 */
							obj_t BgL_g1142z00_3087;

							BgL_g1142z00_3087 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3085))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3089;
								obj_t BgL_alphaz00_3090;

								BgL_varz00_3089 = ((obj_t) BgL_varz00_3085);
								BgL_alphaz00_3090 = BgL_g1142z00_3087;
							BgL_loopz00_3088:
								{	/* Integrate/node.scm 292 */
									bool_t BgL_test2063z00_4016;

									{	/* Integrate/node.scm 292 */
										obj_t BgL_classz00_3091;

										BgL_classz00_3091 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3090))
											{	/* Integrate/node.scm 292 */
												BgL_objectz00_bglt BgL_arg1820z00_3092;

												BgL_arg1820z00_3092 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3090);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/node.scm 292 */
														long BgL_idxz00_3093;

														BgL_idxz00_3093 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3092);
														BgL_test2063z00_4016 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3093 + ((long) 2))) ==
															BgL_classz00_3091);
													}
												else
													{	/* Integrate/node.scm 292 */
														bool_t BgL_res1947z00_3096;

														{	/* Integrate/node.scm 292 */
															obj_t BgL_oclassz00_3097;

															{	/* Integrate/node.scm 292 */
																long BgL_arg1828z00_3098;

																{	/* Integrate/node.scm 292 */
																	long BgL_arg1829z00_3099;

																	BgL_arg1829z00_3099 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3092);
																	BgL_arg1828z00_3098 =
																		(BgL_arg1829z00_3099 - OBJECT_TYPE);
																}
																BgL_oclassz00_3097 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3098);
															}
															{	/* Integrate/node.scm 292 */
																bool_t BgL__ortest_1111z00_3100;

																BgL__ortest_1111z00_3100 =
																	(BgL_classz00_3091 == BgL_oclassz00_3097);
																if (BgL__ortest_1111z00_3100)
																	{	/* Integrate/node.scm 292 */
																		BgL_res1947z00_3096 =
																			BgL__ortest_1111z00_3100;
																	}
																else
																	{	/* Integrate/node.scm 292 */
																		long BgL_odepthz00_3101;

																		BgL_odepthz00_3101 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3097);
																		if ((((long) 2) < BgL_odepthz00_3101))
																			{	/* Integrate/node.scm 292 */
																				obj_t BgL_arg1816z00_3102;

																				BgL_arg1816z00_3102 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3097, ((long) 2));
																				BgL_res1947z00_3096 =
																					(BgL_arg1816z00_3102 ==
																					BgL_classz00_3091);
																			}
																		else
																			{	/* Integrate/node.scm 292 */
																				BgL_res1947z00_3096 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2063z00_4016 = BgL_res1947z00_3096;
													}
											}
										else
											{	/* Integrate/node.scm 292 */
												BgL_test2063z00_4016 = ((bool_t) 0);
											}
									}
									if (BgL_test2063z00_4016)
										{	/* Integrate/node.scm 292 */
											{	/* Integrate/node.scm 294 */
												BgL_varz00_bglt BgL_arg1705z00_3103;

												BgL_arg1705z00_3103 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_2962)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1705z00_3103))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3090)), BUNSPEC);
											}
											{	/* Integrate/node.scm 295 */
												obj_t BgL_arg1711z00_3104;

												BgL_arg1711z00_3104 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3090)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_4043;
													obj_t BgL_varz00_4042;

													BgL_varz00_4042 = BgL_alphaz00_3090;
													BgL_alphaz00_4043 = BgL_arg1711z00_3104;
													BgL_alphaz00_3090 = BgL_alphaz00_4043;
													BgL_varz00_3089 = BgL_varz00_4042;
													goto BgL_loopz00_3088;
												}
											}
										}
									else
										{	/* Integrate/node.scm 296 */
											BgL_variablez00_bglt BgL_varz00_3105;

											BgL_varz00_3105 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_2962)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Integrate/node.scm 297 */
												bool_t BgL_test2068z00_4047;

												{	/* Integrate/node.scm 297 */
													bool_t BgL_test2069z00_4048;

													{	/* Integrate/node.scm 297 */
														obj_t BgL_classz00_3106;

														BgL_classz00_3106 = BGl_localz00zzast_varz00;
														{	/* Integrate/node.scm 297 */
															BgL_objectz00_bglt BgL_arg1820z00_3107;

															{	/* Integrate/node.scm 297 */
																obj_t BgL_tmpz00_4049;

																BgL_tmpz00_4049 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3105));
																BgL_arg1820z00_3107 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4049);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Integrate/node.scm 297 */
																	long BgL_idxz00_3108;

																	BgL_idxz00_3108 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_3107);
																	BgL_test2069z00_4048 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3108 + ((long) 2))) ==
																		BgL_classz00_3106);
																}
															else
																{	/* Integrate/node.scm 297 */
																	bool_t BgL_res1948z00_3111;

																	{	/* Integrate/node.scm 297 */
																		obj_t BgL_oclassz00_3112;

																		{	/* Integrate/node.scm 297 */
																			long BgL_arg1828z00_3113;

																			{	/* Integrate/node.scm 297 */
																				long BgL_arg1829z00_3114;

																				BgL_arg1829z00_3114 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_3107);
																				BgL_arg1828z00_3113 =
																					(BgL_arg1829z00_3114 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3112 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_3113);
																		}
																		{	/* Integrate/node.scm 297 */
																			bool_t BgL__ortest_1111z00_3115;

																			BgL__ortest_1111z00_3115 =
																				(BgL_classz00_3106 ==
																				BgL_oclassz00_3112);
																			if (BgL__ortest_1111z00_3115)
																				{	/* Integrate/node.scm 297 */
																					BgL_res1948z00_3111 =
																						BgL__ortest_1111z00_3115;
																				}
																			else
																				{	/* Integrate/node.scm 297 */
																					long BgL_odepthz00_3116;

																					BgL_odepthz00_3116 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3112);
																					if ((((long) 2) < BgL_odepthz00_3116))
																						{	/* Integrate/node.scm 297 */
																							obj_t BgL_arg1816z00_3117;

																							BgL_arg1816z00_3117 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3112,
																								((long) 2));
																							BgL_res1948z00_3111 =
																								(BgL_arg1816z00_3117 ==
																								BgL_classz00_3106);
																						}
																					else
																						{	/* Integrate/node.scm 297 */
																							BgL_res1948z00_3111 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2069z00_4048 = BgL_res1948z00_3111;
																}
														}
													}
													if (BgL_test2069z00_4048)
														{	/* Integrate/node.scm 297 */
															BgL_test2068z00_4047 =
																BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_varz00_3105));
														}
													else
														{	/* Integrate/node.scm 297 */
															BgL_test2068z00_4047 = ((bool_t) 0);
														}
												}
												if (BgL_test2068z00_4047)
													{	/* Integrate/node.scm 298 */
														BgL_localz00_bglt BgL_azd2varzd2_3118;
														obj_t BgL_locz00_3119;

														BgL_azd2varzd2_3118 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(CNST_TABLE_REF(((long) 4)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3119 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_2962))))->BgL_locz00);
														{	/* Integrate/node.scm 300 */
															obj_t BgL_vz00_3120;

															BgL_vz00_3120 = CNST_TABLE_REF(((long) 0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3105))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3120), BUNSPEC);
														}
														{	/* Integrate/node.scm 301 */
															BgL_varz00_bglt BgL_arg1720z00_3121;

															BgL_arg1720z00_3121 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_2962)))->
																BgL_varz00);
															{	/* Integrate/node.scm 301 */
																BgL_typez00_bglt BgL_vz00_3122;

																BgL_vz00_3122 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1720z00_3121)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3122), BUNSPEC);
														}}
														{	/* Integrate/node.scm 302 */
															BgL_svarz00_bglt BgL_tmp1143z00_3123;

															BgL_tmp1143z00_3123 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3118)))->BgL_valuez00));
															{	/* Integrate/node.scm 302 */
																BgL_svarzf2iinfozf2_bglt BgL_wide1145z00_3124;

																BgL_wide1145z00_3124 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/node.scm 302 */
																	obj_t BgL_auxz00_4093;
																	BgL_objectz00_bglt BgL_tmpz00_4090;

																	BgL_auxz00_4093 =
																		((obj_t) BgL_wide1145z00_3124);
																	BgL_tmpz00_4090 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4090,
																		BgL_auxz00_4093);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																{	/* Integrate/node.scm 302 */
																	long BgL_arg1721z00_3125;

																	BgL_arg1721z00_3125 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123)),
																		BgL_arg1721z00_3125);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4104;

																{
																	obj_t BgL_auxz00_4105;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4106;

																		BgL_tmpz00_4106 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																		BgL_auxz00_4105 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4106);
																	}
																	BgL_auxz00_4104 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4105);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4104))->
																		BgL_fzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4112;

																{
																	obj_t BgL_auxz00_4113;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4114;

																		BgL_tmpz00_4114 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																		BgL_auxz00_4113 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4114);
																	}
																	BgL_auxz00_4112 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4113);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4112))->
																		BgL_uzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4120;

																{
																	obj_t BgL_auxz00_4121;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4122;

																		BgL_tmpz00_4122 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																		BgL_auxz00_4121 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4122);
																	}
																	BgL_auxz00_4120 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4121);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4120))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4128;

																{
																	obj_t BgL_auxz00_4129;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4130;

																		BgL_tmpz00_4130 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																		BgL_auxz00_4129 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4130);
																	}
																	BgL_auxz00_4128 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4129);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4128))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4136;

																{
																	obj_t BgL_auxz00_4137;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4138;

																		BgL_tmpz00_4138 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1143z00_3123));
																		BgL_auxz00_4137 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4138);
																	}
																	BgL_auxz00_4136 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4137);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4136))->BgL_xhdlz00) =
																	((obj_t) BFALSE), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1143z00_3123);
														}
														{	/* Integrate/node.scm 304 */
															BgL_letzd2varzd2_bglt BgL_new1148z00_3126;

															{	/* Integrate/node.scm 305 */
																BgL_letzd2varzd2_bglt BgL_new1147z00_3127;

																BgL_new1147z00_3127 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Integrate/node.scm 305 */
																	long BgL_arg1734z00_3128;

																	BgL_arg1734z00_3128 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1147z00_3127),
																		BgL_arg1734z00_3128);
																}
																{	/* Integrate/node.scm 305 */
																	BgL_objectz00_bglt BgL_tmpz00_4149;

																	BgL_tmpz00_4149 =
																		((BgL_objectz00_bglt) BgL_new1147z00_3127);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4149,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1147z00_3127);
																BgL_new1148z00_3126 = BgL_new1147z00_3127;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1148z00_3126)))->BgL_locz00) =
																((obj_t) BgL_locz00_3119), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1148z00_3126)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1148z00_3126)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1148z00_3126)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_4163;

																{	/* Integrate/node.scm 307 */
																	obj_t BgL_arg1723z00_3129;

																	{	/* Integrate/node.scm 307 */
																		BgL_nodez00_bglt BgL_arg1728z00_3130;

																		BgL_arg1728z00_3130 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_2962)))->BgL_valuez00);
																		BgL_arg1723z00_3129 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3118),
																			((obj_t) BgL_arg1728z00_3130));
																	}
																	{	/* Integrate/node.scm 307 */
																		obj_t BgL_list1724z00_3131;

																		BgL_list1724z00_3131 =
																			MAKE_YOUNG_PAIR(BgL_arg1723z00_3129,
																			BNIL);
																		BgL_auxz00_4163 = BgL_list1724z00_3131;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1148z00_3126))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_4163), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_4171;

																{	/* Integrate/node.scm 308 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1150z00_3132;

																	{	/* Integrate/node.scm 309 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1149z00_3133;
																		BgL_new1149z00_3133 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Integrate/node.scm 309 */
																			long BgL_arg1731z00_3134;

																			{	/* Integrate/node.scm 309 */
																				obj_t BgL_classz00_3135;

																				BgL_classz00_3135 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1731z00_3134 =
																					BGL_CLASS_NUM(BgL_classz00_3135);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1149z00_3133),
																				BgL_arg1731z00_3134);
																		}
																		{	/* Integrate/node.scm 309 */
																			BgL_objectz00_bglt BgL_tmpz00_4176;

																			BgL_tmpz00_4176 =
																				((BgL_objectz00_bglt)
																				BgL_new1149z00_3133);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4176,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1149z00_3133);
																		BgL_new1150z00_3132 = BgL_new1149z00_3133;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_3132)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3119), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1150z00_3132)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1150z00_3132))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_2962)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_4188;

																		{	/* Integrate/node.scm 313 */
																			BgL_refz00_bglt BgL_new1152z00_3136;

																			{	/* Integrate/node.scm 314 */
																				BgL_refz00_bglt BgL_new1151z00_3137;

																				BgL_new1151z00_3137 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Integrate/node.scm 314 */
																					long BgL_arg1730z00_3138;

																					{	/* Integrate/node.scm 314 */
																						obj_t BgL_classz00_3139;

																						BgL_classz00_3139 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1730z00_3138 =
																							BGL_CLASS_NUM(BgL_classz00_3139);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1151z00_3137),
																						BgL_arg1730z00_3138);
																				}
																				{	/* Integrate/node.scm 314 */
																					BgL_objectz00_bglt BgL_tmpz00_4193;

																					BgL_tmpz00_4193 =
																						((BgL_objectz00_bglt)
																						BgL_new1151z00_3137);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4193, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1151z00_3137);
																				BgL_new1152z00_3136 =
																					BgL_new1151z00_3137;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1152z00_3136)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3119), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1152z00_3136)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3118)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1152z00_3136)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3118)), BUNSPEC);
																			BgL_auxz00_4188 =
																				((BgL_nodez00_bglt)
																				BgL_new1152z00_3136);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1150z00_3132))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_4188),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1150z00_3132))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_vtypez00_3086)), BUNSPEC);
																	BgL_auxz00_4171 =
																		((BgL_nodez00_bglt) BgL_new1150z00_3132);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1148z00_3126))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_4171),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1148z00_3126))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1148z00_3126);
														}
													}
												else
													{	/* Integrate/node.scm 297 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_2962));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1341 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1341za2zzintegrate_nodez00(obj_t
		BgL_envz00_2964, obj_t BgL_nodez00_2965, obj_t BgL_integratorz00_2966)
	{
		{	/* Integrate/node.scm 277 */
			{	/* Integrate/node.scm 279 */
				BgL_nodez00_bglt BgL_arg1692z00_3141;

				BgL_arg1692z00_3141 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2965)))->BgL_argz00);
				BGl_gloz12z12zzintegrate_nodez00(BgL_arg1692z00_3141,
					((BgL_variablez00_bglt) BgL_integratorz00_2966));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2965));
		}

	}



/* &glo!-extern1339 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1339za2zzintegrate_nodez00(obj_t
		BgL_envz00_2967, obj_t BgL_nodez00_2968, obj_t BgL_integratorz00_2969)
	{
		{	/* Integrate/node.scm 269 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2968)))->BgL_exprza2za2),
				BgL_integratorz00_2969);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2968));
		}

	}



/* &glo!-funcall1336 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1336za2zzintegrate_nodez00(obj_t
		BgL_envz00_2970, obj_t BgL_nodez00_2971, obj_t BgL_integratorz00_2972)
	{
		{	/* Integrate/node.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_4228;

				{	/* Integrate/node.scm 262 */
					BgL_nodez00_bglt BgL_arg1682z00_3144;

					BgL_arg1682z00_3144 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2971)))->BgL_funz00);
					BgL_auxz00_4228 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1682z00_3144,
						((BgL_variablez00_bglt) BgL_integratorz00_2972));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2971)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4228), BUNSPEC);
			}
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2971)))->BgL_argsz00),
				BgL_integratorz00_2972);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2971));
		}

	}



/* &glo!-app-ly1334 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1334z70zzintegrate_nodez00(obj_t
		BgL_envz00_2973, obj_t BgL_nodez00_2974, obj_t BgL_integratorz00_2975)
	{
		{	/* Integrate/node.scm 251 */
			{
				BgL_nodez00_bglt BgL_auxz00_4240;

				{	/* Integrate/node.scm 253 */
					BgL_nodez00_bglt BgL_arg1677z00_3146;

					BgL_arg1677z00_3146 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2974)))->BgL_funz00);
					BgL_auxz00_4240 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1677z00_3146,
						((BgL_variablez00_bglt) BgL_integratorz00_2975));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2974)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4240), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4247;

				{	/* Integrate/node.scm 254 */
					BgL_nodez00_bglt BgL_arg1680z00_3147;

					BgL_arg1680z00_3147 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2974)))->BgL_argz00);
					BgL_auxz00_4247 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1680z00_3147,
						((BgL_variablez00_bglt) BgL_integratorz00_2975));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2974)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4247), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2974));
		}

	}



/* &glo!-app1332 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1332za2zzintegrate_nodez00(obj_t
		BgL_envz00_2976, obj_t BgL_nodez00_2977, obj_t BgL_integratorz00_2978)
	{
		{	/* Integrate/node.scm 211 */
			{	/* Integrate/node.scm 213 */
				BgL_variablez00_bglt BgL_funz00_3149;

				BgL_funz00_3149 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2977)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 213 */
					BgL_valuez00_bglt BgL_infoz00_3150;

					BgL_infoz00_3150 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_3149))->BgL_valuez00);
					{	/* Integrate/node.scm 214 */

						{	/* Integrate/node.scm 216 */
							bool_t BgL_test2073z00_4260;

							{	/* Integrate/node.scm 216 */
								bool_t BgL_test2074z00_4261;

								{	/* Integrate/node.scm 216 */
									obj_t BgL_classz00_3151;

									BgL_classz00_3151 = BGl_localz00zzast_varz00;
									{	/* Integrate/node.scm 216 */
										BgL_objectz00_bglt BgL_arg1820z00_3152;

										{	/* Integrate/node.scm 216 */
											obj_t BgL_tmpz00_4262;

											BgL_tmpz00_4262 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3149));
											BgL_arg1820z00_3152 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4262);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Integrate/node.scm 216 */
												long BgL_idxz00_3153;

												BgL_idxz00_3153 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3152);
												BgL_test2074z00_4261 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3153 + ((long) 2))) ==
													BgL_classz00_3151);
											}
										else
											{	/* Integrate/node.scm 216 */
												bool_t BgL_res1944z00_3156;

												{	/* Integrate/node.scm 216 */
													obj_t BgL_oclassz00_3157;

													{	/* Integrate/node.scm 216 */
														long BgL_arg1828z00_3158;

														{	/* Integrate/node.scm 216 */
															long BgL_arg1829z00_3159;

															BgL_arg1829z00_3159 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3152);
															BgL_arg1828z00_3158 =
																(BgL_arg1829z00_3159 - OBJECT_TYPE);
														}
														BgL_oclassz00_3157 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3158);
													}
													{	/* Integrate/node.scm 216 */
														bool_t BgL__ortest_1111z00_3160;

														BgL__ortest_1111z00_3160 =
															(BgL_classz00_3151 == BgL_oclassz00_3157);
														if (BgL__ortest_1111z00_3160)
															{	/* Integrate/node.scm 216 */
																BgL_res1944z00_3156 = BgL__ortest_1111z00_3160;
															}
														else
															{	/* Integrate/node.scm 216 */
																long BgL_odepthz00_3161;

																BgL_odepthz00_3161 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3157);
																if ((((long) 2) < BgL_odepthz00_3161))
																	{	/* Integrate/node.scm 216 */
																		obj_t BgL_arg1816z00_3162;

																		BgL_arg1816z00_3162 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3157, ((long) 2));
																		BgL_res1944z00_3156 =
																			(BgL_arg1816z00_3162 ==
																			BgL_classz00_3151);
																	}
																else
																	{	/* Integrate/node.scm 216 */
																		BgL_res1944z00_3156 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2074z00_4261 = BgL_res1944z00_3156;
											}
									}
								}
								if (BgL_test2074z00_4261)
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4282;

										{
											obj_t BgL_auxz00_4283;

											{	/* Integrate/node.scm 216 */
												BgL_objectz00_bglt BgL_tmpz00_4284;

												BgL_tmpz00_4284 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3150));
												BgL_auxz00_4283 = BGL_OBJECT_WIDENING(BgL_tmpz00_4284);
											}
											BgL_auxz00_4282 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4283);
										}
										BgL_test2073z00_4260 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4282))->
											BgL_gzf3zf3);
									}
								else
									{	/* Integrate/node.scm 216 */
										BgL_test2073z00_4260 = ((bool_t) 0);
									}
							}
							if (BgL_test2073z00_4260)
								{	/* Integrate/node.scm 218 */
									BgL_refz00_bglt BgL_arg1635z00_3163;

									{	/* Integrate/node.scm 218 */
										BgL_refz00_bglt BgL_new1133z00_3164;

										{	/* Integrate/node.scm 219 */
											BgL_refz00_bglt BgL_new1132z00_3165;

											BgL_new1132z00_3165 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Integrate/node.scm 219 */
												long BgL_arg1639z00_3166;

												BgL_arg1639z00_3166 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1132z00_3165),
													BgL_arg1639z00_3166);
											}
											{	/* Integrate/node.scm 219 */
												BgL_objectz00_bglt BgL_tmpz00_4294;

												BgL_tmpz00_4294 =
													((BgL_objectz00_bglt) BgL_new1132z00_3165);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4294, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1132z00_3165);
											BgL_new1133z00_3164 = BgL_new1132z00_3165;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1133z00_3164)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_2977))))->BgL_locz00)), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_4303;

											{	/* Integrate/node.scm 220 */
												obj_t BgL_arg1636z00_3167;

												BgL_arg1636z00_3167 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													((BgL_localz00_bglt) BgL_funz00_3149));
												BgL_auxz00_4303 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_arg1636z00_3167)))->
													BgL_typez00);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1133z00_3164)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_4303), BUNSPEC);
										}
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_new1133z00_3164)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31((
															(BgL_localz00_bglt) BgL_funz00_3149)))), BUNSPEC);
										BgL_arg1635z00_3163 = BgL_new1133z00_3164;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2977)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1635z00_3163)),
										BUNSPEC);
								}
							else
								{	/* Integrate/node.scm 216 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3169;

							BgL_nodesz00_3169 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2977)))->BgL_argsz00);
						BgL_liipz00_3168:
							if (NULLP(BgL_nodesz00_3169))
								{	/* Integrate/node.scm 225 */
									CNST_TABLE_REF(((long) 2));
								}
							else
								{	/* Integrate/node.scm 225 */
									{	/* Integrate/node.scm 228 */
										BgL_nodez00_bglt BgL_arg1645z00_3170;

										{	/* Integrate/node.scm 228 */
											obj_t BgL_arg1646z00_3171;

											BgL_arg1646z00_3171 = CAR(((obj_t) BgL_nodesz00_3169));
											BgL_arg1645z00_3170 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1646z00_3171),
												((BgL_variablez00_bglt) BgL_integratorz00_2978));
										}
										{	/* Integrate/node.scm 228 */
											obj_t BgL_auxz00_4328;
											obj_t BgL_tmpz00_4326;

											BgL_auxz00_4328 = ((obj_t) BgL_arg1645z00_3170);
											BgL_tmpz00_4326 = ((obj_t) BgL_nodesz00_3169);
											SET_CAR(BgL_tmpz00_4326, BgL_auxz00_4328);
										}
									}
									{	/* Integrate/node.scm 229 */
										obj_t BgL_arg1648z00_3172;

										BgL_arg1648z00_3172 = CDR(((obj_t) BgL_nodesz00_3169));
										{
											obj_t BgL_nodesz00_4333;

											BgL_nodesz00_4333 = BgL_arg1648z00_3172;
											BgL_nodesz00_3169 = BgL_nodesz00_4333;
											goto BgL_liipz00_3168;
										}
									}
								}
						}
						{	/* Integrate/node.scm 230 */
							bool_t BgL_test2079z00_4336;

							{	/* Integrate/node.scm 230 */
								bool_t BgL_test2080z00_4337;

								{	/* Integrate/node.scm 230 */
									obj_t BgL_classz00_3173;

									BgL_classz00_3173 = BGl_globalz00zzast_varz00;
									{	/* Integrate/node.scm 230 */
										BgL_objectz00_bglt BgL_arg1820z00_3174;

										{	/* Integrate/node.scm 230 */
											obj_t BgL_tmpz00_4338;

											BgL_tmpz00_4338 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3149));
											BgL_arg1820z00_3174 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4338);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Integrate/node.scm 230 */
												long BgL_idxz00_3175;

												BgL_idxz00_3175 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3174);
												BgL_test2080z00_4337 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3175 + ((long) 2))) ==
													BgL_classz00_3173);
											}
										else
											{	/* Integrate/node.scm 230 */
												bool_t BgL_res1945z00_3178;

												{	/* Integrate/node.scm 230 */
													obj_t BgL_oclassz00_3179;

													{	/* Integrate/node.scm 230 */
														long BgL_arg1828z00_3180;

														{	/* Integrate/node.scm 230 */
															long BgL_arg1829z00_3181;

															BgL_arg1829z00_3181 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3174);
															BgL_arg1828z00_3180 =
																(BgL_arg1829z00_3181 - OBJECT_TYPE);
														}
														BgL_oclassz00_3179 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3180);
													}
													{	/* Integrate/node.scm 230 */
														bool_t BgL__ortest_1111z00_3182;

														BgL__ortest_1111z00_3182 =
															(BgL_classz00_3173 == BgL_oclassz00_3179);
														if (BgL__ortest_1111z00_3182)
															{	/* Integrate/node.scm 230 */
																BgL_res1945z00_3178 = BgL__ortest_1111z00_3182;
															}
														else
															{	/* Integrate/node.scm 230 */
																long BgL_odepthz00_3183;

																BgL_odepthz00_3183 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3179);
																if ((((long) 2) < BgL_odepthz00_3183))
																	{	/* Integrate/node.scm 230 */
																		obj_t BgL_arg1816z00_3184;

																		BgL_arg1816z00_3184 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3179, ((long) 2));
																		BgL_res1945z00_3178 =
																			(BgL_arg1816z00_3184 ==
																			BgL_classz00_3173);
																	}
																else
																	{	/* Integrate/node.scm 230 */
																		BgL_res1945z00_3178 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2080z00_4337 = BgL_res1945z00_3178;
											}
									}
								}
								if (BgL_test2080z00_4337)
									{	/* Integrate/node.scm 230 */
										BgL_test2079z00_4336 = ((bool_t) 1);
									}
								else
									{	/* Integrate/node.scm 230 */
										bool_t BgL_test2084z00_4358;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4359;

											{
												obj_t BgL_auxz00_4360;

												{	/* Integrate/node.scm 230 */
													BgL_objectz00_bglt BgL_tmpz00_4361;

													BgL_tmpz00_4361 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3150));
													BgL_auxz00_4360 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4361);
												}
												BgL_auxz00_4359 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4360);
											}
											BgL_test2084z00_4358 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4359))->
												BgL_gzf3zf3);
										}
										if (BgL_test2084z00_4358)
											{	/* Integrate/node.scm 230 */
												BgL_test2079z00_4336 = ((bool_t) 0);
											}
										else
											{	/* Integrate/node.scm 230 */
												BgL_test2079z00_4336 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2079z00_4336)
								{	/* Integrate/node.scm 230 */
									BFALSE;
								}
							else
								{	/* Integrate/node.scm 233 */
									obj_t BgL_g1134z00_3185;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4367;

										{
											obj_t BgL_auxz00_4368;

											{	/* Integrate/node.scm 234 */
												BgL_objectz00_bglt BgL_tmpz00_4369;

												BgL_tmpz00_4369 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3150));
												BgL_auxz00_4368 = BGL_OBJECT_WIDENING(BgL_tmpz00_4369);
											}
											BgL_auxz00_4367 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4368);
										}
										BgL_g1134z00_3185 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4367))->
											BgL_kapturedz00);
									}
									{
										obj_t BgL_newzd2actualszd2_3187;
										obj_t BgL_kapturedz00_3188;

										BgL_newzd2actualszd2_3187 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2977)))->BgL_argsz00);
										BgL_kapturedz00_3188 = BgL_g1134z00_3185;
									BgL_loopz00_3186:
										if (NULLP(BgL_kapturedz00_3188))
											{	/* Integrate/node.scm 235 */
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2977)))->
														BgL_argsz00) =
													((obj_t) BgL_newzd2actualszd2_3187), BUNSPEC);
											}
										else
											{	/* Integrate/node.scm 237 */
												obj_t BgL_kapz00_3189;

												BgL_kapz00_3189 = CAR(((obj_t) BgL_kapturedz00_3188));
												{	/* Integrate/node.scm 237 */
													obj_t BgL_alphaz00_3190;

													BgL_alphaz00_3190 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_kapz00_3189))))->
														BgL_fastzd2alphazd2);
													{	/* Integrate/node.scm 238 */
														obj_t BgL_varz00_3191;

														{	/* Integrate/node.scm 239 */
															bool_t BgL_test2086z00_4384;

															{	/* Integrate/node.scm 239 */
																obj_t BgL_classz00_3192;

																BgL_classz00_3192 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_alphaz00_3190))
																	{	/* Integrate/node.scm 239 */
																		BgL_objectz00_bglt BgL_arg1820z00_3193;

																		BgL_arg1820z00_3193 =
																			(BgL_objectz00_bglt) (BgL_alphaz00_3190);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Integrate/node.scm 239 */
																				long BgL_idxz00_3194;

																				BgL_idxz00_3194 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_3193);
																				BgL_test2086z00_4384 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3194 + ((long) 2))) ==
																					BgL_classz00_3192);
																			}
																		else
																			{	/* Integrate/node.scm 239 */
																				bool_t BgL_res1946z00_3197;

																				{	/* Integrate/node.scm 239 */
																					obj_t BgL_oclassz00_3198;

																					{	/* Integrate/node.scm 239 */
																						long BgL_arg1828z00_3199;

																						{	/* Integrate/node.scm 239 */
																							long BgL_arg1829z00_3200;

																							BgL_arg1829z00_3200 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_3193);
																							BgL_arg1828z00_3199 =
																								(BgL_arg1829z00_3200 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3198 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_3199);
																					}
																					{	/* Integrate/node.scm 239 */
																						bool_t BgL__ortest_1111z00_3201;

																						BgL__ortest_1111z00_3201 =
																							(BgL_classz00_3192 ==
																							BgL_oclassz00_3198);
																						if (BgL__ortest_1111z00_3201)
																							{	/* Integrate/node.scm 239 */
																								BgL_res1946z00_3197 =
																									BgL__ortest_1111z00_3201;
																							}
																						else
																							{	/* Integrate/node.scm 239 */
																								long BgL_odepthz00_3202;

																								BgL_odepthz00_3202 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_3198);
																								if ((((long) 2) <
																										BgL_odepthz00_3202))
																									{	/* Integrate/node.scm 239 */
																										obj_t BgL_arg1816z00_3203;

																										BgL_arg1816z00_3203 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_3198,
																											((long) 2));
																										BgL_res1946z00_3197 =
																											(BgL_arg1816z00_3203 ==
																											BgL_classz00_3192);
																									}
																								else
																									{	/* Integrate/node.scm 239 */
																										BgL_res1946z00_3197 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2086z00_4384 =
																					BgL_res1946z00_3197;
																			}
																	}
																else
																	{	/* Integrate/node.scm 239 */
																		BgL_test2086z00_4384 = ((bool_t) 0);
																	}
															}
															if (BgL_test2086z00_4384)
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3191 = BgL_alphaz00_3190;
																}
															else
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3191 = BgL_kapz00_3189;
																}
														}
														{	/* Integrate/node.scm 239 */

															{	/* Integrate/node.scm 240 */
																obj_t BgL_arg1661z00_3204;
																obj_t BgL_arg1662z00_3205;

																{	/* Integrate/node.scm 240 */
																	BgL_refz00_bglt BgL_arg1663z00_3206;

																	{	/* Integrate/node.scm 240 */
																		BgL_refz00_bglt BgL_new1136z00_3207;

																		{	/* Integrate/node.scm 243 */
																			BgL_refz00_bglt BgL_new1135z00_3208;

																			BgL_new1135z00_3208 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Integrate/node.scm 243 */
																				long BgL_arg1672z00_3209;

																				BgL_arg1672z00_3209 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1135z00_3208),
																					BgL_arg1672z00_3209);
																			}
																			{	/* Integrate/node.scm 243 */
																				BgL_objectz00_bglt BgL_tmpz00_4408;

																				BgL_tmpz00_4408 =
																					((BgL_objectz00_bglt)
																					BgL_new1135z00_3208);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4408,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1135z00_3208);
																			BgL_new1136z00_3207 = BgL_new1135z00_3208;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1136z00_3207)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_2977))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1136z00_3207)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_varz00_3191)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1136z00_3207)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_varz00_3191)), BUNSPEC);
																		BgL_arg1663z00_3206 = BgL_new1136z00_3207;
																	}
																	BgL_arg1661z00_3204 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1663z00_3206),
																		BgL_newzd2actualszd2_3187);
																}
																BgL_arg1662z00_3205 =
																	CDR(((obj_t) BgL_kapturedz00_3188));
																{
																	obj_t BgL_kapturedz00_4429;
																	obj_t BgL_newzd2actualszd2_4428;

																	BgL_newzd2actualszd2_4428 =
																		BgL_arg1661z00_3204;
																	BgL_kapturedz00_4429 = BgL_arg1662z00_3205;
																	BgL_kapturedz00_3188 = BgL_kapturedz00_4429;
																	BgL_newzd2actualszd2_3187 =
																		BgL_newzd2actualszd2_4428;
																	goto BgL_loopz00_3186;
																}
															}
														}
													}
												}
											}
									}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2977));
					}
				}
			}
		}

	}



/* &glo!-sync1330 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1330za2zzintegrate_nodez00(obj_t
		BgL_envz00_2979, obj_t BgL_nodez00_2980, obj_t BgL_integratorz00_2981)
	{
		{	/* Integrate/node.scm 201 */
			{
				BgL_nodez00_bglt BgL_auxz00_4434;

				{	/* Integrate/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1625z00_3211;

					BgL_arg1625z00_3211 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_mutexz00);
					BgL_auxz00_4434 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1625z00_3211,
						((BgL_variablez00_bglt) BgL_integratorz00_2981));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4434), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4441;

				{	/* Integrate/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1629z00_3212;

					BgL_arg1629z00_3212 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_prelockz00);
					BgL_auxz00_4441 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1629z00_3212,
						((BgL_variablez00_bglt) BgL_integratorz00_2981));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4441), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4448;

				{	/* Integrate/node.scm 205 */
					BgL_nodez00_bglt BgL_arg1630z00_3213;

					BgL_arg1630z00_3213 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_bodyz00);
					BgL_auxz00_4448 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1630z00_3213,
						((BgL_variablez00_bglt) BgL_integratorz00_2981));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2980)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4448), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2980));
		}

	}



/* &glo!-sequence1328 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1328za2zzintegrate_nodez00(obj_t
		BgL_envz00_2982, obj_t BgL_nodez00_2983, obj_t BgL_integratorz00_2984)
	{
		{	/* Integrate/node.scm 193 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2983)))->BgL_nodesz00),
				BgL_integratorz00_2984);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2983));
		}

	}



/* &glo!-closure1326 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1326za2zzintegrate_nodez00(obj_t
		BgL_envz00_2985, obj_t BgL_nodez00_2986, obj_t BgL_integratorz00_2987)
	{
		{	/* Integrate/node.scm 187 */
			{	/* Integrate/node.scm 188 */
				obj_t BgL_arg1615z00_3216;

				BgL_arg1615z00_3216 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2986)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1987z00zzintegrate_nodez00,
						BGl_string1988z00zzintegrate_nodez00, BgL_arg1615z00_3216));
			}
		}

	}



/* &glo!-var1324 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1324za2zzintegrate_nodez00(obj_t
		BgL_envz00_2988, obj_t BgL_nodez00_2989, obj_t BgL_integratorz00_2990)
	{
		{	/* Integrate/node.scm 158 */
			{	/* Integrate/node.scm 159 */
				BgL_variablez00_bglt BgL_variablez00_3218;

				BgL_variablez00_3218 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2989)))->BgL_variablez00);
				{	/* Integrate/node.scm 159 */
					BgL_typez00_bglt BgL_vtypez00_3219;

					BgL_vtypez00_3219 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3218))->
						BgL_typez00);
					{	/* Integrate/node.scm 160 */

						{
							obj_t BgL_variablez00_3221;

							BgL_variablez00_3221 = ((obj_t) BgL_variablez00_3218);
						BgL_loopz00_3220:
							{	/* Integrate/node.scm 162 */
								obj_t BgL_alphaz00_3222;

								BgL_alphaz00_3222 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3221)))->
									BgL_fastzd2alphazd2);
								{	/* Integrate/node.scm 164 */
									bool_t BgL_test2091z00_4472;

									{	/* Integrate/node.scm 164 */
										obj_t BgL_classz00_3223;

										BgL_classz00_3223 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3222))
											{	/* Integrate/node.scm 164 */
												BgL_objectz00_bglt BgL_arg1820z00_3224;

												BgL_arg1820z00_3224 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3222);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/node.scm 164 */
														long BgL_idxz00_3225;

														BgL_idxz00_3225 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3224);
														BgL_test2091z00_4472 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3225 + ((long) 2))) ==
															BgL_classz00_3223);
													}
												else
													{	/* Integrate/node.scm 164 */
														bool_t BgL_res1942z00_3228;

														{	/* Integrate/node.scm 164 */
															obj_t BgL_oclassz00_3229;

															{	/* Integrate/node.scm 164 */
																long BgL_arg1828z00_3230;

																{	/* Integrate/node.scm 164 */
																	long BgL_arg1829z00_3231;

																	BgL_arg1829z00_3231 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3224);
																	BgL_arg1828z00_3230 =
																		(BgL_arg1829z00_3231 - OBJECT_TYPE);
																}
																BgL_oclassz00_3229 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3230);
															}
															{	/* Integrate/node.scm 164 */
																bool_t BgL__ortest_1111z00_3232;

																BgL__ortest_1111z00_3232 =
																	(BgL_classz00_3223 == BgL_oclassz00_3229);
																if (BgL__ortest_1111z00_3232)
																	{	/* Integrate/node.scm 164 */
																		BgL_res1942z00_3228 =
																			BgL__ortest_1111z00_3232;
																	}
																else
																	{	/* Integrate/node.scm 164 */
																		long BgL_odepthz00_3233;

																		BgL_odepthz00_3233 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3229);
																		if ((((long) 2) < BgL_odepthz00_3233))
																			{	/* Integrate/node.scm 164 */
																				obj_t BgL_arg1816z00_3234;

																				BgL_arg1816z00_3234 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3229, ((long) 2));
																				BgL_res1942z00_3228 =
																					(BgL_arg1816z00_3234 ==
																					BgL_classz00_3223);
																			}
																		else
																			{	/* Integrate/node.scm 164 */
																				BgL_res1942z00_3228 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2091z00_4472 = BgL_res1942z00_3228;
													}
											}
										else
											{	/* Integrate/node.scm 164 */
												BgL_test2091z00_4472 = ((bool_t) 0);
											}
									}
									if (BgL_test2091z00_4472)
										{	/* Integrate/node.scm 164 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_2989)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3222)), BUNSPEC);
											{	/* Integrate/node.scm 166 */
												BgL_typez00_bglt BgL_arg1610z00_3235;

												BgL_arg1610z00_3235 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3222)))->
													BgL_typez00);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_2989))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1610z00_3235), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_4500;

												BgL_variablez00_4500 = BgL_alphaz00_3222;
												BgL_variablez00_3221 = BgL_variablez00_4500;
												goto BgL_loopz00_3220;
											}
										}
									else
										{	/* Integrate/node.scm 168 */
											bool_t BgL_test2096z00_4501;

											{	/* Integrate/node.scm 168 */
												obj_t BgL_classz00_3236;

												BgL_classz00_3236 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3221))
													{	/* Integrate/node.scm 168 */
														BgL_objectz00_bglt BgL_arg1820z00_3237;

														BgL_arg1820z00_3237 =
															(BgL_objectz00_bglt) (BgL_variablez00_3221);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Integrate/node.scm 168 */
																long BgL_idxz00_3238;

																BgL_idxz00_3238 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3237);
																BgL_test2096z00_4501 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3238 + ((long) 2))) ==
																	BgL_classz00_3236);
															}
														else
															{	/* Integrate/node.scm 168 */
																bool_t BgL_res1943z00_3241;

																{	/* Integrate/node.scm 168 */
																	obj_t BgL_oclassz00_3242;

																	{	/* Integrate/node.scm 168 */
																		long BgL_arg1828z00_3243;

																		{	/* Integrate/node.scm 168 */
																			long BgL_arg1829z00_3244;

																			BgL_arg1829z00_3244 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3237);
																			BgL_arg1828z00_3243 =
																				(BgL_arg1829z00_3244 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3242 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3243);
																	}
																	{	/* Integrate/node.scm 168 */
																		bool_t BgL__ortest_1111z00_3245;

																		BgL__ortest_1111z00_3245 =
																			(BgL_classz00_3236 == BgL_oclassz00_3242);
																		if (BgL__ortest_1111z00_3245)
																			{	/* Integrate/node.scm 168 */
																				BgL_res1943z00_3241 =
																					BgL__ortest_1111z00_3245;
																			}
																		else
																			{	/* Integrate/node.scm 168 */
																				long BgL_odepthz00_3246;

																				BgL_odepthz00_3246 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3242);
																				if ((((long) 2) < BgL_odepthz00_3246))
																					{	/* Integrate/node.scm 168 */
																						obj_t BgL_arg1816z00_3247;

																						BgL_arg1816z00_3247 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3242, ((long) 2));
																						BgL_res1943z00_3241 =
																							(BgL_arg1816z00_3247 ==
																							BgL_classz00_3236);
																					}
																				else
																					{	/* Integrate/node.scm 168 */
																						BgL_res1943z00_3241 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2096z00_4501 = BgL_res1943z00_3241;
															}
													}
												else
													{	/* Integrate/node.scm 168 */
														BgL_test2096z00_4501 = ((bool_t) 0);
													}
											}
											if (BgL_test2096z00_4501)
												{	/* Integrate/node.scm 168 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_2989));
												}
											else
												{	/* Integrate/node.scm 168 */
													if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
															((BgL_localz00_bglt) BgL_variablez00_3221)))
														{	/* Integrate/node.scm 172 */
															BgL_typez00_bglt BgL_vtypez00_3248;

															BgL_vtypez00_3248 =
																BGl_getzd2bigloozd2typez00zztype_cachez00
																(BgL_vtypez00_3219);
															{	/* Integrate/node.scm 174 */
																BgL_typez00_bglt BgL_vz00_3249;

																BgL_vz00_3249 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_2989))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3249), BUNSPEC);
															}
															{	/* Integrate/node.scm 175 */
																BgL_boxzd2refzd2_bglt BgL_new1128z00_3250;

																{	/* Integrate/node.scm 176 */
																	BgL_boxzd2refzd2_bglt BgL_new1127z00_3251;

																	BgL_new1127z00_3251 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Integrate/node.scm 176 */
																		long BgL_arg1614z00_3252;

																		BgL_arg1614z00_3252 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1127z00_3251),
																			BgL_arg1614z00_3252);
																	}
																	{	/* Integrate/node.scm 176 */
																		BgL_objectz00_bglt BgL_tmpz00_4535;

																		BgL_tmpz00_4535 =
																			((BgL_objectz00_bglt)
																			BgL_new1127z00_3251);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4535,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1127z00_3251);
																	BgL_new1128z00_3250 = BgL_new1127z00_3251;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1128z00_3250)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_2989))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1128z00_3250)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3248),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1128z00_3250)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1128z00_3250)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1128z00_3250))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_2989)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1128z00_3250))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3248),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1128z00_3250);
															}
														}
													else
														{	/* Integrate/node.scm 170 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_2989));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1322 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1322za2zzintegrate_nodez00(obj_t
		BgL_envz00_2991, obj_t BgL_nodez00_2992, obj_t BgL_integratorz00_2993)
	{
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2992));
		}

	}



/* &glo!-atom1320 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1320za2zzintegrate_nodez00(obj_t
		BgL_envz00_2994, obj_t BgL_nodez00_2995, obj_t BgL_integratorz00_2996)
	{
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2995));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string1989z00zzintegrate_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
