/*===========================================================================*/
/*   (Liveness/liveness.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Liveness/liveness.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


	extern obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2valloc1949zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2vsetz12zf2liveness1971z50zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2sequencezf2live1879z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2068z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2sequencezf2live1877z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2switchzf2livenes2036z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2getfieldzf2live1919z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2instanceofzf2li1985z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2refzf2liveness1855z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2literal1843zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
		BUNSPEC;
	static obj_t
		BGl_z62defusezd2instanceofzf2li1983z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2getfieldzf2live1921z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2appzf2liveness1887z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2valloczf2livenes1955z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2setfieldzf2live1929z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2new1941zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2setfieldzf2live1927z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2vrefzf2liveness1963z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2failzf2liveness2026z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62defusezd2vsetz121965za2zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2failzf2liveness2024z42zzliveness_livenessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_refzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2newzf2liveness1945z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_disjonctionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2setzd2exzd2itzf2live2060z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2extern1907zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2instanceofzf2liv1987z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2funcallzf2liven1903z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_literalzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2vlengthzf2livene1979z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2valloczf2livene1953z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2castzf2liveness2001z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2funcallzf2liven1901z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2instanceof1981zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2valloczf2livene1951z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_livenessz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_addz00zzliveness_setz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62defusezd2retblock2070zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2setzd2exzd2it2054zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2setfieldzf2liven1931z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62defusezd2appzd2ly1891z62zzliveness_livenessz00(obj_t,
		obj_t);
	static bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2funcallzf2livene1905z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62defusezd2setq2005zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2vref1957zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2closure1859zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2setqzf2liveness2009z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2it2062zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2wideningzf2live1937z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setqzf2liveness2007z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2funcall1899zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2widening1933zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2wideningzf2live1935z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2letzd2fun2038z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_intersectionz00zzliveness_setz00(obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2appzd2lyzf2livene1895z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2appzd2lyzf2livene1893z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2conditional2014zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2pragmazf2livenes1915z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2letzd2funzf2livene2044z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2conditionalzf2li2020z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_livenessz00(void);
	static obj_t
		BGl_z62inoutz12zd2retblockzf2live2074z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2retblockzf2live2072z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2fail2022zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t BGl_z62defusezd2sequence1875zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2boxzd2setz12zf2liven2108z82zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_localzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2sync2110zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2synczf2liveness2114z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2vsetz12zf2livenes1969z42zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2synczf2liveness2112z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2vsetz12zf2livenes1967z50zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2sequencezf2liven1881z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2vlengthzf2liven1977z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2vlengthzf2liven1975z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2vrefzf2liveness1959z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2kwotezf2liveness1873z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2boxzd2setz122102z70zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2vrefzf2liveness1961z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2pragma1909zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt);
	extern obj_t BGl_newzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2app1883zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_unionz00zzliveness_setz00(obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2funzf2liven2042z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2makezd2boxzf2live2088z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2letzd2funzf2liven2040z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2makezd2boxzf2live2090z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern obj_t BGl_switchzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t);
	static obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2wideningzf2liven1939z42zzliveness_livenessz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt);
	extern obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00;
	static obj_t BGl_z62defusezd2kwote1867zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62inoutz12zd2switchzf2livene2034z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62defuse1836z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2returnzf2livenes2084z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2switchzf2livene2032z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2literalzf2liven1847z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2boxzd2refzf2liven2098z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_valloczf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2literalzf2liven1845z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2ref1851zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2boxzd2refzf2liven2096z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62inoutzd2refzf2liveness1857z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2boxzd2setz12zf2live2106z90zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2retblockzf2liven2076z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2refzf2liveness1853z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutzd2appzf2liveness1889z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2boxzd2setz12zf2live2104z82zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_returnzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00(void);
	static obj_t
		BGl_z62defusezd2appzf2liveness1885z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2failzf2liveness2028z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2getfield1917zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2makezd2box2086z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_failzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2kwotezf2livenes1869z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2letzd2var2046z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2pragmazf2livene1913z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2kwotezf2livenes1871z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2pragmazf2livene1911z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2066z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2itzf2li2064z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2letzd2varzf2livene2052z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62inoutzd2newzf2liveness1947z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2returnzf2livene2082z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2newzf2liveness1943z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2closurezf2livene1865z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2switch2030zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2castzf2liveness2003z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2returnzf2livene2080z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2058z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2appzd2lyzf2livenes1897z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setzd2exzd2itzf2liv2056z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2castzd2nullzf2live1995z90zzliveness_livenessz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62defusezd2vlength1973zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2conditionalzf2l2018z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2return2078zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2getfieldzf2liven1923z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2conditionalzf2l2016z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2makezd2boxzf2liven2092z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	extern obj_t BGl_setqzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2castzd2nullzf2liv1993z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inoutz121838z70zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62defusezd2setfield1925zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2castzd2nullzf2liv1991z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_closurezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_synczf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2setqzf2liveness2011z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2castzd2null1989z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2closurezf2liven1863z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62inout1840z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2closurezf2liven1861z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2boxzd2ref2094z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2letzd2varzf2liven2048z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2boxzd2refzf2livene2100z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2castzf2liveness1999z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2varzf2liven2050z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	extern obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2cast1997zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2literalzf2livene1849z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3003z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2exte3117z00,
		BGl_z62defusezd2extern1907zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3004z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag3118z00,
		BGl_z62defusezd2pragma1909zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3005z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag3119z00,
		BGl_z62defusezd2pragmazf2livene1911z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3006z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2pr3120za7,
		BGl_z62inoutz12zd2pragmazf2livene1913z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3007z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2pragm3121z00,
		BGl_z62inoutzd2pragmazf2livenes1915z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3008z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf3122z00,
		BGl_z62defusezd2getfield1917zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3009z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf3123z00,
		BGl_z62defusezd2getfieldzf2live1919z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3010z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ge3124za7,
		BGl_z62inoutz12zd2getfieldzf2live1921z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3011z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2getfi3125z00,
		BGl_z62inoutzd2getfieldzf2liven1923z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3012z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf3126z00,
		BGl_z62defusezd2setfield1925zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3013z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf3127z00,
		BGl_z62defusezd2setfieldzf2live1927z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3014z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3128za7,
		BGl_z62inoutz12zd2setfieldzf2live1929z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3015z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setfi3129z00,
		BGl_z62inoutzd2setfieldzf2liven1931z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3016z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide3130z00,
		BGl_z62defusezd2widening1933zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3017z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide3131z00,
		BGl_z62defusezd2wideningzf2live1935z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3018z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2wi3132za7,
		BGl_z62inoutz12zd2wideningzf2live1937z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3019z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2widen3133z00,
		BGl_z62inoutzd2wideningzf2liven1939z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3108z00zzliveness_livenessz00,
		BgL_bgl_string3108za700za7za7l3134za7, "inout set-exit o=", 17);
	      DEFINE_STRING(BGl_string3109z00zzliveness_livenessz00,
		BgL_bgl_string3109za700za7za7l3135za7, " use=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73136za7,
		BGl_z62defusezd2boxzd2setz122102z70zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73137za7,
		BGl_z62defusezd2boxzd2setz12zf2live2104z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3020z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2new13138z00,
		BGl_z62defusezd2new1941zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo3139za7,
		BGl_z62inoutz12zd2boxzd2setz12zf2live2106z90zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3021z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2newza73140za7,
		BGl_z62defusezd2newzf2liveness1943z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d3141za7,
		BGl_z62inoutzd2boxzd2setz12zf2liven2108z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3022z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ne3142za7,
		BGl_z62inoutz12zd2newzf2liveness1945z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3110z00zzliveness_livenessz00,
		BgL_bgl_string3110za700za7za7l3143za7, " def=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync3144z00,
		BGl_z62defusezd2sync2110zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3023z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2newza7f3145za7,
		BGl_z62inoutzd2newzf2liveness1947z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3111z00zzliveness_livenessz00,
		BgL_bgl_string3111za700za7za7l3146za7, " o=", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync3147z00,
		BGl_z62defusezd2synczf2liveness2112z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3024z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall3148z00,
		BGl_z62defusezd2valloc1949zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3112z00zzliveness_livenessz00,
		BgL_bgl_string3112za700za7za7l3149za7, " ", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sy3150za7,
		BGl_z62inoutz12zd2synczf2liveness2114z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3025z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall3151z00,
		BGl_z62defusezd2valloczf2livene1951z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3113z00zzliveness_livenessz00,
		BgL_bgl_string3113za700za7za7l3152za7, "inout ", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2syncza73153za7,
		BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3026z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2va3154za7,
		BGl_z62inoutz12zd2valloczf2livene1953z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3114z00zzliveness_livenessz00,
		BgL_bgl_string3114za700za7za7l3155za7, " in=", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3027z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vallo3156z00,
		BGl_z62inoutzd2valloczf2livenes1955z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3115z00zzliveness_livenessz00,
		BgL_bgl_string3115za700za7za7l3157za7, "  inout ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3028z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref3158z00,
		BGl_z62defusezd2vref1957zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3116z00zzliveness_livenessz00,
		BgL_bgl_string3116za700za7za7l3159za7, "liveness_liveness", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3029z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref3160z00,
		BGl_z62defusezd2vrefzf2liveness1959z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3030z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vr3161za7,
		BGl_z62inoutz12zd2vrefzf2liveness1961z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3031z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vrefza73162za7,
		BGl_z62inoutzd2vrefzf2liveness1963z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3032z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset3163z00,
		BGl_z62defusezd2vsetz121965za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3033z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset3164z00,
		BGl_z62defusezd2vsetz12zf2livenes1967z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3034z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vs3165za7,
		BGl_z62inoutz12zd2vsetz12zf2livenes1969z42zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3035z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vsetza73166za7,
		BGl_z62inoutzd2vsetz12zf2liveness1971z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3036z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen3167z00,
		BGl_z62defusezd2vlength1973zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3037z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen3168z00,
		BGl_z62defusezd2vlengthzf2liven1975z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3038z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vl3169za7,
		BGl_z62inoutz12zd2vlengthzf2liven1977z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3039z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vleng3170z00,
		BGl_z62inoutzd2vlengthzf2livene1979z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3040z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst3171z00,
		BGl_z62defusezd2instanceof1981zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3041z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst3172z00,
		BGl_z62defusezd2instanceofzf2li1983z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3042z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2in3173za7,
		BGl_z62inoutz12zd2instanceofzf2li1985z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3043z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2insta3174z00,
		BGl_z62inoutzd2instanceofzf2liv1987z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3044z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3175z00,
		BGl_z62defusezd2castzd2null1989z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3045z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3176z00,
		BGl_z62defusezd2castzd2nullzf2liv1991z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3046z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca3177za7,
		BGl_z62inoutz12zd2castzd2nullzf2liv1993z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3047z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza73178za7,
		BGl_z62inoutzd2castzd2nullzf2live1995z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3048z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3179z00,
		BGl_z62defusezd2cast1997zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3049z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast3180z00,
		BGl_z62defusezd2castzf2liveness1999z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2sfunz12zd2envz12zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2sf3181z00,
		BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3050z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca3182za7,
		BGl_z62inoutz12zd2castzf2liveness2001z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3051z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza73183za7,
		BGl_z62inoutzd2castzf2liveness2003z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3052z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq3184z00,
		BGl_z62defusezd2setq2005zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3053z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq3185z00,
		BGl_z62defusezd2setqzf2liveness2007z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3054z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3186za7,
		BGl_z62inoutz12zd2setqzf2liveness2009z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3055z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setqza73187za7,
		BGl_z62inoutzd2setqzf2liveness2011z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3056z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond3188z00,
		BGl_z62defusezd2conditional2014zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3057z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond3189z00,
		BGl_z62defusezd2conditionalzf2l2016z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3058z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2co3190za7,
		BGl_z62inoutz12zd2conditionalzf2l2018z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3059z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2condi3191z00,
		BGl_z62inoutzd2conditionalzf2li2020z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3060z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail3192z00,
		BGl_z62defusezd2fail2022zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3061z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail3193z00,
		BGl_z62defusezd2failzf2liveness2024z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fa3194za7,
		BGl_z62inoutz12zd2failzf2liveness2026z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3063z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2failza73195za7,
		BGl_z62inoutzd2failzf2liveness2028z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3064z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit3196z00,
		BGl_z62defusezd2switch2030zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3065z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit3197z00,
		BGl_z62defusezd2switchzf2livene2032z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3066z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sw3198za7,
		BGl_z62inoutz12zd2switchzf2livene2034z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2switc3199z00,
		BGl_z62inoutzd2switchzf2livenes2036z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3068z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73200za7,
		BGl_z62defusezd2letzd2fun2038z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73201za7,
		BGl_z62defusezd2letzd2funzf2liven2040z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le3202za7,
		BGl_z62inoutz12zd2letzd2funzf2liven2042z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d3203za7,
		BGl_z62inoutzd2letzd2funzf2livene2044z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73204za7,
		BGl_z62defusezd2letzd2var2046z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza73205za7,
		BGl_z62defusezd2letzd2varzf2liven2048z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le3206za7,
		BGl_z62inoutz12zd2letzd2varzf2liven2050z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d3207za7,
		BGl_z62inoutzd2letzd2varzf2livene2052z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza73208za7,
		BGl_z62defusezd2setzd2exzd2it2054zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza73209za7,
		BGl_z62defusezd2setzd2exzd2itzf2liv2056z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3210za7,
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2058z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za770za7za73211za7,
		BGl_z62inoutz12z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setza7d3212za7,
		BGl_z62inoutzd2setzd2exzd2itzf2live2060z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump3213z00,
		BGl_z62defusezd2jumpzd2exzd2it2062zb0zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump3214z00,
		BGl_z62defusezd2jumpzd2exzd2itzf2li2064z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ju3215za7,
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2066z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2jumpza73216za7,
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2068z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb3217z00,
		BGl_z62defusezd2retblock2070zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb3218z00,
		BGl_z62defusezd2retblockzf2live2072z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3219za7,
		BGl_z62inoutz12zd2retblockzf2live2074z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retbl3220z00,
		BGl_z62inoutzd2retblockzf2liven2076z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu3221z00,
		BGl_z62defusezd2return2078zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu3222z00,
		BGl_z62defusezd2returnzf2livene2080z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3223za7,
		BGl_z62inoutz12zd2returnzf2livene2082z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retur3224z00,
		BGl_z62inoutzd2returnzf2livenes2084z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make3225z00,
		BGl_z62defusezd2makezd2box2086z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make3226z00,
		BGl_z62defusezd2makezd2boxzf2live2088z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ma3227za7,
		BGl_z62inoutz12zd2makezd2boxzf2live2090z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2makeza73228za7,
		BGl_z62inoutzd2makezd2boxzf2liven2092z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73229za7,
		BGl_z62defusezd2boxzd2ref2094z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza73230za7,
		BGl_z62defusezd2boxzd2refzf2liven2096z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo3231za7,
		BGl_z62inoutz12zd2boxzd2refzf2liven2098z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d3232za7,
		BGl_z62inoutzd2boxzd2refzf2livene2100z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2livezd2envz00zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2li3233z00,
		BGl_z62livenesszd2livezb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutzd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762inoutza762za7za7liv3234z00,
		BGl_z62inoutz62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2960z00zzliveness_livenessz00,
		BgL_bgl_string2960za700za7za7l3235za7, "in=", 3);
	      DEFINE_STRING(BGl_string2961z00zzliveness_livenessz00,
		BgL_bgl_string2961za700za7za7l3236za7, "out=", 4);
	      DEFINE_STRING(BGl_string2963z00zzliveness_livenessz00,
		BgL_bgl_string2963za700za7za7l3237za7, "defuse1836", 10);
	      DEFINE_STRING(BGl_string2965z00zzliveness_livenessz00,
		BgL_bgl_string2965za700za7za7l3238za7, "inout!1838", 10);
	      DEFINE_STRING(BGl_string2967z00zzliveness_livenessz00,
		BgL_bgl_string2967za700za7za7l3239za7, "inout1840", 9);
	      DEFINE_STRING(BGl_string2969z00zzliveness_livenessz00,
		BgL_bgl_string2969za700za7za7l3240za7, "defuse", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2962z00zzliveness_livenessz00,
		BgL_bgl_za762defuse1836za7623241z00,
		BGl_z62defuse1836z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2964z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7121838za73242za7,
		BGl_z62inoutz121838z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2972z00zzliveness_livenessz00,
		BgL_bgl_string2972za700za7za7l3243za7, "inout!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2966z00zzliveness_livenessz00,
		BgL_bgl_za762inout1840za762za73244za7,
		BGl_z62inout1840z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2974z00zzliveness_livenessz00,
		BgL_bgl_string2974za700za7za7l3245za7, "inout", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2968z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite3246z00,
		BGl_z62defusezd2literal1843zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2970z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite3247z00,
		BGl_z62defusezd2literalzf2liven1845z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2971z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2li3248za7,
		BGl_z62inoutz12zd2literalzf2liven1847z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2973z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2liter3249z00,
		BGl_z62inoutzd2literalzf2livene1849z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2975z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2ref13250z00,
		BGl_z62defusezd2ref1851zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2976z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2refza73251za7,
		BGl_z62defusezd2refzf2liveness1853z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2977z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re3252za7,
		BGl_z62inoutz12zd2refzf2liveness1855z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2978z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2refza7f3253za7,
		BGl_z62inoutzd2refzf2liveness1857z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2979z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos3254z00,
		BGl_z62defusezd2closure1859zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2980z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos3255z00,
		BGl_z62defusezd2closurezf2liven1861z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2981z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2cl3256za7,
		BGl_z62inoutz12zd2closurezf2liven1863z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2982z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2closu3257z00,
		BGl_z62inoutzd2closurezf2livene1865z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2983z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot3258z00,
		BGl_z62defusezd2kwote1867zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2984z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot3259z00,
		BGl_z62defusezd2kwotezf2livenes1869z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2985z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2kw3260za7,
		BGl_z62inoutz12zd2kwotezf2livenes1871z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2986z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2kwote3261z00,
		BGl_z62inoutzd2kwotezf2liveness1873z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2987z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ3262z00,
		BGl_z62defusezd2sequence1875zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2988z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ3263z00,
		BGl_z62defusezd2sequencezf2live1877z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2989z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se3264za7,
		BGl_z62inoutz12zd2sequencezf2live1879z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2990z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2seque3265z00,
		BGl_z62inoutzd2sequencezf2liven1881z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2991z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2app13266z00,
		BGl_z62defusezd2app1883zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2992z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73267za7,
		BGl_z62defusezd2appzf2liveness1885z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2993z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap3268za7,
		BGl_z62inoutz12zd2appzf2liveness1887z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2994z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7f3269za7,
		BGl_z62inoutzd2appzf2liveness1889z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2995z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73270za7,
		BGl_z62defusezd2appzd2ly1891z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2996z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza73271za7,
		BGl_z62defusezd2appzd2lyzf2livene1893z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2997z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap3272za7,
		BGl_z62inoutz12zd2appzd2lyzf2livene1895z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2998z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7d3273za7,
		BGl_z62inoutzd2appzd2lyzf2livenes1897z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2999z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func3274z00,
		BGl_z62defusezd2funcall1899zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_defusezd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762defuseza762za7za7li3275z00,
		BGl_z62defusez62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3000z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func3276z00,
		BGl_z62defusezd2funcallzf2liven1901z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3001z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fu3277za7,
		BGl_z62inoutz12zd2funcallzf2liven1903z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3002z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2funca3278z00,
		BGl_z62inoutzd2funcallzf2livene1905z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_livenessz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long
		BgL_checksumz00_6225, char *BgL_fromz00_6226)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_livenessz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_livenessz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_importedzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_genericzd2initzd2zzliveness_livenessz00();
					BGl_methodzd2initzd2zzliveness_livenessz00();
					return BGl_toplevelzd2initzd2zzliveness_livenessz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"liveness_liveness");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* liveness-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt
		BgL_valuez00_3)
	{
		{	/* Liveness/liveness.scm 43 */
			{	/* Liveness/liveness.scm 45 */
				obj_t BgL_g1551z00_1546;

				BgL_g1551z00_1546 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_argsz00);
				{
					obj_t BgL_l1549z00_1548;

					BgL_l1549z00_1548 = BgL_g1551z00_1546;
				BgL_zc3z04anonymousza32120ze3z87_1549:
					if (PAIRP(BgL_l1549z00_1548))
						{	/* Liveness/liveness.scm 45 */
							{	/* Liveness/liveness.scm 45 */
								obj_t BgL_lz00_1551;

								BgL_lz00_1551 = CAR(BgL_l1549z00_1548);
								{	/* Liveness/liveness.scm 45 */
									BgL_localzf2livenesszf2_bglt BgL_wide1145z00_1554;

									BgL_wide1145z00_1554 =
										((BgL_localzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 45 */
										obj_t BgL_auxz00_6255;
										BgL_objectz00_bglt BgL_tmpz00_6251;

										BgL_auxz00_6255 = ((obj_t) BgL_wide1145z00_1554);
										BgL_tmpz00_6251 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_1551)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6251, BgL_auxz00_6255);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551)));
									{	/* Liveness/liveness.scm 45 */
										long BgL_arg2122z00_1555;

										BgL_arg2122z00_1555 =
											BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1551))),
											BgL_arg2122z00_1555);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551)));
								}
								{
									BgL_localzf2livenesszf2_bglt BgL_auxz00_6269;

									{
										obj_t BgL_auxz00_6270;

										{	/* Liveness/liveness.scm 45 */
											BgL_objectz00_bglt BgL_tmpz00_6271;

											BgL_tmpz00_6271 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1551)));
											BgL_auxz00_6270 = BGL_OBJECT_WIDENING(BgL_tmpz00_6271);
										}
										BgL_auxz00_6269 =
											((BgL_localzf2livenesszf2_bglt) BgL_auxz00_6270);
									}
									((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6269))->
											BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1551));
							}
							{
								obj_t BgL_l1549z00_6281;

								BgL_l1549z00_6281 = CDR(BgL_l1549z00_1548);
								BgL_l1549z00_1548 = BgL_l1549z00_6281;
								goto BgL_zc3z04anonymousza32120ze3z87_1549;
							}
						}
					else
						{	/* Liveness/liveness.scm 45 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 46 */
				obj_t BgL_arg2124z00_1559;

				BgL_arg2124z00_1559 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2124z00_1559));
			}
			{	/* Liveness/liveness.scm 47 */
				obj_t BgL_arg2125z00_1560;

				BgL_arg2125z00_1560 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				return
					BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2125z00_1560), BNIL);
			}
		}

	}



/* &liveness-sfun! */
	obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t
		BgL_envz00_4635, obj_t BgL_valuez00_4636)
	{
		{	/* Liveness/liveness.scm 43 */
			return
				BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(
				((BgL_sfunz00_bglt) BgL_valuez00_4636));
		}

	}



/* liveness-live */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt BgL_nodez00_5)
	{
		{	/* Liveness/liveness.scm 61 */
			{	/* Liveness/liveness.scm 62 */
				obj_t BgL_inz00_1561;

				BgL_inz00_1561 = BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_5);
				{	/* Liveness/liveness.scm 63 */
					obj_t BgL_outz00_1562;

					{	/* Liveness/liveness.scm 64 */
						obj_t BgL_tmpz00_3663;

						{	/* Liveness/liveness.scm 64 */
							int BgL_tmpz00_6292;

							BgL_tmpz00_6292 = (int) (((long) 1));
							BgL_tmpz00_3663 = BGL_MVALUES_VAL(BgL_tmpz00_6292);
						}
						{	/* Liveness/liveness.scm 64 */
							int BgL_tmpz00_6295;

							BgL_tmpz00_6295 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6295, BUNSPEC);
						}
						BgL_outz00_1562 = BgL_tmpz00_3663;
					}
					{	/* Liveness/liveness.scm 64 */
						obj_t BgL_arg2126z00_1563;

						BgL_arg2126z00_1563 = BGl_shapez00zztools_shapez00(BgL_inz00_1561);
						{	/* Liveness/liveness.scm 64 */
							obj_t BgL_list2127z00_1564;

							{	/* Liveness/liveness.scm 64 */
								obj_t BgL_arg2128z00_1565;

								BgL_arg2128z00_1565 =
									MAKE_YOUNG_PAIR(BgL_arg2126z00_1563, BNIL);
								BgL_list2127z00_1564 =
									MAKE_YOUNG_PAIR(BGl_string2960z00zzliveness_livenessz00,
									BgL_arg2128z00_1565);
							} ((bool_t) 0);
					}}
					{	/* Liveness/liveness.scm 65 */
						obj_t BgL_arg2130z00_1566;

						BgL_arg2130z00_1566 = BGl_shapez00zztools_shapez00(BgL_outz00_1562);
						{	/* Liveness/liveness.scm 65 */
							obj_t BgL_list2131z00_1567;

							{	/* Liveness/liveness.scm 65 */
								obj_t BgL_arg2132z00_1568;

								BgL_arg2132z00_1568 =
									MAKE_YOUNG_PAIR(BgL_arg2130z00_1566, BNIL);
								BgL_list2131z00_1567 =
									MAKE_YOUNG_PAIR(BGl_string2961z00zzliveness_livenessz00,
									BgL_arg2132z00_1568);
							} ((bool_t) 0);
					}}
					{	/* Liveness/liveness.scm 66 */
						obj_t BgL_list2133z00_1569;

						{	/* Liveness/liveness.scm 66 */
							obj_t BgL_arg2134z00_1570;

							BgL_arg2134z00_1570 = MAKE_YOUNG_PAIR(BgL_outz00_1562, BNIL);
							BgL_list2133z00_1569 =
								MAKE_YOUNG_PAIR(BgL_inz00_1561, BgL_arg2134z00_1570);
						}
						return BGl_intersectionz00zzliveness_setz00(BgL_list2133z00_1569);
					}
				}
			}
		}

	}



/* &liveness-live */
	obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t BgL_envz00_4637,
		obj_t BgL_nodez00_4638)
	{
		{	/* Liveness/liveness.scm 61 */
			return
				BGl_livenesszd2livezd2zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nodez00_4638));
		}

	}



/* defuse* */
	obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t BgL_nodesz00_6,
		obj_t BgL_defz00_7, obj_t BgL_usez00_8)
	{
		{	/* Liveness/liveness.scm 71 */
			{
				obj_t BgL_nodesz00_1572;
				obj_t BgL_defz00_1573;
				obj_t BgL_usez00_1574;

				BgL_nodesz00_1572 = BgL_nodesz00_6;
				BgL_defz00_1573 = BgL_defz00_7;
				BgL_usez00_1574 = BgL_usez00_8;
			BgL_zc3z04anonymousza32135ze3z87_1575:
				if (NULLP(BgL_nodesz00_1572))
					{	/* Liveness/liveness.scm 75 */
						{	/* Liveness/liveness.scm 76 */
							int BgL_tmpz00_6311;

							BgL_tmpz00_6311 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6311);
						}
						{	/* Liveness/liveness.scm 76 */
							int BgL_tmpz00_6314;

							BgL_tmpz00_6314 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6314, BgL_usez00_1574);
						}
						return BgL_defz00_1573;
					}
				else
					{	/* Liveness/liveness.scm 77 */
						obj_t BgL_dz00_1579;

						{	/* Liveness/liveness.scm 78 */
							obj_t BgL_arg2144z00_1588;

							BgL_arg2144z00_1588 = CAR(((obj_t) BgL_nodesz00_1572));
							BgL_dz00_1579 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2144z00_1588));
						}
						{	/* Liveness/liveness.scm 78 */
							obj_t BgL_uz00_1580;

							{	/* Liveness/liveness.scm 79 */
								obj_t BgL_tmpz00_3665;

								{	/* Liveness/liveness.scm 79 */
									int BgL_tmpz00_6321;

									BgL_tmpz00_6321 = (int) (((long) 1));
									BgL_tmpz00_3665 = BGL_MVALUES_VAL(BgL_tmpz00_6321);
								}
								{	/* Liveness/liveness.scm 79 */
									int BgL_tmpz00_6324;

									BgL_tmpz00_6324 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6324, BUNSPEC);
								}
								BgL_uz00_1580 = BgL_tmpz00_3665;
							}
							{	/* Liveness/liveness.scm 79 */
								obj_t BgL_arg2137z00_1581;
								obj_t BgL_arg2138z00_1582;
								obj_t BgL_arg2139z00_1583;

								BgL_arg2137z00_1581 = CDR(((obj_t) BgL_nodesz00_1572));
								{	/* Liveness/liveness.scm 79 */
									obj_t BgL_list2140z00_1584;

									{	/* Liveness/liveness.scm 79 */
										obj_t BgL_arg2141z00_1585;

										BgL_arg2141z00_1585 =
											MAKE_YOUNG_PAIR(BgL_defz00_1573, BNIL);
										BgL_list2140z00_1584 =
											MAKE_YOUNG_PAIR(BgL_dz00_1579, BgL_arg2141z00_1585);
									}
									BgL_arg2138z00_1582 =
										BGl_unionz00zzliveness_setz00(BgL_list2140z00_1584);
								}
								{	/* Liveness/liveness.scm 79 */
									obj_t BgL_list2142z00_1586;

									{	/* Liveness/liveness.scm 79 */
										obj_t BgL_arg2143z00_1587;

										BgL_arg2143z00_1587 =
											MAKE_YOUNG_PAIR(BgL_usez00_1574, BNIL);
										BgL_list2142z00_1586 =
											MAKE_YOUNG_PAIR(BgL_uz00_1580, BgL_arg2143z00_1587);
									}
									BgL_arg2139z00_1583 =
										BGl_unionz00zzliveness_setz00(BgL_list2142z00_1586);
								}
								{
									obj_t BgL_usez00_6337;
									obj_t BgL_defz00_6336;
									obj_t BgL_nodesz00_6335;

									BgL_nodesz00_6335 = BgL_arg2137z00_1581;
									BgL_defz00_6336 = BgL_arg2138z00_1582;
									BgL_usez00_6337 = BgL_arg2139z00_1583;
									BgL_usez00_1574 = BgL_usez00_6337;
									BgL_defz00_1573 = BgL_defz00_6336;
									BgL_nodesz00_1572 = BgL_nodesz00_6335;
									goto BgL_zc3z04anonymousza32135ze3z87_1575;
								}
							}
						}
					}
			}
		}

	}



/* defuse-seq */
	obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t BgL_nodesz00_9)
	{
		{	/* Liveness/liveness.scm 84 */
			{
				obj_t BgL_nodesz00_1593;
				obj_t BgL_defz00_1594;
				obj_t BgL_usez00_1595;

				BgL_nodesz00_1593 = BgL_nodesz00_9;
				BgL_defz00_1594 = BNIL;
				BgL_usez00_1595 = BNIL;
			BgL_zc3z04anonymousza32145ze3z87_1596:
				if (NULLP(BgL_nodesz00_1593))
					{	/* Liveness/liveness.scm 88 */
						{	/* Liveness/liveness.scm 89 */
							int BgL_tmpz00_6340;

							BgL_tmpz00_6340 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6340);
						}
						{	/* Liveness/liveness.scm 89 */
							int BgL_tmpz00_6343;

							BgL_tmpz00_6343 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6343, BgL_usez00_1595);
						}
						return BgL_defz00_1594;
					}
				else
					{	/* Liveness/liveness.scm 90 */
						obj_t BgL_dz00_1600;

						{	/* Liveness/liveness.scm 91 */
							obj_t BgL_arg2156z00_1610;

							BgL_arg2156z00_1610 = CAR(((obj_t) BgL_nodesz00_1593));
							BgL_dz00_1600 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2156z00_1610));
						}
						{	/* Liveness/liveness.scm 91 */
							obj_t BgL_uz00_1601;

							{	/* Liveness/liveness.scm 92 */
								obj_t BgL_tmpz00_3668;

								{	/* Liveness/liveness.scm 92 */
									int BgL_tmpz00_6350;

									BgL_tmpz00_6350 = (int) (((long) 1));
									BgL_tmpz00_3668 = BGL_MVALUES_VAL(BgL_tmpz00_6350);
								}
								{	/* Liveness/liveness.scm 92 */
									int BgL_tmpz00_6353;

									BgL_tmpz00_6353 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6353, BUNSPEC);
								}
								BgL_uz00_1601 = BgL_tmpz00_3668;
							}
							{	/* Liveness/liveness.scm 92 */
								obj_t BgL_arg2147z00_1602;
								obj_t BgL_arg2148z00_1603;
								obj_t BgL_arg2149z00_1604;

								BgL_arg2147z00_1602 = CDR(((obj_t) BgL_nodesz00_1593));
								{	/* Liveness/liveness.scm 93 */
									obj_t BgL_list2150z00_1605;

									{	/* Liveness/liveness.scm 93 */
										obj_t BgL_arg2151z00_1606;

										BgL_arg2151z00_1606 = MAKE_YOUNG_PAIR(BgL_dz00_1600, BNIL);
										BgL_list2150z00_1605 =
											MAKE_YOUNG_PAIR(BgL_defz00_1594, BgL_arg2151z00_1606);
									}
									BgL_arg2148z00_1603 =
										BGl_unionz00zzliveness_setz00(BgL_list2150z00_1605);
								}
								{	/* Liveness/liveness.scm 94 */
									obj_t BgL_arg2152z00_1607;

									BgL_arg2152z00_1607 =
										BGl_disjonctionz00zzliveness_setz00(BgL_uz00_1601,
										BgL_defz00_1594);
									{	/* Liveness/liveness.scm 94 */
										obj_t BgL_list2153z00_1608;

										{	/* Liveness/liveness.scm 94 */
											obj_t BgL_arg2155z00_1609;

											BgL_arg2155z00_1609 =
												MAKE_YOUNG_PAIR(BgL_arg2152z00_1607, BNIL);
											BgL_list2153z00_1608 =
												MAKE_YOUNG_PAIR(BgL_usez00_1595, BgL_arg2155z00_1609);
										}
										BgL_arg2149z00_1604 =
											BGl_unionz00zzliveness_setz00(BgL_list2153z00_1608);
								}}
								{
									obj_t BgL_usez00_6367;
									obj_t BgL_defz00_6366;
									obj_t BgL_nodesz00_6365;

									BgL_nodesz00_6365 = BgL_arg2147z00_1602;
									BgL_defz00_6366 = BgL_arg2148z00_1603;
									BgL_usez00_6367 = BgL_arg2149z00_1604;
									BgL_usez00_1595 = BgL_usez00_6367;
									BgL_defz00_1594 = BgL_defz00_6366;
									BgL_nodesz00_1593 = BgL_nodesz00_6365;
									goto BgL_zc3z04anonymousza32145ze3z87_1596;
								}
							}
						}
					}
			}
		}

	}



/* inout*! */
	bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t BgL_nodesz00_10,
		obj_t BgL_outz00_11)
	{
		{	/* Liveness/liveness.scm 99 */
			{	/* Liveness/liveness.scm 100 */
				obj_t BgL_g1150z00_1612;

				BgL_g1150z00_1612 = bgl_reverse(BgL_nodesz00_10);
				{
					obj_t BgL_sedonz00_1614;
					obj_t BgL_outz00_1615;

					BgL_sedonz00_1614 = BgL_g1150z00_1612;
					BgL_outz00_1615 = BgL_outz00_11;
				BgL_zc3z04anonymousza32157ze3z87_1616:
					if (PAIRP(BgL_sedonz00_1614))
						{	/* Liveness/liveness.scm 103 */
							obj_t BgL_ninz00_1618;

							{	/* Liveness/liveness.scm 104 */
								obj_t BgL_arg2160z00_1621;

								BgL_arg2160z00_1621 = CAR(BgL_sedonz00_1614);
								BgL_ninz00_1618 =
									BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2160z00_1621), BgL_outz00_1615);
							}
							{	/* Liveness/liveness.scm 104 */
								obj_t BgL_noutz00_1619;

								{	/* Liveness/liveness.scm 105 */
									obj_t BgL_tmpz00_3671;

									{	/* Liveness/liveness.scm 105 */
										int BgL_tmpz00_6374;

										BgL_tmpz00_6374 = (int) (((long) 1));
										BgL_tmpz00_3671 = BGL_MVALUES_VAL(BgL_tmpz00_6374);
									}
									{	/* Liveness/liveness.scm 105 */
										int BgL_tmpz00_6377;

										BgL_tmpz00_6377 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_6377, BUNSPEC);
									}
									BgL_noutz00_1619 = BgL_tmpz00_3671;
								}
								{
									obj_t BgL_outz00_6382;
									obj_t BgL_sedonz00_6380;

									BgL_sedonz00_6380 = CDR(BgL_sedonz00_1614);
									BgL_outz00_6382 = BgL_ninz00_1618;
									BgL_outz00_1615 = BgL_outz00_6382;
									BgL_sedonz00_1614 = BgL_sedonz00_6380;
									goto BgL_zc3z04anonymousza32157ze3z87_1616;
								}
							}
						}
					else
						{	/* Liveness/liveness.scm 102 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_proc2962z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2963z00zzliveness_livenessz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_proc2964z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2965z00zzliveness_livenessz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_proc2966z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2967z00zzliveness_livenessz00);
		}

	}



/* &inout1840 */
	obj_t BGl_z62inout1840z62zzliveness_livenessz00(obj_t BgL_envz00_4642,
		obj_t BgL_nz00_4643)
	{
		{	/* Liveness/liveness.scm 119 */
			{	/* Liveness/liveness.scm 120 */
				int BgL_tmpz00_6386;

				BgL_tmpz00_6386 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6386);
			}
			{	/* Liveness/liveness.scm 120 */
				int BgL_tmpz00_6389;

				BgL_tmpz00_6389 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6389, BNIL);
			}
			return BNIL;
		}

	}



/* &inout!1838 */
	obj_t BGl_z62inoutz121838z70zzliveness_livenessz00(obj_t BgL_envz00_4644,
		obj_t BgL_nz00_4645, obj_t BgL_outz00_4646)
	{
		{	/* Liveness/liveness.scm 116 */
			{	/* Liveness/liveness.scm 117 */
				int BgL_tmpz00_6392;

				BgL_tmpz00_6392 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6392);
			}
			{	/* Liveness/liveness.scm 117 */
				int BgL_tmpz00_6395;

				BgL_tmpz00_6395 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6395, BgL_outz00_4646);
			}
			return BNIL;
		}

	}



/* &defuse1836 */
	obj_t BGl_z62defuse1836z62zzliveness_livenessz00(obj_t BgL_envz00_4647,
		obj_t BgL_nz00_4648)
	{
		{	/* Liveness/liveness.scm 113 */
			{	/* Liveness/liveness.scm 114 */
				int BgL_tmpz00_6398;

				BgL_tmpz00_6398 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6398);
			}
			{	/* Liveness/liveness.scm 114 */
				int BgL_tmpz00_6401;

				BgL_tmpz00_6401 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_6401, BNIL);
			}
			return BNIL;
		}

	}



/* defuse */
	obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_12)
	{
		{	/* Liveness/liveness.scm 113 */
			{	/* Liveness/liveness.scm 113 */
				obj_t BgL_method1837z00_1642;

				{	/* Liveness/liveness.scm 113 */
					obj_t BgL_res2943z00_3705;

					{	/* Liveness/liveness.scm 113 */
						long BgL_objzd2classzd2numz00_3676;

						BgL_objzd2classzd2numz00_3676 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
						{	/* Liveness/liveness.scm 113 */
							obj_t BgL_arg1825z00_3677;

							BgL_arg1825z00_3677 =
								PROCEDURE_REF(BGl_defusezd2envzd2zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 113 */
								int BgL_offsetz00_3680;

								BgL_offsetz00_3680 = (int) (BgL_objzd2classzd2numz00_3676);
								{	/* Liveness/liveness.scm 113 */
									long BgL_offsetz00_3681;

									BgL_offsetz00_3681 =
										((long) (BgL_offsetz00_3680) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 113 */
										long BgL_modz00_3682;

										BgL_modz00_3682 =
											(BgL_offsetz00_3681 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 113 */
											long BgL_restz00_3684;

											BgL_restz00_3684 =
												(BgL_offsetz00_3681 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 113 */

												{	/* Liveness/liveness.scm 113 */
													obj_t BgL_bucketz00_3686;

													BgL_bucketz00_3686 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3677), BgL_modz00_3682);
													BgL_res2943z00_3705 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3686), BgL_restz00_3684);
					}}}}}}}}
					BgL_method1837z00_1642 = BgL_res2943z00_3705;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1837z00_1642)) (BgL_method1837z00_1642,
					((obj_t) BgL_nz00_12), BEOA);
			}
		}

	}



/* &defuse */
	obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t BgL_envz00_4649,
		obj_t BgL_nz00_4650)
	{
		{	/* Liveness/liveness.scm 113 */
			return
				BGl_defusez00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4650));
		}

	}



/* inout! */
	obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_13,
		obj_t BgL_outz00_14)
	{
		{	/* Liveness/liveness.scm 116 */
			{	/* Liveness/liveness.scm 116 */
				obj_t BgL_method1839z00_1643;

				{	/* Liveness/liveness.scm 116 */
					obj_t BgL_res2948z00_3736;

					{	/* Liveness/liveness.scm 116 */
						long BgL_objzd2classzd2numz00_3707;

						BgL_objzd2classzd2numz00_3707 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_13));
						{	/* Liveness/liveness.scm 116 */
							obj_t BgL_arg1825z00_3708;

							BgL_arg1825z00_3708 =
								PROCEDURE_REF(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 116 */
								int BgL_offsetz00_3711;

								BgL_offsetz00_3711 = (int) (BgL_objzd2classzd2numz00_3707);
								{	/* Liveness/liveness.scm 116 */
									long BgL_offsetz00_3712;

									BgL_offsetz00_3712 =
										((long) (BgL_offsetz00_3711) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 116 */
										long BgL_modz00_3713;

										BgL_modz00_3713 =
											(BgL_offsetz00_3712 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 116 */
											long BgL_restz00_3715;

											BgL_restz00_3715 =
												(BgL_offsetz00_3712 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 116 */

												{	/* Liveness/liveness.scm 116 */
													obj_t BgL_bucketz00_3717;

													BgL_bucketz00_3717 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3708), BgL_modz00_3713);
													BgL_res2948z00_3736 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3717), BgL_restz00_3715);
					}}}}}}}}
					BgL_method1839z00_1643 = BgL_res2948z00_3736;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1839z00_1643)) (BgL_method1839z00_1643,
					((obj_t) BgL_nz00_13), BgL_outz00_14, BEOA);
			}
		}

	}



/* &inout! */
	obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t BgL_envz00_4651,
		obj_t BgL_nz00_4652, obj_t BgL_outz00_4653)
	{
		{	/* Liveness/liveness.scm 116 */
			return
				BGl_inoutz12z12zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nz00_4652), BgL_outz00_4653);
		}

	}



/* inout */
	obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_15)
	{
		{	/* Liveness/liveness.scm 119 */
			{	/* Liveness/liveness.scm 119 */
				obj_t BgL_method1841z00_1644;

				{	/* Liveness/liveness.scm 119 */
					obj_t BgL_res2953z00_3767;

					{	/* Liveness/liveness.scm 119 */
						long BgL_objzd2classzd2numz00_3738;

						BgL_objzd2classzd2numz00_3738 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_15));
						{	/* Liveness/liveness.scm 119 */
							obj_t BgL_arg1825z00_3739;

							BgL_arg1825z00_3739 =
								PROCEDURE_REF(BGl_inoutzd2envzd2zzliveness_livenessz00,
								(int) (((long) 1)));
							{	/* Liveness/liveness.scm 119 */
								int BgL_offsetz00_3742;

								BgL_offsetz00_3742 = (int) (BgL_objzd2classzd2numz00_3738);
								{	/* Liveness/liveness.scm 119 */
									long BgL_offsetz00_3743;

									BgL_offsetz00_3743 =
										((long) (BgL_offsetz00_3742) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 119 */
										long BgL_modz00_3744;

										BgL_modz00_3744 =
											(BgL_offsetz00_3743 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Liveness/liveness.scm 119 */
											long BgL_restz00_3746;

											BgL_restz00_3746 =
												(BgL_offsetz00_3743 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Liveness/liveness.scm 119 */

												{	/* Liveness/liveness.scm 119 */
													obj_t BgL_bucketz00_3748;

													BgL_bucketz00_3748 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3739), BgL_modz00_3744);
													BgL_res2953z00_3767 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3748), BgL_restz00_3746);
					}}}}}}}}
					BgL_method1841z00_1644 = BgL_res2953z00_3767;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1841z00_1644)) (BgL_method1841z00_1644,
					((obj_t) BgL_nz00_15), BEOA);
			}
		}

	}



/* &inout */
	obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t BgL_envz00_4654,
		obj_t BgL_nz00_4655)
	{
		{	/* Liveness/liveness.scm 119 */
			return
				BGl_inoutz00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4655));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_literalz00zzast_nodez00,
				BGl_proc2968z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2970z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2971z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2973z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_refz00zzast_nodez00,
				BGl_proc2975z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2976z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2977z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2978z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_closurez00zzast_nodez00,
				BGl_proc2979z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2980z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2981z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2982z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2983z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2984z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2985z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2986z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2987z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2988z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2989z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2990z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_appz00zzast_nodez00,
				BGl_proc2991z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2992z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2993z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2994z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2995z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2996z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2997z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2998z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2999z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3000z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3001z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc3002z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_externz00zzast_nodez00,
				BGl_proc3003z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc3004z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3005z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3006z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc3007z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc3008z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3009z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3010z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3011z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc3012z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3013z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3014z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc3015z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningz00zzast_nodez00, BGl_proc3016z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3017z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3018z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc3019z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_newz00zzast_nodez00,
				BGl_proc3020z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3021z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3022z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc3023z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vallocz00zzast_nodez00,
				BGl_proc3024z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3025z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3026z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc3027z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vrefz00zzast_nodez00,
				BGl_proc3028z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3029z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3030z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc3031z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3032z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3033z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3034z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc3035z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc3036z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3037z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3038z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc3039z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc3040z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3041z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3042z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc3043z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc3044z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3045z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3046z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc3047z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_castz00zzast_nodez00,
				BGl_proc3048z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3049z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3050z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc3051z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_setqz00zzast_nodez00,
				BGl_proc3052z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3053z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3054z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc3055z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3056z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3057z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3058z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc3059z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_failz00zzast_nodez00,
				BGl_proc3060z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3061z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3062z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc3063z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_switchz00zzast_nodez00,
				BGl_proc3064z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3065z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3066z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc3067z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3068z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3069z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3070z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc3071z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3072z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3073z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3074z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc3075z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3076z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3077z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3078z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3079z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3080z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3081z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3082z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc3083z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockz00zzast_nodez00, BGl_proc3084z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3085z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3086z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc3087z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_returnz00zzast_nodez00,
				BGl_proc3088z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3089z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3090z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc3091z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3092z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3093z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3094z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc3095z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3096z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3097z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3098z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc3099z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3100z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3101z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3102z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc3103z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_syncz00zzast_nodez00,
				BGl_proc3104z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3105z00zzliveness_livenessz00,
				BGl_string2969z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3106z00zzliveness_livenessz00,
				BGl_string2972z00zzliveness_livenessz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc3107z00zzliveness_livenessz00,
				BGl_string2974z00zzliveness_livenessz00);
		}

	}



/* &inout-sync/liveness2116 */
	obj_t BGl_z62inoutzd2synczf2liveness2116z42zzliveness_livenessz00(obj_t
		BgL_envz00_4793, obj_t BgL_nz00_4794)
	{
		{	/* Liveness/liveness.scm 1115 */
			{	/* Liveness/liveness.scm 1117 */
				obj_t BgL_val0_1834z00_5105;
				obj_t BgL_val1_1835z00_5106;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6638;

					{
						obj_t BgL_auxz00_6639;

						{	/* Liveness/liveness.scm 1117 */
							BgL_objectz00_bglt BgL_tmpz00_6640;

							BgL_tmpz00_6640 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4794));
							BgL_auxz00_6639 = BGL_OBJECT_WIDENING(BgL_tmpz00_6640);
						}
						BgL_auxz00_6638 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6639);
					}
					BgL_val0_1834z00_5105 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6638))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6646;

					{
						obj_t BgL_auxz00_6647;

						{	/* Liveness/liveness.scm 1117 */
							BgL_objectz00_bglt BgL_tmpz00_6648;

							BgL_tmpz00_6648 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4794));
							BgL_auxz00_6647 = BGL_OBJECT_WIDENING(BgL_tmpz00_6648);
						}
						BgL_auxz00_6646 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6647);
					}
					BgL_val1_1835z00_5106 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6646))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1117 */
					int BgL_tmpz00_6654;

					BgL_tmpz00_6654 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6654);
				}
				{	/* Liveness/liveness.scm 1117 */
					int BgL_tmpz00_6657;

					BgL_tmpz00_6657 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6657, BgL_val1_1835z00_5106);
				}
				return BgL_val0_1834z00_5105;
			}
		}

	}



/* &inout!-sync/liveness2114 */
	obj_t BGl_z62inoutz12zd2synczf2liveness2114z50zzliveness_livenessz00(obj_t
		BgL_envz00_4795, obj_t BgL_nz00_4796, obj_t BgL_oz00_4797)
	{
		{	/* Liveness/liveness.scm 1108 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6660;

				{
					obj_t BgL_auxz00_6661;

					{	/* Liveness/liveness.scm 1110 */
						BgL_objectz00_bglt BgL_tmpz00_6662;

						BgL_tmpz00_6662 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
						BgL_auxz00_6661 = BGL_OBJECT_WIDENING(BgL_tmpz00_6662);
					}
					BgL_auxz00_6660 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6661);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6660))->
						BgL_outz00) = ((obj_t) BgL_oz00_4797), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6675;
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6668;

				{	/* Liveness/liveness.scm 1111 */
					obj_t BgL_arg2840z00_5108;
					obj_t BgL_arg2841z00_5109;

					{
						BgL_synczf2livenesszf2_bglt BgL_auxz00_6676;

						{
							obj_t BgL_auxz00_6677;

							{	/* Liveness/liveness.scm 1111 */
								BgL_objectz00_bglt BgL_tmpz00_6678;

								BgL_tmpz00_6678 =
									((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
								BgL_auxz00_6677 = BGL_OBJECT_WIDENING(BgL_tmpz00_6678);
							}
							BgL_auxz00_6676 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6677);
						}
						BgL_arg2840z00_5108 =
							(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6676))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1111 */
						obj_t BgL_arg2845z00_5110;
						obj_t BgL_arg2849z00_5111;

						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6684;

							{
								obj_t BgL_auxz00_6685;

								{	/* Liveness/liveness.scm 1111 */
									BgL_objectz00_bglt BgL_tmpz00_6686;

									BgL_tmpz00_6686 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
									BgL_auxz00_6685 = BGL_OBJECT_WIDENING(BgL_tmpz00_6686);
								}
								BgL_auxz00_6684 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6685);
							}
							BgL_arg2845z00_5110 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6684))->
								BgL_outz00);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6692;

							{
								obj_t BgL_auxz00_6693;

								{	/* Liveness/liveness.scm 1111 */
									BgL_objectz00_bglt BgL_tmpz00_6694;

									BgL_tmpz00_6694 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
									BgL_auxz00_6693 = BGL_OBJECT_WIDENING(BgL_tmpz00_6694);
								}
								BgL_auxz00_6692 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6693);
							}
							BgL_arg2849z00_5111 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6692))->
								BgL_defz00);
						}
						BgL_arg2841z00_5109 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2845z00_5110,
							BgL_arg2849z00_5111);
					}
					{	/* Liveness/liveness.scm 1111 */
						obj_t BgL_list2842z00_5112;

						{	/* Liveness/liveness.scm 1111 */
							obj_t BgL_arg2843z00_5113;

							BgL_arg2843z00_5113 = MAKE_YOUNG_PAIR(BgL_arg2841z00_5109, BNIL);
							BgL_list2842z00_5112 =
								MAKE_YOUNG_PAIR(BgL_arg2840z00_5108, BgL_arg2843z00_5113);
						}
						BgL_auxz00_6675 =
							BGl_unionz00zzliveness_setz00(BgL_list2842z00_5112);
					}
				}
				{
					obj_t BgL_auxz00_6669;

					{	/* Liveness/liveness.scm 1111 */
						BgL_objectz00_bglt BgL_tmpz00_6670;

						BgL_tmpz00_6670 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
						BgL_auxz00_6669 = BGL_OBJECT_WIDENING(BgL_tmpz00_6670);
					}
					BgL_auxz00_6668 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6669);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6668))->BgL_inz00) =
					((obj_t) BgL_auxz00_6675), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1112 */
				BgL_nodez00_bglt BgL_arg2850z00_5114;

				BgL_arg2850z00_5114 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_nz00_4796))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2850z00_5114,
					BgL_oz00_4797);
			}
			{	/* Liveness/liveness.scm 1113 */
				obj_t BgL_val0_1832z00_5115;
				obj_t BgL_val1_1833z00_5116;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6709;

					{
						obj_t BgL_auxz00_6710;

						{	/* Liveness/liveness.scm 1113 */
							BgL_objectz00_bglt BgL_tmpz00_6711;

							BgL_tmpz00_6711 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
							BgL_auxz00_6710 = BGL_OBJECT_WIDENING(BgL_tmpz00_6711);
						}
						BgL_auxz00_6709 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6710);
					}
					BgL_val0_1832z00_5115 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6709))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6717;

					{
						obj_t BgL_auxz00_6718;

						{	/* Liveness/liveness.scm 1113 */
							BgL_objectz00_bglt BgL_tmpz00_6719;

							BgL_tmpz00_6719 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4796));
							BgL_auxz00_6718 = BGL_OBJECT_WIDENING(BgL_tmpz00_6719);
						}
						BgL_auxz00_6717 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6718);
					}
					BgL_val1_1833z00_5116 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6717))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1113 */
					int BgL_tmpz00_6725;

					BgL_tmpz00_6725 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6725);
				}
				{	/* Liveness/liveness.scm 1113 */
					int BgL_tmpz00_6728;

					BgL_tmpz00_6728 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6728, BgL_val1_1833z00_5116);
				}
				return BgL_val0_1832z00_5115;
			}
		}

	}



/* &defuse-sync/liveness2112 */
	obj_t BGl_z62defusezd2synczf2liveness2112z42zzliveness_livenessz00(obj_t
		BgL_envz00_4798, obj_t BgL_nz00_4799)
	{
		{	/* Liveness/liveness.scm 1104 */
			{	/* Liveness/liveness.scm 1106 */
				obj_t BgL_val0_1830z00_5118;
				obj_t BgL_val1_1831z00_5119;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6731;

					{
						obj_t BgL_auxz00_6732;

						{	/* Liveness/liveness.scm 1106 */
							BgL_objectz00_bglt BgL_tmpz00_6733;

							BgL_tmpz00_6733 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
							BgL_auxz00_6732 = BGL_OBJECT_WIDENING(BgL_tmpz00_6733);
						}
						BgL_auxz00_6731 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6732);
					}
					BgL_val0_1830z00_5118 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6731))->
						BgL_defz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6739;

					{
						obj_t BgL_auxz00_6740;

						{	/* Liveness/liveness.scm 1106 */
							BgL_objectz00_bglt BgL_tmpz00_6741;

							BgL_tmpz00_6741 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4799));
							BgL_auxz00_6740 = BGL_OBJECT_WIDENING(BgL_tmpz00_6741);
						}
						BgL_auxz00_6739 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6740);
					}
					BgL_val1_1831z00_5119 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6739))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1106 */
					int BgL_tmpz00_6747;

					BgL_tmpz00_6747 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6747);
				}
				{	/* Liveness/liveness.scm 1106 */
					int BgL_tmpz00_6750;

					BgL_tmpz00_6750 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6750, BgL_val1_1831z00_5119);
				}
				return BgL_val0_1830z00_5118;
			}
		}

	}



/* &defuse-sync2110 */
	obj_t BGl_z62defusezd2sync2110zb0zzliveness_livenessz00(obj_t BgL_envz00_4800,
		obj_t BgL_nz00_4801)
	{
		{	/* Liveness/liveness.scm 1095 */
			{	/* Liveness/liveness.scm 1097 */
				obj_t BgL_defz00_5121;

				{	/* Liveness/liveness.scm 1098 */
					obj_t BgL_arg2822z00_5122;

					{	/* Liveness/liveness.scm 1098 */
						BgL_nodez00_bglt BgL_arg2825z00_5123;
						BgL_nodez00_bglt BgL_arg2826z00_5124;
						BgL_nodez00_bglt BgL_arg2827z00_5125;

						BgL_arg2825z00_5123 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4801)))->BgL_prelockz00);
						BgL_arg2826z00_5124 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4801)))->BgL_mutexz00);
						BgL_arg2827z00_5125 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4801)))->BgL_bodyz00);
						{	/* Liveness/liveness.scm 1098 */
							obj_t BgL_list2828z00_5126;

							{	/* Liveness/liveness.scm 1098 */
								obj_t BgL_arg2838z00_5127;

								{	/* Liveness/liveness.scm 1098 */
									obj_t BgL_arg2839z00_5128;

									BgL_arg2839z00_5128 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2827z00_5125), BNIL);
									BgL_arg2838z00_5127 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg2826z00_5124), BgL_arg2839z00_5128);
								}
								BgL_list2828z00_5126 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2825z00_5123), BgL_arg2838z00_5127);
							}
							BgL_arg2822z00_5122 = BgL_list2828z00_5126;
						}
					}
					BgL_defz00_5121 =
						BGl_defusezd2seqzd2zzliveness_livenessz00(BgL_arg2822z00_5122);
				}
				{	/* Liveness/liveness.scm 1098 */
					obj_t BgL_usez00_5129;

					{	/* Liveness/liveness.scm 1099 */
						obj_t BgL_tmpz00_5130;

						{	/* Liveness/liveness.scm 1099 */
							int BgL_tmpz00_6766;

							BgL_tmpz00_6766 = (int) (((long) 1));
							BgL_tmpz00_5130 = BGL_MVALUES_VAL(BgL_tmpz00_6766);
						}
						{	/* Liveness/liveness.scm 1099 */
							int BgL_tmpz00_6769;

							BgL_tmpz00_6769 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6769, BUNSPEC);
						}
						BgL_usez00_5129 = BgL_tmpz00_5130;
					}
					{	/* Liveness/liveness.scm 1100 */
						BgL_syncz00_bglt BgL_arg2818z00_5131;

						{	/* Liveness/liveness.scm 1100 */
							BgL_synczf2livenesszf2_bglt BgL_wide1436z00_5132;

							BgL_wide1436z00_5132 =
								((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_synczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 1100 */
								obj_t BgL_auxz00_6777;
								BgL_objectz00_bglt BgL_tmpz00_6773;

								BgL_auxz00_6777 = ((obj_t) BgL_wide1436z00_5132);
								BgL_tmpz00_6773 =
									((BgL_objectz00_bglt)
									((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6773, BgL_auxz00_6777);
							}
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
							{	/* Liveness/liveness.scm 1100 */
								long BgL_arg2821z00_5133;

								BgL_arg2821z00_5133 =
									BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt)
											((BgL_syncz00_bglt) BgL_nz00_4801))),
									BgL_arg2821z00_5133);
							}
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6791;

							{
								obj_t BgL_auxz00_6792;

								{	/* Liveness/liveness.scm 1101 */
									BgL_objectz00_bglt BgL_tmpz00_6793;

									BgL_tmpz00_6793 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
									BgL_auxz00_6792 = BGL_OBJECT_WIDENING(BgL_tmpz00_6793);
								}
								BgL_auxz00_6791 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6792);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6791))->
									BgL_defz00) = ((obj_t) BgL_defz00_5121), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6800;

							{
								obj_t BgL_auxz00_6801;

								{	/* Liveness/liveness.scm 1102 */
									BgL_objectz00_bglt BgL_tmpz00_6802;

									BgL_tmpz00_6802 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
									BgL_auxz00_6801 = BGL_OBJECT_WIDENING(BgL_tmpz00_6802);
								}
								BgL_auxz00_6800 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6801);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6800))->
									BgL_usez00) = ((obj_t) BgL_usez00_5129), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6809;

							{
								obj_t BgL_auxz00_6810;

								{	/* Liveness/liveness.scm 1098 */
									BgL_objectz00_bglt BgL_tmpz00_6811;

									BgL_tmpz00_6811 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
									BgL_auxz00_6810 = BGL_OBJECT_WIDENING(BgL_tmpz00_6811);
								}
								BgL_auxz00_6809 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6810);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6809))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6818;

							{
								obj_t BgL_auxz00_6819;

								{	/* Liveness/liveness.scm 1098 */
									BgL_objectz00_bglt BgL_tmpz00_6820;

									BgL_tmpz00_6820 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801)));
									BgL_auxz00_6819 = BGL_OBJECT_WIDENING(BgL_tmpz00_6820);
								}
								BgL_auxz00_6818 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6819);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6818))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2818z00_5131 =
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4801));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2818z00_5131));
					}
				}
			}
		}

	}



/* &inout-box-set!/liven2108 */
	obj_t BGl_z62inoutzd2boxzd2setz12zf2liven2108z82zzliveness_livenessz00(obj_t
		BgL_envz00_4802, obj_t BgL_nz00_4803)
	{
		{	/* Liveness/liveness.scm 1088 */
			{	/* Liveness/liveness.scm 1090 */
				obj_t BgL_val0_1828z00_5135;
				obj_t BgL_val1_1829z00_5136;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6831;

					{
						obj_t BgL_auxz00_6832;

						{	/* Liveness/liveness.scm 1090 */
							BgL_objectz00_bglt BgL_tmpz00_6833;

							BgL_tmpz00_6833 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4803));
							BgL_auxz00_6832 = BGL_OBJECT_WIDENING(BgL_tmpz00_6833);
						}
						BgL_auxz00_6831 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6832);
					}
					BgL_val0_1828z00_5135 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6831))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6839;

					{
						obj_t BgL_auxz00_6840;

						{	/* Liveness/liveness.scm 1090 */
							BgL_objectz00_bglt BgL_tmpz00_6841;

							BgL_tmpz00_6841 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4803));
							BgL_auxz00_6840 = BGL_OBJECT_WIDENING(BgL_tmpz00_6841);
						}
						BgL_auxz00_6839 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6840);
					}
					BgL_val1_1829z00_5136 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6839))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1090 */
					int BgL_tmpz00_6847;

					BgL_tmpz00_6847 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6847);
				}
				{	/* Liveness/liveness.scm 1090 */
					int BgL_tmpz00_6850;

					BgL_tmpz00_6850 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6850, BgL_val1_1829z00_5136);
				}
				return BgL_val0_1828z00_5135;
			}
		}

	}



/* &inout!-box-set!/live2106 */
	obj_t BGl_z62inoutz12zd2boxzd2setz12zf2live2106z90zzliveness_livenessz00(obj_t
		BgL_envz00_4804, obj_t BgL_nz00_4805, obj_t BgL_oz00_4806)
	{
		{	/* Liveness/liveness.scm 1081 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6853;

				{
					obj_t BgL_auxz00_6854;

					{	/* Liveness/liveness.scm 1083 */
						BgL_objectz00_bglt BgL_tmpz00_6855;

						BgL_tmpz00_6855 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
						BgL_auxz00_6854 = BGL_OBJECT_WIDENING(BgL_tmpz00_6855);
					}
					BgL_auxz00_6853 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6854);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6853))->
						BgL_outz00) = ((obj_t) BgL_oz00_4806), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6868;
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6861;

				{	/* Liveness/liveness.scm 1084 */
					obj_t BgL_arg2810z00_5138;
					obj_t BgL_arg2811z00_5139;

					{
						BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6869;

						{
							obj_t BgL_auxz00_6870;

							{	/* Liveness/liveness.scm 1084 */
								BgL_objectz00_bglt BgL_tmpz00_6871;

								BgL_tmpz00_6871 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
								BgL_auxz00_6870 = BGL_OBJECT_WIDENING(BgL_tmpz00_6871);
							}
							BgL_auxz00_6869 =
								((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6870);
						}
						BgL_arg2810z00_5138 =
							(((BgL_boxzd2setz12zf2livenessz32_bglt)
								COBJECT(BgL_auxz00_6869))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1084 */
						obj_t BgL_arg2815z00_5140;
						obj_t BgL_arg2816z00_5141;

						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6877;

							{
								obj_t BgL_auxz00_6878;

								{	/* Liveness/liveness.scm 1084 */
									BgL_objectz00_bglt BgL_tmpz00_6879;

									BgL_tmpz00_6879 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
									BgL_auxz00_6878 = BGL_OBJECT_WIDENING(BgL_tmpz00_6879);
								}
								BgL_auxz00_6877 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6878);
							}
							BgL_arg2815z00_5140 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6877))->BgL_outz00);
						}
						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6885;

							{
								obj_t BgL_auxz00_6886;

								{	/* Liveness/liveness.scm 1084 */
									BgL_objectz00_bglt BgL_tmpz00_6887;

									BgL_tmpz00_6887 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
									BgL_auxz00_6886 = BGL_OBJECT_WIDENING(BgL_tmpz00_6887);
								}
								BgL_auxz00_6885 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6886);
							}
							BgL_arg2816z00_5141 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6885))->BgL_defz00);
						}
						BgL_arg2811z00_5139 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2815z00_5140,
							BgL_arg2816z00_5141);
					}
					{	/* Liveness/liveness.scm 1084 */
						obj_t BgL_list2812z00_5142;

						{	/* Liveness/liveness.scm 1084 */
							obj_t BgL_arg2814z00_5143;

							BgL_arg2814z00_5143 = MAKE_YOUNG_PAIR(BgL_arg2811z00_5139, BNIL);
							BgL_list2812z00_5142 =
								MAKE_YOUNG_PAIR(BgL_arg2810z00_5138, BgL_arg2814z00_5143);
						}
						BgL_auxz00_6868 =
							BGl_unionz00zzliveness_setz00(BgL_list2812z00_5142);
					}
				}
				{
					obj_t BgL_auxz00_6862;

					{	/* Liveness/liveness.scm 1084 */
						BgL_objectz00_bglt BgL_tmpz00_6863;

						BgL_tmpz00_6863 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
						BgL_auxz00_6862 = BGL_OBJECT_WIDENING(BgL_tmpz00_6863);
					}
					BgL_auxz00_6861 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6862);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6861))->
						BgL_inz00) = ((obj_t) BgL_auxz00_6868), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1085 */
				BgL_nodez00_bglt BgL_arg2817z00_5144;

				BgL_arg2817z00_5144 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2817z00_5144,
					BgL_oz00_4806);
			}
			{	/* Liveness/liveness.scm 1086 */
				obj_t BgL_val0_1826z00_5145;
				obj_t BgL_val1_1827z00_5146;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6902;

					{
						obj_t BgL_auxz00_6903;

						{	/* Liveness/liveness.scm 1086 */
							BgL_objectz00_bglt BgL_tmpz00_6904;

							BgL_tmpz00_6904 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
							BgL_auxz00_6903 = BGL_OBJECT_WIDENING(BgL_tmpz00_6904);
						}
						BgL_auxz00_6902 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6903);
					}
					BgL_val0_1826z00_5145 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6902))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6910;

					{
						obj_t BgL_auxz00_6911;

						{	/* Liveness/liveness.scm 1086 */
							BgL_objectz00_bglt BgL_tmpz00_6912;

							BgL_tmpz00_6912 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4805));
							BgL_auxz00_6911 = BGL_OBJECT_WIDENING(BgL_tmpz00_6912);
						}
						BgL_auxz00_6910 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6911);
					}
					BgL_val1_1827z00_5146 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6910))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1086 */
					int BgL_tmpz00_6918;

					BgL_tmpz00_6918 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6918);
				}
				{	/* Liveness/liveness.scm 1086 */
					int BgL_tmpz00_6921;

					BgL_tmpz00_6921 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6921, BgL_val1_1827z00_5146);
				}
				return BgL_val0_1826z00_5145;
			}
		}

	}



/* &defuse-box-set!/live2104 */
	obj_t BGl_z62defusezd2boxzd2setz12zf2live2104z82zzliveness_livenessz00(obj_t
		BgL_envz00_4807, obj_t BgL_nz00_4808)
	{
		{	/* Liveness/liveness.scm 1077 */
			{	/* Liveness/liveness.scm 1079 */
				obj_t BgL_val0_1824z00_5148;
				obj_t BgL_val1_1825z00_5149;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6924;

					{
						obj_t BgL_auxz00_6925;

						{	/* Liveness/liveness.scm 1079 */
							BgL_objectz00_bglt BgL_tmpz00_6926;

							BgL_tmpz00_6926 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
							BgL_auxz00_6925 = BGL_OBJECT_WIDENING(BgL_tmpz00_6926);
						}
						BgL_auxz00_6924 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6925);
					}
					BgL_val0_1824z00_5148 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6924))->
						BgL_defz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6932;

					{
						obj_t BgL_auxz00_6933;

						{	/* Liveness/liveness.scm 1079 */
							BgL_objectz00_bglt BgL_tmpz00_6934;

							BgL_tmpz00_6934 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4808));
							BgL_auxz00_6933 = BGL_OBJECT_WIDENING(BgL_tmpz00_6934);
						}
						BgL_auxz00_6932 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6933);
					}
					BgL_val1_1825z00_5149 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6932))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1079 */
					int BgL_tmpz00_6940;

					BgL_tmpz00_6940 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6940);
				}
				{	/* Liveness/liveness.scm 1079 */
					int BgL_tmpz00_6943;

					BgL_tmpz00_6943 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6943, BgL_val1_1825z00_5149);
				}
				return BgL_val0_1824z00_5148;
			}
		}

	}



/* &defuse-box-set!2102 */
	obj_t BGl_z62defusezd2boxzd2setz122102z70zzliveness_livenessz00(obj_t
		BgL_envz00_4809, obj_t BgL_nz00_4810)
	{
		{	/* Liveness/liveness.scm 1066 */
			{	/* Liveness/liveness.scm 1068 */
				obj_t BgL_defvaluez00_5151;

				BgL_defvaluez00_5151 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1069 */
					obj_t BgL_usevaluez00_5152;

					{	/* Liveness/liveness.scm 1070 */
						obj_t BgL_tmpz00_5153;

						{	/* Liveness/liveness.scm 1070 */
							int BgL_tmpz00_6949;

							BgL_tmpz00_6949 = (int) (((long) 1));
							BgL_tmpz00_5153 = BGL_MVALUES_VAL(BgL_tmpz00_6949);
						}
						{	/* Liveness/liveness.scm 1070 */
							int BgL_tmpz00_6952;

							BgL_tmpz00_6952 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6952, BUNSPEC);
						}
						BgL_usevaluez00_5152 = BgL_tmpz00_5153;
					}
					{	/* Liveness/liveness.scm 1070 */
						obj_t BgL_defvarz00_5154;

						{	/* Liveness/liveness.scm 1071 */
							BgL_varz00_bglt BgL_arg2806z00_5155;

							BgL_arg2806z00_5155 =
								(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)))->BgL_varz00);
							BgL_defvarz00_5154 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2806z00_5155));
						}
						{	/* Liveness/liveness.scm 1071 */
							obj_t BgL_usevarz00_5156;

							{	/* Liveness/liveness.scm 1072 */
								obj_t BgL_tmpz00_5157;

								{	/* Liveness/liveness.scm 1072 */
									int BgL_tmpz00_6959;

									BgL_tmpz00_6959 = (int) (((long) 1));
									BgL_tmpz00_5157 = BGL_MVALUES_VAL(BgL_tmpz00_6959);
								}
								{	/* Liveness/liveness.scm 1072 */
									int BgL_tmpz00_6962;

									BgL_tmpz00_6962 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6962, BUNSPEC);
								}
								BgL_usevarz00_5156 = BgL_tmpz00_5157;
							}
							{	/* Liveness/liveness.scm 1073 */
								BgL_boxzd2setz12zc0_bglt BgL_arg2798z00_5158;

								{	/* Liveness/liveness.scm 1073 */
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1428z00_5159;

									BgL_wide1428z00_5159 =
										((BgL_boxzd2setz12zf2livenessz32_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_boxzd2setz12zf2livenessz32_bgl))));
									{	/* Liveness/liveness.scm 1073 */
										obj_t BgL_auxz00_6970;
										BgL_objectz00_bglt BgL_tmpz00_6966;

										BgL_auxz00_6970 = ((obj_t) BgL_wide1428z00_5159);
										BgL_tmpz00_6966 =
											((BgL_objectz00_bglt)
											((BgL_boxzd2setz12zc0_bglt)
												((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6966, BgL_auxz00_6970);
									}
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
									{	/* Liveness/liveness.scm 1073 */
										long BgL_arg2799z00_5160;

										BgL_arg2799z00_5160 =
											BGL_CLASS_NUM
											(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_boxzd2setz12zc0_bglt) ((BgL_boxzd2setz12zc0_bglt)
														BgL_nz00_4810))), BgL_arg2799z00_5160);
									}
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
								}
								{
									obj_t BgL_auxz00_6992;
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6984;

									{	/* Liveness/liveness.scm 1074 */
										obj_t BgL_list2800z00_5161;

										{	/* Liveness/liveness.scm 1074 */
											obj_t BgL_arg2802z00_5162;

											BgL_arg2802z00_5162 =
												MAKE_YOUNG_PAIR(BgL_defvarz00_5154, BNIL);
											BgL_list2800z00_5161 =
												MAKE_YOUNG_PAIR(BgL_defvaluez00_5151,
												BgL_arg2802z00_5162);
										}
										BgL_auxz00_6992 =
											BGl_unionz00zzliveness_setz00(BgL_list2800z00_5161);
									}
									{
										obj_t BgL_auxz00_6985;

										{	/* Liveness/liveness.scm 1074 */
											BgL_objectz00_bglt BgL_tmpz00_6986;

											BgL_tmpz00_6986 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
											BgL_auxz00_6985 = BGL_OBJECT_WIDENING(BgL_tmpz00_6986);
										}
										BgL_auxz00_6984 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6985);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6984))->BgL_defz00) =
										((obj_t) BgL_auxz00_6992), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7005;
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6997;

									{	/* Liveness/liveness.scm 1075 */
										obj_t BgL_list2803z00_5163;

										{	/* Liveness/liveness.scm 1075 */
											obj_t BgL_arg2804z00_5164;

											BgL_arg2804z00_5164 =
												MAKE_YOUNG_PAIR(BgL_usevarz00_5156, BNIL);
											BgL_list2803z00_5163 =
												MAKE_YOUNG_PAIR(BgL_usevaluez00_5152,
												BgL_arg2804z00_5164);
										}
										BgL_auxz00_7005 =
											BGl_unionz00zzliveness_setz00(BgL_list2803z00_5163);
									}
									{
										obj_t BgL_auxz00_6998;

										{	/* Liveness/liveness.scm 1075 */
											BgL_objectz00_bglt BgL_tmpz00_6999;

											BgL_tmpz00_6999 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
											BgL_auxz00_6998 = BGL_OBJECT_WIDENING(BgL_tmpz00_6999);
										}
										BgL_auxz00_6997 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6998);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6997))->BgL_usez00) =
										((obj_t) BgL_auxz00_7005), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_7010;

									{
										obj_t BgL_auxz00_7011;

										{	/* Liveness/liveness.scm 1071 */
											BgL_objectz00_bglt BgL_tmpz00_7012;

											BgL_tmpz00_7012 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
											BgL_auxz00_7011 = BGL_OBJECT_WIDENING(BgL_tmpz00_7012);
										}
										BgL_auxz00_7010 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_7011);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_7010))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_7019;

									{
										obj_t BgL_auxz00_7020;

										{	/* Liveness/liveness.scm 1071 */
											BgL_objectz00_bglt BgL_tmpz00_7021;

											BgL_tmpz00_7021 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810)));
											BgL_auxz00_7020 = BGL_OBJECT_WIDENING(BgL_tmpz00_7021);
										}
										BgL_auxz00_7019 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_7020);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_7019))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2798z00_5158 =
									((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4810));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2798z00_5158));
							}
						}
					}
				}
			}
		}

	}



/* &inout-box-ref/livene2100 */
	obj_t BGl_z62inoutzd2boxzd2refzf2livene2100z90zzliveness_livenessz00(obj_t
		BgL_envz00_4811, obj_t BgL_nz00_4812)
	{
		{	/* Liveness/liveness.scm 1059 */
			{	/* Liveness/liveness.scm 1061 */
				obj_t BgL_val0_1822z00_5166;
				obj_t BgL_val1_1823z00_5167;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7032;

					{
						obj_t BgL_auxz00_7033;

						{	/* Liveness/liveness.scm 1061 */
							BgL_objectz00_bglt BgL_tmpz00_7034;

							BgL_tmpz00_7034 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4812));
							BgL_auxz00_7033 = BGL_OBJECT_WIDENING(BgL_tmpz00_7034);
						}
						BgL_auxz00_7032 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7033);
					}
					BgL_val0_1822z00_5166 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7032))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7040;

					{
						obj_t BgL_auxz00_7041;

						{	/* Liveness/liveness.scm 1061 */
							BgL_objectz00_bglt BgL_tmpz00_7042;

							BgL_tmpz00_7042 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4812));
							BgL_auxz00_7041 = BGL_OBJECT_WIDENING(BgL_tmpz00_7042);
						}
						BgL_auxz00_7040 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7041);
					}
					BgL_val1_1823z00_5167 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7040))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1061 */
					int BgL_tmpz00_7048;

					BgL_tmpz00_7048 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7048);
				}
				{	/* Liveness/liveness.scm 1061 */
					int BgL_tmpz00_7051;

					BgL_tmpz00_7051 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7051, BgL_val1_1823z00_5167);
				}
				return BgL_val0_1822z00_5166;
			}
		}

	}



/* &inout!-box-ref/liven2098 */
	obj_t BGl_z62inoutz12zd2boxzd2refzf2liven2098z82zzliveness_livenessz00(obj_t
		BgL_envz00_4813, obj_t BgL_nz00_4814, obj_t BgL_oz00_4815)
	{
		{	/* Liveness/liveness.scm 1052 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7054;

				{
					obj_t BgL_auxz00_7055;

					{	/* Liveness/liveness.scm 1054 */
						BgL_objectz00_bglt BgL_tmpz00_7056;

						BgL_tmpz00_7056 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
						BgL_auxz00_7055 = BGL_OBJECT_WIDENING(BgL_tmpz00_7056);
					}
					BgL_auxz00_7054 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7055);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7054))->
						BgL_outz00) = ((obj_t) BgL_oz00_4815), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7069;
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7062;

				{	/* Liveness/liveness.scm 1055 */
					obj_t BgL_arg2787z00_5169;
					obj_t BgL_arg2790z00_5170;

					{
						BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7070;

						{
							obj_t BgL_auxz00_7071;

							{	/* Liveness/liveness.scm 1055 */
								BgL_objectz00_bglt BgL_tmpz00_7072;

								BgL_tmpz00_7072 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
								BgL_auxz00_7071 = BGL_OBJECT_WIDENING(BgL_tmpz00_7072);
							}
							BgL_auxz00_7070 =
								((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7071);
						}
						BgL_arg2787z00_5169 =
							(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7070))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1055 */
						obj_t BgL_arg2793z00_5171;
						obj_t BgL_arg2796z00_5172;

						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7078;

							{
								obj_t BgL_auxz00_7079;

								{	/* Liveness/liveness.scm 1055 */
									BgL_objectz00_bglt BgL_tmpz00_7080;

									BgL_tmpz00_7080 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
									BgL_auxz00_7079 = BGL_OBJECT_WIDENING(BgL_tmpz00_7080);
								}
								BgL_auxz00_7078 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7079);
							}
							BgL_arg2793z00_5171 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7078))->
								BgL_outz00);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7086;

							{
								obj_t BgL_auxz00_7087;

								{	/* Liveness/liveness.scm 1055 */
									BgL_objectz00_bglt BgL_tmpz00_7088;

									BgL_tmpz00_7088 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
									BgL_auxz00_7087 = BGL_OBJECT_WIDENING(BgL_tmpz00_7088);
								}
								BgL_auxz00_7086 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7087);
							}
							BgL_arg2796z00_5172 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7086))->
								BgL_defz00);
						}
						BgL_arg2790z00_5170 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2793z00_5171,
							BgL_arg2796z00_5172);
					}
					{	/* Liveness/liveness.scm 1055 */
						obj_t BgL_list2791z00_5173;

						{	/* Liveness/liveness.scm 1055 */
							obj_t BgL_arg2792z00_5174;

							BgL_arg2792z00_5174 = MAKE_YOUNG_PAIR(BgL_arg2790z00_5170, BNIL);
							BgL_list2791z00_5173 =
								MAKE_YOUNG_PAIR(BgL_arg2787z00_5169, BgL_arg2792z00_5174);
						}
						BgL_auxz00_7069 =
							BGl_unionz00zzliveness_setz00(BgL_list2791z00_5173);
					}
				}
				{
					obj_t BgL_auxz00_7063;

					{	/* Liveness/liveness.scm 1055 */
						BgL_objectz00_bglt BgL_tmpz00_7064;

						BgL_tmpz00_7064 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
						BgL_auxz00_7063 = BGL_OBJECT_WIDENING(BgL_tmpz00_7064);
					}
					BgL_auxz00_7062 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7063);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7062))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7069), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1056 */
				BgL_varz00_bglt BgL_arg2797z00_5175;

				BgL_arg2797z00_5175 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4814))))->BgL_varz00);
				BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2797z00_5175), BgL_oz00_4815);
			}
			{	/* Liveness/liveness.scm 1057 */
				obj_t BgL_val0_1820z00_5176;
				obj_t BgL_val1_1821z00_5177;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7104;

					{
						obj_t BgL_auxz00_7105;

						{	/* Liveness/liveness.scm 1057 */
							BgL_objectz00_bglt BgL_tmpz00_7106;

							BgL_tmpz00_7106 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
							BgL_auxz00_7105 = BGL_OBJECT_WIDENING(BgL_tmpz00_7106);
						}
						BgL_auxz00_7104 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7105);
					}
					BgL_val0_1820z00_5176 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7104))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7112;

					{
						obj_t BgL_auxz00_7113;

						{	/* Liveness/liveness.scm 1057 */
							BgL_objectz00_bglt BgL_tmpz00_7114;

							BgL_tmpz00_7114 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4814));
							BgL_auxz00_7113 = BGL_OBJECT_WIDENING(BgL_tmpz00_7114);
						}
						BgL_auxz00_7112 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7113);
					}
					BgL_val1_1821z00_5177 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7112))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1057 */
					int BgL_tmpz00_7120;

					BgL_tmpz00_7120 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7120);
				}
				{	/* Liveness/liveness.scm 1057 */
					int BgL_tmpz00_7123;

					BgL_tmpz00_7123 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7123, BgL_val1_1821z00_5177);
				}
				return BgL_val0_1820z00_5176;
			}
		}

	}



/* &defuse-box-ref/liven2096 */
	obj_t BGl_z62defusezd2boxzd2refzf2liven2096z90zzliveness_livenessz00(obj_t
		BgL_envz00_4816, obj_t BgL_nz00_4817)
	{
		{	/* Liveness/liveness.scm 1048 */
			{	/* Liveness/liveness.scm 1050 */
				obj_t BgL_val0_1818z00_5179;
				obj_t BgL_val1_1819z00_5180;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7126;

					{
						obj_t BgL_auxz00_7127;

						{	/* Liveness/liveness.scm 1050 */
							BgL_objectz00_bglt BgL_tmpz00_7128;

							BgL_tmpz00_7128 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
							BgL_auxz00_7127 = BGL_OBJECT_WIDENING(BgL_tmpz00_7128);
						}
						BgL_auxz00_7126 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7127);
					}
					BgL_val0_1818z00_5179 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7126))->
						BgL_defz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7134;

					{
						obj_t BgL_auxz00_7135;

						{	/* Liveness/liveness.scm 1050 */
							BgL_objectz00_bglt BgL_tmpz00_7136;

							BgL_tmpz00_7136 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4817));
							BgL_auxz00_7135 = BGL_OBJECT_WIDENING(BgL_tmpz00_7136);
						}
						BgL_auxz00_7134 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7135);
					}
					BgL_val1_1819z00_5180 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7134))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1050 */
					int BgL_tmpz00_7142;

					BgL_tmpz00_7142 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7142);
				}
				{	/* Liveness/liveness.scm 1050 */
					int BgL_tmpz00_7145;

					BgL_tmpz00_7145 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7145, BgL_val1_1819z00_5180);
				}
				return BgL_val0_1818z00_5179;
			}
		}

	}



/* &defuse-box-ref2094 */
	obj_t BGl_z62defusezd2boxzd2ref2094z62zzliveness_livenessz00(obj_t
		BgL_envz00_4818, obj_t BgL_nz00_4819)
	{
		{	/* Liveness/liveness.scm 1039 */
			{	/* Liveness/liveness.scm 1041 */
				obj_t BgL_defz00_5182;

				{	/* Liveness/liveness.scm 1042 */
					BgL_varz00_bglt BgL_arg2786z00_5183;

					BgL_arg2786z00_5183 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)))->BgL_varz00);
					BgL_defz00_5182 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2786z00_5183));
				}
				{	/* Liveness/liveness.scm 1042 */
					obj_t BgL_usez00_5184;

					{	/* Liveness/liveness.scm 1043 */
						obj_t BgL_tmpz00_5185;

						{	/* Liveness/liveness.scm 1043 */
							int BgL_tmpz00_7152;

							BgL_tmpz00_7152 = (int) (((long) 1));
							BgL_tmpz00_5185 = BGL_MVALUES_VAL(BgL_tmpz00_7152);
						}
						{	/* Liveness/liveness.scm 1043 */
							int BgL_tmpz00_7155;

							BgL_tmpz00_7155 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7155, BUNSPEC);
						}
						BgL_usez00_5184 = BgL_tmpz00_5185;
					}
					{	/* Liveness/liveness.scm 1044 */
						BgL_boxzd2refzd2_bglt BgL_arg2784z00_5186;

						{	/* Liveness/liveness.scm 1044 */
							BgL_boxzd2refzf2livenessz20_bglt BgL_wide1420z00_5187;

							BgL_wide1420z00_5187 =
								((BgL_boxzd2refzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1044 */
								obj_t BgL_auxz00_7163;
								BgL_objectz00_bglt BgL_tmpz00_7159;

								BgL_auxz00_7163 = ((obj_t) BgL_wide1420z00_5187);
								BgL_tmpz00_7159 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7159, BgL_auxz00_7163);
							}
							((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
							{	/* Liveness/liveness.scm 1044 */
								long BgL_arg2785z00_5188;

								BgL_arg2785z00_5188 =
									BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4819))),
									BgL_arg2785z00_5188);
							}
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7177;

							{
								obj_t BgL_auxz00_7178;

								{	/* Liveness/liveness.scm 1046 */
									BgL_objectz00_bglt BgL_tmpz00_7179;

									BgL_tmpz00_7179 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
									BgL_auxz00_7178 = BGL_OBJECT_WIDENING(BgL_tmpz00_7179);
								}
								BgL_auxz00_7177 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7178);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7177))->
									BgL_defz00) = ((obj_t) BgL_defz00_5182), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7186;

							{
								obj_t BgL_auxz00_7187;

								{	/* Liveness/liveness.scm 1045 */
									BgL_objectz00_bglt BgL_tmpz00_7188;

									BgL_tmpz00_7188 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
									BgL_auxz00_7187 = BGL_OBJECT_WIDENING(BgL_tmpz00_7188);
								}
								BgL_auxz00_7186 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7187);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7186))->
									BgL_usez00) = ((obj_t) BgL_usez00_5184), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7195;

							{
								obj_t BgL_auxz00_7196;

								{	/* Liveness/liveness.scm 1042 */
									BgL_objectz00_bglt BgL_tmpz00_7197;

									BgL_tmpz00_7197 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
									BgL_auxz00_7196 = BGL_OBJECT_WIDENING(BgL_tmpz00_7197);
								}
								BgL_auxz00_7195 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7196);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7195))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_7204;

							{
								obj_t BgL_auxz00_7205;

								{	/* Liveness/liveness.scm 1042 */
									BgL_objectz00_bglt BgL_tmpz00_7206;

									BgL_tmpz00_7206 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4819)));
									BgL_auxz00_7205 = BGL_OBJECT_WIDENING(BgL_tmpz00_7206);
								}
								BgL_auxz00_7204 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_7205);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_7204))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2784z00_5186 =
							((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4819));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2784z00_5186));
					}
				}
			}
		}

	}



/* &inout-make-box/liven2092 */
	obj_t BGl_z62inoutzd2makezd2boxzf2liven2092z90zzliveness_livenessz00(obj_t
		BgL_envz00_4820, obj_t BgL_nz00_4821)
	{
		{	/* Liveness/liveness.scm 1032 */
			{	/* Liveness/liveness.scm 1034 */
				obj_t BgL_val0_1816z00_5190;
				obj_t BgL_val1_1817z00_5191;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7217;

					{
						obj_t BgL_auxz00_7218;

						{	/* Liveness/liveness.scm 1034 */
							BgL_objectz00_bglt BgL_tmpz00_7219;

							BgL_tmpz00_7219 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4821));
							BgL_auxz00_7218 = BGL_OBJECT_WIDENING(BgL_tmpz00_7219);
						}
						BgL_auxz00_7217 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7218);
					}
					BgL_val0_1816z00_5190 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7217))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7225;

					{
						obj_t BgL_auxz00_7226;

						{	/* Liveness/liveness.scm 1034 */
							BgL_objectz00_bglt BgL_tmpz00_7227;

							BgL_tmpz00_7227 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4821));
							BgL_auxz00_7226 = BGL_OBJECT_WIDENING(BgL_tmpz00_7227);
						}
						BgL_auxz00_7225 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7226);
					}
					BgL_val1_1817z00_5191 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7225))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1034 */
					int BgL_tmpz00_7233;

					BgL_tmpz00_7233 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7233);
				}
				{	/* Liveness/liveness.scm 1034 */
					int BgL_tmpz00_7236;

					BgL_tmpz00_7236 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7236, BgL_val1_1817z00_5191);
				}
				return BgL_val0_1816z00_5190;
			}
		}

	}



/* &inout!-make-box/live2090 */
	obj_t BGl_z62inoutz12zd2makezd2boxzf2live2090z82zzliveness_livenessz00(obj_t
		BgL_envz00_4822, obj_t BgL_nz00_4823, obj_t BgL_oz00_4824)
	{
		{	/* Liveness/liveness.scm 1025 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7239;

				{
					obj_t BgL_auxz00_7240;

					{	/* Liveness/liveness.scm 1027 */
						BgL_objectz00_bglt BgL_tmpz00_7241;

						BgL_tmpz00_7241 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
						BgL_auxz00_7240 = BGL_OBJECT_WIDENING(BgL_tmpz00_7241);
					}
					BgL_auxz00_7239 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7240);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7239))->
						BgL_outz00) = ((obj_t) BgL_oz00_4824), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7254;
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7247;

				{	/* Liveness/liveness.scm 1028 */
					obj_t BgL_arg2775z00_5193;
					obj_t BgL_arg2777z00_5194;

					{
						BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7255;

						{
							obj_t BgL_auxz00_7256;

							{	/* Liveness/liveness.scm 1028 */
								BgL_objectz00_bglt BgL_tmpz00_7257;

								BgL_tmpz00_7257 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
								BgL_auxz00_7256 = BGL_OBJECT_WIDENING(BgL_tmpz00_7257);
							}
							BgL_auxz00_7255 =
								((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7256);
						}
						BgL_arg2775z00_5193 =
							(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7255))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1028 */
						obj_t BgL_arg2780z00_5195;
						obj_t BgL_arg2782z00_5196;

						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7263;

							{
								obj_t BgL_auxz00_7264;

								{	/* Liveness/liveness.scm 1028 */
									BgL_objectz00_bglt BgL_tmpz00_7265;

									BgL_tmpz00_7265 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
									BgL_auxz00_7264 = BGL_OBJECT_WIDENING(BgL_tmpz00_7265);
								}
								BgL_auxz00_7263 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7264);
							}
							BgL_arg2780z00_5195 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_7263))->BgL_outz00);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7271;

							{
								obj_t BgL_auxz00_7272;

								{	/* Liveness/liveness.scm 1028 */
									BgL_objectz00_bglt BgL_tmpz00_7273;

									BgL_tmpz00_7273 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
									BgL_auxz00_7272 = BGL_OBJECT_WIDENING(BgL_tmpz00_7273);
								}
								BgL_auxz00_7271 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7272);
							}
							BgL_arg2782z00_5196 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_7271))->BgL_defz00);
						}
						BgL_arg2777z00_5194 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2780z00_5195,
							BgL_arg2782z00_5196);
					}
					{	/* Liveness/liveness.scm 1028 */
						obj_t BgL_list2778z00_5197;

						{	/* Liveness/liveness.scm 1028 */
							obj_t BgL_arg2779z00_5198;

							BgL_arg2779z00_5198 = MAKE_YOUNG_PAIR(BgL_arg2777z00_5194, BNIL);
							BgL_list2778z00_5197 =
								MAKE_YOUNG_PAIR(BgL_arg2775z00_5193, BgL_arg2779z00_5198);
						}
						BgL_auxz00_7254 =
							BGl_unionz00zzliveness_setz00(BgL_list2778z00_5197);
					}
				}
				{
					obj_t BgL_auxz00_7248;

					{	/* Liveness/liveness.scm 1028 */
						BgL_objectz00_bglt BgL_tmpz00_7249;

						BgL_tmpz00_7249 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
						BgL_auxz00_7248 = BGL_OBJECT_WIDENING(BgL_tmpz00_7249);
					}
					BgL_auxz00_7247 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7248);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7247))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7254), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1029 */
				BgL_nodez00_bglt BgL_arg2783z00_5199;

				BgL_arg2783z00_5199 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4823))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2783z00_5199,
					BgL_oz00_4824);
			}
			{	/* Liveness/liveness.scm 1030 */
				obj_t BgL_val0_1814z00_5200;
				obj_t BgL_val1_1815z00_5201;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7288;

					{
						obj_t BgL_auxz00_7289;

						{	/* Liveness/liveness.scm 1030 */
							BgL_objectz00_bglt BgL_tmpz00_7290;

							BgL_tmpz00_7290 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
							BgL_auxz00_7289 = BGL_OBJECT_WIDENING(BgL_tmpz00_7290);
						}
						BgL_auxz00_7288 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7289);
					}
					BgL_val0_1814z00_5200 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7288))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7296;

					{
						obj_t BgL_auxz00_7297;

						{	/* Liveness/liveness.scm 1030 */
							BgL_objectz00_bglt BgL_tmpz00_7298;

							BgL_tmpz00_7298 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4823));
							BgL_auxz00_7297 = BGL_OBJECT_WIDENING(BgL_tmpz00_7298);
						}
						BgL_auxz00_7296 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7297);
					}
					BgL_val1_1815z00_5201 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7296))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1030 */
					int BgL_tmpz00_7304;

					BgL_tmpz00_7304 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7304);
				}
				{	/* Liveness/liveness.scm 1030 */
					int BgL_tmpz00_7307;

					BgL_tmpz00_7307 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7307, BgL_val1_1815z00_5201);
				}
				return BgL_val0_1814z00_5200;
			}
		}

	}



/* &defuse-make-box/live2088 */
	obj_t BGl_z62defusezd2makezd2boxzf2live2088z90zzliveness_livenessz00(obj_t
		BgL_envz00_4825, obj_t BgL_nz00_4826)
	{
		{	/* Liveness/liveness.scm 1021 */
			{	/* Liveness/liveness.scm 1023 */
				obj_t BgL_val0_1812z00_5203;
				obj_t BgL_val1_1813z00_5204;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7310;

					{
						obj_t BgL_auxz00_7311;

						{	/* Liveness/liveness.scm 1023 */
							BgL_objectz00_bglt BgL_tmpz00_7312;

							BgL_tmpz00_7312 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
							BgL_auxz00_7311 = BGL_OBJECT_WIDENING(BgL_tmpz00_7312);
						}
						BgL_auxz00_7310 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7311);
					}
					BgL_val0_1812z00_5203 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7310))->
						BgL_defz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7318;

					{
						obj_t BgL_auxz00_7319;

						{	/* Liveness/liveness.scm 1023 */
							BgL_objectz00_bglt BgL_tmpz00_7320;

							BgL_tmpz00_7320 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4826));
							BgL_auxz00_7319 = BGL_OBJECT_WIDENING(BgL_tmpz00_7320);
						}
						BgL_auxz00_7318 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7319);
					}
					BgL_val1_1813z00_5204 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7318))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1023 */
					int BgL_tmpz00_7326;

					BgL_tmpz00_7326 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7326);
				}
				{	/* Liveness/liveness.scm 1023 */
					int BgL_tmpz00_7329;

					BgL_tmpz00_7329 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7329, BgL_val1_1813z00_5204);
				}
				return BgL_val0_1812z00_5203;
			}
		}

	}



/* &defuse-make-box2086 */
	obj_t BGl_z62defusezd2makezd2box2086z62zzliveness_livenessz00(obj_t
		BgL_envz00_4827, obj_t BgL_nz00_4828)
	{
		{	/* Liveness/liveness.scm 1012 */
			{	/* Liveness/liveness.scm 1014 */
				obj_t BgL_defz00_5206;

				BgL_defz00_5206 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1015 */
					obj_t BgL_usez00_5207;

					{	/* Liveness/liveness.scm 1016 */
						obj_t BgL_tmpz00_5208;

						{	/* Liveness/liveness.scm 1016 */
							int BgL_tmpz00_7335;

							BgL_tmpz00_7335 = (int) (((long) 1));
							BgL_tmpz00_5208 = BGL_MVALUES_VAL(BgL_tmpz00_7335);
						}
						{	/* Liveness/liveness.scm 1016 */
							int BgL_tmpz00_7338;

							BgL_tmpz00_7338 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7338, BUNSPEC);
						}
						BgL_usez00_5207 = BgL_tmpz00_5208;
					}
					{	/* Liveness/liveness.scm 1017 */
						BgL_makezd2boxzd2_bglt BgL_arg2771z00_5209;

						{	/* Liveness/liveness.scm 1017 */
							BgL_makezd2boxzf2livenessz20_bglt BgL_wide1412z00_5210;

							BgL_wide1412z00_5210 =
								((BgL_makezd2boxzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1017 */
								obj_t BgL_auxz00_7346;
								BgL_objectz00_bglt BgL_tmpz00_7342;

								BgL_auxz00_7346 = ((obj_t) BgL_wide1412z00_5210);
								BgL_tmpz00_7342 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7342, BgL_auxz00_7346);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
							{	/* Liveness/liveness.scm 1017 */
								long BgL_arg2772z00_5211;

								BgL_arg2772z00_5211 =
									BGL_CLASS_NUM
									(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt)
												BgL_nz00_4828))), BgL_arg2772z00_5211);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7360;

							{
								obj_t BgL_auxz00_7361;

								{	/* Liveness/liveness.scm 1018 */
									BgL_objectz00_bglt BgL_tmpz00_7362;

									BgL_tmpz00_7362 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
									BgL_auxz00_7361 = BGL_OBJECT_WIDENING(BgL_tmpz00_7362);
								}
								BgL_auxz00_7360 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7361);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7360))->
									BgL_defz00) = ((obj_t) BgL_defz00_5206), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7369;

							{
								obj_t BgL_auxz00_7370;

								{	/* Liveness/liveness.scm 1019 */
									BgL_objectz00_bglt BgL_tmpz00_7371;

									BgL_tmpz00_7371 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
									BgL_auxz00_7370 = BGL_OBJECT_WIDENING(BgL_tmpz00_7371);
								}
								BgL_auxz00_7369 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7370);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7369))->
									BgL_usez00) = ((obj_t) BgL_usez00_5207), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7378;

							{
								obj_t BgL_auxz00_7379;

								{	/* Liveness/liveness.scm 1015 */
									BgL_objectz00_bglt BgL_tmpz00_7380;

									BgL_tmpz00_7380 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
									BgL_auxz00_7379 = BGL_OBJECT_WIDENING(BgL_tmpz00_7380);
								}
								BgL_auxz00_7378 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7379);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7378))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_7387;

							{
								obj_t BgL_auxz00_7388;

								{	/* Liveness/liveness.scm 1015 */
									BgL_objectz00_bglt BgL_tmpz00_7389;

									BgL_tmpz00_7389 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4828)));
									BgL_auxz00_7388 = BGL_OBJECT_WIDENING(BgL_tmpz00_7389);
								}
								BgL_auxz00_7387 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_7388);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_7387))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2771z00_5209 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nz00_4828));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2771z00_5209));
					}
				}
			}
		}

	}



/* &inout-return/livenes2084 */
	obj_t BGl_z62inoutzd2returnzf2livenes2084z42zzliveness_livenessz00(obj_t
		BgL_envz00_4829, obj_t BgL_nz00_4830)
	{
		{	/* Liveness/liveness.scm 1005 */
			{	/* Liveness/liveness.scm 1007 */
				obj_t BgL_val0_1810z00_5213;
				obj_t BgL_val1_1811z00_5214;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7400;

					{
						obj_t BgL_auxz00_7401;

						{	/* Liveness/liveness.scm 1007 */
							BgL_objectz00_bglt BgL_tmpz00_7402;

							BgL_tmpz00_7402 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4830));
							BgL_auxz00_7401 = BGL_OBJECT_WIDENING(BgL_tmpz00_7402);
						}
						BgL_auxz00_7400 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7401);
					}
					BgL_val0_1810z00_5213 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7400))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7408;

					{
						obj_t BgL_auxz00_7409;

						{	/* Liveness/liveness.scm 1007 */
							BgL_objectz00_bglt BgL_tmpz00_7410;

							BgL_tmpz00_7410 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4830));
							BgL_auxz00_7409 = BGL_OBJECT_WIDENING(BgL_tmpz00_7410);
						}
						BgL_auxz00_7408 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7409);
					}
					BgL_val1_1811z00_5214 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7408))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1007 */
					int BgL_tmpz00_7416;

					BgL_tmpz00_7416 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7416);
				}
				{	/* Liveness/liveness.scm 1007 */
					int BgL_tmpz00_7419;

					BgL_tmpz00_7419 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7419, BgL_val1_1811z00_5214);
				}
				return BgL_val0_1810z00_5213;
			}
		}

	}



/* &inout!-return/livene2082 */
	obj_t BGl_z62inoutz12zd2returnzf2livene2082z50zzliveness_livenessz00(obj_t
		BgL_envz00_4831, obj_t BgL_nz00_4832, obj_t BgL_oz00_4833)
	{
		{	/* Liveness/liveness.scm 998 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_7422;

				{
					obj_t BgL_auxz00_7423;

					{	/* Liveness/liveness.scm 1000 */
						BgL_objectz00_bglt BgL_tmpz00_7424;

						BgL_tmpz00_7424 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
						BgL_auxz00_7423 = BGL_OBJECT_WIDENING(BgL_tmpz00_7424);
					}
					BgL_auxz00_7422 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7423);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7422))->
						BgL_outz00) = ((obj_t) BgL_oz00_4833), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7437;
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_7430;

				{	/* Liveness/liveness.scm 1001 */
					obj_t BgL_arg2753z00_5216;
					obj_t BgL_arg2755z00_5217;

					{
						BgL_returnzf2livenesszf2_bglt BgL_auxz00_7438;

						{
							obj_t BgL_auxz00_7439;

							{	/* Liveness/liveness.scm 1001 */
								BgL_objectz00_bglt BgL_tmpz00_7440;

								BgL_tmpz00_7440 =
									((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
								BgL_auxz00_7439 = BGL_OBJECT_WIDENING(BgL_tmpz00_7440);
							}
							BgL_auxz00_7438 =
								((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7439);
						}
						BgL_arg2753z00_5216 =
							(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7438))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1001 */
						obj_t BgL_arg2761z00_5218;
						obj_t BgL_arg2764z00_5219;

						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7446;

							{
								obj_t BgL_auxz00_7447;

								{	/* Liveness/liveness.scm 1001 */
									BgL_objectz00_bglt BgL_tmpz00_7448;

									BgL_tmpz00_7448 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
									BgL_auxz00_7447 = BGL_OBJECT_WIDENING(BgL_tmpz00_7448);
								}
								BgL_auxz00_7446 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7447);
							}
							BgL_arg2761z00_5218 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7446))->
								BgL_outz00);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7454;

							{
								obj_t BgL_auxz00_7455;

								{	/* Liveness/liveness.scm 1001 */
									BgL_objectz00_bglt BgL_tmpz00_7456;

									BgL_tmpz00_7456 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
									BgL_auxz00_7455 = BGL_OBJECT_WIDENING(BgL_tmpz00_7456);
								}
								BgL_auxz00_7454 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7455);
							}
							BgL_arg2764z00_5219 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7454))->
								BgL_defz00);
						}
						BgL_arg2755z00_5217 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2761z00_5218,
							BgL_arg2764z00_5219);
					}
					{	/* Liveness/liveness.scm 1001 */
						obj_t BgL_list2756z00_5220;

						{	/* Liveness/liveness.scm 1001 */
							obj_t BgL_arg2760z00_5221;

							BgL_arg2760z00_5221 = MAKE_YOUNG_PAIR(BgL_arg2755z00_5217, BNIL);
							BgL_list2756z00_5220 =
								MAKE_YOUNG_PAIR(BgL_arg2753z00_5216, BgL_arg2760z00_5221);
						}
						BgL_auxz00_7437 =
							BGl_unionz00zzliveness_setz00(BgL_list2756z00_5220);
					}
				}
				{
					obj_t BgL_auxz00_7431;

					{	/* Liveness/liveness.scm 1001 */
						BgL_objectz00_bglt BgL_tmpz00_7432;

						BgL_tmpz00_7432 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
						BgL_auxz00_7431 = BGL_OBJECT_WIDENING(BgL_tmpz00_7432);
					}
					BgL_auxz00_7430 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7431);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7430))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7437), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1002 */
				BgL_nodez00_bglt BgL_arg2767z00_5222;

				BgL_arg2767z00_5222 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_nz00_4832))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2767z00_5222,
					BgL_oz00_4833);
			}
			{	/* Liveness/liveness.scm 1003 */
				obj_t BgL_val0_1808z00_5223;
				obj_t BgL_val1_1809z00_5224;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7471;

					{
						obj_t BgL_auxz00_7472;

						{	/* Liveness/liveness.scm 1003 */
							BgL_objectz00_bglt BgL_tmpz00_7473;

							BgL_tmpz00_7473 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
							BgL_auxz00_7472 = BGL_OBJECT_WIDENING(BgL_tmpz00_7473);
						}
						BgL_auxz00_7471 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7472);
					}
					BgL_val0_1808z00_5223 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7471))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7479;

					{
						obj_t BgL_auxz00_7480;

						{	/* Liveness/liveness.scm 1003 */
							BgL_objectz00_bglt BgL_tmpz00_7481;

							BgL_tmpz00_7481 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4832));
							BgL_auxz00_7480 = BGL_OBJECT_WIDENING(BgL_tmpz00_7481);
						}
						BgL_auxz00_7479 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7480);
					}
					BgL_val1_1809z00_5224 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7479))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1003 */
					int BgL_tmpz00_7487;

					BgL_tmpz00_7487 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7487);
				}
				{	/* Liveness/liveness.scm 1003 */
					int BgL_tmpz00_7490;

					BgL_tmpz00_7490 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7490, BgL_val1_1809z00_5224);
				}
				return BgL_val0_1808z00_5223;
			}
		}

	}



/* &defuse-return/livene2080 */
	obj_t BGl_z62defusezd2returnzf2livene2080z42zzliveness_livenessz00(obj_t
		BgL_envz00_4834, obj_t BgL_nz00_4835)
	{
		{	/* Liveness/liveness.scm 994 */
			{	/* Liveness/liveness.scm 996 */
				obj_t BgL_val0_1806z00_5226;
				obj_t BgL_val1_1807z00_5227;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7493;

					{
						obj_t BgL_auxz00_7494;

						{	/* Liveness/liveness.scm 996 */
							BgL_objectz00_bglt BgL_tmpz00_7495;

							BgL_tmpz00_7495 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
							BgL_auxz00_7494 = BGL_OBJECT_WIDENING(BgL_tmpz00_7495);
						}
						BgL_auxz00_7493 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7494);
					}
					BgL_val0_1806z00_5226 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7493))->
						BgL_defz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7501;

					{
						obj_t BgL_auxz00_7502;

						{	/* Liveness/liveness.scm 996 */
							BgL_objectz00_bglt BgL_tmpz00_7503;

							BgL_tmpz00_7503 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4835));
							BgL_auxz00_7502 = BGL_OBJECT_WIDENING(BgL_tmpz00_7503);
						}
						BgL_auxz00_7501 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7502);
					}
					BgL_val1_1807z00_5227 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7501))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 996 */
					int BgL_tmpz00_7509;

					BgL_tmpz00_7509 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7509);
				}
				{	/* Liveness/liveness.scm 996 */
					int BgL_tmpz00_7512;

					BgL_tmpz00_7512 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7512, BgL_val1_1807z00_5227);
				}
				return BgL_val0_1806z00_5226;
			}
		}

	}



/* &defuse-return2078 */
	obj_t BGl_z62defusezd2return2078zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4836, obj_t BgL_nz00_4837)
	{
		{	/* Liveness/liveness.scm 985 */
			{	/* Liveness/liveness.scm 987 */
				obj_t BgL_defz00_5229;

				BgL_defz00_5229 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_4837)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 988 */
					obj_t BgL_usez00_5230;

					{	/* Liveness/liveness.scm 989 */
						obj_t BgL_tmpz00_5231;

						{	/* Liveness/liveness.scm 989 */
							int BgL_tmpz00_7518;

							BgL_tmpz00_7518 = (int) (((long) 1));
							BgL_tmpz00_5231 = BGL_MVALUES_VAL(BgL_tmpz00_7518);
						}
						{	/* Liveness/liveness.scm 989 */
							int BgL_tmpz00_7521;

							BgL_tmpz00_7521 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7521, BUNSPEC);
						}
						BgL_usez00_5230 = BgL_tmpz00_5231;
					}
					{	/* Liveness/liveness.scm 990 */
						BgL_returnz00_bglt BgL_arg2749z00_5232;

						{	/* Liveness/liveness.scm 990 */
							BgL_returnzf2livenesszf2_bglt BgL_wide1404z00_5233;

							BgL_wide1404z00_5233 =
								((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 990 */
								obj_t BgL_auxz00_7529;
								BgL_objectz00_bglt BgL_tmpz00_7525;

								BgL_auxz00_7529 = ((obj_t) BgL_wide1404z00_5233);
								BgL_tmpz00_7525 =
									((BgL_objectz00_bglt)
									((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4837)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7525, BgL_auxz00_7529);
							}
							((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4837)));
							{	/* Liveness/liveness.scm 990 */
								long BgL_arg2750z00_5234;

								BgL_arg2750z00_5234 =
									BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4837))),
									BgL_arg2750z00_5234);
							}
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4837)));
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7543;

							{
								obj_t BgL_auxz00_7544;

								{	/* Liveness/liveness.scm 991 */
									BgL_objectz00_bglt BgL_tmpz00_7545;

									BgL_tmpz00_7545 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4837)));
									BgL_auxz00_7544 = BGL_OBJECT_WIDENING(BgL_tmpz00_7545);
								}
								BgL_auxz00_7543 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7544);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7543))->
									BgL_defz00) = ((obj_t) BgL_defz00_5229), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7552;

							{
								obj_t BgL_auxz00_7553;

								{	/* Liveness/liveness.scm 992 */
									BgL_objectz00_bglt BgL_tmpz00_7554;

									BgL_tmpz00_7554 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4837)));
									BgL_auxz00_7553 = BGL_OBJECT_WIDENING(BgL_tmpz00_7554);
								}
								BgL_auxz00_7552 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7553);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7552))->
									BgL_usez00) = ((obj_t) BgL_usez00_5230), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7561;

							{
								obj_t BgL_auxz00_7562;

								{	/* Liveness/liveness.scm 988 */
									BgL_objectz00_bglt BgL_tmpz00_7563;

									BgL_tmpz00_7563 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4837)));
									BgL_auxz00_7562 = BGL_OBJECT_WIDENING(BgL_tmpz00_7563);
								}
								BgL_auxz00_7561 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7562);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7561))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7570;

							{
								obj_t BgL_auxz00_7571;

								{	/* Liveness/liveness.scm 988 */
									BgL_objectz00_bglt BgL_tmpz00_7572;

									BgL_tmpz00_7572 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4837)));
									BgL_auxz00_7571 = BGL_OBJECT_WIDENING(BgL_tmpz00_7572);
								}
								BgL_auxz00_7570 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7571);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7570))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2749z00_5232 =
							((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4837));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2749z00_5232));
					}
				}
			}
		}

	}



/* &inout-retblock/liven2076 */
	obj_t BGl_z62inoutzd2retblockzf2liven2076z42zzliveness_livenessz00(obj_t
		BgL_envz00_4838, obj_t BgL_nz00_4839)
	{
		{	/* Liveness/liveness.scm 978 */
			{	/* Liveness/liveness.scm 980 */
				obj_t BgL_val0_1804z00_5236;
				obj_t BgL_val1_1805z00_5237;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7583;

					{
						obj_t BgL_auxz00_7584;

						{	/* Liveness/liveness.scm 980 */
							BgL_objectz00_bglt BgL_tmpz00_7585;

							BgL_tmpz00_7585 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4839));
							BgL_auxz00_7584 = BGL_OBJECT_WIDENING(BgL_tmpz00_7585);
						}
						BgL_auxz00_7583 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7584);
					}
					BgL_val0_1804z00_5236 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7583))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7591;

					{
						obj_t BgL_auxz00_7592;

						{	/* Liveness/liveness.scm 980 */
							BgL_objectz00_bglt BgL_tmpz00_7593;

							BgL_tmpz00_7593 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4839));
							BgL_auxz00_7592 = BGL_OBJECT_WIDENING(BgL_tmpz00_7593);
						}
						BgL_auxz00_7591 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7592);
					}
					BgL_val1_1805z00_5237 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7591))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 980 */
					int BgL_tmpz00_7599;

					BgL_tmpz00_7599 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7599);
				}
				{	/* Liveness/liveness.scm 980 */
					int BgL_tmpz00_7602;

					BgL_tmpz00_7602 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7602, BgL_val1_1805z00_5237);
				}
				return BgL_val0_1804z00_5236;
			}
		}

	}



/* &inout!-retblock/live2074 */
	obj_t BGl_z62inoutz12zd2retblockzf2live2074z50zzliveness_livenessz00(obj_t
		BgL_envz00_4840, obj_t BgL_nz00_4841, obj_t BgL_oz00_4842)
	{
		{	/* Liveness/liveness.scm 971 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7605;

				{
					obj_t BgL_auxz00_7606;

					{	/* Liveness/liveness.scm 973 */
						BgL_objectz00_bglt BgL_tmpz00_7607;

						BgL_tmpz00_7607 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4841));
						BgL_auxz00_7606 = BGL_OBJECT_WIDENING(BgL_tmpz00_7607);
					}
					BgL_auxz00_7605 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7606);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7605))->
						BgL_outz00) = ((obj_t) BgL_oz00_4842), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7620;
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7613;

				{	/* Liveness/liveness.scm 974 */
					obj_t BgL_arg2738z00_5239;
					obj_t BgL_arg2742z00_5240;

					{
						BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7621;

						{
							obj_t BgL_auxz00_7622;

							{	/* Liveness/liveness.scm 974 */
								BgL_objectz00_bglt BgL_tmpz00_7623;

								BgL_tmpz00_7623 =
									((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4841));
								BgL_auxz00_7622 = BGL_OBJECT_WIDENING(BgL_tmpz00_7623);
							}
							BgL_auxz00_7621 =
								((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7622);
						}
						BgL_arg2738z00_5239 =
							(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7621))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 974 */
						obj_t BgL_arg2745z00_5241;
						obj_t BgL_arg2747z00_5242;

						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7629;

							{
								obj_t BgL_auxz00_7630;

								{	/* Liveness/liveness.scm 974 */
									BgL_objectz00_bglt BgL_tmpz00_7631;

									BgL_tmpz00_7631 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4841));
									BgL_auxz00_7630 = BGL_OBJECT_WIDENING(BgL_tmpz00_7631);
								}
								BgL_auxz00_7629 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7630);
							}
							BgL_arg2745z00_5241 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7629))->
								BgL_outz00);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7637;

							{
								obj_t BgL_auxz00_7638;

								{	/* Liveness/liveness.scm 974 */
									BgL_objectz00_bglt BgL_tmpz00_7639;

									BgL_tmpz00_7639 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4841));
									BgL_auxz00_7638 = BGL_OBJECT_WIDENING(BgL_tmpz00_7639);
								}
								BgL_auxz00_7637 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7638);
							}
							BgL_arg2747z00_5242 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7637))->
								BgL_defz00);
						}
						BgL_arg2742z00_5240 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2745z00_5241,
							BgL_arg2747z00_5242);
					}
					{	/* Liveness/liveness.scm 974 */
						obj_t BgL_list2743z00_5243;

						{	/* Liveness/liveness.scm 974 */
							obj_t BgL_arg2744z00_5244;

							BgL_arg2744z00_5244 = MAKE_YOUNG_PAIR(BgL_arg2742z00_5240, BNIL);
							BgL_list2743z00_5243 =
								MAKE_YOUNG_PAIR(BgL_arg2738z00_5239, BgL_arg2744z00_5244);
						}
						BgL_auxz00_7620 =
							BGl_unionz00zzliveness_setz00(BgL_list2743z00_5243);
					}
				}
				{
					obj_t BgL_auxz00_7614;

					{	/* Liveness/liveness.scm 974 */
						BgL_objectz00_bglt BgL_tmpz00_7615;

						BgL_tmpz00_7615 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4841));
						BgL_auxz00_7614 = BGL_OBJECT_WIDENING(BgL_tmpz00_7615);
					}
					BgL_auxz00_7613 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7614);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7613))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7620), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 975 */
				BgL_nodez00_bglt BgL_arg2748z00_5245;

				BgL_arg2748z00_5245 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_nz00_4841))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2748z00_5245,
					BgL_oz00_4842);
			}
			{	/* Liveness/liveness.scm 976 */
				obj_t BgL_val0_1802z00_5246;
				obj_t BgL_val1_1803z00_5247;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7654;

					{
						obj_t BgL_auxz00_7655;

						{	/* Liveness/liveness.scm 976 */
							BgL_objectz00_bglt BgL_tmpz00_7656;

							BgL_tmpz00_7656 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4841));
							BgL_auxz00_7655 = BGL_OBJECT_WIDENING(BgL_tmpz00_7656);
						}
						BgL_auxz00_7654 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7655);
					}
					BgL_val0_1802z00_5246 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7654))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7662;

					{
						obj_t BgL_auxz00_7663;

						{	/* Liveness/liveness.scm 976 */
							BgL_objectz00_bglt BgL_tmpz00_7664;

							BgL_tmpz00_7664 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4841));
							BgL_auxz00_7663 = BGL_OBJECT_WIDENING(BgL_tmpz00_7664);
						}
						BgL_auxz00_7662 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7663);
					}
					BgL_val1_1803z00_5247 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7662))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 976 */
					int BgL_tmpz00_7670;

					BgL_tmpz00_7670 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7670);
				}
				{	/* Liveness/liveness.scm 976 */
					int BgL_tmpz00_7673;

					BgL_tmpz00_7673 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7673, BgL_val1_1803z00_5247);
				}
				return BgL_val0_1802z00_5246;
			}
		}

	}



/* &defuse-retblock/live2072 */
	obj_t BGl_z62defusezd2retblockzf2live2072z42zzliveness_livenessz00(obj_t
		BgL_envz00_4843, obj_t BgL_nz00_4844)
	{
		{	/* Liveness/liveness.scm 967 */
			{	/* Liveness/liveness.scm 969 */
				obj_t BgL_val0_1800z00_5249;
				obj_t BgL_val1_1801z00_5250;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7676;

					{
						obj_t BgL_auxz00_7677;

						{	/* Liveness/liveness.scm 969 */
							BgL_objectz00_bglt BgL_tmpz00_7678;

							BgL_tmpz00_7678 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
							BgL_auxz00_7677 = BGL_OBJECT_WIDENING(BgL_tmpz00_7678);
						}
						BgL_auxz00_7676 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7677);
					}
					BgL_val0_1800z00_5249 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7676))->
						BgL_defz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7684;

					{
						obj_t BgL_auxz00_7685;

						{	/* Liveness/liveness.scm 969 */
							BgL_objectz00_bglt BgL_tmpz00_7686;

							BgL_tmpz00_7686 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4844));
							BgL_auxz00_7685 = BGL_OBJECT_WIDENING(BgL_tmpz00_7686);
						}
						BgL_auxz00_7684 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7685);
					}
					BgL_val1_1801z00_5250 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7684))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 969 */
					int BgL_tmpz00_7692;

					BgL_tmpz00_7692 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7692);
				}
				{	/* Liveness/liveness.scm 969 */
					int BgL_tmpz00_7695;

					BgL_tmpz00_7695 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7695, BgL_val1_1801z00_5250);
				}
				return BgL_val0_1800z00_5249;
			}
		}

	}



/* &defuse-retblock2070 */
	obj_t BGl_z62defusezd2retblock2070zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4845, obj_t BgL_nz00_4846)
	{
		{	/* Liveness/liveness.scm 958 */
			{	/* Liveness/liveness.scm 960 */
				obj_t BgL_defz00_5252;

				BgL_defz00_5252 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_4846)))->BgL_bodyz00));
				{	/* Liveness/liveness.scm 961 */
					obj_t BgL_usez00_5253;

					{	/* Liveness/liveness.scm 962 */
						obj_t BgL_tmpz00_5254;

						{	/* Liveness/liveness.scm 962 */
							int BgL_tmpz00_7701;

							BgL_tmpz00_7701 = (int) (((long) 1));
							BgL_tmpz00_5254 = BGL_MVALUES_VAL(BgL_tmpz00_7701);
						}
						{	/* Liveness/liveness.scm 962 */
							int BgL_tmpz00_7704;

							BgL_tmpz00_7704 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7704, BUNSPEC);
						}
						BgL_usez00_5253 = BgL_tmpz00_5254;
					}
					{	/* Liveness/liveness.scm 963 */
						BgL_retblockz00_bglt BgL_arg2734z00_5255;

						{	/* Liveness/liveness.scm 963 */
							BgL_retblockzf2livenesszf2_bglt BgL_wide1396z00_5256;

							BgL_wide1396z00_5256 =
								((BgL_retblockzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 963 */
								obj_t BgL_auxz00_7712;
								BgL_objectz00_bglt BgL_tmpz00_7708;

								BgL_auxz00_7712 = ((obj_t) BgL_wide1396z00_5256);
								BgL_tmpz00_7708 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4846)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7708, BgL_auxz00_7712);
							}
							((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4846)));
							{	/* Liveness/liveness.scm 963 */
								long BgL_arg2735z00_5257;

								BgL_arg2735z00_5257 =
									BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4846))),
									BgL_arg2735z00_5257);
							}
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4846)));
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7726;

							{
								obj_t BgL_auxz00_7727;

								{	/* Liveness/liveness.scm 964 */
									BgL_objectz00_bglt BgL_tmpz00_7728;

									BgL_tmpz00_7728 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4846)));
									BgL_auxz00_7727 = BGL_OBJECT_WIDENING(BgL_tmpz00_7728);
								}
								BgL_auxz00_7726 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7727);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7726))->
									BgL_defz00) = ((obj_t) BgL_defz00_5252), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7735;

							{
								obj_t BgL_auxz00_7736;

								{	/* Liveness/liveness.scm 965 */
									BgL_objectz00_bglt BgL_tmpz00_7737;

									BgL_tmpz00_7737 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4846)));
									BgL_auxz00_7736 = BGL_OBJECT_WIDENING(BgL_tmpz00_7737);
								}
								BgL_auxz00_7735 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7736);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7735))->
									BgL_usez00) = ((obj_t) BgL_usez00_5253), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7744;

							{
								obj_t BgL_auxz00_7745;

								{	/* Liveness/liveness.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_7746;

									BgL_tmpz00_7746 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4846)));
									BgL_auxz00_7745 = BGL_OBJECT_WIDENING(BgL_tmpz00_7746);
								}
								BgL_auxz00_7744 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7745);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7744))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7753;

							{
								obj_t BgL_auxz00_7754;

								{	/* Liveness/liveness.scm 961 */
									BgL_objectz00_bglt BgL_tmpz00_7755;

									BgL_tmpz00_7755 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4846)));
									BgL_auxz00_7754 = BGL_OBJECT_WIDENING(BgL_tmpz00_7755);
								}
								BgL_auxz00_7753 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7754);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7753))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2734z00_5255 =
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4846));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2734z00_5255));
					}
				}
			}
		}

	}



/* &inout-jump-ex-it/liv2068 */
	obj_t BGl_z62inoutzd2jumpzd2exzd2itzf2liv2068z42zzliveness_livenessz00(obj_t
		BgL_envz00_4847, obj_t BgL_nz00_4848)
	{
		{	/* Liveness/liveness.scm 951 */
			{	/* Liveness/liveness.scm 953 */
				obj_t BgL_val0_1798z00_5259;
				obj_t BgL_val1_1799z00_5260;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7766;

					{
						obj_t BgL_auxz00_7767;

						{	/* Liveness/liveness.scm 953 */
							BgL_objectz00_bglt BgL_tmpz00_7768;

							BgL_tmpz00_7768 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4848));
							BgL_auxz00_7767 = BGL_OBJECT_WIDENING(BgL_tmpz00_7768);
						}
						BgL_auxz00_7766 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7767);
					}
					BgL_val0_1798z00_5259 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7766))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7774;

					{
						obj_t BgL_auxz00_7775;

						{	/* Liveness/liveness.scm 953 */
							BgL_objectz00_bglt BgL_tmpz00_7776;

							BgL_tmpz00_7776 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4848));
							BgL_auxz00_7775 = BGL_OBJECT_WIDENING(BgL_tmpz00_7776);
						}
						BgL_auxz00_7774 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7775);
					}
					BgL_val1_1799z00_5260 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7774))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 953 */
					int BgL_tmpz00_7782;

					BgL_tmpz00_7782 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7782);
				}
				{	/* Liveness/liveness.scm 953 */
					int BgL_tmpz00_7785;

					BgL_tmpz00_7785 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7785, BgL_val1_1799z00_5260);
				}
				return BgL_val0_1798z00_5259;
			}
		}

	}



/* &inout!-jump-ex-it/li2066 */
	obj_t BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2066z50zzliveness_livenessz00(obj_t
		BgL_envz00_4849, obj_t BgL_nz00_4850, obj_t BgL_oz00_4851)
	{
		{	/* Liveness/liveness.scm 944 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7788;

				{
					obj_t BgL_auxz00_7789;

					{	/* Liveness/liveness.scm 946 */
						BgL_objectz00_bglt BgL_tmpz00_7790;

						BgL_tmpz00_7790 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
						BgL_auxz00_7789 = BGL_OBJECT_WIDENING(BgL_tmpz00_7790);
					}
					BgL_auxz00_7788 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7789);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7788))->
						BgL_outz00) = ((obj_t) BgL_oz00_4851), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7803;
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7796;

				{	/* Liveness/liveness.scm 947 */
					obj_t BgL_arg2727z00_5262;
					obj_t BgL_arg2728z00_5263;

					{
						BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7804;

						{
							obj_t BgL_auxz00_7805;

							{	/* Liveness/liveness.scm 947 */
								BgL_objectz00_bglt BgL_tmpz00_7806;

								BgL_tmpz00_7806 =
									((BgL_objectz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
								BgL_auxz00_7805 = BGL_OBJECT_WIDENING(BgL_tmpz00_7806);
							}
							BgL_auxz00_7804 =
								((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7805);
						}
						BgL_arg2727z00_5262 =
							(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_7804))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_arg2731z00_5264;
						obj_t BgL_arg2732z00_5265;

						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7812;

							{
								obj_t BgL_auxz00_7813;

								{	/* Liveness/liveness.scm 947 */
									BgL_objectz00_bglt BgL_tmpz00_7814;

									BgL_tmpz00_7814 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
									BgL_auxz00_7813 = BGL_OBJECT_WIDENING(BgL_tmpz00_7814);
								}
								BgL_auxz00_7812 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7813);
							}
							BgL_arg2731z00_5264 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7812))->BgL_outz00);
						}
						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7820;

							{
								obj_t BgL_auxz00_7821;

								{	/* Liveness/liveness.scm 947 */
									BgL_objectz00_bglt BgL_tmpz00_7822;

									BgL_tmpz00_7822 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
									BgL_auxz00_7821 = BGL_OBJECT_WIDENING(BgL_tmpz00_7822);
								}
								BgL_auxz00_7820 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7821);
							}
							BgL_arg2732z00_5265 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7820))->BgL_defz00);
						}
						BgL_arg2728z00_5263 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2731z00_5264,
							BgL_arg2732z00_5265);
					}
					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_list2729z00_5266;

						{	/* Liveness/liveness.scm 947 */
							obj_t BgL_arg2730z00_5267;

							BgL_arg2730z00_5267 = MAKE_YOUNG_PAIR(BgL_arg2728z00_5263, BNIL);
							BgL_list2729z00_5266 =
								MAKE_YOUNG_PAIR(BgL_arg2727z00_5262, BgL_arg2730z00_5267);
						}
						BgL_auxz00_7803 =
							BGl_unionz00zzliveness_setz00(BgL_list2729z00_5266);
					}
				}
				{
					obj_t BgL_auxz00_7797;

					{	/* Liveness/liveness.scm 947 */
						BgL_objectz00_bglt BgL_tmpz00_7798;

						BgL_tmpz00_7798 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
						BgL_auxz00_7797 = BGL_OBJECT_WIDENING(BgL_tmpz00_7798);
					}
					BgL_auxz00_7796 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7797);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7796))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7803), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 948 */
				BgL_nodez00_bglt BgL_arg2733z00_5268;

				BgL_arg2733z00_5268 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2733z00_5268,
					BgL_oz00_4851);
			}
			{	/* Liveness/liveness.scm 949 */
				obj_t BgL_val0_1796z00_5269;
				obj_t BgL_val1_1797z00_5270;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7837;

					{
						obj_t BgL_auxz00_7838;

						{	/* Liveness/liveness.scm 949 */
							BgL_objectz00_bglt BgL_tmpz00_7839;

							BgL_tmpz00_7839 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
							BgL_auxz00_7838 = BGL_OBJECT_WIDENING(BgL_tmpz00_7839);
						}
						BgL_auxz00_7837 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7838);
					}
					BgL_val0_1796z00_5269 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7837))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7845;

					{
						obj_t BgL_auxz00_7846;

						{	/* Liveness/liveness.scm 949 */
							BgL_objectz00_bglt BgL_tmpz00_7847;

							BgL_tmpz00_7847 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4850));
							BgL_auxz00_7846 = BGL_OBJECT_WIDENING(BgL_tmpz00_7847);
						}
						BgL_auxz00_7845 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7846);
					}
					BgL_val1_1797z00_5270 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7845))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 949 */
					int BgL_tmpz00_7853;

					BgL_tmpz00_7853 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7853);
				}
				{	/* Liveness/liveness.scm 949 */
					int BgL_tmpz00_7856;

					BgL_tmpz00_7856 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7856, BgL_val1_1797z00_5270);
				}
				return BgL_val0_1796z00_5269;
			}
		}

	}



/* &defuse-jump-ex-it/li2064 */
	obj_t BGl_z62defusezd2jumpzd2exzd2itzf2li2064z42zzliveness_livenessz00(obj_t
		BgL_envz00_4852, obj_t BgL_nz00_4853)
	{
		{	/* Liveness/liveness.scm 940 */
			{	/* Liveness/liveness.scm 942 */
				obj_t BgL_val0_1794z00_5272;
				obj_t BgL_val1_1795z00_5273;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7859;

					{
						obj_t BgL_auxz00_7860;

						{	/* Liveness/liveness.scm 942 */
							BgL_objectz00_bglt BgL_tmpz00_7861;

							BgL_tmpz00_7861 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
							BgL_auxz00_7860 = BGL_OBJECT_WIDENING(BgL_tmpz00_7861);
						}
						BgL_auxz00_7859 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7860);
					}
					BgL_val0_1794z00_5272 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7859))->BgL_defz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7867;

					{
						obj_t BgL_auxz00_7868;

						{	/* Liveness/liveness.scm 942 */
							BgL_objectz00_bglt BgL_tmpz00_7869;

							BgL_tmpz00_7869 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4853));
							BgL_auxz00_7868 = BGL_OBJECT_WIDENING(BgL_tmpz00_7869);
						}
						BgL_auxz00_7867 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7868);
					}
					BgL_val1_1795z00_5273 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7867))->BgL_usez00);
				}
				{	/* Liveness/liveness.scm 942 */
					int BgL_tmpz00_7875;

					BgL_tmpz00_7875 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7875);
				}
				{	/* Liveness/liveness.scm 942 */
					int BgL_tmpz00_7878;

					BgL_tmpz00_7878 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7878, BgL_val1_1795z00_5273);
				}
				return BgL_val0_1794z00_5272;
			}
		}

	}



/* &defuse-jump-ex-it2062 */
	obj_t BGl_z62defusezd2jumpzd2exzd2it2062zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4854, obj_t BgL_nz00_4855)
	{
		{	/* Liveness/liveness.scm 929 */
			{	/* Liveness/liveness.scm 931 */
				obj_t BgL_defexitz00_5275;

				BgL_defexitz00_5275 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)))->BgL_exitz00));
				{	/* Liveness/liveness.scm 932 */
					obj_t BgL_useexitz00_5276;

					{	/* Liveness/liveness.scm 933 */
						obj_t BgL_tmpz00_5277;

						{	/* Liveness/liveness.scm 933 */
							int BgL_tmpz00_7884;

							BgL_tmpz00_7884 = (int) (((long) 1));
							BgL_tmpz00_5277 = BGL_MVALUES_VAL(BgL_tmpz00_7884);
						}
						{	/* Liveness/liveness.scm 933 */
							int BgL_tmpz00_7887;

							BgL_tmpz00_7887 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7887, BUNSPEC);
						}
						BgL_useexitz00_5276 = BgL_tmpz00_5277;
					}
					{	/* Liveness/liveness.scm 933 */
						obj_t BgL_defvaluez00_5278;

						BgL_defvaluez00_5278 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)))->
								BgL_valuez00));
						{	/* Liveness/liveness.scm 934 */
							obj_t BgL_usevaluez00_5279;

							{	/* Liveness/liveness.scm 935 */
								obj_t BgL_tmpz00_5280;

								{	/* Liveness/liveness.scm 935 */
									int BgL_tmpz00_7893;

									BgL_tmpz00_7893 = (int) (((long) 1));
									BgL_tmpz00_5280 = BGL_MVALUES_VAL(BgL_tmpz00_7893);
								}
								{	/* Liveness/liveness.scm 935 */
									int BgL_tmpz00_7896;

									BgL_tmpz00_7896 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7896, BUNSPEC);
								}
								BgL_usevaluez00_5279 = BgL_tmpz00_5280;
							}
							{	/* Liveness/liveness.scm 936 */
								BgL_jumpzd2exzd2itz00_bglt BgL_arg2717z00_5281;

								{	/* Liveness/liveness.scm 936 */
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1388z00_5282;

									BgL_wide1388z00_5282 =
										((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 936 */
										obj_t BgL_auxz00_7904;
										BgL_objectz00_bglt BgL_tmpz00_7900;

										BgL_auxz00_7904 = ((obj_t) BgL_wide1388z00_5282);
										BgL_tmpz00_7900 =
											((BgL_objectz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7900, BgL_auxz00_7904);
									}
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
									{	/* Liveness/liveness.scm 936 */
										long BgL_arg2718z00_5283;

										BgL_arg2718z00_5283 =
											BGL_CLASS_NUM
											(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_jumpzd2exzd2itz00_bglt) (
														(BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855))),
											BgL_arg2718z00_5283);
									}
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
								}
								{
									obj_t BgL_auxz00_7926;
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7918;

									{	/* Liveness/liveness.scm 937 */
										obj_t BgL_list2719z00_5284;

										{	/* Liveness/liveness.scm 937 */
											obj_t BgL_arg2721z00_5285;

											BgL_arg2721z00_5285 =
												MAKE_YOUNG_PAIR(BgL_defvaluez00_5278, BNIL);
											BgL_list2719z00_5284 =
												MAKE_YOUNG_PAIR(BgL_defexitz00_5275,
												BgL_arg2721z00_5285);
										}
										BgL_auxz00_7926 =
											BGl_unionz00zzliveness_setz00(BgL_list2719z00_5284);
									}
									{
										obj_t BgL_auxz00_7919;

										{	/* Liveness/liveness.scm 937 */
											BgL_objectz00_bglt BgL_tmpz00_7920;

											BgL_tmpz00_7920 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
											BgL_auxz00_7919 = BGL_OBJECT_WIDENING(BgL_tmpz00_7920);
										}
										BgL_auxz00_7918 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7919);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7918))->BgL_defz00) =
										((obj_t) BgL_auxz00_7926), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_7939;
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7931;

									{	/* Liveness/liveness.scm 938 */
										obj_t BgL_list2722z00_5286;

										{	/* Liveness/liveness.scm 938 */
											obj_t BgL_arg2723z00_5287;

											BgL_arg2723z00_5287 =
												MAKE_YOUNG_PAIR(BgL_usevaluez00_5279, BNIL);
											BgL_list2722z00_5286 =
												MAKE_YOUNG_PAIR(BgL_useexitz00_5276,
												BgL_arg2723z00_5287);
										}
										BgL_auxz00_7939 =
											BGl_unionz00zzliveness_setz00(BgL_list2722z00_5286);
									}
									{
										obj_t BgL_auxz00_7932;

										{	/* Liveness/liveness.scm 938 */
											BgL_objectz00_bglt BgL_tmpz00_7933;

											BgL_tmpz00_7933 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
											BgL_auxz00_7932 = BGL_OBJECT_WIDENING(BgL_tmpz00_7933);
										}
										BgL_auxz00_7931 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7932);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7931))->BgL_usez00) =
										((obj_t) BgL_auxz00_7939), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7944;

									{
										obj_t BgL_auxz00_7945;

										{	/* Liveness/liveness.scm 934 */
											BgL_objectz00_bglt BgL_tmpz00_7946;

											BgL_tmpz00_7946 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
											BgL_auxz00_7945 = BGL_OBJECT_WIDENING(BgL_tmpz00_7946);
										}
										BgL_auxz00_7944 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7945);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7944))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7953;

									{
										obj_t BgL_auxz00_7954;

										{	/* Liveness/liveness.scm 934 */
											BgL_objectz00_bglt BgL_tmpz00_7955;

											BgL_tmpz00_7955 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855)));
											BgL_auxz00_7954 = BGL_OBJECT_WIDENING(BgL_tmpz00_7955);
										}
										BgL_auxz00_7953 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7954);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7953))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2717z00_5281 =
									((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4855));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2717z00_5281));
							}
						}
					}
				}
			}
		}

	}



/* &inout-set-ex-it/live2060 */
	obj_t BGl_z62inoutzd2setzd2exzd2itzf2live2060z42zzliveness_livenessz00(obj_t
		BgL_envz00_4856, obj_t BgL_nz00_4857)
	{
		{	/* Liveness/liveness.scm 922 */
			{	/* Liveness/liveness.scm 924 */
				obj_t BgL_val0_1792z00_5289;
				obj_t BgL_val1_1793z00_5290;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7966;

					{
						obj_t BgL_auxz00_7967;

						{	/* Liveness/liveness.scm 924 */
							BgL_objectz00_bglt BgL_tmpz00_7968;

							BgL_tmpz00_7968 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4857));
							BgL_auxz00_7967 = BGL_OBJECT_WIDENING(BgL_tmpz00_7968);
						}
						BgL_auxz00_7966 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7967);
					}
					BgL_val0_1792z00_5289 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7966))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7974;

					{
						obj_t BgL_auxz00_7975;

						{	/* Liveness/liveness.scm 924 */
							BgL_objectz00_bglt BgL_tmpz00_7976;

							BgL_tmpz00_7976 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4857));
							BgL_auxz00_7975 = BGL_OBJECT_WIDENING(BgL_tmpz00_7976);
						}
						BgL_auxz00_7974 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7975);
					}
					BgL_val1_1793z00_5290 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7974))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 924 */
					int BgL_tmpz00_7982;

					BgL_tmpz00_7982 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7982);
				}
				{	/* Liveness/liveness.scm 924 */
					int BgL_tmpz00_7985;

					BgL_tmpz00_7985 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7985, BgL_val1_1793z00_5290);
				}
				return BgL_val0_1792z00_5289;
			}
		}

	}



/* &inout!-set-ex-it/liv2058 */
	obj_t BGl_z62inoutz12zd2setzd2exzd2itzf2liv2058z50zzliveness_livenessz00(obj_t
		BgL_envz00_4858, obj_t BgL_nz00_4859, obj_t BgL_oz00_4860)
	{
		{	/* Liveness/liveness.scm 914 */
			{	/* Liveness/liveness.scm 916 */
				obj_t BgL_arg2704z00_5292;

				BgL_arg2704z00_5292 = BGl_shapez00zztools_shapez00(BgL_oz00_4860);
				{	/* Liveness/liveness.scm 916 */
					obj_t BgL_list2705z00_5293;

					{	/* Liveness/liveness.scm 916 */
						obj_t BgL_arg2706z00_5294;

						BgL_arg2706z00_5294 = MAKE_YOUNG_PAIR(BgL_arg2704z00_5292, BNIL);
						BgL_list2705z00_5293 =
							MAKE_YOUNG_PAIR(BGl_string3108z00zzliveness_livenessz00,
							BgL_arg2706z00_5294);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7991;

				{
					obj_t BgL_auxz00_7992;

					{	/* Liveness/liveness.scm 917 */
						BgL_objectz00_bglt BgL_tmpz00_7993;

						BgL_tmpz00_7993 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
						BgL_auxz00_7992 = BGL_OBJECT_WIDENING(BgL_tmpz00_7993);
					}
					BgL_auxz00_7991 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7992);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7991))->
						BgL_outz00) = ((obj_t) BgL_oz00_4860), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8006;
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7999;

				{	/* Liveness/liveness.scm 918 */
					obj_t BgL_arg2707z00_5295;
					obj_t BgL_arg2710z00_5296;

					{
						BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8007;

						{
							obj_t BgL_auxz00_8008;

							{	/* Liveness/liveness.scm 918 */
								BgL_objectz00_bglt BgL_tmpz00_8009;

								BgL_tmpz00_8009 =
									((BgL_objectz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
								BgL_auxz00_8008 = BGL_OBJECT_WIDENING(BgL_tmpz00_8009);
							}
							BgL_auxz00_8007 =
								((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8008);
						}
						BgL_arg2707z00_5295 =
							(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_8007))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 918 */
						obj_t BgL_arg2714z00_5297;
						obj_t BgL_arg2715z00_5298;

						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8015;

							{
								obj_t BgL_auxz00_8016;

								{	/* Liveness/liveness.scm 918 */
									BgL_objectz00_bglt BgL_tmpz00_8017;

									BgL_tmpz00_8017 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
									BgL_auxz00_8016 = BGL_OBJECT_WIDENING(BgL_tmpz00_8017);
								}
								BgL_auxz00_8015 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8016);
							}
							BgL_arg2714z00_5297 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8015))->BgL_outz00);
						}
						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8023;

							{
								obj_t BgL_auxz00_8024;

								{	/* Liveness/liveness.scm 918 */
									BgL_objectz00_bglt BgL_tmpz00_8025;

									BgL_tmpz00_8025 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
									BgL_auxz00_8024 = BGL_OBJECT_WIDENING(BgL_tmpz00_8025);
								}
								BgL_auxz00_8023 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8024);
							}
							BgL_arg2715z00_5298 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8023))->BgL_defz00);
						}
						BgL_arg2710z00_5296 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2714z00_5297,
							BgL_arg2715z00_5298);
					}
					{	/* Liveness/liveness.scm 918 */
						obj_t BgL_list2711z00_5299;

						{	/* Liveness/liveness.scm 918 */
							obj_t BgL_arg2713z00_5300;

							BgL_arg2713z00_5300 = MAKE_YOUNG_PAIR(BgL_arg2710z00_5296, BNIL);
							BgL_list2711z00_5299 =
								MAKE_YOUNG_PAIR(BgL_arg2707z00_5295, BgL_arg2713z00_5300);
						}
						BgL_auxz00_8006 =
							BGl_unionz00zzliveness_setz00(BgL_list2711z00_5299);
					}
				}
				{
					obj_t BgL_auxz00_8000;

					{	/* Liveness/liveness.scm 918 */
						BgL_objectz00_bglt BgL_tmpz00_8001;

						BgL_tmpz00_8001 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
						BgL_auxz00_8000 = BGL_OBJECT_WIDENING(BgL_tmpz00_8001);
					}
					BgL_auxz00_7999 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8000);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7999))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8006), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 919 */
				BgL_nodez00_bglt BgL_arg2716z00_5301;

				BgL_arg2716z00_5301 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2716z00_5301,
					BgL_oz00_4860);
			}
			{	/* Liveness/liveness.scm 920 */
				obj_t BgL_val0_1790z00_5302;
				obj_t BgL_val1_1791z00_5303;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8040;

					{
						obj_t BgL_auxz00_8041;

						{	/* Liveness/liveness.scm 920 */
							BgL_objectz00_bglt BgL_tmpz00_8042;

							BgL_tmpz00_8042 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
							BgL_auxz00_8041 = BGL_OBJECT_WIDENING(BgL_tmpz00_8042);
						}
						BgL_auxz00_8040 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8041);
					}
					BgL_val0_1790z00_5302 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8040))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8048;

					{
						obj_t BgL_auxz00_8049;

						{	/* Liveness/liveness.scm 920 */
							BgL_objectz00_bglt BgL_tmpz00_8050;

							BgL_tmpz00_8050 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4859));
							BgL_auxz00_8049 = BGL_OBJECT_WIDENING(BgL_tmpz00_8050);
						}
						BgL_auxz00_8048 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8049);
					}
					BgL_val1_1791z00_5303 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8048))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 920 */
					int BgL_tmpz00_8056;

					BgL_tmpz00_8056 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8056);
				}
				{	/* Liveness/liveness.scm 920 */
					int BgL_tmpz00_8059;

					BgL_tmpz00_8059 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8059, BgL_val1_1791z00_5303);
				}
				return BgL_val0_1790z00_5302;
			}
		}

	}



/* &defuse-set-ex-it/liv2056 */
	obj_t BGl_z62defusezd2setzd2exzd2itzf2liv2056z42zzliveness_livenessz00(obj_t
		BgL_envz00_4861, obj_t BgL_nz00_4862)
	{
		{	/* Liveness/liveness.scm 910 */
			{	/* Liveness/liveness.scm 912 */
				obj_t BgL_val0_1788z00_5305;
				obj_t BgL_val1_1789z00_5306;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8062;

					{
						obj_t BgL_auxz00_8063;

						{	/* Liveness/liveness.scm 912 */
							BgL_objectz00_bglt BgL_tmpz00_8064;

							BgL_tmpz00_8064 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
							BgL_auxz00_8063 = BGL_OBJECT_WIDENING(BgL_tmpz00_8064);
						}
						BgL_auxz00_8062 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8063);
					}
					BgL_val0_1788z00_5305 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8062))->
						BgL_defz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8070;

					{
						obj_t BgL_auxz00_8071;

						{	/* Liveness/liveness.scm 912 */
							BgL_objectz00_bglt BgL_tmpz00_8072;

							BgL_tmpz00_8072 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4862));
							BgL_auxz00_8071 = BGL_OBJECT_WIDENING(BgL_tmpz00_8072);
						}
						BgL_auxz00_8070 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_8071);
					}
					BgL_val1_1789z00_5306 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8070))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 912 */
					int BgL_tmpz00_8078;

					BgL_tmpz00_8078 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8078);
				}
				{	/* Liveness/liveness.scm 912 */
					int BgL_tmpz00_8081;

					BgL_tmpz00_8081 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8081, BgL_val1_1789z00_5306);
				}
				return BgL_val0_1788z00_5305;
			}
		}

	}



/* &defuse-set-ex-it2054 */
	obj_t BGl_z62defusezd2setzd2exzd2it2054zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4863, obj_t BgL_nz00_4864)
	{
		{	/* Liveness/liveness.scm 895 */
			{	/* Liveness/liveness.scm 897 */
				BgL_varz00_bglt BgL_i1373z00_5308;

				BgL_i1373z00_5308 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)))->BgL_varz00);
				{	/* Liveness/liveness.scm 898 */
					BgL_localz00_bglt BgL_tmp1374z00_5309;

					BgL_tmp1374z00_5309 =
						((BgL_localz00_bglt)
						(((BgL_varz00_bglt) COBJECT(BgL_i1373z00_5308))->BgL_variablez00));
					{	/* Liveness/liveness.scm 898 */
						BgL_localzf2livenesszf2_bglt BgL_wide1376z00_5310;

						BgL_wide1376z00_5310 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 898 */
							obj_t BgL_auxz00_8092;
							BgL_objectz00_bglt BgL_tmpz00_8089;

							BgL_auxz00_8092 = ((obj_t) BgL_wide1376z00_5310);
							BgL_tmpz00_8089 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1374z00_5309));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8089, BgL_auxz00_8092);
						}
						((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1374z00_5309));
						{	/* Liveness/liveness.scm 898 */
							long BgL_arg2686z00_5311;

							BgL_arg2686z00_5311 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1374z00_5309)),
								BgL_arg2686z00_5311);
						}
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1374z00_5309));
					}
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_8103;

						{
							obj_t BgL_auxz00_8104;

							{	/* Liveness/liveness.scm 898 */
								BgL_objectz00_bglt BgL_tmpz00_8105;

								BgL_tmpz00_8105 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1374z00_5309));
								BgL_auxz00_8104 = BGL_OBJECT_WIDENING(BgL_tmpz00_8105);
							}
							BgL_auxz00_8103 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8104);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8103))->
								BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
					}
					((BgL_localz00_bglt) BgL_tmp1374z00_5309);
			}}
			{	/* Liveness/liveness.scm 899 */
				obj_t BgL_defvarz00_5312;

				{	/* Liveness/liveness.scm 900 */
					BgL_varz00_bglt BgL_arg2703z00_5313;

					BgL_arg2703z00_5313 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)))->BgL_varz00);
					BgL_defvarz00_5312 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2703z00_5313));
				}
				{	/* Liveness/liveness.scm 900 */
					obj_t BgL_usevarz00_5314;

					{	/* Liveness/liveness.scm 901 */
						obj_t BgL_tmpz00_5315;

						{	/* Liveness/liveness.scm 901 */
							int BgL_tmpz00_8117;

							BgL_tmpz00_8117 = (int) (((long) 1));
							BgL_tmpz00_5315 = BGL_MVALUES_VAL(BgL_tmpz00_8117);
						}
						{	/* Liveness/liveness.scm 901 */
							int BgL_tmpz00_8120;

							BgL_tmpz00_8120 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8120, BUNSPEC);
						}
						BgL_usevarz00_5314 = BgL_tmpz00_5315;
					}
					{	/* Liveness/liveness.scm 901 */
						obj_t BgL_defbodyz00_5316;

						BgL_defbodyz00_5316 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)))->
								BgL_bodyz00));
						{	/* Liveness/liveness.scm 902 */
							obj_t BgL_usebodyz00_5317;

							{	/* Liveness/liveness.scm 903 */
								obj_t BgL_tmpz00_5318;

								{	/* Liveness/liveness.scm 903 */
									int BgL_tmpz00_8126;

									BgL_tmpz00_8126 = (int) (((long) 1));
									BgL_tmpz00_5318 = BGL_MVALUES_VAL(BgL_tmpz00_8126);
								}
								{	/* Liveness/liveness.scm 903 */
									int BgL_tmpz00_8129;

									BgL_tmpz00_8129 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8129, BUNSPEC);
								}
								BgL_usebodyz00_5317 = BgL_tmpz00_5318;
							}
							{	/* Liveness/liveness.scm 903 */
								obj_t BgL_defonxz00_5319;

								BgL_defonxz00_5319 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)))->
										BgL_onexitz00));
								{	/* Liveness/liveness.scm 904 */
									obj_t BgL_useonxz00_5320;

									{	/* Liveness/liveness.scm 905 */
										obj_t BgL_tmpz00_5321;

										{	/* Liveness/liveness.scm 905 */
											int BgL_tmpz00_8135;

											BgL_tmpz00_8135 = (int) (((long) 1));
											BgL_tmpz00_5321 = BGL_MVALUES_VAL(BgL_tmpz00_8135);
										}
										{	/* Liveness/liveness.scm 905 */
											int BgL_tmpz00_8138;

											BgL_tmpz00_8138 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8138, BUNSPEC);
										}
										BgL_useonxz00_5320 = BgL_tmpz00_5321;
									}
									{	/* Liveness/liveness.scm 906 */
										BgL_setzd2exzd2itz00_bglt BgL_arg2687z00_5322;

										{	/* Liveness/liveness.scm 906 */
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1380z00_5323;

											BgL_wide1380z00_5323 =
												((BgL_setzd2exzd2itzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_setzd2exzd2itzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 906 */
												obj_t BgL_auxz00_8146;
												BgL_objectz00_bglt BgL_tmpz00_8142;

												BgL_auxz00_8146 = ((obj_t) BgL_wide1380z00_5323);
												BgL_tmpz00_8142 =
													((BgL_objectz00_bglt)
													((BgL_setzd2exzd2itz00_bglt)
														((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8142,
													BgL_auxz00_8146);
											}
											((BgL_objectz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
											{	/* Liveness/liveness.scm 906 */
												long BgL_arg2688z00_5324;

												BgL_arg2688z00_5324 =
													BGL_CLASS_NUM
													(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_setzd2exzd2itz00_bglt) (
																(BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864))),
													BgL_arg2688z00_5324);
											}
											((BgL_setzd2exzd2itz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
										}
										{
											obj_t BgL_auxz00_8168;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8160;

											{	/* Liveness/liveness.scm 907 */
												obj_t BgL_arg2689z00_5325;

												{	/* Liveness/liveness.scm 907 */
													obj_t BgL_list2692z00_5326;

													{	/* Liveness/liveness.scm 907 */
														obj_t BgL_arg2693z00_5327;

														BgL_arg2693z00_5327 =
															MAKE_YOUNG_PAIR(BgL_defonxz00_5319, BNIL);
														BgL_list2692z00_5326 =
															MAKE_YOUNG_PAIR(BgL_defbodyz00_5316,
															BgL_arg2693z00_5327);
													}
													BgL_arg2689z00_5325 =
														BGl_intersectionz00zzliveness_setz00
														(BgL_list2692z00_5326);
												}
												{	/* Liveness/liveness.scm 907 */
													obj_t BgL_list2690z00_5328;

													{	/* Liveness/liveness.scm 907 */
														obj_t BgL_arg2691z00_5329;

														BgL_arg2691z00_5329 =
															MAKE_YOUNG_PAIR(BgL_arg2689z00_5325, BNIL);
														BgL_list2690z00_5328 =
															MAKE_YOUNG_PAIR(BgL_defvarz00_5312,
															BgL_arg2691z00_5329);
													}
													BgL_auxz00_8168 =
														BGl_unionz00zzliveness_setz00(BgL_list2690z00_5328);
											}}
											{
												obj_t BgL_auxz00_8161;

												{	/* Liveness/liveness.scm 907 */
													BgL_objectz00_bglt BgL_tmpz00_8162;

													BgL_tmpz00_8162 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
													BgL_auxz00_8161 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8162);
												}
												BgL_auxz00_8160 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8161);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8160))->BgL_defz00) =
												((obj_t) BgL_auxz00_8168), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8184;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8176;

											{	/* Liveness/liveness.scm 908 */
												obj_t BgL_arg2694z00_5330;

												{	/* Liveness/liveness.scm 908 */
													obj_t BgL_arg2697z00_5331;

													{	/* Liveness/liveness.scm 908 */
														obj_t BgL_list2698z00_5332;

														{	/* Liveness/liveness.scm 908 */
															obj_t BgL_arg2699z00_5333;

															BgL_arg2699z00_5333 =
																MAKE_YOUNG_PAIR(BgL_useonxz00_5320, BNIL);
															BgL_list2698z00_5332 =
																MAKE_YOUNG_PAIR(BgL_usebodyz00_5317,
																BgL_arg2699z00_5333);
														}
														BgL_arg2697z00_5331 =
															BGl_unionz00zzliveness_setz00
															(BgL_list2698z00_5332);
													}
													BgL_arg2694z00_5330 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2697z00_5331, BgL_defvarz00_5312);
												}
												{	/* Liveness/liveness.scm 908 */
													obj_t BgL_list2695z00_5334;

													{	/* Liveness/liveness.scm 908 */
														obj_t BgL_arg2696z00_5335;

														BgL_arg2696z00_5335 =
															MAKE_YOUNG_PAIR(BgL_arg2694z00_5330, BNIL);
														BgL_list2695z00_5334 =
															MAKE_YOUNG_PAIR(BgL_usevarz00_5314,
															BgL_arg2696z00_5335);
													}
													BgL_auxz00_8184 =
														BGl_unionz00zzliveness_setz00(BgL_list2695z00_5334);
											}}
											{
												obj_t BgL_auxz00_8177;

												{	/* Liveness/liveness.scm 908 */
													BgL_objectz00_bglt BgL_tmpz00_8178;

													BgL_tmpz00_8178 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
													BgL_auxz00_8177 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8178);
												}
												BgL_auxz00_8176 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8177);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8176))->BgL_usez00) =
												((obj_t) BgL_auxz00_8184), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8193;

											{
												obj_t BgL_auxz00_8194;

												{	/* Liveness/liveness.scm 904 */
													BgL_objectz00_bglt BgL_tmpz00_8195;

													BgL_tmpz00_8195 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
													BgL_auxz00_8194 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8195);
												}
												BgL_auxz00_8193 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8194);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8193))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_8202;

											{
												obj_t BgL_auxz00_8203;

												{	/* Liveness/liveness.scm 904 */
													BgL_objectz00_bglt BgL_tmpz00_8204;

													BgL_tmpz00_8204 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864)));
													BgL_auxz00_8203 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8204);
												}
												BgL_auxz00_8202 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_8203);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8202))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2687z00_5322 =
											((BgL_setzd2exzd2itz00_bglt)
											((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4864));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2687z00_5322));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-let-var/livene2052 */
	obj_t BGl_z62inoutzd2letzd2varzf2livene2052z90zzliveness_livenessz00(obj_t
		BgL_envz00_4865, obj_t BgL_nz00_4866)
	{
		{	/* Liveness/liveness.scm 888 */
			{	/* Liveness/liveness.scm 890 */
				obj_t BgL_val0_1786z00_5337;
				obj_t BgL_val1_1787z00_5338;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8215;

					{
						obj_t BgL_auxz00_8216;

						{	/* Liveness/liveness.scm 890 */
							BgL_objectz00_bglt BgL_tmpz00_8217;

							BgL_tmpz00_8217 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4866));
							BgL_auxz00_8216 = BGL_OBJECT_WIDENING(BgL_tmpz00_8217);
						}
						BgL_auxz00_8215 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8216);
					}
					BgL_val0_1786z00_5337 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8215))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8223;

					{
						obj_t BgL_auxz00_8224;

						{	/* Liveness/liveness.scm 890 */
							BgL_objectz00_bglt BgL_tmpz00_8225;

							BgL_tmpz00_8225 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4866));
							BgL_auxz00_8224 = BGL_OBJECT_WIDENING(BgL_tmpz00_8225);
						}
						BgL_auxz00_8223 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8224);
					}
					BgL_val1_1787z00_5338 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8223))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 890 */
					int BgL_tmpz00_8231;

					BgL_tmpz00_8231 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8231);
				}
				{	/* Liveness/liveness.scm 890 */
					int BgL_tmpz00_8234;

					BgL_tmpz00_8234 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8234, BgL_val1_1787z00_5338);
				}
				return BgL_val0_1786z00_5337;
			}
		}

	}



/* &inout!-let-var/liven2050 */
	obj_t BGl_z62inoutz12zd2letzd2varzf2liven2050z82zzliveness_livenessz00(obj_t
		BgL_envz00_4867, obj_t BgL_nz00_4868, obj_t BgL_oz00_4869)
	{
		{	/* Liveness/liveness.scm 872 */
			{	/* Liveness/liveness.scm 874 */
				obj_t BgL_arg2634z00_5340;
				obj_t BgL_arg2635z00_5341;
				obj_t BgL_arg2636z00_5342;
				obj_t BgL_arg2638z00_5343;
				obj_t BgL_arg2640z00_5344;

				BgL_arg2634z00_5340 =
					bgl_typeof(((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868)));
				{	/* Liveness/liveness.scm 874 */
					obj_t BgL_arg2654z00_5345;

					{	/* Liveness/liveness.scm 874 */
						obj_t BgL_l1775z00_5346;

						BgL_l1775z00_5346 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4868))))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1775z00_5346))
							{	/* Liveness/liveness.scm 874 */
								BgL_arg2654z00_5345 = BNIL;
							}
						else
							{	/* Liveness/liveness.scm 874 */
								obj_t BgL_head1777z00_5347;

								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_arg2661z00_5348;

									{	/* Liveness/liveness.scm 874 */
										obj_t BgL_pairz00_5349;

										BgL_pairz00_5349 = CAR(((obj_t) BgL_l1775z00_5346));
										BgL_arg2661z00_5348 = CAR(BgL_pairz00_5349);
									}
									BgL_head1777z00_5347 =
										MAKE_YOUNG_PAIR(BgL_arg2661z00_5348, BNIL);
								}
								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_g1780z00_5350;

									BgL_g1780z00_5350 = CDR(((obj_t) BgL_l1775z00_5346));
									{
										obj_t BgL_l1775z00_5352;
										obj_t BgL_tail1778z00_5353;

										BgL_l1775z00_5352 = BgL_g1780z00_5350;
										BgL_tail1778z00_5353 = BgL_head1777z00_5347;
									BgL_zc3z04anonymousza32656ze3z87_5351:
										if (NULLP(BgL_l1775z00_5352))
											{	/* Liveness/liveness.scm 874 */
												BgL_arg2654z00_5345 = BgL_head1777z00_5347;
											}
										else
											{	/* Liveness/liveness.scm 874 */
												obj_t BgL_newtail1779z00_5354;

												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2659z00_5355;

													{	/* Liveness/liveness.scm 874 */
														obj_t BgL_pairz00_5356;

														BgL_pairz00_5356 = CAR(((obj_t) BgL_l1775z00_5352));
														BgL_arg2659z00_5355 = CAR(BgL_pairz00_5356);
													}
													BgL_newtail1779z00_5354 =
														MAKE_YOUNG_PAIR(BgL_arg2659z00_5355, BNIL);
												}
												SET_CDR(BgL_tail1778z00_5353, BgL_newtail1779z00_5354);
												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2658z00_5357;

													BgL_arg2658z00_5357 =
														CDR(((obj_t) BgL_l1775z00_5352));
													{
														obj_t BgL_tail1778z00_8261;
														obj_t BgL_l1775z00_8260;

														BgL_l1775z00_8260 = BgL_arg2658z00_5357;
														BgL_tail1778z00_8261 = BgL_newtail1779z00_5354;
														BgL_tail1778z00_5353 = BgL_tail1778z00_8261;
														BgL_l1775z00_5352 = BgL_l1775z00_8260;
														goto BgL_zc3z04anonymousza32656ze3z87_5351;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg2635z00_5341 =
						BGl_shapez00zztools_shapez00(BgL_arg2654z00_5345);
				}
				BgL_arg2636z00_5342 = BGl_shapez00zztools_shapez00(BgL_oz00_4869);
				{	/* Liveness/liveness.scm 875 */
					obj_t BgL_arg2663z00_5358;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8264;

						{
							obj_t BgL_auxz00_8265;

							{	/* Liveness/liveness.scm 875 */
								BgL_objectz00_bglt BgL_tmpz00_8266;

								BgL_tmpz00_8266 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
								BgL_auxz00_8265 = BGL_OBJECT_WIDENING(BgL_tmpz00_8266);
							}
							BgL_auxz00_8264 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8265);
						}
						BgL_arg2663z00_5358 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8264))->
							BgL_defz00);
					}
					BgL_arg2638z00_5343 =
						BGl_shapez00zztools_shapez00(BgL_arg2663z00_5358);
				}
				{	/* Liveness/liveness.scm 875 */
					obj_t BgL_arg2664z00_5359;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8273;

						{
							obj_t BgL_auxz00_8274;

							{	/* Liveness/liveness.scm 875 */
								BgL_objectz00_bglt BgL_tmpz00_8275;

								BgL_tmpz00_8275 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
								BgL_auxz00_8274 = BGL_OBJECT_WIDENING(BgL_tmpz00_8275);
							}
							BgL_auxz00_8273 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8274);
						}
						BgL_arg2664z00_5359 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8273))->
							BgL_usez00);
					}
					BgL_arg2640z00_5344 =
						BGl_shapez00zztools_shapez00(BgL_arg2664z00_5359);
				}
				{	/* Liveness/liveness.scm 874 */
					obj_t BgL_list2641z00_5360;

					{	/* Liveness/liveness.scm 874 */
						obj_t BgL_arg2642z00_5361;

						{	/* Liveness/liveness.scm 874 */
							obj_t BgL_arg2643z00_5362;

							{	/* Liveness/liveness.scm 874 */
								obj_t BgL_arg2644z00_5363;

								{	/* Liveness/liveness.scm 874 */
									obj_t BgL_arg2646z00_5364;

									{	/* Liveness/liveness.scm 874 */
										obj_t BgL_arg2647z00_5365;

										{	/* Liveness/liveness.scm 874 */
											obj_t BgL_arg2649z00_5366;

											{	/* Liveness/liveness.scm 874 */
												obj_t BgL_arg2650z00_5367;

												{	/* Liveness/liveness.scm 874 */
													obj_t BgL_arg2651z00_5368;

													{	/* Liveness/liveness.scm 874 */
														obj_t BgL_arg2653z00_5369;

														BgL_arg2653z00_5369 =
															MAKE_YOUNG_PAIR(BgL_arg2640z00_5344, BNIL);
														BgL_arg2651z00_5368 =
															MAKE_YOUNG_PAIR
															(BGl_string3109z00zzliveness_livenessz00,
															BgL_arg2653z00_5369);
													}
													BgL_arg2650z00_5367 =
														MAKE_YOUNG_PAIR(BgL_arg2638z00_5343,
														BgL_arg2651z00_5368);
												}
												BgL_arg2649z00_5366 =
													MAKE_YOUNG_PAIR
													(BGl_string3110z00zzliveness_livenessz00,
													BgL_arg2650z00_5367);
											}
											BgL_arg2647z00_5365 =
												MAKE_YOUNG_PAIR(BgL_arg2636z00_5342,
												BgL_arg2649z00_5366);
										}
										BgL_arg2646z00_5364 =
											MAKE_YOUNG_PAIR(BGl_string3111z00zzliveness_livenessz00,
											BgL_arg2647z00_5365);
									}
									BgL_arg2644z00_5363 =
										MAKE_YOUNG_PAIR(BgL_arg2635z00_5341, BgL_arg2646z00_5364);
								}
								BgL_arg2643z00_5362 =
									MAKE_YOUNG_PAIR(BGl_string3112z00zzliveness_livenessz00,
									BgL_arg2644z00_5363);
							}
							BgL_arg2642z00_5361 =
								MAKE_YOUNG_PAIR(BgL_arg2634z00_5340, BgL_arg2643z00_5362);
						}
						BgL_list2641z00_5360 =
							MAKE_YOUNG_PAIR(BGl_string3113z00zzliveness_livenessz00,
							BgL_arg2642z00_5361);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8292;

				{
					obj_t BgL_auxz00_8293;

					{	/* Liveness/liveness.scm 876 */
						BgL_objectz00_bglt BgL_tmpz00_8294;

						BgL_tmpz00_8294 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
						BgL_auxz00_8293 = BGL_OBJECT_WIDENING(BgL_tmpz00_8294);
					}
					BgL_auxz00_8292 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8293);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8292))->
						BgL_outz00) = ((obj_t) BgL_oz00_4869), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8307;
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8300;

				{	/* Liveness/liveness.scm 877 */
					obj_t BgL_arg2665z00_5370;
					obj_t BgL_arg2666z00_5371;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8308;

						{
							obj_t BgL_auxz00_8309;

							{	/* Liveness/liveness.scm 877 */
								BgL_objectz00_bglt BgL_tmpz00_8310;

								BgL_tmpz00_8310 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
								BgL_auxz00_8309 = BGL_OBJECT_WIDENING(BgL_tmpz00_8310);
							}
							BgL_auxz00_8308 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8309);
						}
						BgL_arg2665z00_5370 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8308))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 877 */
						obj_t BgL_arg2669z00_5372;
						obj_t BgL_arg2671z00_5373;

						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8316;

							{
								obj_t BgL_auxz00_8317;

								{	/* Liveness/liveness.scm 877 */
									BgL_objectz00_bglt BgL_tmpz00_8318;

									BgL_tmpz00_8318 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
									BgL_auxz00_8317 = BGL_OBJECT_WIDENING(BgL_tmpz00_8318);
								}
								BgL_auxz00_8316 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8317);
							}
							BgL_arg2669z00_5372 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8316))->
								BgL_outz00);
						}
						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8324;

							{
								obj_t BgL_auxz00_8325;

								{	/* Liveness/liveness.scm 877 */
									BgL_objectz00_bglt BgL_tmpz00_8326;

									BgL_tmpz00_8326 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
									BgL_auxz00_8325 = BGL_OBJECT_WIDENING(BgL_tmpz00_8326);
								}
								BgL_auxz00_8324 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8325);
							}
							BgL_arg2671z00_5373 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8324))->
								BgL_defz00);
						}
						BgL_arg2666z00_5371 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2669z00_5372,
							BgL_arg2671z00_5373);
					}
					{	/* Liveness/liveness.scm 877 */
						obj_t BgL_list2667z00_5374;

						{	/* Liveness/liveness.scm 877 */
							obj_t BgL_arg2668z00_5375;

							BgL_arg2668z00_5375 = MAKE_YOUNG_PAIR(BgL_arg2666z00_5371, BNIL);
							BgL_list2667z00_5374 =
								MAKE_YOUNG_PAIR(BgL_arg2665z00_5370, BgL_arg2668z00_5375);
						}
						BgL_auxz00_8307 =
							BGl_unionz00zzliveness_setz00(BgL_list2667z00_5374);
					}
				}
				{
					obj_t BgL_auxz00_8301;

					{	/* Liveness/liveness.scm 877 */
						BgL_objectz00_bglt BgL_tmpz00_8302;

						BgL_tmpz00_8302 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
						BgL_auxz00_8301 = BGL_OBJECT_WIDENING(BgL_tmpz00_8302);
					}
					BgL_auxz00_8300 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8301);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8300))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8307), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 878 */
				obj_t BgL_arg2672z00_5376;
				obj_t BgL_arg2673z00_5377;

				BgL_arg2672z00_5376 =
					bgl_typeof(((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868)));
				{	/* Liveness/liveness.scm 878 */
					obj_t BgL_arg2678z00_5378;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8340;

						{
							obj_t BgL_auxz00_8341;

							{	/* Liveness/liveness.scm 878 */
								BgL_objectz00_bglt BgL_tmpz00_8342;

								BgL_tmpz00_8342 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
								BgL_auxz00_8341 = BGL_OBJECT_WIDENING(BgL_tmpz00_8342);
							}
							BgL_auxz00_8340 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8341);
						}
						BgL_arg2678z00_5378 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8340))->
							BgL_inz00);
					}
					BgL_arg2673z00_5377 =
						BGl_shapez00zztools_shapez00(BgL_arg2678z00_5378);
				}
				{	/* Liveness/liveness.scm 878 */
					obj_t BgL_list2674z00_5379;

					{	/* Liveness/liveness.scm 878 */
						obj_t BgL_arg2675z00_5380;

						{	/* Liveness/liveness.scm 878 */
							obj_t BgL_arg2676z00_5381;

							{	/* Liveness/liveness.scm 878 */
								obj_t BgL_arg2677z00_5382;

								BgL_arg2677z00_5382 =
									MAKE_YOUNG_PAIR(BgL_arg2673z00_5377, BNIL);
								BgL_arg2676z00_5381 =
									MAKE_YOUNG_PAIR(BGl_string3114z00zzliveness_livenessz00,
									BgL_arg2677z00_5382);
							}
							BgL_arg2675z00_5380 =
								MAKE_YOUNG_PAIR(BgL_arg2672z00_5376, BgL_arg2676z00_5381);
						}
						BgL_list2674z00_5379 =
							MAKE_YOUNG_PAIR(BGl_string3115z00zzliveness_livenessz00,
							BgL_arg2675z00_5380);
					}
					((bool_t) 0);
				}
			}
			{	/* Liveness/liveness.scm 879 */
				obj_t BgL_defz00_5383;

				{	/* Liveness/liveness.scm 880 */
					BgL_nodez00_bglt BgL_arg2685z00_5384;

					BgL_arg2685z00_5384 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4868))))->BgL_bodyz00);
					BgL_defz00_5383 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2685z00_5384);
				}
				{	/* Liveness/liveness.scm 880 */
					obj_t BgL_usez00_5385;

					{	/* Liveness/liveness.scm 881 */
						obj_t BgL_tmpz00_5386;

						{	/* Liveness/liveness.scm 881 */
							int BgL_tmpz00_8357;

							BgL_tmpz00_8357 = (int) (((long) 1));
							BgL_tmpz00_5386 = BGL_MVALUES_VAL(BgL_tmpz00_8357);
						}
						{	/* Liveness/liveness.scm 881 */
							int BgL_tmpz00_8360;

							BgL_tmpz00_8360 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8360, BUNSPEC);
						}
						BgL_usez00_5385 = BgL_tmpz00_5386;
					}
					{	/* Liveness/liveness.scm 881 */
						obj_t BgL_inz00_5387;

						{	/* Liveness/liveness.scm 882 */
							BgL_nodez00_bglt BgL_arg2683z00_5388;
							obj_t BgL_arg2684z00_5389;

							BgL_arg2683z00_5388 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4868))))->BgL_bodyz00);
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8366;

								{
									obj_t BgL_auxz00_8367;

									{	/* Liveness/liveness.scm 882 */
										BgL_objectz00_bglt BgL_tmpz00_8368;

										BgL_tmpz00_8368 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
										BgL_auxz00_8367 = BGL_OBJECT_WIDENING(BgL_tmpz00_8368);
									}
									BgL_auxz00_8366 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8367);
								}
								BgL_arg2684z00_5389 =
									(((BgL_letzd2varzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_8366))->BgL_outz00);
							}
							BgL_inz00_5387 =
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2683z00_5388,
								BgL_arg2684z00_5389);
						}
						{	/* Liveness/liveness.scm 882 */
							obj_t BgL_outz00_5390;

							{	/* Liveness/liveness.scm 883 */
								obj_t BgL_tmpz00_5391;

								{	/* Liveness/liveness.scm 883 */
									int BgL_tmpz00_8375;

									BgL_tmpz00_8375 = (int) (((long) 1));
									BgL_tmpz00_5391 = BGL_MVALUES_VAL(BgL_tmpz00_8375);
								}
								{	/* Liveness/liveness.scm 883 */
									int BgL_tmpz00_8378;

									BgL_tmpz00_8378 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8378, BUNSPEC);
								}
								BgL_outz00_5390 = BgL_tmpz00_5391;
							}
							{	/* Liveness/liveness.scm 883 */
								obj_t BgL_g1783z00_5392;

								BgL_g1783z00_5392 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4868))))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1781z00_5394;

									BgL_l1781z00_5394 = BgL_g1783z00_5392;
								BgL_zc3z04anonymousza32679ze3z87_5393:
									if (PAIRP(BgL_l1781z00_5394))
										{	/* Liveness/liveness.scm 883 */
											{	/* Liveness/liveness.scm 884 */
												obj_t BgL_bz00_5395;

												BgL_bz00_5395 = CAR(BgL_l1781z00_5394);
												{	/* Liveness/liveness.scm 884 */
													obj_t BgL_arg2681z00_5396;

													BgL_arg2681z00_5396 = CDR(((obj_t) BgL_bz00_5395));
													BGl_inoutz12z12zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2681z00_5396),
														BgL_inz00_5387);
												}
											}
											{
												obj_t BgL_l1781z00_8391;

												BgL_l1781z00_8391 = CDR(BgL_l1781z00_5394);
												BgL_l1781z00_5394 = BgL_l1781z00_8391;
												goto BgL_zc3z04anonymousza32679ze3z87_5393;
											}
										}
									else
										{	/* Liveness/liveness.scm 883 */
											((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
			{	/* Liveness/liveness.scm 886 */
				obj_t BgL_val0_1784z00_5397;
				obj_t BgL_val1_1785z00_5398;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8393;

					{
						obj_t BgL_auxz00_8394;

						{	/* Liveness/liveness.scm 886 */
							BgL_objectz00_bglt BgL_tmpz00_8395;

							BgL_tmpz00_8395 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
							BgL_auxz00_8394 = BGL_OBJECT_WIDENING(BgL_tmpz00_8395);
						}
						BgL_auxz00_8393 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8394);
					}
					BgL_val0_1784z00_5397 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8393))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8401;

					{
						obj_t BgL_auxz00_8402;

						{	/* Liveness/liveness.scm 886 */
							BgL_objectz00_bglt BgL_tmpz00_8403;

							BgL_tmpz00_8403 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4868));
							BgL_auxz00_8402 = BGL_OBJECT_WIDENING(BgL_tmpz00_8403);
						}
						BgL_auxz00_8401 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8402);
					}
					BgL_val1_1785z00_5398 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8401))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 886 */
					int BgL_tmpz00_8409;

					BgL_tmpz00_8409 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8409);
				}
				{	/* Liveness/liveness.scm 886 */
					int BgL_tmpz00_8412;

					BgL_tmpz00_8412 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8412, BgL_val1_1785z00_5398);
				}
				return BgL_val0_1784z00_5397;
			}
		}

	}



/* &defuse-let-var/liven2048 */
	obj_t BGl_z62defusezd2letzd2varzf2liven2048z90zzliveness_livenessz00(obj_t
		BgL_envz00_4870, obj_t BgL_nz00_4871)
	{
		{	/* Liveness/liveness.scm 868 */
			{	/* Liveness/liveness.scm 870 */
				obj_t BgL_val0_1773z00_5400;
				obj_t BgL_val1_1774z00_5401;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8415;

					{
						obj_t BgL_auxz00_8416;

						{	/* Liveness/liveness.scm 870 */
							BgL_objectz00_bglt BgL_tmpz00_8417;

							BgL_tmpz00_8417 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
							BgL_auxz00_8416 = BGL_OBJECT_WIDENING(BgL_tmpz00_8417);
						}
						BgL_auxz00_8415 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8416);
					}
					BgL_val0_1773z00_5400 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8415))->
						BgL_defz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8423;

					{
						obj_t BgL_auxz00_8424;

						{	/* Liveness/liveness.scm 870 */
							BgL_objectz00_bglt BgL_tmpz00_8425;

							BgL_tmpz00_8425 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4871));
							BgL_auxz00_8424 = BGL_OBJECT_WIDENING(BgL_tmpz00_8425);
						}
						BgL_auxz00_8423 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8424);
					}
					BgL_val1_1774z00_5401 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_8423))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 870 */
					int BgL_tmpz00_8431;

					BgL_tmpz00_8431 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8431);
				}
				{	/* Liveness/liveness.scm 870 */
					int BgL_tmpz00_8434;

					BgL_tmpz00_8434 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8434, BgL_val1_1774z00_5401);
				}
				return BgL_val0_1773z00_5400;
			}
		}

	}



/* &defuse-let-var2046 */
	obj_t BGl_z62defusezd2letzd2var2046z62zzliveness_livenessz00(obj_t
		BgL_envz00_4872, obj_t BgL_nz00_4873)
	{
		{	/* Liveness/liveness.scm 846 */
			{	/* Liveness/liveness.scm 850 */
				obj_t BgL_defbindingsz00_5403;
				obj_t BgL_usebindingsz00_5404;

				BgL_defbindingsz00_5403 = BNIL;
				BgL_usebindingsz00_5404 = BNIL;
				{	/* Liveness/liveness.scm 852 */
					obj_t BgL_g1769z00_5405;

					BgL_g1769z00_5405 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4873)))->BgL_bindingsz00);
					{
						obj_t BgL_l1767z00_5407;

						BgL_l1767z00_5407 = BgL_g1769z00_5405;
					BgL_zc3z04anonymousza32612ze3z87_5406:
						if (PAIRP(BgL_l1767z00_5407))
							{	/* Liveness/liveness.scm 852 */
								{	/* Liveness/liveness.scm 853 */
									obj_t BgL_bz00_5408;

									BgL_bz00_5408 = CAR(BgL_l1767z00_5407);
									{	/* Liveness/liveness.scm 853 */
										BgL_localz00_bglt BgL_tmp1361z00_5409;

										BgL_tmp1361z00_5409 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_5408)));
										{	/* Liveness/liveness.scm 853 */
											BgL_localzf2livenesszf2_bglt BgL_wide1363z00_5410;

											BgL_wide1363z00_5410 =
												((BgL_localzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 853 */
												obj_t BgL_auxz00_8449;
												BgL_objectz00_bglt BgL_tmpz00_8446;

												BgL_auxz00_8449 = ((obj_t) BgL_wide1363z00_5410);
												BgL_tmpz00_8446 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1361z00_5409));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8446,
													BgL_auxz00_8449);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1361z00_5409));
											{	/* Liveness/liveness.scm 853 */
												long BgL_arg2615z00_5411;

												BgL_arg2615z00_5411 =
													BGL_CLASS_NUM
													(BGl_localzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1361z00_5409)),
													BgL_arg2615z00_5411);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1361z00_5409));
										}
										{
											BgL_localzf2livenesszf2_bglt BgL_auxz00_8460;

											{
												obj_t BgL_auxz00_8461;

												{	/* Liveness/liveness.scm 853 */
													BgL_objectz00_bglt BgL_tmpz00_8462;

													BgL_tmpz00_8462 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1361z00_5409));
													BgL_auxz00_8461 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8462);
												}
												BgL_auxz00_8460 =
													((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8461);
											}
											((((BgL_localzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8460))->BgL_z52countz52) =
												((int) (int) (((long) 0))), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1361z00_5409);
								}}
								{
									obj_t BgL_l1767z00_8470;

									BgL_l1767z00_8470 = CDR(BgL_l1767z00_5407);
									BgL_l1767z00_5407 = BgL_l1767z00_8470;
									goto BgL_zc3z04anonymousza32612ze3z87_5406;
								}
							}
						else
							{	/* Liveness/liveness.scm 852 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 855 */
					obj_t BgL_g1772z00_5412;

					BgL_g1772z00_5412 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4873)))->BgL_bindingsz00);
					{
						obj_t BgL_l1770z00_5414;

						BgL_l1770z00_5414 = BgL_g1772z00_5412;
					BgL_zc3z04anonymousza32617ze3z87_5413:
						if (PAIRP(BgL_l1770z00_5414))
							{	/* Liveness/liveness.scm 855 */
								{	/* Liveness/liveness.scm 856 */
									obj_t BgL_bz00_5415;

									BgL_bz00_5415 = CAR(BgL_l1770z00_5414);
									{	/* Liveness/liveness.scm 856 */
										obj_t BgL_defz00_5416;

										{	/* Liveness/liveness.scm 857 */
											obj_t BgL_arg2624z00_5417;

											BgL_arg2624z00_5417 = CDR(((obj_t) BgL_bz00_5415));
											BgL_defz00_5416 =
												BGl_defusez00zzliveness_livenessz00(
												((BgL_nodez00_bglt) BgL_arg2624z00_5417));
										}
										{	/* Liveness/liveness.scm 857 */
											obj_t BgL_usez00_5418;

											{	/* Liveness/liveness.scm 858 */
												obj_t BgL_tmpz00_5419;

												{	/* Liveness/liveness.scm 858 */
													int BgL_tmpz00_8481;

													BgL_tmpz00_8481 = (int) (((long) 1));
													BgL_tmpz00_5419 = BGL_MVALUES_VAL(BgL_tmpz00_8481);
												}
												{	/* Liveness/liveness.scm 858 */
													int BgL_tmpz00_8484;

													BgL_tmpz00_8484 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_8484, BUNSPEC);
												}
												BgL_usez00_5418 = BgL_tmpz00_5419;
											}
											{	/* Liveness/liveness.scm 858 */
												obj_t BgL_list2619z00_5420;

												{	/* Liveness/liveness.scm 858 */
													obj_t BgL_arg2620z00_5421;

													BgL_arg2620z00_5421 =
														MAKE_YOUNG_PAIR(BgL_defbindingsz00_5403, BNIL);
													BgL_list2619z00_5420 =
														MAKE_YOUNG_PAIR(BgL_defz00_5416,
														BgL_arg2620z00_5421);
												}
												BgL_defbindingsz00_5403 =
													BGl_unionz00zzliveness_setz00(BgL_list2619z00_5420);
											}
											{	/* Liveness/liveness.scm 859 */
												obj_t BgL_list2621z00_5422;

												{	/* Liveness/liveness.scm 859 */
													obj_t BgL_arg2622z00_5423;

													BgL_arg2622z00_5423 =
														MAKE_YOUNG_PAIR(BgL_usebindingsz00_5404, BNIL);
													BgL_list2621z00_5422 =
														MAKE_YOUNG_PAIR(BgL_usez00_5418,
														BgL_arg2622z00_5423);
												}
												BgL_usebindingsz00_5404 =
													BGl_unionz00zzliveness_setz00(BgL_list2621z00_5422);
								}}}}
								{
									obj_t BgL_l1770z00_8493;

									BgL_l1770z00_8493 = CDR(BgL_l1770z00_5414);
									BgL_l1770z00_5414 = BgL_l1770z00_8493;
									goto BgL_zc3z04anonymousza32617ze3z87_5413;
								}
							}
						else
							{	/* Liveness/liveness.scm 855 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 861 */
					obj_t BgL_defbodyz00_5424;

					BgL_defbodyz00_5424 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_4873)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 862 */
						obj_t BgL_usebodyz00_5425;

						{	/* Liveness/liveness.scm 863 */
							obj_t BgL_tmpz00_5426;

							{	/* Liveness/liveness.scm 863 */
								int BgL_tmpz00_8498;

								BgL_tmpz00_8498 = (int) (((long) 1));
								BgL_tmpz00_5426 = BGL_MVALUES_VAL(BgL_tmpz00_8498);
							}
							{	/* Liveness/liveness.scm 863 */
								int BgL_tmpz00_8501;

								BgL_tmpz00_8501 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_8501, BUNSPEC);
							}
							BgL_usebodyz00_5425 = BgL_tmpz00_5426;
						}
						{	/* Liveness/liveness.scm 864 */
							BgL_letzd2varzd2_bglt BgL_arg2626z00_5427;

							{	/* Liveness/liveness.scm 864 */
								BgL_letzd2varzf2livenessz20_bglt BgL_wide1367z00_5428;

								BgL_wide1367z00_5428 =
									((BgL_letzd2varzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 864 */
									obj_t BgL_auxz00_8509;
									BgL_objectz00_bglt BgL_tmpz00_8505;

									BgL_auxz00_8509 = ((obj_t) BgL_wide1367z00_5428);
									BgL_tmpz00_8505 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8505, BgL_auxz00_8509);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
								{	/* Liveness/liveness.scm 864 */
									long BgL_arg2627z00_5429;

									BgL_arg2627z00_5429 =
										BGL_CLASS_NUM
										(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nz00_4873))), BgL_arg2627z00_5429);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
							}
							{
								obj_t BgL_auxz00_8531;
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8523;

								{	/* Liveness/liveness.scm 865 */
									obj_t BgL_list2628z00_5430;

									{	/* Liveness/liveness.scm 865 */
										obj_t BgL_arg2629z00_5431;

										BgL_arg2629z00_5431 =
											MAKE_YOUNG_PAIR(BgL_defbodyz00_5424, BNIL);
										BgL_list2628z00_5430 =
											MAKE_YOUNG_PAIR(BgL_defbindingsz00_5403,
											BgL_arg2629z00_5431);
									}
									BgL_auxz00_8531 =
										BGl_unionz00zzliveness_setz00(BgL_list2628z00_5430);
								}
								{
									obj_t BgL_auxz00_8524;

									{	/* Liveness/liveness.scm 865 */
										BgL_objectz00_bglt BgL_tmpz00_8525;

										BgL_tmpz00_8525 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
										BgL_auxz00_8524 = BGL_OBJECT_WIDENING(BgL_tmpz00_8525);
									}
									BgL_auxz00_8523 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8524);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8523))->BgL_defz00) =
									((obj_t) BgL_auxz00_8531), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8544;
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8536;

								{	/* Liveness/liveness.scm 866 */
									obj_t BgL_arg2630z00_5432;

									BgL_arg2630z00_5432 =
										BGl_disjonctionz00zzliveness_setz00(BgL_usebodyz00_5425,
										BgL_defbindingsz00_5403);
									{	/* Liveness/liveness.scm 866 */
										obj_t BgL_list2631z00_5433;

										{	/* Liveness/liveness.scm 866 */
											obj_t BgL_arg2632z00_5434;

											BgL_arg2632z00_5434 =
												MAKE_YOUNG_PAIR(BgL_arg2630z00_5432, BNIL);
											BgL_list2631z00_5433 =
												MAKE_YOUNG_PAIR(BgL_usebindingsz00_5404,
												BgL_arg2632z00_5434);
										}
										BgL_auxz00_8544 =
											BGl_unionz00zzliveness_setz00(BgL_list2631z00_5433);
								}}
								{
									obj_t BgL_auxz00_8537;

									{	/* Liveness/liveness.scm 866 */
										BgL_objectz00_bglt BgL_tmpz00_8538;

										BgL_tmpz00_8538 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
										BgL_auxz00_8537 = BGL_OBJECT_WIDENING(BgL_tmpz00_8538);
									}
									BgL_auxz00_8536 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8537);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8536))->BgL_usez00) =
									((obj_t) BgL_auxz00_8544), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8550;

								{
									obj_t BgL_auxz00_8551;

									{	/* Liveness/liveness.scm 862 */
										BgL_objectz00_bglt BgL_tmpz00_8552;

										BgL_tmpz00_8552 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
										BgL_auxz00_8551 = BGL_OBJECT_WIDENING(BgL_tmpz00_8552);
									}
									BgL_auxz00_8550 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8551);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8550))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8559;

								{
									obj_t BgL_auxz00_8560;

									{	/* Liveness/liveness.scm 862 */
										BgL_objectz00_bglt BgL_tmpz00_8561;

										BgL_tmpz00_8561 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4873)));
										BgL_auxz00_8560 = BGL_OBJECT_WIDENING(BgL_tmpz00_8561);
									}
									BgL_auxz00_8559 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8560);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8559))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2626z00_5427 =
								((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nz00_4873));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2626z00_5427));
						}
					}
				}
			}
		}

	}



/* &inout-let-fun/livene2044 */
	obj_t BGl_z62inoutzd2letzd2funzf2livene2044z90zzliveness_livenessz00(obj_t
		BgL_envz00_4874, obj_t BgL_nz00_4875)
	{
		{	/* Liveness/liveness.scm 839 */
			{	/* Liveness/liveness.scm 841 */
				obj_t BgL_val0_1765z00_5436;
				obj_t BgL_val1_1766z00_5437;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8572;

					{
						obj_t BgL_auxz00_8573;

						{	/* Liveness/liveness.scm 841 */
							BgL_objectz00_bglt BgL_tmpz00_8574;

							BgL_tmpz00_8574 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4875));
							BgL_auxz00_8573 = BGL_OBJECT_WIDENING(BgL_tmpz00_8574);
						}
						BgL_auxz00_8572 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8573);
					}
					BgL_val0_1765z00_5436 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8572))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8580;

					{
						obj_t BgL_auxz00_8581;

						{	/* Liveness/liveness.scm 841 */
							BgL_objectz00_bglt BgL_tmpz00_8582;

							BgL_tmpz00_8582 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4875));
							BgL_auxz00_8581 = BGL_OBJECT_WIDENING(BgL_tmpz00_8582);
						}
						BgL_auxz00_8580 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8581);
					}
					BgL_val1_1766z00_5437 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8580))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 841 */
					int BgL_tmpz00_8588;

					BgL_tmpz00_8588 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8588);
				}
				{	/* Liveness/liveness.scm 841 */
					int BgL_tmpz00_8591;

					BgL_tmpz00_8591 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8591, BgL_val1_1766z00_5437);
				}
				return BgL_val0_1765z00_5436;
			}
		}

	}



/* &inout!-let-fun/liven2042 */
	obj_t BGl_z62inoutz12zd2letzd2funzf2liven2042z82zzliveness_livenessz00(obj_t
		BgL_envz00_4876, obj_t BgL_nz00_4877, obj_t BgL_oz00_4878)
	{
		{	/* Liveness/liveness.scm 826 */
			{	/* Liveness/liveness.scm 828 */
				obj_t BgL_arg2587z00_5439;
				obj_t BgL_arg2589z00_5440;
				obj_t BgL_arg2590z00_5441;

				BgL_arg2587z00_5439 =
					bgl_typeof(((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nz00_4877)));
				{	/* Liveness/liveness.scm 828 */
					obj_t BgL_arg2599z00_5442;

					BgL_arg2599z00_5442 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nz00_4877))))->BgL_localsz00);
					BgL_arg2589z00_5440 =
						BGl_shapez00zztools_shapez00(BgL_arg2599z00_5442);
				}
				BgL_arg2590z00_5441 = BGl_shapez00zztools_shapez00(BgL_oz00_4878);
				{	/* Liveness/liveness.scm 828 */
					obj_t BgL_list2591z00_5443;

					{	/* Liveness/liveness.scm 828 */
						obj_t BgL_arg2592z00_5444;

						{	/* Liveness/liveness.scm 828 */
							obj_t BgL_arg2593z00_5445;

							{	/* Liveness/liveness.scm 828 */
								obj_t BgL_arg2594z00_5446;

								{	/* Liveness/liveness.scm 828 */
									obj_t BgL_arg2596z00_5447;

									{	/* Liveness/liveness.scm 828 */
										obj_t BgL_arg2597z00_5448;

										BgL_arg2597z00_5448 =
											MAKE_YOUNG_PAIR(BgL_arg2590z00_5441, BNIL);
										BgL_arg2596z00_5447 =
											MAKE_YOUNG_PAIR(BGl_string3111z00zzliveness_livenessz00,
											BgL_arg2597z00_5448);
									}
									BgL_arg2594z00_5446 =
										MAKE_YOUNG_PAIR(BgL_arg2589z00_5440, BgL_arg2596z00_5447);
								}
								BgL_arg2593z00_5445 =
									MAKE_YOUNG_PAIR(BGl_string3112z00zzliveness_livenessz00,
									BgL_arg2594z00_5446);
							}
							BgL_arg2592z00_5444 =
								MAKE_YOUNG_PAIR(BgL_arg2587z00_5439, BgL_arg2593z00_5445);
						}
						BgL_list2591z00_5443 =
							MAKE_YOUNG_PAIR(BGl_string3113z00zzliveness_livenessz00,
							BgL_arg2592z00_5444);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8608;

				{
					obj_t BgL_auxz00_8609;

					{	/* Liveness/liveness.scm 829 */
						BgL_objectz00_bglt BgL_tmpz00_8610;

						BgL_tmpz00_8610 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
						BgL_auxz00_8609 = BGL_OBJECT_WIDENING(BgL_tmpz00_8610);
					}
					BgL_auxz00_8608 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8609);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8608))->
						BgL_outz00) = ((obj_t) BgL_oz00_4878), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8623;
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8616;

				{	/* Liveness/liveness.scm 830 */
					obj_t BgL_arg2600z00_5449;
					obj_t BgL_arg2601z00_5450;

					{
						BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8624;

						{
							obj_t BgL_auxz00_8625;

							{	/* Liveness/liveness.scm 830 */
								BgL_objectz00_bglt BgL_tmpz00_8626;

								BgL_tmpz00_8626 =
									((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
								BgL_auxz00_8625 = BGL_OBJECT_WIDENING(BgL_tmpz00_8626);
							}
							BgL_auxz00_8624 =
								((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8625);
						}
						BgL_arg2600z00_5449 =
							(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8624))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 830 */
						obj_t BgL_arg2604z00_5451;
						obj_t BgL_arg2606z00_5452;

						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8632;

							{
								obj_t BgL_auxz00_8633;

								{	/* Liveness/liveness.scm 830 */
									BgL_objectz00_bglt BgL_tmpz00_8634;

									BgL_tmpz00_8634 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
									BgL_auxz00_8633 = BGL_OBJECT_WIDENING(BgL_tmpz00_8634);
								}
								BgL_auxz00_8632 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8633);
							}
							BgL_arg2604z00_5451 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8632))->
								BgL_outz00);
						}
						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8640;

							{
								obj_t BgL_auxz00_8641;

								{	/* Liveness/liveness.scm 830 */
									BgL_objectz00_bglt BgL_tmpz00_8642;

									BgL_tmpz00_8642 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
									BgL_auxz00_8641 = BGL_OBJECT_WIDENING(BgL_tmpz00_8642);
								}
								BgL_auxz00_8640 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8641);
							}
							BgL_arg2606z00_5452 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8640))->
								BgL_defz00);
						}
						BgL_arg2601z00_5450 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2604z00_5451,
							BgL_arg2606z00_5452);
					}
					{	/* Liveness/liveness.scm 830 */
						obj_t BgL_list2602z00_5453;

						{	/* Liveness/liveness.scm 830 */
							obj_t BgL_arg2603z00_5454;

							BgL_arg2603z00_5454 = MAKE_YOUNG_PAIR(BgL_arg2601z00_5450, BNIL);
							BgL_list2602z00_5453 =
								MAKE_YOUNG_PAIR(BgL_arg2600z00_5449, BgL_arg2603z00_5454);
						}
						BgL_auxz00_8623 =
							BGl_unionz00zzliveness_setz00(BgL_list2602z00_5453);
					}
				}
				{
					obj_t BgL_auxz00_8617;

					{	/* Liveness/liveness.scm 830 */
						BgL_objectz00_bglt BgL_tmpz00_8618;

						BgL_tmpz00_8618 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
						BgL_auxz00_8617 = BGL_OBJECT_WIDENING(BgL_tmpz00_8618);
					}
					BgL_auxz00_8616 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8617);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8616))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8623), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 831 */
				obj_t BgL_g1762z00_5455;

				BgL_g1762z00_5455 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4877))))->BgL_localsz00);
				{
					obj_t BgL_l1760z00_5457;

					BgL_l1760z00_5457 = BgL_g1762z00_5455;
				BgL_zc3z04anonymousza32607ze3z87_5456:
					if (PAIRP(BgL_l1760z00_5457))
						{	/* Liveness/liveness.scm 831 */
							{	/* Liveness/liveness.scm 832 */
								obj_t BgL_funz00_5458;

								BgL_funz00_5458 = CAR(BgL_l1760z00_5457);
								{	/* Liveness/liveness.scm 833 */
									BgL_sfunz00_bglt BgL_i1358z00_5459;

									BgL_i1358z00_5459 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5458))))->
											BgL_valuez00));
									{	/* Liveness/liveness.scm 834 */
										obj_t BgL_arg2609z00_5460;

										BgL_arg2609z00_5460 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1358z00_5459))->
											BgL_bodyz00);
										BGl_inoutz12z12zzliveness_livenessz00(((BgL_nodez00_bglt)
												BgL_arg2609z00_5460), BgL_oz00_4878);
									}
								}
							}
							{
								obj_t BgL_l1760z00_8666;

								BgL_l1760z00_8666 = CDR(BgL_l1760z00_5457);
								BgL_l1760z00_5457 = BgL_l1760z00_8666;
								goto BgL_zc3z04anonymousza32607ze3z87_5456;
							}
						}
					else
						{	/* Liveness/liveness.scm 831 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 836 */
				BgL_nodez00_bglt BgL_arg2611z00_5461;

				BgL_arg2611z00_5461 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4877))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2611z00_5461,
					BgL_oz00_4878);
			}
			{	/* Liveness/liveness.scm 837 */
				obj_t BgL_val0_1763z00_5462;
				obj_t BgL_val1_1764z00_5463;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8672;

					{
						obj_t BgL_auxz00_8673;

						{	/* Liveness/liveness.scm 837 */
							BgL_objectz00_bglt BgL_tmpz00_8674;

							BgL_tmpz00_8674 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
							BgL_auxz00_8673 = BGL_OBJECT_WIDENING(BgL_tmpz00_8674);
						}
						BgL_auxz00_8672 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8673);
					}
					BgL_val0_1763z00_5462 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8672))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8680;

					{
						obj_t BgL_auxz00_8681;

						{	/* Liveness/liveness.scm 837 */
							BgL_objectz00_bglt BgL_tmpz00_8682;

							BgL_tmpz00_8682 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4877));
							BgL_auxz00_8681 = BGL_OBJECT_WIDENING(BgL_tmpz00_8682);
						}
						BgL_auxz00_8680 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8681);
					}
					BgL_val1_1764z00_5463 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8680))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 837 */
					int BgL_tmpz00_8688;

					BgL_tmpz00_8688 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8688);
				}
				{	/* Liveness/liveness.scm 837 */
					int BgL_tmpz00_8691;

					BgL_tmpz00_8691 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8691, BgL_val1_1764z00_5463);
				}
				return BgL_val0_1763z00_5462;
			}
		}

	}



/* &defuse-let-fun/liven2040 */
	obj_t BGl_z62defusezd2letzd2funzf2liven2040z90zzliveness_livenessz00(obj_t
		BgL_envz00_4879, obj_t BgL_nz00_4880)
	{
		{	/* Liveness/liveness.scm 822 */
			{	/* Liveness/liveness.scm 824 */
				obj_t BgL_val0_1758z00_5465;
				obj_t BgL_val1_1759z00_5466;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8694;

					{
						obj_t BgL_auxz00_8695;

						{	/* Liveness/liveness.scm 824 */
							BgL_objectz00_bglt BgL_tmpz00_8696;

							BgL_tmpz00_8696 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
							BgL_auxz00_8695 = BGL_OBJECT_WIDENING(BgL_tmpz00_8696);
						}
						BgL_auxz00_8694 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8695);
					}
					BgL_val0_1758z00_5465 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8694))->
						BgL_defz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8702;

					{
						obj_t BgL_auxz00_8703;

						{	/* Liveness/liveness.scm 824 */
							BgL_objectz00_bglt BgL_tmpz00_8704;

							BgL_tmpz00_8704 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4880));
							BgL_auxz00_8703 = BGL_OBJECT_WIDENING(BgL_tmpz00_8704);
						}
						BgL_auxz00_8702 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8703);
					}
					BgL_val1_1759z00_5466 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8702))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 824 */
					int BgL_tmpz00_8710;

					BgL_tmpz00_8710 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8710);
				}
				{	/* Liveness/liveness.scm 824 */
					int BgL_tmpz00_8713;

					BgL_tmpz00_8713 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8713, BgL_val1_1759z00_5466);
				}
				return BgL_val0_1758z00_5465;
			}
		}

	}



/* &defuse-let-fun2038 */
	obj_t BGl_z62defusezd2letzd2fun2038z62zzliveness_livenessz00(obj_t
		BgL_envz00_4881, obj_t BgL_nz00_4882)
	{
		{	/* Liveness/liveness.scm 799 */
			{	/* Liveness/liveness.scm 803 */
				obj_t BgL_defbindingsz00_5468;
				obj_t BgL_usebindingsz00_5469;

				BgL_defbindingsz00_5468 = BNIL;
				BgL_usebindingsz00_5469 = BNIL;
				{	/* Liveness/liveness.scm 805 */
					obj_t BgL_g1754z00_5470;

					BgL_g1754z00_5470 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4882)))->BgL_localsz00);
					{
						obj_t BgL_l1752z00_5472;

						BgL_l1752z00_5472 = BgL_g1754z00_5470;
					BgL_zc3z04anonymousza32563ze3z87_5471:
						if (PAIRP(BgL_l1752z00_5472))
							{	/* Liveness/liveness.scm 805 */
								{	/* Liveness/liveness.scm 806 */
									obj_t BgL_funz00_5473;

									BgL_funz00_5473 = CAR(BgL_l1752z00_5472);
									{	/* Liveness/liveness.scm 806 */
										BgL_localzf2livenesszf2_bglt BgL_wide1348z00_5474;

										BgL_wide1348z00_5474 =
											((BgL_localzf2livenesszf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2livenesszf2_bgl))));
										{	/* Liveness/liveness.scm 806 */
											obj_t BgL_auxz00_8726;
											BgL_objectz00_bglt BgL_tmpz00_8722;

											BgL_auxz00_8726 = ((obj_t) BgL_wide1348z00_5474);
											BgL_tmpz00_8722 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_5473)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8722, BgL_auxz00_8726);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5473)));
										{	/* Liveness/liveness.scm 806 */
											long BgL_arg2566z00_5475;

											BgL_arg2566z00_5475 =
												BGL_CLASS_NUM
												(BGl_localzf2livenesszf2zzliveness_typesz00);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_localz00_bglt) ((BgL_localz00_bglt)
															BgL_funz00_5473))), BgL_arg2566z00_5475);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5473)));
									}
									{
										BgL_localzf2livenesszf2_bglt BgL_auxz00_8740;

										{
											obj_t BgL_auxz00_8741;

											{	/* Liveness/liveness.scm 806 */
												BgL_objectz00_bglt BgL_tmpz00_8742;

												BgL_tmpz00_8742 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5473)));
												BgL_auxz00_8741 = BGL_OBJECT_WIDENING(BgL_tmpz00_8742);
											}
											BgL_auxz00_8740 =
												((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8741);
										}
										((((BgL_localzf2livenesszf2_bglt)
													COBJECT(BgL_auxz00_8740))->BgL_z52countz52) =
											((int) (int) (((long) 0))), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_funz00_5473));
								}
								{
									obj_t BgL_l1752z00_8752;

									BgL_l1752z00_8752 = CDR(BgL_l1752z00_5472);
									BgL_l1752z00_5472 = BgL_l1752z00_8752;
									goto BgL_zc3z04anonymousza32563ze3z87_5471;
								}
							}
						else
							{	/* Liveness/liveness.scm 805 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 808 */
					obj_t BgL_g1757z00_5476;

					BgL_g1757z00_5476 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4882)))->BgL_localsz00);
					{
						obj_t BgL_l1755z00_5478;

						BgL_l1755z00_5478 = BgL_g1757z00_5476;
					BgL_zc3z04anonymousza32568ze3z87_5477:
						if (PAIRP(BgL_l1755z00_5478))
							{	/* Liveness/liveness.scm 808 */
								{	/* Liveness/liveness.scm 809 */
									obj_t BgL_funz00_5479;

									BgL_funz00_5479 = CAR(BgL_l1755z00_5478);
									{	/* Liveness/liveness.scm 809 */
										obj_t BgL_defz00_5480;

										{	/* Liveness/liveness.scm 811 */
											BgL_valuez00_bglt BgL_arg2577z00_5481;

											BgL_arg2577z00_5481 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_funz00_5479))))->
												BgL_valuez00);
											BgL_defz00_5480 =
												BGl_livenesszd2sfunz12zc0zzliveness_livenessz00((
													(BgL_sfunz00_bglt) BgL_arg2577z00_5481));
										}
										{	/* Liveness/liveness.scm 810 */
											obj_t BgL_usez00_5482;

											{	/* Liveness/liveness.scm 812 */
												obj_t BgL_tmpz00_5483;

												{	/* Liveness/liveness.scm 812 */
													int BgL_tmpz00_8764;

													BgL_tmpz00_8764 = (int) (((long) 1));
													BgL_tmpz00_5483 = BGL_MVALUES_VAL(BgL_tmpz00_8764);
												}
												{	/* Liveness/liveness.scm 812 */
													int BgL_tmpz00_8767;

													BgL_tmpz00_8767 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_8767, BUNSPEC);
												}
												BgL_usez00_5482 = BgL_tmpz00_5483;
											}
											{	/* Liveness/liveness.scm 812 */
												obj_t BgL_list2570z00_5484;

												{	/* Liveness/liveness.scm 812 */
													obj_t BgL_arg2572z00_5485;

													BgL_arg2572z00_5485 =
														MAKE_YOUNG_PAIR(BgL_defbindingsz00_5468, BNIL);
													BgL_list2570z00_5484 =
														MAKE_YOUNG_PAIR(BgL_defz00_5480,
														BgL_arg2572z00_5485);
												}
												BgL_defbindingsz00_5468 =
													BGl_unionz00zzliveness_setz00(BgL_list2570z00_5484);
											}
											{	/* Liveness/liveness.scm 813 */
												obj_t BgL_list2573z00_5486;

												{	/* Liveness/liveness.scm 813 */
													obj_t BgL_arg2574z00_5487;

													BgL_arg2574z00_5487 =
														MAKE_YOUNG_PAIR(BgL_usebindingsz00_5469, BNIL);
													BgL_list2573z00_5486 =
														MAKE_YOUNG_PAIR(BgL_usez00_5482,
														BgL_arg2574z00_5487);
												}
												BgL_usebindingsz00_5469 =
													BGl_unionz00zzliveness_setz00(BgL_list2573z00_5486);
								}}}}
								{
									obj_t BgL_l1755z00_8776;

									BgL_l1755z00_8776 = CDR(BgL_l1755z00_5478);
									BgL_l1755z00_5478 = BgL_l1755z00_8776;
									goto BgL_zc3z04anonymousza32568ze3z87_5477;
								}
							}
						else
							{	/* Liveness/liveness.scm 808 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 815 */
					obj_t BgL_defbodyz00_5488;

					BgL_defbodyz00_5488 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_4882)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 816 */
						obj_t BgL_usebodyz00_5489;

						{	/* Liveness/liveness.scm 817 */
							obj_t BgL_tmpz00_5490;

							{	/* Liveness/liveness.scm 817 */
								int BgL_tmpz00_8781;

								BgL_tmpz00_8781 = (int) (((long) 1));
								BgL_tmpz00_5490 = BGL_MVALUES_VAL(BgL_tmpz00_8781);
							}
							{	/* Liveness/liveness.scm 817 */
								int BgL_tmpz00_8784;

								BgL_tmpz00_8784 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_8784, BUNSPEC);
							}
							BgL_usebodyz00_5489 = BgL_tmpz00_5490;
						}
						{	/* Liveness/liveness.scm 818 */
							BgL_letzd2funzd2_bglt BgL_arg2579z00_5491;

							{	/* Liveness/liveness.scm 818 */
								BgL_letzd2funzf2livenessz20_bglt BgL_wide1353z00_5492;

								BgL_wide1353z00_5492 =
									((BgL_letzd2funzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 818 */
									obj_t BgL_auxz00_8792;
									BgL_objectz00_bglt BgL_tmpz00_8788;

									BgL_auxz00_8792 = ((obj_t) BgL_wide1353z00_5492);
									BgL_tmpz00_8788 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8788, BgL_auxz00_8792);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
								{	/* Liveness/liveness.scm 818 */
									long BgL_arg2580z00_5493;

									BgL_arg2580z00_5493 =
										BGL_CLASS_NUM
										(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nz00_4882))), BgL_arg2580z00_5493);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
							}
							{
								obj_t BgL_auxz00_8814;
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8806;

								{	/* Liveness/liveness.scm 819 */
									obj_t BgL_list2581z00_5494;

									{	/* Liveness/liveness.scm 819 */
										obj_t BgL_arg2582z00_5495;

										BgL_arg2582z00_5495 =
											MAKE_YOUNG_PAIR(BgL_defbindingsz00_5468, BNIL);
										BgL_list2581z00_5494 =
											MAKE_YOUNG_PAIR(BgL_defbodyz00_5488, BgL_arg2582z00_5495);
									}
									BgL_auxz00_8814 =
										BGl_unionz00zzliveness_setz00(BgL_list2581z00_5494);
								}
								{
									obj_t BgL_auxz00_8807;

									{	/* Liveness/liveness.scm 819 */
										BgL_objectz00_bglt BgL_tmpz00_8808;

										BgL_tmpz00_8808 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
										BgL_auxz00_8807 = BGL_OBJECT_WIDENING(BgL_tmpz00_8808);
									}
									BgL_auxz00_8806 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8807);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8806))->BgL_defz00) =
									((obj_t) BgL_auxz00_8814), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8827;
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8819;

								{	/* Liveness/liveness.scm 820 */
									obj_t BgL_list2583z00_5496;

									{	/* Liveness/liveness.scm 820 */
										obj_t BgL_arg2584z00_5497;

										BgL_arg2584z00_5497 =
											MAKE_YOUNG_PAIR(BgL_usebindingsz00_5469, BNIL);
										BgL_list2583z00_5496 =
											MAKE_YOUNG_PAIR(BgL_usebodyz00_5489, BgL_arg2584z00_5497);
									}
									BgL_auxz00_8827 =
										BGl_unionz00zzliveness_setz00(BgL_list2583z00_5496);
								}
								{
									obj_t BgL_auxz00_8820;

									{	/* Liveness/liveness.scm 820 */
										BgL_objectz00_bglt BgL_tmpz00_8821;

										BgL_tmpz00_8821 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
										BgL_auxz00_8820 = BGL_OBJECT_WIDENING(BgL_tmpz00_8821);
									}
									BgL_auxz00_8819 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8820);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8819))->BgL_usez00) =
									((obj_t) BgL_auxz00_8827), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8832;

								{
									obj_t BgL_auxz00_8833;

									{	/* Liveness/liveness.scm 816 */
										BgL_objectz00_bglt BgL_tmpz00_8834;

										BgL_tmpz00_8834 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
										BgL_auxz00_8833 = BGL_OBJECT_WIDENING(BgL_tmpz00_8834);
									}
									BgL_auxz00_8832 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8833);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8832))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8841;

								{
									obj_t BgL_auxz00_8842;

									{	/* Liveness/liveness.scm 816 */
										BgL_objectz00_bglt BgL_tmpz00_8843;

										BgL_tmpz00_8843 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4882)));
										BgL_auxz00_8842 = BGL_OBJECT_WIDENING(BgL_tmpz00_8843);
									}
									BgL_auxz00_8841 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8842);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8841))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2579z00_5491 =
								((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4882));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2579z00_5491));
						}
					}
				}
			}
		}

	}



/* &inout-switch/livenes2036 */
	obj_t BGl_z62inoutzd2switchzf2livenes2036z42zzliveness_livenessz00(obj_t
		BgL_envz00_4883, obj_t BgL_nz00_4884)
	{
		{	/* Liveness/liveness.scm 792 */
			{	/* Liveness/liveness.scm 794 */
				obj_t BgL_val0_1750z00_5499;
				obj_t BgL_val1_1751z00_5500;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8854;

					{
						obj_t BgL_auxz00_8855;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8856;

							BgL_tmpz00_8856 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4884));
							BgL_auxz00_8855 = BGL_OBJECT_WIDENING(BgL_tmpz00_8856);
						}
						BgL_auxz00_8854 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8855);
					}
					BgL_val0_1750z00_5499 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8854))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8862;

					{
						obj_t BgL_auxz00_8863;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8864;

							BgL_tmpz00_8864 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4884));
							BgL_auxz00_8863 = BGL_OBJECT_WIDENING(BgL_tmpz00_8864);
						}
						BgL_auxz00_8862 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8863);
					}
					BgL_val1_1751z00_5500 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8862))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8870;

					BgL_tmpz00_8870 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8870);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8873;

					BgL_tmpz00_8873 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8873, BgL_val1_1751z00_5500);
				}
				return BgL_val0_1750z00_5499;
			}
		}

	}



/* &inout!-switch/livene2034 */
	obj_t BGl_z62inoutz12zd2switchzf2livene2034z50zzliveness_livenessz00(obj_t
		BgL_envz00_4885, obj_t BgL_nz00_4886, obj_t BgL_oz00_4887)
	{
		{	/* Liveness/liveness.scm 782 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8876;

				{
					obj_t BgL_auxz00_8877;

					{	/* Liveness/liveness.scm 784 */
						BgL_objectz00_bglt BgL_tmpz00_8878;

						BgL_tmpz00_8878 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
						BgL_auxz00_8877 = BGL_OBJECT_WIDENING(BgL_tmpz00_8878);
					}
					BgL_auxz00_8876 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8877);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8876))->
						BgL_outz00) = ((obj_t) BgL_oz00_4887), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8891;
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8884;

				{	/* Liveness/liveness.scm 785 */
					obj_t BgL_arg2548z00_5502;
					obj_t BgL_arg2551z00_5503;

					{
						BgL_switchzf2livenesszf2_bglt BgL_auxz00_8892;

						{
							obj_t BgL_auxz00_8893;

							{	/* Liveness/liveness.scm 785 */
								BgL_objectz00_bglt BgL_tmpz00_8894;

								BgL_tmpz00_8894 =
									((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
								BgL_auxz00_8893 = BGL_OBJECT_WIDENING(BgL_tmpz00_8894);
							}
							BgL_auxz00_8892 =
								((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8893);
						}
						BgL_arg2548z00_5502 =
							(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8892))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 785 */
						obj_t BgL_arg2556z00_5504;
						obj_t BgL_arg2557z00_5505;

						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8900;

							{
								obj_t BgL_auxz00_8901;

								{	/* Liveness/liveness.scm 785 */
									BgL_objectz00_bglt BgL_tmpz00_8902;

									BgL_tmpz00_8902 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
									BgL_auxz00_8901 = BGL_OBJECT_WIDENING(BgL_tmpz00_8902);
								}
								BgL_auxz00_8900 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8901);
							}
							BgL_arg2556z00_5504 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8900))->
								BgL_outz00);
						}
						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8908;

							{
								obj_t BgL_auxz00_8909;

								{	/* Liveness/liveness.scm 785 */
									BgL_objectz00_bglt BgL_tmpz00_8910;

									BgL_tmpz00_8910 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
									BgL_auxz00_8909 = BGL_OBJECT_WIDENING(BgL_tmpz00_8910);
								}
								BgL_auxz00_8908 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8909);
							}
							BgL_arg2557z00_5505 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8908))->
								BgL_defz00);
						}
						BgL_arg2551z00_5503 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2556z00_5504,
							BgL_arg2557z00_5505);
					}
					{	/* Liveness/liveness.scm 785 */
						obj_t BgL_list2552z00_5506;

						{	/* Liveness/liveness.scm 785 */
							obj_t BgL_arg2555z00_5507;

							BgL_arg2555z00_5507 = MAKE_YOUNG_PAIR(BgL_arg2551z00_5503, BNIL);
							BgL_list2552z00_5506 =
								MAKE_YOUNG_PAIR(BgL_arg2548z00_5502, BgL_arg2555z00_5507);
						}
						BgL_auxz00_8891 =
							BGl_unionz00zzliveness_setz00(BgL_list2552z00_5506);
					}
				}
				{
					obj_t BgL_auxz00_8885;

					{	/* Liveness/liveness.scm 785 */
						BgL_objectz00_bglt BgL_tmpz00_8886;

						BgL_tmpz00_8886 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
						BgL_auxz00_8885 = BGL_OBJECT_WIDENING(BgL_tmpz00_8886);
					}
					BgL_auxz00_8884 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8885);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8884))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8891), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 788 */
				BgL_nodez00_bglt BgL_arg2558z00_5508;

				BgL_arg2558z00_5508 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4886))))->BgL_testz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2558z00_5508,
					BgL_oz00_4887);
			}
			{	/* Liveness/liveness.scm 789 */
				obj_t BgL_g1747z00_5509;

				BgL_g1747z00_5509 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4886))))->BgL_clausesz00);
				{
					obj_t BgL_l1745z00_5511;

					BgL_l1745z00_5511 = BgL_g1747z00_5509;
				BgL_zc3z04anonymousza32559ze3z87_5510:
					if (PAIRP(BgL_l1745z00_5511))
						{	/* Liveness/liveness.scm 789 */
							{	/* Liveness/liveness.scm 789 */
								obj_t BgL_cz00_5512;

								BgL_cz00_5512 = CAR(BgL_l1745z00_5511);
								{	/* Liveness/liveness.scm 789 */
									obj_t BgL_arg2561z00_5513;

									BgL_arg2561z00_5513 = CDR(((obj_t) BgL_cz00_5512));
									BGl_inoutz12z12zzliveness_livenessz00(
										((BgL_nodez00_bglt) BgL_arg2561z00_5513), BgL_oz00_4887);
								}
							}
							{
								obj_t BgL_l1745z00_8935;

								BgL_l1745z00_8935 = CDR(BgL_l1745z00_5511);
								BgL_l1745z00_5511 = BgL_l1745z00_8935;
								goto BgL_zc3z04anonymousza32559ze3z87_5510;
							}
						}
					else
						{	/* Liveness/liveness.scm 789 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 790 */
				obj_t BgL_val0_1748z00_5514;
				obj_t BgL_val1_1749z00_5515;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8937;

					{
						obj_t BgL_auxz00_8938;

						{	/* Liveness/liveness.scm 790 */
							BgL_objectz00_bglt BgL_tmpz00_8939;

							BgL_tmpz00_8939 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
							BgL_auxz00_8938 = BGL_OBJECT_WIDENING(BgL_tmpz00_8939);
						}
						BgL_auxz00_8937 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8938);
					}
					BgL_val0_1748z00_5514 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8937))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8945;

					{
						obj_t BgL_auxz00_8946;

						{	/* Liveness/liveness.scm 790 */
							BgL_objectz00_bglt BgL_tmpz00_8947;

							BgL_tmpz00_8947 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4886));
							BgL_auxz00_8946 = BGL_OBJECT_WIDENING(BgL_tmpz00_8947);
						}
						BgL_auxz00_8945 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8946);
					}
					BgL_val1_1749z00_5515 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8945))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 790 */
					int BgL_tmpz00_8953;

					BgL_tmpz00_8953 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8953);
				}
				{	/* Liveness/liveness.scm 790 */
					int BgL_tmpz00_8956;

					BgL_tmpz00_8956 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8956, BgL_val1_1749z00_5515);
				}
				return BgL_val0_1748z00_5514;
			}
		}

	}



/* &defuse-switch/livene2032 */
	obj_t BGl_z62defusezd2switchzf2livene2032z42zzliveness_livenessz00(obj_t
		BgL_envz00_4888, obj_t BgL_nz00_4889)
	{
		{	/* Liveness/liveness.scm 778 */
			{	/* Liveness/liveness.scm 780 */
				obj_t BgL_val0_1743z00_5517;
				obj_t BgL_val1_1744z00_5518;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8959;

					{
						obj_t BgL_auxz00_8960;

						{	/* Liveness/liveness.scm 780 */
							BgL_objectz00_bglt BgL_tmpz00_8961;

							BgL_tmpz00_8961 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
							BgL_auxz00_8960 = BGL_OBJECT_WIDENING(BgL_tmpz00_8961);
						}
						BgL_auxz00_8959 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8960);
					}
					BgL_val0_1743z00_5517 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8959))->
						BgL_defz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8967;

					{
						obj_t BgL_auxz00_8968;

						{	/* Liveness/liveness.scm 780 */
							BgL_objectz00_bglt BgL_tmpz00_8969;

							BgL_tmpz00_8969 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4889));
							BgL_auxz00_8968 = BGL_OBJECT_WIDENING(BgL_tmpz00_8969);
						}
						BgL_auxz00_8967 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8968);
					}
					BgL_val1_1744z00_5518 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8967))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 780 */
					int BgL_tmpz00_8975;

					BgL_tmpz00_8975 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8975);
				}
				{	/* Liveness/liveness.scm 780 */
					int BgL_tmpz00_8978;

					BgL_tmpz00_8978 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8978, BgL_val1_1744z00_5518);
				}
				return BgL_val0_1743z00_5517;
			}
		}

	}



/* &defuse-switch2030 */
	obj_t BGl_z62defusezd2switch2030zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4890, obj_t BgL_nz00_4891)
	{
		{	/* Liveness/liveness.scm 760 */
			{	/* Liveness/liveness.scm 762 */
				obj_t BgL_deftestz00_5520;

				BgL_deftestz00_5520 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_4891)))->BgL_testz00));
				{	/* Liveness/liveness.scm 763 */
					obj_t BgL_usetestz00_5521;

					{	/* Liveness/liveness.scm 765 */
						obj_t BgL_tmpz00_5522;

						{	/* Liveness/liveness.scm 765 */
							int BgL_tmpz00_8984;

							BgL_tmpz00_8984 = (int) (((long) 1));
							BgL_tmpz00_5522 = BGL_MVALUES_VAL(BgL_tmpz00_8984);
						}
						{	/* Liveness/liveness.scm 765 */
							int BgL_tmpz00_8987;

							BgL_tmpz00_8987 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8987, BUNSPEC);
						}
						BgL_usetestz00_5521 = BgL_tmpz00_5522;
					}
					{	/* Liveness/liveness.scm 765 */
						obj_t BgL_defsz00_5523;
						obj_t BgL_usesz00_5524;

						BgL_defsz00_5523 = BNIL;
						BgL_usesz00_5524 = BNIL;
						{	/* Liveness/liveness.scm 767 */
							obj_t BgL_g1742z00_5525;

							BgL_g1742z00_5525 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_4891)))->BgL_clausesz00);
							{
								obj_t BgL_l1740z00_5527;

								BgL_l1740z00_5527 = BgL_g1742z00_5525;
							BgL_zc3z04anonymousza32523ze3z87_5526:
								if (PAIRP(BgL_l1740z00_5527))
									{	/* Liveness/liveness.scm 767 */
										{	/* Liveness/liveness.scm 768 */
											obj_t BgL_clausez00_5528;

											BgL_clausez00_5528 = CAR(BgL_l1740z00_5527);
											{	/* Liveness/liveness.scm 768 */
												obj_t BgL_defz00_5529;

												{	/* Liveness/liveness.scm 769 */
													obj_t BgL_arg2527z00_5530;

													BgL_arg2527z00_5530 =
														CDR(((obj_t) BgL_clausez00_5528));
													BgL_defz00_5529 =
														BGl_defusez00zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2527z00_5530));
												}
												{	/* Liveness/liveness.scm 769 */
													obj_t BgL_usez00_5531;

													{	/* Liveness/liveness.scm 770 */
														obj_t BgL_tmpz00_5532;

														{	/* Liveness/liveness.scm 770 */
															int BgL_tmpz00_8999;

															BgL_tmpz00_8999 = (int) (((long) 1));
															BgL_tmpz00_5532 =
																BGL_MVALUES_VAL(BgL_tmpz00_8999);
														}
														{	/* Liveness/liveness.scm 770 */
															int BgL_tmpz00_9002;

															BgL_tmpz00_9002 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_9002, BUNSPEC);
														}
														BgL_usez00_5531 = BgL_tmpz00_5532;
													}
													BgL_defsz00_5523 =
														MAKE_YOUNG_PAIR(BgL_defz00_5529, BgL_defsz00_5523);
													BgL_usesz00_5524 =
														MAKE_YOUNG_PAIR(BgL_usez00_5531, BgL_usesz00_5524);
										}}}
										{
											obj_t BgL_l1740z00_9007;

											BgL_l1740z00_9007 = CDR(BgL_l1740z00_5527);
											BgL_l1740z00_5527 = BgL_l1740z00_9007;
											goto BgL_zc3z04anonymousza32523ze3z87_5526;
										}
									}
								else
									{	/* Liveness/liveness.scm 767 */
										((bool_t) 1);
									}
							}
						}
						{	/* Liveness/liveness.scm 774 */
							BgL_switchz00_bglt BgL_arg2529z00_5533;

							{	/* Liveness/liveness.scm 774 */
								BgL_switchzf2livenesszf2_bglt BgL_wide1340z00_5534;

								BgL_wide1340z00_5534 =
									((BgL_switchzf2livenesszf2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 774 */
									obj_t BgL_auxz00_9014;
									BgL_objectz00_bglt BgL_tmpz00_9010;

									BgL_auxz00_9014 = ((obj_t) BgL_wide1340z00_5534);
									BgL_tmpz00_9010 =
										((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nz00_4891)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9010, BgL_auxz00_9014);
								}
								((BgL_objectz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4891)));
								{	/* Liveness/liveness.scm 774 */
									long BgL_arg2533z00_5535;

									BgL_arg2533z00_5535 =
										BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4891))),
										BgL_arg2533z00_5535);
								}
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4891)));
							}
							{
								obj_t BgL_auxz00_9036;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9028;

								{	/* Liveness/liveness.scm 775 */
									obj_t BgL_arg2534z00_5536;

									{	/* Liveness/liveness.scm 775 */
										obj_t BgL_runner2537z00_5537;

										BgL_runner2537z00_5537 = BgL_defsz00_5523;
										BgL_arg2534z00_5536 =
											BGl_intersectionz00zzliveness_setz00
											(BgL_runner2537z00_5537);
									}
									{	/* Liveness/liveness.scm 775 */
										obj_t BgL_list2535z00_5538;

										{	/* Liveness/liveness.scm 775 */
											obj_t BgL_arg2536z00_5539;

											BgL_arg2536z00_5539 =
												MAKE_YOUNG_PAIR(BgL_arg2534z00_5536, BNIL);
											BgL_list2535z00_5538 =
												MAKE_YOUNG_PAIR(BgL_deftestz00_5520,
												BgL_arg2536z00_5539);
										}
										BgL_auxz00_9036 =
											BGl_unionz00zzliveness_setz00(BgL_list2535z00_5538);
								}}
								{
									obj_t BgL_auxz00_9029;

									{	/* Liveness/liveness.scm 775 */
										BgL_objectz00_bglt BgL_tmpz00_9030;

										BgL_tmpz00_9030 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4891)));
										BgL_auxz00_9029 = BGL_OBJECT_WIDENING(BgL_tmpz00_9030);
									}
									BgL_auxz00_9028 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9029);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9028))->
										BgL_defz00) = ((obj_t) BgL_auxz00_9036), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_9050;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9042;

								{	/* Liveness/liveness.scm 776 */
									obj_t BgL_arg2538z00_5540;

									{	/* Liveness/liveness.scm 776 */
										obj_t BgL_arg2543z00_5541;

										{	/* Liveness/liveness.scm 776 */
											obj_t BgL_runner2544z00_5542;

											BgL_runner2544z00_5542 = BgL_usesz00_5524;
											BgL_arg2543z00_5541 =
												BGl_unionz00zzliveness_setz00(BgL_runner2544z00_5542);
										}
										BgL_arg2538z00_5540 =
											BGl_disjonctionz00zzliveness_setz00(BgL_arg2543z00_5541,
											BgL_deftestz00_5520);
									}
									{	/* Liveness/liveness.scm 776 */
										obj_t BgL_list2539z00_5543;

										{	/* Liveness/liveness.scm 776 */
											obj_t BgL_arg2542z00_5544;

											BgL_arg2542z00_5544 =
												MAKE_YOUNG_PAIR(BgL_arg2538z00_5540, BNIL);
											BgL_list2539z00_5543 =
												MAKE_YOUNG_PAIR(BgL_usetestz00_5521,
												BgL_arg2542z00_5544);
										}
										BgL_auxz00_9050 =
											BGl_unionz00zzliveness_setz00(BgL_list2539z00_5543);
								}}
								{
									obj_t BgL_auxz00_9043;

									{	/* Liveness/liveness.scm 776 */
										BgL_objectz00_bglt BgL_tmpz00_9044;

										BgL_tmpz00_9044 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4891)));
										BgL_auxz00_9043 = BGL_OBJECT_WIDENING(BgL_tmpz00_9044);
									}
									BgL_auxz00_9042 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9043);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9042))->
										BgL_usez00) = ((obj_t) BgL_auxz00_9050), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9057;

								{
									obj_t BgL_auxz00_9058;

									{	/* Liveness/liveness.scm 765 */
										BgL_objectz00_bglt BgL_tmpz00_9059;

										BgL_tmpz00_9059 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4891)));
										BgL_auxz00_9058 = BGL_OBJECT_WIDENING(BgL_tmpz00_9059);
									}
									BgL_auxz00_9057 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9058);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9057))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_9066;

								{
									obj_t BgL_auxz00_9067;

									{	/* Liveness/liveness.scm 765 */
										BgL_objectz00_bglt BgL_tmpz00_9068;

										BgL_tmpz00_9068 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4891)));
										BgL_auxz00_9067 = BGL_OBJECT_WIDENING(BgL_tmpz00_9068);
									}
									BgL_auxz00_9066 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_9067);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9066))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2529z00_5533 =
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4891));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2529z00_5533));
						}
					}
				}
			}
		}

	}



/* &inout-fail/liveness2028 */
	obj_t BGl_z62inoutzd2failzf2liveness2028z42zzliveness_livenessz00(obj_t
		BgL_envz00_4892, obj_t BgL_nz00_4893)
	{
		{	/* Liveness/liveness.scm 753 */
			{	/* Liveness/liveness.scm 755 */
				obj_t BgL_val0_1738z00_5546;
				obj_t BgL_val1_1739z00_5547;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9079;

					{
						obj_t BgL_auxz00_9080;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_9081;

							BgL_tmpz00_9081 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4893));
							BgL_auxz00_9080 = BGL_OBJECT_WIDENING(BgL_tmpz00_9081);
						}
						BgL_auxz00_9079 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9080);
					}
					BgL_val0_1738z00_5546 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9079))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9087;

					{
						obj_t BgL_auxz00_9088;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_9089;

							BgL_tmpz00_9089 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4893));
							BgL_auxz00_9088 = BGL_OBJECT_WIDENING(BgL_tmpz00_9089);
						}
						BgL_auxz00_9087 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9088);
					}
					BgL_val1_1739z00_5547 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9087))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_9095;

					BgL_tmpz00_9095 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9095);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_9098;

					BgL_tmpz00_9098 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9098, BgL_val1_1739z00_5547);
				}
				return BgL_val0_1738z00_5546;
			}
		}

	}



/* &inout!-fail/liveness2026 */
	obj_t BGl_z62inoutz12zd2failzf2liveness2026z50zzliveness_livenessz00(obj_t
		BgL_envz00_4894, obj_t BgL_nz00_4895, obj_t BgL_oz00_4896)
	{
		{	/* Liveness/liveness.scm 744 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_9101;

				{
					obj_t BgL_auxz00_9102;

					{	/* Liveness/liveness.scm 746 */
						BgL_objectz00_bglt BgL_tmpz00_9103;

						BgL_tmpz00_9103 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
						BgL_auxz00_9102 = BGL_OBJECT_WIDENING(BgL_tmpz00_9103);
					}
					BgL_auxz00_9101 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9102);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9101))->
						BgL_outz00) = ((obj_t) BgL_oz00_4896), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9116;
				BgL_failzf2livenesszf2_bglt BgL_auxz00_9109;

				{	/* Liveness/liveness.scm 747 */
					obj_t BgL_arg2512z00_5549;
					obj_t BgL_arg2513z00_5550;

					{
						BgL_failzf2livenesszf2_bglt BgL_auxz00_9117;

						{
							obj_t BgL_auxz00_9118;

							{	/* Liveness/liveness.scm 747 */
								BgL_objectz00_bglt BgL_tmpz00_9119;

								BgL_tmpz00_9119 =
									((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
								BgL_auxz00_9118 = BGL_OBJECT_WIDENING(BgL_tmpz00_9119);
							}
							BgL_auxz00_9117 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9118);
						}
						BgL_arg2512z00_5549 =
							(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9117))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 747 */
						obj_t BgL_arg2516z00_5551;
						obj_t BgL_arg2517z00_5552;

						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_9125;

							{
								obj_t BgL_auxz00_9126;

								{	/* Liveness/liveness.scm 747 */
									BgL_objectz00_bglt BgL_tmpz00_9127;

									BgL_tmpz00_9127 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
									BgL_auxz00_9126 = BGL_OBJECT_WIDENING(BgL_tmpz00_9127);
								}
								BgL_auxz00_9125 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9126);
							}
							BgL_arg2516z00_5551 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9125))->
								BgL_outz00);
						}
						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_9133;

							{
								obj_t BgL_auxz00_9134;

								{	/* Liveness/liveness.scm 747 */
									BgL_objectz00_bglt BgL_tmpz00_9135;

									BgL_tmpz00_9135 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
									BgL_auxz00_9134 = BGL_OBJECT_WIDENING(BgL_tmpz00_9135);
								}
								BgL_auxz00_9133 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9134);
							}
							BgL_arg2517z00_5552 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9133))->
								BgL_defz00);
						}
						BgL_arg2513z00_5550 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2516z00_5551,
							BgL_arg2517z00_5552);
					}
					{	/* Liveness/liveness.scm 747 */
						obj_t BgL_list2514z00_5553;

						{	/* Liveness/liveness.scm 747 */
							obj_t BgL_arg2515z00_5554;

							BgL_arg2515z00_5554 = MAKE_YOUNG_PAIR(BgL_arg2513z00_5550, BNIL);
							BgL_list2514z00_5553 =
								MAKE_YOUNG_PAIR(BgL_arg2512z00_5549, BgL_arg2515z00_5554);
						}
						BgL_auxz00_9116 =
							BGl_unionz00zzliveness_setz00(BgL_list2514z00_5553);
					}
				}
				{
					obj_t BgL_auxz00_9110;

					{	/* Liveness/liveness.scm 747 */
						BgL_objectz00_bglt BgL_tmpz00_9111;

						BgL_tmpz00_9111 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
						BgL_auxz00_9110 = BGL_OBJECT_WIDENING(BgL_tmpz00_9111);
					}
					BgL_auxz00_9109 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9110);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9109))->BgL_inz00) =
					((obj_t) BgL_auxz00_9116), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 748 */
				BgL_nodez00_bglt BgL_arg2519z00_5555;

				BgL_arg2519z00_5555 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4895))))->BgL_procz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2519z00_5555,
					BgL_oz00_4896);
			}
			{	/* Liveness/liveness.scm 749 */
				BgL_nodez00_bglt BgL_arg2521z00_5556;

				BgL_arg2521z00_5556 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4895))))->BgL_msgz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2521z00_5556,
					BgL_oz00_4896);
			}
			{	/* Liveness/liveness.scm 750 */
				BgL_nodez00_bglt BgL_arg2522z00_5557;

				BgL_arg2522z00_5557 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4895))))->BgL_objz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2522z00_5557,
					BgL_oz00_4896);
			}
			{	/* Liveness/liveness.scm 751 */
				obj_t BgL_val0_1736z00_5558;
				obj_t BgL_val1_1737z00_5559;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9158;

					{
						obj_t BgL_auxz00_9159;

						{	/* Liveness/liveness.scm 751 */
							BgL_objectz00_bglt BgL_tmpz00_9160;

							BgL_tmpz00_9160 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
							BgL_auxz00_9159 = BGL_OBJECT_WIDENING(BgL_tmpz00_9160);
						}
						BgL_auxz00_9158 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9159);
					}
					BgL_val0_1736z00_5558 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9158))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9166;

					{
						obj_t BgL_auxz00_9167;

						{	/* Liveness/liveness.scm 751 */
							BgL_objectz00_bglt BgL_tmpz00_9168;

							BgL_tmpz00_9168 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4895));
							BgL_auxz00_9167 = BGL_OBJECT_WIDENING(BgL_tmpz00_9168);
						}
						BgL_auxz00_9166 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9167);
					}
					BgL_val1_1737z00_5559 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9166))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 751 */
					int BgL_tmpz00_9174;

					BgL_tmpz00_9174 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9174);
				}
				{	/* Liveness/liveness.scm 751 */
					int BgL_tmpz00_9177;

					BgL_tmpz00_9177 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9177, BgL_val1_1737z00_5559);
				}
				return BgL_val0_1736z00_5558;
			}
		}

	}



/* &defuse-fail/liveness2024 */
	obj_t BGl_z62defusezd2failzf2liveness2024z42zzliveness_livenessz00(obj_t
		BgL_envz00_4897, obj_t BgL_nz00_4898)
	{
		{	/* Liveness/liveness.scm 740 */
			{	/* Liveness/liveness.scm 742 */
				obj_t BgL_val0_1734z00_5561;
				obj_t BgL_val1_1735z00_5562;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9180;

					{
						obj_t BgL_auxz00_9181;

						{	/* Liveness/liveness.scm 742 */
							BgL_objectz00_bglt BgL_tmpz00_9182;

							BgL_tmpz00_9182 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
							BgL_auxz00_9181 = BGL_OBJECT_WIDENING(BgL_tmpz00_9182);
						}
						BgL_auxz00_9180 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9181);
					}
					BgL_val0_1734z00_5561 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9180))->
						BgL_defz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_9188;

					{
						obj_t BgL_auxz00_9189;

						{	/* Liveness/liveness.scm 742 */
							BgL_objectz00_bglt BgL_tmpz00_9190;

							BgL_tmpz00_9190 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4898));
							BgL_auxz00_9189 = BGL_OBJECT_WIDENING(BgL_tmpz00_9190);
						}
						BgL_auxz00_9188 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9189);
					}
					BgL_val1_1735z00_5562 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9188))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 742 */
					int BgL_tmpz00_9196;

					BgL_tmpz00_9196 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9196);
				}
				{	/* Liveness/liveness.scm 742 */
					int BgL_tmpz00_9199;

					BgL_tmpz00_9199 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9199, BgL_val1_1735z00_5562);
				}
				return BgL_val0_1734z00_5561;
			}
		}

	}



/* &defuse-fail2022 */
	obj_t BGl_z62defusezd2fail2022zb0zzliveness_livenessz00(obj_t BgL_envz00_4899,
		obj_t BgL_nz00_4900)
	{
		{	/* Liveness/liveness.scm 727 */
			{	/* Liveness/liveness.scm 729 */
				obj_t BgL_defprocz00_5564;

				BgL_defprocz00_5564 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_4900)))->BgL_procz00));
				{	/* Liveness/liveness.scm 730 */
					obj_t BgL_useprocz00_5565;

					{	/* Liveness/liveness.scm 731 */
						obj_t BgL_tmpz00_5566;

						{	/* Liveness/liveness.scm 731 */
							int BgL_tmpz00_9205;

							BgL_tmpz00_9205 = (int) (((long) 1));
							BgL_tmpz00_5566 = BGL_MVALUES_VAL(BgL_tmpz00_9205);
						}
						{	/* Liveness/liveness.scm 731 */
							int BgL_tmpz00_9208;

							BgL_tmpz00_9208 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9208, BUNSPEC);
						}
						BgL_useprocz00_5565 = BgL_tmpz00_5566;
					}
					{	/* Liveness/liveness.scm 731 */
						obj_t BgL_defmsgz00_5567;

						BgL_defmsgz00_5567 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nz00_4900)))->BgL_msgz00));
						{	/* Liveness/liveness.scm 732 */
							obj_t BgL_usemsgz00_5568;

							{	/* Liveness/liveness.scm 733 */
								obj_t BgL_tmpz00_5569;

								{	/* Liveness/liveness.scm 733 */
									int BgL_tmpz00_9214;

									BgL_tmpz00_9214 = (int) (((long) 1));
									BgL_tmpz00_5569 = BGL_MVALUES_VAL(BgL_tmpz00_9214);
								}
								{	/* Liveness/liveness.scm 733 */
									int BgL_tmpz00_9217;

									BgL_tmpz00_9217 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9217, BUNSPEC);
								}
								BgL_usemsgz00_5568 = BgL_tmpz00_5569;
							}
							{	/* Liveness/liveness.scm 733 */
								obj_t BgL_defobjz00_5570;

								BgL_defobjz00_5570 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nz00_4900)))->BgL_objz00));
								{	/* Liveness/liveness.scm 734 */
									obj_t BgL_useobjz00_5571;

									{	/* Liveness/liveness.scm 735 */
										obj_t BgL_tmpz00_5572;

										{	/* Liveness/liveness.scm 735 */
											int BgL_tmpz00_9223;

											BgL_tmpz00_9223 = (int) (((long) 1));
											BgL_tmpz00_5572 = BGL_MVALUES_VAL(BgL_tmpz00_9223);
										}
										{	/* Liveness/liveness.scm 735 */
											int BgL_tmpz00_9226;

											BgL_tmpz00_9226 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9226, BUNSPEC);
										}
										BgL_useobjz00_5571 = BgL_tmpz00_5572;
									}
									{	/* Liveness/liveness.scm 736 */
										BgL_failz00_bglt BgL_arg2488z00_5573;

										{	/* Liveness/liveness.scm 736 */
											BgL_failzf2livenesszf2_bglt BgL_wide1332z00_5574;

											BgL_wide1332z00_5574 =
												((BgL_failzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_failzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 736 */
												obj_t BgL_auxz00_9234;
												BgL_objectz00_bglt BgL_tmpz00_9230;

												BgL_auxz00_9234 = ((obj_t) BgL_wide1332z00_5574);
												BgL_tmpz00_9230 =
													((BgL_objectz00_bglt)
													((BgL_failz00_bglt)
														((BgL_failz00_bglt) BgL_nz00_4900)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9230,
													BgL_auxz00_9234);
											}
											((BgL_objectz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4900)));
											{	/* Liveness/liveness.scm 736 */
												long BgL_arg2492z00_5575;

												BgL_arg2492z00_5575 =
													BGL_CLASS_NUM
													(BGl_failzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_failz00_bglt) ((BgL_failz00_bglt)
																BgL_nz00_4900))), BgL_arg2492z00_5575);
											}
											((BgL_failz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4900)));
										}
										{
											obj_t BgL_auxz00_9256;
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9248;

											{	/* Liveness/liveness.scm 737 */
												obj_t BgL_list2493z00_5576;

												{	/* Liveness/liveness.scm 737 */
													obj_t BgL_arg2494z00_5577;

													{	/* Liveness/liveness.scm 737 */
														obj_t BgL_arg2495z00_5578;

														BgL_arg2495z00_5578 =
															MAKE_YOUNG_PAIR(BgL_defobjz00_5570, BNIL);
														BgL_arg2494z00_5577 =
															MAKE_YOUNG_PAIR(BgL_defmsgz00_5567,
															BgL_arg2495z00_5578);
													}
													BgL_list2493z00_5576 =
														MAKE_YOUNG_PAIR(BgL_defprocz00_5564,
														BgL_arg2494z00_5577);
												}
												BgL_auxz00_9256 =
													BGl_unionz00zzliveness_setz00(BgL_list2493z00_5576);
											}
											{
												obj_t BgL_auxz00_9249;

												{	/* Liveness/liveness.scm 737 */
													BgL_objectz00_bglt BgL_tmpz00_9250;

													BgL_tmpz00_9250 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4900)));
													BgL_auxz00_9249 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9250);
												}
												BgL_auxz00_9248 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9249);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9248))->BgL_defz00) =
												((obj_t) BgL_auxz00_9256), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_9270;
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9262;

											{	/* Liveness/liveness.scm 738 */
												obj_t BgL_list2496z00_5579;

												{	/* Liveness/liveness.scm 738 */
													obj_t BgL_arg2499z00_5580;

													{	/* Liveness/liveness.scm 738 */
														obj_t BgL_arg2500z00_5581;

														BgL_arg2500z00_5581 =
															MAKE_YOUNG_PAIR(BgL_useobjz00_5571, BNIL);
														BgL_arg2499z00_5580 =
															MAKE_YOUNG_PAIR(BgL_usemsgz00_5568,
															BgL_arg2500z00_5581);
													}
													BgL_list2496z00_5579 =
														MAKE_YOUNG_PAIR(BgL_useprocz00_5565,
														BgL_arg2499z00_5580);
												}
												BgL_auxz00_9270 =
													BGl_unionz00zzliveness_setz00(BgL_list2496z00_5579);
											}
											{
												obj_t BgL_auxz00_9263;

												{	/* Liveness/liveness.scm 738 */
													BgL_objectz00_bglt BgL_tmpz00_9264;

													BgL_tmpz00_9264 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4900)));
													BgL_auxz00_9263 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9264);
												}
												BgL_auxz00_9262 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9263);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9262))->BgL_usez00) =
												((obj_t) BgL_auxz00_9270), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9276;

											{
												obj_t BgL_auxz00_9277;

												{	/* Liveness/liveness.scm 734 */
													BgL_objectz00_bglt BgL_tmpz00_9278;

													BgL_tmpz00_9278 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4900)));
													BgL_auxz00_9277 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9278);
												}
												BgL_auxz00_9276 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9277);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9276))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_9285;

											{
												obj_t BgL_auxz00_9286;

												{	/* Liveness/liveness.scm 734 */
													BgL_objectz00_bglt BgL_tmpz00_9287;

													BgL_tmpz00_9287 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4900)));
													BgL_auxz00_9286 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9287);
												}
												BgL_auxz00_9285 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_9286);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9285))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2488z00_5573 =
											((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4900));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2488z00_5573));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-conditional/li2020 */
	obj_t BGl_z62inoutzd2conditionalzf2li2020z42zzliveness_livenessz00(obj_t
		BgL_envz00_4901, obj_t BgL_nz00_4902)
	{
		{	/* Liveness/liveness.scm 720 */
			{	/* Liveness/liveness.scm 722 */
				obj_t BgL_val0_1732z00_5583;
				obj_t BgL_val1_1733z00_5584;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9298;

					{
						obj_t BgL_auxz00_9299;

						{	/* Liveness/liveness.scm 722 */
							BgL_objectz00_bglt BgL_tmpz00_9300;

							BgL_tmpz00_9300 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4902));
							BgL_auxz00_9299 = BGL_OBJECT_WIDENING(BgL_tmpz00_9300);
						}
						BgL_auxz00_9298 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9299);
					}
					BgL_val0_1732z00_5583 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9298))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9306;

					{
						obj_t BgL_auxz00_9307;

						{	/* Liveness/liveness.scm 722 */
							BgL_objectz00_bglt BgL_tmpz00_9308;

							BgL_tmpz00_9308 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4902));
							BgL_auxz00_9307 = BGL_OBJECT_WIDENING(BgL_tmpz00_9308);
						}
						BgL_auxz00_9306 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9307);
					}
					BgL_val1_1733z00_5584 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9306))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 722 */
					int BgL_tmpz00_9314;

					BgL_tmpz00_9314 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9314);
				}
				{	/* Liveness/liveness.scm 722 */
					int BgL_tmpz00_9317;

					BgL_tmpz00_9317 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9317, BgL_val1_1733z00_5584);
				}
				return BgL_val0_1732z00_5583;
			}
		}

	}



/* &inout!-conditional/l2018 */
	obj_t BGl_z62inoutz12zd2conditionalzf2l2018z50zzliveness_livenessz00(obj_t
		BgL_envz00_4903, obj_t BgL_nz00_4904, obj_t BgL_oz00_4905)
	{
		{	/* Liveness/liveness.scm 707 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9320;

				{
					obj_t BgL_auxz00_9321;

					{	/* Liveness/liveness.scm 709 */
						BgL_objectz00_bglt BgL_tmpz00_9322;

						BgL_tmpz00_9322 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4904));
						BgL_auxz00_9321 = BGL_OBJECT_WIDENING(BgL_tmpz00_9322);
					}
					BgL_auxz00_9320 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9321);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9320))->
						BgL_outz00) = ((obj_t) BgL_oz00_4905), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 710 */
				BgL_nodez00_bglt BgL_arg2468z00_5586;

				BgL_arg2468z00_5586 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4904))))->BgL_truez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2468z00_5586,
					BgL_oz00_4905);
			}
			{	/* Liveness/liveness.scm 711 */
				BgL_nodez00_bglt BgL_arg2469z00_5587;

				BgL_arg2469z00_5587 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4904))))->BgL_falsez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2469z00_5587,
					BgL_oz00_4905);
			}
			{	/* Liveness/liveness.scm 712 */
				obj_t BgL_tdefz00_5588;

				{	/* Liveness/liveness.scm 713 */
					BgL_nodez00_bglt BgL_arg2478z00_5589;

					BgL_arg2478z00_5589 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4904))))->BgL_truez00);
					BgL_tdefz00_5588 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2478z00_5589);
				}
				{	/* Liveness/liveness.scm 713 */
					obj_t BgL_tusez00_5590;

					{	/* Liveness/liveness.scm 714 */
						obj_t BgL_tmpz00_5591;

						{	/* Liveness/liveness.scm 714 */
							int BgL_tmpz00_9340;

							BgL_tmpz00_9340 = (int) (((long) 1));
							BgL_tmpz00_5591 = BGL_MVALUES_VAL(BgL_tmpz00_9340);
						}
						{	/* Liveness/liveness.scm 714 */
							int BgL_tmpz00_9343;

							BgL_tmpz00_9343 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9343, BUNSPEC);
						}
						BgL_tusez00_5590 = BgL_tmpz00_5591;
					}
					{	/* Liveness/liveness.scm 714 */
						obj_t BgL_fdefz00_5592;

						{	/* Liveness/liveness.scm 715 */
							BgL_nodez00_bglt BgL_arg2477z00_5593;

							BgL_arg2477z00_5593 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4904))))->
								BgL_falsez00);
							BgL_fdefz00_5592 =
								BGl_defusez00zzliveness_livenessz00(BgL_arg2477z00_5593);
						}
						{	/* Liveness/liveness.scm 715 */
							obj_t BgL_fusez00_5594;

							{	/* Liveness/liveness.scm 716 */
								obj_t BgL_tmpz00_5595;

								{	/* Liveness/liveness.scm 716 */
									int BgL_tmpz00_9350;

									BgL_tmpz00_9350 = (int) (((long) 1));
									BgL_tmpz00_5595 = BGL_MVALUES_VAL(BgL_tmpz00_9350);
								}
								{	/* Liveness/liveness.scm 716 */
									int BgL_tmpz00_9353;

									BgL_tmpz00_9353 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9353, BUNSPEC);
								}
								BgL_fusez00_5594 = BgL_tmpz00_5595;
							}
							{	/* Liveness/liveness.scm 716 */
								BgL_nodez00_bglt BgL_arg2470z00_5596;
								obj_t BgL_arg2471z00_5597;

								BgL_arg2470z00_5596 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt) BgL_nz00_4904))))->
									BgL_testz00);
								{	/* Liveness/liveness.scm 716 */
									obj_t BgL_arg2473z00_5598;
									obj_t BgL_arg2474z00_5599;

									{
										BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9359;

										{
											obj_t BgL_auxz00_9360;

											{	/* Liveness/liveness.scm 716 */
												BgL_objectz00_bglt BgL_tmpz00_9361;

												BgL_tmpz00_9361 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4904));
												BgL_auxz00_9360 = BGL_OBJECT_WIDENING(BgL_tmpz00_9361);
											}
											BgL_auxz00_9359 =
												((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9360);
										}
										BgL_arg2473z00_5598 =
											(((BgL_conditionalzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_9359))->BgL_outz00);
									}
									{	/* Liveness/liveness.scm 716 */
										obj_t BgL_list2475z00_5600;

										{	/* Liveness/liveness.scm 716 */
											obj_t BgL_arg2476z00_5601;

											BgL_arg2476z00_5601 =
												MAKE_YOUNG_PAIR(BgL_fdefz00_5592, BNIL);
											BgL_list2475z00_5600 =
												MAKE_YOUNG_PAIR(BgL_tdefz00_5588, BgL_arg2476z00_5601);
										}
										BgL_arg2474z00_5599 =
											BGl_intersectionz00zzliveness_setz00
											(BgL_list2475z00_5600);
									}
									BgL_arg2471z00_5597 =
										BGl_disjonctionz00zzliveness_setz00(BgL_arg2473z00_5598,
										BgL_arg2474z00_5599);
								}
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2470z00_5596,
									BgL_arg2471z00_5597);
			}}}}}
			{
				obj_t BgL_auxz00_9379;
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9372;

				{	/* Liveness/liveness.scm 717 */
					obj_t BgL_arg2479z00_5602;
					obj_t BgL_arg2481z00_5603;

					{
						BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9380;

						{
							obj_t BgL_auxz00_9381;

							{	/* Liveness/liveness.scm 717 */
								BgL_objectz00_bglt BgL_tmpz00_9382;

								BgL_tmpz00_9382 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4904));
								BgL_auxz00_9381 = BGL_OBJECT_WIDENING(BgL_tmpz00_9382);
							}
							BgL_auxz00_9380 =
								((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9381);
						}
						BgL_arg2479z00_5602 =
							(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9380))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 717 */
						obj_t BgL_arg2485z00_5604;
						obj_t BgL_arg2487z00_5605;

						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9388;

							{
								obj_t BgL_auxz00_9389;

								{	/* Liveness/liveness.scm 717 */
									BgL_objectz00_bglt BgL_tmpz00_9390;

									BgL_tmpz00_9390 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4904));
									BgL_auxz00_9389 = BGL_OBJECT_WIDENING(BgL_tmpz00_9390);
								}
								BgL_auxz00_9388 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9389);
							}
							BgL_arg2485z00_5604 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9388))->BgL_outz00);
						}
						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9396;

							{
								obj_t BgL_auxz00_9397;

								{	/* Liveness/liveness.scm 717 */
									BgL_objectz00_bglt BgL_tmpz00_9398;

									BgL_tmpz00_9398 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4904));
									BgL_auxz00_9397 = BGL_OBJECT_WIDENING(BgL_tmpz00_9398);
								}
								BgL_auxz00_9396 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9397);
							}
							BgL_arg2487z00_5605 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9396))->BgL_defz00);
						}
						BgL_arg2481z00_5603 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2485z00_5604,
							BgL_arg2487z00_5605);
					}
					{	/* Liveness/liveness.scm 717 */
						obj_t BgL_list2482z00_5606;

						{	/* Liveness/liveness.scm 717 */
							obj_t BgL_arg2484z00_5607;

							BgL_arg2484z00_5607 = MAKE_YOUNG_PAIR(BgL_arg2481z00_5603, BNIL);
							BgL_list2482z00_5606 =
								MAKE_YOUNG_PAIR(BgL_arg2479z00_5602, BgL_arg2484z00_5607);
						}
						BgL_auxz00_9379 =
							BGl_unionz00zzliveness_setz00(BgL_list2482z00_5606);
				}}
				{
					obj_t BgL_auxz00_9373;

					{	/* Liveness/liveness.scm 717 */
						BgL_objectz00_bglt BgL_tmpz00_9374;

						BgL_tmpz00_9374 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4904));
						BgL_auxz00_9373 = BGL_OBJECT_WIDENING(BgL_tmpz00_9374);
					}
					BgL_auxz00_9372 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9373);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9372))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9379), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 718 */
				obj_t BgL_val0_1730z00_5608;
				obj_t BgL_val1_1731z00_5609;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9409;

					{
						obj_t BgL_auxz00_9410;

						{	/* Liveness/liveness.scm 718 */
							BgL_objectz00_bglt BgL_tmpz00_9411;

							BgL_tmpz00_9411 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4904));
							BgL_auxz00_9410 = BGL_OBJECT_WIDENING(BgL_tmpz00_9411);
						}
						BgL_auxz00_9409 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9410);
					}
					BgL_val0_1730z00_5608 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9409))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9417;

					{
						obj_t BgL_auxz00_9418;

						{	/* Liveness/liveness.scm 718 */
							BgL_objectz00_bglt BgL_tmpz00_9419;

							BgL_tmpz00_9419 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4904));
							BgL_auxz00_9418 = BGL_OBJECT_WIDENING(BgL_tmpz00_9419);
						}
						BgL_auxz00_9417 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9418);
					}
					BgL_val1_1731z00_5609 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9417))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 718 */
					int BgL_tmpz00_9425;

					BgL_tmpz00_9425 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9425);
				}
				{	/* Liveness/liveness.scm 718 */
					int BgL_tmpz00_9428;

					BgL_tmpz00_9428 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9428, BgL_val1_1731z00_5609);
				}
				return BgL_val0_1730z00_5608;
			}
		}

	}



/* &defuse-conditional/l2016 */
	obj_t BGl_z62defusezd2conditionalzf2l2016z42zzliveness_livenessz00(obj_t
		BgL_envz00_4906, obj_t BgL_nz00_4907)
	{
		{	/* Liveness/liveness.scm 703 */
			{	/* Liveness/liveness.scm 705 */
				obj_t BgL_val0_1728z00_5611;
				obj_t BgL_val1_1729z00_5612;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9431;

					{
						obj_t BgL_auxz00_9432;

						{	/* Liveness/liveness.scm 705 */
							BgL_objectz00_bglt BgL_tmpz00_9433;

							BgL_tmpz00_9433 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907));
							BgL_auxz00_9432 = BGL_OBJECT_WIDENING(BgL_tmpz00_9433);
						}
						BgL_auxz00_9431 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9432);
					}
					BgL_val0_1728z00_5611 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9431))->
						BgL_defz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9439;

					{
						obj_t BgL_auxz00_9440;

						{	/* Liveness/liveness.scm 705 */
							BgL_objectz00_bglt BgL_tmpz00_9441;

							BgL_tmpz00_9441 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4907));
							BgL_auxz00_9440 = BGL_OBJECT_WIDENING(BgL_tmpz00_9441);
						}
						BgL_auxz00_9439 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_9440);
					}
					BgL_val1_1729z00_5612 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9439))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 705 */
					int BgL_tmpz00_9447;

					BgL_tmpz00_9447 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9447);
				}
				{	/* Liveness/liveness.scm 705 */
					int BgL_tmpz00_9450;

					BgL_tmpz00_9450 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9450, BgL_val1_1729z00_5612);
				}
				return BgL_val0_1728z00_5611;
			}
		}

	}



/* &defuse-conditional2014 */
	obj_t BGl_z62defusezd2conditional2014zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4908, obj_t BgL_nz00_4909)
	{
		{	/* Liveness/liveness.scm 690 */
			{	/* Liveness/liveness.scm 692 */
				obj_t BgL_deftestz00_5614;

				BgL_deftestz00_5614 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_4909)))->BgL_testz00));
				{	/* Liveness/liveness.scm 693 */
					obj_t BgL_usetestz00_5615;

					{	/* Liveness/liveness.scm 694 */
						obj_t BgL_tmpz00_5616;

						{	/* Liveness/liveness.scm 694 */
							int BgL_tmpz00_9456;

							BgL_tmpz00_9456 = (int) (((long) 1));
							BgL_tmpz00_5616 = BGL_MVALUES_VAL(BgL_tmpz00_9456);
						}
						{	/* Liveness/liveness.scm 694 */
							int BgL_tmpz00_9459;

							BgL_tmpz00_9459 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9459, BUNSPEC);
						}
						BgL_usetestz00_5615 = BgL_tmpz00_5616;
					}
					{	/* Liveness/liveness.scm 694 */
						obj_t BgL_deftruez00_5617;

						BgL_deftruez00_5617 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_4909)))->BgL_truez00));
						{	/* Liveness/liveness.scm 695 */
							obj_t BgL_usetruez00_5618;

							{	/* Liveness/liveness.scm 696 */
								obj_t BgL_tmpz00_5619;

								{	/* Liveness/liveness.scm 696 */
									int BgL_tmpz00_9465;

									BgL_tmpz00_9465 = (int) (((long) 1));
									BgL_tmpz00_5619 = BGL_MVALUES_VAL(BgL_tmpz00_9465);
								}
								{	/* Liveness/liveness.scm 696 */
									int BgL_tmpz00_9468;

									BgL_tmpz00_9468 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_9468, BUNSPEC);
								}
								BgL_usetruez00_5618 = BgL_tmpz00_5619;
							}
							{	/* Liveness/liveness.scm 696 */
								obj_t BgL_deffalsez00_5620;

								BgL_deffalsez00_5620 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_4909)))->
										BgL_falsez00));
								{	/* Liveness/liveness.scm 697 */
									obj_t BgL_usefalsez00_5621;

									{	/* Liveness/liveness.scm 698 */
										obj_t BgL_tmpz00_5622;

										{	/* Liveness/liveness.scm 698 */
											int BgL_tmpz00_9474;

											BgL_tmpz00_9474 = (int) (((long) 1));
											BgL_tmpz00_5622 = BGL_MVALUES_VAL(BgL_tmpz00_9474);
										}
										{	/* Liveness/liveness.scm 698 */
											int BgL_tmpz00_9477;

											BgL_tmpz00_9477 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_9477, BUNSPEC);
										}
										BgL_usefalsez00_5621 = BgL_tmpz00_5622;
									}
									{	/* Liveness/liveness.scm 699 */
										BgL_conditionalz00_bglt BgL_arg2450z00_5623;

										{	/* Liveness/liveness.scm 699 */
											BgL_conditionalzf2livenesszf2_bglt BgL_wide1324z00_5624;

											BgL_wide1324z00_5624 =
												((BgL_conditionalzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_conditionalzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 699 */
												obj_t BgL_auxz00_9485;
												BgL_objectz00_bglt BgL_tmpz00_9481;

												BgL_auxz00_9485 = ((obj_t) BgL_wide1324z00_5624);
												BgL_tmpz00_9481 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt)
														((BgL_conditionalz00_bglt) BgL_nz00_4909)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9481,
													BgL_auxz00_9485);
											}
											((BgL_objectz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4909)));
											{	/* Liveness/liveness.scm 699 */
												long BgL_arg2451z00_5625;

												BgL_arg2451z00_5625 =
													BGL_CLASS_NUM
													(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_conditionalz00_bglt) (
																(BgL_conditionalz00_bglt) BgL_nz00_4909))),
													BgL_arg2451z00_5625);
											}
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4909)));
										}
										{
											obj_t BgL_auxz00_9507;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9499;

											{	/* Liveness/liveness.scm 700 */
												obj_t BgL_arg2452z00_5626;

												{	/* Liveness/liveness.scm 700 */
													obj_t BgL_list2455z00_5627;

													{	/* Liveness/liveness.scm 700 */
														obj_t BgL_arg2456z00_5628;

														BgL_arg2456z00_5628 =
															MAKE_YOUNG_PAIR(BgL_deffalsez00_5620, BNIL);
														BgL_list2455z00_5627 =
															MAKE_YOUNG_PAIR(BgL_deftruez00_5617,
															BgL_arg2456z00_5628);
													}
													BgL_arg2452z00_5626 =
														BGl_intersectionz00zzliveness_setz00
														(BgL_list2455z00_5627);
												}
												{	/* Liveness/liveness.scm 700 */
													obj_t BgL_list2453z00_5629;

													{	/* Liveness/liveness.scm 700 */
														obj_t BgL_arg2454z00_5630;

														BgL_arg2454z00_5630 =
															MAKE_YOUNG_PAIR(BgL_arg2452z00_5626, BNIL);
														BgL_list2453z00_5629 =
															MAKE_YOUNG_PAIR(BgL_deftestz00_5614,
															BgL_arg2454z00_5630);
													}
													BgL_auxz00_9507 =
														BGl_unionz00zzliveness_setz00(BgL_list2453z00_5629);
											}}
											{
												obj_t BgL_auxz00_9500;

												{	/* Liveness/liveness.scm 700 */
													BgL_objectz00_bglt BgL_tmpz00_9501;

													BgL_tmpz00_9501 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4909)));
													BgL_auxz00_9500 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9501);
												}
												BgL_auxz00_9499 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9500);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9499))->BgL_defz00) =
												((obj_t) BgL_auxz00_9507), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_9523;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9515;

											{	/* Liveness/liveness.scm 701 */
												obj_t BgL_arg2457z00_5631;

												{	/* Liveness/liveness.scm 701 */
													obj_t BgL_arg2461z00_5632;

													{	/* Liveness/liveness.scm 701 */
														obj_t BgL_list2462z00_5633;

														{	/* Liveness/liveness.scm 701 */
															obj_t BgL_arg2463z00_5634;

															BgL_arg2463z00_5634 =
																MAKE_YOUNG_PAIR(BgL_usefalsez00_5621, BNIL);
															BgL_list2462z00_5633 =
																MAKE_YOUNG_PAIR(BgL_usetruez00_5618,
																BgL_arg2463z00_5634);
														}
														BgL_arg2461z00_5632 =
															BGl_unionz00zzliveness_setz00
															(BgL_list2462z00_5633);
													}
													BgL_arg2457z00_5631 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2461z00_5632, BgL_deftestz00_5614);
												}
												{	/* Liveness/liveness.scm 701 */
													obj_t BgL_list2458z00_5635;

													{	/* Liveness/liveness.scm 701 */
														obj_t BgL_arg2460z00_5636;

														BgL_arg2460z00_5636 =
															MAKE_YOUNG_PAIR(BgL_arg2457z00_5631, BNIL);
														BgL_list2458z00_5635 =
															MAKE_YOUNG_PAIR(BgL_usetestz00_5615,
															BgL_arg2460z00_5636);
													}
													BgL_auxz00_9523 =
														BGl_unionz00zzliveness_setz00(BgL_list2458z00_5635);
											}}
											{
												obj_t BgL_auxz00_9516;

												{	/* Liveness/liveness.scm 701 */
													BgL_objectz00_bglt BgL_tmpz00_9517;

													BgL_tmpz00_9517 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4909)));
													BgL_auxz00_9516 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9517);
												}
												BgL_auxz00_9515 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9516);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9515))->BgL_usez00) =
												((obj_t) BgL_auxz00_9523), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9532;

											{
												obj_t BgL_auxz00_9533;

												{	/* Liveness/liveness.scm 697 */
													BgL_objectz00_bglt BgL_tmpz00_9534;

													BgL_tmpz00_9534 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4909)));
													BgL_auxz00_9533 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9534);
												}
												BgL_auxz00_9532 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9533);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9532))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_9541;

											{
												obj_t BgL_auxz00_9542;

												{	/* Liveness/liveness.scm 697 */
													BgL_objectz00_bglt BgL_tmpz00_9543;

													BgL_tmpz00_9543 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4909)));
													BgL_auxz00_9542 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_9543);
												}
												BgL_auxz00_9541 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_9542);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_9541))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2450z00_5623 =
											((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4909));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2450z00_5623));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-setq/liveness2011 */
	obj_t BGl_z62inoutzd2setqzf2liveness2011z42zzliveness_livenessz00(obj_t
		BgL_envz00_4910, obj_t BgL_nz00_4911)
	{
		{	/* Liveness/liveness.scm 683 */
			{	/* Liveness/liveness.scm 685 */
				obj_t BgL_val0_1726z00_5638;
				obj_t BgL_val1_1727z00_5639;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9554;

					{
						obj_t BgL_auxz00_9555;

						{	/* Liveness/liveness.scm 685 */
							BgL_objectz00_bglt BgL_tmpz00_9556;

							BgL_tmpz00_9556 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4911));
							BgL_auxz00_9555 = BGL_OBJECT_WIDENING(BgL_tmpz00_9556);
						}
						BgL_auxz00_9554 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9555);
					}
					BgL_val0_1726z00_5638 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9554))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9562;

					{
						obj_t BgL_auxz00_9563;

						{	/* Liveness/liveness.scm 685 */
							BgL_objectz00_bglt BgL_tmpz00_9564;

							BgL_tmpz00_9564 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4911));
							BgL_auxz00_9563 = BGL_OBJECT_WIDENING(BgL_tmpz00_9564);
						}
						BgL_auxz00_9562 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9563);
					}
					BgL_val1_1727z00_5639 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9562))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 685 */
					int BgL_tmpz00_9570;

					BgL_tmpz00_9570 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9570);
				}
				{	/* Liveness/liveness.scm 685 */
					int BgL_tmpz00_9573;

					BgL_tmpz00_9573 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9573, BgL_val1_1727z00_5639);
				}
				return BgL_val0_1726z00_5638;
			}
		}

	}



/* &inout!-setq/liveness2009 */
	obj_t BGl_z62inoutz12zd2setqzf2liveness2009z50zzliveness_livenessz00(obj_t
		BgL_envz00_4912, obj_t BgL_nz00_4913, obj_t BgL_oz00_4914)
	{
		{	/* Liveness/liveness.scm 677 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_9576;

				{
					obj_t BgL_auxz00_9577;

					{	/* Liveness/liveness.scm 679 */
						BgL_objectz00_bglt BgL_tmpz00_9578;

						BgL_tmpz00_9578 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
						BgL_auxz00_9577 = BGL_OBJECT_WIDENING(BgL_tmpz00_9578);
					}
					BgL_auxz00_9576 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9577);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9576))->
						BgL_outz00) = ((obj_t) BgL_oz00_4914), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9591;
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_9584;

				{	/* Liveness/liveness.scm 680 */
					obj_t BgL_arg2442z00_5641;
					obj_t BgL_arg2443z00_5642;

					{
						BgL_setqzf2livenesszf2_bglt BgL_auxz00_9592;

						{
							obj_t BgL_auxz00_9593;

							{	/* Liveness/liveness.scm 680 */
								BgL_objectz00_bglt BgL_tmpz00_9594;

								BgL_tmpz00_9594 =
									((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
								BgL_auxz00_9593 = BGL_OBJECT_WIDENING(BgL_tmpz00_9594);
							}
							BgL_auxz00_9592 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9593);
						}
						BgL_arg2442z00_5641 =
							(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9592))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 680 */
						obj_t BgL_arg2447z00_5643;
						obj_t BgL_arg2448z00_5644;

						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9600;

							{
								obj_t BgL_auxz00_9601;

								{	/* Liveness/liveness.scm 680 */
									BgL_objectz00_bglt BgL_tmpz00_9602;

									BgL_tmpz00_9602 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
									BgL_auxz00_9601 = BGL_OBJECT_WIDENING(BgL_tmpz00_9602);
								}
								BgL_auxz00_9600 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9601);
							}
							BgL_arg2447z00_5643 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9600))->
								BgL_outz00);
						}
						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9608;

							{
								obj_t BgL_auxz00_9609;

								{	/* Liveness/liveness.scm 680 */
									BgL_objectz00_bglt BgL_tmpz00_9610;

									BgL_tmpz00_9610 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
									BgL_auxz00_9609 = BGL_OBJECT_WIDENING(BgL_tmpz00_9610);
								}
								BgL_auxz00_9608 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9609);
							}
							BgL_arg2448z00_5644 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9608))->
								BgL_defz00);
						}
						BgL_arg2443z00_5642 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2447z00_5643,
							BgL_arg2448z00_5644);
					}
					{	/* Liveness/liveness.scm 680 */
						obj_t BgL_list2444z00_5645;

						{	/* Liveness/liveness.scm 680 */
							obj_t BgL_arg2446z00_5646;

							BgL_arg2446z00_5646 = MAKE_YOUNG_PAIR(BgL_arg2443z00_5642, BNIL);
							BgL_list2444z00_5645 =
								MAKE_YOUNG_PAIR(BgL_arg2442z00_5641, BgL_arg2446z00_5646);
						}
						BgL_auxz00_9591 =
							BGl_unionz00zzliveness_setz00(BgL_list2444z00_5645);
					}
				}
				{
					obj_t BgL_auxz00_9585;

					{	/* Liveness/liveness.scm 680 */
						BgL_objectz00_bglt BgL_tmpz00_9586;

						BgL_tmpz00_9586 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
						BgL_auxz00_9585 = BGL_OBJECT_WIDENING(BgL_tmpz00_9586);
					}
					BgL_auxz00_9584 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9585);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9584))->BgL_inz00) =
					((obj_t) BgL_auxz00_9591), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 681 */
				obj_t BgL_val0_1724z00_5647;
				obj_t BgL_val1_1725z00_5648;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9621;

					{
						obj_t BgL_auxz00_9622;

						{	/* Liveness/liveness.scm 681 */
							BgL_objectz00_bglt BgL_tmpz00_9623;

							BgL_tmpz00_9623 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
							BgL_auxz00_9622 = BGL_OBJECT_WIDENING(BgL_tmpz00_9623);
						}
						BgL_auxz00_9621 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9622);
					}
					BgL_val0_1724z00_5647 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9621))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9629;

					{
						obj_t BgL_auxz00_9630;

						{	/* Liveness/liveness.scm 681 */
							BgL_objectz00_bglt BgL_tmpz00_9631;

							BgL_tmpz00_9631 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4913));
							BgL_auxz00_9630 = BGL_OBJECT_WIDENING(BgL_tmpz00_9631);
						}
						BgL_auxz00_9629 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9630);
					}
					BgL_val1_1725z00_5648 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9629))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 681 */
					int BgL_tmpz00_9637;

					BgL_tmpz00_9637 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9637);
				}
				{	/* Liveness/liveness.scm 681 */
					int BgL_tmpz00_9640;

					BgL_tmpz00_9640 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9640, BgL_val1_1725z00_5648);
				}
				return BgL_val0_1724z00_5647;
			}
		}

	}



/* &defuse-setq/liveness2007 */
	obj_t BGl_z62defusezd2setqzf2liveness2007z42zzliveness_livenessz00(obj_t
		BgL_envz00_4915, obj_t BgL_nz00_4916)
	{
		{	/* Liveness/liveness.scm 673 */
			{	/* Liveness/liveness.scm 675 */
				obj_t BgL_val0_1722z00_5650;
				obj_t BgL_val1_1723z00_5651;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9643;

					{
						obj_t BgL_auxz00_9644;

						{	/* Liveness/liveness.scm 675 */
							BgL_objectz00_bglt BgL_tmpz00_9645;

							BgL_tmpz00_9645 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
							BgL_auxz00_9644 = BGL_OBJECT_WIDENING(BgL_tmpz00_9645);
						}
						BgL_auxz00_9643 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9644);
					}
					BgL_val0_1722z00_5650 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9643))->
						BgL_defz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9651;

					{
						obj_t BgL_auxz00_9652;

						{	/* Liveness/liveness.scm 675 */
							BgL_objectz00_bglt BgL_tmpz00_9653;

							BgL_tmpz00_9653 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4916));
							BgL_auxz00_9652 = BGL_OBJECT_WIDENING(BgL_tmpz00_9653);
						}
						BgL_auxz00_9651 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9652);
					}
					BgL_val1_1723z00_5651 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9651))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 675 */
					int BgL_tmpz00_9659;

					BgL_tmpz00_9659 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9659);
				}
				{	/* Liveness/liveness.scm 675 */
					int BgL_tmpz00_9662;

					BgL_tmpz00_9662 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9662, BgL_val1_1723z00_5651);
				}
				return BgL_val0_1722z00_5650;
			}
		}

	}



/* &defuse-setq2005 */
	obj_t BGl_z62defusezd2setq2005zb0zzliveness_livenessz00(obj_t BgL_envz00_4917,
		obj_t BgL_nz00_4918)
	{
		{	/* Liveness/liveness.scm 661 */
			{	/* Liveness/liveness.scm 663 */
				obj_t BgL_defvaluez00_5653;

				BgL_defvaluez00_5653 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_4918)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 664 */
					obj_t BgL_usevaluez00_5654;

					{	/* Liveness/liveness.scm 665 */
						obj_t BgL_tmpz00_5655;

						{	/* Liveness/liveness.scm 665 */
							int BgL_tmpz00_9668;

							BgL_tmpz00_9668 = (int) (((long) 1));
							BgL_tmpz00_5655 = BGL_MVALUES_VAL(BgL_tmpz00_9668);
						}
						{	/* Liveness/liveness.scm 665 */
							int BgL_tmpz00_9671;

							BgL_tmpz00_9671 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9671, BUNSPEC);
						}
						BgL_usevaluez00_5654 = BgL_tmpz00_5655;
					}
					{	/* Liveness/liveness.scm 665 */
						BgL_varz00_bglt BgL_i1313z00_5656;

						BgL_i1313z00_5656 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_4918)))->BgL_varz00);
						{	/* Liveness/liveness.scm 666 */
							bool_t BgL_test3294z00_9676;

							{	/* Liveness/liveness.scm 666 */
								BgL_variablez00_bglt BgL_arg2437z00_5657;

								BgL_arg2437z00_5657 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1313z00_5656))->
									BgL_variablez00);
								{	/* Liveness/liveness.scm 666 */
									obj_t BgL_classz00_5658;

									BgL_classz00_5658 =
										BGl_localzf2livenesszf2zzliveness_typesz00;
									{	/* Liveness/liveness.scm 666 */
										BgL_objectz00_bglt BgL_arg1820z00_5659;

										{	/* Liveness/liveness.scm 666 */
											obj_t BgL_tmpz00_9678;

											BgL_tmpz00_9678 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2437z00_5657));
											BgL_arg1820z00_5659 =
												(BgL_objectz00_bglt) (BgL_tmpz00_9678);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Liveness/liveness.scm 666 */
												long BgL_idxz00_5660;

												BgL_idxz00_5660 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5659);
												BgL_test3294z00_9676 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5660 + ((long) 3))) ==
													BgL_classz00_5658);
											}
										else
											{	/* Liveness/liveness.scm 666 */
												bool_t BgL_res2958z00_5663;

												{	/* Liveness/liveness.scm 666 */
													obj_t BgL_oclassz00_5664;

													{	/* Liveness/liveness.scm 666 */
														long BgL_arg1828z00_5665;

														{	/* Liveness/liveness.scm 666 */
															long BgL_arg1829z00_5666;

															BgL_arg1829z00_5666 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5659);
															BgL_arg1828z00_5665 =
																(BgL_arg1829z00_5666 - OBJECT_TYPE);
														}
														BgL_oclassz00_5664 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_5665);
													}
													{	/* Liveness/liveness.scm 666 */
														bool_t BgL__ortest_1111z00_5667;

														BgL__ortest_1111z00_5667 =
															(BgL_classz00_5658 == BgL_oclassz00_5664);
														if (BgL__ortest_1111z00_5667)
															{	/* Liveness/liveness.scm 666 */
																BgL_res2958z00_5663 = BgL__ortest_1111z00_5667;
															}
														else
															{	/* Liveness/liveness.scm 666 */
																long BgL_odepthz00_5668;

																BgL_odepthz00_5668 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5664);
																if ((((long) 3) < BgL_odepthz00_5668))
																	{	/* Liveness/liveness.scm 666 */
																		obj_t BgL_arg1816z00_5669;

																		BgL_arg1816z00_5669 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5664, ((long) 3));
																		BgL_res2958z00_5663 =
																			(BgL_arg1816z00_5669 ==
																			BgL_classz00_5658);
																	}
																else
																	{	/* Liveness/liveness.scm 666 */
																		BgL_res2958z00_5663 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3294z00_9676 = BgL_res2958z00_5663;
											}
									}
								}
							}
							if (BgL_test3294z00_9676)
								{	/* Liveness/liveness.scm 667 */
									BgL_variablez00_bglt BgL_arg2436z00_5670;

									BgL_arg2436z00_5670 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1313z00_5656))->
										BgL_variablez00);
									BgL_defvaluez00_5653 =
										BGl_addz00zzliveness_setz00(((BgL_localz00_bglt)
											BgL_arg2436z00_5670), BgL_defvaluez00_5653);
								}
							else
								{	/* Liveness/liveness.scm 666 */
									BFALSE;
								}
						}
						{	/* Liveness/liveness.scm 669 */
							BgL_setqz00_bglt BgL_arg2438z00_5671;

							{	/* Liveness/liveness.scm 669 */
								BgL_setqzf2livenesszf2_bglt BgL_wide1316z00_5672;

								BgL_wide1316z00_5672 =
									((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_setqzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 669 */
									obj_t BgL_auxz00_9706;
									BgL_objectz00_bglt BgL_tmpz00_9702;

									BgL_auxz00_9706 = ((obj_t) BgL_wide1316z00_5672);
									BgL_tmpz00_9702 =
										((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9702, BgL_auxz00_9706);
								}
								((BgL_objectz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
								{	/* Liveness/liveness.scm 669 */
									long BgL_arg2439z00_5673;

									BgL_arg2439z00_5673 =
										BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_setqz00_bglt)
												((BgL_setqz00_bglt) BgL_nz00_4918))),
										BgL_arg2439z00_5673);
								}
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9720;

								{
									obj_t BgL_auxz00_9721;

									{	/* Liveness/liveness.scm 670 */
										BgL_objectz00_bglt BgL_tmpz00_9722;

										BgL_tmpz00_9722 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
										BgL_auxz00_9721 = BGL_OBJECT_WIDENING(BgL_tmpz00_9722);
									}
									BgL_auxz00_9720 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9721);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9720))->
										BgL_defz00) = ((obj_t) BgL_defvaluez00_5653), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9729;

								{
									obj_t BgL_auxz00_9730;

									{	/* Liveness/liveness.scm 671 */
										BgL_objectz00_bglt BgL_tmpz00_9731;

										BgL_tmpz00_9731 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
										BgL_auxz00_9730 = BGL_OBJECT_WIDENING(BgL_tmpz00_9731);
									}
									BgL_auxz00_9729 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9730);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9729))->
										BgL_usez00) = ((obj_t) BgL_usevaluez00_5654), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9738;

								{
									obj_t BgL_auxz00_9739;

									{	/* Liveness/liveness.scm 665 */
										BgL_objectz00_bglt BgL_tmpz00_9740;

										BgL_tmpz00_9740 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
										BgL_auxz00_9739 = BGL_OBJECT_WIDENING(BgL_tmpz00_9740);
									}
									BgL_auxz00_9738 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9739);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9738))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9747;

								{
									obj_t BgL_auxz00_9748;

									{	/* Liveness/liveness.scm 665 */
										BgL_objectz00_bglt BgL_tmpz00_9749;

										BgL_tmpz00_9749 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918)));
										BgL_auxz00_9748 = BGL_OBJECT_WIDENING(BgL_tmpz00_9749);
									}
									BgL_auxz00_9747 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9748);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9747))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2438z00_5671 =
								((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4918));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2438z00_5671));
						}
					}
				}
			}
		}

	}



/* &inout-cast/liveness2003 */
	obj_t BGl_z62inoutzd2castzf2liveness2003z42zzliveness_livenessz00(obj_t
		BgL_envz00_4919, obj_t BgL_nz00_4920)
	{
		{	/* Liveness/liveness.scm 654 */
			{	/* Liveness/liveness.scm 656 */
				obj_t BgL_val0_1720z00_5675;
				obj_t BgL_val1_1721z00_5676;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9760;

					{
						obj_t BgL_auxz00_9761;

						{	/* Liveness/liveness.scm 656 */
							BgL_objectz00_bglt BgL_tmpz00_9762;

							BgL_tmpz00_9762 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4920));
							BgL_auxz00_9761 = BGL_OBJECT_WIDENING(BgL_tmpz00_9762);
						}
						BgL_auxz00_9760 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9761);
					}
					BgL_val0_1720z00_5675 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9760))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9768;

					{
						obj_t BgL_auxz00_9769;

						{	/* Liveness/liveness.scm 656 */
							BgL_objectz00_bglt BgL_tmpz00_9770;

							BgL_tmpz00_9770 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4920));
							BgL_auxz00_9769 = BGL_OBJECT_WIDENING(BgL_tmpz00_9770);
						}
						BgL_auxz00_9768 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9769);
					}
					BgL_val1_1721z00_5676 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9768))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 656 */
					int BgL_tmpz00_9776;

					BgL_tmpz00_9776 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9776);
				}
				{	/* Liveness/liveness.scm 656 */
					int BgL_tmpz00_9779;

					BgL_tmpz00_9779 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9779, BgL_val1_1721z00_5676);
				}
				return BgL_val0_1720z00_5675;
			}
		}

	}



/* &inout!-cast/liveness2001 */
	obj_t BGl_z62inoutz12zd2castzf2liveness2001z50zzliveness_livenessz00(obj_t
		BgL_envz00_4921, obj_t BgL_nz00_4922, obj_t BgL_oz00_4923)
	{
		{	/* Liveness/liveness.scm 647 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9782;

				{
					obj_t BgL_auxz00_9783;

					{	/* Liveness/liveness.scm 649 */
						BgL_objectz00_bglt BgL_tmpz00_9784;

						BgL_tmpz00_9784 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
						BgL_auxz00_9783 = BGL_OBJECT_WIDENING(BgL_tmpz00_9784);
					}
					BgL_auxz00_9782 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9783);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9782))->
						BgL_outz00) = ((obj_t) BgL_oz00_4923), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9797;
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9790;

				{	/* Liveness/liveness.scm 650 */
					obj_t BgL_arg2425z00_5678;
					obj_t BgL_arg2426z00_5679;

					{
						BgL_castzf2livenesszf2_bglt BgL_auxz00_9798;

						{
							obj_t BgL_auxz00_9799;

							{	/* Liveness/liveness.scm 650 */
								BgL_objectz00_bglt BgL_tmpz00_9800;

								BgL_tmpz00_9800 =
									((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
								BgL_auxz00_9799 = BGL_OBJECT_WIDENING(BgL_tmpz00_9800);
							}
							BgL_auxz00_9798 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9799);
						}
						BgL_arg2425z00_5678 =
							(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9798))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 650 */
						obj_t BgL_arg2430z00_5680;
						obj_t BgL_arg2432z00_5681;

						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9806;

							{
								obj_t BgL_auxz00_9807;

								{	/* Liveness/liveness.scm 650 */
									BgL_objectz00_bglt BgL_tmpz00_9808;

									BgL_tmpz00_9808 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
									BgL_auxz00_9807 = BGL_OBJECT_WIDENING(BgL_tmpz00_9808);
								}
								BgL_auxz00_9806 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9807);
							}
							BgL_arg2430z00_5680 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9806))->
								BgL_outz00);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9814;

							{
								obj_t BgL_auxz00_9815;

								{	/* Liveness/liveness.scm 650 */
									BgL_objectz00_bglt BgL_tmpz00_9816;

									BgL_tmpz00_9816 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
									BgL_auxz00_9815 = BGL_OBJECT_WIDENING(BgL_tmpz00_9816);
								}
								BgL_auxz00_9814 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9815);
							}
							BgL_arg2432z00_5681 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9814))->
								BgL_defz00);
						}
						BgL_arg2426z00_5679 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2430z00_5680,
							BgL_arg2432z00_5681);
					}
					{	/* Liveness/liveness.scm 650 */
						obj_t BgL_list2427z00_5682;

						{	/* Liveness/liveness.scm 650 */
							obj_t BgL_arg2428z00_5683;

							BgL_arg2428z00_5683 = MAKE_YOUNG_PAIR(BgL_arg2426z00_5679, BNIL);
							BgL_list2427z00_5682 =
								MAKE_YOUNG_PAIR(BgL_arg2425z00_5678, BgL_arg2428z00_5683);
						}
						BgL_auxz00_9797 =
							BGl_unionz00zzliveness_setz00(BgL_list2427z00_5682);
					}
				}
				{
					obj_t BgL_auxz00_9791;

					{	/* Liveness/liveness.scm 650 */
						BgL_objectz00_bglt BgL_tmpz00_9792;

						BgL_tmpz00_9792 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
						BgL_auxz00_9791 = BGL_OBJECT_WIDENING(BgL_tmpz00_9792);
					}
					BgL_auxz00_9790 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9791);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9790))->BgL_inz00) =
					((obj_t) BgL_auxz00_9797), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 651 */
				BgL_nodez00_bglt BgL_arg2433z00_5684;

				BgL_arg2433z00_5684 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_nz00_4922))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2433z00_5684,
					BgL_oz00_4923);
			}
			{	/* Liveness/liveness.scm 652 */
				obj_t BgL_val0_1718z00_5685;
				obj_t BgL_val1_1719z00_5686;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9831;

					{
						obj_t BgL_auxz00_9832;

						{	/* Liveness/liveness.scm 652 */
							BgL_objectz00_bglt BgL_tmpz00_9833;

							BgL_tmpz00_9833 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
							BgL_auxz00_9832 = BGL_OBJECT_WIDENING(BgL_tmpz00_9833);
						}
						BgL_auxz00_9831 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9832);
					}
					BgL_val0_1718z00_5685 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9831))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9839;

					{
						obj_t BgL_auxz00_9840;

						{	/* Liveness/liveness.scm 652 */
							BgL_objectz00_bglt BgL_tmpz00_9841;

							BgL_tmpz00_9841 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4922));
							BgL_auxz00_9840 = BGL_OBJECT_WIDENING(BgL_tmpz00_9841);
						}
						BgL_auxz00_9839 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9840);
					}
					BgL_val1_1719z00_5686 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9839))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 652 */
					int BgL_tmpz00_9847;

					BgL_tmpz00_9847 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9847);
				}
				{	/* Liveness/liveness.scm 652 */
					int BgL_tmpz00_9850;

					BgL_tmpz00_9850 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9850, BgL_val1_1719z00_5686);
				}
				return BgL_val0_1718z00_5685;
			}
		}

	}



/* &defuse-cast/liveness1999 */
	obj_t BGl_z62defusezd2castzf2liveness1999z42zzliveness_livenessz00(obj_t
		BgL_envz00_4924, obj_t BgL_nz00_4925)
	{
		{	/* Liveness/liveness.scm 643 */
			{	/* Liveness/liveness.scm 645 */
				obj_t BgL_val0_1716z00_5688;
				obj_t BgL_val1_1717z00_5689;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9853;

					{
						obj_t BgL_auxz00_9854;

						{	/* Liveness/liveness.scm 645 */
							BgL_objectz00_bglt BgL_tmpz00_9855;

							BgL_tmpz00_9855 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
							BgL_auxz00_9854 = BGL_OBJECT_WIDENING(BgL_tmpz00_9855);
						}
						BgL_auxz00_9853 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9854);
					}
					BgL_val0_1716z00_5688 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9853))->
						BgL_defz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9861;

					{
						obj_t BgL_auxz00_9862;

						{	/* Liveness/liveness.scm 645 */
							BgL_objectz00_bglt BgL_tmpz00_9863;

							BgL_tmpz00_9863 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4925));
							BgL_auxz00_9862 = BGL_OBJECT_WIDENING(BgL_tmpz00_9863);
						}
						BgL_auxz00_9861 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9862);
					}
					BgL_val1_1717z00_5689 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9861))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 645 */
					int BgL_tmpz00_9869;

					BgL_tmpz00_9869 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9869);
				}
				{	/* Liveness/liveness.scm 645 */
					int BgL_tmpz00_9872;

					BgL_tmpz00_9872 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9872, BgL_val1_1717z00_5689);
				}
				return BgL_val0_1716z00_5688;
			}
		}

	}



/* &defuse-cast1997 */
	obj_t BGl_z62defusezd2cast1997zb0zzliveness_livenessz00(obj_t BgL_envz00_4926,
		obj_t BgL_nz00_4927)
	{
		{	/* Liveness/liveness.scm 634 */
			{	/* Liveness/liveness.scm 636 */
				obj_t BgL_defz00_5691;

				BgL_defz00_5691 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_4927)))->BgL_argz00));
				{	/* Liveness/liveness.scm 637 */
					obj_t BgL_usez00_5692;

					{	/* Liveness/liveness.scm 638 */
						obj_t BgL_tmpz00_5693;

						{	/* Liveness/liveness.scm 638 */
							int BgL_tmpz00_9878;

							BgL_tmpz00_9878 = (int) (((long) 1));
							BgL_tmpz00_5693 = BGL_MVALUES_VAL(BgL_tmpz00_9878);
						}
						{	/* Liveness/liveness.scm 638 */
							int BgL_tmpz00_9881;

							BgL_tmpz00_9881 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9881, BUNSPEC);
						}
						BgL_usez00_5692 = BgL_tmpz00_5693;
					}
					{	/* Liveness/liveness.scm 639 */
						BgL_castz00_bglt BgL_arg2421z00_5694;

						{	/* Liveness/liveness.scm 639 */
							BgL_castzf2livenesszf2_bglt BgL_wide1307z00_5695;

							BgL_wide1307z00_5695 =
								((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 639 */
								obj_t BgL_auxz00_9889;
								BgL_objectz00_bglt BgL_tmpz00_9885;

								BgL_auxz00_9889 = ((obj_t) BgL_wide1307z00_5695);
								BgL_tmpz00_9885 =
									((BgL_objectz00_bglt)
									((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9885, BgL_auxz00_9889);
							}
							((BgL_objectz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
							{	/* Liveness/liveness.scm 639 */
								long BgL_arg2422z00_5696;

								BgL_arg2422z00_5696 =
									BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt)
											((BgL_castz00_bglt) BgL_nz00_4927))),
									BgL_arg2422z00_5696);
							}
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9903;

							{
								obj_t BgL_auxz00_9904;

								{	/* Liveness/liveness.scm 640 */
									BgL_objectz00_bglt BgL_tmpz00_9905;

									BgL_tmpz00_9905 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
									BgL_auxz00_9904 = BGL_OBJECT_WIDENING(BgL_tmpz00_9905);
								}
								BgL_auxz00_9903 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9904);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9903))->
									BgL_defz00) = ((obj_t) BgL_defz00_5691), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9912;

							{
								obj_t BgL_auxz00_9913;

								{	/* Liveness/liveness.scm 641 */
									BgL_objectz00_bglt BgL_tmpz00_9914;

									BgL_tmpz00_9914 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
									BgL_auxz00_9913 = BGL_OBJECT_WIDENING(BgL_tmpz00_9914);
								}
								BgL_auxz00_9912 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9913);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9912))->
									BgL_usez00) = ((obj_t) BgL_usez00_5692), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9921;

							{
								obj_t BgL_auxz00_9922;

								{	/* Liveness/liveness.scm 637 */
									BgL_objectz00_bglt BgL_tmpz00_9923;

									BgL_tmpz00_9923 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
									BgL_auxz00_9922 = BGL_OBJECT_WIDENING(BgL_tmpz00_9923);
								}
								BgL_auxz00_9921 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9922);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9921))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9930;

							{
								obj_t BgL_auxz00_9931;

								{	/* Liveness/liveness.scm 637 */
									BgL_objectz00_bglt BgL_tmpz00_9932;

									BgL_tmpz00_9932 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927)));
									BgL_auxz00_9931 = BGL_OBJECT_WIDENING(BgL_tmpz00_9932);
								}
								BgL_auxz00_9930 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9931);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9930))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2421z00_5694 =
							((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4927));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2421z00_5694));
					}
				}
			}
		}

	}



/* &inout-cast-null/live1995 */
	obj_t BGl_z62inoutzd2castzd2nullzf2live1995z90zzliveness_livenessz00(obj_t
		BgL_envz00_4928, obj_t BgL_nz00_4929)
	{
		{	/* Liveness/liveness.scm 627 */
			{	/* Liveness/liveness.scm 629 */
				obj_t BgL_val0_1714z00_5698;
				obj_t BgL_val1_1715z00_5699;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9943;

					{
						obj_t BgL_auxz00_9944;

						{	/* Liveness/liveness.scm 629 */
							BgL_objectz00_bglt BgL_tmpz00_9945;

							BgL_tmpz00_9945 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4929));
							BgL_auxz00_9944 = BGL_OBJECT_WIDENING(BgL_tmpz00_9945);
						}
						BgL_auxz00_9943 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9944);
					}
					BgL_val0_1714z00_5698 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9943))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9951;

					{
						obj_t BgL_auxz00_9952;

						{	/* Liveness/liveness.scm 629 */
							BgL_objectz00_bglt BgL_tmpz00_9953;

							BgL_tmpz00_9953 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4929));
							BgL_auxz00_9952 = BGL_OBJECT_WIDENING(BgL_tmpz00_9953);
						}
						BgL_auxz00_9951 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9952);
					}
					BgL_val1_1715z00_5699 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9951))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 629 */
					int BgL_tmpz00_9959;

					BgL_tmpz00_9959 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9959);
				}
				{	/* Liveness/liveness.scm 629 */
					int BgL_tmpz00_9962;

					BgL_tmpz00_9962 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9962, BgL_val1_1715z00_5699);
				}
				return BgL_val0_1714z00_5698;
			}
		}

	}



/* &inout!-cast-null/liv1993 */
	obj_t BGl_z62inoutz12zd2castzd2nullzf2liv1993z82zzliveness_livenessz00(obj_t
		BgL_envz00_4930, obj_t BgL_nz00_4931, obj_t BgL_oz00_4932)
	{
		{	/* Liveness/liveness.scm 620 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9965;

				{
					obj_t BgL_auxz00_9966;

					{	/* Liveness/liveness.scm 622 */
						BgL_objectz00_bglt BgL_tmpz00_9967;

						BgL_tmpz00_9967 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
						BgL_auxz00_9966 = BGL_OBJECT_WIDENING(BgL_tmpz00_9967);
					}
					BgL_auxz00_9965 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9966);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9965))->
						BgL_outz00) = ((obj_t) BgL_oz00_4932), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9980;
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9973;

				{	/* Liveness/liveness.scm 623 */
					obj_t BgL_arg2411z00_5701;
					obj_t BgL_arg2412z00_5702;

					{
						BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9981;

						{
							obj_t BgL_auxz00_9982;

							{	/* Liveness/liveness.scm 623 */
								BgL_objectz00_bglt BgL_tmpz00_9983;

								BgL_tmpz00_9983 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
								BgL_auxz00_9982 = BGL_OBJECT_WIDENING(BgL_tmpz00_9983);
							}
							BgL_auxz00_9981 =
								((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9982);
						}
						BgL_arg2411z00_5701 =
							(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9981))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 623 */
						obj_t BgL_arg2415z00_5703;
						obj_t BgL_arg2416z00_5704;

						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9989;

							{
								obj_t BgL_auxz00_9990;

								{	/* Liveness/liveness.scm 623 */
									BgL_objectz00_bglt BgL_tmpz00_9991;

									BgL_tmpz00_9991 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
									BgL_auxz00_9990 = BGL_OBJECT_WIDENING(BgL_tmpz00_9991);
								}
								BgL_auxz00_9989 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9990);
							}
							BgL_arg2415z00_5703 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_9989))->BgL_outz00);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9997;

							{
								obj_t BgL_auxz00_9998;

								{	/* Liveness/liveness.scm 623 */
									BgL_objectz00_bglt BgL_tmpz00_9999;

									BgL_tmpz00_9999 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
									BgL_auxz00_9998 = BGL_OBJECT_WIDENING(BgL_tmpz00_9999);
								}
								BgL_auxz00_9997 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9998);
							}
							BgL_arg2416z00_5704 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_9997))->BgL_defz00);
						}
						BgL_arg2412z00_5702 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2415z00_5703,
							BgL_arg2416z00_5704);
					}
					{	/* Liveness/liveness.scm 623 */
						obj_t BgL_list2413z00_5705;

						{	/* Liveness/liveness.scm 623 */
							obj_t BgL_arg2414z00_5706;

							BgL_arg2414z00_5706 = MAKE_YOUNG_PAIR(BgL_arg2412z00_5702, BNIL);
							BgL_list2413z00_5705 =
								MAKE_YOUNG_PAIR(BgL_arg2411z00_5701, BgL_arg2414z00_5706);
						}
						BgL_auxz00_9980 =
							BGl_unionz00zzliveness_setz00(BgL_list2413z00_5705);
					}
				}
				{
					obj_t BgL_auxz00_9974;

					{	/* Liveness/liveness.scm 623 */
						BgL_objectz00_bglt BgL_tmpz00_9975;

						BgL_tmpz00_9975 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
						BgL_auxz00_9974 = BGL_OBJECT_WIDENING(BgL_tmpz00_9975);
					}
					BgL_auxz00_9973 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9974);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9973))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9980), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 624 */
				obj_t BgL_g1711z00_5707;

				BgL_g1711z00_5707 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4931))))->BgL_exprza2za2);
				{
					obj_t BgL_l1709z00_5709;

					BgL_l1709z00_5709 = BgL_g1711z00_5707;
				BgL_zc3z04anonymousza32417ze3z87_5708:
					if (PAIRP(BgL_l1709z00_5709))
						{	/* Liveness/liveness.scm 624 */
							{	/* Liveness/liveness.scm 624 */
								obj_t BgL_ez00_5710;

								BgL_ez00_5710 = CAR(BgL_l1709z00_5709);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5710), BgL_oz00_4932);
							}
							{
								obj_t BgL_l1709z00_10018;

								BgL_l1709z00_10018 = CDR(BgL_l1709z00_5709);
								BgL_l1709z00_5709 = BgL_l1709z00_10018;
								goto BgL_zc3z04anonymousza32417ze3z87_5708;
							}
						}
					else
						{	/* Liveness/liveness.scm 624 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 625 */
				obj_t BgL_val0_1712z00_5711;
				obj_t BgL_val1_1713z00_5712;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10020;

					{
						obj_t BgL_auxz00_10021;

						{	/* Liveness/liveness.scm 625 */
							BgL_objectz00_bglt BgL_tmpz00_10022;

							BgL_tmpz00_10022 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
							BgL_auxz00_10021 = BGL_OBJECT_WIDENING(BgL_tmpz00_10022);
						}
						BgL_auxz00_10020 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10021);
					}
					BgL_val0_1712z00_5711 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10020))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10028;

					{
						obj_t BgL_auxz00_10029;

						{	/* Liveness/liveness.scm 625 */
							BgL_objectz00_bglt BgL_tmpz00_10030;

							BgL_tmpz00_10030 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4931));
							BgL_auxz00_10029 = BGL_OBJECT_WIDENING(BgL_tmpz00_10030);
						}
						BgL_auxz00_10028 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10029);
					}
					BgL_val1_1713z00_5712 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10028))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 625 */
					int BgL_tmpz00_10036;

					BgL_tmpz00_10036 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10036);
				}
				{	/* Liveness/liveness.scm 625 */
					int BgL_tmpz00_10039;

					BgL_tmpz00_10039 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10039, BgL_val1_1713z00_5712);
				}
				return BgL_val0_1712z00_5711;
			}
		}

	}



/* &defuse-cast-null/liv1991 */
	obj_t BGl_z62defusezd2castzd2nullzf2liv1991z90zzliveness_livenessz00(obj_t
		BgL_envz00_4933, obj_t BgL_nz00_4934)
	{
		{	/* Liveness/liveness.scm 616 */
			{	/* Liveness/liveness.scm 618 */
				obj_t BgL_val0_1707z00_5714;
				obj_t BgL_val1_1708z00_5715;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10042;

					{
						obj_t BgL_auxz00_10043;

						{	/* Liveness/liveness.scm 618 */
							BgL_objectz00_bglt BgL_tmpz00_10044;

							BgL_tmpz00_10044 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
							BgL_auxz00_10043 = BGL_OBJECT_WIDENING(BgL_tmpz00_10044);
						}
						BgL_auxz00_10042 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10043);
					}
					BgL_val0_1707z00_5714 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10042))->
						BgL_defz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10050;

					{
						obj_t BgL_auxz00_10051;

						{	/* Liveness/liveness.scm 618 */
							BgL_objectz00_bglt BgL_tmpz00_10052;

							BgL_tmpz00_10052 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4934));
							BgL_auxz00_10051 = BGL_OBJECT_WIDENING(BgL_tmpz00_10052);
						}
						BgL_auxz00_10050 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10051);
					}
					BgL_val1_1708z00_5715 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_10050))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 618 */
					int BgL_tmpz00_10058;

					BgL_tmpz00_10058 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10058);
				}
				{	/* Liveness/liveness.scm 618 */
					int BgL_tmpz00_10061;

					BgL_tmpz00_10061 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10061, BgL_val1_1708z00_5715);
				}
				return BgL_val0_1707z00_5714;
			}
		}

	}



/* &defuse-cast-null1989 */
	obj_t BGl_z62defusezd2castzd2null1989z62zzliveness_livenessz00(obj_t
		BgL_envz00_4935, obj_t BgL_nz00_4936)
	{
		{	/* Liveness/liveness.scm 607 */
			{	/* Liveness/liveness.scm 609 */
				obj_t BgL_defz00_5717;

				{	/* Liveness/liveness.scm 610 */
					obj_t BgL_arg2410z00_5718;

					BgL_arg2410z00_5718 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4936))))->BgL_exprza2za2);
					BgL_defz00_5717 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2410z00_5718, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 610 */
					obj_t BgL_usez00_5719;

					{	/* Liveness/liveness.scm 611 */
						obj_t BgL_tmpz00_5720;

						{	/* Liveness/liveness.scm 611 */
							int BgL_tmpz00_10068;

							BgL_tmpz00_10068 = (int) (((long) 1));
							BgL_tmpz00_5720 = BGL_MVALUES_VAL(BgL_tmpz00_10068);
						}
						{	/* Liveness/liveness.scm 611 */
							int BgL_tmpz00_10071;

							BgL_tmpz00_10071 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10071, BUNSPEC);
						}
						BgL_usez00_5719 = BgL_tmpz00_5720;
					}
					{	/* Liveness/liveness.scm 612 */
						BgL_castzd2nullzd2_bglt BgL_arg2407z00_5721;

						{	/* Liveness/liveness.scm 612 */
							BgL_castzd2nullzf2livenessz20_bglt BgL_wide1299z00_5722;

							BgL_wide1299z00_5722 =
								((BgL_castzd2nullzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 612 */
								obj_t BgL_auxz00_10079;
								BgL_objectz00_bglt BgL_tmpz00_10075;

								BgL_auxz00_10079 = ((obj_t) BgL_wide1299z00_5722);
								BgL_tmpz00_10075 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10075, BgL_auxz00_10079);
							}
							((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
							{	/* Liveness/liveness.scm 612 */
								long BgL_arg2409z00_5723;

								BgL_arg2409z00_5723 =
									BGL_CLASS_NUM
									(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_castzd2nullzd2_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_nz00_4936))), BgL_arg2409z00_5723);
							}
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10093;

							{
								obj_t BgL_auxz00_10094;

								{	/* Liveness/liveness.scm 613 */
									BgL_objectz00_bglt BgL_tmpz00_10095;

									BgL_tmpz00_10095 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
									BgL_auxz00_10094 = BGL_OBJECT_WIDENING(BgL_tmpz00_10095);
								}
								BgL_auxz00_10093 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10094);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10093))->BgL_defz00) =
								((obj_t) BgL_defz00_5717), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10102;

							{
								obj_t BgL_auxz00_10103;

								{	/* Liveness/liveness.scm 614 */
									BgL_objectz00_bglt BgL_tmpz00_10104;

									BgL_tmpz00_10104 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
									BgL_auxz00_10103 = BGL_OBJECT_WIDENING(BgL_tmpz00_10104);
								}
								BgL_auxz00_10102 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10103);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10102))->BgL_usez00) =
								((obj_t) BgL_usez00_5719), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10111;

							{
								obj_t BgL_auxz00_10112;

								{	/* Liveness/liveness.scm 610 */
									BgL_objectz00_bglt BgL_tmpz00_10113;

									BgL_tmpz00_10113 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
									BgL_auxz00_10112 = BGL_OBJECT_WIDENING(BgL_tmpz00_10113);
								}
								BgL_auxz00_10111 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10112);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10111))->BgL_inz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_10120;

							{
								obj_t BgL_auxz00_10121;

								{	/* Liveness/liveness.scm 610 */
									BgL_objectz00_bglt BgL_tmpz00_10122;

									BgL_tmpz00_10122 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4936)));
									BgL_auxz00_10121 = BGL_OBJECT_WIDENING(BgL_tmpz00_10122);
								}
								BgL_auxz00_10120 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_10121);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_10120))->BgL_outz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2407z00_5721 =
							((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nz00_4936));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2407z00_5721));
					}
				}
			}
		}

	}



/* &inout-instanceof/liv1987 */
	obj_t BGl_z62inoutzd2instanceofzf2liv1987z42zzliveness_livenessz00(obj_t
		BgL_envz00_4937, obj_t BgL_nz00_4938)
	{
		{	/* Liveness/liveness.scm 600 */
			{	/* Liveness/liveness.scm 602 */
				obj_t BgL_val0_1705z00_5725;
				obj_t BgL_val1_1706z00_5726;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10133;

					{
						obj_t BgL_auxz00_10134;

						{	/* Liveness/liveness.scm 602 */
							BgL_objectz00_bglt BgL_tmpz00_10135;

							BgL_tmpz00_10135 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4938));
							BgL_auxz00_10134 = BGL_OBJECT_WIDENING(BgL_tmpz00_10135);
						}
						BgL_auxz00_10133 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10134);
					}
					BgL_val0_1705z00_5725 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10133))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10141;

					{
						obj_t BgL_auxz00_10142;

						{	/* Liveness/liveness.scm 602 */
							BgL_objectz00_bglt BgL_tmpz00_10143;

							BgL_tmpz00_10143 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4938));
							BgL_auxz00_10142 = BGL_OBJECT_WIDENING(BgL_tmpz00_10143);
						}
						BgL_auxz00_10141 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10142);
					}
					BgL_val1_1706z00_5726 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10141))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 602 */
					int BgL_tmpz00_10149;

					BgL_tmpz00_10149 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10149);
				}
				{	/* Liveness/liveness.scm 602 */
					int BgL_tmpz00_10152;

					BgL_tmpz00_10152 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10152, BgL_val1_1706z00_5726);
				}
				return BgL_val0_1705z00_5725;
			}
		}

	}



/* &inout!-instanceof/li1985 */
	obj_t BGl_z62inoutz12zd2instanceofzf2li1985z50zzliveness_livenessz00(obj_t
		BgL_envz00_4939, obj_t BgL_nz00_4940, obj_t BgL_oz00_4941)
	{
		{	/* Liveness/liveness.scm 593 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10155;

				{
					obj_t BgL_auxz00_10156;

					{	/* Liveness/liveness.scm 595 */
						BgL_objectz00_bglt BgL_tmpz00_10157;

						BgL_tmpz00_10157 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4940));
						BgL_auxz00_10156 = BGL_OBJECT_WIDENING(BgL_tmpz00_10157);
					}
					BgL_auxz00_10155 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10156);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10155))->
						BgL_outz00) = ((obj_t) BgL_oz00_4941), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10170;
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10163;

				{	/* Liveness/liveness.scm 596 */
					obj_t BgL_arg2397z00_5728;
					obj_t BgL_arg2398z00_5729;

					{
						BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10171;

						{
							obj_t BgL_auxz00_10172;

							{	/* Liveness/liveness.scm 596 */
								BgL_objectz00_bglt BgL_tmpz00_10173;

								BgL_tmpz00_10173 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4940));
								BgL_auxz00_10172 = BGL_OBJECT_WIDENING(BgL_tmpz00_10173);
							}
							BgL_auxz00_10171 =
								((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10172);
						}
						BgL_arg2397z00_5728 =
							(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10171))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 596 */
						obj_t BgL_arg2401z00_5730;
						obj_t BgL_arg2402z00_5731;

						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10179;

							{
								obj_t BgL_auxz00_10180;

								{	/* Liveness/liveness.scm 596 */
									BgL_objectz00_bglt BgL_tmpz00_10181;

									BgL_tmpz00_10181 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4940));
									BgL_auxz00_10180 = BGL_OBJECT_WIDENING(BgL_tmpz00_10181);
								}
								BgL_auxz00_10179 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10180);
							}
							BgL_arg2401z00_5730 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_10179))->BgL_outz00);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10187;

							{
								obj_t BgL_auxz00_10188;

								{	/* Liveness/liveness.scm 596 */
									BgL_objectz00_bglt BgL_tmpz00_10189;

									BgL_tmpz00_10189 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4940));
									BgL_auxz00_10188 = BGL_OBJECT_WIDENING(BgL_tmpz00_10189);
								}
								BgL_auxz00_10187 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10188);
							}
							BgL_arg2402z00_5731 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_10187))->BgL_defz00);
						}
						BgL_arg2398z00_5729 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2401z00_5730,
							BgL_arg2402z00_5731);
					}
					{	/* Liveness/liveness.scm 596 */
						obj_t BgL_list2399z00_5732;

						{	/* Liveness/liveness.scm 596 */
							obj_t BgL_arg2400z00_5733;

							BgL_arg2400z00_5733 = MAKE_YOUNG_PAIR(BgL_arg2398z00_5729, BNIL);
							BgL_list2399z00_5732 =
								MAKE_YOUNG_PAIR(BgL_arg2397z00_5728, BgL_arg2400z00_5733);
						}
						BgL_auxz00_10170 =
							BGl_unionz00zzliveness_setz00(BgL_list2399z00_5732);
					}
				}
				{
					obj_t BgL_auxz00_10164;

					{	/* Liveness/liveness.scm 596 */
						BgL_objectz00_bglt BgL_tmpz00_10165;

						BgL_tmpz00_10165 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4940));
						BgL_auxz00_10164 = BGL_OBJECT_WIDENING(BgL_tmpz00_10165);
					}
					BgL_auxz00_10163 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10164);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10163))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10170), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 597 */
				obj_t BgL_g1702z00_5734;

				BgL_g1702z00_5734 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nz00_4940))))->BgL_exprza2za2);
				{
					obj_t BgL_l1700z00_5736;

					BgL_l1700z00_5736 = BgL_g1702z00_5734;
				BgL_zc3z04anonymousza32403ze3z87_5735:
					if (PAIRP(BgL_l1700z00_5736))
						{	/* Liveness/liveness.scm 597 */
							{	/* Liveness/liveness.scm 597 */
								obj_t BgL_ez00_5737;

								BgL_ez00_5737 = CAR(BgL_l1700z00_5736);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5737), BgL_oz00_4941);
							}
							{
								obj_t BgL_l1700z00_10208;

								BgL_l1700z00_10208 = CDR(BgL_l1700z00_5736);
								BgL_l1700z00_5736 = BgL_l1700z00_10208;
								goto BgL_zc3z04anonymousza32403ze3z87_5735;
							}
						}
					else
						{	/* Liveness/liveness.scm 597 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 598 */
				obj_t BgL_val0_1703z00_5738;
				obj_t BgL_val1_1704z00_5739;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10210;

					{
						obj_t BgL_auxz00_10211;

						{	/* Liveness/liveness.scm 598 */
							BgL_objectz00_bglt BgL_tmpz00_10212;

							BgL_tmpz00_10212 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4940));
							BgL_auxz00_10211 = BGL_OBJECT_WIDENING(BgL_tmpz00_10212);
						}
						BgL_auxz00_10210 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10211);
					}
					BgL_val0_1703z00_5738 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10210))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10218;

					{
						obj_t BgL_auxz00_10219;

						{	/* Liveness/liveness.scm 598 */
							BgL_objectz00_bglt BgL_tmpz00_10220;

							BgL_tmpz00_10220 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4940));
							BgL_auxz00_10219 = BGL_OBJECT_WIDENING(BgL_tmpz00_10220);
						}
						BgL_auxz00_10218 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10219);
					}
					BgL_val1_1704z00_5739 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10218))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 598 */
					int BgL_tmpz00_10226;

					BgL_tmpz00_10226 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10226);
				}
				{	/* Liveness/liveness.scm 598 */
					int BgL_tmpz00_10229;

					BgL_tmpz00_10229 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10229, BgL_val1_1704z00_5739);
				}
				return BgL_val0_1703z00_5738;
			}
		}

	}



/* &defuse-instanceof/li1983 */
	obj_t BGl_z62defusezd2instanceofzf2li1983z42zzliveness_livenessz00(obj_t
		BgL_envz00_4942, obj_t BgL_nz00_4943)
	{
		{	/* Liveness/liveness.scm 589 */
			{	/* Liveness/liveness.scm 591 */
				obj_t BgL_val0_1698z00_5741;
				obj_t BgL_val1_1699z00_5742;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10232;

					{
						obj_t BgL_auxz00_10233;

						{	/* Liveness/liveness.scm 591 */
							BgL_objectz00_bglt BgL_tmpz00_10234;

							BgL_tmpz00_10234 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
							BgL_auxz00_10233 = BGL_OBJECT_WIDENING(BgL_tmpz00_10234);
						}
						BgL_auxz00_10232 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10233);
					}
					BgL_val0_1698z00_5741 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10232))->
						BgL_defz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10240;

					{
						obj_t BgL_auxz00_10241;

						{	/* Liveness/liveness.scm 591 */
							BgL_objectz00_bglt BgL_tmpz00_10242;

							BgL_tmpz00_10242 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4943));
							BgL_auxz00_10241 = BGL_OBJECT_WIDENING(BgL_tmpz00_10242);
						}
						BgL_auxz00_10240 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10241);
					}
					BgL_val1_1699z00_5742 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10240))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 591 */
					int BgL_tmpz00_10248;

					BgL_tmpz00_10248 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10248);
				}
				{	/* Liveness/liveness.scm 591 */
					int BgL_tmpz00_10251;

					BgL_tmpz00_10251 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10251, BgL_val1_1699z00_5742);
				}
				return BgL_val0_1698z00_5741;
			}
		}

	}



/* &defuse-instanceof1981 */
	obj_t BGl_z62defusezd2instanceof1981zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4944, obj_t BgL_nz00_4945)
	{
		{	/* Liveness/liveness.scm 580 */
			{	/* Liveness/liveness.scm 582 */
				obj_t BgL_defz00_5744;

				{	/* Liveness/liveness.scm 583 */
					obj_t BgL_arg2396z00_5745;

					BgL_arg2396z00_5745 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4945))))->BgL_exprza2za2);
					BgL_defz00_5744 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2396z00_5745, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 583 */
					obj_t BgL_usez00_5746;

					{	/* Liveness/liveness.scm 584 */
						obj_t BgL_tmpz00_5747;

						{	/* Liveness/liveness.scm 584 */
							int BgL_tmpz00_10258;

							BgL_tmpz00_10258 = (int) (((long) 1));
							BgL_tmpz00_5747 = BGL_MVALUES_VAL(BgL_tmpz00_10258);
						}
						{	/* Liveness/liveness.scm 584 */
							int BgL_tmpz00_10261;

							BgL_tmpz00_10261 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10261, BUNSPEC);
						}
						BgL_usez00_5746 = BgL_tmpz00_5747;
					}
					{	/* Liveness/liveness.scm 585 */
						BgL_instanceofz00_bglt BgL_arg2393z00_5748;

						{	/* Liveness/liveness.scm 585 */
							BgL_instanceofzf2livenesszf2_bglt BgL_wide1291z00_5749;

							BgL_wide1291z00_5749 =
								((BgL_instanceofzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 585 */
								obj_t BgL_auxz00_10269;
								BgL_objectz00_bglt BgL_tmpz00_10265;

								BgL_auxz00_10269 = ((obj_t) BgL_wide1291z00_5749);
								BgL_tmpz00_10265 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4945)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10265, BgL_auxz00_10269);
							}
							((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4945)));
							{	/* Liveness/liveness.scm 585 */
								long BgL_arg2394z00_5750;

								BgL_arg2394z00_5750 =
									BGL_CLASS_NUM
									(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt)
												BgL_nz00_4945))), BgL_arg2394z00_5750);
							}
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4945)));
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10283;

							{
								obj_t BgL_auxz00_10284;

								{	/* Liveness/liveness.scm 586 */
									BgL_objectz00_bglt BgL_tmpz00_10285;

									BgL_tmpz00_10285 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4945)));
									BgL_auxz00_10284 = BGL_OBJECT_WIDENING(BgL_tmpz00_10285);
								}
								BgL_auxz00_10283 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10284);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10283))->BgL_defz00) =
								((obj_t) BgL_defz00_5744), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10292;

							{
								obj_t BgL_auxz00_10293;

								{	/* Liveness/liveness.scm 587 */
									BgL_objectz00_bglt BgL_tmpz00_10294;

									BgL_tmpz00_10294 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4945)));
									BgL_auxz00_10293 = BGL_OBJECT_WIDENING(BgL_tmpz00_10294);
								}
								BgL_auxz00_10292 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10293);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10292))->BgL_usez00) =
								((obj_t) BgL_usez00_5746), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10301;

							{
								obj_t BgL_auxz00_10302;

								{	/* Liveness/liveness.scm 583 */
									BgL_objectz00_bglt BgL_tmpz00_10303;

									BgL_tmpz00_10303 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4945)));
									BgL_auxz00_10302 = BGL_OBJECT_WIDENING(BgL_tmpz00_10303);
								}
								BgL_auxz00_10301 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10302);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10301))->BgL_inz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_10310;

							{
								obj_t BgL_auxz00_10311;

								{	/* Liveness/liveness.scm 583 */
									BgL_objectz00_bglt BgL_tmpz00_10312;

									BgL_tmpz00_10312 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4945)));
									BgL_auxz00_10311 = BGL_OBJECT_WIDENING(BgL_tmpz00_10312);
								}
								BgL_auxz00_10310 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_10311);
							}
							((((BgL_instanceofzf2livenesszf2_bglt)
										COBJECT(BgL_auxz00_10310))->BgL_outz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2393z00_5748 =
							((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nz00_4945));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2393z00_5748));
					}
				}
			}
		}

	}



/* &inout-vlength/livene1979 */
	obj_t BGl_z62inoutzd2vlengthzf2livene1979z42zzliveness_livenessz00(obj_t
		BgL_envz00_4946, obj_t BgL_nz00_4947)
	{
		{	/* Liveness/liveness.scm 573 */
			{	/* Liveness/liveness.scm 575 */
				obj_t BgL_val0_1696z00_5752;
				obj_t BgL_val1_1697z00_5753;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10323;

					{
						obj_t BgL_auxz00_10324;

						{	/* Liveness/liveness.scm 575 */
							BgL_objectz00_bglt BgL_tmpz00_10325;

							BgL_tmpz00_10325 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4947));
							BgL_auxz00_10324 = BGL_OBJECT_WIDENING(BgL_tmpz00_10325);
						}
						BgL_auxz00_10323 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10324);
					}
					BgL_val0_1696z00_5752 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10323))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10331;

					{
						obj_t BgL_auxz00_10332;

						{	/* Liveness/liveness.scm 575 */
							BgL_objectz00_bglt BgL_tmpz00_10333;

							BgL_tmpz00_10333 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4947));
							BgL_auxz00_10332 = BGL_OBJECT_WIDENING(BgL_tmpz00_10333);
						}
						BgL_auxz00_10331 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10332);
					}
					BgL_val1_1697z00_5753 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10331))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 575 */
					int BgL_tmpz00_10339;

					BgL_tmpz00_10339 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10339);
				}
				{	/* Liveness/liveness.scm 575 */
					int BgL_tmpz00_10342;

					BgL_tmpz00_10342 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10342, BgL_val1_1697z00_5753);
				}
				return BgL_val0_1696z00_5752;
			}
		}

	}



/* &inout!-vlength/liven1977 */
	obj_t BGl_z62inoutz12zd2vlengthzf2liven1977z50zzliveness_livenessz00(obj_t
		BgL_envz00_4948, obj_t BgL_nz00_4949, obj_t BgL_oz00_4950)
	{
		{	/* Liveness/liveness.scm 566 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10345;

				{
					obj_t BgL_auxz00_10346;

					{	/* Liveness/liveness.scm 568 */
						BgL_objectz00_bglt BgL_tmpz00_10347;

						BgL_tmpz00_10347 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4949));
						BgL_auxz00_10346 = BGL_OBJECT_WIDENING(BgL_tmpz00_10347);
					}
					BgL_auxz00_10345 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10346);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10345))->
						BgL_outz00) = ((obj_t) BgL_oz00_4950), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10360;
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10353;

				{	/* Liveness/liveness.scm 569 */
					obj_t BgL_arg2382z00_5755;
					obj_t BgL_arg2383z00_5756;

					{
						BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10361;

						{
							obj_t BgL_auxz00_10362;

							{	/* Liveness/liveness.scm 569 */
								BgL_objectz00_bglt BgL_tmpz00_10363;

								BgL_tmpz00_10363 =
									((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4949));
								BgL_auxz00_10362 = BGL_OBJECT_WIDENING(BgL_tmpz00_10363);
							}
							BgL_auxz00_10361 =
								((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10362);
						}
						BgL_arg2382z00_5755 =
							(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10361))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 569 */
						obj_t BgL_arg2387z00_5757;
						obj_t BgL_arg2388z00_5758;

						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10369;

							{
								obj_t BgL_auxz00_10370;

								{	/* Liveness/liveness.scm 569 */
									BgL_objectz00_bglt BgL_tmpz00_10371;

									BgL_tmpz00_10371 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4949));
									BgL_auxz00_10370 = BGL_OBJECT_WIDENING(BgL_tmpz00_10371);
								}
								BgL_auxz00_10369 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10370);
							}
							BgL_arg2387z00_5757 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10369))->
								BgL_outz00);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10377;

							{
								obj_t BgL_auxz00_10378;

								{	/* Liveness/liveness.scm 569 */
									BgL_objectz00_bglt BgL_tmpz00_10379;

									BgL_tmpz00_10379 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4949));
									BgL_auxz00_10378 = BGL_OBJECT_WIDENING(BgL_tmpz00_10379);
								}
								BgL_auxz00_10377 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10378);
							}
							BgL_arg2388z00_5758 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10377))->
								BgL_defz00);
						}
						BgL_arg2383z00_5756 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2387z00_5757,
							BgL_arg2388z00_5758);
					}
					{	/* Liveness/liveness.scm 569 */
						obj_t BgL_list2384z00_5759;

						{	/* Liveness/liveness.scm 569 */
							obj_t BgL_arg2385z00_5760;

							BgL_arg2385z00_5760 = MAKE_YOUNG_PAIR(BgL_arg2383z00_5756, BNIL);
							BgL_list2384z00_5759 =
								MAKE_YOUNG_PAIR(BgL_arg2382z00_5755, BgL_arg2385z00_5760);
						}
						BgL_auxz00_10360 =
							BGl_unionz00zzliveness_setz00(BgL_list2384z00_5759);
					}
				}
				{
					obj_t BgL_auxz00_10354;

					{	/* Liveness/liveness.scm 569 */
						BgL_objectz00_bglt BgL_tmpz00_10355;

						BgL_tmpz00_10355 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4949));
						BgL_auxz00_10354 = BGL_OBJECT_WIDENING(BgL_tmpz00_10355);
					}
					BgL_auxz00_10353 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10354);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10353))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10360), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 570 */
				obj_t BgL_g1693z00_5761;

				BgL_g1693z00_5761 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nz00_4949))))->BgL_exprza2za2);
				{
					obj_t BgL_l1691z00_5763;

					BgL_l1691z00_5763 = BgL_g1693z00_5761;
				BgL_zc3z04anonymousza32389ze3z87_5762:
					if (PAIRP(BgL_l1691z00_5763))
						{	/* Liveness/liveness.scm 570 */
							{	/* Liveness/liveness.scm 570 */
								obj_t BgL_ez00_5764;

								BgL_ez00_5764 = CAR(BgL_l1691z00_5763);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5764), BgL_oz00_4950);
							}
							{
								obj_t BgL_l1691z00_10398;

								BgL_l1691z00_10398 = CDR(BgL_l1691z00_5763);
								BgL_l1691z00_5763 = BgL_l1691z00_10398;
								goto BgL_zc3z04anonymousza32389ze3z87_5762;
							}
						}
					else
						{	/* Liveness/liveness.scm 570 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 571 */
				obj_t BgL_val0_1694z00_5765;
				obj_t BgL_val1_1695z00_5766;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10400;

					{
						obj_t BgL_auxz00_10401;

						{	/* Liveness/liveness.scm 571 */
							BgL_objectz00_bglt BgL_tmpz00_10402;

							BgL_tmpz00_10402 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4949));
							BgL_auxz00_10401 = BGL_OBJECT_WIDENING(BgL_tmpz00_10402);
						}
						BgL_auxz00_10400 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10401);
					}
					BgL_val0_1694z00_5765 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10400))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10408;

					{
						obj_t BgL_auxz00_10409;

						{	/* Liveness/liveness.scm 571 */
							BgL_objectz00_bglt BgL_tmpz00_10410;

							BgL_tmpz00_10410 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4949));
							BgL_auxz00_10409 = BGL_OBJECT_WIDENING(BgL_tmpz00_10410);
						}
						BgL_auxz00_10408 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10409);
					}
					BgL_val1_1695z00_5766 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10408))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 571 */
					int BgL_tmpz00_10416;

					BgL_tmpz00_10416 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10416);
				}
				{	/* Liveness/liveness.scm 571 */
					int BgL_tmpz00_10419;

					BgL_tmpz00_10419 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10419, BgL_val1_1695z00_5766);
				}
				return BgL_val0_1694z00_5765;
			}
		}

	}



/* &defuse-vlength/liven1975 */
	obj_t BGl_z62defusezd2vlengthzf2liven1975z42zzliveness_livenessz00(obj_t
		BgL_envz00_4951, obj_t BgL_nz00_4952)
	{
		{	/* Liveness/liveness.scm 562 */
			{	/* Liveness/liveness.scm 564 */
				obj_t BgL_val0_1689z00_5768;
				obj_t BgL_val1_1690z00_5769;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10422;

					{
						obj_t BgL_auxz00_10423;

						{	/* Liveness/liveness.scm 564 */
							BgL_objectz00_bglt BgL_tmpz00_10424;

							BgL_tmpz00_10424 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
							BgL_auxz00_10423 = BGL_OBJECT_WIDENING(BgL_tmpz00_10424);
						}
						BgL_auxz00_10422 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10423);
					}
					BgL_val0_1689z00_5768 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10422))->
						BgL_defz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10430;

					{
						obj_t BgL_auxz00_10431;

						{	/* Liveness/liveness.scm 564 */
							BgL_objectz00_bglt BgL_tmpz00_10432;

							BgL_tmpz00_10432 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4952));
							BgL_auxz00_10431 = BGL_OBJECT_WIDENING(BgL_tmpz00_10432);
						}
						BgL_auxz00_10430 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10431);
					}
					BgL_val1_1690z00_5769 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10430))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 564 */
					int BgL_tmpz00_10438;

					BgL_tmpz00_10438 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10438);
				}
				{	/* Liveness/liveness.scm 564 */
					int BgL_tmpz00_10441;

					BgL_tmpz00_10441 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10441, BgL_val1_1690z00_5769);
				}
				return BgL_val0_1689z00_5768;
			}
		}

	}



/* &defuse-vlength1973 */
	obj_t BGl_z62defusezd2vlength1973zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4953, obj_t BgL_nz00_4954)
	{
		{	/* Liveness/liveness.scm 553 */
			{	/* Liveness/liveness.scm 555 */
				obj_t BgL_defz00_5771;

				{	/* Liveness/liveness.scm 556 */
					obj_t BgL_arg2381z00_5772;

					BgL_arg2381z00_5772 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nz00_4954))))->BgL_exprza2za2);
					BgL_defz00_5771 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2381z00_5772, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 556 */
					obj_t BgL_usez00_5773;

					{	/* Liveness/liveness.scm 557 */
						obj_t BgL_tmpz00_5774;

						{	/* Liveness/liveness.scm 557 */
							int BgL_tmpz00_10448;

							BgL_tmpz00_10448 = (int) (((long) 1));
							BgL_tmpz00_5774 = BGL_MVALUES_VAL(BgL_tmpz00_10448);
						}
						{	/* Liveness/liveness.scm 557 */
							int BgL_tmpz00_10451;

							BgL_tmpz00_10451 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10451, BUNSPEC);
						}
						BgL_usez00_5773 = BgL_tmpz00_5774;
					}
					{	/* Liveness/liveness.scm 558 */
						BgL_vlengthz00_bglt BgL_arg2379z00_5775;

						{	/* Liveness/liveness.scm 558 */
							BgL_vlengthzf2livenesszf2_bglt BgL_wide1283z00_5776;

							BgL_wide1283z00_5776 =
								((BgL_vlengthzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 558 */
								obj_t BgL_auxz00_10459;
								BgL_objectz00_bglt BgL_tmpz00_10455;

								BgL_auxz00_10459 = ((obj_t) BgL_wide1283z00_5776);
								BgL_tmpz00_10455 =
									((BgL_objectz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4954)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10455, BgL_auxz00_10459);
							}
							((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4954)));
							{	/* Liveness/liveness.scm 558 */
								long BgL_arg2380z00_5777;

								BgL_arg2380z00_5777 =
									BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4954))),
									BgL_arg2380z00_5777);
							}
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4954)));
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10473;

							{
								obj_t BgL_auxz00_10474;

								{	/* Liveness/liveness.scm 559 */
									BgL_objectz00_bglt BgL_tmpz00_10475;

									BgL_tmpz00_10475 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4954)));
									BgL_auxz00_10474 = BGL_OBJECT_WIDENING(BgL_tmpz00_10475);
								}
								BgL_auxz00_10473 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10474);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10473))->
									BgL_defz00) = ((obj_t) BgL_defz00_5771), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10482;

							{
								obj_t BgL_auxz00_10483;

								{	/* Liveness/liveness.scm 560 */
									BgL_objectz00_bglt BgL_tmpz00_10484;

									BgL_tmpz00_10484 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4954)));
									BgL_auxz00_10483 = BGL_OBJECT_WIDENING(BgL_tmpz00_10484);
								}
								BgL_auxz00_10482 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10483);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10482))->
									BgL_usez00) = ((obj_t) BgL_usez00_5773), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10491;

							{
								obj_t BgL_auxz00_10492;

								{	/* Liveness/liveness.scm 556 */
									BgL_objectz00_bglt BgL_tmpz00_10493;

									BgL_tmpz00_10493 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4954)));
									BgL_auxz00_10492 = BGL_OBJECT_WIDENING(BgL_tmpz00_10493);
								}
								BgL_auxz00_10491 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10492);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10491))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_10500;

							{
								obj_t BgL_auxz00_10501;

								{	/* Liveness/liveness.scm 556 */
									BgL_objectz00_bglt BgL_tmpz00_10502;

									BgL_tmpz00_10502 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4954)));
									BgL_auxz00_10501 = BGL_OBJECT_WIDENING(BgL_tmpz00_10502);
								}
								BgL_auxz00_10500 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_10501);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10500))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2379z00_5775 =
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4954));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2379z00_5775));
					}
				}
			}
		}

	}



/* &inout-vset!/liveness1971 */
	obj_t BGl_z62inoutzd2vsetz12zf2liveness1971z50zzliveness_livenessz00(obj_t
		BgL_envz00_4955, obj_t BgL_nz00_4956)
	{
		{	/* Liveness/liveness.scm 546 */
			{	/* Liveness/liveness.scm 548 */
				obj_t BgL_val0_1687z00_5779;
				obj_t BgL_val1_1688z00_5780;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10513;

					{
						obj_t BgL_auxz00_10514;

						{	/* Liveness/liveness.scm 548 */
							BgL_objectz00_bglt BgL_tmpz00_10515;

							BgL_tmpz00_10515 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4956));
							BgL_auxz00_10514 = BGL_OBJECT_WIDENING(BgL_tmpz00_10515);
						}
						BgL_auxz00_10513 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10514);
					}
					BgL_val0_1687z00_5779 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10513))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10521;

					{
						obj_t BgL_auxz00_10522;

						{	/* Liveness/liveness.scm 548 */
							BgL_objectz00_bglt BgL_tmpz00_10523;

							BgL_tmpz00_10523 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4956));
							BgL_auxz00_10522 = BGL_OBJECT_WIDENING(BgL_tmpz00_10523);
						}
						BgL_auxz00_10521 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10522);
					}
					BgL_val1_1688z00_5780 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10521))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 548 */
					int BgL_tmpz00_10529;

					BgL_tmpz00_10529 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10529);
				}
				{	/* Liveness/liveness.scm 548 */
					int BgL_tmpz00_10532;

					BgL_tmpz00_10532 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10532, BgL_val1_1688z00_5780);
				}
				return BgL_val0_1687z00_5779;
			}
		}

	}



/* &inout!-vset!/livenes1969 */
	obj_t BGl_z62inoutz12zd2vsetz12zf2livenes1969z42zzliveness_livenessz00(obj_t
		BgL_envz00_4957, obj_t BgL_nz00_4958, obj_t BgL_oz00_4959)
	{
		{	/* Liveness/liveness.scm 539 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10535;

				{
					obj_t BgL_auxz00_10536;

					{	/* Liveness/liveness.scm 541 */
						BgL_objectz00_bglt BgL_tmpz00_10537;

						BgL_tmpz00_10537 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4958));
						BgL_auxz00_10536 = BGL_OBJECT_WIDENING(BgL_tmpz00_10537);
					}
					BgL_auxz00_10535 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10536);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10535))->
						BgL_outz00) = ((obj_t) BgL_oz00_4959), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10550;
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10543;

				{	/* Liveness/liveness.scm 542 */
					obj_t BgL_arg2369z00_5782;
					obj_t BgL_arg2370z00_5783;

					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10551;

						{
							obj_t BgL_auxz00_10552;

							{	/* Liveness/liveness.scm 542 */
								BgL_objectz00_bglt BgL_tmpz00_10553;

								BgL_tmpz00_10553 =
									((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4958));
								BgL_auxz00_10552 = BGL_OBJECT_WIDENING(BgL_tmpz00_10553);
							}
							BgL_auxz00_10551 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10552);
						}
						BgL_arg2369z00_5782 =
							(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10551))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 542 */
						obj_t BgL_arg2373z00_5784;
						obj_t BgL_arg2374z00_5785;

						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10559;

							{
								obj_t BgL_auxz00_10560;

								{	/* Liveness/liveness.scm 542 */
									BgL_objectz00_bglt BgL_tmpz00_10561;

									BgL_tmpz00_10561 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4958));
									BgL_auxz00_10560 = BGL_OBJECT_WIDENING(BgL_tmpz00_10561);
								}
								BgL_auxz00_10559 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10560);
							}
							BgL_arg2373z00_5784 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10559))->
								BgL_outz00);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10567;

							{
								obj_t BgL_auxz00_10568;

								{	/* Liveness/liveness.scm 542 */
									BgL_objectz00_bglt BgL_tmpz00_10569;

									BgL_tmpz00_10569 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4958));
									BgL_auxz00_10568 = BGL_OBJECT_WIDENING(BgL_tmpz00_10569);
								}
								BgL_auxz00_10567 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10568);
							}
							BgL_arg2374z00_5785 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10567))->
								BgL_defz00);
						}
						BgL_arg2370z00_5783 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2373z00_5784,
							BgL_arg2374z00_5785);
					}
					{	/* Liveness/liveness.scm 542 */
						obj_t BgL_list2371z00_5786;

						{	/* Liveness/liveness.scm 542 */
							obj_t BgL_arg2372z00_5787;

							BgL_arg2372z00_5787 = MAKE_YOUNG_PAIR(BgL_arg2370z00_5783, BNIL);
							BgL_list2371z00_5786 =
								MAKE_YOUNG_PAIR(BgL_arg2369z00_5782, BgL_arg2372z00_5787);
						}
						BgL_auxz00_10550 =
							BGl_unionz00zzliveness_setz00(BgL_list2371z00_5786);
					}
				}
				{
					obj_t BgL_auxz00_10544;

					{	/* Liveness/liveness.scm 542 */
						BgL_objectz00_bglt BgL_tmpz00_10545;

						BgL_tmpz00_10545 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4958));
						BgL_auxz00_10544 = BGL_OBJECT_WIDENING(BgL_tmpz00_10545);
					}
					BgL_auxz00_10543 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10544);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10543))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10550), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 543 */
				obj_t BgL_g1684z00_5788;

				BgL_g1684z00_5788 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nz00_4958))))->BgL_exprza2za2);
				{
					obj_t BgL_l1682z00_5790;

					BgL_l1682z00_5790 = BgL_g1684z00_5788;
				BgL_zc3z04anonymousza32375ze3z87_5789:
					if (PAIRP(BgL_l1682z00_5790))
						{	/* Liveness/liveness.scm 543 */
							{	/* Liveness/liveness.scm 543 */
								obj_t BgL_ez00_5791;

								BgL_ez00_5791 = CAR(BgL_l1682z00_5790);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5791), BgL_oz00_4959);
							}
							{
								obj_t BgL_l1682z00_10588;

								BgL_l1682z00_10588 = CDR(BgL_l1682z00_5790);
								BgL_l1682z00_5790 = BgL_l1682z00_10588;
								goto BgL_zc3z04anonymousza32375ze3z87_5789;
							}
						}
					else
						{	/* Liveness/liveness.scm 543 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 544 */
				obj_t BgL_val0_1685z00_5792;
				obj_t BgL_val1_1686z00_5793;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10590;

					{
						obj_t BgL_auxz00_10591;

						{	/* Liveness/liveness.scm 544 */
							BgL_objectz00_bglt BgL_tmpz00_10592;

							BgL_tmpz00_10592 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4958));
							BgL_auxz00_10591 = BGL_OBJECT_WIDENING(BgL_tmpz00_10592);
						}
						BgL_auxz00_10590 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10591);
					}
					BgL_val0_1685z00_5792 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10590))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10598;

					{
						obj_t BgL_auxz00_10599;

						{	/* Liveness/liveness.scm 544 */
							BgL_objectz00_bglt BgL_tmpz00_10600;

							BgL_tmpz00_10600 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4958));
							BgL_auxz00_10599 = BGL_OBJECT_WIDENING(BgL_tmpz00_10600);
						}
						BgL_auxz00_10598 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10599);
					}
					BgL_val1_1686z00_5793 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10598))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 544 */
					int BgL_tmpz00_10606;

					BgL_tmpz00_10606 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10606);
				}
				{	/* Liveness/liveness.scm 544 */
					int BgL_tmpz00_10609;

					BgL_tmpz00_10609 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10609, BgL_val1_1686z00_5793);
				}
				return BgL_val0_1685z00_5792;
			}
		}

	}



/* &defuse-vset!/livenes1967 */
	obj_t BGl_z62defusezd2vsetz12zf2livenes1967z50zzliveness_livenessz00(obj_t
		BgL_envz00_4960, obj_t BgL_nz00_4961)
	{
		{	/* Liveness/liveness.scm 535 */
			{	/* Liveness/liveness.scm 537 */
				obj_t BgL_val0_1680z00_5795;
				obj_t BgL_val1_1681z00_5796;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10612;

					{
						obj_t BgL_auxz00_10613;

						{	/* Liveness/liveness.scm 537 */
							BgL_objectz00_bglt BgL_tmpz00_10614;

							BgL_tmpz00_10614 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
							BgL_auxz00_10613 = BGL_OBJECT_WIDENING(BgL_tmpz00_10614);
						}
						BgL_auxz00_10612 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10613);
					}
					BgL_val0_1680z00_5795 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10612))->
						BgL_defz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10620;

					{
						obj_t BgL_auxz00_10621;

						{	/* Liveness/liveness.scm 537 */
							BgL_objectz00_bglt BgL_tmpz00_10622;

							BgL_tmpz00_10622 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4961));
							BgL_auxz00_10621 = BGL_OBJECT_WIDENING(BgL_tmpz00_10622);
						}
						BgL_auxz00_10620 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10621);
					}
					BgL_val1_1681z00_5796 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10620))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 537 */
					int BgL_tmpz00_10628;

					BgL_tmpz00_10628 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10628);
				}
				{	/* Liveness/liveness.scm 537 */
					int BgL_tmpz00_10631;

					BgL_tmpz00_10631 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10631, BgL_val1_1681z00_5796);
				}
				return BgL_val0_1680z00_5795;
			}
		}

	}



/* &defuse-vset!1965 */
	obj_t BGl_z62defusezd2vsetz121965za2zzliveness_livenessz00(obj_t
		BgL_envz00_4962, obj_t BgL_nz00_4963)
	{
		{	/* Liveness/liveness.scm 526 */
			{	/* Liveness/liveness.scm 528 */
				obj_t BgL_defz00_5798;

				{	/* Liveness/liveness.scm 529 */
					obj_t BgL_arg2368z00_5799;

					BgL_arg2368z00_5799 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nz00_4963))))->BgL_exprza2za2);
					BgL_defz00_5798 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2368z00_5799, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 529 */
					obj_t BgL_usez00_5800;

					{	/* Liveness/liveness.scm 530 */
						obj_t BgL_tmpz00_5801;

						{	/* Liveness/liveness.scm 530 */
							int BgL_tmpz00_10638;

							BgL_tmpz00_10638 = (int) (((long) 1));
							BgL_tmpz00_5801 = BGL_MVALUES_VAL(BgL_tmpz00_10638);
						}
						{	/* Liveness/liveness.scm 530 */
							int BgL_tmpz00_10641;

							BgL_tmpz00_10641 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10641, BUNSPEC);
						}
						BgL_usez00_5800 = BgL_tmpz00_5801;
					}
					{	/* Liveness/liveness.scm 531 */
						BgL_vsetz12z12_bglt BgL_arg2366z00_5802;

						{	/* Liveness/liveness.scm 531 */
							BgL_vsetz12zf2livenessze0_bglt BgL_wide1275z00_5803;

							BgL_wide1275z00_5803 =
								((BgL_vsetz12zf2livenessze0_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vsetz12zf2livenessze0_bgl))));
							{	/* Liveness/liveness.scm 531 */
								obj_t BgL_auxz00_10649;
								BgL_objectz00_bglt BgL_tmpz00_10645;

								BgL_auxz00_10649 = ((obj_t) BgL_wide1275z00_5803);
								BgL_tmpz00_10645 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10645, BgL_auxz00_10649);
							}
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
							{	/* Liveness/liveness.scm 531 */
								long BgL_arg2367z00_5804;

								BgL_arg2367z00_5804 =
									BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4963))),
									BgL_arg2367z00_5804);
							}
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10663;

							{
								obj_t BgL_auxz00_10664;

								{	/* Liveness/liveness.scm 532 */
									BgL_objectz00_bglt BgL_tmpz00_10665;

									BgL_tmpz00_10665 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
									BgL_auxz00_10664 = BGL_OBJECT_WIDENING(BgL_tmpz00_10665);
								}
								BgL_auxz00_10663 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10664);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10663))->
									BgL_defz00) = ((obj_t) BgL_defz00_5798), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10672;

							{
								obj_t BgL_auxz00_10673;

								{	/* Liveness/liveness.scm 533 */
									BgL_objectz00_bglt BgL_tmpz00_10674;

									BgL_tmpz00_10674 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
									BgL_auxz00_10673 = BGL_OBJECT_WIDENING(BgL_tmpz00_10674);
								}
								BgL_auxz00_10672 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10673);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10672))->
									BgL_usez00) = ((obj_t) BgL_usez00_5800), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10681;

							{
								obj_t BgL_auxz00_10682;

								{	/* Liveness/liveness.scm 529 */
									BgL_objectz00_bglt BgL_tmpz00_10683;

									BgL_tmpz00_10683 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
									BgL_auxz00_10682 = BGL_OBJECT_WIDENING(BgL_tmpz00_10683);
								}
								BgL_auxz00_10681 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10682);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10681))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10690;

							{
								obj_t BgL_auxz00_10691;

								{	/* Liveness/liveness.scm 529 */
									BgL_objectz00_bglt BgL_tmpz00_10692;

									BgL_tmpz00_10692 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4963)));
									BgL_auxz00_10691 = BGL_OBJECT_WIDENING(BgL_tmpz00_10692);
								}
								BgL_auxz00_10690 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10691);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10690))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2366z00_5802 =
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4963));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2366z00_5802));
					}
				}
			}
		}

	}



/* &inout-vref/liveness1963 */
	obj_t BGl_z62inoutzd2vrefzf2liveness1963z42zzliveness_livenessz00(obj_t
		BgL_envz00_4964, obj_t BgL_nz00_4965)
	{
		{	/* Liveness/liveness.scm 519 */
			{	/* Liveness/liveness.scm 521 */
				obj_t BgL_val0_1678z00_5806;
				obj_t BgL_val1_1679z00_5807;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10703;

					{
						obj_t BgL_auxz00_10704;

						{	/* Liveness/liveness.scm 521 */
							BgL_objectz00_bglt BgL_tmpz00_10705;

							BgL_tmpz00_10705 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4965));
							BgL_auxz00_10704 = BGL_OBJECT_WIDENING(BgL_tmpz00_10705);
						}
						BgL_auxz00_10703 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10704);
					}
					BgL_val0_1678z00_5806 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10703))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10711;

					{
						obj_t BgL_auxz00_10712;

						{	/* Liveness/liveness.scm 521 */
							BgL_objectz00_bglt BgL_tmpz00_10713;

							BgL_tmpz00_10713 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4965));
							BgL_auxz00_10712 = BGL_OBJECT_WIDENING(BgL_tmpz00_10713);
						}
						BgL_auxz00_10711 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10712);
					}
					BgL_val1_1679z00_5807 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10711))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 521 */
					int BgL_tmpz00_10719;

					BgL_tmpz00_10719 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10719);
				}
				{	/* Liveness/liveness.scm 521 */
					int BgL_tmpz00_10722;

					BgL_tmpz00_10722 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10722, BgL_val1_1679z00_5807);
				}
				return BgL_val0_1678z00_5806;
			}
		}

	}



/* &inout!-vref/liveness1961 */
	obj_t BGl_z62inoutz12zd2vrefzf2liveness1961z50zzliveness_livenessz00(obj_t
		BgL_envz00_4966, obj_t BgL_nz00_4967, obj_t BgL_oz00_4968)
	{
		{	/* Liveness/liveness.scm 512 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10725;

				{
					obj_t BgL_auxz00_10726;

					{	/* Liveness/liveness.scm 514 */
						BgL_objectz00_bglt BgL_tmpz00_10727;

						BgL_tmpz00_10727 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
						BgL_auxz00_10726 = BGL_OBJECT_WIDENING(BgL_tmpz00_10727);
					}
					BgL_auxz00_10725 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10726);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10725))->
						BgL_outz00) = ((obj_t) BgL_oz00_4968), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10740;
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10733;

				{	/* Liveness/liveness.scm 515 */
					obj_t BgL_arg2357z00_5809;
					obj_t BgL_arg2358z00_5810;

					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10741;

						{
							obj_t BgL_auxz00_10742;

							{	/* Liveness/liveness.scm 515 */
								BgL_objectz00_bglt BgL_tmpz00_10743;

								BgL_tmpz00_10743 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
								BgL_auxz00_10742 = BGL_OBJECT_WIDENING(BgL_tmpz00_10743);
							}
							BgL_auxz00_10741 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10742);
						}
						BgL_arg2357z00_5809 =
							(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10741))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 515 */
						obj_t BgL_arg2361z00_5811;
						obj_t BgL_arg2362z00_5812;

						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10749;

							{
								obj_t BgL_auxz00_10750;

								{	/* Liveness/liveness.scm 515 */
									BgL_objectz00_bglt BgL_tmpz00_10751;

									BgL_tmpz00_10751 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
									BgL_auxz00_10750 = BGL_OBJECT_WIDENING(BgL_tmpz00_10751);
								}
								BgL_auxz00_10749 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10750);
							}
							BgL_arg2361z00_5811 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10749))->
								BgL_outz00);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10757;

							{
								obj_t BgL_auxz00_10758;

								{	/* Liveness/liveness.scm 515 */
									BgL_objectz00_bglt BgL_tmpz00_10759;

									BgL_tmpz00_10759 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
									BgL_auxz00_10758 = BGL_OBJECT_WIDENING(BgL_tmpz00_10759);
								}
								BgL_auxz00_10757 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10758);
							}
							BgL_arg2362z00_5812 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10757))->
								BgL_defz00);
						}
						BgL_arg2358z00_5810 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2361z00_5811,
							BgL_arg2362z00_5812);
					}
					{	/* Liveness/liveness.scm 515 */
						obj_t BgL_list2359z00_5813;

						{	/* Liveness/liveness.scm 515 */
							obj_t BgL_arg2360z00_5814;

							BgL_arg2360z00_5814 = MAKE_YOUNG_PAIR(BgL_arg2358z00_5810, BNIL);
							BgL_list2359z00_5813 =
								MAKE_YOUNG_PAIR(BgL_arg2357z00_5809, BgL_arg2360z00_5814);
						}
						BgL_auxz00_10740 =
							BGl_unionz00zzliveness_setz00(BgL_list2359z00_5813);
					}
				}
				{
					obj_t BgL_auxz00_10734;

					{	/* Liveness/liveness.scm 515 */
						BgL_objectz00_bglt BgL_tmpz00_10735;

						BgL_tmpz00_10735 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
						BgL_auxz00_10734 = BGL_OBJECT_WIDENING(BgL_tmpz00_10735);
					}
					BgL_auxz00_10733 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10734);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10733))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10740), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 516 */
				obj_t BgL_g1675z00_5815;

				BgL_g1675z00_5815 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_nz00_4967))))->BgL_exprza2za2);
				{
					obj_t BgL_l1673z00_5817;

					BgL_l1673z00_5817 = BgL_g1675z00_5815;
				BgL_zc3z04anonymousza32363ze3z87_5816:
					if (PAIRP(BgL_l1673z00_5817))
						{	/* Liveness/liveness.scm 516 */
							{	/* Liveness/liveness.scm 516 */
								obj_t BgL_ez00_5818;

								BgL_ez00_5818 = CAR(BgL_l1673z00_5817);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5818), BgL_oz00_4968);
							}
							{
								obj_t BgL_l1673z00_10778;

								BgL_l1673z00_10778 = CDR(BgL_l1673z00_5817);
								BgL_l1673z00_5817 = BgL_l1673z00_10778;
								goto BgL_zc3z04anonymousza32363ze3z87_5816;
							}
						}
					else
						{	/* Liveness/liveness.scm 516 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 517 */
				obj_t BgL_val0_1676z00_5819;
				obj_t BgL_val1_1677z00_5820;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10780;

					{
						obj_t BgL_auxz00_10781;

						{	/* Liveness/liveness.scm 517 */
							BgL_objectz00_bglt BgL_tmpz00_10782;

							BgL_tmpz00_10782 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
							BgL_auxz00_10781 = BGL_OBJECT_WIDENING(BgL_tmpz00_10782);
						}
						BgL_auxz00_10780 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10781);
					}
					BgL_val0_1676z00_5819 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10780))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10788;

					{
						obj_t BgL_auxz00_10789;

						{	/* Liveness/liveness.scm 517 */
							BgL_objectz00_bglt BgL_tmpz00_10790;

							BgL_tmpz00_10790 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4967));
							BgL_auxz00_10789 = BGL_OBJECT_WIDENING(BgL_tmpz00_10790);
						}
						BgL_auxz00_10788 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10789);
					}
					BgL_val1_1677z00_5820 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10788))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 517 */
					int BgL_tmpz00_10796;

					BgL_tmpz00_10796 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10796);
				}
				{	/* Liveness/liveness.scm 517 */
					int BgL_tmpz00_10799;

					BgL_tmpz00_10799 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10799, BgL_val1_1677z00_5820);
				}
				return BgL_val0_1676z00_5819;
			}
		}

	}



/* &defuse-vref/liveness1959 */
	obj_t BGl_z62defusezd2vrefzf2liveness1959z42zzliveness_livenessz00(obj_t
		BgL_envz00_4969, obj_t BgL_nz00_4970)
	{
		{	/* Liveness/liveness.scm 508 */
			{	/* Liveness/liveness.scm 510 */
				obj_t BgL_val0_1671z00_5822;
				obj_t BgL_val1_1672z00_5823;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10802;

					{
						obj_t BgL_auxz00_10803;

						{	/* Liveness/liveness.scm 510 */
							BgL_objectz00_bglt BgL_tmpz00_10804;

							BgL_tmpz00_10804 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
							BgL_auxz00_10803 = BGL_OBJECT_WIDENING(BgL_tmpz00_10804);
						}
						BgL_auxz00_10802 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10803);
					}
					BgL_val0_1671z00_5822 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10802))->
						BgL_defz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10810;

					{
						obj_t BgL_auxz00_10811;

						{	/* Liveness/liveness.scm 510 */
							BgL_objectz00_bglt BgL_tmpz00_10812;

							BgL_tmpz00_10812 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4970));
							BgL_auxz00_10811 = BGL_OBJECT_WIDENING(BgL_tmpz00_10812);
						}
						BgL_auxz00_10810 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10811);
					}
					BgL_val1_1672z00_5823 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10810))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 510 */
					int BgL_tmpz00_10818;

					BgL_tmpz00_10818 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10818);
				}
				{	/* Liveness/liveness.scm 510 */
					int BgL_tmpz00_10821;

					BgL_tmpz00_10821 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10821, BgL_val1_1672z00_5823);
				}
				return BgL_val0_1671z00_5822;
			}
		}

	}



/* &defuse-vref1957 */
	obj_t BGl_z62defusezd2vref1957zb0zzliveness_livenessz00(obj_t BgL_envz00_4971,
		obj_t BgL_nz00_4972)
	{
		{	/* Liveness/liveness.scm 499 */
			{	/* Liveness/liveness.scm 501 */
				obj_t BgL_defz00_5825;

				{	/* Liveness/liveness.scm 502 */
					obj_t BgL_arg2356z00_5826;

					BgL_arg2356z00_5826 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nz00_4972))))->BgL_exprza2za2);
					BgL_defz00_5825 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2356z00_5826, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 502 */
					obj_t BgL_usez00_5827;

					{	/* Liveness/liveness.scm 503 */
						obj_t BgL_tmpz00_5828;

						{	/* Liveness/liveness.scm 503 */
							int BgL_tmpz00_10828;

							BgL_tmpz00_10828 = (int) (((long) 1));
							BgL_tmpz00_5828 = BGL_MVALUES_VAL(BgL_tmpz00_10828);
						}
						{	/* Liveness/liveness.scm 503 */
							int BgL_tmpz00_10831;

							BgL_tmpz00_10831 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10831, BUNSPEC);
						}
						BgL_usez00_5827 = BgL_tmpz00_5828;
					}
					{	/* Liveness/liveness.scm 504 */
						BgL_vrefz00_bglt BgL_arg2352z00_5829;

						{	/* Liveness/liveness.scm 504 */
							BgL_vrefzf2livenesszf2_bglt BgL_wide1266z00_5830;

							BgL_wide1266z00_5830 =
								((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vrefzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 504 */
								obj_t BgL_auxz00_10839;
								BgL_objectz00_bglt BgL_tmpz00_10835;

								BgL_auxz00_10839 = ((obj_t) BgL_wide1266z00_5830);
								BgL_tmpz00_10835 =
									((BgL_objectz00_bglt)
									((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10835, BgL_auxz00_10839);
							}
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
							{	/* Liveness/liveness.scm 504 */
								long BgL_arg2355z00_5831;

								BgL_arg2355z00_5831 =
									BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nz00_4972))),
									BgL_arg2355z00_5831);
							}
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10853;

							{
								obj_t BgL_auxz00_10854;

								{	/* Liveness/liveness.scm 505 */
									BgL_objectz00_bglt BgL_tmpz00_10855;

									BgL_tmpz00_10855 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
									BgL_auxz00_10854 = BGL_OBJECT_WIDENING(BgL_tmpz00_10855);
								}
								BgL_auxz00_10853 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10854);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10853))->
									BgL_defz00) = ((obj_t) BgL_defz00_5825), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10862;

							{
								obj_t BgL_auxz00_10863;

								{	/* Liveness/liveness.scm 506 */
									BgL_objectz00_bglt BgL_tmpz00_10864;

									BgL_tmpz00_10864 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
									BgL_auxz00_10863 = BGL_OBJECT_WIDENING(BgL_tmpz00_10864);
								}
								BgL_auxz00_10862 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10863);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10862))->
									BgL_usez00) = ((obj_t) BgL_usez00_5827), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10871;

							{
								obj_t BgL_auxz00_10872;

								{	/* Liveness/liveness.scm 502 */
									BgL_objectz00_bglt BgL_tmpz00_10873;

									BgL_tmpz00_10873 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
									BgL_auxz00_10872 = BGL_OBJECT_WIDENING(BgL_tmpz00_10873);
								}
								BgL_auxz00_10871 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10872);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10871))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10880;

							{
								obj_t BgL_auxz00_10881;

								{	/* Liveness/liveness.scm 502 */
									BgL_objectz00_bglt BgL_tmpz00_10882;

									BgL_tmpz00_10882 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972)));
									BgL_auxz00_10881 = BGL_OBJECT_WIDENING(BgL_tmpz00_10882);
								}
								BgL_auxz00_10880 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10881);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10880))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2352z00_5829 =
							((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4972));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2352z00_5829));
					}
				}
			}
		}

	}



/* &inout-valloc/livenes1955 */
	obj_t BGl_z62inoutzd2valloczf2livenes1955z42zzliveness_livenessz00(obj_t
		BgL_envz00_4973, obj_t BgL_nz00_4974)
	{
		{	/* Liveness/liveness.scm 492 */
			{	/* Liveness/liveness.scm 494 */
				obj_t BgL_val0_1669z00_5833;
				obj_t BgL_val1_1670z00_5834;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10893;

					{
						obj_t BgL_auxz00_10894;

						{	/* Liveness/liveness.scm 494 */
							BgL_objectz00_bglt BgL_tmpz00_10895;

							BgL_tmpz00_10895 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4974));
							BgL_auxz00_10894 = BGL_OBJECT_WIDENING(BgL_tmpz00_10895);
						}
						BgL_auxz00_10893 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10894);
					}
					BgL_val0_1669z00_5833 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10893))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10901;

					{
						obj_t BgL_auxz00_10902;

						{	/* Liveness/liveness.scm 494 */
							BgL_objectz00_bglt BgL_tmpz00_10903;

							BgL_tmpz00_10903 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4974));
							BgL_auxz00_10902 = BGL_OBJECT_WIDENING(BgL_tmpz00_10903);
						}
						BgL_auxz00_10901 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10902);
					}
					BgL_val1_1670z00_5834 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10901))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 494 */
					int BgL_tmpz00_10909;

					BgL_tmpz00_10909 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10909);
				}
				{	/* Liveness/liveness.scm 494 */
					int BgL_tmpz00_10912;

					BgL_tmpz00_10912 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10912, BgL_val1_1670z00_5834);
				}
				return BgL_val0_1669z00_5833;
			}
		}

	}



/* &inout!-valloc/livene1953 */
	obj_t BGl_z62inoutz12zd2valloczf2livene1953z50zzliveness_livenessz00(obj_t
		BgL_envz00_4975, obj_t BgL_nz00_4976, obj_t BgL_oz00_4977)
	{
		{	/* Liveness/liveness.scm 485 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10915;

				{
					obj_t BgL_auxz00_10916;

					{	/* Liveness/liveness.scm 487 */
						BgL_objectz00_bglt BgL_tmpz00_10917;

						BgL_tmpz00_10917 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
						BgL_auxz00_10916 = BGL_OBJECT_WIDENING(BgL_tmpz00_10917);
					}
					BgL_auxz00_10915 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10916);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10915))->
						BgL_outz00) = ((obj_t) BgL_oz00_4977), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10930;
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10923;

				{	/* Liveness/liveness.scm 488 */
					obj_t BgL_arg2341z00_5836;
					obj_t BgL_arg2342z00_5837;

					{
						BgL_valloczf2livenesszf2_bglt BgL_auxz00_10931;

						{
							obj_t BgL_auxz00_10932;

							{	/* Liveness/liveness.scm 488 */
								BgL_objectz00_bglt BgL_tmpz00_10933;

								BgL_tmpz00_10933 =
									((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
								BgL_auxz00_10932 = BGL_OBJECT_WIDENING(BgL_tmpz00_10933);
							}
							BgL_auxz00_10931 =
								((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10932);
						}
						BgL_arg2341z00_5836 =
							(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10931))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 488 */
						obj_t BgL_arg2345z00_5838;
						obj_t BgL_arg2346z00_5839;

						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10939;

							{
								obj_t BgL_auxz00_10940;

								{	/* Liveness/liveness.scm 488 */
									BgL_objectz00_bglt BgL_tmpz00_10941;

									BgL_tmpz00_10941 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
									BgL_auxz00_10940 = BGL_OBJECT_WIDENING(BgL_tmpz00_10941);
								}
								BgL_auxz00_10939 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10940);
							}
							BgL_arg2345z00_5838 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10939))->
								BgL_outz00);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10947;

							{
								obj_t BgL_auxz00_10948;

								{	/* Liveness/liveness.scm 488 */
									BgL_objectz00_bglt BgL_tmpz00_10949;

									BgL_tmpz00_10949 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
									BgL_auxz00_10948 = BGL_OBJECT_WIDENING(BgL_tmpz00_10949);
								}
								BgL_auxz00_10947 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10948);
							}
							BgL_arg2346z00_5839 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10947))->
								BgL_defz00);
						}
						BgL_arg2342z00_5837 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2345z00_5838,
							BgL_arg2346z00_5839);
					}
					{	/* Liveness/liveness.scm 488 */
						obj_t BgL_list2343z00_5840;

						{	/* Liveness/liveness.scm 488 */
							obj_t BgL_arg2344z00_5841;

							BgL_arg2344z00_5841 = MAKE_YOUNG_PAIR(BgL_arg2342z00_5837, BNIL);
							BgL_list2343z00_5840 =
								MAKE_YOUNG_PAIR(BgL_arg2341z00_5836, BgL_arg2344z00_5841);
						}
						BgL_auxz00_10930 =
							BGl_unionz00zzliveness_setz00(BgL_list2343z00_5840);
					}
				}
				{
					obj_t BgL_auxz00_10924;

					{	/* Liveness/liveness.scm 488 */
						BgL_objectz00_bglt BgL_tmpz00_10925;

						BgL_tmpz00_10925 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
						BgL_auxz00_10924 = BGL_OBJECT_WIDENING(BgL_tmpz00_10925);
					}
					BgL_auxz00_10923 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10924);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10923))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10930), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 489 */
				obj_t BgL_g1666z00_5842;

				BgL_g1666z00_5842 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nz00_4976))))->BgL_exprza2za2);
				{
					obj_t BgL_l1664z00_5844;

					BgL_l1664z00_5844 = BgL_g1666z00_5842;
				BgL_zc3z04anonymousza32347ze3z87_5843:
					if (PAIRP(BgL_l1664z00_5844))
						{	/* Liveness/liveness.scm 489 */
							{	/* Liveness/liveness.scm 489 */
								obj_t BgL_ez00_5845;

								BgL_ez00_5845 = CAR(BgL_l1664z00_5844);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5845), BgL_oz00_4977);
							}
							{
								obj_t BgL_l1664z00_10968;

								BgL_l1664z00_10968 = CDR(BgL_l1664z00_5844);
								BgL_l1664z00_5844 = BgL_l1664z00_10968;
								goto BgL_zc3z04anonymousza32347ze3z87_5843;
							}
						}
					else
						{	/* Liveness/liveness.scm 489 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 490 */
				obj_t BgL_val0_1667z00_5846;
				obj_t BgL_val1_1668z00_5847;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10970;

					{
						obj_t BgL_auxz00_10971;

						{	/* Liveness/liveness.scm 490 */
							BgL_objectz00_bglt BgL_tmpz00_10972;

							BgL_tmpz00_10972 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
							BgL_auxz00_10971 = BGL_OBJECT_WIDENING(BgL_tmpz00_10972);
						}
						BgL_auxz00_10970 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10971);
					}
					BgL_val0_1667z00_5846 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10970))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10978;

					{
						obj_t BgL_auxz00_10979;

						{	/* Liveness/liveness.scm 490 */
							BgL_objectz00_bglt BgL_tmpz00_10980;

							BgL_tmpz00_10980 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4976));
							BgL_auxz00_10979 = BGL_OBJECT_WIDENING(BgL_tmpz00_10980);
						}
						BgL_auxz00_10978 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10979);
					}
					BgL_val1_1668z00_5847 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10978))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 490 */
					int BgL_tmpz00_10986;

					BgL_tmpz00_10986 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10986);
				}
				{	/* Liveness/liveness.scm 490 */
					int BgL_tmpz00_10989;

					BgL_tmpz00_10989 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10989, BgL_val1_1668z00_5847);
				}
				return BgL_val0_1667z00_5846;
			}
		}

	}



/* &defuse-valloc/livene1951 */
	obj_t BGl_z62defusezd2valloczf2livene1951z42zzliveness_livenessz00(obj_t
		BgL_envz00_4978, obj_t BgL_nz00_4979)
	{
		{	/* Liveness/liveness.scm 481 */
			{	/* Liveness/liveness.scm 483 */
				obj_t BgL_val0_1662z00_5849;
				obj_t BgL_val1_1663z00_5850;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10992;

					{
						obj_t BgL_auxz00_10993;

						{	/* Liveness/liveness.scm 483 */
							BgL_objectz00_bglt BgL_tmpz00_10994;

							BgL_tmpz00_10994 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
							BgL_auxz00_10993 = BGL_OBJECT_WIDENING(BgL_tmpz00_10994);
						}
						BgL_auxz00_10992 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10993);
					}
					BgL_val0_1662z00_5849 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10992))->
						BgL_defz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_11000;

					{
						obj_t BgL_auxz00_11001;

						{	/* Liveness/liveness.scm 483 */
							BgL_objectz00_bglt BgL_tmpz00_11002;

							BgL_tmpz00_11002 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4979));
							BgL_auxz00_11001 = BGL_OBJECT_WIDENING(BgL_tmpz00_11002);
						}
						BgL_auxz00_11000 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11001);
					}
					BgL_val1_1663z00_5850 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11000))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 483 */
					int BgL_tmpz00_11008;

					BgL_tmpz00_11008 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11008);
				}
				{	/* Liveness/liveness.scm 483 */
					int BgL_tmpz00_11011;

					BgL_tmpz00_11011 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11011, BgL_val1_1663z00_5850);
				}
				return BgL_val0_1662z00_5849;
			}
		}

	}



/* &defuse-valloc1949 */
	obj_t BGl_z62defusezd2valloc1949zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4980, obj_t BgL_nz00_4981)
	{
		{	/* Liveness/liveness.scm 472 */
			{	/* Liveness/liveness.scm 474 */
				obj_t BgL_defz00_5852;

				{	/* Liveness/liveness.scm 475 */
					obj_t BgL_arg2340z00_5853;

					BgL_arg2340z00_5853 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nz00_4981))))->BgL_exprza2za2);
					BgL_defz00_5852 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2340z00_5853, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 475 */
					obj_t BgL_usez00_5854;

					{	/* Liveness/liveness.scm 476 */
						obj_t BgL_tmpz00_5855;

						{	/* Liveness/liveness.scm 476 */
							int BgL_tmpz00_11018;

							BgL_tmpz00_11018 = (int) (((long) 1));
							BgL_tmpz00_5855 = BGL_MVALUES_VAL(BgL_tmpz00_11018);
						}
						{	/* Liveness/liveness.scm 476 */
							int BgL_tmpz00_11021;

							BgL_tmpz00_11021 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11021, BUNSPEC);
						}
						BgL_usez00_5854 = BgL_tmpz00_5855;
					}
					{	/* Liveness/liveness.scm 477 */
						BgL_vallocz00_bglt BgL_arg2338z00_5856;

						{	/* Liveness/liveness.scm 477 */
							BgL_valloczf2livenesszf2_bglt BgL_wide1258z00_5857;

							BgL_wide1258z00_5857 =
								((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_valloczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 477 */
								obj_t BgL_auxz00_11029;
								BgL_objectz00_bglt BgL_tmpz00_11025;

								BgL_auxz00_11029 = ((obj_t) BgL_wide1258z00_5857);
								BgL_tmpz00_11025 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4981)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11025, BgL_auxz00_11029);
							}
							((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4981)));
							{	/* Liveness/liveness.scm 477 */
								long BgL_arg2339z00_5858;

								BgL_arg2339z00_5858 =
									BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4981))),
									BgL_arg2339z00_5858);
							}
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4981)));
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11043;

							{
								obj_t BgL_auxz00_11044;

								{	/* Liveness/liveness.scm 478 */
									BgL_objectz00_bglt BgL_tmpz00_11045;

									BgL_tmpz00_11045 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4981)));
									BgL_auxz00_11044 = BGL_OBJECT_WIDENING(BgL_tmpz00_11045);
								}
								BgL_auxz00_11043 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11044);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11043))->
									BgL_defz00) = ((obj_t) BgL_defz00_5852), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11052;

							{
								obj_t BgL_auxz00_11053;

								{	/* Liveness/liveness.scm 479 */
									BgL_objectz00_bglt BgL_tmpz00_11054;

									BgL_tmpz00_11054 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4981)));
									BgL_auxz00_11053 = BGL_OBJECT_WIDENING(BgL_tmpz00_11054);
								}
								BgL_auxz00_11052 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11053);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11052))->
									BgL_usez00) = ((obj_t) BgL_usez00_5854), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11061;

							{
								obj_t BgL_auxz00_11062;

								{	/* Liveness/liveness.scm 475 */
									BgL_objectz00_bglt BgL_tmpz00_11063;

									BgL_tmpz00_11063 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4981)));
									BgL_auxz00_11062 = BGL_OBJECT_WIDENING(BgL_tmpz00_11063);
								}
								BgL_auxz00_11061 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11062);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11061))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_11070;

							{
								obj_t BgL_auxz00_11071;

								{	/* Liveness/liveness.scm 475 */
									BgL_objectz00_bglt BgL_tmpz00_11072;

									BgL_tmpz00_11072 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4981)));
									BgL_auxz00_11071 = BGL_OBJECT_WIDENING(BgL_tmpz00_11072);
								}
								BgL_auxz00_11070 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_11071);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11070))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2338z00_5856 =
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4981));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2338z00_5856));
					}
				}
			}
		}

	}



/* &inout-new/liveness1947 */
	obj_t BGl_z62inoutzd2newzf2liveness1947z42zzliveness_livenessz00(obj_t
		BgL_envz00_4982, obj_t BgL_nz00_4983)
	{
		{	/* Liveness/liveness.scm 465 */
			{	/* Liveness/liveness.scm 467 */
				obj_t BgL_val0_1660z00_5860;
				obj_t BgL_val1_1661z00_5861;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11083;

					{
						obj_t BgL_auxz00_11084;

						{	/* Liveness/liveness.scm 467 */
							BgL_objectz00_bglt BgL_tmpz00_11085;

							BgL_tmpz00_11085 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4983));
							BgL_auxz00_11084 = BGL_OBJECT_WIDENING(BgL_tmpz00_11085);
						}
						BgL_auxz00_11083 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11084);
					}
					BgL_val0_1660z00_5860 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11083))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11091;

					{
						obj_t BgL_auxz00_11092;

						{	/* Liveness/liveness.scm 467 */
							BgL_objectz00_bglt BgL_tmpz00_11093;

							BgL_tmpz00_11093 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4983));
							BgL_auxz00_11092 = BGL_OBJECT_WIDENING(BgL_tmpz00_11093);
						}
						BgL_auxz00_11091 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11092);
					}
					BgL_val1_1661z00_5861 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11091))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 467 */
					int BgL_tmpz00_11099;

					BgL_tmpz00_11099 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11099);
				}
				{	/* Liveness/liveness.scm 467 */
					int BgL_tmpz00_11102;

					BgL_tmpz00_11102 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11102, BgL_val1_1661z00_5861);
				}
				return BgL_val0_1660z00_5860;
			}
		}

	}



/* &inout!-new/liveness1945 */
	obj_t BGl_z62inoutz12zd2newzf2liveness1945z50zzliveness_livenessz00(obj_t
		BgL_envz00_4984, obj_t BgL_nz00_4985, obj_t BgL_oz00_4986)
	{
		{	/* Liveness/liveness.scm 458 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_11105;

				{
					obj_t BgL_auxz00_11106;

					{	/* Liveness/liveness.scm 460 */
						BgL_objectz00_bglt BgL_tmpz00_11107;

						BgL_tmpz00_11107 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
						BgL_auxz00_11106 = BGL_OBJECT_WIDENING(BgL_tmpz00_11107);
					}
					BgL_auxz00_11105 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11106);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11105))->
						BgL_outz00) = ((obj_t) BgL_oz00_4986), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11120;
				BgL_newzf2livenesszf2_bglt BgL_auxz00_11113;

				{	/* Liveness/liveness.scm 461 */
					obj_t BgL_arg2329z00_5863;
					obj_t BgL_arg2330z00_5864;

					{
						BgL_newzf2livenesszf2_bglt BgL_auxz00_11121;

						{
							obj_t BgL_auxz00_11122;

							{	/* Liveness/liveness.scm 461 */
								BgL_objectz00_bglt BgL_tmpz00_11123;

								BgL_tmpz00_11123 =
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
								BgL_auxz00_11122 = BGL_OBJECT_WIDENING(BgL_tmpz00_11123);
							}
							BgL_auxz00_11121 =
								((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11122);
						}
						BgL_arg2329z00_5863 =
							(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11121))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 461 */
						obj_t BgL_arg2333z00_5865;
						obj_t BgL_arg2334z00_5866;

						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11129;

							{
								obj_t BgL_auxz00_11130;

								{	/* Liveness/liveness.scm 461 */
									BgL_objectz00_bglt BgL_tmpz00_11131;

									BgL_tmpz00_11131 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
									BgL_auxz00_11130 = BGL_OBJECT_WIDENING(BgL_tmpz00_11131);
								}
								BgL_auxz00_11129 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11130);
							}
							BgL_arg2333z00_5865 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11129))->
								BgL_outz00);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11137;

							{
								obj_t BgL_auxz00_11138;

								{	/* Liveness/liveness.scm 461 */
									BgL_objectz00_bglt BgL_tmpz00_11139;

									BgL_tmpz00_11139 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
									BgL_auxz00_11138 = BGL_OBJECT_WIDENING(BgL_tmpz00_11139);
								}
								BgL_auxz00_11137 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11138);
							}
							BgL_arg2334z00_5866 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11137))->
								BgL_defz00);
						}
						BgL_arg2330z00_5864 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2333z00_5865,
							BgL_arg2334z00_5866);
					}
					{	/* Liveness/liveness.scm 461 */
						obj_t BgL_list2331z00_5867;

						{	/* Liveness/liveness.scm 461 */
							obj_t BgL_arg2332z00_5868;

							BgL_arg2332z00_5868 = MAKE_YOUNG_PAIR(BgL_arg2330z00_5864, BNIL);
							BgL_list2331z00_5867 =
								MAKE_YOUNG_PAIR(BgL_arg2329z00_5863, BgL_arg2332z00_5868);
						}
						BgL_auxz00_11120 =
							BGl_unionz00zzliveness_setz00(BgL_list2331z00_5867);
					}
				}
				{
					obj_t BgL_auxz00_11114;

					{	/* Liveness/liveness.scm 461 */
						BgL_objectz00_bglt BgL_tmpz00_11115;

						BgL_tmpz00_11115 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
						BgL_auxz00_11114 = BGL_OBJECT_WIDENING(BgL_tmpz00_11115);
					}
					BgL_auxz00_11113 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11114);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11113))->BgL_inz00) =
					((obj_t) BgL_auxz00_11120), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 462 */
				obj_t BgL_g1657z00_5869;

				BgL_g1657z00_5869 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nz00_4985))))->BgL_exprza2za2);
				{
					obj_t BgL_l1655z00_5871;

					BgL_l1655z00_5871 = BgL_g1657z00_5869;
				BgL_zc3z04anonymousza32335ze3z87_5870:
					if (PAIRP(BgL_l1655z00_5871))
						{	/* Liveness/liveness.scm 462 */
							{	/* Liveness/liveness.scm 462 */
								obj_t BgL_ez00_5872;

								BgL_ez00_5872 = CAR(BgL_l1655z00_5871);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5872), BgL_oz00_4986);
							}
							{
								obj_t BgL_l1655z00_11158;

								BgL_l1655z00_11158 = CDR(BgL_l1655z00_5871);
								BgL_l1655z00_5871 = BgL_l1655z00_11158;
								goto BgL_zc3z04anonymousza32335ze3z87_5870;
							}
						}
					else
						{	/* Liveness/liveness.scm 462 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 463 */
				obj_t BgL_val0_1658z00_5873;
				obj_t BgL_val1_1659z00_5874;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11160;

					{
						obj_t BgL_auxz00_11161;

						{	/* Liveness/liveness.scm 463 */
							BgL_objectz00_bglt BgL_tmpz00_11162;

							BgL_tmpz00_11162 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
							BgL_auxz00_11161 = BGL_OBJECT_WIDENING(BgL_tmpz00_11162);
						}
						BgL_auxz00_11160 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11161);
					}
					BgL_val0_1658z00_5873 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11160))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11168;

					{
						obj_t BgL_auxz00_11169;

						{	/* Liveness/liveness.scm 463 */
							BgL_objectz00_bglt BgL_tmpz00_11170;

							BgL_tmpz00_11170 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4985));
							BgL_auxz00_11169 = BGL_OBJECT_WIDENING(BgL_tmpz00_11170);
						}
						BgL_auxz00_11168 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11169);
					}
					BgL_val1_1659z00_5874 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11168))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 463 */
					int BgL_tmpz00_11176;

					BgL_tmpz00_11176 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11176);
				}
				{	/* Liveness/liveness.scm 463 */
					int BgL_tmpz00_11179;

					BgL_tmpz00_11179 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11179, BgL_val1_1659z00_5874);
				}
				return BgL_val0_1658z00_5873;
			}
		}

	}



/* &defuse-new/liveness1943 */
	obj_t BGl_z62defusezd2newzf2liveness1943z42zzliveness_livenessz00(obj_t
		BgL_envz00_4987, obj_t BgL_nz00_4988)
	{
		{	/* Liveness/liveness.scm 454 */
			{	/* Liveness/liveness.scm 456 */
				obj_t BgL_val0_1653z00_5876;
				obj_t BgL_val1_1654z00_5877;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11182;

					{
						obj_t BgL_auxz00_11183;

						{	/* Liveness/liveness.scm 456 */
							BgL_objectz00_bglt BgL_tmpz00_11184;

							BgL_tmpz00_11184 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
							BgL_auxz00_11183 = BGL_OBJECT_WIDENING(BgL_tmpz00_11184);
						}
						BgL_auxz00_11182 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11183);
					}
					BgL_val0_1653z00_5876 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11182))->
						BgL_defz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_11190;

					{
						obj_t BgL_auxz00_11191;

						{	/* Liveness/liveness.scm 456 */
							BgL_objectz00_bglt BgL_tmpz00_11192;

							BgL_tmpz00_11192 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4988));
							BgL_auxz00_11191 = BGL_OBJECT_WIDENING(BgL_tmpz00_11192);
						}
						BgL_auxz00_11190 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11191);
					}
					BgL_val1_1654z00_5877 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11190))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 456 */
					int BgL_tmpz00_11198;

					BgL_tmpz00_11198 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11198);
				}
				{	/* Liveness/liveness.scm 456 */
					int BgL_tmpz00_11201;

					BgL_tmpz00_11201 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11201, BgL_val1_1654z00_5877);
				}
				return BgL_val0_1653z00_5876;
			}
		}

	}



/* &defuse-new1941 */
	obj_t BGl_z62defusezd2new1941zb0zzliveness_livenessz00(obj_t BgL_envz00_4989,
		obj_t BgL_nz00_4990)
	{
		{	/* Liveness/liveness.scm 445 */
			{	/* Liveness/liveness.scm 447 */
				obj_t BgL_defz00_5879;

				{	/* Liveness/liveness.scm 448 */
					obj_t BgL_arg2328z00_5880;

					BgL_arg2328z00_5880 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_newz00_bglt) BgL_nz00_4990))))->BgL_exprza2za2);
					BgL_defz00_5879 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2328z00_5880, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 448 */
					obj_t BgL_usez00_5881;

					{	/* Liveness/liveness.scm 449 */
						obj_t BgL_tmpz00_5882;

						{	/* Liveness/liveness.scm 449 */
							int BgL_tmpz00_11208;

							BgL_tmpz00_11208 = (int) (((long) 1));
							BgL_tmpz00_5882 = BGL_MVALUES_VAL(BgL_tmpz00_11208);
						}
						{	/* Liveness/liveness.scm 449 */
							int BgL_tmpz00_11211;

							BgL_tmpz00_11211 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11211, BUNSPEC);
						}
						BgL_usez00_5881 = BgL_tmpz00_5882;
					}
					{	/* Liveness/liveness.scm 450 */
						BgL_newz00_bglt BgL_arg2324z00_5883;

						{	/* Liveness/liveness.scm 450 */
							BgL_newzf2livenesszf2_bglt BgL_wide1249z00_5884;

							BgL_wide1249z00_5884 =
								((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 450 */
								obj_t BgL_auxz00_11219;
								BgL_objectz00_bglt BgL_tmpz00_11215;

								BgL_auxz00_11219 = ((obj_t) BgL_wide1249z00_5884);
								BgL_tmpz00_11215 =
									((BgL_objectz00_bglt)
									((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11215, BgL_auxz00_11219);
							}
							((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
							{	/* Liveness/liveness.scm 450 */
								long BgL_arg2326z00_5885;

								BgL_arg2326z00_5885 =
									BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_newz00_bglt)
											((BgL_newz00_bglt) BgL_nz00_4990))), BgL_arg2326z00_5885);
							}
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11233;

							{
								obj_t BgL_auxz00_11234;

								{	/* Liveness/liveness.scm 451 */
									BgL_objectz00_bglt BgL_tmpz00_11235;

									BgL_tmpz00_11235 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
									BgL_auxz00_11234 = BGL_OBJECT_WIDENING(BgL_tmpz00_11235);
								}
								BgL_auxz00_11233 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11234);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11233))->
									BgL_defz00) = ((obj_t) BgL_defz00_5879), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11242;

							{
								obj_t BgL_auxz00_11243;

								{	/* Liveness/liveness.scm 452 */
									BgL_objectz00_bglt BgL_tmpz00_11244;

									BgL_tmpz00_11244 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
									BgL_auxz00_11243 = BGL_OBJECT_WIDENING(BgL_tmpz00_11244);
								}
								BgL_auxz00_11242 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11243);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11242))->
									BgL_usez00) = ((obj_t) BgL_usez00_5881), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11251;

							{
								obj_t BgL_auxz00_11252;

								{	/* Liveness/liveness.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_11253;

									BgL_tmpz00_11253 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
									BgL_auxz00_11252 = BGL_OBJECT_WIDENING(BgL_tmpz00_11253);
								}
								BgL_auxz00_11251 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11252);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11251))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_11260;

							{
								obj_t BgL_auxz00_11261;

								{	/* Liveness/liveness.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_11262;

									BgL_tmpz00_11262 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990)));
									BgL_auxz00_11261 = BGL_OBJECT_WIDENING(BgL_tmpz00_11262);
								}
								BgL_auxz00_11260 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_11261);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11260))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2324z00_5883 =
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4990));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2324z00_5883));
					}
				}
			}
		}

	}



/* &inout-widening/liven1939 */
	obj_t BGl_z62inoutzd2wideningzf2liven1939z42zzliveness_livenessz00(obj_t
		BgL_envz00_4991, obj_t BgL_nz00_4992)
	{
		{	/* Liveness/liveness.scm 438 */
			{	/* Liveness/liveness.scm 440 */
				obj_t BgL_val0_1651z00_5887;
				obj_t BgL_val1_1652z00_5888;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11273;

					{
						obj_t BgL_auxz00_11274;

						{	/* Liveness/liveness.scm 440 */
							BgL_objectz00_bglt BgL_tmpz00_11275;

							BgL_tmpz00_11275 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4992));
							BgL_auxz00_11274 = BGL_OBJECT_WIDENING(BgL_tmpz00_11275);
						}
						BgL_auxz00_11273 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11274);
					}
					BgL_val0_1651z00_5887 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11273))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11281;

					{
						obj_t BgL_auxz00_11282;

						{	/* Liveness/liveness.scm 440 */
							BgL_objectz00_bglt BgL_tmpz00_11283;

							BgL_tmpz00_11283 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4992));
							BgL_auxz00_11282 = BGL_OBJECT_WIDENING(BgL_tmpz00_11283);
						}
						BgL_auxz00_11281 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11282);
					}
					BgL_val1_1652z00_5888 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11281))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 440 */
					int BgL_tmpz00_11289;

					BgL_tmpz00_11289 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11289);
				}
				{	/* Liveness/liveness.scm 440 */
					int BgL_tmpz00_11292;

					BgL_tmpz00_11292 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11292, BgL_val1_1652z00_5888);
				}
				return BgL_val0_1651z00_5887;
			}
		}

	}



/* &inout!-widening/live1937 */
	obj_t BGl_z62inoutz12zd2wideningzf2live1937z50zzliveness_livenessz00(obj_t
		BgL_envz00_4993, obj_t BgL_nz00_4994, obj_t BgL_oz00_4995)
	{
		{	/* Liveness/liveness.scm 431 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11295;

				{
					obj_t BgL_auxz00_11296;

					{	/* Liveness/liveness.scm 433 */
						BgL_objectz00_bglt BgL_tmpz00_11297;

						BgL_tmpz00_11297 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4994));
						BgL_auxz00_11296 = BGL_OBJECT_WIDENING(BgL_tmpz00_11297);
					}
					BgL_auxz00_11295 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11296);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11295))->
						BgL_outz00) = ((obj_t) BgL_oz00_4995), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11310;
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11303;

				{	/* Liveness/liveness.scm 434 */
					obj_t BgL_arg2314z00_5890;
					obj_t BgL_arg2315z00_5891;

					{
						BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11311;

						{
							obj_t BgL_auxz00_11312;

							{	/* Liveness/liveness.scm 434 */
								BgL_objectz00_bglt BgL_tmpz00_11313;

								BgL_tmpz00_11313 =
									((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4994));
								BgL_auxz00_11312 = BGL_OBJECT_WIDENING(BgL_tmpz00_11313);
							}
							BgL_auxz00_11311 =
								((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11312);
						}
						BgL_arg2314z00_5890 =
							(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11311))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 434 */
						obj_t BgL_arg2318z00_5892;
						obj_t BgL_arg2319z00_5893;

						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11319;

							{
								obj_t BgL_auxz00_11320;

								{	/* Liveness/liveness.scm 434 */
									BgL_objectz00_bglt BgL_tmpz00_11321;

									BgL_tmpz00_11321 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4994));
									BgL_auxz00_11320 = BGL_OBJECT_WIDENING(BgL_tmpz00_11321);
								}
								BgL_auxz00_11319 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11320);
							}
							BgL_arg2318z00_5892 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11319))->
								BgL_outz00);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11327;

							{
								obj_t BgL_auxz00_11328;

								{	/* Liveness/liveness.scm 434 */
									BgL_objectz00_bglt BgL_tmpz00_11329;

									BgL_tmpz00_11329 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4994));
									BgL_auxz00_11328 = BGL_OBJECT_WIDENING(BgL_tmpz00_11329);
								}
								BgL_auxz00_11327 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11328);
							}
							BgL_arg2319z00_5893 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11327))->
								BgL_defz00);
						}
						BgL_arg2315z00_5891 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2318z00_5892,
							BgL_arg2319z00_5893);
					}
					{	/* Liveness/liveness.scm 434 */
						obj_t BgL_list2316z00_5894;

						{	/* Liveness/liveness.scm 434 */
							obj_t BgL_arg2317z00_5895;

							BgL_arg2317z00_5895 = MAKE_YOUNG_PAIR(BgL_arg2315z00_5891, BNIL);
							BgL_list2316z00_5894 =
								MAKE_YOUNG_PAIR(BgL_arg2314z00_5890, BgL_arg2317z00_5895);
						}
						BgL_auxz00_11310 =
							BGl_unionz00zzliveness_setz00(BgL_list2316z00_5894);
					}
				}
				{
					obj_t BgL_auxz00_11304;

					{	/* Liveness/liveness.scm 434 */
						BgL_objectz00_bglt BgL_tmpz00_11305;

						BgL_tmpz00_11305 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4994));
						BgL_auxz00_11304 = BGL_OBJECT_WIDENING(BgL_tmpz00_11305);
					}
					BgL_auxz00_11303 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11304);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11303))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11310), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 435 */
				obj_t BgL_g1648z00_5896;

				BgL_g1648z00_5896 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_wideningz00_bglt) BgL_nz00_4994))))->BgL_exprza2za2);
				{
					obj_t BgL_l1646z00_5898;

					BgL_l1646z00_5898 = BgL_g1648z00_5896;
				BgL_zc3z04anonymousza32320ze3z87_5897:
					if (PAIRP(BgL_l1646z00_5898))
						{	/* Liveness/liveness.scm 435 */
							{	/* Liveness/liveness.scm 435 */
								obj_t BgL_ez00_5899;

								BgL_ez00_5899 = CAR(BgL_l1646z00_5898);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5899), BgL_oz00_4995);
							}
							{
								obj_t BgL_l1646z00_11348;

								BgL_l1646z00_11348 = CDR(BgL_l1646z00_5898);
								BgL_l1646z00_5898 = BgL_l1646z00_11348;
								goto BgL_zc3z04anonymousza32320ze3z87_5897;
							}
						}
					else
						{	/* Liveness/liveness.scm 435 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 436 */
				obj_t BgL_val0_1649z00_5900;
				obj_t BgL_val1_1650z00_5901;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11350;

					{
						obj_t BgL_auxz00_11351;

						{	/* Liveness/liveness.scm 436 */
							BgL_objectz00_bglt BgL_tmpz00_11352;

							BgL_tmpz00_11352 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4994));
							BgL_auxz00_11351 = BGL_OBJECT_WIDENING(BgL_tmpz00_11352);
						}
						BgL_auxz00_11350 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11351);
					}
					BgL_val0_1649z00_5900 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11350))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11358;

					{
						obj_t BgL_auxz00_11359;

						{	/* Liveness/liveness.scm 436 */
							BgL_objectz00_bglt BgL_tmpz00_11360;

							BgL_tmpz00_11360 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4994));
							BgL_auxz00_11359 = BGL_OBJECT_WIDENING(BgL_tmpz00_11360);
						}
						BgL_auxz00_11358 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11359);
					}
					BgL_val1_1650z00_5901 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11358))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 436 */
					int BgL_tmpz00_11366;

					BgL_tmpz00_11366 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11366);
				}
				{	/* Liveness/liveness.scm 436 */
					int BgL_tmpz00_11369;

					BgL_tmpz00_11369 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11369, BgL_val1_1650z00_5901);
				}
				return BgL_val0_1649z00_5900;
			}
		}

	}



/* &defuse-widening/live1935 */
	obj_t BGl_z62defusezd2wideningzf2live1935z42zzliveness_livenessz00(obj_t
		BgL_envz00_4996, obj_t BgL_nz00_4997)
	{
		{	/* Liveness/liveness.scm 427 */
			{	/* Liveness/liveness.scm 429 */
				obj_t BgL_val0_1644z00_5903;
				obj_t BgL_val1_1645z00_5904;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11372;

					{
						obj_t BgL_auxz00_11373;

						{	/* Liveness/liveness.scm 429 */
							BgL_objectz00_bglt BgL_tmpz00_11374;

							BgL_tmpz00_11374 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
							BgL_auxz00_11373 = BGL_OBJECT_WIDENING(BgL_tmpz00_11374);
						}
						BgL_auxz00_11372 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11373);
					}
					BgL_val0_1644z00_5903 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11372))->
						BgL_defz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11380;

					{
						obj_t BgL_auxz00_11381;

						{	/* Liveness/liveness.scm 429 */
							BgL_objectz00_bglt BgL_tmpz00_11382;

							BgL_tmpz00_11382 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4997));
							BgL_auxz00_11381 = BGL_OBJECT_WIDENING(BgL_tmpz00_11382);
						}
						BgL_auxz00_11380 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11381);
					}
					BgL_val1_1645z00_5904 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11380))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 429 */
					int BgL_tmpz00_11388;

					BgL_tmpz00_11388 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11388);
				}
				{	/* Liveness/liveness.scm 429 */
					int BgL_tmpz00_11391;

					BgL_tmpz00_11391 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11391, BgL_val1_1645z00_5904);
				}
				return BgL_val0_1644z00_5903;
			}
		}

	}



/* &defuse-widening1933 */
	obj_t BGl_z62defusezd2widening1933zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4998, obj_t BgL_nz00_4999)
	{
		{	/* Liveness/liveness.scm 418 */
			{	/* Liveness/liveness.scm 420 */
				obj_t BgL_defz00_5906;

				{	/* Liveness/liveness.scm 421 */
					obj_t BgL_arg2313z00_5907;

					BgL_arg2313z00_5907 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4999))))->BgL_exprza2za2);
					BgL_defz00_5906 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2313z00_5907, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 421 */
					obj_t BgL_usez00_5908;

					{	/* Liveness/liveness.scm 422 */
						obj_t BgL_tmpz00_5909;

						{	/* Liveness/liveness.scm 422 */
							int BgL_tmpz00_11398;

							BgL_tmpz00_11398 = (int) (((long) 1));
							BgL_tmpz00_5909 = BGL_MVALUES_VAL(BgL_tmpz00_11398);
						}
						{	/* Liveness/liveness.scm 422 */
							int BgL_tmpz00_11401;

							BgL_tmpz00_11401 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11401, BUNSPEC);
						}
						BgL_usez00_5908 = BgL_tmpz00_5909;
					}
					{	/* Liveness/liveness.scm 423 */
						BgL_wideningz00_bglt BgL_arg2311z00_5910;

						{	/* Liveness/liveness.scm 423 */
							BgL_wideningzf2livenesszf2_bglt BgL_wide1241z00_5911;

							BgL_wide1241z00_5911 =
								((BgL_wideningzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 423 */
								obj_t BgL_auxz00_11409;
								BgL_objectz00_bglt BgL_tmpz00_11405;

								BgL_auxz00_11409 = ((obj_t) BgL_wide1241z00_5911);
								BgL_tmpz00_11405 =
									((BgL_objectz00_bglt)
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4999)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11405, BgL_auxz00_11409);
							}
							((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4999)));
							{	/* Liveness/liveness.scm 423 */
								long BgL_arg2312z00_5912;

								BgL_arg2312z00_5912 =
									BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4999))),
									BgL_arg2312z00_5912);
							}
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4999)));
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11423;

							{
								obj_t BgL_auxz00_11424;

								{	/* Liveness/liveness.scm 424 */
									BgL_objectz00_bglt BgL_tmpz00_11425;

									BgL_tmpz00_11425 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4999)));
									BgL_auxz00_11424 = BGL_OBJECT_WIDENING(BgL_tmpz00_11425);
								}
								BgL_auxz00_11423 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11424);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11423))->
									BgL_defz00) = ((obj_t) BgL_defz00_5906), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11432;

							{
								obj_t BgL_auxz00_11433;

								{	/* Liveness/liveness.scm 425 */
									BgL_objectz00_bglt BgL_tmpz00_11434;

									BgL_tmpz00_11434 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4999)));
									BgL_auxz00_11433 = BGL_OBJECT_WIDENING(BgL_tmpz00_11434);
								}
								BgL_auxz00_11432 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11433);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11432))->
									BgL_usez00) = ((obj_t) BgL_usez00_5908), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11441;

							{
								obj_t BgL_auxz00_11442;

								{	/* Liveness/liveness.scm 421 */
									BgL_objectz00_bglt BgL_tmpz00_11443;

									BgL_tmpz00_11443 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4999)));
									BgL_auxz00_11442 = BGL_OBJECT_WIDENING(BgL_tmpz00_11443);
								}
								BgL_auxz00_11441 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11442);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11441))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_11450;

							{
								obj_t BgL_auxz00_11451;

								{	/* Liveness/liveness.scm 421 */
									BgL_objectz00_bglt BgL_tmpz00_11452;

									BgL_tmpz00_11452 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4999)));
									BgL_auxz00_11451 = BGL_OBJECT_WIDENING(BgL_tmpz00_11452);
								}
								BgL_auxz00_11450 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_11451);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11450))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2311z00_5910 =
							((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4999));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2311z00_5910));
					}
				}
			}
		}

	}



/* &inout-setfield/liven1931 */
	obj_t BGl_z62inoutzd2setfieldzf2liven1931z42zzliveness_livenessz00(obj_t
		BgL_envz00_5000, obj_t BgL_nz00_5001)
	{
		{	/* Liveness/liveness.scm 411 */
			{	/* Liveness/liveness.scm 413 */
				obj_t BgL_val0_1642z00_5914;
				obj_t BgL_val1_1643z00_5915;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11463;

					{
						obj_t BgL_auxz00_11464;

						{	/* Liveness/liveness.scm 413 */
							BgL_objectz00_bglt BgL_tmpz00_11465;

							BgL_tmpz00_11465 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5001));
							BgL_auxz00_11464 = BGL_OBJECT_WIDENING(BgL_tmpz00_11465);
						}
						BgL_auxz00_11463 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11464);
					}
					BgL_val0_1642z00_5914 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11463))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11471;

					{
						obj_t BgL_auxz00_11472;

						{	/* Liveness/liveness.scm 413 */
							BgL_objectz00_bglt BgL_tmpz00_11473;

							BgL_tmpz00_11473 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5001));
							BgL_auxz00_11472 = BGL_OBJECT_WIDENING(BgL_tmpz00_11473);
						}
						BgL_auxz00_11471 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11472);
					}
					BgL_val1_1643z00_5915 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11471))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 413 */
					int BgL_tmpz00_11479;

					BgL_tmpz00_11479 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11479);
				}
				{	/* Liveness/liveness.scm 413 */
					int BgL_tmpz00_11482;

					BgL_tmpz00_11482 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11482, BgL_val1_1643z00_5915);
				}
				return BgL_val0_1642z00_5914;
			}
		}

	}



/* &inout!-setfield/live1929 */
	obj_t BGl_z62inoutz12zd2setfieldzf2live1929z50zzliveness_livenessz00(obj_t
		BgL_envz00_5002, obj_t BgL_nz00_5003, obj_t BgL_oz00_5004)
	{
		{	/* Liveness/liveness.scm 404 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11485;

				{
					obj_t BgL_auxz00_11486;

					{	/* Liveness/liveness.scm 406 */
						BgL_objectz00_bglt BgL_tmpz00_11487;

						BgL_tmpz00_11487 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5003));
						BgL_auxz00_11486 = BGL_OBJECT_WIDENING(BgL_tmpz00_11487);
					}
					BgL_auxz00_11485 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11486);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11485))->
						BgL_outz00) = ((obj_t) BgL_oz00_5004), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11500;
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11493;

				{	/* Liveness/liveness.scm 407 */
					obj_t BgL_arg2302z00_5917;
					obj_t BgL_arg2303z00_5918;

					{
						BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11501;

						{
							obj_t BgL_auxz00_11502;

							{	/* Liveness/liveness.scm 407 */
								BgL_objectz00_bglt BgL_tmpz00_11503;

								BgL_tmpz00_11503 =
									((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5003));
								BgL_auxz00_11502 = BGL_OBJECT_WIDENING(BgL_tmpz00_11503);
							}
							BgL_auxz00_11501 =
								((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11502);
						}
						BgL_arg2302z00_5917 =
							(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11501))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 407 */
						obj_t BgL_arg2306z00_5919;
						obj_t BgL_arg2307z00_5920;

						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11509;

							{
								obj_t BgL_auxz00_11510;

								{	/* Liveness/liveness.scm 407 */
									BgL_objectz00_bglt BgL_tmpz00_11511;

									BgL_tmpz00_11511 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5003));
									BgL_auxz00_11510 = BGL_OBJECT_WIDENING(BgL_tmpz00_11511);
								}
								BgL_auxz00_11509 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11510);
							}
							BgL_arg2306z00_5919 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11509))->
								BgL_outz00);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11517;

							{
								obj_t BgL_auxz00_11518;

								{	/* Liveness/liveness.scm 407 */
									BgL_objectz00_bglt BgL_tmpz00_11519;

									BgL_tmpz00_11519 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5003));
									BgL_auxz00_11518 = BGL_OBJECT_WIDENING(BgL_tmpz00_11519);
								}
								BgL_auxz00_11517 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11518);
							}
							BgL_arg2307z00_5920 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11517))->
								BgL_defz00);
						}
						BgL_arg2303z00_5918 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2306z00_5919,
							BgL_arg2307z00_5920);
					}
					{	/* Liveness/liveness.scm 407 */
						obj_t BgL_list2304z00_5921;

						{	/* Liveness/liveness.scm 407 */
							obj_t BgL_arg2305z00_5922;

							BgL_arg2305z00_5922 = MAKE_YOUNG_PAIR(BgL_arg2303z00_5918, BNIL);
							BgL_list2304z00_5921 =
								MAKE_YOUNG_PAIR(BgL_arg2302z00_5917, BgL_arg2305z00_5922);
						}
						BgL_auxz00_11500 =
							BGl_unionz00zzliveness_setz00(BgL_list2304z00_5921);
					}
				}
				{
					obj_t BgL_auxz00_11494;

					{	/* Liveness/liveness.scm 407 */
						BgL_objectz00_bglt BgL_tmpz00_11495;

						BgL_tmpz00_11495 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5003));
						BgL_auxz00_11494 = BGL_OBJECT_WIDENING(BgL_tmpz00_11495);
					}
					BgL_auxz00_11493 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11494);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11493))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11500), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 408 */
				obj_t BgL_g1639z00_5923;

				BgL_g1639z00_5923 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nz00_5003))))->BgL_exprza2za2);
				{
					obj_t BgL_l1637z00_5925;

					BgL_l1637z00_5925 = BgL_g1639z00_5923;
				BgL_zc3z04anonymousza32308ze3z87_5924:
					if (PAIRP(BgL_l1637z00_5925))
						{	/* Liveness/liveness.scm 408 */
							{	/* Liveness/liveness.scm 408 */
								obj_t BgL_ez00_5926;

								BgL_ez00_5926 = CAR(BgL_l1637z00_5925);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5926), BgL_oz00_5004);
							}
							{
								obj_t BgL_l1637z00_11538;

								BgL_l1637z00_11538 = CDR(BgL_l1637z00_5925);
								BgL_l1637z00_5925 = BgL_l1637z00_11538;
								goto BgL_zc3z04anonymousza32308ze3z87_5924;
							}
						}
					else
						{	/* Liveness/liveness.scm 408 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 409 */
				obj_t BgL_val0_1640z00_5927;
				obj_t BgL_val1_1641z00_5928;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11540;

					{
						obj_t BgL_auxz00_11541;

						{	/* Liveness/liveness.scm 409 */
							BgL_objectz00_bglt BgL_tmpz00_11542;

							BgL_tmpz00_11542 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5003));
							BgL_auxz00_11541 = BGL_OBJECT_WIDENING(BgL_tmpz00_11542);
						}
						BgL_auxz00_11540 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11541);
					}
					BgL_val0_1640z00_5927 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11540))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11548;

					{
						obj_t BgL_auxz00_11549;

						{	/* Liveness/liveness.scm 409 */
							BgL_objectz00_bglt BgL_tmpz00_11550;

							BgL_tmpz00_11550 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5003));
							BgL_auxz00_11549 = BGL_OBJECT_WIDENING(BgL_tmpz00_11550);
						}
						BgL_auxz00_11548 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11549);
					}
					BgL_val1_1641z00_5928 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11548))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 409 */
					int BgL_tmpz00_11556;

					BgL_tmpz00_11556 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11556);
				}
				{	/* Liveness/liveness.scm 409 */
					int BgL_tmpz00_11559;

					BgL_tmpz00_11559 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11559, BgL_val1_1641z00_5928);
				}
				return BgL_val0_1640z00_5927;
			}
		}

	}



/* &defuse-setfield/live1927 */
	obj_t BGl_z62defusezd2setfieldzf2live1927z42zzliveness_livenessz00(obj_t
		BgL_envz00_5005, obj_t BgL_nz00_5006)
	{
		{	/* Liveness/liveness.scm 400 */
			{	/* Liveness/liveness.scm 402 */
				obj_t BgL_val0_1635z00_5930;
				obj_t BgL_val1_1636z00_5931;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11562;

					{
						obj_t BgL_auxz00_11563;

						{	/* Liveness/liveness.scm 402 */
							BgL_objectz00_bglt BgL_tmpz00_11564;

							BgL_tmpz00_11564 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
							BgL_auxz00_11563 = BGL_OBJECT_WIDENING(BgL_tmpz00_11564);
						}
						BgL_auxz00_11562 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11563);
					}
					BgL_val0_1635z00_5930 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11562))->
						BgL_defz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11570;

					{
						obj_t BgL_auxz00_11571;

						{	/* Liveness/liveness.scm 402 */
							BgL_objectz00_bglt BgL_tmpz00_11572;

							BgL_tmpz00_11572 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5006));
							BgL_auxz00_11571 = BGL_OBJECT_WIDENING(BgL_tmpz00_11572);
						}
						BgL_auxz00_11570 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11571);
					}
					BgL_val1_1636z00_5931 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11570))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 402 */
					int BgL_tmpz00_11578;

					BgL_tmpz00_11578 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11578);
				}
				{	/* Liveness/liveness.scm 402 */
					int BgL_tmpz00_11581;

					BgL_tmpz00_11581 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11581, BgL_val1_1636z00_5931);
				}
				return BgL_val0_1635z00_5930;
			}
		}

	}



/* &defuse-setfield1925 */
	obj_t BGl_z62defusezd2setfield1925zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5007, obj_t BgL_nz00_5008)
	{
		{	/* Liveness/liveness.scm 391 */
			{	/* Liveness/liveness.scm 393 */
				obj_t BgL_defz00_5933;

				{	/* Liveness/liveness.scm 394 */
					obj_t BgL_arg2301z00_5934;

					BgL_arg2301z00_5934 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5008))))->BgL_exprza2za2);
					BgL_defz00_5933 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2301z00_5934, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 394 */
					obj_t BgL_usez00_5935;

					{	/* Liveness/liveness.scm 395 */
						obj_t BgL_tmpz00_5936;

						{	/* Liveness/liveness.scm 395 */
							int BgL_tmpz00_11588;

							BgL_tmpz00_11588 = (int) (((long) 1));
							BgL_tmpz00_5936 = BGL_MVALUES_VAL(BgL_tmpz00_11588);
						}
						{	/* Liveness/liveness.scm 395 */
							int BgL_tmpz00_11591;

							BgL_tmpz00_11591 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11591, BUNSPEC);
						}
						BgL_usez00_5935 = BgL_tmpz00_5936;
					}
					{	/* Liveness/liveness.scm 396 */
						BgL_setfieldz00_bglt BgL_arg2299z00_5937;

						{	/* Liveness/liveness.scm 396 */
							BgL_setfieldzf2livenesszf2_bglt BgL_wide1233z00_5938;

							BgL_wide1233z00_5938 =
								((BgL_setfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 396 */
								obj_t BgL_auxz00_11599;
								BgL_objectz00_bglt BgL_tmpz00_11595;

								BgL_auxz00_11599 = ((obj_t) BgL_wide1233z00_5938);
								BgL_tmpz00_11595 =
									((BgL_objectz00_bglt)
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_5008)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11595, BgL_auxz00_11599);
							}
							((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5008)));
							{	/* Liveness/liveness.scm 396 */
								long BgL_arg2300z00_5939;

								BgL_arg2300z00_5939 =
									BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5008))),
									BgL_arg2300z00_5939);
							}
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_5008)));
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11613;

							{
								obj_t BgL_auxz00_11614;

								{	/* Liveness/liveness.scm 397 */
									BgL_objectz00_bglt BgL_tmpz00_11615;

									BgL_tmpz00_11615 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5008)));
									BgL_auxz00_11614 = BGL_OBJECT_WIDENING(BgL_tmpz00_11615);
								}
								BgL_auxz00_11613 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11614);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11613))->
									BgL_defz00) = ((obj_t) BgL_defz00_5933), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11622;

							{
								obj_t BgL_auxz00_11623;

								{	/* Liveness/liveness.scm 398 */
									BgL_objectz00_bglt BgL_tmpz00_11624;

									BgL_tmpz00_11624 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5008)));
									BgL_auxz00_11623 = BGL_OBJECT_WIDENING(BgL_tmpz00_11624);
								}
								BgL_auxz00_11622 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11623);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11622))->
									BgL_usez00) = ((obj_t) BgL_usez00_5935), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11631;

							{
								obj_t BgL_auxz00_11632;

								{	/* Liveness/liveness.scm 394 */
									BgL_objectz00_bglt BgL_tmpz00_11633;

									BgL_tmpz00_11633 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5008)));
									BgL_auxz00_11632 = BGL_OBJECT_WIDENING(BgL_tmpz00_11633);
								}
								BgL_auxz00_11631 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11632);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11631))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11640;

							{
								obj_t BgL_auxz00_11641;

								{	/* Liveness/liveness.scm 394 */
									BgL_objectz00_bglt BgL_tmpz00_11642;

									BgL_tmpz00_11642 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_5008)));
									BgL_auxz00_11641 = BGL_OBJECT_WIDENING(BgL_tmpz00_11642);
								}
								BgL_auxz00_11640 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11641);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11640))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2299z00_5937 =
							((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_5008));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2299z00_5937));
					}
				}
			}
		}

	}



/* &inout-getfield/liven1923 */
	obj_t BGl_z62inoutzd2getfieldzf2liven1923z42zzliveness_livenessz00(obj_t
		BgL_envz00_5009, obj_t BgL_nz00_5010)
	{
		{	/* Liveness/liveness.scm 384 */
			{	/* Liveness/liveness.scm 386 */
				obj_t BgL_val0_1633z00_5941;
				obj_t BgL_val1_1634z00_5942;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11653;

					{
						obj_t BgL_auxz00_11654;

						{	/* Liveness/liveness.scm 386 */
							BgL_objectz00_bglt BgL_tmpz00_11655;

							BgL_tmpz00_11655 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5010));
							BgL_auxz00_11654 = BGL_OBJECT_WIDENING(BgL_tmpz00_11655);
						}
						BgL_auxz00_11653 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11654);
					}
					BgL_val0_1633z00_5941 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11653))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11661;

					{
						obj_t BgL_auxz00_11662;

						{	/* Liveness/liveness.scm 386 */
							BgL_objectz00_bglt BgL_tmpz00_11663;

							BgL_tmpz00_11663 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5010));
							BgL_auxz00_11662 = BGL_OBJECT_WIDENING(BgL_tmpz00_11663);
						}
						BgL_auxz00_11661 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11662);
					}
					BgL_val1_1634z00_5942 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11661))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 386 */
					int BgL_tmpz00_11669;

					BgL_tmpz00_11669 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11669);
				}
				{	/* Liveness/liveness.scm 386 */
					int BgL_tmpz00_11672;

					BgL_tmpz00_11672 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11672, BgL_val1_1634z00_5942);
				}
				return BgL_val0_1633z00_5941;
			}
		}

	}



/* &inout!-getfield/live1921 */
	obj_t BGl_z62inoutz12zd2getfieldzf2live1921z50zzliveness_livenessz00(obj_t
		BgL_envz00_5011, obj_t BgL_nz00_5012, obj_t BgL_oz00_5013)
	{
		{	/* Liveness/liveness.scm 377 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11675;

				{
					obj_t BgL_auxz00_11676;

					{	/* Liveness/liveness.scm 379 */
						BgL_objectz00_bglt BgL_tmpz00_11677;

						BgL_tmpz00_11677 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5012));
						BgL_auxz00_11676 = BGL_OBJECT_WIDENING(BgL_tmpz00_11677);
					}
					BgL_auxz00_11675 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11676);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11675))->
						BgL_outz00) = ((obj_t) BgL_oz00_5013), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11690;
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11683;

				{	/* Liveness/liveness.scm 380 */
					obj_t BgL_arg2289z00_5944;
					obj_t BgL_arg2290z00_5945;

					{
						BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11691;

						{
							obj_t BgL_auxz00_11692;

							{	/* Liveness/liveness.scm 380 */
								BgL_objectz00_bglt BgL_tmpz00_11693;

								BgL_tmpz00_11693 =
									((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5012));
								BgL_auxz00_11692 = BGL_OBJECT_WIDENING(BgL_tmpz00_11693);
							}
							BgL_auxz00_11691 =
								((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11692);
						}
						BgL_arg2289z00_5944 =
							(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11691))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 380 */
						obj_t BgL_arg2294z00_5946;
						obj_t BgL_arg2295z00_5947;

						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11699;

							{
								obj_t BgL_auxz00_11700;

								{	/* Liveness/liveness.scm 380 */
									BgL_objectz00_bglt BgL_tmpz00_11701;

									BgL_tmpz00_11701 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5012));
									BgL_auxz00_11700 = BGL_OBJECT_WIDENING(BgL_tmpz00_11701);
								}
								BgL_auxz00_11699 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11700);
							}
							BgL_arg2294z00_5946 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11699))->
								BgL_outz00);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11707;

							{
								obj_t BgL_auxz00_11708;

								{	/* Liveness/liveness.scm 380 */
									BgL_objectz00_bglt BgL_tmpz00_11709;

									BgL_tmpz00_11709 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5012));
									BgL_auxz00_11708 = BGL_OBJECT_WIDENING(BgL_tmpz00_11709);
								}
								BgL_auxz00_11707 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11708);
							}
							BgL_arg2295z00_5947 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11707))->
								BgL_defz00);
						}
						BgL_arg2290z00_5945 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2294z00_5946,
							BgL_arg2295z00_5947);
					}
					{	/* Liveness/liveness.scm 380 */
						obj_t BgL_list2291z00_5948;

						{	/* Liveness/liveness.scm 380 */
							obj_t BgL_arg2292z00_5949;

							BgL_arg2292z00_5949 = MAKE_YOUNG_PAIR(BgL_arg2290z00_5945, BNIL);
							BgL_list2291z00_5948 =
								MAKE_YOUNG_PAIR(BgL_arg2289z00_5944, BgL_arg2292z00_5949);
						}
						BgL_auxz00_11690 =
							BGl_unionz00zzliveness_setz00(BgL_list2291z00_5948);
					}
				}
				{
					obj_t BgL_auxz00_11684;

					{	/* Liveness/liveness.scm 380 */
						BgL_objectz00_bglt BgL_tmpz00_11685;

						BgL_tmpz00_11685 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5012));
						BgL_auxz00_11684 = BGL_OBJECT_WIDENING(BgL_tmpz00_11685);
					}
					BgL_auxz00_11683 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11684);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11683))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11690), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 381 */
				obj_t BgL_g1630z00_5950;

				BgL_g1630z00_5950 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nz00_5012))))->BgL_exprza2za2);
				{
					obj_t BgL_l1628z00_5952;

					BgL_l1628z00_5952 = BgL_g1630z00_5950;
				BgL_zc3z04anonymousza32296ze3z87_5951:
					if (PAIRP(BgL_l1628z00_5952))
						{	/* Liveness/liveness.scm 381 */
							{	/* Liveness/liveness.scm 381 */
								obj_t BgL_ez00_5953;

								BgL_ez00_5953 = CAR(BgL_l1628z00_5952);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5953), BgL_oz00_5013);
							}
							{
								obj_t BgL_l1628z00_11728;

								BgL_l1628z00_11728 = CDR(BgL_l1628z00_5952);
								BgL_l1628z00_5952 = BgL_l1628z00_11728;
								goto BgL_zc3z04anonymousza32296ze3z87_5951;
							}
						}
					else
						{	/* Liveness/liveness.scm 381 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 382 */
				obj_t BgL_val0_1631z00_5954;
				obj_t BgL_val1_1632z00_5955;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11730;

					{
						obj_t BgL_auxz00_11731;

						{	/* Liveness/liveness.scm 382 */
							BgL_objectz00_bglt BgL_tmpz00_11732;

							BgL_tmpz00_11732 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5012));
							BgL_auxz00_11731 = BGL_OBJECT_WIDENING(BgL_tmpz00_11732);
						}
						BgL_auxz00_11730 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11731);
					}
					BgL_val0_1631z00_5954 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11730))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11738;

					{
						obj_t BgL_auxz00_11739;

						{	/* Liveness/liveness.scm 382 */
							BgL_objectz00_bglt BgL_tmpz00_11740;

							BgL_tmpz00_11740 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5012));
							BgL_auxz00_11739 = BGL_OBJECT_WIDENING(BgL_tmpz00_11740);
						}
						BgL_auxz00_11738 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11739);
					}
					BgL_val1_1632z00_5955 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11738))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 382 */
					int BgL_tmpz00_11746;

					BgL_tmpz00_11746 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11746);
				}
				{	/* Liveness/liveness.scm 382 */
					int BgL_tmpz00_11749;

					BgL_tmpz00_11749 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11749, BgL_val1_1632z00_5955);
				}
				return BgL_val0_1631z00_5954;
			}
		}

	}



/* &defuse-getfield/live1919 */
	obj_t BGl_z62defusezd2getfieldzf2live1919z42zzliveness_livenessz00(obj_t
		BgL_envz00_5014, obj_t BgL_nz00_5015)
	{
		{	/* Liveness/liveness.scm 373 */
			{	/* Liveness/liveness.scm 375 */
				obj_t BgL_val0_1626z00_5957;
				obj_t BgL_val1_1627z00_5958;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11752;

					{
						obj_t BgL_auxz00_11753;

						{	/* Liveness/liveness.scm 375 */
							BgL_objectz00_bglt BgL_tmpz00_11754;

							BgL_tmpz00_11754 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
							BgL_auxz00_11753 = BGL_OBJECT_WIDENING(BgL_tmpz00_11754);
						}
						BgL_auxz00_11752 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11753);
					}
					BgL_val0_1626z00_5957 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11752))->
						BgL_defz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11760;

					{
						obj_t BgL_auxz00_11761;

						{	/* Liveness/liveness.scm 375 */
							BgL_objectz00_bglt BgL_tmpz00_11762;

							BgL_tmpz00_11762 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5015));
							BgL_auxz00_11761 = BGL_OBJECT_WIDENING(BgL_tmpz00_11762);
						}
						BgL_auxz00_11760 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11761);
					}
					BgL_val1_1627z00_5958 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11760))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 375 */
					int BgL_tmpz00_11768;

					BgL_tmpz00_11768 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11768);
				}
				{	/* Liveness/liveness.scm 375 */
					int BgL_tmpz00_11771;

					BgL_tmpz00_11771 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11771, BgL_val1_1627z00_5958);
				}
				return BgL_val0_1626z00_5957;
			}
		}

	}



/* &defuse-getfield1917 */
	obj_t BGl_z62defusezd2getfield1917zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5016, obj_t BgL_nz00_5017)
	{
		{	/* Liveness/liveness.scm 364 */
			{	/* Liveness/liveness.scm 366 */
				obj_t BgL_defz00_5960;

				{	/* Liveness/liveness.scm 367 */
					obj_t BgL_arg2288z00_5961;

					BgL_arg2288z00_5961 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5017))))->BgL_exprza2za2);
					BgL_defz00_5960 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2288z00_5961, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 367 */
					obj_t BgL_usez00_5962;

					{	/* Liveness/liveness.scm 368 */
						obj_t BgL_tmpz00_5963;

						{	/* Liveness/liveness.scm 368 */
							int BgL_tmpz00_11778;

							BgL_tmpz00_11778 = (int) (((long) 1));
							BgL_tmpz00_5963 = BGL_MVALUES_VAL(BgL_tmpz00_11778);
						}
						{	/* Liveness/liveness.scm 368 */
							int BgL_tmpz00_11781;

							BgL_tmpz00_11781 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11781, BUNSPEC);
						}
						BgL_usez00_5962 = BgL_tmpz00_5963;
					}
					{	/* Liveness/liveness.scm 369 */
						BgL_getfieldz00_bglt BgL_arg2286z00_5964;

						{	/* Liveness/liveness.scm 369 */
							BgL_getfieldzf2livenesszf2_bglt BgL_wide1225z00_5965;

							BgL_wide1225z00_5965 =
								((BgL_getfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 369 */
								obj_t BgL_auxz00_11789;
								BgL_objectz00_bglt BgL_tmpz00_11785;

								BgL_auxz00_11789 = ((obj_t) BgL_wide1225z00_5965);
								BgL_tmpz00_11785 =
									((BgL_objectz00_bglt)
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_5017)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11785, BgL_auxz00_11789);
							}
							((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5017)));
							{	/* Liveness/liveness.scm 369 */
								long BgL_arg2287z00_5966;

								BgL_arg2287z00_5966 =
									BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5017))),
									BgL_arg2287z00_5966);
							}
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_5017)));
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11803;

							{
								obj_t BgL_auxz00_11804;

								{	/* Liveness/liveness.scm 370 */
									BgL_objectz00_bglt BgL_tmpz00_11805;

									BgL_tmpz00_11805 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5017)));
									BgL_auxz00_11804 = BGL_OBJECT_WIDENING(BgL_tmpz00_11805);
								}
								BgL_auxz00_11803 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11804);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11803))->
									BgL_defz00) = ((obj_t) BgL_defz00_5960), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11812;

							{
								obj_t BgL_auxz00_11813;

								{	/* Liveness/liveness.scm 371 */
									BgL_objectz00_bglt BgL_tmpz00_11814;

									BgL_tmpz00_11814 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5017)));
									BgL_auxz00_11813 = BGL_OBJECT_WIDENING(BgL_tmpz00_11814);
								}
								BgL_auxz00_11812 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11813);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11812))->
									BgL_usez00) = ((obj_t) BgL_usez00_5962), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11821;

							{
								obj_t BgL_auxz00_11822;

								{	/* Liveness/liveness.scm 367 */
									BgL_objectz00_bglt BgL_tmpz00_11823;

									BgL_tmpz00_11823 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5017)));
									BgL_auxz00_11822 = BGL_OBJECT_WIDENING(BgL_tmpz00_11823);
								}
								BgL_auxz00_11821 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11822);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11821))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11830;

							{
								obj_t BgL_auxz00_11831;

								{	/* Liveness/liveness.scm 367 */
									BgL_objectz00_bglt BgL_tmpz00_11832;

									BgL_tmpz00_11832 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_5017)));
									BgL_auxz00_11831 = BGL_OBJECT_WIDENING(BgL_tmpz00_11832);
								}
								BgL_auxz00_11830 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11831);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11830))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2286z00_5964 =
							((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_5017));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2286z00_5964));
					}
				}
			}
		}

	}



/* &inout-pragma/livenes1915 */
	obj_t BGl_z62inoutzd2pragmazf2livenes1915z42zzliveness_livenessz00(obj_t
		BgL_envz00_5018, obj_t BgL_nz00_5019)
	{
		{	/* Liveness/liveness.scm 357 */
			{	/* Liveness/liveness.scm 359 */
				obj_t BgL_val0_1624z00_5968;
				obj_t BgL_val1_1625z00_5969;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11843;

					{
						obj_t BgL_auxz00_11844;

						{	/* Liveness/liveness.scm 359 */
							BgL_objectz00_bglt BgL_tmpz00_11845;

							BgL_tmpz00_11845 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5019));
							BgL_auxz00_11844 = BGL_OBJECT_WIDENING(BgL_tmpz00_11845);
						}
						BgL_auxz00_11843 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11844);
					}
					BgL_val0_1624z00_5968 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11843))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11851;

					{
						obj_t BgL_auxz00_11852;

						{	/* Liveness/liveness.scm 359 */
							BgL_objectz00_bglt BgL_tmpz00_11853;

							BgL_tmpz00_11853 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5019));
							BgL_auxz00_11852 = BGL_OBJECT_WIDENING(BgL_tmpz00_11853);
						}
						BgL_auxz00_11851 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11852);
					}
					BgL_val1_1625z00_5969 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11851))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 359 */
					int BgL_tmpz00_11859;

					BgL_tmpz00_11859 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11859);
				}
				{	/* Liveness/liveness.scm 359 */
					int BgL_tmpz00_11862;

					BgL_tmpz00_11862 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11862, BgL_val1_1625z00_5969);
				}
				return BgL_val0_1624z00_5968;
			}
		}

	}



/* &inout!-pragma/livene1913 */
	obj_t BGl_z62inoutz12zd2pragmazf2livene1913z50zzliveness_livenessz00(obj_t
		BgL_envz00_5020, obj_t BgL_nz00_5021, obj_t BgL_oz00_5022)
	{
		{	/* Liveness/liveness.scm 350 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11865;

				{
					obj_t BgL_auxz00_11866;

					{	/* Liveness/liveness.scm 352 */
						BgL_objectz00_bglt BgL_tmpz00_11867;

						BgL_tmpz00_11867 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
						BgL_auxz00_11866 = BGL_OBJECT_WIDENING(BgL_tmpz00_11867);
					}
					BgL_auxz00_11865 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11866);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11865))->
						BgL_outz00) = ((obj_t) BgL_oz00_5022), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11880;
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11873;

				{	/* Liveness/liveness.scm 353 */
					obj_t BgL_arg2275z00_5971;
					obj_t BgL_arg2276z00_5972;

					{
						BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11881;

						{
							obj_t BgL_auxz00_11882;

							{	/* Liveness/liveness.scm 353 */
								BgL_objectz00_bglt BgL_tmpz00_11883;

								BgL_tmpz00_11883 =
									((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
								BgL_auxz00_11882 = BGL_OBJECT_WIDENING(BgL_tmpz00_11883);
							}
							BgL_auxz00_11881 =
								((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11882);
						}
						BgL_arg2275z00_5971 =
							(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11881))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 353 */
						obj_t BgL_arg2280z00_5973;
						obj_t BgL_arg2281z00_5974;

						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11889;

							{
								obj_t BgL_auxz00_11890;

								{	/* Liveness/liveness.scm 353 */
									BgL_objectz00_bglt BgL_tmpz00_11891;

									BgL_tmpz00_11891 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
									BgL_auxz00_11890 = BGL_OBJECT_WIDENING(BgL_tmpz00_11891);
								}
								BgL_auxz00_11889 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11890);
							}
							BgL_arg2280z00_5973 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11889))->
								BgL_outz00);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11897;

							{
								obj_t BgL_auxz00_11898;

								{	/* Liveness/liveness.scm 353 */
									BgL_objectz00_bglt BgL_tmpz00_11899;

									BgL_tmpz00_11899 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
									BgL_auxz00_11898 = BGL_OBJECT_WIDENING(BgL_tmpz00_11899);
								}
								BgL_auxz00_11897 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11898);
							}
							BgL_arg2281z00_5974 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11897))->
								BgL_defz00);
						}
						BgL_arg2276z00_5972 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2280z00_5973,
							BgL_arg2281z00_5974);
					}
					{	/* Liveness/liveness.scm 353 */
						obj_t BgL_list2277z00_5975;

						{	/* Liveness/liveness.scm 353 */
							obj_t BgL_arg2279z00_5976;

							BgL_arg2279z00_5976 = MAKE_YOUNG_PAIR(BgL_arg2276z00_5972, BNIL);
							BgL_list2277z00_5975 =
								MAKE_YOUNG_PAIR(BgL_arg2275z00_5971, BgL_arg2279z00_5976);
						}
						BgL_auxz00_11880 =
							BGl_unionz00zzliveness_setz00(BgL_list2277z00_5975);
					}
				}
				{
					obj_t BgL_auxz00_11874;

					{	/* Liveness/liveness.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_11875;

						BgL_tmpz00_11875 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
						BgL_auxz00_11874 = BGL_OBJECT_WIDENING(BgL_tmpz00_11875);
					}
					BgL_auxz00_11873 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11874);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11873))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11880), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 354 */
				obj_t BgL_g1621z00_5977;

				BgL_g1621z00_5977 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nz00_5021))))->BgL_exprza2za2);
				{
					obj_t BgL_l1619z00_5979;

					BgL_l1619z00_5979 = BgL_g1621z00_5977;
				BgL_zc3z04anonymousza32282ze3z87_5978:
					if (PAIRP(BgL_l1619z00_5979))
						{	/* Liveness/liveness.scm 354 */
							{	/* Liveness/liveness.scm 354 */
								obj_t BgL_ez00_5980;

								BgL_ez00_5980 = CAR(BgL_l1619z00_5979);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5980), BgL_oz00_5022);
							}
							{
								obj_t BgL_l1619z00_11918;

								BgL_l1619z00_11918 = CDR(BgL_l1619z00_5979);
								BgL_l1619z00_5979 = BgL_l1619z00_11918;
								goto BgL_zc3z04anonymousza32282ze3z87_5978;
							}
						}
					else
						{	/* Liveness/liveness.scm 354 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 355 */
				obj_t BgL_val0_1622z00_5981;
				obj_t BgL_val1_1623z00_5982;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11920;

					{
						obj_t BgL_auxz00_11921;

						{	/* Liveness/liveness.scm 355 */
							BgL_objectz00_bglt BgL_tmpz00_11922;

							BgL_tmpz00_11922 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
							BgL_auxz00_11921 = BGL_OBJECT_WIDENING(BgL_tmpz00_11922);
						}
						BgL_auxz00_11920 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11921);
					}
					BgL_val0_1622z00_5981 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11920))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11928;

					{
						obj_t BgL_auxz00_11929;

						{	/* Liveness/liveness.scm 355 */
							BgL_objectz00_bglt BgL_tmpz00_11930;

							BgL_tmpz00_11930 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5021));
							BgL_auxz00_11929 = BGL_OBJECT_WIDENING(BgL_tmpz00_11930);
						}
						BgL_auxz00_11928 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11929);
					}
					BgL_val1_1623z00_5982 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11928))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 355 */
					int BgL_tmpz00_11936;

					BgL_tmpz00_11936 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11936);
				}
				{	/* Liveness/liveness.scm 355 */
					int BgL_tmpz00_11939;

					BgL_tmpz00_11939 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11939, BgL_val1_1623z00_5982);
				}
				return BgL_val0_1622z00_5981;
			}
		}

	}



/* &defuse-pragma/livene1911 */
	obj_t BGl_z62defusezd2pragmazf2livene1911z42zzliveness_livenessz00(obj_t
		BgL_envz00_5023, obj_t BgL_nz00_5024)
	{
		{	/* Liveness/liveness.scm 346 */
			{	/* Liveness/liveness.scm 348 */
				obj_t BgL_val0_1617z00_5984;
				obj_t BgL_val1_1618z00_5985;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11942;

					{
						obj_t BgL_auxz00_11943;

						{	/* Liveness/liveness.scm 348 */
							BgL_objectz00_bglt BgL_tmpz00_11944;

							BgL_tmpz00_11944 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
							BgL_auxz00_11943 = BGL_OBJECT_WIDENING(BgL_tmpz00_11944);
						}
						BgL_auxz00_11942 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11943);
					}
					BgL_val0_1617z00_5984 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11942))->
						BgL_defz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11950;

					{
						obj_t BgL_auxz00_11951;

						{	/* Liveness/liveness.scm 348 */
							BgL_objectz00_bglt BgL_tmpz00_11952;

							BgL_tmpz00_11952 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5024));
							BgL_auxz00_11951 = BGL_OBJECT_WIDENING(BgL_tmpz00_11952);
						}
						BgL_auxz00_11950 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11951);
					}
					BgL_val1_1618z00_5985 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11950))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 348 */
					int BgL_tmpz00_11958;

					BgL_tmpz00_11958 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11958);
				}
				{	/* Liveness/liveness.scm 348 */
					int BgL_tmpz00_11961;

					BgL_tmpz00_11961 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11961, BgL_val1_1618z00_5985);
				}
				return BgL_val0_1617z00_5984;
			}
		}

	}



/* &defuse-pragma1909 */
	obj_t BGl_z62defusezd2pragma1909zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5025, obj_t BgL_nz00_5026)
	{
		{	/* Liveness/liveness.scm 337 */
			{	/* Liveness/liveness.scm 339 */
				obj_t BgL_defz00_5987;

				{	/* Liveness/liveness.scm 340 */
					obj_t BgL_arg2274z00_5988;

					BgL_arg2274z00_5988 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_pragmaz00_bglt) BgL_nz00_5026))))->BgL_exprza2za2);
					BgL_defz00_5987 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2274z00_5988, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 340 */
					obj_t BgL_usez00_5989;

					{	/* Liveness/liveness.scm 341 */
						obj_t BgL_tmpz00_5990;

						{	/* Liveness/liveness.scm 341 */
							int BgL_tmpz00_11968;

							BgL_tmpz00_11968 = (int) (((long) 1));
							BgL_tmpz00_5990 = BGL_MVALUES_VAL(BgL_tmpz00_11968);
						}
						{	/* Liveness/liveness.scm 341 */
							int BgL_tmpz00_11971;

							BgL_tmpz00_11971 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11971, BUNSPEC);
						}
						BgL_usez00_5989 = BgL_tmpz00_5990;
					}
					{	/* Liveness/liveness.scm 342 */
						BgL_pragmaz00_bglt BgL_arg2272z00_5991;

						{	/* Liveness/liveness.scm 342 */
							BgL_pragmazf2livenesszf2_bglt BgL_wide1217z00_5992;

							BgL_wide1217z00_5992 =
								((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmazf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 342 */
								obj_t BgL_auxz00_11979;
								BgL_objectz00_bglt BgL_tmpz00_11975;

								BgL_auxz00_11979 = ((obj_t) BgL_wide1217z00_5992);
								BgL_tmpz00_11975 =
									((BgL_objectz00_bglt)
									((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5026)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11975, BgL_auxz00_11979);
							}
							((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5026)));
							{	/* Liveness/liveness.scm 342 */
								long BgL_arg2273z00_5993;

								BgL_arg2273z00_5993 =
									BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5026))),
									BgL_arg2273z00_5993);
							}
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5026)));
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11993;

							{
								obj_t BgL_auxz00_11994;

								{	/* Liveness/liveness.scm 343 */
									BgL_objectz00_bglt BgL_tmpz00_11995;

									BgL_tmpz00_11995 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5026)));
									BgL_auxz00_11994 = BGL_OBJECT_WIDENING(BgL_tmpz00_11995);
								}
								BgL_auxz00_11993 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11994);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11993))->
									BgL_defz00) = ((obj_t) BgL_defz00_5987), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12002;

							{
								obj_t BgL_auxz00_12003;

								{	/* Liveness/liveness.scm 344 */
									BgL_objectz00_bglt BgL_tmpz00_12004;

									BgL_tmpz00_12004 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5026)));
									BgL_auxz00_12003 = BGL_OBJECT_WIDENING(BgL_tmpz00_12004);
								}
								BgL_auxz00_12002 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12003);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12002))->
									BgL_usez00) = ((obj_t) BgL_usez00_5989), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12011;

							{
								obj_t BgL_auxz00_12012;

								{	/* Liveness/liveness.scm 340 */
									BgL_objectz00_bglt BgL_tmpz00_12013;

									BgL_tmpz00_12013 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5026)));
									BgL_auxz00_12012 = BGL_OBJECT_WIDENING(BgL_tmpz00_12013);
								}
								BgL_auxz00_12011 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12012);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12011))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_12020;

							{
								obj_t BgL_auxz00_12021;

								{	/* Liveness/liveness.scm 340 */
									BgL_objectz00_bglt BgL_tmpz00_12022;

									BgL_tmpz00_12022 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_5026)));
									BgL_auxz00_12021 = BGL_OBJECT_WIDENING(BgL_tmpz00_12022);
								}
								BgL_auxz00_12020 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_12021);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_12020))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2272z00_5991 =
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_5026));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2272z00_5991));
					}
				}
			}
		}

	}



/* &defuse-extern1907 */
	obj_t BGl_z62defusezd2extern1907zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5027, obj_t BgL_nz00_5028)
	{
		{	/* Liveness/liveness.scm 330 */
			return
				BGl_defuseza2za2zzliveness_livenessz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_5028)))->BgL_exprza2za2), BNIL,
				BNIL);
		}

	}



/* &inout-funcall/livene1905 */
	obj_t BGl_z62inoutzd2funcallzf2livene1905z42zzliveness_livenessz00(obj_t
		BgL_envz00_5029, obj_t BgL_nz00_5030)
	{
		{	/* Liveness/liveness.scm 323 */
			{	/* Liveness/liveness.scm 325 */
				obj_t BgL_val0_1615z00_5996;
				obj_t BgL_val1_1616z00_5997;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12036;

					{
						obj_t BgL_auxz00_12037;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_12038;

							BgL_tmpz00_12038 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5030));
							BgL_auxz00_12037 = BGL_OBJECT_WIDENING(BgL_tmpz00_12038);
						}
						BgL_auxz00_12036 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12037);
					}
					BgL_val0_1615z00_5996 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12036))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12044;

					{
						obj_t BgL_auxz00_12045;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_12046;

							BgL_tmpz00_12046 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5030));
							BgL_auxz00_12045 = BGL_OBJECT_WIDENING(BgL_tmpz00_12046);
						}
						BgL_auxz00_12044 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12045);
					}
					BgL_val1_1616z00_5997 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12044))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_12052;

					BgL_tmpz00_12052 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12052);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_12055;

					BgL_tmpz00_12055 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12055, BgL_val1_1616z00_5997);
				}
				return BgL_val0_1615z00_5996;
			}
		}

	}



/* &inout!-funcall/liven1903 */
	obj_t BGl_z62inoutz12zd2funcallzf2liven1903z50zzliveness_livenessz00(obj_t
		BgL_envz00_5031, obj_t BgL_nz00_5032, obj_t BgL_oz00_5033)
	{
		{	/* Liveness/liveness.scm 316 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12058;

				{
					obj_t BgL_auxz00_12059;

					{	/* Liveness/liveness.scm 318 */
						BgL_objectz00_bglt BgL_tmpz00_12060;

						BgL_tmpz00_12060 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5032));
						BgL_auxz00_12059 = BGL_OBJECT_WIDENING(BgL_tmpz00_12060);
					}
					BgL_auxz00_12058 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12059);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12058))->
						BgL_outz00) = ((obj_t) BgL_oz00_5033), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12073;
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12066;

				{	/* Liveness/liveness.scm 319 */
					obj_t BgL_arg2262z00_5999;
					obj_t BgL_arg2263z00_6000;

					{
						BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12074;

						{
							obj_t BgL_auxz00_12075;

							{	/* Liveness/liveness.scm 319 */
								BgL_objectz00_bglt BgL_tmpz00_12076;

								BgL_tmpz00_12076 =
									((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5032));
								BgL_auxz00_12075 = BGL_OBJECT_WIDENING(BgL_tmpz00_12076);
							}
							BgL_auxz00_12074 =
								((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12075);
						}
						BgL_arg2262z00_5999 =
							(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12074))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 319 */
						obj_t BgL_arg2266z00_6001;
						obj_t BgL_arg2267z00_6002;

						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12082;

							{
								obj_t BgL_auxz00_12083;

								{	/* Liveness/liveness.scm 319 */
									BgL_objectz00_bglt BgL_tmpz00_12084;

									BgL_tmpz00_12084 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_5032));
									BgL_auxz00_12083 = BGL_OBJECT_WIDENING(BgL_tmpz00_12084);
								}
								BgL_auxz00_12082 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12083);
							}
							BgL_arg2266z00_6001 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12082))->
								BgL_outz00);
						}
						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12090;

							{
								obj_t BgL_auxz00_12091;

								{	/* Liveness/liveness.scm 319 */
									BgL_objectz00_bglt BgL_tmpz00_12092;

									BgL_tmpz00_12092 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_5032));
									BgL_auxz00_12091 = BGL_OBJECT_WIDENING(BgL_tmpz00_12092);
								}
								BgL_auxz00_12090 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12091);
							}
							BgL_arg2267z00_6002 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12090))->
								BgL_defz00);
						}
						BgL_arg2263z00_6000 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2266z00_6001,
							BgL_arg2267z00_6002);
					}
					{	/* Liveness/liveness.scm 319 */
						obj_t BgL_list2264z00_6003;

						{	/* Liveness/liveness.scm 319 */
							obj_t BgL_arg2265z00_6004;

							BgL_arg2265z00_6004 = MAKE_YOUNG_PAIR(BgL_arg2263z00_6000, BNIL);
							BgL_list2264z00_6003 =
								MAKE_YOUNG_PAIR(BgL_arg2262z00_5999, BgL_arg2265z00_6004);
						}
						BgL_auxz00_12073 =
							BGl_unionz00zzliveness_setz00(BgL_list2264z00_6003);
					}
				}
				{
					obj_t BgL_auxz00_12067;

					{	/* Liveness/liveness.scm 319 */
						BgL_objectz00_bglt BgL_tmpz00_12068;

						BgL_tmpz00_12068 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5032));
						BgL_auxz00_12067 = BGL_OBJECT_WIDENING(BgL_tmpz00_12068);
					}
					BgL_auxz00_12066 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12067);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12066))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12073), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 320 */
				obj_t BgL_g1612z00_6005;

				BgL_g1612z00_6005 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nz00_5032))))->BgL_argsz00);
				{
					obj_t BgL_l1610z00_6007;

					BgL_l1610z00_6007 = BgL_g1612z00_6005;
				BgL_zc3z04anonymousza32268ze3z87_6006:
					if (PAIRP(BgL_l1610z00_6007))
						{	/* Liveness/liveness.scm 320 */
							{	/* Liveness/liveness.scm 320 */
								obj_t BgL_az00_6008;

								BgL_az00_6008 = CAR(BgL_l1610z00_6007);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_6008), BgL_oz00_5033);
							}
							{
								obj_t BgL_l1610z00_12111;

								BgL_l1610z00_12111 = CDR(BgL_l1610z00_6007);
								BgL_l1610z00_6007 = BgL_l1610z00_12111;
								goto BgL_zc3z04anonymousza32268ze3z87_6006;
							}
						}
					else
						{	/* Liveness/liveness.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 321 */
				obj_t BgL_val0_1613z00_6009;
				obj_t BgL_val1_1614z00_6010;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12113;

					{
						obj_t BgL_auxz00_12114;

						{	/* Liveness/liveness.scm 321 */
							BgL_objectz00_bglt BgL_tmpz00_12115;

							BgL_tmpz00_12115 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5032));
							BgL_auxz00_12114 = BGL_OBJECT_WIDENING(BgL_tmpz00_12115);
						}
						BgL_auxz00_12113 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12114);
					}
					BgL_val0_1613z00_6009 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12113))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12121;

					{
						obj_t BgL_auxz00_12122;

						{	/* Liveness/liveness.scm 321 */
							BgL_objectz00_bglt BgL_tmpz00_12123;

							BgL_tmpz00_12123 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5032));
							BgL_auxz00_12122 = BGL_OBJECT_WIDENING(BgL_tmpz00_12123);
						}
						BgL_auxz00_12121 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12122);
					}
					BgL_val1_1614z00_6010 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12121))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 321 */
					int BgL_tmpz00_12129;

					BgL_tmpz00_12129 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12129);
				}
				{	/* Liveness/liveness.scm 321 */
					int BgL_tmpz00_12132;

					BgL_tmpz00_12132 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12132, BgL_val1_1614z00_6010);
				}
				return BgL_val0_1613z00_6009;
			}
		}

	}



/* &defuse-funcall/liven1901 */
	obj_t BGl_z62defusezd2funcallzf2liven1901z42zzliveness_livenessz00(obj_t
		BgL_envz00_5034, obj_t BgL_nz00_5035)
	{
		{	/* Liveness/liveness.scm 312 */
			{	/* Liveness/liveness.scm 314 */
				obj_t BgL_val0_1608z00_6012;
				obj_t BgL_val1_1609z00_6013;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12135;

					{
						obj_t BgL_auxz00_12136;

						{	/* Liveness/liveness.scm 314 */
							BgL_objectz00_bglt BgL_tmpz00_12137;

							BgL_tmpz00_12137 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
							BgL_auxz00_12136 = BGL_OBJECT_WIDENING(BgL_tmpz00_12137);
						}
						BgL_auxz00_12135 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12136);
					}
					BgL_val0_1608z00_6012 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12135))->
						BgL_defz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12143;

					{
						obj_t BgL_auxz00_12144;

						{	/* Liveness/liveness.scm 314 */
							BgL_objectz00_bglt BgL_tmpz00_12145;

							BgL_tmpz00_12145 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5035));
							BgL_auxz00_12144 = BGL_OBJECT_WIDENING(BgL_tmpz00_12145);
						}
						BgL_auxz00_12143 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12144);
					}
					BgL_val1_1609z00_6013 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12143))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 314 */
					int BgL_tmpz00_12151;

					BgL_tmpz00_12151 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12151);
				}
				{	/* Liveness/liveness.scm 314 */
					int BgL_tmpz00_12154;

					BgL_tmpz00_12154 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12154, BgL_val1_1609z00_6013);
				}
				return BgL_val0_1608z00_6012;
			}
		}

	}



/* &defuse-funcall1899 */
	obj_t BGl_z62defusezd2funcall1899zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5036, obj_t BgL_nz00_5037)
	{
		{	/* Liveness/liveness.scm 301 */
			{	/* Liveness/liveness.scm 303 */
				obj_t BgL_dz00_6015;

				BgL_dz00_6015 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_5037)))->BgL_funz00));
				{	/* Liveness/liveness.scm 304 */
					obj_t BgL_uz00_6016;

					{	/* Liveness/liveness.scm 305 */
						obj_t BgL_tmpz00_6017;

						{	/* Liveness/liveness.scm 305 */
							int BgL_tmpz00_12160;

							BgL_tmpz00_12160 = (int) (((long) 1));
							BgL_tmpz00_6017 = BGL_MVALUES_VAL(BgL_tmpz00_12160);
						}
						{	/* Liveness/liveness.scm 305 */
							int BgL_tmpz00_12163;

							BgL_tmpz00_12163 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12163, BUNSPEC);
						}
						BgL_uz00_6016 = BgL_tmpz00_6017;
					}
					{	/* Liveness/liveness.scm 305 */
						obj_t BgL_defz00_6018;

						BgL_defz00_6018 =
							BGl_defuseza2za2zzliveness_livenessz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nz00_5037)))->BgL_argsz00),
							BgL_dz00_6015, BgL_uz00_6016);
						{	/* Liveness/liveness.scm 306 */
							obj_t BgL_usez00_6019;

							{	/* Liveness/liveness.scm 307 */
								obj_t BgL_tmpz00_6020;

								{	/* Liveness/liveness.scm 307 */
									int BgL_tmpz00_12169;

									BgL_tmpz00_12169 = (int) (((long) 1));
									BgL_tmpz00_6020 = BGL_MVALUES_VAL(BgL_tmpz00_12169);
								}
								{	/* Liveness/liveness.scm 307 */
									int BgL_tmpz00_12172;

									BgL_tmpz00_12172 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_12172, BUNSPEC);
								}
								BgL_usez00_6019 = BgL_tmpz00_6020;
							}
							{	/* Liveness/liveness.scm 308 */
								BgL_funcallz00_bglt BgL_arg2258z00_6021;

								{	/* Liveness/liveness.scm 308 */
									BgL_funcallzf2livenesszf2_bglt BgL_wide1208z00_6022;

									BgL_wide1208z00_6022 =
										((BgL_funcallzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_funcallzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 308 */
										obj_t BgL_auxz00_12180;
										BgL_objectz00_bglt BgL_tmpz00_12176;

										BgL_auxz00_12180 = ((obj_t) BgL_wide1208z00_6022);
										BgL_tmpz00_12176 =
											((BgL_objectz00_bglt)
											((BgL_funcallz00_bglt)
												((BgL_funcallz00_bglt) BgL_nz00_5037)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12176, BgL_auxz00_12180);
									}
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_5037)));
									{	/* Liveness/liveness.scm 308 */
										long BgL_arg2259z00_6023;

										BgL_arg2259z00_6023 =
											BGL_CLASS_NUM
											(BGl_funcallzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
														BgL_nz00_5037))), BgL_arg2259z00_6023);
									}
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_5037)));
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12194;

									{
										obj_t BgL_auxz00_12195;

										{	/* Liveness/liveness.scm 309 */
											BgL_objectz00_bglt BgL_tmpz00_12196;

											BgL_tmpz00_12196 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5037)));
											BgL_auxz00_12195 = BGL_OBJECT_WIDENING(BgL_tmpz00_12196);
										}
										BgL_auxz00_12194 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12195);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12194))->BgL_defz00) =
										((obj_t) BgL_defz00_6018), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12203;

									{
										obj_t BgL_auxz00_12204;

										{	/* Liveness/liveness.scm 310 */
											BgL_objectz00_bglt BgL_tmpz00_12205;

											BgL_tmpz00_12205 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5037)));
											BgL_auxz00_12204 = BGL_OBJECT_WIDENING(BgL_tmpz00_12205);
										}
										BgL_auxz00_12203 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12204);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12203))->BgL_usez00) =
										((obj_t) BgL_usez00_6019), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12212;

									{
										obj_t BgL_auxz00_12213;

										{	/* Liveness/liveness.scm 306 */
											BgL_objectz00_bglt BgL_tmpz00_12214;

											BgL_tmpz00_12214 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5037)));
											BgL_auxz00_12213 = BGL_OBJECT_WIDENING(BgL_tmpz00_12214);
										}
										BgL_auxz00_12212 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12213);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12212))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_12221;

									{
										obj_t BgL_auxz00_12222;

										{	/* Liveness/liveness.scm 306 */
											BgL_objectz00_bglt BgL_tmpz00_12223;

											BgL_tmpz00_12223 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_5037)));
											BgL_auxz00_12222 = BGL_OBJECT_WIDENING(BgL_tmpz00_12223);
										}
										BgL_auxz00_12221 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_12222);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_12221))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2258z00_6021 =
									((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_5037));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2258z00_6021));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app-ly/livenes1897 */
	obj_t BGl_z62inoutzd2appzd2lyzf2livenes1897z90zzliveness_livenessz00(obj_t
		BgL_envz00_5038, obj_t BgL_nz00_5039)
	{
		{	/* Liveness/liveness.scm 294 */
			{	/* Liveness/liveness.scm 296 */
				obj_t BgL_val0_1606z00_6025;
				obj_t BgL_val1_1607z00_6026;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12234;

					{
						obj_t BgL_auxz00_12235;

						{	/* Liveness/liveness.scm 296 */
							BgL_objectz00_bglt BgL_tmpz00_12236;

							BgL_tmpz00_12236 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5039));
							BgL_auxz00_12235 = BGL_OBJECT_WIDENING(BgL_tmpz00_12236);
						}
						BgL_auxz00_12234 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12235);
					}
					BgL_val0_1606z00_6025 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12234))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12242;

					{
						obj_t BgL_auxz00_12243;

						{	/* Liveness/liveness.scm 296 */
							BgL_objectz00_bglt BgL_tmpz00_12244;

							BgL_tmpz00_12244 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5039));
							BgL_auxz00_12243 = BGL_OBJECT_WIDENING(BgL_tmpz00_12244);
						}
						BgL_auxz00_12242 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12243);
					}
					BgL_val1_1607z00_6026 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12242))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 296 */
					int BgL_tmpz00_12250;

					BgL_tmpz00_12250 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12250);
				}
				{	/* Liveness/liveness.scm 296 */
					int BgL_tmpz00_12253;

					BgL_tmpz00_12253 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12253, BgL_val1_1607z00_6026);
				}
				return BgL_val0_1606z00_6025;
			}
		}

	}



/* &inout!-app-ly/livene1895 */
	obj_t BGl_z62inoutz12zd2appzd2lyzf2livene1895z82zzliveness_livenessz00(obj_t
		BgL_envz00_5040, obj_t BgL_nz00_5041, obj_t BgL_oz00_5042)
	{
		{	/* Liveness/liveness.scm 287 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12256;

				{
					obj_t BgL_auxz00_12257;

					{	/* Liveness/liveness.scm 289 */
						BgL_objectz00_bglt BgL_tmpz00_12258;

						BgL_tmpz00_12258 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
						BgL_auxz00_12257 = BGL_OBJECT_WIDENING(BgL_tmpz00_12258);
					}
					BgL_auxz00_12256 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12257);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12256))->
						BgL_outz00) = ((obj_t) BgL_oz00_5042), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12271;
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12264;

				{	/* Liveness/liveness.scm 290 */
					obj_t BgL_arg2251z00_6028;
					obj_t BgL_arg2252z00_6029;

					{
						BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12272;

						{
							obj_t BgL_auxz00_12273;

							{	/* Liveness/liveness.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_12274;

								BgL_tmpz00_12274 =
									((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
								BgL_auxz00_12273 = BGL_OBJECT_WIDENING(BgL_tmpz00_12274);
							}
							BgL_auxz00_12272 =
								((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12273);
						}
						BgL_arg2251z00_6028 =
							(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12272))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 290 */
						obj_t BgL_arg2255z00_6030;
						obj_t BgL_arg2256z00_6031;

						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12280;

							{
								obj_t BgL_auxz00_12281;

								{	/* Liveness/liveness.scm 290 */
									BgL_objectz00_bglt BgL_tmpz00_12282;

									BgL_tmpz00_12282 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
									BgL_auxz00_12281 = BGL_OBJECT_WIDENING(BgL_tmpz00_12282);
								}
								BgL_auxz00_12280 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12281);
							}
							BgL_arg2255z00_6030 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12280))->
								BgL_outz00);
						}
						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12288;

							{
								obj_t BgL_auxz00_12289;

								{	/* Liveness/liveness.scm 290 */
									BgL_objectz00_bglt BgL_tmpz00_12290;

									BgL_tmpz00_12290 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
									BgL_auxz00_12289 = BGL_OBJECT_WIDENING(BgL_tmpz00_12290);
								}
								BgL_auxz00_12288 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12289);
							}
							BgL_arg2256z00_6031 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12288))->
								BgL_defz00);
						}
						BgL_arg2252z00_6029 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2255z00_6030,
							BgL_arg2256z00_6031);
					}
					{	/* Liveness/liveness.scm 290 */
						obj_t BgL_list2253z00_6032;

						{	/* Liveness/liveness.scm 290 */
							obj_t BgL_arg2254z00_6033;

							BgL_arg2254z00_6033 = MAKE_YOUNG_PAIR(BgL_arg2252z00_6029, BNIL);
							BgL_list2253z00_6032 =
								MAKE_YOUNG_PAIR(BgL_arg2251z00_6028, BgL_arg2254z00_6033);
						}
						BgL_auxz00_12271 =
							BGl_unionz00zzliveness_setz00(BgL_list2253z00_6032);
					}
				}
				{
					obj_t BgL_auxz00_12265;

					{	/* Liveness/liveness.scm 290 */
						BgL_objectz00_bglt BgL_tmpz00_12266;

						BgL_tmpz00_12266 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
						BgL_auxz00_12265 = BGL_OBJECT_WIDENING(BgL_tmpz00_12266);
					}
					BgL_auxz00_12264 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12265);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12264))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12271), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 291 */
				BgL_nodez00_bglt BgL_arg2257z00_6034;

				BgL_arg2257z00_6034 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nz00_5041))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2257z00_6034,
					BgL_oz00_5042);
			}
			{	/* Liveness/liveness.scm 292 */
				obj_t BgL_val0_1604z00_6035;
				obj_t BgL_val1_1605z00_6036;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12305;

					{
						obj_t BgL_auxz00_12306;

						{	/* Liveness/liveness.scm 292 */
							BgL_objectz00_bglt BgL_tmpz00_12307;

							BgL_tmpz00_12307 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
							BgL_auxz00_12306 = BGL_OBJECT_WIDENING(BgL_tmpz00_12307);
						}
						BgL_auxz00_12305 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12306);
					}
					BgL_val0_1604z00_6035 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12305))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12313;

					{
						obj_t BgL_auxz00_12314;

						{	/* Liveness/liveness.scm 292 */
							BgL_objectz00_bglt BgL_tmpz00_12315;

							BgL_tmpz00_12315 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5041));
							BgL_auxz00_12314 = BGL_OBJECT_WIDENING(BgL_tmpz00_12315);
						}
						BgL_auxz00_12313 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12314);
					}
					BgL_val1_1605z00_6036 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12313))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 292 */
					int BgL_tmpz00_12321;

					BgL_tmpz00_12321 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12321);
				}
				{	/* Liveness/liveness.scm 292 */
					int BgL_tmpz00_12324;

					BgL_tmpz00_12324 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12324, BgL_val1_1605z00_6036);
				}
				return BgL_val0_1604z00_6035;
			}
		}

	}



/* &defuse-app-ly/livene1893 */
	obj_t BGl_z62defusezd2appzd2lyzf2livene1893z90zzliveness_livenessz00(obj_t
		BgL_envz00_5043, obj_t BgL_nz00_5044)
	{
		{	/* Liveness/liveness.scm 283 */
			{	/* Liveness/liveness.scm 285 */
				obj_t BgL_val0_1602z00_6038;
				obj_t BgL_val1_1603z00_6039;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12327;

					{
						obj_t BgL_auxz00_12328;

						{	/* Liveness/liveness.scm 285 */
							BgL_objectz00_bglt BgL_tmpz00_12329;

							BgL_tmpz00_12329 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
							BgL_auxz00_12328 = BGL_OBJECT_WIDENING(BgL_tmpz00_12329);
						}
						BgL_auxz00_12327 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12328);
					}
					BgL_val0_1602z00_6038 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12327))->
						BgL_defz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12335;

					{
						obj_t BgL_auxz00_12336;

						{	/* Liveness/liveness.scm 285 */
							BgL_objectz00_bglt BgL_tmpz00_12337;

							BgL_tmpz00_12337 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_5044));
							BgL_auxz00_12336 = BGL_OBJECT_WIDENING(BgL_tmpz00_12337);
						}
						BgL_auxz00_12335 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12336);
					}
					BgL_val1_1603z00_6039 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_12335))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 285 */
					int BgL_tmpz00_12343;

					BgL_tmpz00_12343 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12343);
				}
				{	/* Liveness/liveness.scm 285 */
					int BgL_tmpz00_12346;

					BgL_tmpz00_12346 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12346, BgL_val1_1603z00_6039);
				}
				return BgL_val0_1602z00_6038;
			}
		}

	}



/* &defuse-app-ly1891 */
	obj_t BGl_z62defusezd2appzd2ly1891z62zzliveness_livenessz00(obj_t
		BgL_envz00_5045, obj_t BgL_nz00_5046)
	{
		{	/* Liveness/liveness.scm 272 */
			{	/* Liveness/liveness.scm 274 */
				obj_t BgL_deffunz00_6041;

				BgL_deffunz00_6041 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)))->BgL_funz00));
				{	/* Liveness/liveness.scm 275 */
					obj_t BgL_usefunz00_6042;

					{	/* Liveness/liveness.scm 276 */
						obj_t BgL_tmpz00_6043;

						{	/* Liveness/liveness.scm 276 */
							int BgL_tmpz00_12352;

							BgL_tmpz00_12352 = (int) (((long) 1));
							BgL_tmpz00_6043 = BGL_MVALUES_VAL(BgL_tmpz00_12352);
						}
						{	/* Liveness/liveness.scm 276 */
							int BgL_tmpz00_12355;

							BgL_tmpz00_12355 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12355, BUNSPEC);
						}
						BgL_usefunz00_6042 = BgL_tmpz00_6043;
					}
					{	/* Liveness/liveness.scm 276 */
						obj_t BgL_defargz00_6044;

						BgL_defargz00_6044 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)))->BgL_argz00));
						{	/* Liveness/liveness.scm 277 */
							obj_t BgL_useargz00_6045;

							{	/* Liveness/liveness.scm 278 */
								obj_t BgL_tmpz00_6046;

								{	/* Liveness/liveness.scm 278 */
									int BgL_tmpz00_12361;

									BgL_tmpz00_12361 = (int) (((long) 1));
									BgL_tmpz00_6046 = BGL_MVALUES_VAL(BgL_tmpz00_12361);
								}
								{	/* Liveness/liveness.scm 278 */
									int BgL_tmpz00_12364;

									BgL_tmpz00_12364 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_12364, BUNSPEC);
								}
								BgL_useargz00_6045 = BgL_tmpz00_6046;
							}
							{	/* Liveness/liveness.scm 279 */
								BgL_appzd2lyzd2_bglt BgL_arg2243z00_6047;

								{	/* Liveness/liveness.scm 279 */
									BgL_appzd2lyzf2livenessz20_bglt BgL_wide1200z00_6048;

									BgL_wide1200z00_6048 =
										((BgL_appzd2lyzf2livenessz20_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appzd2lyzf2livenessz20_bgl))));
									{	/* Liveness/liveness.scm 279 */
										obj_t BgL_auxz00_12372;
										BgL_objectz00_bglt BgL_tmpz00_12368;

										BgL_auxz00_12372 = ((obj_t) BgL_wide1200z00_6048);
										BgL_tmpz00_12368 =
											((BgL_objectz00_bglt)
											((BgL_appzd2lyzd2_bglt)
												((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12368, BgL_auxz00_12372);
									}
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
									{	/* Liveness/liveness.scm 279 */
										long BgL_arg2244z00_6049;

										BgL_arg2244z00_6049 =
											BGL_CLASS_NUM
											(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt)
														BgL_nz00_5046))), BgL_arg2244z00_6049);
									}
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
								}
								{
									obj_t BgL_auxz00_12394;
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12386;

									{	/* Liveness/liveness.scm 280 */
										obj_t BgL_list2245z00_6050;

										{	/* Liveness/liveness.scm 280 */
											obj_t BgL_arg2246z00_6051;

											BgL_arg2246z00_6051 =
												MAKE_YOUNG_PAIR(BgL_defargz00_6044, BNIL);
											BgL_list2245z00_6050 =
												MAKE_YOUNG_PAIR(BgL_deffunz00_6041,
												BgL_arg2246z00_6051);
										}
										BgL_auxz00_12394 =
											BGl_unionz00zzliveness_setz00(BgL_list2245z00_6050);
									}
									{
										obj_t BgL_auxz00_12387;

										{	/* Liveness/liveness.scm 280 */
											BgL_objectz00_bglt BgL_tmpz00_12388;

											BgL_tmpz00_12388 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
											BgL_auxz00_12387 = BGL_OBJECT_WIDENING(BgL_tmpz00_12388);
										}
										BgL_auxz00_12386 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12387);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12386))->BgL_defz00) =
										((obj_t) BgL_auxz00_12394), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_12407;
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12399;

									{	/* Liveness/liveness.scm 281 */
										obj_t BgL_list2247z00_6052;

										{	/* Liveness/liveness.scm 281 */
											obj_t BgL_arg2248z00_6053;

											BgL_arg2248z00_6053 =
												MAKE_YOUNG_PAIR(BgL_useargz00_6045, BNIL);
											BgL_list2247z00_6052 =
												MAKE_YOUNG_PAIR(BgL_usefunz00_6042,
												BgL_arg2248z00_6053);
										}
										BgL_auxz00_12407 =
											BGl_unionz00zzliveness_setz00(BgL_list2247z00_6052);
									}
									{
										obj_t BgL_auxz00_12400;

										{	/* Liveness/liveness.scm 281 */
											BgL_objectz00_bglt BgL_tmpz00_12401;

											BgL_tmpz00_12401 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
											BgL_auxz00_12400 = BGL_OBJECT_WIDENING(BgL_tmpz00_12401);
										}
										BgL_auxz00_12399 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12400);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12399))->BgL_usez00) =
										((obj_t) BgL_auxz00_12407), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12412;

									{
										obj_t BgL_auxz00_12413;

										{	/* Liveness/liveness.scm 277 */
											BgL_objectz00_bglt BgL_tmpz00_12414;

											BgL_tmpz00_12414 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
											BgL_auxz00_12413 = BGL_OBJECT_WIDENING(BgL_tmpz00_12414);
										}
										BgL_auxz00_12412 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12413);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12412))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_12421;

									{
										obj_t BgL_auxz00_12422;

										{	/* Liveness/liveness.scm 277 */
											BgL_objectz00_bglt BgL_tmpz00_12423;

											BgL_tmpz00_12423 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_5046)));
											BgL_auxz00_12422 = BGL_OBJECT_WIDENING(BgL_tmpz00_12423);
										}
										BgL_auxz00_12421 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_12422);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_12421))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2243z00_6047 =
									((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nz00_5046));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2243z00_6047));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app/liveness1889 */
	obj_t BGl_z62inoutzd2appzf2liveness1889z42zzliveness_livenessz00(obj_t
		BgL_envz00_5047, obj_t BgL_nz00_5048)
	{
		{	/* Liveness/liveness.scm 265 */
			{	/* Liveness/liveness.scm 267 */
				obj_t BgL_val0_1600z00_6055;
				obj_t BgL_val1_1601z00_6056;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12434;

					{
						obj_t BgL_auxz00_12435;

						{	/* Liveness/liveness.scm 267 */
							BgL_objectz00_bglt BgL_tmpz00_12436;

							BgL_tmpz00_12436 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5048));
							BgL_auxz00_12435 = BGL_OBJECT_WIDENING(BgL_tmpz00_12436);
						}
						BgL_auxz00_12434 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12435);
					}
					BgL_val0_1600z00_6055 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12434))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12442;

					{
						obj_t BgL_auxz00_12443;

						{	/* Liveness/liveness.scm 267 */
							BgL_objectz00_bglt BgL_tmpz00_12444;

							BgL_tmpz00_12444 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5048));
							BgL_auxz00_12443 = BGL_OBJECT_WIDENING(BgL_tmpz00_12444);
						}
						BgL_auxz00_12442 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12443);
					}
					BgL_val1_1601z00_6056 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12442))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 267 */
					int BgL_tmpz00_12450;

					BgL_tmpz00_12450 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12450);
				}
				{	/* Liveness/liveness.scm 267 */
					int BgL_tmpz00_12453;

					BgL_tmpz00_12453 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12453, BgL_val1_1601z00_6056);
				}
				return BgL_val0_1600z00_6055;
			}
		}

	}



/* &inout!-app/liveness1887 */
	obj_t BGl_z62inoutz12zd2appzf2liveness1887z50zzliveness_livenessz00(obj_t
		BgL_envz00_5049, obj_t BgL_nz00_5050, obj_t BgL_oz00_5051)
	{
		{	/* Liveness/liveness.scm 258 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_12456;

				{
					obj_t BgL_auxz00_12457;

					{	/* Liveness/liveness.scm 260 */
						BgL_objectz00_bglt BgL_tmpz00_12458;

						BgL_tmpz00_12458 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
						BgL_auxz00_12457 = BGL_OBJECT_WIDENING(BgL_tmpz00_12458);
					}
					BgL_auxz00_12456 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12457);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12456))->
						BgL_outz00) = ((obj_t) BgL_oz00_5051), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12471;
				BgL_appzf2livenesszf2_bglt BgL_auxz00_12464;

				{	/* Liveness/liveness.scm 261 */
					obj_t BgL_arg2234z00_6058;
					obj_t BgL_arg2235z00_6059;

					{
						BgL_appzf2livenesszf2_bglt BgL_auxz00_12472;

						{
							obj_t BgL_auxz00_12473;

							{	/* Liveness/liveness.scm 261 */
								BgL_objectz00_bglt BgL_tmpz00_12474;

								BgL_tmpz00_12474 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
								BgL_auxz00_12473 = BGL_OBJECT_WIDENING(BgL_tmpz00_12474);
							}
							BgL_auxz00_12472 =
								((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12473);
						}
						BgL_arg2234z00_6058 =
							(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12472))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 261 */
						obj_t BgL_arg2238z00_6060;
						obj_t BgL_arg2239z00_6061;

						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12480;

							{
								obj_t BgL_auxz00_12481;

								{	/* Liveness/liveness.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_12482;

									BgL_tmpz00_12482 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
									BgL_auxz00_12481 = BGL_OBJECT_WIDENING(BgL_tmpz00_12482);
								}
								BgL_auxz00_12480 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12481);
							}
							BgL_arg2238z00_6060 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12480))->
								BgL_outz00);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12488;

							{
								obj_t BgL_auxz00_12489;

								{	/* Liveness/liveness.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_12490;

									BgL_tmpz00_12490 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
									BgL_auxz00_12489 = BGL_OBJECT_WIDENING(BgL_tmpz00_12490);
								}
								BgL_auxz00_12488 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12489);
							}
							BgL_arg2239z00_6061 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12488))->
								BgL_defz00);
						}
						BgL_arg2235z00_6059 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2238z00_6060,
							BgL_arg2239z00_6061);
					}
					{	/* Liveness/liveness.scm 261 */
						obj_t BgL_list2236z00_6062;

						{	/* Liveness/liveness.scm 261 */
							obj_t BgL_arg2237z00_6063;

							BgL_arg2237z00_6063 = MAKE_YOUNG_PAIR(BgL_arg2235z00_6059, BNIL);
							BgL_list2236z00_6062 =
								MAKE_YOUNG_PAIR(BgL_arg2234z00_6058, BgL_arg2237z00_6063);
						}
						BgL_auxz00_12471 =
							BGl_unionz00zzliveness_setz00(BgL_list2236z00_6062);
					}
				}
				{
					obj_t BgL_auxz00_12465;

					{	/* Liveness/liveness.scm 261 */
						BgL_objectz00_bglt BgL_tmpz00_12466;

						BgL_tmpz00_12466 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
						BgL_auxz00_12465 = BGL_OBJECT_WIDENING(BgL_tmpz00_12466);
					}
					BgL_auxz00_12464 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12465);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12464))->BgL_inz00) =
					((obj_t) BgL_auxz00_12471), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 262 */
				obj_t BgL_g1597z00_6064;

				BgL_g1597z00_6064 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nz00_5050))))->BgL_argsz00);
				{
					obj_t BgL_l1595z00_6066;

					BgL_l1595z00_6066 = BgL_g1597z00_6064;
				BgL_zc3z04anonymousza32240ze3z87_6065:
					if (PAIRP(BgL_l1595z00_6066))
						{	/* Liveness/liveness.scm 262 */
							{	/* Liveness/liveness.scm 262 */
								obj_t BgL_az00_6067;

								BgL_az00_6067 = CAR(BgL_l1595z00_6066);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_6067), BgL_oz00_5051);
							}
							{
								obj_t BgL_l1595z00_12509;

								BgL_l1595z00_12509 = CDR(BgL_l1595z00_6066);
								BgL_l1595z00_6066 = BgL_l1595z00_12509;
								goto BgL_zc3z04anonymousza32240ze3z87_6065;
							}
						}
					else
						{	/* Liveness/liveness.scm 262 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 263 */
				obj_t BgL_val0_1598z00_6068;
				obj_t BgL_val1_1599z00_6069;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12511;

					{
						obj_t BgL_auxz00_12512;

						{	/* Liveness/liveness.scm 263 */
							BgL_objectz00_bglt BgL_tmpz00_12513;

							BgL_tmpz00_12513 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
							BgL_auxz00_12512 = BGL_OBJECT_WIDENING(BgL_tmpz00_12513);
						}
						BgL_auxz00_12511 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12512);
					}
					BgL_val0_1598z00_6068 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12511))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12519;

					{
						obj_t BgL_auxz00_12520;

						{	/* Liveness/liveness.scm 263 */
							BgL_objectz00_bglt BgL_tmpz00_12521;

							BgL_tmpz00_12521 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5050));
							BgL_auxz00_12520 = BGL_OBJECT_WIDENING(BgL_tmpz00_12521);
						}
						BgL_auxz00_12519 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12520);
					}
					BgL_val1_1599z00_6069 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12519))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 263 */
					int BgL_tmpz00_12527;

					BgL_tmpz00_12527 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12527);
				}
				{	/* Liveness/liveness.scm 263 */
					int BgL_tmpz00_12530;

					BgL_tmpz00_12530 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12530, BgL_val1_1599z00_6069);
				}
				return BgL_val0_1598z00_6068;
			}
		}

	}



/* &defuse-app/liveness1885 */
	obj_t BGl_z62defusezd2appzf2liveness1885z42zzliveness_livenessz00(obj_t
		BgL_envz00_5052, obj_t BgL_nz00_5053)
	{
		{	/* Liveness/liveness.scm 254 */
			{	/* Liveness/liveness.scm 256 */
				obj_t BgL_val0_1592z00_6071;
				obj_t BgL_val1_1593z00_6072;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12533;

					{
						obj_t BgL_auxz00_12534;

						{	/* Liveness/liveness.scm 256 */
							BgL_objectz00_bglt BgL_tmpz00_12535;

							BgL_tmpz00_12535 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
							BgL_auxz00_12534 = BGL_OBJECT_WIDENING(BgL_tmpz00_12535);
						}
						BgL_auxz00_12533 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12534);
					}
					BgL_val0_1592z00_6071 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12533))->
						BgL_defz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_12541;

					{
						obj_t BgL_auxz00_12542;

						{	/* Liveness/liveness.scm 256 */
							BgL_objectz00_bglt BgL_tmpz00_12543;

							BgL_tmpz00_12543 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5053));
							BgL_auxz00_12542 = BGL_OBJECT_WIDENING(BgL_tmpz00_12543);
						}
						BgL_auxz00_12541 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12542);
					}
					BgL_val1_1593z00_6072 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12541))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 256 */
					int BgL_tmpz00_12549;

					BgL_tmpz00_12549 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12549);
				}
				{	/* Liveness/liveness.scm 256 */
					int BgL_tmpz00_12552;

					BgL_tmpz00_12552 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12552, BgL_val1_1593z00_6072);
				}
				return BgL_val0_1592z00_6071;
			}
		}

	}



/* &defuse-app1883 */
	obj_t BGl_z62defusezd2app1883zb0zzliveness_livenessz00(obj_t BgL_envz00_5054,
		obj_t BgL_nz00_5055)
	{
		{	/* Liveness/liveness.scm 244 */
			{	/* Liveness/liveness.scm 247 */
				obj_t BgL_defz00_6074;

				BgL_defz00_6074 =
					BGl_defuseza2za2zzliveness_livenessz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_5055)))->BgL_argsz00), BNIL, BNIL);
				{	/* Liveness/liveness.scm 248 */
					obj_t BgL_usez00_6075;

					{	/* Liveness/liveness.scm 249 */
						obj_t BgL_tmpz00_6076;

						{	/* Liveness/liveness.scm 249 */
							int BgL_tmpz00_12558;

							BgL_tmpz00_12558 = (int) (((long) 1));
							BgL_tmpz00_6076 = BGL_MVALUES_VAL(BgL_tmpz00_12558);
						}
						{	/* Liveness/liveness.scm 249 */
							int BgL_tmpz00_12561;

							BgL_tmpz00_12561 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12561, BUNSPEC);
						}
						BgL_usez00_6075 = BgL_tmpz00_6076;
					}
					{	/* Liveness/liveness.scm 250 */
						BgL_appz00_bglt BgL_arg2231z00_6077;

						{	/* Liveness/liveness.scm 250 */
							BgL_appzf2livenesszf2_bglt BgL_wide1192z00_6078;

							BgL_wide1192z00_6078 =
								((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 250 */
								obj_t BgL_auxz00_12569;
								BgL_objectz00_bglt BgL_tmpz00_12565;

								BgL_auxz00_12569 = ((obj_t) BgL_wide1192z00_6078);
								BgL_tmpz00_12565 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12565, BgL_auxz00_12569);
							}
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
							{	/* Liveness/liveness.scm 250 */
								long BgL_arg2232z00_6079;

								BgL_arg2232z00_6079 =
									BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nz00_5055))), BgL_arg2232z00_6079);
							}
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12583;

							{
								obj_t BgL_auxz00_12584;

								{	/* Liveness/liveness.scm 251 */
									BgL_objectz00_bglt BgL_tmpz00_12585;

									BgL_tmpz00_12585 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
									BgL_auxz00_12584 = BGL_OBJECT_WIDENING(BgL_tmpz00_12585);
								}
								BgL_auxz00_12583 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12584);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12583))->
									BgL_defz00) = ((obj_t) BgL_defz00_6074), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12592;

							{
								obj_t BgL_auxz00_12593;

								{	/* Liveness/liveness.scm 252 */
									BgL_objectz00_bglt BgL_tmpz00_12594;

									BgL_tmpz00_12594 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
									BgL_auxz00_12593 = BGL_OBJECT_WIDENING(BgL_tmpz00_12594);
								}
								BgL_auxz00_12592 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12593);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12592))->
									BgL_usez00) = ((obj_t) BgL_usez00_6075), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12601;

							{
								obj_t BgL_auxz00_12602;

								{	/* Liveness/liveness.scm 248 */
									BgL_objectz00_bglt BgL_tmpz00_12603;

									BgL_tmpz00_12603 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
									BgL_auxz00_12602 = BGL_OBJECT_WIDENING(BgL_tmpz00_12603);
								}
								BgL_auxz00_12601 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12602);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12601))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_12610;

							{
								obj_t BgL_auxz00_12611;

								{	/* Liveness/liveness.scm 248 */
									BgL_objectz00_bglt BgL_tmpz00_12612;

									BgL_tmpz00_12612 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055)));
									BgL_auxz00_12611 = BGL_OBJECT_WIDENING(BgL_tmpz00_12612);
								}
								BgL_auxz00_12610 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_12611);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12610))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2231z00_6077 =
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_5055));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2231z00_6077));
					}
				}
			}
		}

	}



/* &inout-sequence/liven1881 */
	obj_t BGl_z62inoutzd2sequencezf2liven1881z42zzliveness_livenessz00(obj_t
		BgL_envz00_5056, obj_t BgL_nz00_5057)
	{
		{	/* Liveness/liveness.scm 237 */
			{	/* Liveness/liveness.scm 239 */
				obj_t BgL_val0_1590z00_6081;
				obj_t BgL_val1_1591z00_6082;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12623;

					{
						obj_t BgL_auxz00_12624;

						{	/* Liveness/liveness.scm 239 */
							BgL_objectz00_bglt BgL_tmpz00_12625;

							BgL_tmpz00_12625 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5057));
							BgL_auxz00_12624 = BGL_OBJECT_WIDENING(BgL_tmpz00_12625);
						}
						BgL_auxz00_12623 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12624);
					}
					BgL_val0_1590z00_6081 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12623))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12631;

					{
						obj_t BgL_auxz00_12632;

						{	/* Liveness/liveness.scm 239 */
							BgL_objectz00_bglt BgL_tmpz00_12633;

							BgL_tmpz00_12633 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5057));
							BgL_auxz00_12632 = BGL_OBJECT_WIDENING(BgL_tmpz00_12633);
						}
						BgL_auxz00_12631 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12632);
					}
					BgL_val1_1591z00_6082 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12631))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 239 */
					int BgL_tmpz00_12639;

					BgL_tmpz00_12639 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12639);
				}
				{	/* Liveness/liveness.scm 239 */
					int BgL_tmpz00_12642;

					BgL_tmpz00_12642 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12642, BgL_val1_1591z00_6082);
				}
				return BgL_val0_1590z00_6081;
			}
		}

	}



/* &inout!-sequence/live1879 */
	obj_t BGl_z62inoutz12zd2sequencezf2live1879z50zzliveness_livenessz00(obj_t
		BgL_envz00_5058, obj_t BgL_nz00_5059, obj_t BgL_oz00_5060)
	{
		{	/* Liveness/liveness.scm 228 */
			{	/* Liveness/liveness.scm 230 */
				obj_t BgL_arg2210z00_6084;
				obj_t BgL_arg2211z00_6085;
				obj_t BgL_arg2212z00_6086;
				obj_t BgL_arg2213z00_6087;

				BgL_arg2210z00_6084 =
					bgl_typeof(((obj_t) ((BgL_sequencez00_bglt) BgL_nz00_5059)));
				BgL_arg2211z00_6085 = BGl_shapez00zztools_shapez00(BgL_oz00_5060);
				{	/* Liveness/liveness.scm 231 */
					obj_t BgL_arg2222z00_6088;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12649;

						{
							obj_t BgL_auxz00_12650;

							{	/* Liveness/liveness.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_12651;

								BgL_tmpz00_12651 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
								BgL_auxz00_12650 = BGL_OBJECT_WIDENING(BgL_tmpz00_12651);
							}
							BgL_auxz00_12649 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12650);
						}
						BgL_arg2222z00_6088 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12649))->
							BgL_defz00);
					}
					BgL_arg2212z00_6086 =
						BGl_shapez00zztools_shapez00(BgL_arg2222z00_6088);
				}
				{	/* Liveness/liveness.scm 231 */
					obj_t BgL_arg2223z00_6089;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12658;

						{
							obj_t BgL_auxz00_12659;

							{	/* Liveness/liveness.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_12660;

								BgL_tmpz00_12660 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
								BgL_auxz00_12659 = BGL_OBJECT_WIDENING(BgL_tmpz00_12660);
							}
							BgL_auxz00_12658 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12659);
						}
						BgL_arg2223z00_6089 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12658))->
							BgL_usez00);
					}
					BgL_arg2213z00_6087 =
						BGl_shapez00zztools_shapez00(BgL_arg2223z00_6089);
				}
				{	/* Liveness/liveness.scm 230 */
					obj_t BgL_list2214z00_6090;

					{	/* Liveness/liveness.scm 230 */
						obj_t BgL_arg2215z00_6091;

						{	/* Liveness/liveness.scm 230 */
							obj_t BgL_arg2216z00_6092;

							{	/* Liveness/liveness.scm 230 */
								obj_t BgL_arg2217z00_6093;

								{	/* Liveness/liveness.scm 230 */
									obj_t BgL_arg2218z00_6094;

									{	/* Liveness/liveness.scm 230 */
										obj_t BgL_arg2219z00_6095;

										{	/* Liveness/liveness.scm 230 */
											obj_t BgL_arg2220z00_6096;

											{	/* Liveness/liveness.scm 230 */
												obj_t BgL_arg2221z00_6097;

												BgL_arg2221z00_6097 =
													MAKE_YOUNG_PAIR(BgL_arg2213z00_6087, BNIL);
												BgL_arg2220z00_6096 =
													MAKE_YOUNG_PAIR
													(BGl_string3109z00zzliveness_livenessz00,
													BgL_arg2221z00_6097);
											}
											BgL_arg2219z00_6095 =
												MAKE_YOUNG_PAIR(BgL_arg2212z00_6086,
												BgL_arg2220z00_6096);
										}
										BgL_arg2218z00_6094 =
											MAKE_YOUNG_PAIR(BGl_string3110z00zzliveness_livenessz00,
											BgL_arg2219z00_6095);
									}
									BgL_arg2217z00_6093 =
										MAKE_YOUNG_PAIR(BgL_arg2211z00_6085, BgL_arg2218z00_6094);
								}
								BgL_arg2216z00_6092 =
									MAKE_YOUNG_PAIR(BGl_string3111z00zzliveness_livenessz00,
									BgL_arg2217z00_6093);
							}
							BgL_arg2215z00_6091 =
								MAKE_YOUNG_PAIR(BgL_arg2210z00_6084, BgL_arg2216z00_6092);
						}
						BgL_list2214z00_6090 =
							MAKE_YOUNG_PAIR(BGl_string3113z00zzliveness_livenessz00,
							BgL_arg2215z00_6091);
					}
					((bool_t) 0);
				}
			}
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12675;

				{
					obj_t BgL_auxz00_12676;

					{	/* Liveness/liveness.scm 232 */
						BgL_objectz00_bglt BgL_tmpz00_12677;

						BgL_tmpz00_12677 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
						BgL_auxz00_12676 = BGL_OBJECT_WIDENING(BgL_tmpz00_12677);
					}
					BgL_auxz00_12675 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12676);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12675))->
						BgL_outz00) = ((obj_t) BgL_oz00_5060), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12690;
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12683;

				{	/* Liveness/liveness.scm 233 */
					obj_t BgL_arg2224z00_6098;
					obj_t BgL_arg2225z00_6099;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12691;

						{
							obj_t BgL_auxz00_12692;

							{	/* Liveness/liveness.scm 233 */
								BgL_objectz00_bglt BgL_tmpz00_12693;

								BgL_tmpz00_12693 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
								BgL_auxz00_12692 = BGL_OBJECT_WIDENING(BgL_tmpz00_12693);
							}
							BgL_auxz00_12691 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12692);
						}
						BgL_arg2224z00_6098 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12691))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 233 */
						obj_t BgL_arg2228z00_6100;
						obj_t BgL_arg2229z00_6101;

						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12699;

							{
								obj_t BgL_auxz00_12700;

								{	/* Liveness/liveness.scm 233 */
									BgL_objectz00_bglt BgL_tmpz00_12701;

									BgL_tmpz00_12701 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5059));
									BgL_auxz00_12700 = BGL_OBJECT_WIDENING(BgL_tmpz00_12701);
								}
								BgL_auxz00_12699 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12700);
							}
							BgL_arg2228z00_6100 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12699))->
								BgL_outz00);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12707;

							{
								obj_t BgL_auxz00_12708;

								{	/* Liveness/liveness.scm 233 */
									BgL_objectz00_bglt BgL_tmpz00_12709;

									BgL_tmpz00_12709 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5059));
									BgL_auxz00_12708 = BGL_OBJECT_WIDENING(BgL_tmpz00_12709);
								}
								BgL_auxz00_12707 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12708);
							}
							BgL_arg2229z00_6101 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12707))->
								BgL_defz00);
						}
						BgL_arg2225z00_6099 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2228z00_6100,
							BgL_arg2229z00_6101);
					}
					{	/* Liveness/liveness.scm 233 */
						obj_t BgL_list2226z00_6102;

						{	/* Liveness/liveness.scm 233 */
							obj_t BgL_arg2227z00_6103;

							BgL_arg2227z00_6103 = MAKE_YOUNG_PAIR(BgL_arg2225z00_6099, BNIL);
							BgL_list2226z00_6102 =
								MAKE_YOUNG_PAIR(BgL_arg2224z00_6098, BgL_arg2227z00_6103);
						}
						BgL_auxz00_12690 =
							BGl_unionz00zzliveness_setz00(BgL_list2226z00_6102);
					}
				}
				{
					obj_t BgL_auxz00_12684;

					{	/* Liveness/liveness.scm 233 */
						BgL_objectz00_bglt BgL_tmpz00_12685;

						BgL_tmpz00_12685 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
						BgL_auxz00_12684 = BGL_OBJECT_WIDENING(BgL_tmpz00_12685);
					}
					BgL_auxz00_12683 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12684);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12683))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12690), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 234 */
				obj_t BgL_arg2230z00_6104;

				BgL_arg2230z00_6104 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_nz00_5059))))->BgL_nodesz00);
				BGl_inoutza2z12zb0zzliveness_livenessz00(BgL_arg2230z00_6104,
					BgL_oz00_5060);
			}
			{	/* Liveness/liveness.scm 235 */
				obj_t BgL_val0_1588z00_6105;
				obj_t BgL_val1_1589z00_6106;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12724;

					{
						obj_t BgL_auxz00_12725;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12726;

							BgL_tmpz00_12726 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
							BgL_auxz00_12725 = BGL_OBJECT_WIDENING(BgL_tmpz00_12726);
						}
						BgL_auxz00_12724 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12725);
					}
					BgL_val0_1588z00_6105 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12724))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12732;

					{
						obj_t BgL_auxz00_12733;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12734;

							BgL_tmpz00_12734 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5059));
							BgL_auxz00_12733 = BGL_OBJECT_WIDENING(BgL_tmpz00_12734);
						}
						BgL_auxz00_12732 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12733);
					}
					BgL_val1_1589z00_6106 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12732))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12740;

					BgL_tmpz00_12740 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12740);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12743;

					BgL_tmpz00_12743 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12743, BgL_val1_1589z00_6106);
				}
				return BgL_val0_1588z00_6105;
			}
		}

	}



/* &defuse-sequence/live1877 */
	obj_t BGl_z62defusezd2sequencezf2live1877z42zzliveness_livenessz00(obj_t
		BgL_envz00_5061, obj_t BgL_nz00_5062)
	{
		{	/* Liveness/liveness.scm 224 */
			{	/* Liveness/liveness.scm 226 */
				obj_t BgL_val0_1586z00_6108;
				obj_t BgL_val1_1587z00_6109;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12746;

					{
						obj_t BgL_auxz00_12747;

						{	/* Liveness/liveness.scm 226 */
							BgL_objectz00_bglt BgL_tmpz00_12748;

							BgL_tmpz00_12748 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
							BgL_auxz00_12747 = BGL_OBJECT_WIDENING(BgL_tmpz00_12748);
						}
						BgL_auxz00_12746 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12747);
					}
					BgL_val0_1586z00_6108 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12746))->
						BgL_defz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12754;

					{
						obj_t BgL_auxz00_12755;

						{	/* Liveness/liveness.scm 226 */
							BgL_objectz00_bglt BgL_tmpz00_12756;

							BgL_tmpz00_12756 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5062));
							BgL_auxz00_12755 = BGL_OBJECT_WIDENING(BgL_tmpz00_12756);
						}
						BgL_auxz00_12754 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12755);
					}
					BgL_val1_1587z00_6109 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12754))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 226 */
					int BgL_tmpz00_12762;

					BgL_tmpz00_12762 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12762);
				}
				{	/* Liveness/liveness.scm 226 */
					int BgL_tmpz00_12765;

					BgL_tmpz00_12765 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12765, BgL_val1_1587z00_6109);
				}
				return BgL_val0_1586z00_6108;
			}
		}

	}



/* &defuse-sequence1875 */
	obj_t BGl_z62defusezd2sequence1875zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5063, obj_t BgL_nz00_5064)
	{
		{	/* Liveness/liveness.scm 215 */
			{	/* Liveness/liveness.scm 217 */
				obj_t BgL_defz00_6111;

				BgL_defz00_6111 =
					BGl_defusezd2seqzd2zzliveness_livenessz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_5064)))->BgL_nodesz00));
				{	/* Liveness/liveness.scm 218 */
					obj_t BgL_usez00_6112;

					{	/* Liveness/liveness.scm 219 */
						obj_t BgL_tmpz00_6113;

						{	/* Liveness/liveness.scm 219 */
							int BgL_tmpz00_12771;

							BgL_tmpz00_12771 = (int) (((long) 1));
							BgL_tmpz00_6113 = BGL_MVALUES_VAL(BgL_tmpz00_12771);
						}
						{	/* Liveness/liveness.scm 219 */
							int BgL_tmpz00_12774;

							BgL_tmpz00_12774 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12774, BUNSPEC);
						}
						BgL_usez00_6112 = BgL_tmpz00_6113;
					}
					{	/* Liveness/liveness.scm 220 */
						BgL_sequencez00_bglt BgL_arg2207z00_6114;

						{	/* Liveness/liveness.scm 220 */
							BgL_sequencezf2livenesszf2_bglt BgL_wide1184z00_6115;

							BgL_wide1184z00_6115 =
								((BgL_sequencezf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sequencezf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 220 */
								obj_t BgL_auxz00_12782;
								BgL_objectz00_bglt BgL_tmpz00_12778;

								BgL_auxz00_12782 = ((obj_t) BgL_wide1184z00_6115);
								BgL_tmpz00_12778 =
									((BgL_objectz00_bglt)
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_5064)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12778, BgL_auxz00_12782);
							}
							((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_5064)));
							{	/* Liveness/liveness.scm 220 */
								long BgL_arg2208z00_6116;

								BgL_arg2208z00_6116 =
									BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5064))),
									BgL_arg2208z00_6116);
							}
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_5064)));
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12796;

							{
								obj_t BgL_auxz00_12797;

								{	/* Liveness/liveness.scm 221 */
									BgL_objectz00_bglt BgL_tmpz00_12798;

									BgL_tmpz00_12798 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5064)));
									BgL_auxz00_12797 = BGL_OBJECT_WIDENING(BgL_tmpz00_12798);
								}
								BgL_auxz00_12796 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12797);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12796))->
									BgL_defz00) = ((obj_t) BgL_defz00_6111), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12805;

							{
								obj_t BgL_auxz00_12806;

								{	/* Liveness/liveness.scm 222 */
									BgL_objectz00_bglt BgL_tmpz00_12807;

									BgL_tmpz00_12807 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5064)));
									BgL_auxz00_12806 = BGL_OBJECT_WIDENING(BgL_tmpz00_12807);
								}
								BgL_auxz00_12805 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12806);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12805))->
									BgL_usez00) = ((obj_t) BgL_usez00_6112), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12814;

							{
								obj_t BgL_auxz00_12815;

								{	/* Liveness/liveness.scm 218 */
									BgL_objectz00_bglt BgL_tmpz00_12816;

									BgL_tmpz00_12816 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5064)));
									BgL_auxz00_12815 = BGL_OBJECT_WIDENING(BgL_tmpz00_12816);
								}
								BgL_auxz00_12814 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12815);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12814))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12823;

							{
								obj_t BgL_auxz00_12824;

								{	/* Liveness/liveness.scm 218 */
									BgL_objectz00_bglt BgL_tmpz00_12825;

									BgL_tmpz00_12825 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_5064)));
									BgL_auxz00_12824 = BGL_OBJECT_WIDENING(BgL_tmpz00_12825);
								}
								BgL_auxz00_12823 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12824);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12823))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2207z00_6114 =
							((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_5064));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2207z00_6114));
					}
				}
			}
		}

	}



/* &inout-kwote/liveness1873 */
	obj_t BGl_z62inoutzd2kwotezf2liveness1873z42zzliveness_livenessz00(obj_t
		BgL_envz00_5065, obj_t BgL_nz00_5066)
	{
		{	/* Liveness/liveness.scm 208 */
			{	/* Liveness/liveness.scm 210 */
				obj_t BgL_val0_1584z00_6118;
				obj_t BgL_val1_1585z00_6119;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12836;

					{
						obj_t BgL_auxz00_12837;

						{	/* Liveness/liveness.scm 210 */
							BgL_objectz00_bglt BgL_tmpz00_12838;

							BgL_tmpz00_12838 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5066));
							BgL_auxz00_12837 = BGL_OBJECT_WIDENING(BgL_tmpz00_12838);
						}
						BgL_auxz00_12836 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12837);
					}
					BgL_val0_1584z00_6118 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12836))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12844;

					{
						obj_t BgL_auxz00_12845;

						{	/* Liveness/liveness.scm 210 */
							BgL_objectz00_bglt BgL_tmpz00_12846;

							BgL_tmpz00_12846 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5066));
							BgL_auxz00_12845 = BGL_OBJECT_WIDENING(BgL_tmpz00_12846);
						}
						BgL_auxz00_12844 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12845);
					}
					BgL_val1_1585z00_6119 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12844))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 210 */
					int BgL_tmpz00_12852;

					BgL_tmpz00_12852 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12852);
				}
				{	/* Liveness/liveness.scm 210 */
					int BgL_tmpz00_12855;

					BgL_tmpz00_12855 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12855, BgL_val1_1585z00_6119);
				}
				return BgL_val0_1584z00_6118;
			}
		}

	}



/* &inout!-kwote/livenes1871 */
	obj_t BGl_z62inoutz12zd2kwotezf2livenes1871z50zzliveness_livenessz00(obj_t
		BgL_envz00_5067, obj_t BgL_nz00_5068, obj_t BgL_oz00_5069)
	{
		{	/* Liveness/liveness.scm 202 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12858;

				{
					obj_t BgL_auxz00_12859;

					{	/* Liveness/liveness.scm 204 */
						BgL_objectz00_bglt BgL_tmpz00_12860;

						BgL_tmpz00_12860 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
						BgL_auxz00_12859 = BGL_OBJECT_WIDENING(BgL_tmpz00_12860);
					}
					BgL_auxz00_12858 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12859);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12858))->
						BgL_outz00) = ((obj_t) BgL_oz00_5069), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12873;
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12866;

				{	/* Liveness/liveness.scm 205 */
					obj_t BgL_arg2201z00_6121;
					obj_t BgL_arg2202z00_6122;

					{
						BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12874;

						{
							obj_t BgL_auxz00_12875;

							{	/* Liveness/liveness.scm 205 */
								BgL_objectz00_bglt BgL_tmpz00_12876;

								BgL_tmpz00_12876 =
									((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
								BgL_auxz00_12875 = BGL_OBJECT_WIDENING(BgL_tmpz00_12876);
							}
							BgL_auxz00_12874 =
								((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12875);
						}
						BgL_arg2201z00_6121 =
							(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12874))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 205 */
						obj_t BgL_arg2205z00_6123;
						obj_t BgL_arg2206z00_6124;

						{
							BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12882;

							{
								obj_t BgL_auxz00_12883;

								{	/* Liveness/liveness.scm 205 */
									BgL_objectz00_bglt BgL_tmpz00_12884;

									BgL_tmpz00_12884 =
										((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
									BgL_auxz00_12883 = BGL_OBJECT_WIDENING(BgL_tmpz00_12884);
								}
								BgL_auxz00_12882 =
									((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12883);
							}
							BgL_arg2205z00_6123 =
								(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12882))->
								BgL_outz00);
						}
						{
							BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12890;

							{
								obj_t BgL_auxz00_12891;

								{	/* Liveness/liveness.scm 205 */
									BgL_objectz00_bglt BgL_tmpz00_12892;

									BgL_tmpz00_12892 =
										((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
									BgL_auxz00_12891 = BGL_OBJECT_WIDENING(BgL_tmpz00_12892);
								}
								BgL_auxz00_12890 =
									((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12891);
							}
							BgL_arg2206z00_6124 =
								(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12890))->
								BgL_defz00);
						}
						BgL_arg2202z00_6122 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2205z00_6123,
							BgL_arg2206z00_6124);
					}
					{	/* Liveness/liveness.scm 205 */
						obj_t BgL_list2203z00_6125;

						{	/* Liveness/liveness.scm 205 */
							obj_t BgL_arg2204z00_6126;

							BgL_arg2204z00_6126 = MAKE_YOUNG_PAIR(BgL_arg2202z00_6122, BNIL);
							BgL_list2203z00_6125 =
								MAKE_YOUNG_PAIR(BgL_arg2201z00_6121, BgL_arg2204z00_6126);
						}
						BgL_auxz00_12873 =
							BGl_unionz00zzliveness_setz00(BgL_list2203z00_6125);
					}
				}
				{
					obj_t BgL_auxz00_12867;

					{	/* Liveness/liveness.scm 205 */
						BgL_objectz00_bglt BgL_tmpz00_12868;

						BgL_tmpz00_12868 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
						BgL_auxz00_12867 = BGL_OBJECT_WIDENING(BgL_tmpz00_12868);
					}
					BgL_auxz00_12866 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12867);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12866))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12873), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 206 */
				obj_t BgL_val0_1582z00_6127;
				obj_t BgL_val1_1583z00_6128;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12903;

					{
						obj_t BgL_auxz00_12904;

						{	/* Liveness/liveness.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_12905;

							BgL_tmpz00_12905 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
							BgL_auxz00_12904 = BGL_OBJECT_WIDENING(BgL_tmpz00_12905);
						}
						BgL_auxz00_12903 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12904);
					}
					BgL_val0_1582z00_6127 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12903))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12911;

					{
						obj_t BgL_auxz00_12912;

						{	/* Liveness/liveness.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_12913;

							BgL_tmpz00_12913 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5068));
							BgL_auxz00_12912 = BGL_OBJECT_WIDENING(BgL_tmpz00_12913);
						}
						BgL_auxz00_12911 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12912);
					}
					BgL_val1_1583z00_6128 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12911))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 206 */
					int BgL_tmpz00_12919;

					BgL_tmpz00_12919 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12919);
				}
				{	/* Liveness/liveness.scm 206 */
					int BgL_tmpz00_12922;

					BgL_tmpz00_12922 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12922, BgL_val1_1583z00_6128);
				}
				return BgL_val0_1582z00_6127;
			}
		}

	}



/* &defuse-kwote/livenes1869 */
	obj_t BGl_z62defusezd2kwotezf2livenes1869z42zzliveness_livenessz00(obj_t
		BgL_envz00_5070, obj_t BgL_nz00_5071)
	{
		{	/* Liveness/liveness.scm 198 */
			{	/* Liveness/liveness.scm 200 */
				obj_t BgL_val0_1580z00_6130;
				obj_t BgL_val1_1581z00_6131;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12925;

					{
						obj_t BgL_auxz00_12926;

						{	/* Liveness/liveness.scm 200 */
							BgL_objectz00_bglt BgL_tmpz00_12927;

							BgL_tmpz00_12927 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
							BgL_auxz00_12926 = BGL_OBJECT_WIDENING(BgL_tmpz00_12927);
						}
						BgL_auxz00_12925 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12926);
					}
					BgL_val0_1580z00_6130 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12925))->
						BgL_defz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12933;

					{
						obj_t BgL_auxz00_12934;

						{	/* Liveness/liveness.scm 200 */
							BgL_objectz00_bglt BgL_tmpz00_12935;

							BgL_tmpz00_12935 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5071));
							BgL_auxz00_12934 = BGL_OBJECT_WIDENING(BgL_tmpz00_12935);
						}
						BgL_auxz00_12933 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12934);
					}
					BgL_val1_1581z00_6131 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12933))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 200 */
					int BgL_tmpz00_12941;

					BgL_tmpz00_12941 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12941);
				}
				{	/* Liveness/liveness.scm 200 */
					int BgL_tmpz00_12944;

					BgL_tmpz00_12944 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12944, BgL_val1_1581z00_6131);
				}
				return BgL_val0_1580z00_6130;
			}
		}

	}



/* &defuse-kwote1867 */
	obj_t BGl_z62defusezd2kwote1867zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5072, obj_t BgL_nz00_5073)
	{
		{	/* Liveness/liveness.scm 195 */
			{	/* Liveness/liveness.scm 196 */
				BgL_kwotez00_bglt BgL_arg2199z00_6133;

				{	/* Liveness/liveness.scm 196 */
					BgL_kwotezf2livenesszf2_bglt BgL_wide1176z00_6134;

					BgL_wide1176z00_6134 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 196 */
						obj_t BgL_auxz00_12952;
						BgL_objectz00_bglt BgL_tmpz00_12948;

						BgL_auxz00_12952 = ((obj_t) BgL_wide1176z00_6134);
						BgL_tmpz00_12948 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12948, BgL_auxz00_12952);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
					{	/* Liveness/liveness.scm 196 */
						long BgL_arg2200z00_6135;

						BgL_arg2200z00_6135 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nz00_5073))), BgL_arg2200z00_6135);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12966;

					{
						obj_t BgL_auxz00_12967;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12968;

							BgL_tmpz00_12968 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
							BgL_auxz00_12967 = BGL_OBJECT_WIDENING(BgL_tmpz00_12968);
						}
						BgL_auxz00_12966 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12967);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12966))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12975;

					{
						obj_t BgL_auxz00_12976;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12977;

							BgL_tmpz00_12977 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
							BgL_auxz00_12976 = BGL_OBJECT_WIDENING(BgL_tmpz00_12977);
						}
						BgL_auxz00_12975 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12976);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12975))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12984;

					{
						obj_t BgL_auxz00_12985;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12986;

							BgL_tmpz00_12986 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
							BgL_auxz00_12985 = BGL_OBJECT_WIDENING(BgL_tmpz00_12986);
						}
						BgL_auxz00_12984 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12985);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12984))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12993;

					{
						obj_t BgL_auxz00_12994;

						{	/* Liveness/liveness.scm 196 */
							BgL_objectz00_bglt BgL_tmpz00_12995;

							BgL_tmpz00_12995 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073)));
							BgL_auxz00_12994 = BGL_OBJECT_WIDENING(BgL_tmpz00_12995);
						}
						BgL_auxz00_12993 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12994);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12993))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2199z00_6133 =
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_5073));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2199z00_6133));
			}
		}

	}



/* &inout-closure/livene1865 */
	obj_t BGl_z62inoutzd2closurezf2livene1865z42zzliveness_livenessz00(obj_t
		BgL_envz00_5074, obj_t BgL_nz00_5075)
	{
		{	/* Liveness/liveness.scm 188 */
			{	/* Liveness/liveness.scm 190 */
				obj_t BgL_val0_1578z00_6137;
				obj_t BgL_val1_1579z00_6138;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13006;

					{
						obj_t BgL_auxz00_13007;

						{	/* Liveness/liveness.scm 190 */
							BgL_objectz00_bglt BgL_tmpz00_13008;

							BgL_tmpz00_13008 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5075));
							BgL_auxz00_13007 = BGL_OBJECT_WIDENING(BgL_tmpz00_13008);
						}
						BgL_auxz00_13006 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13007);
					}
					BgL_val0_1578z00_6137 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13006))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13014;

					{
						obj_t BgL_auxz00_13015;

						{	/* Liveness/liveness.scm 190 */
							BgL_objectz00_bglt BgL_tmpz00_13016;

							BgL_tmpz00_13016 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5075));
							BgL_auxz00_13015 = BGL_OBJECT_WIDENING(BgL_tmpz00_13016);
						}
						BgL_auxz00_13014 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13015);
					}
					BgL_val1_1579z00_6138 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13014))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 190 */
					int BgL_tmpz00_13022;

					BgL_tmpz00_13022 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13022);
				}
				{	/* Liveness/liveness.scm 190 */
					int BgL_tmpz00_13025;

					BgL_tmpz00_13025 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13025, BgL_val1_1579z00_6138);
				}
				return BgL_val0_1578z00_6137;
			}
		}

	}



/* &inout!-closure/liven1863 */
	obj_t BGl_z62inoutz12zd2closurezf2liven1863z50zzliveness_livenessz00(obj_t
		BgL_envz00_5076, obj_t BgL_nz00_5077, obj_t BgL_oz00_5078)
	{
		{	/* Liveness/liveness.scm 182 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_13028;

				{
					obj_t BgL_auxz00_13029;

					{	/* Liveness/liveness.scm 184 */
						BgL_objectz00_bglt BgL_tmpz00_13030;

						BgL_tmpz00_13030 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5077));
						BgL_auxz00_13029 = BGL_OBJECT_WIDENING(BgL_tmpz00_13030);
					}
					BgL_auxz00_13028 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13029);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13028))->
						BgL_outz00) = ((obj_t) BgL_oz00_5078), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13043;
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_13036;

				{	/* Liveness/liveness.scm 185 */
					obj_t BgL_arg2193z00_6140;
					obj_t BgL_arg2194z00_6141;

					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13044;

						{
							obj_t BgL_auxz00_13045;

							{	/* Liveness/liveness.scm 185 */
								BgL_objectz00_bglt BgL_tmpz00_13046;

								BgL_tmpz00_13046 =
									((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5077));
								BgL_auxz00_13045 = BGL_OBJECT_WIDENING(BgL_tmpz00_13046);
							}
							BgL_auxz00_13044 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13045);
						}
						BgL_arg2193z00_6140 =
							(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13044))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 185 */
						obj_t BgL_arg2197z00_6142;
						obj_t BgL_arg2198z00_6143;

						{
							BgL_closurezf2livenesszf2_bglt BgL_auxz00_13052;

							{
								obj_t BgL_auxz00_13053;

								{	/* Liveness/liveness.scm 185 */
									BgL_objectz00_bglt BgL_tmpz00_13054;

									BgL_tmpz00_13054 =
										((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5077));
									BgL_auxz00_13053 = BGL_OBJECT_WIDENING(BgL_tmpz00_13054);
								}
								BgL_auxz00_13052 =
									((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13053);
							}
							BgL_arg2197z00_6142 =
								(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13052))->
								BgL_outz00);
						}
						{
							BgL_closurezf2livenesszf2_bglt BgL_auxz00_13060;

							{
								obj_t BgL_auxz00_13061;

								{	/* Liveness/liveness.scm 185 */
									BgL_objectz00_bglt BgL_tmpz00_13062;

									BgL_tmpz00_13062 =
										((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5077));
									BgL_auxz00_13061 = BGL_OBJECT_WIDENING(BgL_tmpz00_13062);
								}
								BgL_auxz00_13060 =
									((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13061);
							}
							BgL_arg2198z00_6143 =
								(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13060))->
								BgL_defz00);
						}
						BgL_arg2194z00_6141 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2197z00_6142,
							BgL_arg2198z00_6143);
					}
					{	/* Liveness/liveness.scm 185 */
						obj_t BgL_list2195z00_6144;

						{	/* Liveness/liveness.scm 185 */
							obj_t BgL_arg2196z00_6145;

							BgL_arg2196z00_6145 = MAKE_YOUNG_PAIR(BgL_arg2194z00_6141, BNIL);
							BgL_list2195z00_6144 =
								MAKE_YOUNG_PAIR(BgL_arg2193z00_6140, BgL_arg2196z00_6145);
						}
						BgL_auxz00_13043 =
							BGl_unionz00zzliveness_setz00(BgL_list2195z00_6144);
					}
				}
				{
					obj_t BgL_auxz00_13037;

					{	/* Liveness/liveness.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13038;

						BgL_tmpz00_13038 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5077));
						BgL_auxz00_13037 = BGL_OBJECT_WIDENING(BgL_tmpz00_13038);
					}
					BgL_auxz00_13036 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13037);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13036))->
						BgL_inz00) = ((obj_t) BgL_auxz00_13043), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 186 */
				obj_t BgL_val0_1576z00_6146;
				obj_t BgL_val1_1577z00_6147;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13073;

					{
						obj_t BgL_auxz00_13074;

						{	/* Liveness/liveness.scm 186 */
							BgL_objectz00_bglt BgL_tmpz00_13075;

							BgL_tmpz00_13075 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5077));
							BgL_auxz00_13074 = BGL_OBJECT_WIDENING(BgL_tmpz00_13075);
						}
						BgL_auxz00_13073 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13074);
					}
					BgL_val0_1576z00_6146 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13073))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13081;

					{
						obj_t BgL_auxz00_13082;

						{	/* Liveness/liveness.scm 186 */
							BgL_objectz00_bglt BgL_tmpz00_13083;

							BgL_tmpz00_13083 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5077));
							BgL_auxz00_13082 = BGL_OBJECT_WIDENING(BgL_tmpz00_13083);
						}
						BgL_auxz00_13081 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13082);
					}
					BgL_val1_1577z00_6147 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13081))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 186 */
					int BgL_tmpz00_13089;

					BgL_tmpz00_13089 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13089);
				}
				{	/* Liveness/liveness.scm 186 */
					int BgL_tmpz00_13092;

					BgL_tmpz00_13092 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13092, BgL_val1_1577z00_6147);
				}
				return BgL_val0_1576z00_6146;
			}
		}

	}



/* &defuse-closure/liven1861 */
	obj_t BGl_z62defusezd2closurezf2liven1861z42zzliveness_livenessz00(obj_t
		BgL_envz00_5079, obj_t BgL_nz00_5080)
	{
		{	/* Liveness/liveness.scm 178 */
			{	/* Liveness/liveness.scm 180 */
				obj_t BgL_val0_1574z00_6149;
				obj_t BgL_val1_1575z00_6150;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13095;

					{
						obj_t BgL_auxz00_13096;

						{	/* Liveness/liveness.scm 180 */
							BgL_objectz00_bglt BgL_tmpz00_13097;

							BgL_tmpz00_13097 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
							BgL_auxz00_13096 = BGL_OBJECT_WIDENING(BgL_tmpz00_13097);
						}
						BgL_auxz00_13095 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13096);
					}
					BgL_val0_1574z00_6149 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13095))->
						BgL_defz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_13103;

					{
						obj_t BgL_auxz00_13104;

						{	/* Liveness/liveness.scm 180 */
							BgL_objectz00_bglt BgL_tmpz00_13105;

							BgL_tmpz00_13105 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5080));
							BgL_auxz00_13104 = BGL_OBJECT_WIDENING(BgL_tmpz00_13105);
						}
						BgL_auxz00_13103 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13104);
					}
					BgL_val1_1575z00_6150 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13103))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 180 */
					int BgL_tmpz00_13111;

					BgL_tmpz00_13111 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13111);
				}
				{	/* Liveness/liveness.scm 180 */
					int BgL_tmpz00_13114;

					BgL_tmpz00_13114 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13114, BgL_val1_1575z00_6150);
				}
				return BgL_val0_1574z00_6149;
			}
		}

	}



/* &defuse-closure1859 */
	obj_t BGl_z62defusezd2closure1859zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5081, obj_t BgL_nz00_5082)
	{
		{	/* Liveness/liveness.scm 170 */
			{	/* Liveness/liveness.scm 172 */
				obj_t BgL_usez00_6152;

				{	/* Liveness/liveness.scm 172 */
					bool_t BgL_test3311z00_13117;

					{	/* Liveness/liveness.scm 172 */
						BgL_variablez00_bglt BgL_arg2192z00_6153;

						BgL_arg2192z00_6153 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 172 */
							obj_t BgL_classz00_6154;

							BgL_classz00_6154 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_arg1820z00_6155;

								{	/* Liveness/liveness.scm 172 */
									obj_t BgL_tmpz00_13121;

									BgL_tmpz00_13121 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2192z00_6153));
									BgL_arg1820z00_6155 = (BgL_objectz00_bglt) (BgL_tmpz00_13121);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Liveness/liveness.scm 172 */
										long BgL_idxz00_6156;

										BgL_idxz00_6156 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6155);
										BgL_test3311z00_13117 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6156 + ((long) 2))) == BgL_classz00_6154);
									}
								else
									{	/* Liveness/liveness.scm 172 */
										bool_t BgL_res2956z00_6159;

										{	/* Liveness/liveness.scm 172 */
											obj_t BgL_oclassz00_6160;

											{	/* Liveness/liveness.scm 172 */
												long BgL_arg1828z00_6161;

												{	/* Liveness/liveness.scm 172 */
													long BgL_arg1829z00_6162;

													BgL_arg1829z00_6162 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6155);
													BgL_arg1828z00_6161 =
														(BgL_arg1829z00_6162 - OBJECT_TYPE);
												}
												BgL_oclassz00_6160 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_6161);
											}
											{	/* Liveness/liveness.scm 172 */
												bool_t BgL__ortest_1111z00_6163;

												BgL__ortest_1111z00_6163 =
													(BgL_classz00_6154 == BgL_oclassz00_6160);
												if (BgL__ortest_1111z00_6163)
													{	/* Liveness/liveness.scm 172 */
														BgL_res2956z00_6159 = BgL__ortest_1111z00_6163;
													}
												else
													{	/* Liveness/liveness.scm 172 */
														long BgL_odepthz00_6164;

														BgL_odepthz00_6164 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6160);
														if ((((long) 2) < BgL_odepthz00_6164))
															{	/* Liveness/liveness.scm 172 */
																obj_t BgL_arg1816z00_6165;

																BgL_arg1816z00_6165 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6160,
																	((long) 2));
																BgL_res2956z00_6159 =
																	(BgL_arg1816z00_6165 == BgL_classz00_6154);
															}
														else
															{	/* Liveness/liveness.scm 172 */
																BgL_res2956z00_6159 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3311z00_13117 = BgL_res2956z00_6159;
									}
							}
						}
					}
					if (BgL_test3311z00_13117)
						{	/* Liveness/liveness.scm 172 */
							BgL_variablez00_bglt BgL_arg2190z00_6166;

							BgL_arg2190z00_6166 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nz00_5082))))->
								BgL_variablez00);
							{	/* Liveness/liveness.scm 172 */
								obj_t BgL_list2191z00_6167;

								BgL_list2191z00_6167 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2190z00_6166), BNIL);
								BgL_usez00_6152 = BgL_list2191z00_6167;
							}
						}
					else
						{	/* Liveness/liveness.scm 172 */
							BgL_usez00_6152 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 174 */
					BgL_closurez00_bglt BgL_arg2185z00_6168;

					{	/* Liveness/liveness.scm 174 */
						BgL_closurezf2livenesszf2_bglt BgL_wide1169z00_6169;

						BgL_wide1169z00_6169 =
							((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_closurezf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 174 */
							obj_t BgL_auxz00_13151;
							BgL_objectz00_bglt BgL_tmpz00_13147;

							BgL_auxz00_13151 = ((obj_t) BgL_wide1169z00_6169);
							BgL_tmpz00_13147 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5082)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13147, BgL_auxz00_13151);
						}
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5082)));
						{	/* Liveness/liveness.scm 174 */
							long BgL_arg2187z00_6170;

							BgL_arg2187z00_6170 =
								BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082))),
								BgL_arg2187z00_6170);
						}
						((BgL_closurez00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5082)));
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13165;

						{
							obj_t BgL_auxz00_13166;

							{	/* Liveness/liveness.scm 175 */
								BgL_objectz00_bglt BgL_tmpz00_13167;

								BgL_tmpz00_13167 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082)));
								BgL_auxz00_13166 = BGL_OBJECT_WIDENING(BgL_tmpz00_13167);
							}
							BgL_auxz00_13165 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13166);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13165))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13174;

						{
							obj_t BgL_auxz00_13175;

							{	/* Liveness/liveness.scm 176 */
								BgL_objectz00_bglt BgL_tmpz00_13176;

								BgL_tmpz00_13176 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082)));
								BgL_auxz00_13175 = BGL_OBJECT_WIDENING(BgL_tmpz00_13176);
							}
							BgL_auxz00_13174 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13175);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13174))->
								BgL_usez00) = ((obj_t) BgL_usez00_6152), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13183;

						{
							obj_t BgL_auxz00_13184;

							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_13185;

								BgL_tmpz00_13185 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082)));
								BgL_auxz00_13184 = BGL_OBJECT_WIDENING(BgL_tmpz00_13185);
							}
							BgL_auxz00_13183 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13184);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13183))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_13192;

						{
							obj_t BgL_auxz00_13193;

							{	/* Liveness/liveness.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_13194;

								BgL_tmpz00_13194 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_5082)));
								BgL_auxz00_13193 = BGL_OBJECT_WIDENING(BgL_tmpz00_13194);
							}
							BgL_auxz00_13192 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_13193);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_13192))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2185z00_6168 =
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_5082));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2185z00_6168));
				}
			}
		}

	}



/* &inout-ref/liveness1857 */
	obj_t BGl_z62inoutzd2refzf2liveness1857z42zzliveness_livenessz00(obj_t
		BgL_envz00_5083, obj_t BgL_nz00_5084)
	{
		{	/* Liveness/liveness.scm 163 */
			{	/* Liveness/liveness.scm 165 */
				obj_t BgL_val0_1572z00_6172;
				obj_t BgL_val1_1573z00_6173;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13205;

					{
						obj_t BgL_auxz00_13206;

						{	/* Liveness/liveness.scm 165 */
							BgL_objectz00_bglt BgL_tmpz00_13207;

							BgL_tmpz00_13207 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5084));
							BgL_auxz00_13206 = BGL_OBJECT_WIDENING(BgL_tmpz00_13207);
						}
						BgL_auxz00_13205 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13206);
					}
					BgL_val0_1572z00_6172 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13205))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13213;

					{
						obj_t BgL_auxz00_13214;

						{	/* Liveness/liveness.scm 165 */
							BgL_objectz00_bglt BgL_tmpz00_13215;

							BgL_tmpz00_13215 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5084));
							BgL_auxz00_13214 = BGL_OBJECT_WIDENING(BgL_tmpz00_13215);
						}
						BgL_auxz00_13213 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13214);
					}
					BgL_val1_1573z00_6173 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13213))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 165 */
					int BgL_tmpz00_13221;

					BgL_tmpz00_13221 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13221);
				}
				{	/* Liveness/liveness.scm 165 */
					int BgL_tmpz00_13224;

					BgL_tmpz00_13224 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13224, BgL_val1_1573z00_6173);
				}
				return BgL_val0_1572z00_6172;
			}
		}

	}



/* &inout!-ref/liveness1855 */
	obj_t BGl_z62inoutz12zd2refzf2liveness1855z50zzliveness_livenessz00(obj_t
		BgL_envz00_5085, obj_t BgL_nz00_5086, obj_t BgL_oz00_5087)
	{
		{	/* Liveness/liveness.scm 157 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_13227;

				{
					obj_t BgL_auxz00_13228;

					{	/* Liveness/liveness.scm 159 */
						BgL_objectz00_bglt BgL_tmpz00_13229;

						BgL_tmpz00_13229 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
						BgL_auxz00_13228 = BGL_OBJECT_WIDENING(BgL_tmpz00_13229);
					}
					BgL_auxz00_13227 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13228);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13227))->
						BgL_outz00) = ((obj_t) BgL_oz00_5087), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13242;
				BgL_refzf2livenesszf2_bglt BgL_auxz00_13235;

				{	/* Liveness/liveness.scm 160 */
					obj_t BgL_arg2179z00_6175;
					obj_t BgL_arg2180z00_6176;

					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13243;

						{
							obj_t BgL_auxz00_13244;

							{	/* Liveness/liveness.scm 160 */
								BgL_objectz00_bglt BgL_tmpz00_13245;

								BgL_tmpz00_13245 =
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
								BgL_auxz00_13244 = BGL_OBJECT_WIDENING(BgL_tmpz00_13245);
							}
							BgL_auxz00_13243 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13244);
						}
						BgL_arg2179z00_6175 =
							(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13243))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 160 */
						obj_t BgL_arg2183z00_6177;
						obj_t BgL_arg2184z00_6178;

						{
							BgL_refzf2livenesszf2_bglt BgL_auxz00_13251;

							{
								obj_t BgL_auxz00_13252;

								{	/* Liveness/liveness.scm 160 */
									BgL_objectz00_bglt BgL_tmpz00_13253;

									BgL_tmpz00_13253 =
										((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
									BgL_auxz00_13252 = BGL_OBJECT_WIDENING(BgL_tmpz00_13253);
								}
								BgL_auxz00_13251 =
									((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13252);
							}
							BgL_arg2183z00_6177 =
								(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13251))->
								BgL_outz00);
						}
						{
							BgL_refzf2livenesszf2_bglt BgL_auxz00_13259;

							{
								obj_t BgL_auxz00_13260;

								{	/* Liveness/liveness.scm 160 */
									BgL_objectz00_bglt BgL_tmpz00_13261;

									BgL_tmpz00_13261 =
										((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
									BgL_auxz00_13260 = BGL_OBJECT_WIDENING(BgL_tmpz00_13261);
								}
								BgL_auxz00_13259 =
									((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13260);
							}
							BgL_arg2184z00_6178 =
								(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13259))->
								BgL_defz00);
						}
						BgL_arg2180z00_6176 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2183z00_6177,
							BgL_arg2184z00_6178);
					}
					{	/* Liveness/liveness.scm 160 */
						obj_t BgL_list2181z00_6179;

						{	/* Liveness/liveness.scm 160 */
							obj_t BgL_arg2182z00_6180;

							BgL_arg2182z00_6180 = MAKE_YOUNG_PAIR(BgL_arg2180z00_6176, BNIL);
							BgL_list2181z00_6179 =
								MAKE_YOUNG_PAIR(BgL_arg2179z00_6175, BgL_arg2182z00_6180);
						}
						BgL_auxz00_13242 =
							BGl_unionz00zzliveness_setz00(BgL_list2181z00_6179);
					}
				}
				{
					obj_t BgL_auxz00_13236;

					{	/* Liveness/liveness.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_13237;

						BgL_tmpz00_13237 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
						BgL_auxz00_13236 = BGL_OBJECT_WIDENING(BgL_tmpz00_13237);
					}
					BgL_auxz00_13235 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13236);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13235))->BgL_inz00) =
					((obj_t) BgL_auxz00_13242), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 161 */
				obj_t BgL_val0_1570z00_6181;
				obj_t BgL_val1_1571z00_6182;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13272;

					{
						obj_t BgL_auxz00_13273;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13274;

							BgL_tmpz00_13274 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
							BgL_auxz00_13273 = BGL_OBJECT_WIDENING(BgL_tmpz00_13274);
						}
						BgL_auxz00_13272 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13273);
					}
					BgL_val0_1570z00_6181 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13272))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13280;

					{
						obj_t BgL_auxz00_13281;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13282;

							BgL_tmpz00_13282 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5086));
							BgL_auxz00_13281 = BGL_OBJECT_WIDENING(BgL_tmpz00_13282);
						}
						BgL_auxz00_13280 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13281);
					}
					BgL_val1_1571z00_6182 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13280))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_13288;

					BgL_tmpz00_13288 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13288);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_13291;

					BgL_tmpz00_13291 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13291, BgL_val1_1571z00_6182);
				}
				return BgL_val0_1570z00_6181;
			}
		}

	}



/* &defuse-ref/liveness1853 */
	obj_t BGl_z62defusezd2refzf2liveness1853z42zzliveness_livenessz00(obj_t
		BgL_envz00_5088, obj_t BgL_nz00_5089)
	{
		{	/* Liveness/liveness.scm 153 */
			{	/* Liveness/liveness.scm 155 */
				obj_t BgL_val0_1568z00_6184;
				obj_t BgL_val1_1569z00_6185;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13294;

					{
						obj_t BgL_auxz00_13295;

						{	/* Liveness/liveness.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13296;

							BgL_tmpz00_13296 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
							BgL_auxz00_13295 = BGL_OBJECT_WIDENING(BgL_tmpz00_13296);
						}
						BgL_auxz00_13294 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13295);
					}
					BgL_val0_1568z00_6184 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13294))->
						BgL_defz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_13302;

					{
						obj_t BgL_auxz00_13303;

						{	/* Liveness/liveness.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13304;

							BgL_tmpz00_13304 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5089));
							BgL_auxz00_13303 = BGL_OBJECT_WIDENING(BgL_tmpz00_13304);
						}
						BgL_auxz00_13302 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13303);
					}
					BgL_val1_1569z00_6185 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13302))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 155 */
					int BgL_tmpz00_13310;

					BgL_tmpz00_13310 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13310);
				}
				{	/* Liveness/liveness.scm 155 */
					int BgL_tmpz00_13313;

					BgL_tmpz00_13313 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13313, BgL_val1_1569z00_6185);
				}
				return BgL_val0_1568z00_6184;
			}
		}

	}



/* &defuse-ref1851 */
	obj_t BGl_z62defusezd2ref1851zb0zzliveness_livenessz00(obj_t BgL_envz00_5090,
		obj_t BgL_nz00_5091)
	{
		{	/* Liveness/liveness.scm 145 */
			{	/* Liveness/liveness.scm 147 */
				obj_t BgL_usez00_6187;

				{	/* Liveness/liveness.scm 147 */
					bool_t BgL_test3315z00_13316;

					{	/* Liveness/liveness.scm 147 */
						BgL_variablez00_bglt BgL_arg2178z00_6188;

						BgL_arg2178z00_6188 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_5091))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 147 */
							obj_t BgL_classz00_6189;

							BgL_classz00_6189 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_arg1820z00_6190;

								{	/* Liveness/liveness.scm 147 */
									obj_t BgL_tmpz00_13320;

									BgL_tmpz00_13320 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2178z00_6188));
									BgL_arg1820z00_6190 = (BgL_objectz00_bglt) (BgL_tmpz00_13320);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Liveness/liveness.scm 147 */
										long BgL_idxz00_6191;

										BgL_idxz00_6191 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6190);
										BgL_test3315z00_13316 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6191 + ((long) 2))) == BgL_classz00_6189);
									}
								else
									{	/* Liveness/liveness.scm 147 */
										bool_t BgL_res2954z00_6194;

										{	/* Liveness/liveness.scm 147 */
											obj_t BgL_oclassz00_6195;

											{	/* Liveness/liveness.scm 147 */
												long BgL_arg1828z00_6196;

												{	/* Liveness/liveness.scm 147 */
													long BgL_arg1829z00_6197;

													BgL_arg1829z00_6197 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6190);
													BgL_arg1828z00_6196 =
														(BgL_arg1829z00_6197 - OBJECT_TYPE);
												}
												BgL_oclassz00_6195 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_6196);
											}
											{	/* Liveness/liveness.scm 147 */
												bool_t BgL__ortest_1111z00_6198;

												BgL__ortest_1111z00_6198 =
													(BgL_classz00_6189 == BgL_oclassz00_6195);
												if (BgL__ortest_1111z00_6198)
													{	/* Liveness/liveness.scm 147 */
														BgL_res2954z00_6194 = BgL__ortest_1111z00_6198;
													}
												else
													{	/* Liveness/liveness.scm 147 */
														long BgL_odepthz00_6199;

														BgL_odepthz00_6199 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6195);
														if ((((long) 2) < BgL_odepthz00_6199))
															{	/* Liveness/liveness.scm 147 */
																obj_t BgL_arg1816z00_6200;

																BgL_arg1816z00_6200 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6195,
																	((long) 2));
																BgL_res2954z00_6194 =
																	(BgL_arg1816z00_6200 == BgL_classz00_6189);
															}
														else
															{	/* Liveness/liveness.scm 147 */
																BgL_res2954z00_6194 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3315z00_13316 = BgL_res2954z00_6194;
									}
							}
						}
					}
					if (BgL_test3315z00_13316)
						{	/* Liveness/liveness.scm 147 */
							BgL_variablez00_bglt BgL_arg2176z00_6201;

							BgL_arg2176z00_6201 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_refz00_bglt) BgL_nz00_5091))))->BgL_variablez00);
							{	/* Liveness/liveness.scm 147 */
								obj_t BgL_list2177z00_6202;

								BgL_list2177z00_6202 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2176z00_6201), BNIL);
								BgL_usez00_6187 = BgL_list2177z00_6202;
							}
						}
					else
						{	/* Liveness/liveness.scm 147 */
							BgL_usez00_6187 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 149 */
					BgL_refz00_bglt BgL_arg2172z00_6203;

					{	/* Liveness/liveness.scm 149 */
						BgL_refzf2livenesszf2_bglt BgL_wide1161z00_6204;

						BgL_wide1161z00_6204 =
							((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 149 */
							obj_t BgL_auxz00_13350;
							BgL_objectz00_bglt BgL_tmpz00_13346;

							BgL_auxz00_13350 = ((obj_t) BgL_wide1161z00_6204);
							BgL_tmpz00_13346 =
								((BgL_objectz00_bglt)
								((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13346, BgL_auxz00_13350);
						}
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
						{	/* Liveness/liveness.scm 149 */
							long BgL_arg2173z00_6205;

							BgL_arg2173z00_6205 =
								BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_refz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_5091))), BgL_arg2173z00_6205);
						}
						((BgL_refz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13364;

						{
							obj_t BgL_auxz00_13365;

							{	/* Liveness/liveness.scm 150 */
								BgL_objectz00_bglt BgL_tmpz00_13366;

								BgL_tmpz00_13366 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
								BgL_auxz00_13365 = BGL_OBJECT_WIDENING(BgL_tmpz00_13366);
							}
							BgL_auxz00_13364 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13365);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13364))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13373;

						{
							obj_t BgL_auxz00_13374;

							{	/* Liveness/liveness.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_13375;

								BgL_tmpz00_13375 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
								BgL_auxz00_13374 = BGL_OBJECT_WIDENING(BgL_tmpz00_13375);
							}
							BgL_auxz00_13373 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13374);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13373))->
								BgL_usez00) = ((obj_t) BgL_usez00_6187), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13382;

						{
							obj_t BgL_auxz00_13383;

							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_tmpz00_13384;

								BgL_tmpz00_13384 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
								BgL_auxz00_13383 = BGL_OBJECT_WIDENING(BgL_tmpz00_13384);
							}
							BgL_auxz00_13382 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13383);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13382))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_13391;

						{
							obj_t BgL_auxz00_13392;

							{	/* Liveness/liveness.scm 147 */
								BgL_objectz00_bglt BgL_tmpz00_13393;

								BgL_tmpz00_13393 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091)));
								BgL_auxz00_13392 = BGL_OBJECT_WIDENING(BgL_tmpz00_13393);
							}
							BgL_auxz00_13391 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_13392);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13391))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2172z00_6203 =
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_5091));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2172z00_6203));
				}
			}
		}

	}



/* &inout-literal/livene1849 */
	obj_t BGl_z62inoutzd2literalzf2livene1849z42zzliveness_livenessz00(obj_t
		BgL_envz00_5092, obj_t BgL_nz00_5093)
	{
		{	/* Liveness/liveness.scm 138 */
			{	/* Liveness/liveness.scm 140 */
				obj_t BgL_val0_1566z00_6207;
				obj_t BgL_val1_1567z00_6208;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13404;

					{
						obj_t BgL_auxz00_13405;

						{	/* Liveness/liveness.scm 140 */
							BgL_objectz00_bglt BgL_tmpz00_13406;

							BgL_tmpz00_13406 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5093));
							BgL_auxz00_13405 = BGL_OBJECT_WIDENING(BgL_tmpz00_13406);
						}
						BgL_auxz00_13404 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13405);
					}
					BgL_val0_1566z00_6207 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13404))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13412;

					{
						obj_t BgL_auxz00_13413;

						{	/* Liveness/liveness.scm 140 */
							BgL_objectz00_bglt BgL_tmpz00_13414;

							BgL_tmpz00_13414 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5093));
							BgL_auxz00_13413 = BGL_OBJECT_WIDENING(BgL_tmpz00_13414);
						}
						BgL_auxz00_13412 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13413);
					}
					BgL_val1_1567z00_6208 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13412))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 140 */
					int BgL_tmpz00_13420;

					BgL_tmpz00_13420 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13420);
				}
				{	/* Liveness/liveness.scm 140 */
					int BgL_tmpz00_13423;

					BgL_tmpz00_13423 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13423, BgL_val1_1567z00_6208);
				}
				return BgL_val0_1566z00_6207;
			}
		}

	}



/* &inout!-literal/liven1847 */
	obj_t BGl_z62inoutz12zd2literalzf2liven1847z50zzliveness_livenessz00(obj_t
		BgL_envz00_5094, obj_t BgL_nz00_5095, obj_t BgL_oz00_5096)
	{
		{	/* Liveness/liveness.scm 132 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_13426;

				{
					obj_t BgL_auxz00_13427;

					{	/* Liveness/liveness.scm 134 */
						BgL_objectz00_bglt BgL_tmpz00_13428;

						BgL_tmpz00_13428 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5095));
						BgL_auxz00_13427 = BGL_OBJECT_WIDENING(BgL_tmpz00_13428);
					}
					BgL_auxz00_13426 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13427);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13426))->
						BgL_outz00) = ((obj_t) BgL_oz00_5096), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_13441;
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_13434;

				{	/* Liveness/liveness.scm 135 */
					obj_t BgL_arg2166z00_6210;
					obj_t BgL_arg2167z00_6211;

					{
						BgL_literalzf2livenesszf2_bglt BgL_auxz00_13442;

						{
							obj_t BgL_auxz00_13443;

							{	/* Liveness/liveness.scm 135 */
								BgL_objectz00_bglt BgL_tmpz00_13444;

								BgL_tmpz00_13444 =
									((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5095));
								BgL_auxz00_13443 = BGL_OBJECT_WIDENING(BgL_tmpz00_13444);
							}
							BgL_auxz00_13442 =
								((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13443);
						}
						BgL_arg2166z00_6210 =
							(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13442))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 135 */
						obj_t BgL_arg2170z00_6212;
						obj_t BgL_arg2171z00_6213;

						{
							BgL_literalzf2livenesszf2_bglt BgL_auxz00_13450;

							{
								obj_t BgL_auxz00_13451;

								{	/* Liveness/liveness.scm 135 */
									BgL_objectz00_bglt BgL_tmpz00_13452;

									BgL_tmpz00_13452 =
										((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_nz00_5095));
									BgL_auxz00_13451 = BGL_OBJECT_WIDENING(BgL_tmpz00_13452);
								}
								BgL_auxz00_13450 =
									((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13451);
							}
							BgL_arg2170z00_6212 =
								(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13450))->
								BgL_outz00);
						}
						{
							BgL_literalzf2livenesszf2_bglt BgL_auxz00_13458;

							{
								obj_t BgL_auxz00_13459;

								{	/* Liveness/liveness.scm 135 */
									BgL_objectz00_bglt BgL_tmpz00_13460;

									BgL_tmpz00_13460 =
										((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_nz00_5095));
									BgL_auxz00_13459 = BGL_OBJECT_WIDENING(BgL_tmpz00_13460);
								}
								BgL_auxz00_13458 =
									((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13459);
							}
							BgL_arg2171z00_6213 =
								(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13458))->
								BgL_defz00);
						}
						BgL_arg2167z00_6211 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2170z00_6212,
							BgL_arg2171z00_6213);
					}
					{	/* Liveness/liveness.scm 135 */
						obj_t BgL_list2168z00_6214;

						{	/* Liveness/liveness.scm 135 */
							obj_t BgL_arg2169z00_6215;

							BgL_arg2169z00_6215 = MAKE_YOUNG_PAIR(BgL_arg2167z00_6211, BNIL);
							BgL_list2168z00_6214 =
								MAKE_YOUNG_PAIR(BgL_arg2166z00_6210, BgL_arg2169z00_6215);
						}
						BgL_auxz00_13441 =
							BGl_unionz00zzliveness_setz00(BgL_list2168z00_6214);
					}
				}
				{
					obj_t BgL_auxz00_13435;

					{	/* Liveness/liveness.scm 135 */
						BgL_objectz00_bglt BgL_tmpz00_13436;

						BgL_tmpz00_13436 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5095));
						BgL_auxz00_13435 = BGL_OBJECT_WIDENING(BgL_tmpz00_13436);
					}
					BgL_auxz00_13434 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13435);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13434))->
						BgL_inz00) = ((obj_t) BgL_auxz00_13441), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 136 */
				obj_t BgL_val0_1564z00_6216;
				obj_t BgL_val1_1565z00_6217;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13471;

					{
						obj_t BgL_auxz00_13472;

						{	/* Liveness/liveness.scm 136 */
							BgL_objectz00_bglt BgL_tmpz00_13473;

							BgL_tmpz00_13473 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5095));
							BgL_auxz00_13472 = BGL_OBJECT_WIDENING(BgL_tmpz00_13473);
						}
						BgL_auxz00_13471 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13472);
					}
					BgL_val0_1564z00_6216 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13471))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13479;

					{
						obj_t BgL_auxz00_13480;

						{	/* Liveness/liveness.scm 136 */
							BgL_objectz00_bglt BgL_tmpz00_13481;

							BgL_tmpz00_13481 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5095));
							BgL_auxz00_13480 = BGL_OBJECT_WIDENING(BgL_tmpz00_13481);
						}
						BgL_auxz00_13479 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13480);
					}
					BgL_val1_1565z00_6217 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13479))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 136 */
					int BgL_tmpz00_13487;

					BgL_tmpz00_13487 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13487);
				}
				{	/* Liveness/liveness.scm 136 */
					int BgL_tmpz00_13490;

					BgL_tmpz00_13490 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13490, BgL_val1_1565z00_6217);
				}
				return BgL_val0_1564z00_6216;
			}
		}

	}



/* &defuse-literal/liven1845 */
	obj_t BGl_z62defusezd2literalzf2liven1845z42zzliveness_livenessz00(obj_t
		BgL_envz00_5097, obj_t BgL_nz00_5098)
	{
		{	/* Liveness/liveness.scm 128 */
			{	/* Liveness/liveness.scm 130 */
				obj_t BgL_val0_1562z00_6219;
				obj_t BgL_val1_1563z00_6220;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13493;

					{
						obj_t BgL_auxz00_13494;

						{	/* Liveness/liveness.scm 130 */
							BgL_objectz00_bglt BgL_tmpz00_13495;

							BgL_tmpz00_13495 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
							BgL_auxz00_13494 = BGL_OBJECT_WIDENING(BgL_tmpz00_13495);
						}
						BgL_auxz00_13493 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13494);
					}
					BgL_val0_1562z00_6219 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13493))->
						BgL_defz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13501;

					{
						obj_t BgL_auxz00_13502;

						{	/* Liveness/liveness.scm 130 */
							BgL_objectz00_bglt BgL_tmpz00_13503;

							BgL_tmpz00_13503 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5098));
							BgL_auxz00_13502 = BGL_OBJECT_WIDENING(BgL_tmpz00_13503);
						}
						BgL_auxz00_13501 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13502);
					}
					BgL_val1_1563z00_6220 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13501))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 130 */
					int BgL_tmpz00_13509;

					BgL_tmpz00_13509 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_13509);
				}
				{	/* Liveness/liveness.scm 130 */
					int BgL_tmpz00_13512;

					BgL_tmpz00_13512 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_13512, BgL_val1_1563z00_6220);
				}
				return BgL_val0_1562z00_6219;
			}
		}

	}



/* &defuse-literal1843 */
	obj_t BGl_z62defusezd2literal1843zb0zzliveness_livenessz00(obj_t
		BgL_envz00_5099, obj_t BgL_nz00_5100)
	{
		{	/* Liveness/liveness.scm 125 */
			{	/* Liveness/liveness.scm 126 */
				BgL_literalz00_bglt BgL_arg2164z00_6222;

				{	/* Liveness/liveness.scm 126 */
					BgL_literalzf2livenesszf2_bglt BgL_wide1153z00_6223;

					BgL_wide1153z00_6223 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 126 */
						obj_t BgL_auxz00_13520;
						BgL_objectz00_bglt BgL_tmpz00_13516;

						BgL_auxz00_13520 = ((obj_t) BgL_wide1153z00_6223);
						BgL_tmpz00_13516 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13516, BgL_auxz00_13520);
					}
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
					{	/* Liveness/liveness.scm 126 */
						long BgL_arg2165z00_6224;

						BgL_arg2165z00_6224 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_literalz00_bglt)
									((BgL_literalz00_bglt) BgL_nz00_5100))), BgL_arg2165z00_6224);
					}
					((BgL_literalz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13534;

					{
						obj_t BgL_auxz00_13535;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13536;

							BgL_tmpz00_13536 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
							BgL_auxz00_13535 = BGL_OBJECT_WIDENING(BgL_tmpz00_13536);
						}
						BgL_auxz00_13534 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13535);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13534))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13543;

					{
						obj_t BgL_auxz00_13544;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13545;

							BgL_tmpz00_13545 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
							BgL_auxz00_13544 = BGL_OBJECT_WIDENING(BgL_tmpz00_13545);
						}
						BgL_auxz00_13543 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13544);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13543))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13552;

					{
						obj_t BgL_auxz00_13553;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13554;

							BgL_tmpz00_13554 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
							BgL_auxz00_13553 = BGL_OBJECT_WIDENING(BgL_tmpz00_13554);
						}
						BgL_auxz00_13552 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13553);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13552))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_13561;

					{
						obj_t BgL_auxz00_13562;

						{	/* Liveness/liveness.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_13563;

							BgL_tmpz00_13563 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100)));
							BgL_auxz00_13562 = BGL_OBJECT_WIDENING(BgL_tmpz00_13563);
						}
						BgL_auxz00_13561 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_13562);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13561))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2164z00_6222 =
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_5100));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2164z00_6222));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzliveness_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
			return
				BGl_modulezd2initializa7ationz75zzliveness_setz00(((long) 332381975),
				BSTRING_TO_STRING(BGl_string3116z00zzliveness_livenessz00));
		}

	}

#ifdef __cplusplus
}
#endif
