/*===========================================================================*/
/*   (Liveness/types.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Liveness/types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


	static obj_t BGl_z62lambda3547z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3710z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3711z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2660z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2661z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3555z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3393z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3556z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3394z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2827z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3719z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2828z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2669z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3720z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33572ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33483ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3562z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33467ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3563z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00(obj_t);
	static BgL_newz00_bglt BGl_z62lambda2673z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3727z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3728z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_newz00_bglt BGl_z62lambda2677z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3570z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3571z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33557ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33395ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2844z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3737z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2685z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62lambda2686z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3902z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3903z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3741z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2850z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3580z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32829ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2853z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3745z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3583z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2692z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2693z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3909z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3587z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2699z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3910z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32951ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33648ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62lambda3755z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3756z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3597z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3598z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3763z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_z62lambda3764z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62lambda2874z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2875z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62lambda3770z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33666ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32937ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3771z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2881z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2882z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3777z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3778z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2888z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2889z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33013ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3786z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3789z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33846ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33757ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3792z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32883ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33210ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33791ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32304ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33107ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33599ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32322ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32976ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32993ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62lambda2102z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2103z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32414ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2109z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_newzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2110z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33160ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33071ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3004z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3005z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33055ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00(obj_t);
	static BgL_refz00_bglt BGl_z62lambda2118z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_switchzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3011z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62lambda2121z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3012z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62lambda2124z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32611ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33413ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33324ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2133z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3024z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2134z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3025z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33219ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32701ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2140z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2302z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2141z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33090ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appz00_bglt BGl_z62lambda2305z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3034z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33147ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2147z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2148z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3039z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valloczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3200z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3201z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2313z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3042z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2314z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2154z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2155z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3208z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3209z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2320z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2321z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza32290ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33343ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3053z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2163z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3054z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3217z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3218z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2166z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2329z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2169z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62lambda2330z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33522ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32453ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33506ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32364ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2336z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2337z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2177z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2178z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3069z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2500z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3232z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3070z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32438ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2345z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3236z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2184z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2185z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2509z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2348z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3401z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3402z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3240z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2513z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3080z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2352z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3081z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2191z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2192z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3088z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2198z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3089z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2199z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33703ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3411z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33614ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3412z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2523z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33274ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2362z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2524z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2363z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33258ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3256z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3257z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2369z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2370z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3423z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2534z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2535z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3426z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3264z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3265z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2376z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2377z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33721ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2700z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3430z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_synczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3272z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3273z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2707z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2708z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2548z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2549z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3442z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3605z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3443z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3281z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3606z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3282z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2717z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2394z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2557z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2558z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2398z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3612z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3450z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3613z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3451z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2722z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32654ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32638ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2725z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3458z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2567z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3459z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda3297z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3621z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3622z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2570z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2734z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2735z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3465z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2574z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3466z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3631z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33636ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00(obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3634z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2905z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2745z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2584z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3637z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2746z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2585z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3476z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3800z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3801z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2910z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33564ze3ze5zzliveness_typesz00(obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3480z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2913z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33548ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2753z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2592z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3807z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2754z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2593z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3808z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3646z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3484z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3647z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3814z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32747ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62lambda3815z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3655z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3656z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2765z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2766z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3496z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3497z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DEF obj_t BGl_refzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3821z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33744ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3822z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32586ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2935z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3665z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2936z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2779z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_typesz00(void);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3830z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3833z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33729ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2942z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2943z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3673z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3836z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3674z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2783z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2786z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2949z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33835ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32944ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2950z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33657ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3844z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3845z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3683z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_typesz00(void);
	static BgL_retblockz00_bglt BGl_z62lambda3688z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2959z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2798z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2799z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33690ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32961ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3851z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2960z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32694ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3852z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32767ze3ze5zzliveness_typesz00(obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3691z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3858z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3859z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33675ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33586ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2971z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3865z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2974z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3866z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2977z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32785ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33498ze3ze5zzliveness_typesz00(obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3874z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3877z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3880z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2991z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_z62lambda2992z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3888z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3889z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33202ze3ze5zzliveness_typesz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32876ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3895z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3896z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32401ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33130ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32135ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33026ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33890ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32331ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32315ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32512ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33403ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32423ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33879ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_kwotez00_bglt BGl_z62lambda2207z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2047z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static BgL_kwotez00_bglt BGl_z62lambda2210z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62lambda3101z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32603ze3ze5zzliveness_typesz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda2051z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2213z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62lambda3104z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2054z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33138ze3ze5zzliveness_typesz00(obj_t);
	static BgL_castz00_bglt BGl_z62lambda3108z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2221z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2222z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33082ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2062z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2063z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62lambda2228z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2229z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza33350ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_literalz00_bglt BGl_z62lambda2072z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32338ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2236z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2075z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3128z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3129z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzliveness_typesz00(void);
	static BgL_literalz00_bglt BGl_z62lambda2079z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza32800ze3ze5zzliveness_typesz00(obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2402z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33513ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32371ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2243z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3136z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3137z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2087z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2088z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32550ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2412z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2251z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2413z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33336ze3ze5zzliveness_typesz00(obj_t);
	static BgL_failz00_bglt BGl_z62lambda3306z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2254z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3145z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3146z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62lambda2095z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2257z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2096z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_failz00_bglt BGl_z62lambda3311z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2421z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2422z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33191ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33175ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2265z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2266z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2429z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3158z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3159z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2430z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3322z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3323z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2272z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2273z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2436z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2437z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3169z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2601z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33460ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2602z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33444ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2281z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3334z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33266ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3335z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3173z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2447z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3176z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2609z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2289z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33712ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2610z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33623ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3341z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2451z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3504z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3342z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33283ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3505z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33429ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2454z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3348z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2619z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3349z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3189z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2299z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33802ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3511z62zzliveness_typesz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda3512z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2622z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3190z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32466ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2464z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2626z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2465z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3520z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32912ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3521z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3360z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2471z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2472z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3363z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2636z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3366z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2637z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3529z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2479z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32662ze3ze5zzliveness_typesz00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3532z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32573ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2480z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32646ze3ze5zzliveness_typesz00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3535z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2644z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2807z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2645z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2808z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3376z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3377z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2488z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2489z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_castzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3701z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3702z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32736ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32809ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2652z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2653z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2816z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3546z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2817z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[44];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzliveness_typesz00,
		BgL_bgl_za762lambda2154za7624521z00,
		BGl_z62lambda2154z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzliveness_typesz00,
		BgL_bgl_za762lambda2124za7624522z00,
		BGl_z62lambda2124z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4523za7,
		BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzliveness_typesz00,
		BgL_bgl_za762lambda2121za7624524z00,
		BGl_z62lambda2121z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzliveness_typesz00,
		BgL_bgl_za762lambda2118za7624525z00,
		BGl_z62lambda2118z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4526za7,
		BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzliveness_typesz00,
		BgL_bgl_za762lambda2178za7624527z00,
		BGl_z62lambda2178z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzliveness_typesz00,
		BgL_bgl_za762lambda2177za7624528z00,
		BGl_z62lambda2177z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4529za7,
		BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzliveness_typesz00,
		BgL_bgl_za762lambda2185za7624530z00,
		BGl_z62lambda2185z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzliveness_typesz00,
		BgL_bgl_za762lambda2184za7624531z00,
		BGl_z62lambda2184z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4532za7,
		BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzliveness_typesz00,
		BgL_bgl_za762lambda2192za7624533z00,
		BGl_z62lambda2192z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzliveness_typesz00,
		BgL_bgl_za762lambda2191za7624534z00,
		BGl_z62lambda2191z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4535za7,
		BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzliveness_typesz00,
		BgL_bgl_za762lambda2199za7624536z00,
		BGl_z62lambda2199z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzliveness_typesz00,
		BgL_bgl_za762lambda2198za7624537z00,
		BGl_z62lambda2198z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzliveness_typesz00,
		BgL_bgl_za762lambda2169za7624538z00,
		BGl_z62lambda2169z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4539za7,
		BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzliveness_typesz00,
		BgL_bgl_za762lambda2166za7624540z00,
		BGl_z62lambda2166z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzliveness_typesz00,
		BgL_bgl_za762lambda2163za7624541z00,
		BGl_z62lambda2163z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4542za7,
		BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzliveness_typesz00,
		BgL_bgl_za762lambda2222za7624543z00,
		BGl_z62lambda2222z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzliveness_typesz00,
		BgL_bgl_za762lambda2221za7624544z00,
		BGl_z62lambda2221z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4545za7,
		BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzliveness_typesz00,
		BgL_bgl_za762lambda2229za7624546z00,
		BGl_z62lambda2229z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzliveness_typesz00,
		BgL_bgl_za762lambda2228za7624547z00,
		BGl_z62lambda2228z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4548za7,
		BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzliveness_typesz00,
		BgL_bgl_za762lambda2236za7624549z00,
		BGl_z62lambda2236z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzliveness_typesz00,
		BgL_bgl_za762lambda2235za7624550z00,
		BGl_z62lambda2235z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4551za7,
		BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzliveness_typesz00,
		BgL_bgl_za762lambda2243za7624552z00,
		BGl_z62lambda2243z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzliveness_typesz00,
		BgL_bgl_za762lambda2242za7624553z00,
		BGl_z62lambda2242z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzliveness_typesz00,
		BgL_bgl_za762lambda2213za7624554z00,
		BGl_z62lambda2213z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4555za7,
		BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzliveness_typesz00,
		BgL_bgl_za762lambda2210za7624556z00,
		BGl_z62lambda2210z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzliveness_typesz00,
		BgL_bgl_za762lambda2207za7624557z00,
		BGl_z62lambda2207z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4558za7,
		BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzliveness_typesz00,
		BgL_bgl_za762lambda2266za7624559z00,
		BGl_z62lambda2266z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzliveness_typesz00,
		BgL_bgl_za762lambda2265za7624560z00,
		BGl_z62lambda2265z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4200z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4561za7,
		BGl_z62zc3z04anonymousza32809ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4201z00zzliveness_typesz00,
		BgL_bgl_za762lambda2808za7624562z00,
		BGl_z62lambda2808z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4202z00zzliveness_typesz00,
		BgL_bgl_za762lambda2807za7624563z00,
		BGl_z62lambda2807z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4564za7,
		BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4203z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4565za7,
		BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzliveness_typesz00,
		BgL_bgl_za762lambda2273za7624566z00,
		BGl_z62lambda2273z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4204z00zzliveness_typesz00,
		BgL_bgl_za762lambda2817za7624567z00,
		BGl_z62lambda2817z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzliveness_typesz00,
		BgL_bgl_za762lambda2272za7624568z00,
		BGl_z62lambda2272z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4205z00zzliveness_typesz00,
		BgL_bgl_za762lambda2816za7624569z00,
		BGl_z62lambda2816z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4570za7,
		BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4206z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4571za7,
		BGl_z62zc3z04anonymousza32829ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzliveness_typesz00,
		BgL_bgl_za762lambda2281za7624572z00,
		BGl_z62lambda2281z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4207z00zzliveness_typesz00,
		BgL_bgl_za762lambda2828za7624573z00,
		BGl_z62lambda2828z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzliveness_typesz00,
		BgL_bgl_za762lambda2280za7624574z00,
		BGl_z62lambda2280z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4208z00zzliveness_typesz00,
		BgL_bgl_za762lambda2827za7624575z00,
		BGl_z62lambda2827z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4576za7,
		BGl_z62zc3z04anonymousza32290ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4209z00zzliveness_typesz00,
		BgL_bgl_za762lambda2786za7624577z00,
		BGl_z62lambda2786z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzliveness_typesz00,
		BgL_bgl_za762lambda2289za7624578z00,
		BGl_z62lambda2289z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzliveness_typesz00,
		BgL_bgl_za762lambda2288za7624579z00,
		BGl_z62lambda2288z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzliveness_typesz00,
		BgL_bgl_za762lambda2257za7624580z00,
		BGl_z62lambda2257z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4210z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4581za7,
		BGl_z62zc3z04anonymousza32785ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4211z00zzliveness_typesz00,
		BgL_bgl_za762lambda2783za7624582z00,
		BGl_z62lambda2783z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4212z00zzliveness_typesz00,
		BgL_bgl_za762lambda2779za7624583z00,
		BGl_z62lambda2779z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4584za7,
		BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4213z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4585za7,
		BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzliveness_typesz00,
		BgL_bgl_za762lambda2254za7624586z00,
		BGl_z62lambda2254z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4214z00zzliveness_typesz00,
		BgL_bgl_za762lambda2865za7624587z00,
		BGl_z62lambda2865z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzliveness_typesz00,
		BgL_bgl_za762lambda2251za7624588z00,
		BGl_z62lambda2251z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4215z00zzliveness_typesz00,
		BgL_bgl_za762lambda2864za7624589z00,
		BGl_z62lambda2864z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4590za7,
		BGl_z62zc3z04anonymousza32315ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4216z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4591za7,
		BGl_z62zc3z04anonymousza32876ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zzliveness_typesz00,
		BgL_bgl_za762lambda2314za7624592z00,
		BGl_z62lambda2314z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4217z00zzliveness_typesz00,
		BgL_bgl_za762lambda2875za7624593z00,
		BGl_z62lambda2875z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzliveness_typesz00,
		BgL_bgl_za762lambda2313za7624594z00,
		BGl_z62lambda2313z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4218z00zzliveness_typesz00,
		BgL_bgl_za762lambda2874za7624595z00,
		BGl_z62lambda2874z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4596za7,
		BGl_z62zc3z04anonymousza32322ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4219z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4597za7,
		BGl_z62zc3z04anonymousza32883ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzliveness_typesz00,
		BgL_bgl_za762lambda2321za7624598z00,
		BGl_z62lambda2321z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zzliveness_typesz00,
		BgL_bgl_za762lambda2320za7624599z00,
		BGl_z62lambda2320z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4600za7,
		BGl_z62zc3z04anonymousza32331ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4220z00zzliveness_typesz00,
		BgL_bgl_za762lambda2882za7624601z00,
		BGl_z62lambda2882z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4221z00zzliveness_typesz00,
		BgL_bgl_za762lambda2881za7624602z00,
		BGl_z62lambda2881z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4222z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4603za7,
		BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzliveness_typesz00,
		BgL_bgl_za762lambda2330za7624604z00,
		BGl_z62lambda2330z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4223z00zzliveness_typesz00,
		BgL_bgl_za762lambda2889za7624605z00,
		BGl_z62lambda2889z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzliveness_typesz00,
		BgL_bgl_za762lambda2329za7624606z00,
		BGl_z62lambda2329z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4224z00zzliveness_typesz00,
		BgL_bgl_za762lambda2888za7624607z00,
		BGl_z62lambda2888z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4608za7,
		BGl_z62zc3z04anonymousza32338ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4225z00zzliveness_typesz00,
		BgL_bgl_za762lambda2853za7624609z00,
		BGl_z62lambda2853z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzliveness_typesz00,
		BgL_bgl_za762lambda2337za7624610z00,
		BGl_z62lambda2337z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4226z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4611za7,
		BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzliveness_typesz00,
		BgL_bgl_za762lambda2336za7624612z00,
		BGl_z62lambda2336z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4227z00zzliveness_typesz00,
		BgL_bgl_za762lambda2850za7624613z00,
		BGl_z62lambda2850z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzliveness_typesz00,
		BgL_bgl_za762lambda2305za7624614z00,
		BGl_z62lambda2305z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4228z00zzliveness_typesz00,
		BgL_bgl_za762lambda2844za7624615z00,
		BGl_z62lambda2844z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4616za7,
		BGl_z62zc3z04anonymousza32304ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4229z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4617za7,
		BGl_z62zc3z04anonymousza32937ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzliveness_typesz00,
		BgL_bgl_za762lambda2302za7624618z00,
		BGl_z62lambda2302z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzliveness_typesz00,
		BgL_bgl_za762lambda2299za7624619z00,
		BGl_z62lambda2299z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4620za7,
		BGl_z62zc3z04anonymousza32364ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4230z00zzliveness_typesz00,
		BgL_bgl_za762lambda2936za7624621z00,
		BGl_z62lambda2936z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4231z00zzliveness_typesz00,
		BgL_bgl_za762lambda2935za7624622z00,
		BGl_z62lambda2935z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4232z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4623za7,
		BGl_z62zc3z04anonymousza32944ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzliveness_typesz00,
		BgL_bgl_za762lambda2363za7624624z00,
		BGl_z62lambda2363z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4233z00zzliveness_typesz00,
		BgL_bgl_za762lambda2943za7624625z00,
		BGl_z62lambda2943z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzliveness_typesz00,
		BgL_bgl_za762lambda2362za7624626z00,
		BGl_z62lambda2362z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4234z00zzliveness_typesz00,
		BgL_bgl_za762lambda2942za7624627z00,
		BGl_z62lambda2942z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4628za7,
		BGl_z62zc3z04anonymousza32371ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4235z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4629za7,
		BGl_z62zc3z04anonymousza32951ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzliveness_typesz00,
		BgL_bgl_za762lambda2370za7624630z00,
		BGl_z62lambda2370z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4236z00zzliveness_typesz00,
		BgL_bgl_za762lambda2950za7624631z00,
		BGl_z62lambda2950z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4074z00zzliveness_typesz00,
		BgL_bgl_za762lambda2369za7624632z00,
		BGl_z62lambda2369z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4237z00zzliveness_typesz00,
		BgL_bgl_za762lambda2949za7624633z00,
		BGl_z62lambda2949z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4075z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4634za7,
		BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4238z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4635za7,
		BGl_z62zc3z04anonymousza32961ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4076z00zzliveness_typesz00,
		BgL_bgl_za762lambda2377za7624636z00,
		BGl_z62lambda2377z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4239z00zzliveness_typesz00,
		BgL_bgl_za762lambda2960za7624637z00,
		BGl_z62lambda2960z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4077z00zzliveness_typesz00,
		BgL_bgl_za762lambda2376za7624638z00,
		BGl_z62lambda2376z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4078z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4639za7,
		BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4079z00zzliveness_typesz00,
		BgL_bgl_za762lambda2384za7624640z00,
		BGl_z62lambda2384z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4400z00zzliveness_typesz00,
		BgL_bgl_za762lambda3570za7624641z00,
		BGl_z62lambda3570z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4401z00zzliveness_typesz00,
		BgL_bgl_za762lambda3535za7624642z00,
		BGl_z62lambda3535z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4402z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4643za7,
		BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4240z00zzliveness_typesz00,
		BgL_bgl_za762lambda2959za7624644z00,
		BGl_z62lambda2959z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4403z00zzliveness_typesz00,
		BgL_bgl_za762lambda3532za7624645z00,
		BGl_z62lambda3532z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4241z00zzliveness_typesz00,
		BgL_bgl_za762lambda2913za7624646z00,
		BGl_z62lambda2913z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4404z00zzliveness_typesz00,
		BgL_bgl_za762lambda3529za7624647z00,
		BGl_z62lambda3529z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4242z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4648za7,
		BGl_z62zc3z04anonymousza32912ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4080z00zzliveness_typesz00,
		BgL_bgl_za762lambda2383za7624649z00,
		BGl_z62lambda2383z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4405z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4650za7,
		BGl_z62zc3z04anonymousza33599ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4243z00zzliveness_typesz00,
		BgL_bgl_za762lambda2910za7624651z00,
		BGl_z62lambda2910z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4081z00zzliveness_typesz00,
		BgL_bgl_za762lambda2352za7624652z00,
		BGl_z62lambda2352z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4406z00zzliveness_typesz00,
		BgL_bgl_za762lambda3598za7624653z00,
		BGl_z62lambda3598z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4244z00zzliveness_typesz00,
		BgL_bgl_za762lambda2905za7624654z00,
		BGl_z62lambda2905z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4082z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4655za7,
		BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4407z00zzliveness_typesz00,
		BgL_bgl_za762lambda3597za7624656z00,
		BGl_z62lambda3597z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4245z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4657za7,
		BGl_z62zc3z04anonymousza32993ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4083z00zzliveness_typesz00,
		BgL_bgl_za762lambda2348za7624658z00,
		BGl_z62lambda2348z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4408z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4659za7,
		BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4246z00zzliveness_typesz00,
		BgL_bgl_za762lambda2992za7624660z00,
		BGl_z62lambda2992z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4084z00zzliveness_typesz00,
		BgL_bgl_za762lambda2345za7624661z00,
		BGl_z62lambda2345z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4409z00zzliveness_typesz00,
		BgL_bgl_za762lambda3606za7624662z00,
		BGl_z62lambda3606z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4247z00zzliveness_typesz00,
		BgL_bgl_za762lambda2991za7624663z00,
		BGl_z62lambda2991z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4085z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4664za7,
		BGl_z62zc3z04anonymousza32414ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4248z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4665za7,
		BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4086z00zzliveness_typesz00,
		BgL_bgl_za762lambda2413za7624666z00,
		BGl_z62lambda2413z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4249z00zzliveness_typesz00,
		BgL_bgl_za762lambda3005za7624667z00,
		BGl_z62lambda3005z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4087z00zzliveness_typesz00,
		BgL_bgl_za762lambda2412za7624668z00,
		BGl_z62lambda2412z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4088z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4669za7,
		BGl_z62zc3z04anonymousza32423ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4089z00zzliveness_typesz00,
		BgL_bgl_za762lambda2422za7624670z00,
		BGl_z62lambda2422z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4410z00zzliveness_typesz00,
		BgL_bgl_za762lambda3605za7624671z00,
		BGl_z62lambda3605z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4411z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4672za7,
		BGl_z62zc3z04anonymousza33614ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4412z00zzliveness_typesz00,
		BgL_bgl_za762lambda3613za7624673z00,
		BGl_z62lambda3613z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4250z00zzliveness_typesz00,
		BgL_bgl_za762lambda3004za7624674z00,
		BGl_z62lambda3004z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4413z00zzliveness_typesz00,
		BgL_bgl_za762lambda3612za7624675z00,
		BGl_z62lambda3612z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4251z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4676za7,
		BGl_z62zc3z04anonymousza33013ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4414z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4677za7,
		BGl_z62zc3z04anonymousza33623ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4252z00zzliveness_typesz00,
		BgL_bgl_za762lambda3012za7624678z00,
		BGl_z62lambda3012z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4090z00zzliveness_typesz00,
		BgL_bgl_za762lambda2421za7624679z00,
		BGl_z62lambda2421z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4415z00zzliveness_typesz00,
		BgL_bgl_za762lambda3622za7624680z00,
		BGl_z62lambda3622z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4253z00zzliveness_typesz00,
		BgL_bgl_za762lambda3011za7624681z00,
		BGl_z62lambda3011z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4091z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4682za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4416z00zzliveness_typesz00,
		BgL_bgl_za762lambda3621za7624683z00,
		BGl_z62lambda3621z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4254z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4684za7,
		BGl_z62zc3z04anonymousza33026ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4092z00zzliveness_typesz00,
		BgL_bgl_za762lambda2430za7624685z00,
		BGl_z62lambda2430z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4417z00zzliveness_typesz00,
		BgL_bgl_za762lambda3587za7624686z00,
		BGl_z62lambda3587z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4255z00zzliveness_typesz00,
		BgL_bgl_za762lambda3025za7624687z00,
		BGl_z62lambda3025z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4093z00zzliveness_typesz00,
		BgL_bgl_za762lambda2429za7624688z00,
		BGl_z62lambda2429z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4418z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4689za7,
		BGl_z62zc3z04anonymousza33586ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4256z00zzliveness_typesz00,
		BgL_bgl_za762lambda3024za7624690z00,
		BGl_z62lambda3024z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4094z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4691za7,
		BGl_z62zc3z04anonymousza32438ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4419z00zzliveness_typesz00,
		BgL_bgl_za762lambda3583za7624692z00,
		BGl_z62lambda3583z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4257z00zzliveness_typesz00,
		BgL_bgl_za762lambda2977za7624693z00,
		BGl_z62lambda2977z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4095z00zzliveness_typesz00,
		BgL_bgl_za762lambda2437za7624694z00,
		BGl_z62lambda2437z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4258z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4695za7,
		BGl_z62zc3z04anonymousza32976ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4096z00zzliveness_typesz00,
		BgL_bgl_za762lambda2436za7624696z00,
		BGl_z62lambda2436z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4259z00zzliveness_typesz00,
		BgL_bgl_za762lambda2974za7624697z00,
		BGl_z62lambda2974z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4097z00zzliveness_typesz00,
		BgL_bgl_za762lambda2402za7624698z00,
		BGl_z62lambda2402z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4098z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4699za7,
		BGl_z62zc3z04anonymousza32401ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4099z00zzliveness_typesz00,
		BgL_bgl_za762lambda2398za7624700z00,
		BGl_z62lambda2398z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4420z00zzliveness_typesz00,
		BgL_bgl_za762lambda3580za7624701z00,
		BGl_z62lambda3580z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4421z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4702za7,
		BGl_z62zc3z04anonymousza33648ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4422z00zzliveness_typesz00,
		BgL_bgl_za762lambda3647za7624703z00,
		BGl_z62lambda3647z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4260z00zzliveness_typesz00,
		BgL_bgl_za762lambda2971za7624704z00,
		BGl_z62lambda2971z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4423z00zzliveness_typesz00,
		BgL_bgl_za762lambda3646za7624705z00,
		BGl_z62lambda3646z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4261z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4706za7,
		BGl_z62zc3z04anonymousza33055ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4424z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4707za7,
		BGl_z62zc3z04anonymousza33657ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4262z00zzliveness_typesz00,
		BgL_bgl_za762lambda3054za7624708z00,
		BGl_z62lambda3054z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4425z00zzliveness_typesz00,
		BgL_bgl_za762lambda3656za7624709z00,
		BGl_z62lambda3656z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4263z00zzliveness_typesz00,
		BgL_bgl_za762lambda3053za7624710z00,
		BGl_z62lambda3053z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4426z00zzliveness_typesz00,
		BgL_bgl_za762lambda3655za7624711z00,
		BGl_z62lambda3655z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4264z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4712za7,
		BGl_z62zc3z04anonymousza33071ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4427z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4713za7,
		BGl_z62zc3z04anonymousza33666ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4265z00zzliveness_typesz00,
		BgL_bgl_za762lambda3070za7624714z00,
		BGl_z62lambda3070z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4428z00zzliveness_typesz00,
		BgL_bgl_za762lambda3665za7624715z00,
		BGl_z62lambda3665z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4266z00zzliveness_typesz00,
		BgL_bgl_za762lambda3069za7624716z00,
		BGl_z62lambda3069z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4429z00zzliveness_typesz00,
		BgL_bgl_za762lambda3664za7624717z00,
		BGl_z62lambda3664z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4267z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4718za7,
		BGl_z62zc3z04anonymousza33082ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4517z00zzliveness_typesz00,
		BgL_bgl_string4517za700za7za7l4719za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4268z00zzliveness_typesz00,
		BgL_bgl_za762lambda3081za7624720z00,
		BGl_z62lambda3081z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4518z00zzliveness_typesz00,
		BgL_bgl_string4518za700za7za7l4721za7, "liveness_types", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4269z00zzliveness_typesz00,
		BgL_bgl_za762lambda3080za7624722z00,
		BGl_z62lambda3080z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4519z00zzliveness_typesz00,
		BgL_bgl_string4519za700za7za7l4723za7,
		"_ box-set!/liveness box-ref/liveness make-box/liveness return/liveness retblock/liveness sync/liveness jump-ex-it/liveness set-ex-it/liveness let-var/liveness let-fun/liveness switch/liveness fail/liveness conditional/liveness setq/liveness cast/liveness cast-null/liveness instanceof/liveness vlength/liveness vset!/liveness vref/liveness valloc/liveness new/liveness widening/liveness setfield/liveness getfield/liveness pragma/liveness funcall/liveness app-ly/liveness app/liveness sequence/liveness kwote/liveness closure/liveness ref/liveness literal/liveness out in use pair-nil def liveness_types local/liveness int %count ",
		630);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4430z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4724za7,
		BGl_z62zc3z04anonymousza33675ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4431z00zzliveness_typesz00,
		BgL_bgl_za762lambda3674za7624725z00,
		BGl_z62lambda3674z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4432z00zzliveness_typesz00,
		BgL_bgl_za762lambda3673za7624726z00,
		BGl_z62lambda3673z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4270z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4727za7,
		BGl_z62zc3z04anonymousza33090ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4433z00zzliveness_typesz00,
		BgL_bgl_za762lambda3637za7624728z00,
		BGl_z62lambda3637z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4271z00zzliveness_typesz00,
		BgL_bgl_za762lambda3089za7624729z00,
		BGl_z62lambda3089z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4434z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4730za7,
		BGl_z62zc3z04anonymousza33636ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4272z00zzliveness_typesz00,
		BgL_bgl_za762lambda3088za7624731z00,
		BGl_z62lambda3088z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4435z00zzliveness_typesz00,
		BgL_bgl_za762lambda3634za7624732z00,
		BGl_z62lambda3634z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4273z00zzliveness_typesz00,
		BgL_bgl_za762lambda3042za7624733z00,
		BGl_z62lambda3042z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4436z00zzliveness_typesz00,
		BgL_bgl_za762lambda3631za7624734z00,
		BGl_z62lambda3631z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4274z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4735za7,
		BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4437z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4736za7,
		BGl_z62zc3z04anonymousza33703ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4275z00zzliveness_typesz00,
		BgL_bgl_za762lambda3039za7624737z00,
		BGl_z62lambda3039z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4438z00zzliveness_typesz00,
		BgL_bgl_za762lambda3702za7624738z00,
		BGl_z62lambda3702z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4276z00zzliveness_typesz00,
		BgL_bgl_za762lambda3034za7624739z00,
		BGl_z62lambda3034z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4439z00zzliveness_typesz00,
		BgL_bgl_za762lambda3701za7624740z00,
		BGl_z62lambda3701z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4277z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4741za7,
		BGl_z62zc3z04anonymousza33130ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4278z00zzliveness_typesz00,
		BgL_bgl_za762lambda3129za7624742z00,
		BGl_z62lambda3129z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4279z00zzliveness_typesz00,
		BgL_bgl_za762lambda3128za7624743z00,
		BGl_z62lambda3128z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4440z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4744za7,
		BGl_z62zc3z04anonymousza33712ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4441z00zzliveness_typesz00,
		BgL_bgl_za762lambda3711za7624745z00,
		BGl_z62lambda3711z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4442z00zzliveness_typesz00,
		BgL_bgl_za762lambda3710za7624746z00,
		BGl_z62lambda3710z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4280z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4747za7,
		BGl_z62zc3z04anonymousza33138ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4443z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4748za7,
		BGl_z62zc3z04anonymousza33721ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4281z00zzliveness_typesz00,
		BgL_bgl_za762lambda3137za7624749z00,
		BGl_z62lambda3137z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4444z00zzliveness_typesz00,
		BgL_bgl_za762lambda3720za7624750z00,
		BGl_z62lambda3720z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4282z00zzliveness_typesz00,
		BgL_bgl_za762lambda3136za7624751z00,
		BGl_z62lambda3136z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4445z00zzliveness_typesz00,
		BgL_bgl_za762lambda3719za7624752z00,
		BGl_z62lambda3719z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4283z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4753za7,
		BGl_z62zc3z04anonymousza33147ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4446z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4754za7,
		BGl_z62zc3z04anonymousza33729ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4284z00zzliveness_typesz00,
		BgL_bgl_za762lambda3146za7624755z00,
		BGl_z62lambda3146z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4447z00zzliveness_typesz00,
		BgL_bgl_za762lambda3728za7624756z00,
		BGl_z62lambda3728z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4285z00zzliveness_typesz00,
		BgL_bgl_za762lambda3145za7624757z00,
		BGl_z62lambda3145z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4448z00zzliveness_typesz00,
		BgL_bgl_za762lambda3727za7624758z00,
		BGl_z62lambda3727z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4286z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4759za7,
		BGl_z62zc3z04anonymousza33160ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4449z00zzliveness_typesz00,
		BgL_bgl_za762lambda3691za7624760z00,
		BGl_z62lambda3691z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4287z00zzliveness_typesz00,
		BgL_bgl_za762lambda3159za7624761z00,
		BGl_z62lambda3159z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4288z00zzliveness_typesz00,
		BgL_bgl_za762lambda3158za7624762z00,
		BGl_z62lambda3158z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4289z00zzliveness_typesz00,
		BgL_bgl_za762lambda3108za7624763z00,
		BGl_z62lambda3108z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4450z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4764za7,
		BGl_z62zc3z04anonymousza33690ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4451z00zzliveness_typesz00,
		BgL_bgl_za762lambda3688za7624765z00,
		BGl_z62lambda3688z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4452z00zzliveness_typesz00,
		BgL_bgl_za762lambda3683za7624766z00,
		BGl_z62lambda3683z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4290z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4767za7,
		BGl_z62zc3z04anonymousza33107ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4453z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4768za7,
		BGl_z62zc3z04anonymousza33757ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4291z00zzliveness_typesz00,
		BgL_bgl_za762lambda3104za7624769z00,
		BGl_z62lambda3104z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4454z00zzliveness_typesz00,
		BgL_bgl_za762lambda3756za7624770z00,
		BGl_z62lambda3756z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4292z00zzliveness_typesz00,
		BgL_bgl_za762lambda3101za7624771z00,
		BGl_z62lambda3101z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4455z00zzliveness_typesz00,
		BgL_bgl_za762lambda3755za7624772z00,
		BGl_z62lambda3755z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4293z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4773za7,
		BGl_z62zc3z04anonymousza33191ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4456z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4774za7,
		BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4294z00zzliveness_typesz00,
		BgL_bgl_za762lambda3190za7624775z00,
		BGl_z62lambda3190z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4457z00zzliveness_typesz00,
		BgL_bgl_za762lambda3764za7624776z00,
		BGl_z62lambda3764z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4295z00zzliveness_typesz00,
		BgL_bgl_za762lambda3189za7624777z00,
		BGl_z62lambda3189z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4458z00zzliveness_typesz00,
		BgL_bgl_za762lambda3763za7624778z00,
		BGl_z62lambda3763z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4296z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4779za7,
		BGl_z62zc3z04anonymousza33202ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4459z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4780za7,
		BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4297z00zzliveness_typesz00,
		BgL_bgl_za762lambda3201za7624781z00,
		BGl_z62lambda3201z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4298z00zzliveness_typesz00,
		BgL_bgl_za762lambda3200za7624782z00,
		BGl_z62lambda3200z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4299z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4783za7,
		BGl_z62zc3z04anonymousza33210ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4460z00zzliveness_typesz00,
		BgL_bgl_za762lambda3771za7624784z00,
		BGl_z62lambda3771z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4461z00zzliveness_typesz00,
		BgL_bgl_za762lambda3770za7624785z00,
		BGl_z62lambda3770z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4462z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4786za7,
		BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4463z00zzliveness_typesz00,
		BgL_bgl_za762lambda3778za7624787z00,
		BGl_z62lambda3778z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4464z00zzliveness_typesz00,
		BgL_bgl_za762lambda3777za7624788z00,
		BGl_z62lambda3777z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4465z00zzliveness_typesz00,
		BgL_bgl_za762lambda3745za7624789z00,
		BGl_z62lambda3745z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4466z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4790za7,
		BGl_z62zc3z04anonymousza33744ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4467z00zzliveness_typesz00,
		BgL_bgl_za762lambda3741za7624791z00,
		BGl_z62lambda3741z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4468z00zzliveness_typesz00,
		BgL_bgl_za762lambda3737za7624792z00,
		BGl_z62lambda3737z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4469z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4793za7,
		BGl_z62zc3z04anonymousza33802ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4470z00zzliveness_typesz00,
		BgL_bgl_za762lambda3801za7624794z00,
		BGl_z62lambda3801z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4471z00zzliveness_typesz00,
		BgL_bgl_za762lambda3800za7624795z00,
		BGl_z62lambda3800z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4472z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4796za7,
		BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4473z00zzliveness_typesz00,
		BgL_bgl_za762lambda3808za7624797z00,
		BGl_z62lambda3808z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4474z00zzliveness_typesz00,
		BgL_bgl_za762lambda3807za7624798z00,
		BGl_z62lambda3807z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4475z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4799za7,
		BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4476z00zzliveness_typesz00,
		BgL_bgl_za762lambda3815za7624800z00,
		BGl_z62lambda3815z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4477z00zzliveness_typesz00,
		BgL_bgl_za762lambda3814za7624801z00,
		BGl_z62lambda3814z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4478z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4802za7,
		BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4479z00zzliveness_typesz00,
		BgL_bgl_za762lambda3822za7624803z00,
		BGl_z62lambda3822z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4480z00zzliveness_typesz00,
		BgL_bgl_za762lambda3821za7624804z00,
		BGl_z62lambda3821z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4481z00zzliveness_typesz00,
		BgL_bgl_za762lambda3792za7624805z00,
		BGl_z62lambda3792z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4482z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4806za7,
		BGl_z62zc3z04anonymousza33791ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4483z00zzliveness_typesz00,
		BgL_bgl_za762lambda3789za7624807z00,
		BGl_z62lambda3789z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4484z00zzliveness_typesz00,
		BgL_bgl_za762lambda3786za7624808z00,
		BGl_z62lambda3786z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4485z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4809za7,
		BGl_z62zc3z04anonymousza33846ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4486z00zzliveness_typesz00,
		BgL_bgl_za762lambda3845za7624810z00,
		BGl_z62lambda3845z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4487z00zzliveness_typesz00,
		BgL_bgl_za762lambda3844za7624811z00,
		BGl_z62lambda3844z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4488z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4812za7,
		BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4489z00zzliveness_typesz00,
		BgL_bgl_za762lambda3852za7624813z00,
		BGl_z62lambda3852z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4490z00zzliveness_typesz00,
		BgL_bgl_za762lambda3851za7624814z00,
		BGl_z62lambda3851z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4491z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4815za7,
		BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4492z00zzliveness_typesz00,
		BgL_bgl_za762lambda3859za7624816z00,
		BGl_z62lambda3859z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4493z00zzliveness_typesz00,
		BgL_bgl_za762lambda3858za7624817z00,
		BGl_z62lambda3858z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4494z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4818za7,
		BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4495z00zzliveness_typesz00,
		BgL_bgl_za762lambda3866za7624819z00,
		BGl_z62lambda3866z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4496z00zzliveness_typesz00,
		BgL_bgl_za762lambda3865za7624820z00,
		BGl_z62lambda3865z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4497z00zzliveness_typesz00,
		BgL_bgl_za762lambda3836za7624821z00,
		BGl_z62lambda3836z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4498z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4822za7,
		BGl_z62zc3z04anonymousza33835ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4499z00zzliveness_typesz00,
		BgL_bgl_za762lambda3833za7624823z00,
		BGl_z62lambda3833z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4824za7,
		BGl_z62zc3z04anonymousza32064ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzliveness_typesz00,
		BgL_bgl_za762lambda2063za7624825z00,
		BGl_z62lambda2063z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzliveness_typesz00,
		BgL_bgl_za762lambda2062za7624826z00,
		BGl_z62lambda2062z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzliveness_typesz00,
		BgL_bgl_za762lambda2054za7624827z00,
		BGl_z62lambda2054z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4828za7,
		BGl_z62zc3z04anonymousza32053ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzliveness_typesz00,
		BgL_bgl_za762lambda2051za7624829z00,
		BGl_z62lambda2051z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzliveness_typesz00,
		BgL_bgl_za762lambda2047za7624830z00,
		BGl_z62lambda2047z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4831za7,
		BGl_z62zc3z04anonymousza32089ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzliveness_typesz00,
		BgL_bgl_za762lambda2088za7624832z00,
		BGl_z62lambda2088z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzliveness_typesz00,
		BgL_bgl_za762lambda2087za7624833z00,
		BGl_z62lambda2087z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4834za7,
		BGl_z62zc3z04anonymousza32097ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzliveness_typesz00,
		BgL_bgl_za762lambda2096za7624835z00,
		BGl_z62lambda2096z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzliveness_typesz00,
		BgL_bgl_za762lambda2095za7624836z00,
		BGl_z62lambda2095z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4837za7,
		BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzliveness_typesz00,
		BgL_bgl_za762lambda2103za7624838z00,
		BGl_z62lambda2103z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzliveness_typesz00,
		BgL_bgl_za762lambda2102za7624839z00,
		BGl_z62lambda2102z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4840za7,
		BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzliveness_typesz00,
		BgL_bgl_za762lambda2110za7624841z00,
		BGl_z62lambda2110z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzliveness_typesz00,
		BgL_bgl_za762lambda2109za7624842z00,
		BGl_z62lambda2109z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzliveness_typesz00,
		BgL_bgl_za762lambda2079za7624843z00,
		BGl_z62lambda2079z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4844za7,
		BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzliveness_typesz00,
		BgL_bgl_za762lambda2075za7624845z00,
		BGl_z62lambda2075z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzliveness_typesz00,
		BgL_bgl_za762lambda2072za7624846z00,
		BGl_z62lambda2072z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4847za7,
		BGl_z62zc3z04anonymousza32135ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzliveness_typesz00,
		BgL_bgl_za762lambda2134za7624848z00,
		BGl_z62lambda2134z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzliveness_typesz00,
		BgL_bgl_za762lambda2133za7624849z00,
		BGl_z62lambda2133z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4850za7,
		BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzliveness_typesz00,
		BgL_bgl_za762lambda2141za7624851z00,
		BGl_z62lambda2141z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzliveness_typesz00,
		BgL_bgl_za762lambda2140za7624852z00,
		BGl_z62lambda2140z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4853za7,
		BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzliveness_typesz00,
		BgL_bgl_za762lambda2148za7624854z00,
		BGl_z62lambda2148z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzliveness_typesz00,
		BgL_bgl_za762lambda2147za7624855z00,
		BGl_z62lambda2147z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4856za7,
		BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzliveness_typesz00,
		BgL_bgl_za762lambda2155za7624857z00,
		BGl_z62lambda2155z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4100z00zzliveness_typesz00,
		BgL_bgl_za762lambda2394za7624858z00,
		BGl_z62lambda2394z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4859za7,
		BGl_z62zc3z04anonymousza32466ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4102z00zzliveness_typesz00,
		BgL_bgl_za762lambda2465za7624860z00,
		BGl_z62lambda2465z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4103z00zzliveness_typesz00,
		BgL_bgl_za762lambda2464za7624861z00,
		BGl_z62lambda2464z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4862za7,
		BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4105z00zzliveness_typesz00,
		BgL_bgl_za762lambda2472za7624863z00,
		BGl_z62lambda2472z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzliveness_typesz00,
		BgL_bgl_za762lambda2471za7624864z00,
		BGl_z62lambda2471z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4865za7,
		BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzliveness_typesz00,
		BgL_bgl_za762lambda2480za7624866z00,
		BGl_z62lambda2480z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzliveness_typesz00,
		BgL_bgl_za762lambda2479za7624867z00,
		BGl_z62lambda2479z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4868za7,
		BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzliveness_typesz00,
		BgL_bgl_za762lambda2489za7624869z00,
		BGl_z62lambda2489z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzliveness_typesz00,
		BgL_bgl_za762lambda2488za7624870z00,
		BGl_z62lambda2488z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzliveness_typesz00,
		BgL_bgl_za762lambda2454za7624871z00,
		BGl_z62lambda2454z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4872za7,
		BGl_z62zc3z04anonymousza32453ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzliveness_typesz00,
		BgL_bgl_za762lambda2451za7624873z00,
		BGl_z62lambda2451z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzliveness_typesz00,
		BgL_bgl_za762lambda2447za7624874z00,
		BGl_z62lambda2447z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4875za7,
		BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzliveness_typesz00,
		BgL_bgl_za762lambda2524za7624876z00,
		BGl_z62lambda2524z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzliveness_typesz00,
		BgL_bgl_za762lambda2523za7624877z00,
		BGl_z62lambda2523z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4878za7,
		BGl_z62zc3z04anonymousza32536ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzliveness_typesz00,
		BgL_bgl_za762lambda2535za7624879z00,
		BGl_z62lambda2535z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzliveness_typesz00,
		BgL_bgl_za762lambda2534za7624880z00,
		BGl_z62lambda2534z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4881za7,
		BGl_z62zc3z04anonymousza32550ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzliveness_typesz00,
		BgL_bgl_za762lambda2549za7624882z00,
		BGl_z62lambda2549z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4125z00zzliveness_typesz00,
		BgL_bgl_za762lambda2548za7624883z00,
		BGl_z62lambda2548z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4884za7,
		BGl_z62zc3z04anonymousza32559ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzliveness_typesz00,
		BgL_bgl_za762lambda2558za7624885z00,
		BGl_z62lambda2558z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzliveness_typesz00,
		BgL_bgl_za762lambda2557za7624886z00,
		BGl_z62lambda2557z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzliveness_typesz00,
		BgL_bgl_za762lambda2513za7624887z00,
		BGl_z62lambda2513z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4888za7,
		BGl_z62zc3z04anonymousza32512ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzliveness_typesz00,
		BgL_bgl_za762lambda2509za7624889z00,
		BGl_z62lambda2509z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzliveness_typesz00,
		BgL_bgl_za762lambda2500za7624890z00,
		BGl_z62lambda2500z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4891za7,
		BGl_z62zc3z04anonymousza32586ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzliveness_typesz00,
		BgL_bgl_za762lambda2585za7624892z00,
		BGl_z62lambda2585z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzliveness_typesz00,
		BgL_bgl_za762lambda2584za7624893z00,
		BGl_z62lambda2584z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4894za7,
		BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzliveness_typesz00,
		BgL_bgl_za762lambda2593za7624895z00,
		BGl_z62lambda2593z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzliveness_typesz00,
		BgL_bgl_za762lambda2592za7624896z00,
		BGl_z62lambda2592z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4897za7,
		BGl_z62zc3z04anonymousza32603ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4300z00zzliveness_typesz00,
		BgL_bgl_za762lambda3209za7624898z00,
		BGl_z62lambda3209z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4301z00zzliveness_typesz00,
		BgL_bgl_za762lambda3208za7624899z00,
		BGl_z62lambda3208z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4302z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4900za7,
		BGl_z62zc3z04anonymousza33219ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzliveness_typesz00,
		BgL_bgl_za762lambda2602za7624901z00,
		BGl_z62lambda2602z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4303z00zzliveness_typesz00,
		BgL_bgl_za762lambda3218za7624902z00,
		BGl_z62lambda3218z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzliveness_typesz00,
		BgL_bgl_za762lambda2601za7624903z00,
		BGl_z62lambda2601z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4304z00zzliveness_typesz00,
		BgL_bgl_za762lambda3217za7624904z00,
		BGl_z62lambda3217z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4905za7,
		BGl_z62zc3z04anonymousza32611ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4305z00zzliveness_typesz00,
		BgL_bgl_za762lambda3176za7624906z00,
		BGl_z62lambda3176z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzliveness_typesz00,
		BgL_bgl_za762lambda2610za7624907z00,
		BGl_z62lambda2610z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4306z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4908za7,
		BGl_z62zc3z04anonymousza33175ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzliveness_typesz00,
		BgL_bgl_za762lambda2609za7624909z00,
		BGl_z62lambda2609z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4307z00zzliveness_typesz00,
		BgL_bgl_za762lambda3173za7624910z00,
		BGl_z62lambda3173z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzliveness_typesz00,
		BgL_bgl_za762lambda2574za7624911z00,
		BGl_z62lambda2574z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4308z00zzliveness_typesz00,
		BgL_bgl_za762lambda3169za7624912z00,
		BGl_z62lambda3169z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4913za7,
		BGl_z62zc3z04anonymousza32573ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4309z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4914za7,
		BGl_z62zc3z04anonymousza33258ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzliveness_typesz00,
		BgL_bgl_za762lambda2570za7624915z00,
		BGl_z62lambda2570z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzliveness_typesz00,
		BgL_bgl_za762lambda2567za7624916z00,
		BGl_z62lambda2567z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4149z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4917za7,
		BGl_z62zc3z04anonymousza32638ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4310z00zzliveness_typesz00,
		BgL_bgl_za762lambda3257za7624918z00,
		BGl_z62lambda3257z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4311z00zzliveness_typesz00,
		BgL_bgl_za762lambda3256za7624919z00,
		BGl_z62lambda3256z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4312z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4920za7,
		BGl_z62zc3z04anonymousza33266ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4150z00zzliveness_typesz00,
		BgL_bgl_za762lambda2637za7624921z00,
		BGl_z62lambda2637z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4313z00zzliveness_typesz00,
		BgL_bgl_za762lambda3265za7624922z00,
		BGl_z62lambda3265z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4151z00zzliveness_typesz00,
		BgL_bgl_za762lambda2636za7624923z00,
		BGl_z62lambda2636z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4314z00zzliveness_typesz00,
		BgL_bgl_za762lambda3264za7624924z00,
		BGl_z62lambda3264z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4925za7,
		BGl_z62zc3z04anonymousza32646ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4315z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4926za7,
		BGl_z62zc3z04anonymousza33274ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4153z00zzliveness_typesz00,
		BgL_bgl_za762lambda2645za7624927z00,
		BGl_z62lambda2645z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4316z00zzliveness_typesz00,
		BgL_bgl_za762lambda3273za7624928z00,
		BGl_z62lambda3273z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4154z00zzliveness_typesz00,
		BgL_bgl_za762lambda2644za7624929z00,
		BGl_z62lambda2644z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4317z00zzliveness_typesz00,
		BgL_bgl_za762lambda3272za7624930z00,
		BGl_z62lambda3272z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4931za7,
		BGl_z62zc3z04anonymousza32654ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4318z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4932za7,
		BGl_z62zc3z04anonymousza33283ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4156z00zzliveness_typesz00,
		BgL_bgl_za762lambda2653za7624933z00,
		BGl_z62lambda2653z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4319z00zzliveness_typesz00,
		BgL_bgl_za762lambda3282za7624934z00,
		BGl_z62lambda3282z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzliveness_typesz00,
		BgL_bgl_za762lambda2652za7624935z00,
		BGl_z62lambda2652z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4936za7,
		BGl_z62zc3z04anonymousza32662ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzliveness_typesz00,
		BgL_bgl_za762lambda2661za7624937z00,
		BGl_z62lambda2661z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4320z00zzliveness_typesz00,
		BgL_bgl_za762lambda3281za7624938z00,
		BGl_z62lambda3281z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4321z00zzliveness_typesz00,
		BgL_bgl_za762lambda3240za7624939z00,
		BGl_z62lambda3240z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4322z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4940za7,
		BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzliveness_typesz00,
		BgL_bgl_za762lambda2660za7624941z00,
		BGl_z62lambda2660z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4323z00zzliveness_typesz00,
		BgL_bgl_za762lambda3236za7624942z00,
		BGl_z62lambda3236z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzliveness_typesz00,
		BgL_bgl_za762lambda2626za7624943z00,
		BGl_z62lambda2626z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4324z00zzliveness_typesz00,
		BgL_bgl_za762lambda3232za7624944z00,
		BGl_z62lambda3232z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4945za7,
		BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4325z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4946za7,
		BGl_z62zc3z04anonymousza33324ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzliveness_typesz00,
		BgL_bgl_za762lambda2622za7624947z00,
		BGl_z62lambda2622z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4326z00zzliveness_typesz00,
		BgL_bgl_za762lambda3323za7624948z00,
		BGl_z62lambda3323z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzliveness_typesz00,
		BgL_bgl_za762lambda2619za7624949z00,
		BGl_z62lambda2619z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4327z00zzliveness_typesz00,
		BgL_bgl_za762lambda3322za7624950z00,
		BGl_z62lambda3322z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4951za7,
		BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4328z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4952za7,
		BGl_z62zc3z04anonymousza33336ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4166z00zzliveness_typesz00,
		BgL_bgl_za762lambda2686za7624953z00,
		BGl_z62lambda2686z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4329z00zzliveness_typesz00,
		BgL_bgl_za762lambda3335za7624954z00,
		BGl_z62lambda3335z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4167z00zzliveness_typesz00,
		BgL_bgl_za762lambda2685za7624955z00,
		BGl_z62lambda2685z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4168z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4956za7,
		BGl_z62zc3z04anonymousza32694ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4169z00zzliveness_typesz00,
		BgL_bgl_za762lambda2693za7624957z00,
		BGl_z62lambda2693z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4330z00zzliveness_typesz00,
		BgL_bgl_za762lambda3334za7624958z00,
		BGl_z62lambda3334z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4331z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4959za7,
		BGl_z62zc3z04anonymousza33343ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4332z00zzliveness_typesz00,
		BgL_bgl_za762lambda3342za7624960z00,
		BGl_z62lambda3342z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4170z00zzliveness_typesz00,
		BgL_bgl_za762lambda2692za7624961z00,
		BGl_z62lambda2692z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4333z00zzliveness_typesz00,
		BgL_bgl_za762lambda3341za7624962z00,
		BGl_z62lambda3341z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4171z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4963za7,
		BGl_z62zc3z04anonymousza32701ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4334z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4964za7,
		BGl_z62zc3z04anonymousza33350ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4172z00zzliveness_typesz00,
		BgL_bgl_za762lambda2700za7624965z00,
		BGl_z62lambda2700z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4335z00zzliveness_typesz00,
		BgL_bgl_za762lambda3349za7624966z00,
		BGl_z62lambda3349z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4173z00zzliveness_typesz00,
		BgL_bgl_za762lambda2699za7624967z00,
		BGl_z62lambda2699z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4336z00zzliveness_typesz00,
		BgL_bgl_za762lambda3348za7624968z00,
		BGl_z62lambda3348z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4174z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4969za7,
		BGl_z62zc3z04anonymousza32709ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4337z00zzliveness_typesz00,
		BgL_bgl_za762lambda3311za7624970z00,
		BGl_z62lambda3311z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4175z00zzliveness_typesz00,
		BgL_bgl_za762lambda2708za7624971z00,
		BGl_z62lambda2708z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4338z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4972za7,
		BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4176z00zzliveness_typesz00,
		BgL_bgl_za762lambda2707za7624973z00,
		BGl_z62lambda2707z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4339z00zzliveness_typesz00,
		BgL_bgl_za762lambda3306za7624974z00,
		BGl_z62lambda3306z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4177z00zzliveness_typesz00,
		BgL_bgl_za762lambda2677za7624975z00,
		BGl_z62lambda2677z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4178z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4976za7,
		BGl_z62zc3z04anonymousza32676ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4179z00zzliveness_typesz00,
		BgL_bgl_za762lambda2673za7624977z00,
		BGl_z62lambda2673z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4500z00zzliveness_typesz00,
		BgL_bgl_za762lambda3830za7624978z00,
		BGl_z62lambda3830z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4501z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4979za7,
		BGl_z62zc3z04anonymousza33890ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4502z00zzliveness_typesz00,
		BgL_bgl_za762lambda3889za7624980z00,
		BGl_z62lambda3889z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4340z00zzliveness_typesz00,
		BgL_bgl_za762lambda3297za7624981z00,
		BGl_z62lambda3297z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4503z00zzliveness_typesz00,
		BgL_bgl_za762lambda3888za7624982z00,
		BGl_z62lambda3888z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4341z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4983za7,
		BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4504z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4984za7,
		BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4342z00zzliveness_typesz00,
		BgL_bgl_za762lambda3377za7624985z00,
		BGl_z62lambda3377z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4180z00zzliveness_typesz00,
		BgL_bgl_za762lambda2669za7624986z00,
		BGl_z62lambda2669z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4505z00zzliveness_typesz00,
		BgL_bgl_za762lambda3896za7624987z00,
		BGl_z62lambda3896z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4343z00zzliveness_typesz00,
		BgL_bgl_za762lambda3376za7624988z00,
		BGl_z62lambda3376z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4181z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4989za7,
		BGl_z62zc3z04anonymousza32736ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4506z00zzliveness_typesz00,
		BgL_bgl_za762lambda3895za7624990z00,
		BGl_z62lambda3895z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4344z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4991za7,
		BGl_z62zc3z04anonymousza33395ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4182z00zzliveness_typesz00,
		BgL_bgl_za762lambda2735za7624992z00,
		BGl_z62lambda2735z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4507z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4993za7,
		BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4345z00zzliveness_typesz00,
		BgL_bgl_za762lambda3394za7624994z00,
		BGl_z62lambda3394z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4183z00zzliveness_typesz00,
		BgL_bgl_za762lambda2734za7624995z00,
		BGl_z62lambda2734z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4508z00zzliveness_typesz00,
		BgL_bgl_za762lambda3903za7624996z00,
		BGl_z62lambda3903z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4346z00zzliveness_typesz00,
		BgL_bgl_za762lambda3393za7624997z00,
		BGl_z62lambda3393z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4184z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4998za7,
		BGl_z62zc3z04anonymousza32747ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4509z00zzliveness_typesz00,
		BgL_bgl_za762lambda3902za7624999z00,
		BGl_z62lambda3902z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4347z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5000za7,
		BGl_z62zc3z04anonymousza33403ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4185z00zzliveness_typesz00,
		BgL_bgl_za762lambda2746za7625001z00,
		BGl_z62lambda2746z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4348z00zzliveness_typesz00,
		BgL_bgl_za762lambda3402za7625002z00,
		BGl_z62lambda3402z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4186z00zzliveness_typesz00,
		BgL_bgl_za762lambda2745za7625003z00,
		BGl_z62lambda2745z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4349z00zzliveness_typesz00,
		BgL_bgl_za762lambda3401za7625004z00,
		BGl_z62lambda3401z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4187z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5005za7,
		BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4188z00zzliveness_typesz00,
		BgL_bgl_za762lambda2754za7625006z00,
		BGl_z62lambda2754z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4189z00zzliveness_typesz00,
		BgL_bgl_za762lambda2753za7625007z00,
		BGl_z62lambda2753z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4510z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5008za7,
		BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4511z00zzliveness_typesz00,
		BgL_bgl_za762lambda3910za7625009z00,
		BGl_z62lambda3910z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4512z00zzliveness_typesz00,
		BgL_bgl_za762lambda3909za7625010z00,
		BGl_z62lambda3909z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4350z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5011za7,
		BGl_z62zc3z04anonymousza33413ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4513z00zzliveness_typesz00,
		BgL_bgl_za762lambda3880za7625012z00,
		BGl_z62lambda3880z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4351z00zzliveness_typesz00,
		BgL_bgl_za762lambda3412za7625013z00,
		BGl_z62lambda3412z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4514z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5014za7,
		BGl_z62zc3z04anonymousza33879ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4352z00zzliveness_typesz00,
		BgL_bgl_za762lambda3411za7625015z00,
		BGl_z62lambda3411z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4190z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5016za7,
		BGl_z62zc3z04anonymousza32767ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4515z00zzliveness_typesz00,
		BgL_bgl_za762lambda3877za7625017z00,
		BGl_z62lambda3877z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4353z00zzliveness_typesz00,
		BgL_bgl_za762lambda3366za7625018z00,
		BGl_z62lambda3366z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4191z00zzliveness_typesz00,
		BgL_bgl_za762lambda2766za7625019z00,
		BGl_z62lambda2766z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4516z00zzliveness_typesz00,
		BgL_bgl_za762lambda3874za7625020z00,
		BGl_z62lambda3874z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4354z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5021za7,
		BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4192z00zzliveness_typesz00,
		BgL_bgl_za762lambda2765za7625022z00,
		BGl_z62lambda2765z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4355z00zzliveness_typesz00,
		BgL_bgl_za762lambda3363za7625023z00,
		BGl_z62lambda3363z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4193z00zzliveness_typesz00,
		BgL_bgl_za762lambda2725za7625024z00,
		BGl_z62lambda2725z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4356z00zzliveness_typesz00,
		BgL_bgl_za762lambda3360za7625025z00,
		BGl_z62lambda3360z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4194z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5026za7,
		BGl_z62zc3z04anonymousza32724ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4357z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5027za7,
		BGl_z62zc3z04anonymousza33444ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4195z00zzliveness_typesz00,
		BgL_bgl_za762lambda2722za7625028z00,
		BGl_z62lambda2722z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4358z00zzliveness_typesz00,
		BgL_bgl_za762lambda3443za7625029z00,
		BGl_z62lambda3443z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4196z00zzliveness_typesz00,
		BgL_bgl_za762lambda2717za7625030z00,
		BGl_z62lambda2717z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4359z00zzliveness_typesz00,
		BgL_bgl_za762lambda3442za7625031z00,
		BGl_z62lambda3442z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4197z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5032za7,
		BGl_z62zc3z04anonymousza32800ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4198z00zzliveness_typesz00,
		BgL_bgl_za762lambda2799za7625033z00,
		BGl_z62lambda2799z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4199z00zzliveness_typesz00,
		BgL_bgl_za762lambda2798za7625034z00,
		BGl_z62lambda2798z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4360z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5035za7,
		BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4361z00zzliveness_typesz00,
		BgL_bgl_za762lambda3451za7625036z00,
		BGl_z62lambda3451z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4362z00zzliveness_typesz00,
		BgL_bgl_za762lambda3450za7625037z00,
		BGl_z62lambda3450z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4363z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5038za7,
		BGl_z62zc3z04anonymousza33460ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4364z00zzliveness_typesz00,
		BgL_bgl_za762lambda3459za7625039z00,
		BGl_z62lambda3459z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4365z00zzliveness_typesz00,
		BgL_bgl_za762lambda3458za7625040z00,
		BGl_z62lambda3458z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4366z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5041za7,
		BGl_z62zc3z04anonymousza33467ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4367z00zzliveness_typesz00,
		BgL_bgl_za762lambda3466za7625042z00,
		BGl_z62lambda3466z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4368z00zzliveness_typesz00,
		BgL_bgl_za762lambda3465za7625043z00,
		BGl_z62lambda3465z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4369z00zzliveness_typesz00,
		BgL_bgl_za762lambda3430za7625044z00,
		BGl_z62lambda3430z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4370z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5045za7,
		BGl_z62zc3z04anonymousza33429ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4371z00zzliveness_typesz00,
		BgL_bgl_za762lambda3426za7625046z00,
		BGl_z62lambda3426z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4372z00zzliveness_typesz00,
		BgL_bgl_za762lambda3423za7625047z00,
		BGl_z62lambda3423z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4373z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5048za7,
		BGl_z62zc3z04anonymousza33498ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4374z00zzliveness_typesz00,
		BgL_bgl_za762lambda3497za7625049z00,
		BGl_z62lambda3497z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4375z00zzliveness_typesz00,
		BgL_bgl_za762lambda3496za7625050z00,
		BGl_z62lambda3496z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4376z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5051za7,
		BGl_z62zc3z04anonymousza33506ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4377z00zzliveness_typesz00,
		BgL_bgl_za762lambda3505za7625052z00,
		BGl_z62lambda3505z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4378z00zzliveness_typesz00,
		BgL_bgl_za762lambda3504za7625053z00,
		BGl_z62lambda3504z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4379z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5054za7,
		BGl_z62zc3z04anonymousza33513ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4380z00zzliveness_typesz00,
		BgL_bgl_za762lambda3512za7625055z00,
		BGl_z62lambda3512z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4381z00zzliveness_typesz00,
		BgL_bgl_za762lambda3511za7625056z00,
		BGl_z62lambda3511z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4382z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5057za7,
		BGl_z62zc3z04anonymousza33522ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4383z00zzliveness_typesz00,
		BgL_bgl_za762lambda3521za7625058z00,
		BGl_z62lambda3521z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4384z00zzliveness_typesz00,
		BgL_bgl_za762lambda3520za7625059z00,
		BGl_z62lambda3520z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4385z00zzliveness_typesz00,
		BgL_bgl_za762lambda3484za7625060z00,
		BGl_z62lambda3484z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4386z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5061za7,
		BGl_z62zc3z04anonymousza33483ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4387z00zzliveness_typesz00,
		BgL_bgl_za762lambda3480za7625062z00,
		BGl_z62lambda3480z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4388z00zzliveness_typesz00,
		BgL_bgl_za762lambda3476za7625063z00,
		BGl_z62lambda3476z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4389z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5064za7,
		BGl_z62zc3z04anonymousza33548ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4390z00zzliveness_typesz00,
		BgL_bgl_za762lambda3547za7625065z00,
		BGl_z62lambda3547z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4391z00zzliveness_typesz00,
		BgL_bgl_za762lambda3546za7625066z00,
		BGl_z62lambda3546z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4392z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5067za7,
		BGl_z62zc3z04anonymousza33557ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4393z00zzliveness_typesz00,
		BgL_bgl_za762lambda3556za7625068z00,
		BGl_z62lambda3556z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4394z00zzliveness_typesz00,
		BgL_bgl_za762lambda3555za7625069z00,
		BGl_z62lambda3555z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4395z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5070za7,
		BGl_z62zc3z04anonymousza33564ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4396z00zzliveness_typesz00,
		BgL_bgl_za762lambda3563za7625071z00,
		BGl_z62lambda3563z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4397z00zzliveness_typesz00,
		BgL_bgl_za762lambda3562za7625072z00,
		BGl_z62lambda3562z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4398z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5073za7,
		BGl_z62zc3z04anonymousza33572ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4399z00zzliveness_typesz00,
		BgL_bgl_za762lambda3571za7625074z00,
		BGl_z62lambda3571z62zzliveness_typesz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_funcallzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_wideningzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_localzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vsetz12zf2livenessze0zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vlengthzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_newzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_switchzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_valloczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_returnzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_pragmazf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_synczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_getfieldzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setfieldzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2funzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_refzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_literalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_conditionalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_instanceofzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2varzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vrefzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_failzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_sequencezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setqzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_closurezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzf2livenesszf2zzliveness_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long
		BgL_checksumz00_9888, char *BgL_fromz00_9889)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_typesz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_typesz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_typesz00();
					BGl_cnstzd2initzd2zzliveness_typesz00();
					BGl_importedzd2moduleszd2initz00zzliveness_typesz00();
					BGl_objectzd2initzd2zzliveness_typesz00();
					return BGl_toplevelzd2initzd2zzliveness_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"liveness_types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 15 */
				obj_t BgL_cportz00_8467;

				{	/* Liveness/types.scm 15 */
					obj_t BgL_stringz00_8474;

					BgL_stringz00_8474 = BGl_string4519z00zzliveness_typesz00;
					{	/* Liveness/types.scm 15 */
						obj_t BgL_startz00_8475;

						BgL_startz00_8475 = BINT(((long) 0));
						{	/* Liveness/types.scm 15 */
							obj_t BgL_endz00_8476;

							BgL_endz00_8476 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8474)));
							{	/* Liveness/types.scm 15 */

								BgL_cportz00_8467 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8474, BgL_startz00_8475, BgL_endz00_8476);
				}}}}
				{
					long BgL_iz00_8468;

					BgL_iz00_8468 = ((long) 43);
				BgL_loopz00_8469:
					if ((BgL_iz00_8468 == ((long) -1)))
						{	/* Liveness/types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Liveness/types.scm 15 */
							{	/* Liveness/types.scm 15 */
								obj_t BgL_arg4520z00_8470;

								{	/* Liveness/types.scm 15 */

									{	/* Liveness/types.scm 15 */
										obj_t BgL_locationz00_8472;

										BgL_locationz00_8472 = BBOOL(((bool_t) 0));
										{	/* Liveness/types.scm 15 */

											BgL_arg4520z00_8470 =
												BGl_readz00zz__readerz00(BgL_cportz00_8467,
												BgL_locationz00_8472);
										}
									}
								}
								{	/* Liveness/types.scm 15 */
									int BgL_tmpz00_9914;

									BgL_tmpz00_9914 = (int) (BgL_iz00_8468);
									CNST_TABLE_SET(BgL_tmpz00_9914, BgL_arg4520z00_8470);
							}}
							{	/* Liveness/types.scm 15 */
								int BgL_auxz00_8473;

								BgL_auxz00_8473 = (int) ((BgL_iz00_8468 - ((long) 1)));
								{
									long BgL_iz00_9919;

									BgL_iz00_9919 = (long) (BgL_auxz00_8473);
									BgL_iz00_8468 = BgL_iz00_9919;
									goto BgL_loopz00_8469;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 26 */
				obj_t BgL_arg2045z00_1365;
				obj_t BgL_arg2046z00_1366;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1967z00_1401;

					BgL_v1967z00_1401 = create_vector(((long) 1));
					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2058z00_1402;

						BgL_arg2058z00_1402 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3968z00zzliveness_typesz00,
							BGl_proc3967z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3966z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1967z00_1401, ((long) 0), BgL_arg2058z00_1402);
					}
					BgL_arg2045z00_1365 = BgL_v1967z00_1401;
				}
				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1968z00_1415;

					BgL_v1968z00_1415 = create_vector(((long) 0));
					BgL_arg2046z00_1366 = BgL_v1968z00_1415;
				}
				BGl_localzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_localz00zzast_varz00, ((long) 56389),
					BGl_proc3972z00zzliveness_typesz00,
					BGl_proc3971z00zzliveness_typesz00, BFALSE,
					BGl_proc3970z00zzliveness_typesz00,
					BGl_proc3969z00zzliveness_typesz00, BgL_arg2045z00_1365,
					BgL_arg2046z00_1366);
			}
			{	/* Liveness/types.scm 29 */
				obj_t BgL_arg2069z00_1424;
				obj_t BgL_arg2071z00_1425;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1969z00_1453;

					BgL_v1969z00_1453 = create_vector(((long) 4));
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2083z00_1454;

						BgL_arg2083z00_1454 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3975z00zzliveness_typesz00,
							BGl_proc3974z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3973z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1453, ((long) 0), BgL_arg2083z00_1454);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2091z00_1467;

						BgL_arg2091z00_1467 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3978z00zzliveness_typesz00,
							BGl_proc3977z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3976z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1453, ((long) 1), BgL_arg2091z00_1467);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2098z00_1480;

						BgL_arg2098z00_1480 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3981z00zzliveness_typesz00,
							BGl_proc3980z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3979z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1453, ((long) 2), BgL_arg2098z00_1480);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2105z00_1493;

						BgL_arg2105z00_1493 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3984z00zzliveness_typesz00,
							BGl_proc3983z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3982z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1969z00_1453, ((long) 3), BgL_arg2105z00_1493);
					}
					BgL_arg2069z00_1424 = BgL_v1969z00_1453;
				}
				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1970z00_1506;

					BgL_v1970z00_1506 = create_vector(((long) 0));
					BgL_arg2071z00_1425 = BgL_v1970z00_1506;
				}
				BGl_literalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 3)), BGl_literalz00zzast_nodez00,
					((long) 57234), BGl_proc3988z00zzliveness_typesz00,
					BGl_proc3987z00zzliveness_typesz00, BFALSE,
					BGl_proc3986z00zzliveness_typesz00,
					BGl_proc3985z00zzliveness_typesz00, BgL_arg2069z00_1424,
					BgL_arg2071z00_1425);
			}
			{	/* Liveness/types.scm 35 */
				obj_t BgL_arg2116z00_1515;
				obj_t BgL_arg2117z00_1516;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1971z00_1544;

					BgL_v1971z00_1544 = create_vector(((long) 4));
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2128z00_1545;

						BgL_arg2128z00_1545 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3991z00zzliveness_typesz00,
							BGl_proc3990z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3989z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1544, ((long) 0), BgL_arg2128z00_1545);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2136z00_1558;

						BgL_arg2136z00_1558 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3994z00zzliveness_typesz00,
							BGl_proc3993z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3992z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1544, ((long) 1), BgL_arg2136z00_1558);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2143z00_1571;

						BgL_arg2143z00_1571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3997z00zzliveness_typesz00,
							BGl_proc3996z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3995z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1544, ((long) 2), BgL_arg2143z00_1571);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2150z00_1584;

						BgL_arg2150z00_1584 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4000z00zzliveness_typesz00,
							BGl_proc3999z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3998z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1971z00_1544, ((long) 3), BgL_arg2150z00_1584);
					}
					BgL_arg2116z00_1515 = BgL_v1971z00_1544;
				}
				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1972z00_1597;

					BgL_v1972z00_1597 = create_vector(((long) 0));
					BgL_arg2117z00_1516 = BgL_v1972z00_1597;
				}
				BGl_refzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 3)), BGl_refz00zzast_nodez00, ((long) 10994),
					BGl_proc4004z00zzliveness_typesz00,
					BGl_proc4003z00zzliveness_typesz00, BFALSE,
					BGl_proc4002z00zzliveness_typesz00,
					BGl_proc4001z00zzliveness_typesz00, BgL_arg2116z00_1515,
					BgL_arg2117z00_1516);
			}
			{	/* Liveness/types.scm 41 */
				obj_t BgL_arg2161z00_1606;
				obj_t BgL_arg2162z00_1607;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1973z00_1635;

					BgL_v1973z00_1635 = create_vector(((long) 4));
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2173z00_1636;

						BgL_arg2173z00_1636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4007z00zzliveness_typesz00,
							BGl_proc4006z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4005z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1635, ((long) 0), BgL_arg2173z00_1636);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2180z00_1649;

						BgL_arg2180z00_1649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4010z00zzliveness_typesz00,
							BGl_proc4009z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4008z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1635, ((long) 1), BgL_arg2180z00_1649);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2187z00_1662;

						BgL_arg2187z00_1662 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4013z00zzliveness_typesz00,
							BGl_proc4012z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4011z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1635, ((long) 2), BgL_arg2187z00_1662);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2194z00_1675;

						BgL_arg2194z00_1675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4016z00zzliveness_typesz00,
							BGl_proc4015z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4014z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1973z00_1635, ((long) 3), BgL_arg2194z00_1675);
					}
					BgL_arg2161z00_1606 = BgL_v1973z00_1635;
				}
				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1974z00_1688;

					BgL_v1974z00_1688 = create_vector(((long) 0));
					BgL_arg2162z00_1607 = BgL_v1974z00_1688;
				}
				BGl_closurezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 3)), BGl_closurez00zzast_nodez00,
					((long) 38002), BGl_proc4020z00zzliveness_typesz00,
					BGl_proc4019z00zzliveness_typesz00, BFALSE,
					BGl_proc4018z00zzliveness_typesz00,
					BGl_proc4017z00zzliveness_typesz00, BgL_arg2161z00_1606,
					BgL_arg2162z00_1607);
			}
			{	/* Liveness/types.scm 47 */
				obj_t BgL_arg2205z00_1697;
				obj_t BgL_arg2206z00_1698;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1975z00_1726;

					BgL_v1975z00_1726 = create_vector(((long) 4));
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2217z00_1727;

						BgL_arg2217z00_1727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4023z00zzliveness_typesz00,
							BGl_proc4022z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4021z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1726, ((long) 0), BgL_arg2217z00_1727);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2224z00_1740;

						BgL_arg2224z00_1740 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4026z00zzliveness_typesz00,
							BGl_proc4025z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4024z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1726, ((long) 1), BgL_arg2224z00_1740);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2231z00_1753;

						BgL_arg2231z00_1753 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4029z00zzliveness_typesz00,
							BGl_proc4028z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4027z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1726, ((long) 2), BgL_arg2231z00_1753);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2238z00_1766;

						BgL_arg2238z00_1766 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4032z00zzliveness_typesz00,
							BGl_proc4031z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4030z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1975z00_1726, ((long) 3), BgL_arg2238z00_1766);
					}
					BgL_arg2205z00_1697 = BgL_v1975z00_1726;
				}
				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1976z00_1779;

					BgL_v1976z00_1779 = create_vector(((long) 0));
					BgL_arg2206z00_1698 = BgL_v1976z00_1779;
				}
				BGl_kwotezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 3)), BGl_kwotez00zzast_nodez00, ((long) 1496),
					BGl_proc4036z00zzliveness_typesz00,
					BGl_proc4035z00zzliveness_typesz00, BFALSE,
					BGl_proc4034z00zzliveness_typesz00,
					BGl_proc4033z00zzliveness_typesz00, BgL_arg2205z00_1697,
					BgL_arg2206z00_1698);
			}
			{	/* Liveness/types.scm 53 */
				obj_t BgL_arg2249z00_1788;
				obj_t BgL_arg2250z00_1789;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1977z00_1821;

					BgL_v1977z00_1821 = create_vector(((long) 4));
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2261z00_1822;

						BgL_arg2261z00_1822 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4039z00zzliveness_typesz00,
							BGl_proc4038z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4037z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1821, ((long) 0), BgL_arg2261z00_1822);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2268z00_1835;

						BgL_arg2268z00_1835 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4042z00zzliveness_typesz00,
							BGl_proc4041z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4040z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1821, ((long) 1), BgL_arg2268z00_1835);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2275z00_1848;

						BgL_arg2275z00_1848 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4045z00zzliveness_typesz00,
							BGl_proc4044z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4043z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1821, ((long) 2), BgL_arg2275z00_1848);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2283z00_1861;

						BgL_arg2283z00_1861 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4048z00zzliveness_typesz00,
							BGl_proc4047z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4046z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1977z00_1821, ((long) 3), BgL_arg2283z00_1861);
					}
					BgL_arg2249z00_1788 = BgL_v1977z00_1821;
				}
				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1978z00_1874;

					BgL_v1978z00_1874 = create_vector(((long) 0));
					BgL_arg2250z00_1789 = BgL_v1978z00_1874;
				}
				BGl_sequencezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 3)), BGl_sequencez00zzast_nodez00,
					((long) 2458), BGl_proc4052z00zzliveness_typesz00,
					BGl_proc4051z00zzliveness_typesz00, BFALSE,
					BGl_proc4050z00zzliveness_typesz00,
					BGl_proc4049z00zzliveness_typesz00, BgL_arg2249z00_1788,
					BgL_arg2250z00_1789);
			}
			{	/* Liveness/types.scm 59 */
				obj_t BgL_arg2297z00_1883;
				obj_t BgL_arg2298z00_1884;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1979z00_1916;

					BgL_v1979z00_1916 = create_vector(((long) 4));
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2309z00_1917;

						BgL_arg2309z00_1917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4055z00zzliveness_typesz00,
							BGl_proc4054z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4053z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_1916, ((long) 0), BgL_arg2309z00_1917);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2316z00_1930;

						BgL_arg2316z00_1930 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4058z00zzliveness_typesz00,
							BGl_proc4057z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4056z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_1916, ((long) 1), BgL_arg2316z00_1930);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2323z00_1943;

						BgL_arg2323z00_1943 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4061z00zzliveness_typesz00,
							BGl_proc4060z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4059z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_1916, ((long) 2), BgL_arg2323z00_1943);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2332z00_1956;

						BgL_arg2332z00_1956 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4064z00zzliveness_typesz00,
							BGl_proc4063z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4062z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1979z00_1916, ((long) 3), BgL_arg2332z00_1956);
					}
					BgL_arg2297z00_1883 = BgL_v1979z00_1916;
				}
				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1980z00_1969;

					BgL_v1980z00_1969 = create_vector(((long) 0));
					BgL_arg2298z00_1884 = BgL_v1980z00_1969;
				}
				BGl_appzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 3)), BGl_appz00zzast_nodez00, ((long) 35626),
					BGl_proc4068z00zzliveness_typesz00,
					BGl_proc4067z00zzliveness_typesz00, BFALSE,
					BGl_proc4066z00zzliveness_typesz00,
					BGl_proc4065z00zzliveness_typesz00, BgL_arg2297z00_1883,
					BgL_arg2298z00_1884);
			}
			{	/* Liveness/types.scm 65 */
				obj_t BgL_arg2343z00_1978;
				obj_t BgL_arg2344z00_1979;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1981z00_2008;

					BgL_v1981z00_2008 = create_vector(((long) 4));
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2358z00_2009;

						BgL_arg2358z00_2009 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4071z00zzliveness_typesz00,
							BGl_proc4070z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4069z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2008, ((long) 0), BgL_arg2358z00_2009);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2365z00_2022;

						BgL_arg2365z00_2022 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4074z00zzliveness_typesz00,
							BGl_proc4073z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4072z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2008, ((long) 1), BgL_arg2365z00_2022);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2372z00_2035;

						BgL_arg2372z00_2035 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4077z00zzliveness_typesz00,
							BGl_proc4076z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4075z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2008, ((long) 2), BgL_arg2372z00_2035);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2379z00_2048;

						BgL_arg2379z00_2048 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4080z00zzliveness_typesz00,
							BGl_proc4079z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4078z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1981z00_2008, ((long) 3), BgL_arg2379z00_2048);
					}
					BgL_arg2343z00_1978 = BgL_v1981z00_2008;
				}
				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1982z00_2061;

					BgL_v1982z00_2061 = create_vector(((long) 0));
					BgL_arg2344z00_1979 = BgL_v1982z00_2061;
				}
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 3)), BGl_appzd2lyzd2zzast_nodez00,
					((long) 48742), BGl_proc4084z00zzliveness_typesz00,
					BGl_proc4083z00zzliveness_typesz00, BFALSE,
					BGl_proc4082z00zzliveness_typesz00,
					BGl_proc4081z00zzliveness_typesz00, BgL_arg2343z00_1978,
					BgL_arg2344z00_1979);
			}
			{	/* Liveness/types.scm 71 */
				obj_t BgL_arg2391z00_2070;
				obj_t BgL_arg2393z00_2071;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1983z00_2102;

					BgL_v1983z00_2102 = create_vector(((long) 4));
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2407z00_2103;

						BgL_arg2407z00_2103 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4087z00zzliveness_typesz00,
							BGl_proc4086z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4085z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2102, ((long) 0), BgL_arg2407z00_2103);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2415z00_2116;

						BgL_arg2415z00_2116 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4090z00zzliveness_typesz00,
							BGl_proc4089z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4088z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2102, ((long) 1), BgL_arg2415z00_2116);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2425z00_2129;

						BgL_arg2425z00_2129 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4093z00zzliveness_typesz00,
							BGl_proc4092z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4091z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2102, ((long) 2), BgL_arg2425z00_2129);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2432z00_2142;

						BgL_arg2432z00_2142 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4096z00zzliveness_typesz00,
							BGl_proc4095z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4094z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1983z00_2102, ((long) 3), BgL_arg2432z00_2142);
					}
					BgL_arg2391z00_2070 = BgL_v1983z00_2102;
				}
				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1984z00_2155;

					BgL_v1984z00_2155 = create_vector(((long) 0));
					BgL_arg2393z00_2071 = BgL_v1984z00_2155;
				}
				BGl_funcallzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 3)), BGl_funcallz00zzast_nodez00,
					((long) 34146), BGl_proc4100z00zzliveness_typesz00,
					BGl_proc4099z00zzliveness_typesz00, BFALSE,
					BGl_proc4098z00zzliveness_typesz00,
					BGl_proc4097z00zzliveness_typesz00, BgL_arg2391z00_2070,
					BgL_arg2393z00_2071);
			}
			{	/* Liveness/types.scm 77 */
				obj_t BgL_arg2444z00_2164;
				obj_t BgL_arg2446z00_2165;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1985z00_2197;

					BgL_v1985z00_2197 = create_vector(((long) 4));
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2460z00_2198;

						BgL_arg2460z00_2198 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4103z00zzliveness_typesz00,
							BGl_proc4102z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4101z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2197, ((long) 0), BgL_arg2460z00_2198);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2467z00_2211;

						BgL_arg2467z00_2211 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4106z00zzliveness_typesz00,
							BGl_proc4105z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4104z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2197, ((long) 1), BgL_arg2467z00_2211);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2474z00_2224;

						BgL_arg2474z00_2224 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4109z00zzliveness_typesz00,
							BGl_proc4108z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4107z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2197, ((long) 2), BgL_arg2474z00_2224);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2482z00_2237;

						BgL_arg2482z00_2237 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4112z00zzliveness_typesz00,
							BGl_proc4111z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4110z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1985z00_2197, ((long) 3), BgL_arg2482z00_2237);
					}
					BgL_arg2444z00_2164 = BgL_v1985z00_2197;
				}
				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1986z00_2250;

					BgL_v1986z00_2250 = create_vector(((long) 0));
					BgL_arg2446z00_2165 = BgL_v1986z00_2250;
				}
				BGl_pragmazf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 3)), BGl_pragmaz00zzast_nodez00,
					((long) 24636), BGl_proc4116z00zzliveness_typesz00,
					BGl_proc4115z00zzliveness_typesz00, BFALSE,
					BGl_proc4114z00zzliveness_typesz00,
					BGl_proc4113z00zzliveness_typesz00, BgL_arg2444z00_2164,
					BgL_arg2446z00_2165);
			}
			{	/* Liveness/types.scm 83 */
				obj_t BgL_arg2496z00_2259;
				obj_t BgL_arg2499z00_2260;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_v1987z00_2295;

					BgL_v1987z00_2295 = create_vector(((long) 4));
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2517z00_2296;

						BgL_arg2517z00_2296 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4119z00zzliveness_typesz00,
							BGl_proc4118z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4117z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2295, ((long) 0), BgL_arg2517z00_2296);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2527z00_2309;

						BgL_arg2527z00_2309 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4122z00zzliveness_typesz00,
							BGl_proc4121z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4120z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2295, ((long) 1), BgL_arg2527z00_2309);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2538z00_2322;

						BgL_arg2538z00_2322 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4125z00zzliveness_typesz00,
							BGl_proc4124z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4123z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2295, ((long) 2), BgL_arg2538z00_2322);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2551z00_2335;

						BgL_arg2551z00_2335 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4128z00zzliveness_typesz00,
							BGl_proc4127z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4126z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1987z00_2295, ((long) 3), BgL_arg2551z00_2335);
					}
					BgL_arg2496z00_2259 = BgL_v1987z00_2295;
				}
				{	/* Liveness/types.scm 83 */
					obj_t BgL_v1988z00_2348;

					BgL_v1988z00_2348 = create_vector(((long) 0));
					BgL_arg2499z00_2260 = BgL_v1988z00_2348;
				}
				BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 3)), BGl_getfieldz00zzast_nodez00,
					((long) 35620), BGl_proc4132z00zzliveness_typesz00,
					BGl_proc4131z00zzliveness_typesz00, BFALSE,
					BGl_proc4130z00zzliveness_typesz00,
					BGl_proc4129z00zzliveness_typesz00, BgL_arg2496z00_2259,
					BgL_arg2499z00_2260);
			}
			{	/* Liveness/types.scm 89 */
				obj_t BgL_arg2564z00_2357;
				obj_t BgL_arg2566z00_2358;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_v1989z00_2393;

					BgL_v1989z00_2393 = create_vector(((long) 4));
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2580z00_2394;

						BgL_arg2580z00_2394 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4135z00zzliveness_typesz00,
							BGl_proc4134z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4133z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2393, ((long) 0), BgL_arg2580z00_2394);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2587z00_2407;

						BgL_arg2587z00_2407 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4138z00zzliveness_typesz00,
							BGl_proc4137z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4136z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2393, ((long) 1), BgL_arg2587z00_2407);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2596z00_2420;

						BgL_arg2596z00_2420 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4141z00zzliveness_typesz00,
							BGl_proc4140z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4139z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2393, ((long) 2), BgL_arg2596z00_2420);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2604z00_2433;

						BgL_arg2604z00_2433 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4144z00zzliveness_typesz00,
							BGl_proc4143z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4142z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1989z00_2393, ((long) 3), BgL_arg2604z00_2433);
					}
					BgL_arg2564z00_2357 = BgL_v1989z00_2393;
				}
				{	/* Liveness/types.scm 89 */
					obj_t BgL_v1990z00_2446;

					BgL_v1990z00_2446 = create_vector(((long) 0));
					BgL_arg2566z00_2358 = BgL_v1990z00_2446;
				}
				BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 3)), BGl_setfieldz00zzast_nodez00,
					((long) 38284), BGl_proc4148z00zzliveness_typesz00,
					BGl_proc4147z00zzliveness_typesz00, BFALSE,
					BGl_proc4146z00zzliveness_typesz00,
					BGl_proc4145z00zzliveness_typesz00, BgL_arg2564z00_2357,
					BgL_arg2566z00_2358);
			}
			{	/* Liveness/types.scm 95 */
				obj_t BgL_arg2617z00_2455;
				obj_t BgL_arg2618z00_2456;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_v1991z00_2489;

					BgL_v1991z00_2489 = create_vector(((long) 4));
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2632z00_2490;

						BgL_arg2632z00_2490 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4151z00zzliveness_typesz00,
							BGl_proc4150z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4149z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2489, ((long) 0), BgL_arg2632z00_2490);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2640z00_2503;

						BgL_arg2640z00_2503 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4154z00zzliveness_typesz00,
							BGl_proc4153z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4152z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2489, ((long) 1), BgL_arg2640z00_2503);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2647z00_2516;

						BgL_arg2647z00_2516 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4157z00zzliveness_typesz00,
							BGl_proc4156z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4155z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2489, ((long) 2), BgL_arg2647z00_2516);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2655z00_2529;

						BgL_arg2655z00_2529 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4160z00zzliveness_typesz00,
							BGl_proc4159z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4158z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1991z00_2489, ((long) 3), BgL_arg2655z00_2529);
					}
					BgL_arg2617z00_2455 = BgL_v1991z00_2489;
				}
				{	/* Liveness/types.scm 95 */
					obj_t BgL_v1992z00_2542;

					BgL_v1992z00_2542 = create_vector(((long) 0));
					BgL_arg2618z00_2456 = BgL_v1992z00_2542;
				}
				BGl_wideningzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 3)), BGl_wideningz00zzast_nodez00,
					((long) 57314), BGl_proc4164z00zzliveness_typesz00,
					BGl_proc4163z00zzliveness_typesz00, BFALSE,
					BGl_proc4162z00zzliveness_typesz00,
					BGl_proc4161z00zzliveness_typesz00, BgL_arg2617z00_2455,
					BgL_arg2618z00_2456);
			}
			{	/* Liveness/types.scm 101 */
				obj_t BgL_arg2667z00_2551;
				obj_t BgL_arg2668z00_2552;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_v1993z00_2585;

					BgL_v1993z00_2585 = create_vector(((long) 4));
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2681z00_2586;

						BgL_arg2681z00_2586 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4167z00zzliveness_typesz00,
							BGl_proc4166z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4165z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2585, ((long) 0), BgL_arg2681z00_2586);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2688z00_2599;

						BgL_arg2688z00_2599 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4170z00zzliveness_typesz00,
							BGl_proc4169z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4168z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2585, ((long) 1), BgL_arg2688z00_2599);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2695z00_2612;

						BgL_arg2695z00_2612 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4173z00zzliveness_typesz00,
							BGl_proc4172z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4171z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2585, ((long) 2), BgL_arg2695z00_2612);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2703z00_2625;

						BgL_arg2703z00_2625 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4176z00zzliveness_typesz00,
							BGl_proc4175z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4174z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1993z00_2585, ((long) 3), BgL_arg2703z00_2625);
					}
					BgL_arg2667z00_2551 = BgL_v1993z00_2585;
				}
				{	/* Liveness/types.scm 101 */
					obj_t BgL_v1994z00_2638;

					BgL_v1994z00_2638 = create_vector(((long) 0));
					BgL_arg2668z00_2552 = BgL_v1994z00_2638;
				}
				BGl_newzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
					CNST_TABLE_REF(((long) 3)), BGl_newz00zzast_nodez00, ((long) 39832),
					BGl_proc4180z00zzliveness_typesz00,
					BGl_proc4179z00zzliveness_typesz00, BFALSE,
					BGl_proc4178z00zzliveness_typesz00,
					BGl_proc4177z00zzliveness_typesz00, BgL_arg2667z00_2551,
					BgL_arg2668z00_2552);
			}
			{	/* Liveness/types.scm 107 */
				obj_t BgL_arg2715z00_2647;
				obj_t BgL_arg2716z00_2648;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_v1995z00_2682;

					BgL_v1995z00_2682 = create_vector(((long) 4));
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2730z00_2683;

						BgL_arg2730z00_2683 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4183z00zzliveness_typesz00,
							BGl_proc4182z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4181z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2682, ((long) 0), BgL_arg2730z00_2683);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2737z00_2696;

						BgL_arg2737z00_2696 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4186z00zzliveness_typesz00,
							BGl_proc4185z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4184z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2682, ((long) 1), BgL_arg2737z00_2696);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2748z00_2709;

						BgL_arg2748z00_2709 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4189z00zzliveness_typesz00,
							BGl_proc4188z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4187z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2682, ((long) 2), BgL_arg2748z00_2709);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2756z00_2722;

						BgL_arg2756z00_2722 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4192z00zzliveness_typesz00,
							BGl_proc4191z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4190z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1995z00_2682, ((long) 3), BgL_arg2756z00_2722);
					}
					BgL_arg2715z00_2647 = BgL_v1995z00_2682;
				}
				{	/* Liveness/types.scm 107 */
					obj_t BgL_v1996z00_2735;

					BgL_v1996z00_2735 = create_vector(((long) 0));
					BgL_arg2716z00_2648 = BgL_v1996z00_2735;
				}
				BGl_valloczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 3)), BGl_vallocz00zzast_nodez00,
					((long) 37322), BGl_proc4196z00zzliveness_typesz00,
					BGl_proc4195z00zzliveness_typesz00, BFALSE,
					BGl_proc4194z00zzliveness_typesz00,
					BGl_proc4193z00zzliveness_typesz00, BgL_arg2715z00_2647,
					BgL_arg2716z00_2648);
			}
			{	/* Liveness/types.scm 113 */
				obj_t BgL_arg2777z00_2744;
				obj_t BgL_arg2778z00_2745;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_v1997z00_2781;

					BgL_v1997z00_2781 = create_vector(((long) 4));
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2792z00_2782;

						BgL_arg2792z00_2782 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4199z00zzliveness_typesz00,
							BGl_proc4198z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4197z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2781, ((long) 0), BgL_arg2792z00_2782);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2802z00_2795;

						BgL_arg2802z00_2795 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4202z00zzliveness_typesz00,
							BGl_proc4201z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4200z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2781, ((long) 1), BgL_arg2802z00_2795);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2810z00_2808;

						BgL_arg2810z00_2808 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4205z00zzliveness_typesz00,
							BGl_proc4204z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4203z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2781, ((long) 2), BgL_arg2810z00_2808);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2821z00_2821;

						BgL_arg2821z00_2821 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4208z00zzliveness_typesz00,
							BGl_proc4207z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4206z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1997z00_2781, ((long) 3), BgL_arg2821z00_2821);
					}
					BgL_arg2777z00_2744 = BgL_v1997z00_2781;
				}
				{	/* Liveness/types.scm 113 */
					obj_t BgL_v1998z00_2834;

					BgL_v1998z00_2834 = create_vector(((long) 0));
					BgL_arg2778z00_2745 = BgL_v1998z00_2834;
				}
				BGl_vrefzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 23)),
					CNST_TABLE_REF(((long) 3)), BGl_vrefz00zzast_nodez00, ((long) 20454),
					BGl_proc4212z00zzliveness_typesz00,
					BGl_proc4211z00zzliveness_typesz00, BFALSE,
					BGl_proc4210z00zzliveness_typesz00,
					BGl_proc4209z00zzliveness_typesz00, BgL_arg2777z00_2744,
					BgL_arg2778z00_2745);
			}
			{	/* Liveness/types.scm 119 */
				obj_t BgL_arg2842z00_2843;
				obj_t BgL_arg2843z00_2844;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_v1999z00_2880;

					BgL_v1999z00_2880 = create_vector(((long) 4));
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2857z00_2881;

						BgL_arg2857z00_2881 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4215z00zzliveness_typesz00,
							BGl_proc4214z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4213z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2880, ((long) 0), BgL_arg2857z00_2881);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2867z00_2894;

						BgL_arg2867z00_2894 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4218z00zzliveness_typesz00,
							BGl_proc4217z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4216z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2880, ((long) 1), BgL_arg2867z00_2894);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2877z00_2907;

						BgL_arg2877z00_2907 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4221z00zzliveness_typesz00,
							BGl_proc4220z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4219z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2880, ((long) 2), BgL_arg2877z00_2907);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2884z00_2920;

						BgL_arg2884z00_2920 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4224z00zzliveness_typesz00,
							BGl_proc4223z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4222z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1999z00_2880, ((long) 3), BgL_arg2884z00_2920);
					}
					BgL_arg2842z00_2843 = BgL_v1999z00_2880;
				}
				{	/* Liveness/types.scm 119 */
					obj_t BgL_v2000z00_2933;

					BgL_v2000z00_2933 = create_vector(((long) 0));
					BgL_arg2843z00_2844 = BgL_v2000z00_2933;
				}
				BGl_vsetz12zf2livenessze0zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 3)), BGl_vsetz12z12zzast_nodez00,
					((long) 29030), BGl_proc4228z00zzliveness_typesz00,
					BGl_proc4227z00zzliveness_typesz00, BFALSE,
					BGl_proc4226z00zzliveness_typesz00,
					BGl_proc4225z00zzliveness_typesz00, BgL_arg2842z00_2843,
					BgL_arg2843z00_2844);
			}
			{	/* Liveness/types.scm 125 */
				obj_t BgL_arg2903z00_2942;
				obj_t BgL_arg2904z00_2943;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_v2001z00_2977;

					BgL_v2001z00_2977 = create_vector(((long) 4));
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2918z00_2978;

						BgL_arg2918z00_2978 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4231z00zzliveness_typesz00,
							BGl_proc4230z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4229z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_2977, ((long) 0), BgL_arg2918z00_2978);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2938z00_2991;

						BgL_arg2938z00_2991 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4234z00zzliveness_typesz00,
							BGl_proc4233z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4232z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_2977, ((long) 1), BgL_arg2938z00_2991);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2945z00_3004;

						BgL_arg2945z00_3004 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4237z00zzliveness_typesz00,
							BGl_proc4236z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4235z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_2977, ((long) 2), BgL_arg2945z00_3004);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2952z00_3017;

						BgL_arg2952z00_3017 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4240z00zzliveness_typesz00,
							BGl_proc4239z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4238z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2001z00_2977, ((long) 3), BgL_arg2952z00_3017);
					}
					BgL_arg2903z00_2942 = BgL_v2001z00_2977;
				}
				{	/* Liveness/types.scm 125 */
					obj_t BgL_v2002z00_3030;

					BgL_v2002z00_3030 = create_vector(((long) 0));
					BgL_arg2904z00_2943 = BgL_v2002z00_3030;
				}
				BGl_vlengthzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 25)),
					CNST_TABLE_REF(((long) 3)), BGl_vlengthz00zzast_nodez00,
					((long) 34172), BGl_proc4244z00zzliveness_typesz00,
					BGl_proc4243z00zzliveness_typesz00, BFALSE,
					BGl_proc4242z00zzliveness_typesz00,
					BGl_proc4241z00zzliveness_typesz00, BgL_arg2903z00_2942,
					BgL_arg2904z00_2943);
			}
			{	/* Liveness/types.scm 131 */
				obj_t BgL_arg2969z00_3039;
				obj_t BgL_arg2970z00_3040;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2003z00_3073;

					BgL_v2003z00_3073 = create_vector(((long) 4));
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg2984z00_3074;

						BgL_arg2984z00_3074 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4247z00zzliveness_typesz00,
							BGl_proc4246z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4245z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3073, ((long) 0), BgL_arg2984z00_3074);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg2999z00_3087;

						BgL_arg2999z00_3087 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4250z00zzliveness_typesz00,
							BGl_proc4249z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4248z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3073, ((long) 1), BgL_arg2999z00_3087);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3007z00_3100;

						BgL_arg3007z00_3100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4253z00zzliveness_typesz00,
							BGl_proc4252z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4251z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3073, ((long) 2), BgL_arg3007z00_3100);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3014z00_3113;

						BgL_arg3014z00_3113 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4256z00zzliveness_typesz00,
							BGl_proc4255z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4254z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2003z00_3073, ((long) 3), BgL_arg3014z00_3113);
					}
					BgL_arg2969z00_3039 = BgL_v2003z00_3073;
				}
				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2004z00_3126;

					BgL_v2004z00_3126 = create_vector(((long) 0));
					BgL_arg2970z00_3040 = BgL_v2004z00_3126;
				}
				BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 3)), BGl_instanceofz00zzast_nodez00,
					((long) 47960), BGl_proc4260z00zzliveness_typesz00,
					BGl_proc4259z00zzliveness_typesz00, BFALSE,
					BGl_proc4258z00zzliveness_typesz00,
					BGl_proc4257z00zzliveness_typesz00, BgL_arg2969z00_3039,
					BgL_arg2970z00_3040);
			}
			{	/* Liveness/types.scm 137 */
				obj_t BgL_arg3032z00_3135;
				obj_t BgL_arg3033z00_3136;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2005z00_3168;

					BgL_v2005z00_3168 = create_vector(((long) 4));
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3047z00_3169;

						BgL_arg3047z00_3169 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4263z00zzliveness_typesz00,
							BGl_proc4262z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4261z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3168, ((long) 0), BgL_arg3047z00_3169);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3059z00_3182;

						BgL_arg3059z00_3182 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4266z00zzliveness_typesz00,
							BGl_proc4265z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4264z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3168, ((long) 1), BgL_arg3059z00_3182);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3074z00_3195;

						BgL_arg3074z00_3195 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4269z00zzliveness_typesz00,
							BGl_proc4268z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4267z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3168, ((long) 2), BgL_arg3074z00_3195);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3084z00_3208;

						BgL_arg3084z00_3208 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4272z00zzliveness_typesz00,
							BGl_proc4271z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4270z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2005z00_3168, ((long) 3), BgL_arg3084z00_3208);
					}
					BgL_arg3032z00_3135 = BgL_v2005z00_3168;
				}
				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2006z00_3221;

					BgL_v2006z00_3221 = create_vector(((long) 0));
					BgL_arg3033z00_3136 = BgL_v2006z00_3221;
				}
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 3)), BGl_castzd2nullzd2zzast_nodez00,
					((long) 45190), BGl_proc4276z00zzliveness_typesz00,
					BGl_proc4275z00zzliveness_typesz00, BFALSE,
					BGl_proc4274z00zzliveness_typesz00,
					BGl_proc4273z00zzliveness_typesz00, BgL_arg3032z00_3135,
					BgL_arg3033z00_3136);
			}
			{	/* Liveness/types.scm 143 */
				obj_t BgL_arg3097z00_3230;
				obj_t BgL_arg3100z00_3231;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2007z00_3259;

					BgL_v2007z00_3259 = create_vector(((long) 4));
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3118z00_3260;

						BgL_arg3118z00_3260 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4279z00zzliveness_typesz00,
							BGl_proc4278z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4277z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3259, ((long) 0), BgL_arg3118z00_3260);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3131z00_3273;

						BgL_arg3131z00_3273 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4282z00zzliveness_typesz00,
							BGl_proc4281z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4280z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3259, ((long) 1), BgL_arg3131z00_3273);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3140z00_3286;

						BgL_arg3140z00_3286 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4285z00zzliveness_typesz00,
							BGl_proc4284z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4283z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3259, ((long) 2), BgL_arg3140z00_3286);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3148z00_3299;

						BgL_arg3148z00_3299 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4288z00zzliveness_typesz00,
							BGl_proc4287z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4286z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2007z00_3259, ((long) 3), BgL_arg3148z00_3299);
					}
					BgL_arg3097z00_3230 = BgL_v2007z00_3259;
				}
				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2008z00_3312;

					BgL_v2008z00_3312 = create_vector(((long) 0));
					BgL_arg3100z00_3231 = BgL_v2008z00_3312;
				}
				BGl_castzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 3)), BGl_castz00zzast_nodez00, ((long) 27062),
					BGl_proc4292z00zzliveness_typesz00,
					BGl_proc4291z00zzliveness_typesz00, BFALSE,
					BGl_proc4290z00zzliveness_typesz00,
					BGl_proc4289z00zzliveness_typesz00, BgL_arg3097z00_3230,
					BgL_arg3100z00_3231);
			}
			{	/* Liveness/types.scm 149 */
				obj_t BgL_arg3167z00_3321;
				obj_t BgL_arg3168z00_3322;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2009z00_3351;

					BgL_v2009z00_3351 = create_vector(((long) 4));
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3183z00_3352;

						BgL_arg3183z00_3352 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4295z00zzliveness_typesz00,
							BGl_proc4294z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4293z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3351, ((long) 0), BgL_arg3183z00_3352);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3192z00_3365;

						BgL_arg3192z00_3365 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4298z00zzliveness_typesz00,
							BGl_proc4297z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4296z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3351, ((long) 1), BgL_arg3192z00_3365);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3203z00_3378;

						BgL_arg3203z00_3378 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4301z00zzliveness_typesz00,
							BGl_proc4300z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4299z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3351, ((long) 2), BgL_arg3203z00_3378);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3211z00_3391;

						BgL_arg3211z00_3391 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4304z00zzliveness_typesz00,
							BGl_proc4303z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4302z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2009z00_3351, ((long) 3), BgL_arg3211z00_3391);
					}
					BgL_arg3167z00_3321 = BgL_v2009z00_3351;
				}
				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2010z00_3404;

					BgL_v2010z00_3404 = create_vector(((long) 0));
					BgL_arg3168z00_3322 = BgL_v2010z00_3404;
				}
				BGl_setqzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 3)), BGl_setqz00zzast_nodez00, ((long) 21906),
					BGl_proc4308z00zzliveness_typesz00,
					BGl_proc4307z00zzliveness_typesz00, BFALSE,
					BGl_proc4306z00zzliveness_typesz00,
					BGl_proc4305z00zzliveness_typesz00, BgL_arg3167z00_3321,
					BgL_arg3168z00_3322);
			}
			{	/* Liveness/types.scm 155 */
				obj_t BgL_arg3228z00_3413;
				obj_t BgL_arg3231z00_3414;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2011z00_3446;

					BgL_v2011z00_3446 = create_vector(((long) 4));
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3250z00_3447;

						BgL_arg3250z00_3447 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4311z00zzliveness_typesz00,
							BGl_proc4310z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4309z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3446, ((long) 0), BgL_arg3250z00_3447);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3259z00_3460;

						BgL_arg3259z00_3460 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4314z00zzliveness_typesz00,
							BGl_proc4313z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4312z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3446, ((long) 1), BgL_arg3259z00_3460);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3268z00_3473;

						BgL_arg3268z00_3473 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4317z00zzliveness_typesz00,
							BGl_proc4316z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4315z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3446, ((long) 2), BgL_arg3268z00_3473);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3276z00_3486;

						BgL_arg3276z00_3486 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4320z00zzliveness_typesz00,
							BGl_proc4319z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4318z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2011z00_3446, ((long) 3), BgL_arg3276z00_3486);
					}
					BgL_arg3228z00_3413 = BgL_v2011z00_3446;
				}
				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2012z00_3499;

					BgL_v2012z00_3499 = create_vector(((long) 0));
					BgL_arg3231z00_3414 = BgL_v2012z00_3499;
				}
				BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 3)), BGl_conditionalz00zzast_nodez00,
					((long) 50052), BGl_proc4324z00zzliveness_typesz00,
					BGl_proc4323z00zzliveness_typesz00, BFALSE,
					BGl_proc4322z00zzliveness_typesz00,
					BGl_proc4321z00zzliveness_typesz00, BgL_arg3228z00_3413,
					BgL_arg3231z00_3414);
			}
			{	/* Liveness/types.scm 161 */
				obj_t BgL_arg3293z00_3508;
				obj_t BgL_arg3296z00_3509;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2013z00_3539;

					BgL_v2013z00_3539 = create_vector(((long) 4));
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3318z00_3540;

						BgL_arg3318z00_3540 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4327z00zzliveness_typesz00,
							BGl_proc4326z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4325z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3539, ((long) 0), BgL_arg3318z00_3540);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3327z00_3553;

						BgL_arg3327z00_3553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4330z00zzliveness_typesz00,
							BGl_proc4329z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4328z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3539, ((long) 1), BgL_arg3327z00_3553);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3337z00_3566;

						BgL_arg3337z00_3566 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4333z00zzliveness_typesz00,
							BGl_proc4332z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4331z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3539, ((long) 2), BgL_arg3337z00_3566);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3344z00_3579;

						BgL_arg3344z00_3579 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4336z00zzliveness_typesz00,
							BGl_proc4335z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4334z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2013z00_3539, ((long) 3), BgL_arg3344z00_3579);
					}
					BgL_arg3293z00_3508 = BgL_v2013z00_3539;
				}
				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2014z00_3592;

					BgL_v2014z00_3592 = create_vector(((long) 0));
					BgL_arg3296z00_3509 = BgL_v2014z00_3592;
				}
				BGl_failzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 3)), BGl_failz00zzast_nodez00, ((long) 46132),
					BGl_proc4340z00zzliveness_typesz00,
					BGl_proc4339z00zzliveness_typesz00, BFALSE,
					BGl_proc4338z00zzliveness_typesz00,
					BGl_proc4337z00zzliveness_typesz00, BgL_arg3293z00_3508,
					BgL_arg3296z00_3509);
			}
			{	/* Liveness/types.scm 167 */
				obj_t BgL_arg3358z00_3601;
				obj_t BgL_arg3359z00_3602;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2015z00_3634;

					BgL_v2015z00_3634 = create_vector(((long) 4));
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3372z00_3635;

						BgL_arg3372z00_3635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4343z00zzliveness_typesz00,
							BGl_proc4342z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4341z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3634, ((long) 0), BgL_arg3372z00_3635);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3379z00_3648;

						BgL_arg3379z00_3648 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4346z00zzliveness_typesz00,
							BGl_proc4345z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4344z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3634, ((long) 1), BgL_arg3379z00_3648);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3397z00_3661;

						BgL_arg3397z00_3661 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4349z00zzliveness_typesz00,
							BGl_proc4348z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4347z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3634, ((long) 2), BgL_arg3397z00_3661);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3404z00_3674;

						BgL_arg3404z00_3674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4352z00zzliveness_typesz00,
							BGl_proc4351z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4350z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2015z00_3634, ((long) 3), BgL_arg3404z00_3674);
					}
					BgL_arg3358z00_3601 = BgL_v2015z00_3634;
				}
				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2016z00_3687;

					BgL_v2016z00_3687 = create_vector(((long) 0));
					BgL_arg3359z00_3602 = BgL_v2016z00_3687;
				}
				BGl_switchzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
					CNST_TABLE_REF(((long) 3)), BGl_switchz00zzast_nodez00,
					((long) 26120), BGl_proc4356z00zzliveness_typesz00,
					BGl_proc4355z00zzliveness_typesz00, BFALSE,
					BGl_proc4354z00zzliveness_typesz00,
					BGl_proc4353z00zzliveness_typesz00, BgL_arg3358z00_3601,
					BgL_arg3359z00_3602);
			}
			{	/* Liveness/types.scm 173 */
				obj_t BgL_arg3421z00_3696;
				obj_t BgL_arg3422z00_3697;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2017z00_3728;

					BgL_v2017z00_3728 = create_vector(((long) 4));
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3436z00_3729;

						BgL_arg3436z00_3729 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4359z00zzliveness_typesz00,
							BGl_proc4358z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4357z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3728, ((long) 0), BgL_arg3436z00_3729);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3445z00_3742;

						BgL_arg3445z00_3742 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4362z00zzliveness_typesz00,
							BGl_proc4361z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4360z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3728, ((long) 1), BgL_arg3445z00_3742);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3453z00_3755;

						BgL_arg3453z00_3755 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4365z00zzliveness_typesz00,
							BGl_proc4364z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4363z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3728, ((long) 2), BgL_arg3453z00_3755);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3461z00_3768;

						BgL_arg3461z00_3768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4368z00zzliveness_typesz00,
							BGl_proc4367z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4366z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2017z00_3728, ((long) 3), BgL_arg3461z00_3768);
					}
					BgL_arg3421z00_3696 = BgL_v2017z00_3728;
				}
				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2018z00_3781;

					BgL_v2018z00_3781 = create_vector(((long) 0));
					BgL_arg3422z00_3697 = BgL_v2018z00_3781;
				}
				BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2funzd2zzast_nodez00,
					((long) 50934), BGl_proc4372z00zzliveness_typesz00,
					BGl_proc4371z00zzliveness_typesz00, BFALSE,
					BGl_proc4370z00zzliveness_typesz00,
					BGl_proc4369z00zzliveness_typesz00, BgL_arg3421z00_3696,
					BgL_arg3422z00_3697);
			}
			{	/* Liveness/types.scm 179 */
				obj_t BgL_arg3474z00_3790;
				obj_t BgL_arg3475z00_3791;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2019z00_3823;

					BgL_v2019z00_3823 = create_vector(((long) 4));
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3489z00_3824;

						BgL_arg3489z00_3824 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4375z00zzliveness_typesz00,
							BGl_proc4374z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4373z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3823, ((long) 0), BgL_arg3489z00_3824);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3499z00_3837;

						BgL_arg3499z00_3837 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4378z00zzliveness_typesz00,
							BGl_proc4377z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4376z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3823, ((long) 1), BgL_arg3499z00_3837);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3507z00_3850;

						BgL_arg3507z00_3850 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4381z00zzliveness_typesz00,
							BGl_proc4380z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4379z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3823, ((long) 2), BgL_arg3507z00_3850);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3515z00_3863;

						BgL_arg3515z00_3863 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4384z00zzliveness_typesz00,
							BGl_proc4383z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4382z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2019z00_3823, ((long) 3), BgL_arg3515z00_3863);
					}
					BgL_arg3474z00_3790 = BgL_v2019z00_3823;
				}
				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2020z00_3876;

					BgL_v2020z00_3876 = create_vector(((long) 0));
					BgL_arg3475z00_3791 = BgL_v2020z00_3876;
				}
				BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
					CNST_TABLE_REF(((long) 3)), BGl_letzd2varzd2zzast_nodez00,
					((long) 57846), BGl_proc4388z00zzliveness_typesz00,
					BGl_proc4387z00zzliveness_typesz00, BFALSE,
					BGl_proc4386z00zzliveness_typesz00,
					BGl_proc4385z00zzliveness_typesz00, BgL_arg3474z00_3790,
					BgL_arg3475z00_3791);
			}
			{	/* Liveness/types.scm 185 */
				obj_t BgL_arg3527z00_3885;
				obj_t BgL_arg3528z00_3886;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2021z00_3916;

					BgL_v2021z00_3916 = create_vector(((long) 4));
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3541z00_3917;

						BgL_arg3541z00_3917 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4391z00zzliveness_typesz00,
							BGl_proc4390z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4389z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_3916, ((long) 0), BgL_arg3541z00_3917);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3549z00_3930;

						BgL_arg3549z00_3930 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4394z00zzliveness_typesz00,
							BGl_proc4393z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4392z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_3916, ((long) 1), BgL_arg3549z00_3930);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3558z00_3943;

						BgL_arg3558z00_3943 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4397z00zzliveness_typesz00,
							BGl_proc4396z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4395z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_3916, ((long) 2), BgL_arg3558z00_3943);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3565z00_3956;

						BgL_arg3565z00_3956 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4400z00zzliveness_typesz00,
							BGl_proc4399z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4398z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2021z00_3916, ((long) 3), BgL_arg3565z00_3956);
					}
					BgL_arg3527z00_3885 = BgL_v2021z00_3916;
				}
				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2022z00_3969;

					BgL_v2022z00_3969 = create_vector(((long) 0));
					BgL_arg3528z00_3886 = BgL_v2022z00_3969;
				}
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 3)), BGl_setzd2exzd2itz00zzast_nodez00,
					((long) 31340), BGl_proc4404z00zzliveness_typesz00,
					BGl_proc4403z00zzliveness_typesz00, BFALSE,
					BGl_proc4402z00zzliveness_typesz00,
					BGl_proc4401z00zzliveness_typesz00, BgL_arg3527z00_3885,
					BgL_arg3528z00_3886);
			}
			{	/* Liveness/types.scm 191 */
				obj_t BgL_arg3578z00_3978;
				obj_t BgL_arg3579z00_3979;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2023z00_4008;

					BgL_v2023z00_4008 = create_vector(((long) 4));
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3592z00_4009;

						BgL_arg3592z00_4009 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4407z00zzliveness_typesz00,
							BGl_proc4406z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4405z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4008, ((long) 0), BgL_arg3592z00_4009);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3600z00_4022;

						BgL_arg3600z00_4022 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4410z00zzliveness_typesz00,
							BGl_proc4409z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4408z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4008, ((long) 1), BgL_arg3600z00_4022);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3608z00_4035;

						BgL_arg3608z00_4035 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4413z00zzliveness_typesz00,
							BGl_proc4412z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4411z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4008, ((long) 2), BgL_arg3608z00_4035);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3616z00_4048;

						BgL_arg3616z00_4048 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4416z00zzliveness_typesz00,
							BGl_proc4415z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4414z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2023z00_4008, ((long) 3), BgL_arg3616z00_4048);
					}
					BgL_arg3578z00_3978 = BgL_v2023z00_4008;
				}
				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2024z00_4061;

					BgL_v2024z00_4061 = create_vector(((long) 0));
					BgL_arg3579z00_3979 = BgL_v2024z00_4061;
				}
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 36)),
					CNST_TABLE_REF(((long) 3)), BGl_jumpzd2exzd2itz00zzast_nodez00,
					((long) 38476), BGl_proc4420z00zzliveness_typesz00,
					BGl_proc4419z00zzliveness_typesz00, BFALSE,
					BGl_proc4418z00zzliveness_typesz00,
					BGl_proc4417z00zzliveness_typesz00, BgL_arg3578z00_3978,
					BgL_arg3579z00_3979);
			}
			{	/* Liveness/types.scm 197 */
				obj_t BgL_arg3629z00_4070;
				obj_t BgL_arg3630z00_4071;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2025z00_4101;

					BgL_v2025z00_4101 = create_vector(((long) 4));
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3642z00_4102;

						BgL_arg3642z00_4102 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4423z00zzliveness_typesz00,
							BGl_proc4422z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4421z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4101, ((long) 0), BgL_arg3642z00_4102);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3650z00_4115;

						BgL_arg3650z00_4115 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4426z00zzliveness_typesz00,
							BGl_proc4425z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4424z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4101, ((long) 1), BgL_arg3650z00_4115);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3659z00_4128;

						BgL_arg3659z00_4128 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4429z00zzliveness_typesz00,
							BGl_proc4428z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4427z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4101, ((long) 2), BgL_arg3659z00_4128);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3668z00_4141;

						BgL_arg3668z00_4141 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4432z00zzliveness_typesz00,
							BGl_proc4431z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4430z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2025z00_4101, ((long) 3), BgL_arg3668z00_4141);
					}
					BgL_arg3629z00_4070 = BgL_v2025z00_4101;
				}
				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2026z00_4154;

					BgL_v2026z00_4154 = create_vector(((long) 0));
					BgL_arg3630z00_4071 = BgL_v2026z00_4154;
				}
				BGl_synczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 37)),
					CNST_TABLE_REF(((long) 3)), BGl_syncz00zzast_nodez00, ((long) 46354),
					BGl_proc4436z00zzliveness_typesz00,
					BGl_proc4435z00zzliveness_typesz00, BFALSE,
					BGl_proc4434z00zzliveness_typesz00,
					BGl_proc4433z00zzliveness_typesz00, BgL_arg3629z00_4070,
					BgL_arg3630z00_4071);
			}
			{	/* Liveness/types.scm 203 */
				obj_t BgL_arg3681z00_4163;
				obj_t BgL_arg3682z00_4164;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2027z00_4192;

					BgL_v2027z00_4192 = create_vector(((long) 4));
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3696z00_4193;

						BgL_arg3696z00_4193 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4439z00zzliveness_typesz00,
							BGl_proc4438z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4437z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4192, ((long) 0), BgL_arg3696z00_4193);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3704z00_4206;

						BgL_arg3704z00_4206 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4442z00zzliveness_typesz00,
							BGl_proc4441z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4440z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4192, ((long) 1), BgL_arg3704z00_4206);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3713z00_4219;

						BgL_arg3713z00_4219 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4445z00zzliveness_typesz00,
							BGl_proc4444z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4443z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4192, ((long) 2), BgL_arg3713z00_4219);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3722z00_4232;

						BgL_arg3722z00_4232 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4448z00zzliveness_typesz00,
							BGl_proc4447z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4446z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2027z00_4192, ((long) 3), BgL_arg3722z00_4232);
					}
					BgL_arg3681z00_4163 = BgL_v2027z00_4192;
				}
				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2028z00_4245;

					BgL_v2028z00_4245 = create_vector(((long) 0));
					BgL_arg3682z00_4164 = BgL_v2028z00_4245;
				}
				BGl_retblockzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 38)),
					CNST_TABLE_REF(((long) 3)), BGl_retblockz00zzast_nodez00,
					((long) 46592), BGl_proc4452z00zzliveness_typesz00,
					BGl_proc4451z00zzliveness_typesz00, BFALSE,
					BGl_proc4450z00zzliveness_typesz00,
					BGl_proc4449z00zzliveness_typesz00, BgL_arg3681z00_4163,
					BgL_arg3682z00_4164);
			}
			{	/* Liveness/types.scm 209 */
				obj_t BgL_arg3734z00_4254;
				obj_t BgL_arg3736z00_4255;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2029z00_4284;

					BgL_v2029z00_4284 = create_vector(((long) 4));
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3750z00_4285;

						BgL_arg3750z00_4285 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4455z00zzliveness_typesz00,
							BGl_proc4454z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4453z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4284, ((long) 0), BgL_arg3750z00_4285);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3758z00_4298;

						BgL_arg3758z00_4298 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4458z00zzliveness_typesz00,
							BGl_proc4457z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4456z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4284, ((long) 1), BgL_arg3758z00_4298);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3766z00_4311;

						BgL_arg3766z00_4311 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4461z00zzliveness_typesz00,
							BGl_proc4460z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4459z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4284, ((long) 2), BgL_arg3766z00_4311);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3773z00_4324;

						BgL_arg3773z00_4324 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4464z00zzliveness_typesz00,
							BGl_proc4463z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4462z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2029z00_4284, ((long) 3), BgL_arg3773z00_4324);
					}
					BgL_arg3734z00_4254 = BgL_v2029z00_4284;
				}
				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2030z00_4337;

					BgL_v2030z00_4337 = create_vector(((long) 0));
					BgL_arg3736z00_4255 = BgL_v2030z00_4337;
				}
				BGl_returnzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 3)), BGl_returnz00zzast_nodez00,
					((long) 31084), BGl_proc4468z00zzliveness_typesz00,
					BGl_proc4467z00zzliveness_typesz00, BFALSE,
					BGl_proc4466z00zzliveness_typesz00,
					BGl_proc4465z00zzliveness_typesz00, BgL_arg3734z00_4254,
					BgL_arg3736z00_4255);
			}
			{	/* Liveness/types.scm 215 */
				obj_t BgL_arg3784z00_4346;
				obj_t BgL_arg3785z00_4347;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2031z00_4379;

					BgL_v2031z00_4379 = create_vector(((long) 4));
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3796z00_4380;

						BgL_arg3796z00_4380 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4471z00zzliveness_typesz00,
							BGl_proc4470z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4469z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4379, ((long) 0), BgL_arg3796z00_4380);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3803z00_4393;

						BgL_arg3803z00_4393 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4474z00zzliveness_typesz00,
							BGl_proc4473z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4472z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4379, ((long) 1), BgL_arg3803z00_4393);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3810z00_4406;

						BgL_arg3810z00_4406 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4477z00zzliveness_typesz00,
							BGl_proc4476z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4475z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4379, ((long) 2), BgL_arg3810z00_4406);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3817z00_4419;

						BgL_arg3817z00_4419 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4480z00zzliveness_typesz00,
							BGl_proc4479z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4478z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2031z00_4379, ((long) 3), BgL_arg3817z00_4419);
					}
					BgL_arg3784z00_4346 = BgL_v2031z00_4379;
				}
				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2032z00_4432;

					BgL_v2032z00_4432 = create_vector(((long) 0));
					BgL_arg3785z00_4347 = BgL_v2032z00_4432;
				}
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 3)), BGl_makezd2boxzd2zzast_nodez00,
					((long) 8964), BGl_proc4484z00zzliveness_typesz00,
					BGl_proc4483z00zzliveness_typesz00, BFALSE,
					BGl_proc4482z00zzliveness_typesz00,
					BGl_proc4481z00zzliveness_typesz00, BgL_arg3784z00_4346,
					BgL_arg3785z00_4347);
			}
			{	/* Liveness/types.scm 221 */
				obj_t BgL_arg3828z00_4441;
				obj_t BgL_arg3829z00_4442;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2033z00_4473;

					BgL_v2033z00_4473 = create_vector(((long) 4));
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3840z00_4474;

						BgL_arg3840z00_4474 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4487z00zzliveness_typesz00,
							BGl_proc4486z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4485z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4473, ((long) 0), BgL_arg3840z00_4474);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3847z00_4487;

						BgL_arg3847z00_4487 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4490z00zzliveness_typesz00,
							BGl_proc4489z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4488z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4473, ((long) 1), BgL_arg3847z00_4487);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3854z00_4500;

						BgL_arg3854z00_4500 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4493z00zzliveness_typesz00,
							BGl_proc4492z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4491z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4473, ((long) 2), BgL_arg3854z00_4500);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3861z00_4513;

						BgL_arg3861z00_4513 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4496z00zzliveness_typesz00,
							BGl_proc4495z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4494z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2033z00_4473, ((long) 3), BgL_arg3861z00_4513);
					}
					BgL_arg3828z00_4441 = BgL_v2033z00_4473;
				}
				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2034z00_4526;

					BgL_v2034z00_4526 = create_vector(((long) 0));
					BgL_arg3829z00_4442 = BgL_v2034z00_4526;
				}
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 3)), BGl_boxzd2refzd2zzast_nodez00,
					((long) 38662), BGl_proc4500z00zzliveness_typesz00,
					BGl_proc4499z00zzliveness_typesz00, BFALSE,
					BGl_proc4498z00zzliveness_typesz00,
					BGl_proc4497z00zzliveness_typesz00, BgL_arg3828z00_4441,
					BgL_arg3829z00_4442);
			}
			{	/* Liveness/types.scm 227 */
				obj_t BgL_arg3872z00_4535;
				obj_t BgL_arg3873z00_4536;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2035z00_4566;

					BgL_v2035z00_4566 = create_vector(((long) 4));
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3884z00_4567;

						BgL_arg3884z00_4567 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc4503z00zzliveness_typesz00,
							BGl_proc4502z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4501z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2035z00_4566, ((long) 0), BgL_arg3884z00_4567);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3891z00_4580;

						BgL_arg3891z00_4580 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc4506z00zzliveness_typesz00,
							BGl_proc4505z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4504z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2035z00_4566, ((long) 1), BgL_arg3891z00_4580);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3898z00_4593;

						BgL_arg3898z00_4593 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc4509z00zzliveness_typesz00,
							BGl_proc4508z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4507z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2035z00_4566, ((long) 2), BgL_arg3898z00_4593);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3905z00_4606;

						BgL_arg3905z00_4606 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc4512z00zzliveness_typesz00,
							BGl_proc4511z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4510z00zzliveness_typesz00,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v2035z00_4566, ((long) 3), BgL_arg3905z00_4606);
					}
					BgL_arg3872z00_4535 = BgL_v2035z00_4566;
				}
				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2036z00_4619;

					BgL_v2036z00_4619 = create_vector(((long) 0));
					BgL_arg3873z00_4536 = BgL_v2036z00_4619;
				}
				return (BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
						CNST_TABLE_REF(((long) 3)), BGl_boxzd2setz12zc0zzast_nodez00,
						((long) 24710), BGl_proc4516z00zzliveness_typesz00,
						BGl_proc4515z00zzliveness_typesz00, BFALSE,
						BGl_proc4514z00zzliveness_typesz00,
						BGl_proc4513z00zzliveness_typesz00, BgL_arg3872z00_4535,
						BgL_arg3873z00_4536), BUNSPEC);
		}}

	}



/* &lambda3880 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3880z62zzliveness_typesz00(obj_t
		BgL_envz00_7038, obj_t BgL_o1683z00_7039)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				long BgL_arg3881z00_8479;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_arg3882z00_8480;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3883z00_8481;

						{	/* Liveness/types.scm 227 */
							long BgL_arg1828z00_8482;

							{	/* Liveness/types.scm 227 */
								long BgL_arg1829z00_8483;

								BgL_arg1829z00_8483 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1683z00_7039)));
								BgL_arg1828z00_8482 = (BgL_arg1829z00_8483 - OBJECT_TYPE);
							}
							BgL_arg3883z00_8481 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8482);
						}
						BgL_arg3882z00_8480 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3883z00_8481);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_tmpz00_10651;

						BgL_tmpz00_10651 = ((obj_t) BgL_arg3882z00_8480);
						BgL_arg3881z00_8479 = BGL_CLASS_NUM(BgL_tmpz00_10651);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1683z00_7039)),
					BgL_arg3881z00_8479);
			}
			{	/* Liveness/types.scm 227 */
				BgL_objectz00_bglt BgL_tmpz00_10657;

				BgL_tmpz00_10657 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1683z00_7039));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10657, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1683z00_7039));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1683z00_7039));
		}

	}



/* &<@anonymous:3879> */
	obj_t BGl_z62zc3z04anonymousza33879ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7040, obj_t BgL_new1682z00_7041)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_10665;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_10669;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8485;

						BgL_classz00_8485 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1113z00_8486;

							BgL__ortest_1113z00_8486 = BGL_CLASS_NIL(BgL_classz00_8485);
							if (CBOOL(BgL__ortest_1113z00_8486))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10669 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8486);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10669 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8485));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_10669), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_10679;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8487;

						BgL_classz00_8487 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1113z00_8488;

							BgL__ortest_1113z00_8488 = BGL_CLASS_NIL(BgL_classz00_8487);
							if (CBOOL(BgL__ortest_1113z00_8488))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10679 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_8488);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10679 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8487));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_10679), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10689;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8489;

						BgL_classz00_8489 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1113z00_8490;

							BgL__ortest_1113z00_8490 = BGL_CLASS_NIL(BgL_classz00_8489);
							if (CBOOL(BgL__ortest_1113z00_8490))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10689 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8490);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10689 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8489));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_10689), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_10699;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8491;

						BgL_classz00_8491 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1113z00_8492;

							BgL__ortest_1113z00_8492 = BGL_CLASS_NIL(BgL_classz00_8491);
							if (CBOOL(BgL__ortest_1113z00_8492))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10699 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8492);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_10699 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8491));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_10699), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10709;

					{
						obj_t BgL_auxz00_10710;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10711;

							BgL_tmpz00_10711 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041));
							BgL_auxz00_10710 = BGL_OBJECT_WIDENING(BgL_tmpz00_10711);
						}
						BgL_auxz00_10709 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10710);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10709))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10717;

					{
						obj_t BgL_auxz00_10718;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10719;

							BgL_tmpz00_10719 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041));
							BgL_auxz00_10718 = BGL_OBJECT_WIDENING(BgL_tmpz00_10719);
						}
						BgL_auxz00_10717 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10718);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10717))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10725;

					{
						obj_t BgL_auxz00_10726;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10727;

							BgL_tmpz00_10727 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041));
							BgL_auxz00_10726 = BGL_OBJECT_WIDENING(BgL_tmpz00_10727);
						}
						BgL_auxz00_10725 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10726);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10725))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10733;

					{
						obj_t BgL_auxz00_10734;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10735;

							BgL_tmpz00_10735 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041));
							BgL_auxz00_10734 = BGL_OBJECT_WIDENING(BgL_tmpz00_10735);
						}
						BgL_auxz00_10733 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10734);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10733))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_10665 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1682z00_7041);
				return ((obj_t) BgL_auxz00_10665);
			}
		}

	}



/* &lambda3877 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3877z62zzliveness_typesz00(obj_t
		BgL_envz00_7042, obj_t BgL_o1679z00_7043)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1681z00_8494;

				BgL_wide1681z00_8494 =
					((BgL_boxzd2setz12zf2livenessz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2livenessz32_bgl))));
				{	/* Liveness/types.scm 227 */
					obj_t BgL_auxz00_10748;
					BgL_objectz00_bglt BgL_tmpz00_10744;

					BgL_auxz00_10748 = ((obj_t) BgL_wide1681z00_8494);
					BgL_tmpz00_10744 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1679z00_7043)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10744, BgL_auxz00_10748);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1679z00_7043)));
				{	/* Liveness/types.scm 227 */
					long BgL_arg3878z00_8495;

					BgL_arg3878z00_8495 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1679z00_7043))),
						BgL_arg3878z00_8495);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1679z00_7043)));
			}
		}

	}



/* &lambda3874 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3874z62zzliveness_typesz00(obj_t
		BgL_envz00_7044, obj_t BgL_loc1670z00_7045, obj_t BgL_type1671z00_7046,
		obj_t BgL_var1672z00_7047, obj_t BgL_value1673z00_7048,
		obj_t BgL_vtype1674z00_7049, obj_t BgL_def1675z00_7050,
		obj_t BgL_use1676z00_7051, obj_t BgL_in1677z00_7052,
		obj_t BgL_out1678z00_7053)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zc0_bglt BgL_new1857z00_8504;

				{	/* Liveness/types.scm 227 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1855z00_8505;
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1856z00_8506;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_10762;

						{	/* Liveness/types.scm 227 */
							BgL_boxzd2setz12zc0_bglt BgL_new1854z00_8507;

							BgL_new1854z00_8507 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Liveness/types.scm 227 */
								long BgL_arg3876z00_8508;

								BgL_arg3876z00_8508 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1854z00_8507),
									BgL_arg3876z00_8508);
							}
							{	/* Liveness/types.scm 227 */
								BgL_objectz00_bglt BgL_tmpz00_10767;

								BgL_tmpz00_10767 = ((BgL_objectz00_bglt) BgL_new1854z00_8507);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10767, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1854z00_8507);
							BgL_auxz00_10762 = BgL_new1854z00_8507;
						}
						BgL_tmp1855z00_8505 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_10762);
					}
					BgL_wide1856z00_8506 =
						((BgL_boxzd2setz12zf2livenessz32_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2livenessz32_bgl))));
					{	/* Liveness/types.scm 227 */
						obj_t BgL_auxz00_10775;
						BgL_objectz00_bglt BgL_tmpz00_10773;

						BgL_auxz00_10775 = ((obj_t) BgL_wide1856z00_8506);
						BgL_tmpz00_10773 = ((BgL_objectz00_bglt) BgL_tmp1855z00_8505);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10773, BgL_auxz00_10775);
					}
					((BgL_objectz00_bglt) BgL_tmp1855z00_8505);
					{	/* Liveness/types.scm 227 */
						long BgL_arg3875z00_8509;

						BgL_arg3875z00_8509 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1855z00_8505), BgL_arg3875z00_8509);
					}
					BgL_new1857z00_8504 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1855z00_8505);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1857z00_8504)))->BgL_locz00) =
					((obj_t) BgL_loc1670z00_7045), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1857z00_8504)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1671z00_7046)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1857z00_8504)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1672z00_7047)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1857z00_8504)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1673z00_7048)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1857z00_8504)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1674z00_7049)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10797;

					{
						obj_t BgL_auxz00_10798;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10799;

							BgL_tmpz00_10799 = ((BgL_objectz00_bglt) BgL_new1857z00_8504);
							BgL_auxz00_10798 = BGL_OBJECT_WIDENING(BgL_tmpz00_10799);
						}
						BgL_auxz00_10797 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10798);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10797))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1675z00_7050)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10805;

					{
						obj_t BgL_auxz00_10806;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10807;

							BgL_tmpz00_10807 = ((BgL_objectz00_bglt) BgL_new1857z00_8504);
							BgL_auxz00_10806 = BGL_OBJECT_WIDENING(BgL_tmpz00_10807);
						}
						BgL_auxz00_10805 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10806);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10805))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1676z00_7051)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10813;

					{
						obj_t BgL_auxz00_10814;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10815;

							BgL_tmpz00_10815 = ((BgL_objectz00_bglt) BgL_new1857z00_8504);
							BgL_auxz00_10814 = BGL_OBJECT_WIDENING(BgL_tmpz00_10815);
						}
						BgL_auxz00_10813 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10814);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10813))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1677z00_7052)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10821;

					{
						obj_t BgL_auxz00_10822;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_10823;

							BgL_tmpz00_10823 = ((BgL_objectz00_bglt) BgL_new1857z00_8504);
							BgL_auxz00_10822 = BGL_OBJECT_WIDENING(BgL_tmpz00_10823);
						}
						BgL_auxz00_10821 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10822);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10821))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1678z00_7053)), BUNSPEC);
				}
				return BgL_new1857z00_8504;
			}
		}

	}



/* &<@anonymous:3911> */
	obj_t BGl_z62zc3z04anonymousza33911ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7054)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3910 */
	obj_t BGl_z62lambda3910z62zzliveness_typesz00(obj_t BgL_envz00_7055,
		obj_t BgL_oz00_7056, obj_t BgL_vz00_7057)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10829;

				{
					obj_t BgL_auxz00_10830;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10831;

						BgL_tmpz00_10831 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7056));
						BgL_auxz00_10830 = BGL_OBJECT_WIDENING(BgL_tmpz00_10831);
					}
					BgL_auxz00_10829 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10830);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10829))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7057)), BUNSPEC);
			}
		}

	}



/* &lambda3909 */
	obj_t BGl_z62lambda3909z62zzliveness_typesz00(obj_t BgL_envz00_7058,
		obj_t BgL_oz00_7059)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10838;

				{
					obj_t BgL_auxz00_10839;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10840;

						BgL_tmpz00_10840 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7059));
						BgL_auxz00_10839 = BGL_OBJECT_WIDENING(BgL_tmpz00_10840);
					}
					BgL_auxz00_10838 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10839);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10838))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3904> */
	obj_t BGl_z62zc3z04anonymousza33904ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7060)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3903 */
	obj_t BGl_z62lambda3903z62zzliveness_typesz00(obj_t BgL_envz00_7061,
		obj_t BgL_oz00_7062, obj_t BgL_vz00_7063)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10846;

				{
					obj_t BgL_auxz00_10847;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10848;

						BgL_tmpz00_10848 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7062));
						BgL_auxz00_10847 = BGL_OBJECT_WIDENING(BgL_tmpz00_10848);
					}
					BgL_auxz00_10846 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10847);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10846))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7063)), BUNSPEC);
			}
		}

	}



/* &lambda3902 */
	obj_t BGl_z62lambda3902z62zzliveness_typesz00(obj_t BgL_envz00_7064,
		obj_t BgL_oz00_7065)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10855;

				{
					obj_t BgL_auxz00_10856;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10857;

						BgL_tmpz00_10857 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7065));
						BgL_auxz00_10856 = BGL_OBJECT_WIDENING(BgL_tmpz00_10857);
					}
					BgL_auxz00_10855 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10856);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10855))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3897> */
	obj_t BGl_z62zc3z04anonymousza33897ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7066)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3896 */
	obj_t BGl_z62lambda3896z62zzliveness_typesz00(obj_t BgL_envz00_7067,
		obj_t BgL_oz00_7068, obj_t BgL_vz00_7069)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10863;

				{
					obj_t BgL_auxz00_10864;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10865;

						BgL_tmpz00_10865 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7068));
						BgL_auxz00_10864 = BGL_OBJECT_WIDENING(BgL_tmpz00_10865);
					}
					BgL_auxz00_10863 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10864);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10863))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7069)), BUNSPEC);
			}
		}

	}



/* &lambda3895 */
	obj_t BGl_z62lambda3895z62zzliveness_typesz00(obj_t BgL_envz00_7070,
		obj_t BgL_oz00_7071)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10872;

				{
					obj_t BgL_auxz00_10873;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10874;

						BgL_tmpz00_10874 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7071));
						BgL_auxz00_10873 = BGL_OBJECT_WIDENING(BgL_tmpz00_10874);
					}
					BgL_auxz00_10872 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10873);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10872))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3890> */
	obj_t BGl_z62zc3z04anonymousza33890ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7072)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3889 */
	obj_t BGl_z62lambda3889z62zzliveness_typesz00(obj_t BgL_envz00_7073,
		obj_t BgL_oz00_7074, obj_t BgL_vz00_7075)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10880;

				{
					obj_t BgL_auxz00_10881;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10882;

						BgL_tmpz00_10882 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7074));
						BgL_auxz00_10881 = BGL_OBJECT_WIDENING(BgL_tmpz00_10882);
					}
					BgL_auxz00_10880 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10881);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10880))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7075)), BUNSPEC);
			}
		}

	}



/* &lambda3888 */
	obj_t BGl_z62lambda3888z62zzliveness_typesz00(obj_t BgL_envz00_7076,
		obj_t BgL_oz00_7077)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_10889;

				{
					obj_t BgL_auxz00_10890;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_10891;

						BgL_tmpz00_10891 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7077));
						BgL_auxz00_10890 = BGL_OBJECT_WIDENING(BgL_tmpz00_10891);
					}
					BgL_auxz00_10889 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_10890);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_10889))->
					BgL_defz00);
			}
		}

	}



/* &lambda3836 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3836z62zzliveness_typesz00(obj_t
		BgL_envz00_7078, obj_t BgL_o1668z00_7079)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				long BgL_arg3837z00_8523;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_arg3838z00_8524;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3839z00_8525;

						{	/* Liveness/types.scm 221 */
							long BgL_arg1828z00_8526;

							{	/* Liveness/types.scm 221 */
								long BgL_arg1829z00_8527;

								BgL_arg1829z00_8527 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1668z00_7079)));
								BgL_arg1828z00_8526 = (BgL_arg1829z00_8527 - OBJECT_TYPE);
							}
							BgL_arg3839z00_8525 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8526);
						}
						BgL_arg3838z00_8524 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3839z00_8525);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_tmpz00_10903;

						BgL_tmpz00_10903 = ((obj_t) BgL_arg3838z00_8524);
						BgL_arg3837z00_8523 = BGL_CLASS_NUM(BgL_tmpz00_10903);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1668z00_7079)), BgL_arg3837z00_8523);
			}
			{	/* Liveness/types.scm 221 */
				BgL_objectz00_bglt BgL_tmpz00_10909;

				BgL_tmpz00_10909 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1668z00_7079));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10909, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1668z00_7079));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1668z00_7079));
		}

	}



/* &<@anonymous:3835> */
	obj_t BGl_z62zc3z04anonymousza33835ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7080, obj_t BgL_new1667z00_7081)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_10917;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_10921;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8529;

						BgL_classz00_8529 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1113z00_8530;

							BgL__ortest_1113z00_8530 = BGL_CLASS_NIL(BgL_classz00_8529);
							if (CBOOL(BgL__ortest_1113z00_8530))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10921 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8530);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10921 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8529));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_10921), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1667z00_7081))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_10937;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8531;

						BgL_classz00_8531 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1113z00_8532;

							BgL__ortest_1113z00_8532 = BGL_CLASS_NIL(BgL_classz00_8531);
							if (CBOOL(BgL__ortest_1113z00_8532))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10937 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_8532);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10937 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8531));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_10937), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_10947;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8533;

						BgL_classz00_8533 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1113z00_8534;

							BgL__ortest_1113z00_8534 = BGL_CLASS_NIL(BgL_classz00_8533);
							if (CBOOL(BgL__ortest_1113z00_8534))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10947 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8534);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_10947 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8533));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_10947), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10957;

					{
						obj_t BgL_auxz00_10958;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10959;

							BgL_tmpz00_10959 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081));
							BgL_auxz00_10958 = BGL_OBJECT_WIDENING(BgL_tmpz00_10959);
						}
						BgL_auxz00_10957 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10958);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10957))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10965;

					{
						obj_t BgL_auxz00_10966;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10967;

							BgL_tmpz00_10967 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081));
							BgL_auxz00_10966 = BGL_OBJECT_WIDENING(BgL_tmpz00_10967);
						}
						BgL_auxz00_10965 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10966);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10965))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10973;

					{
						obj_t BgL_auxz00_10974;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10975;

							BgL_tmpz00_10975 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081));
							BgL_auxz00_10974 = BGL_OBJECT_WIDENING(BgL_tmpz00_10975);
						}
						BgL_auxz00_10973 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10974);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10973))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_10981;

					{
						obj_t BgL_auxz00_10982;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_10983;

							BgL_tmpz00_10983 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081));
							BgL_auxz00_10982 = BGL_OBJECT_WIDENING(BgL_tmpz00_10983);
						}
						BgL_auxz00_10981 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_10982);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_10981))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_10917 = ((BgL_boxzd2refzd2_bglt) BgL_new1667z00_7081);
				return ((obj_t) BgL_auxz00_10917);
			}
		}

	}



/* &lambda3833 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3833z62zzliveness_typesz00(obj_t
		BgL_envz00_7082, obj_t BgL_o1664z00_7083)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzf2livenessz20_bglt BgL_wide1666z00_8536;

				BgL_wide1666z00_8536 =
					((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 221 */
					obj_t BgL_auxz00_10996;
					BgL_objectz00_bglt BgL_tmpz00_10992;

					BgL_auxz00_10996 = ((obj_t) BgL_wide1666z00_8536);
					BgL_tmpz00_10992 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1664z00_7083)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10992, BgL_auxz00_10996);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1664z00_7083)));
				{	/* Liveness/types.scm 221 */
					long BgL_arg3834z00_8537;

					BgL_arg3834z00_8537 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1664z00_7083))),
						BgL_arg3834z00_8537);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1664z00_7083)));
			}
		}

	}



/* &lambda3830 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3830z62zzliveness_typesz00(obj_t
		BgL_envz00_7084, obj_t BgL_loc1654z00_7085, obj_t BgL_type1655z00_7086,
		obj_t BgL_sidezd2effect1656zd2_7087, obj_t BgL_key1657z00_7088,
		obj_t BgL_var1658z00_7089, obj_t BgL_vtype1659z00_7090,
		obj_t BgL_def1660z00_7091, obj_t BgL_use1661z00_7092,
		obj_t BgL_in1662z00_7093, obj_t BgL_out1663z00_7094)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzd2_bglt BgL_new1852z00_8545;

				{	/* Liveness/types.scm 221 */
					BgL_boxzd2refzd2_bglt BgL_tmp1850z00_8546;
					BgL_boxzd2refzf2livenessz20_bglt BgL_wide1851z00_8547;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_11010;

						{	/* Liveness/types.scm 221 */
							BgL_boxzd2refzd2_bglt BgL_new1849z00_8548;

							BgL_new1849z00_8548 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Liveness/types.scm 221 */
								long BgL_arg3832z00_8549;

								BgL_arg3832z00_8549 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1849z00_8548),
									BgL_arg3832z00_8549);
							}
							{	/* Liveness/types.scm 221 */
								BgL_objectz00_bglt BgL_tmpz00_11015;

								BgL_tmpz00_11015 = ((BgL_objectz00_bglt) BgL_new1849z00_8548);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11015, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1849z00_8548);
							BgL_auxz00_11010 = BgL_new1849z00_8548;
						}
						BgL_tmp1850z00_8546 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_11010);
					}
					BgL_wide1851z00_8547 =
						((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 221 */
						obj_t BgL_auxz00_11023;
						BgL_objectz00_bglt BgL_tmpz00_11021;

						BgL_auxz00_11023 = ((obj_t) BgL_wide1851z00_8547);
						BgL_tmpz00_11021 = ((BgL_objectz00_bglt) BgL_tmp1850z00_8546);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11021, BgL_auxz00_11023);
					}
					((BgL_objectz00_bglt) BgL_tmp1850z00_8546);
					{	/* Liveness/types.scm 221 */
						long BgL_arg3831z00_8550;

						BgL_arg3831z00_8550 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1850z00_8546), BgL_arg3831z00_8550);
					}
					BgL_new1852z00_8545 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1850z00_8546);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1852z00_8545)))->BgL_locz00) =
					((obj_t) BgL_loc1654z00_7085), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1852z00_8545)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1655z00_7086)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1852z00_8545)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1656zd2_7087), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1852z00_8545)))->BgL_keyz00) =
					((obj_t) BgL_key1657z00_7088), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1852z00_8545)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1658z00_7089)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1852z00_8545)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1659z00_7090)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11046;

					{
						obj_t BgL_auxz00_11047;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11048;

							BgL_tmpz00_11048 = ((BgL_objectz00_bglt) BgL_new1852z00_8545);
							BgL_auxz00_11047 = BGL_OBJECT_WIDENING(BgL_tmpz00_11048);
						}
						BgL_auxz00_11046 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11047);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11046))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1660z00_7091)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11054;

					{
						obj_t BgL_auxz00_11055;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11056;

							BgL_tmpz00_11056 = ((BgL_objectz00_bglt) BgL_new1852z00_8545);
							BgL_auxz00_11055 = BGL_OBJECT_WIDENING(BgL_tmpz00_11056);
						}
						BgL_auxz00_11054 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11055);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11054))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1661z00_7092)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11062;

					{
						obj_t BgL_auxz00_11063;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11064;

							BgL_tmpz00_11064 = ((BgL_objectz00_bglt) BgL_new1852z00_8545);
							BgL_auxz00_11063 = BGL_OBJECT_WIDENING(BgL_tmpz00_11064);
						}
						BgL_auxz00_11062 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11063);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11062))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1662z00_7093)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11070;

					{
						obj_t BgL_auxz00_11071;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11072;

							BgL_tmpz00_11072 = ((BgL_objectz00_bglt) BgL_new1852z00_8545);
							BgL_auxz00_11071 = BGL_OBJECT_WIDENING(BgL_tmpz00_11072);
						}
						BgL_auxz00_11070 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11071);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11070))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1663z00_7094)), BUNSPEC);
				}
				return BgL_new1852z00_8545;
			}
		}

	}



/* &<@anonymous:3867> */
	obj_t BGl_z62zc3z04anonymousza33867ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7095)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3866 */
	obj_t BGl_z62lambda3866z62zzliveness_typesz00(obj_t BgL_envz00_7096,
		obj_t BgL_oz00_7097, obj_t BgL_vz00_7098)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11078;

				{
					obj_t BgL_auxz00_11079;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11080;

						BgL_tmpz00_11080 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7097));
						BgL_auxz00_11079 = BGL_OBJECT_WIDENING(BgL_tmpz00_11080);
					}
					BgL_auxz00_11078 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11079);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11078))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7098)), BUNSPEC);
			}
		}

	}



/* &lambda3865 */
	obj_t BGl_z62lambda3865z62zzliveness_typesz00(obj_t BgL_envz00_7099,
		obj_t BgL_oz00_7100)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11087;

				{
					obj_t BgL_auxz00_11088;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11089;

						BgL_tmpz00_11089 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7100));
						BgL_auxz00_11088 = BGL_OBJECT_WIDENING(BgL_tmpz00_11089);
					}
					BgL_auxz00_11087 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11088);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11087))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3860> */
	obj_t BGl_z62zc3z04anonymousza33860ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7101)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3859 */
	obj_t BGl_z62lambda3859z62zzliveness_typesz00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103, obj_t BgL_vz00_7104)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11095;

				{
					obj_t BgL_auxz00_11096;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11097;

						BgL_tmpz00_11097 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7103));
						BgL_auxz00_11096 = BGL_OBJECT_WIDENING(BgL_tmpz00_11097);
					}
					BgL_auxz00_11095 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11096);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11095))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7104)), BUNSPEC);
			}
		}

	}



/* &lambda3858 */
	obj_t BGl_z62lambda3858z62zzliveness_typesz00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11104;

				{
					obj_t BgL_auxz00_11105;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11106;

						BgL_tmpz00_11106 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7106));
						BgL_auxz00_11105 = BGL_OBJECT_WIDENING(BgL_tmpz00_11106);
					}
					BgL_auxz00_11104 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11105);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11104))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3853> */
	obj_t BGl_z62zc3z04anonymousza33853ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7107)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3852 */
	obj_t BGl_z62lambda3852z62zzliveness_typesz00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109, obj_t BgL_vz00_7110)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11112;

				{
					obj_t BgL_auxz00_11113;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11114;

						BgL_tmpz00_11114 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7109));
						BgL_auxz00_11113 = BGL_OBJECT_WIDENING(BgL_tmpz00_11114);
					}
					BgL_auxz00_11112 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11113);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11112))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7110)), BUNSPEC);
			}
		}

	}



/* &lambda3851 */
	obj_t BGl_z62lambda3851z62zzliveness_typesz00(obj_t BgL_envz00_7111,
		obj_t BgL_oz00_7112)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11121;

				{
					obj_t BgL_auxz00_11122;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11123;

						BgL_tmpz00_11123 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7112));
						BgL_auxz00_11122 = BGL_OBJECT_WIDENING(BgL_tmpz00_11123);
					}
					BgL_auxz00_11121 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11122);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11121))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3846> */
	obj_t BGl_z62zc3z04anonymousza33846ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7113)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3845 */
	obj_t BGl_z62lambda3845z62zzliveness_typesz00(obj_t BgL_envz00_7114,
		obj_t BgL_oz00_7115, obj_t BgL_vz00_7116)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11129;

				{
					obj_t BgL_auxz00_11130;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11131;

						BgL_tmpz00_11131 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7115));
						BgL_auxz00_11130 = BGL_OBJECT_WIDENING(BgL_tmpz00_11131);
					}
					BgL_auxz00_11129 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11130);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11129))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7116)), BUNSPEC);
			}
		}

	}



/* &lambda3844 */
	obj_t BGl_z62lambda3844z62zzliveness_typesz00(obj_t BgL_envz00_7117,
		obj_t BgL_oz00_7118)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11138;

				{
					obj_t BgL_auxz00_11139;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11140;

						BgL_tmpz00_11140 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7118));
						BgL_auxz00_11139 = BGL_OBJECT_WIDENING(BgL_tmpz00_11140);
					}
					BgL_auxz00_11138 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11139);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11138))->
					BgL_defz00);
			}
		}

	}



/* &lambda3792 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3792z62zzliveness_typesz00(obj_t
		BgL_envz00_7119, obj_t BgL_o1652z00_7120)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				long BgL_arg3793z00_8564;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_arg3794z00_8565;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3795z00_8566;

						{	/* Liveness/types.scm 215 */
							long BgL_arg1828z00_8567;

							{	/* Liveness/types.scm 215 */
								long BgL_arg1829z00_8568;

								BgL_arg1829z00_8568 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1652z00_7120)));
								BgL_arg1828z00_8567 = (BgL_arg1829z00_8568 - OBJECT_TYPE);
							}
							BgL_arg3795z00_8566 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8567);
						}
						BgL_arg3794z00_8565 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3795z00_8566);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_tmpz00_11152;

						BgL_tmpz00_11152 = ((obj_t) BgL_arg3794z00_8565);
						BgL_arg3793z00_8564 = BGL_CLASS_NUM(BgL_tmpz00_11152);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1652z00_7120)), BgL_arg3793z00_8564);
			}
			{	/* Liveness/types.scm 215 */
				BgL_objectz00_bglt BgL_tmpz00_11158;

				BgL_tmpz00_11158 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1652z00_7120));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11158, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1652z00_7120));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1652z00_7120));
		}

	}



/* &<@anonymous:3791> */
	obj_t BGl_z62zc3z04anonymousza33791ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7121, obj_t BgL_new1651z00_7122)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_11166;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11170;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8570;

						BgL_classz00_8570 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1113z00_8571;

							BgL__ortest_1113z00_8571 = BGL_CLASS_NIL(BgL_classz00_8570);
							if (CBOOL(BgL__ortest_1113z00_8571))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11170 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8571);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11170 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8570));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11170), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1651z00_7122))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_11186;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8572;

						BgL_classz00_8572 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1113z00_8573;

							BgL__ortest_1113z00_8573 = BGL_CLASS_NIL(BgL_classz00_8572);
							if (CBOOL(BgL__ortest_1113z00_8573))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11186 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8573);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11186 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8572));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11186), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_11196;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8574;

						BgL_classz00_8574 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1113z00_8575;

							BgL__ortest_1113z00_8575 = BGL_CLASS_NIL(BgL_classz00_8574);
							if (CBOOL(BgL__ortest_1113z00_8575))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11196 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8575);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11196 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8574));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_11196), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11209;

					{
						obj_t BgL_auxz00_11210;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11211;

							BgL_tmpz00_11211 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122));
							BgL_auxz00_11210 = BGL_OBJECT_WIDENING(BgL_tmpz00_11211);
						}
						BgL_auxz00_11209 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11210);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11209))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11217;

					{
						obj_t BgL_auxz00_11218;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11219;

							BgL_tmpz00_11219 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122));
							BgL_auxz00_11218 = BGL_OBJECT_WIDENING(BgL_tmpz00_11219);
						}
						BgL_auxz00_11217 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11218);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11217))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11225;

					{
						obj_t BgL_auxz00_11226;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11227;

							BgL_tmpz00_11227 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122));
							BgL_auxz00_11226 = BGL_OBJECT_WIDENING(BgL_tmpz00_11227);
						}
						BgL_auxz00_11225 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11226);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11225))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11233;

					{
						obj_t BgL_auxz00_11234;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11235;

							BgL_tmpz00_11235 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122));
							BgL_auxz00_11234 = BGL_OBJECT_WIDENING(BgL_tmpz00_11235);
						}
						BgL_auxz00_11233 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11234);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11233))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11166 = ((BgL_makezd2boxzd2_bglt) BgL_new1651z00_7122);
				return ((obj_t) BgL_auxz00_11166);
			}
		}

	}



/* &lambda3789 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3789z62zzliveness_typesz00(obj_t
		BgL_envz00_7123, obj_t BgL_o1648z00_7124)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzf2livenessz20_bglt BgL_wide1650z00_8577;

				BgL_wide1650z00_8577 =
					((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 215 */
					obj_t BgL_auxz00_11248;
					BgL_objectz00_bglt BgL_tmpz00_11244;

					BgL_auxz00_11248 = ((obj_t) BgL_wide1650z00_8577);
					BgL_tmpz00_11244 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1648z00_7124)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11244, BgL_auxz00_11248);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1648z00_7124)));
				{	/* Liveness/types.scm 215 */
					long BgL_arg3790z00_8578;

					BgL_arg3790z00_8578 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1648z00_7124))),
						BgL_arg3790z00_8578);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1648z00_7124)));
			}
		}

	}



/* &lambda3786 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3786z62zzliveness_typesz00(obj_t
		BgL_envz00_7125, obj_t BgL_loc1637z00_7126, obj_t BgL_type1638z00_7127,
		obj_t BgL_sidezd2effect1639zd2_7128, obj_t BgL_key1640z00_7129,
		obj_t BgL_value1641z00_7130, obj_t BgL_vtype1642z00_7131,
		obj_t BgL_stackable1643z00_7132, obj_t BgL_def1644z00_7133,
		obj_t BgL_use1645z00_7134, obj_t BgL_in1646z00_7135,
		obj_t BgL_out1647z00_7136)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzd2_bglt BgL_new1847z00_8586;

				{	/* Liveness/types.scm 215 */
					BgL_makezd2boxzd2_bglt BgL_tmp1845z00_8587;
					BgL_makezd2boxzf2livenessz20_bglt BgL_wide1846z00_8588;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_11262;

						{	/* Liveness/types.scm 215 */
							BgL_makezd2boxzd2_bglt BgL_new1844z00_8589;

							BgL_new1844z00_8589 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Liveness/types.scm 215 */
								long BgL_arg3788z00_8590;

								BgL_arg3788z00_8590 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1844z00_8589),
									BgL_arg3788z00_8590);
							}
							{	/* Liveness/types.scm 215 */
								BgL_objectz00_bglt BgL_tmpz00_11267;

								BgL_tmpz00_11267 = ((BgL_objectz00_bglt) BgL_new1844z00_8589);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11267, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1844z00_8589);
							BgL_auxz00_11262 = BgL_new1844z00_8589;
						}
						BgL_tmp1845z00_8587 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_11262);
					}
					BgL_wide1846z00_8588 =
						((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 215 */
						obj_t BgL_auxz00_11275;
						BgL_objectz00_bglt BgL_tmpz00_11273;

						BgL_auxz00_11275 = ((obj_t) BgL_wide1846z00_8588);
						BgL_tmpz00_11273 = ((BgL_objectz00_bglt) BgL_tmp1845z00_8587);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11273, BgL_auxz00_11275);
					}
					((BgL_objectz00_bglt) BgL_tmp1845z00_8587);
					{	/* Liveness/types.scm 215 */
						long BgL_arg3787z00_8591;

						BgL_arg3787z00_8591 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1845z00_8587), BgL_arg3787z00_8591);
					}
					BgL_new1847z00_8586 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1845z00_8587);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1847z00_8586)))->BgL_locz00) =
					((obj_t) BgL_loc1637z00_7126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1847z00_8586)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1638z00_7127)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1847z00_8586)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1639zd2_7128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1847z00_8586)))->BgL_keyz00) =
					((obj_t) BgL_key1640z00_7129), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1847z00_8586)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1641z00_7130)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1847z00_8586)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1642z00_7131)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1847z00_8586)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1643z00_7132), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11300;

					{
						obj_t BgL_auxz00_11301;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11302;

							BgL_tmpz00_11302 = ((BgL_objectz00_bglt) BgL_new1847z00_8586);
							BgL_auxz00_11301 = BGL_OBJECT_WIDENING(BgL_tmpz00_11302);
						}
						BgL_auxz00_11300 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11301);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11300))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1644z00_7133)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11308;

					{
						obj_t BgL_auxz00_11309;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11310;

							BgL_tmpz00_11310 = ((BgL_objectz00_bglt) BgL_new1847z00_8586);
							BgL_auxz00_11309 = BGL_OBJECT_WIDENING(BgL_tmpz00_11310);
						}
						BgL_auxz00_11308 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11309);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11308))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1645z00_7134)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11316;

					{
						obj_t BgL_auxz00_11317;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11318;

							BgL_tmpz00_11318 = ((BgL_objectz00_bglt) BgL_new1847z00_8586);
							BgL_auxz00_11317 = BGL_OBJECT_WIDENING(BgL_tmpz00_11318);
						}
						BgL_auxz00_11316 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11317);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11316))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1646z00_7135)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11324;

					{
						obj_t BgL_auxz00_11325;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11326;

							BgL_tmpz00_11326 = ((BgL_objectz00_bglt) BgL_new1847z00_8586);
							BgL_auxz00_11325 = BGL_OBJECT_WIDENING(BgL_tmpz00_11326);
						}
						BgL_auxz00_11324 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11325);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11324))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1647z00_7136)), BUNSPEC);
				}
				return BgL_new1847z00_8586;
			}
		}

	}



/* &<@anonymous:3823> */
	obj_t BGl_z62zc3z04anonymousza33823ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7137)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3822 */
	obj_t BGl_z62lambda3822z62zzliveness_typesz00(obj_t BgL_envz00_7138,
		obj_t BgL_oz00_7139, obj_t BgL_vz00_7140)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11332;

				{
					obj_t BgL_auxz00_11333;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11334;

						BgL_tmpz00_11334 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7139));
						BgL_auxz00_11333 = BGL_OBJECT_WIDENING(BgL_tmpz00_11334);
					}
					BgL_auxz00_11332 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11333);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11332))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7140)), BUNSPEC);
			}
		}

	}



/* &lambda3821 */
	obj_t BGl_z62lambda3821z62zzliveness_typesz00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11341;

				{
					obj_t BgL_auxz00_11342;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11343;

						BgL_tmpz00_11343 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7142));
						BgL_auxz00_11342 = BGL_OBJECT_WIDENING(BgL_tmpz00_11343);
					}
					BgL_auxz00_11341 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11342);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11341))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3816> */
	obj_t BGl_z62zc3z04anonymousza33816ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7143)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3815 */
	obj_t BGl_z62lambda3815z62zzliveness_typesz00(obj_t BgL_envz00_7144,
		obj_t BgL_oz00_7145, obj_t BgL_vz00_7146)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11349;

				{
					obj_t BgL_auxz00_11350;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11351;

						BgL_tmpz00_11351 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7145));
						BgL_auxz00_11350 = BGL_OBJECT_WIDENING(BgL_tmpz00_11351);
					}
					BgL_auxz00_11349 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11350);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11349))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7146)), BUNSPEC);
			}
		}

	}



/* &lambda3814 */
	obj_t BGl_z62lambda3814z62zzliveness_typesz00(obj_t BgL_envz00_7147,
		obj_t BgL_oz00_7148)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11358;

				{
					obj_t BgL_auxz00_11359;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11360;

						BgL_tmpz00_11360 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7148));
						BgL_auxz00_11359 = BGL_OBJECT_WIDENING(BgL_tmpz00_11360);
					}
					BgL_auxz00_11358 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11359);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11358))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3809> */
	obj_t BGl_z62zc3z04anonymousza33809ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7149)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3808 */
	obj_t BGl_z62lambda3808z62zzliveness_typesz00(obj_t BgL_envz00_7150,
		obj_t BgL_oz00_7151, obj_t BgL_vz00_7152)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11366;

				{
					obj_t BgL_auxz00_11367;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11368;

						BgL_tmpz00_11368 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7151));
						BgL_auxz00_11367 = BGL_OBJECT_WIDENING(BgL_tmpz00_11368);
					}
					BgL_auxz00_11366 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11367);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11366))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7152)), BUNSPEC);
			}
		}

	}



/* &lambda3807 */
	obj_t BGl_z62lambda3807z62zzliveness_typesz00(obj_t BgL_envz00_7153,
		obj_t BgL_oz00_7154)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11375;

				{
					obj_t BgL_auxz00_11376;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11377;

						BgL_tmpz00_11377 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7154));
						BgL_auxz00_11376 = BGL_OBJECT_WIDENING(BgL_tmpz00_11377);
					}
					BgL_auxz00_11375 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11376);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11375))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3802> */
	obj_t BGl_z62zc3z04anonymousza33802ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7155)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3801 */
	obj_t BGl_z62lambda3801z62zzliveness_typesz00(obj_t BgL_envz00_7156,
		obj_t BgL_oz00_7157, obj_t BgL_vz00_7158)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11383;

				{
					obj_t BgL_auxz00_11384;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11385;

						BgL_tmpz00_11385 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7157));
						BgL_auxz00_11384 = BGL_OBJECT_WIDENING(BgL_tmpz00_11385);
					}
					BgL_auxz00_11383 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11384);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11383))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7158)), BUNSPEC);
			}
		}

	}



/* &lambda3800 */
	obj_t BGl_z62lambda3800z62zzliveness_typesz00(obj_t BgL_envz00_7159,
		obj_t BgL_oz00_7160)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11392;

				{
					obj_t BgL_auxz00_11393;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11394;

						BgL_tmpz00_11394 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7160));
						BgL_auxz00_11393 = BGL_OBJECT_WIDENING(BgL_tmpz00_11394);
					}
					BgL_auxz00_11392 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11393);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11392))->
					BgL_defz00);
			}
		}

	}



/* &lambda3745 */
	BgL_returnz00_bglt BGl_z62lambda3745z62zzliveness_typesz00(obj_t
		BgL_envz00_7161, obj_t BgL_o1635z00_7162)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				long BgL_arg3747z00_8605;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_arg3748z00_8606;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3749z00_8607;

						{	/* Liveness/types.scm 209 */
							long BgL_arg1828z00_8608;

							{	/* Liveness/types.scm 209 */
								long BgL_arg1829z00_8609;

								BgL_arg1829z00_8609 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt) BgL_o1635z00_7162)));
								BgL_arg1828z00_8608 = (BgL_arg1829z00_8609 - OBJECT_TYPE);
							}
							BgL_arg3749z00_8607 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8608);
						}
						BgL_arg3748z00_8606 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3749z00_8607);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_tmpz00_11406;

						BgL_tmpz00_11406 = ((obj_t) BgL_arg3748z00_8606);
						BgL_arg3747z00_8605 = BGL_CLASS_NUM(BgL_tmpz00_11406);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) BgL_o1635z00_7162)), BgL_arg3747z00_8605);
			}
			{	/* Liveness/types.scm 209 */
				BgL_objectz00_bglt BgL_tmpz00_11412;

				BgL_tmpz00_11412 =
					((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1635z00_7162));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11412, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1635z00_7162));
			return ((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1635z00_7162));
		}

	}



/* &<@anonymous:3744> */
	obj_t BGl_z62zc3z04anonymousza33744ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7163, obj_t BgL_new1634z00_7164)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnz00_bglt BgL_auxz00_11420;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1634z00_7164))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11424;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8611;

						BgL_classz00_8611 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1113z00_8612;

							BgL__ortest_1113z00_8612 = BGL_CLASS_NIL(BgL_classz00_8611);
							if (CBOOL(BgL__ortest_1113z00_8612))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11424 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8612);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11424 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8611));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1634z00_7164))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11424), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_11434;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8613;

						BgL_classz00_8613 = BGl_retblockz00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1113z00_8614;

							BgL__ortest_1113z00_8614 = BGL_CLASS_NIL(BgL_classz00_8613);
							if (CBOOL(BgL__ortest_1113z00_8614))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11434 =
										((BgL_retblockz00_bglt) BgL__ortest_1113z00_8614);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11434 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8613));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1634z00_7164))))->
							BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_11434), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11444;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8615;

						BgL_classz00_8615 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1113z00_8616;

							BgL__ortest_1113z00_8616 = BGL_CLASS_NIL(BgL_classz00_8615);
							if (CBOOL(BgL__ortest_1113z00_8616))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11444 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8616);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11444 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8615));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1634z00_7164))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11444), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11454;

					{
						obj_t BgL_auxz00_11455;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11456;

							BgL_tmpz00_11456 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1634z00_7164));
							BgL_auxz00_11455 = BGL_OBJECT_WIDENING(BgL_tmpz00_11456);
						}
						BgL_auxz00_11454 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11455);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11454))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11462;

					{
						obj_t BgL_auxz00_11463;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11464;

							BgL_tmpz00_11464 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1634z00_7164));
							BgL_auxz00_11463 = BGL_OBJECT_WIDENING(BgL_tmpz00_11464);
						}
						BgL_auxz00_11462 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11463);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11462))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11470;

					{
						obj_t BgL_auxz00_11471;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11472;

							BgL_tmpz00_11472 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1634z00_7164));
							BgL_auxz00_11471 = BGL_OBJECT_WIDENING(BgL_tmpz00_11472);
						}
						BgL_auxz00_11470 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11471);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11470))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11478;

					{
						obj_t BgL_auxz00_11479;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11480;

							BgL_tmpz00_11480 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1634z00_7164));
							BgL_auxz00_11479 = BGL_OBJECT_WIDENING(BgL_tmpz00_11480);
						}
						BgL_auxz00_11478 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11479);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11478))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11420 = ((BgL_returnz00_bglt) BgL_new1634z00_7164);
				return ((obj_t) BgL_auxz00_11420);
			}
		}

	}



/* &lambda3741 */
	BgL_returnz00_bglt BGl_z62lambda3741z62zzliveness_typesz00(obj_t
		BgL_envz00_7165, obj_t BgL_o1631z00_7166)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnzf2livenesszf2_bglt BgL_wide1633z00_8618;

				BgL_wide1633z00_8618 =
					((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 209 */
					obj_t BgL_auxz00_11493;
					BgL_objectz00_bglt BgL_tmpz00_11489;

					BgL_auxz00_11493 = ((obj_t) BgL_wide1633z00_8618);
					BgL_tmpz00_11489 =
						((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1631z00_7166)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11489, BgL_auxz00_11493);
				}
				((BgL_objectz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1631z00_7166)));
				{	/* Liveness/types.scm 209 */
					long BgL_arg3743z00_8619;

					BgL_arg3743z00_8619 =
						BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_o1631z00_7166))),
						BgL_arg3743z00_8619);
				}
				return
					((BgL_returnz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1631z00_7166)));
			}
		}

	}



/* &lambda3737 */
	BgL_returnz00_bglt BGl_z62lambda3737z62zzliveness_typesz00(obj_t
		BgL_envz00_7167, obj_t BgL_loc1623z00_7168, obj_t BgL_type1624z00_7169,
		obj_t BgL_block1625z00_7170, obj_t BgL_value1626z00_7171,
		obj_t BgL_def1627z00_7172, obj_t BgL_use1628z00_7173,
		obj_t BgL_in1629z00_7174, obj_t BgL_out1630z00_7175)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnz00_bglt BgL_new1842z00_8627;

				{	/* Liveness/types.scm 209 */
					BgL_returnz00_bglt BgL_tmp1840z00_8628;
					BgL_returnzf2livenesszf2_bglt BgL_wide1841z00_8629;

					{
						BgL_returnz00_bglt BgL_auxz00_11507;

						{	/* Liveness/types.scm 209 */
							BgL_returnz00_bglt BgL_new1839z00_8630;

							BgL_new1839z00_8630 =
								((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnz00_bgl))));
							{	/* Liveness/types.scm 209 */
								long BgL_arg3740z00_8631;

								BgL_arg3740z00_8631 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1839z00_8630),
									BgL_arg3740z00_8631);
							}
							{	/* Liveness/types.scm 209 */
								BgL_objectz00_bglt BgL_tmpz00_11512;

								BgL_tmpz00_11512 = ((BgL_objectz00_bglt) BgL_new1839z00_8630);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11512, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1839z00_8630);
							BgL_auxz00_11507 = BgL_new1839z00_8630;
						}
						BgL_tmp1840z00_8628 = ((BgL_returnz00_bglt) BgL_auxz00_11507);
					}
					BgL_wide1841z00_8629 =
						((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 209 */
						obj_t BgL_auxz00_11520;
						BgL_objectz00_bglt BgL_tmpz00_11518;

						BgL_auxz00_11520 = ((obj_t) BgL_wide1841z00_8629);
						BgL_tmpz00_11518 = ((BgL_objectz00_bglt) BgL_tmp1840z00_8628);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11518, BgL_auxz00_11520);
					}
					((BgL_objectz00_bglt) BgL_tmp1840z00_8628);
					{	/* Liveness/types.scm 209 */
						long BgL_arg3738z00_8632;

						BgL_arg3738z00_8632 =
							BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1840z00_8628), BgL_arg3738z00_8632);
					}
					BgL_new1842z00_8627 = ((BgL_returnz00_bglt) BgL_tmp1840z00_8628);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1842z00_8627)))->BgL_locz00) =
					((obj_t) BgL_loc1623z00_7168), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1842z00_8627)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1624z00_7169)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1842z00_8627)))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1625z00_7170)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1842z00_8627)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1626z00_7171)),
					BUNSPEC);
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11539;

					{
						obj_t BgL_auxz00_11540;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11541;

							BgL_tmpz00_11541 = ((BgL_objectz00_bglt) BgL_new1842z00_8627);
							BgL_auxz00_11540 = BGL_OBJECT_WIDENING(BgL_tmpz00_11541);
						}
						BgL_auxz00_11539 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11540);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11539))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1627z00_7172)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11547;

					{
						obj_t BgL_auxz00_11548;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11549;

							BgL_tmpz00_11549 = ((BgL_objectz00_bglt) BgL_new1842z00_8627);
							BgL_auxz00_11548 = BGL_OBJECT_WIDENING(BgL_tmpz00_11549);
						}
						BgL_auxz00_11547 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11548);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11547))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1628z00_7173)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11555;

					{
						obj_t BgL_auxz00_11556;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11557;

							BgL_tmpz00_11557 = ((BgL_objectz00_bglt) BgL_new1842z00_8627);
							BgL_auxz00_11556 = BGL_OBJECT_WIDENING(BgL_tmpz00_11557);
						}
						BgL_auxz00_11555 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11556);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11555))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1629z00_7174)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11563;

					{
						obj_t BgL_auxz00_11564;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11565;

							BgL_tmpz00_11565 = ((BgL_objectz00_bglt) BgL_new1842z00_8627);
							BgL_auxz00_11564 = BGL_OBJECT_WIDENING(BgL_tmpz00_11565);
						}
						BgL_auxz00_11563 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11564);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11563))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1630z00_7175)), BUNSPEC);
				}
				return BgL_new1842z00_8627;
			}
		}

	}



/* &<@anonymous:3779> */
	obj_t BGl_z62zc3z04anonymousza33779ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7176)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3778 */
	obj_t BGl_z62lambda3778z62zzliveness_typesz00(obj_t BgL_envz00_7177,
		obj_t BgL_oz00_7178, obj_t BgL_vz00_7179)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11571;

				{
					obj_t BgL_auxz00_11572;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11573;

						BgL_tmpz00_11573 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7178));
						BgL_auxz00_11572 = BGL_OBJECT_WIDENING(BgL_tmpz00_11573);
					}
					BgL_auxz00_11571 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11572);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11571))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7179)), BUNSPEC);
			}
		}

	}



/* &lambda3777 */
	obj_t BGl_z62lambda3777z62zzliveness_typesz00(obj_t BgL_envz00_7180,
		obj_t BgL_oz00_7181)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11580;

				{
					obj_t BgL_auxz00_11581;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11582;

						BgL_tmpz00_11582 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7181));
						BgL_auxz00_11581 = BGL_OBJECT_WIDENING(BgL_tmpz00_11582);
					}
					BgL_auxz00_11580 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11581);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11580))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3772> */
	obj_t BGl_z62zc3z04anonymousza33772ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7182)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3771 */
	obj_t BGl_z62lambda3771z62zzliveness_typesz00(obj_t BgL_envz00_7183,
		obj_t BgL_oz00_7184, obj_t BgL_vz00_7185)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11588;

				{
					obj_t BgL_auxz00_11589;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11590;

						BgL_tmpz00_11590 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7184));
						BgL_auxz00_11589 = BGL_OBJECT_WIDENING(BgL_tmpz00_11590);
					}
					BgL_auxz00_11588 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11589);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11588))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7185)), BUNSPEC);
			}
		}

	}



/* &lambda3770 */
	obj_t BGl_z62lambda3770z62zzliveness_typesz00(obj_t BgL_envz00_7186,
		obj_t BgL_oz00_7187)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11597;

				{
					obj_t BgL_auxz00_11598;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11599;

						BgL_tmpz00_11599 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7187));
						BgL_auxz00_11598 = BGL_OBJECT_WIDENING(BgL_tmpz00_11599);
					}
					BgL_auxz00_11597 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11598);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11597))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3765> */
	obj_t BGl_z62zc3z04anonymousza33765ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7188)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3764 */
	obj_t BGl_z62lambda3764z62zzliveness_typesz00(obj_t BgL_envz00_7189,
		obj_t BgL_oz00_7190, obj_t BgL_vz00_7191)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11605;

				{
					obj_t BgL_auxz00_11606;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11607;

						BgL_tmpz00_11607 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7190));
						BgL_auxz00_11606 = BGL_OBJECT_WIDENING(BgL_tmpz00_11607);
					}
					BgL_auxz00_11605 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11606);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11605))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7191)), BUNSPEC);
			}
		}

	}



/* &lambda3763 */
	obj_t BGl_z62lambda3763z62zzliveness_typesz00(obj_t BgL_envz00_7192,
		obj_t BgL_oz00_7193)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11614;

				{
					obj_t BgL_auxz00_11615;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11616;

						BgL_tmpz00_11616 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7193));
						BgL_auxz00_11615 = BGL_OBJECT_WIDENING(BgL_tmpz00_11616);
					}
					BgL_auxz00_11614 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11615);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11614))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3757> */
	obj_t BGl_z62zc3z04anonymousza33757ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7194)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3756 */
	obj_t BGl_z62lambda3756z62zzliveness_typesz00(obj_t BgL_envz00_7195,
		obj_t BgL_oz00_7196, obj_t BgL_vz00_7197)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11622;

				{
					obj_t BgL_auxz00_11623;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11624;

						BgL_tmpz00_11624 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7196));
						BgL_auxz00_11623 = BGL_OBJECT_WIDENING(BgL_tmpz00_11624);
					}
					BgL_auxz00_11622 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11623);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11622))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7197)), BUNSPEC);
			}
		}

	}



/* &lambda3755 */
	obj_t BGl_z62lambda3755z62zzliveness_typesz00(obj_t BgL_envz00_7198,
		obj_t BgL_oz00_7199)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11631;

				{
					obj_t BgL_auxz00_11632;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11633;

						BgL_tmpz00_11633 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7199));
						BgL_auxz00_11632 = BGL_OBJECT_WIDENING(BgL_tmpz00_11633);
					}
					BgL_auxz00_11631 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11632);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11631))->
					BgL_defz00);
			}
		}

	}



/* &lambda3691 */
	BgL_retblockz00_bglt BGl_z62lambda3691z62zzliveness_typesz00(obj_t
		BgL_envz00_7200, obj_t BgL_o1621z00_7201)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				long BgL_arg3692z00_8646;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_arg3693z00_8647;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3694z00_8648;

						{	/* Liveness/types.scm 203 */
							long BgL_arg1828z00_8649;

							{	/* Liveness/types.scm 203 */
								long BgL_arg1829z00_8650;

								BgL_arg1829z00_8650 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1621z00_7201)));
								BgL_arg1828z00_8649 = (BgL_arg1829z00_8650 - OBJECT_TYPE);
							}
							BgL_arg3694z00_8648 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8649);
						}
						BgL_arg3693z00_8647 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3694z00_8648);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_tmpz00_11645;

						BgL_tmpz00_11645 = ((obj_t) BgL_arg3693z00_8647);
						BgL_arg3692z00_8646 = BGL_CLASS_NUM(BgL_tmpz00_11645);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1621z00_7201)), BgL_arg3692z00_8646);
			}
			{	/* Liveness/types.scm 203 */
				BgL_objectz00_bglt BgL_tmpz00_11651;

				BgL_tmpz00_11651 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1621z00_7201));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11651, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1621z00_7201));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1621z00_7201));
		}

	}



/* &<@anonymous:3690> */
	obj_t BGl_z62zc3z04anonymousza33690ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7202, obj_t BgL_new1620z00_7203)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockz00_bglt BgL_auxz00_11659;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1620z00_7203))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11663;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8652;

						BgL_classz00_8652 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1113z00_8653;

							BgL__ortest_1113z00_8653 = BGL_CLASS_NIL(BgL_classz00_8652);
							if (CBOOL(BgL__ortest_1113z00_8653))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11663 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8653);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11663 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8652));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1620z00_7203))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11663), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11673;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8654;

						BgL_classz00_8654 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1113z00_8655;

							BgL__ortest_1113z00_8655 = BGL_CLASS_NIL(BgL_classz00_8654);
							if (CBOOL(BgL__ortest_1113z00_8655))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11673 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8655);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_11673 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8654));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1620z00_7203))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_11673), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11683;

					{
						obj_t BgL_auxz00_11684;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11685;

							BgL_tmpz00_11685 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1620z00_7203));
							BgL_auxz00_11684 = BGL_OBJECT_WIDENING(BgL_tmpz00_11685);
						}
						BgL_auxz00_11683 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11684);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11683))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11691;

					{
						obj_t BgL_auxz00_11692;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11693;

							BgL_tmpz00_11693 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1620z00_7203));
							BgL_auxz00_11692 = BGL_OBJECT_WIDENING(BgL_tmpz00_11693);
						}
						BgL_auxz00_11691 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11692);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11691))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11699;

					{
						obj_t BgL_auxz00_11700;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11701;

							BgL_tmpz00_11701 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1620z00_7203));
							BgL_auxz00_11700 = BGL_OBJECT_WIDENING(BgL_tmpz00_11701);
						}
						BgL_auxz00_11699 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11700);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11699))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11707;

					{
						obj_t BgL_auxz00_11708;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11709;

							BgL_tmpz00_11709 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1620z00_7203));
							BgL_auxz00_11708 = BGL_OBJECT_WIDENING(BgL_tmpz00_11709);
						}
						BgL_auxz00_11707 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11708);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11707))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11659 = ((BgL_retblockz00_bglt) BgL_new1620z00_7203);
				return ((obj_t) BgL_auxz00_11659);
			}
		}

	}



/* &lambda3688 */
	BgL_retblockz00_bglt BGl_z62lambda3688z62zzliveness_typesz00(obj_t
		BgL_envz00_7204, obj_t BgL_o1617z00_7205)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockzf2livenesszf2_bglt BgL_wide1619z00_8657;

				BgL_wide1619z00_8657 =
					((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 203 */
					obj_t BgL_auxz00_11722;
					BgL_objectz00_bglt BgL_tmpz00_11718;

					BgL_auxz00_11722 = ((obj_t) BgL_wide1619z00_8657);
					BgL_tmpz00_11718 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1617z00_7205)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11718, BgL_auxz00_11722);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1617z00_7205)));
				{	/* Liveness/types.scm 203 */
					long BgL_arg3689z00_8658;

					BgL_arg3689z00_8658 =
						BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1617z00_7205))),
						BgL_arg3689z00_8658);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1617z00_7205)));
			}
		}

	}



/* &lambda3683 */
	BgL_retblockz00_bglt BGl_z62lambda3683z62zzliveness_typesz00(obj_t
		BgL_envz00_7206, obj_t BgL_loc1610z00_7207, obj_t BgL_type1611z00_7208,
		obj_t BgL_body1612z00_7209, obj_t BgL_def1613z00_7210,
		obj_t BgL_use1614z00_7211, obj_t BgL_in1615z00_7212,
		obj_t BgL_out1616z00_7213)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockz00_bglt BgL_new1837z00_8665;

				{	/* Liveness/types.scm 203 */
					BgL_retblockz00_bglt BgL_tmp1835z00_8666;
					BgL_retblockzf2livenesszf2_bglt BgL_wide1836z00_8667;

					{
						BgL_retblockz00_bglt BgL_auxz00_11736;

						{	/* Liveness/types.scm 203 */
							BgL_retblockz00_bglt BgL_new1834z00_8668;

							BgL_new1834z00_8668 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* Liveness/types.scm 203 */
								long BgL_arg3687z00_8669;

								BgL_arg3687z00_8669 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1834z00_8668),
									BgL_arg3687z00_8669);
							}
							{	/* Liveness/types.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_11741;

								BgL_tmpz00_11741 = ((BgL_objectz00_bglt) BgL_new1834z00_8668);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11741, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1834z00_8668);
							BgL_auxz00_11736 = BgL_new1834z00_8668;
						}
						BgL_tmp1835z00_8666 = ((BgL_retblockz00_bglt) BgL_auxz00_11736);
					}
					BgL_wide1836z00_8667 =
						((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 203 */
						obj_t BgL_auxz00_11749;
						BgL_objectz00_bglt BgL_tmpz00_11747;

						BgL_auxz00_11749 = ((obj_t) BgL_wide1836z00_8667);
						BgL_tmpz00_11747 = ((BgL_objectz00_bglt) BgL_tmp1835z00_8666);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11747, BgL_auxz00_11749);
					}
					((BgL_objectz00_bglt) BgL_tmp1835z00_8666);
					{	/* Liveness/types.scm 203 */
						long BgL_arg3685z00_8670;

						BgL_arg3685z00_8670 =
							BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1835z00_8666), BgL_arg3685z00_8670);
					}
					BgL_new1837z00_8665 = ((BgL_retblockz00_bglt) BgL_tmp1835z00_8666);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1837z00_8665)))->BgL_locz00) =
					((obj_t) BgL_loc1610z00_7207), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1837z00_8665)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1611z00_7208)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1837z00_8665)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1612z00_7209)),
					BUNSPEC);
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11765;

					{
						obj_t BgL_auxz00_11766;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11767;

							BgL_tmpz00_11767 = ((BgL_objectz00_bglt) BgL_new1837z00_8665);
							BgL_auxz00_11766 = BGL_OBJECT_WIDENING(BgL_tmpz00_11767);
						}
						BgL_auxz00_11765 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11766);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11765))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1613z00_7210)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11773;

					{
						obj_t BgL_auxz00_11774;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11775;

							BgL_tmpz00_11775 = ((BgL_objectz00_bglt) BgL_new1837z00_8665);
							BgL_auxz00_11774 = BGL_OBJECT_WIDENING(BgL_tmpz00_11775);
						}
						BgL_auxz00_11773 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11774);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11773))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1614z00_7211)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11781;

					{
						obj_t BgL_auxz00_11782;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11783;

							BgL_tmpz00_11783 = ((BgL_objectz00_bglt) BgL_new1837z00_8665);
							BgL_auxz00_11782 = BGL_OBJECT_WIDENING(BgL_tmpz00_11783);
						}
						BgL_auxz00_11781 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11782);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11781))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1615z00_7212)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11789;

					{
						obj_t BgL_auxz00_11790;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_11791;

							BgL_tmpz00_11791 = ((BgL_objectz00_bglt) BgL_new1837z00_8665);
							BgL_auxz00_11790 = BGL_OBJECT_WIDENING(BgL_tmpz00_11791);
						}
						BgL_auxz00_11789 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11790);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11789))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1616z00_7213)), BUNSPEC);
				}
				return BgL_new1837z00_8665;
			}
		}

	}



/* &<@anonymous:3729> */
	obj_t BGl_z62zc3z04anonymousza33729ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7214)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3728 */
	obj_t BGl_z62lambda3728z62zzliveness_typesz00(obj_t BgL_envz00_7215,
		obj_t BgL_oz00_7216, obj_t BgL_vz00_7217)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11797;

				{
					obj_t BgL_auxz00_11798;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11799;

						BgL_tmpz00_11799 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7216));
						BgL_auxz00_11798 = BGL_OBJECT_WIDENING(BgL_tmpz00_11799);
					}
					BgL_auxz00_11797 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11798);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11797))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7217)), BUNSPEC);
			}
		}

	}



/* &lambda3727 */
	obj_t BGl_z62lambda3727z62zzliveness_typesz00(obj_t BgL_envz00_7218,
		obj_t BgL_oz00_7219)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11806;

				{
					obj_t BgL_auxz00_11807;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11808;

						BgL_tmpz00_11808 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7219));
						BgL_auxz00_11807 = BGL_OBJECT_WIDENING(BgL_tmpz00_11808);
					}
					BgL_auxz00_11806 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11807);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11806))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3721> */
	obj_t BGl_z62zc3z04anonymousza33721ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7220)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3720 */
	obj_t BGl_z62lambda3720z62zzliveness_typesz00(obj_t BgL_envz00_7221,
		obj_t BgL_oz00_7222, obj_t BgL_vz00_7223)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11814;

				{
					obj_t BgL_auxz00_11815;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11816;

						BgL_tmpz00_11816 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7222));
						BgL_auxz00_11815 = BGL_OBJECT_WIDENING(BgL_tmpz00_11816);
					}
					BgL_auxz00_11814 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11815);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11814))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7223)), BUNSPEC);
			}
		}

	}



/* &lambda3719 */
	obj_t BGl_z62lambda3719z62zzliveness_typesz00(obj_t BgL_envz00_7224,
		obj_t BgL_oz00_7225)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11823;

				{
					obj_t BgL_auxz00_11824;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11825;

						BgL_tmpz00_11825 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7225));
						BgL_auxz00_11824 = BGL_OBJECT_WIDENING(BgL_tmpz00_11825);
					}
					BgL_auxz00_11823 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11824);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11823))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3712> */
	obj_t BGl_z62zc3z04anonymousza33712ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7226)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3711 */
	obj_t BGl_z62lambda3711z62zzliveness_typesz00(obj_t BgL_envz00_7227,
		obj_t BgL_oz00_7228, obj_t BgL_vz00_7229)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11831;

				{
					obj_t BgL_auxz00_11832;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11833;

						BgL_tmpz00_11833 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7228));
						BgL_auxz00_11832 = BGL_OBJECT_WIDENING(BgL_tmpz00_11833);
					}
					BgL_auxz00_11831 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11832);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11831))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7229)), BUNSPEC);
			}
		}

	}



/* &lambda3710 */
	obj_t BGl_z62lambda3710z62zzliveness_typesz00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11840;

				{
					obj_t BgL_auxz00_11841;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11842;

						BgL_tmpz00_11842 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7231));
						BgL_auxz00_11841 = BGL_OBJECT_WIDENING(BgL_tmpz00_11842);
					}
					BgL_auxz00_11840 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11841);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11840))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3703> */
	obj_t BGl_z62zc3z04anonymousza33703ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7232)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3702 */
	obj_t BGl_z62lambda3702z62zzliveness_typesz00(obj_t BgL_envz00_7233,
		obj_t BgL_oz00_7234, obj_t BgL_vz00_7235)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11848;

				{
					obj_t BgL_auxz00_11849;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11850;

						BgL_tmpz00_11850 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7234));
						BgL_auxz00_11849 = BGL_OBJECT_WIDENING(BgL_tmpz00_11850);
					}
					BgL_auxz00_11848 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11849);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11848))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7235)), BUNSPEC);
			}
		}

	}



/* &lambda3701 */
	obj_t BGl_z62lambda3701z62zzliveness_typesz00(obj_t BgL_envz00_7236,
		obj_t BgL_oz00_7237)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_11857;

				{
					obj_t BgL_auxz00_11858;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_11859;

						BgL_tmpz00_11859 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7237));
						BgL_auxz00_11858 = BGL_OBJECT_WIDENING(BgL_tmpz00_11859);
					}
					BgL_auxz00_11857 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_11858);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11857))->
					BgL_defz00);
			}
		}

	}



/* &lambda3637 */
	BgL_syncz00_bglt BGl_z62lambda3637z62zzliveness_typesz00(obj_t
		BgL_envz00_7238, obj_t BgL_o1608z00_7239)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				long BgL_arg3638z00_8684;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_arg3639z00_8685;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3640z00_8686;

						{	/* Liveness/types.scm 197 */
							long BgL_arg1828z00_8687;

							{	/* Liveness/types.scm 197 */
								long BgL_arg1829z00_8688;

								BgL_arg1829z00_8688 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1608z00_7239)));
								BgL_arg1828z00_8687 = (BgL_arg1829z00_8688 - OBJECT_TYPE);
							}
							BgL_arg3640z00_8686 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8687);
						}
						BgL_arg3639z00_8685 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3640z00_8686);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_tmpz00_11871;

						BgL_tmpz00_11871 = ((obj_t) BgL_arg3639z00_8685);
						BgL_arg3638z00_8684 = BGL_CLASS_NUM(BgL_tmpz00_11871);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1608z00_7239)), BgL_arg3638z00_8684);
			}
			{	/* Liveness/types.scm 197 */
				BgL_objectz00_bglt BgL_tmpz00_11877;

				BgL_tmpz00_11877 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1608z00_7239));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11877, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1608z00_7239));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1608z00_7239));
		}

	}



/* &<@anonymous:3636> */
	obj_t BGl_z62zc3z04anonymousza33636ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7240, obj_t BgL_new1607z00_7241)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_syncz00_bglt BgL_auxz00_11885;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1607z00_7241))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11889;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8690;

						BgL_classz00_8690 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1113z00_8691;

							BgL__ortest_1113z00_8691 = BGL_CLASS_NIL(BgL_classz00_8690);
							if (CBOOL(BgL__ortest_1113z00_8691))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11889 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8691);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11889 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8690));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1607z00_7241))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_11889), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11899;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8692;

						BgL_classz00_8692 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1113z00_8693;

							BgL__ortest_1113z00_8693 = BGL_CLASS_NIL(BgL_classz00_8692);
							if (CBOOL(BgL__ortest_1113z00_8693))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11899 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8693);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11899 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8692));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1607z00_7241))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11899), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11909;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8694;

						BgL_classz00_8694 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1113z00_8695;

							BgL__ortest_1113z00_8695 = BGL_CLASS_NIL(BgL_classz00_8694);
							if (CBOOL(BgL__ortest_1113z00_8695))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11909 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8695);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11909 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8694));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1607z00_7241))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_11909), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11919;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8696;

						BgL_classz00_8696 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1113z00_8697;

							BgL__ortest_1113z00_8697 = BGL_CLASS_NIL(BgL_classz00_8696);
							if (CBOOL(BgL__ortest_1113z00_8697))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11919 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8697);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_11919 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8696));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1607z00_7241))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11919), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11929;

					{
						obj_t BgL_auxz00_11930;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11931;

							BgL_tmpz00_11931 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1607z00_7241));
							BgL_auxz00_11930 = BGL_OBJECT_WIDENING(BgL_tmpz00_11931);
						}
						BgL_auxz00_11929 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11930);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11929))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11937;

					{
						obj_t BgL_auxz00_11938;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11939;

							BgL_tmpz00_11939 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1607z00_7241));
							BgL_auxz00_11938 = BGL_OBJECT_WIDENING(BgL_tmpz00_11939);
						}
						BgL_auxz00_11937 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11938);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11937))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11945;

					{
						obj_t BgL_auxz00_11946;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11947;

							BgL_tmpz00_11947 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1607z00_7241));
							BgL_auxz00_11946 = BGL_OBJECT_WIDENING(BgL_tmpz00_11947);
						}
						BgL_auxz00_11945 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11946);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11945))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_11953;

					{
						obj_t BgL_auxz00_11954;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_11955;

							BgL_tmpz00_11955 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1607z00_7241));
							BgL_auxz00_11954 = BGL_OBJECT_WIDENING(BgL_tmpz00_11955);
						}
						BgL_auxz00_11953 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_11954);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_11953))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11885 = ((BgL_syncz00_bglt) BgL_new1607z00_7241);
				return ((obj_t) BgL_auxz00_11885);
			}
		}

	}



/* &lambda3634 */
	BgL_syncz00_bglt BGl_z62lambda3634z62zzliveness_typesz00(obj_t
		BgL_envz00_7242, obj_t BgL_o1604z00_7243)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_synczf2livenesszf2_bglt BgL_wide1606z00_8699;

				BgL_wide1606z00_8699 =
					((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_synczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 197 */
					obj_t BgL_auxz00_11968;
					BgL_objectz00_bglt BgL_tmpz00_11964;

					BgL_auxz00_11968 = ((obj_t) BgL_wide1606z00_8699);
					BgL_tmpz00_11964 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1604z00_7243)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11964, BgL_auxz00_11968);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1604z00_7243)));
				{	/* Liveness/types.scm 197 */
					long BgL_arg3635z00_8700;

					BgL_arg3635z00_8700 =
						BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1604z00_7243))), BgL_arg3635z00_8700);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1604z00_7243)));
			}
		}

	}



/* &lambda3631 */
	BgL_syncz00_bglt BGl_z62lambda3631z62zzliveness_typesz00(obj_t
		BgL_envz00_7244, obj_t BgL_loc1595z00_7245, obj_t BgL_type1596z00_7246,
		obj_t BgL_mutex1597z00_7247, obj_t BgL_prelock1598z00_7248,
		obj_t BgL_body1599z00_7249, obj_t BgL_def1600z00_7250,
		obj_t BgL_use1601z00_7251, obj_t BgL_in1602z00_7252,
		obj_t BgL_out1603z00_7253)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_syncz00_bglt BgL_new1832z00_8709;

				{	/* Liveness/types.scm 197 */
					BgL_syncz00_bglt BgL_tmp1830z00_8710;
					BgL_synczf2livenesszf2_bglt BgL_wide1831z00_8711;

					{
						BgL_syncz00_bglt BgL_auxz00_11982;

						{	/* Liveness/types.scm 197 */
							BgL_syncz00_bglt BgL_new1829z00_8712;

							BgL_new1829z00_8712 =
								((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_syncz00_bgl))));
							{	/* Liveness/types.scm 197 */
								long BgL_arg3633z00_8713;

								BgL_arg3633z00_8713 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1829z00_8712),
									BgL_arg3633z00_8713);
							}
							{	/* Liveness/types.scm 197 */
								BgL_objectz00_bglt BgL_tmpz00_11987;

								BgL_tmpz00_11987 = ((BgL_objectz00_bglt) BgL_new1829z00_8712);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11987, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1829z00_8712);
							BgL_auxz00_11982 = BgL_new1829z00_8712;
						}
						BgL_tmp1830z00_8710 = ((BgL_syncz00_bglt) BgL_auxz00_11982);
					}
					BgL_wide1831z00_8711 =
						((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_synczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 197 */
						obj_t BgL_auxz00_11995;
						BgL_objectz00_bglt BgL_tmpz00_11993;

						BgL_auxz00_11995 = ((obj_t) BgL_wide1831z00_8711);
						BgL_tmpz00_11993 = ((BgL_objectz00_bglt) BgL_tmp1830z00_8710);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11993, BgL_auxz00_11995);
					}
					((BgL_objectz00_bglt) BgL_tmp1830z00_8710);
					{	/* Liveness/types.scm 197 */
						long BgL_arg3632z00_8714;

						BgL_arg3632z00_8714 =
							BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1830z00_8710), BgL_arg3632z00_8714);
					}
					BgL_new1832z00_8709 = ((BgL_syncz00_bglt) BgL_tmp1830z00_8710);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1832z00_8709)))->BgL_locz00) =
					((obj_t) BgL_loc1595z00_7245), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1832z00_8709)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1596z00_7246)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1832z00_8709)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1597z00_7247)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1832z00_8709)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1598z00_7248)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1832z00_8709)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1599z00_7249)),
					BUNSPEC);
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12017;

					{
						obj_t BgL_auxz00_12018;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12019;

							BgL_tmpz00_12019 = ((BgL_objectz00_bglt) BgL_new1832z00_8709);
							BgL_auxz00_12018 = BGL_OBJECT_WIDENING(BgL_tmpz00_12019);
						}
						BgL_auxz00_12017 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12018);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12017))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1600z00_7250)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12025;

					{
						obj_t BgL_auxz00_12026;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12027;

							BgL_tmpz00_12027 = ((BgL_objectz00_bglt) BgL_new1832z00_8709);
							BgL_auxz00_12026 = BGL_OBJECT_WIDENING(BgL_tmpz00_12027);
						}
						BgL_auxz00_12025 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12026);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12025))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1601z00_7251)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12033;

					{
						obj_t BgL_auxz00_12034;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12035;

							BgL_tmpz00_12035 = ((BgL_objectz00_bglt) BgL_new1832z00_8709);
							BgL_auxz00_12034 = BGL_OBJECT_WIDENING(BgL_tmpz00_12035);
						}
						BgL_auxz00_12033 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12034);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12033))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1602z00_7252)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12041;

					{
						obj_t BgL_auxz00_12042;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12043;

							BgL_tmpz00_12043 = ((BgL_objectz00_bglt) BgL_new1832z00_8709);
							BgL_auxz00_12042 = BGL_OBJECT_WIDENING(BgL_tmpz00_12043);
						}
						BgL_auxz00_12041 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12042);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12041))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1603z00_7253)), BUNSPEC);
				}
				return BgL_new1832z00_8709;
			}
		}

	}



/* &<@anonymous:3675> */
	obj_t BGl_z62zc3z04anonymousza33675ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7254)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3674 */
	obj_t BGl_z62lambda3674z62zzliveness_typesz00(obj_t BgL_envz00_7255,
		obj_t BgL_oz00_7256, obj_t BgL_vz00_7257)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12049;

				{
					obj_t BgL_auxz00_12050;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12051;

						BgL_tmpz00_12051 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7256));
						BgL_auxz00_12050 = BGL_OBJECT_WIDENING(BgL_tmpz00_12051);
					}
					BgL_auxz00_12049 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12050);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12049))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7257)), BUNSPEC);
			}
		}

	}



/* &lambda3673 */
	obj_t BGl_z62lambda3673z62zzliveness_typesz00(obj_t BgL_envz00_7258,
		obj_t BgL_oz00_7259)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12058;

				{
					obj_t BgL_auxz00_12059;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12060;

						BgL_tmpz00_12060 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7259));
						BgL_auxz00_12059 = BGL_OBJECT_WIDENING(BgL_tmpz00_12060);
					}
					BgL_auxz00_12058 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12059);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12058))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3666> */
	obj_t BGl_z62zc3z04anonymousza33666ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7260)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3665 */
	obj_t BGl_z62lambda3665z62zzliveness_typesz00(obj_t BgL_envz00_7261,
		obj_t BgL_oz00_7262, obj_t BgL_vz00_7263)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12066;

				{
					obj_t BgL_auxz00_12067;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12068;

						BgL_tmpz00_12068 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7262));
						BgL_auxz00_12067 = BGL_OBJECT_WIDENING(BgL_tmpz00_12068);
					}
					BgL_auxz00_12066 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12067);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12066))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7263)), BUNSPEC);
			}
		}

	}



/* &lambda3664 */
	obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t BgL_envz00_7264,
		obj_t BgL_oz00_7265)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12075;

				{
					obj_t BgL_auxz00_12076;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12077;

						BgL_tmpz00_12077 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7265));
						BgL_auxz00_12076 = BGL_OBJECT_WIDENING(BgL_tmpz00_12077);
					}
					BgL_auxz00_12075 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12076);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12075))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3657> */
	obj_t BGl_z62zc3z04anonymousza33657ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7266)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3656 */
	obj_t BGl_z62lambda3656z62zzliveness_typesz00(obj_t BgL_envz00_7267,
		obj_t BgL_oz00_7268, obj_t BgL_vz00_7269)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12083;

				{
					obj_t BgL_auxz00_12084;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12085;

						BgL_tmpz00_12085 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7268));
						BgL_auxz00_12084 = BGL_OBJECT_WIDENING(BgL_tmpz00_12085);
					}
					BgL_auxz00_12083 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12084);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12083))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7269)), BUNSPEC);
			}
		}

	}



/* &lambda3655 */
	obj_t BGl_z62lambda3655z62zzliveness_typesz00(obj_t BgL_envz00_7270,
		obj_t BgL_oz00_7271)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12092;

				{
					obj_t BgL_auxz00_12093;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12094;

						BgL_tmpz00_12094 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7271));
						BgL_auxz00_12093 = BGL_OBJECT_WIDENING(BgL_tmpz00_12094);
					}
					BgL_auxz00_12092 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12093);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12092))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3648> */
	obj_t BGl_z62zc3z04anonymousza33648ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7272)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3647 */
	obj_t BGl_z62lambda3647z62zzliveness_typesz00(obj_t BgL_envz00_7273,
		obj_t BgL_oz00_7274, obj_t BgL_vz00_7275)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12100;

				{
					obj_t BgL_auxz00_12101;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12102;

						BgL_tmpz00_12102 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7274));
						BgL_auxz00_12101 = BGL_OBJECT_WIDENING(BgL_tmpz00_12102);
					}
					BgL_auxz00_12100 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12101);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12100))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7275)), BUNSPEC);
			}
		}

	}



/* &lambda3646 */
	obj_t BGl_z62lambda3646z62zzliveness_typesz00(obj_t BgL_envz00_7276,
		obj_t BgL_oz00_7277)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12109;

				{
					obj_t BgL_auxz00_12110;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12111;

						BgL_tmpz00_12111 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7277));
						BgL_auxz00_12110 = BGL_OBJECT_WIDENING(BgL_tmpz00_12111);
					}
					BgL_auxz00_12109 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12110);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12109))->
					BgL_defz00);
			}
		}

	}



/* &lambda3587 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3587z62zzliveness_typesz00(obj_t
		BgL_envz00_7278, obj_t BgL_o1593z00_7279)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				long BgL_arg3588z00_8728;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_arg3589z00_8729;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3591z00_8730;

						{	/* Liveness/types.scm 191 */
							long BgL_arg1828z00_8731;

							{	/* Liveness/types.scm 191 */
								long BgL_arg1829z00_8732;

								BgL_arg1829z00_8732 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_o1593z00_7279)));
								BgL_arg1828z00_8731 = (BgL_arg1829z00_8732 - OBJECT_TYPE);
							}
							BgL_arg3591z00_8730 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8731);
						}
						BgL_arg3589z00_8729 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3591z00_8730);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_tmpz00_12123;

						BgL_tmpz00_12123 = ((obj_t) BgL_arg3589z00_8729);
						BgL_arg3588z00_8728 = BGL_CLASS_NUM(BgL_tmpz00_12123);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1593z00_7279)),
					BgL_arg3588z00_8728);
			}
			{	/* Liveness/types.scm 191 */
				BgL_objectz00_bglt BgL_tmpz00_12129;

				BgL_tmpz00_12129 =
					((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt) BgL_o1593z00_7279));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12129, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_o1593z00_7279));
			return
				((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_o1593z00_7279));
		}

	}



/* &<@anonymous:3586> */
	obj_t BGl_z62zc3z04anonymousza33586ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7280, obj_t BgL_new1592z00_7281)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12137;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12141;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8734;

						BgL_classz00_8734 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1113z00_8735;

							BgL__ortest_1113z00_8735 = BGL_CLASS_NIL(BgL_classz00_8734);
							if (CBOOL(BgL__ortest_1113z00_8735))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12141 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8735);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12141 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8734));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12141), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12151;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8736;

						BgL_classz00_8736 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1113z00_8737;

							BgL__ortest_1113z00_8737 = BGL_CLASS_NIL(BgL_classz00_8736);
							if (CBOOL(BgL__ortest_1113z00_8737))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12151 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8737);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12151 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8736));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281))))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12151), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12161;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8738;

						BgL_classz00_8738 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1113z00_8739;

							BgL__ortest_1113z00_8739 = BGL_CLASS_NIL(BgL_classz00_8738);
							if (CBOOL(BgL__ortest_1113z00_8739))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12161 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8739);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12161 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8738));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12161), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12171;

					{
						obj_t BgL_auxz00_12172;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12173;

							BgL_tmpz00_12173 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281));
							BgL_auxz00_12172 = BGL_OBJECT_WIDENING(BgL_tmpz00_12173);
						}
						BgL_auxz00_12171 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12172);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12171))->BgL_defz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12179;

					{
						obj_t BgL_auxz00_12180;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12181;

							BgL_tmpz00_12181 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281));
							BgL_auxz00_12180 = BGL_OBJECT_WIDENING(BgL_tmpz00_12181);
						}
						BgL_auxz00_12179 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12180);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12179))->BgL_usez00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12187;

					{
						obj_t BgL_auxz00_12188;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12189;

							BgL_tmpz00_12189 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281));
							BgL_auxz00_12188 = BGL_OBJECT_WIDENING(BgL_tmpz00_12189);
						}
						BgL_auxz00_12187 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12188);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12187))->BgL_inz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12195;

					{
						obj_t BgL_auxz00_12196;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12197;

							BgL_tmpz00_12197 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281));
							BgL_auxz00_12196 = BGL_OBJECT_WIDENING(BgL_tmpz00_12197);
						}
						BgL_auxz00_12195 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12196);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12195))->BgL_outz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12137 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1592z00_7281);
				return ((obj_t) BgL_auxz00_12137);
			}
		}

	}



/* &lambda3583 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3583z62zzliveness_typesz00(obj_t
		BgL_envz00_7282, obj_t BgL_o1589z00_7283)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1591z00_8741;

				BgL_wide1591z00_8741 =
					((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 191 */
					obj_t BgL_auxz00_12210;
					BgL_objectz00_bglt BgL_tmpz00_12206;

					BgL_auxz00_12210 = ((obj_t) BgL_wide1591z00_8741);
					BgL_tmpz00_12206 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_o1589z00_7283)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12206, BgL_auxz00_12210);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1589z00_7283)));
				{	/* Liveness/types.scm 191 */
					long BgL_arg3585z00_8742;

					BgL_arg3585z00_8742 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_o1589z00_7283))),
						BgL_arg3585z00_8742);
				}
				return
					((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1589z00_7283)));
			}
		}

	}



/* &lambda3580 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3580z62zzliveness_typesz00(obj_t
		BgL_envz00_7284, obj_t BgL_loc1581z00_7285, obj_t BgL_type1582z00_7286,
		obj_t BgL_exit1583z00_7287, obj_t BgL_value1584z00_7288,
		obj_t BgL_def1585z00_7289, obj_t BgL_use1586z00_7290,
		obj_t BgL_in1587z00_7291, obj_t BgL_out1588z00_7292)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1827z00_8750;

				{	/* Liveness/types.scm 191 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1825z00_8751;
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1826z00_8752;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12224;

						{	/* Liveness/types.scm 191 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1824z00_8753;

							BgL_new1824z00_8753 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 191 */
								long BgL_arg3582z00_8754;

								BgL_arg3582z00_8754 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1824z00_8753),
									BgL_arg3582z00_8754);
							}
							{	/* Liveness/types.scm 191 */
								BgL_objectz00_bglt BgL_tmpz00_12229;

								BgL_tmpz00_12229 = ((BgL_objectz00_bglt) BgL_new1824z00_8753);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12229, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1824z00_8753);
							BgL_auxz00_12224 = BgL_new1824z00_8753;
						}
						BgL_tmp1825z00_8751 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_12224);
					}
					BgL_wide1826z00_8752 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 191 */
						obj_t BgL_auxz00_12237;
						BgL_objectz00_bglt BgL_tmpz00_12235;

						BgL_auxz00_12237 = ((obj_t) BgL_wide1826z00_8752);
						BgL_tmpz00_12235 = ((BgL_objectz00_bglt) BgL_tmp1825z00_8751);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12235, BgL_auxz00_12237);
					}
					((BgL_objectz00_bglt) BgL_tmp1825z00_8751);
					{	/* Liveness/types.scm 191 */
						long BgL_arg3581z00_8755;

						BgL_arg3581z00_8755 =
							BGL_CLASS_NUM
							(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) BgL_tmp1825z00_8751),
							BgL_arg3581z00_8755);
					}
					BgL_new1827z00_8750 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1825z00_8751);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1827z00_8750)))->BgL_locz00) =
					((obj_t) BgL_loc1581z00_7285), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1827z00_8750)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1582z00_7286)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1827z00_8750)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1583z00_7287)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1827z00_8750)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1584z00_7288)),
					BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12256;

					{
						obj_t BgL_auxz00_12257;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12258;

							BgL_tmpz00_12258 = ((BgL_objectz00_bglt) BgL_new1827z00_8750);
							BgL_auxz00_12257 = BGL_OBJECT_WIDENING(BgL_tmpz00_12258);
						}
						BgL_auxz00_12256 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12257);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12256))->BgL_defz00) =
						((obj_t) ((obj_t) BgL_def1585z00_7289)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12264;

					{
						obj_t BgL_auxz00_12265;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12266;

							BgL_tmpz00_12266 = ((BgL_objectz00_bglt) BgL_new1827z00_8750);
							BgL_auxz00_12265 = BGL_OBJECT_WIDENING(BgL_tmpz00_12266);
						}
						BgL_auxz00_12264 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12265);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12264))->BgL_usez00) =
						((obj_t) ((obj_t) BgL_use1586z00_7290)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12272;

					{
						obj_t BgL_auxz00_12273;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12274;

							BgL_tmpz00_12274 = ((BgL_objectz00_bglt) BgL_new1827z00_8750);
							BgL_auxz00_12273 = BGL_OBJECT_WIDENING(BgL_tmpz00_12274);
						}
						BgL_auxz00_12272 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12273);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12272))->BgL_inz00) =
						((obj_t) ((obj_t) BgL_in1587z00_7291)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12280;

					{
						obj_t BgL_auxz00_12281;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12282;

							BgL_tmpz00_12282 = ((BgL_objectz00_bglt) BgL_new1827z00_8750);
							BgL_auxz00_12281 = BGL_OBJECT_WIDENING(BgL_tmpz00_12282);
						}
						BgL_auxz00_12280 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12281);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12280))->BgL_outz00) =
						((obj_t) ((obj_t) BgL_out1588z00_7292)), BUNSPEC);
				}
				return BgL_new1827z00_8750;
			}
		}

	}



/* &<@anonymous:3623> */
	obj_t BGl_z62zc3z04anonymousza33623ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7293)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3622 */
	obj_t BGl_z62lambda3622z62zzliveness_typesz00(obj_t BgL_envz00_7294,
		obj_t BgL_oz00_7295, obj_t BgL_vz00_7296)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12288;

				{
					obj_t BgL_auxz00_12289;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12290;

						BgL_tmpz00_12290 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7295));
						BgL_auxz00_12289 = BGL_OBJECT_WIDENING(BgL_tmpz00_12290);
					}
					BgL_auxz00_12288 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12289);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12288))->BgL_outz00) =
					((obj_t) ((obj_t) BgL_vz00_7296)), BUNSPEC);
			}
		}

	}



/* &lambda3621 */
	obj_t BGl_z62lambda3621z62zzliveness_typesz00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12297;

				{
					obj_t BgL_auxz00_12298;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12299;

						BgL_tmpz00_12299 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7298));
						BgL_auxz00_12298 = BGL_OBJECT_WIDENING(BgL_tmpz00_12299);
					}
					BgL_auxz00_12297 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12298);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12297))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3614> */
	obj_t BGl_z62zc3z04anonymousza33614ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7299)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3613 */
	obj_t BGl_z62lambda3613z62zzliveness_typesz00(obj_t BgL_envz00_7300,
		obj_t BgL_oz00_7301, obj_t BgL_vz00_7302)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12305;

				{
					obj_t BgL_auxz00_12306;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12307;

						BgL_tmpz00_12307 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7301));
						BgL_auxz00_12306 = BGL_OBJECT_WIDENING(BgL_tmpz00_12307);
					}
					BgL_auxz00_12305 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12306);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12305))->BgL_inz00) =
					((obj_t) ((obj_t) BgL_vz00_7302)), BUNSPEC);
			}
		}

	}



/* &lambda3612 */
	obj_t BGl_z62lambda3612z62zzliveness_typesz00(obj_t BgL_envz00_7303,
		obj_t BgL_oz00_7304)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12314;

				{
					obj_t BgL_auxz00_12315;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12316;

						BgL_tmpz00_12316 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7304));
						BgL_auxz00_12315 = BGL_OBJECT_WIDENING(BgL_tmpz00_12316);
					}
					BgL_auxz00_12314 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12315);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12314))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3607> */
	obj_t BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7305)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3606 */
	obj_t BGl_z62lambda3606z62zzliveness_typesz00(obj_t BgL_envz00_7306,
		obj_t BgL_oz00_7307, obj_t BgL_vz00_7308)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12322;

				{
					obj_t BgL_auxz00_12323;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12324;

						BgL_tmpz00_12324 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7307));
						BgL_auxz00_12323 = BGL_OBJECT_WIDENING(BgL_tmpz00_12324);
					}
					BgL_auxz00_12322 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12323);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12322))->BgL_usez00) =
					((obj_t) ((obj_t) BgL_vz00_7308)), BUNSPEC);
			}
		}

	}



/* &lambda3605 */
	obj_t BGl_z62lambda3605z62zzliveness_typesz00(obj_t BgL_envz00_7309,
		obj_t BgL_oz00_7310)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12331;

				{
					obj_t BgL_auxz00_12332;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12333;

						BgL_tmpz00_12333 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7310));
						BgL_auxz00_12332 = BGL_OBJECT_WIDENING(BgL_tmpz00_12333);
					}
					BgL_auxz00_12331 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12332);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12331))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3599> */
	obj_t BGl_z62zc3z04anonymousza33599ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7311)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3598 */
	obj_t BGl_z62lambda3598z62zzliveness_typesz00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313, obj_t BgL_vz00_7314)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12339;

				{
					obj_t BgL_auxz00_12340;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12341;

						BgL_tmpz00_12341 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7313));
						BgL_auxz00_12340 = BGL_OBJECT_WIDENING(BgL_tmpz00_12341);
					}
					BgL_auxz00_12339 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12340);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12339))->BgL_defz00) =
					((obj_t) ((obj_t) BgL_vz00_7314)), BUNSPEC);
			}
		}

	}



/* &lambda3597 */
	obj_t BGl_z62lambda3597z62zzliveness_typesz00(obj_t BgL_envz00_7315,
		obj_t BgL_oz00_7316)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12348;

				{
					obj_t BgL_auxz00_12349;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12350;

						BgL_tmpz00_12350 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7316));
						BgL_auxz00_12349 = BGL_OBJECT_WIDENING(BgL_tmpz00_12350);
					}
					BgL_auxz00_12348 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12349);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12348))->
					BgL_defz00);
			}
		}

	}



/* &lambda3535 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3535z62zzliveness_typesz00(obj_t
		BgL_envz00_7317, obj_t BgL_o1579z00_7318)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				long BgL_arg3536z00_8769;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_arg3538z00_8770;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3540z00_8771;

						{	/* Liveness/types.scm 185 */
							long BgL_arg1828z00_8772;

							{	/* Liveness/types.scm 185 */
								long BgL_arg1829z00_8773;

								BgL_arg1829z00_8773 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_o1579z00_7318)));
								BgL_arg1828z00_8772 = (BgL_arg1829z00_8773 - OBJECT_TYPE);
							}
							BgL_arg3540z00_8771 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8772);
						}
						BgL_arg3538z00_8770 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3540z00_8771);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_tmpz00_12362;

						BgL_tmpz00_12362 = ((obj_t) BgL_arg3538z00_8770);
						BgL_arg3536z00_8769 = BGL_CLASS_NUM(BgL_tmpz00_12362);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1579z00_7318)),
					BgL_arg3536z00_8769);
			}
			{	/* Liveness/types.scm 185 */
				BgL_objectz00_bglt BgL_tmpz00_12368;

				BgL_tmpz00_12368 =
					((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt) BgL_o1579z00_7318));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12368, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_o1579z00_7318));
			return
				((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_o1579z00_7318));
		}

	}



/* &<@anonymous:3534> */
	obj_t BGl_z62zc3z04anonymousza33534ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7319, obj_t BgL_new1578z00_7320)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_12376;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12380;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8775;

						BgL_classz00_8775 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1113z00_8776;

							BgL__ortest_1113z00_8776 = BGL_CLASS_NIL(BgL_classz00_8775);
							if (CBOOL(BgL__ortest_1113z00_8776))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12380 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8776);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12380 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8775));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12380), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_12390;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8777;

						BgL_classz00_8777 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1113z00_8778;

							BgL__ortest_1113z00_8778 = BGL_CLASS_NIL(BgL_classz00_8777);
							if (CBOOL(BgL__ortest_1113z00_8778))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12390 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_8778);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12390 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8777));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_12390), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12400;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8779;

						BgL_classz00_8779 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1113z00_8780;

							BgL__ortest_1113z00_8780 = BGL_CLASS_NIL(BgL_classz00_8779);
							if (CBOOL(BgL__ortest_1113z00_8780))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12400 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8780);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12400 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8779));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12400), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12410;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8781;

						BgL_classz00_8781 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1113z00_8782;

							BgL__ortest_1113z00_8782 = BGL_CLASS_NIL(BgL_classz00_8781);
							if (CBOOL(BgL__ortest_1113z00_8782))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12410 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8782);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12410 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8781));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320))))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12410), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12420;

					{
						obj_t BgL_auxz00_12421;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12422;

							BgL_tmpz00_12422 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320));
							BgL_auxz00_12421 = BGL_OBJECT_WIDENING(BgL_tmpz00_12422);
						}
						BgL_auxz00_12420 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12421);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12420))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12428;

					{
						obj_t BgL_auxz00_12429;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12430;

							BgL_tmpz00_12430 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320));
							BgL_auxz00_12429 = BGL_OBJECT_WIDENING(BgL_tmpz00_12430);
						}
						BgL_auxz00_12428 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12429);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12428))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12436;

					{
						obj_t BgL_auxz00_12437;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12438;

							BgL_tmpz00_12438 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320));
							BgL_auxz00_12437 = BGL_OBJECT_WIDENING(BgL_tmpz00_12438);
						}
						BgL_auxz00_12436 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12437);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12436))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12444;

					{
						obj_t BgL_auxz00_12445;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12446;

							BgL_tmpz00_12446 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320));
							BgL_auxz00_12445 = BGL_OBJECT_WIDENING(BgL_tmpz00_12446);
						}
						BgL_auxz00_12444 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12445);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12444))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12376 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1578z00_7320);
				return ((obj_t) BgL_auxz00_12376);
			}
		}

	}



/* &lambda3532 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3532z62zzliveness_typesz00(obj_t
		BgL_envz00_7321, obj_t BgL_o1575z00_7322)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1577z00_8784;

				BgL_wide1577z00_8784 =
					((BgL_setzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 185 */
					obj_t BgL_auxz00_12459;
					BgL_objectz00_bglt BgL_tmpz00_12455;

					BgL_auxz00_12459 = ((obj_t) BgL_wide1577z00_8784);
					BgL_tmpz00_12455 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_o1575z00_7322)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12455, BgL_auxz00_12459);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1575z00_7322)));
				{	/* Liveness/types.scm 185 */
					long BgL_arg3533z00_8785;

					BgL_arg3533z00_8785 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_o1575z00_7322))),
						BgL_arg3533z00_8785);
				}
				return
					((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1575z00_7322)));
			}
		}

	}



/* &lambda3529 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3529z62zzliveness_typesz00(obj_t
		BgL_envz00_7323, obj_t BgL_loc1566z00_7324, obj_t BgL_type1567z00_7325,
		obj_t BgL_var1568z00_7326, obj_t BgL_body1569z00_7327,
		obj_t BgL_onexit1570z00_7328, obj_t BgL_def1571z00_7329,
		obj_t BgL_use1572z00_7330, obj_t BgL_in1573z00_7331,
		obj_t BgL_out1574z00_7332)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itz00_bglt BgL_new1822z00_8794;

				{	/* Liveness/types.scm 185 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1820z00_8795;
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1821z00_8796;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_12473;

						{	/* Liveness/types.scm 185 */
							BgL_setzd2exzd2itz00_bglt BgL_new1819z00_8797;

							BgL_new1819z00_8797 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 185 */
								long BgL_arg3531z00_8798;

								BgL_arg3531z00_8798 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1819z00_8797),
									BgL_arg3531z00_8798);
							}
							{	/* Liveness/types.scm 185 */
								BgL_objectz00_bglt BgL_tmpz00_12478;

								BgL_tmpz00_12478 = ((BgL_objectz00_bglt) BgL_new1819z00_8797);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12478, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1819z00_8797);
							BgL_auxz00_12473 = BgL_new1819z00_8797;
						}
						BgL_tmp1820z00_8795 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_12473);
					}
					BgL_wide1821z00_8796 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 185 */
						obj_t BgL_auxz00_12486;
						BgL_objectz00_bglt BgL_tmpz00_12484;

						BgL_auxz00_12486 = ((obj_t) BgL_wide1821z00_8796);
						BgL_tmpz00_12484 = ((BgL_objectz00_bglt) BgL_tmp1820z00_8795);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12484, BgL_auxz00_12486);
					}
					((BgL_objectz00_bglt) BgL_tmp1820z00_8795);
					{	/* Liveness/types.scm 185 */
						long BgL_arg3530z00_8799;

						BgL_arg3530z00_8799 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1820z00_8795), BgL_arg3530z00_8799);
					}
					BgL_new1822z00_8794 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1820z00_8795);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1822z00_8794)))->BgL_locz00) =
					((obj_t) BgL_loc1566z00_7324), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1822z00_8794)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1567z00_7325)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1822z00_8794)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1568z00_7326)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1822z00_8794)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1569z00_7327)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1822z00_8794)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1570z00_7328)),
					BUNSPEC);
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12508;

					{
						obj_t BgL_auxz00_12509;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12510;

							BgL_tmpz00_12510 = ((BgL_objectz00_bglt) BgL_new1822z00_8794);
							BgL_auxz00_12509 = BGL_OBJECT_WIDENING(BgL_tmpz00_12510);
						}
						BgL_auxz00_12508 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12509);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12508))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1571z00_7329)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12516;

					{
						obj_t BgL_auxz00_12517;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12518;

							BgL_tmpz00_12518 = ((BgL_objectz00_bglt) BgL_new1822z00_8794);
							BgL_auxz00_12517 = BGL_OBJECT_WIDENING(BgL_tmpz00_12518);
						}
						BgL_auxz00_12516 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12517);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12516))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1572z00_7330)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12524;

					{
						obj_t BgL_auxz00_12525;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12526;

							BgL_tmpz00_12526 = ((BgL_objectz00_bglt) BgL_new1822z00_8794);
							BgL_auxz00_12525 = BGL_OBJECT_WIDENING(BgL_tmpz00_12526);
						}
						BgL_auxz00_12524 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12525);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12524))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1573z00_7331)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12532;

					{
						obj_t BgL_auxz00_12533;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12534;

							BgL_tmpz00_12534 = ((BgL_objectz00_bglt) BgL_new1822z00_8794);
							BgL_auxz00_12533 = BGL_OBJECT_WIDENING(BgL_tmpz00_12534);
						}
						BgL_auxz00_12532 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12533);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12532))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1574z00_7332)), BUNSPEC);
				}
				return BgL_new1822z00_8794;
			}
		}

	}



/* &<@anonymous:3572> */
	obj_t BGl_z62zc3z04anonymousza33572ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7333)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3571 */
	obj_t BGl_z62lambda3571z62zzliveness_typesz00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335, obj_t BgL_vz00_7336)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12540;

				{
					obj_t BgL_auxz00_12541;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12542;

						BgL_tmpz00_12542 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7335));
						BgL_auxz00_12541 = BGL_OBJECT_WIDENING(BgL_tmpz00_12542);
					}
					BgL_auxz00_12540 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12541);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12540))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7336)), BUNSPEC);
			}
		}

	}



/* &lambda3570 */
	obj_t BGl_z62lambda3570z62zzliveness_typesz00(obj_t BgL_envz00_7337,
		obj_t BgL_oz00_7338)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12549;

				{
					obj_t BgL_auxz00_12550;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12551;

						BgL_tmpz00_12551 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7338));
						BgL_auxz00_12550 = BGL_OBJECT_WIDENING(BgL_tmpz00_12551);
					}
					BgL_auxz00_12549 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12550);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12549))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3564> */
	obj_t BGl_z62zc3z04anonymousza33564ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7339)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3563 */
	obj_t BGl_z62lambda3563z62zzliveness_typesz00(obj_t BgL_envz00_7340,
		obj_t BgL_oz00_7341, obj_t BgL_vz00_7342)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12557;

				{
					obj_t BgL_auxz00_12558;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12559;

						BgL_tmpz00_12559 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7341));
						BgL_auxz00_12558 = BGL_OBJECT_WIDENING(BgL_tmpz00_12559);
					}
					BgL_auxz00_12557 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12558);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12557))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7342)), BUNSPEC);
			}
		}

	}



/* &lambda3562 */
	obj_t BGl_z62lambda3562z62zzliveness_typesz00(obj_t BgL_envz00_7343,
		obj_t BgL_oz00_7344)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12566;

				{
					obj_t BgL_auxz00_12567;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12568;

						BgL_tmpz00_12568 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7344));
						BgL_auxz00_12567 = BGL_OBJECT_WIDENING(BgL_tmpz00_12568);
					}
					BgL_auxz00_12566 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12567);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12566))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3557> */
	obj_t BGl_z62zc3z04anonymousza33557ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7345)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3556 */
	obj_t BGl_z62lambda3556z62zzliveness_typesz00(obj_t BgL_envz00_7346,
		obj_t BgL_oz00_7347, obj_t BgL_vz00_7348)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12574;

				{
					obj_t BgL_auxz00_12575;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12576;

						BgL_tmpz00_12576 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7347));
						BgL_auxz00_12575 = BGL_OBJECT_WIDENING(BgL_tmpz00_12576);
					}
					BgL_auxz00_12574 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12575);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12574))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7348)), BUNSPEC);
			}
		}

	}



/* &lambda3555 */
	obj_t BGl_z62lambda3555z62zzliveness_typesz00(obj_t BgL_envz00_7349,
		obj_t BgL_oz00_7350)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12583;

				{
					obj_t BgL_auxz00_12584;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12585;

						BgL_tmpz00_12585 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7350));
						BgL_auxz00_12584 = BGL_OBJECT_WIDENING(BgL_tmpz00_12585);
					}
					BgL_auxz00_12583 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12584);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12583))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3548> */
	obj_t BGl_z62zc3z04anonymousza33548ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7351)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3547 */
	obj_t BGl_z62lambda3547z62zzliveness_typesz00(obj_t BgL_envz00_7352,
		obj_t BgL_oz00_7353, obj_t BgL_vz00_7354)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12591;

				{
					obj_t BgL_auxz00_12592;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12593;

						BgL_tmpz00_12593 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7353));
						BgL_auxz00_12592 = BGL_OBJECT_WIDENING(BgL_tmpz00_12593);
					}
					BgL_auxz00_12591 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12592);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12591))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7354)), BUNSPEC);
			}
		}

	}



/* &lambda3546 */
	obj_t BGl_z62lambda3546z62zzliveness_typesz00(obj_t BgL_envz00_7355,
		obj_t BgL_oz00_7356)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12600;

				{
					obj_t BgL_auxz00_12601;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12602;

						BgL_tmpz00_12602 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7356));
						BgL_auxz00_12601 = BGL_OBJECT_WIDENING(BgL_tmpz00_12602);
					}
					BgL_auxz00_12600 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12601);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12600))->
					BgL_defz00);
			}
		}

	}



/* &lambda3484 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3484z62zzliveness_typesz00(obj_t
		BgL_envz00_7357, obj_t BgL_o1564z00_7358)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				long BgL_arg3485z00_8813;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_arg3486z00_8814;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3487z00_8815;

						{	/* Liveness/types.scm 179 */
							long BgL_arg1828z00_8816;

							{	/* Liveness/types.scm 179 */
								long BgL_arg1829z00_8817;

								BgL_arg1829z00_8817 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1564z00_7358)));
								BgL_arg1828z00_8816 = (BgL_arg1829z00_8817 - OBJECT_TYPE);
							}
							BgL_arg3487z00_8815 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8816);
						}
						BgL_arg3486z00_8814 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3487z00_8815);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_tmpz00_12614;

						BgL_tmpz00_12614 = ((obj_t) BgL_arg3486z00_8814);
						BgL_arg3485z00_8813 = BGL_CLASS_NUM(BgL_tmpz00_12614);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1564z00_7358)), BgL_arg3485z00_8813);
			}
			{	/* Liveness/types.scm 179 */
				BgL_objectz00_bglt BgL_tmpz00_12620;

				BgL_tmpz00_12620 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1564z00_7358));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12620, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1564z00_7358));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1564z00_7358));
		}

	}



/* &<@anonymous:3483> */
	obj_t BGl_z62zc3z04anonymousza33483ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7359, obj_t BgL_new1563z00_7360)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_12628;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12632;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8819;

						BgL_classz00_8819 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1113z00_8820;

							BgL__ortest_1113z00_8820 = BGL_CLASS_NIL(BgL_classz00_8819);
							if (CBOOL(BgL__ortest_1113z00_8820))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12632 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8820);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12632 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8819));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12632), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1563z00_7360))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1563z00_7360))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12651;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8821;

						BgL_classz00_8821 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1113z00_8822;

							BgL__ortest_1113z00_8822 = BGL_CLASS_NIL(BgL_classz00_8821);
							if (CBOOL(BgL__ortest_1113z00_8822))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12651 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8822);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_12651 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8821));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12651), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12664;

					{
						obj_t BgL_auxz00_12665;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12666;

							BgL_tmpz00_12666 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360));
							BgL_auxz00_12665 = BGL_OBJECT_WIDENING(BgL_tmpz00_12666);
						}
						BgL_auxz00_12664 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12665);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12664))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12672;

					{
						obj_t BgL_auxz00_12673;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12674;

							BgL_tmpz00_12674 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360));
							BgL_auxz00_12673 = BGL_OBJECT_WIDENING(BgL_tmpz00_12674);
						}
						BgL_auxz00_12672 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12673);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12672))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12680;

					{
						obj_t BgL_auxz00_12681;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12682;

							BgL_tmpz00_12682 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360));
							BgL_auxz00_12681 = BGL_OBJECT_WIDENING(BgL_tmpz00_12682);
						}
						BgL_auxz00_12680 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12681);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12680))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12688;

					{
						obj_t BgL_auxz00_12689;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_12690;

							BgL_tmpz00_12690 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360));
							BgL_auxz00_12689 = BGL_OBJECT_WIDENING(BgL_tmpz00_12690);
						}
						BgL_auxz00_12688 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12689);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12688))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12628 = ((BgL_letzd2varzd2_bglt) BgL_new1563z00_7360);
				return ((obj_t) BgL_auxz00_12628);
			}
		}

	}



/* &lambda3480 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3480z62zzliveness_typesz00(obj_t
		BgL_envz00_7361, obj_t BgL_o1560z00_7362)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				BgL_letzd2varzf2livenessz20_bglt BgL_wide1562z00_8824;

				BgL_wide1562z00_8824 =
					((BgL_letzd2varzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 179 */
					obj_t BgL_auxz00_12703;
					BgL_objectz00_bglt BgL_tmpz00_12699;

					BgL_auxz00_12703 = ((obj_t) BgL_wide1562z00_8824);
					BgL_tmpz00_12699 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1560z00_7362)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12699, BgL_auxz00_12703);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1560z00_7362)));
				{	/* Liveness/types.scm 179 */
					long BgL_arg3482z00_8825;

					BgL_arg3482z00_8825 =
						BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1560z00_7362))),
						BgL_arg3482z00_8825);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1560z00_7362)));
			}
		}

	}



/* &lambda3476 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3476z62zzliveness_typesz00(obj_t
		BgL_envz00_7363, obj_t BgL_loc1549z00_7364, obj_t BgL_type1550z00_7365,
		obj_t BgL_sidezd2effect1551zd2_7366, obj_t BgL_key1552z00_7367,
		obj_t BgL_bindings1553z00_7368, obj_t BgL_body1554z00_7369,
		obj_t BgL_removablezf31555zf3_7370, obj_t BgL_def1556z00_7371,
		obj_t BgL_use1557z00_7372, obj_t BgL_in1558z00_7373,
		obj_t BgL_out1559z00_7374)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				bool_t BgL_removablezf31555zf3_8828;

				BgL_removablezf31555zf3_8828 = CBOOL(BgL_removablezf31555zf3_7370);
				{	/* Liveness/types.scm 179 */
					BgL_letzd2varzd2_bglt BgL_new1817z00_8833;

					{	/* Liveness/types.scm 179 */
						BgL_letzd2varzd2_bglt BgL_tmp1815z00_8834;
						BgL_letzd2varzf2livenessz20_bglt BgL_wide1816z00_8835;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_12718;

							{	/* Liveness/types.scm 179 */
								BgL_letzd2varzd2_bglt BgL_new1814z00_8836;

								BgL_new1814z00_8836 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Liveness/types.scm 179 */
									long BgL_arg3479z00_8837;

									BgL_arg3479z00_8837 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1814z00_8836),
										BgL_arg3479z00_8837);
								}
								{	/* Liveness/types.scm 179 */
									BgL_objectz00_bglt BgL_tmpz00_12723;

									BgL_tmpz00_12723 = ((BgL_objectz00_bglt) BgL_new1814z00_8836);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12723, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1814z00_8836);
								BgL_auxz00_12718 = BgL_new1814z00_8836;
							}
							BgL_tmp1815z00_8834 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_12718);
						}
						BgL_wide1816z00_8835 =
							((BgL_letzd2varzf2livenessz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzf2livenessz20_bgl))));
						{	/* Liveness/types.scm 179 */
							obj_t BgL_auxz00_12731;
							BgL_objectz00_bglt BgL_tmpz00_12729;

							BgL_auxz00_12731 = ((obj_t) BgL_wide1816z00_8835);
							BgL_tmpz00_12729 = ((BgL_objectz00_bglt) BgL_tmp1815z00_8834);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12729, BgL_auxz00_12731);
						}
						((BgL_objectz00_bglt) BgL_tmp1815z00_8834);
						{	/* Liveness/types.scm 179 */
							long BgL_arg3477z00_8838;

							BgL_arg3477z00_8838 =
								BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1815z00_8834),
								BgL_arg3477z00_8838);
						}
						BgL_new1817z00_8833 = ((BgL_letzd2varzd2_bglt) BgL_tmp1815z00_8834);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1817z00_8833)))->BgL_locz00) =
						((obj_t) BgL_loc1549z00_7364), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1817z00_8833)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1550z00_7365)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1817z00_8833)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1551zd2_7366), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1817z00_8833)))->BgL_keyz00) =
						((obj_t) BgL_key1552z00_7367), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1817z00_8833)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1553z00_7368), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1817z00_8833)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1554z00_7369)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1817z00_8833)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31555zf3_8828), BUNSPEC);
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12755;

						{
							obj_t BgL_auxz00_12756;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12757;

								BgL_tmpz00_12757 = ((BgL_objectz00_bglt) BgL_new1817z00_8833);
								BgL_auxz00_12756 = BGL_OBJECT_WIDENING(BgL_tmpz00_12757);
							}
							BgL_auxz00_12755 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12756);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12755))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1556z00_7371)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12763;

						{
							obj_t BgL_auxz00_12764;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12765;

								BgL_tmpz00_12765 = ((BgL_objectz00_bglt) BgL_new1817z00_8833);
								BgL_auxz00_12764 = BGL_OBJECT_WIDENING(BgL_tmpz00_12765);
							}
							BgL_auxz00_12763 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12764);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12763))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1557z00_7372)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12771;

						{
							obj_t BgL_auxz00_12772;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12773;

								BgL_tmpz00_12773 = ((BgL_objectz00_bglt) BgL_new1817z00_8833);
								BgL_auxz00_12772 = BGL_OBJECT_WIDENING(BgL_tmpz00_12773);
							}
							BgL_auxz00_12771 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12772);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12771))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1558z00_7373)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12779;

						{
							obj_t BgL_auxz00_12780;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12781;

								BgL_tmpz00_12781 = ((BgL_objectz00_bglt) BgL_new1817z00_8833);
								BgL_auxz00_12780 = BGL_OBJECT_WIDENING(BgL_tmpz00_12781);
							}
							BgL_auxz00_12779 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12780);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12779))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1559z00_7374)), BUNSPEC);
					}
					return BgL_new1817z00_8833;
				}
			}
		}

	}



/* &<@anonymous:3522> */
	obj_t BGl_z62zc3z04anonymousza33522ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7375)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3521 */
	obj_t BGl_z62lambda3521z62zzliveness_typesz00(obj_t BgL_envz00_7376,
		obj_t BgL_oz00_7377, obj_t BgL_vz00_7378)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12787;

				{
					obj_t BgL_auxz00_12788;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12789;

						BgL_tmpz00_12789 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7377));
						BgL_auxz00_12788 = BGL_OBJECT_WIDENING(BgL_tmpz00_12789);
					}
					BgL_auxz00_12787 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12788);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12787))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7378)), BUNSPEC);
			}
		}

	}



/* &lambda3520 */
	obj_t BGl_z62lambda3520z62zzliveness_typesz00(obj_t BgL_envz00_7379,
		obj_t BgL_oz00_7380)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12796;

				{
					obj_t BgL_auxz00_12797;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12798;

						BgL_tmpz00_12798 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7380));
						BgL_auxz00_12797 = BGL_OBJECT_WIDENING(BgL_tmpz00_12798);
					}
					BgL_auxz00_12796 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12797);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12796))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3513> */
	obj_t BGl_z62zc3z04anonymousza33513ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7381)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3512 */
	obj_t BGl_z62lambda3512z62zzliveness_typesz00(obj_t BgL_envz00_7382,
		obj_t BgL_oz00_7383, obj_t BgL_vz00_7384)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12804;

				{
					obj_t BgL_auxz00_12805;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12806;

						BgL_tmpz00_12806 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7383));
						BgL_auxz00_12805 = BGL_OBJECT_WIDENING(BgL_tmpz00_12806);
					}
					BgL_auxz00_12804 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12805);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12804))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7384)), BUNSPEC);
			}
		}

	}



/* &lambda3511 */
	obj_t BGl_z62lambda3511z62zzliveness_typesz00(obj_t BgL_envz00_7385,
		obj_t BgL_oz00_7386)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12813;

				{
					obj_t BgL_auxz00_12814;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12815;

						BgL_tmpz00_12815 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7386));
						BgL_auxz00_12814 = BGL_OBJECT_WIDENING(BgL_tmpz00_12815);
					}
					BgL_auxz00_12813 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12814);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12813))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3506> */
	obj_t BGl_z62zc3z04anonymousza33506ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7387)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3505 */
	obj_t BGl_z62lambda3505z62zzliveness_typesz00(obj_t BgL_envz00_7388,
		obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12821;

				{
					obj_t BgL_auxz00_12822;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12823;

						BgL_tmpz00_12823 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7389));
						BgL_auxz00_12822 = BGL_OBJECT_WIDENING(BgL_tmpz00_12823);
					}
					BgL_auxz00_12821 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12822);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12821))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7390)), BUNSPEC);
			}
		}

	}



/* &lambda3504 */
	obj_t BGl_z62lambda3504z62zzliveness_typesz00(obj_t BgL_envz00_7391,
		obj_t BgL_oz00_7392)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12830;

				{
					obj_t BgL_auxz00_12831;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12832;

						BgL_tmpz00_12832 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7392));
						BgL_auxz00_12831 = BGL_OBJECT_WIDENING(BgL_tmpz00_12832);
					}
					BgL_auxz00_12830 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12831);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12830))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3498> */
	obj_t BGl_z62zc3z04anonymousza33498ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7393)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3497 */
	obj_t BGl_z62lambda3497z62zzliveness_typesz00(obj_t BgL_envz00_7394,
		obj_t BgL_oz00_7395, obj_t BgL_vz00_7396)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12838;

				{
					obj_t BgL_auxz00_12839;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12840;

						BgL_tmpz00_12840 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7395));
						BgL_auxz00_12839 = BGL_OBJECT_WIDENING(BgL_tmpz00_12840);
					}
					BgL_auxz00_12838 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12839);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12838))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7396)), BUNSPEC);
			}
		}

	}



/* &lambda3496 */
	obj_t BGl_z62lambda3496z62zzliveness_typesz00(obj_t BgL_envz00_7397,
		obj_t BgL_oz00_7398)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_12847;

				{
					obj_t BgL_auxz00_12848;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_12849;

						BgL_tmpz00_12849 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7398));
						BgL_auxz00_12848 = BGL_OBJECT_WIDENING(BgL_tmpz00_12849);
					}
					BgL_auxz00_12847 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_12848);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_12847))->
					BgL_defz00);
			}
		}

	}



/* &lambda3430 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3430z62zzliveness_typesz00(obj_t
		BgL_envz00_7399, obj_t BgL_o1547z00_7400)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				long BgL_arg3433z00_8852;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_arg3434z00_8853;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3435z00_8854;

						{	/* Liveness/types.scm 173 */
							long BgL_arg1828z00_8855;

							{	/* Liveness/types.scm 173 */
								long BgL_arg1829z00_8856;

								BgL_arg1829z00_8856 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1547z00_7400)));
								BgL_arg1828z00_8855 = (BgL_arg1829z00_8856 - OBJECT_TYPE);
							}
							BgL_arg3435z00_8854 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8855);
						}
						BgL_arg3434z00_8853 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3435z00_8854);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_tmpz00_12861;

						BgL_tmpz00_12861 = ((obj_t) BgL_arg3434z00_8853);
						BgL_arg3433z00_8852 = BGL_CLASS_NUM(BgL_tmpz00_12861);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1547z00_7400)), BgL_arg3433z00_8852);
			}
			{	/* Liveness/types.scm 173 */
				BgL_objectz00_bglt BgL_tmpz00_12867;

				BgL_tmpz00_12867 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1547z00_7400));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12867, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1547z00_7400));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1547z00_7400));
		}

	}



/* &<@anonymous:3429> */
	obj_t BGl_z62zc3z04anonymousza33429ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7401, obj_t BgL_new1546z00_7402)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_12875;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12879;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8858;

						BgL_classz00_8858 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1113z00_8859;

							BgL__ortest_1113z00_8859 = BGL_CLASS_NIL(BgL_classz00_8858);
							if (CBOOL(BgL__ortest_1113z00_8859))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12879 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8859);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12879 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8858));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12879), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1546z00_7402))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1546z00_7402))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_12898;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8860;

						BgL_classz00_8860 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1113z00_8861;

							BgL__ortest_1113z00_8861 = BGL_CLASS_NIL(BgL_classz00_8860);
							if (CBOOL(BgL__ortest_1113z00_8861))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12898 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8861);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_12898 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8860));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12898), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12908;

					{
						obj_t BgL_auxz00_12909;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12910;

							BgL_tmpz00_12910 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402));
							BgL_auxz00_12909 = BGL_OBJECT_WIDENING(BgL_tmpz00_12910);
						}
						BgL_auxz00_12908 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12909);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12908))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12916;

					{
						obj_t BgL_auxz00_12917;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12918;

							BgL_tmpz00_12918 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402));
							BgL_auxz00_12917 = BGL_OBJECT_WIDENING(BgL_tmpz00_12918);
						}
						BgL_auxz00_12916 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12917);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12916))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12924;

					{
						obj_t BgL_auxz00_12925;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12926;

							BgL_tmpz00_12926 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402));
							BgL_auxz00_12925 = BGL_OBJECT_WIDENING(BgL_tmpz00_12926);
						}
						BgL_auxz00_12924 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12925);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12924))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12932;

					{
						obj_t BgL_auxz00_12933;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12934;

							BgL_tmpz00_12934 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402));
							BgL_auxz00_12933 = BGL_OBJECT_WIDENING(BgL_tmpz00_12934);
						}
						BgL_auxz00_12932 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12933);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12932))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12875 = ((BgL_letzd2funzd2_bglt) BgL_new1546z00_7402);
				return ((obj_t) BgL_auxz00_12875);
			}
		}

	}



/* &lambda3426 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3426z62zzliveness_typesz00(obj_t
		BgL_envz00_7403, obj_t BgL_o1543z00_7404)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzf2livenessz20_bglt BgL_wide1545z00_8863;

				BgL_wide1545z00_8863 =
					((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 173 */
					obj_t BgL_auxz00_12947;
					BgL_objectz00_bglt BgL_tmpz00_12943;

					BgL_auxz00_12947 = ((obj_t) BgL_wide1545z00_8863);
					BgL_tmpz00_12943 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1543z00_7404)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12943, BgL_auxz00_12947);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1543z00_7404)));
				{	/* Liveness/types.scm 173 */
					long BgL_arg3428z00_8864;

					BgL_arg3428z00_8864 =
						BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1543z00_7404))),
						BgL_arg3428z00_8864);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1543z00_7404)));
			}
		}

	}



/* &lambda3423 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3423z62zzliveness_typesz00(obj_t
		BgL_envz00_7405, obj_t BgL_loc1533z00_7406, obj_t BgL_type1534z00_7407,
		obj_t BgL_sidezd2effect1535zd2_7408, obj_t BgL_key1536z00_7409,
		obj_t BgL_locals1537z00_7410, obj_t BgL_body1538z00_7411,
		obj_t BgL_def1539z00_7412, obj_t BgL_use1540z00_7413,
		obj_t BgL_in1541z00_7414, obj_t BgL_out1542z00_7415)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzd2_bglt BgL_new1812z00_8871;

				{	/* Liveness/types.scm 173 */
					BgL_letzd2funzd2_bglt BgL_tmp1810z00_8872;
					BgL_letzd2funzf2livenessz20_bglt BgL_wide1811z00_8873;

					{
						BgL_letzd2funzd2_bglt BgL_auxz00_12961;

						{	/* Liveness/types.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1809z00_8874;

							BgL_new1809z00_8874 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Liveness/types.scm 173 */
								long BgL_arg3425z00_8875;

								BgL_arg3425z00_8875 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1809z00_8874),
									BgL_arg3425z00_8875);
							}
							{	/* Liveness/types.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_12966;

								BgL_tmpz00_12966 = ((BgL_objectz00_bglt) BgL_new1809z00_8874);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12966, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1809z00_8874);
							BgL_auxz00_12961 = BgL_new1809z00_8874;
						}
						BgL_tmp1810z00_8872 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_12961);
					}
					BgL_wide1811z00_8873 =
						((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 173 */
						obj_t BgL_auxz00_12974;
						BgL_objectz00_bglt BgL_tmpz00_12972;

						BgL_auxz00_12974 = ((obj_t) BgL_wide1811z00_8873);
						BgL_tmpz00_12972 = ((BgL_objectz00_bglt) BgL_tmp1810z00_8872);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12972, BgL_auxz00_12974);
					}
					((BgL_objectz00_bglt) BgL_tmp1810z00_8872);
					{	/* Liveness/types.scm 173 */
						long BgL_arg3424z00_8876;

						BgL_arg3424z00_8876 =
							BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1810z00_8872), BgL_arg3424z00_8876);
					}
					BgL_new1812z00_8871 = ((BgL_letzd2funzd2_bglt) BgL_tmp1810z00_8872);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1812z00_8871)))->BgL_locz00) =
					((obj_t) BgL_loc1533z00_7406), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1812z00_8871)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1534z00_7407)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1812z00_8871)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1535zd2_7408), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1812z00_8871)))->BgL_keyz00) =
					((obj_t) BgL_key1536z00_7409), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1812z00_8871)))->BgL_localsz00) =
					((obj_t) BgL_locals1537z00_7410), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1812z00_8871)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1538z00_7411)),
					BUNSPEC);
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_12996;

					{
						obj_t BgL_auxz00_12997;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_12998;

							BgL_tmpz00_12998 = ((BgL_objectz00_bglt) BgL_new1812z00_8871);
							BgL_auxz00_12997 = BGL_OBJECT_WIDENING(BgL_tmpz00_12998);
						}
						BgL_auxz00_12996 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_12997);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_12996))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1539z00_7412)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13004;

					{
						obj_t BgL_auxz00_13005;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13006;

							BgL_tmpz00_13006 = ((BgL_objectz00_bglt) BgL_new1812z00_8871);
							BgL_auxz00_13005 = BGL_OBJECT_WIDENING(BgL_tmpz00_13006);
						}
						BgL_auxz00_13004 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13005);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13004))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1540z00_7413)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13012;

					{
						obj_t BgL_auxz00_13013;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13014;

							BgL_tmpz00_13014 = ((BgL_objectz00_bglt) BgL_new1812z00_8871);
							BgL_auxz00_13013 = BGL_OBJECT_WIDENING(BgL_tmpz00_13014);
						}
						BgL_auxz00_13012 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13013);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13012))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1541z00_7414)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13020;

					{
						obj_t BgL_auxz00_13021;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13022;

							BgL_tmpz00_13022 = ((BgL_objectz00_bglt) BgL_new1812z00_8871);
							BgL_auxz00_13021 = BGL_OBJECT_WIDENING(BgL_tmpz00_13022);
						}
						BgL_auxz00_13020 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13021);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13020))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1542z00_7415)), BUNSPEC);
				}
				return BgL_new1812z00_8871;
			}
		}

	}



/* &<@anonymous:3467> */
	obj_t BGl_z62zc3z04anonymousza33467ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7416)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3466 */
	obj_t BGl_z62lambda3466z62zzliveness_typesz00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13028;

				{
					obj_t BgL_auxz00_13029;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13030;

						BgL_tmpz00_13030 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7418));
						BgL_auxz00_13029 = BGL_OBJECT_WIDENING(BgL_tmpz00_13030);
					}
					BgL_auxz00_13028 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13029);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13028))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7419)), BUNSPEC);
			}
		}

	}



/* &lambda3465 */
	obj_t BGl_z62lambda3465z62zzliveness_typesz00(obj_t BgL_envz00_7420,
		obj_t BgL_oz00_7421)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13037;

				{
					obj_t BgL_auxz00_13038;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13039;

						BgL_tmpz00_13039 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7421));
						BgL_auxz00_13038 = BGL_OBJECT_WIDENING(BgL_tmpz00_13039);
					}
					BgL_auxz00_13037 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13038);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13037))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3460> */
	obj_t BGl_z62zc3z04anonymousza33460ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7422)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3459 */
	obj_t BGl_z62lambda3459z62zzliveness_typesz00(obj_t BgL_envz00_7423,
		obj_t BgL_oz00_7424, obj_t BgL_vz00_7425)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13045;

				{
					obj_t BgL_auxz00_13046;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13047;

						BgL_tmpz00_13047 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7424));
						BgL_auxz00_13046 = BGL_OBJECT_WIDENING(BgL_tmpz00_13047);
					}
					BgL_auxz00_13045 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13046);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13045))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7425)), BUNSPEC);
			}
		}

	}



/* &lambda3458 */
	obj_t BGl_z62lambda3458z62zzliveness_typesz00(obj_t BgL_envz00_7426,
		obj_t BgL_oz00_7427)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13054;

				{
					obj_t BgL_auxz00_13055;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13056;

						BgL_tmpz00_13056 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7427));
						BgL_auxz00_13055 = BGL_OBJECT_WIDENING(BgL_tmpz00_13056);
					}
					BgL_auxz00_13054 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13055);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13054))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3452> */
	obj_t BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7428)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3451 */
	obj_t BGl_z62lambda3451z62zzliveness_typesz00(obj_t BgL_envz00_7429,
		obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13062;

				{
					obj_t BgL_auxz00_13063;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13064;

						BgL_tmpz00_13064 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7430));
						BgL_auxz00_13063 = BGL_OBJECT_WIDENING(BgL_tmpz00_13064);
					}
					BgL_auxz00_13062 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13063);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13062))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7431)), BUNSPEC);
			}
		}

	}



/* &lambda3450 */
	obj_t BGl_z62lambda3450z62zzliveness_typesz00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13071;

				{
					obj_t BgL_auxz00_13072;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13073;

						BgL_tmpz00_13073 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7433));
						BgL_auxz00_13072 = BGL_OBJECT_WIDENING(BgL_tmpz00_13073);
					}
					BgL_auxz00_13071 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13072);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13071))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3444> */
	obj_t BGl_z62zc3z04anonymousza33444ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7434)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3443 */
	obj_t BGl_z62lambda3443z62zzliveness_typesz00(obj_t BgL_envz00_7435,
		obj_t BgL_oz00_7436, obj_t BgL_vz00_7437)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13079;

				{
					obj_t BgL_auxz00_13080;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13081;

						BgL_tmpz00_13081 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7436));
						BgL_auxz00_13080 = BGL_OBJECT_WIDENING(BgL_tmpz00_13081);
					}
					BgL_auxz00_13079 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13080);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13079))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7437)), BUNSPEC);
			}
		}

	}



/* &lambda3442 */
	obj_t BGl_z62lambda3442z62zzliveness_typesz00(obj_t BgL_envz00_7438,
		obj_t BgL_oz00_7439)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13088;

				{
					obj_t BgL_auxz00_13089;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13090;

						BgL_tmpz00_13090 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7439));
						BgL_auxz00_13089 = BGL_OBJECT_WIDENING(BgL_tmpz00_13090);
					}
					BgL_auxz00_13088 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13089);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13088))->
					BgL_defz00);
			}
		}

	}



/* &lambda3366 */
	BgL_switchz00_bglt BGl_z62lambda3366z62zzliveness_typesz00(obj_t
		BgL_envz00_7440, obj_t BgL_o1531z00_7441)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				long BgL_arg3369z00_8890;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_arg3370z00_8891;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3371z00_8892;

						{	/* Liveness/types.scm 167 */
							long BgL_arg1828z00_8893;

							{	/* Liveness/types.scm 167 */
								long BgL_arg1829z00_8894;

								BgL_arg1829z00_8894 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1531z00_7441)));
								BgL_arg1828z00_8893 = (BgL_arg1829z00_8894 - OBJECT_TYPE);
							}
							BgL_arg3371z00_8892 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8893);
						}
						BgL_arg3370z00_8891 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3371z00_8892);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_tmpz00_13102;

						BgL_tmpz00_13102 = ((obj_t) BgL_arg3370z00_8891);
						BgL_arg3369z00_8890 = BGL_CLASS_NUM(BgL_tmpz00_13102);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1531z00_7441)), BgL_arg3369z00_8890);
			}
			{	/* Liveness/types.scm 167 */
				BgL_objectz00_bglt BgL_tmpz00_13108;

				BgL_tmpz00_13108 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1531z00_7441));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13108, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1531z00_7441));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1531z00_7441));
		}

	}



/* &<@anonymous:3365> */
	obj_t BGl_z62zc3z04anonymousza33365ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7442, obj_t BgL_new1530z00_7443)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchz00_bglt BgL_auxz00_13116;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1530z00_7443))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13120;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8896;

						BgL_classz00_8896 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1113z00_8897;

							BgL__ortest_1113z00_8897 = BGL_CLASS_NIL(BgL_classz00_8896);
							if (CBOOL(BgL__ortest_1113z00_8897))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13120 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8897);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13120 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8896));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1530z00_7443))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13120), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1530z00_7443))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1530z00_7443))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13136;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8898;

						BgL_classz00_8898 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1113z00_8899;

							BgL__ortest_1113z00_8899 = BGL_CLASS_NIL(BgL_classz00_8898);
							if (CBOOL(BgL__ortest_1113z00_8899))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13136 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8899);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13136 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8898));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1530z00_7443))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_13136), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1530z00_7443))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13149;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8900;

						BgL_classz00_8900 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1113z00_8901;

							BgL__ortest_1113z00_8901 = BGL_CLASS_NIL(BgL_classz00_8900);
							if (CBOOL(BgL__ortest_1113z00_8901))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13149 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8901);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13149 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8900));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1530z00_7443))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_13149), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13159;

					{
						obj_t BgL_auxz00_13160;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13161;

							BgL_tmpz00_13161 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1530z00_7443));
							BgL_auxz00_13160 = BGL_OBJECT_WIDENING(BgL_tmpz00_13161);
						}
						BgL_auxz00_13159 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13160);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13159))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13167;

					{
						obj_t BgL_auxz00_13168;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13169;

							BgL_tmpz00_13169 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1530z00_7443));
							BgL_auxz00_13168 = BGL_OBJECT_WIDENING(BgL_tmpz00_13169);
						}
						BgL_auxz00_13167 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13168);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13167))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13175;

					{
						obj_t BgL_auxz00_13176;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13177;

							BgL_tmpz00_13177 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1530z00_7443));
							BgL_auxz00_13176 = BGL_OBJECT_WIDENING(BgL_tmpz00_13177);
						}
						BgL_auxz00_13175 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13176);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13175))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13183;

					{
						obj_t BgL_auxz00_13184;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13185;

							BgL_tmpz00_13185 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1530z00_7443));
							BgL_auxz00_13184 = BGL_OBJECT_WIDENING(BgL_tmpz00_13185);
						}
						BgL_auxz00_13183 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13184);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13183))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13116 = ((BgL_switchz00_bglt) BgL_new1530z00_7443);
				return ((obj_t) BgL_auxz00_13116);
			}
		}

	}



/* &lambda3363 */
	BgL_switchz00_bglt BGl_z62lambda3363z62zzliveness_typesz00(obj_t
		BgL_envz00_7444, obj_t BgL_o1527z00_7445)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchzf2livenesszf2_bglt BgL_wide1529z00_8903;

				BgL_wide1529z00_8903 =
					((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 167 */
					obj_t BgL_auxz00_13198;
					BgL_objectz00_bglt BgL_tmpz00_13194;

					BgL_auxz00_13198 = ((obj_t) BgL_wide1529z00_8903);
					BgL_tmpz00_13194 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7445)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13194, BgL_auxz00_13198);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7445)));
				{	/* Liveness/types.scm 167 */
					long BgL_arg3364z00_8904;

					BgL_arg3364z00_8904 =
						BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1527z00_7445))),
						BgL_arg3364z00_8904);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1527z00_7445)));
			}
		}

	}



/* &lambda3360 */
	BgL_switchz00_bglt BGl_z62lambda3360z62zzliveness_typesz00(obj_t
		BgL_envz00_7446, obj_t BgL_loc1516z00_7447, obj_t BgL_type1517z00_7448,
		obj_t BgL_sidezd2effect1518zd2_7449, obj_t BgL_key1519z00_7450,
		obj_t BgL_test1520z00_7451, obj_t BgL_clauses1521z00_7452,
		obj_t BgL_itemzd2type1522zd2_7453, obj_t BgL_def1523z00_7454,
		obj_t BgL_use1524z00_7455, obj_t BgL_in1525z00_7456,
		obj_t BgL_out1526z00_7457)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchz00_bglt BgL_new1807z00_8912;

				{	/* Liveness/types.scm 167 */
					BgL_switchz00_bglt BgL_tmp1805z00_8913;
					BgL_switchzf2livenesszf2_bglt BgL_wide1806z00_8914;

					{
						BgL_switchz00_bglt BgL_auxz00_13212;

						{	/* Liveness/types.scm 167 */
							BgL_switchz00_bglt BgL_new1804z00_8915;

							BgL_new1804z00_8915 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Liveness/types.scm 167 */
								long BgL_arg3362z00_8916;

								BgL_arg3362z00_8916 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1804z00_8915),
									BgL_arg3362z00_8916);
							}
							{	/* Liveness/types.scm 167 */
								BgL_objectz00_bglt BgL_tmpz00_13217;

								BgL_tmpz00_13217 = ((BgL_objectz00_bglt) BgL_new1804z00_8915);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13217, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1804z00_8915);
							BgL_auxz00_13212 = BgL_new1804z00_8915;
						}
						BgL_tmp1805z00_8913 = ((BgL_switchz00_bglt) BgL_auxz00_13212);
					}
					BgL_wide1806z00_8914 =
						((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 167 */
						obj_t BgL_auxz00_13225;
						BgL_objectz00_bglt BgL_tmpz00_13223;

						BgL_auxz00_13225 = ((obj_t) BgL_wide1806z00_8914);
						BgL_tmpz00_13223 = ((BgL_objectz00_bglt) BgL_tmp1805z00_8913);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13223, BgL_auxz00_13225);
					}
					((BgL_objectz00_bglt) BgL_tmp1805z00_8913);
					{	/* Liveness/types.scm 167 */
						long BgL_arg3361z00_8917;

						BgL_arg3361z00_8917 =
							BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1805z00_8913), BgL_arg3361z00_8917);
					}
					BgL_new1807z00_8912 = ((BgL_switchz00_bglt) BgL_tmp1805z00_8913);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1807z00_8912)))->BgL_locz00) =
					((obj_t) BgL_loc1516z00_7447), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1807z00_8912)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1517z00_7448)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1807z00_8912)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1518zd2_7449), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1807z00_8912)))->BgL_keyz00) =
					((obj_t) BgL_key1519z00_7450), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1807z00_8912)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1520z00_7451)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1807z00_8912)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1521z00_7452), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1807z00_8912)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1522zd2_7453)),
					BUNSPEC);
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13250;

					{
						obj_t BgL_auxz00_13251;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13252;

							BgL_tmpz00_13252 = ((BgL_objectz00_bglt) BgL_new1807z00_8912);
							BgL_auxz00_13251 = BGL_OBJECT_WIDENING(BgL_tmpz00_13252);
						}
						BgL_auxz00_13250 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13251);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13250))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1523z00_7454)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13258;

					{
						obj_t BgL_auxz00_13259;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13260;

							BgL_tmpz00_13260 = ((BgL_objectz00_bglt) BgL_new1807z00_8912);
							BgL_auxz00_13259 = BGL_OBJECT_WIDENING(BgL_tmpz00_13260);
						}
						BgL_auxz00_13258 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13259);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13258))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1524z00_7455)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13266;

					{
						obj_t BgL_auxz00_13267;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13268;

							BgL_tmpz00_13268 = ((BgL_objectz00_bglt) BgL_new1807z00_8912);
							BgL_auxz00_13267 = BGL_OBJECT_WIDENING(BgL_tmpz00_13268);
						}
						BgL_auxz00_13266 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13267);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13266))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1525z00_7456)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13274;

					{
						obj_t BgL_auxz00_13275;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13276;

							BgL_tmpz00_13276 = ((BgL_objectz00_bglt) BgL_new1807z00_8912);
							BgL_auxz00_13275 = BGL_OBJECT_WIDENING(BgL_tmpz00_13276);
						}
						BgL_auxz00_13274 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13275);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13274))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1526z00_7457)), BUNSPEC);
				}
				return BgL_new1807z00_8912;
			}
		}

	}



/* &<@anonymous:3413> */
	obj_t BGl_z62zc3z04anonymousza33413ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7458)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3412 */
	obj_t BGl_z62lambda3412z62zzliveness_typesz00(obj_t BgL_envz00_7459,
		obj_t BgL_oz00_7460, obj_t BgL_vz00_7461)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13282;

				{
					obj_t BgL_auxz00_13283;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13284;

						BgL_tmpz00_13284 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7460));
						BgL_auxz00_13283 = BGL_OBJECT_WIDENING(BgL_tmpz00_13284);
					}
					BgL_auxz00_13282 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13283);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13282))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7461)), BUNSPEC);
			}
		}

	}



/* &lambda3411 */
	obj_t BGl_z62lambda3411z62zzliveness_typesz00(obj_t BgL_envz00_7462,
		obj_t BgL_oz00_7463)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13291;

				{
					obj_t BgL_auxz00_13292;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13293;

						BgL_tmpz00_13293 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7463));
						BgL_auxz00_13292 = BGL_OBJECT_WIDENING(BgL_tmpz00_13293);
					}
					BgL_auxz00_13291 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13292);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13291))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3403> */
	obj_t BGl_z62zc3z04anonymousza33403ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7464)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3402 */
	obj_t BGl_z62lambda3402z62zzliveness_typesz00(obj_t BgL_envz00_7465,
		obj_t BgL_oz00_7466, obj_t BgL_vz00_7467)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13299;

				{
					obj_t BgL_auxz00_13300;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13301;

						BgL_tmpz00_13301 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7466));
						BgL_auxz00_13300 = BGL_OBJECT_WIDENING(BgL_tmpz00_13301);
					}
					BgL_auxz00_13299 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13300);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13299))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7467)), BUNSPEC);
			}
		}

	}



/* &lambda3401 */
	obj_t BGl_z62lambda3401z62zzliveness_typesz00(obj_t BgL_envz00_7468,
		obj_t BgL_oz00_7469)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13308;

				{
					obj_t BgL_auxz00_13309;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13310;

						BgL_tmpz00_13310 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7469));
						BgL_auxz00_13309 = BGL_OBJECT_WIDENING(BgL_tmpz00_13310);
					}
					BgL_auxz00_13308 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13309);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13308))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3395> */
	obj_t BGl_z62zc3z04anonymousza33395ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7470)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3394 */
	obj_t BGl_z62lambda3394z62zzliveness_typesz00(obj_t BgL_envz00_7471,
		obj_t BgL_oz00_7472, obj_t BgL_vz00_7473)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13316;

				{
					obj_t BgL_auxz00_13317;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13318;

						BgL_tmpz00_13318 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7472));
						BgL_auxz00_13317 = BGL_OBJECT_WIDENING(BgL_tmpz00_13318);
					}
					BgL_auxz00_13316 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13317);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13316))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7473)), BUNSPEC);
			}
		}

	}



/* &lambda3393 */
	obj_t BGl_z62lambda3393z62zzliveness_typesz00(obj_t BgL_envz00_7474,
		obj_t BgL_oz00_7475)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13325;

				{
					obj_t BgL_auxz00_13326;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13327;

						BgL_tmpz00_13327 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7475));
						BgL_auxz00_13326 = BGL_OBJECT_WIDENING(BgL_tmpz00_13327);
					}
					BgL_auxz00_13325 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13326);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13325))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3378> */
	obj_t BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7476)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3377 */
	obj_t BGl_z62lambda3377z62zzliveness_typesz00(obj_t BgL_envz00_7477,
		obj_t BgL_oz00_7478, obj_t BgL_vz00_7479)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13333;

				{
					obj_t BgL_auxz00_13334;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13335;

						BgL_tmpz00_13335 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7478));
						BgL_auxz00_13334 = BGL_OBJECT_WIDENING(BgL_tmpz00_13335);
					}
					BgL_auxz00_13333 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13334);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13333))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7479)), BUNSPEC);
			}
		}

	}



/* &lambda3376 */
	obj_t BGl_z62lambda3376z62zzliveness_typesz00(obj_t BgL_envz00_7480,
		obj_t BgL_oz00_7481)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13342;

				{
					obj_t BgL_auxz00_13343;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13344;

						BgL_tmpz00_13344 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7481));
						BgL_auxz00_13343 = BGL_OBJECT_WIDENING(BgL_tmpz00_13344);
					}
					BgL_auxz00_13342 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13343);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13342))->
					BgL_defz00);
			}
		}

	}



/* &lambda3311 */
	BgL_failz00_bglt BGl_z62lambda3311z62zzliveness_typesz00(obj_t
		BgL_envz00_7482, obj_t BgL_o1514z00_7483)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				long BgL_arg3315z00_8931;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_arg3316z00_8932;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3317z00_8933;

						{	/* Liveness/types.scm 161 */
							long BgL_arg1828z00_8934;

							{	/* Liveness/types.scm 161 */
								long BgL_arg1829z00_8935;

								BgL_arg1829z00_8935 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_failz00_bglt) BgL_o1514z00_7483)));
								BgL_arg1828z00_8934 = (BgL_arg1829z00_8935 - OBJECT_TYPE);
							}
							BgL_arg3317z00_8933 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8934);
						}
						BgL_arg3316z00_8932 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3317z00_8933);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_tmpz00_13356;

						BgL_tmpz00_13356 = ((obj_t) BgL_arg3316z00_8932);
						BgL_arg3315z00_8931 = BGL_CLASS_NUM(BgL_tmpz00_13356);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_failz00_bglt) BgL_o1514z00_7483)), BgL_arg3315z00_8931);
			}
			{	/* Liveness/types.scm 161 */
				BgL_objectz00_bglt BgL_tmpz00_13362;

				BgL_tmpz00_13362 =
					((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1514z00_7483));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13362, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1514z00_7483));
			return ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1514z00_7483));
		}

	}



/* &<@anonymous:3310> */
	obj_t BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7484, obj_t BgL_new1513z00_7485)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failz00_bglt BgL_auxz00_13370;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1513z00_7485))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13374;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8937;

						BgL_classz00_8937 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1113z00_8938;

							BgL__ortest_1113z00_8938 = BGL_CLASS_NIL(BgL_classz00_8937);
							if (CBOOL(BgL__ortest_1113z00_8938))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13374 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8938);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13374 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8937));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1513z00_7485))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13374), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13384;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8939;

						BgL_classz00_8939 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1113z00_8940;

							BgL__ortest_1113z00_8940 = BGL_CLASS_NIL(BgL_classz00_8939);
							if (CBOOL(BgL__ortest_1113z00_8940))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13384 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8940);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13384 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8939));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1513z00_7485))))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13384), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13394;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8941;

						BgL_classz00_8941 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1113z00_8942;

							BgL__ortest_1113z00_8942 = BGL_CLASS_NIL(BgL_classz00_8941);
							if (CBOOL(BgL__ortest_1113z00_8942))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13394 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8942);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13394 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8941));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1513z00_7485))))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13394), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13404;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8943;

						BgL_classz00_8943 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1113z00_8944;

							BgL__ortest_1113z00_8944 = BGL_CLASS_NIL(BgL_classz00_8943);
							if (CBOOL(BgL__ortest_1113z00_8944))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13404 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8944);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13404 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8943));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1513z00_7485))))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13404), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13414;

					{
						obj_t BgL_auxz00_13415;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13416;

							BgL_tmpz00_13416 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1513z00_7485));
							BgL_auxz00_13415 = BGL_OBJECT_WIDENING(BgL_tmpz00_13416);
						}
						BgL_auxz00_13414 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13415);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13414))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13422;

					{
						obj_t BgL_auxz00_13423;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13424;

							BgL_tmpz00_13424 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1513z00_7485));
							BgL_auxz00_13423 = BGL_OBJECT_WIDENING(BgL_tmpz00_13424);
						}
						BgL_auxz00_13422 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13423);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13422))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13430;

					{
						obj_t BgL_auxz00_13431;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13432;

							BgL_tmpz00_13432 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1513z00_7485));
							BgL_auxz00_13431 = BGL_OBJECT_WIDENING(BgL_tmpz00_13432);
						}
						BgL_auxz00_13430 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13431);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13430))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13438;

					{
						obj_t BgL_auxz00_13439;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13440;

							BgL_tmpz00_13440 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1513z00_7485));
							BgL_auxz00_13439 = BGL_OBJECT_WIDENING(BgL_tmpz00_13440);
						}
						BgL_auxz00_13438 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13439);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13438))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13370 = ((BgL_failz00_bglt) BgL_new1513z00_7485);
				return ((obj_t) BgL_auxz00_13370);
			}
		}

	}



/* &lambda3306 */
	BgL_failz00_bglt BGl_z62lambda3306z62zzliveness_typesz00(obj_t
		BgL_envz00_7486, obj_t BgL_o1510z00_7487)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failzf2livenesszf2_bglt BgL_wide1512z00_8946;

				BgL_wide1512z00_8946 =
					((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 161 */
					obj_t BgL_auxz00_13453;
					BgL_objectz00_bglt BgL_tmpz00_13449;

					BgL_auxz00_13453 = ((obj_t) BgL_wide1512z00_8946);
					BgL_tmpz00_13449 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7487)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13449, BgL_auxz00_13453);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7487)));
				{	/* Liveness/types.scm 161 */
					long BgL_arg3309z00_8947;

					BgL_arg3309z00_8947 =
						BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_o1510z00_7487))), BgL_arg3309z00_8947);
				}
				return
					((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1510z00_7487)));
			}
		}

	}



/* &lambda3297 */
	BgL_failz00_bglt BGl_z62lambda3297z62zzliveness_typesz00(obj_t
		BgL_envz00_7488, obj_t BgL_loc1501z00_7489, obj_t BgL_type1502z00_7490,
		obj_t BgL_proc1503z00_7491, obj_t BgL_msg1504z00_7492,
		obj_t BgL_obj1505z00_7493, obj_t BgL_def1506z00_7494,
		obj_t BgL_use1507z00_7495, obj_t BgL_in1508z00_7496,
		obj_t BgL_out1509z00_7497)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failz00_bglt BgL_new1802z00_8956;

				{	/* Liveness/types.scm 161 */
					BgL_failz00_bglt BgL_tmp1800z00_8957;
					BgL_failzf2livenesszf2_bglt BgL_wide1801z00_8958;

					{
						BgL_failz00_bglt BgL_auxz00_13467;

						{	/* Liveness/types.scm 161 */
							BgL_failz00_bglt BgL_new1799z00_8959;

							BgL_new1799z00_8959 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Liveness/types.scm 161 */
								long BgL_arg3305z00_8960;

								BgL_arg3305z00_8960 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1799z00_8959),
									BgL_arg3305z00_8960);
							}
							{	/* Liveness/types.scm 161 */
								BgL_objectz00_bglt BgL_tmpz00_13472;

								BgL_tmpz00_13472 = ((BgL_objectz00_bglt) BgL_new1799z00_8959);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13472, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1799z00_8959);
							BgL_auxz00_13467 = BgL_new1799z00_8959;
						}
						BgL_tmp1800z00_8957 = ((BgL_failz00_bglt) BgL_auxz00_13467);
					}
					BgL_wide1801z00_8958 =
						((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 161 */
						obj_t BgL_auxz00_13480;
						BgL_objectz00_bglt BgL_tmpz00_13478;

						BgL_auxz00_13480 = ((obj_t) BgL_wide1801z00_8958);
						BgL_tmpz00_13478 = ((BgL_objectz00_bglt) BgL_tmp1800z00_8957);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13478, BgL_auxz00_13480);
					}
					((BgL_objectz00_bglt) BgL_tmp1800z00_8957);
					{	/* Liveness/types.scm 161 */
						long BgL_arg3302z00_8961;

						BgL_arg3302z00_8961 =
							BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1800z00_8957), BgL_arg3302z00_8961);
					}
					BgL_new1802z00_8956 = ((BgL_failz00_bglt) BgL_tmp1800z00_8957);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1802z00_8956)))->BgL_locz00) =
					((obj_t) BgL_loc1501z00_7489), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1802z00_8956)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1502z00_7490)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1802z00_8956)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1503z00_7491)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1802z00_8956)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1504z00_7492)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1802z00_8956)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1505z00_7493)),
					BUNSPEC);
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13502;

					{
						obj_t BgL_auxz00_13503;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13504;

							BgL_tmpz00_13504 = ((BgL_objectz00_bglt) BgL_new1802z00_8956);
							BgL_auxz00_13503 = BGL_OBJECT_WIDENING(BgL_tmpz00_13504);
						}
						BgL_auxz00_13502 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13503);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13502))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1506z00_7494)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13510;

					{
						obj_t BgL_auxz00_13511;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13512;

							BgL_tmpz00_13512 = ((BgL_objectz00_bglt) BgL_new1802z00_8956);
							BgL_auxz00_13511 = BGL_OBJECT_WIDENING(BgL_tmpz00_13512);
						}
						BgL_auxz00_13510 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13511);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13510))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1507z00_7495)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13518;

					{
						obj_t BgL_auxz00_13519;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13520;

							BgL_tmpz00_13520 = ((BgL_objectz00_bglt) BgL_new1802z00_8956);
							BgL_auxz00_13519 = BGL_OBJECT_WIDENING(BgL_tmpz00_13520);
						}
						BgL_auxz00_13518 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13519);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13518))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1508z00_7496)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13526;

					{
						obj_t BgL_auxz00_13527;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13528;

							BgL_tmpz00_13528 = ((BgL_objectz00_bglt) BgL_new1802z00_8956);
							BgL_auxz00_13527 = BGL_OBJECT_WIDENING(BgL_tmpz00_13528);
						}
						BgL_auxz00_13526 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13527);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13526))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1509z00_7497)), BUNSPEC);
				}
				return BgL_new1802z00_8956;
			}
		}

	}



/* &<@anonymous:3350> */
	obj_t BGl_z62zc3z04anonymousza33350ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7498)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3349 */
	obj_t BGl_z62lambda3349z62zzliveness_typesz00(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500, obj_t BgL_vz00_7501)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13534;

				{
					obj_t BgL_auxz00_13535;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13536;

						BgL_tmpz00_13536 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7500));
						BgL_auxz00_13535 = BGL_OBJECT_WIDENING(BgL_tmpz00_13536);
					}
					BgL_auxz00_13534 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13535);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13534))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7501)), BUNSPEC);
			}
		}

	}



/* &lambda3348 */
	obj_t BGl_z62lambda3348z62zzliveness_typesz00(obj_t BgL_envz00_7502,
		obj_t BgL_oz00_7503)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13543;

				{
					obj_t BgL_auxz00_13544;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13545;

						BgL_tmpz00_13545 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7503));
						BgL_auxz00_13544 = BGL_OBJECT_WIDENING(BgL_tmpz00_13545);
					}
					BgL_auxz00_13543 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13544);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13543))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3343> */
	obj_t BGl_z62zc3z04anonymousza33343ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7504)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3342 */
	obj_t BGl_z62lambda3342z62zzliveness_typesz00(obj_t BgL_envz00_7505,
		obj_t BgL_oz00_7506, obj_t BgL_vz00_7507)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13551;

				{
					obj_t BgL_auxz00_13552;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13553;

						BgL_tmpz00_13553 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7506));
						BgL_auxz00_13552 = BGL_OBJECT_WIDENING(BgL_tmpz00_13553);
					}
					BgL_auxz00_13551 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13552);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13551))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7507)), BUNSPEC);
			}
		}

	}



/* &lambda3341 */
	obj_t BGl_z62lambda3341z62zzliveness_typesz00(obj_t BgL_envz00_7508,
		obj_t BgL_oz00_7509)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13560;

				{
					obj_t BgL_auxz00_13561;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13562;

						BgL_tmpz00_13562 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7509));
						BgL_auxz00_13561 = BGL_OBJECT_WIDENING(BgL_tmpz00_13562);
					}
					BgL_auxz00_13560 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13561);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13560))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3336> */
	obj_t BGl_z62zc3z04anonymousza33336ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7510)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3335 */
	obj_t BGl_z62lambda3335z62zzliveness_typesz00(obj_t BgL_envz00_7511,
		obj_t BgL_oz00_7512, obj_t BgL_vz00_7513)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13568;

				{
					obj_t BgL_auxz00_13569;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13570;

						BgL_tmpz00_13570 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7512));
						BgL_auxz00_13569 = BGL_OBJECT_WIDENING(BgL_tmpz00_13570);
					}
					BgL_auxz00_13568 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13569);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13568))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7513)), BUNSPEC);
			}
		}

	}



/* &lambda3334 */
	obj_t BGl_z62lambda3334z62zzliveness_typesz00(obj_t BgL_envz00_7514,
		obj_t BgL_oz00_7515)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13577;

				{
					obj_t BgL_auxz00_13578;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13579;

						BgL_tmpz00_13579 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7515));
						BgL_auxz00_13578 = BGL_OBJECT_WIDENING(BgL_tmpz00_13579);
					}
					BgL_auxz00_13577 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13578);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13577))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3324> */
	obj_t BGl_z62zc3z04anonymousza33324ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7516)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3323 */
	obj_t BGl_z62lambda3323z62zzliveness_typesz00(obj_t BgL_envz00_7517,
		obj_t BgL_oz00_7518, obj_t BgL_vz00_7519)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13585;

				{
					obj_t BgL_auxz00_13586;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13587;

						BgL_tmpz00_13587 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7518));
						BgL_auxz00_13586 = BGL_OBJECT_WIDENING(BgL_tmpz00_13587);
					}
					BgL_auxz00_13585 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13586);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13585))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7519)), BUNSPEC);
			}
		}

	}



/* &lambda3322 */
	obj_t BGl_z62lambda3322z62zzliveness_typesz00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13594;

				{
					obj_t BgL_auxz00_13595;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13596;

						BgL_tmpz00_13596 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7521));
						BgL_auxz00_13595 = BGL_OBJECT_WIDENING(BgL_tmpz00_13596);
					}
					BgL_auxz00_13594 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13595);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13594))->
					BgL_defz00);
			}
		}

	}



/* &lambda3240 */
	BgL_conditionalz00_bglt BGl_z62lambda3240z62zzliveness_typesz00(obj_t
		BgL_envz00_7522, obj_t BgL_o1498z00_7523)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				long BgL_arg3241z00_8975;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_arg3242z00_8976;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3244z00_8977;

						{	/* Liveness/types.scm 155 */
							long BgL_arg1828z00_8978;

							{	/* Liveness/types.scm 155 */
								long BgL_arg1829z00_8979;

								BgL_arg1829z00_8979 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_o1498z00_7523)));
								BgL_arg1828z00_8978 = (BgL_arg1829z00_8979 - OBJECT_TYPE);
							}
							BgL_arg3244z00_8977 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8978);
						}
						BgL_arg3242z00_8976 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3244z00_8977);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_tmpz00_13608;

						BgL_tmpz00_13608 = ((obj_t) BgL_arg3242z00_8976);
						BgL_arg3241z00_8975 = BGL_CLASS_NUM(BgL_tmpz00_13608);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1498z00_7523)),
					BgL_arg3241z00_8975);
			}
			{	/* Liveness/types.scm 155 */
				BgL_objectz00_bglt BgL_tmpz00_13614;

				BgL_tmpz00_13614 =
					((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1498z00_7523));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13614, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1498z00_7523));
			return
				((BgL_conditionalz00_bglt)
				((BgL_conditionalz00_bglt) BgL_o1498z00_7523));
		}

	}



/* &<@anonymous:3239> */
	obj_t BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7524, obj_t BgL_new1497z00_7525)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_13622;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13626;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8981;

						BgL_classz00_8981 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1113z00_8982;

							BgL__ortest_1113z00_8982 = BGL_CLASS_NIL(BgL_classz00_8981);
							if (CBOOL(BgL__ortest_1113z00_8982))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13626 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_8982);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13626 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8981));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13626), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1497z00_7525))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13642;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8983;

						BgL_classz00_8983 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1113z00_8984;

							BgL__ortest_1113z00_8984 = BGL_CLASS_NIL(BgL_classz00_8983);
							if (CBOOL(BgL__ortest_1113z00_8984))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13642 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8984);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13642 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8983));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_13642), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13652;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8985;

						BgL_classz00_8985 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1113z00_8986;

							BgL__ortest_1113z00_8986 = BGL_CLASS_NIL(BgL_classz00_8985);
							if (CBOOL(BgL__ortest_1113z00_8986))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13652 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8986);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13652 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8985));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_13652), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13662;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_8987;

						BgL_classz00_8987 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1113z00_8988;

							BgL__ortest_1113z00_8988 = BGL_CLASS_NIL(BgL_classz00_8987);
							if (CBOOL(BgL__ortest_1113z00_8988))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13662 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_8988);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_13662 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8987));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1497z00_7525))))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_13662), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13672;

					{
						obj_t BgL_auxz00_13673;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13674;

							BgL_tmpz00_13674 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1497z00_7525));
							BgL_auxz00_13673 = BGL_OBJECT_WIDENING(BgL_tmpz00_13674);
						}
						BgL_auxz00_13672 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13673);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13672))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13680;

					{
						obj_t BgL_auxz00_13681;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13682;

							BgL_tmpz00_13682 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1497z00_7525));
							BgL_auxz00_13681 = BGL_OBJECT_WIDENING(BgL_tmpz00_13682);
						}
						BgL_auxz00_13680 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13681);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13680))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13688;

					{
						obj_t BgL_auxz00_13689;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13690;

							BgL_tmpz00_13690 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1497z00_7525));
							BgL_auxz00_13689 = BGL_OBJECT_WIDENING(BgL_tmpz00_13690);
						}
						BgL_auxz00_13688 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13689);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13688))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13696;

					{
						obj_t BgL_auxz00_13697;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13698;

							BgL_tmpz00_13698 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1497z00_7525));
							BgL_auxz00_13697 = BGL_OBJECT_WIDENING(BgL_tmpz00_13698);
						}
						BgL_auxz00_13696 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13697);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13696))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13622 = ((BgL_conditionalz00_bglt) BgL_new1497z00_7525);
				return ((obj_t) BgL_auxz00_13622);
			}
		}

	}



/* &lambda3236 */
	BgL_conditionalz00_bglt BGl_z62lambda3236z62zzliveness_typesz00(obj_t
		BgL_envz00_7526, obj_t BgL_o1494z00_7527)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalzf2livenesszf2_bglt BgL_wide1496z00_8990;

				BgL_wide1496z00_8990 =
					((BgL_conditionalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 155 */
					obj_t BgL_auxz00_13711;
					BgL_objectz00_bglt BgL_tmpz00_13707;

					BgL_auxz00_13711 = ((obj_t) BgL_wide1496z00_8990);
					BgL_tmpz00_13707 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_o1494z00_7527)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13707, BgL_auxz00_13711);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1494z00_7527)));
				{	/* Liveness/types.scm 155 */
					long BgL_arg3238z00_8991;

					BgL_arg3238z00_8991 =
						BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_o1494z00_7527))),
						BgL_arg3238z00_8991);
				}
				return
					((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1494z00_7527)));
			}
		}

	}



/* &lambda3232 */
	BgL_conditionalz00_bglt BGl_z62lambda3232z62zzliveness_typesz00(obj_t
		BgL_envz00_7528, obj_t BgL_loc1483z00_7529, obj_t BgL_type1484z00_7530,
		obj_t BgL_sidezd2effect1485zd2_7531, obj_t BgL_key1486z00_7532,
		obj_t BgL_test1487z00_7533, obj_t BgL_true1488z00_7534,
		obj_t BgL_false1489z00_7535, obj_t BgL_def1490z00_7536,
		obj_t BgL_use1491z00_7537, obj_t BgL_in1492z00_7538,
		obj_t BgL_out1493z00_7539)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalz00_bglt BgL_new1797z00_9000;

				{	/* Liveness/types.scm 155 */
					BgL_conditionalz00_bglt BgL_tmp1795z00_9001;
					BgL_conditionalzf2livenesszf2_bglt BgL_wide1796z00_9002;

					{
						BgL_conditionalz00_bglt BgL_auxz00_13725;

						{	/* Liveness/types.scm 155 */
							BgL_conditionalz00_bglt BgL_new1794z00_9003;

							BgL_new1794z00_9003 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Liveness/types.scm 155 */
								long BgL_arg3235z00_9004;

								BgL_arg3235z00_9004 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1794z00_9003),
									BgL_arg3235z00_9004);
							}
							{	/* Liveness/types.scm 155 */
								BgL_objectz00_bglt BgL_tmpz00_13730;

								BgL_tmpz00_13730 = ((BgL_objectz00_bglt) BgL_new1794z00_9003);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13730, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1794z00_9003);
							BgL_auxz00_13725 = BgL_new1794z00_9003;
						}
						BgL_tmp1795z00_9001 = ((BgL_conditionalz00_bglt) BgL_auxz00_13725);
					}
					BgL_wide1796z00_9002 =
						((BgL_conditionalzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 155 */
						obj_t BgL_auxz00_13738;
						BgL_objectz00_bglt BgL_tmpz00_13736;

						BgL_auxz00_13738 = ((obj_t) BgL_wide1796z00_9002);
						BgL_tmpz00_13736 = ((BgL_objectz00_bglt) BgL_tmp1795z00_9001);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13736, BgL_auxz00_13738);
					}
					((BgL_objectz00_bglt) BgL_tmp1795z00_9001);
					{	/* Liveness/types.scm 155 */
						long BgL_arg3234z00_9005;

						BgL_arg3234z00_9005 =
							BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1795z00_9001), BgL_arg3234z00_9005);
					}
					BgL_new1797z00_9000 = ((BgL_conditionalz00_bglt) BgL_tmp1795z00_9001);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1797z00_9000)))->BgL_locz00) =
					((obj_t) BgL_loc1483z00_7529), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1797z00_9000)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1484z00_7530)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1797z00_9000)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1485zd2_7531), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1797z00_9000)))->BgL_keyz00) =
					((obj_t) BgL_key1486z00_7532), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1797z00_9000)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1487z00_7533)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1797z00_9000)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1488z00_7534)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1797z00_9000)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1489z00_7535)),
					BUNSPEC);
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13764;

					{
						obj_t BgL_auxz00_13765;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13766;

							BgL_tmpz00_13766 = ((BgL_objectz00_bglt) BgL_new1797z00_9000);
							BgL_auxz00_13765 = BGL_OBJECT_WIDENING(BgL_tmpz00_13766);
						}
						BgL_auxz00_13764 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13765);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13764))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1490z00_7536)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13772;

					{
						obj_t BgL_auxz00_13773;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13774;

							BgL_tmpz00_13774 = ((BgL_objectz00_bglt) BgL_new1797z00_9000);
							BgL_auxz00_13773 = BGL_OBJECT_WIDENING(BgL_tmpz00_13774);
						}
						BgL_auxz00_13772 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13773);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13772))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1491z00_7537)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13780;

					{
						obj_t BgL_auxz00_13781;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13782;

							BgL_tmpz00_13782 = ((BgL_objectz00_bglt) BgL_new1797z00_9000);
							BgL_auxz00_13781 = BGL_OBJECT_WIDENING(BgL_tmpz00_13782);
						}
						BgL_auxz00_13780 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13781);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13780))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1492z00_7538)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13788;

					{
						obj_t BgL_auxz00_13789;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_13790;

							BgL_tmpz00_13790 = ((BgL_objectz00_bglt) BgL_new1797z00_9000);
							BgL_auxz00_13789 = BGL_OBJECT_WIDENING(BgL_tmpz00_13790);
						}
						BgL_auxz00_13788 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13789);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13788))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1493z00_7539)), BUNSPEC);
				}
				return BgL_new1797z00_9000;
			}
		}

	}



/* &<@anonymous:3283> */
	obj_t BGl_z62zc3z04anonymousza33283ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7540)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3282 */
	obj_t BGl_z62lambda3282z62zzliveness_typesz00(obj_t BgL_envz00_7541,
		obj_t BgL_oz00_7542, obj_t BgL_vz00_7543)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13796;

				{
					obj_t BgL_auxz00_13797;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13798;

						BgL_tmpz00_13798 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7542));
						BgL_auxz00_13797 = BGL_OBJECT_WIDENING(BgL_tmpz00_13798);
					}
					BgL_auxz00_13796 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13797);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13796))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7543)), BUNSPEC);
			}
		}

	}



/* &lambda3281 */
	obj_t BGl_z62lambda3281z62zzliveness_typesz00(obj_t BgL_envz00_7544,
		obj_t BgL_oz00_7545)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13805;

				{
					obj_t BgL_auxz00_13806;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13807;

						BgL_tmpz00_13807 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7545));
						BgL_auxz00_13806 = BGL_OBJECT_WIDENING(BgL_tmpz00_13807);
					}
					BgL_auxz00_13805 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13806);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13805))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3274> */
	obj_t BGl_z62zc3z04anonymousza33274ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7546)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3273 */
	obj_t BGl_z62lambda3273z62zzliveness_typesz00(obj_t BgL_envz00_7547,
		obj_t BgL_oz00_7548, obj_t BgL_vz00_7549)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13813;

				{
					obj_t BgL_auxz00_13814;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13815;

						BgL_tmpz00_13815 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7548));
						BgL_auxz00_13814 = BGL_OBJECT_WIDENING(BgL_tmpz00_13815);
					}
					BgL_auxz00_13813 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13814);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13813))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7549)), BUNSPEC);
			}
		}

	}



/* &lambda3272 */
	obj_t BGl_z62lambda3272z62zzliveness_typesz00(obj_t BgL_envz00_7550,
		obj_t BgL_oz00_7551)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13822;

				{
					obj_t BgL_auxz00_13823;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13824;

						BgL_tmpz00_13824 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7551));
						BgL_auxz00_13823 = BGL_OBJECT_WIDENING(BgL_tmpz00_13824);
					}
					BgL_auxz00_13822 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13823);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13822))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3266> */
	obj_t BGl_z62zc3z04anonymousza33266ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7552)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3265 */
	obj_t BGl_z62lambda3265z62zzliveness_typesz00(obj_t BgL_envz00_7553,
		obj_t BgL_oz00_7554, obj_t BgL_vz00_7555)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13830;

				{
					obj_t BgL_auxz00_13831;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13832;

						BgL_tmpz00_13832 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7554));
						BgL_auxz00_13831 = BGL_OBJECT_WIDENING(BgL_tmpz00_13832);
					}
					BgL_auxz00_13830 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13831);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13830))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7555)), BUNSPEC);
			}
		}

	}



/* &lambda3264 */
	obj_t BGl_z62lambda3264z62zzliveness_typesz00(obj_t BgL_envz00_7556,
		obj_t BgL_oz00_7557)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13839;

				{
					obj_t BgL_auxz00_13840;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13841;

						BgL_tmpz00_13841 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7557));
						BgL_auxz00_13840 = BGL_OBJECT_WIDENING(BgL_tmpz00_13841);
					}
					BgL_auxz00_13839 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13840);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13839))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3258> */
	obj_t BGl_z62zc3z04anonymousza33258ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7558)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3257 */
	obj_t BGl_z62lambda3257z62zzliveness_typesz00(obj_t BgL_envz00_7559,
		obj_t BgL_oz00_7560, obj_t BgL_vz00_7561)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13847;

				{
					obj_t BgL_auxz00_13848;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13849;

						BgL_tmpz00_13849 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7560));
						BgL_auxz00_13848 = BGL_OBJECT_WIDENING(BgL_tmpz00_13849);
					}
					BgL_auxz00_13847 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13848);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13847))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7561)), BUNSPEC);
			}
		}

	}



/* &lambda3256 */
	obj_t BGl_z62lambda3256z62zzliveness_typesz00(obj_t BgL_envz00_7562,
		obj_t BgL_oz00_7563)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_13856;

				{
					obj_t BgL_auxz00_13857;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_13858;

						BgL_tmpz00_13858 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7563));
						BgL_auxz00_13857 = BGL_OBJECT_WIDENING(BgL_tmpz00_13858);
					}
					BgL_auxz00_13856 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_13857);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13856))->
					BgL_defz00);
			}
		}

	}



/* &lambda3176 */
	BgL_setqz00_bglt BGl_z62lambda3176z62zzliveness_typesz00(obj_t
		BgL_envz00_7564, obj_t BgL_o1481z00_7565)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				long BgL_arg3178z00_9019;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_arg3179z00_9020;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3182z00_9021;

						{	/* Liveness/types.scm 149 */
							long BgL_arg1828z00_9022;

							{	/* Liveness/types.scm 149 */
								long BgL_arg1829z00_9023;

								BgL_arg1829z00_9023 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) BgL_o1481z00_7565)));
								BgL_arg1828z00_9022 = (BgL_arg1829z00_9023 - OBJECT_TYPE);
							}
							BgL_arg3182z00_9021 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9022);
						}
						BgL_arg3179z00_9020 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3182z00_9021);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_tmpz00_13870;

						BgL_tmpz00_13870 = ((obj_t) BgL_arg3179z00_9020);
						BgL_arg3178z00_9019 = BGL_CLASS_NUM(BgL_tmpz00_13870);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) BgL_o1481z00_7565)), BgL_arg3178z00_9019);
			}
			{	/* Liveness/types.scm 149 */
				BgL_objectz00_bglt BgL_tmpz00_13876;

				BgL_tmpz00_13876 =
					((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1481z00_7565));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13876, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1481z00_7565));
			return ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1481z00_7565));
		}

	}



/* &<@anonymous:3175> */
	obj_t BGl_z62zc3z04anonymousza33175ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7566, obj_t BgL_new1480z00_7567)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqz00_bglt BgL_auxz00_13884;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1480z00_7567))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13888;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9025;

						BgL_classz00_9025 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1113z00_9026;

							BgL__ortest_1113z00_9026 = BGL_CLASS_NIL(BgL_classz00_9025);
							if (CBOOL(BgL__ortest_1113z00_9026))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13888 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9026);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13888 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9025));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1480z00_7567))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13888), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13898;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9027;

						BgL_classz00_9027 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1113z00_9028;

							BgL__ortest_1113z00_9028 = BGL_CLASS_NIL(BgL_classz00_9027);
							if (CBOOL(BgL__ortest_1113z00_9028))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13898 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9028);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13898 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9027));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1480z00_7567))))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_13898), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13908;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9029;

						BgL_classz00_9029 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1113z00_9030;

							BgL__ortest_1113z00_9030 = BGL_CLASS_NIL(BgL_classz00_9029);
							if (CBOOL(BgL__ortest_1113z00_9030))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13908 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9030);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_13908 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9029));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1480z00_7567))))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_13908), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13918;

					{
						obj_t BgL_auxz00_13919;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13920;

							BgL_tmpz00_13920 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1480z00_7567));
							BgL_auxz00_13919 = BGL_OBJECT_WIDENING(BgL_tmpz00_13920);
						}
						BgL_auxz00_13918 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13919);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13918))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13926;

					{
						obj_t BgL_auxz00_13927;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13928;

							BgL_tmpz00_13928 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1480z00_7567));
							BgL_auxz00_13927 = BGL_OBJECT_WIDENING(BgL_tmpz00_13928);
						}
						BgL_auxz00_13926 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13927);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13926))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13934;

					{
						obj_t BgL_auxz00_13935;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13936;

							BgL_tmpz00_13936 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1480z00_7567));
							BgL_auxz00_13935 = BGL_OBJECT_WIDENING(BgL_tmpz00_13936);
						}
						BgL_auxz00_13934 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13935);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13934))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_13942;

					{
						obj_t BgL_auxz00_13943;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_13944;

							BgL_tmpz00_13944 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1480z00_7567));
							BgL_auxz00_13943 = BGL_OBJECT_WIDENING(BgL_tmpz00_13944);
						}
						BgL_auxz00_13942 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_13943);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13942))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13884 = ((BgL_setqz00_bglt) BgL_new1480z00_7567);
				return ((obj_t) BgL_auxz00_13884);
			}
		}

	}



/* &lambda3173 */
	BgL_setqz00_bglt BGl_z62lambda3173z62zzliveness_typesz00(obj_t
		BgL_envz00_7568, obj_t BgL_o1477z00_7569)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqzf2livenesszf2_bglt BgL_wide1479z00_9032;

				BgL_wide1479z00_9032 =
					((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 149 */
					obj_t BgL_auxz00_13957;
					BgL_objectz00_bglt BgL_tmpz00_13953;

					BgL_auxz00_13957 = ((obj_t) BgL_wide1479z00_9032);
					BgL_tmpz00_13953 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7569)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13953, BgL_auxz00_13957);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7569)));
				{	/* Liveness/types.scm 149 */
					long BgL_arg3174z00_9033;

					BgL_arg3174z00_9033 =
						BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_o1477z00_7569))), BgL_arg3174z00_9033);
				}
				return
					((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1477z00_7569)));
			}
		}

	}



/* &lambda3169 */
	BgL_setqz00_bglt BGl_z62lambda3169z62zzliveness_typesz00(obj_t
		BgL_envz00_7570, obj_t BgL_loc1469z00_7571, obj_t BgL_type1470z00_7572,
		obj_t BgL_var1471z00_7573, obj_t BgL_value1472z00_7574,
		obj_t BgL_def1473z00_7575, obj_t BgL_use1474z00_7576,
		obj_t BgL_in1475z00_7577, obj_t BgL_out1476z00_7578)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqz00_bglt BgL_new1792z00_9041;

				{	/* Liveness/types.scm 149 */
					BgL_setqz00_bglt BgL_tmp1790z00_9042;
					BgL_setqzf2livenesszf2_bglt BgL_wide1791z00_9043;

					{
						BgL_setqz00_bglt BgL_auxz00_13971;

						{	/* Liveness/types.scm 149 */
							BgL_setqz00_bglt BgL_new1789z00_9044;

							BgL_new1789z00_9044 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Liveness/types.scm 149 */
								long BgL_arg3172z00_9045;

								BgL_arg3172z00_9045 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1789z00_9044),
									BgL_arg3172z00_9045);
							}
							{	/* Liveness/types.scm 149 */
								BgL_objectz00_bglt BgL_tmpz00_13976;

								BgL_tmpz00_13976 = ((BgL_objectz00_bglt) BgL_new1789z00_9044);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13976, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1789z00_9044);
							BgL_auxz00_13971 = BgL_new1789z00_9044;
						}
						BgL_tmp1790z00_9042 = ((BgL_setqz00_bglt) BgL_auxz00_13971);
					}
					BgL_wide1791z00_9043 =
						((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 149 */
						obj_t BgL_auxz00_13984;
						BgL_objectz00_bglt BgL_tmpz00_13982;

						BgL_auxz00_13984 = ((obj_t) BgL_wide1791z00_9043);
						BgL_tmpz00_13982 = ((BgL_objectz00_bglt) BgL_tmp1790z00_9042);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13982, BgL_auxz00_13984);
					}
					((BgL_objectz00_bglt) BgL_tmp1790z00_9042);
					{	/* Liveness/types.scm 149 */
						long BgL_arg3171z00_9046;

						BgL_arg3171z00_9046 =
							BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1790z00_9042), BgL_arg3171z00_9046);
					}
					BgL_new1792z00_9041 = ((BgL_setqz00_bglt) BgL_tmp1790z00_9042);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1792z00_9041)))->BgL_locz00) =
					((obj_t) BgL_loc1469z00_7571), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1792z00_9041)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1470z00_7572)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1792z00_9041)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1471z00_7573)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1792z00_9041)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1472z00_7574)),
					BUNSPEC);
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14003;

					{
						obj_t BgL_auxz00_14004;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14005;

							BgL_tmpz00_14005 = ((BgL_objectz00_bglt) BgL_new1792z00_9041);
							BgL_auxz00_14004 = BGL_OBJECT_WIDENING(BgL_tmpz00_14005);
						}
						BgL_auxz00_14003 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14004);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14003))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1473z00_7575)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14011;

					{
						obj_t BgL_auxz00_14012;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14013;

							BgL_tmpz00_14013 = ((BgL_objectz00_bglt) BgL_new1792z00_9041);
							BgL_auxz00_14012 = BGL_OBJECT_WIDENING(BgL_tmpz00_14013);
						}
						BgL_auxz00_14011 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14012);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14011))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1474z00_7576)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14019;

					{
						obj_t BgL_auxz00_14020;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14021;

							BgL_tmpz00_14021 = ((BgL_objectz00_bglt) BgL_new1792z00_9041);
							BgL_auxz00_14020 = BGL_OBJECT_WIDENING(BgL_tmpz00_14021);
						}
						BgL_auxz00_14019 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14020);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14019))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1475z00_7577)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14027;

					{
						obj_t BgL_auxz00_14028;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14029;

							BgL_tmpz00_14029 = ((BgL_objectz00_bglt) BgL_new1792z00_9041);
							BgL_auxz00_14028 = BGL_OBJECT_WIDENING(BgL_tmpz00_14029);
						}
						BgL_auxz00_14027 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14028);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14027))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1476z00_7578)), BUNSPEC);
				}
				return BgL_new1792z00_9041;
			}
		}

	}



/* &<@anonymous:3219> */
	obj_t BGl_z62zc3z04anonymousza33219ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7579)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3218 */
	obj_t BGl_z62lambda3218z62zzliveness_typesz00(obj_t BgL_envz00_7580,
		obj_t BgL_oz00_7581, obj_t BgL_vz00_7582)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14035;

				{
					obj_t BgL_auxz00_14036;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14037;

						BgL_tmpz00_14037 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7581));
						BgL_auxz00_14036 = BGL_OBJECT_WIDENING(BgL_tmpz00_14037);
					}
					BgL_auxz00_14035 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14036);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14035))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7582)), BUNSPEC);
			}
		}

	}



/* &lambda3217 */
	obj_t BGl_z62lambda3217z62zzliveness_typesz00(obj_t BgL_envz00_7583,
		obj_t BgL_oz00_7584)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14044;

				{
					obj_t BgL_auxz00_14045;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14046;

						BgL_tmpz00_14046 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7584));
						BgL_auxz00_14045 = BGL_OBJECT_WIDENING(BgL_tmpz00_14046);
					}
					BgL_auxz00_14044 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14045);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14044))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3210> */
	obj_t BGl_z62zc3z04anonymousza33210ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7585)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3209 */
	obj_t BGl_z62lambda3209z62zzliveness_typesz00(obj_t BgL_envz00_7586,
		obj_t BgL_oz00_7587, obj_t BgL_vz00_7588)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14052;

				{
					obj_t BgL_auxz00_14053;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14054;

						BgL_tmpz00_14054 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7587));
						BgL_auxz00_14053 = BGL_OBJECT_WIDENING(BgL_tmpz00_14054);
					}
					BgL_auxz00_14052 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14053);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14052))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7588)), BUNSPEC);
			}
		}

	}



/* &lambda3208 */
	obj_t BGl_z62lambda3208z62zzliveness_typesz00(obj_t BgL_envz00_7589,
		obj_t BgL_oz00_7590)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14061;

				{
					obj_t BgL_auxz00_14062;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14063;

						BgL_tmpz00_14063 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7590));
						BgL_auxz00_14062 = BGL_OBJECT_WIDENING(BgL_tmpz00_14063);
					}
					BgL_auxz00_14061 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14062);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14061))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3202> */
	obj_t BGl_z62zc3z04anonymousza33202ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7591)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3201 */
	obj_t BGl_z62lambda3201z62zzliveness_typesz00(obj_t BgL_envz00_7592,
		obj_t BgL_oz00_7593, obj_t BgL_vz00_7594)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14069;

				{
					obj_t BgL_auxz00_14070;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14071;

						BgL_tmpz00_14071 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7593));
						BgL_auxz00_14070 = BGL_OBJECT_WIDENING(BgL_tmpz00_14071);
					}
					BgL_auxz00_14069 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14070);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14069))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7594)), BUNSPEC);
			}
		}

	}



/* &lambda3200 */
	obj_t BGl_z62lambda3200z62zzliveness_typesz00(obj_t BgL_envz00_7595,
		obj_t BgL_oz00_7596)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14078;

				{
					obj_t BgL_auxz00_14079;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14080;

						BgL_tmpz00_14080 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7596));
						BgL_auxz00_14079 = BGL_OBJECT_WIDENING(BgL_tmpz00_14080);
					}
					BgL_auxz00_14078 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14079);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14078))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3191> */
	obj_t BGl_z62zc3z04anonymousza33191ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7597)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3190 */
	obj_t BGl_z62lambda3190z62zzliveness_typesz00(obj_t BgL_envz00_7598,
		obj_t BgL_oz00_7599, obj_t BgL_vz00_7600)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14086;

				{
					obj_t BgL_auxz00_14087;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14088;

						BgL_tmpz00_14088 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7599));
						BgL_auxz00_14087 = BGL_OBJECT_WIDENING(BgL_tmpz00_14088);
					}
					BgL_auxz00_14086 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14087);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14086))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7600)), BUNSPEC);
			}
		}

	}



/* &lambda3189 */
	obj_t BGl_z62lambda3189z62zzliveness_typesz00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14095;

				{
					obj_t BgL_auxz00_14096;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14097;

						BgL_tmpz00_14097 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7602));
						BgL_auxz00_14096 = BGL_OBJECT_WIDENING(BgL_tmpz00_14097);
					}
					BgL_auxz00_14095 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14096);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14095))->
					BgL_defz00);
			}
		}

	}



/* &lambda3108 */
	BgL_castz00_bglt BGl_z62lambda3108z62zzliveness_typesz00(obj_t
		BgL_envz00_7603, obj_t BgL_o1467z00_7604)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				long BgL_arg3111z00_9060;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_arg3112z00_9061;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3117z00_9062;

						{	/* Liveness/types.scm 143 */
							long BgL_arg1828z00_9063;

							{	/* Liveness/types.scm 143 */
								long BgL_arg1829z00_9064;

								BgL_arg1829z00_9064 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt) BgL_o1467z00_7604)));
								BgL_arg1828z00_9063 = (BgL_arg1829z00_9064 - OBJECT_TYPE);
							}
							BgL_arg3117z00_9062 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9063);
						}
						BgL_arg3112z00_9061 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3117z00_9062);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_tmpz00_14109;

						BgL_tmpz00_14109 = ((obj_t) BgL_arg3112z00_9061);
						BgL_arg3111z00_9060 = BGL_CLASS_NUM(BgL_tmpz00_14109);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castz00_bglt) BgL_o1467z00_7604)), BgL_arg3111z00_9060);
			}
			{	/* Liveness/types.scm 143 */
				BgL_objectz00_bglt BgL_tmpz00_14115;

				BgL_tmpz00_14115 =
					((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1467z00_7604));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14115, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1467z00_7604));
			return ((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1467z00_7604));
		}

	}



/* &<@anonymous:3107> */
	obj_t BGl_z62zc3z04anonymousza33107ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7605, obj_t BgL_new1466z00_7606)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castz00_bglt BgL_auxz00_14123;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1466z00_7606))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14127;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9066;

						BgL_classz00_9066 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1113z00_9067;

							BgL__ortest_1113z00_9067 = BGL_CLASS_NIL(BgL_classz00_9066);
							if (CBOOL(BgL__ortest_1113z00_9067))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14127 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9067);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14127 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9066));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1466z00_7606))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14127), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14137;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9068;

						BgL_classz00_9068 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1113z00_9069;

							BgL__ortest_1113z00_9069 = BGL_CLASS_NIL(BgL_classz00_9068);
							if (CBOOL(BgL__ortest_1113z00_9069))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14137 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9069);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14137 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9068));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt)
										((BgL_castz00_bglt) BgL_new1466z00_7606))))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14137), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14147;

					{
						obj_t BgL_auxz00_14148;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14149;

							BgL_tmpz00_14149 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1466z00_7606));
							BgL_auxz00_14148 = BGL_OBJECT_WIDENING(BgL_tmpz00_14149);
						}
						BgL_auxz00_14147 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14148);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14147))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14155;

					{
						obj_t BgL_auxz00_14156;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14157;

							BgL_tmpz00_14157 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1466z00_7606));
							BgL_auxz00_14156 = BGL_OBJECT_WIDENING(BgL_tmpz00_14157);
						}
						BgL_auxz00_14155 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14156);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14155))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14163;

					{
						obj_t BgL_auxz00_14164;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14165;

							BgL_tmpz00_14165 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1466z00_7606));
							BgL_auxz00_14164 = BGL_OBJECT_WIDENING(BgL_tmpz00_14165);
						}
						BgL_auxz00_14163 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14164);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14163))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14171;

					{
						obj_t BgL_auxz00_14172;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14173;

							BgL_tmpz00_14173 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1466z00_7606));
							BgL_auxz00_14172 = BGL_OBJECT_WIDENING(BgL_tmpz00_14173);
						}
						BgL_auxz00_14171 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14172);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14171))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14123 = ((BgL_castz00_bglt) BgL_new1466z00_7606);
				return ((obj_t) BgL_auxz00_14123);
			}
		}

	}



/* &lambda3104 */
	BgL_castz00_bglt BGl_z62lambda3104z62zzliveness_typesz00(obj_t
		BgL_envz00_7607, obj_t BgL_o1463z00_7608)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castzf2livenesszf2_bglt BgL_wide1465z00_9071;

				BgL_wide1465z00_9071 =
					((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 143 */
					obj_t BgL_auxz00_14186;
					BgL_objectz00_bglt BgL_tmpz00_14182;

					BgL_auxz00_14186 = ((obj_t) BgL_wide1465z00_9071);
					BgL_tmpz00_14182 =
						((BgL_objectz00_bglt)
						((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7608)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14182, BgL_auxz00_14186);
				}
				((BgL_objectz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7608)));
				{	/* Liveness/types.scm 143 */
					long BgL_arg3106z00_9072;

					BgL_arg3106z00_9072 =
						BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_o1463z00_7608))), BgL_arg3106z00_9072);
				}
				return
					((BgL_castz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1463z00_7608)));
			}
		}

	}



/* &lambda3101 */
	BgL_castz00_bglt BGl_z62lambda3101z62zzliveness_typesz00(obj_t
		BgL_envz00_7609, obj_t BgL_loc1452z00_7610, obj_t BgL_type1453z00_7611,
		obj_t BgL_arg1458z00_7612, obj_t BgL_def1459z00_7613,
		obj_t BgL_use1460z00_7614, obj_t BgL_in1461z00_7615,
		obj_t BgL_out1462z00_7616)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castz00_bglt BgL_new1787z00_9079;

				{	/* Liveness/types.scm 143 */
					BgL_castz00_bglt BgL_tmp1785z00_9080;
					BgL_castzf2livenesszf2_bglt BgL_wide1786z00_9081;

					{
						BgL_castz00_bglt BgL_auxz00_14200;

						{	/* Liveness/types.scm 143 */
							BgL_castz00_bglt BgL_new1784z00_9082;

							BgL_new1784z00_9082 =
								((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castz00_bgl))));
							{	/* Liveness/types.scm 143 */
								long BgL_arg3103z00_9083;

								BgL_arg3103z00_9083 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1784z00_9082),
									BgL_arg3103z00_9083);
							}
							{	/* Liveness/types.scm 143 */
								BgL_objectz00_bglt BgL_tmpz00_14205;

								BgL_tmpz00_14205 = ((BgL_objectz00_bglt) BgL_new1784z00_9082);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14205, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1784z00_9082);
							BgL_auxz00_14200 = BgL_new1784z00_9082;
						}
						BgL_tmp1785z00_9080 = ((BgL_castz00_bglt) BgL_auxz00_14200);
					}
					BgL_wide1786z00_9081 =
						((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 143 */
						obj_t BgL_auxz00_14213;
						BgL_objectz00_bglt BgL_tmpz00_14211;

						BgL_auxz00_14213 = ((obj_t) BgL_wide1786z00_9081);
						BgL_tmpz00_14211 = ((BgL_objectz00_bglt) BgL_tmp1785z00_9080);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14211, BgL_auxz00_14213);
					}
					((BgL_objectz00_bglt) BgL_tmp1785z00_9080);
					{	/* Liveness/types.scm 143 */
						long BgL_arg3102z00_9084;

						BgL_arg3102z00_9084 =
							BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1785z00_9080), BgL_arg3102z00_9084);
					}
					BgL_new1787z00_9079 = ((BgL_castz00_bglt) BgL_tmp1785z00_9080);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1787z00_9079)))->BgL_locz00) =
					((obj_t) BgL_loc1452z00_7610), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1787z00_9079)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1453z00_7611)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
									BgL_new1787z00_9079)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1458z00_7612)),
					BUNSPEC);
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14229;

					{
						obj_t BgL_auxz00_14230;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14231;

							BgL_tmpz00_14231 = ((BgL_objectz00_bglt) BgL_new1787z00_9079);
							BgL_auxz00_14230 = BGL_OBJECT_WIDENING(BgL_tmpz00_14231);
						}
						BgL_auxz00_14229 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14230);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14229))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1459z00_7613)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14237;

					{
						obj_t BgL_auxz00_14238;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14239;

							BgL_tmpz00_14239 = ((BgL_objectz00_bglt) BgL_new1787z00_9079);
							BgL_auxz00_14238 = BGL_OBJECT_WIDENING(BgL_tmpz00_14239);
						}
						BgL_auxz00_14237 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14238);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14237))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1460z00_7614)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14245;

					{
						obj_t BgL_auxz00_14246;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14247;

							BgL_tmpz00_14247 = ((BgL_objectz00_bglt) BgL_new1787z00_9079);
							BgL_auxz00_14246 = BGL_OBJECT_WIDENING(BgL_tmpz00_14247);
						}
						BgL_auxz00_14245 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14246);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14245))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1461z00_7615)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14253;

					{
						obj_t BgL_auxz00_14254;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14255;

							BgL_tmpz00_14255 = ((BgL_objectz00_bglt) BgL_new1787z00_9079);
							BgL_auxz00_14254 = BGL_OBJECT_WIDENING(BgL_tmpz00_14255);
						}
						BgL_auxz00_14253 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14254);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14253))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1462z00_7616)), BUNSPEC);
				}
				return BgL_new1787z00_9079;
			}
		}

	}



/* &<@anonymous:3160> */
	obj_t BGl_z62zc3z04anonymousza33160ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7617)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3159 */
	obj_t BGl_z62lambda3159z62zzliveness_typesz00(obj_t BgL_envz00_7618,
		obj_t BgL_oz00_7619, obj_t BgL_vz00_7620)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14261;

				{
					obj_t BgL_auxz00_14262;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14263;

						BgL_tmpz00_14263 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7619));
						BgL_auxz00_14262 = BGL_OBJECT_WIDENING(BgL_tmpz00_14263);
					}
					BgL_auxz00_14261 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14262);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14261))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7620)), BUNSPEC);
			}
		}

	}



/* &lambda3158 */
	obj_t BGl_z62lambda3158z62zzliveness_typesz00(obj_t BgL_envz00_7621,
		obj_t BgL_oz00_7622)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14270;

				{
					obj_t BgL_auxz00_14271;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14272;

						BgL_tmpz00_14272 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7622));
						BgL_auxz00_14271 = BGL_OBJECT_WIDENING(BgL_tmpz00_14272);
					}
					BgL_auxz00_14270 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14271);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14270))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3147> */
	obj_t BGl_z62zc3z04anonymousza33147ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7623)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3146 */
	obj_t BGl_z62lambda3146z62zzliveness_typesz00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625, obj_t BgL_vz00_7626)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14278;

				{
					obj_t BgL_auxz00_14279;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14280;

						BgL_tmpz00_14280 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7625));
						BgL_auxz00_14279 = BGL_OBJECT_WIDENING(BgL_tmpz00_14280);
					}
					BgL_auxz00_14278 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14279);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14278))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7626)), BUNSPEC);
			}
		}

	}



/* &lambda3145 */
	obj_t BGl_z62lambda3145z62zzliveness_typesz00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14287;

				{
					obj_t BgL_auxz00_14288;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14289;

						BgL_tmpz00_14289 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7628));
						BgL_auxz00_14288 = BGL_OBJECT_WIDENING(BgL_tmpz00_14289);
					}
					BgL_auxz00_14287 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14288);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14287))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3138> */
	obj_t BGl_z62zc3z04anonymousza33138ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7629)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3137 */
	obj_t BGl_z62lambda3137z62zzliveness_typesz00(obj_t BgL_envz00_7630,
		obj_t BgL_oz00_7631, obj_t BgL_vz00_7632)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14295;

				{
					obj_t BgL_auxz00_14296;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14297;

						BgL_tmpz00_14297 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7631));
						BgL_auxz00_14296 = BGL_OBJECT_WIDENING(BgL_tmpz00_14297);
					}
					BgL_auxz00_14295 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14296);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14295))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7632)), BUNSPEC);
			}
		}

	}



/* &lambda3136 */
	obj_t BGl_z62lambda3136z62zzliveness_typesz00(obj_t BgL_envz00_7633,
		obj_t BgL_oz00_7634)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14304;

				{
					obj_t BgL_auxz00_14305;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14306;

						BgL_tmpz00_14306 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7634));
						BgL_auxz00_14305 = BGL_OBJECT_WIDENING(BgL_tmpz00_14306);
					}
					BgL_auxz00_14304 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14305);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14304))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3130> */
	obj_t BGl_z62zc3z04anonymousza33130ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7635)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3129 */
	obj_t BGl_z62lambda3129z62zzliveness_typesz00(obj_t BgL_envz00_7636,
		obj_t BgL_oz00_7637, obj_t BgL_vz00_7638)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14312;

				{
					obj_t BgL_auxz00_14313;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14314;

						BgL_tmpz00_14314 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7637));
						BgL_auxz00_14313 = BGL_OBJECT_WIDENING(BgL_tmpz00_14314);
					}
					BgL_auxz00_14312 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14313);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14312))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7638)), BUNSPEC);
			}
		}

	}



/* &lambda3128 */
	obj_t BGl_z62lambda3128z62zzliveness_typesz00(obj_t BgL_envz00_7639,
		obj_t BgL_oz00_7640)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14321;

				{
					obj_t BgL_auxz00_14322;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14323;

						BgL_tmpz00_14323 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7640));
						BgL_auxz00_14322 = BGL_OBJECT_WIDENING(BgL_tmpz00_14323);
					}
					BgL_auxz00_14321 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14322);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14321))->
					BgL_defz00);
			}
		}

	}



/* &lambda3042 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3042z62zzliveness_typesz00(obj_t
		BgL_envz00_7641, obj_t BgL_o1450z00_7642)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				long BgL_arg3044z00_9098;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_arg3045z00_9099;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3046z00_9100;

						{	/* Liveness/types.scm 137 */
							long BgL_arg1828z00_9101;

							{	/* Liveness/types.scm 137 */
								long BgL_arg1829z00_9102;

								BgL_arg1829z00_9102 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_o1450z00_7642)));
								BgL_arg1828z00_9101 = (BgL_arg1829z00_9102 - OBJECT_TYPE);
							}
							BgL_arg3046z00_9100 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9101);
						}
						BgL_arg3045z00_9099 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3046z00_9100);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_tmpz00_14335;

						BgL_tmpz00_14335 = ((obj_t) BgL_arg3045z00_9099);
						BgL_arg3044z00_9098 = BGL_CLASS_NUM(BgL_tmpz00_14335);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1450z00_7642)),
					BgL_arg3044z00_9098);
			}
			{	/* Liveness/types.scm 137 */
				BgL_objectz00_bglt BgL_tmpz00_14341;

				BgL_tmpz00_14341 =
					((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1450z00_7642));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14341, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1450z00_7642));
			return
				((BgL_castzd2nullzd2_bglt)
				((BgL_castzd2nullzd2_bglt) BgL_o1450z00_7642));
		}

	}



/* &<@anonymous:3041> */
	obj_t BGl_z62zc3z04anonymousza33041ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7643, obj_t BgL_new1449z00_7644)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_14349;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14353;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_classz00_9104;

						BgL_classz00_9104 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 137 */
							obj_t BgL__ortest_1113z00_9105;

							BgL__ortest_1113z00_9105 = BGL_CLASS_NIL(BgL_classz00_9104);
							if (CBOOL(BgL__ortest_1113z00_9105))
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14353 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9105);
								}
							else
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14353 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9104));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14353), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1449z00_7644))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1449z00_7644))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1449z00_7644))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1449z00_7644))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14378;

					{
						obj_t BgL_auxz00_14379;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14380;

							BgL_tmpz00_14380 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644));
							BgL_auxz00_14379 = BGL_OBJECT_WIDENING(BgL_tmpz00_14380);
						}
						BgL_auxz00_14378 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14379);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14378))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14386;

					{
						obj_t BgL_auxz00_14387;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14388;

							BgL_tmpz00_14388 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644));
							BgL_auxz00_14387 = BGL_OBJECT_WIDENING(BgL_tmpz00_14388);
						}
						BgL_auxz00_14386 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14387);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14386))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14394;

					{
						obj_t BgL_auxz00_14395;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14396;

							BgL_tmpz00_14396 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644));
							BgL_auxz00_14395 = BGL_OBJECT_WIDENING(BgL_tmpz00_14396);
						}
						BgL_auxz00_14394 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14395);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14394))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14402;

					{
						obj_t BgL_auxz00_14403;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14404;

							BgL_tmpz00_14404 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644));
							BgL_auxz00_14403 = BGL_OBJECT_WIDENING(BgL_tmpz00_14404);
						}
						BgL_auxz00_14402 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14403);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14402))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14349 = ((BgL_castzd2nullzd2_bglt) BgL_new1449z00_7644);
				return ((obj_t) BgL_auxz00_14349);
			}
		}

	}



/* &lambda3039 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3039z62zzliveness_typesz00(obj_t
		BgL_envz00_7645, obj_t BgL_o1446z00_7646)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzf2livenessz20_bglt BgL_wide1448z00_9107;

				BgL_wide1448z00_9107 =
					((BgL_castzd2nullzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 137 */
					obj_t BgL_auxz00_14417;
					BgL_objectz00_bglt BgL_tmpz00_14413;

					BgL_auxz00_14417 = ((obj_t) BgL_wide1448z00_9107);
					BgL_tmpz00_14413 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_o1446z00_7646)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14413, BgL_auxz00_14417);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1446z00_7646)));
				{	/* Liveness/types.scm 137 */
					long BgL_arg3040z00_9108;

					BgL_arg3040z00_9108 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_o1446z00_7646))),
						BgL_arg3040z00_9108);
				}
				return
					((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1446z00_7646)));
			}
		}

	}



/* &lambda3034 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3034z62zzliveness_typesz00(obj_t
		BgL_envz00_7647, obj_t BgL_loc1435z00_7648, obj_t BgL_type1436z00_7649,
		obj_t BgL_sidezd2effect1437zd2_7650, obj_t BgL_key1438z00_7651,
		obj_t BgL_exprza21439za2_7652, obj_t BgL_effect1440z00_7653,
		obj_t BgL_czd2format1441zd2_7654, obj_t BgL_def1442z00_7655,
		obj_t BgL_use1443z00_7656, obj_t BgL_in1444z00_7657,
		obj_t BgL_out1445z00_7658)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzd2_bglt BgL_new1782z00_9116;

				{	/* Liveness/types.scm 137 */
					BgL_castzd2nullzd2_bglt BgL_tmp1780z00_9117;
					BgL_castzd2nullzf2livenessz20_bglt BgL_wide1781z00_9118;

					{
						BgL_castzd2nullzd2_bglt BgL_auxz00_14431;

						{	/* Liveness/types.scm 137 */
							BgL_castzd2nullzd2_bglt BgL_new1779z00_9119;

							BgL_new1779z00_9119 =
								((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzd2_bgl))));
							{	/* Liveness/types.scm 137 */
								long BgL_arg3038z00_9120;

								BgL_arg3038z00_9120 =
									BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1779z00_9119),
									BgL_arg3038z00_9120);
							}
							{	/* Liveness/types.scm 137 */
								BgL_objectz00_bglt BgL_tmpz00_14436;

								BgL_tmpz00_14436 = ((BgL_objectz00_bglt) BgL_new1779z00_9119);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14436, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1779z00_9119);
							BgL_auxz00_14431 = BgL_new1779z00_9119;
						}
						BgL_tmp1780z00_9117 = ((BgL_castzd2nullzd2_bglt) BgL_auxz00_14431);
					}
					BgL_wide1781z00_9118 =
						((BgL_castzd2nullzf2livenessz20_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 137 */
						obj_t BgL_auxz00_14444;
						BgL_objectz00_bglt BgL_tmpz00_14442;

						BgL_auxz00_14444 = ((obj_t) BgL_wide1781z00_9118);
						BgL_tmpz00_14442 = ((BgL_objectz00_bglt) BgL_tmp1780z00_9117);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14442, BgL_auxz00_14444);
					}
					((BgL_objectz00_bglt) BgL_tmp1780z00_9117);
					{	/* Liveness/types.scm 137 */
						long BgL_arg3035z00_9121;

						BgL_arg3035z00_9121 =
							BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1780z00_9117), BgL_arg3035z00_9121);
					}
					BgL_new1782z00_9116 = ((BgL_castzd2nullzd2_bglt) BgL_tmp1780z00_9117);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1782z00_9116)))->BgL_locz00) =
					((obj_t) BgL_loc1435z00_7648), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1782z00_9116)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1436z00_7649)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1782z00_9116)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1437zd2_7650), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1782z00_9116)))->BgL_keyz00) =
					((obj_t) BgL_key1438z00_7651), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1782z00_9116)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21439za2_7652)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1782z00_9116)))->BgL_effectz00) =
					((obj_t) BgL_effect1440z00_7653), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1782z00_9116)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1441zd2_7654)), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14469;

					{
						obj_t BgL_auxz00_14470;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14471;

							BgL_tmpz00_14471 = ((BgL_objectz00_bglt) BgL_new1782z00_9116);
							BgL_auxz00_14470 = BGL_OBJECT_WIDENING(BgL_tmpz00_14471);
						}
						BgL_auxz00_14469 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14470);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14469))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1442z00_7655)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14477;

					{
						obj_t BgL_auxz00_14478;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14479;

							BgL_tmpz00_14479 = ((BgL_objectz00_bglt) BgL_new1782z00_9116);
							BgL_auxz00_14478 = BGL_OBJECT_WIDENING(BgL_tmpz00_14479);
						}
						BgL_auxz00_14477 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14478);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14477))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1443z00_7656)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14485;

					{
						obj_t BgL_auxz00_14486;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14487;

							BgL_tmpz00_14487 = ((BgL_objectz00_bglt) BgL_new1782z00_9116);
							BgL_auxz00_14486 = BGL_OBJECT_WIDENING(BgL_tmpz00_14487);
						}
						BgL_auxz00_14485 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14486);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14485))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1444z00_7657)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14493;

					{
						obj_t BgL_auxz00_14494;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14495;

							BgL_tmpz00_14495 = ((BgL_objectz00_bglt) BgL_new1782z00_9116);
							BgL_auxz00_14494 = BGL_OBJECT_WIDENING(BgL_tmpz00_14495);
						}
						BgL_auxz00_14493 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14494);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14493))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1445z00_7658)), BUNSPEC);
				}
				return BgL_new1782z00_9116;
			}
		}

	}



/* &<@anonymous:3090> */
	obj_t BGl_z62zc3z04anonymousza33090ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7659)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3089 */
	obj_t BGl_z62lambda3089z62zzliveness_typesz00(obj_t BgL_envz00_7660,
		obj_t BgL_oz00_7661, obj_t BgL_vz00_7662)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14501;

				{
					obj_t BgL_auxz00_14502;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14503;

						BgL_tmpz00_14503 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7661));
						BgL_auxz00_14502 = BGL_OBJECT_WIDENING(BgL_tmpz00_14503);
					}
					BgL_auxz00_14501 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14502);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14501))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7662)), BUNSPEC);
			}
		}

	}



/* &lambda3088 */
	obj_t BGl_z62lambda3088z62zzliveness_typesz00(obj_t BgL_envz00_7663,
		obj_t BgL_oz00_7664)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14510;

				{
					obj_t BgL_auxz00_14511;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14512;

						BgL_tmpz00_14512 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7664));
						BgL_auxz00_14511 = BGL_OBJECT_WIDENING(BgL_tmpz00_14512);
					}
					BgL_auxz00_14510 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14511);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14510))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3082> */
	obj_t BGl_z62zc3z04anonymousza33082ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7665)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3081 */
	obj_t BGl_z62lambda3081z62zzliveness_typesz00(obj_t BgL_envz00_7666,
		obj_t BgL_oz00_7667, obj_t BgL_vz00_7668)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14518;

				{
					obj_t BgL_auxz00_14519;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14520;

						BgL_tmpz00_14520 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7667));
						BgL_auxz00_14519 = BGL_OBJECT_WIDENING(BgL_tmpz00_14520);
					}
					BgL_auxz00_14518 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14519);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14518))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7668)), BUNSPEC);
			}
		}

	}



/* &lambda3080 */
	obj_t BGl_z62lambda3080z62zzliveness_typesz00(obj_t BgL_envz00_7669,
		obj_t BgL_oz00_7670)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14527;

				{
					obj_t BgL_auxz00_14528;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14529;

						BgL_tmpz00_14529 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7670));
						BgL_auxz00_14528 = BGL_OBJECT_WIDENING(BgL_tmpz00_14529);
					}
					BgL_auxz00_14527 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14528);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14527))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3071> */
	obj_t BGl_z62zc3z04anonymousza33071ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7671)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3070 */
	obj_t BGl_z62lambda3070z62zzliveness_typesz00(obj_t BgL_envz00_7672,
		obj_t BgL_oz00_7673, obj_t BgL_vz00_7674)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14535;

				{
					obj_t BgL_auxz00_14536;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14537;

						BgL_tmpz00_14537 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7673));
						BgL_auxz00_14536 = BGL_OBJECT_WIDENING(BgL_tmpz00_14537);
					}
					BgL_auxz00_14535 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14536);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14535))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7674)), BUNSPEC);
			}
		}

	}



/* &lambda3069 */
	obj_t BGl_z62lambda3069z62zzliveness_typesz00(obj_t BgL_envz00_7675,
		obj_t BgL_oz00_7676)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14544;

				{
					obj_t BgL_auxz00_14545;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14546;

						BgL_tmpz00_14546 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7676));
						BgL_auxz00_14545 = BGL_OBJECT_WIDENING(BgL_tmpz00_14546);
					}
					BgL_auxz00_14544 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14545);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14544))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3055> */
	obj_t BGl_z62zc3z04anonymousza33055ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7677)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3054 */
	obj_t BGl_z62lambda3054z62zzliveness_typesz00(obj_t BgL_envz00_7678,
		obj_t BgL_oz00_7679, obj_t BgL_vz00_7680)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14552;

				{
					obj_t BgL_auxz00_14553;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14554;

						BgL_tmpz00_14554 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7679));
						BgL_auxz00_14553 = BGL_OBJECT_WIDENING(BgL_tmpz00_14554);
					}
					BgL_auxz00_14552 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14553);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14552))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7680)), BUNSPEC);
			}
		}

	}



/* &lambda3053 */
	obj_t BGl_z62lambda3053z62zzliveness_typesz00(obj_t BgL_envz00_7681,
		obj_t BgL_oz00_7682)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14561;

				{
					obj_t BgL_auxz00_14562;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14563;

						BgL_tmpz00_14563 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7682));
						BgL_auxz00_14562 = BGL_OBJECT_WIDENING(BgL_tmpz00_14563);
					}
					BgL_auxz00_14561 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14562);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14561))->
					BgL_defz00);
			}
		}

	}



/* &lambda2977 */
	BgL_instanceofz00_bglt BGl_z62lambda2977z62zzliveness_typesz00(obj_t
		BgL_envz00_7683, obj_t BgL_o1433z00_7684)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				long BgL_arg2980z00_9135;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_arg2982z00_9136;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg2983z00_9137;

						{	/* Liveness/types.scm 131 */
							long BgL_arg1828z00_9138;

							{	/* Liveness/types.scm 131 */
								long BgL_arg1829z00_9139;

								BgL_arg1829z00_9139 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_o1433z00_7684)));
								BgL_arg1828z00_9138 = (BgL_arg1829z00_9139 - OBJECT_TYPE);
							}
							BgL_arg2983z00_9137 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9138);
						}
						BgL_arg2982z00_9136 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2983z00_9137);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_tmpz00_14575;

						BgL_tmpz00_14575 = ((obj_t) BgL_arg2982z00_9136);
						BgL_arg2980z00_9135 = BGL_CLASS_NUM(BgL_tmpz00_14575);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1433z00_7684)), BgL_arg2980z00_9135);
			}
			{	/* Liveness/types.scm 131 */
				BgL_objectz00_bglt BgL_tmpz00_14581;

				BgL_tmpz00_14581 =
					((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1433z00_7684));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14581, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1433z00_7684));
			return
				((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1433z00_7684));
		}

	}



/* &<@anonymous:2976> */
	obj_t BGl_z62zc3z04anonymousza32976ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7685, obj_t BgL_new1432z00_7686)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_14589;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1432z00_7686))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14593;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9141;

						BgL_classz00_9141 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1113z00_9142;

							BgL__ortest_1113z00_9142 = BGL_CLASS_NIL(BgL_classz00_9141);
							if (CBOOL(BgL__ortest_1113z00_9142))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14593 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9142);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14593 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9141));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1432z00_7686))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14593), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1432z00_7686))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1432z00_7686))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1432z00_7686))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1432z00_7686))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1432z00_7686))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14618;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9143;

						BgL_classz00_9143 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1113z00_9144;

							BgL__ortest_1113z00_9144 = BGL_CLASS_NIL(BgL_classz00_9143);
							if (CBOOL(BgL__ortest_1113z00_9144))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14618 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9144);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_14618 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9143));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1432z00_7686))))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_14618), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14628;

					{
						obj_t BgL_auxz00_14629;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14630;

							BgL_tmpz00_14630 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1432z00_7686));
							BgL_auxz00_14629 = BGL_OBJECT_WIDENING(BgL_tmpz00_14630);
						}
						BgL_auxz00_14628 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14629);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14628))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14636;

					{
						obj_t BgL_auxz00_14637;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14638;

							BgL_tmpz00_14638 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1432z00_7686));
							BgL_auxz00_14637 = BGL_OBJECT_WIDENING(BgL_tmpz00_14638);
						}
						BgL_auxz00_14636 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14637);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14636))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14644;

					{
						obj_t BgL_auxz00_14645;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14646;

							BgL_tmpz00_14646 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1432z00_7686));
							BgL_auxz00_14645 = BGL_OBJECT_WIDENING(BgL_tmpz00_14646);
						}
						BgL_auxz00_14644 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14645);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14644))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14652;

					{
						obj_t BgL_auxz00_14653;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14654;

							BgL_tmpz00_14654 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1432z00_7686));
							BgL_auxz00_14653 = BGL_OBJECT_WIDENING(BgL_tmpz00_14654);
						}
						BgL_auxz00_14652 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14653);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14652))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14589 = ((BgL_instanceofz00_bglt) BgL_new1432z00_7686);
				return ((obj_t) BgL_auxz00_14589);
			}
		}

	}



/* &lambda2974 */
	BgL_instanceofz00_bglt BGl_z62lambda2974z62zzliveness_typesz00(obj_t
		BgL_envz00_7687, obj_t BgL_o1429z00_7688)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofzf2livenesszf2_bglt BgL_wide1431z00_9146;

				BgL_wide1431z00_9146 =
					((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 131 */
					obj_t BgL_auxz00_14667;
					BgL_objectz00_bglt BgL_tmpz00_14663;

					BgL_auxz00_14667 = ((obj_t) BgL_wide1431z00_9146);
					BgL_tmpz00_14663 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_o1429z00_7688)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14663, BgL_auxz00_14667);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1429z00_7688)));
				{	/* Liveness/types.scm 131 */
					long BgL_arg2975z00_9147;

					BgL_arg2975z00_9147 =
						BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_o1429z00_7688))),
						BgL_arg2975z00_9147);
				}
				return
					((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1429z00_7688)));
			}
		}

	}



/* &lambda2971 */
	BgL_instanceofz00_bglt BGl_z62lambda2971z62zzliveness_typesz00(obj_t
		BgL_envz00_7689, obj_t BgL_loc1417z00_7690, obj_t BgL_type1418z00_7691,
		obj_t BgL_sidezd2effect1419zd2_7692, obj_t BgL_key1420z00_7693,
		obj_t BgL_exprza21421za2_7694, obj_t BgL_effect1422z00_7695,
		obj_t BgL_czd2format1423zd2_7696, obj_t BgL_class1424z00_7697,
		obj_t BgL_def1425z00_7698, obj_t BgL_use1426z00_7699,
		obj_t BgL_in1427z00_7700, obj_t BgL_out1428z00_7701)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofz00_bglt BgL_new1777z00_9156;

				{	/* Liveness/types.scm 131 */
					BgL_instanceofz00_bglt BgL_tmp1775z00_9157;
					BgL_instanceofzf2livenesszf2_bglt BgL_wide1776z00_9158;

					{
						BgL_instanceofz00_bglt BgL_auxz00_14681;

						{	/* Liveness/types.scm 131 */
							BgL_instanceofz00_bglt BgL_new1774z00_9159;

							BgL_new1774z00_9159 =
								((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofz00_bgl))));
							{	/* Liveness/types.scm 131 */
								long BgL_arg2973z00_9160;

								BgL_arg2973z00_9160 =
									BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1774z00_9159),
									BgL_arg2973z00_9160);
							}
							{	/* Liveness/types.scm 131 */
								BgL_objectz00_bglt BgL_tmpz00_14686;

								BgL_tmpz00_14686 = ((BgL_objectz00_bglt) BgL_new1774z00_9159);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14686, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1774z00_9159);
							BgL_auxz00_14681 = BgL_new1774z00_9159;
						}
						BgL_tmp1775z00_9157 = ((BgL_instanceofz00_bglt) BgL_auxz00_14681);
					}
					BgL_wide1776z00_9158 =
						((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 131 */
						obj_t BgL_auxz00_14694;
						BgL_objectz00_bglt BgL_tmpz00_14692;

						BgL_auxz00_14694 = ((obj_t) BgL_wide1776z00_9158);
						BgL_tmpz00_14692 = ((BgL_objectz00_bglt) BgL_tmp1775z00_9157);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14692, BgL_auxz00_14694);
					}
					((BgL_objectz00_bglt) BgL_tmp1775z00_9157);
					{	/* Liveness/types.scm 131 */
						long BgL_arg2972z00_9161;

						BgL_arg2972z00_9161 =
							BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1775z00_9157), BgL_arg2972z00_9161);
					}
					BgL_new1777z00_9156 = ((BgL_instanceofz00_bglt) BgL_tmp1775z00_9157);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1777z00_9156)))->BgL_locz00) =
					((obj_t) BgL_loc1417z00_7690), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1777z00_9156)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1418z00_7691)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1777z00_9156)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1419zd2_7692), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1777z00_9156)))->BgL_keyz00) =
					((obj_t) BgL_key1420z00_7693), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1777z00_9156)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21421za2_7694)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1777z00_9156)))->BgL_effectz00) =
					((obj_t) BgL_effect1422z00_7695), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1777z00_9156)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1423zd2_7696)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(((BgL_instanceofz00_bglt)
									BgL_new1777z00_9156)))->BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1424z00_7697)),
					BUNSPEC);
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14722;

					{
						obj_t BgL_auxz00_14723;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14724;

							BgL_tmpz00_14724 = ((BgL_objectz00_bglt) BgL_new1777z00_9156);
							BgL_auxz00_14723 = BGL_OBJECT_WIDENING(BgL_tmpz00_14724);
						}
						BgL_auxz00_14722 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14723);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14722))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1425z00_7698)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14730;

					{
						obj_t BgL_auxz00_14731;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14732;

							BgL_tmpz00_14732 = ((BgL_objectz00_bglt) BgL_new1777z00_9156);
							BgL_auxz00_14731 = BGL_OBJECT_WIDENING(BgL_tmpz00_14732);
						}
						BgL_auxz00_14730 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14731);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14730))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1426z00_7699)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14738;

					{
						obj_t BgL_auxz00_14739;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14740;

							BgL_tmpz00_14740 = ((BgL_objectz00_bglt) BgL_new1777z00_9156);
							BgL_auxz00_14739 = BGL_OBJECT_WIDENING(BgL_tmpz00_14740);
						}
						BgL_auxz00_14738 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14739);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14738))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1427z00_7700)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14746;

					{
						obj_t BgL_auxz00_14747;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_14748;

							BgL_tmpz00_14748 = ((BgL_objectz00_bglt) BgL_new1777z00_9156);
							BgL_auxz00_14747 = BGL_OBJECT_WIDENING(BgL_tmpz00_14748);
						}
						BgL_auxz00_14746 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14747);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14746))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1428z00_7701)), BUNSPEC);
				}
				return BgL_new1777z00_9156;
			}
		}

	}



/* &<@anonymous:3026> */
	obj_t BGl_z62zc3z04anonymousza33026ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7702)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3025 */
	obj_t BGl_z62lambda3025z62zzliveness_typesz00(obj_t BgL_envz00_7703,
		obj_t BgL_oz00_7704, obj_t BgL_vz00_7705)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14754;

				{
					obj_t BgL_auxz00_14755;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14756;

						BgL_tmpz00_14756 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7704));
						BgL_auxz00_14755 = BGL_OBJECT_WIDENING(BgL_tmpz00_14756);
					}
					BgL_auxz00_14754 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14755);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14754))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7705)), BUNSPEC);
			}
		}

	}



/* &lambda3024 */
	obj_t BGl_z62lambda3024z62zzliveness_typesz00(obj_t BgL_envz00_7706,
		obj_t BgL_oz00_7707)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14763;

				{
					obj_t BgL_auxz00_14764;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14765;

						BgL_tmpz00_14765 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7707));
						BgL_auxz00_14764 = BGL_OBJECT_WIDENING(BgL_tmpz00_14765);
					}
					BgL_auxz00_14763 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14764);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14763))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3013> */
	obj_t BGl_z62zc3z04anonymousza33013ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7708)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3012 */
	obj_t BGl_z62lambda3012z62zzliveness_typesz00(obj_t BgL_envz00_7709,
		obj_t BgL_oz00_7710, obj_t BgL_vz00_7711)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14771;

				{
					obj_t BgL_auxz00_14772;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14773;

						BgL_tmpz00_14773 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7710));
						BgL_auxz00_14772 = BGL_OBJECT_WIDENING(BgL_tmpz00_14773);
					}
					BgL_auxz00_14771 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14772);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14771))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7711)), BUNSPEC);
			}
		}

	}



/* &lambda3011 */
	obj_t BGl_z62lambda3011z62zzliveness_typesz00(obj_t BgL_envz00_7712,
		obj_t BgL_oz00_7713)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14780;

				{
					obj_t BgL_auxz00_14781;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14782;

						BgL_tmpz00_14782 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7713));
						BgL_auxz00_14781 = BGL_OBJECT_WIDENING(BgL_tmpz00_14782);
					}
					BgL_auxz00_14780 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14781);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14780))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3006> */
	obj_t BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7714)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3005 */
	obj_t BGl_z62lambda3005z62zzliveness_typesz00(obj_t BgL_envz00_7715,
		obj_t BgL_oz00_7716, obj_t BgL_vz00_7717)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14788;

				{
					obj_t BgL_auxz00_14789;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14790;

						BgL_tmpz00_14790 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7716));
						BgL_auxz00_14789 = BGL_OBJECT_WIDENING(BgL_tmpz00_14790);
					}
					BgL_auxz00_14788 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14789);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14788))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7717)), BUNSPEC);
			}
		}

	}



/* &lambda3004 */
	obj_t BGl_z62lambda3004z62zzliveness_typesz00(obj_t BgL_envz00_7718,
		obj_t BgL_oz00_7719)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14797;

				{
					obj_t BgL_auxz00_14798;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14799;

						BgL_tmpz00_14799 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7719));
						BgL_auxz00_14798 = BGL_OBJECT_WIDENING(BgL_tmpz00_14799);
					}
					BgL_auxz00_14797 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14798);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14797))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2993> */
	obj_t BGl_z62zc3z04anonymousza32993ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7720)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda2992 */
	obj_t BGl_z62lambda2992z62zzliveness_typesz00(obj_t BgL_envz00_7721,
		obj_t BgL_oz00_7722, obj_t BgL_vz00_7723)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14805;

				{
					obj_t BgL_auxz00_14806;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14807;

						BgL_tmpz00_14807 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7722));
						BgL_auxz00_14806 = BGL_OBJECT_WIDENING(BgL_tmpz00_14807);
					}
					BgL_auxz00_14805 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14806);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14805))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7723)), BUNSPEC);
			}
		}

	}



/* &lambda2991 */
	obj_t BGl_z62lambda2991z62zzliveness_typesz00(obj_t BgL_envz00_7724,
		obj_t BgL_oz00_7725)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_14814;

				{
					obj_t BgL_auxz00_14815;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_14816;

						BgL_tmpz00_14816 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7725));
						BgL_auxz00_14815 = BGL_OBJECT_WIDENING(BgL_tmpz00_14816);
					}
					BgL_auxz00_14814 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_14815);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14814))->
					BgL_defz00);
			}
		}

	}



/* &lambda2913 */
	BgL_vlengthz00_bglt BGl_z62lambda2913z62zzliveness_typesz00(obj_t
		BgL_envz00_7726, obj_t BgL_o1415z00_7727)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				long BgL_arg2914z00_9175;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_arg2915z00_9176;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2916z00_9177;

						{	/* Liveness/types.scm 125 */
							long BgL_arg1828z00_9178;

							{	/* Liveness/types.scm 125 */
								long BgL_arg1829z00_9179;

								BgL_arg1829z00_9179 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_o1415z00_7727)));
								BgL_arg1828z00_9178 = (BgL_arg1829z00_9179 - OBJECT_TYPE);
							}
							BgL_arg2916z00_9177 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9178);
						}
						BgL_arg2915z00_9176 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2916z00_9177);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_tmpz00_14828;

						BgL_tmpz00_14828 = ((obj_t) BgL_arg2915z00_9176);
						BgL_arg2914z00_9175 = BGL_CLASS_NUM(BgL_tmpz00_14828);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) BgL_o1415z00_7727)), BgL_arg2914z00_9175);
			}
			{	/* Liveness/types.scm 125 */
				BgL_objectz00_bglt BgL_tmpz00_14834;

				BgL_tmpz00_14834 =
					((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1415z00_7727));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14834, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1415z00_7727));
			return ((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1415z00_7727));
		}

	}



/* &<@anonymous:2912> */
	obj_t BGl_z62zc3z04anonymousza32912ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7728, obj_t BgL_new1414z00_7729)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_14842;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1414z00_7729))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14846;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9181;

						BgL_classz00_9181 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1113z00_9182;

							BgL__ortest_1113z00_9182 = BGL_CLASS_NIL(BgL_classz00_9181);
							if (CBOOL(BgL__ortest_1113z00_9182))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14846 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9182);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14846 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9181));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1414z00_7729))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14846), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1414z00_7729))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1414z00_7729))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1414z00_7729))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1414z00_7729))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1414z00_7729))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14871;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9183;

						BgL_classz00_9183 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1113z00_9184;

							BgL__ortest_1113z00_9184 = BGL_CLASS_NIL(BgL_classz00_9183);
							if (CBOOL(BgL__ortest_1113z00_9184))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14871 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9184);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_14871 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9183));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1414z00_7729))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_14871), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1414z00_7729))))->
						BgL_ftypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14884;

					{
						obj_t BgL_auxz00_14885;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14886;

							BgL_tmpz00_14886 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1414z00_7729));
							BgL_auxz00_14885 = BGL_OBJECT_WIDENING(BgL_tmpz00_14886);
						}
						BgL_auxz00_14884 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14885);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14884))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14892;

					{
						obj_t BgL_auxz00_14893;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14894;

							BgL_tmpz00_14894 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1414z00_7729));
							BgL_auxz00_14893 = BGL_OBJECT_WIDENING(BgL_tmpz00_14894);
						}
						BgL_auxz00_14892 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14893);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14892))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14900;

					{
						obj_t BgL_auxz00_14901;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14902;

							BgL_tmpz00_14902 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1414z00_7729));
							BgL_auxz00_14901 = BGL_OBJECT_WIDENING(BgL_tmpz00_14902);
						}
						BgL_auxz00_14900 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14901);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14900))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14908;

					{
						obj_t BgL_auxz00_14909;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14910;

							BgL_tmpz00_14910 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1414z00_7729));
							BgL_auxz00_14909 = BGL_OBJECT_WIDENING(BgL_tmpz00_14910);
						}
						BgL_auxz00_14908 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14909);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14908))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14842 = ((BgL_vlengthz00_bglt) BgL_new1414z00_7729);
				return ((obj_t) BgL_auxz00_14842);
			}
		}

	}



/* &lambda2910 */
	BgL_vlengthz00_bglt BGl_z62lambda2910z62zzliveness_typesz00(obj_t
		BgL_envz00_7730, obj_t BgL_o1411z00_7731)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthzf2livenesszf2_bglt BgL_wide1413z00_9186;

				BgL_wide1413z00_9186 =
					((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 125 */
					obj_t BgL_auxz00_14923;
					BgL_objectz00_bglt BgL_tmpz00_14919;

					BgL_auxz00_14923 = ((obj_t) BgL_wide1413z00_9186);
					BgL_tmpz00_14919 =
						((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1411z00_7731)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14919, BgL_auxz00_14923);
				}
				((BgL_objectz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1411z00_7731)));
				{	/* Liveness/types.scm 125 */
					long BgL_arg2911z00_9187;

					BgL_arg2911z00_9187 =
						BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) BgL_o1411z00_7731))),
						BgL_arg2911z00_9187);
				}
				return
					((BgL_vlengthz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1411z00_7731)));
			}
		}

	}



/* &lambda2905 */
	BgL_vlengthz00_bglt BGl_z62lambda2905z62zzliveness_typesz00(obj_t
		BgL_envz00_7732, obj_t BgL_loc1398z00_7733, obj_t BgL_type1399z00_7734,
		obj_t BgL_sidezd2effect1400zd2_7735, obj_t BgL_key1401z00_7736,
		obj_t BgL_exprza21402za2_7737, obj_t BgL_effect1403z00_7738,
		obj_t BgL_czd2format1404zd2_7739, obj_t BgL_vtype1405z00_7740,
		obj_t BgL_ftype1406z00_7741, obj_t BgL_def1407z00_7742,
		obj_t BgL_use1408z00_7743, obj_t BgL_in1409z00_7744,
		obj_t BgL_out1410z00_7745)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthz00_bglt BgL_new1772z00_9196;

				{	/* Liveness/types.scm 125 */
					BgL_vlengthz00_bglt BgL_tmp1770z00_9197;
					BgL_vlengthzf2livenesszf2_bglt BgL_wide1771z00_9198;

					{
						BgL_vlengthz00_bglt BgL_auxz00_14937;

						{	/* Liveness/types.scm 125 */
							BgL_vlengthz00_bglt BgL_new1769z00_9199;

							BgL_new1769z00_9199 =
								((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthz00_bgl))));
							{	/* Liveness/types.scm 125 */
								long BgL_arg2909z00_9200;

								BgL_arg2909z00_9200 =
									BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1769z00_9199),
									BgL_arg2909z00_9200);
							}
							{	/* Liveness/types.scm 125 */
								BgL_objectz00_bglt BgL_tmpz00_14942;

								BgL_tmpz00_14942 = ((BgL_objectz00_bglt) BgL_new1769z00_9199);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14942, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1769z00_9199);
							BgL_auxz00_14937 = BgL_new1769z00_9199;
						}
						BgL_tmp1770z00_9197 = ((BgL_vlengthz00_bglt) BgL_auxz00_14937);
					}
					BgL_wide1771z00_9198 =
						((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 125 */
						obj_t BgL_auxz00_14950;
						BgL_objectz00_bglt BgL_tmpz00_14948;

						BgL_auxz00_14950 = ((obj_t) BgL_wide1771z00_9198);
						BgL_tmpz00_14948 = ((BgL_objectz00_bglt) BgL_tmp1770z00_9197);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14948, BgL_auxz00_14950);
					}
					((BgL_objectz00_bglt) BgL_tmp1770z00_9197);
					{	/* Liveness/types.scm 125 */
						long BgL_arg2908z00_9201;

						BgL_arg2908z00_9201 =
							BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1770z00_9197), BgL_arg2908z00_9201);
					}
					BgL_new1772z00_9196 = ((BgL_vlengthz00_bglt) BgL_tmp1770z00_9197);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1772z00_9196)))->BgL_locz00) =
					((obj_t) BgL_loc1398z00_7733), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1772z00_9196)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1399z00_7734)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1772z00_9196)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1400zd2_7735), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1772z00_9196)))->BgL_keyz00) =
					((obj_t) BgL_key1401z00_7736), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1772z00_9196)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21402za2_7737)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1772z00_9196)))->BgL_effectz00) =
					((obj_t) BgL_effect1403z00_7738), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1772z00_9196)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1404zd2_7739)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1772z00_9196)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1405z00_7740)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1772z00_9196)))->BgL_ftypez00) =
					((obj_t) BgL_ftype1406z00_7741), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14980;

					{
						obj_t BgL_auxz00_14981;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14982;

							BgL_tmpz00_14982 = ((BgL_objectz00_bglt) BgL_new1772z00_9196);
							BgL_auxz00_14981 = BGL_OBJECT_WIDENING(BgL_tmpz00_14982);
						}
						BgL_auxz00_14980 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14981);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14980))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1407z00_7742)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14988;

					{
						obj_t BgL_auxz00_14989;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14990;

							BgL_tmpz00_14990 = ((BgL_objectz00_bglt) BgL_new1772z00_9196);
							BgL_auxz00_14989 = BGL_OBJECT_WIDENING(BgL_tmpz00_14990);
						}
						BgL_auxz00_14988 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14989);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14988))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1408z00_7743)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_14996;

					{
						obj_t BgL_auxz00_14997;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_14998;

							BgL_tmpz00_14998 = ((BgL_objectz00_bglt) BgL_new1772z00_9196);
							BgL_auxz00_14997 = BGL_OBJECT_WIDENING(BgL_tmpz00_14998);
						}
						BgL_auxz00_14996 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_14997);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14996))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1409z00_7744)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15004;

					{
						obj_t BgL_auxz00_15005;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15006;

							BgL_tmpz00_15006 = ((BgL_objectz00_bglt) BgL_new1772z00_9196);
							BgL_auxz00_15005 = BGL_OBJECT_WIDENING(BgL_tmpz00_15006);
						}
						BgL_auxz00_15004 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15005);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15004))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1410z00_7745)), BUNSPEC);
				}
				return BgL_new1772z00_9196;
			}
		}

	}



/* &<@anonymous:2961> */
	obj_t BGl_z62zc3z04anonymousza32961ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7746)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2960 */
	obj_t BGl_z62lambda2960z62zzliveness_typesz00(obj_t BgL_envz00_7747,
		obj_t BgL_oz00_7748, obj_t BgL_vz00_7749)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15012;

				{
					obj_t BgL_auxz00_15013;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15014;

						BgL_tmpz00_15014 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7748));
						BgL_auxz00_15013 = BGL_OBJECT_WIDENING(BgL_tmpz00_15014);
					}
					BgL_auxz00_15012 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15013);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15012))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7749)), BUNSPEC);
			}
		}

	}



/* &lambda2959 */
	obj_t BGl_z62lambda2959z62zzliveness_typesz00(obj_t BgL_envz00_7750,
		obj_t BgL_oz00_7751)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15021;

				{
					obj_t BgL_auxz00_15022;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15023;

						BgL_tmpz00_15023 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7751));
						BgL_auxz00_15022 = BGL_OBJECT_WIDENING(BgL_tmpz00_15023);
					}
					BgL_auxz00_15021 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15022);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15021))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2951> */
	obj_t BGl_z62zc3z04anonymousza32951ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7752)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2950 */
	obj_t BGl_z62lambda2950z62zzliveness_typesz00(obj_t BgL_envz00_7753,
		obj_t BgL_oz00_7754, obj_t BgL_vz00_7755)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15029;

				{
					obj_t BgL_auxz00_15030;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15031;

						BgL_tmpz00_15031 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7754));
						BgL_auxz00_15030 = BGL_OBJECT_WIDENING(BgL_tmpz00_15031);
					}
					BgL_auxz00_15029 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15030);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15029))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7755)), BUNSPEC);
			}
		}

	}



/* &lambda2949 */
	obj_t BGl_z62lambda2949z62zzliveness_typesz00(obj_t BgL_envz00_7756,
		obj_t BgL_oz00_7757)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15038;

				{
					obj_t BgL_auxz00_15039;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15040;

						BgL_tmpz00_15040 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7757));
						BgL_auxz00_15039 = BGL_OBJECT_WIDENING(BgL_tmpz00_15040);
					}
					BgL_auxz00_15038 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15039);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15038))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2944> */
	obj_t BGl_z62zc3z04anonymousza32944ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7758)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2943 */
	obj_t BGl_z62lambda2943z62zzliveness_typesz00(obj_t BgL_envz00_7759,
		obj_t BgL_oz00_7760, obj_t BgL_vz00_7761)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15046;

				{
					obj_t BgL_auxz00_15047;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15048;

						BgL_tmpz00_15048 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7760));
						BgL_auxz00_15047 = BGL_OBJECT_WIDENING(BgL_tmpz00_15048);
					}
					BgL_auxz00_15046 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15047);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15046))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7761)), BUNSPEC);
			}
		}

	}



/* &lambda2942 */
	obj_t BGl_z62lambda2942z62zzliveness_typesz00(obj_t BgL_envz00_7762,
		obj_t BgL_oz00_7763)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15055;

				{
					obj_t BgL_auxz00_15056;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15057;

						BgL_tmpz00_15057 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7763));
						BgL_auxz00_15056 = BGL_OBJECT_WIDENING(BgL_tmpz00_15057);
					}
					BgL_auxz00_15055 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15056);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15055))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2937> */
	obj_t BGl_z62zc3z04anonymousza32937ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7764)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda2936 */
	obj_t BGl_z62lambda2936z62zzliveness_typesz00(obj_t BgL_envz00_7765,
		obj_t BgL_oz00_7766, obj_t BgL_vz00_7767)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15063;

				{
					obj_t BgL_auxz00_15064;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15065;

						BgL_tmpz00_15065 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7766));
						BgL_auxz00_15064 = BGL_OBJECT_WIDENING(BgL_tmpz00_15065);
					}
					BgL_auxz00_15063 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15064);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15063))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7767)), BUNSPEC);
			}
		}

	}



/* &lambda2935 */
	obj_t BGl_z62lambda2935z62zzliveness_typesz00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15072;

				{
					obj_t BgL_auxz00_15073;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15074;

						BgL_tmpz00_15074 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7769));
						BgL_auxz00_15073 = BGL_OBJECT_WIDENING(BgL_tmpz00_15074);
					}
					BgL_auxz00_15072 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15073);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15072))->
					BgL_defz00);
			}
		}

	}



/* &lambda2853 */
	BgL_vsetz12z12_bglt BGl_z62lambda2853z62zzliveness_typesz00(obj_t
		BgL_envz00_7770, obj_t BgL_o1396z00_7771)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				long BgL_arg2854z00_9215;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_arg2855z00_9216;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2856z00_9217;

						{	/* Liveness/types.scm 119 */
							long BgL_arg1828z00_9218;

							{	/* Liveness/types.scm 119 */
								long BgL_arg1829z00_9219;

								BgL_arg1829z00_9219 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_o1396z00_7771)));
								BgL_arg1828z00_9218 = (BgL_arg1829z00_9219 - OBJECT_TYPE);
							}
							BgL_arg2856z00_9217 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9218);
						}
						BgL_arg2855z00_9216 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2856z00_9217);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_tmpz00_15086;

						BgL_tmpz00_15086 = ((obj_t) BgL_arg2855z00_9216);
						BgL_arg2854z00_9215 = BGL_CLASS_NUM(BgL_tmpz00_15086);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) BgL_o1396z00_7771)), BgL_arg2854z00_9215);
			}
			{	/* Liveness/types.scm 119 */
				BgL_objectz00_bglt BgL_tmpz00_15092;

				BgL_tmpz00_15092 =
					((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1396z00_7771));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15092, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1396z00_7771));
			return ((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1396z00_7771));
		}

	}



/* &<@anonymous:2852> */
	obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7772, obj_t BgL_new1395z00_7773)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_15100;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15104;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9221;

						BgL_classz00_9221 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1113z00_9222;

							BgL__ortest_1113z00_9222 = BGL_CLASS_NIL(BgL_classz00_9221);
							if (CBOOL(BgL__ortest_1113z00_9222))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15104 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9222);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15104 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9221));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15104), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1395z00_7773))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1395z00_7773))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1395z00_7773))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1395z00_7773))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15129;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9223;

						BgL_classz00_9223 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1113z00_9224;

							BgL__ortest_1113z00_9224 = BGL_CLASS_NIL(BgL_classz00_9223);
							if (CBOOL(BgL__ortest_1113z00_9224))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15129 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9224);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15129 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9223));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_15129), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15139;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9225;

						BgL_classz00_9225 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1113z00_9226;

							BgL__ortest_1113z00_9226 = BGL_CLASS_NIL(BgL_classz00_9225);
							if (CBOOL(BgL__ortest_1113z00_9226))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15139 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9226);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15139 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9225));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_15139), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15149;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9227;

						BgL_classz00_9227 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1113z00_9228;

							BgL__ortest_1113z00_9228 = BGL_CLASS_NIL(BgL_classz00_9227);
							if (CBOOL(BgL__ortest_1113z00_9228))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15149 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9228);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15149 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9227));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15149), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1395z00_7773))))->
						BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15162;

					{
						obj_t BgL_auxz00_15163;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15164;

							BgL_tmpz00_15164 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1395z00_7773));
							BgL_auxz00_15163 = BGL_OBJECT_WIDENING(BgL_tmpz00_15164);
						}
						BgL_auxz00_15162 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15163);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15162))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15170;

					{
						obj_t BgL_auxz00_15171;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15172;

							BgL_tmpz00_15172 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1395z00_7773));
							BgL_auxz00_15171 = BGL_OBJECT_WIDENING(BgL_tmpz00_15172);
						}
						BgL_auxz00_15170 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15171);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15170))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15178;

					{
						obj_t BgL_auxz00_15179;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15180;

							BgL_tmpz00_15180 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1395z00_7773));
							BgL_auxz00_15179 = BGL_OBJECT_WIDENING(BgL_tmpz00_15180);
						}
						BgL_auxz00_15178 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15179);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15178))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15186;

					{
						obj_t BgL_auxz00_15187;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15188;

							BgL_tmpz00_15188 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1395z00_7773));
							BgL_auxz00_15187 = BGL_OBJECT_WIDENING(BgL_tmpz00_15188);
						}
						BgL_auxz00_15186 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15187);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15186))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15100 = ((BgL_vsetz12z12_bglt) BgL_new1395z00_7773);
				return ((obj_t) BgL_auxz00_15100);
			}
		}

	}



/* &lambda2850 */
	BgL_vsetz12z12_bglt BGl_z62lambda2850z62zzliveness_typesz00(obj_t
		BgL_envz00_7774, obj_t BgL_o1392z00_7775)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				BgL_vsetz12zf2livenessze0_bglt BgL_wide1394z00_9230;

				BgL_wide1394z00_9230 =
					((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12zf2livenessze0_bgl))));
				{	/* Liveness/types.scm 119 */
					obj_t BgL_auxz00_15201;
					BgL_objectz00_bglt BgL_tmpz00_15197;

					BgL_auxz00_15201 = ((obj_t) BgL_wide1394z00_9230);
					BgL_tmpz00_15197 =
						((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1392z00_7775)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15197, BgL_auxz00_15201);
				}
				((BgL_objectz00_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1392z00_7775)));
				{	/* Liveness/types.scm 119 */
					long BgL_arg2851z00_9231;

					BgL_arg2851z00_9231 =
						BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) BgL_o1392z00_7775))),
						BgL_arg2851z00_9231);
				}
				return
					((BgL_vsetz12z12_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1392z00_7775)));
			}
		}

	}



/* &lambda2844 */
	BgL_vsetz12z12_bglt BGl_z62lambda2844z62zzliveness_typesz00(obj_t
		BgL_envz00_7776, obj_t BgL_loc1377z00_7777, obj_t BgL_type1378z00_7778,
		obj_t BgL_sidezd2effect1379zd2_7779, obj_t BgL_key1380z00_7780,
		obj_t BgL_exprza21381za2_7781, obj_t BgL_effect1382z00_7782,
		obj_t BgL_czd2format1383zd2_7783, obj_t BgL_ftype1384z00_7784,
		obj_t BgL_otype1385z00_7785, obj_t BgL_vtype1386z00_7786,
		obj_t BgL_unsafe1387z00_7787, obj_t BgL_def1388z00_7788,
		obj_t BgL_use1389z00_7789, obj_t BgL_in1390z00_7790,
		obj_t BgL_out1391z00_7791)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				bool_t BgL_unsafe1387z00_9238;

				BgL_unsafe1387z00_9238 = CBOOL(BgL_unsafe1387z00_7787);
				{	/* Liveness/types.scm 119 */
					BgL_vsetz12z12_bglt BgL_new1767z00_9243;

					{	/* Liveness/types.scm 119 */
						BgL_vsetz12z12_bglt BgL_tmp1765z00_9244;
						BgL_vsetz12zf2livenessze0_bglt BgL_wide1766z00_9245;

						{
							BgL_vsetz12z12_bglt BgL_auxz00_15216;

							{	/* Liveness/types.scm 119 */
								BgL_vsetz12z12_bglt BgL_new1764z00_9246;

								BgL_new1764z00_9246 =
									((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vsetz12z12_bgl))));
								{	/* Liveness/types.scm 119 */
									long BgL_arg2849z00_9247;

									BgL_arg2849z00_9247 =
										BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1764z00_9246),
										BgL_arg2849z00_9247);
								}
								{	/* Liveness/types.scm 119 */
									BgL_objectz00_bglt BgL_tmpz00_15221;

									BgL_tmpz00_15221 = ((BgL_objectz00_bglt) BgL_new1764z00_9246);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15221, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1764z00_9246);
								BgL_auxz00_15216 = BgL_new1764z00_9246;
							}
							BgL_tmp1765z00_9244 = ((BgL_vsetz12z12_bglt) BgL_auxz00_15216);
						}
						BgL_wide1766z00_9245 =
							((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12zf2livenessze0_bgl))));
						{	/* Liveness/types.scm 119 */
							obj_t BgL_auxz00_15229;
							BgL_objectz00_bglt BgL_tmpz00_15227;

							BgL_auxz00_15229 = ((obj_t) BgL_wide1766z00_9245);
							BgL_tmpz00_15227 = ((BgL_objectz00_bglt) BgL_tmp1765z00_9244);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15227, BgL_auxz00_15229);
						}
						((BgL_objectz00_bglt) BgL_tmp1765z00_9244);
						{	/* Liveness/types.scm 119 */
							long BgL_arg2845z00_9248;

							BgL_arg2845z00_9248 =
								BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1765z00_9244),
								BgL_arg2845z00_9248);
						}
						BgL_new1767z00_9243 = ((BgL_vsetz12z12_bglt) BgL_tmp1765z00_9244);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1767z00_9243)))->BgL_locz00) =
						((obj_t) BgL_loc1377z00_7777), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1767z00_9243)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1378z00_7778)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1767z00_9243)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1379zd2_7779), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1767z00_9243)))->BgL_keyz00) =
						((obj_t) BgL_key1380z00_7780), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1767z00_9243)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21381za2_7781)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1767z00_9243)))->BgL_effectz00) =
						((obj_t) BgL_effect1382z00_7782), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1767z00_9243)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1383zd2_7783)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1767z00_9243)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1384z00_7784)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1767z00_9243)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1385z00_7785)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1767z00_9243)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1386z00_7786)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1767z00_9243)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1387z00_9238), BUNSPEC);
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15265;

						{
							obj_t BgL_auxz00_15266;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15267;

								BgL_tmpz00_15267 = ((BgL_objectz00_bglt) BgL_new1767z00_9243);
								BgL_auxz00_15266 = BGL_OBJECT_WIDENING(BgL_tmpz00_15267);
							}
							BgL_auxz00_15265 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15266);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15265))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1388z00_7788)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15273;

						{
							obj_t BgL_auxz00_15274;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15275;

								BgL_tmpz00_15275 = ((BgL_objectz00_bglt) BgL_new1767z00_9243);
								BgL_auxz00_15274 = BGL_OBJECT_WIDENING(BgL_tmpz00_15275);
							}
							BgL_auxz00_15273 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15274);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15273))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1389z00_7789)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15281;

						{
							obj_t BgL_auxz00_15282;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15283;

								BgL_tmpz00_15283 = ((BgL_objectz00_bglt) BgL_new1767z00_9243);
								BgL_auxz00_15282 = BGL_OBJECT_WIDENING(BgL_tmpz00_15283);
							}
							BgL_auxz00_15281 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15282);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15281))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1390z00_7790)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15289;

						{
							obj_t BgL_auxz00_15290;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15291;

								BgL_tmpz00_15291 = ((BgL_objectz00_bglt) BgL_new1767z00_9243);
								BgL_auxz00_15290 = BGL_OBJECT_WIDENING(BgL_tmpz00_15291);
							}
							BgL_auxz00_15289 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15290);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15289))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1391z00_7791)), BUNSPEC);
					}
					return BgL_new1767z00_9243;
				}
			}
		}

	}



/* &<@anonymous:2890> */
	obj_t BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7792)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2889 */
	obj_t BGl_z62lambda2889z62zzliveness_typesz00(obj_t BgL_envz00_7793,
		obj_t BgL_oz00_7794, obj_t BgL_vz00_7795)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15297;

				{
					obj_t BgL_auxz00_15298;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15299;

						BgL_tmpz00_15299 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7794));
						BgL_auxz00_15298 = BGL_OBJECT_WIDENING(BgL_tmpz00_15299);
					}
					BgL_auxz00_15297 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15298);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15297))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7795)), BUNSPEC);
			}
		}

	}



/* &lambda2888 */
	obj_t BGl_z62lambda2888z62zzliveness_typesz00(obj_t BgL_envz00_7796,
		obj_t BgL_oz00_7797)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15306;

				{
					obj_t BgL_auxz00_15307;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15308;

						BgL_tmpz00_15308 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7797));
						BgL_auxz00_15307 = BGL_OBJECT_WIDENING(BgL_tmpz00_15308);
					}
					BgL_auxz00_15306 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15307);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15306))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2883> */
	obj_t BGl_z62zc3z04anonymousza32883ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7798)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2882 */
	obj_t BGl_z62lambda2882z62zzliveness_typesz00(obj_t BgL_envz00_7799,
		obj_t BgL_oz00_7800, obj_t BgL_vz00_7801)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15314;

				{
					obj_t BgL_auxz00_15315;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15316;

						BgL_tmpz00_15316 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7800));
						BgL_auxz00_15315 = BGL_OBJECT_WIDENING(BgL_tmpz00_15316);
					}
					BgL_auxz00_15314 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15315);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15314))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7801)), BUNSPEC);
			}
		}

	}



/* &lambda2881 */
	obj_t BGl_z62lambda2881z62zzliveness_typesz00(obj_t BgL_envz00_7802,
		obj_t BgL_oz00_7803)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15323;

				{
					obj_t BgL_auxz00_15324;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15325;

						BgL_tmpz00_15325 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7803));
						BgL_auxz00_15324 = BGL_OBJECT_WIDENING(BgL_tmpz00_15325);
					}
					BgL_auxz00_15323 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15324);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15323))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2876> */
	obj_t BGl_z62zc3z04anonymousza32876ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7804)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2875 */
	obj_t BGl_z62lambda2875z62zzliveness_typesz00(obj_t BgL_envz00_7805,
		obj_t BgL_oz00_7806, obj_t BgL_vz00_7807)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15331;

				{
					obj_t BgL_auxz00_15332;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15333;

						BgL_tmpz00_15333 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7806));
						BgL_auxz00_15332 = BGL_OBJECT_WIDENING(BgL_tmpz00_15333);
					}
					BgL_auxz00_15331 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15332);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15331))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7807)), BUNSPEC);
			}
		}

	}



/* &lambda2874 */
	obj_t BGl_z62lambda2874z62zzliveness_typesz00(obj_t BgL_envz00_7808,
		obj_t BgL_oz00_7809)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15340;

				{
					obj_t BgL_auxz00_15341;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15342;

						BgL_tmpz00_15342 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7809));
						BgL_auxz00_15341 = BGL_OBJECT_WIDENING(BgL_tmpz00_15342);
					}
					BgL_auxz00_15340 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15341);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15340))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2866> */
	obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7810)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2865 */
	obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t BgL_envz00_7811,
		obj_t BgL_oz00_7812, obj_t BgL_vz00_7813)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15348;

				{
					obj_t BgL_auxz00_15349;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15350;

						BgL_tmpz00_15350 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7812));
						BgL_auxz00_15349 = BGL_OBJECT_WIDENING(BgL_tmpz00_15350);
					}
					BgL_auxz00_15348 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15349);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15348))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7813)), BUNSPEC);
			}
		}

	}



/* &lambda2864 */
	obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t BgL_envz00_7814,
		obj_t BgL_oz00_7815)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15357;

				{
					obj_t BgL_auxz00_15358;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15359;

						BgL_tmpz00_15359 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7815));
						BgL_auxz00_15358 = BGL_OBJECT_WIDENING(BgL_tmpz00_15359);
					}
					BgL_auxz00_15357 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15358);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15357))->
					BgL_defz00);
			}
		}

	}



/* &lambda2786 */
	BgL_vrefz00_bglt BGl_z62lambda2786z62zzliveness_typesz00(obj_t
		BgL_envz00_7816, obj_t BgL_o1375z00_7817)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				long BgL_arg2787z00_9262;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_arg2790z00_9263;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2791z00_9264;

						{	/* Liveness/types.scm 113 */
							long BgL_arg1828z00_9265;

							{	/* Liveness/types.scm 113 */
								long BgL_arg1829z00_9266;

								BgL_arg1829z00_9266 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) BgL_o1375z00_7817)));
								BgL_arg1828z00_9265 = (BgL_arg1829z00_9266 - OBJECT_TYPE);
							}
							BgL_arg2791z00_9264 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9265);
						}
						BgL_arg2790z00_9263 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2791z00_9264);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_tmpz00_15371;

						BgL_tmpz00_15371 = ((obj_t) BgL_arg2790z00_9263);
						BgL_arg2787z00_9262 = BGL_CLASS_NUM(BgL_tmpz00_15371);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) BgL_o1375z00_7817)), BgL_arg2787z00_9262);
			}
			{	/* Liveness/types.scm 113 */
				BgL_objectz00_bglt BgL_tmpz00_15377;

				BgL_tmpz00_15377 =
					((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1375z00_7817));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15377, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1375z00_7817));
			return ((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1375z00_7817));
		}

	}



/* &<@anonymous:2785> */
	obj_t BGl_z62zc3z04anonymousza32785ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7818, obj_t BgL_new1374z00_7819)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefz00_bglt BgL_auxz00_15385;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15389;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9268;

						BgL_classz00_9268 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1113z00_9269;

							BgL__ortest_1113z00_9269 = BGL_CLASS_NIL(BgL_classz00_9268);
							if (CBOOL(BgL__ortest_1113z00_9269))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15389 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9269);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15389 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9268));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15389), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1374z00_7819))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1374z00_7819))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1374z00_7819))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1374z00_7819))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15414;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9270;

						BgL_classz00_9270 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1113z00_9271;

							BgL__ortest_1113z00_9271 = BGL_CLASS_NIL(BgL_classz00_9270);
							if (CBOOL(BgL__ortest_1113z00_9271))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15414 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9271);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15414 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9270));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15414), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15424;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9272;

						BgL_classz00_9272 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1113z00_9273;

							BgL__ortest_1113z00_9273 = BGL_CLASS_NIL(BgL_classz00_9272);
							if (CBOOL(BgL__ortest_1113z00_9273))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15424 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9273);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15424 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9272));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15424), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15434;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9274;

						BgL_classz00_9274 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1113z00_9275;

							BgL__ortest_1113z00_9275 = BGL_CLASS_NIL(BgL_classz00_9274);
							if (CBOOL(BgL__ortest_1113z00_9275))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15434 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9275);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15434 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9274));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15434), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt)
									((BgL_vrefz00_bglt) BgL_new1374z00_7819))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15447;

					{
						obj_t BgL_auxz00_15448;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15449;

							BgL_tmpz00_15449 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1374z00_7819));
							BgL_auxz00_15448 = BGL_OBJECT_WIDENING(BgL_tmpz00_15449);
						}
						BgL_auxz00_15447 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15448);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15447))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15455;

					{
						obj_t BgL_auxz00_15456;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15457;

							BgL_tmpz00_15457 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1374z00_7819));
							BgL_auxz00_15456 = BGL_OBJECT_WIDENING(BgL_tmpz00_15457);
						}
						BgL_auxz00_15455 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15456);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15455))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15463;

					{
						obj_t BgL_auxz00_15464;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15465;

							BgL_tmpz00_15465 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1374z00_7819));
							BgL_auxz00_15464 = BGL_OBJECT_WIDENING(BgL_tmpz00_15465);
						}
						BgL_auxz00_15463 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15464);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15463))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15471;

					{
						obj_t BgL_auxz00_15472;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15473;

							BgL_tmpz00_15473 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1374z00_7819));
							BgL_auxz00_15472 = BGL_OBJECT_WIDENING(BgL_tmpz00_15473);
						}
						BgL_auxz00_15471 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15472);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15471))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15385 = ((BgL_vrefz00_bglt) BgL_new1374z00_7819);
				return ((obj_t) BgL_auxz00_15385);
			}
		}

	}



/* &lambda2783 */
	BgL_vrefz00_bglt BGl_z62lambda2783z62zzliveness_typesz00(obj_t
		BgL_envz00_7820, obj_t BgL_o1371z00_7821)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				BgL_vrefzf2livenesszf2_bglt BgL_wide1373z00_9277;

				BgL_wide1373z00_9277 =
					((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 113 */
					obj_t BgL_auxz00_15486;
					BgL_objectz00_bglt BgL_tmpz00_15482;

					BgL_auxz00_15486 = ((obj_t) BgL_wide1373z00_9277);
					BgL_tmpz00_15482 =
						((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1371z00_7821)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15482, BgL_auxz00_15486);
				}
				((BgL_objectz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1371z00_7821)));
				{	/* Liveness/types.scm 113 */
					long BgL_arg2784z00_9278;

					BgL_arg2784z00_9278 =
						BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) BgL_o1371z00_7821))), BgL_arg2784z00_9278);
				}
				return
					((BgL_vrefz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1371z00_7821)));
			}
		}

	}



/* &lambda2779 */
	BgL_vrefz00_bglt BGl_z62lambda2779z62zzliveness_typesz00(obj_t
		BgL_envz00_7822, obj_t BgL_loc1356z00_7823, obj_t BgL_type1357z00_7824,
		obj_t BgL_sidezd2effect1358zd2_7825, obj_t BgL_key1359z00_7826,
		obj_t BgL_exprza21360za2_7827, obj_t BgL_effect1361z00_7828,
		obj_t BgL_czd2format1362zd2_7829, obj_t BgL_ftype1363z00_7830,
		obj_t BgL_otype1364z00_7831, obj_t BgL_vtype1365z00_7832,
		obj_t BgL_unsafe1366z00_7833, obj_t BgL_def1367z00_7834,
		obj_t BgL_use1368z00_7835, obj_t BgL_in1369z00_7836,
		obj_t BgL_out1370z00_7837)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				bool_t BgL_unsafe1366z00_9285;

				BgL_unsafe1366z00_9285 = CBOOL(BgL_unsafe1366z00_7833);
				{	/* Liveness/types.scm 113 */
					BgL_vrefz00_bglt BgL_new1762z00_9290;

					{	/* Liveness/types.scm 113 */
						BgL_vrefz00_bglt BgL_tmp1760z00_9291;
						BgL_vrefzf2livenesszf2_bglt BgL_wide1761z00_9292;

						{
							BgL_vrefz00_bglt BgL_auxz00_15501;

							{	/* Liveness/types.scm 113 */
								BgL_vrefz00_bglt BgL_new1759z00_9293;

								BgL_new1759z00_9293 =
									((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vrefz00_bgl))));
								{	/* Liveness/types.scm 113 */
									long BgL_arg2782z00_9294;

									BgL_arg2782z00_9294 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1759z00_9293),
										BgL_arg2782z00_9294);
								}
								{	/* Liveness/types.scm 113 */
									BgL_objectz00_bglt BgL_tmpz00_15506;

									BgL_tmpz00_15506 = ((BgL_objectz00_bglt) BgL_new1759z00_9293);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15506, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1759z00_9293);
								BgL_auxz00_15501 = BgL_new1759z00_9293;
							}
							BgL_tmp1760z00_9291 = ((BgL_vrefz00_bglt) BgL_auxz00_15501);
						}
						BgL_wide1761z00_9292 =
							((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 113 */
							obj_t BgL_auxz00_15514;
							BgL_objectz00_bglt BgL_tmpz00_15512;

							BgL_auxz00_15514 = ((obj_t) BgL_wide1761z00_9292);
							BgL_tmpz00_15512 = ((BgL_objectz00_bglt) BgL_tmp1760z00_9291);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15512, BgL_auxz00_15514);
						}
						((BgL_objectz00_bglt) BgL_tmp1760z00_9291);
						{	/* Liveness/types.scm 113 */
							long BgL_arg2780z00_9295;

							BgL_arg2780z00_9295 =
								BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1760z00_9291),
								BgL_arg2780z00_9295);
						}
						BgL_new1762z00_9290 = ((BgL_vrefz00_bglt) BgL_tmp1760z00_9291);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1762z00_9290)))->BgL_locz00) =
						((obj_t) BgL_loc1356z00_7823), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1762z00_9290)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1357z00_7824)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1762z00_9290)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1358zd2_7825), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1762z00_9290)))->BgL_keyz00) =
						((obj_t) BgL_key1359z00_7826), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1762z00_9290)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21360za2_7827)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1762z00_9290)))->BgL_effectz00) =
						((obj_t) BgL_effect1361z00_7828), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1762z00_9290)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1362zd2_7829)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1762z00_9290)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1363z00_7830)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1762z00_9290)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1364z00_7831)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1762z00_9290)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1365z00_7832)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1762z00_9290)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1366z00_9285), BUNSPEC);
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15550;

						{
							obj_t BgL_auxz00_15551;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15552;

								BgL_tmpz00_15552 = ((BgL_objectz00_bglt) BgL_new1762z00_9290);
								BgL_auxz00_15551 = BGL_OBJECT_WIDENING(BgL_tmpz00_15552);
							}
							BgL_auxz00_15550 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15551);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15550))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1367z00_7834)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15558;

						{
							obj_t BgL_auxz00_15559;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15560;

								BgL_tmpz00_15560 = ((BgL_objectz00_bglt) BgL_new1762z00_9290);
								BgL_auxz00_15559 = BGL_OBJECT_WIDENING(BgL_tmpz00_15560);
							}
							BgL_auxz00_15558 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15559);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15558))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1368z00_7835)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15566;

						{
							obj_t BgL_auxz00_15567;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15568;

								BgL_tmpz00_15568 = ((BgL_objectz00_bglt) BgL_new1762z00_9290);
								BgL_auxz00_15567 = BGL_OBJECT_WIDENING(BgL_tmpz00_15568);
							}
							BgL_auxz00_15566 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15567);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15566))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1369z00_7836)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15574;

						{
							obj_t BgL_auxz00_15575;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15576;

								BgL_tmpz00_15576 = ((BgL_objectz00_bglt) BgL_new1762z00_9290);
								BgL_auxz00_15575 = BGL_OBJECT_WIDENING(BgL_tmpz00_15576);
							}
							BgL_auxz00_15574 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15575);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15574))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1370z00_7837)), BUNSPEC);
					}
					return BgL_new1762z00_9290;
				}
			}
		}

	}



/* &<@anonymous:2829> */
	obj_t BGl_z62zc3z04anonymousza32829ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7838)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2828 */
	obj_t BGl_z62lambda2828z62zzliveness_typesz00(obj_t BgL_envz00_7839,
		obj_t BgL_oz00_7840, obj_t BgL_vz00_7841)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15582;

				{
					obj_t BgL_auxz00_15583;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15584;

						BgL_tmpz00_15584 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7840));
						BgL_auxz00_15583 = BGL_OBJECT_WIDENING(BgL_tmpz00_15584);
					}
					BgL_auxz00_15582 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15583);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15582))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7841)), BUNSPEC);
			}
		}

	}



/* &lambda2827 */
	obj_t BGl_z62lambda2827z62zzliveness_typesz00(obj_t BgL_envz00_7842,
		obj_t BgL_oz00_7843)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15591;

				{
					obj_t BgL_auxz00_15592;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15593;

						BgL_tmpz00_15593 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7843));
						BgL_auxz00_15592 = BGL_OBJECT_WIDENING(BgL_tmpz00_15593);
					}
					BgL_auxz00_15591 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15592);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15591))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2818> */
	obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7844)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2817 */
	obj_t BGl_z62lambda2817z62zzliveness_typesz00(obj_t BgL_envz00_7845,
		obj_t BgL_oz00_7846, obj_t BgL_vz00_7847)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15599;

				{
					obj_t BgL_auxz00_15600;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15601;

						BgL_tmpz00_15601 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7846));
						BgL_auxz00_15600 = BGL_OBJECT_WIDENING(BgL_tmpz00_15601);
					}
					BgL_auxz00_15599 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15600);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15599))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7847)), BUNSPEC);
			}
		}

	}



/* &lambda2816 */
	obj_t BGl_z62lambda2816z62zzliveness_typesz00(obj_t BgL_envz00_7848,
		obj_t BgL_oz00_7849)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15608;

				{
					obj_t BgL_auxz00_15609;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15610;

						BgL_tmpz00_15610 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7849));
						BgL_auxz00_15609 = BGL_OBJECT_WIDENING(BgL_tmpz00_15610);
					}
					BgL_auxz00_15608 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15609);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15608))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2809> */
	obj_t BGl_z62zc3z04anonymousza32809ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7850)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2808 */
	obj_t BGl_z62lambda2808z62zzliveness_typesz00(obj_t BgL_envz00_7851,
		obj_t BgL_oz00_7852, obj_t BgL_vz00_7853)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15616;

				{
					obj_t BgL_auxz00_15617;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15618;

						BgL_tmpz00_15618 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7852));
						BgL_auxz00_15617 = BGL_OBJECT_WIDENING(BgL_tmpz00_15618);
					}
					BgL_auxz00_15616 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15617);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15616))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7853)), BUNSPEC);
			}
		}

	}



/* &lambda2807 */
	obj_t BGl_z62lambda2807z62zzliveness_typesz00(obj_t BgL_envz00_7854,
		obj_t BgL_oz00_7855)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15625;

				{
					obj_t BgL_auxz00_15626;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15627;

						BgL_tmpz00_15627 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7855));
						BgL_auxz00_15626 = BGL_OBJECT_WIDENING(BgL_tmpz00_15627);
					}
					BgL_auxz00_15625 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15626);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15625))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2800> */
	obj_t BGl_z62zc3z04anonymousza32800ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7856)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2799 */
	obj_t BGl_z62lambda2799z62zzliveness_typesz00(obj_t BgL_envz00_7857,
		obj_t BgL_oz00_7858, obj_t BgL_vz00_7859)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15633;

				{
					obj_t BgL_auxz00_15634;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15635;

						BgL_tmpz00_15635 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7858));
						BgL_auxz00_15634 = BGL_OBJECT_WIDENING(BgL_tmpz00_15635);
					}
					BgL_auxz00_15633 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15634);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15633))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7859)), BUNSPEC);
			}
		}

	}



/* &lambda2798 */
	obj_t BGl_z62lambda2798z62zzliveness_typesz00(obj_t BgL_envz00_7860,
		obj_t BgL_oz00_7861)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15642;

				{
					obj_t BgL_auxz00_15643;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_15644;

						BgL_tmpz00_15644 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7861));
						BgL_auxz00_15643 = BGL_OBJECT_WIDENING(BgL_tmpz00_15644);
					}
					BgL_auxz00_15642 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15643);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15642))->
					BgL_defz00);
			}
		}

	}



/* &lambda2725 */
	BgL_vallocz00_bglt BGl_z62lambda2725z62zzliveness_typesz00(obj_t
		BgL_envz00_7862, obj_t BgL_o1354z00_7863)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				long BgL_arg2727z00_9309;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_arg2728z00_9310;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2729z00_9311;

						{	/* Liveness/types.scm 107 */
							long BgL_arg1828z00_9312;

							{	/* Liveness/types.scm 107 */
								long BgL_arg1829z00_9313;

								BgL_arg1829z00_9313 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_o1354z00_7863)));
								BgL_arg1828z00_9312 = (BgL_arg1829z00_9313 - OBJECT_TYPE);
							}
							BgL_arg2729z00_9311 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9312);
						}
						BgL_arg2728z00_9310 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2729z00_9311);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_tmpz00_15656;

						BgL_tmpz00_15656 = ((obj_t) BgL_arg2728z00_9310);
						BgL_arg2727z00_9309 = BGL_CLASS_NUM(BgL_tmpz00_15656);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) BgL_o1354z00_7863)), BgL_arg2727z00_9309);
			}
			{	/* Liveness/types.scm 107 */
				BgL_objectz00_bglt BgL_tmpz00_15662;

				BgL_tmpz00_15662 =
					((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1354z00_7863));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15662, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1354z00_7863));
			return ((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1354z00_7863));
		}

	}



/* &<@anonymous:2724> */
	obj_t BGl_z62zc3z04anonymousza32724ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7864, obj_t BgL_new1353z00_7865)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_vallocz00_bglt BgL_auxz00_15670;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1353z00_7865))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15674;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9315;

						BgL_classz00_9315 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1113z00_9316;

							BgL__ortest_1113z00_9316 = BGL_CLASS_NIL(BgL_classz00_9315);
							if (CBOOL(BgL__ortest_1113z00_9316))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15674 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9316);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15674 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9315));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1353z00_7865))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15674), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1353z00_7865))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1353z00_7865))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1353z00_7865))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1353z00_7865))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1353z00_7865))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15699;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9317;

						BgL_classz00_9317 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1113z00_9318;

							BgL__ortest_1113z00_9318 = BGL_CLASS_NIL(BgL_classz00_9317);
							if (CBOOL(BgL__ortest_1113z00_9318))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15699 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9318);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15699 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9317));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1353z00_7865))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_15699), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15709;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9319;

						BgL_classz00_9319 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1113z00_9320;

							BgL__ortest_1113z00_9320 = BGL_CLASS_NIL(BgL_classz00_9319);
							if (CBOOL(BgL__ortest_1113z00_9320))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15709 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9320);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_15709 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9319));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1353z00_7865))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_15709), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15719;

					{
						obj_t BgL_auxz00_15720;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15721;

							BgL_tmpz00_15721 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1353z00_7865));
							BgL_auxz00_15720 = BGL_OBJECT_WIDENING(BgL_tmpz00_15721);
						}
						BgL_auxz00_15719 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15720);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15719))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15727;

					{
						obj_t BgL_auxz00_15728;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15729;

							BgL_tmpz00_15729 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1353z00_7865));
							BgL_auxz00_15728 = BGL_OBJECT_WIDENING(BgL_tmpz00_15729);
						}
						BgL_auxz00_15727 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15728);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15727))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15735;

					{
						obj_t BgL_auxz00_15736;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15737;

							BgL_tmpz00_15737 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1353z00_7865));
							BgL_auxz00_15736 = BGL_OBJECT_WIDENING(BgL_tmpz00_15737);
						}
						BgL_auxz00_15735 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15736);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15735))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15743;

					{
						obj_t BgL_auxz00_15744;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15745;

							BgL_tmpz00_15745 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1353z00_7865));
							BgL_auxz00_15744 = BGL_OBJECT_WIDENING(BgL_tmpz00_15745);
						}
						BgL_auxz00_15743 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15744);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15743))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15670 = ((BgL_vallocz00_bglt) BgL_new1353z00_7865);
				return ((obj_t) BgL_auxz00_15670);
			}
		}

	}



/* &lambda2722 */
	BgL_vallocz00_bglt BGl_z62lambda2722z62zzliveness_typesz00(obj_t
		BgL_envz00_7866, obj_t BgL_o1350z00_7867)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_valloczf2livenesszf2_bglt BgL_wide1352z00_9322;

				BgL_wide1352z00_9322 =
					((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valloczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 107 */
					obj_t BgL_auxz00_15758;
					BgL_objectz00_bglt BgL_tmpz00_15754;

					BgL_auxz00_15758 = ((obj_t) BgL_wide1352z00_9322);
					BgL_tmpz00_15754 =
						((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1350z00_7867)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15754, BgL_auxz00_15758);
				}
				((BgL_objectz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1350z00_7867)));
				{	/* Liveness/types.scm 107 */
					long BgL_arg2723z00_9323;

					BgL_arg2723z00_9323 =
						BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) BgL_o1350z00_7867))),
						BgL_arg2723z00_9323);
				}
				return
					((BgL_vallocz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1350z00_7867)));
			}
		}

	}



/* &lambda2717 */
	BgL_vallocz00_bglt BGl_z62lambda2717z62zzliveness_typesz00(obj_t
		BgL_envz00_7868, obj_t BgL_loc1337z00_7869, obj_t BgL_type1338z00_7870,
		obj_t BgL_sidezd2effect1339zd2_7871, obj_t BgL_key1340z00_7872,
		obj_t BgL_exprza21341za2_7873, obj_t BgL_effect1342z00_7874,
		obj_t BgL_czd2format1343zd2_7875, obj_t BgL_ftype1344z00_7876,
		obj_t BgL_otype1345z00_7877, obj_t BgL_def1346z00_7878,
		obj_t BgL_use1347z00_7879, obj_t BgL_in1348z00_7880,
		obj_t BgL_out1349z00_7881)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_vallocz00_bglt BgL_new1757z00_9333;

				{	/* Liveness/types.scm 107 */
					BgL_vallocz00_bglt BgL_tmp1755z00_9334;
					BgL_valloczf2livenesszf2_bglt BgL_wide1756z00_9335;

					{
						BgL_vallocz00_bglt BgL_auxz00_15772;

						{	/* Liveness/types.scm 107 */
							BgL_vallocz00_bglt BgL_new1754z00_9336;

							BgL_new1754z00_9336 =
								((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vallocz00_bgl))));
							{	/* Liveness/types.scm 107 */
								long BgL_arg2721z00_9337;

								BgL_arg2721z00_9337 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1754z00_9336),
									BgL_arg2721z00_9337);
							}
							{	/* Liveness/types.scm 107 */
								BgL_objectz00_bglt BgL_tmpz00_15777;

								BgL_tmpz00_15777 = ((BgL_objectz00_bglt) BgL_new1754z00_9336);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15777, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1754z00_9336);
							BgL_auxz00_15772 = BgL_new1754z00_9336;
						}
						BgL_tmp1755z00_9334 = ((BgL_vallocz00_bglt) BgL_auxz00_15772);
					}
					BgL_wide1756z00_9335 =
						((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valloczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 107 */
						obj_t BgL_auxz00_15785;
						BgL_objectz00_bglt BgL_tmpz00_15783;

						BgL_auxz00_15785 = ((obj_t) BgL_wide1756z00_9335);
						BgL_tmpz00_15783 = ((BgL_objectz00_bglt) BgL_tmp1755z00_9334);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15783, BgL_auxz00_15785);
					}
					((BgL_objectz00_bglt) BgL_tmp1755z00_9334);
					{	/* Liveness/types.scm 107 */
						long BgL_arg2718z00_9338;

						BgL_arg2718z00_9338 =
							BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1755z00_9334), BgL_arg2718z00_9338);
					}
					BgL_new1757z00_9333 = ((BgL_vallocz00_bglt) BgL_tmp1755z00_9334);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1757z00_9333)))->BgL_locz00) =
					((obj_t) BgL_loc1337z00_7869), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1757z00_9333)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1338z00_7870)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1757z00_9333)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1339zd2_7871), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1757z00_9333)))->BgL_keyz00) =
					((obj_t) BgL_key1340z00_7872), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1757z00_9333)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21341za2_7873)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1757z00_9333)))->BgL_effectz00) =
					((obj_t) BgL_effect1342z00_7874), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1757z00_9333)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1343zd2_7875)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1757z00_9333)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1344z00_7876)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1757z00_9333)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1345z00_7877)),
					BUNSPEC);
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15816;

					{
						obj_t BgL_auxz00_15817;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15818;

							BgL_tmpz00_15818 = ((BgL_objectz00_bglt) BgL_new1757z00_9333);
							BgL_auxz00_15817 = BGL_OBJECT_WIDENING(BgL_tmpz00_15818);
						}
						BgL_auxz00_15816 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15817);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15816))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1346z00_7878)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15824;

					{
						obj_t BgL_auxz00_15825;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15826;

							BgL_tmpz00_15826 = ((BgL_objectz00_bglt) BgL_new1757z00_9333);
							BgL_auxz00_15825 = BGL_OBJECT_WIDENING(BgL_tmpz00_15826);
						}
						BgL_auxz00_15824 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15825);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15824))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1347z00_7879)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15832;

					{
						obj_t BgL_auxz00_15833;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15834;

							BgL_tmpz00_15834 = ((BgL_objectz00_bglt) BgL_new1757z00_9333);
							BgL_auxz00_15833 = BGL_OBJECT_WIDENING(BgL_tmpz00_15834);
						}
						BgL_auxz00_15832 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15833);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15832))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1348z00_7880)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_15840;

					{
						obj_t BgL_auxz00_15841;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_15842;

							BgL_tmpz00_15842 = ((BgL_objectz00_bglt) BgL_new1757z00_9333);
							BgL_auxz00_15841 = BGL_OBJECT_WIDENING(BgL_tmpz00_15842);
						}
						BgL_auxz00_15840 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15841);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15840))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1349z00_7881)), BUNSPEC);
				}
				return BgL_new1757z00_9333;
			}
		}

	}



/* &<@anonymous:2767> */
	obj_t BGl_z62zc3z04anonymousza32767ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7882)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2766 */
	obj_t BGl_z62lambda2766z62zzliveness_typesz00(obj_t BgL_envz00_7883,
		obj_t BgL_oz00_7884, obj_t BgL_vz00_7885)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15848;

				{
					obj_t BgL_auxz00_15849;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15850;

						BgL_tmpz00_15850 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7884));
						BgL_auxz00_15849 = BGL_OBJECT_WIDENING(BgL_tmpz00_15850);
					}
					BgL_auxz00_15848 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15849);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15848))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7885)), BUNSPEC);
			}
		}

	}



/* &lambda2765 */
	obj_t BGl_z62lambda2765z62zzliveness_typesz00(obj_t BgL_envz00_7886,
		obj_t BgL_oz00_7887)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15857;

				{
					obj_t BgL_auxz00_15858;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15859;

						BgL_tmpz00_15859 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7887));
						BgL_auxz00_15858 = BGL_OBJECT_WIDENING(BgL_tmpz00_15859);
					}
					BgL_auxz00_15857 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15858);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15857))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2755> */
	obj_t BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7888)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2754 */
	obj_t BGl_z62lambda2754z62zzliveness_typesz00(obj_t BgL_envz00_7889,
		obj_t BgL_oz00_7890, obj_t BgL_vz00_7891)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15865;

				{
					obj_t BgL_auxz00_15866;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15867;

						BgL_tmpz00_15867 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7890));
						BgL_auxz00_15866 = BGL_OBJECT_WIDENING(BgL_tmpz00_15867);
					}
					BgL_auxz00_15865 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15866);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15865))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7891)), BUNSPEC);
			}
		}

	}



/* &lambda2753 */
	obj_t BGl_z62lambda2753z62zzliveness_typesz00(obj_t BgL_envz00_7892,
		obj_t BgL_oz00_7893)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15874;

				{
					obj_t BgL_auxz00_15875;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15876;

						BgL_tmpz00_15876 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7893));
						BgL_auxz00_15875 = BGL_OBJECT_WIDENING(BgL_tmpz00_15876);
					}
					BgL_auxz00_15874 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15875);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15874))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2747> */
	obj_t BGl_z62zc3z04anonymousza32747ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7894)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2746 */
	obj_t BGl_z62lambda2746z62zzliveness_typesz00(obj_t BgL_envz00_7895,
		obj_t BgL_oz00_7896, obj_t BgL_vz00_7897)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15882;

				{
					obj_t BgL_auxz00_15883;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15884;

						BgL_tmpz00_15884 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7896));
						BgL_auxz00_15883 = BGL_OBJECT_WIDENING(BgL_tmpz00_15884);
					}
					BgL_auxz00_15882 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15883);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15882))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7897)), BUNSPEC);
			}
		}

	}



/* &lambda2745 */
	obj_t BGl_z62lambda2745z62zzliveness_typesz00(obj_t BgL_envz00_7898,
		obj_t BgL_oz00_7899)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15891;

				{
					obj_t BgL_auxz00_15892;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15893;

						BgL_tmpz00_15893 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7899));
						BgL_auxz00_15892 = BGL_OBJECT_WIDENING(BgL_tmpz00_15893);
					}
					BgL_auxz00_15891 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15892);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15891))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2736> */
	obj_t BGl_z62zc3z04anonymousza32736ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7900)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2735 */
	obj_t BGl_z62lambda2735z62zzliveness_typesz00(obj_t BgL_envz00_7901,
		obj_t BgL_oz00_7902, obj_t BgL_vz00_7903)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15899;

				{
					obj_t BgL_auxz00_15900;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15901;

						BgL_tmpz00_15901 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7902));
						BgL_auxz00_15900 = BGL_OBJECT_WIDENING(BgL_tmpz00_15901);
					}
					BgL_auxz00_15899 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15900);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15899))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7903)), BUNSPEC);
			}
		}

	}



/* &lambda2734 */
	obj_t BGl_z62lambda2734z62zzliveness_typesz00(obj_t BgL_envz00_7904,
		obj_t BgL_oz00_7905)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_15908;

				{
					obj_t BgL_auxz00_15909;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_15910;

						BgL_tmpz00_15910 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7905));
						BgL_auxz00_15909 = BGL_OBJECT_WIDENING(BgL_tmpz00_15910);
					}
					BgL_auxz00_15908 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_15909);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_15908))->
					BgL_defz00);
			}
		}

	}



/* &lambda2677 */
	BgL_newz00_bglt BGl_z62lambda2677z62zzliveness_typesz00(obj_t BgL_envz00_7906,
		obj_t BgL_o1335z00_7907)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				long BgL_arg2678z00_9352;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_arg2679z00_9353;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2680z00_9354;

						{	/* Liveness/types.scm 101 */
							long BgL_arg1828z00_9355;

							{	/* Liveness/types.scm 101 */
								long BgL_arg1829z00_9356;

								BgL_arg1829z00_9356 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1335z00_7907)));
								BgL_arg1828z00_9355 = (BgL_arg1829z00_9356 - OBJECT_TYPE);
							}
							BgL_arg2680z00_9354 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9355);
						}
						BgL_arg2679z00_9353 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2680z00_9354);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_tmpz00_15922;

						BgL_tmpz00_15922 = ((obj_t) BgL_arg2679z00_9353);
						BgL_arg2678z00_9352 = BGL_CLASS_NUM(BgL_tmpz00_15922);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_newz00_bglt) BgL_o1335z00_7907)), BgL_arg2678z00_9352);
			}
			{	/* Liveness/types.scm 101 */
				BgL_objectz00_bglt BgL_tmpz00_15928;

				BgL_tmpz00_15928 =
					((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1335z00_7907));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15928, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1335z00_7907));
			return ((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1335z00_7907));
		}

	}



/* &<@anonymous:2676> */
	obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7908, obj_t BgL_new1334z00_7909)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newz00_bglt BgL_auxz00_15936;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1334z00_7909))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15940;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_classz00_9358;

						BgL_classz00_9358 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 101 */
							obj_t BgL__ortest_1113z00_9359;

							BgL__ortest_1113z00_9359 = BGL_CLASS_NIL(BgL_classz00_9358);
							if (CBOOL(BgL__ortest_1113z00_9359))
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_15940 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9359);
								}
							else
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_15940 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9358));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1334z00_7909))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15940), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1334z00_7909))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1334z00_7909))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1334z00_7909))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1334z00_7909))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1334z00_7909))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) ((BgL_newz00_bglt)
										BgL_new1334z00_7909))))->BgL_argszd2typezd2) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15968;

					{
						obj_t BgL_auxz00_15969;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15970;

							BgL_tmpz00_15970 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1334z00_7909));
							BgL_auxz00_15969 = BGL_OBJECT_WIDENING(BgL_tmpz00_15970);
						}
						BgL_auxz00_15968 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15969);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15968))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15976;

					{
						obj_t BgL_auxz00_15977;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15978;

							BgL_tmpz00_15978 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1334z00_7909));
							BgL_auxz00_15977 = BGL_OBJECT_WIDENING(BgL_tmpz00_15978);
						}
						BgL_auxz00_15976 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15977);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15976))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15984;

					{
						obj_t BgL_auxz00_15985;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15986;

							BgL_tmpz00_15986 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1334z00_7909));
							BgL_auxz00_15985 = BGL_OBJECT_WIDENING(BgL_tmpz00_15986);
						}
						BgL_auxz00_15984 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15985);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15984))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_15992;

					{
						obj_t BgL_auxz00_15993;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_15994;

							BgL_tmpz00_15994 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1334z00_7909));
							BgL_auxz00_15993 = BGL_OBJECT_WIDENING(BgL_tmpz00_15994);
						}
						BgL_auxz00_15992 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_15993);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15992))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15936 = ((BgL_newz00_bglt) BgL_new1334z00_7909);
				return ((obj_t) BgL_auxz00_15936);
			}
		}

	}



/* &lambda2673 */
	BgL_newz00_bglt BGl_z62lambda2673z62zzliveness_typesz00(obj_t BgL_envz00_7910,
		obj_t BgL_o1331z00_7911)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newzf2livenesszf2_bglt BgL_wide1333z00_9361;

				BgL_wide1333z00_9361 =
					((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 101 */
					obj_t BgL_auxz00_16007;
					BgL_objectz00_bglt BgL_tmpz00_16003;

					BgL_auxz00_16007 = ((obj_t) BgL_wide1333z00_9361);
					BgL_tmpz00_16003 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1331z00_7911)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16003, BgL_auxz00_16007);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1331z00_7911)));
				{	/* Liveness/types.scm 101 */
					long BgL_arg2675z00_9362;

					BgL_arg2675z00_9362 =
						BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_o1331z00_7911))), BgL_arg2675z00_9362);
				}
				return
					((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1331z00_7911)));
			}
		}

	}



/* &lambda2669 */
	BgL_newz00_bglt BGl_z62lambda2669z62zzliveness_typesz00(obj_t BgL_envz00_7912,
		obj_t BgL_loc1319z00_7913, obj_t BgL_type1320z00_7914,
		obj_t BgL_sidezd2effect1321zd2_7915, obj_t BgL_key1322z00_7916,
		obj_t BgL_exprza21323za2_7917, obj_t BgL_effect1324z00_7918,
		obj_t BgL_czd2format1325zd2_7919, obj_t BgL_argszd2type1326zd2_7920,
		obj_t BgL_def1327z00_7921, obj_t BgL_use1328z00_7922,
		obj_t BgL_in1329z00_7923, obj_t BgL_out1330z00_7924)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newz00_bglt BgL_new1752z00_9371;

				{	/* Liveness/types.scm 101 */
					BgL_newz00_bglt BgL_tmp1750z00_9372;
					BgL_newzf2livenesszf2_bglt BgL_wide1751z00_9373;

					{
						BgL_newz00_bglt BgL_auxz00_16021;

						{	/* Liveness/types.scm 101 */
							BgL_newz00_bglt BgL_new1749z00_9374;

							BgL_new1749z00_9374 =
								((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newz00_bgl))));
							{	/* Liveness/types.scm 101 */
								long BgL_arg2672z00_9375;

								BgL_arg2672z00_9375 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1749z00_9374),
									BgL_arg2672z00_9375);
							}
							{	/* Liveness/types.scm 101 */
								BgL_objectz00_bglt BgL_tmpz00_16026;

								BgL_tmpz00_16026 = ((BgL_objectz00_bglt) BgL_new1749z00_9374);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16026, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1749z00_9374);
							BgL_auxz00_16021 = BgL_new1749z00_9374;
						}
						BgL_tmp1750z00_9372 = ((BgL_newz00_bglt) BgL_auxz00_16021);
					}
					BgL_wide1751z00_9373 =
						((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 101 */
						obj_t BgL_auxz00_16034;
						BgL_objectz00_bglt BgL_tmpz00_16032;

						BgL_auxz00_16034 = ((obj_t) BgL_wide1751z00_9373);
						BgL_tmpz00_16032 = ((BgL_objectz00_bglt) BgL_tmp1750z00_9372);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16032, BgL_auxz00_16034);
					}
					((BgL_objectz00_bglt) BgL_tmp1750z00_9372);
					{	/* Liveness/types.scm 101 */
						long BgL_arg2671z00_9376;

						BgL_arg2671z00_9376 =
							BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1750z00_9372), BgL_arg2671z00_9376);
					}
					BgL_new1752z00_9371 = ((BgL_newz00_bglt) BgL_tmp1750z00_9372);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1752z00_9371)))->BgL_locz00) =
					((obj_t) BgL_loc1319z00_7913), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1752z00_9371)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1320z00_7914)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_9371)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1321zd2_7915), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_9371)))->BgL_keyz00) =
					((obj_t) BgL_key1322z00_7916), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1752z00_9371)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21323za2_7917)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1752z00_9371)))->BgL_effectz00) =
					((obj_t) BgL_effect1324z00_7918), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1752z00_9371)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1325zd2_7919)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1752z00_9371)))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1326zd2_7920)), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16062;

					{
						obj_t BgL_auxz00_16063;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16064;

							BgL_tmpz00_16064 = ((BgL_objectz00_bglt) BgL_new1752z00_9371);
							BgL_auxz00_16063 = BGL_OBJECT_WIDENING(BgL_tmpz00_16064);
						}
						BgL_auxz00_16062 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16063);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16062))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1327z00_7921)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16070;

					{
						obj_t BgL_auxz00_16071;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16072;

							BgL_tmpz00_16072 = ((BgL_objectz00_bglt) BgL_new1752z00_9371);
							BgL_auxz00_16071 = BGL_OBJECT_WIDENING(BgL_tmpz00_16072);
						}
						BgL_auxz00_16070 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16071);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16070))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1328z00_7922)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16078;

					{
						obj_t BgL_auxz00_16079;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16080;

							BgL_tmpz00_16080 = ((BgL_objectz00_bglt) BgL_new1752z00_9371);
							BgL_auxz00_16079 = BGL_OBJECT_WIDENING(BgL_tmpz00_16080);
						}
						BgL_auxz00_16078 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16079);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16078))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1329z00_7923)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16086;

					{
						obj_t BgL_auxz00_16087;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16088;

							BgL_tmpz00_16088 = ((BgL_objectz00_bglt) BgL_new1752z00_9371);
							BgL_auxz00_16087 = BGL_OBJECT_WIDENING(BgL_tmpz00_16088);
						}
						BgL_auxz00_16086 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16087);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16086))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1330z00_7924)), BUNSPEC);
				}
				return BgL_new1752z00_9371;
			}
		}

	}



/* &<@anonymous:2709> */
	obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7925)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2708 */
	obj_t BGl_z62lambda2708z62zzliveness_typesz00(obj_t BgL_envz00_7926,
		obj_t BgL_oz00_7927, obj_t BgL_vz00_7928)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16094;

				{
					obj_t BgL_auxz00_16095;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16096;

						BgL_tmpz00_16096 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7927));
						BgL_auxz00_16095 = BGL_OBJECT_WIDENING(BgL_tmpz00_16096);
					}
					BgL_auxz00_16094 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16095);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16094))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7928)), BUNSPEC);
			}
		}

	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzliveness_typesz00(obj_t BgL_envz00_7929,
		obj_t BgL_oz00_7930)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16103;

				{
					obj_t BgL_auxz00_16104;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16105;

						BgL_tmpz00_16105 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7930));
						BgL_auxz00_16104 = BGL_OBJECT_WIDENING(BgL_tmpz00_16105);
					}
					BgL_auxz00_16103 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16104);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16103))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2701> */
	obj_t BGl_z62zc3z04anonymousza32701ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7931)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2700 */
	obj_t BGl_z62lambda2700z62zzliveness_typesz00(obj_t BgL_envz00_7932,
		obj_t BgL_oz00_7933, obj_t BgL_vz00_7934)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16111;

				{
					obj_t BgL_auxz00_16112;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16113;

						BgL_tmpz00_16113 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7933));
						BgL_auxz00_16112 = BGL_OBJECT_WIDENING(BgL_tmpz00_16113);
					}
					BgL_auxz00_16111 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16112);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16111))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7934)), BUNSPEC);
			}
		}

	}



/* &lambda2699 */
	obj_t BGl_z62lambda2699z62zzliveness_typesz00(obj_t BgL_envz00_7935,
		obj_t BgL_oz00_7936)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16120;

				{
					obj_t BgL_auxz00_16121;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16122;

						BgL_tmpz00_16122 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7936));
						BgL_auxz00_16121 = BGL_OBJECT_WIDENING(BgL_tmpz00_16122);
					}
					BgL_auxz00_16120 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16121);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16120))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2694> */
	obj_t BGl_z62zc3z04anonymousza32694ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7937)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2693 */
	obj_t BGl_z62lambda2693z62zzliveness_typesz00(obj_t BgL_envz00_7938,
		obj_t BgL_oz00_7939, obj_t BgL_vz00_7940)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16128;

				{
					obj_t BgL_auxz00_16129;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16130;

						BgL_tmpz00_16130 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7939));
						BgL_auxz00_16129 = BGL_OBJECT_WIDENING(BgL_tmpz00_16130);
					}
					BgL_auxz00_16128 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16129);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16128))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7940)), BUNSPEC);
			}
		}

	}



/* &lambda2692 */
	obj_t BGl_z62lambda2692z62zzliveness_typesz00(obj_t BgL_envz00_7941,
		obj_t BgL_oz00_7942)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16137;

				{
					obj_t BgL_auxz00_16138;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16139;

						BgL_tmpz00_16139 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7942));
						BgL_auxz00_16138 = BGL_OBJECT_WIDENING(BgL_tmpz00_16139);
					}
					BgL_auxz00_16137 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16138);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16137))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2687> */
	obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7943)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2686 */
	obj_t BGl_z62lambda2686z62zzliveness_typesz00(obj_t BgL_envz00_7944,
		obj_t BgL_oz00_7945, obj_t BgL_vz00_7946)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16145;

				{
					obj_t BgL_auxz00_16146;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16147;

						BgL_tmpz00_16147 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7945));
						BgL_auxz00_16146 = BGL_OBJECT_WIDENING(BgL_tmpz00_16147);
					}
					BgL_auxz00_16145 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16146);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16145))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7946)), BUNSPEC);
			}
		}

	}



/* &lambda2685 */
	obj_t BGl_z62lambda2685z62zzliveness_typesz00(obj_t BgL_envz00_7947,
		obj_t BgL_oz00_7948)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16154;

				{
					obj_t BgL_auxz00_16155;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16156;

						BgL_tmpz00_16156 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7948));
						BgL_auxz00_16155 = BGL_OBJECT_WIDENING(BgL_tmpz00_16156);
					}
					BgL_auxz00_16154 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16155);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16154))->
					BgL_defz00);
			}
		}

	}



/* &lambda2626 */
	BgL_wideningz00_bglt BGl_z62lambda2626z62zzliveness_typesz00(obj_t
		BgL_envz00_7949, obj_t BgL_o1317z00_7950)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				long BgL_arg2627z00_9390;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_arg2629z00_9391;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2630z00_9392;

						{	/* Liveness/types.scm 95 */
							long BgL_arg1828z00_9393;

							{	/* Liveness/types.scm 95 */
								long BgL_arg1829z00_9394;

								BgL_arg1829z00_9394 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_o1317z00_7950)));
								BgL_arg1828z00_9393 = (BgL_arg1829z00_9394 - OBJECT_TYPE);
							}
							BgL_arg2630z00_9392 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9393);
						}
						BgL_arg2629z00_9391 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2630z00_9392);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_tmpz00_16168;

						BgL_tmpz00_16168 = ((obj_t) BgL_arg2629z00_9391);
						BgL_arg2627z00_9390 = BGL_CLASS_NUM(BgL_tmpz00_16168);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt) BgL_o1317z00_7950)), BgL_arg2627z00_9390);
			}
			{	/* Liveness/types.scm 95 */
				BgL_objectz00_bglt BgL_tmpz00_16174;

				BgL_tmpz00_16174 =
					((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1317z00_7950));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16174, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1317z00_7950));
			return
				((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1317z00_7950));
		}

	}



/* &<@anonymous:2625> */
	obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7951, obj_t BgL_new1316z00_7952)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningz00_bglt BgL_auxz00_16182;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1316z00_7952))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16186;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9396;

						BgL_classz00_9396 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1113z00_9397;

							BgL__ortest_1113z00_9397 = BGL_CLASS_NIL(BgL_classz00_9396);
							if (CBOOL(BgL__ortest_1113z00_9397))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16186 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9397);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16186 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9396));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1316z00_7952))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16186), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1316z00_7952))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1316z00_7952))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1316z00_7952))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1316z00_7952))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1316z00_7952))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16211;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9398;

						BgL_classz00_9398 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1113z00_9399;

							BgL__ortest_1113z00_9399 = BGL_CLASS_NIL(BgL_classz00_9398);
							if (CBOOL(BgL__ortest_1113z00_9399))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16211 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9399);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16211 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9398));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_new1316z00_7952))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16211), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16221;

					{
						obj_t BgL_auxz00_16222;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16223;

							BgL_tmpz00_16223 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1316z00_7952));
							BgL_auxz00_16222 = BGL_OBJECT_WIDENING(BgL_tmpz00_16223);
						}
						BgL_auxz00_16221 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16222);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16221))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16229;

					{
						obj_t BgL_auxz00_16230;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16231;

							BgL_tmpz00_16231 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1316z00_7952));
							BgL_auxz00_16230 = BGL_OBJECT_WIDENING(BgL_tmpz00_16231);
						}
						BgL_auxz00_16229 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16230);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16229))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16237;

					{
						obj_t BgL_auxz00_16238;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16239;

							BgL_tmpz00_16239 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1316z00_7952));
							BgL_auxz00_16238 = BGL_OBJECT_WIDENING(BgL_tmpz00_16239);
						}
						BgL_auxz00_16237 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16238);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16237))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16245;

					{
						obj_t BgL_auxz00_16246;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16247;

							BgL_tmpz00_16247 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1316z00_7952));
							BgL_auxz00_16246 = BGL_OBJECT_WIDENING(BgL_tmpz00_16247);
						}
						BgL_auxz00_16245 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16246);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16245))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16182 = ((BgL_wideningz00_bglt) BgL_new1316z00_7952);
				return ((obj_t) BgL_auxz00_16182);
			}
		}

	}



/* &lambda2622 */
	BgL_wideningz00_bglt BGl_z62lambda2622z62zzliveness_typesz00(obj_t
		BgL_envz00_7953, obj_t BgL_o1313z00_7954)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningzf2livenesszf2_bglt BgL_wide1315z00_9401;

				BgL_wide1315z00_9401 =
					((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 95 */
					obj_t BgL_auxz00_16260;
					BgL_objectz00_bglt BgL_tmpz00_16256;

					BgL_auxz00_16260 = ((obj_t) BgL_wide1315z00_9401);
					BgL_tmpz00_16256 =
						((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt)
							((BgL_wideningz00_bglt) BgL_o1313z00_7954)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16256, BgL_auxz00_16260);
				}
				((BgL_objectz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1313z00_7954)));
				{	/* Liveness/types.scm 95 */
					long BgL_arg2624z00_9402;

					BgL_arg2624z00_9402 =
						BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt) BgL_o1313z00_7954))),
						BgL_arg2624z00_9402);
				}
				return
					((BgL_wideningz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1313z00_7954)));
			}
		}

	}



/* &lambda2619 */
	BgL_wideningz00_bglt BGl_z62lambda2619z62zzliveness_typesz00(obj_t
		BgL_envz00_7955, obj_t BgL_loc1301z00_7956, obj_t BgL_type1302z00_7957,
		obj_t BgL_sidezd2effect1303zd2_7958, obj_t BgL_key1304z00_7959,
		obj_t BgL_exprza21305za2_7960, obj_t BgL_effect1306z00_7961,
		obj_t BgL_czd2format1307zd2_7962, obj_t BgL_otype1308z00_7963,
		obj_t BgL_def1309z00_7964, obj_t BgL_use1310z00_7965,
		obj_t BgL_in1311z00_7966, obj_t BgL_out1312z00_7967)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningz00_bglt BgL_new1747z00_9411;

				{	/* Liveness/types.scm 95 */
					BgL_wideningz00_bglt BgL_tmp1745z00_9412;
					BgL_wideningzf2livenesszf2_bglt BgL_wide1746z00_9413;

					{
						BgL_wideningz00_bglt BgL_auxz00_16274;

						{	/* Liveness/types.scm 95 */
							BgL_wideningz00_bglt BgL_new1744z00_9414;

							BgL_new1744z00_9414 =
								((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningz00_bgl))));
							{	/* Liveness/types.scm 95 */
								long BgL_arg2621z00_9415;

								BgL_arg2621z00_9415 =
									BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1744z00_9414),
									BgL_arg2621z00_9415);
							}
							{	/* Liveness/types.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_16279;

								BgL_tmpz00_16279 = ((BgL_objectz00_bglt) BgL_new1744z00_9414);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16279, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1744z00_9414);
							BgL_auxz00_16274 = BgL_new1744z00_9414;
						}
						BgL_tmp1745z00_9412 = ((BgL_wideningz00_bglt) BgL_auxz00_16274);
					}
					BgL_wide1746z00_9413 =
						((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 95 */
						obj_t BgL_auxz00_16287;
						BgL_objectz00_bglt BgL_tmpz00_16285;

						BgL_auxz00_16287 = ((obj_t) BgL_wide1746z00_9413);
						BgL_tmpz00_16285 = ((BgL_objectz00_bglt) BgL_tmp1745z00_9412);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16285, BgL_auxz00_16287);
					}
					((BgL_objectz00_bglt) BgL_tmp1745z00_9412);
					{	/* Liveness/types.scm 95 */
						long BgL_arg2620z00_9416;

						BgL_arg2620z00_9416 =
							BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1745z00_9412), BgL_arg2620z00_9416);
					}
					BgL_new1747z00_9411 = ((BgL_wideningz00_bglt) BgL_tmp1745z00_9412);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1747z00_9411)))->BgL_locz00) =
					((obj_t) BgL_loc1301z00_7956), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1747z00_9411)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1302z00_7957)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1747z00_9411)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1303zd2_7958), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1747z00_9411)))->BgL_keyz00) =
					((obj_t) BgL_key1304z00_7959), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1747z00_9411)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21305za2_7960)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1747z00_9411)))->BgL_effectz00) =
					((obj_t) BgL_effect1306z00_7961), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1747z00_9411)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1307zd2_7962)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(((BgL_wideningz00_bglt)
									BgL_new1747z00_9411)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1308z00_7963)),
					BUNSPEC);
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16315;

					{
						obj_t BgL_auxz00_16316;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16317;

							BgL_tmpz00_16317 = ((BgL_objectz00_bglt) BgL_new1747z00_9411);
							BgL_auxz00_16316 = BGL_OBJECT_WIDENING(BgL_tmpz00_16317);
						}
						BgL_auxz00_16315 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16316);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16315))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1309z00_7964)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16323;

					{
						obj_t BgL_auxz00_16324;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16325;

							BgL_tmpz00_16325 = ((BgL_objectz00_bglt) BgL_new1747z00_9411);
							BgL_auxz00_16324 = BGL_OBJECT_WIDENING(BgL_tmpz00_16325);
						}
						BgL_auxz00_16323 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16324);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16323))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1310z00_7965)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16331;

					{
						obj_t BgL_auxz00_16332;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16333;

							BgL_tmpz00_16333 = ((BgL_objectz00_bglt) BgL_new1747z00_9411);
							BgL_auxz00_16332 = BGL_OBJECT_WIDENING(BgL_tmpz00_16333);
						}
						BgL_auxz00_16331 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16332);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16331))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1311z00_7966)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16339;

					{
						obj_t BgL_auxz00_16340;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16341;

							BgL_tmpz00_16341 = ((BgL_objectz00_bglt) BgL_new1747z00_9411);
							BgL_auxz00_16340 = BGL_OBJECT_WIDENING(BgL_tmpz00_16341);
						}
						BgL_auxz00_16339 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16340);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16339))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1312z00_7967)), BUNSPEC);
				}
				return BgL_new1747z00_9411;
			}
		}

	}



/* &<@anonymous:2662> */
	obj_t BGl_z62zc3z04anonymousza32662ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7968)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2661 */
	obj_t BGl_z62lambda2661z62zzliveness_typesz00(obj_t BgL_envz00_7969,
		obj_t BgL_oz00_7970, obj_t BgL_vz00_7971)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16347;

				{
					obj_t BgL_auxz00_16348;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16349;

						BgL_tmpz00_16349 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7970));
						BgL_auxz00_16348 = BGL_OBJECT_WIDENING(BgL_tmpz00_16349);
					}
					BgL_auxz00_16347 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16348);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16347))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7971)), BUNSPEC);
			}
		}

	}



/* &lambda2660 */
	obj_t BGl_z62lambda2660z62zzliveness_typesz00(obj_t BgL_envz00_7972,
		obj_t BgL_oz00_7973)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16356;

				{
					obj_t BgL_auxz00_16357;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16358;

						BgL_tmpz00_16358 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7973));
						BgL_auxz00_16357 = BGL_OBJECT_WIDENING(BgL_tmpz00_16358);
					}
					BgL_auxz00_16356 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16357);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16356))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2654> */
	obj_t BGl_z62zc3z04anonymousza32654ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7974)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2653 */
	obj_t BGl_z62lambda2653z62zzliveness_typesz00(obj_t BgL_envz00_7975,
		obj_t BgL_oz00_7976, obj_t BgL_vz00_7977)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16364;

				{
					obj_t BgL_auxz00_16365;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16366;

						BgL_tmpz00_16366 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7976));
						BgL_auxz00_16365 = BGL_OBJECT_WIDENING(BgL_tmpz00_16366);
					}
					BgL_auxz00_16364 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16365);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16364))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7977)), BUNSPEC);
			}
		}

	}



/* &lambda2652 */
	obj_t BGl_z62lambda2652z62zzliveness_typesz00(obj_t BgL_envz00_7978,
		obj_t BgL_oz00_7979)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16373;

				{
					obj_t BgL_auxz00_16374;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16375;

						BgL_tmpz00_16375 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7979));
						BgL_auxz00_16374 = BGL_OBJECT_WIDENING(BgL_tmpz00_16375);
					}
					BgL_auxz00_16373 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16374);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16373))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2646> */
	obj_t BGl_z62zc3z04anonymousza32646ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7980)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2645 */
	obj_t BGl_z62lambda2645z62zzliveness_typesz00(obj_t BgL_envz00_7981,
		obj_t BgL_oz00_7982, obj_t BgL_vz00_7983)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16381;

				{
					obj_t BgL_auxz00_16382;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16383;

						BgL_tmpz00_16383 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7982));
						BgL_auxz00_16382 = BGL_OBJECT_WIDENING(BgL_tmpz00_16383);
					}
					BgL_auxz00_16381 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16382);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16381))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7983)), BUNSPEC);
			}
		}

	}



/* &lambda2644 */
	obj_t BGl_z62lambda2644z62zzliveness_typesz00(obj_t BgL_envz00_7984,
		obj_t BgL_oz00_7985)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16390;

				{
					obj_t BgL_auxz00_16391;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16392;

						BgL_tmpz00_16392 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7985));
						BgL_auxz00_16391 = BGL_OBJECT_WIDENING(BgL_tmpz00_16392);
					}
					BgL_auxz00_16390 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16391);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16390))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2638> */
	obj_t BGl_z62zc3z04anonymousza32638ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7986)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2637 */
	obj_t BGl_z62lambda2637z62zzliveness_typesz00(obj_t BgL_envz00_7987,
		obj_t BgL_oz00_7988, obj_t BgL_vz00_7989)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16398;

				{
					obj_t BgL_auxz00_16399;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16400;

						BgL_tmpz00_16400 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7988));
						BgL_auxz00_16399 = BGL_OBJECT_WIDENING(BgL_tmpz00_16400);
					}
					BgL_auxz00_16398 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16399);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16398))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7989)), BUNSPEC);
			}
		}

	}



/* &lambda2636 */
	obj_t BGl_z62lambda2636z62zzliveness_typesz00(obj_t BgL_envz00_7990,
		obj_t BgL_oz00_7991)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16407;

				{
					obj_t BgL_auxz00_16408;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16409;

						BgL_tmpz00_16409 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_7991));
						BgL_auxz00_16408 = BGL_OBJECT_WIDENING(BgL_tmpz00_16409);
					}
					BgL_auxz00_16407 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16408);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16407))->
					BgL_defz00);
			}
		}

	}



/* &lambda2574 */
	BgL_setfieldz00_bglt BGl_z62lambda2574z62zzliveness_typesz00(obj_t
		BgL_envz00_7992, obj_t BgL_o1299z00_7993)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				long BgL_arg2577z00_9430;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_arg2578z00_9431;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2579z00_9432;

						{	/* Liveness/types.scm 89 */
							long BgL_arg1828z00_9433;

							{	/* Liveness/types.scm 89 */
								long BgL_arg1829z00_9434;

								BgL_arg1829z00_9434 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_o1299z00_7993)));
								BgL_arg1828z00_9433 = (BgL_arg1829z00_9434 - OBJECT_TYPE);
							}
							BgL_arg2579z00_9432 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9433);
						}
						BgL_arg2578z00_9431 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2579z00_9432);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_tmpz00_16421;

						BgL_tmpz00_16421 = ((obj_t) BgL_arg2578z00_9431);
						BgL_arg2577z00_9430 = BGL_CLASS_NUM(BgL_tmpz00_16421);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) BgL_o1299z00_7993)), BgL_arg2577z00_9430);
			}
			{	/* Liveness/types.scm 89 */
				BgL_objectz00_bglt BgL_tmpz00_16427;

				BgL_tmpz00_16427 =
					((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1299z00_7993));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16427, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1299z00_7993));
			return
				((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1299z00_7993));
		}

	}



/* &<@anonymous:2573> */
	obj_t BGl_z62zc3z04anonymousza32573ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7994, obj_t BgL_new1298z00_7995)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_16435;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1298z00_7995))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16439;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9436;

						BgL_classz00_9436 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1113z00_9437;

							BgL__ortest_1113z00_9437 = BGL_CLASS_NIL(BgL_classz00_9436);
							if (CBOOL(BgL__ortest_1113z00_9437))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16439 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9437);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16439 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9436));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1298z00_7995))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16439), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1298z00_7995))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1298z00_7995))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1298z00_7995))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1298z00_7995))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1298z00_7995))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				((((BgL_setfieldz00_bglt)
							COBJECT(((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1298z00_7995))))->BgL_fnamez00) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16467;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9438;

						BgL_classz00_9438 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1113z00_9439;

							BgL__ortest_1113z00_9439 = BGL_CLASS_NIL(BgL_classz00_9438);
							if (CBOOL(BgL__ortest_1113z00_9439))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16467 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9439);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16467 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9438));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1298z00_7995))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16467), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16477;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9440;

						BgL_classz00_9440 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1113z00_9441;

							BgL__ortest_1113z00_9441 = BGL_CLASS_NIL(BgL_classz00_9440);
							if (CBOOL(BgL__ortest_1113z00_9441))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16477 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9441);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16477 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9440));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1298z00_7995))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16477), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16487;

					{
						obj_t BgL_auxz00_16488;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16489;

							BgL_tmpz00_16489 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1298z00_7995));
							BgL_auxz00_16488 = BGL_OBJECT_WIDENING(BgL_tmpz00_16489);
						}
						BgL_auxz00_16487 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16488);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16487))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16495;

					{
						obj_t BgL_auxz00_16496;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16497;

							BgL_tmpz00_16497 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1298z00_7995));
							BgL_auxz00_16496 = BGL_OBJECT_WIDENING(BgL_tmpz00_16497);
						}
						BgL_auxz00_16495 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16496);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16495))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16503;

					{
						obj_t BgL_auxz00_16504;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16505;

							BgL_tmpz00_16505 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1298z00_7995));
							BgL_auxz00_16504 = BGL_OBJECT_WIDENING(BgL_tmpz00_16505);
						}
						BgL_auxz00_16503 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16504);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16503))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16511;

					{
						obj_t BgL_auxz00_16512;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16513;

							BgL_tmpz00_16513 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1298z00_7995));
							BgL_auxz00_16512 = BGL_OBJECT_WIDENING(BgL_tmpz00_16513);
						}
						BgL_auxz00_16511 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16512);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16511))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16435 = ((BgL_setfieldz00_bglt) BgL_new1298z00_7995);
				return ((obj_t) BgL_auxz00_16435);
			}
		}

	}



/* &lambda2570 */
	BgL_setfieldz00_bglt BGl_z62lambda2570z62zzliveness_typesz00(obj_t
		BgL_envz00_7996, obj_t BgL_o1295z00_7997)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldzf2livenesszf2_bglt BgL_wide1297z00_9443;

				BgL_wide1297z00_9443 =
					((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 89 */
					obj_t BgL_auxz00_16526;
					BgL_objectz00_bglt BgL_tmpz00_16522;

					BgL_auxz00_16526 = ((obj_t) BgL_wide1297z00_9443);
					BgL_tmpz00_16522 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt)
							((BgL_setfieldz00_bglt) BgL_o1295z00_7997)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16522, BgL_auxz00_16526);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1295z00_7997)));
				{	/* Liveness/types.scm 89 */
					long BgL_arg2572z00_9444;

					BgL_arg2572z00_9444 =
						BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_o1295z00_7997))),
						BgL_arg2572z00_9444);
				}
				return
					((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1295z00_7997)));
			}
		}

	}



/* &lambda2567 */
	BgL_setfieldz00_bglt BGl_z62lambda2567z62zzliveness_typesz00(obj_t
		BgL_envz00_7998, obj_t BgL_loc1281z00_7999, obj_t BgL_type1282z00_8000,
		obj_t BgL_sidezd2effect1283zd2_8001, obj_t BgL_key1284z00_8002,
		obj_t BgL_exprza21285za2_8003, obj_t BgL_effect1286z00_8004,
		obj_t BgL_czd2format1287zd2_8005, obj_t BgL_fname1288z00_8006,
		obj_t BgL_ftype1289z00_8007, obj_t BgL_otype1290z00_8008,
		obj_t BgL_def1291z00_8009, obj_t BgL_use1292z00_8010,
		obj_t BgL_in1293z00_8011, obj_t BgL_out1294z00_8012)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldz00_bglt BgL_new1742z00_9455;

				{	/* Liveness/types.scm 89 */
					BgL_setfieldz00_bglt BgL_tmp1740z00_9456;
					BgL_setfieldzf2livenesszf2_bglt BgL_wide1741z00_9457;

					{
						BgL_setfieldz00_bglt BgL_auxz00_16540;

						{	/* Liveness/types.scm 89 */
							BgL_setfieldz00_bglt BgL_new1739z00_9458;

							BgL_new1739z00_9458 =
								((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldz00_bgl))));
							{	/* Liveness/types.scm 89 */
								long BgL_arg2569z00_9459;

								BgL_arg2569z00_9459 =
									BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1739z00_9458),
									BgL_arg2569z00_9459);
							}
							{	/* Liveness/types.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_16545;

								BgL_tmpz00_16545 = ((BgL_objectz00_bglt) BgL_new1739z00_9458);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16545, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1739z00_9458);
							BgL_auxz00_16540 = BgL_new1739z00_9458;
						}
						BgL_tmp1740z00_9456 = ((BgL_setfieldz00_bglt) BgL_auxz00_16540);
					}
					BgL_wide1741z00_9457 =
						((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 89 */
						obj_t BgL_auxz00_16553;
						BgL_objectz00_bglt BgL_tmpz00_16551;

						BgL_auxz00_16553 = ((obj_t) BgL_wide1741z00_9457);
						BgL_tmpz00_16551 = ((BgL_objectz00_bglt) BgL_tmp1740z00_9456);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16551, BgL_auxz00_16553);
					}
					((BgL_objectz00_bglt) BgL_tmp1740z00_9456);
					{	/* Liveness/types.scm 89 */
						long BgL_arg2568z00_9460;

						BgL_arg2568z00_9460 =
							BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1740z00_9456), BgL_arg2568z00_9460);
					}
					BgL_new1742z00_9455 = ((BgL_setfieldz00_bglt) BgL_tmp1740z00_9456);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1742z00_9455)))->BgL_locz00) =
					((obj_t) BgL_loc1281z00_7999), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1742z00_9455)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1282z00_8000)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1742z00_9455)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1283zd2_8001), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1742z00_9455)))->BgL_keyz00) =
					((obj_t) BgL_key1284z00_8002), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1742z00_9455)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21285za2_8003)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1742z00_9455)))->BgL_effectz00) =
					((obj_t) BgL_effect1286z00_8004), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1742z00_9455)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1287zd2_8005)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1742z00_9455)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1288z00_8006)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1742z00_9455)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1289z00_8007)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1742z00_9455)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1290z00_8008)),
					BUNSPEC);
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16587;

					{
						obj_t BgL_auxz00_16588;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16589;

							BgL_tmpz00_16589 = ((BgL_objectz00_bglt) BgL_new1742z00_9455);
							BgL_auxz00_16588 = BGL_OBJECT_WIDENING(BgL_tmpz00_16589);
						}
						BgL_auxz00_16587 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16588);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16587))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1291z00_8009)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16595;

					{
						obj_t BgL_auxz00_16596;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16597;

							BgL_tmpz00_16597 = ((BgL_objectz00_bglt) BgL_new1742z00_9455);
							BgL_auxz00_16596 = BGL_OBJECT_WIDENING(BgL_tmpz00_16597);
						}
						BgL_auxz00_16595 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16596);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16595))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1292z00_8010)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16603;

					{
						obj_t BgL_auxz00_16604;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16605;

							BgL_tmpz00_16605 = ((BgL_objectz00_bglt) BgL_new1742z00_9455);
							BgL_auxz00_16604 = BGL_OBJECT_WIDENING(BgL_tmpz00_16605);
						}
						BgL_auxz00_16603 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16604);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16603))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1293z00_8011)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16611;

					{
						obj_t BgL_auxz00_16612;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16613;

							BgL_tmpz00_16613 = ((BgL_objectz00_bglt) BgL_new1742z00_9455);
							BgL_auxz00_16612 = BGL_OBJECT_WIDENING(BgL_tmpz00_16613);
						}
						BgL_auxz00_16611 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16612);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16611))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1294z00_8012)), BUNSPEC);
				}
				return BgL_new1742z00_9455;
			}
		}

	}



/* &<@anonymous:2611> */
	obj_t BGl_z62zc3z04anonymousza32611ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8013)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2610 */
	obj_t BGl_z62lambda2610z62zzliveness_typesz00(obj_t BgL_envz00_8014,
		obj_t BgL_oz00_8015, obj_t BgL_vz00_8016)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16619;

				{
					obj_t BgL_auxz00_16620;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16621;

						BgL_tmpz00_16621 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8015));
						BgL_auxz00_16620 = BGL_OBJECT_WIDENING(BgL_tmpz00_16621);
					}
					BgL_auxz00_16619 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16620);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16619))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8016)), BUNSPEC);
			}
		}

	}



/* &lambda2609 */
	obj_t BGl_z62lambda2609z62zzliveness_typesz00(obj_t BgL_envz00_8017,
		obj_t BgL_oz00_8018)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16628;

				{
					obj_t BgL_auxz00_16629;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16630;

						BgL_tmpz00_16630 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8018));
						BgL_auxz00_16629 = BGL_OBJECT_WIDENING(BgL_tmpz00_16630);
					}
					BgL_auxz00_16628 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16629);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16628))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2603> */
	obj_t BGl_z62zc3z04anonymousza32603ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8019)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2602 */
	obj_t BGl_z62lambda2602z62zzliveness_typesz00(obj_t BgL_envz00_8020,
		obj_t BgL_oz00_8021, obj_t BgL_vz00_8022)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16636;

				{
					obj_t BgL_auxz00_16637;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16638;

						BgL_tmpz00_16638 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8021));
						BgL_auxz00_16637 = BGL_OBJECT_WIDENING(BgL_tmpz00_16638);
					}
					BgL_auxz00_16636 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16637);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16636))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8022)), BUNSPEC);
			}
		}

	}



/* &lambda2601 */
	obj_t BGl_z62lambda2601z62zzliveness_typesz00(obj_t BgL_envz00_8023,
		obj_t BgL_oz00_8024)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16645;

				{
					obj_t BgL_auxz00_16646;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16647;

						BgL_tmpz00_16647 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8024));
						BgL_auxz00_16646 = BGL_OBJECT_WIDENING(BgL_tmpz00_16647);
					}
					BgL_auxz00_16645 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16646);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16645))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2594> */
	obj_t BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8025)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2593 */
	obj_t BGl_z62lambda2593z62zzliveness_typesz00(obj_t BgL_envz00_8026,
		obj_t BgL_oz00_8027, obj_t BgL_vz00_8028)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16653;

				{
					obj_t BgL_auxz00_16654;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16655;

						BgL_tmpz00_16655 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8027));
						BgL_auxz00_16654 = BGL_OBJECT_WIDENING(BgL_tmpz00_16655);
					}
					BgL_auxz00_16653 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16654);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16653))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8028)), BUNSPEC);
			}
		}

	}



/* &lambda2592 */
	obj_t BGl_z62lambda2592z62zzliveness_typesz00(obj_t BgL_envz00_8029,
		obj_t BgL_oz00_8030)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16662;

				{
					obj_t BgL_auxz00_16663;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16664;

						BgL_tmpz00_16664 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8030));
						BgL_auxz00_16663 = BGL_OBJECT_WIDENING(BgL_tmpz00_16664);
					}
					BgL_auxz00_16662 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16663);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16662))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2586> */
	obj_t BGl_z62zc3z04anonymousza32586ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8031)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzliveness_typesz00(obj_t BgL_envz00_8032,
		obj_t BgL_oz00_8033, obj_t BgL_vz00_8034)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16670;

				{
					obj_t BgL_auxz00_16671;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16672;

						BgL_tmpz00_16672 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8033));
						BgL_auxz00_16671 = BGL_OBJECT_WIDENING(BgL_tmpz00_16672);
					}
					BgL_auxz00_16670 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16671);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16670))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8034)), BUNSPEC);
			}
		}

	}



/* &lambda2584 */
	obj_t BGl_z62lambda2584z62zzliveness_typesz00(obj_t BgL_envz00_8035,
		obj_t BgL_oz00_8036)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16679;

				{
					obj_t BgL_auxz00_16680;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_16681;

						BgL_tmpz00_16681 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8036));
						BgL_auxz00_16680 = BGL_OBJECT_WIDENING(BgL_tmpz00_16681);
					}
					BgL_auxz00_16679 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16680);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16679))->
					BgL_defz00);
			}
		}

	}



/* &lambda2513 */
	BgL_getfieldz00_bglt BGl_z62lambda2513z62zzliveness_typesz00(obj_t
		BgL_envz00_8037, obj_t BgL_o1279z00_8038)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				long BgL_arg2514z00_9474;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_arg2515z00_9475;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2516z00_9476;

						{	/* Liveness/types.scm 83 */
							long BgL_arg1828z00_9477;

							{	/* Liveness/types.scm 83 */
								long BgL_arg1829z00_9478;

								BgL_arg1829z00_9478 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_o1279z00_8038)));
								BgL_arg1828z00_9477 = (BgL_arg1829z00_9478 - OBJECT_TYPE);
							}
							BgL_arg2516z00_9476 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9477);
						}
						BgL_arg2515z00_9475 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2516z00_9476);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_tmpz00_16693;

						BgL_tmpz00_16693 = ((obj_t) BgL_arg2515z00_9475);
						BgL_arg2514z00_9474 = BGL_CLASS_NUM(BgL_tmpz00_16693);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) BgL_o1279z00_8038)), BgL_arg2514z00_9474);
			}
			{	/* Liveness/types.scm 83 */
				BgL_objectz00_bglt BgL_tmpz00_16699;

				BgL_tmpz00_16699 =
					((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1279z00_8038));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16699, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1279z00_8038));
			return
				((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1279z00_8038));
		}

	}



/* &<@anonymous:2512> */
	obj_t BGl_z62zc3z04anonymousza32512ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8039, obj_t BgL_new1278z00_8040)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_16707;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1278z00_8040))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16711;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9480;

						BgL_classz00_9480 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1113z00_9481;

							BgL__ortest_1113z00_9481 = BGL_CLASS_NIL(BgL_classz00_9480);
							if (CBOOL(BgL__ortest_1113z00_9481))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16711 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9481);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16711 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9480));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1278z00_8040))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16711), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1278z00_8040))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1278z00_8040))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1278z00_8040))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1278z00_8040))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1278z00_8040))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				((((BgL_getfieldz00_bglt)
							COBJECT(((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1278z00_8040))))->BgL_fnamez00) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16739;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9482;

						BgL_classz00_9482 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1113z00_9483;

							BgL__ortest_1113z00_9483 = BGL_CLASS_NIL(BgL_classz00_9482);
							if (CBOOL(BgL__ortest_1113z00_9483))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16739 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9483);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16739 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9482));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1278z00_8040))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16739), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16749;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9484;

						BgL_classz00_9484 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1113z00_9485;

							BgL__ortest_1113z00_9485 = BGL_CLASS_NIL(BgL_classz00_9484);
							if (CBOOL(BgL__ortest_1113z00_9485))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16749 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9485);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_16749 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9484));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1278z00_8040))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16749), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16759;

					{
						obj_t BgL_auxz00_16760;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16761;

							BgL_tmpz00_16761 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1278z00_8040));
							BgL_auxz00_16760 = BGL_OBJECT_WIDENING(BgL_tmpz00_16761);
						}
						BgL_auxz00_16759 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16760);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16759))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16767;

					{
						obj_t BgL_auxz00_16768;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16769;

							BgL_tmpz00_16769 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1278z00_8040));
							BgL_auxz00_16768 = BGL_OBJECT_WIDENING(BgL_tmpz00_16769);
						}
						BgL_auxz00_16767 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16768);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16767))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16775;

					{
						obj_t BgL_auxz00_16776;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16777;

							BgL_tmpz00_16777 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1278z00_8040));
							BgL_auxz00_16776 = BGL_OBJECT_WIDENING(BgL_tmpz00_16777);
						}
						BgL_auxz00_16775 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16776);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16775))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16783;

					{
						obj_t BgL_auxz00_16784;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16785;

							BgL_tmpz00_16785 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1278z00_8040));
							BgL_auxz00_16784 = BGL_OBJECT_WIDENING(BgL_tmpz00_16785);
						}
						BgL_auxz00_16783 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16784);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16783))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16707 = ((BgL_getfieldz00_bglt) BgL_new1278z00_8040);
				return ((obj_t) BgL_auxz00_16707);
			}
		}

	}



/* &lambda2509 */
	BgL_getfieldz00_bglt BGl_z62lambda2509z62zzliveness_typesz00(obj_t
		BgL_envz00_8041, obj_t BgL_o1275z00_8042)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldzf2livenesszf2_bglt BgL_wide1277z00_9487;

				BgL_wide1277z00_9487 =
					((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 83 */
					obj_t BgL_auxz00_16798;
					BgL_objectz00_bglt BgL_tmpz00_16794;

					BgL_auxz00_16798 = ((obj_t) BgL_wide1277z00_9487);
					BgL_tmpz00_16794 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt)
							((BgL_getfieldz00_bglt) BgL_o1275z00_8042)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16794, BgL_auxz00_16798);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1275z00_8042)));
				{	/* Liveness/types.scm 83 */
					long BgL_arg2511z00_9488;

					BgL_arg2511z00_9488 =
						BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_o1275z00_8042))),
						BgL_arg2511z00_9488);
				}
				return
					((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1275z00_8042)));
			}
		}

	}



/* &lambda2500 */
	BgL_getfieldz00_bglt BGl_z62lambda2500z62zzliveness_typesz00(obj_t
		BgL_envz00_8043, obj_t BgL_loc1261z00_8044, obj_t BgL_type1262z00_8045,
		obj_t BgL_sidezd2effect1263zd2_8046, obj_t BgL_key1264z00_8047,
		obj_t BgL_exprza21265za2_8048, obj_t BgL_effect1266z00_8049,
		obj_t BgL_czd2format1267zd2_8050, obj_t BgL_fname1268z00_8051,
		obj_t BgL_ftype1269z00_8052, obj_t BgL_otype1270z00_8053,
		obj_t BgL_def1271z00_8054, obj_t BgL_use1272z00_8055,
		obj_t BgL_in1273z00_8056, obj_t BgL_out1274z00_8057)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldz00_bglt BgL_new1737z00_9499;

				{	/* Liveness/types.scm 83 */
					BgL_getfieldz00_bglt BgL_tmp1735z00_9500;
					BgL_getfieldzf2livenesszf2_bglt BgL_wide1736z00_9501;

					{
						BgL_getfieldz00_bglt BgL_auxz00_16812;

						{	/* Liveness/types.scm 83 */
							BgL_getfieldz00_bglt BgL_new1734z00_9502;

							BgL_new1734z00_9502 =
								((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldz00_bgl))));
							{	/* Liveness/types.scm 83 */
								long BgL_arg2508z00_9503;

								BgL_arg2508z00_9503 =
									BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1734z00_9502),
									BgL_arg2508z00_9503);
							}
							{	/* Liveness/types.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_16817;

								BgL_tmpz00_16817 = ((BgL_objectz00_bglt) BgL_new1734z00_9502);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16817, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1734z00_9502);
							BgL_auxz00_16812 = BgL_new1734z00_9502;
						}
						BgL_tmp1735z00_9500 = ((BgL_getfieldz00_bglt) BgL_auxz00_16812);
					}
					BgL_wide1736z00_9501 =
						((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 83 */
						obj_t BgL_auxz00_16825;
						BgL_objectz00_bglt BgL_tmpz00_16823;

						BgL_auxz00_16825 = ((obj_t) BgL_wide1736z00_9501);
						BgL_tmpz00_16823 = ((BgL_objectz00_bglt) BgL_tmp1735z00_9500);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16823, BgL_auxz00_16825);
					}
					((BgL_objectz00_bglt) BgL_tmp1735z00_9500);
					{	/* Liveness/types.scm 83 */
						long BgL_arg2502z00_9504;

						BgL_arg2502z00_9504 =
							BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1735z00_9500), BgL_arg2502z00_9504);
					}
					BgL_new1737z00_9499 = ((BgL_getfieldz00_bglt) BgL_tmp1735z00_9500);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1737z00_9499)))->BgL_locz00) =
					((obj_t) BgL_loc1261z00_8044), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1737z00_9499)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1262z00_8045)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1737z00_9499)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1263zd2_8046), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1737z00_9499)))->BgL_keyz00) =
					((obj_t) BgL_key1264z00_8047), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1737z00_9499)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21265za2_8048)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1737z00_9499)))->BgL_effectz00) =
					((obj_t) BgL_effect1266z00_8049), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1737z00_9499)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1267zd2_8050)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1737z00_9499)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1268z00_8051)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1737z00_9499)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1269z00_8052)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1737z00_9499)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1270z00_8053)),
					BUNSPEC);
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16859;

					{
						obj_t BgL_auxz00_16860;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16861;

							BgL_tmpz00_16861 = ((BgL_objectz00_bglt) BgL_new1737z00_9499);
							BgL_auxz00_16860 = BGL_OBJECT_WIDENING(BgL_tmpz00_16861);
						}
						BgL_auxz00_16859 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16860);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16859))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1271z00_8054)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16867;

					{
						obj_t BgL_auxz00_16868;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16869;

							BgL_tmpz00_16869 = ((BgL_objectz00_bglt) BgL_new1737z00_9499);
							BgL_auxz00_16868 = BGL_OBJECT_WIDENING(BgL_tmpz00_16869);
						}
						BgL_auxz00_16867 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16868);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16867))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1272z00_8055)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16875;

					{
						obj_t BgL_auxz00_16876;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16877;

							BgL_tmpz00_16877 = ((BgL_objectz00_bglt) BgL_new1737z00_9499);
							BgL_auxz00_16876 = BGL_OBJECT_WIDENING(BgL_tmpz00_16877);
						}
						BgL_auxz00_16875 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16876);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16875))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1273z00_8056)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16883;

					{
						obj_t BgL_auxz00_16884;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_16885;

							BgL_tmpz00_16885 = ((BgL_objectz00_bglt) BgL_new1737z00_9499);
							BgL_auxz00_16884 = BGL_OBJECT_WIDENING(BgL_tmpz00_16885);
						}
						BgL_auxz00_16883 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16884);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16883))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1274z00_8057)), BUNSPEC);
				}
				return BgL_new1737z00_9499;
			}
		}

	}



/* &<@anonymous:2559> */
	obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8058)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2558 */
	obj_t BGl_z62lambda2558z62zzliveness_typesz00(obj_t BgL_envz00_8059,
		obj_t BgL_oz00_8060, obj_t BgL_vz00_8061)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16891;

				{
					obj_t BgL_auxz00_16892;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16893;

						BgL_tmpz00_16893 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8060));
						BgL_auxz00_16892 = BGL_OBJECT_WIDENING(BgL_tmpz00_16893);
					}
					BgL_auxz00_16891 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16892);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16891))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8061)), BUNSPEC);
			}
		}

	}



/* &lambda2557 */
	obj_t BGl_z62lambda2557z62zzliveness_typesz00(obj_t BgL_envz00_8062,
		obj_t BgL_oz00_8063)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16900;

				{
					obj_t BgL_auxz00_16901;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16902;

						BgL_tmpz00_16902 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8063));
						BgL_auxz00_16901 = BGL_OBJECT_WIDENING(BgL_tmpz00_16902);
					}
					BgL_auxz00_16900 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16901);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16900))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2550> */
	obj_t BGl_z62zc3z04anonymousza32550ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8064)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2549 */
	obj_t BGl_z62lambda2549z62zzliveness_typesz00(obj_t BgL_envz00_8065,
		obj_t BgL_oz00_8066, obj_t BgL_vz00_8067)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16908;

				{
					obj_t BgL_auxz00_16909;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16910;

						BgL_tmpz00_16910 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8066));
						BgL_auxz00_16909 = BGL_OBJECT_WIDENING(BgL_tmpz00_16910);
					}
					BgL_auxz00_16908 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16909);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16908))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8067)), BUNSPEC);
			}
		}

	}



/* &lambda2548 */
	obj_t BGl_z62lambda2548z62zzliveness_typesz00(obj_t BgL_envz00_8068,
		obj_t BgL_oz00_8069)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16917;

				{
					obj_t BgL_auxz00_16918;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16919;

						BgL_tmpz00_16919 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8069));
						BgL_auxz00_16918 = BGL_OBJECT_WIDENING(BgL_tmpz00_16919);
					}
					BgL_auxz00_16917 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16918);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16917))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2536> */
	obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8070)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2535 */
	obj_t BGl_z62lambda2535z62zzliveness_typesz00(obj_t BgL_envz00_8071,
		obj_t BgL_oz00_8072, obj_t BgL_vz00_8073)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16925;

				{
					obj_t BgL_auxz00_16926;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16927;

						BgL_tmpz00_16927 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8072));
						BgL_auxz00_16926 = BGL_OBJECT_WIDENING(BgL_tmpz00_16927);
					}
					BgL_auxz00_16925 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16926);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16925))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8073)), BUNSPEC);
			}
		}

	}



/* &lambda2534 */
	obj_t BGl_z62lambda2534z62zzliveness_typesz00(obj_t BgL_envz00_8074,
		obj_t BgL_oz00_8075)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16934;

				{
					obj_t BgL_auxz00_16935;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16936;

						BgL_tmpz00_16936 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8075));
						BgL_auxz00_16935 = BGL_OBJECT_WIDENING(BgL_tmpz00_16936);
					}
					BgL_auxz00_16934 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16935);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16934))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2525> */
	obj_t BGl_z62zc3z04anonymousza32525ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8076)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2524 */
	obj_t BGl_z62lambda2524z62zzliveness_typesz00(obj_t BgL_envz00_8077,
		obj_t BgL_oz00_8078, obj_t BgL_vz00_8079)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16942;

				{
					obj_t BgL_auxz00_16943;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16944;

						BgL_tmpz00_16944 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8078));
						BgL_auxz00_16943 = BGL_OBJECT_WIDENING(BgL_tmpz00_16944);
					}
					BgL_auxz00_16942 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16943);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16942))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8079)), BUNSPEC);
			}
		}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzliveness_typesz00(obj_t BgL_envz00_8080,
		obj_t BgL_oz00_8081)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_16951;

				{
					obj_t BgL_auxz00_16952;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_16953;

						BgL_tmpz00_16953 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8081));
						BgL_auxz00_16952 = BGL_OBJECT_WIDENING(BgL_tmpz00_16953);
					}
					BgL_auxz00_16951 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_16952);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16951))->
					BgL_defz00);
			}
		}

	}



/* &lambda2454 */
	BgL_pragmaz00_bglt BGl_z62lambda2454z62zzliveness_typesz00(obj_t
		BgL_envz00_8082, obj_t BgL_o1259z00_8083)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				long BgL_arg2456z00_9518;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_arg2457z00_9519;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2458z00_9520;

						{	/* Liveness/types.scm 77 */
							long BgL_arg1828z00_9521;

							{	/* Liveness/types.scm 77 */
								long BgL_arg1829z00_9522;

								BgL_arg1829z00_9522 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt) BgL_o1259z00_8083)));
								BgL_arg1828z00_9521 = (BgL_arg1829z00_9522 - OBJECT_TYPE);
							}
							BgL_arg2458z00_9520 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9521);
						}
						BgL_arg2457z00_9519 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2458z00_9520);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_tmpz00_16965;

						BgL_tmpz00_16965 = ((obj_t) BgL_arg2457z00_9519);
						BgL_arg2456z00_9518 = BGL_CLASS_NUM(BgL_tmpz00_16965);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) BgL_o1259z00_8083)), BgL_arg2456z00_9518);
			}
			{	/* Liveness/types.scm 77 */
				BgL_objectz00_bglt BgL_tmpz00_16971;

				BgL_tmpz00_16971 =
					((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1259z00_8083));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16971, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1259z00_8083));
			return ((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1259z00_8083));
		}

	}



/* &<@anonymous:2453> */
	obj_t BGl_z62zc3z04anonymousza32453ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8084, obj_t BgL_new1258z00_8085)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_16979;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1258z00_8085))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16983;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_classz00_9524;

						BgL_classz00_9524 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 77 */
							obj_t BgL__ortest_1113z00_9525;

							BgL__ortest_1113z00_9525 = BGL_CLASS_NIL(BgL_classz00_9524);
							if (CBOOL(BgL__ortest_1113z00_9525))
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_16983 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9525);
								}
							else
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_16983 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9524));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1258z00_8085))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16983), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1258z00_8085))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1258z00_8085))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1258z00_8085))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1258z00_8085))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt)
							COBJECT(((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1258z00_8085))))->BgL_formatz00) =
					((obj_t) BGl_string4517z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17008;

					{
						obj_t BgL_auxz00_17009;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17010;

							BgL_tmpz00_17010 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1258z00_8085));
							BgL_auxz00_17009 = BGL_OBJECT_WIDENING(BgL_tmpz00_17010);
						}
						BgL_auxz00_17008 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17009);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17008))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17016;

					{
						obj_t BgL_auxz00_17017;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17018;

							BgL_tmpz00_17018 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1258z00_8085));
							BgL_auxz00_17017 = BGL_OBJECT_WIDENING(BgL_tmpz00_17018);
						}
						BgL_auxz00_17016 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17017);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17016))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17024;

					{
						obj_t BgL_auxz00_17025;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17026;

							BgL_tmpz00_17026 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1258z00_8085));
							BgL_auxz00_17025 = BGL_OBJECT_WIDENING(BgL_tmpz00_17026);
						}
						BgL_auxz00_17024 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17025);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17024))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17032;

					{
						obj_t BgL_auxz00_17033;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17034;

							BgL_tmpz00_17034 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1258z00_8085));
							BgL_auxz00_17033 = BGL_OBJECT_WIDENING(BgL_tmpz00_17034);
						}
						BgL_auxz00_17032 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17033);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17032))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16979 = ((BgL_pragmaz00_bglt) BgL_new1258z00_8085);
				return ((obj_t) BgL_auxz00_16979);
			}
		}

	}



/* &lambda2451 */
	BgL_pragmaz00_bglt BGl_z62lambda2451z62zzliveness_typesz00(obj_t
		BgL_envz00_8086, obj_t BgL_o1255z00_8087)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmazf2livenesszf2_bglt BgL_wide1257z00_9527;

				BgL_wide1257z00_9527 =
					((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 77 */
					obj_t BgL_auxz00_17047;
					BgL_objectz00_bglt BgL_tmpz00_17043;

					BgL_auxz00_17047 = ((obj_t) BgL_wide1257z00_9527);
					BgL_tmpz00_17043 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1255z00_8087)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17043, BgL_auxz00_17047);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1255z00_8087)));
				{	/* Liveness/types.scm 77 */
					long BgL_arg2452z00_9528;

					BgL_arg2452z00_9528 =
						BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_o1255z00_8087))),
						BgL_arg2452z00_9528);
				}
				return
					((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1255z00_8087)));
			}
		}

	}



/* &lambda2447 */
	BgL_pragmaz00_bglt BGl_z62lambda2447z62zzliveness_typesz00(obj_t
		BgL_envz00_8088, obj_t BgL_loc1244z00_8089, obj_t BgL_type1245z00_8090,
		obj_t BgL_sidezd2effect1246zd2_8091, obj_t BgL_key1247z00_8092,
		obj_t BgL_exprza21248za2_8093, obj_t BgL_effect1249z00_8094,
		obj_t BgL_format1250z00_8095, obj_t BgL_def1251z00_8096,
		obj_t BgL_use1252z00_8097, obj_t BgL_in1253z00_8098,
		obj_t BgL_out1254z00_8099)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmaz00_bglt BgL_new1732z00_9536;

				{	/* Liveness/types.scm 77 */
					BgL_pragmaz00_bglt BgL_tmp1730z00_9537;
					BgL_pragmazf2livenesszf2_bglt BgL_wide1731z00_9538;

					{
						BgL_pragmaz00_bglt BgL_auxz00_17061;

						{	/* Liveness/types.scm 77 */
							BgL_pragmaz00_bglt BgL_new1729z00_9539;

							BgL_new1729z00_9539 =
								((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmaz00_bgl))));
							{	/* Liveness/types.scm 77 */
								long BgL_arg2450z00_9540;

								BgL_arg2450z00_9540 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1729z00_9539),
									BgL_arg2450z00_9540);
							}
							{	/* Liveness/types.scm 77 */
								BgL_objectz00_bglt BgL_tmpz00_17066;

								BgL_tmpz00_17066 = ((BgL_objectz00_bglt) BgL_new1729z00_9539);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17066, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1729z00_9539);
							BgL_auxz00_17061 = BgL_new1729z00_9539;
						}
						BgL_tmp1730z00_9537 = ((BgL_pragmaz00_bglt) BgL_auxz00_17061);
					}
					BgL_wide1731z00_9538 =
						((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmazf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 77 */
						obj_t BgL_auxz00_17074;
						BgL_objectz00_bglt BgL_tmpz00_17072;

						BgL_auxz00_17074 = ((obj_t) BgL_wide1731z00_9538);
						BgL_tmpz00_17072 = ((BgL_objectz00_bglt) BgL_tmp1730z00_9537);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17072, BgL_auxz00_17074);
					}
					((BgL_objectz00_bglt) BgL_tmp1730z00_9537);
					{	/* Liveness/types.scm 77 */
						long BgL_arg2448z00_9541;

						BgL_arg2448z00_9541 =
							BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1730z00_9537), BgL_arg2448z00_9541);
					}
					BgL_new1732z00_9536 = ((BgL_pragmaz00_bglt) BgL_tmp1730z00_9537);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1732z00_9536)))->BgL_locz00) =
					((obj_t) BgL_loc1244z00_8089), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1732z00_9536)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1245z00_8090)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1732z00_9536)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1246zd2_8091), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1732z00_9536)))->BgL_keyz00) =
					((obj_t) BgL_key1247z00_8092), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1732z00_9536)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21248za2_8093)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1732z00_9536)))->BgL_effectz00) =
					((obj_t) BgL_effect1249z00_8094), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1732z00_9536)))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1250z00_8095)), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17099;

					{
						obj_t BgL_auxz00_17100;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17101;

							BgL_tmpz00_17101 = ((BgL_objectz00_bglt) BgL_new1732z00_9536);
							BgL_auxz00_17100 = BGL_OBJECT_WIDENING(BgL_tmpz00_17101);
						}
						BgL_auxz00_17099 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17100);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17099))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1251z00_8096)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17107;

					{
						obj_t BgL_auxz00_17108;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17109;

							BgL_tmpz00_17109 = ((BgL_objectz00_bglt) BgL_new1732z00_9536);
							BgL_auxz00_17108 = BGL_OBJECT_WIDENING(BgL_tmpz00_17109);
						}
						BgL_auxz00_17107 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17108);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17107))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1252z00_8097)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17115;

					{
						obj_t BgL_auxz00_17116;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17117;

							BgL_tmpz00_17117 = ((BgL_objectz00_bglt) BgL_new1732z00_9536);
							BgL_auxz00_17116 = BGL_OBJECT_WIDENING(BgL_tmpz00_17117);
						}
						BgL_auxz00_17115 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17116);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17115))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1253z00_8098)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17123;

					{
						obj_t BgL_auxz00_17124;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17125;

							BgL_tmpz00_17125 = ((BgL_objectz00_bglt) BgL_new1732z00_9536);
							BgL_auxz00_17124 = BGL_OBJECT_WIDENING(BgL_tmpz00_17125);
						}
						BgL_auxz00_17123 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17124);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17123))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1254z00_8099)), BUNSPEC);
				}
				return BgL_new1732z00_9536;
			}
		}

	}



/* &<@anonymous:2490> */
	obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8100)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2489 */
	obj_t BGl_z62lambda2489z62zzliveness_typesz00(obj_t BgL_envz00_8101,
		obj_t BgL_oz00_8102, obj_t BgL_vz00_8103)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17131;

				{
					obj_t BgL_auxz00_17132;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17133;

						BgL_tmpz00_17133 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8102));
						BgL_auxz00_17132 = BGL_OBJECT_WIDENING(BgL_tmpz00_17133);
					}
					BgL_auxz00_17131 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17132);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17131))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8103)), BUNSPEC);
			}
		}

	}



/* &lambda2488 */
	obj_t BGl_z62lambda2488z62zzliveness_typesz00(obj_t BgL_envz00_8104,
		obj_t BgL_oz00_8105)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17140;

				{
					obj_t BgL_auxz00_17141;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17142;

						BgL_tmpz00_17142 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8105));
						BgL_auxz00_17141 = BGL_OBJECT_WIDENING(BgL_tmpz00_17142);
					}
					BgL_auxz00_17140 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17141);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17140))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2481> */
	obj_t BGl_z62zc3z04anonymousza32481ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8106)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2480 */
	obj_t BGl_z62lambda2480z62zzliveness_typesz00(obj_t BgL_envz00_8107,
		obj_t BgL_oz00_8108, obj_t BgL_vz00_8109)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17148;

				{
					obj_t BgL_auxz00_17149;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17150;

						BgL_tmpz00_17150 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8108));
						BgL_auxz00_17149 = BGL_OBJECT_WIDENING(BgL_tmpz00_17150);
					}
					BgL_auxz00_17148 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17149);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17148))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8109)), BUNSPEC);
			}
		}

	}



/* &lambda2479 */
	obj_t BGl_z62lambda2479z62zzliveness_typesz00(obj_t BgL_envz00_8110,
		obj_t BgL_oz00_8111)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17157;

				{
					obj_t BgL_auxz00_17158;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17159;

						BgL_tmpz00_17159 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8111));
						BgL_auxz00_17158 = BGL_OBJECT_WIDENING(BgL_tmpz00_17159);
					}
					BgL_auxz00_17157 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17158);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17157))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2473> */
	obj_t BGl_z62zc3z04anonymousza32473ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8112)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2472 */
	obj_t BGl_z62lambda2472z62zzliveness_typesz00(obj_t BgL_envz00_8113,
		obj_t BgL_oz00_8114, obj_t BgL_vz00_8115)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17165;

				{
					obj_t BgL_auxz00_17166;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17167;

						BgL_tmpz00_17167 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8114));
						BgL_auxz00_17166 = BGL_OBJECT_WIDENING(BgL_tmpz00_17167);
					}
					BgL_auxz00_17165 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17166);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17165))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8115)), BUNSPEC);
			}
		}

	}



/* &lambda2471 */
	obj_t BGl_z62lambda2471z62zzliveness_typesz00(obj_t BgL_envz00_8116,
		obj_t BgL_oz00_8117)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17174;

				{
					obj_t BgL_auxz00_17175;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17176;

						BgL_tmpz00_17176 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8117));
						BgL_auxz00_17175 = BGL_OBJECT_WIDENING(BgL_tmpz00_17176);
					}
					BgL_auxz00_17174 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17175);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17174))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2466> */
	obj_t BGl_z62zc3z04anonymousza32466ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8118)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2465 */
	obj_t BGl_z62lambda2465z62zzliveness_typesz00(obj_t BgL_envz00_8119,
		obj_t BgL_oz00_8120, obj_t BgL_vz00_8121)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17182;

				{
					obj_t BgL_auxz00_17183;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17184;

						BgL_tmpz00_17184 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8120));
						BgL_auxz00_17183 = BGL_OBJECT_WIDENING(BgL_tmpz00_17184);
					}
					BgL_auxz00_17182 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17183);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17182))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8121)), BUNSPEC);
			}
		}

	}



/* &lambda2464 */
	obj_t BGl_z62lambda2464z62zzliveness_typesz00(obj_t BgL_envz00_8122,
		obj_t BgL_oz00_8123)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17191;

				{
					obj_t BgL_auxz00_17192;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17193;

						BgL_tmpz00_17193 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8123));
						BgL_auxz00_17192 = BGL_OBJECT_WIDENING(BgL_tmpz00_17193);
					}
					BgL_auxz00_17191 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17192);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17191))->
					BgL_defz00);
			}
		}

	}



/* &lambda2402 */
	BgL_funcallz00_bglt BGl_z62lambda2402z62zzliveness_typesz00(obj_t
		BgL_envz00_8124, obj_t BgL_o1242z00_8125)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				long BgL_arg2403z00_9555;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_arg2404z00_9556;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2405z00_9557;

						{	/* Liveness/types.scm 71 */
							long BgL_arg1828z00_9558;

							{	/* Liveness/types.scm 71 */
								long BgL_arg1829z00_9559;

								BgL_arg1829z00_9559 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_o1242z00_8125)));
								BgL_arg1828z00_9558 = (BgL_arg1829z00_9559 - OBJECT_TYPE);
							}
							BgL_arg2405z00_9557 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9558);
						}
						BgL_arg2404z00_9556 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2405z00_9557);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_tmpz00_17205;

						BgL_tmpz00_17205 = ((obj_t) BgL_arg2404z00_9556);
						BgL_arg2403z00_9555 = BGL_CLASS_NUM(BgL_tmpz00_17205);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) BgL_o1242z00_8125)), BgL_arg2403z00_9555);
			}
			{	/* Liveness/types.scm 71 */
				BgL_objectz00_bglt BgL_tmpz00_17211;

				BgL_tmpz00_17211 =
					((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1242z00_8125));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17211, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1242z00_8125));
			return ((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1242z00_8125));
		}

	}



/* &<@anonymous:2401> */
	obj_t BGl_z62zc3z04anonymousza32401ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8126, obj_t BgL_new1241z00_8127)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17219;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1241z00_8127))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17223;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9561;

						BgL_classz00_9561 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1113z00_9562;

							BgL__ortest_1113z00_9562 = BGL_CLASS_NIL(BgL_classz00_9561);
							if (CBOOL(BgL__ortest_1113z00_9562))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17223 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9562);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17223 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9561));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1241z00_8127))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17223), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17233;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9563;

						BgL_classz00_9563 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1113z00_9564;

							BgL__ortest_1113z00_9564 = BGL_CLASS_NIL(BgL_classz00_9563);
							if (CBOOL(BgL__ortest_1113z00_9564))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17233 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9564);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17233 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9563));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_new1241z00_8127))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17233), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_new1241z00_8127))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1241z00_8127))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 43))), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1241z00_8127))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17253;

					{
						obj_t BgL_auxz00_17254;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17255;

							BgL_tmpz00_17255 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1241z00_8127));
							BgL_auxz00_17254 = BGL_OBJECT_WIDENING(BgL_tmpz00_17255);
						}
						BgL_auxz00_17253 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17254);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17253))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17261;

					{
						obj_t BgL_auxz00_17262;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17263;

							BgL_tmpz00_17263 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1241z00_8127));
							BgL_auxz00_17262 = BGL_OBJECT_WIDENING(BgL_tmpz00_17263);
						}
						BgL_auxz00_17261 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17262);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17261))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17269;

					{
						obj_t BgL_auxz00_17270;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17271;

							BgL_tmpz00_17271 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1241z00_8127));
							BgL_auxz00_17270 = BGL_OBJECT_WIDENING(BgL_tmpz00_17271);
						}
						BgL_auxz00_17269 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17270);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17269))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17277;

					{
						obj_t BgL_auxz00_17278;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17279;

							BgL_tmpz00_17279 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1241z00_8127));
							BgL_auxz00_17278 = BGL_OBJECT_WIDENING(BgL_tmpz00_17279);
						}
						BgL_auxz00_17277 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17278);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17277))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17219 = ((BgL_funcallz00_bglt) BgL_new1241z00_8127);
				return ((obj_t) BgL_auxz00_17219);
			}
		}

	}



/* &lambda2398 */
	BgL_funcallz00_bglt BGl_z62lambda2398z62zzliveness_typesz00(obj_t
		BgL_envz00_8128, obj_t BgL_o1238z00_8129)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallzf2livenesszf2_bglt BgL_wide1240z00_9566;

				BgL_wide1240z00_9566 =
					((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 71 */
					obj_t BgL_auxz00_17292;
					BgL_objectz00_bglt BgL_tmpz00_17288;

					BgL_auxz00_17292 = ((obj_t) BgL_wide1240z00_9566);
					BgL_tmpz00_17288 =
						((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1238z00_8129)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17288, BgL_auxz00_17292);
				}
				((BgL_objectz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1238z00_8129)));
				{	/* Liveness/types.scm 71 */
					long BgL_arg2400z00_9567;

					BgL_arg2400z00_9567 =
						BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_o1238z00_8129))),
						BgL_arg2400z00_9567);
				}
				return
					((BgL_funcallz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1238z00_8129)));
			}
		}

	}



/* &lambda2394 */
	BgL_funcallz00_bglt BGl_z62lambda2394z62zzliveness_typesz00(obj_t
		BgL_envz00_8130, obj_t BgL_loc1228z00_8131, obj_t BgL_type1229z00_8132,
		obj_t BgL_fun1230z00_8133, obj_t BgL_args1231z00_8134,
		obj_t BgL_strength1232z00_8135, obj_t BgL_functions1233z00_8136,
		obj_t BgL_def1234z00_8137, obj_t BgL_use1235z00_8138,
		obj_t BgL_in1236z00_8139, obj_t BgL_out1237z00_8140)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallz00_bglt BgL_new1727z00_9575;

				{	/* Liveness/types.scm 71 */
					BgL_funcallz00_bglt BgL_tmp1725z00_9576;
					BgL_funcallzf2livenesszf2_bglt BgL_wide1726z00_9577;

					{
						BgL_funcallz00_bglt BgL_auxz00_17306;

						{	/* Liveness/types.scm 71 */
							BgL_funcallz00_bglt BgL_new1724z00_9578;

							BgL_new1724z00_9578 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Liveness/types.scm 71 */
								long BgL_arg2397z00_9579;

								BgL_arg2397z00_9579 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1724z00_9578),
									BgL_arg2397z00_9579);
							}
							{	/* Liveness/types.scm 71 */
								BgL_objectz00_bglt BgL_tmpz00_17311;

								BgL_tmpz00_17311 = ((BgL_objectz00_bglt) BgL_new1724z00_9578);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17311, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1724z00_9578);
							BgL_auxz00_17306 = BgL_new1724z00_9578;
						}
						BgL_tmp1725z00_9576 = ((BgL_funcallz00_bglt) BgL_auxz00_17306);
					}
					BgL_wide1726z00_9577 =
						((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 71 */
						obj_t BgL_auxz00_17319;
						BgL_objectz00_bglt BgL_tmpz00_17317;

						BgL_auxz00_17319 = ((obj_t) BgL_wide1726z00_9577);
						BgL_tmpz00_17317 = ((BgL_objectz00_bglt) BgL_tmp1725z00_9576);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17317, BgL_auxz00_17319);
					}
					((BgL_objectz00_bglt) BgL_tmp1725z00_9576);
					{	/* Liveness/types.scm 71 */
						long BgL_arg2396z00_9580;

						BgL_arg2396z00_9580 =
							BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1725z00_9576), BgL_arg2396z00_9580);
					}
					BgL_new1727z00_9575 = ((BgL_funcallz00_bglt) BgL_tmp1725z00_9576);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1727z00_9575)))->BgL_locz00) =
					((obj_t) BgL_loc1228z00_8131), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1727z00_9575)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1229z00_8132)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1727z00_9575)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1230z00_8133)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1727z00_9575)))->BgL_argsz00) =
					((obj_t) BgL_args1231z00_8134), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1727z00_9575)))->BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1232z00_8135)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1727z00_9575)))->BgL_functionsz00) =
					((obj_t) BgL_functions1233z00_8136), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17342;

					{
						obj_t BgL_auxz00_17343;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17344;

							BgL_tmpz00_17344 = ((BgL_objectz00_bglt) BgL_new1727z00_9575);
							BgL_auxz00_17343 = BGL_OBJECT_WIDENING(BgL_tmpz00_17344);
						}
						BgL_auxz00_17342 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17343);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17342))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1234z00_8137)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17350;

					{
						obj_t BgL_auxz00_17351;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17352;

							BgL_tmpz00_17352 = ((BgL_objectz00_bglt) BgL_new1727z00_9575);
							BgL_auxz00_17351 = BGL_OBJECT_WIDENING(BgL_tmpz00_17352);
						}
						BgL_auxz00_17350 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17351);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17350))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1235z00_8138)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17358;

					{
						obj_t BgL_auxz00_17359;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17360;

							BgL_tmpz00_17360 = ((BgL_objectz00_bglt) BgL_new1727z00_9575);
							BgL_auxz00_17359 = BGL_OBJECT_WIDENING(BgL_tmpz00_17360);
						}
						BgL_auxz00_17358 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17359);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17358))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1236z00_8139)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17366;

					{
						obj_t BgL_auxz00_17367;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17368;

							BgL_tmpz00_17368 = ((BgL_objectz00_bglt) BgL_new1727z00_9575);
							BgL_auxz00_17367 = BGL_OBJECT_WIDENING(BgL_tmpz00_17368);
						}
						BgL_auxz00_17366 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17367);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17366))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1237z00_8140)), BUNSPEC);
				}
				return BgL_new1727z00_9575;
			}
		}

	}



/* &<@anonymous:2438> */
	obj_t BGl_z62zc3z04anonymousza32438ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8141)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2437 */
	obj_t BGl_z62lambda2437z62zzliveness_typesz00(obj_t BgL_envz00_8142,
		obj_t BgL_oz00_8143, obj_t BgL_vz00_8144)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17374;

				{
					obj_t BgL_auxz00_17375;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17376;

						BgL_tmpz00_17376 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8143));
						BgL_auxz00_17375 = BGL_OBJECT_WIDENING(BgL_tmpz00_17376);
					}
					BgL_auxz00_17374 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17375);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17374))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8144)), BUNSPEC);
			}
		}

	}



/* &lambda2436 */
	obj_t BGl_z62lambda2436z62zzliveness_typesz00(obj_t BgL_envz00_8145,
		obj_t BgL_oz00_8146)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17383;

				{
					obj_t BgL_auxz00_17384;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17385;

						BgL_tmpz00_17385 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8146));
						BgL_auxz00_17384 = BGL_OBJECT_WIDENING(BgL_tmpz00_17385);
					}
					BgL_auxz00_17383 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17384);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17383))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8147)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2430 */
	obj_t BGl_z62lambda2430z62zzliveness_typesz00(obj_t BgL_envz00_8148,
		obj_t BgL_oz00_8149, obj_t BgL_vz00_8150)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17391;

				{
					obj_t BgL_auxz00_17392;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17393;

						BgL_tmpz00_17393 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8149));
						BgL_auxz00_17392 = BGL_OBJECT_WIDENING(BgL_tmpz00_17393);
					}
					BgL_auxz00_17391 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17392);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17391))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8150)), BUNSPEC);
			}
		}

	}



/* &lambda2429 */
	obj_t BGl_z62lambda2429z62zzliveness_typesz00(obj_t BgL_envz00_8151,
		obj_t BgL_oz00_8152)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17400;

				{
					obj_t BgL_auxz00_17401;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17402;

						BgL_tmpz00_17402 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8152));
						BgL_auxz00_17401 = BGL_OBJECT_WIDENING(BgL_tmpz00_17402);
					}
					BgL_auxz00_17400 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17401);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17400))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2423> */
	obj_t BGl_z62zc3z04anonymousza32423ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8153)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2422 */
	obj_t BGl_z62lambda2422z62zzliveness_typesz00(obj_t BgL_envz00_8154,
		obj_t BgL_oz00_8155, obj_t BgL_vz00_8156)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17408;

				{
					obj_t BgL_auxz00_17409;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17410;

						BgL_tmpz00_17410 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8155));
						BgL_auxz00_17409 = BGL_OBJECT_WIDENING(BgL_tmpz00_17410);
					}
					BgL_auxz00_17408 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17409);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17408))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8156)), BUNSPEC);
			}
		}

	}



/* &lambda2421 */
	obj_t BGl_z62lambda2421z62zzliveness_typesz00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17417;

				{
					obj_t BgL_auxz00_17418;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17419;

						BgL_tmpz00_17419 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8158));
						BgL_auxz00_17418 = BGL_OBJECT_WIDENING(BgL_tmpz00_17419);
					}
					BgL_auxz00_17417 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17418);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17417))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2414> */
	obj_t BGl_z62zc3z04anonymousza32414ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8159)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2413 */
	obj_t BGl_z62lambda2413z62zzliveness_typesz00(obj_t BgL_envz00_8160,
		obj_t BgL_oz00_8161, obj_t BgL_vz00_8162)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17425;

				{
					obj_t BgL_auxz00_17426;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17427;

						BgL_tmpz00_17427 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8161));
						BgL_auxz00_17426 = BGL_OBJECT_WIDENING(BgL_tmpz00_17427);
					}
					BgL_auxz00_17425 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17426);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17425))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8162)), BUNSPEC);
			}
		}

	}



/* &lambda2412 */
	obj_t BGl_z62lambda2412z62zzliveness_typesz00(obj_t BgL_envz00_8163,
		obj_t BgL_oz00_8164)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17434;

				{
					obj_t BgL_auxz00_17435;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17436;

						BgL_tmpz00_17436 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8164));
						BgL_auxz00_17435 = BGL_OBJECT_WIDENING(BgL_tmpz00_17436);
					}
					BgL_auxz00_17434 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17435);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17434))->
					BgL_defz00);
			}
		}

	}



/* &lambda2352 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2352z62zzliveness_typesz00(obj_t
		BgL_envz00_8165, obj_t BgL_o1226z00_8166)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				long BgL_arg2355z00_9594;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_arg2356z00_9595;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2357z00_9596;

						{	/* Liveness/types.scm 65 */
							long BgL_arg1828z00_9597;

							{	/* Liveness/types.scm 65 */
								long BgL_arg1829z00_9598;

								BgL_arg1829z00_9598 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_o1226z00_8166)));
								BgL_arg1828z00_9597 = (BgL_arg1829z00_9598 - OBJECT_TYPE);
							}
							BgL_arg2357z00_9596 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9597);
						}
						BgL_arg2356z00_9595 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2357z00_9596);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_tmpz00_17448;

						BgL_tmpz00_17448 = ((obj_t) BgL_arg2356z00_9595);
						BgL_arg2355z00_9594 = BGL_CLASS_NUM(BgL_tmpz00_17448);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt) BgL_o1226z00_8166)), BgL_arg2355z00_9594);
			}
			{	/* Liveness/types.scm 65 */
				BgL_objectz00_bglt BgL_tmpz00_17454;

				BgL_tmpz00_17454 =
					((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1226z00_8166));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17454, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1226z00_8166));
			return
				((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1226z00_8166));
		}

	}



/* &<@anonymous:2351> */
	obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8167, obj_t BgL_new1225z00_8168)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17462;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17466;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9600;

						BgL_classz00_9600 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1113z00_9601;

							BgL__ortest_1113z00_9601 = BGL_CLASS_NIL(BgL_classz00_9600);
							if (CBOOL(BgL__ortest_1113z00_9601))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17466 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9601);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17466 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9600));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17466), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17476;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9602;

						BgL_classz00_9602 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1113z00_9603;

							BgL__ortest_1113z00_9603 = BGL_CLASS_NIL(BgL_classz00_9602);
							if (CBOOL(BgL__ortest_1113z00_9603))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17476 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9603);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17476 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9602));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17476), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17486;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9604;

						BgL_classz00_9604 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1113z00_9605;

							BgL__ortest_1113z00_9605 = BGL_CLASS_NIL(BgL_classz00_9604);
							if (CBOOL(BgL__ortest_1113z00_9605))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17486 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_9605);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17486 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9604));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168))))->
							BgL_argz00) = ((BgL_nodez00_bglt) BgL_auxz00_17486), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17496;

					{
						obj_t BgL_auxz00_17497;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17498;

							BgL_tmpz00_17498 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168));
							BgL_auxz00_17497 = BGL_OBJECT_WIDENING(BgL_tmpz00_17498);
						}
						BgL_auxz00_17496 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17497);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17496))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17504;

					{
						obj_t BgL_auxz00_17505;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17506;

							BgL_tmpz00_17506 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168));
							BgL_auxz00_17505 = BGL_OBJECT_WIDENING(BgL_tmpz00_17506);
						}
						BgL_auxz00_17504 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17505);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17504))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17512;

					{
						obj_t BgL_auxz00_17513;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17514;

							BgL_tmpz00_17514 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168));
							BgL_auxz00_17513 = BGL_OBJECT_WIDENING(BgL_tmpz00_17514);
						}
						BgL_auxz00_17512 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17513);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17512))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17520;

					{
						obj_t BgL_auxz00_17521;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17522;

							BgL_tmpz00_17522 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168));
							BgL_auxz00_17521 = BGL_OBJECT_WIDENING(BgL_tmpz00_17522);
						}
						BgL_auxz00_17520 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17521);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17520))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17462 = ((BgL_appzd2lyzd2_bglt) BgL_new1225z00_8168);
				return ((obj_t) BgL_auxz00_17462);
			}
		}

	}



/* &lambda2348 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2348z62zzliveness_typesz00(obj_t
		BgL_envz00_8169, obj_t BgL_o1222z00_8170)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzf2livenessz20_bglt BgL_wide1224z00_9607;

				BgL_wide1224z00_9607 =
					((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 65 */
					obj_t BgL_auxz00_17535;
					BgL_objectz00_bglt BgL_tmpz00_17531;

					BgL_auxz00_17535 = ((obj_t) BgL_wide1224z00_9607);
					BgL_tmpz00_17531 =
						((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_o1222z00_8170)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17531, BgL_auxz00_17535);
				}
				((BgL_objectz00_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1222z00_8170)));
				{	/* Liveness/types.scm 65 */
					long BgL_arg2350z00_9608;

					BgL_arg2350z00_9608 =
						BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_o1222z00_8170))),
						BgL_arg2350z00_9608);
				}
				return
					((BgL_appzd2lyzd2_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1222z00_8170)));
			}
		}

	}



/* &lambda2345 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2345z62zzliveness_typesz00(obj_t
		BgL_envz00_8171, obj_t BgL_loc1211z00_8172, obj_t BgL_type1212z00_8173,
		obj_t BgL_fun1213z00_8174, obj_t BgL_arg1217z00_8175,
		obj_t BgL_def1218z00_8176, obj_t BgL_use1219z00_8177,
		obj_t BgL_in1220z00_8178, obj_t BgL_out1221z00_8179)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzd2_bglt BgL_new1722z00_9616;

				{	/* Liveness/types.scm 65 */
					BgL_appzd2lyzd2_bglt BgL_tmp1720z00_9617;
					BgL_appzd2lyzf2livenessz20_bglt BgL_wide1721z00_9618;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_17549;

						{	/* Liveness/types.scm 65 */
							BgL_appzd2lyzd2_bglt BgL_new1719z00_9619;

							BgL_new1719z00_9619 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Liveness/types.scm 65 */
								long BgL_arg2347z00_9620;

								BgL_arg2347z00_9620 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1719z00_9619),
									BgL_arg2347z00_9620);
							}
							{	/* Liveness/types.scm 65 */
								BgL_objectz00_bglt BgL_tmpz00_17554;

								BgL_tmpz00_17554 = ((BgL_objectz00_bglt) BgL_new1719z00_9619);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17554, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1719z00_9619);
							BgL_auxz00_17549 = BgL_new1719z00_9619;
						}
						BgL_tmp1720z00_9617 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_17549);
					}
					BgL_wide1721z00_9618 =
						((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 65 */
						obj_t BgL_auxz00_17562;
						BgL_objectz00_bglt BgL_tmpz00_17560;

						BgL_auxz00_17562 = ((obj_t) BgL_wide1721z00_9618);
						BgL_tmpz00_17560 = ((BgL_objectz00_bglt) BgL_tmp1720z00_9617);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17560, BgL_auxz00_17562);
					}
					((BgL_objectz00_bglt) BgL_tmp1720z00_9617);
					{	/* Liveness/types.scm 65 */
						long BgL_arg2346z00_9621;

						BgL_arg2346z00_9621 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1720z00_9617), BgL_arg2346z00_9621);
					}
					BgL_new1722z00_9616 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1720z00_9617);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1722z00_9616)))->BgL_locz00) =
					((obj_t) BgL_loc1211z00_8172), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1722z00_9616)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1212z00_8173)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1722z00_9616)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1213z00_8174)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1722z00_9616)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1217z00_8175)),
					BUNSPEC);
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17581;

					{
						obj_t BgL_auxz00_17582;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17583;

							BgL_tmpz00_17583 = ((BgL_objectz00_bglt) BgL_new1722z00_9616);
							BgL_auxz00_17582 = BGL_OBJECT_WIDENING(BgL_tmpz00_17583);
						}
						BgL_auxz00_17581 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17582);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17581))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1218z00_8176)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17589;

					{
						obj_t BgL_auxz00_17590;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17591;

							BgL_tmpz00_17591 = ((BgL_objectz00_bglt) BgL_new1722z00_9616);
							BgL_auxz00_17590 = BGL_OBJECT_WIDENING(BgL_tmpz00_17591);
						}
						BgL_auxz00_17589 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17590);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17589))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1219z00_8177)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17597;

					{
						obj_t BgL_auxz00_17598;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17599;

							BgL_tmpz00_17599 = ((BgL_objectz00_bglt) BgL_new1722z00_9616);
							BgL_auxz00_17598 = BGL_OBJECT_WIDENING(BgL_tmpz00_17599);
						}
						BgL_auxz00_17597 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17598);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17597))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1220z00_8178)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17605;

					{
						obj_t BgL_auxz00_17606;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17607;

							BgL_tmpz00_17607 = ((BgL_objectz00_bglt) BgL_new1722z00_9616);
							BgL_auxz00_17606 = BGL_OBJECT_WIDENING(BgL_tmpz00_17607);
						}
						BgL_auxz00_17605 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17606);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17605))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1221z00_8179)), BUNSPEC);
				}
				return BgL_new1722z00_9616;
			}
		}

	}



/* &<@anonymous:2385> */
	obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8180)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2384 */
	obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t BgL_envz00_8181,
		obj_t BgL_oz00_8182, obj_t BgL_vz00_8183)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17613;

				{
					obj_t BgL_auxz00_17614;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17615;

						BgL_tmpz00_17615 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8182));
						BgL_auxz00_17614 = BGL_OBJECT_WIDENING(BgL_tmpz00_17615);
					}
					BgL_auxz00_17613 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17614);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17613))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8183)), BUNSPEC);
			}
		}

	}



/* &lambda2383 */
	obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17622;

				{
					obj_t BgL_auxz00_17623;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17624;

						BgL_tmpz00_17624 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8185));
						BgL_auxz00_17623 = BGL_OBJECT_WIDENING(BgL_tmpz00_17624);
					}
					BgL_auxz00_17622 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17623);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17622))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2378> */
	obj_t BGl_z62zc3z04anonymousza32378ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8186)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2377 */
	obj_t BGl_z62lambda2377z62zzliveness_typesz00(obj_t BgL_envz00_8187,
		obj_t BgL_oz00_8188, obj_t BgL_vz00_8189)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17630;

				{
					obj_t BgL_auxz00_17631;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17632;

						BgL_tmpz00_17632 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8188));
						BgL_auxz00_17631 = BGL_OBJECT_WIDENING(BgL_tmpz00_17632);
					}
					BgL_auxz00_17630 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17631);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17630))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8189)), BUNSPEC);
			}
		}

	}



/* &lambda2376 */
	obj_t BGl_z62lambda2376z62zzliveness_typesz00(obj_t BgL_envz00_8190,
		obj_t BgL_oz00_8191)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17639;

				{
					obj_t BgL_auxz00_17640;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17641;

						BgL_tmpz00_17641 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8191));
						BgL_auxz00_17640 = BGL_OBJECT_WIDENING(BgL_tmpz00_17641);
					}
					BgL_auxz00_17639 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17640);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17639))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2371> */
	obj_t BGl_z62zc3z04anonymousza32371ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8192)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2370 */
	obj_t BGl_z62lambda2370z62zzliveness_typesz00(obj_t BgL_envz00_8193,
		obj_t BgL_oz00_8194, obj_t BgL_vz00_8195)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17647;

				{
					obj_t BgL_auxz00_17648;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17649;

						BgL_tmpz00_17649 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8194));
						BgL_auxz00_17648 = BGL_OBJECT_WIDENING(BgL_tmpz00_17649);
					}
					BgL_auxz00_17647 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17648);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17647))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8195)), BUNSPEC);
			}
		}

	}



/* &lambda2369 */
	obj_t BGl_z62lambda2369z62zzliveness_typesz00(obj_t BgL_envz00_8196,
		obj_t BgL_oz00_8197)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17656;

				{
					obj_t BgL_auxz00_17657;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17658;

						BgL_tmpz00_17658 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8197));
						BgL_auxz00_17657 = BGL_OBJECT_WIDENING(BgL_tmpz00_17658);
					}
					BgL_auxz00_17656 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17657);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17656))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2364> */
	obj_t BGl_z62zc3z04anonymousza32364ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8198)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2363 */
	obj_t BGl_z62lambda2363z62zzliveness_typesz00(obj_t BgL_envz00_8199,
		obj_t BgL_oz00_8200, obj_t BgL_vz00_8201)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17664;

				{
					obj_t BgL_auxz00_17665;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17666;

						BgL_tmpz00_17666 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8200));
						BgL_auxz00_17665 = BGL_OBJECT_WIDENING(BgL_tmpz00_17666);
					}
					BgL_auxz00_17664 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17665);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17664))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8201)), BUNSPEC);
			}
		}

	}



/* &lambda2362 */
	obj_t BGl_z62lambda2362z62zzliveness_typesz00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17673;

				{
					obj_t BgL_auxz00_17674;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_17675;

						BgL_tmpz00_17675 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8203));
						BgL_auxz00_17674 = BGL_OBJECT_WIDENING(BgL_tmpz00_17675);
					}
					BgL_auxz00_17673 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17674);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17673))->
					BgL_defz00);
			}
		}

	}



/* &lambda2305 */
	BgL_appz00_bglt BGl_z62lambda2305z62zzliveness_typesz00(obj_t BgL_envz00_8204,
		obj_t BgL_o1209z00_8205)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				long BgL_arg2306z00_9635;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_arg2307z00_9636;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2308z00_9637;

						{	/* Liveness/types.scm 59 */
							long BgL_arg1828z00_9638;

							{	/* Liveness/types.scm 59 */
								long BgL_arg1829z00_9639;

								BgL_arg1829z00_9639 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1209z00_8205)));
								BgL_arg1828z00_9638 = (BgL_arg1829z00_9639 - OBJECT_TYPE);
							}
							BgL_arg2308z00_9637 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9638);
						}
						BgL_arg2307z00_9636 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2308z00_9637);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_tmpz00_17687;

						BgL_tmpz00_17687 = ((obj_t) BgL_arg2307z00_9636);
						BgL_arg2306z00_9635 = BGL_CLASS_NUM(BgL_tmpz00_17687);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1209z00_8205)), BgL_arg2306z00_9635);
			}
			{	/* Liveness/types.scm 59 */
				BgL_objectz00_bglt BgL_tmpz00_17693;

				BgL_tmpz00_17693 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1209z00_8205));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17693, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1209z00_8205));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1209z00_8205));
		}

	}



/* &<@anonymous:2304> */
	obj_t BGl_z62zc3z04anonymousza32304ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8206, obj_t BgL_new1208z00_8207)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appz00_bglt BgL_auxz00_17701;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1208z00_8207))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17705;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9641;

						BgL_classz00_9641 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1113z00_9642;

							BgL__ortest_1113z00_9642 = BGL_CLASS_NIL(BgL_classz00_9641);
							if (CBOOL(BgL__ortest_1113z00_9642))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17705 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9642);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17705 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9641));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1208z00_8207))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17705), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1208z00_8207))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1208z00_8207))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17721;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9643;

						BgL_classz00_9643 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1113z00_9644;

							BgL__ortest_1113z00_9644 = BGL_CLASS_NIL(BgL_classz00_9643);
							if (CBOOL(BgL__ortest_1113z00_9644))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17721 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_9644);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_17721 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9643));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1208z00_8207))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_17721), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1208z00_8207))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1208z00_8207))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17737;

					{
						obj_t BgL_auxz00_17738;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17739;

							BgL_tmpz00_17739 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1208z00_8207));
							BgL_auxz00_17738 = BGL_OBJECT_WIDENING(BgL_tmpz00_17739);
						}
						BgL_auxz00_17737 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17738);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17737))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17745;

					{
						obj_t BgL_auxz00_17746;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17747;

							BgL_tmpz00_17747 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1208z00_8207));
							BgL_auxz00_17746 = BGL_OBJECT_WIDENING(BgL_tmpz00_17747);
						}
						BgL_auxz00_17745 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17746);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17745))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17753;

					{
						obj_t BgL_auxz00_17754;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17755;

							BgL_tmpz00_17755 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1208z00_8207));
							BgL_auxz00_17754 = BGL_OBJECT_WIDENING(BgL_tmpz00_17755);
						}
						BgL_auxz00_17753 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17754);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17753))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17761;

					{
						obj_t BgL_auxz00_17762;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17763;

							BgL_tmpz00_17763 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1208z00_8207));
							BgL_auxz00_17762 = BGL_OBJECT_WIDENING(BgL_tmpz00_17763);
						}
						BgL_auxz00_17761 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17762);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17761))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17701 = ((BgL_appz00_bglt) BgL_new1208z00_8207);
				return ((obj_t) BgL_auxz00_17701);
			}
		}

	}



/* &lambda2302 */
	BgL_appz00_bglt BGl_z62lambda2302z62zzliveness_typesz00(obj_t BgL_envz00_8208,
		obj_t BgL_o1205z00_8209)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appzf2livenesszf2_bglt BgL_wide1207z00_9646;

				BgL_wide1207z00_9646 =
					((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 59 */
					obj_t BgL_auxz00_17776;
					BgL_objectz00_bglt BgL_tmpz00_17772;

					BgL_auxz00_17776 = ((obj_t) BgL_wide1207z00_9646);
					BgL_tmpz00_17772 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1205z00_8209)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17772, BgL_auxz00_17776);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1205z00_8209)));
				{	/* Liveness/types.scm 59 */
					long BgL_arg2303z00_9647;

					BgL_arg2303z00_9647 =
						BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1205z00_8209))), BgL_arg2303z00_9647);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1205z00_8209)));
			}
		}

	}



/* &lambda2299 */
	BgL_appz00_bglt BGl_z62lambda2299z62zzliveness_typesz00(obj_t BgL_envz00_8210,
		obj_t BgL_loc1194z00_8211, obj_t BgL_type1195z00_8212,
		obj_t BgL_sidezd2effect1196zd2_8213, obj_t BgL_key1197z00_8214,
		obj_t BgL_fun1198z00_8215, obj_t BgL_args1199z00_8216,
		obj_t BgL_stackable1200z00_8217, obj_t BgL_def1201z00_8218,
		obj_t BgL_use1202z00_8219, obj_t BgL_in1203z00_8220,
		obj_t BgL_out1204z00_8221)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appz00_bglt BgL_new1717z00_9654;

				{	/* Liveness/types.scm 59 */
					BgL_appz00_bglt BgL_tmp1715z00_9655;
					BgL_appzf2livenesszf2_bglt BgL_wide1716z00_9656;

					{
						BgL_appz00_bglt BgL_auxz00_17790;

						{	/* Liveness/types.scm 59 */
							BgL_appz00_bglt BgL_new1714z00_9657;

							BgL_new1714z00_9657 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Liveness/types.scm 59 */
								long BgL_arg2301z00_9658;

								BgL_arg2301z00_9658 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1714z00_9657),
									BgL_arg2301z00_9658);
							}
							{	/* Liveness/types.scm 59 */
								BgL_objectz00_bglt BgL_tmpz00_17795;

								BgL_tmpz00_17795 = ((BgL_objectz00_bglt) BgL_new1714z00_9657);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17795, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1714z00_9657);
							BgL_auxz00_17790 = BgL_new1714z00_9657;
						}
						BgL_tmp1715z00_9655 = ((BgL_appz00_bglt) BgL_auxz00_17790);
					}
					BgL_wide1716z00_9656 =
						((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 59 */
						obj_t BgL_auxz00_17803;
						BgL_objectz00_bglt BgL_tmpz00_17801;

						BgL_auxz00_17803 = ((obj_t) BgL_wide1716z00_9656);
						BgL_tmpz00_17801 = ((BgL_objectz00_bglt) BgL_tmp1715z00_9655);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17801, BgL_auxz00_17803);
					}
					((BgL_objectz00_bglt) BgL_tmp1715z00_9655);
					{	/* Liveness/types.scm 59 */
						long BgL_arg2300z00_9659;

						BgL_arg2300z00_9659 =
							BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1715z00_9655), BgL_arg2300z00_9659);
					}
					BgL_new1717z00_9654 = ((BgL_appz00_bglt) BgL_tmp1715z00_9655);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1717z00_9654)))->BgL_locz00) =
					((obj_t) BgL_loc1194z00_8211), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1717z00_9654)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1195z00_8212)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1717z00_9654)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1196zd2_8213), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1717z00_9654)))->BgL_keyz00) =
					((obj_t) BgL_key1197z00_8214), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1717z00_9654)))->
						BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1198z00_8215)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1717z00_9654)))->
						BgL_argsz00) = ((obj_t) BgL_args1199z00_8216), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1717z00_9654)))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1200z00_8217), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17827;

					{
						obj_t BgL_auxz00_17828;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17829;

							BgL_tmpz00_17829 = ((BgL_objectz00_bglt) BgL_new1717z00_9654);
							BgL_auxz00_17828 = BGL_OBJECT_WIDENING(BgL_tmpz00_17829);
						}
						BgL_auxz00_17827 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17828);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17827))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1201z00_8218)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17835;

					{
						obj_t BgL_auxz00_17836;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17837;

							BgL_tmpz00_17837 = ((BgL_objectz00_bglt) BgL_new1717z00_9654);
							BgL_auxz00_17836 = BGL_OBJECT_WIDENING(BgL_tmpz00_17837);
						}
						BgL_auxz00_17835 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17836);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17835))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1202z00_8219)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17843;

					{
						obj_t BgL_auxz00_17844;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17845;

							BgL_tmpz00_17845 = ((BgL_objectz00_bglt) BgL_new1717z00_9654);
							BgL_auxz00_17844 = BGL_OBJECT_WIDENING(BgL_tmpz00_17845);
						}
						BgL_auxz00_17843 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17844);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17843))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1203z00_8220)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_17851;

					{
						obj_t BgL_auxz00_17852;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_17853;

							BgL_tmpz00_17853 = ((BgL_objectz00_bglt) BgL_new1717z00_9654);
							BgL_auxz00_17852 = BGL_OBJECT_WIDENING(BgL_tmpz00_17853);
						}
						BgL_auxz00_17851 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17852);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17851))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1204z00_8221)), BUNSPEC);
				}
				return BgL_new1717z00_9654;
			}
		}

	}



/* &<@anonymous:2338> */
	obj_t BGl_z62zc3z04anonymousza32338ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8222)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2337 */
	obj_t BGl_z62lambda2337z62zzliveness_typesz00(obj_t BgL_envz00_8223,
		obj_t BgL_oz00_8224, obj_t BgL_vz00_8225)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17859;

				{
					obj_t BgL_auxz00_17860;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17861;

						BgL_tmpz00_17861 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8224));
						BgL_auxz00_17860 = BGL_OBJECT_WIDENING(BgL_tmpz00_17861);
					}
					BgL_auxz00_17859 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17860);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17859))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8225)), BUNSPEC);
			}
		}

	}



/* &lambda2336 */
	obj_t BGl_z62lambda2336z62zzliveness_typesz00(obj_t BgL_envz00_8226,
		obj_t BgL_oz00_8227)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17868;

				{
					obj_t BgL_auxz00_17869;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17870;

						BgL_tmpz00_17870 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8227));
						BgL_auxz00_17869 = BGL_OBJECT_WIDENING(BgL_tmpz00_17870);
					}
					BgL_auxz00_17868 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17869);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17868))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2331> */
	obj_t BGl_z62zc3z04anonymousza32331ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8228)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2330 */
	obj_t BGl_z62lambda2330z62zzliveness_typesz00(obj_t BgL_envz00_8229,
		obj_t BgL_oz00_8230, obj_t BgL_vz00_8231)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17876;

				{
					obj_t BgL_auxz00_17877;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17878;

						BgL_tmpz00_17878 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8230));
						BgL_auxz00_17877 = BGL_OBJECT_WIDENING(BgL_tmpz00_17878);
					}
					BgL_auxz00_17876 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17877);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17876))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8231)), BUNSPEC);
			}
		}

	}



/* &lambda2329 */
	obj_t BGl_z62lambda2329z62zzliveness_typesz00(obj_t BgL_envz00_8232,
		obj_t BgL_oz00_8233)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17885;

				{
					obj_t BgL_auxz00_17886;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17887;

						BgL_tmpz00_17887 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8233));
						BgL_auxz00_17886 = BGL_OBJECT_WIDENING(BgL_tmpz00_17887);
					}
					BgL_auxz00_17885 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17886);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17885))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2322> */
	obj_t BGl_z62zc3z04anonymousza32322ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8234)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2321 */
	obj_t BGl_z62lambda2321z62zzliveness_typesz00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236, obj_t BgL_vz00_8237)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17893;

				{
					obj_t BgL_auxz00_17894;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17895;

						BgL_tmpz00_17895 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8236));
						BgL_auxz00_17894 = BGL_OBJECT_WIDENING(BgL_tmpz00_17895);
					}
					BgL_auxz00_17893 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17894);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17893))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8237)), BUNSPEC);
			}
		}

	}



/* &lambda2320 */
	obj_t BGl_z62lambda2320z62zzliveness_typesz00(obj_t BgL_envz00_8238,
		obj_t BgL_oz00_8239)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17902;

				{
					obj_t BgL_auxz00_17903;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17904;

						BgL_tmpz00_17904 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8239));
						BgL_auxz00_17903 = BGL_OBJECT_WIDENING(BgL_tmpz00_17904);
					}
					BgL_auxz00_17902 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17903);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17902))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2315> */
	obj_t BGl_z62zc3z04anonymousza32315ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8240)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2314 */
	obj_t BGl_z62lambda2314z62zzliveness_typesz00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242, obj_t BgL_vz00_8243)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17910;

				{
					obj_t BgL_auxz00_17911;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17912;

						BgL_tmpz00_17912 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8242));
						BgL_auxz00_17911 = BGL_OBJECT_WIDENING(BgL_tmpz00_17912);
					}
					BgL_auxz00_17910 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17911);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17910))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8243)), BUNSPEC);
			}
		}

	}



/* &lambda2313 */
	obj_t BGl_z62lambda2313z62zzliveness_typesz00(obj_t BgL_envz00_8244,
		obj_t BgL_oz00_8245)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_17919;

				{
					obj_t BgL_auxz00_17920;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_17921;

						BgL_tmpz00_17921 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8245));
						BgL_auxz00_17920 = BGL_OBJECT_WIDENING(BgL_tmpz00_17921);
					}
					BgL_auxz00_17919 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_17920);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17919))->
					BgL_defz00);
			}
		}

	}



/* &lambda2257 */
	BgL_sequencez00_bglt BGl_z62lambda2257z62zzliveness_typesz00(obj_t
		BgL_envz00_8246, obj_t BgL_o1192z00_8247)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				long BgL_arg2258z00_9673;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_arg2259z00_9674;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2260z00_9675;

						{	/* Liveness/types.scm 53 */
							long BgL_arg1828z00_9676;

							{	/* Liveness/types.scm 53 */
								long BgL_arg1829z00_9677;

								BgL_arg1829z00_9677 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1192z00_8247)));
								BgL_arg1828z00_9676 = (BgL_arg1829z00_9677 - OBJECT_TYPE);
							}
							BgL_arg2260z00_9675 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9676);
						}
						BgL_arg2259z00_9674 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2260z00_9675);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_tmpz00_17933;

						BgL_tmpz00_17933 = ((obj_t) BgL_arg2259z00_9674);
						BgL_arg2258z00_9673 = BGL_CLASS_NUM(BgL_tmpz00_17933);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1192z00_8247)), BgL_arg2258z00_9673);
			}
			{	/* Liveness/types.scm 53 */
				BgL_objectz00_bglt BgL_tmpz00_17939;

				BgL_tmpz00_17939 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8247));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17939, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8247));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8247));
		}

	}



/* &<@anonymous:2256> */
	obj_t BGl_z62zc3z04anonymousza32256ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8248, obj_t BgL_new1191z00_8249)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencez00_bglt BgL_auxz00_17947;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1191z00_8249))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17951;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_classz00_9679;

						BgL_classz00_9679 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 53 */
							obj_t BgL__ortest_1113z00_9680;

							BgL__ortest_1113z00_9680 = BGL_CLASS_NIL(BgL_classz00_9679);
							if (CBOOL(BgL__ortest_1113z00_9680))
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_17951 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9680);
								}
							else
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_17951 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9679));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1191z00_8249))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17951), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1191z00_8249))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8249))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8249))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8249))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8249))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17976;

					{
						obj_t BgL_auxz00_17977;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17978;

							BgL_tmpz00_17978 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8249));
							BgL_auxz00_17977 = BGL_OBJECT_WIDENING(BgL_tmpz00_17978);
						}
						BgL_auxz00_17976 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17977);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17976))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17984;

					{
						obj_t BgL_auxz00_17985;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17986;

							BgL_tmpz00_17986 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8249));
							BgL_auxz00_17985 = BGL_OBJECT_WIDENING(BgL_tmpz00_17986);
						}
						BgL_auxz00_17984 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17985);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17984))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_17992;

					{
						obj_t BgL_auxz00_17993;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_17994;

							BgL_tmpz00_17994 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8249));
							BgL_auxz00_17993 = BGL_OBJECT_WIDENING(BgL_tmpz00_17994);
						}
						BgL_auxz00_17992 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_17993);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_17992))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18000;

					{
						obj_t BgL_auxz00_18001;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18002;

							BgL_tmpz00_18002 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8249));
							BgL_auxz00_18001 = BGL_OBJECT_WIDENING(BgL_tmpz00_18002);
						}
						BgL_auxz00_18000 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18001);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18000))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17947 = ((BgL_sequencez00_bglt) BgL_new1191z00_8249);
				return ((obj_t) BgL_auxz00_17947);
			}
		}

	}



/* &lambda2254 */
	BgL_sequencez00_bglt BGl_z62lambda2254z62zzliveness_typesz00(obj_t
		BgL_envz00_8250, obj_t BgL_o1188z00_8251)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				BgL_sequencezf2livenesszf2_bglt BgL_wide1190z00_9682;

				BgL_wide1190z00_9682 =
					((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 53 */
					obj_t BgL_auxz00_18015;
					BgL_objectz00_bglt BgL_tmpz00_18011;

					BgL_auxz00_18015 = ((obj_t) BgL_wide1190z00_9682);
					BgL_tmpz00_18011 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1188z00_8251)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18011, BgL_auxz00_18015);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1188z00_8251)));
				{	/* Liveness/types.scm 53 */
					long BgL_arg2255z00_9683;

					BgL_arg2255z00_9683 =
						BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1188z00_8251))),
						BgL_arg2255z00_9683);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1188z00_8251)));
			}
		}

	}



/* &lambda2251 */
	BgL_sequencez00_bglt BGl_z62lambda2251z62zzliveness_typesz00(obj_t
		BgL_envz00_8252, obj_t BgL_loc1177z00_8253, obj_t BgL_type1178z00_8254,
		obj_t BgL_sidezd2effect1179zd2_8255, obj_t BgL_key1180z00_8256,
		obj_t BgL_nodes1181z00_8257, obj_t BgL_unsafe1182z00_8258,
		obj_t BgL_meta1183z00_8259, obj_t BgL_def1184z00_8260,
		obj_t BgL_use1185z00_8261, obj_t BgL_in1186z00_8262,
		obj_t BgL_out1187z00_8263)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				bool_t BgL_unsafe1182z00_9686;

				BgL_unsafe1182z00_9686 = CBOOL(BgL_unsafe1182z00_8258);
				{	/* Liveness/types.scm 53 */
					BgL_sequencez00_bglt BgL_new1712z00_9692;

					{	/* Liveness/types.scm 53 */
						BgL_sequencez00_bglt BgL_tmp1710z00_9693;
						BgL_sequencezf2livenesszf2_bglt BgL_wide1711z00_9694;

						{
							BgL_sequencez00_bglt BgL_auxz00_18030;

							{	/* Liveness/types.scm 53 */
								BgL_sequencez00_bglt BgL_new1709z00_9695;

								BgL_new1709z00_9695 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Liveness/types.scm 53 */
									long BgL_arg2253z00_9696;

									BgL_arg2253z00_9696 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1709z00_9695),
										BgL_arg2253z00_9696);
								}
								{	/* Liveness/types.scm 53 */
									BgL_objectz00_bglt BgL_tmpz00_18035;

									BgL_tmpz00_18035 = ((BgL_objectz00_bglt) BgL_new1709z00_9695);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18035, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1709z00_9695);
								BgL_auxz00_18030 = BgL_new1709z00_9695;
							}
							BgL_tmp1710z00_9693 = ((BgL_sequencez00_bglt) BgL_auxz00_18030);
						}
						BgL_wide1711z00_9694 =
							((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencezf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 53 */
							obj_t BgL_auxz00_18043;
							BgL_objectz00_bglt BgL_tmpz00_18041;

							BgL_auxz00_18043 = ((obj_t) BgL_wide1711z00_9694);
							BgL_tmpz00_18041 = ((BgL_objectz00_bglt) BgL_tmp1710z00_9693);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18041, BgL_auxz00_18043);
						}
						((BgL_objectz00_bglt) BgL_tmp1710z00_9693);
						{	/* Liveness/types.scm 53 */
							long BgL_arg2252z00_9697;

							BgL_arg2252z00_9697 =
								BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1710z00_9693),
								BgL_arg2252z00_9697);
						}
						BgL_new1712z00_9692 = ((BgL_sequencez00_bglt) BgL_tmp1710z00_9693);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1712z00_9692)))->BgL_locz00) =
						((obj_t) BgL_loc1177z00_8253), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1712z00_9692)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1178z00_8254)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1712z00_9692)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1179zd2_8255), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1712z00_9692)))->BgL_keyz00) =
						((obj_t) BgL_key1180z00_8256), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1712z00_9692)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1181z00_8257)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1712z00_9692)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1182z00_9686), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1712z00_9692)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1183z00_8259)), BUNSPEC);
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18068;

						{
							obj_t BgL_auxz00_18069;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18070;

								BgL_tmpz00_18070 = ((BgL_objectz00_bglt) BgL_new1712z00_9692);
								BgL_auxz00_18069 = BGL_OBJECT_WIDENING(BgL_tmpz00_18070);
							}
							BgL_auxz00_18068 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18069);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18068))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1184z00_8260)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18076;

						{
							obj_t BgL_auxz00_18077;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18078;

								BgL_tmpz00_18078 = ((BgL_objectz00_bglt) BgL_new1712z00_9692);
								BgL_auxz00_18077 = BGL_OBJECT_WIDENING(BgL_tmpz00_18078);
							}
							BgL_auxz00_18076 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18077);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18076))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1185z00_8261)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18084;

						{
							obj_t BgL_auxz00_18085;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18086;

								BgL_tmpz00_18086 = ((BgL_objectz00_bglt) BgL_new1712z00_9692);
								BgL_auxz00_18085 = BGL_OBJECT_WIDENING(BgL_tmpz00_18086);
							}
							BgL_auxz00_18084 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18085);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18084))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1186z00_8262)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18092;

						{
							obj_t BgL_auxz00_18093;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18094;

								BgL_tmpz00_18094 = ((BgL_objectz00_bglt) BgL_new1712z00_9692);
								BgL_auxz00_18093 = BGL_OBJECT_WIDENING(BgL_tmpz00_18094);
							}
							BgL_auxz00_18092 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18093);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18092))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1187z00_8263)), BUNSPEC);
					}
					return BgL_new1712z00_9692;
				}
			}
		}

	}



/* &<@anonymous:2290> */
	obj_t BGl_z62zc3z04anonymousza32290ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8264)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2289 */
	obj_t BGl_z62lambda2289z62zzliveness_typesz00(obj_t BgL_envz00_8265,
		obj_t BgL_oz00_8266, obj_t BgL_vz00_8267)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18100;

				{
					obj_t BgL_auxz00_18101;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18102;

						BgL_tmpz00_18102 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8266));
						BgL_auxz00_18101 = BGL_OBJECT_WIDENING(BgL_tmpz00_18102);
					}
					BgL_auxz00_18100 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18101);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18100))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8267)), BUNSPEC);
			}
		}

	}



/* &lambda2288 */
	obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t BgL_envz00_8268,
		obj_t BgL_oz00_8269)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18109;

				{
					obj_t BgL_auxz00_18110;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18111;

						BgL_tmpz00_18111 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8269));
						BgL_auxz00_18110 = BGL_OBJECT_WIDENING(BgL_tmpz00_18111);
					}
					BgL_auxz00_18109 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18110);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18109))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2282> */
	obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8270)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzliveness_typesz00(obj_t BgL_envz00_8271,
		obj_t BgL_oz00_8272, obj_t BgL_vz00_8273)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18117;

				{
					obj_t BgL_auxz00_18118;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18119;

						BgL_tmpz00_18119 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8272));
						BgL_auxz00_18118 = BGL_OBJECT_WIDENING(BgL_tmpz00_18119);
					}
					BgL_auxz00_18117 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18118);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18117))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8273)), BUNSPEC);
			}
		}

	}



/* &lambda2280 */
	obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t BgL_envz00_8274,
		obj_t BgL_oz00_8275)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18126;

				{
					obj_t BgL_auxz00_18127;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18128;

						BgL_tmpz00_18128 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8275));
						BgL_auxz00_18127 = BGL_OBJECT_WIDENING(BgL_tmpz00_18128);
					}
					BgL_auxz00_18126 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18127);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18126))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2274> */
	obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8276)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzliveness_typesz00(obj_t BgL_envz00_8277,
		obj_t BgL_oz00_8278, obj_t BgL_vz00_8279)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18134;

				{
					obj_t BgL_auxz00_18135;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18136;

						BgL_tmpz00_18136 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8278));
						BgL_auxz00_18135 = BGL_OBJECT_WIDENING(BgL_tmpz00_18136);
					}
					BgL_auxz00_18134 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18135);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18134))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8279)), BUNSPEC);
			}
		}

	}



/* &lambda2272 */
	obj_t BGl_z62lambda2272z62zzliveness_typesz00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18143;

				{
					obj_t BgL_auxz00_18144;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18145;

						BgL_tmpz00_18145 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8281));
						BgL_auxz00_18144 = BGL_OBJECT_WIDENING(BgL_tmpz00_18145);
					}
					BgL_auxz00_18143 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18144);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18143))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2267> */
	obj_t BGl_z62zc3z04anonymousza32267ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8282)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2266 */
	obj_t BGl_z62lambda2266z62zzliveness_typesz00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284, obj_t BgL_vz00_8285)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18151;

				{
					obj_t BgL_auxz00_18152;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18153;

						BgL_tmpz00_18153 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8284));
						BgL_auxz00_18152 = BGL_OBJECT_WIDENING(BgL_tmpz00_18153);
					}
					BgL_auxz00_18151 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18152);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18151))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8285)), BUNSPEC);
			}
		}

	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzliveness_typesz00(obj_t BgL_envz00_8286,
		obj_t BgL_oz00_8287)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18160;

				{
					obj_t BgL_auxz00_18161;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18162;

						BgL_tmpz00_18162 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8287));
						BgL_auxz00_18161 = BGL_OBJECT_WIDENING(BgL_tmpz00_18162);
					}
					BgL_auxz00_18160 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18161);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18160))->
					BgL_defz00);
			}
		}

	}



/* &lambda2213 */
	BgL_kwotez00_bglt BGl_z62lambda2213z62zzliveness_typesz00(obj_t
		BgL_envz00_8288, obj_t BgL_o1175z00_8289)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				long BgL_arg2214z00_9711;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_arg2215z00_9712;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2216z00_9713;

						{	/* Liveness/types.scm 47 */
							long BgL_arg1828z00_9714;

							{	/* Liveness/types.scm 47 */
								long BgL_arg1829z00_9715;

								BgL_arg1829z00_9715 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1175z00_8289)));
								BgL_arg1828z00_9714 = (BgL_arg1829z00_9715 - OBJECT_TYPE);
							}
							BgL_arg2216z00_9713 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9714);
						}
						BgL_arg2215z00_9712 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2216z00_9713);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_tmpz00_18174;

						BgL_tmpz00_18174 = ((obj_t) BgL_arg2215z00_9712);
						BgL_arg2214z00_9711 = BGL_CLASS_NUM(BgL_tmpz00_18174);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1175z00_8289)), BgL_arg2214z00_9711);
			}
			{	/* Liveness/types.scm 47 */
				BgL_objectz00_bglt BgL_tmpz00_18180;

				BgL_tmpz00_18180 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8289));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18180, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8289));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8289));
		}

	}



/* &<@anonymous:2212> */
	obj_t BGl_z62zc3z04anonymousza32212ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8290, obj_t BgL_new1174z00_8291)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18188;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1174z00_8291))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18192;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_classz00_9717;

						BgL_classz00_9717 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 47 */
							obj_t BgL__ortest_1113z00_9718;

							BgL__ortest_1113z00_9718 = BGL_CLASS_NIL(BgL_classz00_9717);
							if (CBOOL(BgL__ortest_1113z00_9718))
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18192 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9718);
								}
							else
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18192 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9717));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1174z00_8291))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18192), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1174z00_8291))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18205;

					{
						obj_t BgL_auxz00_18206;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18207;

							BgL_tmpz00_18207 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8291));
							BgL_auxz00_18206 = BGL_OBJECT_WIDENING(BgL_tmpz00_18207);
						}
						BgL_auxz00_18205 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18206);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18205))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18213;

					{
						obj_t BgL_auxz00_18214;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18215;

							BgL_tmpz00_18215 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8291));
							BgL_auxz00_18214 = BGL_OBJECT_WIDENING(BgL_tmpz00_18215);
						}
						BgL_auxz00_18213 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18214);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18213))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18221;

					{
						obj_t BgL_auxz00_18222;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18223;

							BgL_tmpz00_18223 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8291));
							BgL_auxz00_18222 = BGL_OBJECT_WIDENING(BgL_tmpz00_18223);
						}
						BgL_auxz00_18221 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18222);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18221))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18229;

					{
						obj_t BgL_auxz00_18230;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18231;

							BgL_tmpz00_18231 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8291));
							BgL_auxz00_18230 = BGL_OBJECT_WIDENING(BgL_tmpz00_18231);
						}
						BgL_auxz00_18229 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18230);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18229))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18188 = ((BgL_kwotez00_bglt) BgL_new1174z00_8291);
				return ((obj_t) BgL_auxz00_18188);
			}
		}

	}



/* &lambda2210 */
	BgL_kwotez00_bglt BGl_z62lambda2210z62zzliveness_typesz00(obj_t
		BgL_envz00_8292, obj_t BgL_o1171z00_8293)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotezf2livenesszf2_bglt BgL_wide1173z00_9720;

				BgL_wide1173z00_9720 =
					((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 47 */
					obj_t BgL_auxz00_18244;
					BgL_objectz00_bglt BgL_tmpz00_18240;

					BgL_auxz00_18244 = ((obj_t) BgL_wide1173z00_9720);
					BgL_tmpz00_18240 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8293)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18240, BgL_auxz00_18244);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8293)));
				{	/* Liveness/types.scm 47 */
					long BgL_arg2211z00_9721;

					BgL_arg2211z00_9721 =
						BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1171z00_8293))), BgL_arg2211z00_9721);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8293)));
			}
		}

	}



/* &lambda2207 */
	BgL_kwotez00_bglt BGl_z62lambda2207z62zzliveness_typesz00(obj_t
		BgL_envz00_8294, obj_t BgL_loc1164z00_8295, obj_t BgL_type1165z00_8296,
		obj_t BgL_value1166z00_8297, obj_t BgL_def1167z00_8298,
		obj_t BgL_use1168z00_8299, obj_t BgL_in1169z00_8300,
		obj_t BgL_out1170z00_8301)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotez00_bglt BgL_new1707z00_9727;

				{	/* Liveness/types.scm 47 */
					BgL_kwotez00_bglt BgL_tmp1705z00_9728;
					BgL_kwotezf2livenesszf2_bglt BgL_wide1706z00_9729;

					{
						BgL_kwotez00_bglt BgL_auxz00_18258;

						{	/* Liveness/types.scm 47 */
							BgL_kwotez00_bglt BgL_new1704z00_9730;

							BgL_new1704z00_9730 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Liveness/types.scm 47 */
								long BgL_arg2209z00_9731;

								BgL_arg2209z00_9731 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1704z00_9730),
									BgL_arg2209z00_9731);
							}
							{	/* Liveness/types.scm 47 */
								BgL_objectz00_bglt BgL_tmpz00_18263;

								BgL_tmpz00_18263 = ((BgL_objectz00_bglt) BgL_new1704z00_9730);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18263, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1704z00_9730);
							BgL_auxz00_18258 = BgL_new1704z00_9730;
						}
						BgL_tmp1705z00_9728 = ((BgL_kwotez00_bglt) BgL_auxz00_18258);
					}
					BgL_wide1706z00_9729 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 47 */
						obj_t BgL_auxz00_18271;
						BgL_objectz00_bglt BgL_tmpz00_18269;

						BgL_auxz00_18271 = ((obj_t) BgL_wide1706z00_9729);
						BgL_tmpz00_18269 = ((BgL_objectz00_bglt) BgL_tmp1705z00_9728);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18269, BgL_auxz00_18271);
					}
					((BgL_objectz00_bglt) BgL_tmp1705z00_9728);
					{	/* Liveness/types.scm 47 */
						long BgL_arg2208z00_9732;

						BgL_arg2208z00_9732 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1705z00_9728), BgL_arg2208z00_9732);
					}
					BgL_new1707z00_9727 = ((BgL_kwotez00_bglt) BgL_tmp1705z00_9728);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1707z00_9727)))->BgL_locz00) =
					((obj_t) BgL_loc1164z00_8295), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1707z00_9727)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1165z00_8296)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1707z00_9727)))->BgL_valuez00) =
					((obj_t) BgL_value1166z00_8297), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18286;

					{
						obj_t BgL_auxz00_18287;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18288;

							BgL_tmpz00_18288 = ((BgL_objectz00_bglt) BgL_new1707z00_9727);
							BgL_auxz00_18287 = BGL_OBJECT_WIDENING(BgL_tmpz00_18288);
						}
						BgL_auxz00_18286 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18287);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18286))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1167z00_8298)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18294;

					{
						obj_t BgL_auxz00_18295;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18296;

							BgL_tmpz00_18296 = ((BgL_objectz00_bglt) BgL_new1707z00_9727);
							BgL_auxz00_18295 = BGL_OBJECT_WIDENING(BgL_tmpz00_18296);
						}
						BgL_auxz00_18294 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18295);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18294))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1168z00_8299)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18302;

					{
						obj_t BgL_auxz00_18303;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18304;

							BgL_tmpz00_18304 = ((BgL_objectz00_bglt) BgL_new1707z00_9727);
							BgL_auxz00_18303 = BGL_OBJECT_WIDENING(BgL_tmpz00_18304);
						}
						BgL_auxz00_18302 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18303);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18302))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1169z00_8300)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18310;

					{
						obj_t BgL_auxz00_18311;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18312;

							BgL_tmpz00_18312 = ((BgL_objectz00_bglt) BgL_new1707z00_9727);
							BgL_auxz00_18311 = BGL_OBJECT_WIDENING(BgL_tmpz00_18312);
						}
						BgL_auxz00_18310 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18311);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18310))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1170z00_8301)), BUNSPEC);
				}
				return BgL_new1707z00_9727;
			}
		}

	}



/* &<@anonymous:2244> */
	obj_t BGl_z62zc3z04anonymousza32244ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8302)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2243 */
	obj_t BGl_z62lambda2243z62zzliveness_typesz00(obj_t BgL_envz00_8303,
		obj_t BgL_oz00_8304, obj_t BgL_vz00_8305)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18318;

				{
					obj_t BgL_auxz00_18319;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18320;

						BgL_tmpz00_18320 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8304));
						BgL_auxz00_18319 = BGL_OBJECT_WIDENING(BgL_tmpz00_18320);
					}
					BgL_auxz00_18318 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18319);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18318))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8305)), BUNSPEC);
			}
		}

	}



/* &lambda2242 */
	obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t BgL_envz00_8306,
		obj_t BgL_oz00_8307)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18327;

				{
					obj_t BgL_auxz00_18328;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18329;

						BgL_tmpz00_18329 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8307));
						BgL_auxz00_18328 = BGL_OBJECT_WIDENING(BgL_tmpz00_18329);
					}
					BgL_auxz00_18327 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18328);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18327))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2237> */
	obj_t BGl_z62zc3z04anonymousza32237ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8308)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2236 */
	obj_t BGl_z62lambda2236z62zzliveness_typesz00(obj_t BgL_envz00_8309,
		obj_t BgL_oz00_8310, obj_t BgL_vz00_8311)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18335;

				{
					obj_t BgL_auxz00_18336;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18337;

						BgL_tmpz00_18337 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8310));
						BgL_auxz00_18336 = BGL_OBJECT_WIDENING(BgL_tmpz00_18337);
					}
					BgL_auxz00_18335 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18336);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18335))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8311)), BUNSPEC);
			}
		}

	}



/* &lambda2235 */
	obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t BgL_envz00_8312,
		obj_t BgL_oz00_8313)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18344;

				{
					obj_t BgL_auxz00_18345;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18346;

						BgL_tmpz00_18346 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8313));
						BgL_auxz00_18345 = BGL_OBJECT_WIDENING(BgL_tmpz00_18346);
					}
					BgL_auxz00_18344 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18345);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18344))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2230> */
	obj_t BGl_z62zc3z04anonymousza32230ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8314)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2229 */
	obj_t BGl_z62lambda2229z62zzliveness_typesz00(obj_t BgL_envz00_8315,
		obj_t BgL_oz00_8316, obj_t BgL_vz00_8317)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18352;

				{
					obj_t BgL_auxz00_18353;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18354;

						BgL_tmpz00_18354 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8316));
						BgL_auxz00_18353 = BGL_OBJECT_WIDENING(BgL_tmpz00_18354);
					}
					BgL_auxz00_18352 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18353);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18352))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8317)), BUNSPEC);
			}
		}

	}



/* &lambda2228 */
	obj_t BGl_z62lambda2228z62zzliveness_typesz00(obj_t BgL_envz00_8318,
		obj_t BgL_oz00_8319)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18361;

				{
					obj_t BgL_auxz00_18362;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18363;

						BgL_tmpz00_18363 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8319));
						BgL_auxz00_18362 = BGL_OBJECT_WIDENING(BgL_tmpz00_18363);
					}
					BgL_auxz00_18361 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18362);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18361))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2223> */
	obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8320)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2222 */
	obj_t BGl_z62lambda2222z62zzliveness_typesz00(obj_t BgL_envz00_8321,
		obj_t BgL_oz00_8322, obj_t BgL_vz00_8323)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18369;

				{
					obj_t BgL_auxz00_18370;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18371;

						BgL_tmpz00_18371 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8322));
						BgL_auxz00_18370 = BGL_OBJECT_WIDENING(BgL_tmpz00_18371);
					}
					BgL_auxz00_18369 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18370);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18369))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8323)), BUNSPEC);
			}
		}

	}



/* &lambda2221 */
	obj_t BGl_z62lambda2221z62zzliveness_typesz00(obj_t BgL_envz00_8324,
		obj_t BgL_oz00_8325)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18378;

				{
					obj_t BgL_auxz00_18379;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18380;

						BgL_tmpz00_18380 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8325));
						BgL_auxz00_18379 = BGL_OBJECT_WIDENING(BgL_tmpz00_18380);
					}
					BgL_auxz00_18378 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18379);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18378))->
					BgL_defz00);
			}
		}

	}



/* &lambda2169 */
	BgL_closurez00_bglt BGl_z62lambda2169z62zzliveness_typesz00(obj_t
		BgL_envz00_8326, obj_t BgL_o1162z00_8327)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				long BgL_arg2170z00_9746;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_arg2171z00_9747;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2172z00_9748;

						{	/* Liveness/types.scm 41 */
							long BgL_arg1828z00_9749;

							{	/* Liveness/types.scm 41 */
								long BgL_arg1829z00_9750;

								BgL_arg1829z00_9750 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_o1162z00_8327)));
								BgL_arg1828z00_9749 = (BgL_arg1829z00_9750 - OBJECT_TYPE);
							}
							BgL_arg2172z00_9748 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9749);
						}
						BgL_arg2171z00_9747 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2172z00_9748);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_tmpz00_18392;

						BgL_tmpz00_18392 = ((obj_t) BgL_arg2171z00_9747);
						BgL_arg2170z00_9746 = BGL_CLASS_NUM(BgL_tmpz00_18392);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) BgL_o1162z00_8327)), BgL_arg2170z00_9746);
			}
			{	/* Liveness/types.scm 41 */
				BgL_objectz00_bglt BgL_tmpz00_18398;

				BgL_tmpz00_18398 =
					((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8327));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18398, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8327));
			return ((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8327));
		}

	}



/* &<@anonymous:2168> */
	obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8328, obj_t BgL_new1161z00_8329)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurez00_bglt BgL_auxz00_18406;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1161z00_8329))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18410;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9752;

						BgL_classz00_9752 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1113z00_9753;

							BgL__ortest_1113z00_9753 = BGL_CLASS_NIL(BgL_classz00_9752);
							if (CBOOL(BgL__ortest_1113z00_9753))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18410 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9753);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18410 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9752));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1161z00_8329))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18410), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18420;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9754;

						BgL_classz00_9754 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1113z00_9755;

							BgL__ortest_1113z00_9755 = BGL_CLASS_NIL(BgL_classz00_9754);
							if (CBOOL(BgL__ortest_1113z00_9755))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18420 =
										((BgL_variablez00_bglt) BgL__ortest_1113z00_9755);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18420 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9754));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1161z00_8329))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18420), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18430;

					{
						obj_t BgL_auxz00_18431;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18432;

							BgL_tmpz00_18432 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8329));
							BgL_auxz00_18431 = BGL_OBJECT_WIDENING(BgL_tmpz00_18432);
						}
						BgL_auxz00_18430 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18431);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18430))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18438;

					{
						obj_t BgL_auxz00_18439;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18440;

							BgL_tmpz00_18440 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8329));
							BgL_auxz00_18439 = BGL_OBJECT_WIDENING(BgL_tmpz00_18440);
						}
						BgL_auxz00_18438 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18439);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18438))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18446;

					{
						obj_t BgL_auxz00_18447;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18448;

							BgL_tmpz00_18448 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8329));
							BgL_auxz00_18447 = BGL_OBJECT_WIDENING(BgL_tmpz00_18448);
						}
						BgL_auxz00_18446 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18447);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18446))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18454;

					{
						obj_t BgL_auxz00_18455;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18456;

							BgL_tmpz00_18456 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8329));
							BgL_auxz00_18455 = BGL_OBJECT_WIDENING(BgL_tmpz00_18456);
						}
						BgL_auxz00_18454 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18455);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18454))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18406 = ((BgL_closurez00_bglt) BgL_new1161z00_8329);
				return ((obj_t) BgL_auxz00_18406);
			}
		}

	}



/* &lambda2166 */
	BgL_closurez00_bglt BGl_z62lambda2166z62zzliveness_typesz00(obj_t
		BgL_envz00_8330, obj_t BgL_o1158z00_8331)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurezf2livenesszf2_bglt BgL_wide1160z00_9757;

				BgL_wide1160z00_9757 =
					((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 41 */
					obj_t BgL_auxz00_18469;
					BgL_objectz00_bglt BgL_tmpz00_18465;

					BgL_auxz00_18469 = ((obj_t) BgL_wide1160z00_9757);
					BgL_tmpz00_18465 =
						((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8331)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18465, BgL_auxz00_18469);
				}
				((BgL_objectz00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8331)));
				{	/* Liveness/types.scm 41 */
					long BgL_arg2167z00_9758;

					BgL_arg2167z00_9758 =
						BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt)
								((BgL_closurez00_bglt) BgL_o1158z00_8331))),
						BgL_arg2167z00_9758);
				}
				return
					((BgL_closurez00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8331)));
			}
		}

	}



/* &lambda2163 */
	BgL_closurez00_bglt BGl_z62lambda2163z62zzliveness_typesz00(obj_t
		BgL_envz00_8332, obj_t BgL_loc1151z00_8333, obj_t BgL_type1152z00_8334,
		obj_t BgL_variable1153z00_8335, obj_t BgL_def1154z00_8336,
		obj_t BgL_use1155z00_8337, obj_t BgL_in1156z00_8338,
		obj_t BgL_out1157z00_8339)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurez00_bglt BgL_new1702z00_9765;

				{	/* Liveness/types.scm 41 */
					BgL_closurez00_bglt BgL_tmp1700z00_9766;
					BgL_closurezf2livenesszf2_bglt BgL_wide1701z00_9767;

					{
						BgL_closurez00_bglt BgL_auxz00_18483;

						{	/* Liveness/types.scm 41 */
							BgL_closurez00_bglt BgL_new1699z00_9768;

							BgL_new1699z00_9768 =
								((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_closurez00_bgl))));
							{	/* Liveness/types.scm 41 */
								long BgL_arg2165z00_9769;

								BgL_arg2165z00_9769 =
									BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1699z00_9768),
									BgL_arg2165z00_9769);
							}
							{	/* Liveness/types.scm 41 */
								BgL_objectz00_bglt BgL_tmpz00_18488;

								BgL_tmpz00_18488 = ((BgL_objectz00_bglt) BgL_new1699z00_9768);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18488, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1699z00_9768);
							BgL_auxz00_18483 = BgL_new1699z00_9768;
						}
						BgL_tmp1700z00_9766 = ((BgL_closurez00_bglt) BgL_auxz00_18483);
					}
					BgL_wide1701z00_9767 =
						((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 41 */
						obj_t BgL_auxz00_18496;
						BgL_objectz00_bglt BgL_tmpz00_18494;

						BgL_auxz00_18496 = ((obj_t) BgL_wide1701z00_9767);
						BgL_tmpz00_18494 = ((BgL_objectz00_bglt) BgL_tmp1700z00_9766);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18494, BgL_auxz00_18496);
					}
					((BgL_objectz00_bglt) BgL_tmp1700z00_9766);
					{	/* Liveness/types.scm 41 */
						long BgL_arg2164z00_9770;

						BgL_arg2164z00_9770 =
							BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1700z00_9766), BgL_arg2164z00_9770);
					}
					BgL_new1702z00_9765 = ((BgL_closurez00_bglt) BgL_tmp1700z00_9766);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1702z00_9765)))->BgL_locz00) =
					((obj_t) BgL_loc1151z00_8333), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1702z00_9765)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1152z00_8334)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1702z00_9765)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1153z00_8335)), BUNSPEC);
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18512;

					{
						obj_t BgL_auxz00_18513;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18514;

							BgL_tmpz00_18514 = ((BgL_objectz00_bglt) BgL_new1702z00_9765);
							BgL_auxz00_18513 = BGL_OBJECT_WIDENING(BgL_tmpz00_18514);
						}
						BgL_auxz00_18512 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18513);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18512))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1154z00_8336)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18520;

					{
						obj_t BgL_auxz00_18521;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18522;

							BgL_tmpz00_18522 = ((BgL_objectz00_bglt) BgL_new1702z00_9765);
							BgL_auxz00_18521 = BGL_OBJECT_WIDENING(BgL_tmpz00_18522);
						}
						BgL_auxz00_18520 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18521);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18520))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1155z00_8337)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18528;

					{
						obj_t BgL_auxz00_18529;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18530;

							BgL_tmpz00_18530 = ((BgL_objectz00_bglt) BgL_new1702z00_9765);
							BgL_auxz00_18529 = BGL_OBJECT_WIDENING(BgL_tmpz00_18530);
						}
						BgL_auxz00_18528 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18529);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18528))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1156z00_8338)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18536;

					{
						obj_t BgL_auxz00_18537;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18538;

							BgL_tmpz00_18538 = ((BgL_objectz00_bglt) BgL_new1702z00_9765);
							BgL_auxz00_18537 = BGL_OBJECT_WIDENING(BgL_tmpz00_18538);
						}
						BgL_auxz00_18536 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18537);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18536))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1157z00_8339)), BUNSPEC);
				}
				return BgL_new1702z00_9765;
			}
		}

	}



/* &<@anonymous:2200> */
	obj_t BGl_z62zc3z04anonymousza32200ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8340)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2199 */
	obj_t BGl_z62lambda2199z62zzliveness_typesz00(obj_t BgL_envz00_8341,
		obj_t BgL_oz00_8342, obj_t BgL_vz00_8343)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18544;

				{
					obj_t BgL_auxz00_18545;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18546;

						BgL_tmpz00_18546 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8342));
						BgL_auxz00_18545 = BGL_OBJECT_WIDENING(BgL_tmpz00_18546);
					}
					BgL_auxz00_18544 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18545);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18544))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8343)), BUNSPEC);
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzliveness_typesz00(obj_t BgL_envz00_8344,
		obj_t BgL_oz00_8345)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18553;

				{
					obj_t BgL_auxz00_18554;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18555;

						BgL_tmpz00_18555 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8345));
						BgL_auxz00_18554 = BGL_OBJECT_WIDENING(BgL_tmpz00_18555);
					}
					BgL_auxz00_18553 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18554);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18553))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8346)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2192 */
	obj_t BGl_z62lambda2192z62zzliveness_typesz00(obj_t BgL_envz00_8347,
		obj_t BgL_oz00_8348, obj_t BgL_vz00_8349)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18561;

				{
					obj_t BgL_auxz00_18562;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18563;

						BgL_tmpz00_18563 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8348));
						BgL_auxz00_18562 = BGL_OBJECT_WIDENING(BgL_tmpz00_18563);
					}
					BgL_auxz00_18561 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18562);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18561))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8349)), BUNSPEC);
			}
		}

	}



/* &lambda2191 */
	obj_t BGl_z62lambda2191z62zzliveness_typesz00(obj_t BgL_envz00_8350,
		obj_t BgL_oz00_8351)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18570;

				{
					obj_t BgL_auxz00_18571;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18572;

						BgL_tmpz00_18572 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8351));
						BgL_auxz00_18571 = BGL_OBJECT_WIDENING(BgL_tmpz00_18572);
					}
					BgL_auxz00_18570 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18571);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18570))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2186> */
	obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8352)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2185 */
	obj_t BGl_z62lambda2185z62zzliveness_typesz00(obj_t BgL_envz00_8353,
		obj_t BgL_oz00_8354, obj_t BgL_vz00_8355)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18578;

				{
					obj_t BgL_auxz00_18579;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18580;

						BgL_tmpz00_18580 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8354));
						BgL_auxz00_18579 = BGL_OBJECT_WIDENING(BgL_tmpz00_18580);
					}
					BgL_auxz00_18578 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18579);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18578))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8355)), BUNSPEC);
			}
		}

	}



/* &lambda2184 */
	obj_t BGl_z62lambda2184z62zzliveness_typesz00(obj_t BgL_envz00_8356,
		obj_t BgL_oz00_8357)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18587;

				{
					obj_t BgL_auxz00_18588;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18589;

						BgL_tmpz00_18589 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8357));
						BgL_auxz00_18588 = BGL_OBJECT_WIDENING(BgL_tmpz00_18589);
					}
					BgL_auxz00_18587 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18588);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18587))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2179> */
	obj_t BGl_z62zc3z04anonymousza32179ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8358)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2178 */
	obj_t BGl_z62lambda2178z62zzliveness_typesz00(obj_t BgL_envz00_8359,
		obj_t BgL_oz00_8360, obj_t BgL_vz00_8361)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18595;

				{
					obj_t BgL_auxz00_18596;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18597;

						BgL_tmpz00_18597 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8360));
						BgL_auxz00_18596 = BGL_OBJECT_WIDENING(BgL_tmpz00_18597);
					}
					BgL_auxz00_18595 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18596);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18595))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8361)), BUNSPEC);
			}
		}

	}



/* &lambda2177 */
	obj_t BGl_z62lambda2177z62zzliveness_typesz00(obj_t BgL_envz00_8362,
		obj_t BgL_oz00_8363)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_18604;

				{
					obj_t BgL_auxz00_18605;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_18606;

						BgL_tmpz00_18606 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8363));
						BgL_auxz00_18605 = BGL_OBJECT_WIDENING(BgL_tmpz00_18606);
					}
					BgL_auxz00_18604 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18605);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18604))->
					BgL_defz00);
			}
		}

	}



/* &lambda2124 */
	BgL_refz00_bglt BGl_z62lambda2124z62zzliveness_typesz00(obj_t BgL_envz00_8364,
		obj_t BgL_o1149z00_8365)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				long BgL_arg2125z00_9784;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_arg2126z00_9785;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2127z00_9786;

						{	/* Liveness/types.scm 35 */
							long BgL_arg1828z00_9787;

							{	/* Liveness/types.scm 35 */
								long BgL_arg1829z00_9788;

								BgL_arg1829z00_9788 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8365)));
								BgL_arg1828z00_9787 = (BgL_arg1829z00_9788 - OBJECT_TYPE);
							}
							BgL_arg2127z00_9786 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9787);
						}
						BgL_arg2126z00_9785 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2127z00_9786);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_tmpz00_18618;

						BgL_tmpz00_18618 = ((obj_t) BgL_arg2126z00_9785);
						BgL_arg2125z00_9784 = BGL_CLASS_NUM(BgL_tmpz00_18618);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_refz00_bglt) BgL_o1149z00_8365)), BgL_arg2125z00_9784);
			}
			{	/* Liveness/types.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_18624;

				BgL_tmpz00_18624 =
					((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8365));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18624, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8365));
			return ((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8365));
		}

	}



/* &<@anonymous:2123> */
	obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8366, obj_t BgL_new1148z00_8367)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refz00_bglt BgL_auxz00_18632;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1148z00_8367))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18636;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9790;

						BgL_classz00_9790 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1113z00_9791;

							BgL__ortest_1113z00_9791 = BGL_CLASS_NIL(BgL_classz00_9790);
							if (CBOOL(BgL__ortest_1113z00_9791))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18636 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9791);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18636 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9790));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1148z00_8367))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18636), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18646;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9792;

						BgL_classz00_9792 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1113z00_9793;

							BgL__ortest_1113z00_9793 = BGL_CLASS_NIL(BgL_classz00_9792);
							if (CBOOL(BgL__ortest_1113z00_9793))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18646 =
										((BgL_variablez00_bglt) BgL__ortest_1113z00_9793);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_18646 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9792));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1148z00_8367))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18646), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18656;

					{
						obj_t BgL_auxz00_18657;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18658;

							BgL_tmpz00_18658 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8367));
							BgL_auxz00_18657 = BGL_OBJECT_WIDENING(BgL_tmpz00_18658);
						}
						BgL_auxz00_18656 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18657);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18656))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18664;

					{
						obj_t BgL_auxz00_18665;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18666;

							BgL_tmpz00_18666 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8367));
							BgL_auxz00_18665 = BGL_OBJECT_WIDENING(BgL_tmpz00_18666);
						}
						BgL_auxz00_18664 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18665);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18664))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18672;

					{
						obj_t BgL_auxz00_18673;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18674;

							BgL_tmpz00_18674 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8367));
							BgL_auxz00_18673 = BGL_OBJECT_WIDENING(BgL_tmpz00_18674);
						}
						BgL_auxz00_18672 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18673);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18672))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18680;

					{
						obj_t BgL_auxz00_18681;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18682;

							BgL_tmpz00_18682 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8367));
							BgL_auxz00_18681 = BGL_OBJECT_WIDENING(BgL_tmpz00_18682);
						}
						BgL_auxz00_18680 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18681);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18680))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18632 = ((BgL_refz00_bglt) BgL_new1148z00_8367);
				return ((obj_t) BgL_auxz00_18632);
			}
		}

	}



/* &lambda2121 */
	BgL_refz00_bglt BGl_z62lambda2121z62zzliveness_typesz00(obj_t BgL_envz00_8368,
		obj_t BgL_o1145z00_8369)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refzf2livenesszf2_bglt BgL_wide1147z00_9795;

				BgL_wide1147z00_9795 =
					((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_refzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 35 */
					obj_t BgL_auxz00_18695;
					BgL_objectz00_bglt BgL_tmpz00_18691;

					BgL_auxz00_18695 = ((obj_t) BgL_wide1147z00_9795);
					BgL_tmpz00_18691 =
						((BgL_objectz00_bglt)
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8369)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18691, BgL_auxz00_18695);
				}
				((BgL_objectz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8369)));
				{	/* Liveness/types.scm 35 */
					long BgL_arg2122z00_9796;

					BgL_arg2122z00_9796 =
						BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt)
								((BgL_refz00_bglt) BgL_o1145z00_8369))), BgL_arg2122z00_9796);
				}
				return
					((BgL_refz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8369)));
			}
		}

	}



/* &lambda2118 */
	BgL_refz00_bglt BGl_z62lambda2118z62zzliveness_typesz00(obj_t BgL_envz00_8370,
		obj_t BgL_loc1138z00_8371, obj_t BgL_type1139z00_8372,
		obj_t BgL_variable1140z00_8373, obj_t BgL_def1141z00_8374,
		obj_t BgL_use1142z00_8375, obj_t BgL_in1143z00_8376,
		obj_t BgL_out1144z00_8377)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refz00_bglt BgL_new1697z00_9803;

				{	/* Liveness/types.scm 35 */
					BgL_refz00_bglt BgL_tmp1695z00_9804;
					BgL_refzf2livenesszf2_bglt BgL_wide1696z00_9805;

					{
						BgL_refz00_bglt BgL_auxz00_18709;

						{	/* Liveness/types.scm 35 */
							BgL_refz00_bglt BgL_new1694z00_9806;

							BgL_new1694z00_9806 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Liveness/types.scm 35 */
								long BgL_arg2120z00_9807;

								BgL_arg2120z00_9807 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1694z00_9806),
									BgL_arg2120z00_9807);
							}
							{	/* Liveness/types.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_18714;

								BgL_tmpz00_18714 = ((BgL_objectz00_bglt) BgL_new1694z00_9806);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18714, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1694z00_9806);
							BgL_auxz00_18709 = BgL_new1694z00_9806;
						}
						BgL_tmp1695z00_9804 = ((BgL_refz00_bglt) BgL_auxz00_18709);
					}
					BgL_wide1696z00_9805 =
						((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 35 */
						obj_t BgL_auxz00_18722;
						BgL_objectz00_bglt BgL_tmpz00_18720;

						BgL_auxz00_18722 = ((obj_t) BgL_wide1696z00_9805);
						BgL_tmpz00_18720 = ((BgL_objectz00_bglt) BgL_tmp1695z00_9804);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18720, BgL_auxz00_18722);
					}
					((BgL_objectz00_bglt) BgL_tmp1695z00_9804);
					{	/* Liveness/types.scm 35 */
						long BgL_arg2119z00_9808;

						BgL_arg2119z00_9808 =
							BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1695z00_9804), BgL_arg2119z00_9808);
					}
					BgL_new1697z00_9803 = ((BgL_refz00_bglt) BgL_tmp1695z00_9804);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1697z00_9803)))->BgL_locz00) =
					((obj_t) BgL_loc1138z00_8371), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1697z00_9803)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1139z00_8372)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1697z00_9803)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1140z00_8373)), BUNSPEC);
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18738;

					{
						obj_t BgL_auxz00_18739;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18740;

							BgL_tmpz00_18740 = ((BgL_objectz00_bglt) BgL_new1697z00_9803);
							BgL_auxz00_18739 = BGL_OBJECT_WIDENING(BgL_tmpz00_18740);
						}
						BgL_auxz00_18738 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18739);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18738))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1141z00_8374)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18746;

					{
						obj_t BgL_auxz00_18747;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18748;

							BgL_tmpz00_18748 = ((BgL_objectz00_bglt) BgL_new1697z00_9803);
							BgL_auxz00_18747 = BGL_OBJECT_WIDENING(BgL_tmpz00_18748);
						}
						BgL_auxz00_18746 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18747);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18746))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1142z00_8375)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18754;

					{
						obj_t BgL_auxz00_18755;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18756;

							BgL_tmpz00_18756 = ((BgL_objectz00_bglt) BgL_new1697z00_9803);
							BgL_auxz00_18755 = BGL_OBJECT_WIDENING(BgL_tmpz00_18756);
						}
						BgL_auxz00_18754 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18755);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18754))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1143z00_8376)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_18762;

					{
						obj_t BgL_auxz00_18763;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_18764;

							BgL_tmpz00_18764 = ((BgL_objectz00_bglt) BgL_new1697z00_9803);
							BgL_auxz00_18763 = BGL_OBJECT_WIDENING(BgL_tmpz00_18764);
						}
						BgL_auxz00_18762 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18763);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18762))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1144z00_8377)), BUNSPEC);
				}
				return BgL_new1697z00_9803;
			}
		}

	}



/* &<@anonymous:2156> */
	obj_t BGl_z62zc3z04anonymousza32156ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8378)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2155 */
	obj_t BGl_z62lambda2155z62zzliveness_typesz00(obj_t BgL_envz00_8379,
		obj_t BgL_oz00_8380, obj_t BgL_vz00_8381)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18770;

				{
					obj_t BgL_auxz00_18771;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18772;

						BgL_tmpz00_18772 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8380));
						BgL_auxz00_18771 = BGL_OBJECT_WIDENING(BgL_tmpz00_18772);
					}
					BgL_auxz00_18770 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18771);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18770))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8381)), BUNSPEC);
			}
		}

	}



/* &lambda2154 */
	obj_t BGl_z62lambda2154z62zzliveness_typesz00(obj_t BgL_envz00_8382,
		obj_t BgL_oz00_8383)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18779;

				{
					obj_t BgL_auxz00_18780;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18781;

						BgL_tmpz00_18781 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8383));
						BgL_auxz00_18780 = BGL_OBJECT_WIDENING(BgL_tmpz00_18781);
					}
					BgL_auxz00_18779 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18780);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18779))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2149> */
	obj_t BGl_z62zc3z04anonymousza32149ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8384)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2148 */
	obj_t BGl_z62lambda2148z62zzliveness_typesz00(obj_t BgL_envz00_8385,
		obj_t BgL_oz00_8386, obj_t BgL_vz00_8387)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18787;

				{
					obj_t BgL_auxz00_18788;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18789;

						BgL_tmpz00_18789 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8386));
						BgL_auxz00_18788 = BGL_OBJECT_WIDENING(BgL_tmpz00_18789);
					}
					BgL_auxz00_18787 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18788);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18787))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8387)), BUNSPEC);
			}
		}

	}



/* &lambda2147 */
	obj_t BGl_z62lambda2147z62zzliveness_typesz00(obj_t BgL_envz00_8388,
		obj_t BgL_oz00_8389)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18796;

				{
					obj_t BgL_auxz00_18797;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18798;

						BgL_tmpz00_18798 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8389));
						BgL_auxz00_18797 = BGL_OBJECT_WIDENING(BgL_tmpz00_18798);
					}
					BgL_auxz00_18796 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18797);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18796))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2142> */
	obj_t BGl_z62zc3z04anonymousza32142ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8390)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2141 */
	obj_t BGl_z62lambda2141z62zzliveness_typesz00(obj_t BgL_envz00_8391,
		obj_t BgL_oz00_8392, obj_t BgL_vz00_8393)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18804;

				{
					obj_t BgL_auxz00_18805;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18806;

						BgL_tmpz00_18806 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8392));
						BgL_auxz00_18805 = BGL_OBJECT_WIDENING(BgL_tmpz00_18806);
					}
					BgL_auxz00_18804 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18805);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18804))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8393)), BUNSPEC);
			}
		}

	}



/* &lambda2140 */
	obj_t BGl_z62lambda2140z62zzliveness_typesz00(obj_t BgL_envz00_8394,
		obj_t BgL_oz00_8395)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18813;

				{
					obj_t BgL_auxz00_18814;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18815;

						BgL_tmpz00_18815 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8395));
						BgL_auxz00_18814 = BGL_OBJECT_WIDENING(BgL_tmpz00_18815);
					}
					BgL_auxz00_18813 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18814);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18813))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2135> */
	obj_t BGl_z62zc3z04anonymousza32135ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8396)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2134 */
	obj_t BGl_z62lambda2134z62zzliveness_typesz00(obj_t BgL_envz00_8397,
		obj_t BgL_oz00_8398, obj_t BgL_vz00_8399)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18821;

				{
					obj_t BgL_auxz00_18822;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18823;

						BgL_tmpz00_18823 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8398));
						BgL_auxz00_18822 = BGL_OBJECT_WIDENING(BgL_tmpz00_18823);
					}
					BgL_auxz00_18821 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18822);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18821))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8399)), BUNSPEC);
			}
		}

	}



/* &lambda2133 */
	obj_t BGl_z62lambda2133z62zzliveness_typesz00(obj_t BgL_envz00_8400,
		obj_t BgL_oz00_8401)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_18830;

				{
					obj_t BgL_auxz00_18831;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_18832;

						BgL_tmpz00_18832 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8401));
						BgL_auxz00_18831 = BGL_OBJECT_WIDENING(BgL_tmpz00_18832);
					}
					BgL_auxz00_18830 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_18831);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18830))->
					BgL_defz00);
			}
		}

	}



/* &lambda2079 */
	BgL_literalz00_bglt BGl_z62lambda2079z62zzliveness_typesz00(obj_t
		BgL_envz00_8402, obj_t BgL_o1136z00_8403)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				long BgL_arg2080z00_9822;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_arg2081z00_9823;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2082z00_9824;

						{	/* Liveness/types.scm 29 */
							long BgL_arg1828z00_9825;

							{	/* Liveness/types.scm 29 */
								long BgL_arg1829z00_9826;

								BgL_arg1829z00_9826 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_o1136z00_8403)));
								BgL_arg1828z00_9825 = (BgL_arg1829z00_9826 - OBJECT_TYPE);
							}
							BgL_arg2082z00_9824 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9825);
						}
						BgL_arg2081z00_9823 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2082z00_9824);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_tmpz00_18844;

						BgL_tmpz00_18844 = ((obj_t) BgL_arg2081z00_9823);
						BgL_arg2080z00_9822 = BGL_CLASS_NUM(BgL_tmpz00_18844);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) BgL_o1136z00_8403)), BgL_arg2080z00_9822);
			}
			{	/* Liveness/types.scm 29 */
				BgL_objectz00_bglt BgL_tmpz00_18850;

				BgL_tmpz00_18850 =
					((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8403));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18850, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8403));
			return ((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8403));
		}

	}



/* &<@anonymous:2078> */
	obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8404, obj_t BgL_new1135z00_8405)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalz00_bglt BgL_auxz00_18858;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1135z00_8405))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18862;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_classz00_9828;

						BgL_classz00_9828 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 29 */
							obj_t BgL__ortest_1113z00_9829;

							BgL__ortest_1113z00_9829 = BGL_CLASS_NIL(BgL_classz00_9828);
							if (CBOOL(BgL__ortest_1113z00_9829))
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_18862 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9829);
								}
							else
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_18862 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9828));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1135z00_8405))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18862), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1135z00_8405))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18875;

					{
						obj_t BgL_auxz00_18876;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18877;

							BgL_tmpz00_18877 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8405));
							BgL_auxz00_18876 = BGL_OBJECT_WIDENING(BgL_tmpz00_18877);
						}
						BgL_auxz00_18875 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18876);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18875))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18883;

					{
						obj_t BgL_auxz00_18884;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18885;

							BgL_tmpz00_18885 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8405));
							BgL_auxz00_18884 = BGL_OBJECT_WIDENING(BgL_tmpz00_18885);
						}
						BgL_auxz00_18883 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18884);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18883))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18891;

					{
						obj_t BgL_auxz00_18892;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18893;

							BgL_tmpz00_18893 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8405));
							BgL_auxz00_18892 = BGL_OBJECT_WIDENING(BgL_tmpz00_18893);
						}
						BgL_auxz00_18891 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18892);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18891))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18899;

					{
						obj_t BgL_auxz00_18900;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18901;

							BgL_tmpz00_18901 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8405));
							BgL_auxz00_18900 = BGL_OBJECT_WIDENING(BgL_tmpz00_18901);
						}
						BgL_auxz00_18899 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18900);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18899))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18858 = ((BgL_literalz00_bglt) BgL_new1135z00_8405);
				return ((obj_t) BgL_auxz00_18858);
			}
		}

	}



/* &lambda2075 */
	BgL_literalz00_bglt BGl_z62lambda2075z62zzliveness_typesz00(obj_t
		BgL_envz00_8406, obj_t BgL_o1132z00_8407)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalzf2livenesszf2_bglt BgL_wide1134z00_9831;

				BgL_wide1134z00_9831 =
					((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 29 */
					obj_t BgL_auxz00_18914;
					BgL_objectz00_bglt BgL_tmpz00_18910;

					BgL_auxz00_18914 = ((obj_t) BgL_wide1134z00_9831);
					BgL_tmpz00_18910 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1132z00_8407)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18910, BgL_auxz00_18914);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1132z00_8407)));
				{	/* Liveness/types.scm 29 */
					long BgL_arg2077z00_9832;

					BgL_arg2077z00_9832 =
						BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_o1132z00_8407))),
						BgL_arg2077z00_9832);
				}
				return
					((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1132z00_8407)));
			}
		}

	}



/* &lambda2072 */
	BgL_literalz00_bglt BGl_z62lambda2072z62zzliveness_typesz00(obj_t
		BgL_envz00_8408, obj_t BgL_loc1125z00_8409, obj_t BgL_type1126z00_8410,
		obj_t BgL_value1127z00_8411, obj_t BgL_def1128z00_8412,
		obj_t BgL_use1129z00_8413, obj_t BgL_in1130z00_8414,
		obj_t BgL_out1131z00_8415)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalz00_bglt BgL_new1692z00_9838;

				{	/* Liveness/types.scm 29 */
					BgL_literalz00_bglt BgL_tmp1690z00_9839;
					BgL_literalzf2livenesszf2_bglt BgL_wide1691z00_9840;

					{
						BgL_literalz00_bglt BgL_auxz00_18928;

						{	/* Liveness/types.scm 29 */
							BgL_literalz00_bglt BgL_new1689z00_9841;

							BgL_new1689z00_9841 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Liveness/types.scm 29 */
								long BgL_arg2074z00_9842;

								BgL_arg2074z00_9842 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1689z00_9841),
									BgL_arg2074z00_9842);
							}
							{	/* Liveness/types.scm 29 */
								BgL_objectz00_bglt BgL_tmpz00_18933;

								BgL_tmpz00_18933 = ((BgL_objectz00_bglt) BgL_new1689z00_9841);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18933, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1689z00_9841);
							BgL_auxz00_18928 = BgL_new1689z00_9841;
						}
						BgL_tmp1690z00_9839 = ((BgL_literalz00_bglt) BgL_auxz00_18928);
					}
					BgL_wide1691z00_9840 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 29 */
						obj_t BgL_auxz00_18941;
						BgL_objectz00_bglt BgL_tmpz00_18939;

						BgL_auxz00_18941 = ((obj_t) BgL_wide1691z00_9840);
						BgL_tmpz00_18939 = ((BgL_objectz00_bglt) BgL_tmp1690z00_9839);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18939, BgL_auxz00_18941);
					}
					((BgL_objectz00_bglt) BgL_tmp1690z00_9839);
					{	/* Liveness/types.scm 29 */
						long BgL_arg2073z00_9843;

						BgL_arg2073z00_9843 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1690z00_9839), BgL_arg2073z00_9843);
					}
					BgL_new1692z00_9838 = ((BgL_literalz00_bglt) BgL_tmp1690z00_9839);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1692z00_9838)))->BgL_locz00) =
					((obj_t) BgL_loc1125z00_8409), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1692z00_9838)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1126z00_8410)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1692z00_9838)))->BgL_valuez00) =
					((obj_t) BgL_value1127z00_8411), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18956;

					{
						obj_t BgL_auxz00_18957;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18958;

							BgL_tmpz00_18958 = ((BgL_objectz00_bglt) BgL_new1692z00_9838);
							BgL_auxz00_18957 = BGL_OBJECT_WIDENING(BgL_tmpz00_18958);
						}
						BgL_auxz00_18956 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18957);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18956))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1128z00_8412)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18964;

					{
						obj_t BgL_auxz00_18965;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18966;

							BgL_tmpz00_18966 = ((BgL_objectz00_bglt) BgL_new1692z00_9838);
							BgL_auxz00_18965 = BGL_OBJECT_WIDENING(BgL_tmpz00_18966);
						}
						BgL_auxz00_18964 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18965);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18964))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1129z00_8413)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18972;

					{
						obj_t BgL_auxz00_18973;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18974;

							BgL_tmpz00_18974 = ((BgL_objectz00_bglt) BgL_new1692z00_9838);
							BgL_auxz00_18973 = BGL_OBJECT_WIDENING(BgL_tmpz00_18974);
						}
						BgL_auxz00_18972 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18973);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18972))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1130z00_8414)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_18980;

					{
						obj_t BgL_auxz00_18981;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_18982;

							BgL_tmpz00_18982 = ((BgL_objectz00_bglt) BgL_new1692z00_9838);
							BgL_auxz00_18981 = BGL_OBJECT_WIDENING(BgL_tmpz00_18982);
						}
						BgL_auxz00_18980 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18981);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18980))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1131z00_8415)), BUNSPEC);
				}
				return BgL_new1692z00_9838;
			}
		}

	}



/* &<@anonymous:2111> */
	obj_t BGl_z62zc3z04anonymousza32111ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8416)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2110 */
	obj_t BGl_z62lambda2110z62zzliveness_typesz00(obj_t BgL_envz00_8417,
		obj_t BgL_oz00_8418, obj_t BgL_vz00_8419)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_18988;

				{
					obj_t BgL_auxz00_18989;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_18990;

						BgL_tmpz00_18990 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8418));
						BgL_auxz00_18989 = BGL_OBJECT_WIDENING(BgL_tmpz00_18990);
					}
					BgL_auxz00_18988 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18989);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18988))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8419)), BUNSPEC);
			}
		}

	}



/* &lambda2109 */
	obj_t BGl_z62lambda2109z62zzliveness_typesz00(obj_t BgL_envz00_8420,
		obj_t BgL_oz00_8421)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_18997;

				{
					obj_t BgL_auxz00_18998;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_18999;

						BgL_tmpz00_18999 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8421));
						BgL_auxz00_18998 = BGL_OBJECT_WIDENING(BgL_tmpz00_18999);
					}
					BgL_auxz00_18997 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_18998);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18997))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2104> */
	obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8422)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2103 */
	obj_t BGl_z62lambda2103z62zzliveness_typesz00(obj_t BgL_envz00_8423,
		obj_t BgL_oz00_8424, obj_t BgL_vz00_8425)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19005;

				{
					obj_t BgL_auxz00_19006;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19007;

						BgL_tmpz00_19007 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8424));
						BgL_auxz00_19006 = BGL_OBJECT_WIDENING(BgL_tmpz00_19007);
					}
					BgL_auxz00_19005 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19006);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19005))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8425)), BUNSPEC);
			}
		}

	}



/* &lambda2102 */
	obj_t BGl_z62lambda2102z62zzliveness_typesz00(obj_t BgL_envz00_8426,
		obj_t BgL_oz00_8427)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19014;

				{
					obj_t BgL_auxz00_19015;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19016;

						BgL_tmpz00_19016 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8427));
						BgL_auxz00_19015 = BGL_OBJECT_WIDENING(BgL_tmpz00_19016);
					}
					BgL_auxz00_19014 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19015);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19014))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2097> */
	obj_t BGl_z62zc3z04anonymousza32097ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8428)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzliveness_typesz00(obj_t BgL_envz00_8429,
		obj_t BgL_oz00_8430, obj_t BgL_vz00_8431)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19022;

				{
					obj_t BgL_auxz00_19023;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19024;

						BgL_tmpz00_19024 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8430));
						BgL_auxz00_19023 = BGL_OBJECT_WIDENING(BgL_tmpz00_19024);
					}
					BgL_auxz00_19022 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19023);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19022))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8431)), BUNSPEC);
			}
		}

	}



/* &lambda2095 */
	obj_t BGl_z62lambda2095z62zzliveness_typesz00(obj_t BgL_envz00_8432,
		obj_t BgL_oz00_8433)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19031;

				{
					obj_t BgL_auxz00_19032;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19033;

						BgL_tmpz00_19033 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8433));
						BgL_auxz00_19032 = BGL_OBJECT_WIDENING(BgL_tmpz00_19033);
					}
					BgL_auxz00_19031 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19032);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19031))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2089> */
	obj_t BGl_z62zc3z04anonymousza32089ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8434)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2088 */
	obj_t BGl_z62lambda2088z62zzliveness_typesz00(obj_t BgL_envz00_8435,
		obj_t BgL_oz00_8436, obj_t BgL_vz00_8437)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19039;

				{
					obj_t BgL_auxz00_19040;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19041;

						BgL_tmpz00_19041 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8436));
						BgL_auxz00_19040 = BGL_OBJECT_WIDENING(BgL_tmpz00_19041);
					}
					BgL_auxz00_19039 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19040);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19039))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8437)), BUNSPEC);
			}
		}

	}



/* &lambda2087 */
	obj_t BGl_z62lambda2087z62zzliveness_typesz00(obj_t BgL_envz00_8438,
		obj_t BgL_oz00_8439)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19048;

				{
					obj_t BgL_auxz00_19049;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19050;

						BgL_tmpz00_19050 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8439));
						BgL_auxz00_19049 = BGL_OBJECT_WIDENING(BgL_tmpz00_19050);
					}
					BgL_auxz00_19048 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19049);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19048))->
					BgL_defz00);
			}
		}

	}



/* &lambda2054 */
	BgL_localz00_bglt BGl_z62lambda2054z62zzliveness_typesz00(obj_t
		BgL_envz00_8440, obj_t BgL_o1123z00_8441)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_arg2055z00_9857;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_arg2056z00_9858;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2057z00_9859;

						{	/* Liveness/types.scm 26 */
							long BgL_arg1828z00_9860;

							{	/* Liveness/types.scm 26 */
								long BgL_arg1829z00_9861;

								BgL_arg1829z00_9861 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1123z00_8441)));
								BgL_arg1828z00_9860 = (BgL_arg1829z00_9861 - OBJECT_TYPE);
							}
							BgL_arg2057z00_9859 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_9860);
						}
						BgL_arg2056z00_9858 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2057z00_9859);
					}
					{	/* Liveness/types.scm 26 */
						obj_t BgL_tmpz00_19062;

						BgL_tmpz00_19062 = ((obj_t) BgL_arg2056z00_9858);
						BgL_arg2055z00_9857 = BGL_CLASS_NUM(BgL_tmpz00_19062);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1123z00_8441)), BgL_arg2055z00_9857);
			}
			{	/* Liveness/types.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_19068;

				BgL_tmpz00_19068 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_8441));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19068, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_8441));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_8441));
		}

	}



/* &<@anonymous:2053> */
	obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8442, obj_t BgL_new1122z00_8443)
	{
		{	/* Liveness/types.scm 26 */
			{
				BgL_localz00_bglt BgL_auxz00_19076;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1122z00_8443))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 43))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19084;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9863;

						BgL_classz00_9863 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1113z00_9864;

							BgL__ortest_1113z00_9864 = BGL_CLASS_NIL(BgL_classz00_9863);
							if (CBOOL(BgL__ortest_1113z00_9864))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19084 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9864);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19084 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9863));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1122z00_8443))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19084), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19094;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9865;

						BgL_classz00_9865 = BGl_valuez00zzast_varz00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1113z00_9866;

							BgL__ortest_1113z00_9866 = BGL_CLASS_NIL(BgL_classz00_9865);
							if (CBOOL(BgL__ortest_1113z00_9866))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19094 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_9866);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19094 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9865));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1122z00_8443))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19094), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1122z00_8443))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1122z00_8443))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19131;

					{
						obj_t BgL_auxz00_19132;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19133;

							BgL_tmpz00_19133 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1122z00_8443));
							BgL_auxz00_19132 = BGL_OBJECT_WIDENING(BgL_tmpz00_19133);
						}
						BgL_auxz00_19131 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19132);
					}
					((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19131))->
							BgL_z52countz52) = ((int) (int) (((long) 0))), BUNSPEC);
				}
				BgL_auxz00_19076 = ((BgL_localz00_bglt) BgL_new1122z00_8443);
				return ((obj_t) BgL_auxz00_19076);
			}
		}

	}



/* &lambda2051 */
	BgL_localz00_bglt BGl_z62lambda2051z62zzliveness_typesz00(obj_t
		BgL_envz00_8444, obj_t BgL_o1118z00_8445)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				BgL_localzf2livenesszf2_bglt BgL_wide1120z00_9868;

				BgL_wide1120z00_9868 =
					((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 26 */
					obj_t BgL_auxz00_19147;
					BgL_objectz00_bglt BgL_tmpz00_19143;

					BgL_auxz00_19147 = ((obj_t) BgL_wide1120z00_9868);
					BgL_tmpz00_19143 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8445)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19143, BgL_auxz00_19147);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8445)));
				{	/* Liveness/types.scm 26 */
					long BgL_arg2052z00_9869;

					BgL_arg2052z00_9869 =
						BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1118z00_8445))), BgL_arg2052z00_9869);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8445)));
			}
		}

	}



/* &lambda2047 */
	BgL_localz00_bglt BGl_z62lambda2047z62zzliveness_typesz00(obj_t
		BgL_envz00_8446, obj_t BgL_id1104z00_8447, obj_t BgL_name1105z00_8448,
		obj_t BgL_type1106z00_8449, obj_t BgL_value1107z00_8450,
		obj_t BgL_access1108z00_8451, obj_t BgL_fastzd2alpha1109zd2_8452,
		obj_t BgL_removable1110z00_8453, obj_t BgL_occurrence1111z00_8454,
		obj_t BgL_occurrencew1112z00_8455, obj_t BgL_userzf31113zf3_8456,
		obj_t BgL_key1114z00_8457, obj_t BgL_valzd2noescape1115zd2_8458,
		obj_t BgL_volatile1116z00_8459, obj_t BgL_z52count1117z52_8460)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_occurrence1111z00_9873;
				long BgL_occurrencew1112z00_9874;
				bool_t BgL_userzf31113zf3_9875;
				long BgL_key1114z00_9876;
				bool_t BgL_volatile1116z00_9877;
				int BgL_z52count1117z52_9878;

				BgL_occurrence1111z00_9873 = (long) CINT(BgL_occurrence1111z00_8454);
				BgL_occurrencew1112z00_9874 = (long) CINT(BgL_occurrencew1112z00_8455);
				BgL_userzf31113zf3_9875 = CBOOL(BgL_userzf31113zf3_8456);
				BgL_key1114z00_9876 = (long) CINT(BgL_key1114z00_8457);
				BgL_volatile1116z00_9877 = CBOOL(BgL_volatile1116z00_8459);
				BgL_z52count1117z52_9878 = CINT(BgL_z52count1117z52_8460);
				{	/* Liveness/types.scm 26 */
					BgL_localz00_bglt BgL_new1687z00_9879;

					{	/* Liveness/types.scm 26 */
						BgL_localz00_bglt BgL_tmp1685z00_9880;
						BgL_localzf2livenesszf2_bglt BgL_wide1686z00_9881;

						{
							BgL_localz00_bglt BgL_auxz00_19167;

							{	/* Liveness/types.scm 26 */
								BgL_localz00_bglt BgL_new1684z00_9882;

								BgL_new1684z00_9882 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Liveness/types.scm 26 */
									long BgL_arg2050z00_9883;

									BgL_arg2050z00_9883 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1684z00_9882),
										BgL_arg2050z00_9883);
								}
								{	/* Liveness/types.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_19172;

									BgL_tmpz00_19172 = ((BgL_objectz00_bglt) BgL_new1684z00_9882);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19172, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1684z00_9882);
								BgL_auxz00_19167 = BgL_new1684z00_9882;
							}
							BgL_tmp1685z00_9880 = ((BgL_localz00_bglt) BgL_auxz00_19167);
						}
						BgL_wide1686z00_9881 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 26 */
							obj_t BgL_auxz00_19180;
							BgL_objectz00_bglt BgL_tmpz00_19178;

							BgL_auxz00_19180 = ((obj_t) BgL_wide1686z00_9881);
							BgL_tmpz00_19178 = ((BgL_objectz00_bglt) BgL_tmp1685z00_9880);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19178, BgL_auxz00_19180);
						}
						((BgL_objectz00_bglt) BgL_tmp1685z00_9880);
						{	/* Liveness/types.scm 26 */
							long BgL_arg2048z00_9884;

							BgL_arg2048z00_9884 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1685z00_9880),
								BgL_arg2048z00_9884);
						}
						BgL_new1687z00_9879 = ((BgL_localz00_bglt) BgL_tmp1685z00_9880);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1687z00_9879)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_8447)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_8448), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_8449)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_8450)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_8451), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_8452), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_8453), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_9873), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_9874), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1687z00_9879)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_9875), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1687z00_9879)))->BgL_keyz00) =
						((long) BgL_key1114z00_9876), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1687z00_9879)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1115zd2_8458), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1687z00_9879)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1116z00_9877), BUNSPEC);
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_19217;

						{
							obj_t BgL_auxz00_19218;

							{	/* Liveness/types.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_19219;

								BgL_tmpz00_19219 = ((BgL_objectz00_bglt) BgL_new1687z00_9879);
								BgL_auxz00_19218 = BGL_OBJECT_WIDENING(BgL_tmpz00_19219);
							}
							BgL_auxz00_19217 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19218);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19217))->
								BgL_z52countz52) = ((int) BgL_z52count1117z52_9878), BUNSPEC);
					}
					return BgL_new1687z00_9879;
				}
			}
		}

	}



/* &<@anonymous:2064> */
	obj_t BGl_z62zc3z04anonymousza32064ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8461)
	{
		{	/* Liveness/types.scm 26 */
			return BINT(((long) 0));
		}

	}



/* &lambda2063 */
	obj_t BGl_z62lambda2063z62zzliveness_typesz00(obj_t BgL_envz00_8462,
		obj_t BgL_oz00_8463, obj_t BgL_vz00_8464)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_vz00_9886;

				BgL_vz00_9886 = CINT(BgL_vz00_8464);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19226;

					{
						obj_t BgL_auxz00_19227;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19228;

							BgL_tmpz00_19228 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8463));
							BgL_auxz00_19227 = BGL_OBJECT_WIDENING(BgL_tmpz00_19228);
						}
						BgL_auxz00_19226 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19227);
					}
					return
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19226))->
							BgL_z52countz52) = ((int) BgL_vz00_9886), BUNSPEC);
		}}}

	}



/* &lambda2062 */
	obj_t BGl_z62lambda2062z62zzliveness_typesz00(obj_t BgL_envz00_8465,
		obj_t BgL_oz00_8466)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_tmpz00_19234;

				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19235;

					{
						obj_t BgL_auxz00_19236;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19237;

							BgL_tmpz00_19237 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8466));
							BgL_auxz00_19236 = BGL_OBJECT_WIDENING(BgL_tmpz00_19237);
						}
						BgL_auxz00_19235 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19236);
					}
					BgL_tmpz00_19234 =
						(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19235))->
						BgL_z52countz52);
				}
				return BINT(BgL_tmpz00_19234);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string4518z00zzliveness_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
