/*===========================================================================*/
/*   (Object/slots.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/slots.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t BGl_z62lambda1846z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1847z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62lambda1851z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1852z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1859z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt, obj_t, obj_t,
		int, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1863z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1864z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1868z62zzobject_slotsz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1869z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62lambda1875z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1876z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1884z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1885z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_slotzd2inlinezd2markz00zzobject_slotsz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1891z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1892z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_slotsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_objectzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzobject_slotsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_slotz00zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00;
	static obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_slotsz00(void);
	static BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, long, obj_t, bool_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	static obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62shapezd2slot1172zb0zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31834ze3ze5zzobject_slotsz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1901z62zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00(void);
	static obj_t BGl_z62lambda1902z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static BgL_slotz00_bglt BGl_z62lambda1822z62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1909z62zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62lambda1910z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static BgL_slotz00_bglt BGl_z62lambda1831z62zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62lambda1917z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1918z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62lambda1838z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t
		BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, long);
	static obj_t BGl_z62lambda1839z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1925z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1926z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[32];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2031z00,
		BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2slotzd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2slotza7b2032za7,
		BGl_z62makezd2slotzb0zzobject_slotsz00, 0L, BUNSPEC, 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2localzd2virtualzd2slotszd2numberzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762getza7d2localza7d2033za7,
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2javazd2classzd2slotszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2javaza7d2034za7,
		BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2nilzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nilza7b02035za7,
		BGl_z62slotzd2nilzb0zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2getterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2036z00,
		BGl_z62slotzd2getterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2virtualzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2037z00,
		BGl_z62slotzd2virtualzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2namezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nameza7b2038za7,
		BGl_z62slotzd2namezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2039z00,
		BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2040z00,
		BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2srczd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2srcza7b02041za7,
		BGl_z62slotzd2srczb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2slotszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72042za7,
		BGl_z62makezd2classzd2slotsz62zzobject_slotsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2classza72043za7,
		BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2typezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2typeza7b2044za7,
		BGl_z62slotzd2typezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2045z00,
		BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2setterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2046z00,
		BGl_z62slotzd2setterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1976z00zzobject_slotsz00,
		BgL_bgl_string1976za700za7za7o2047za7, "Can't find type definition", 26);
	      DEFINE_STRING(BGl_string1977z00zzobject_slotsz00,
		BgL_bgl_string1977za700za7za7o2048za7,
		"slot already defined in super class", 35);
	      DEFINE_STRING(BGl_string1978z00zzobject_slotsz00,
		BgL_bgl_string1978za700za7za7o2049za7, "Illegal slot", 12);
	      DEFINE_STRING(BGl_string1979z00zzobject_slotsz00,
		BgL_bgl_string1979za700za7za7o2050za7, "Illegal duplicated virtual slot",
		31);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2overridezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2051z00,
		BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2inlinezd2valuezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2052z00,
		BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1980z00zzobject_slotsz00,
		BgL_bgl_string1980za700za7za7o2053za7, "Overriden \"~a\" virtual slot", 27);
	      DEFINE_STRING(BGl_string1981z00zzobject_slotsz00,
		BgL_bgl_string1981za700za7za7o2054za7,
		"Illegal virtual slot (missing getter)", 37);
	      DEFINE_STRING(BGl_string1982z00zzobject_slotsz00,
		BgL_bgl_string1982za700za7za7o2055za7, "Illegal virtual slot (read-only)",
		32);
	      DEFINE_STRING(BGl_string1983z00zzobject_slotsz00,
		BgL_bgl_string1983za700za7za7o2056za7,
		"Illegal virtual slot (missing setter)", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2typedzd2formalszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72057za7,
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2userza7d2058za7,
		BGl_z62slotzd2userzd2infoz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzobject_slotsz00,
		BgL_bgl_za762lambda1839za7622059z00, BGl_z62lambda1839z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzobject_slotsz00,
		BgL_bgl_za762lambda1838za7622060z00, BGl_z62lambda1838z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzobject_slotsz00,
		BgL_bgl_za762lambda1847za7622061z00, BGl_z62lambda1847z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzobject_slotsz00,
		BgL_bgl_za762lambda1846za7622062z00, BGl_z62lambda1846z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzobject_slotsz00,
		BgL_bgl_za762lambda1852za7622063z00, BGl_z62lambda1852z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzobject_slotsz00,
		BgL_bgl_za762lambda1851za7622064z00, BGl_z62lambda1851z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzobject_slotsz00,
		BgL_bgl_za762lambda1859za7622065z00, BGl_z62lambda1859z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzobject_slotsz00,
		BgL_bgl_za762lambda1858za7622066z00, BGl_z62lambda1858z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzobject_slotsz00,
		BgL_bgl_za762lambda1864za7622067z00, BGl_z62lambda1864z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzobject_slotsz00,
		BgL_bgl_za762lambda1863za7622068z00, BGl_z62lambda1863z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzobject_slotsz00,
		BgL_bgl_za762lambda1869za7622069z00, BGl_z62lambda1869z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzobject_slotsz00,
		BgL_bgl_za762lambda1868za7622070z00, BGl_z62lambda1868z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2071za7,
		BGl_z62zc3z04anonymousza31877ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzobject_slotsz00,
		BgL_bgl_za762lambda1876za7622072z00, BGl_z62lambda1876z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzobject_slotsz00,
		BgL_bgl_za762lambda1875za7622073z00, BGl_z62lambda1875z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2074za7,
		BGl_z62zc3z04anonymousza31886ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7f3za791za7za7o2075za7,
		BGl_z62slotzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2formalszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72076za7,
		BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2inlinezd2defaultzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2inline2077z00,
		BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2idzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2idza7b0za72078z00,
		BGl_z62slotzd2idzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2readza7d2079za7,
		BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzobject_slotsz00,
		BgL_bgl_za762lambda1885za7622080z00, BGl_z62lambda1885z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzobject_slotsz00,
		BgL_bgl_za762lambda1884za7622081z00, BGl_z62lambda1884z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2082za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzobject_slotsz00,
		BgL_bgl_za762lambda1892za7622083z00, BGl_z62lambda1892z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzobject_slotsz00,
		BgL_bgl_za762lambda1891za7622084z00, BGl_z62lambda1891z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2085za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzobject_slotsz00,
		BgL_bgl_za762lambda1902za7622086z00, BGl_z62lambda1902z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzobject_slotsz00,
		BgL_bgl_za762lambda1901za7622087z00, BGl_z62lambda1901z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2indexzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2indexza72088za7,
		BGl_z62slotzd2indexzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2089za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzobject_slotsz00,
		BgL_bgl_za762lambda1910za7622090z00, BGl_z62lambda1910z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2defaultzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2091z00,
		BGl_z62slotzd2defaultzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzobject_slotsz00,
		BgL_bgl_za762lambda1909za7622092z00, BGl_z62lambda1909z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2093za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzobject_slotsz00,
		BgL_bgl_za762lambda1918za7622094z00, BGl_z62lambda1918z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzobject_slotsz00,
		BgL_bgl_za762lambda1917za7622095z00, BGl_z62lambda1917z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2020z00zzobject_slotsz00,
		BgL_bgl_string2020za700za7za7o2096za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2097za7,
		BGl_z62zc3z04anonymousza31927ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzobject_slotsz00,
		BgL_bgl_za762lambda1926za7622098z00, BGl_z62lambda1926z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2022z00zzobject_slotsz00,
		BgL_bgl_string2022za700za7za7o2099za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzobject_slotsz00,
		BgL_bgl_za762lambda1925za7622100z00, BGl_z62lambda1925z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2023z00zzobject_slotsz00,
		BgL_bgl_string2023za700za7za7o2101za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2102za7,
		BGl_z62zc3z04anonymousza31834ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2024z00zzobject_slotsz00,
		BgL_bgl_string2024za700za7za7o2103za7, " type: ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzobject_slotsz00,
		BgL_bgl_za762lambda1831za7622104z00, BGl_z62lambda1831z62zzobject_slotsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2025z00zzobject_slotsz00,
		BgL_bgl_string2025za700za7za7o2105za7, " owner: ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzobject_slotsz00,
		BgL_bgl_za762lambda1822za7622106z00, BGl_z62lambda1822z62zzobject_slotsz00,
		0L, BUNSPEC, 13);
	      DEFINE_STRING(BGl_string2026z00zzobject_slotsz00,
		BgL_bgl_string2026za700za7za7o2107za7, " (", 2);
	      DEFINE_STRING(BGl_string2027z00zzobject_slotsz00,
		BgL_bgl_string2027za700za7za7o2108za7, "(", 1);
	      DEFINE_STRING(BGl_string2028z00zzobject_slotsz00,
		BgL_bgl_string2028za700za7za7o2109za7, "object_slots", 12);
	      DEFINE_STRING(BGl_string2029z00zzobject_slotsz00,
		BgL_bgl_string2029za700za7za7o2110za7,
		"_ object_slots slot user-info setter getter virtual-override virtual-num default-value bool read-only? type long index class-owner obj src bstring name symbol static final - foreign read-only inline-default default info id #z1 set get ",
		235);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzobject_slotsz00,
		BgL_bgl_za762shapeza7d2slot12111z00,
		BGl_z62shapezd2slot1172zb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2112z00,
		BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotzd2inlinezd2markz00zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotz00zzobject_slotsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long
		BgL_checksumz00_2312, char *BgL_fromz00_2313)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_slotsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_slotsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_slotsz00();
					BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
					BGl_cnstzd2initzd2zzobject_slotsz00();
					BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
					BGl_objectzd2initzd2zzobject_slotsz00();
					BGl_methodzd2initzd2zzobject_slotsz00();
					return BGl_toplevelzd2initzd2zzobject_slotsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_slots");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 15 */
				obj_t BgL_cportz00_2226;

				{	/* Object/slots.scm 15 */
					obj_t BgL_stringz00_2233;

					BgL_stringz00_2233 = BGl_string2029z00zzobject_slotsz00;
					{	/* Object/slots.scm 15 */
						obj_t BgL_startz00_2234;

						BgL_startz00_2234 = BINT(((long) 0));
						{	/* Object/slots.scm 15 */
							obj_t BgL_endz00_2235;

							BgL_endz00_2235 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2233)));
							{	/* Object/slots.scm 15 */

								BgL_cportz00_2226 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2233, BgL_startz00_2234, BgL_endz00_2235);
				}}}}
				{
					long BgL_iz00_2227;

					BgL_iz00_2227 = ((long) 31);
				BgL_loopz00_2228:
					if ((BgL_iz00_2227 == ((long) -1)))
						{	/* Object/slots.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/slots.scm 15 */
							{	/* Object/slots.scm 15 */
								obj_t BgL_arg2030z00_2229;

								{	/* Object/slots.scm 15 */

									{	/* Object/slots.scm 15 */
										obj_t BgL_locationz00_2231;

										BgL_locationz00_2231 = BBOOL(((bool_t) 0));
										{	/* Object/slots.scm 15 */

											BgL_arg2030z00_2229 =
												BGl_readz00zz__readerz00(BgL_cportz00_2226,
												BgL_locationz00_2231);
										}
									}
								}
								{	/* Object/slots.scm 15 */
									int BgL_tmpz00_2346;

									BgL_tmpz00_2346 = (int) (BgL_iz00_2227);
									CNST_TABLE_SET(BgL_tmpz00_2346, BgL_arg2030z00_2229);
							}}
							{	/* Object/slots.scm 15 */
								int BgL_auxz00_2232;

								BgL_auxz00_2232 = (int) ((BgL_iz00_2227 - ((long) 1)));
								{
									long BgL_iz00_2351;

									BgL_iz00_2351 = (long) (BgL_auxz00_2232);
									BgL_iz00_2227 = BgL_iz00_2351;
									goto BgL_loopz00_2228;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_slotzd2inlinezd2markz00zzobject_slotsz00 =
				MAKE_YOUNG_PAIR(BINT(((long) 3)), BINT(((long) 4)));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_797;

				BgL_headz00_797 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_798;
					obj_t BgL_tailz00_799;

					BgL_prevz00_798 = BgL_headz00_797;
					BgL_tailz00_799 = BgL_l1z00_1;
				BgL_loopz00_800:
					if (PAIRP(BgL_tailz00_799))
						{
							obj_t BgL_newzd2prevzd2_802;

							BgL_newzd2prevzd2_802 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_799), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_798, BgL_newzd2prevzd2_802);
							{
								obj_t BgL_tailz00_2364;
								obj_t BgL_prevz00_2363;

								BgL_prevz00_2363 = BgL_newzd2prevzd2_802;
								BgL_tailz00_2364 = CDR(BgL_tailz00_799);
								BgL_tailz00_799 = BgL_tailz00_2364;
								BgL_prevz00_798 = BgL_prevz00_2363;
								goto BgL_loopz00_800;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_797);
				}
			}
		}

	}



/* make-slot */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t
		BgL_id1080z00_3, obj_t BgL_name1081z00_4, obj_t BgL_src1082z00_5,
		obj_t BgL_classzd2owner1083zd2_6, long BgL_index1084z00_7,
		obj_t BgL_type1085z00_8, bool_t BgL_readzd2onlyzf31086z21_9,
		obj_t BgL_defaultzd2value1087zd2_10, obj_t BgL_virtualzd2num1088zd2_11,
		bool_t BgL_virtualzd2override1089zd2_12, obj_t BgL_getter1090z00_13,
		obj_t BgL_setter1091z00_14, obj_t BgL_userzd2info1092zd2_15)
	{
		{	/* Object/slots.sch 37 */
			{	/* Object/slots.sch 37 */
				BgL_slotz00_bglt BgL_new1091z00_2237;

				{	/* Object/slots.sch 37 */
					BgL_slotz00_bglt BgL_new1090z00_2238;

					BgL_new1090z00_2238 =
						((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_slotz00_bgl))));
					{	/* Object/slots.sch 37 */
						long BgL_arg1184z00_2239;

						BgL_arg1184z00_2239 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1090z00_2238), BgL_arg1184z00_2239);
					}
					BgL_new1091z00_2237 = BgL_new1090z00_2238;
				}
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_idz00) =
					((obj_t) BgL_id1080z00_3), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_namez00) =
					((obj_t) BgL_name1081z00_4), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_srcz00) =
					((obj_t) BgL_src1082z00_5), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_classzd2ownerzd2) =
					((obj_t) BgL_classzd2owner1083zd2_6), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_indexz00) =
					((long) BgL_index1084z00_7), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_typez00) =
					((obj_t) BgL_type1085z00_8), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_readzd2onlyzf31086z21_9), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_defaultzd2valuezd2) =
					((obj_t) BgL_defaultzd2value1087zd2_10), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_virtualzd2numzd2) =
					((obj_t) BgL_virtualzd2num1088zd2_11), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_virtualzd2overridezd2) =
					((bool_t) BgL_virtualzd2override1089zd2_12), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_getterz00) =
					((obj_t) BgL_getter1090z00_13), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->BgL_setterz00) =
					((obj_t) BgL_setter1091z00_14), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2237))->
						BgL_userzd2infozd2) = ((obj_t) BgL_userzd2info1092zd2_15), BUNSPEC);
				return BgL_new1091z00_2237;
			}
		}

	}



/* &make-slot */
	BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t BgL_envz00_2014,
		obj_t BgL_id1080z00_2015, obj_t BgL_name1081z00_2016,
		obj_t BgL_src1082z00_2017, obj_t BgL_classzd2owner1083zd2_2018,
		obj_t BgL_index1084z00_2019, obj_t BgL_type1085z00_2020,
		obj_t BgL_readzd2onlyzf31086z21_2021, obj_t BgL_defaultzd2value1087zd2_2022,
		obj_t BgL_virtualzd2num1088zd2_2023,
		obj_t BgL_virtualzd2override1089zd2_2024, obj_t BgL_getter1090z00_2025,
		obj_t BgL_setter1091z00_2026, obj_t BgL_userzd2info1092zd2_2027)
	{
		{	/* Object/slots.sch 37 */
			return
				BGl_makezd2slotzd2zzobject_slotsz00(BgL_id1080z00_2015,
				BgL_name1081z00_2016, BgL_src1082z00_2017,
				BgL_classzd2owner1083zd2_2018, (long) CINT(BgL_index1084z00_2019),
				BgL_type1085z00_2020, CBOOL(BgL_readzd2onlyzf31086z21_2021),
				BgL_defaultzd2value1087zd2_2022, BgL_virtualzd2num1088zd2_2023,
				CBOOL(BgL_virtualzd2override1089zd2_2024), BgL_getter1090z00_2025,
				BgL_setter1091z00_2026, BgL_userzd2info1092zd2_2027);
		}

	}



/* slot? */
	BGL_EXPORTED_DEF bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t BgL_objz00_16)
	{
		{	/* Object/slots.sch 38 */
			{	/* Object/slots.sch 38 */
				obj_t BgL_classz00_2240;

				BgL_classz00_2240 = BGl_slotz00zzobject_slotsz00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Object/slots.sch 38 */
						BgL_objectz00_bglt BgL_arg1820z00_2241;

						BgL_arg1820z00_2241 = (BgL_objectz00_bglt) (BgL_objz00_16);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Object/slots.sch 38 */
								long BgL_idxz00_2242;

								BgL_idxz00_2242 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2241);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2242 + ((long) 1))) == BgL_classz00_2240);
							}
						else
							{	/* Object/slots.sch 38 */
								bool_t BgL_res1967z00_2245;

								{	/* Object/slots.sch 38 */
									obj_t BgL_oclassz00_2246;

									{	/* Object/slots.sch 38 */
										long BgL_arg1828z00_2247;

										{	/* Object/slots.sch 38 */
											long BgL_arg1829z00_2248;

											BgL_arg1829z00_2248 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2241);
											BgL_arg1828z00_2247 = (BgL_arg1829z00_2248 - OBJECT_TYPE);
										}
										BgL_oclassz00_2246 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2247);
									}
									{	/* Object/slots.sch 38 */
										bool_t BgL__ortest_1111z00_2249;

										BgL__ortest_1111z00_2249 =
											(BgL_classz00_2240 == BgL_oclassz00_2246);
										if (BgL__ortest_1111z00_2249)
											{	/* Object/slots.sch 38 */
												BgL_res1967z00_2245 = BgL__ortest_1111z00_2249;
											}
										else
											{	/* Object/slots.sch 38 */
												long BgL_odepthz00_2250;

												BgL_odepthz00_2250 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2246);
												if ((((long) 1) < BgL_odepthz00_2250))
													{	/* Object/slots.sch 38 */
														obj_t BgL_arg1816z00_2251;

														BgL_arg1816z00_2251 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2246,
															((long) 1));
														BgL_res1967z00_2245 =
															(BgL_arg1816z00_2251 == BgL_classz00_2240);
													}
												else
													{	/* Object/slots.sch 38 */
														BgL_res1967z00_2245 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1967z00_2245;
							}
					}
				else
					{	/* Object/slots.sch 38 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot? */
	obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t BgL_envz00_2028,
		obj_t BgL_objz00_2029)
	{
		{	/* Object/slots.sch 38 */
			return BBOOL(BGl_slotzf3zf3zzobject_slotsz00(BgL_objz00_2029));
		}

	}



/* slot-nil */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.sch 39 */
			{	/* Object/slots.sch 39 */
				obj_t BgL_classz00_1564;

				BgL_classz00_1564 = BGl_slotz00zzobject_slotsz00;
				{	/* Object/slots.sch 39 */
					obj_t BgL__ortest_1113z00_1565;

					BgL__ortest_1113z00_1565 = BGL_CLASS_NIL(BgL_classz00_1564);
					if (CBOOL(BgL__ortest_1113z00_1565))
						{	/* Object/slots.sch 39 */
							return ((BgL_slotz00_bglt) BgL__ortest_1113z00_1565);
						}
					else
						{	/* Object/slots.sch 39 */
							return
								((BgL_slotz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1564));
						}
				}
			}
		}

	}



/* &slot-nil */
	BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t BgL_envz00_2030)
	{
		{	/* Object/slots.sch 39 */
			return BGl_slotzd2nilzd2zzobject_slotsz00();
		}

	}



/* slot-user-info */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_17)
	{
		{	/* Object/slots.sch 40 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_17))->BgL_userzd2infozd2);
		}

	}



/* &slot-user-info */
	obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t BgL_envz00_2031,
		obj_t BgL_oz00_2032)
	{
		{	/* Object/slots.sch 40 */
			return
				BGl_slotzd2userzd2infoz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2032));
		}

	}



/* slot-setter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_20)
	{
		{	/* Object/slots.sch 42 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_20))->BgL_setterz00);
		}

	}



/* &slot-setter */
	obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t BgL_envz00_2033,
		obj_t BgL_oz00_2034)
	{
		{	/* Object/slots.sch 42 */
			return
				BGl_slotzd2setterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2034));
		}

	}



/* slot-setter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_21,
		obj_t BgL_vz00_22)
	{
		{	/* Object/slots.sch 43 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_21))->BgL_setterz00) =
				((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &slot-setter-set! */
	obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2035,
		obj_t BgL_oz00_2036, obj_t BgL_vz00_2037)
	{
		{	/* Object/slots.sch 43 */
			return
				BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2036), BgL_vz00_2037);
		}

	}



/* slot-getter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_23)
	{
		{	/* Object/slots.sch 44 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_23))->BgL_getterz00);
		}

	}



/* &slot-getter */
	obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t BgL_envz00_2038,
		obj_t BgL_oz00_2039)
	{
		{	/* Object/slots.sch 44 */
			return
				BGl_slotzd2getterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2039));
		}

	}



/* slot-getter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_24,
		obj_t BgL_vz00_25)
	{
		{	/* Object/slots.sch 45 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_24))->BgL_getterz00) =
				((obj_t) BgL_vz00_25), BUNSPEC);
		}

	}



/* &slot-getter-set! */
	obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2040,
		obj_t BgL_oz00_2041, obj_t BgL_vz00_2042)
	{
		{	/* Object/slots.sch 45 */
			return
				BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2041), BgL_vz00_2042);
		}

	}



/* slot-virtual-override */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_26)
	{
		{	/* Object/slots.sch 46 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_26))->BgL_virtualzd2overridezd2);
		}

	}



/* &slot-virtual-override */
	obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t
		BgL_envz00_2043, obj_t BgL_oz00_2044)
	{
		{	/* Object/slots.sch 46 */
			return
				BBOOL(BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2044)));
		}

	}



/* slot-virtual-num */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_29)
	{
		{	/* Object/slots.sch 48 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_29))->BgL_virtualzd2numzd2);
		}

	}



/* &slot-virtual-num */
	obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t BgL_envz00_2045,
		obj_t BgL_oz00_2046)
	{
		{	/* Object/slots.sch 48 */
			return
				BGl_slotzd2virtualzd2numz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2046));
		}

	}



/* slot-virtual-num-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Object/slots.sch 49 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_30))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_31), BUNSPEC);
		}

	}



/* &slot-virtual-num-set! */
	obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t
		BgL_envz00_2047, obj_t BgL_oz00_2048, obj_t BgL_vz00_2049)
	{
		{	/* Object/slots.sch 49 */
			return
				BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2048), BgL_vz00_2049);
		}

	}



/* slot-default-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_32)
	{
		{	/* Object/slots.sch 50 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_32))->BgL_defaultzd2valuezd2);
		}

	}



/* &slot-default-value */
	obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t BgL_envz00_2050,
		obj_t BgL_oz00_2051)
	{
		{	/* Object/slots.sch 50 */
			return
				BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2051));
		}

	}



/* slot-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_35)
	{
		{	/* Object/slots.sch 52 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_35))->BgL_readzd2onlyzf3z21);
		}

	}



/* &slot-read-only? */
	obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t BgL_envz00_2052,
		obj_t BgL_oz00_2053)
	{
		{	/* Object/slots.sch 52 */
			return
				BBOOL(BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2053)));
		}

	}



/* slot-type */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_38)
	{
		{	/* Object/slots.sch 54 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_38))->BgL_typez00);
		}

	}



/* &slot-type */
	obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t BgL_envz00_2054,
		obj_t BgL_oz00_2055)
	{
		{	/* Object/slots.sch 54 */
			return
				BGl_slotzd2typezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2055));
		}

	}



/* slot-index */
	BGL_EXPORTED_DEF long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_41)
	{
		{	/* Object/slots.sch 56 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_41))->BgL_indexz00);
		}

	}



/* &slot-index */
	obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t BgL_envz00_2056,
		obj_t BgL_oz00_2057)
	{
		{	/* Object/slots.sch 56 */
			return
				BINT(BGl_slotzd2indexzd2zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2057)));
		}

	}



/* slot-class-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_44)
	{
		{	/* Object/slots.sch 58 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_44))->BgL_classzd2ownerzd2);
		}

	}



/* &slot-class-owner */
	obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t BgL_envz00_2058,
		obj_t BgL_oz00_2059)
	{
		{	/* Object/slots.sch 58 */
			return
				BGl_slotzd2classzd2ownerz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2059));
		}

	}



/* slot-src */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_47)
	{
		{	/* Object/slots.sch 60 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_47))->BgL_srcz00);
		}

	}



/* &slot-src */
	obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t BgL_envz00_2060,
		obj_t BgL_oz00_2061)
	{
		{	/* Object/slots.sch 60 */
			return
				BGl_slotzd2srczd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2061));
		}

	}



/* slot-name */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_50)
	{
		{	/* Object/slots.sch 62 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_50))->BgL_namez00);
		}

	}



/* &slot-name */
	obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t BgL_envz00_2062,
		obj_t BgL_oz00_2063)
	{
		{	/* Object/slots.sch 62 */
			return
				BGl_slotzd2namezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2063));
		}

	}



/* slot-id */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_53)
	{
		{	/* Object/slots.sch 64 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_53))->BgL_idz00);
		}

	}



/* &slot-id */
	obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t BgL_envz00_2064,
		obj_t BgL_oz00_2065)
	{
		{	/* Object/slots.sch 64 */
			return
				BGl_slotzd2idzd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2065));
		}

	}



/* slot-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_57)
	{
		{	/* Object/slots.scm 96 */
			{	/* Object/slots.scm 97 */
				bool_t BgL_test2121z00_2467;

				{	/* Object/slots.scm 97 */
					obj_t BgL_arg1191z00_811;
					obj_t BgL_arg1192z00_812;

					BgL_arg1191z00_811 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_57))->
						BgL_defaultzd2valuezd2);
					BgL_arg1192z00_812 =
						MAKE_YOUNG_PAIR(BINT(((long) 1)), BINT(((long) 2)));
					BgL_test2121z00_2467 =
						BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1191z00_811,
						BgL_arg1192z00_812);
				}
				if (BgL_test2121z00_2467)
					{	/* Object/slots.scm 97 */
						return ((bool_t) 0);
					}
				else
					{	/* Object/slots.scm 97 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &slot-default? */
	obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t BgL_envz00_2066,
		obj_t BgL_slotz00_2067)
	{
		{	/* Object/slots.scm 96 */
			return
				BBOOL(BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2067)));
		}

	}



/* slot-virtual? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_58)
	{
		{	/* Object/slots.scm 102 */
			return
				(
				(long) CINT(
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_58))->
						BgL_virtualzd2numzd2)) >= ((long) 0));
		}

	}



/* &slot-virtual? */
	obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t BgL_envz00_2068,
		obj_t BgL_slotz00_2069)
	{
		{	/* Object/slots.scm 102 */
			return
				BBOOL(BGl_slotzd2virtualzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2069)));
		}

	}



/* slot-inline-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_59)
	{
		{	/* Object/slots.scm 108 */
			{	/* Object/slots.scm 109 */
				bool_t BgL_test2122z00_2482;

				{	/* Object/slots.scm 109 */
					obj_t BgL_tmpz00_2483;

					BgL_tmpz00_2483 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
						BgL_defaultzd2valuezd2);
					BgL_test2122z00_2482 = PAIRP(BgL_tmpz00_2483);
				}
				if (BgL_test2122z00_2482)
					{	/* Object/slots.scm 110 */
						obj_t BgL_arg1195z00_815;

						BgL_arg1195z00_815 =
							CAR(
							(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
								BgL_defaultzd2valuezd2));
						return (BgL_arg1195z00_815 ==
							BGl_slotzd2inlinezd2markz00zzobject_slotsz00);
					}
				else
					{	/* Object/slots.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot-inline-default? */
	obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t
		BgL_envz00_2070, obj_t BgL_slotz00_2071)
	{
		{	/* Object/slots.scm 108 */
			return
				BBOOL(BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2071)));
		}

	}



/* slot-default-inline-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_60)
	{
		{	/* Object/slots.scm 115 */
			return
				CDR(
				(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_60))->BgL_defaultzd2valuezd2));
		}

	}



/* &slot-default-inline-value */
	obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t
		BgL_envz00_2072, obj_t BgL_slotz00_2073)
	{
		{	/* Object/slots.scm 115 */
			return
				BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_slotz00_2073));
		}

	}



/* ensure-type-defined! */
	obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt
		BgL_typez00_61, obj_t BgL_srcz00_62)
	{
		{	/* Object/slots.scm 121 */
			if ((((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_initzf3zf3))
				{	/* Object/slots.scm 122 */
					return BFALSE;
				}
			else
				{	/* Object/slots.scm 122 */
					return
						BGl_userzd2errorzd2zztools_errorz00
						(BGl_string1976z00zzobject_slotsz00,
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_idz00),
						BgL_srcz00_62, BNIL);
				}
		}

	}



/* make-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_63, obj_t BgL_clausesz00_64, obj_t BgL_superz00_65,
		int BgL_vnumz00_66, obj_t BgL_srcz00_67)
	{
		{	/* Object/slots.scm 128 */
			{
				obj_t BgL_attrz00_974;
				obj_t BgL_nslotz00_1056;
				obj_t BgL_sslotsz00_1057;
				BgL_typez00_bglt BgL_classz00_1058;
				obj_t BgL_nslotsz00_1085;
				obj_t BgL_sslotsz00_1086;
				BgL_typez00_bglt BgL_classz00_1087;
				obj_t BgL_slotzd2idzd2_1112;
				long BgL_indexz00_1113;

				{	/* Object/slots.scm 254 */
					obj_t BgL_sslotsz00_831;

					{	/* Object/slots.scm 255 */
						bool_t BgL_test2124z00_2500;

						{	/* Object/slots.scm 255 */
							obj_t BgL_classz00_1650;

							BgL_classz00_1650 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_superz00_65))
								{	/* Object/slots.scm 255 */
									BgL_objectz00_bglt BgL_arg1820z00_1652;

									BgL_arg1820z00_1652 = (BgL_objectz00_bglt) (BgL_superz00_65);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Object/slots.scm 255 */
											long BgL_idxz00_1658;

											BgL_idxz00_1658 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1652);
											BgL_test2124z00_2500 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1658 + ((long) 1))) == BgL_classz00_1650);
										}
									else
										{	/* Object/slots.scm 255 */
											bool_t BgL_res1968z00_1680;

											{	/* Object/slots.scm 255 */
												obj_t BgL_oclassz00_1666;

												{	/* Object/slots.scm 255 */
													long BgL_arg1828z00_1672;

													{	/* Object/slots.scm 255 */
														long BgL_arg1829z00_1673;

														BgL_arg1829z00_1673 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1652);
														BgL_arg1828z00_1672 =
															(BgL_arg1829z00_1673 - OBJECT_TYPE);
													}
													BgL_oclassz00_1666 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_1672);
												}
												{	/* Object/slots.scm 255 */
													bool_t BgL__ortest_1111z00_1667;

													BgL__ortest_1111z00_1667 =
														(BgL_classz00_1650 == BgL_oclassz00_1666);
													if (BgL__ortest_1111z00_1667)
														{	/* Object/slots.scm 255 */
															BgL_res1968z00_1680 = BgL__ortest_1111z00_1667;
														}
													else
														{	/* Object/slots.scm 255 */
															long BgL_odepthz00_1668;

															BgL_odepthz00_1668 =
																BGL_CLASS_DEPTH(BgL_oclassz00_1666);
															if ((((long) 1) < BgL_odepthz00_1668))
																{	/* Object/slots.scm 255 */
																	obj_t BgL_arg1816z00_1670;

																	BgL_arg1816z00_1670 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1666,
																		((long) 1));
																	BgL_res1968z00_1680 =
																		(BgL_arg1816z00_1670 == BgL_classz00_1650);
																}
															else
																{	/* Object/slots.scm 255 */
																	BgL_res1968z00_1680 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2124z00_2500 = BgL_res1968z00_1680;
										}
								}
							else
								{	/* Object/slots.scm 255 */
									BgL_test2124z00_2500 = ((bool_t) 0);
								}
						}
						if (BgL_test2124z00_2500)
							{	/* Object/slots.scm 257 */
								bool_t BgL_test2129z00_2520;

								{	/* Object/slots.scm 257 */
									obj_t BgL_classz00_1681;

									BgL_classz00_1681 = BGl_tclassz00zzobject_classz00;
									if (BGL_OBJECTP(BgL_superz00_65))
										{	/* Object/slots.scm 257 */
											BgL_objectz00_bglt BgL_arg1820z00_1683;

											BgL_arg1820z00_1683 =
												(BgL_objectz00_bglt) (BgL_superz00_65);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Object/slots.scm 257 */
													long BgL_idxz00_1689;

													BgL_idxz00_1689 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1683);
													BgL_test2129z00_2520 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1689 + ((long) 2))) ==
														BgL_classz00_1681);
												}
											else
												{	/* Object/slots.scm 257 */
													bool_t BgL_res1969z00_1711;

													{	/* Object/slots.scm 257 */
														obj_t BgL_oclassz00_1697;

														{	/* Object/slots.scm 257 */
															long BgL_arg1828z00_1703;

															{	/* Object/slots.scm 257 */
																long BgL_arg1829z00_1704;

																BgL_arg1829z00_1704 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1683);
																BgL_arg1828z00_1703 =
																	(BgL_arg1829z00_1704 - OBJECT_TYPE);
															}
															BgL_oclassz00_1697 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_1703);
														}
														{	/* Object/slots.scm 257 */
															bool_t BgL__ortest_1111z00_1698;

															BgL__ortest_1111z00_1698 =
																(BgL_classz00_1681 == BgL_oclassz00_1697);
															if (BgL__ortest_1111z00_1698)
																{	/* Object/slots.scm 257 */
																	BgL_res1969z00_1711 =
																		BgL__ortest_1111z00_1698;
																}
															else
																{	/* Object/slots.scm 257 */
																	long BgL_odepthz00_1699;

																	BgL_odepthz00_1699 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_1697);
																	if ((((long) 2) < BgL_odepthz00_1699))
																		{	/* Object/slots.scm 257 */
																			obj_t BgL_arg1816z00_1701;

																			BgL_arg1816z00_1701 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_1697, ((long) 2));
																			BgL_res1969z00_1711 =
																				(BgL_arg1816z00_1701 ==
																				BgL_classz00_1681);
																		}
																	else
																		{	/* Object/slots.scm 257 */
																			BgL_res1969z00_1711 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2129z00_2520 = BgL_res1969z00_1711;
												}
										}
									else
										{	/* Object/slots.scm 257 */
											BgL_test2129z00_2520 = ((bool_t) 0);
										}
								}
								if (BgL_test2129z00_2520)
									{
										BgL_tclassz00_bglt BgL_auxz00_2540;

										{
											obj_t BgL_auxz00_2541;

											{	/* Object/slots.scm 260 */
												BgL_objectz00_bglt BgL_tmpz00_2542;

												BgL_tmpz00_2542 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_superz00_65));
												BgL_auxz00_2541 = BGL_OBJECT_WIDENING(BgL_tmpz00_2542);
											}
											BgL_auxz00_2540 = ((BgL_tclassz00_bglt) BgL_auxz00_2541);
										}
										BgL_sslotsz00_831 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2540))->
											BgL_slotsz00);
									}
								else
									{	/* Object/slots.scm 257 */
										BgL_sslotsz00_831 = BNIL;
									}
							}
						else
							{	/* Object/slots.scm 255 */
								BgL_sslotsz00_831 = BNIL;
							}
					}
					{	/* Object/slots.scm 261 */
						long BgL_g1100z00_833;

						BgL_g1100z00_833 = bgl_list_length(BgL_sslotsz00_831);
						{
							obj_t BgL_clausesz00_835;
							obj_t BgL_nslotsz00_836;
							obj_t BgL_sslotsz00_837;
							obj_t BgL_vnumz00_838;
							long BgL_indexz00_839;

							BgL_clausesz00_835 = BgL_clausesz00_64;
							BgL_nslotsz00_836 = BNIL;
							BgL_sslotsz00_837 = BgL_sslotsz00_831;
							BgL_vnumz00_838 = BINT(BgL_vnumz00_66);
							BgL_indexz00_839 = BgL_g1100z00_833;
						BgL_zc3z04anonymousza31205ze3z87_840:
							if (NULLP(BgL_clausesz00_835))
								{	/* Object/slots.scm 266 */
									BgL_nslotsz00_1085 = BgL_nslotsz00_836;
									BgL_sslotsz00_1086 = BgL_sslotsz00_837;
									BgL_classz00_1087 = BgL_classz00_63;
									{
										obj_t BgL_l1165z00_1090;

										BgL_l1165z00_1090 = BgL_nslotsz00_1085;
									BgL_zc3z04anonymousza31600ze3z87_1091:
										if (PAIRP(BgL_l1165z00_1090))
											{	/* Object/slots.scm 228 */
												BgL_nslotz00_1056 = CAR(BgL_l1165z00_1090);
												BgL_sslotsz00_1057 = BgL_sslotsz00_1086;
												BgL_classz00_1058 = BgL_classz00_1087;
												if (
													((long) CINT(
															(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_nslotz00_1056)))->
																BgL_virtualzd2numzd2)) >= ((long) 0)))
													{	/* Object/slots.scm 219 */
														BFALSE;
													}
												else
													{	/* Object/slots.scm 220 */
														obj_t BgL_idz00_1061;

														BgL_idz00_1061 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_nslotz00_1056)))->
															BgL_idz00);
														{	/* Object/slots.scm 221 */
															bool_t BgL_test2137z00_2560;

															{
																obj_t BgL_l1162z00_1077;

																BgL_l1162z00_1077 = BgL_sslotsz00_1057;
															BgL_zc3z04anonymousza31589ze3z87_1078:
																if (NULLP(BgL_l1162z00_1077))
																	{	/* Object/slots.scm 221 */
																		BgL_test2137z00_2560 = ((bool_t) 0);
																	}
																else
																	{	/* Object/slots.scm 221 */
																		bool_t BgL__ortest_1164z00_1080;

																		BgL__ortest_1164z00_1080 =
																			(
																			(((BgL_slotz00_bglt) COBJECT(
																						((BgL_slotz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_l1162z00_1077)))))->
																				BgL_idz00) == BgL_idz00_1061);
																		if (BgL__ortest_1164z00_1080)
																			{	/* Object/slots.scm 221 */
																				BgL_test2137z00_2560 =
																					BgL__ortest_1164z00_1080;
																			}
																		else
																			{
																				obj_t BgL_l1162z00_2569;

																				BgL_l1162z00_2569 =
																					CDR(((obj_t) BgL_l1162z00_1077));
																				BgL_l1162z00_1077 = BgL_l1162z00_2569;
																				goto
																					BgL_zc3z04anonymousza31589ze3z87_1078;
																			}
																	}
															}
															if (BgL_test2137z00_2560)
																{	/* Object/slots.scm 222 */
																	obj_t BgL_arg1580z00_1072;
																	obj_t BgL_arg1581z00_1073;

																	{	/* Object/slots.scm 222 */
																		obj_t BgL_arg1588z00_1075;

																		BgL_arg1588z00_1075 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						BgL_nslotz00_1056)))->BgL_srcz00);
																		BgL_arg1580z00_1072 =
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_arg1588z00_1075);
																	}
																	BgL_arg1581z00_1073 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_classz00_1058)))->BgL_idz00);
																	BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_arg1580z00_1072, BgL_arg1581z00_1073,
																		BGl_string1977z00zzobject_slotsz00,
																		BgL_idz00_1061, BNIL);
																}
															else
																{	/* Object/slots.scm 221 */
																	BFALSE;
																}
														}
													}
												{
													obj_t BgL_l1165z00_2579;

													BgL_l1165z00_2579 = CDR(BgL_l1165z00_1090);
													BgL_l1165z00_1090 = BgL_l1165z00_2579;
													goto BgL_zc3z04anonymousza31600ze3z87_1091;
												}
											}
										else
											{	/* Object/slots.scm 228 */
												((bool_t) 1);
											}
									}
									return
										BGl_appendzd221011zd2zzobject_slotsz00(BgL_sslotsz00_837,
										bgl_reverse(BgL_nslotsz00_836));
								}
							else
								{	/* Object/slots.scm 271 */
									obj_t BgL_sz00_843;

									BgL_sz00_843 = CAR(((obj_t) BgL_clausesz00_835));
									{
										obj_t BgL_idz00_844;
										obj_t BgL_attrz00_845;
										obj_t BgL_idz00_847;

										if (PAIRP(BgL_sz00_843))
											{	/* Object/slots.scm 272 */
												obj_t BgL_carzd2431zd2_852;

												BgL_carzd2431zd2_852 = CAR(((obj_t) BgL_sz00_843));
												if (PAIRP(BgL_carzd2431zd2_852))
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2435zd2_854;

														BgL_cdrzd2435zd2_854 = CDR(BgL_carzd2431zd2_852);
														if (
															(CAR(BgL_carzd2431zd2_852) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2435zd2_854))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2435zd2_854)))
																			{	/* Object/slots.scm 272 */
																				obj_t BgL_arg1220z00_860;
																				obj_t BgL_arg1224z00_861;

																				BgL_arg1220z00_860 =
																					CAR(BgL_cdrzd2435zd2_854);
																				BgL_arg1224z00_861 =
																					CDR(((obj_t) BgL_sz00_843));
																				BgL_idz00_844 = BgL_arg1220z00_860;
																				BgL_attrz00_845 = BgL_arg1224z00_861;
																				{	/* Object/slots.scm 274 */
																					obj_t BgL_vgetz00_873;

																					BgL_attrz00_974 = BgL_attrz00_845;
																					{
																						obj_t BgL_attrz00_977;
																						obj_t BgL_getz00_978;
																						obj_t BgL_setz00_979;

																						BgL_attrz00_977 = BgL_attrz00_974;
																						BgL_getz00_978 = BFALSE;
																						BgL_setz00_979 = BFALSE;
																					BgL_zc3z04anonymousza31364ze3z87_980:
																						if (PAIRP(BgL_attrz00_977))
																							{

																								{	/* Object/slots.scm 159 */
																									obj_t BgL_ezd2399zd2_987;

																									BgL_ezd2399zd2_987 =
																										CAR(BgL_attrz00_977);
																									if (PAIRP(BgL_ezd2399zd2_987))
																										{	/* Object/slots.scm 159 */
																											obj_t
																												BgL_cdrzd2404zd2_989;
																											BgL_cdrzd2404zd2_989 =
																												CDR(BgL_ezd2399zd2_987);
																											if ((CAR
																													(BgL_ezd2399zd2_987)
																													==
																													CNST_TABLE_REF(((long)
																															0))))
																												{	/* Object/slots.scm 159 */
																													if (PAIRP
																														(BgL_cdrzd2404zd2_989))
																														{	/* Object/slots.scm 159 */
																															if (NULLP(CDR
																																	(BgL_cdrzd2404zd2_989)))
																																{
																																	obj_t
																																		BgL_getz00_2621;
																																	obj_t
																																		BgL_attrz00_2619;
																																	BgL_attrz00_2619
																																		=
																																		CDR
																																		(BgL_attrz00_977);
																																	BgL_getz00_2621
																																		=
																																		CAR
																																		(BgL_cdrzd2404zd2_989);
																																	BgL_getz00_978
																																		=
																																		BgL_getz00_2621;
																																	BgL_attrz00_977
																																		=
																																		BgL_attrz00_2619;
																																	goto
																																		BgL_zc3z04anonymousza31364ze3z87_980;
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																BgL_tagzd2398zd2_986:
																																	{	/* Object/slots.scm 165 */
																																		obj_t
																																			BgL_arg1467z00_1009;
																																		BgL_arg1467z00_1009
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_attrz00_977));
																																		{
																																			obj_t
																																				BgL_attrz00_2625;
																																			BgL_attrz00_2625
																																				=
																																				BgL_arg1467z00_1009;
																																			BgL_attrz00_977
																																				=
																																				BgL_attrz00_2625;
																																			goto
																																				BgL_zc3z04anonymousza31364ze3z87_980;
																																		}
																																	}
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_986;
																														}
																												}
																											else
																												{	/* Object/slots.scm 159 */
																													if (
																														(CAR
																															(BgL_ezd2399zd2_987)
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{	/* Object/slots.scm 159 */
																															if (PAIRP
																																(BgL_cdrzd2404zd2_989))
																																{	/* Object/slots.scm 159 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd2404zd2_989)))
																																		{
																																			obj_t
																																				BgL_setz00_2637;
																																			obj_t
																																				BgL_attrz00_2635;
																																			BgL_attrz00_2635
																																				=
																																				CDR
																																				(BgL_attrz00_977);
																																			BgL_setz00_2637
																																				=
																																				CAR
																																				(BgL_cdrzd2404zd2_989);
																																			BgL_setz00_979
																																				=
																																				BgL_setz00_2637;
																																			BgL_attrz00_977
																																				=
																																				BgL_attrz00_2635;
																																			goto
																																				BgL_zc3z04anonymousza31364ze3z87_980;
																																		}
																																	else
																																		{	/* Object/slots.scm 159 */
																																			goto
																																				BgL_tagzd2398zd2_986;
																																		}
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																	goto
																																		BgL_tagzd2398zd2_986;
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_986;
																														}
																												}
																										}
																									else
																										{	/* Object/slots.scm 159 */
																											goto BgL_tagzd2398zd2_986;
																										}
																								}
																							}
																						else
																							{	/* Object/slots.scm 157 */
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2639;

																									BgL_tmpz00_2639 =
																										(int) (((long) 2));
																									BGL_MVALUES_NUMBER_SET
																										(BgL_tmpz00_2639);
																								}
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2642;

																									BgL_tmpz00_2642 =
																										(int) (((long) 1));
																									BGL_MVALUES_VAL_SET
																										(BgL_tmpz00_2642,
																										BgL_setz00_979);
																								}
																								BgL_vgetz00_873 =
																									BgL_getz00_978;
																					}}
																					{	/* Object/slots.scm 275 */
																						obj_t BgL_vsetz00_874;

																						{	/* Object/slots.scm 277 */
																							obj_t BgL_tmpz00_1715;

																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2645;

																								BgL_tmpz00_2645 =
																									(int) (((long) 1));
																								BgL_tmpz00_1715 =
																									BGL_MVALUES_VAL
																									(BgL_tmpz00_2645);
																							}
																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2648;

																								BgL_tmpz00_2648 =
																									(int) (((long) 1));
																								BGL_MVALUES_VAL_SET
																									(BgL_tmpz00_2648, BUNSPEC);
																							}
																							BgL_vsetz00_874 = BgL_tmpz00_1715;
																						}
																						{	/* Object/slots.scm 277 */
																							bool_t BgL_test2153z00_2651;

																							if (CBOOL(BgL_vgetz00_873))
																								{	/* Object/slots.scm 277 */
																									BgL_test2153z00_2651 =
																										CBOOL
																										(BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																										(CAR(((obj_t)
																													BgL_idz00_844)),
																											BgL_nslotsz00_836));
																								}
																							else
																								{	/* Object/slots.scm 277 */
																									BgL_test2153z00_2651 =
																										((bool_t) 0);
																								}
																							if (BgL_test2153z00_2651)
																								{	/* Object/slots.scm 278 */
																									obj_t BgL_arg1266z00_877;
																									obj_t BgL_arg1267z00_878;
																									obj_t BgL_arg1268z00_879;

																									BgL_arg1266z00_877 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sz00_843);
																									BgL_arg1267z00_878 =
																										CAR(((obj_t)
																											BgL_idz00_844));
																									BgL_arg1268z00_879 =
																										CAR(((obj_t)
																											BgL_idz00_844));
																									return
																										BGl_userzd2errorzf2locationz20zztools_errorz00
																										(BgL_arg1266z00_877,
																										BgL_arg1267z00_878,
																										BGl_string1979z00zzobject_slotsz00,
																										BgL_arg1268z00_879, BNIL);
																								}
																							else
																								{	/* Object/slots.scm 282 */
																									obj_t BgL_g1102z00_881;

																									if (CBOOL(BgL_vgetz00_873))
																										{	/* Object/slots.scm 282 */
																											BgL_g1102z00_881 =
																												BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																												(CAR(((obj_t)
																														BgL_idz00_844)),
																												BgL_sslotsz00_837);
																										}
																									else
																										{	/* Object/slots.scm 282 */
																											BgL_g1102z00_881 = BFALSE;
																										}
																									if (CBOOL(BgL_g1102z00_881))
																										{	/* Object/slots.scm 282 */
																											{	/* Object/slots.scm 285 */
																												bool_t
																													BgL_test2157z00_2671;
																												{	/* Object/slots.scm 285 */
																													bool_t
																														BgL_test2158z00_2672;
																													{	/* Object/slots.scm 285 */
																														int
																															BgL_a1167z00_900;
																														BgL_a1167z00_900 =
																															BGl_bigloozd2warningzd2zz__paramz00
																															();
																														{	/* Object/slots.scm 285 */

																															BgL_test2158z00_2672
																																=
																																((long)
																																(BgL_a1167z00_900)
																																>= ((long) 2));
																													}}
																													if (BgL_test2158z00_2672)
																														{	/* Object/slots.scm 285 */
																															BgL_test2157z00_2671
																																=
																																CBOOL
																																(BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00);
																														}
																													else
																														{	/* Object/slots.scm 285 */
																															BgL_test2157z00_2671
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2157z00_2671)
																													{	/* Object/slots.scm 287 */
																														obj_t
																															BgL_arg1273z00_892;
																														obj_t
																															BgL_arg1276z00_893;
																														obj_t
																															BgL_arg1278z00_894;
																														obj_t
																															BgL_arg1281z00_895;
																														BgL_arg1273z00_892 =
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sz00_843);
																														BgL_arg1276z00_893 =
																															CAR(((obj_t)
																																BgL_idz00_844));
																														{	/* Object/slots.scm 290 */
																															obj_t
																																BgL_arg1282z00_896;
																															BgL_arg1282z00_896
																																=
																																(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) (((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_g1102z00_881)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																															{	/* Object/slots.scm 289 */
																																obj_t
																																	BgL_list1283z00_897;
																																BgL_list1283z00_897
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1282z00_896,
																																	BNIL);
																																BgL_arg1278z00_894
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string1980z00zzobject_slotsz00,
																																	BgL_list1283z00_897);
																															}
																														}
																														BgL_arg1281z00_895 =
																															CAR(
																															((obj_t)
																																BgL_idz00_844));
																														BGl_userzd2warningzf2locationz20zztools_errorz00
																															(BgL_arg1273z00_892,
																															BgL_arg1276z00_893,
																															BgL_arg1278z00_894,
																															BgL_arg1281z00_895);
																													}
																												else
																													{	/* Object/slots.scm 285 */
																														BFALSE;
																													}
																											}
																											{	/* Object/slots.scm 292 */
																												obj_t BgL_vnz00_903;
																												long BgL_viz00_904;

																												BgL_vnz00_903 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1102z00_881)))->
																													BgL_virtualzd2numzd2);
																												BgL_viz00_904 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1102z00_881)))->
																													BgL_indexz00);
																												{	/* Object/slots.scm 294 */
																													obj_t
																														BgL_arg1287z00_905;
																													obj_t
																														BgL_arg1292z00_906;
																													BgL_arg1287z00_905 =
																														CDR(((obj_t)
																															BgL_clausesz00_835));
																													BgL_arg1292z00_906 =
																														BGl_loopze70ze7zzobject_slotsz00
																														(BgL_g1102z00_881,
																														BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																														(BgL_classz00_63,
																															BgL_sz00_843,
																															BgL_idz00_844,
																															BgL_attrz00_845,
																															BgL_vgetz00_873,
																															BgL_vsetz00_874,
																															BgL_vnz00_903,
																															((bool_t) 1),
																															BgL_viz00_904),
																														BgL_sslotsz00_837);
																													{
																														obj_t
																															BgL_sslotsz00_2698;
																														obj_t
																															BgL_clausesz00_2697;
																														BgL_clausesz00_2697
																															=
																															BgL_arg1287z00_905;
																														BgL_sslotsz00_2698 =
																															BgL_arg1292z00_906;
																														BgL_sslotsz00_837 =
																															BgL_sslotsz00_2698;
																														BgL_clausesz00_835 =
																															BgL_clausesz00_2697;
																														goto
																															BgL_zc3z04anonymousza31205ze3z87_840;
																													}
																												}
																											}
																										}
																									else
																										{	/* Object/slots.scm 302 */
																											obj_t BgL_arg1294z00_908;
																											obj_t BgL_arg1295z00_909;
																											obj_t BgL_arg1296z00_910;
																											long BgL_arg1298z00_911;

																											BgL_arg1294z00_908 =
																												CDR(
																												((obj_t)
																													BgL_clausesz00_835));
																											BgL_arg1295z00_909 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																												(BgL_classz00_63,
																													BgL_sz00_843,
																													BgL_idz00_844,
																													BgL_attrz00_845,
																													BgL_vgetz00_873,
																													BgL_vsetz00_874,
																													BgL_vnumz00_838,
																													((bool_t) 0),
																													BgL_indexz00_839),
																												BgL_nslotsz00_836);
																											{	/* Object/slots.scm 306 */
																												bool_t
																													BgL_test2159z00_2703;
																												if (CBOOL
																													(BgL_vgetz00_873))
																													{	/* Object/slots.scm 306 */
																														BgL_test2159z00_2703
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_test2159z00_2703
																															=
																															CBOOL
																															(BgL_vsetz00_874);
																													}
																												if (BgL_test2159z00_2703)
																													{	/* Object/slots.scm 306 */
																														if (INTEGERP
																															(BgL_vnumz00_838))
																															{	/* Object/slots.scm 306 */
																																obj_t
																																	BgL_resz00_1732;
																																BgL_resz00_1732
																																	=
																																	BINT(((long)
																																		0));
																																{	/* Object/slots.scm 306 */
																																	bool_t
																																		BgL_test2162z00_2710;
																																	{	/* Object/slots.scm 306 */
																																		obj_t
																																			BgL_tmpz00_2711;
																																		BgL_tmpz00_2711
																																			=
																																			BINT((
																																				(long)
																																				1));
																																		BgL_test2162z00_2710
																																			=
																																			BGL_ADDFX_OV
																																			(BgL_vnumz00_838,
																																			BgL_tmpz00_2711,
																																			BgL_resz00_1732);
																																	}
																																	if (BgL_test2162z00_2710)
																																		{	/* Object/slots.scm 306 */
																																			BgL_arg1296z00_910
																																				=
																																				bgl_bignum_add
																																				(bgl_long_to_bignum
																																				((long)
																																					CINT
																																					(BgL_vnumz00_838)),
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																		}
																																	else
																																		{	/* Object/slots.scm 306 */
																																			BgL_arg1296z00_910
																																				=
																																				BgL_resz00_1732;
																																		}
																																}
																															}
																														else
																															{	/* Object/slots.scm 306 */
																																BgL_arg1296z00_910
																																	=
																																	BGl_2zb2zb2zz__r4_numbers_6_5z00
																																	(BgL_vnumz00_838,
																																	BINT(((long)
																																			1)));
																													}}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_arg1296z00_910 =
																															BgL_vnumz00_838;
																													}
																											}
																											BgL_arg1298z00_911 =
																												(BgL_indexz00_839 +
																												((long) 1));
																											{
																												long BgL_indexz00_2724;
																												obj_t BgL_vnumz00_2723;
																												obj_t
																													BgL_nslotsz00_2722;
																												obj_t
																													BgL_clausesz00_2721;
																												BgL_clausesz00_2721 =
																													BgL_arg1294z00_908;
																												BgL_nslotsz00_2722 =
																													BgL_arg1295z00_909;
																												BgL_vnumz00_2723 =
																													BgL_arg1296z00_910;
																												BgL_indexz00_2724 =
																													BgL_arg1298z00_911;
																												BgL_indexz00_839 =
																													BgL_indexz00_2724;
																												BgL_vnumz00_838 =
																													BgL_vnumz00_2723;
																												BgL_nslotsz00_836 =
																													BgL_nslotsz00_2722;
																												BgL_clausesz00_835 =
																													BgL_clausesz00_2721;
																												goto
																													BgL_zc3z04anonymousza31205ze3z87_840;
																											}
																										}
																								}
																						}
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																			BgL_tagzd2425zd2_849:
																				{	/* Object/slots.scm 315 */
																					obj_t BgL_arg1308z00_921;
																					obj_t BgL_arg1309z00_922;

																					BgL_arg1308z00_921 =
																						BGl_findzd2locationzd2zztools_locationz00
																						(BgL_sz00_843);
																					BgL_arg1309z00_922 =
																						(((BgL_typez00_bglt)
																							COBJECT(((BgL_typez00_bglt)
																									BgL_classz00_63)))->
																						BgL_idz00);
																					return
																						BGl_userzd2errorzf2locationz20zztools_errorz00
																						(BgL_arg1308z00_921,
																						BgL_arg1309z00_922,
																						BGl_string1978z00zzobject_slotsz00,
																						BgL_sz00_843, BNIL);
																				}
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_849;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_849;
															}
													}
												else
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2450zd2_864;

														BgL_cdrzd2450zd2_864 = CDR(((obj_t) BgL_sz00_843));
														if (
															(BgL_carzd2431zd2_852 ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2450zd2_864))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2450zd2_864)))
																			{	/* Object/slots.scm 272 */
																				BgL_idz00_847 =
																					CAR(BgL_cdrzd2450zd2_864);
																				{	/* Object/slots.scm 309 */
																					obj_t BgL_arg1304z00_917;
																					obj_t BgL_arg1305z00_918;
																					long BgL_arg1306z00_919;

																					BgL_arg1304z00_917 =
																						CDR(((obj_t) BgL_clausesz00_835));
																					{	/* Object/slots.scm 310 */
																						BgL_slotz00_bglt BgL_arg1307z00_920;

																						BgL_slotzd2idzd2_1112 =
																							BgL_idz00_847;
																						BgL_indexz00_1113 =
																							BgL_indexz00_839;
																						{	/* Object/slots.scm 244 */
																							BgL_slotz00_bglt
																								BgL_new1098z00_1115;
																							{	/* Object/slots.scm 245 */
																								BgL_slotz00_bglt
																									BgL_new1097z00_1119;
																								BgL_new1097z00_1119 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 245 */
																									long BgL_arg1641z00_1120;

																									BgL_arg1641z00_1120 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1097z00_1119),
																										BgL_arg1641z00_1120);
																								}
																								BgL_new1098z00_1115 =
																									BgL_new1097z00_1119;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_idz00) =
																								((obj_t) CAR(((obj_t)
																											BgL_slotzd2idzd2_1112))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2748;

																								{	/* Object/slots.scm 247 */
																									obj_t BgL_arg1635z00_1116;

																									BgL_arg1635z00_1116 =
																										CAR(
																										((obj_t)
																											BgL_slotzd2idzd2_1112));
																									BgL_auxz00_2748 =
																										BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
																										(BgL_arg1635z00_1116);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1098z00_1115))->
																										BgL_namez00) =
																									((obj_t) BgL_auxz00_2748),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_srcz00) =
																								((obj_t) BgL_slotzd2idzd2_1112),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_63)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1113),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1112,
																										BgL_srcz00_67)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2760;

																								{	/* Object/slots.scm 251 */
																									obj_t BgL_arg1636z00_1117;

																									{	/* Object/slots.scm 251 */
																										obj_t BgL_arg1639z00_1118;

																										{	/* Object/slots.scm 251 */
																											obj_t BgL_classz00_1648;

																											BgL_classz00_1648 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1639z00_1118 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1648);
																										}
																										BgL_arg1636z00_1117 =
																											VECTOR_REF
																											(BgL_arg1639z00_1118,
																											((long) 7));
																									}
																									BgL_auxz00_2760 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1636z00_1117);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1098z00_1115))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_2760),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1115))->
																									BgL_userzd2infozd2) =
																								((obj_t) BFALSE), BUNSPEC);
																							BgL_arg1307z00_920 =
																								BgL_new1098z00_1115;
																						}
																						BgL_arg1305z00_918 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1307z00_920),
																							BgL_nslotsz00_836);
																					}
																					BgL_arg1306z00_919 =
																						(BgL_indexz00_839 + ((long) 1));
																					{
																						long BgL_indexz00_2776;
																						obj_t BgL_nslotsz00_2775;
																						obj_t BgL_clausesz00_2774;

																						BgL_clausesz00_2774 =
																							BgL_arg1304z00_917;
																						BgL_nslotsz00_2775 =
																							BgL_arg1305z00_918;
																						BgL_indexz00_2776 =
																							BgL_arg1306z00_919;
																						BgL_indexz00_839 =
																							BgL_indexz00_2776;
																						BgL_nslotsz00_836 =
																							BgL_nslotsz00_2775;
																						BgL_clausesz00_835 =
																							BgL_clausesz00_2774;
																						goto
																							BgL_zc3z04anonymousza31205ze3z87_840;
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																				goto BgL_tagzd2425zd2_849;
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_849;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_849;
															}
													}
											}
										else
											{	/* Object/slots.scm 272 */
												goto BgL_tagzd2425zd2_849;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t BgL_oldz00_2224,
		obj_t BgL_newz00_2223, obj_t BgL_lstz00_1101)
	{
		{	/* Object/slots.scm 233 */
			if (NULLP(BgL_lstz00_1101))
				{	/* Object/slots.scm 235 */
					return BgL_lstz00_1101;
				}
			else
				{	/* Object/slots.scm 235 */
					if ((CAR(((obj_t) BgL_lstz00_1101)) == BgL_oldz00_2224))
						{	/* Object/slots.scm 238 */
							obj_t BgL_arg1616z00_1106;

							BgL_arg1616z00_1106 = CDR(((obj_t) BgL_lstz00_1101));
							return MAKE_YOUNG_PAIR(BgL_newz00_2223, BgL_arg1616z00_1106);
						}
					else
						{	/* Object/slots.scm 240 */
							obj_t BgL_arg1625z00_1107;
							obj_t BgL_arg1629z00_1108;

							BgL_arg1625z00_1107 = CAR(((obj_t) BgL_lstz00_1101));
							{	/* Object/slots.scm 240 */
								obj_t BgL_arg1630z00_1109;

								BgL_arg1630z00_1109 = CDR(((obj_t) BgL_lstz00_1101));
								BgL_arg1629z00_1108 =
									BGl_loopze70ze7zzobject_slotsz00(BgL_oldz00_2224,
									BgL_newz00_2223, BgL_arg1630z00_1109);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1625z00_1107, BgL_arg1629z00_1108);
						}
				}
		}

	}



/* slot-member?~0 */
	obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t BgL_idz00_1013,
		obj_t BgL_slotzd2listzd2_1014)
	{
		{	/* Object/slots.scm 177 */
			{
				obj_t BgL_slotzd2listzd2_1017;

				BgL_slotzd2listzd2_1017 = BgL_slotzd2listzd2_1014;
			BgL_zc3z04anonymousza31469ze3z87_1018:
				if (NULLP(BgL_slotzd2listzd2_1017))
					{	/* Object/slots.scm 172 */
						return BFALSE;
					}
				else
					{	/* Object/slots.scm 172 */
						if (
							((((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt)
												CAR(
													((obj_t) BgL_slotzd2listzd2_1017)))))->BgL_idz00) ==
								BgL_idz00_1013))
							{	/* Object/slots.scm 174 */
								return CAR(((obj_t) BgL_slotzd2listzd2_1017));
							}
						else
							{
								obj_t BgL_slotzd2listzd2_2804;

								BgL_slotzd2listzd2_2804 =
									CDR(((obj_t) BgL_slotzd2listzd2_1017));
								BgL_slotzd2listzd2_1017 = BgL_slotzd2listzd2_2804;
								goto BgL_zc3z04anonymousza31469ze3z87_1018;
							}
					}
			}
		}

	}



/* make-attribute-slot~0 */
	obj_t BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_2225, obj_t BgL_sz00_1027, obj_t BgL_slotzd2idzd2_1028,
		obj_t BgL_attrz00_1029, obj_t BgL_vgetz00_1030, obj_t BgL_vsetz00_1031,
		obj_t BgL_vnumz00_1032, bool_t BgL_voverz00_1033, long BgL_indexz00_1034)
	{
		{	/* Object/slots.scm 216 */
			{
				obj_t BgL_attrz00_927;
				obj_t BgL_attrz00_956;

				{	/* Object/slots.scm 182 */
					obj_t BgL_readozf3zf3_1036;

					BgL_readozf3zf3_1036 =
						BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(((long) 7)),
						BgL_attrz00_1029);
					{	/* Object/slots.scm 184 */
						bool_t BgL_test2170z00_2809;

						if (CBOOL(BgL_vsetz00_1031))
							{	/* Object/slots.scm 184 */
								if (CBOOL(BgL_vgetz00_1030))
									{	/* Object/slots.scm 184 */
										BgL_test2170z00_2809 = ((bool_t) 0);
									}
								else
									{	/* Object/slots.scm 184 */
										BgL_test2170z00_2809 = ((bool_t) 1);
									}
							}
						else
							{	/* Object/slots.scm 184 */
								BgL_test2170z00_2809 = ((bool_t) 0);
							}
						if (BgL_test2170z00_2809)
							{	/* Object/slots.scm 185 */
								obj_t BgL_arg1521z00_1038;
								obj_t BgL_arg1522z00_1039;
								obj_t BgL_arg1523z00_1040;

								BgL_arg1521z00_1038 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1027);
								BgL_arg1522z00_1039 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_classz00_2225)))->BgL_idz00);
								BgL_arg1523z00_1040 = CAR(((obj_t) BgL_slotzd2idzd2_1028));
								{	/* Object/slots.scm 185 */
									obj_t BgL_list1524z00_1041;

									BgL_list1524z00_1041 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1521z00_1038, BgL_arg1522z00_1039,
										BGl_string1981z00zzobject_slotsz00, BgL_arg1523z00_1040,
										BgL_list1524z00_1041);
								}
							}
						else
							{	/* Object/slots.scm 190 */
								bool_t BgL_test2173z00_2821;

								if (CBOOL(BgL_vsetz00_1031))
									{	/* Object/slots.scm 190 */
										BgL_test2173z00_2821 = CBOOL(BgL_readozf3zf3_1036);
									}
								else
									{	/* Object/slots.scm 190 */
										BgL_test2173z00_2821 = ((bool_t) 0);
									}
								if (BgL_test2173z00_2821)
									{	/* Object/slots.scm 191 */
										obj_t BgL_arg1526z00_1043;
										obj_t BgL_arg1529z00_1044;
										obj_t BgL_arg1532z00_1045;

										BgL_arg1526z00_1043 =
											BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1027);
										BgL_arg1529z00_1044 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_classz00_2225)))->BgL_idz00);
										BgL_arg1532z00_1045 = CAR(((obj_t) BgL_slotzd2idzd2_1028));
										{	/* Object/slots.scm 191 */
											obj_t BgL_list1533z00_1046;

											BgL_list1533z00_1046 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg1526z00_1043, BgL_arg1529z00_1044,
												BGl_string1982z00zzobject_slotsz00, BgL_arg1532z00_1045,
												BgL_list1533z00_1046);
										}
									}
								else
									{	/* Object/slots.scm 196 */
										bool_t BgL_test2175z00_2832;

										if (CBOOL(BgL_vgetz00_1030))
											{	/* Object/slots.scm 196 */
												if (CBOOL(BgL_vsetz00_1031))
													{	/* Object/slots.scm 196 */
														BgL_test2175z00_2832 = ((bool_t) 0);
													}
												else
													{	/* Object/slots.scm 196 */
														if (CBOOL(BgL_readozf3zf3_1036))
															{	/* Object/slots.scm 196 */
																BgL_test2175z00_2832 = ((bool_t) 0);
															}
														else
															{	/* Object/slots.scm 196 */
																BgL_test2175z00_2832 = ((bool_t) 1);
															}
													}
											}
										else
											{	/* Object/slots.scm 196 */
												BgL_test2175z00_2832 = ((bool_t) 0);
											}
										if (BgL_test2175z00_2832)
											{	/* Object/slots.scm 197 */
												obj_t BgL_arg1535z00_1048;
												obj_t BgL_arg1558z00_1049;
												obj_t BgL_arg1559z00_1050;

												BgL_arg1535z00_1048 =
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_sz00_1027);
												BgL_arg1558z00_1049 =
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																BgL_classz00_2225)))->BgL_idz00);
												BgL_arg1559z00_1050 =
													CAR(((obj_t) BgL_slotzd2idzd2_1028));
												{	/* Object/slots.scm 197 */
													obj_t BgL_list1560z00_1051;

													BgL_list1560z00_1051 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1535z00_1048, BgL_arg1558z00_1049,
														BGl_string1983z00zzobject_slotsz00,
														BgL_arg1559z00_1050, BgL_list1560z00_1051);
												}
											}
										else
											{	/* Object/slots.scm 203 */
												BgL_slotz00_bglt BgL_new1095z00_1052;

												{	/* Object/slots.scm 204 */
													BgL_slotz00_bglt BgL_new1094z00_1054;

													BgL_new1094z00_1054 =
														((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_slotz00_bgl))));
													{	/* Object/slots.scm 204 */
														long BgL_arg1565z00_1055;

														BgL_arg1565z00_1055 =
															BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1094z00_1054),
															BgL_arg1565z00_1055);
													}
													BgL_new1095z00_1052 = BgL_new1094z00_1054;
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_idz00) =
													((obj_t) CAR(((obj_t) BgL_slotzd2idzd2_1028))),
													BUNSPEC);
												{
													obj_t BgL_auxz00_2853;

													{	/* Object/slots.scm 206 */
														obj_t BgL_arg1561z00_1053;

														BgL_arg1561z00_1053 =
															CAR(((obj_t) BgL_slotzd2idzd2_1028));
														BgL_auxz00_2853 =
															BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
															(BgL_arg1561z00_1053);
													}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
															BgL_namez00) =
														((obj_t) BgL_auxz00_2853), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_srcz00) = ((obj_t) BgL_sz00_1027), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_classzd2ownerzd2) =
													((obj_t) ((obj_t) BgL_classz00_2225)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_indexz00) =
													((long) BgL_indexz00_1034), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_typez00) =
													((obj_t)
														BGl_findzd2slotzd2typez00zzobject_slotsz00
														(BgL_slotzd2idzd2_1028, BgL_sz00_1027)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_readzd2onlyzf3z21) =
													((bool_t) CBOOL(BgL_readozf3zf3_1036)), BUNSPEC);
												{
													obj_t BgL_auxz00_2866;

													BgL_attrz00_927 = BgL_attrz00_1029;
												BgL_zc3z04anonymousza31313ze3z87_928:
													if (PAIRP(BgL_attrz00_927))
														{

															{	/* Object/slots.scm 134 */
																obj_t BgL_ezd2362zd2_935;

																BgL_ezd2362zd2_935 = CAR(BgL_attrz00_927);
																if (PAIRP(BgL_ezd2362zd2_935))
																	{	/* Object/slots.scm 134 */
																		obj_t BgL_cdrzd2366zd2_937;

																		BgL_cdrzd2366zd2_937 =
																			CDR(BgL_ezd2362zd2_935);
																		if (
																			(CAR(BgL_ezd2362zd2_935) ==
																				CNST_TABLE_REF(((long) 5))))
																			{	/* Object/slots.scm 134 */
																				if (PAIRP(BgL_cdrzd2366zd2_937))
																					{	/* Object/slots.scm 134 */
																						if (NULLP(CDR
																								(BgL_cdrzd2366zd2_937)))
																							{	/* Object/slots.scm 134 */
																								BgL_auxz00_2866 =
																									CAR(BgL_cdrzd2366zd2_937);
																							}
																						else
																							{	/* Object/slots.scm 134 */
																							BgL_tagzd2361zd2_934:
																								{	/* Object/slots.scm 140 */
																									obj_t BgL_arg1347z00_955;

																									BgL_arg1347z00_955 =
																										CDR(
																										((obj_t) BgL_attrz00_927));
																									{
																										obj_t BgL_attrz00_2885;

																										BgL_attrz00_2885 =
																											BgL_arg1347z00_955;
																										BgL_attrz00_927 =
																											BgL_attrz00_2885;
																										goto
																											BgL_zc3z04anonymousza31313ze3z87_928;
																									}
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_934;
																					}
																			}
																		else
																			{	/* Object/slots.scm 134 */
																				if (
																					(CAR(BgL_ezd2362zd2_935) ==
																						CNST_TABLE_REF(((long) 6))))
																					{	/* Object/slots.scm 134 */
																						if (PAIRP(BgL_cdrzd2366zd2_937))
																							{	/* Object/slots.scm 134 */
																								if (NULLP(CDR
																										(BgL_cdrzd2366zd2_937)))
																									{	/* Object/slots.scm 134 */
																										obj_t BgL_arg1341z00_951;

																										BgL_arg1341z00_951 =
																											CAR(BgL_cdrzd2366zd2_937);
																										BgL_auxz00_2866 =
																											MAKE_YOUNG_PAIR
																											(BGl_slotzd2inlinezd2markz00zzobject_slotsz00,
																											BgL_arg1341z00_951);
																									}
																								else
																									{	/* Object/slots.scm 134 */
																										goto BgL_tagzd2361zd2_934;
																									}
																							}
																						else
																							{	/* Object/slots.scm 134 */
																								goto BgL_tagzd2361zd2_934;
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_934;
																					}
																			}
																	}
																else
																	{	/* Object/slots.scm 134 */
																		goto BgL_tagzd2361zd2_934;
																	}
															}
														}
													else
														{	/* Object/slots.scm 132 */
															BgL_auxz00_2866 =
																MAKE_YOUNG_PAIR(BINT(((long) 1)),
																BINT(((long) 2)));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
															BgL_defaultzd2valuezd2) =
														((obj_t) BgL_auxz00_2866), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_2901;

													if (CBOOL(BgL_vgetz00_1030))
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2901 = BgL_vnumz00_1032;
														}
													else
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2901 = BINT(((long) -1));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
															BgL_virtualzd2numzd2) =
														((obj_t) BgL_auxz00_2901), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_virtualzd2overridezd2) =
													((bool_t) BgL_voverz00_1033), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_getterz00) =
													((obj_t) BgL_vgetz00_1030), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
														BgL_setterz00) =
													((obj_t) BgL_vsetz00_1031), BUNSPEC);
												{
													obj_t BgL_auxz00_2909;

													BgL_attrz00_956 = BgL_attrz00_1029;
												BgL_zc3z04anonymousza31348ze3z87_957:
													if (PAIRP(BgL_attrz00_956))
														{

															{	/* Object/slots.scm 146 */
																obj_t BgL_ezd2387zd2_962;

																BgL_ezd2387zd2_962 = CAR(BgL_attrz00_956);
																if (PAIRP(BgL_ezd2387zd2_962))
																	{	/* Object/slots.scm 146 */
																		obj_t BgL_cdrzd2391zd2_964;

																		BgL_cdrzd2391zd2_964 =
																			CDR(BgL_ezd2387zd2_962);
																		if (
																			(CAR(BgL_ezd2387zd2_962) ==
																				CNST_TABLE_REF(((long) 4))))
																			{	/* Object/slots.scm 146 */
																				if (PAIRP(BgL_cdrzd2391zd2_964))
																					{	/* Object/slots.scm 146 */
																						if (NULLP(CDR
																								(BgL_cdrzd2391zd2_964)))
																							{	/* Object/slots.scm 146 */
																								BgL_auxz00_2909 =
																									CAR(BgL_cdrzd2391zd2_964);
																							}
																						else
																							{	/* Object/slots.scm 146 */
																							BgL_tagzd2386zd2_961:
																								{
																									obj_t BgL_attrz00_2926;

																									BgL_attrz00_2926 =
																										CDR(
																										((obj_t) BgL_attrz00_956));
																									BgL_attrz00_956 =
																										BgL_attrz00_2926;
																									goto
																										BgL_zc3z04anonymousza31348ze3z87_957;
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 146 */
																						goto BgL_tagzd2386zd2_961;
																					}
																			}
																		else
																			{	/* Object/slots.scm 146 */
																				goto BgL_tagzd2386zd2_961;
																			}
																	}
																else
																	{	/* Object/slots.scm 146 */
																		goto BgL_tagzd2386zd2_961;
																	}
															}
														}
													else
														{	/* Object/slots.scm 144 */
															BgL_auxz00_2909 = BFALSE;
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1052))->
															BgL_userzd2infozd2) =
														((obj_t) BgL_auxz00_2909), BUNSPEC);
												}
												return ((obj_t) BgL_new1095z00_1052);
											}
									}
							}
					}
				}
			}
		}

	}



/* &make-class-slots */
	obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t BgL_envz00_2074,
		obj_t BgL_classz00_2075, obj_t BgL_clausesz00_2076, obj_t BgL_superz00_2077,
		obj_t BgL_vnumz00_2078, obj_t BgL_srcz00_2079)
	{
		{	/* Object/slots.scm 128 */
			return
				BGl_makezd2classzd2slotsz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2075), BgL_clausesz00_2076,
				BgL_superz00_2077, CINT(BgL_vnumz00_2078), BgL_srcz00_2079);
		}

	}



/* make-java-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_68, obj_t BgL_clausesz00_69, obj_t BgL_superz00_70,
		obj_t BgL_srcz00_71)
	{
		{	/* Object/slots.scm 323 */
			{	/* Object/slots.scm 325 */
				obj_t BgL_locz00_1130;

				BgL_locz00_1130 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_71);
				{
					obj_t BgL_idz00_1170;
					obj_t BgL_jnamez00_1171;
					obj_t BgL_readozf3zf3_1172;
					obj_t BgL_srcz00_1173;
					obj_t BgL_identz00_1157;
					obj_t BgL_jnamez00_1158;
					obj_t BgL_readozf3zf3_1159;
					obj_t BgL_sz00_1160;
					long BgL_indexz00_1161;

					{	/* Object/slots.scm 356 */
						obj_t BgL_sslotsz00_1133;

						{	/* Object/slots.scm 357 */
							bool_t BgL_test2193z00_2935;

							{	/* Object/slots.scm 357 */
								obj_t BgL_classz00_1773;

								BgL_classz00_1773 = BGl_typez00zztype_typez00;
								if (BGL_OBJECTP(BgL_superz00_70))
									{	/* Object/slots.scm 357 */
										BgL_objectz00_bglt BgL_arg1820z00_1775;

										BgL_arg1820z00_1775 =
											(BgL_objectz00_bglt) (BgL_superz00_70);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Object/slots.scm 357 */
												long BgL_idxz00_1781;

												BgL_idxz00_1781 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1775);
												BgL_test2193z00_2935 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1781 + ((long) 1))) ==
													BgL_classz00_1773);
											}
										else
											{	/* Object/slots.scm 357 */
												bool_t BgL_res1970z00_1803;

												{	/* Object/slots.scm 357 */
													obj_t BgL_oclassz00_1789;

													{	/* Object/slots.scm 357 */
														long BgL_arg1828z00_1795;

														{	/* Object/slots.scm 357 */
															long BgL_arg1829z00_1796;

															BgL_arg1829z00_1796 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1775);
															BgL_arg1828z00_1795 =
																(BgL_arg1829z00_1796 - OBJECT_TYPE);
														}
														BgL_oclassz00_1789 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_1795);
													}
													{	/* Object/slots.scm 357 */
														bool_t BgL__ortest_1111z00_1790;

														BgL__ortest_1111z00_1790 =
															(BgL_classz00_1773 == BgL_oclassz00_1789);
														if (BgL__ortest_1111z00_1790)
															{	/* Object/slots.scm 357 */
																BgL_res1970z00_1803 = BgL__ortest_1111z00_1790;
															}
														else
															{	/* Object/slots.scm 357 */
																long BgL_odepthz00_1791;

																BgL_odepthz00_1791 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_1789);
																if ((((long) 1) < BgL_odepthz00_1791))
																	{	/* Object/slots.scm 357 */
																		obj_t BgL_arg1816z00_1793;

																		BgL_arg1816z00_1793 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_1789, ((long) 1));
																		BgL_res1970z00_1803 =
																			(BgL_arg1816z00_1793 ==
																			BgL_classz00_1773);
																	}
																else
																	{	/* Object/slots.scm 357 */
																		BgL_res1970z00_1803 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2193z00_2935 = BgL_res1970z00_1803;
											}
									}
								else
									{	/* Object/slots.scm 357 */
										BgL_test2193z00_2935 = ((bool_t) 0);
									}
							}
							if (BgL_test2193z00_2935)
								{	/* Object/slots.scm 359 */
									bool_t BgL_test2198z00_2955;

									{	/* Object/slots.scm 359 */
										obj_t BgL_classz00_1804;

										BgL_classz00_1804 = BGl_jclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_superz00_70))
											{	/* Object/slots.scm 359 */
												BgL_objectz00_bglt BgL_arg1820z00_1806;

												BgL_arg1820z00_1806 =
													(BgL_objectz00_bglt) (BgL_superz00_70);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Object/slots.scm 359 */
														long BgL_idxz00_1812;

														BgL_idxz00_1812 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1806);
														BgL_test2198z00_2955 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1812 + ((long) 2))) ==
															BgL_classz00_1804);
													}
												else
													{	/* Object/slots.scm 359 */
														bool_t BgL_res1971z00_1834;

														{	/* Object/slots.scm 359 */
															obj_t BgL_oclassz00_1820;

															{	/* Object/slots.scm 359 */
																long BgL_arg1828z00_1826;

																{	/* Object/slots.scm 359 */
																	long BgL_arg1829z00_1827;

																	BgL_arg1829z00_1827 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1806);
																	BgL_arg1828z00_1826 =
																		(BgL_arg1829z00_1827 - OBJECT_TYPE);
																}
																BgL_oclassz00_1820 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_1826);
															}
															{	/* Object/slots.scm 359 */
																bool_t BgL__ortest_1111z00_1821;

																BgL__ortest_1111z00_1821 =
																	(BgL_classz00_1804 == BgL_oclassz00_1820);
																if (BgL__ortest_1111z00_1821)
																	{	/* Object/slots.scm 359 */
																		BgL_res1971z00_1834 =
																			BgL__ortest_1111z00_1821;
																	}
																else
																	{	/* Object/slots.scm 359 */
																		long BgL_odepthz00_1822;

																		BgL_odepthz00_1822 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_1820);
																		if ((((long) 2) < BgL_odepthz00_1822))
																			{	/* Object/slots.scm 359 */
																				obj_t BgL_arg1816z00_1824;

																				BgL_arg1816z00_1824 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_1820, ((long) 2));
																				BgL_res1971z00_1834 =
																					(BgL_arg1816z00_1824 ==
																					BgL_classz00_1804);
																			}
																		else
																			{	/* Object/slots.scm 359 */
																				BgL_res1971z00_1834 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2198z00_2955 = BgL_res1971z00_1834;
													}
											}
										else
											{	/* Object/slots.scm 359 */
												BgL_test2198z00_2955 = ((bool_t) 0);
											}
									}
									if (BgL_test2198z00_2955)
										{	/* Object/slots.scm 362 */
											obj_t BgL_arg1661z00_1156;

											{
												BgL_jclassz00_bglt BgL_auxz00_2975;

												{
													obj_t BgL_auxz00_2976;

													{	/* Object/slots.scm 362 */
														BgL_objectz00_bglt BgL_tmpz00_2977;

														BgL_tmpz00_2977 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_superz00_70));
														BgL_auxz00_2976 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2977);
													}
													BgL_auxz00_2975 =
														((BgL_jclassz00_bglt) BgL_auxz00_2976);
												}
												BgL_arg1661z00_1156 =
													(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_2975))->
													BgL_slotsz00);
											}
											BgL_sslotsz00_1133 = bgl_reverse(BgL_arg1661z00_1156);
										}
									else
										{	/* Object/slots.scm 359 */
											BgL_sslotsz00_1133 = BNIL;
										}
								}
							else
								{	/* Object/slots.scm 357 */
									BgL_sslotsz00_1133 = BNIL;
								}
						}
						{	/* Object/slots.scm 363 */
							long BgL_g1106z00_1134;

							BgL_g1106z00_1134 = bgl_list_length(BgL_sslotsz00_1133);
							{
								obj_t BgL_clausesz00_1136;
								obj_t BgL_resz00_1137;
								long BgL_indexz00_1138;

								BgL_clausesz00_1136 = BgL_clausesz00_69;
								BgL_resz00_1137 = BgL_sslotsz00_1133;
								BgL_indexz00_1138 = BgL_g1106z00_1134;
							BgL_zc3z04anonymousza31642ze3z87_1139:
								if (NULLP(BgL_clausesz00_1136))
									{	/* Object/slots.scm 366 */
										return BgL_resz00_1137;
									}
								else
									{	/* Object/slots.scm 368 */
										obj_t BgL_sz00_1141;

										BgL_sz00_1141 = CAR(((obj_t) BgL_clausesz00_1136));
										{	/* Object/slots.scm 368 */
											obj_t BgL_srcz00_1142;

											BgL_srcz00_1142 = CAR(((obj_t) BgL_sz00_1141));
											{	/* Object/slots.scm 369 */
												obj_t BgL_idz00_1143;

												{	/* Object/slots.scm 370 */
													obj_t BgL_pairz00_1842;

													BgL_pairz00_1842 = CDR(((obj_t) BgL_sz00_1141));
													BgL_idz00_1143 = CAR(BgL_pairz00_1842);
												}
												{	/* Object/slots.scm 370 */
													obj_t BgL_jnamez00_1144;

													{	/* Object/slots.scm 371 */
														obj_t BgL_pairz00_1848;

														{	/* Object/slots.scm 371 */
															obj_t BgL_pairz00_1847;

															BgL_pairz00_1847 = CDR(((obj_t) BgL_sz00_1141));
															BgL_pairz00_1848 = CDR(BgL_pairz00_1847);
														}
														BgL_jnamez00_1144 = CAR(BgL_pairz00_1848);
													}
													{	/* Object/slots.scm 371 */
														obj_t BgL_modz00_1145;

														{	/* Object/slots.scm 372 */
															obj_t BgL_pairz00_1856;

															{	/* Object/slots.scm 372 */
																obj_t BgL_pairz00_1855;

																{	/* Object/slots.scm 372 */
																	obj_t BgL_pairz00_1854;

																	BgL_pairz00_1854 =
																		CDR(((obj_t) BgL_sz00_1141));
																	BgL_pairz00_1855 = CDR(BgL_pairz00_1854);
																}
																BgL_pairz00_1856 = CDR(BgL_pairz00_1855);
															}
															BgL_modz00_1145 = CAR(BgL_pairz00_1856);
														}
														{	/* Object/slots.scm 372 */
															obj_t BgL_readozf3zf3_1146;

															BgL_readozf3zf3_1146 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CNST_TABLE_REF(((long) 10)), BgL_modz00_1145);
															{	/* Object/slots.scm 373 */

																if (CBOOL
																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(CNST_TABLE_REF(((long) 11)),
																			BgL_modz00_1145)))
																	{	/* Object/slots.scm 374 */
																		BgL_idz00_1170 = BgL_idz00_1143;
																		BgL_jnamez00_1171 = BgL_jnamez00_1144;
																		BgL_readozf3zf3_1172 = BgL_readozf3zf3_1146;
																		BgL_srcz00_1173 = BgL_srcz00_1142;
																		{	/* Object/slots.scm 340 */
																			obj_t BgL_locz00_1175;

																			BgL_locz00_1175 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_srcz00_1173, BgL_locz00_1130);
																			{	/* Object/slots.scm 340 */
																				obj_t BgL_slotzd2idzd2_1176;

																				BgL_slotzd2idzd2_1176 =
																					BGl_parsezd2idzd2zzast_identz00
																					(BgL_idz00_1170, BgL_locz00_1175);
																				{	/* Object/slots.scm 341 */
																					obj_t BgL_lzd2idzd2_1177;

																					if (
																						((((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00) ==
																							CNST_TABLE_REF(((long) 8))))
																						{	/* Object/slots.scm 342 */
																							BgL_lzd2idzd2_1177 =
																								CAR(BgL_slotzd2idzd2_1176);
																						}
																					else
																						{	/* Object/slots.scm 344 */
																							obj_t BgL_arg1696z00_1189;
																							obj_t BgL_arg1697z00_1190;

																							BgL_arg1696z00_1189 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00);
																							BgL_arg1697z00_1190 =
																								CAR(BgL_slotzd2idzd2_1176);
																							{	/* Object/slots.scm 344 */
																								obj_t BgL_list1698z00_1191;

																								{	/* Object/slots.scm 344 */
																									obj_t BgL_arg1705z00_1192;

																									{	/* Object/slots.scm 344 */
																										obj_t BgL_arg1711z00_1193;

																										BgL_arg1711z00_1193 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1697z00_1190,
																											BNIL);
																										BgL_arg1705z00_1192 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													9)),
																											BgL_arg1711z00_1193);
																									}
																									BgL_list1698z00_1191 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1696z00_1189,
																										BgL_arg1705z00_1192);
																								}
																								BgL_lzd2idzd2_1177 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list1698z00_1191);
																						}}
																					{	/* Object/slots.scm 342 */
																						obj_t BgL_tzd2idzd2_1178;

																						{	/* Object/slots.scm 345 */
																							bool_t BgL_test2206z00_3025;

																							{	/* Object/slots.scm 345 */
																								obj_t BgL_arg1687z00_1186;

																								BgL_arg1687z00_1186 =
																									CDR(BgL_slotzd2idzd2_1176);
																								BgL_test2206z00_3025 =
																									(BgL_arg1687z00_1186 ==
																									BGl_za2_za2z00zztype_cachez00);
																							}
																							if (BgL_test2206z00_3025)
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1178 =
																										BGl_za2objza2z00zztype_cachez00;
																								}
																							else
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1178 =
																										CDR(BgL_slotzd2idzd2_1176);
																								}
																						}
																						{	/* Object/slots.scm 348 */

																							BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00
																								(((BgL_typez00_bglt)
																									BgL_tzd2idzd2_1178),
																								BgL_srcz00_1173);
																							{	/* Object/slots.scm 350 */
																								BgL_globalz00_bglt
																									BgL_gz00_1180;
																								{	/* Object/slots.scm 351 */
																									obj_t BgL_arg1682z00_1183;

																									BgL_arg1682z00_1183 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_tzd2idzd2_1178)))->
																										BgL_idz00);
																									BgL_gz00_1180 =
																										BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																										(BgL_lzd2idzd2_1177, BFALSE,
																										BgL_jnamez00_1171,
																										BgL_arg1682z00_1183,
																										CBOOL(BgL_readozf3zf3_1172),
																										BgL_srcz00_1173, BFALSE);
																								}
																								{	/* Object/slots.scm 352 */
																									obj_t BgL_arg1677z00_1181;

																									BgL_arg1677z00_1181 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_idz00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1180))->
																											BgL_modulez00) =
																										((obj_t)
																											BgL_arg1677z00_1181),
																										BUNSPEC);
																								}
																								{	/* Object/slots.scm 353 */
																									obj_t BgL_arg1680z00_1182;

																									BgL_arg1680z00_1182 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_namez00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1180))->
																											BgL_jvmzd2typezd2namez00)
																										=
																										((obj_t) ((obj_t)
																												BgL_arg1680z00_1182)),
																										BUNSPEC);
																								}
																								BgL_gz00_1180;
																							}
																						}
																					}
																				}
																			}
																		}
																		{	/* Object/slots.scm 377 */
																			obj_t BgL_arg1645z00_1148;

																			BgL_arg1645z00_1148 =
																				CDR(((obj_t) BgL_clausesz00_1136));
																			{
																				obj_t BgL_clausesz00_3044;

																				BgL_clausesz00_3044 =
																					BgL_arg1645z00_1148;
																				BgL_clausesz00_1136 =
																					BgL_clausesz00_3044;
																				goto
																					BgL_zc3z04anonymousza31642ze3z87_1139;
																			}
																		}
																	}
																else
																	{	/* Object/slots.scm 378 */
																		obj_t BgL_arg1646z00_1149;
																		obj_t BgL_arg1648z00_1150;
																		long BgL_arg1651z00_1151;

																		BgL_arg1646z00_1149 =
																			CDR(((obj_t) BgL_clausesz00_1136));
																		{	/* Object/slots.scm 379 */
																			BgL_slotz00_bglt BgL_arg1652z00_1152;

																			BgL_identz00_1157 = BgL_idz00_1143;
																			BgL_jnamez00_1158 = BgL_jnamez00_1144;
																			BgL_readozf3zf3_1159 =
																				BgL_readozf3zf3_1146;
																			BgL_sz00_1160 = BgL_srcz00_1142;
																			BgL_indexz00_1161 = BgL_indexz00_1138;
																			{	/* Object/slots.scm 328 */
																				obj_t BgL_locz00_1163;

																				BgL_locz00_1163 =
																					BGl_findzd2locationzf2locz20zztools_locationz00
																					(BgL_sz00_1160, BgL_locz00_1130);
																				{	/* Object/slots.scm 328 */
																					obj_t BgL_slotzd2idzd2_1164;

																					BgL_slotzd2idzd2_1164 =
																						BGl_parsezd2idzd2zzast_identz00
																						(BgL_identz00_1157,
																						BgL_locz00_1163);
																					{	/* Object/slots.scm 329 */

																						{	/* Object/slots.scm 330 */
																							BgL_slotz00_bglt
																								BgL_new1105z00_1165;
																							{	/* Object/slots.scm 331 */
																								BgL_slotz00_bglt
																									BgL_new1104z00_1168;
																								BgL_new1104z00_1168 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 331 */
																									long BgL_arg1673z00_1169;

																									BgL_arg1673z00_1169 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1104z00_1168),
																										BgL_arg1673z00_1169);
																								}
																								BgL_new1105z00_1165 =
																									BgL_new1104z00_1168;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_idz00) =
																								((obj_t)
																									CAR(BgL_slotzd2idzd2_1164)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_namez00) =
																								((obj_t) BgL_jnamez00_1158),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_srcz00) =
																								((obj_t) BgL_sz00_1160),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_68)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1161),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1164,
																										BgL_srcz00_71)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t)
																									CBOOL(BgL_readozf3zf3_1159)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3064;

																								{	/* Object/slots.scm 335 */
																									obj_t BgL_arg1663z00_1166;

																									{	/* Object/slots.scm 335 */
																										obj_t BgL_arg1672z00_1167;

																										{	/* Object/slots.scm 335 */
																											obj_t BgL_classz00_1758;

																											BgL_classz00_1758 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1672z00_1167 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1758);
																										}
																										BgL_arg1663z00_1166 =
																											VECTOR_REF
																											(BgL_arg1672z00_1167,
																											((long) 7));
																									}
																									BgL_auxz00_3064 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1663z00_1166);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1105z00_1165))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_3064),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1165))->
																									BgL_userzd2infozd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							BgL_arg1652z00_1152 =
																								BgL_new1105z00_1165;
																			}}}}
																			BgL_arg1648z00_1150 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1652z00_1152),
																				BgL_resz00_1137);
																		}
																		BgL_arg1651z00_1151 =
																			(((long) 1) + BgL_indexz00_1138);
																		{
																			long BgL_indexz00_3080;
																			obj_t BgL_resz00_3079;
																			obj_t BgL_clausesz00_3078;

																			BgL_clausesz00_3078 = BgL_arg1646z00_1149;
																			BgL_resz00_3079 = BgL_arg1648z00_1150;
																			BgL_indexz00_3080 = BgL_arg1651z00_1151;
																			BgL_indexz00_1138 = BgL_indexz00_3080;
																			BgL_resz00_1137 = BgL_resz00_3079;
																			BgL_clausesz00_1136 = BgL_clausesz00_3078;
																			goto
																				BgL_zc3z04anonymousza31642ze3z87_1139;
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &make-java-class-slots */
	obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t
		BgL_envz00_2080, obj_t BgL_classz00_2081, obj_t BgL_clausesz00_2082,
		obj_t BgL_superz00_2083, obj_t BgL_srcz00_2084)
	{
		{	/* Object/slots.scm 323 */
			return
				BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2081), BgL_clausesz00_2082,
				BgL_superz00_2083, BgL_srcz00_2084);
		}

	}



/* find-slot-type */
	obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t BgL_slotzd2idzd2_72,
		obj_t BgL_srcz00_73)
	{
		{	/* Object/slots.scm 386 */
			{	/* Object/slots.scm 387 */
				obj_t BgL_tz00_1197;

				{	/* Object/slots.scm 387 */
					bool_t BgL_test2207z00_3083;

					{	/* Object/slots.scm 387 */
						obj_t BgL_arg1723z00_1200;

						BgL_arg1723z00_1200 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						BgL_test2207z00_3083 =
							(BgL_arg1723z00_1200 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2207z00_3083)
						{	/* Object/slots.scm 387 */
							BgL_tz00_1197 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Object/slots.scm 387 */
							BgL_tz00_1197 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						}
				}
				BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
					((BgL_typez00_bglt) BgL_tz00_1197), BgL_srcz00_73);
				return BgL_tz00_1197;
			}
		}

	}



/* scheme-symbol->c-string */
	obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t
		BgL_symbolz00_74)
	{
		{	/* Object/slots.scm 394 */
			if (CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
				{	/* Object/slots.scm 395 */
					BGL_TAIL return BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74);
				}
			else
				{	/* Object/slots.scm 395 */
					return
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
						(BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74));
				}
		}

	}



/* get-local-virtual-slots-number */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt BgL_classz00_75, obj_t BgL_slotsz00_76)
	{
		{	/* Object/slots.scm 411 */
			{
				obj_t BgL_slotsz00_1203;
				obj_t BgL_numz00_1204;

				{	/* Object/slots.scm 412 */
					long BgL_tmpz00_3096;

					BgL_slotsz00_1203 = BgL_slotsz00_76;
					BgL_numz00_1204 = BINT(((long) -1));
				BgL_zc3z04anonymousza31729ze3z87_1205:
					if (NULLP(BgL_slotsz00_1203))
						{	/* Object/slots.scm 415 */
							BgL_tmpz00_3096 = ((long) CINT(BgL_numz00_1204) + ((long) 1));
						}
					else
						{	/* Object/slots.scm 415 */
							if (
								((long) CINT(
										(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt)
														CAR(
															((obj_t) BgL_slotsz00_1203)))))->
											BgL_virtualzd2numzd2)) >= ((long) 0)))
								{	/* Object/slots.scm 418 */
									obj_t BgL_lnumz00_1209;

									BgL_lnumz00_1209 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1203)))))->
										BgL_virtualzd2numzd2);
									{
										obj_t BgL_numz00_3115;
										obj_t BgL_slotsz00_3112;

										BgL_slotsz00_3112 = CDR(((obj_t) BgL_slotsz00_1203));
										if (
											((long) CINT(BgL_lnumz00_1209) >
												(long) CINT(BgL_numz00_1204)))
											{	/* Object/slots.scm 420 */
												BgL_numz00_3115 = BgL_lnumz00_1209;
											}
										else
											{	/* Object/slots.scm 420 */
												BgL_numz00_3115 = BgL_numz00_1204;
											}
										BgL_numz00_1204 = BgL_numz00_3115;
										BgL_slotsz00_1203 = BgL_slotsz00_3112;
										goto BgL_zc3z04anonymousza31729ze3z87_1205;
									}
								}
							else
								{
									obj_t BgL_slotsz00_3120;

									BgL_slotsz00_3120 = CDR(((obj_t) BgL_slotsz00_1203));
									BgL_slotsz00_1203 = BgL_slotsz00_3120;
									goto BgL_zc3z04anonymousza31729ze3z87_1205;
								}
						}
					return BINT(BgL_tmpz00_3096);
				}
			}
		}

	}



/* &get-local-virtual-slots-number */
	obj_t BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t
		BgL_envz00_2085, obj_t BgL_classz00_2086, obj_t BgL_slotsz00_2087)
	{
		{	/* Object/slots.scm 411 */
			return
				BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2086), BgL_slotsz00_2087);
		}

	}



/* make-class-make-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_slotsz00_77)
	{
		{	/* Object/slots.scm 429 */
			{
				obj_t BgL_slotsz00_1219;
				obj_t BgL_formalsz00_1220;

				BgL_slotsz00_1219 = BgL_slotsz00_77;
				BgL_formalsz00_1220 = BNIL;
			BgL_zc3z04anonymousza31746ze3z87_1221:
				if (NULLP(BgL_slotsz00_1219))
					{	/* Object/slots.scm 433 */
						BGL_TAIL return bgl_reverse_bang(BgL_formalsz00_1220);
					}
				else
					{	/* Object/slots.scm 433 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1219)))))->
										BgL_virtualzd2numzd2)) >= ((long) 0)))
							{	/* Object/slots.scm 436 */
								obj_t BgL_arg1751z00_1225;

								BgL_arg1751z00_1225 = CDR(((obj_t) BgL_slotsz00_1219));
								{
									obj_t BgL_slotsz00_3139;

									BgL_slotsz00_3139 = BgL_arg1751z00_1225;
									BgL_slotsz00_1219 = BgL_slotsz00_3139;
									goto BgL_zc3z04anonymousza31746ze3z87_1221;
								}
							}
						else
							{	/* Object/slots.scm 438 */
								obj_t BgL_arg1752z00_1226;
								obj_t BgL_arg1753z00_1227;

								BgL_arg1752z00_1226 = CDR(((obj_t) BgL_slotsz00_1219));
								{	/* Object/slots.scm 439 */
									obj_t BgL_arg1754z00_1228;

									{	/* Object/slots.scm 439 */
										obj_t BgL_arg1755z00_1229;

										{	/* Object/slots.scm 439 */
											obj_t BgL_arg1756z00_1230;

											BgL_arg1756z00_1230 =
												(((BgL_slotz00_bglt) COBJECT(
														((BgL_slotz00_bglt)
															CAR(((obj_t) BgL_slotsz00_1219)))))->BgL_idz00);
											BgL_arg1755z00_1229 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1756z00_1230);
										}
										BgL_arg1754z00_1228 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BgL_arg1755z00_1229);
									}
									BgL_arg1753z00_1227 =
										MAKE_YOUNG_PAIR(BgL_arg1754z00_1228, BgL_formalsz00_1220);
								}
								{
									obj_t BgL_formalsz00_3150;
									obj_t BgL_slotsz00_3149;

									BgL_slotsz00_3149 = BgL_arg1752z00_1226;
									BgL_formalsz00_3150 = BgL_arg1753z00_1227;
									BgL_formalsz00_1220 = BgL_formalsz00_3150;
									BgL_slotsz00_1219 = BgL_slotsz00_3149;
									goto BgL_zc3z04anonymousza31746ze3z87_1221;
								}
							}
					}
			}
		}

	}



/* &make-class-make-formals */
	obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t
		BgL_envz00_2088, obj_t BgL_slotsz00_2089)
	{
		{	/* Object/slots.scm 429 */
			return
				BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
				(BgL_slotsz00_2089);
		}

	}



/* make-class-make-typed-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t
		BgL_idsz00_78, obj_t BgL_slotsz00_79)
	{
		{	/* Object/slots.scm 445 */
			{
				obj_t BgL_slotsz00_1236;
				obj_t BgL_idsz00_1237;
				obj_t BgL_formalsz00_1238;

				BgL_slotsz00_1236 = BgL_slotsz00_79;
				BgL_idsz00_1237 = BgL_idsz00_78;
				BgL_formalsz00_1238 = BNIL;
			BgL_zc3z04anonymousza31764ze3z87_1239:
				if (NULLP(BgL_slotsz00_1236))
					{	/* Object/slots.scm 450 */
						return bgl_reverse_bang(BgL_formalsz00_1238);
					}
				else
					{	/* Object/slots.scm 450 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1236)))))->
										BgL_virtualzd2numzd2)) >= ((long) 0)))
							{	/* Object/slots.scm 453 */
								obj_t BgL_arg1769z00_1243;

								BgL_arg1769z00_1243 = CDR(((obj_t) BgL_slotsz00_1236));
								{
									obj_t BgL_slotsz00_3164;

									BgL_slotsz00_3164 = BgL_arg1769z00_1243;
									BgL_slotsz00_1236 = BgL_slotsz00_3164;
									goto BgL_zc3z04anonymousza31764ze3z87_1239;
								}
							}
						else
							{	/* Object/slots.scm 455 */
								obj_t BgL_arg1770z00_1244;
								obj_t BgL_arg1771z00_1245;
								obj_t BgL_arg1777z00_1246;

								BgL_arg1770z00_1244 = CDR(((obj_t) BgL_slotsz00_1236));
								BgL_arg1771z00_1245 = CDR(((obj_t) BgL_idsz00_1237));
								{	/* Object/slots.scm 457 */
									obj_t BgL_arg1778z00_1247;

									{	/* Object/slots.scm 457 */
										obj_t BgL_arg1781z00_1248;
										obj_t BgL_arg1785z00_1249;

										{	/* Object/slots.scm 457 */
											obj_t BgL_arg1787z00_1250;

											BgL_arg1787z00_1250 = CAR(((obj_t) BgL_idsz00_1237));
											BgL_arg1781z00_1248 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BgL_arg1787z00_1250);
										}
										BgL_arg1785z00_1249 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt)
														(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt)
																		CAR(
																			((obj_t) BgL_slotsz00_1236)))))->
															BgL_typez00))))->BgL_idz00);
										BgL_arg1778z00_1247 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1781z00_1248, BgL_arg1785z00_1249);
									}
									BgL_arg1777z00_1246 =
										MAKE_YOUNG_PAIR(BgL_arg1778z00_1247, BgL_formalsz00_1238);
								}
								{
									obj_t BgL_formalsz00_3182;
									obj_t BgL_idsz00_3181;
									obj_t BgL_slotsz00_3180;

									BgL_slotsz00_3180 = BgL_arg1770z00_1244;
									BgL_idsz00_3181 = BgL_arg1771z00_1245;
									BgL_formalsz00_3182 = BgL_arg1777z00_1246;
									BgL_formalsz00_1238 = BgL_formalsz00_3182;
									BgL_idsz00_1237 = BgL_idsz00_3181;
									BgL_slotsz00_1236 = BgL_slotsz00_3180;
									goto BgL_zc3z04anonymousza31764ze3z87_1239;
								}
							}
					}
			}
		}

	}



/* &make-class-make-typed-formals */
	obj_t BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t
		BgL_envz00_2090, obj_t BgL_idsz00_2091, obj_t BgL_slotsz00_2092)
	{
		{	/* Object/slots.scm 445 */
			return
				BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
				(BgL_idsz00_2091, BgL_slotsz00_2092);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 33 */
				obj_t BgL_arg1819z00_1258;
				obj_t BgL_arg1821z00_1259;

				{	/* Object/slots.scm 33 */
					obj_t BgL_v1169z00_1282;

					BgL_v1169z00_1282 = create_vector(((long) 13));
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1835z00_1283;

						BgL_arg1835z00_1283 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc1985z00zzobject_slotsz00,
							BGl_proc1984z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 12)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 0), BgL_arg1835z00_1283);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1840z00_1293;

						BgL_arg1840z00_1293 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc1987z00zzobject_slotsz00,
							BGl_proc1986z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 1), BgL_arg1840z00_1293);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1848z00_1303;

						BgL_arg1848z00_1303 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc1989z00zzobject_slotsz00,
							BGl_proc1988z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 2), BgL_arg1848z00_1303);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1854z00_1313;

						BgL_arg1854z00_1313 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc1991z00zzobject_slotsz00,
							BGl_proc1990z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 3), BgL_arg1854z00_1313);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1860z00_1323;

						BgL_arg1860z00_1323 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc1993z00zzobject_slotsz00,
							BGl_proc1992z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 19)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 4), BgL_arg1860z00_1323);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1865z00_1333;

						BgL_arg1865z00_1333 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc1995z00zzobject_slotsz00,
							BGl_proc1994z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 5), BgL_arg1865z00_1333);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1870z00_1343;

						BgL_arg1870z00_1343 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc1998z00zzobject_slotsz00,
							BGl_proc1997z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc1996z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 6), BgL_arg1870z00_1343);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1879z00_1356;

						BgL_arg1879z00_1356 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2001z00zzobject_slotsz00,
							BGl_proc2000z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc1999z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 7), BgL_arg1879z00_1356);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1887z00_1369;

						BgL_arg1887z00_1369 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc2004z00zzobject_slotsz00,
							BGl_proc2003z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2002z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 8), BgL_arg1887z00_1369);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1894z00_1382;

						BgL_arg1894z00_1382 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc2007z00zzobject_slotsz00,
							BGl_proc2006z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2005z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 9), BgL_arg1894z00_1382);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1904z00_1395;

						BgL_arg1904z00_1395 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc2010z00zzobject_slotsz00,
							BGl_proc2009z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2008z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 10), BgL_arg1904z00_1395);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1912z00_1408;

						BgL_arg1912z00_1408 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc2013z00zzobject_slotsz00,
							BGl_proc2012z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2011z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 11), BgL_arg1912z00_1408);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1920z00_1421;

						BgL_arg1920z00_1421 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc2016z00zzobject_slotsz00,
							BGl_proc2015z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2014z00zzobject_slotsz00,
							CNST_TABLE_REF(((long) 16)));
						VECTOR_SET(BgL_v1169z00_1282, ((long) 12), BgL_arg1920z00_1421);
					}
					BgL_arg1819z00_1258 = BgL_v1169z00_1282;
				}
				{	/* Object/slots.scm 33 */
					obj_t BgL_v1170z00_1434;

					BgL_v1170z00_1434 = create_vector(((long) 0));
					BgL_arg1821z00_1259 = BgL_v1170z00_1434;
				}
				return (BGl_slotz00zzobject_slotsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
						CNST_TABLE_REF(((long) 30)), BGl_objectz00zz__objectz00,
						((long) 48870), BGl_proc2019z00zzobject_slotsz00,
						BGl_proc2018z00zzobject_slotsz00, BFALSE,
						BGl_proc2017z00zzobject_slotsz00, BFALSE, BgL_arg1819z00_1258,
						BgL_arg1821z00_1259), BUNSPEC);
		}}

	}



/* &<@anonymous:1834> */
	obj_t BGl_z62zc3z04anonymousza31834ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2129, obj_t BgL_new1079z00_2130)
	{
		{	/* Object/slots.scm 33 */
			{
				BgL_slotz00_bglt BgL_auxz00_3241;

				((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_new1079z00_2130)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 31))), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_namez00) =
					((obj_t) BGl_string2020z00zzobject_slotsz00), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_classzd2ownerzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_indexz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_readzd2onlyzf3z21) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_defaultzd2valuezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_virtualzd2numzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_virtualzd2overridezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_getterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_setterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2130)))->BgL_userzd2infozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3241 = ((BgL_slotz00_bglt) BgL_new1079z00_2130);
				return ((obj_t) BgL_auxz00_3241);
			}
		}

	}



/* &lambda1831 */
	BgL_slotz00_bglt BGl_z62lambda1831z62zzobject_slotsz00(obj_t BgL_envz00_2131)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				BgL_slotz00_bglt BgL_new1078z00_2254;

				BgL_new1078z00_2254 =
					((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_slotz00_bgl))));
				{	/* Object/slots.scm 33 */
					long BgL_arg1833z00_2255;

					BgL_arg1833z00_2255 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_2254), BgL_arg1833z00_2255);
				}
				return BgL_new1078z00_2254;
			}
		}

	}



/* &lambda1822 */
	BgL_slotz00_bglt BGl_z62lambda1822z62zzobject_slotsz00(obj_t BgL_envz00_2132,
		obj_t BgL_id1065z00_2133, obj_t BgL_name1066z00_2134,
		obj_t BgL_src1067z00_2135, obj_t BgL_classzd2owner1068zd2_2136,
		obj_t BgL_index1069z00_2137, obj_t BgL_type1070z00_2138,
		obj_t BgL_readzd2onlyzf31071z21_2139, obj_t BgL_defaultzd2value1072zd2_2140,
		obj_t BgL_virtualzd2num1073zd2_2141,
		obj_t BgL_virtualzd2override1074zd2_2142, obj_t BgL_getter1075z00_2143,
		obj_t BgL_setter1076z00_2144, obj_t BgL_userzd2info1077zd2_2145)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_index1069z00_2258;
				bool_t BgL_readzd2onlyzf31071z21_2259;
				bool_t BgL_virtualzd2override1074zd2_2260;

				BgL_index1069z00_2258 = (long) CINT(BgL_index1069z00_2137);
				BgL_readzd2onlyzf31071z21_2259 = CBOOL(BgL_readzd2onlyzf31071z21_2139);
				BgL_virtualzd2override1074zd2_2260 =
					CBOOL(BgL_virtualzd2override1074zd2_2142);
				{	/* Object/slots.scm 33 */
					BgL_slotz00_bglt BgL_new1110z00_2261;

					{	/* Object/slots.scm 33 */
						BgL_slotz00_bglt BgL_new1109z00_2262;

						BgL_new1109z00_2262 =
							((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_slotz00_bgl))));
						{	/* Object/slots.scm 33 */
							long BgL_arg1830z00_2263;

							BgL_arg1830z00_2263 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1109z00_2262),
								BgL_arg1830z00_2263);
						}
						BgL_new1110z00_2261 = BgL_new1109z00_2262;
					}
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1065z00_2133)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1066z00_2134)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_srcz00) =
						((obj_t) BgL_src1067z00_2135), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_classzd2ownerzd2) =
						((obj_t) BgL_classzd2owner1068zd2_2136), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_indexz00) =
						((long) BgL_index1069z00_2258), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_typez00) =
						((obj_t) BgL_type1070z00_2138), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_readzd2onlyzf3z21) =
						((bool_t) BgL_readzd2onlyzf31071z21_2259), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_defaultzd2valuezd2) =
						((obj_t) BgL_defaultzd2value1072zd2_2140), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_virtualzd2numzd2) =
						((obj_t) BgL_virtualzd2num1073zd2_2141), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_virtualzd2overridezd2) =
						((bool_t) BgL_virtualzd2override1074zd2_2260), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_getterz00) =
						((obj_t) BgL_getter1075z00_2143), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->BgL_setterz00) =
						((obj_t) BgL_setter1076z00_2144), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2261))->
							BgL_userzd2infozd2) =
						((obj_t) BgL_userzd2info1077zd2_2145), BUNSPEC);
					return BgL_new1110z00_2261;
				}
			}
		}

	}



/* &<@anonymous:1927> */
	obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2146)
	{
		{	/* Object/slots.scm 33 */
			return BUNSPEC;
		}

	}



/* &lambda1926 */
	obj_t BGl_z62lambda1926z62zzobject_slotsz00(obj_t BgL_envz00_2147,
		obj_t BgL_oz00_2148, obj_t BgL_vz00_2149)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2148)))->BgL_userzd2infozd2) =
				((obj_t) BgL_vz00_2149), BUNSPEC);
		}

	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zzobject_slotsz00(obj_t BgL_envz00_2150,
		obj_t BgL_oz00_2151)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2151)))->BgL_userzd2infozd2);
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2152)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1918 */
	obj_t BGl_z62lambda1918z62zzobject_slotsz00(obj_t BgL_envz00_2153,
		obj_t BgL_oz00_2154, obj_t BgL_vz00_2155)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2154)))->BgL_setterz00) =
				((obj_t) BgL_vz00_2155), BUNSPEC);
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zzobject_slotsz00(obj_t BgL_envz00_2156,
		obj_t BgL_oz00_2157)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2157)))->BgL_setterz00);
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2158)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1910 */
	obj_t BGl_z62lambda1910z62zzobject_slotsz00(obj_t BgL_envz00_2159,
		obj_t BgL_oz00_2160, obj_t BgL_vz00_2161)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2160)))->BgL_getterz00) =
				((obj_t) BgL_vz00_2161), BUNSPEC);
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zzobject_slotsz00(obj_t BgL_envz00_2162,
		obj_t BgL_oz00_2163)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2163)))->BgL_getterz00);
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2164)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zzobject_slotsz00(obj_t BgL_envz00_2165,
		obj_t BgL_oz00_2166, obj_t BgL_vz00_2167)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2271;

				BgL_vz00_2271 = CBOOL(BgL_vz00_2167);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2166)))->
						BgL_virtualzd2overridezd2) = ((bool_t) BgL_vz00_2271), BUNSPEC);
			}
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzobject_slotsz00(obj_t BgL_envz00_2168,
		obj_t BgL_oz00_2169)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2169)))->BgL_virtualzd2overridezd2));
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2170)
	{
		{	/* Object/slots.scm 33 */
			return BINT(((long) -1));
		}

	}



/* &lambda1892 */
	obj_t BGl_z62lambda1892z62zzobject_slotsz00(obj_t BgL_envz00_2171,
		obj_t BgL_oz00_2172, obj_t BgL_vz00_2173)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2172)))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_2173), BUNSPEC);
		}

	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zzobject_slotsz00(obj_t BgL_envz00_2174,
		obj_t BgL_oz00_2175)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2175)))->BgL_virtualzd2numzd2);
		}

	}



/* &<@anonymous:1886> */
	obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2176)
	{
		{	/* Object/slots.scm 33 */
			return MAKE_YOUNG_PAIR(BINT(((long) 1)), BINT(((long) 2)));
		}

	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zzobject_slotsz00(obj_t BgL_envz00_2177,
		obj_t BgL_oz00_2178, obj_t BgL_vz00_2179)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2178)))->BgL_defaultzd2valuezd2) =
				((obj_t) BgL_vz00_2179), BUNSPEC);
		}

	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zzobject_slotsz00(obj_t BgL_envz00_2180,
		obj_t BgL_oz00_2181)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2181)))->BgL_defaultzd2valuezd2);
		}

	}



/* &<@anonymous:1877> */
	obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2182)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1876 */
	obj_t BGl_z62lambda1876z62zzobject_slotsz00(obj_t BgL_envz00_2183,
		obj_t BgL_oz00_2184, obj_t BgL_vz00_2185)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2278;

				BgL_vz00_2278 = CBOOL(BgL_vz00_2185);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2184)))->BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_vz00_2278), BUNSPEC);
			}
		}

	}



/* &lambda1875 */
	obj_t BGl_z62lambda1875z62zzobject_slotsz00(obj_t BgL_envz00_2186,
		obj_t BgL_oz00_2187)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2187)))->BgL_readzd2onlyzf3z21));
		}

	}



/* &lambda1869 */
	obj_t BGl_z62lambda1869z62zzobject_slotsz00(obj_t BgL_envz00_2188,
		obj_t BgL_oz00_2189, obj_t BgL_vz00_2190)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2189)))->BgL_typez00) =
				((obj_t) BgL_vz00_2190), BUNSPEC);
		}

	}



/* &lambda1868 */
	obj_t BGl_z62lambda1868z62zzobject_slotsz00(obj_t BgL_envz00_2191,
		obj_t BgL_oz00_2192)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2192)))->BgL_typez00);
		}

	}



/* &lambda1864 */
	obj_t BGl_z62lambda1864z62zzobject_slotsz00(obj_t BgL_envz00_2193,
		obj_t BgL_oz00_2194, obj_t BgL_vz00_2195)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_vz00_2283;

				BgL_vz00_2283 = (long) CINT(BgL_vz00_2195);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2194)))->BgL_indexz00) =
					((long) BgL_vz00_2283), BUNSPEC);
		}}

	}



/* &lambda1863 */
	obj_t BGl_z62lambda1863z62zzobject_slotsz00(obj_t BgL_envz00_2196,
		obj_t BgL_oz00_2197)
	{
		{	/* Object/slots.scm 33 */
			return
				BINT(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2197)))->BgL_indexz00));
		}

	}



/* &lambda1859 */
	obj_t BGl_z62lambda1859z62zzobject_slotsz00(obj_t BgL_envz00_2198,
		obj_t BgL_oz00_2199, obj_t BgL_vz00_2200)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2199)))->BgL_classzd2ownerzd2) =
				((obj_t) BgL_vz00_2200), BUNSPEC);
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzobject_slotsz00(obj_t BgL_envz00_2201,
		obj_t BgL_oz00_2202)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2202)))->BgL_classzd2ownerzd2);
		}

	}



/* &lambda1852 */
	obj_t BGl_z62lambda1852z62zzobject_slotsz00(obj_t BgL_envz00_2203,
		obj_t BgL_oz00_2204, obj_t BgL_vz00_2205)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2204)))->BgL_srcz00) =
				((obj_t) BgL_vz00_2205), BUNSPEC);
		}

	}



/* &lambda1851 */
	obj_t BGl_z62lambda1851z62zzobject_slotsz00(obj_t BgL_envz00_2206,
		obj_t BgL_oz00_2207)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2207)))->BgL_srcz00);
		}

	}



/* &lambda1847 */
	obj_t BGl_z62lambda1847z62zzobject_slotsz00(obj_t BgL_envz00_2208,
		obj_t BgL_oz00_2209, obj_t BgL_vz00_2210)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2209)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_2210)), BUNSPEC);
		}

	}



/* &lambda1846 */
	obj_t BGl_z62lambda1846z62zzobject_slotsz00(obj_t BgL_envz00_2211,
		obj_t BgL_oz00_2212)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2212)))->BgL_namez00);
		}

	}



/* &lambda1839 */
	obj_t BGl_z62lambda1839z62zzobject_slotsz00(obj_t BgL_envz00_2213,
		obj_t BgL_oz00_2214, obj_t BgL_vz00_2215)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2214)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_2215)), BUNSPEC);
		}

	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zzobject_slotsz00(obj_t BgL_envz00_2216,
		obj_t BgL_oz00_2217)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2217)))->BgL_idz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_slotz00zzobject_slotsz00,
				BGl_proc2021z00zzobject_slotsz00, BGl_string2022z00zzobject_slotsz00);
		}

	}



/* &shape-slot1172 */
	obj_t BGl_z62shapezd2slot1172zb0zzobject_slotsz00(obj_t BgL_envz00_2219,
		obj_t BgL_sz00_2220)
	{
		{	/* Object/slots.scm 86 */
			{	/* Object/slots.scm 88 */
				obj_t BgL_arg1928z00_2296;
				obj_t BgL_arg1929z00_2297;
				obj_t BgL_arg1930z00_2298;
				obj_t BgL_arg1931z00_2299;

				{	/* Object/slots.scm 88 */
					obj_t BgL_arg1943z00_2300;

					BgL_arg1943z00_2300 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2220)))->BgL_idz00);
					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1469z00_2301;

						BgL_arg1469z00_2301 = SYMBOL_TO_STRING(BgL_arg1943z00_2300);
						BgL_arg1928z00_2296 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1469z00_2301);
					}
				}
				BgL_arg1929z00_2297 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_sz00_2220)))->BgL_namez00);
				BgL_arg1930z00_2298 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2220)))->BgL_classzd2ownerzd2));
				BgL_arg1931z00_2299 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2220)))->BgL_typez00));
				{	/* Object/slots.scm 88 */
					obj_t BgL_list1932z00_2302;

					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1933z00_2303;

						{	/* Object/slots.scm 88 */
							obj_t BgL_arg1934z00_2304;

							{	/* Object/slots.scm 88 */
								obj_t BgL_arg1936z00_2305;

								{	/* Object/slots.scm 88 */
									obj_t BgL_arg1937z00_2306;

									{	/* Object/slots.scm 88 */
										obj_t BgL_arg1938z00_2307;

										{	/* Object/slots.scm 88 */
											obj_t BgL_arg1939z00_2308;

											{	/* Object/slots.scm 88 */
												obj_t BgL_arg1940z00_2309;

												{	/* Object/slots.scm 88 */
													obj_t BgL_arg1941z00_2310;

													{	/* Object/slots.scm 88 */
														obj_t BgL_arg1942z00_2311;

														BgL_arg1942z00_2311 =
															MAKE_YOUNG_PAIR
															(BGl_string2023z00zzobject_slotsz00, BNIL);
														BgL_arg1941z00_2310 =
															MAKE_YOUNG_PAIR(BgL_arg1931z00_2299,
															BgL_arg1942z00_2311);
													}
													BgL_arg1940z00_2309 =
														MAKE_YOUNG_PAIR(BGl_string2024z00zzobject_slotsz00,
														BgL_arg1941z00_2310);
												}
												BgL_arg1939z00_2308 =
													MAKE_YOUNG_PAIR(BgL_arg1930z00_2298,
													BgL_arg1940z00_2309);
											}
											BgL_arg1938z00_2307 =
												MAKE_YOUNG_PAIR(BGl_string2025z00zzobject_slotsz00,
												BgL_arg1939z00_2308);
										}
										BgL_arg1937z00_2306 =
											MAKE_YOUNG_PAIR(BGl_string2023z00zzobject_slotsz00,
											BgL_arg1938z00_2307);
									}
									BgL_arg1936z00_2305 =
										MAKE_YOUNG_PAIR(BgL_arg1929z00_2297, BgL_arg1937z00_2306);
								}
								BgL_arg1934z00_2304 =
									MAKE_YOUNG_PAIR(BGl_string2026z00zzobject_slotsz00,
									BgL_arg1936z00_2305);
							}
							BgL_arg1933z00_2303 =
								MAKE_YOUNG_PAIR(BgL_arg1928z00_2296, BgL_arg1934z00_2304);
						}
						BgL_list1932z00_2302 =
							MAKE_YOUNG_PAIR(BGl_string2027z00zzobject_slotsz00,
							BgL_arg1933z00_2303);
					}
					return
						BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1932z00_2302);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2028z00zzobject_slotsz00));
		}

	}

#ifdef __cplusplus
}
#endif
