/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd21occz121322za2zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_privatez00zzast_nodez00;
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ1948z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711949za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1914z00zzreduce_1occz00,
		BgL_bgl_string1914za700za7za7r1950za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string1915z00zzreduce_1occz00,
		BgL_bgl_string1915za700za7za7r1951za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string1917z00zzreduce_1occz00,
		BgL_bgl_string1917za700za7za7r1952za7, "node-1occ!1322", 14);
	      DEFINE_STRING(BGl_string1918z00zzreduce_1occz00,
		BgL_bgl_string1918za700za7za7r1953za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1920z00zzreduce_1occz00,
		BgL_bgl_string1920za700za7za7r1954za7, "node-1occ!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711955za7,
		BGl_z62nodezd21occz121322za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711956za7,
		BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711957za7,
		BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711958za7,
		BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711959za7,
		BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711960za7,
		BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711961za7,
		BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711962za7,
		BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711963za7,
		BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711964za7,
		BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711965za7,
		BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711966za7,
		BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711967za7,
		BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711968za7,
		BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711969za7,
		BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711970za7,
		BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711971za7,
		BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711972za7,
		BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711973za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711974za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1945z00zzreduce_1occz00,
		BgL_bgl_string1945za700za7za7r1975za7, "reduce_1occ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711976za7,
		BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1946z00zzreduce_1occz00,
		BgL_bgl_string1946za700za7za7r1977za7, "never node-1occ!1322 read ", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711978za7,
		BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711979za7,
		BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711980za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711981za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711982za7,
		BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_1occz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2614, char *BgL_fromz00_2615)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_1occz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					return BGl_toplevelzd2initzd2zzreduce_1occz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_1occ");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2435;

				{	/* Reduce/1occ.scm 16 */
					obj_t BgL_stringz00_2442;

					BgL_stringz00_2442 = BGl_string1946z00zzreduce_1occz00;
					{	/* Reduce/1occ.scm 16 */
						obj_t BgL_startz00_2443;

						BgL_startz00_2443 = BINT(((long) 0));
						{	/* Reduce/1occ.scm 16 */
							obj_t BgL_endz00_2444;

							BgL_endz00_2444 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2442)));
							{	/* Reduce/1occ.scm 16 */

								BgL_cportz00_2435 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2442, BgL_startz00_2443, BgL_endz00_2444);
				}}}}
				{
					long BgL_iz00_2436;

					BgL_iz00_2436 = ((long) 2);
				BgL_loopz00_2437:
					if ((BgL_iz00_2436 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg1947z00_2438;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2440;

										BgL_locationz00_2440 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg1947z00_2438 =
												BGl_readz00zz__readerz00(BgL_cportz00_2435,
												BgL_locationz00_2440);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_tmpz00_2646;

									BgL_tmpz00_2646 = (int) (BgL_iz00_2436);
									CNST_TABLE_SET(BgL_tmpz00_2646, BgL_arg1947z00_2438);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2441;

								BgL_auxz00_2441 = (int) ((BgL_iz00_2436 - ((long) 1)));
								{
									long BgL_iz00_2651;

									BgL_iz00_2651 = (long) (BgL_auxz00_2441);
									BgL_iz00_2436 = BgL_iz00_2651;
									goto BgL_loopz00_2437;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1401;

				BgL_headz00_1401 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1402;
					obj_t BgL_tailz00_1403;

					BgL_prevz00_1402 = BgL_headz00_1401;
					BgL_tailz00_1403 = BgL_l1z00_1;
				BgL_loopz00_1404:
					if (PAIRP(BgL_tailz00_1403))
						{
							obj_t BgL_newzd2prevzd2_1406;

							BgL_newzd2prevzd2_1406 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1403), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1402, BgL_newzd2prevzd2_1406);
							{
								obj_t BgL_tailz00_2661;
								obj_t BgL_prevz00_2660;

								BgL_prevz00_2660 = BgL_newzd2prevzd2_1406;
								BgL_tailz00_2661 = CDR(BgL_tailz00_1403);
								BgL_tailz00_1403 = BgL_tailz00_2661;
								BgL_prevz00_1402 = BgL_prevz00_2660;
								goto BgL_loopz00_1404;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1401);
				}
			}
		}

	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/1occ.scm 37 */
			{	/* Reduce/1occ.scm 38 */
				obj_t BgL_list1377z00_1409;

				BgL_list1377z00_1409 =
					MAKE_YOUNG_PAIR(BGl_string1914z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1377z00_1409);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l1264z00_1411;

				BgL_l1264z00_1411 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31378ze3z87_1412:
				if (PAIRP(BgL_l1264z00_1411))
					{	/* Reduce/1occ.scm 44 */
						{	/* Reduce/1occ.scm 45 */
							obj_t BgL_globalz00_1414;

							BgL_globalz00_1414 = CAR(BgL_l1264z00_1411);
							{	/* Reduce/1occ.scm 45 */
								BgL_valuez00_bglt BgL_funz00_1415;

								BgL_funz00_1415 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1414))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 45 */
									obj_t BgL_nodez00_1416;

									BgL_nodez00_1416 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1415)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 46 */

										{	/* Reduce/1occ.scm 47 */
											obj_t BgL_arg1381z00_1417;

											{	/* Reduce/1occ.scm 47 */
												obj_t BgL__z00_1418;

												BgL__z00_1418 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1416), BNIL);
												{	/* Reduce/1occ.scm 48 */
													obj_t BgL_nodez00_1419;

													{	/* Reduce/1occ.scm 48 */
														obj_t BgL_tmpz00_2071;

														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2678;

															BgL_tmpz00_2678 = (int) (((long) 1));
															BgL_tmpz00_2071 =
																BGL_MVALUES_VAL(BgL_tmpz00_2678);
														}
														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2681;

															BgL_tmpz00_2681 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2681, BUNSPEC);
														}
														BgL_nodez00_1419 = BgL_tmpz00_2071;
													}
													BgL_arg1381z00_1417 = BgL_nodez00_1419;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1415)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1381z00_1417), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1264z00_2686;

							BgL_l1264z00_2686 = CDR(BgL_l1264z00_1411);
							BgL_l1264z00_1411 = BgL_l1264z00_2686;
							goto BgL_zc3z04anonymousza31378ze3z87_1412;
						}
					}
				else
					{	/* Reduce/1occ.scm 44 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 52 */
				obj_t BgL_list1385z00_1422;

				{	/* Reduce/1occ.scm 52 */
					obj_t BgL_arg1387z00_1423;

					{	/* Reduce/1occ.scm 52 */
						obj_t BgL_arg1388z00_1424;

						{	/* Reduce/1occ.scm 52 */
							obj_t BgL_arg1389z00_1425;

							BgL_arg1389z00_1425 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1388z00_1424 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1389z00_1425);
						}
						BgL_arg1387z00_1423 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1388z00_1424);
					}
					BgL_list1385z00_1422 =
						MAKE_YOUNG_PAIR(BGl_string1915z00zzreduce_1occz00,
						BgL_arg1387z00_1423);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1385z00_1422);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2326,
		obj_t BgL_globalsz00_2327)
	{
		{	/* Reduce/1occ.scm 37 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2327);
		}

	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_40, obj_t BgL_1zd2expza2z70_41)
	{
		{	/* Reduce/1occ.scm 279 */
			{
				obj_t BgL_obindingsz00_1430;
				bool_t BgL_resetz00_1431;
				obj_t BgL_extendz00_1432;

				BgL_obindingsz00_1430 =
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->BgL_bindingsz00);
				BgL_resetz00_1431 = ((bool_t) 0);
				BgL_extendz00_1432 = BNIL;
			BgL_zc3z04anonymousza31391ze3z87_1433:
				if (NULLP(BgL_obindingsz00_1430))
					{	/* Reduce/1occ.scm 285 */
						bool_t BgL_test1988z00_2700;

						if (BgL_resetz00_1431)
							{	/* Reduce/1occ.scm 285 */
								BgL_test1988z00_2700 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 285 */
								BgL_test1988z00_2700 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00));
							}
						if (BgL_test1988z00_2700)
							{	/* Reduce/1occ.scm 286 */
								obj_t BgL_resetz72z72_1437;

								BgL_resetz72z72_1437 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00), BNIL);
								{	/* Reduce/1occ.scm 287 */
									obj_t BgL_nbodyz00_1438;

									{	/* Reduce/1occ.scm 288 */
										obj_t BgL_tmpz00_2074;

										{	/* Reduce/1occ.scm 288 */
											int BgL_tmpz00_2706;

											BgL_tmpz00_2706 = (int) (((long) 1));
											BgL_tmpz00_2074 = BGL_MVALUES_VAL(BgL_tmpz00_2706);
										}
										{	/* Reduce/1occ.scm 288 */
											int BgL_tmpz00_2709;

											BgL_tmpz00_2709 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2709, BUNSPEC);
										}
										BgL_nbodyz00_1438 = BgL_tmpz00_2074;
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1438)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 289 */
										int BgL_tmpz00_2714;

										BgL_tmpz00_2714 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2714);
									}
									{	/* Reduce/1occ.scm 289 */
										obj_t BgL_auxz00_2719;
										int BgL_tmpz00_2717;

										BgL_auxz00_2719 = ((obj_t) BgL_nodez00_40);
										BgL_tmpz00_2717 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2717, BgL_auxz00_2719);
									}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 290 */
								obj_t BgL_1zd2expza2z72z02_1442;

								BgL_1zd2expza2z72z02_1442 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1432,
									BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 291 */
									obj_t BgL_resetz72z72_1443;

									BgL_resetz72z72_1443 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1442);
									{	/* Reduce/1occ.scm 292 */
										obj_t BgL_nbodyz00_1444;

										{	/* Reduce/1occ.scm 293 */
											obj_t BgL_tmpz00_2075;

											{	/* Reduce/1occ.scm 293 */
												int BgL_tmpz00_2725;

												BgL_tmpz00_2725 = (int) (((long) 1));
												BgL_tmpz00_2075 = BGL_MVALUES_VAL(BgL_tmpz00_2725);
											}
											{	/* Reduce/1occ.scm 293 */
												int BgL_tmpz00_2728;

												BgL_tmpz00_2728 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2728, BUNSPEC);
											}
											BgL_nbodyz00_1444 = BgL_tmpz00_2075;
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1444)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1448;
											obj_t BgL_nbindingsz00_1449;

											BgL_obindingsz00_1448 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1449 = BNIL;
										BgL_zc3z04anonymousza31423ze3z87_1450:
											if (NULLP(BgL_obindingsz00_1448))
												{	/* Reduce/1occ.scm 300 */
													bool_t BgL_test1991z00_2735;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 300 */
															BgL_test1991z00_2735 =
																NULLP(BgL_nbindingsz00_1449);
														}
													else
														{	/* Reduce/1occ.scm 300 */
															BgL_test1991z00_2735 = ((bool_t) 0);
														}
													if (BgL_test1991z00_2735)
														{	/* Reduce/1occ.scm 300 */
															{	/* Reduce/1occ.scm 305 */
																BgL_nodez00_bglt BgL_val1_1301z00_1455;

																BgL_val1_1301z00_1455 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 305 */
																	int BgL_tmpz00_2740;

																	BgL_tmpz00_2740 = (int) (((long) 2));
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2740);
																}
																{	/* Reduce/1occ.scm 305 */
																	obj_t BgL_auxz00_2745;
																	int BgL_tmpz00_2743;

																	BgL_auxz00_2745 =
																		((obj_t) BgL_val1_1301z00_1455);
																	BgL_tmpz00_2743 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2743,
																		BgL_auxz00_2745);
																}
																return BgL_resetz72z72_1443;
															}
														}
													else
														{	/* Reduce/1occ.scm 300 */
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1449)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 308 */
																int BgL_tmpz00_2750;

																BgL_tmpz00_2750 = (int) (((long) 2));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2750);
															}
															{	/* Reduce/1occ.scm 308 */
																obj_t BgL_auxz00_2755;
																int BgL_tmpz00_2753;

																BgL_auxz00_2755 = ((obj_t) BgL_nodez00_40);
																BgL_tmpz00_2753 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_2753,
																	BgL_auxz00_2755);
															}
															return BgL_resetz72z72_1443;
														}
												}
											else
												{	/* Reduce/1occ.scm 309 */
													bool_t BgL_test1993z00_2758;

													{	/* Reduce/1occ.scm 309 */
														obj_t BgL_varz00_1471;
														obj_t BgL_valz00_1472;

														{	/* Reduce/1occ.scm 309 */
															obj_t BgL_pairz00_2077;

															BgL_pairz00_2077 =
																CAR(((obj_t) BgL_obindingsz00_1448));
															BgL_varz00_1471 = CAR(BgL_pairz00_2077);
														}
														{	/* Reduce/1occ.scm 310 */
															obj_t BgL_pairz00_2079;

															BgL_pairz00_2079 =
																CAR(((obj_t) BgL_obindingsz00_1448));
															BgL_valz00_1472 = CDR(BgL_pairz00_2079);
														}
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1471))))->
																	BgL_occurrencez00) == ((long) 0)))
															{	/* Reduce/1occ.scm 311 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1472)))
																	{	/* Reduce/1occ.scm 312 */
																		BgL_test1993z00_2758 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 312 */
																		BgL_test1993z00_2758 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 311 */
																BgL_test1993z00_2758 = ((bool_t) 0);
															}
													}
													if (BgL_test1993z00_2758)
														{	/* Reduce/1occ.scm 309 */
															{	/* Reduce/1occ.scm 316 */
																obj_t BgL_arg1482z00_1467;

																BgL_arg1482z00_1467 =
																	CDR(((obj_t) BgL_obindingsz00_1448));
																{
																	obj_t BgL_obindingsz00_2775;

																	BgL_obindingsz00_2775 = BgL_arg1482z00_1467;
																	BgL_obindingsz00_1448 = BgL_obindingsz00_2775;
																	goto BgL_zc3z04anonymousza31423ze3z87_1450;
																}
															}
														}
													else
														{	/* Reduce/1occ.scm 318 */
															obj_t BgL_arg1484z00_1468;
															obj_t BgL_arg1496z00_1469;

															BgL_arg1484z00_1468 =
																CDR(((obj_t) BgL_obindingsz00_1448));
															{	/* Reduce/1occ.scm 319 */
																obj_t BgL_arg1506z00_1470;

																BgL_arg1506z00_1470 =
																	CAR(((obj_t) BgL_obindingsz00_1448));
																BgL_arg1496z00_1469 =
																	MAKE_YOUNG_PAIR(BgL_arg1506z00_1470,
																	BgL_nbindingsz00_1449);
															}
															{
																obj_t BgL_nbindingsz00_2782;
																obj_t BgL_obindingsz00_2781;

																BgL_obindingsz00_2781 = BgL_arg1484z00_1468;
																BgL_nbindingsz00_2782 = BgL_arg1496z00_1469;
																BgL_nbindingsz00_1449 = BgL_nbindingsz00_2782;
																BgL_obindingsz00_1448 = BgL_obindingsz00_2781;
																goto BgL_zc3z04anonymousza31423ze3z87_1450;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 320 */
						obj_t BgL_bindingz00_1481;

						BgL_bindingz00_1481 = CAR(((obj_t) BgL_obindingsz00_1430));
						{	/* Reduce/1occ.scm 321 */
							obj_t BgL_varz00_1482;
							obj_t BgL_valz00_1483;

							BgL_varz00_1482 = CAR(((obj_t) BgL_bindingz00_1481));
							BgL_valz00_1483 = CDR(((obj_t) BgL_bindingz00_1481));
							{	/* Reduce/1occ.scm 323 */
								obj_t BgL_resetz72z72_1484;

								BgL_resetz72z72_1484 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1483), BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 324 */
									obj_t BgL_nvalz00_1485;

									{	/* Reduce/1occ.scm 325 */
										obj_t BgL_tmpz00_2088;

										{	/* Reduce/1occ.scm 325 */
											int BgL_tmpz00_2792;

											BgL_tmpz00_2792 = (int) (((long) 1));
											BgL_tmpz00_2088 = BGL_MVALUES_VAL(BgL_tmpz00_2792);
										}
										{	/* Reduce/1occ.scm 325 */
											int BgL_tmpz00_2795;

											BgL_tmpz00_2795 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2795, BUNSPEC);
										}
										BgL_nvalz00_1485 = BgL_tmpz00_2088;
									}
									{	/* Reduce/1occ.scm 325 */
										obj_t BgL_tmpz00_2798;

										BgL_tmpz00_2798 = ((obj_t) BgL_bindingz00_1481);
										SET_CDR(BgL_tmpz00_2798, BgL_nvalz00_1485);
									}
									{	/* Reduce/1occ.scm 327 */
										bool_t BgL_test1996z00_2801;

										if (BgL_resetz00_1431)
											{	/* Reduce/1occ.scm 327 */
												BgL_test1996z00_2801 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 327 */
												BgL_test1996z00_2801 = CBOOL(BgL_resetz72z72_1484);
											}
										if (BgL_test1996z00_2801)
											{	/* Reduce/1occ.scm 328 */
												obj_t BgL_arg1526z00_1487;

												BgL_arg1526z00_1487 =
													CDR(((obj_t) BgL_obindingsz00_1430));
												{
													obj_t BgL_extendz00_2808;
													bool_t BgL_resetz00_2807;
													obj_t BgL_obindingsz00_2806;

													BgL_obindingsz00_2806 = BgL_arg1526z00_1487;
													BgL_resetz00_2807 = ((bool_t) 1);
													BgL_extendz00_2808 = BNIL;
													BgL_extendz00_1432 = BgL_extendz00_2808;
													BgL_resetz00_1431 = BgL_resetz00_2807;
													BgL_obindingsz00_1430 = BgL_obindingsz00_2806;
													goto BgL_zc3z04anonymousza31391ze3z87_1433;
												}
											}
										else
											{	/* Reduce/1occ.scm 327 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1482))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Reduce/1occ.scm 331 */
														bool_t BgL_test1999z00_2815;

														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1482))))->
																	BgL_occurrencez00) == ((long) 1)))
															{	/* Reduce/1occ.scm 331 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1482))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Reduce/1occ.scm 332 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1483)))
																			{	/* Reduce/1occ.scm 333 */
																				BgL_test1999z00_2815 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 334 */
																				BgL_typez00_bglt BgL_arg1580z00_1506;
																				BgL_typez00_bglt BgL_arg1581z00_1507;

																				BgL_arg1580z00_1506 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1482))))->
																					BgL_typez00);
																				BgL_arg1581z00_1507 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt) BgL_valz00_1483),
																					((bool_t) 0));
																				BgL_test1999z00_2815 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1580z00_1506,
																					BgL_arg1581z00_1507);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 332 */
																		BgL_test1999z00_2815 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 331 */
																BgL_test1999z00_2815 = ((bool_t) 0);
															}
														if (BgL_test1999z00_2815)
															{	/* Reduce/1occ.scm 331 */
																{	/* Reduce/1occ.scm 338 */
																	obj_t BgL_arg1567z00_1500;
																	obj_t BgL_arg1570z00_1501;

																	BgL_arg1567z00_1500 =
																		CDR(((obj_t) BgL_obindingsz00_1430));
																	BgL_arg1570z00_1501 =
																		MAKE_YOUNG_PAIR(BgL_bindingz00_1481,
																		BgL_extendz00_1432);
																	{
																		obj_t BgL_extendz00_2841;
																		bool_t BgL_resetz00_2840;
																		obj_t BgL_obindingsz00_2839;

																		BgL_obindingsz00_2839 = BgL_arg1567z00_1500;
																		BgL_resetz00_2840 = ((bool_t) 0);
																		BgL_extendz00_2841 = BgL_arg1570z00_1501;
																		BgL_extendz00_1432 = BgL_extendz00_2841;
																		BgL_resetz00_1431 = BgL_resetz00_2840;
																		BgL_obindingsz00_1430 =
																			BgL_obindingsz00_2839;
																		goto BgL_zc3z04anonymousza31391ze3z87_1433;
																	}
																}
															}
														else
															{	/* Reduce/1occ.scm 340 */
																obj_t BgL_arg1572z00_1502;

																BgL_arg1572z00_1502 =
																	CDR(((obj_t) BgL_obindingsz00_1430));
																{
																	bool_t BgL_resetz00_2845;
																	obj_t BgL_obindingsz00_2844;

																	BgL_obindingsz00_2844 = BgL_arg1572z00_1502;
																	BgL_resetz00_2845 = ((bool_t) 0);
																	BgL_resetz00_1431 = BgL_resetz00_2845;
																	BgL_obindingsz00_1430 = BgL_obindingsz00_2844;
																	goto BgL_zc3z04anonymousza31391ze3z87_1433;
																}
															}
													}
												else
													{	/* Reduce/1occ.scm 330 */
														obj_t BgL_arg1590z00_1510;

														BgL_arg1590z00_1510 =
															CDR(((obj_t) BgL_obindingsz00_1430));
														{
															bool_t BgL_resetz00_2849;
															obj_t BgL_obindingsz00_2848;

															BgL_obindingsz00_2848 = BgL_arg1590z00_1510;
															BgL_resetz00_2849 = ((bool_t) 0);
															BgL_resetz00_1431 = BgL_resetz00_2849;
															BgL_obindingsz00_1430 = BgL_obindingsz00_2848;
															goto BgL_zc3z04anonymousza31391ze3z87_1433;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_1zd2expza2z70_59)
	{
		{	/* Reduce/1occ.scm 431 */
			{
				obj_t BgL_nodeza2za2_1514;
				bool_t BgL_resetz00_1515;
				obj_t BgL_1zd2expza2z70_1516;

				BgL_nodeza2za2_1514 = BgL_nodeza2za2_58;
				BgL_resetz00_1515 = ((bool_t) 0);
				BgL_1zd2expza2z70_1516 = BgL_1zd2expza2z70_59;
			BgL_zc3z04anonymousza31599ze3z87_1517:
				if (NULLP(BgL_nodeza2za2_1514))
					{	/* Reduce/1occ.scm 436 */
						return BBOOL(BgL_resetz00_1515);
					}
				else
					{	/* Reduce/1occ.scm 436 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1514))))
							{	/* Reduce/1occ.scm 439 */
								obj_t BgL_resetz72z72_1521;

								{	/* Reduce/1occ.scm 440 */
									obj_t BgL_arg1614z00_1524;

									BgL_arg1614z00_1524 = CAR(((obj_t) BgL_nodeza2za2_1514));
									BgL_resetz72z72_1521 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1614z00_1524),
										BgL_1zd2expza2z70_1516);
								}
								{	/* Reduce/1occ.scm 440 */
									obj_t BgL_nodez00_1522;

									{	/* Reduce/1occ.scm 441 */
										obj_t BgL_tmpz00_2101;

										{	/* Reduce/1occ.scm 441 */
											int BgL_tmpz00_2862;

											BgL_tmpz00_2862 = (int) (((long) 1));
											BgL_tmpz00_2101 = BGL_MVALUES_VAL(BgL_tmpz00_2862);
										}
										{	/* Reduce/1occ.scm 441 */
											int BgL_tmpz00_2865;

											BgL_tmpz00_2865 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2865, BUNSPEC);
										}
										BgL_nodez00_1522 = BgL_tmpz00_2101;
									}
									{	/* Reduce/1occ.scm 441 */
										obj_t BgL_tmpz00_2868;

										BgL_tmpz00_2868 = ((obj_t) BgL_nodeza2za2_1514);
										SET_CAR(BgL_tmpz00_2868, BgL_nodez00_1522);
									}
									if (BgL_resetz00_1515)
										{	/* Reduce/1occ.scm 442 */
											return BBOOL(BgL_resetz00_1515);
										}
									else
										{	/* Reduce/1occ.scm 442 */
											return BgL_resetz72z72_1521;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 444 */
								obj_t BgL_resetz72z72_1525;

								{	/* Reduce/1occ.scm 445 */
									obj_t BgL_arg1629z00_1530;

									BgL_arg1629z00_1530 = CAR(((obj_t) BgL_nodeza2za2_1514));
									BgL_resetz72z72_1525 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1629z00_1530),
										BgL_1zd2expza2z70_1516);
								}
								{	/* Reduce/1occ.scm 445 */
									obj_t BgL_nodez00_1526;

									{	/* Reduce/1occ.scm 446 */
										obj_t BgL_tmpz00_2104;

										{	/* Reduce/1occ.scm 446 */
											int BgL_tmpz00_2877;

											BgL_tmpz00_2877 = (int) (((long) 1));
											BgL_tmpz00_2104 = BGL_MVALUES_VAL(BgL_tmpz00_2877);
										}
										{	/* Reduce/1occ.scm 446 */
											int BgL_tmpz00_2880;

											BgL_tmpz00_2880 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2880, BUNSPEC);
										}
										BgL_nodez00_1526 = BgL_tmpz00_2104;
									}
									{	/* Reduce/1occ.scm 446 */
										obj_t BgL_tmpz00_2883;

										BgL_tmpz00_2883 = ((obj_t) BgL_nodeza2za2_1514);
										SET_CAR(BgL_tmpz00_2883, BgL_nodez00_1526);
									}
									{	/* Reduce/1occ.scm 447 */
										bool_t BgL_test2006z00_2886;

										if (BgL_resetz00_1515)
											{	/* Reduce/1occ.scm 447 */
												BgL_test2006z00_2886 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 447 */
												BgL_test2006z00_2886 = CBOOL(BgL_resetz72z72_1525);
											}
										if (BgL_test2006z00_2886)
											{	/* Reduce/1occ.scm 448 */
												obj_t BgL_arg1616z00_1528;

												BgL_arg1616z00_1528 =
													CDR(((obj_t) BgL_nodeza2za2_1514));
												{
													obj_t BgL_1zd2expza2z70_2893;
													bool_t BgL_resetz00_2892;
													obj_t BgL_nodeza2za2_2891;

													BgL_nodeza2za2_2891 = BgL_arg1616z00_1528;
													BgL_resetz00_2892 = ((bool_t) 1);
													BgL_1zd2expza2z70_2893 = BNIL;
													BgL_1zd2expza2z70_1516 = BgL_1zd2expza2z70_2893;
													BgL_resetz00_1515 = BgL_resetz00_2892;
													BgL_nodeza2za2_1514 = BgL_nodeza2za2_2891;
													goto BgL_zc3z04anonymousza31599ze3z87_1517;
												}
											}
										else
											{	/* Reduce/1occ.scm 449 */
												obj_t BgL_arg1625z00_1529;

												BgL_arg1625z00_1529 =
													CDR(((obj_t) BgL_nodeza2za2_1514));
												{
													bool_t BgL_resetz00_2897;
													obj_t BgL_nodeza2za2_2896;

													BgL_nodeza2za2_2896 = BgL_arg1625z00_1529;
													BgL_resetz00_2897 = ((bool_t) 0);
													BgL_resetz00_1515 = BgL_resetz00_2897;
													BgL_nodeza2za2_1514 = BgL_nodeza2za2_2896;
													goto BgL_zc3z04anonymousza31599ze3z87_1517;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc1916z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string1917z00zzreduce_1occz00);
		}

	}



/* &node-1occ!1322 */
	obj_t BGl_z62nodezd21occz121322za2zzreduce_1occz00(obj_t BgL_envz00_2329,
		obj_t BgL_nodez00_2330, obj_t BgL_1zd2expza2z70_2331)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string1918z00zzreduce_1occz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2330)));
		}

	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		{	/* Reduce/1occ.scm 67 */
			{	/* Reduce/1occ.scm 67 */
				obj_t BgL_method1323z00_1538;

				{	/* Reduce/1occ.scm 67 */
					obj_t BgL_res1909z00_2138;

					{	/* Reduce/1occ.scm 67 */
						long BgL_objzd2classzd2numz00_2109;

						BgL_objzd2classzd2numz00_2109 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/1occ.scm 67 */
							obj_t BgL_arg1825z00_2110;

							BgL_arg1825z00_2110 =
								PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
								(int) (((long) 1)));
							{	/* Reduce/1occ.scm 67 */
								int BgL_offsetz00_2113;

								BgL_offsetz00_2113 = (int) (BgL_objzd2classzd2numz00_2109);
								{	/* Reduce/1occ.scm 67 */
									long BgL_offsetz00_2114;

									BgL_offsetz00_2114 =
										((long) (BgL_offsetz00_2113) - OBJECT_TYPE);
									{	/* Reduce/1occ.scm 67 */
										long BgL_modz00_2115;

										BgL_modz00_2115 =
											(BgL_offsetz00_2114 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/1occ.scm 67 */
											long BgL_restz00_2117;

											BgL_restz00_2117 =
												(BgL_offsetz00_2114 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/1occ.scm 67 */

												{	/* Reduce/1occ.scm 67 */
													obj_t BgL_bucketz00_2119;

													BgL_bucketz00_2119 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2110), BgL_modz00_2115);
													BgL_res1909z00_2138 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2119), BgL_restz00_2117);
					}}}}}}}}
					BgL_method1323z00_1538 = BgL_res1909z00_2138;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1323z00_1538)) (BgL_method1323z00_1538,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}

	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2332,
		obj_t BgL_nodez00_2333, obj_t BgL_1zd2expza2z70_2334)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2333), BgL_1zd2expza2z70_2334);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc1919z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1921z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc1922z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc1923z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1924z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_syncz00zzast_nodez00,
				BGl_proc1925z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1926z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1927z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc1928z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc1929z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc1930z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc1931z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1932z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc1933z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_switchz00zzast_nodez00, BGl_proc1934z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1935z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1936z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1937z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1938z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1939z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_returnz00zzast_nodez00, BGl_proc1940z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1941z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1942z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1943z00zzreduce_1occz00,
				BGl_string1920z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc1944z00zzreduce_1occz00, BGl_string1920z00zzreduce_1occz00);
		}

	}



/* &node-1occ!-app1373 */
	obj_t BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00(obj_t
		BgL_envz00_2360, obj_t BgL_nodez00_2361, obj_t BgL_1zd2expza2z70_2362)
	{
		{	/* Reduce/1occ.scm 418 */
			{	/* Reduce/1occ.scm 419 */
				bool_t BgL_tmpz00_2961;

				{	/* Reduce/1occ.scm 420 */
					obj_t BgL_resetz00_2448;

					BgL_resetz00_2448 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2361)))->BgL_argsz00),
						BgL_1zd2expza2z70_2362);
					{	/* Reduce/1occ.scm 421 */
						bool_t BgL_test2008z00_2965;

						if (CBOOL(BgL_resetz00_2448))
							{	/* Reduce/1occ.scm 421 */
								BgL_test2008z00_2965 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 421 */
								BgL_test2008z00_2965 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2361)));
							}
						if (BgL_test2008z00_2965)
							{	/* Reduce/1occ.scm 421 */
								{	/* Reduce/1occ.scm 425 */
									int BgL_tmpz00_2971;

									BgL_tmpz00_2971 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2971);
								}
								{	/* Reduce/1occ.scm 425 */
									obj_t BgL_auxz00_2976;
									int BgL_tmpz00_2974;

									BgL_auxz00_2976 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2361));
									BgL_tmpz00_2974 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2974, BgL_auxz00_2976);
								}
								BgL_tmpz00_2961 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 421 */
								{	/* Reduce/1occ.scm 426 */
									int BgL_tmpz00_2980;

									BgL_tmpz00_2980 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2980);
								}
								{	/* Reduce/1occ.scm 426 */
									obj_t BgL_auxz00_2985;
									int BgL_tmpz00_2983;

									BgL_auxz00_2985 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2361));
									BgL_tmpz00_2983 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2983, BgL_auxz00_2985);
								}
								BgL_tmpz00_2961 = ((bool_t) 0);
				}}}
				return BBOOL(BgL_tmpz00_2961);
			}
		}

	}



/* &node-1occ!-box-ref1371 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00(obj_t
		BgL_envz00_2363, obj_t BgL_nodez00_2364, obj_t BgL_1zd2expza2z70_2365)
	{
		{	/* Reduce/1occ.scm 412 */
			{	/* Reduce/1occ.scm 413 */
				bool_t BgL_tmpz00_2990;

				{	/* Reduce/1occ.scm 413 */
					int BgL_tmpz00_2991;

					BgL_tmpz00_2991 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2991);
				}
				{	/* Reduce/1occ.scm 413 */
					obj_t BgL_auxz00_2996;
					int BgL_tmpz00_2994;

					BgL_auxz00_2996 =
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2364));
					BgL_tmpz00_2994 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2994, BgL_auxz00_2996);
				}
				BgL_tmpz00_2990 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_2990);
			}
		}

	}



/* &node-1occ!-box-set!1369 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00(obj_t
		BgL_envz00_2366, obj_t BgL_nodez00_2367, obj_t BgL_1zd2expza2z70_2368)
	{
		{	/* Reduce/1occ.scm 402 */
			{	/* Reduce/1occ.scm 404 */
				obj_t BgL_resetz00_2451;

				BgL_resetz00_2451 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2367)))->BgL_valuez00),
					BgL_1zd2expza2z70_2368);
				{	/* Reduce/1occ.scm 405 */
					obj_t BgL_nvaluez00_2452;

					{	/* Reduce/1occ.scm 406 */
						obj_t BgL_tmpz00_2453;

						{	/* Reduce/1occ.scm 406 */
							int BgL_tmpz00_3004;

							BgL_tmpz00_3004 = (int) (((long) 1));
							BgL_tmpz00_2453 = BGL_MVALUES_VAL(BgL_tmpz00_3004);
						}
						{	/* Reduce/1occ.scm 406 */
							int BgL_tmpz00_3007;

							BgL_tmpz00_3007 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3007, BUNSPEC);
						}
						BgL_nvaluez00_2452 = BgL_tmpz00_2453;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2367)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2452)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 407 */
						int BgL_tmpz00_3013;

						BgL_tmpz00_3013 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3013);
					}
					{	/* Reduce/1occ.scm 407 */
						obj_t BgL_auxz00_3018;
						int BgL_tmpz00_3016;

						BgL_auxz00_3018 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2367));
						BgL_tmpz00_3016 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3016, BgL_auxz00_3018);
					}
					return BgL_resetz00_2451;
				}
			}
		}

	}



/* &node-1occ!-make-box1367 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00(obj_t
		BgL_envz00_2369, obj_t BgL_nodez00_2370, obj_t BgL_1zd2expza2z70_2371)
	{
		{	/* Reduce/1occ.scm 392 */
			{	/* Reduce/1occ.scm 394 */
				obj_t BgL_resetz00_2455;

				BgL_resetz00_2455 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2370)))->BgL_valuez00),
					BgL_1zd2expza2z70_2371);
				{	/* Reduce/1occ.scm 395 */
					obj_t BgL_nvaluez00_2456;

					{	/* Reduce/1occ.scm 396 */
						obj_t BgL_tmpz00_2457;

						{	/* Reduce/1occ.scm 396 */
							int BgL_tmpz00_3025;

							BgL_tmpz00_3025 = (int) (((long) 1));
							BgL_tmpz00_2457 = BGL_MVALUES_VAL(BgL_tmpz00_3025);
						}
						{	/* Reduce/1occ.scm 396 */
							int BgL_tmpz00_3028;

							BgL_tmpz00_3028 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3028, BUNSPEC);
						}
						BgL_nvaluez00_2456 = BgL_tmpz00_2457;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2370)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2456)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 397 */
						int BgL_tmpz00_3034;

						BgL_tmpz00_3034 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3034);
					}
					{	/* Reduce/1occ.scm 397 */
						obj_t BgL_auxz00_3039;
						int BgL_tmpz00_3037;

						BgL_auxz00_3039 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2370));
						BgL_tmpz00_3037 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3037, BgL_auxz00_3039);
					}
					return BgL_resetz00_2455;
				}
			}
		}

	}



/* &node-1occ!-return1365 */
	obj_t BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00(obj_t
		BgL_envz00_2372, obj_t BgL_nodez00_2373, obj_t BgL_1zd2expza2z70_2374)
	{
		{	/* Reduce/1occ.scm 382 */
			{	/* Reduce/1occ.scm 384 */
				obj_t BgL_resetz00_2459;

				BgL_resetz00_2459 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2373)))->BgL_valuez00),
					BgL_1zd2expza2z70_2374);
				{	/* Reduce/1occ.scm 385 */
					obj_t BgL_nvaluez00_2460;

					{	/* Reduce/1occ.scm 386 */
						obj_t BgL_tmpz00_2461;

						{	/* Reduce/1occ.scm 386 */
							int BgL_tmpz00_3046;

							BgL_tmpz00_3046 = (int) (((long) 1));
							BgL_tmpz00_2461 = BGL_MVALUES_VAL(BgL_tmpz00_3046);
						}
						{	/* Reduce/1occ.scm 386 */
							int BgL_tmpz00_3049;

							BgL_tmpz00_3049 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3049, BUNSPEC);
						}
						BgL_nvaluez00_2460 = BgL_tmpz00_2461;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2373)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2460)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 387 */
						int BgL_tmpz00_3055;

						BgL_tmpz00_3055 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3055);
					}
					{	/* Reduce/1occ.scm 387 */
						obj_t BgL_auxz00_3060;
						int BgL_tmpz00_3058;

						BgL_auxz00_3060 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2373));
						BgL_tmpz00_3058 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3058, BgL_auxz00_3060);
					}
					return BgL_resetz00_2459;
				}
			}
		}

	}



/* &node-1occ!-retblock1363 */
	obj_t BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00(obj_t
		BgL_envz00_2375, obj_t BgL_nodez00_2376, obj_t BgL_1zd2expza2z70_2377)
	{
		{	/* Reduce/1occ.scm 372 */
			{	/* Reduce/1occ.scm 374 */
				obj_t BgL_resetz00_2463;

				BgL_resetz00_2463 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2376)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2377);
				{	/* Reduce/1occ.scm 375 */
					obj_t BgL_nbodyz00_2464;

					{	/* Reduce/1occ.scm 376 */
						obj_t BgL_tmpz00_2465;

						{	/* Reduce/1occ.scm 376 */
							int BgL_tmpz00_3067;

							BgL_tmpz00_3067 = (int) (((long) 1));
							BgL_tmpz00_2465 = BGL_MVALUES_VAL(BgL_tmpz00_3067);
						}
						{	/* Reduce/1occ.scm 376 */
							int BgL_tmpz00_3070;

							BgL_tmpz00_3070 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3070, BUNSPEC);
						}
						BgL_nbodyz00_2464 = BgL_tmpz00_2465;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2376)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2464)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 377 */
						int BgL_tmpz00_3076;

						BgL_tmpz00_3076 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3076);
					}
					{	/* Reduce/1occ.scm 377 */
						obj_t BgL_auxz00_3081;
						int BgL_tmpz00_3079;

						BgL_auxz00_3081 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2376));
						BgL_tmpz00_3079 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3079, BgL_auxz00_3081);
					}
					return BgL_resetz00_2463;
				}
			}
		}

	}



/* &node-1occ!-jump-ex-i1361 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00(obj_t
		BgL_envz00_2378, obj_t BgL_nodez00_2379, obj_t BgL_1zd2expza2z70_2380)
	{
		{	/* Reduce/1occ.scm 358 */
			{	/* Reduce/1occ.scm 360 */
				obj_t BgL_resetz00_2467;

				BgL_resetz00_2467 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2379)))->BgL_exitz00),
					BgL_1zd2expza2z70_2380);
				{	/* Reduce/1occ.scm 361 */
					obj_t BgL_nexitz00_2468;

					{	/* Reduce/1occ.scm 362 */
						obj_t BgL_tmpz00_2469;

						{	/* Reduce/1occ.scm 362 */
							int BgL_tmpz00_3088;

							BgL_tmpz00_3088 = (int) (((long) 1));
							BgL_tmpz00_2469 = BGL_MVALUES_VAL(BgL_tmpz00_3088);
						}
						{	/* Reduce/1occ.scm 362 */
							int BgL_tmpz00_3091;

							BgL_tmpz00_3091 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3091, BUNSPEC);
						}
						BgL_nexitz00_2468 = BgL_tmpz00_2469;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2379)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2468)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 363 */
						obj_t BgL_1zd2expza2z72z02_2470;

						if (CBOOL(BgL_resetz00_2467))
							{	/* Reduce/1occ.scm 363 */
								BgL_1zd2expza2z72z02_2470 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 363 */
								BgL_1zd2expza2z72z02_2470 = BgL_1zd2expza2z70_2380;
							}
						{	/* Reduce/1occ.scm 364 */
							obj_t BgL_resetz72z72_2471;

							BgL_resetz72z72_2471 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2379)))->
									BgL_valuez00), BgL_1zd2expza2z72z02_2470);
							{	/* Reduce/1occ.scm 365 */
								obj_t BgL_nvaluez00_2472;

								{	/* Reduce/1occ.scm 366 */
									obj_t BgL_tmpz00_2473;

									{	/* Reduce/1occ.scm 366 */
										int BgL_tmpz00_3102;

										BgL_tmpz00_3102 = (int) (((long) 1));
										BgL_tmpz00_2473 = BGL_MVALUES_VAL(BgL_tmpz00_3102);
									}
									{	/* Reduce/1occ.scm 366 */
										int BgL_tmpz00_3105;

										BgL_tmpz00_3105 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3105, BUNSPEC);
									}
									BgL_nvaluez00_2472 = BgL_tmpz00_2473;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2379)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2472)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 367 */
									obj_t BgL_val0_1306z00_2474;

									if (CBOOL(BgL_resetz00_2467))
										{	/* Reduce/1occ.scm 367 */
											BgL_val0_1306z00_2474 = BgL_resetz00_2467;
										}
									else
										{	/* Reduce/1occ.scm 367 */
											BgL_val0_1306z00_2474 = BgL_resetz72z72_2471;
										}
									{	/* Reduce/1occ.scm 367 */
										int BgL_tmpz00_3113;

										BgL_tmpz00_3113 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3113);
									}
									{	/* Reduce/1occ.scm 367 */
										obj_t BgL_auxz00_3118;
										int BgL_tmpz00_3116;

										BgL_auxz00_3118 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2379));
										BgL_tmpz00_3116 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3116, BgL_auxz00_3118);
									}
									return BgL_val0_1306z00_2474;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-set-ex-it1359 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00(obj_t
		BgL_envz00_2381, obj_t BgL_nodez00_2382, obj_t BgL_1zd2expza2z70_2383)
	{
		{	/* Reduce/1occ.scm 345 */
			{	/* Reduce/1occ.scm 347 */
				obj_t BgL_resetz00_2476;

				BgL_resetz00_2476 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2382)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2383);
				{	/* Reduce/1occ.scm 348 */
					obj_t BgL_nbodyz00_2477;

					{	/* Reduce/1occ.scm 349 */
						obj_t BgL_tmpz00_2478;

						{	/* Reduce/1occ.scm 349 */
							int BgL_tmpz00_3125;

							BgL_tmpz00_3125 = (int) (((long) 1));
							BgL_tmpz00_2478 = BGL_MVALUES_VAL(BgL_tmpz00_3125);
						}
						{	/* Reduce/1occ.scm 349 */
							int BgL_tmpz00_3128;

							BgL_tmpz00_3128 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3128, BUNSPEC);
						}
						BgL_nbodyz00_2477 = BgL_tmpz00_2478;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2382)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2477)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 350 */
						obj_t BgL_resetz72z72_2479;

						BgL_resetz72z72_2479 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2382)))->
								BgL_onexitz00), BgL_1zd2expza2z70_2383);
						{	/* Reduce/1occ.scm 351 */
							obj_t BgL_nonexitz00_2480;

							{	/* Reduce/1occ.scm 352 */
								obj_t BgL_tmpz00_2481;

								{	/* Reduce/1occ.scm 352 */
									int BgL_tmpz00_3137;

									BgL_tmpz00_3137 = (int) (((long) 1));
									BgL_tmpz00_2481 = BGL_MVALUES_VAL(BgL_tmpz00_3137);
								}
								{	/* Reduce/1occ.scm 352 */
									int BgL_tmpz00_3140;

									BgL_tmpz00_3140 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3140, BUNSPEC);
								}
								BgL_nonexitz00_2480 = BgL_tmpz00_2481;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2382)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2480)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 353 */
								obj_t BgL_val0_1304z00_2482;

								if (CBOOL(BgL_resetz00_2476))
									{	/* Reduce/1occ.scm 353 */
										BgL_val0_1304z00_2482 = BgL_resetz00_2476;
									}
								else
									{	/* Reduce/1occ.scm 353 */
										BgL_val0_1304z00_2482 = BgL_resetz72z72_2479;
									}
								{	/* Reduce/1occ.scm 353 */
									int BgL_tmpz00_3148;

									BgL_tmpz00_3148 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3148);
								}
								{	/* Reduce/1occ.scm 353 */
									obj_t BgL_auxz00_3153;
									int BgL_tmpz00_3151;

									BgL_auxz00_3153 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2382));
									BgL_tmpz00_3151 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3151, BgL_auxz00_3153);
								}
								return BgL_val0_1304z00_2482;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-let-var1357 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00(obj_t
		BgL_envz00_2384, obj_t BgL_nodez00_2385, obj_t BgL_1zd2expza2z70_2386)
	{
		{	/* Reduce/1occ.scm 253 */
			{	/* Reduce/1occ.scm 259 */
				bool_t BgL_test2013z00_3157;

				{	/* Reduce/1occ.scm 259 */
					bool_t BgL_test2014z00_3158;

					{	/* Reduce/1occ.scm 259 */
						obj_t BgL_tmpz00_3159;

						BgL_tmpz00_3159 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
							BgL_bindingsz00);
						BgL_test2014z00_3158 = PAIRP(BgL_tmpz00_3159);
					}
					if (BgL_test2014z00_3158)
						{	/* Reduce/1occ.scm 259 */
							if (NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
											BgL_bindingsz00))))
								{	/* Reduce/1occ.scm 260 */
									if (
										(BBOOL(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
													BgL_removablezf3zf3)) == CNST_TABLE_REF(((long) 2))))
										{	/* Reduce/1occ.scm 261 */
											BgL_test2013z00_3157 = ((bool_t) 0);
										}
									else
										{	/* Reduce/1occ.scm 262 */
											obj_t BgL_varz00_2484;

											{	/* Reduce/1occ.scm 262 */
												obj_t BgL_pairz00_2485;

												BgL_pairz00_2485 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
													BgL_bindingsz00);
												BgL_varz00_2484 = CAR(CAR(BgL_pairz00_2485));
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_2484))))->
														BgL_occurrencez00) == ((long) 1)))
												{	/* Reduce/1occ.scm 264 */
													bool_t BgL_test2018z00_3183;

													{	/* Reduce/1occ.scm 264 */
														BgL_typez00_bglt BgL_arg1770z00_2486;

														BgL_arg1770z00_2486 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2484)))->
															BgL_typez00);
														BgL_test2018z00_3183 =
															(((obj_t) BgL_arg1770z00_2486) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
													if (BgL_test2018z00_3183)
														{	/* Reduce/1occ.scm 265 */
															bool_t BgL_test2019z00_3188;

															{	/* Reduce/1occ.scm 265 */
																BgL_nodez00_bglt BgL_arg1769z00_2487;

																BgL_arg1769z00_2487 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_2385)))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 265 */
																	obj_t BgL_classz00_2488;

																	BgL_classz00_2488 =
																		BGl_conditionalz00zzast_nodez00;
																	{	/* Reduce/1occ.scm 265 */
																		BgL_objectz00_bglt BgL_arg1820z00_2489;

																		{	/* Reduce/1occ.scm 265 */
																			obj_t BgL_tmpz00_3191;

																			BgL_tmpz00_3191 =
																				((obj_t)
																				((BgL_objectz00_bglt)
																					BgL_arg1769z00_2487));
																			BgL_arg1820z00_2489 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_3191);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/1occ.scm 265 */
																				long BgL_idxz00_2490;

																				BgL_idxz00_2490 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2489);
																				BgL_test2019z00_3188 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2490 + ((long) 3))) ==
																					BgL_classz00_2488);
																			}
																		else
																			{	/* Reduce/1occ.scm 265 */
																				bool_t BgL_res1910z00_2493;

																				{	/* Reduce/1occ.scm 265 */
																					obj_t BgL_oclassz00_2494;

																					{	/* Reduce/1occ.scm 265 */
																						long BgL_arg1828z00_2495;

																						{	/* Reduce/1occ.scm 265 */
																							long BgL_arg1829z00_2496;

																							BgL_arg1829z00_2496 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2489);
																							BgL_arg1828z00_2495 =
																								(BgL_arg1829z00_2496 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2494 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2495);
																					}
																					{	/* Reduce/1occ.scm 265 */
																						bool_t BgL__ortest_1111z00_2497;

																						BgL__ortest_1111z00_2497 =
																							(BgL_classz00_2488 ==
																							BgL_oclassz00_2494);
																						if (BgL__ortest_1111z00_2497)
																							{	/* Reduce/1occ.scm 265 */
																								BgL_res1910z00_2493 =
																									BgL__ortest_1111z00_2497;
																							}
																						else
																							{	/* Reduce/1occ.scm 265 */
																								long BgL_odepthz00_2498;

																								BgL_odepthz00_2498 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2494);
																								if ((((long) 3) <
																										BgL_odepthz00_2498))
																									{	/* Reduce/1occ.scm 265 */
																										obj_t BgL_arg1816z00_2499;

																										BgL_arg1816z00_2499 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2494,
																											((long) 3));
																										BgL_res1910z00_2493 =
																											(BgL_arg1816z00_2499 ==
																											BgL_classz00_2488);
																									}
																								else
																									{	/* Reduce/1occ.scm 265 */
																										BgL_res1910z00_2493 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2019z00_3188 =
																					BgL_res1910z00_2493;
																			}
																	}
																}
															}
															if (BgL_test2019z00_3188)
																{	/* Reduce/1occ.scm 266 */
																	BgL_conditionalz00_bglt BgL_i1131z00_2500;

																	BgL_i1131z00_2500 =
																		((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_2385)))->BgL_bodyz00));
																	{	/* Reduce/1occ.scm 267 */
																		bool_t BgL_test2023z00_3214;

																		{	/* Reduce/1occ.scm 267 */
																			BgL_nodez00_bglt BgL_arg1766z00_2501;

																			BgL_arg1766z00_2501 =
																				(((BgL_conditionalz00_bglt)
																					COBJECT(BgL_i1131z00_2500))->
																				BgL_testz00);
																			{	/* Reduce/1occ.scm 267 */
																				obj_t BgL_classz00_2502;

																				BgL_classz00_2502 =
																					BGl_varz00zzast_nodez00;
																				{	/* Reduce/1occ.scm 267 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_2503;
																					{	/* Reduce/1occ.scm 267 */
																						obj_t BgL_tmpz00_3216;

																						BgL_tmpz00_3216 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1766z00_2501));
																						BgL_arg1820z00_2503 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_3216);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Reduce/1occ.scm 267 */
																							long BgL_idxz00_2504;

																							BgL_idxz00_2504 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_2503);
																							BgL_test2023z00_3214 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2504 +
																										((long) 2))) ==
																								BgL_classz00_2502);
																						}
																					else
																						{	/* Reduce/1occ.scm 267 */
																							bool_t BgL_res1911z00_2507;

																							{	/* Reduce/1occ.scm 267 */
																								obj_t BgL_oclassz00_2508;

																								{	/* Reduce/1occ.scm 267 */
																									long BgL_arg1828z00_2509;

																									{	/* Reduce/1occ.scm 267 */
																										long BgL_arg1829z00_2510;

																										BgL_arg1829z00_2510 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_2503);
																										BgL_arg1828z00_2509 =
																											(BgL_arg1829z00_2510 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2508 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_2509);
																								}
																								{	/* Reduce/1occ.scm 267 */
																									bool_t
																										BgL__ortest_1111z00_2511;
																									BgL__ortest_1111z00_2511 =
																										(BgL_classz00_2502 ==
																										BgL_oclassz00_2508);
																									if (BgL__ortest_1111z00_2511)
																										{	/* Reduce/1occ.scm 267 */
																											BgL_res1911z00_2507 =
																												BgL__ortest_1111z00_2511;
																										}
																									else
																										{	/* Reduce/1occ.scm 267 */
																											long BgL_odepthz00_2512;

																											BgL_odepthz00_2512 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2508);
																											if ((((long) 2) <
																													BgL_odepthz00_2512))
																												{	/* Reduce/1occ.scm 267 */
																													obj_t
																														BgL_arg1816z00_2513;
																													BgL_arg1816z00_2513 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2508,
																														((long) 2));
																													BgL_res1911z00_2507 =
																														(BgL_arg1816z00_2513
																														==
																														BgL_classz00_2502);
																												}
																											else
																												{	/* Reduce/1occ.scm 267 */
																													BgL_res1911z00_2507 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2023z00_3214 =
																								BgL_res1911z00_2507;
																						}
																				}
																			}
																		}
																		if (BgL_test2023z00_3214)
																			{	/* Reduce/1occ.scm 267 */
																				BgL_test2013z00_3157 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										(((BgL_conditionalz00_bglt)
																												COBJECT
																												(BgL_i1131z00_2500))->
																											BgL_testz00))))->
																							BgL_variablez00)) ==
																					BgL_varz00_2484);
																			}
																		else
																			{	/* Reduce/1occ.scm 267 */
																				BgL_test2013z00_3157 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/1occ.scm 265 */
																	BgL_test2013z00_3157 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/1occ.scm 264 */
															BgL_test2013z00_3157 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/1occ.scm 263 */
													BgL_test2013z00_3157 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* Reduce/1occ.scm 260 */
									BgL_test2013z00_3157 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/1occ.scm 259 */
							BgL_test2013z00_3157 = ((bool_t) 0);
						}
				}
				if (BgL_test2013z00_3157)
					{	/* Reduce/1occ.scm 270 */
						BgL_conditionalz00_bglt BgL_i1133z00_2514;

						BgL_i1133z00_2514 =
							((BgL_conditionalz00_bglt)
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->BgL_bodyz00));
						{
							BgL_nodez00_bglt BgL_auxz00_3244;

							{	/* Reduce/1occ.scm 271 */
								obj_t BgL_pairz00_2515;

								BgL_pairz00_2515 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
									BgL_bindingsz00);
								{	/* Reduce/1occ.scm 271 */
									obj_t BgL_pairz00_2516;

									BgL_pairz00_2516 = CAR(BgL_pairz00_2515);
									BgL_auxz00_3244 = ((BgL_nodez00_bglt) CDR(BgL_pairz00_2516));
								}
							}
							((((BgL_conditionalz00_bglt) COBJECT(BgL_i1133z00_2514))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3244), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
								BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
						return
							BGl_nodezd21occz12zc0zzreduce_1occz00((((BgL_letzd2varzd2_bglt)
									COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2385)))->
								BgL_bodyz00), BgL_1zd2expza2z70_2386);
					}
				else
					{	/* Reduce/1occ.scm 259 */
						return
							BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2385),
							BgL_1zd2expza2z70_2386);
					}
			}
		}

	}



/* &node-1occ!-let-fun1355 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00(obj_t
		BgL_envz00_2387, obj_t BgL_nodez00_2388, obj_t BgL_1zd2expza2z70_2389)
	{
		{	/* Reduce/1occ.scm 234 */
			{	/* Reduce/1occ.scm 236 */
				obj_t BgL_resetz00_2518;

				BgL_resetz00_2518 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2388)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2389);
				{	/* Reduce/1occ.scm 237 */
					obj_t BgL_nbodyz00_2519;

					{	/* Reduce/1occ.scm 238 */
						obj_t BgL_tmpz00_2520;

						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3261;

							BgL_tmpz00_3261 = (int) (((long) 1));
							BgL_tmpz00_2520 = BGL_MVALUES_VAL(BgL_tmpz00_3261);
						}
						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3264;

							BgL_tmpz00_3264 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3264, BUNSPEC);
						}
						BgL_nbodyz00_2519 = BgL_tmpz00_2520;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2388)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2519)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2522;
						obj_t BgL_resetz00_2523;

						BgL_localsz00_2522 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2388)))->BgL_localsz00);
						BgL_resetz00_2523 = BgL_resetz00_2518;
					BgL_loopz00_2521:
						if (NULLP(BgL_localsz00_2522))
							{	/* Reduce/1occ.scm 241 */
								{	/* Reduce/1occ.scm 242 */
									int BgL_tmpz00_3272;

									BgL_tmpz00_3272 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3272);
								}
								{	/* Reduce/1occ.scm 242 */
									obj_t BgL_auxz00_3277;
									int BgL_tmpz00_3275;

									BgL_auxz00_3277 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2388));
									BgL_tmpz00_3275 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3275, BgL_auxz00_3277);
								}
								return BgL_resetz00_2523;
							}
						else
							{	/* Reduce/1occ.scm 243 */
								obj_t BgL_localz00_2524;

								BgL_localz00_2524 = CAR(((obj_t) BgL_localsz00_2522));
								{	/* Reduce/1occ.scm 243 */
									BgL_valuez00_bglt BgL_sfunz00_2525;

									BgL_sfunz00_2525 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2524))))->
										BgL_valuez00);
									{	/* Reduce/1occ.scm 244 */

										{	/* Reduce/1occ.scm 245 */
											obj_t BgL_resetz72z72_2526;

											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_arg1720z00_2527;

												BgL_arg1720z00_2527 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2525)))->
													BgL_bodyz00);
												BgL_resetz72z72_2526 =
													BGl_nodezd21occz12zc0zzreduce_1occz00((
														(BgL_nodez00_bglt) BgL_arg1720z00_2527), BNIL);
											}
											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_nbodyz00_2528;

												{	/* Reduce/1occ.scm 247 */
													obj_t BgL_tmpz00_2529;

													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3290;

														BgL_tmpz00_3290 = (int) (((long) 1));
														BgL_tmpz00_2529 = BGL_MVALUES_VAL(BgL_tmpz00_3290);
													}
													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3293;

														BgL_tmpz00_3293 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3293, BUNSPEC);
													}
													BgL_nbodyz00_2528 = BgL_tmpz00_2529;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2525)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2528), BUNSPEC);
												{	/* Reduce/1occ.scm 248 */
													obj_t BgL_arg1711z00_2530;
													obj_t BgL_arg1712z00_2531;

													BgL_arg1711z00_2530 =
														CDR(((obj_t) BgL_localsz00_2522));
													if (CBOOL(BgL_resetz00_2523))
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1712z00_2531 = BgL_resetz00_2523;
														}
													else
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1712z00_2531 = BgL_resetz72z72_2526;
														}
													{
														obj_t BgL_resetz00_3303;
														obj_t BgL_localsz00_3302;

														BgL_localsz00_3302 = BgL_arg1711z00_2530;
														BgL_resetz00_3303 = BgL_arg1712z00_2531;
														BgL_resetz00_2523 = BgL_resetz00_3303;
														BgL_localsz00_2522 = BgL_localsz00_3302;
														goto BgL_loopz00_2521;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-switch1353 */
	obj_t BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00(obj_t
		BgL_envz00_2390, obj_t BgL_nodez00_2391, obj_t BgL_1zd2expza2z70_2392)
	{
		{	/* Reduce/1occ.scm 215 */
			{	/* Reduce/1occ.scm 217 */
				obj_t BgL_resetz00_2533;

				BgL_resetz00_2533 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2391)))->BgL_testz00),
					BgL_1zd2expza2z70_2392);
				{	/* Reduce/1occ.scm 218 */
					obj_t BgL_ntestz00_2534;

					{	/* Reduce/1occ.scm 219 */
						obj_t BgL_tmpz00_2535;

						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3309;

							BgL_tmpz00_3309 = (int) (((long) 1));
							BgL_tmpz00_2535 = BGL_MVALUES_VAL(BgL_tmpz00_3309);
						}
						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3312;

							BgL_tmpz00_3312 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3312, BUNSPEC);
						}
						BgL_ntestz00_2534 = BgL_tmpz00_2535;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2391)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2534)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2537;
						obj_t BgL_resetz00_2538;

						BgL_clausesz00_2537 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2391)))->BgL_clausesz00);
						BgL_resetz00_2538 = BgL_resetz00_2533;
					BgL_loopz00_2536:
						if (NULLP(BgL_clausesz00_2537))
							{	/* Reduce/1occ.scm 223 */
								{	/* Reduce/1occ.scm 224 */
									int BgL_tmpz00_3320;

									BgL_tmpz00_3320 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3320);
								}
								{	/* Reduce/1occ.scm 224 */
									obj_t BgL_auxz00_3325;
									int BgL_tmpz00_3323;

									BgL_auxz00_3325 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2391));
									BgL_tmpz00_3323 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3323, BgL_auxz00_3325);
								}
								return BgL_resetz00_2538;
							}
						else
							{	/* Reduce/1occ.scm 225 */
								obj_t BgL_clausez00_2539;

								BgL_clausez00_2539 = CAR(((obj_t) BgL_clausesz00_2537));
								{	/* Reduce/1occ.scm 226 */
									obj_t BgL_resetz72z72_2540;

									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_arg1697z00_2541;

										BgL_arg1697z00_2541 = CDR(((obj_t) BgL_clausez00_2539));
										BgL_resetz72z72_2540 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											((BgL_nodez00_bglt) BgL_arg1697z00_2541),
											BgL_1zd2expza2z70_2392);
									}
									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_nclausez00_2542;

										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_2543;

											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3335;

												BgL_tmpz00_3335 = (int) (((long) 1));
												BgL_tmpz00_2543 = BGL_MVALUES_VAL(BgL_tmpz00_3335);
											}
											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3338;

												BgL_tmpz00_3338 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3338, BUNSPEC);
											}
											BgL_nclausez00_2542 = BgL_tmpz00_2543;
										}
										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_3341;

											BgL_tmpz00_3341 = ((obj_t) BgL_clausez00_2539);
											SET_CDR(BgL_tmpz00_3341, BgL_nclausez00_2542);
										}
										{	/* Reduce/1occ.scm 229 */
											obj_t BgL_arg1692z00_2544;
											obj_t BgL_arg1696z00_2545;

											BgL_arg1692z00_2544 = CDR(((obj_t) BgL_clausesz00_2537));
											if (CBOOL(BgL_resetz00_2538))
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1696z00_2545 = BgL_resetz00_2538;
												}
											else
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1696z00_2545 = BgL_resetz72z72_2540;
												}
											{
												obj_t BgL_resetz00_3349;
												obj_t BgL_clausesz00_3348;

												BgL_clausesz00_3348 = BgL_arg1692z00_2544;
												BgL_resetz00_3349 = BgL_arg1696z00_2545;
												BgL_resetz00_2538 = BgL_resetz00_3349;
												BgL_clausesz00_2537 = BgL_clausesz00_3348;
												goto BgL_loopz00_2536;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-fail1351 */
	obj_t BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00(obj_t
		BgL_envz00_2393, obj_t BgL_nodez00_2394, obj_t BgL_1zd2expza2z70_2395)
	{
		{	/* Reduce/1occ.scm 197 */
			{	/* Reduce/1occ.scm 199 */
				obj_t BgL_resetz00_2547;

				BgL_resetz00_2547 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2394)))->BgL_procz00),
					BgL_1zd2expza2z70_2395);
				{	/* Reduce/1occ.scm 200 */
					obj_t BgL_nprocz00_2548;

					{	/* Reduce/1occ.scm 201 */
						obj_t BgL_tmpz00_2549;

						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3355;

							BgL_tmpz00_3355 = (int) (((long) 1));
							BgL_tmpz00_2549 = BGL_MVALUES_VAL(BgL_tmpz00_3355);
						}
						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3358;

							BgL_tmpz00_3358 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3358, BUNSPEC);
						}
						BgL_nprocz00_2548 = BgL_tmpz00_2549;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2394)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2548)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 202 */
						obj_t BgL_1zd2expza2z72z02_2550;

						if (CBOOL(BgL_resetz00_2547))
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2550 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2550 = BgL_1zd2expza2z70_2395;
							}
						{	/* Reduce/1occ.scm 203 */
							obj_t BgL_resetz72z72_2551;

							BgL_resetz72z72_2551 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2394)))->BgL_msgz00),
								BgL_1zd2expza2z72z02_2550);
							{	/* Reduce/1occ.scm 204 */
								obj_t BgL_nmsgz00_2552;

								{	/* Reduce/1occ.scm 205 */
									obj_t BgL_tmpz00_2553;

									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3369;

										BgL_tmpz00_3369 = (int) (((long) 1));
										BgL_tmpz00_2553 = BGL_MVALUES_VAL(BgL_tmpz00_3369);
									}
									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3372;

										BgL_tmpz00_3372 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3372, BUNSPEC);
									}
									BgL_nmsgz00_2552 = BgL_tmpz00_2553;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2394)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2552)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 206 */
									obj_t BgL_1zd2expza2z72z72z70_2554;

									if (CBOOL(BgL_resetz72z72_2551))
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2554 = BNIL;
										}
									else
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2554 = BgL_1zd2expza2z72z02_2550;
										}
									{	/* Reduce/1occ.scm 207 */
										obj_t BgL_resetz72z72z00_2555;

										BgL_resetz72z72z00_2555 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2394)))->
												BgL_objz00), BgL_1zd2expza2z72z72z70_2554);
										{	/* Reduce/1occ.scm 208 */
											obj_t BgL_nobjz00_2556;

											{	/* Reduce/1occ.scm 209 */
												obj_t BgL_tmpz00_2557;

												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3383;

													BgL_tmpz00_3383 = (int) (((long) 1));
													BgL_tmpz00_2557 = BGL_MVALUES_VAL(BgL_tmpz00_3383);
												}
												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3386;

													BgL_tmpz00_3386 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3386, BUNSPEC);
												}
												BgL_nobjz00_2556 = BgL_tmpz00_2557;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2394)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2556)), BUNSPEC);
											{	/* Reduce/1occ.scm 210 */
												obj_t BgL_val0_1292z00_2558;

												if (CBOOL(BgL_resetz00_2547))
													{	/* Reduce/1occ.scm 210 */
														BgL_val0_1292z00_2558 = BgL_resetz00_2547;
													}
												else
													{	/* Reduce/1occ.scm 210 */
														if (CBOOL(BgL_resetz72z72_2551))
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1292z00_2558 = BgL_resetz72z72_2551;
															}
														else
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1292z00_2558 = BgL_resetz72z72z00_2555;
															}
													}
												{	/* Reduce/1occ.scm 210 */
													int BgL_tmpz00_3396;

													BgL_tmpz00_3396 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3396);
												}
												{	/* Reduce/1occ.scm 210 */
													obj_t BgL_auxz00_3401;
													int BgL_tmpz00_3399;

													BgL_auxz00_3401 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2394));
													BgL_tmpz00_3399 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3399, BgL_auxz00_3401);
												}
												return BgL_val0_1292z00_2558;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-condition1349 */
	obj_t BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00(obj_t
		BgL_envz00_2396, obj_t BgL_nodez00_2397, obj_t BgL_1zd2expza2z70_2398)
	{
		{	/* Reduce/1occ.scm 180 */
			{	/* Reduce/1occ.scm 182 */
				obj_t BgL_resetz00_2560;

				BgL_resetz00_2560 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->BgL_testz00),
					BgL_1zd2expza2z70_2398);
				{	/* Reduce/1occ.scm 183 */
					obj_t BgL_ntestz00_2561;

					{	/* Reduce/1occ.scm 184 */
						obj_t BgL_tmpz00_2562;

						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3408;

							BgL_tmpz00_3408 = (int) (((long) 1));
							BgL_tmpz00_2562 = BGL_MVALUES_VAL(BgL_tmpz00_3408);
						}
						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3411;

							BgL_tmpz00_3411 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3411, BUNSPEC);
						}
						BgL_ntestz00_2561 = BgL_tmpz00_2562;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2561)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 185 */
						obj_t BgL_1zd2expza2z72z02_2563;

						if (CBOOL(BgL_resetz00_2560))
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2563 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2563 = BgL_1zd2expza2z70_2398;
							}
						{	/* Reduce/1occ.scm 186 */
							obj_t BgL_resetz72z72_2564;

							BgL_resetz72z72_2564 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->
									BgL_truez00), BgL_1zd2expza2z72z02_2563);
							{	/* Reduce/1occ.scm 187 */
								obj_t BgL_ntruez00_2565;

								{	/* Reduce/1occ.scm 188 */
									obj_t BgL_tmpz00_2566;

									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3422;

										BgL_tmpz00_3422 = (int) (((long) 1));
										BgL_tmpz00_2566 = BGL_MVALUES_VAL(BgL_tmpz00_3422);
									}
									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3425;

										BgL_tmpz00_3425 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3425, BUNSPEC);
									}
									BgL_ntruez00_2565 = BgL_tmpz00_2566;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2565)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 189 */
									obj_t BgL_resetz72z72z00_2567;

									BgL_resetz72z72z00_2567 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->
											BgL_falsez00), BgL_1zd2expza2z72z02_2563);
									{	/* Reduce/1occ.scm 190 */
										obj_t BgL_nfalsez00_2568;

										{	/* Reduce/1occ.scm 191 */
											obj_t BgL_tmpz00_2569;

											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3434;

												BgL_tmpz00_3434 = (int) (((long) 1));
												BgL_tmpz00_2569 = BGL_MVALUES_VAL(BgL_tmpz00_3434);
											}
											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3437;

												BgL_tmpz00_3437 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3437, BUNSPEC);
											}
											BgL_nfalsez00_2568 = BgL_tmpz00_2569;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2397)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2568)), BUNSPEC);
										{	/* Reduce/1occ.scm 192 */
											obj_t BgL_val0_1290z00_2570;

											if (CBOOL(BgL_resetz00_2560))
												{	/* Reduce/1occ.scm 192 */
													BgL_val0_1290z00_2570 = BgL_resetz00_2560;
												}
											else
												{	/* Reduce/1occ.scm 192 */
													if (CBOOL(BgL_resetz72z72_2564))
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1290z00_2570 = BgL_resetz72z72_2564;
														}
													else
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1290z00_2570 = BgL_resetz72z72z00_2567;
														}
												}
											{	/* Reduce/1occ.scm 192 */
												int BgL_tmpz00_3447;

												BgL_tmpz00_3447 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3447);
											}
											{	/* Reduce/1occ.scm 192 */
												obj_t BgL_auxz00_3452;
												int BgL_tmpz00_3450;

												BgL_auxz00_3452 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2397));
												BgL_tmpz00_3450 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3450, BgL_auxz00_3452);
											}
											return BgL_val0_1290z00_2570;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-setq1347 */
	obj_t BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00(obj_t
		BgL_envz00_2399, obj_t BgL_nodez00_2400, obj_t BgL_1zd2expza2z70_2401)
	{
		{	/* Reduce/1occ.scm 170 */
			{	/* Reduce/1occ.scm 172 */
				obj_t BgL_resetz00_2572;

				BgL_resetz00_2572 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2400)))->BgL_valuez00),
					BgL_1zd2expza2z70_2401);
				{	/* Reduce/1occ.scm 173 */
					obj_t BgL_nvaluez00_2573;

					{	/* Reduce/1occ.scm 174 */
						obj_t BgL_tmpz00_2574;

						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3459;

							BgL_tmpz00_3459 = (int) (((long) 1));
							BgL_tmpz00_2574 = BGL_MVALUES_VAL(BgL_tmpz00_3459);
						}
						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3462;

							BgL_tmpz00_3462 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3462, BUNSPEC);
						}
						BgL_nvaluez00_2573 = BgL_tmpz00_2574;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2400)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2573)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 175 */
						int BgL_tmpz00_3468;

						BgL_tmpz00_3468 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3468);
					}
					{	/* Reduce/1occ.scm 175 */
						obj_t BgL_auxz00_3473;
						int BgL_tmpz00_3471;

						BgL_auxz00_3473 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2400));
						BgL_tmpz00_3471 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3471, BgL_auxz00_3473);
					}
					return BgL_resetz00_2572;
				}
			}
		}

	}



/* &node-1occ!-cast1345 */
	obj_t BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00(obj_t
		BgL_envz00_2402, obj_t BgL_nodez00_2403, obj_t BgL_1zd2expza2z70_2404)
	{
		{	/* Reduce/1occ.scm 160 */
			{	/* Reduce/1occ.scm 162 */
				obj_t BgL_resetz00_2576;

				BgL_resetz00_2576 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2403)))->BgL_argz00),
					BgL_1zd2expza2z70_2404);
				{	/* Reduce/1occ.scm 163 */
					obj_t BgL_nargz00_2577;

					{	/* Reduce/1occ.scm 164 */
						obj_t BgL_tmpz00_2578;

						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3480;

							BgL_tmpz00_3480 = (int) (((long) 1));
							BgL_tmpz00_2578 = BGL_MVALUES_VAL(BgL_tmpz00_3480);
						}
						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3483;

							BgL_tmpz00_3483 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3483, BUNSPEC);
						}
						BgL_nargz00_2577 = BgL_tmpz00_2578;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2403)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2577)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 165 */
						int BgL_tmpz00_3489;

						BgL_tmpz00_3489 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3489);
					}
					{	/* Reduce/1occ.scm 165 */
						obj_t BgL_auxz00_3494;
						int BgL_tmpz00_3492;

						BgL_auxz00_3494 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2403));
						BgL_tmpz00_3492 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3492, BgL_auxz00_3494);
					}
					return BgL_resetz00_2576;
				}
			}
		}

	}



/* &node-1occ!-private1343 */
	obj_t BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00(obj_t
		BgL_envz00_2405, obj_t BgL_nodez00_2406, obj_t BgL_1zd2expza2z70_2407)
	{
		{	/* Reduce/1occ.scm 153 */
			{	/* Reduce/1occ.scm 155 */
				obj_t BgL_val0_1284z00_2580;

				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_arg1662z00_2581;

					BgL_arg1662z00_2581 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_privatez00_bglt) BgL_nodez00_2406))))->BgL_exprza2za2);
					BgL_val0_1284z00_2580 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1662z00_2581,
						BgL_1zd2expza2z70_2407);
				}
				{	/* Reduce/1occ.scm 155 */
					int BgL_tmpz00_3502;

					BgL_tmpz00_3502 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3502);
				}
				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_auxz00_3507;
					int BgL_tmpz00_3505;

					BgL_auxz00_3507 = ((obj_t) ((BgL_privatez00_bglt) BgL_nodez00_2406));
					BgL_tmpz00_3505 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3505, BgL_auxz00_3507);
				}
				return BgL_val0_1284z00_2580;
			}
		}

	}



/* &node-1occ!-extern1341 */
	obj_t BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00(obj_t
		BgL_envz00_2408, obj_t BgL_nodez00_2409, obj_t BgL_1zd2expza2z70_2410)
	{
		{	/* Reduce/1occ.scm 147 */
			{	/* Reduce/1occ.scm 148 */
				bool_t BgL_tmpz00_3511;

				{	/* Reduce/1occ.scm 148 */
					bool_t BgL_val0_1282z00_2583;

					BgL_val0_1282z00_2583 =
						BGl_sidezd2effectzf3z21zzeffect_effectz00(
						((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2409)));
					{	/* Reduce/1occ.scm 148 */
						int BgL_tmpz00_3515;

						BgL_tmpz00_3515 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3515);
					}
					{	/* Reduce/1occ.scm 148 */
						obj_t BgL_auxz00_3520;
						int BgL_tmpz00_3518;

						BgL_auxz00_3520 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2409));
						BgL_tmpz00_3518 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3518, BgL_auxz00_3520);
					}
					BgL_tmpz00_3511 = BgL_val0_1282z00_2583;
				}
				return BBOOL(BgL_tmpz00_3511);
			}
		}

	}



/* &node-1occ!-funcall1339 */
	obj_t BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00(obj_t
		BgL_envz00_2411, obj_t BgL_nodez00_2412, obj_t BgL_1zd2expza2z70_2413)
	{
		{	/* Reduce/1occ.scm 136 */
			{	/* Reduce/1occ.scm 138 */
				obj_t BgL_resetz72z72_2585;

				BgL_resetz72z72_2585 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2412)))->BgL_argsz00),
					BgL_1zd2expza2z70_2413);
				{	/* Reduce/1occ.scm 139 */
					int BgL_tmpz00_3528;

					BgL_tmpz00_3528 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3528);
				}
				{	/* Reduce/1occ.scm 139 */
					obj_t BgL_auxz00_3533;
					int BgL_tmpz00_3531;

					BgL_auxz00_3533 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2412));
					BgL_tmpz00_3531 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3531, BgL_auxz00_3533);
				}
				return BgL_resetz72z72_2585;
			}
		}

	}



/* &node-1occ!-app-ly1337 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00(obj_t
		BgL_envz00_2414, obj_t BgL_nodez00_2415, obj_t BgL_1zd2expza2z70_2416)
	{
		{	/* Reduce/1occ.scm 123 */
			{	/* Reduce/1occ.scm 125 */
				obj_t BgL_resetz00_2587;

				BgL_resetz00_2587 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2415)))->BgL_funz00),
					BgL_1zd2expza2z70_2416);
				{	/* Reduce/1occ.scm 126 */
					obj_t BgL_nfunz00_2588;

					{	/* Reduce/1occ.scm 127 */
						obj_t BgL_tmpz00_2589;

						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3540;

							BgL_tmpz00_3540 = (int) (((long) 1));
							BgL_tmpz00_2589 = BGL_MVALUES_VAL(BgL_tmpz00_3540);
						}
						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3543;

							BgL_tmpz00_3543 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3543, BUNSPEC);
						}
						BgL_nfunz00_2588 = BgL_tmpz00_2589;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2415)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2588)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 128 */
						obj_t BgL_resetz72z72_2590;

						{	/* Reduce/1occ.scm 129 */
							BgL_nodez00_bglt BgL_arg1651z00_2591;
							obj_t BgL_arg1652z00_2592;

							BgL_arg1651z00_2591 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2415)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2587))
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1652z00_2592 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1652z00_2592 = BgL_1zd2expza2z70_2416;
								}
							BgL_resetz72z72_2590 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1651z00_2591,
								BgL_arg1652z00_2592);
						}
						{	/* Reduce/1occ.scm 129 */
							obj_t BgL_nargz00_2593;

							{	/* Reduce/1occ.scm 130 */
								obj_t BgL_tmpz00_2594;

								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3554;

									BgL_tmpz00_3554 = (int) (((long) 1));
									BgL_tmpz00_2594 = BGL_MVALUES_VAL(BgL_tmpz00_3554);
								}
								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3557;

									BgL_tmpz00_3557 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3557, BUNSPEC);
								}
								BgL_nargz00_2593 = BgL_tmpz00_2594;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2415)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2593)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 131 */
								obj_t BgL_val0_1278z00_2595;

								if (CBOOL(BgL_resetz00_2587))
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1278z00_2595 = BgL_resetz00_2587;
									}
								else
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1278z00_2595 = BgL_resetz72z72_2590;
									}
								{	/* Reduce/1occ.scm 131 */
									int BgL_tmpz00_3565;

									BgL_tmpz00_3565 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3565);
								}
								{	/* Reduce/1occ.scm 131 */
									obj_t BgL_auxz00_3570;
									int BgL_tmpz00_3568;

									BgL_auxz00_3570 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2415));
									BgL_tmpz00_3568 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3568, BgL_auxz00_3570);
								}
								return BgL_val0_1278z00_2595;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sync1335 */
	obj_t BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00(obj_t
		BgL_envz00_2417, obj_t BgL_nodez00_2418, obj_t BgL_1zd2expza2z70_2419)
	{
		{	/* Reduce/1occ.scm 110 */
			{	/* Reduce/1occ.scm 112 */
				obj_t BgL_resetmz00_2597;

				BgL_resetmz00_2597 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2418)))->BgL_mutexz00),
					BgL_1zd2expza2z70_2419);
				{	/* Reduce/1occ.scm 113 */
					obj_t BgL_nmutexz00_2598;

					{	/* Reduce/1occ.scm 114 */
						obj_t BgL_tmpz00_2599;

						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3577;

							BgL_tmpz00_3577 = (int) (((long) 1));
							BgL_tmpz00_2599 = BGL_MVALUES_VAL(BgL_tmpz00_3577);
						}
						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3580;

							BgL_tmpz00_3580 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3580, BUNSPEC);
						}
						BgL_nmutexz00_2598 = BgL_tmpz00_2599;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2418)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2598)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 115 */
						obj_t BgL_resetpz00_2600;

						BgL_resetpz00_2600 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2418)))->BgL_prelockz00),
							BgL_1zd2expza2z70_2419);
						{	/* Reduce/1occ.scm 116 */
							obj_t BgL_nprelockz00_2601;

							{	/* Reduce/1occ.scm 117 */
								obj_t BgL_tmpz00_2602;

								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3589;

									BgL_tmpz00_3589 = (int) (((long) 1));
									BgL_tmpz00_2602 = BGL_MVALUES_VAL(BgL_tmpz00_3589);
								}
								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3592;

									BgL_tmpz00_3592 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3592, BUNSPEC);
								}
								BgL_nprelockz00_2601 = BgL_tmpz00_2602;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2418)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2601)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 118 */
								obj_t BgL_val0_1276z00_2603;

								{	/* Reduce/1occ.scm 118 */
									obj_t BgL__ortest_1108z00_2604;

									BgL__ortest_1108z00_2604 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2418)))->BgL_bodyz00),
										BgL_1zd2expza2z70_2419);
									if (CBOOL(BgL__ortest_1108z00_2604))
										{	/* Reduce/1occ.scm 118 */
											BgL_val0_1276z00_2603 = BgL__ortest_1108z00_2604;
										}
									else
										{	/* Reduce/1occ.scm 118 */
											if (CBOOL(BgL_resetmz00_2597))
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1276z00_2603 = BgL_resetmz00_2597;
												}
											else
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1276z00_2603 = BgL_resetpz00_2600;
												}
										}
								}
								{	/* Reduce/1occ.scm 118 */
									int BgL_tmpz00_3605;

									BgL_tmpz00_3605 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3605);
								}
								{	/* Reduce/1occ.scm 118 */
									obj_t BgL_auxz00_3610;
									int BgL_tmpz00_3608;

									BgL_auxz00_3610 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2418));
									BgL_tmpz00_3608 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3608, BgL_auxz00_3610);
								}
								return BgL_val0_1276z00_2603;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sequence1333 */
	obj_t BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00(obj_t
		BgL_envz00_2420, obj_t BgL_nodez00_2421, obj_t BgL_1zd2expza2z70_2422)
	{
		{	/* Reduce/1occ.scm 103 */
			{	/* Reduce/1occ.scm 105 */
				obj_t BgL_val0_1274z00_2606;

				BgL_val0_1274z00_2606 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2421)))->BgL_nodesz00),
					BgL_1zd2expza2z70_2422);
				{	/* Reduce/1occ.scm 105 */
					int BgL_tmpz00_3617;

					BgL_tmpz00_3617 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3617);
				}
				{	/* Reduce/1occ.scm 105 */
					obj_t BgL_auxz00_3622;
					int BgL_tmpz00_3620;

					BgL_auxz00_3622 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2421));
					BgL_tmpz00_3620 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3620, BgL_auxz00_3622);
				}
				return BgL_val0_1274z00_2606;
			}
		}

	}



/* &node-1occ!-closure1331 */
	obj_t BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00(obj_t
		BgL_envz00_2423, obj_t BgL_nodez00_2424, obj_t BgL_1zd2expza2z70_2425)
	{
		{	/* Reduce/1occ.scm 97 */
			{	/* Reduce/1occ.scm 98 */
				bool_t BgL_tmpz00_3626;

				{	/* Reduce/1occ.scm 98 */
					int BgL_tmpz00_3627;

					BgL_tmpz00_3627 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3627);
				}
				{	/* Reduce/1occ.scm 98 */
					obj_t BgL_auxz00_3632;
					int BgL_tmpz00_3630;

					BgL_auxz00_3632 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2424));
					BgL_tmpz00_3630 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3630, BgL_auxz00_3632);
				}
				BgL_tmpz00_3626 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3626);
			}
		}

	}



/* &node-1occ!-var1329 */
	obj_t BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427, obj_t BgL_1zd2expza2z70_2428)
	{
		{	/* Reduce/1occ.scm 84 */
			{	/* Reduce/1occ.scm 85 */
				BgL_variablez00_bglt BgL_vz00_2609;

				BgL_vz00_2609 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2427)))->BgL_variablez00);
				{	/* Reduce/1occ.scm 86 */
					obj_t BgL_falphaz00_2610;

					BgL_falphaz00_2610 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_vz00_2609), BgL_1zd2expza2z70_2428);
					if (PAIRP(BgL_falphaz00_2610))
						{	/* Reduce/1occ.scm 87 */
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2609))->
									BgL_occurrencez00) =
								((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2609))->
											BgL_occurrencez00) - ((long) 1))), BUNSPEC);
							BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
								(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 + ((long) 1));
							{	/* Reduce/1occ.scm 91 */
								obj_t BgL_arg1639z00_2611;

								BgL_arg1639z00_2611 = CDR(BgL_falphaz00_2610);
								return
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_arg1639z00_2611),
									BgL_1zd2expza2z70_2428);
							}
						}
					else
						{	/* Reduce/1occ.scm 87 */
							{	/* Reduce/1occ.scm 92 */
								int BgL_tmpz00_3650;

								BgL_tmpz00_3650 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3650);
							}
							{	/* Reduce/1occ.scm 92 */
								obj_t BgL_auxz00_3655;
								int BgL_tmpz00_3653;

								BgL_auxz00_3655 =
									((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2427));
								BgL_tmpz00_3653 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3653, BgL_auxz00_3655);
							}
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-1occ!-kwote1327 */
	obj_t BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00(obj_t
		BgL_envz00_2429, obj_t BgL_nodez00_2430, obj_t BgL_1zd2expza2z70_2431)
	{
		{	/* Reduce/1occ.scm 78 */
			{	/* Reduce/1occ.scm 79 */
				bool_t BgL_tmpz00_3659;

				{	/* Reduce/1occ.scm 79 */
					int BgL_tmpz00_3660;

					BgL_tmpz00_3660 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3660);
				}
				{	/* Reduce/1occ.scm 79 */
					obj_t BgL_auxz00_3665;
					int BgL_tmpz00_3663;

					BgL_auxz00_3665 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2430));
					BgL_tmpz00_3663 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3663, BgL_auxz00_3665);
				}
				BgL_tmpz00_3659 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3659);
			}
		}

	}



/* &node-1occ!-atom1325 */
	obj_t BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433, obj_t BgL_1zd2expza2z70_2434)
	{
		{	/* Reduce/1occ.scm 72 */
			{	/* Reduce/1occ.scm 73 */
				bool_t BgL_tmpz00_3670;

				{	/* Reduce/1occ.scm 73 */
					int BgL_tmpz00_3671;

					BgL_tmpz00_3671 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3671);
				}
				{	/* Reduce/1occ.scm 73 */
					obj_t BgL_auxz00_3676;
					int BgL_tmpz00_3674;

					BgL_auxz00_3676 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2433));
					BgL_tmpz00_3674 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3674, BgL_auxz00_3676);
				}
				BgL_tmpz00_3670 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3670);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1945z00zzreduce_1occz00));
		}

	}

#ifdef __cplusplus
}
#endif
