/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62nodezd2csez12zd2retblock1357z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2closure1328z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2letzd2var1369za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2csez12zd2boxzd2ref1365za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static long BGl_za2csezd2removedza2zd2zzreduce_csez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_csez00(void);
	static obj_t BGl_z62nodezd2csez12zd2kwote1324z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_csez00(void);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_csez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2appzd2ly1334za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1355z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_csez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2atom1322z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2return1359z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2extern1339z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2switch1349z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2boxzd2setz121363zb0zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2makezd2box1361za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2letzd2fun1351za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez121319za2zzreduce_csez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1353z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2var1326z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_csez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_csez00(void);
	extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt,
		BgL_nodez00_bglt, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2csez12zd2sequence1330z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2cast1341z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2setq1343z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2sync1332z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2fail1347z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2funcall1336z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2app1367z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2conditiona1345z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762reduceza7d2cseza71895za7,
		BGl_z62reducezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1861z00zzreduce_csez00,
		BgL_bgl_string1861za700za7za7r1896za7, "      cse                    ", 29);
	      DEFINE_STRING(BGl_string1862z00zzreduce_csez00,
		BgL_bgl_string1862za700za7za7r1897za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1864z00zzreduce_csez00,
		BgL_bgl_string1864za700za7za7r1898za7, "node-cse!1319", 13);
	      DEFINE_STRING(BGl_string1865z00zzreduce_csez00,
		BgL_bgl_string1865za700za7za7r1899za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1867z00zzreduce_csez00,
		BgL_bgl_string1867za700za7za7r1900za7, "node-cse!", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121901za7,
		BGl_z62nodezd2csez121319za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121902za7,
		BGl_z62nodezd2csez12zd2atom1322z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121903za7,
		BGl_z62nodezd2csez12zd2kwote1324z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121904za7,
		BGl_z62nodezd2csez12zd2var1326z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121905za7,
		BGl_z62nodezd2csez12zd2closure1328z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121906za7,
		BGl_z62nodezd2csez12zd2sequence1330z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121907za7,
		BGl_z62nodezd2csez12zd2sync1332z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121908za7,
		BGl_z62nodezd2csez12zd2appzd2ly1334za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121909za7,
		BGl_z62nodezd2csez12zd2funcall1336z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121910za7,
		BGl_z62nodezd2csez12zd2extern1339z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121911za7,
		BGl_z62nodezd2csez12zd2cast1341z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121912za7,
		BGl_z62nodezd2csez12zd2setq1343z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121913za7,
		BGl_z62nodezd2csez12zd2conditiona1345z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121914za7,
		BGl_z62nodezd2csez12zd2fail1347z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121915za7,
		BGl_z62nodezd2csez12zd2switch1349z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121916za7,
		BGl_z62nodezd2csez12zd2letzd2fun1351za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121917za7,
		BGl_z62nodezd2csez12zd2setzd2exzd2it1353z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121918za7,
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1355z70zzreduce_csez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121919za7,
		BGl_z62nodezd2csez12zd2retblock1357z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1891z00zzreduce_csez00,
		BgL_bgl_string1891za700za7za7r1920za7, "reduce_cse", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121921za7,
		BGl_z62nodezd2csez12zd2return1359z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1892z00zzreduce_csez00,
		BgL_bgl_string1892za700za7za7r1922za7, "call read node-cse!1319 ", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121923za7,
		BGl_z62nodezd2csez12zd2makezd2box1361za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121924za7,
		BGl_z62nodezd2csez12zd2boxzd2setz121363zb0zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121925za7,
		BGl_z62nodezd2csez12zd2boxzd2ref1365za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121926za7,
		BGl_z62nodezd2csez12zd2app1367z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121927za7,
		BGl_z62nodezd2csez12zd2letzd2var1369za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121928za7,
		BGl_z62nodezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_csez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long
		BgL_checksumz00_2673, char *BgL_fromz00_2674)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_csez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_csez00();
					BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
					BGl_cnstzd2initzd2zzreduce_csez00();
					BGl_importedzd2moduleszd2initz00zzreduce_csez00();
					BGl_genericzd2initzd2zzreduce_csez00();
					BGl_methodzd2initzd2zzreduce_csez00();
					return BGl_toplevelzd2initzd2zzreduce_csez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "reduce_cse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			{	/* Reduce/cse.scm 15 */
				obj_t BgL_cportz00_2454;

				{	/* Reduce/cse.scm 15 */
					obj_t BgL_stringz00_2461;

					BgL_stringz00_2461 = BGl_string1892z00zzreduce_csez00;
					{	/* Reduce/cse.scm 15 */
						obj_t BgL_startz00_2462;

						BgL_startz00_2462 = BINT(((long) 0));
						{	/* Reduce/cse.scm 15 */
							obj_t BgL_endz00_2463;

							BgL_endz00_2463 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2461)));
							{	/* Reduce/cse.scm 15 */

								BgL_cportz00_2454 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2461, BgL_startz00_2462, BgL_endz00_2463);
				}}}}
				{
					long BgL_iz00_2455;

					BgL_iz00_2455 = ((long) 2);
				BgL_loopz00_2456:
					if ((BgL_iz00_2455 == ((long) -1)))
						{	/* Reduce/cse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cse.scm 15 */
							{	/* Reduce/cse.scm 15 */
								obj_t BgL_arg1894z00_2457;

								{	/* Reduce/cse.scm 15 */

									{	/* Reduce/cse.scm 15 */
										obj_t BgL_locationz00_2459;

										BgL_locationz00_2459 = BBOOL(((bool_t) 0));
										{	/* Reduce/cse.scm 15 */

											BgL_arg1894z00_2457 =
												BGl_readz00zz__readerz00(BgL_cportz00_2454,
												BgL_locationz00_2459);
										}
									}
								}
								{	/* Reduce/cse.scm 15 */
									int BgL_tmpz00_2707;

									BgL_tmpz00_2707 = (int) (BgL_iz00_2455);
									CNST_TABLE_SET(BgL_tmpz00_2707, BgL_arg1894z00_2457);
							}}
							{	/* Reduce/cse.scm 15 */
								int BgL_auxz00_2460;

								BgL_auxz00_2460 = (int) ((BgL_iz00_2455 - ((long) 1)));
								{
									long BgL_iz00_2712;

									BgL_iz00_2712 = (long) (BgL_auxz00_2460);
									BgL_iz00_2455 = BgL_iz00_2712;
									goto BgL_loopz00_2456;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1409;

				BgL_headz00_1409 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1410;
					obj_t BgL_tailz00_1411;

					BgL_prevz00_1410 = BgL_headz00_1409;
					BgL_tailz00_1411 = BgL_l1z00_1;
				BgL_loopz00_1412:
					if (PAIRP(BgL_tailz00_1411))
						{
							obj_t BgL_newzd2prevzd2_1414;

							BgL_newzd2prevzd2_1414 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1411), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1410, BgL_newzd2prevzd2_1414);
							{
								obj_t BgL_tailz00_2722;
								obj_t BgL_prevz00_2721;

								BgL_prevz00_2721 = BgL_newzd2prevzd2_1414;
								BgL_tailz00_2722 = CDR(BgL_tailz00_1411);
								BgL_tailz00_1411 = BgL_tailz00_2722;
								BgL_prevz00_1410 = BgL_prevz00_2721;
								goto BgL_loopz00_1412;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1409);
				}
			}
		}

	}



/* reduce-cse! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cse.scm 34 */
			{	/* Reduce/cse.scm 35 */
				obj_t BgL_list1376z00_1417;

				BgL_list1376z00_1417 =
					MAKE_YOUNG_PAIR(BGl_string1861z00zzreduce_csez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1376z00_1417);
			}
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			{
				obj_t BgL_l1259z00_1419;

				BgL_l1259z00_1419 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31377ze3z87_1420:
				if (PAIRP(BgL_l1259z00_1419))
					{	/* Reduce/cse.scm 37 */
						{	/* Reduce/cse.scm 38 */
							obj_t BgL_globalz00_1422;

							BgL_globalz00_1422 = CAR(BgL_l1259z00_1419);
							{	/* Reduce/cse.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1423;

								BgL_funz00_1423 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1422))))->
									BgL_valuez00);
								{	/* Reduce/cse.scm 38 */
									obj_t BgL_nodez00_1424;

									BgL_nodez00_1424 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1423)))->BgL_bodyz00);
									{	/* Reduce/cse.scm 39 */

										{	/* Reduce/cse.scm 40 */
											obj_t BgL_arg1381z00_1425;

											{	/* Reduce/cse.scm 40 */
												obj_t BgL__z00_1426;

												BgL__z00_1426 =
													BGl_nodezd2csez12zc0zzreduce_csez00(
													((BgL_nodez00_bglt) BgL_nodez00_1424), BNIL);
												{	/* Reduce/cse.scm 41 */
													obj_t BgL_nodez00_1427;

													{	/* Reduce/cse.scm 41 */
														obj_t BgL_tmpz00_2009;

														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2738;

															BgL_tmpz00_2738 = (int) (((long) 1));
															BgL_tmpz00_2009 =
																BGL_MVALUES_VAL(BgL_tmpz00_2738);
														}
														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2741;

															BgL_tmpz00_2741 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2741, BUNSPEC);
														}
														BgL_nodez00_1427 = BgL_tmpz00_2009;
													}
													BgL_arg1381z00_1425 = BgL_nodez00_1427;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1423)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1381z00_1425), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1259z00_2746;

							BgL_l1259z00_2746 = CDR(BgL_l1259z00_1419);
							BgL_l1259z00_1419 = BgL_l1259z00_2746;
							goto BgL_zc3z04anonymousza31377ze3z87_1420;
						}
					}
				else
					{	/* Reduce/cse.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cse.scm 45 */
				obj_t BgL_list1385z00_1430;

				{	/* Reduce/cse.scm 45 */
					obj_t BgL_arg1387z00_1431;

					{	/* Reduce/cse.scm 45 */
						obj_t BgL_arg1388z00_1432;

						{	/* Reduce/cse.scm 45 */
							obj_t BgL_arg1389z00_1433;

							BgL_arg1389z00_1433 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1388z00_1432 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1389z00_1433);
						}
						BgL_arg1387z00_1431 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00),
							BgL_arg1388z00_1432);
					}
					BgL_list1385z00_1430 =
						MAKE_YOUNG_PAIR(BGl_string1862z00zzreduce_csez00,
						BgL_arg1387z00_1431);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1385z00_1430);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-cse! */
	obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2348,
		obj_t BgL_globalsz00_2349)
	{
		{	/* Reduce/cse.scm 34 */
			return BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_2349);
		}

	}



/* node-cse*! */
	obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_54,
		obj_t BgL_stackz00_55)
	{
		{	/* Reduce/cse.scm 383 */
			{
				obj_t BgL_nodeza2za2_1435;
				bool_t BgL_resetz00_1436;
				obj_t BgL_stackz00_1437;

				BgL_nodeza2za2_1435 = BgL_nodeza2za2_54;
				BgL_resetz00_1436 = ((bool_t) 0);
				BgL_stackz00_1437 = BgL_stackz00_55;
			BgL_zc3z04anonymousza31390ze3z87_1438:
				if (NULLP(BgL_nodeza2za2_1435))
					{	/* Reduce/cse.scm 388 */
						return BBOOL(BgL_resetz00_1436);
					}
				else
					{	/* Reduce/cse.scm 388 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1435))))
							{	/* Reduce/cse.scm 391 */
								obj_t BgL_resetz72z72_1442;

								{	/* Reduce/cse.scm 392 */
									obj_t BgL_arg1421z00_1445;

									BgL_arg1421z00_1445 = CAR(((obj_t) BgL_nodeza2za2_1435));
									BgL_resetz72z72_1442 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1421z00_1445),
										BgL_stackz00_1437);
								}
								{	/* Reduce/cse.scm 392 */
									obj_t BgL_nodez00_1443;

									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2014;

										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2769;

											BgL_tmpz00_2769 = (int) (((long) 1));
											BgL_tmpz00_2014 = BGL_MVALUES_VAL(BgL_tmpz00_2769);
										}
										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2772;

											BgL_tmpz00_2772 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2772, BUNSPEC);
										}
										BgL_nodez00_1443 = BgL_tmpz00_2014;
									}
									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2775;

										BgL_tmpz00_2775 = ((obj_t) BgL_nodeza2za2_1435);
										SET_CAR(BgL_tmpz00_2775, BgL_nodez00_1443);
									}
									if (BgL_resetz00_1436)
										{	/* Reduce/cse.scm 394 */
											return BBOOL(BgL_resetz00_1436);
										}
									else
										{	/* Reduce/cse.scm 394 */
											return BgL_resetz72z72_1442;
										}
								}
							}
						else
							{	/* Reduce/cse.scm 396 */
								obj_t BgL_resetz72z72_1446;

								{	/* Reduce/cse.scm 397 */
									obj_t BgL_arg1458z00_1451;

									BgL_arg1458z00_1451 = CAR(((obj_t) BgL_nodeza2za2_1435));
									BgL_resetz72z72_1446 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1458z00_1451),
										BgL_stackz00_1437);
								}
								{	/* Reduce/cse.scm 397 */
									obj_t BgL_nodez00_1447;

									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2017;

										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2784;

											BgL_tmpz00_2784 = (int) (((long) 1));
											BgL_tmpz00_2017 = BGL_MVALUES_VAL(BgL_tmpz00_2784);
										}
										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2787;

											BgL_tmpz00_2787 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2787, BUNSPEC);
										}
										BgL_nodez00_1447 = BgL_tmpz00_2017;
									}
									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2790;

										BgL_tmpz00_2790 = ((obj_t) BgL_nodeza2za2_1435);
										SET_CAR(BgL_tmpz00_2790, BgL_nodez00_1447);
									}
									{	/* Reduce/cse.scm 399 */
										bool_t BgL_test1936z00_2793;

										if (BgL_resetz00_1436)
											{	/* Reduce/cse.scm 399 */
												BgL_test1936z00_2793 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 399 */
												BgL_test1936z00_2793 = CBOOL(BgL_resetz72z72_1446);
											}
										if (BgL_test1936z00_2793)
											{	/* Reduce/cse.scm 400 */
												obj_t BgL_arg1426z00_1449;

												BgL_arg1426z00_1449 =
													CDR(((obj_t) BgL_nodeza2za2_1435));
												{
													obj_t BgL_stackz00_2800;
													bool_t BgL_resetz00_2799;
													obj_t BgL_nodeza2za2_2798;

													BgL_nodeza2za2_2798 = BgL_arg1426z00_1449;
													BgL_resetz00_2799 = ((bool_t) 1);
													BgL_stackz00_2800 = BNIL;
													BgL_stackz00_1437 = BgL_stackz00_2800;
													BgL_resetz00_1436 = BgL_resetz00_2799;
													BgL_nodeza2za2_1435 = BgL_nodeza2za2_2798;
													goto BgL_zc3z04anonymousza31390ze3z87_1438;
												}
											}
										else
											{	/* Reduce/cse.scm 401 */
												obj_t BgL_arg1429z00_1450;

												BgL_arg1429z00_1450 =
													CDR(((obj_t) BgL_nodeza2za2_1435));
												{
													bool_t BgL_resetz00_2804;
													obj_t BgL_nodeza2za2_2803;

													BgL_nodeza2za2_2803 = BgL_arg1429z00_1450;
													BgL_resetz00_2804 = ((bool_t) 0);
													BgL_resetz00_1436 = BgL_resetz00_2804;
													BgL_nodeza2za2_1435 = BgL_nodeza2za2_2803;
													goto BgL_zc3z04anonymousza31390ze3z87_1438;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* find-stack */
	obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_66,
		obj_t BgL_stackz00_67)
	{
		{	/* Reduce/cse.scm 415 */
			{
				obj_t BgL_stackz00_1466;

				BgL_stackz00_1466 = BgL_stackz00_67;
			BgL_zc3z04anonymousza31507ze3z87_1467:
				if (NULLP(BgL_stackz00_1466))
					{	/* Reduce/cse.scm 419 */
						return BFALSE;
					}
				else
					{	/* Reduce/cse.scm 421 */
						bool_t BgL_test1939z00_2807;

						{	/* Reduce/cse.scm 421 */
							obj_t BgL_arg1523z00_1474;

							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2029;

								BgL_sz00_2029 = CAR(((obj_t) BgL_stackz00_1466));
								BgL_arg1523z00_1474 =
									STRUCT_REF(BgL_sz00_2029, (int) (((long) 0)));
							}
							BgL_test1939z00_2807 =
								BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_66,
								((BgL_nodez00_bglt) BgL_arg1523z00_1474), BNIL);
						}
						if (BgL_test1939z00_2807)
							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2031;

								BgL_sz00_2031 = CAR(((obj_t) BgL_stackz00_1466));
								return STRUCT_REF(BgL_sz00_2031, (int) (((long) 1)));
							}
						else
							{	/* Reduce/cse.scm 424 */
								obj_t BgL_arg1522z00_1473;

								BgL_arg1522z00_1473 = CDR(((obj_t) BgL_stackz00_1466));
								{
									obj_t BgL_stackz00_2820;

									BgL_stackz00_2820 = BgL_arg1522z00_1473;
									BgL_stackz00_1466 = BgL_stackz00_2820;
									goto BgL_zc3z04anonymousza31507ze3z87_1467;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_proc1863z00zzreduce_csez00, BGl_nodez00zzast_nodez00,
				BGl_string1864z00zzreduce_csez00);
		}

	}



/* &node-cse!1319 */
	obj_t BGl_z62nodezd2csez121319za2zzreduce_csez00(obj_t BgL_envz00_2351,
		obj_t BgL_nodez00_2352, obj_t BgL_stackz00_2353)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1865z00zzreduce_csez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2352)));
		}

	}



/* node-cse! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/cse.scm 58 */
			{	/* Reduce/cse.scm 58 */
				obj_t BgL_method1320z00_1482;

				{	/* Reduce/cse.scm 58 */
					obj_t BgL_res1853z00_2063;

					{	/* Reduce/cse.scm 58 */
						long BgL_objzd2classzd2numz00_2034;

						BgL_objzd2classzd2numz00_2034 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cse.scm 58 */
							obj_t BgL_arg1825z00_2035;

							BgL_arg1825z00_2035 =
								PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
								(int) (((long) 1)));
							{	/* Reduce/cse.scm 58 */
								int BgL_offsetz00_2038;

								BgL_offsetz00_2038 = (int) (BgL_objzd2classzd2numz00_2034);
								{	/* Reduce/cse.scm 58 */
									long BgL_offsetz00_2039;

									BgL_offsetz00_2039 =
										((long) (BgL_offsetz00_2038) - OBJECT_TYPE);
									{	/* Reduce/cse.scm 58 */
										long BgL_modz00_2040;

										BgL_modz00_2040 =
											(BgL_offsetz00_2039 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/cse.scm 58 */
											long BgL_restz00_2042;

											BgL_restz00_2042 =
												(BgL_offsetz00_2039 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/cse.scm 58 */

												{	/* Reduce/cse.scm 58 */
													obj_t BgL_bucketz00_2044;

													BgL_bucketz00_2044 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2035), BgL_modz00_2040);
													BgL_res1853z00_2063 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2044), BgL_restz00_2042);
					}}}}}}}}
					BgL_method1320z00_1482 = BgL_res1853z00_2063;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1320z00_1482)) (BgL_method1320z00_1482,
					((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA);
			}
		}

	}



/* &node-cse! */
	obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2354,
		obj_t BgL_nodez00_2355, obj_t BgL_stackz00_2356)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_nodezd2csez12zc0zzreduce_csez00(
				((BgL_nodez00_bglt) BgL_nodez00_2355), BgL_stackz00_2356);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00,
				BGl_proc1866z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1868z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00,
				BGl_proc1869z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00,
				BGl_proc1870z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1871z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_syncz00zzast_nodez00,
				BGl_proc1872z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1873z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1874z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00,
				BGl_proc1875z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00,
				BGl_proc1876z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00,
				BGl_proc1877z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1878z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00,
				BGl_proc1879z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_switchz00zzast_nodez00,
				BGl_proc1880z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1881z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1882z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1883z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1884z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_returnz00zzast_nodez00,
				BGl_proc1885z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1886z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1887z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1888z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00,
				BGl_proc1889z00zzreduce_csez00, BGl_string1867z00zzreduce_csez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1890z00zzreduce_csez00,
				BGl_string1867z00zzreduce_csez00);
		}

	}



/* &node-cse!-let-var1369 */
	obj_t BGl_z62nodezd2csez12zd2letzd2var1369za2zzreduce_csez00(obj_t
		BgL_envz00_2381, obj_t BgL_nodez00_2382, obj_t BgL_stackz00_2383)
	{
		{	/* Reduce/cse.scm 328 */
			{
				obj_t BgL_bindingsz00_2468;
				bool_t BgL_resetz00_2469;
				obj_t BgL_extendz00_2470;

				BgL_bindingsz00_2468 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2382)))->BgL_bindingsz00);
				BgL_resetz00_2469 = ((bool_t) 0);
				BgL_extendz00_2470 = BNIL;
			BgL_loopz00_2467:
				if (NULLP(BgL_bindingsz00_2468))
					{	/* Reduce/cse.scm 334 */
						obj_t BgL_stackz72z72_2471;

						if (BgL_resetz00_2469)
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2471 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2471 =
									BGl_appendzd221011zd2zzreduce_csez00(BgL_extendz00_2470,
									BgL_stackz00_2383);
							}
						{	/* Reduce/cse.scm 335 */
							obj_t BgL_resetz72z72_2472;

							BgL_resetz72z72_2472 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2382)))->
									BgL_bodyz00), BgL_stackz72z72_2471);
							{	/* Reduce/cse.scm 336 */
								obj_t BgL_nbodyz00_2473;

								{	/* Reduce/cse.scm 337 */
									obj_t BgL_tmpz00_2474;

									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2890;

										BgL_tmpz00_2890 = (int) (((long) 1));
										BgL_tmpz00_2474 = BGL_MVALUES_VAL(BgL_tmpz00_2890);
									}
									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2893;

										BgL_tmpz00_2893 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2893, BUNSPEC);
									}
									BgL_nbodyz00_2473 = BgL_tmpz00_2474;
								}
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2382)))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2473)),
									BUNSPEC);
								{	/* Reduce/cse.scm 339 */
									bool_t BgL_test1942z00_2899;

									if (BgL_resetz00_2469)
										{	/* Reduce/cse.scm 339 */
											BgL_test1942z00_2899 = ((bool_t) 1);
										}
									else
										{	/* Reduce/cse.scm 339 */
											BgL_test1942z00_2899 = CBOOL(BgL_resetz72z72_2472);
										}
									if (BgL_test1942z00_2899)
										{	/* Reduce/cse.scm 339 */
											{	/* Reduce/cse.scm 340 */
												int BgL_tmpz00_2902;

												BgL_tmpz00_2902 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2902);
											}
											{	/* Reduce/cse.scm 340 */
												obj_t BgL_auxz00_2907;
												int BgL_tmpz00_2905;

												BgL_auxz00_2907 =
													((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2382));
												BgL_tmpz00_2905 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2905, BgL_auxz00_2907);
											}
											return BTRUE;
										}
									else
										{	/* Reduce/cse.scm 339 */
											if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2382))))
												{	/* Reduce/cse.scm 341 */
													{	/* Reduce/cse.scm 342 */
														int BgL_tmpz00_2915;

														BgL_tmpz00_2915 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2915);
													}
													{	/* Reduce/cse.scm 342 */
														obj_t BgL_auxz00_2920;
														int BgL_tmpz00_2918;

														BgL_auxz00_2920 =
															((obj_t)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2382));
														BgL_tmpz00_2918 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_2918,
															BgL_auxz00_2920);
													}
													return BFALSE;
												}
											else
												{	/* Reduce/cse.scm 344 */
													obj_t BgL_previousz00_2475;

													BgL_previousz00_2475 =
														BGl_findzd2stackzd2zzreduce_csez00(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2382)),
														BgL_stackz00_2383);
													{	/* Reduce/cse.scm 346 */
														bool_t BgL_test1945z00_2927;

														{	/* Reduce/cse.scm 346 */
															obj_t BgL_classz00_2476;

															BgL_classz00_2476 = BGl_variablez00zzast_varz00;
															if (BGL_OBJECTP(BgL_previousz00_2475))
																{	/* Reduce/cse.scm 346 */
																	BgL_objectz00_bglt BgL_arg1820z00_2477;

																	BgL_arg1820z00_2477 =
																		(BgL_objectz00_bglt) (BgL_previousz00_2475);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cse.scm 346 */
																			long BgL_idxz00_2478;

																			BgL_idxz00_2478 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2477);
																			BgL_test1945z00_2927 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2478 + ((long) 1))) ==
																				BgL_classz00_2476);
																		}
																	else
																		{	/* Reduce/cse.scm 346 */
																			bool_t BgL_res1855z00_2481;

																			{	/* Reduce/cse.scm 346 */
																				obj_t BgL_oclassz00_2482;

																				{	/* Reduce/cse.scm 346 */
																					long BgL_arg1828z00_2483;

																					{	/* Reduce/cse.scm 346 */
																						long BgL_arg1829z00_2484;

																						BgL_arg1829z00_2484 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2477);
																						BgL_arg1828z00_2483 =
																							(BgL_arg1829z00_2484 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2482 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2483);
																				}
																				{	/* Reduce/cse.scm 346 */
																					bool_t BgL__ortest_1111z00_2485;

																					BgL__ortest_1111z00_2485 =
																						(BgL_classz00_2476 ==
																						BgL_oclassz00_2482);
																					if (BgL__ortest_1111z00_2485)
																						{	/* Reduce/cse.scm 346 */
																							BgL_res1855z00_2481 =
																								BgL__ortest_1111z00_2485;
																						}
																					else
																						{	/* Reduce/cse.scm 346 */
																							long BgL_odepthz00_2486;

																							BgL_odepthz00_2486 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2482);
																							if ((((long) 1) <
																									BgL_odepthz00_2486))
																								{	/* Reduce/cse.scm 346 */
																									obj_t BgL_arg1816z00_2487;

																									BgL_arg1816z00_2487 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2482,
																										((long) 1));
																									BgL_res1855z00_2481 =
																										(BgL_arg1816z00_2487 ==
																										BgL_classz00_2476);
																								}
																							else
																								{	/* Reduce/cse.scm 346 */
																									BgL_res1855z00_2481 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1945z00_2927 =
																				BgL_res1855z00_2481;
																		}
																}
															else
																{	/* Reduce/cse.scm 346 */
																	BgL_test1945z00_2927 = ((bool_t) 0);
																}
														}
														if (BgL_test1945z00_2927)
															{	/* Reduce/cse.scm 346 */
																BGl_za2csezd2removedza2zd2zzreduce_csez00 =
																	(((long) 1) +
																	BGl_za2csezd2removedza2zd2zzreduce_csez00);
																{	/* Reduce/cse.scm 350 */
																	BgL_refz00_bglt BgL_val1_1316z00_2488;

																	{	/* Reduce/cse.scm 350 */
																		BgL_refz00_bglt BgL_new1141z00_2489;

																		{	/* Reduce/cse.scm 353 */
																			BgL_refz00_bglt BgL_new1140z00_2490;

																			BgL_new1140z00_2490 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Reduce/cse.scm 353 */
																				long BgL_arg1672z00_2491;

																				BgL_arg1672z00_2491 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1140z00_2490),
																					BgL_arg1672z00_2491);
																			}
																			{	/* Reduce/cse.scm 353 */
																				BgL_objectz00_bglt BgL_tmpz00_2952;

																				BgL_tmpz00_2952 =
																					((BgL_objectz00_bglt)
																					BgL_new1140z00_2490);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2952,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1140z00_2490);
																			BgL_new1141z00_2489 = BgL_new1140z00_2490;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1141z00_2489)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2382))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1141z00_2489)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2382))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1141z00_2489)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_previousz00_2475)), BUNSPEC);
																		BgL_val1_1316z00_2488 = BgL_new1141z00_2489;
																	}
																	{	/* Reduce/cse.scm 350 */
																		int BgL_tmpz00_2969;

																		BgL_tmpz00_2969 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2969);
																	}
																	{	/* Reduce/cse.scm 350 */
																		obj_t BgL_auxz00_2974;
																		int BgL_tmpz00_2972;

																		BgL_auxz00_2974 =
																			((obj_t) BgL_val1_1316z00_2488);
																		BgL_tmpz00_2972 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2972,
																			BgL_auxz00_2974);
																	}
																	return BgL_stackz72z72_2471;
																}
															}
														else
															{	/* Reduce/cse.scm 346 */
																{	/* Reduce/cse.scm 355 */
																	int BgL_tmpz00_2977;

																	BgL_tmpz00_2977 = (int) (((long) 2));
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2977);
																}
																{	/* Reduce/cse.scm 355 */
																	obj_t BgL_auxz00_2982;
																	int BgL_tmpz00_2980;

																	BgL_auxz00_2982 =
																		((obj_t)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_2382));
																	BgL_tmpz00_2980 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2980,
																		BgL_auxz00_2982);
																}
																return BFALSE;
															}
													}
												}
										}
								}
							}
						}
					}
				else
					{	/* Reduce/cse.scm 356 */
						obj_t BgL_bindingz00_2492;

						BgL_bindingz00_2492 = CAR(((obj_t) BgL_bindingsz00_2468));
						{	/* Reduce/cse.scm 357 */
							obj_t BgL_varz00_2493;
							obj_t BgL_valz00_2494;

							BgL_varz00_2493 = CAR(((obj_t) BgL_bindingz00_2492));
							BgL_valz00_2494 = CDR(((obj_t) BgL_bindingz00_2492));
							{	/* Reduce/cse.scm 359 */
								obj_t BgL_resetz72z72_2495;

								BgL_resetz72z72_2495 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									((BgL_nodez00_bglt) BgL_valz00_2494), BgL_stackz00_2383);
								{	/* Reduce/cse.scm 360 */
									obj_t BgL_nvalz00_2496;

									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_2497;

										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_2994;

											BgL_tmpz00_2994 = (int) (((long) 1));
											BgL_tmpz00_2497 = BGL_MVALUES_VAL(BgL_tmpz00_2994);
										}
										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_2997;

											BgL_tmpz00_2997 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2997, BUNSPEC);
										}
										BgL_nvalz00_2496 = BgL_tmpz00_2497;
									}
									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_3000;

										BgL_tmpz00_3000 = ((obj_t) BgL_bindingz00_2492);
										SET_CDR(BgL_tmpz00_3000, BgL_nvalz00_2496);
									}
									{	/* Reduce/cse.scm 363 */
										bool_t BgL_test1950z00_3003;

										if (BgL_resetz00_2469)
											{	/* Reduce/cse.scm 363 */
												BgL_test1950z00_3003 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 363 */
												BgL_test1950z00_3003 = CBOOL(BgL_resetz72z72_2495);
											}
										if (BgL_test1950z00_3003)
											{	/* Reduce/cse.scm 364 */
												obj_t BgL_arg1677z00_2498;

												BgL_arg1677z00_2498 =
													CDR(((obj_t) BgL_bindingsz00_2468));
												{
													obj_t BgL_extendz00_3010;
													bool_t BgL_resetz00_3009;
													obj_t BgL_bindingsz00_3008;

													BgL_bindingsz00_3008 = BgL_arg1677z00_2498;
													BgL_resetz00_3009 = ((bool_t) 1);
													BgL_extendz00_3010 = BNIL;
													BgL_extendz00_2470 = BgL_extendz00_3010;
													BgL_resetz00_2469 = BgL_resetz00_3009;
													BgL_bindingsz00_2468 = BgL_bindingsz00_3008;
													goto BgL_loopz00_2467;
												}
											}
										else
											{	/* Reduce/cse.scm 363 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_2493))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
													{	/* Reduce/cse.scm 371 */
														bool_t BgL_test1953z00_3017;

														{	/* Reduce/cse.scm 371 */
															bool_t BgL_test1954z00_3018;

															{	/* Reduce/cse.scm 371 */
																obj_t BgL_classz00_2499;

																BgL_classz00_2499 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_valz00_2494))
																	{	/* Reduce/cse.scm 371 */
																		BgL_objectz00_bglt BgL_arg1820z00_2500;

																		BgL_arg1820z00_2500 =
																			(BgL_objectz00_bglt) (BgL_valz00_2494);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cse.scm 371 */
																				long BgL_idxz00_2501;

																				BgL_idxz00_2501 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2500);
																				BgL_test1954z00_3018 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2501 + ((long) 3))) ==
																					BgL_classz00_2499);
																			}
																		else
																			{	/* Reduce/cse.scm 371 */
																				bool_t BgL_res1856z00_2504;

																				{	/* Reduce/cse.scm 371 */
																					obj_t BgL_oclassz00_2505;

																					{	/* Reduce/cse.scm 371 */
																						long BgL_arg1828z00_2506;

																						{	/* Reduce/cse.scm 371 */
																							long BgL_arg1829z00_2507;

																							BgL_arg1829z00_2507 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2500);
																							BgL_arg1828z00_2506 =
																								(BgL_arg1829z00_2507 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2505 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2506);
																					}
																					{	/* Reduce/cse.scm 371 */
																						bool_t BgL__ortest_1111z00_2508;

																						BgL__ortest_1111z00_2508 =
																							(BgL_classz00_2499 ==
																							BgL_oclassz00_2505);
																						if (BgL__ortest_1111z00_2508)
																							{	/* Reduce/cse.scm 371 */
																								BgL_res1856z00_2504 =
																									BgL__ortest_1111z00_2508;
																							}
																						else
																							{	/* Reduce/cse.scm 371 */
																								long BgL_odepthz00_2509;

																								BgL_odepthz00_2509 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2505);
																								if ((((long) 3) <
																										BgL_odepthz00_2509))
																									{	/* Reduce/cse.scm 371 */
																										obj_t BgL_arg1816z00_2510;

																										BgL_arg1816z00_2510 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2505,
																											((long) 3));
																										BgL_res1856z00_2504 =
																											(BgL_arg1816z00_2510 ==
																											BgL_classz00_2499);
																									}
																								else
																									{	/* Reduce/cse.scm 371 */
																										BgL_res1856z00_2504 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1954z00_3018 =
																					BgL_res1856z00_2504;
																			}
																	}
																else
																	{	/* Reduce/cse.scm 371 */
																		BgL_test1954z00_3018 = ((bool_t) 0);
																	}
															}
															if (BgL_test1954z00_3018)
																{	/* Reduce/cse.scm 371 */
																	BgL_test1953z00_3017 = ((bool_t) 1);
																}
															else
																{	/* Reduce/cse.scm 371 */
																	obj_t BgL_classz00_2511;

																	BgL_classz00_2511 =
																		BGl_letzd2varzd2zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_2494))
																		{	/* Reduce/cse.scm 371 */
																			BgL_objectz00_bglt BgL_arg1820z00_2512;

																			BgL_arg1820z00_2512 =
																				(BgL_objectz00_bglt) (BgL_valz00_2494);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/cse.scm 371 */
																					long BgL_idxz00_2513;

																					BgL_idxz00_2513 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2512);
																					BgL_test1953z00_3017 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2513 + ((long) 3))) ==
																						BgL_classz00_2511);
																				}
																			else
																				{	/* Reduce/cse.scm 371 */
																					bool_t BgL_res1857z00_2516;

																					{	/* Reduce/cse.scm 371 */
																						obj_t BgL_oclassz00_2517;

																						{	/* Reduce/cse.scm 371 */
																							long BgL_arg1828z00_2518;

																							{	/* Reduce/cse.scm 371 */
																								long BgL_arg1829z00_2519;

																								BgL_arg1829z00_2519 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2512);
																								BgL_arg1828z00_2518 =
																									(BgL_arg1829z00_2519 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2517 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_2518);
																						}
																						{	/* Reduce/cse.scm 371 */
																							bool_t BgL__ortest_1111z00_2520;

																							BgL__ortest_1111z00_2520 =
																								(BgL_classz00_2511 ==
																								BgL_oclassz00_2517);
																							if (BgL__ortest_1111z00_2520)
																								{	/* Reduce/cse.scm 371 */
																									BgL_res1857z00_2516 =
																										BgL__ortest_1111z00_2520;
																								}
																							else
																								{	/* Reduce/cse.scm 371 */
																									long BgL_odepthz00_2521;

																									BgL_odepthz00_2521 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2517);
																									if ((((long) 3) <
																											BgL_odepthz00_2521))
																										{	/* Reduce/cse.scm 371 */
																											obj_t BgL_arg1816z00_2522;

																											BgL_arg1816z00_2522 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2517,
																												((long) 3));
																											BgL_res1857z00_2516 =
																												(BgL_arg1816z00_2522 ==
																												BgL_classz00_2511);
																										}
																									else
																										{	/* Reduce/cse.scm 371 */
																											BgL_res1857z00_2516 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1953z00_3017 =
																						BgL_res1857z00_2516;
																				}
																		}
																	else
																		{	/* Reduce/cse.scm 371 */
																			BgL_test1953z00_3017 = ((bool_t) 0);
																		}
																}
														}
														if (BgL_test1953z00_3017)
															{	/* Reduce/cse.scm 372 */
																obj_t BgL_arg1687z00_2523;
																obj_t BgL_arg1692z00_2524;

																BgL_arg1687z00_2523 =
																	CDR(((obj_t) BgL_bindingsz00_2468));
																{	/* Reduce/cse.scm 374 */
																	obj_t BgL_arg1696z00_2525;

																	{	/* Reduce/cse.scm 406 */
																		obj_t BgL_newz00_2526;

																		BgL_newz00_2526 =
																			create_struct(CNST_TABLE_REF(((long) 2)),
																			(int) (((long) 2)));
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3062;

																			BgL_tmpz00_3062 = (int) (((long) 1));
																			STRUCT_SET(BgL_newz00_2526,
																				BgL_tmpz00_3062, BgL_varz00_2493);
																		}
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3065;

																			BgL_tmpz00_3065 = (int) (((long) 0));
																			STRUCT_SET(BgL_newz00_2526,
																				BgL_tmpz00_3065, BgL_valz00_2494);
																		}
																		BgL_arg1696z00_2525 = BgL_newz00_2526;
																	}
																	BgL_arg1692z00_2524 =
																		MAKE_YOUNG_PAIR(BgL_arg1696z00_2525,
																		BgL_extendz00_2470);
																}
																{
																	obj_t BgL_extendz00_3071;
																	bool_t BgL_resetz00_3070;
																	obj_t BgL_bindingsz00_3069;

																	BgL_bindingsz00_3069 = BgL_arg1687z00_2523;
																	BgL_resetz00_3070 = ((bool_t) 0);
																	BgL_extendz00_3071 = BgL_arg1692z00_2524;
																	BgL_extendz00_2470 = BgL_extendz00_3071;
																	BgL_resetz00_2469 = BgL_resetz00_3070;
																	BgL_bindingsz00_2468 = BgL_bindingsz00_3069;
																	goto BgL_loopz00_2467;
																}
															}
														else
															{	/* Reduce/cse.scm 376 */
																obj_t BgL_arg1697z00_2527;

																BgL_arg1697z00_2527 =
																	CDR(((obj_t) BgL_bindingsz00_2468));
																{
																	bool_t BgL_resetz00_3075;
																	obj_t BgL_bindingsz00_3074;

																	BgL_bindingsz00_3074 = BgL_arg1697z00_2527;
																	BgL_resetz00_3075 = ((bool_t) 0);
																	BgL_resetz00_2469 = BgL_resetz00_3075;
																	BgL_bindingsz00_2468 = BgL_bindingsz00_3074;
																	goto BgL_loopz00_2467;
																}
															}
													}
												else
													{	/* Reduce/cse.scm 368 */
														obj_t BgL_arg1698z00_2528;

														BgL_arg1698z00_2528 =
															CDR(((obj_t) BgL_bindingsz00_2468));
														{
															bool_t BgL_resetz00_3079;
															obj_t BgL_bindingsz00_3078;

															BgL_bindingsz00_3078 = BgL_arg1698z00_2528;
															BgL_resetz00_3079 = ((bool_t) 0);
															BgL_resetz00_2469 = BgL_resetz00_3079;
															BgL_bindingsz00_2468 = BgL_bindingsz00_3078;
															goto BgL_loopz00_2467;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &node-cse!-app1367 */
	obj_t BGl_z62nodezd2csez12zd2app1367z70zzreduce_csez00(obj_t BgL_envz00_2384,
		obj_t BgL_nodez00_2385, obj_t BgL_stackz00_2386)
	{
		{	/* Reduce/cse.scm 302 */
			{	/* Reduce/cse.scm 304 */
				obj_t BgL_resetz00_2530;

				BgL_resetz00_2530 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2385)))->BgL_argsz00),
					BgL_stackz00_2386);
				{	/* Reduce/cse.scm 305 */
					bool_t BgL_test1963z00_3085;

					if (CBOOL(BgL_resetz00_2530))
						{	/* Reduce/cse.scm 305 */
							BgL_test1963z00_3085 = ((bool_t) 1);
						}
					else
						{	/* Reduce/cse.scm 305 */
							BgL_test1963z00_3085 =
								BGl_sidezd2effectzf3z21zzeffect_effectz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2385)));
						}
					if (BgL_test1963z00_3085)
						{	/* Reduce/cse.scm 305 */
							{	/* Reduce/cse.scm 309 */
								int BgL_tmpz00_3091;

								BgL_tmpz00_3091 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3091);
							}
							{	/* Reduce/cse.scm 309 */
								obj_t BgL_auxz00_3096;
								int BgL_tmpz00_3094;

								BgL_auxz00_3096 =
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2385));
								BgL_tmpz00_3094 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3094, BgL_auxz00_3096);
							}
							return BTRUE;
						}
					else
						{	/* Reduce/cse.scm 310 */
							obj_t BgL_previousz00_2531;

							BgL_previousz00_2531 =
								BGl_findzd2stackzd2zzreduce_csez00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2385)), BgL_stackz00_2386);
							{	/* Reduce/cse.scm 312 */
								bool_t BgL_test1965z00_3103;

								{	/* Reduce/cse.scm 312 */
									obj_t BgL_classz00_2532;

									BgL_classz00_2532 = BGl_variablez00zzast_varz00;
									if (BGL_OBJECTP(BgL_previousz00_2531))
										{	/* Reduce/cse.scm 312 */
											BgL_objectz00_bglt BgL_arg1820z00_2533;

											BgL_arg1820z00_2533 =
												(BgL_objectz00_bglt) (BgL_previousz00_2531);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cse.scm 312 */
													long BgL_idxz00_2534;

													BgL_idxz00_2534 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2533);
													BgL_test1965z00_3103 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2534 + ((long) 1))) ==
														BgL_classz00_2532);
												}
											else
												{	/* Reduce/cse.scm 312 */
													bool_t BgL_res1854z00_2537;

													{	/* Reduce/cse.scm 312 */
														obj_t BgL_oclassz00_2538;

														{	/* Reduce/cse.scm 312 */
															long BgL_arg1828z00_2539;

															{	/* Reduce/cse.scm 312 */
																long BgL_arg1829z00_2540;

																BgL_arg1829z00_2540 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2533);
																BgL_arg1828z00_2539 =
																	(BgL_arg1829z00_2540 - OBJECT_TYPE);
															}
															BgL_oclassz00_2538 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2539);
														}
														{	/* Reduce/cse.scm 312 */
															bool_t BgL__ortest_1111z00_2541;

															BgL__ortest_1111z00_2541 =
																(BgL_classz00_2532 == BgL_oclassz00_2538);
															if (BgL__ortest_1111z00_2541)
																{	/* Reduce/cse.scm 312 */
																	BgL_res1854z00_2537 =
																		BgL__ortest_1111z00_2541;
																}
															else
																{	/* Reduce/cse.scm 312 */
																	long BgL_odepthz00_2542;

																	BgL_odepthz00_2542 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2538);
																	if ((((long) 1) < BgL_odepthz00_2542))
																		{	/* Reduce/cse.scm 312 */
																			obj_t BgL_arg1816z00_2543;

																			BgL_arg1816z00_2543 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2538, ((long) 1));
																			BgL_res1854z00_2537 =
																				(BgL_arg1816z00_2543 ==
																				BgL_classz00_2532);
																		}
																	else
																		{	/* Reduce/cse.scm 312 */
																			BgL_res1854z00_2537 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1965z00_3103 = BgL_res1854z00_2537;
												}
										}
									else
										{	/* Reduce/cse.scm 312 */
											BgL_test1965z00_3103 = ((bool_t) 0);
										}
								}
								if (BgL_test1965z00_3103)
									{	/* Reduce/cse.scm 312 */
										BGl_za2csezd2removedza2zd2zzreduce_csez00 =
											(((long) 1) + BGl_za2csezd2removedza2zd2zzreduce_csez00);
										{	/* Reduce/cse.scm 315 */
											BgL_refz00_bglt BgL_val1_1308z00_2544;

											{	/* Reduce/cse.scm 315 */
												BgL_refz00_bglt BgL_new1137z00_2545;

												{	/* Reduce/cse.scm 318 */
													BgL_refz00_bglt BgL_new1136z00_2546;

													BgL_new1136z00_2546 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Reduce/cse.scm 318 */
														long BgL_arg1661z00_2547;

														BgL_arg1661z00_2547 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1136z00_2546),
															BgL_arg1661z00_2547);
													}
													{	/* Reduce/cse.scm 318 */
														BgL_objectz00_bglt BgL_tmpz00_3128;

														BgL_tmpz00_3128 =
															((BgL_objectz00_bglt) BgL_new1136z00_2546);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3128, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1136z00_2546);
													BgL_new1137z00_2545 = BgL_new1136z00_2546;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1137z00_2545)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2385))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1137z00_2545)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2385))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1137z00_2545)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_previousz00_2531)), BUNSPEC);
												BgL_val1_1308z00_2544 = BgL_new1137z00_2545;
											}
											{	/* Reduce/cse.scm 315 */
												int BgL_tmpz00_3145;

												BgL_tmpz00_3145 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3145);
											}
											{	/* Reduce/cse.scm 315 */
												obj_t BgL_auxz00_3150;
												int BgL_tmpz00_3148;

												BgL_auxz00_3150 = ((obj_t) BgL_val1_1308z00_2544);
												BgL_tmpz00_3148 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3148, BgL_auxz00_3150);
											}
											return BgL_stackz00_2386;
										}
									}
								else
									{	/* Reduce/cse.scm 312 */
										{	/* Reduce/cse.scm 320 */
											int BgL_tmpz00_3153;

											BgL_tmpz00_3153 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3153);
										}
										{	/* Reduce/cse.scm 320 */
											obj_t BgL_auxz00_3158;
											int BgL_tmpz00_3156;

											BgL_auxz00_3158 =
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2385));
											BgL_tmpz00_3156 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3156, BgL_auxz00_3158);
										}
										return BFALSE;
									}
							}
						}
				}
			}
		}

	}



/* &node-cse!-box-ref1365 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2ref1365za2zzreduce_csez00(obj_t
		BgL_envz00_2387, obj_t BgL_nodez00_2388, obj_t BgL_stackz00_2389)
	{
		{	/* Reduce/cse.scm 296 */
			{	/* Reduce/cse.scm 297 */
				int BgL_tmpz00_3162;

				BgL_tmpz00_3162 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3162);
			}
			{	/* Reduce/cse.scm 297 */
				obj_t BgL_auxz00_3167;
				int BgL_tmpz00_3165;

				BgL_auxz00_3167 = ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2388));
				BgL_tmpz00_3165 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3165, BgL_auxz00_3167);
			}
			return BFALSE;
		}

	}



/* &node-cse!-box-set!1363 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2setz121363zb0zzreduce_csez00(obj_t
		BgL_envz00_2390, obj_t BgL_nodez00_2391, obj_t BgL_stackz00_2392)
	{
		{	/* Reduce/cse.scm 286 */
			{	/* Reduce/cse.scm 288 */
				obj_t BgL_resetz00_2550;

				BgL_resetz00_2550 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2391)))->BgL_valuez00),
					BgL_stackz00_2392);
				{	/* Reduce/cse.scm 289 */
					obj_t BgL_nvaluez00_2551;

					{	/* Reduce/cse.scm 290 */
						obj_t BgL_tmpz00_2552;

						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3174;

							BgL_tmpz00_3174 = (int) (((long) 1));
							BgL_tmpz00_2552 = BGL_MVALUES_VAL(BgL_tmpz00_3174);
						}
						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3177;

							BgL_tmpz00_3177 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3177, BUNSPEC);
						}
						BgL_nvaluez00_2551 = BgL_tmpz00_2552;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2391)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2551)),
						BUNSPEC);
					{	/* Reduce/cse.scm 291 */
						int BgL_tmpz00_3183;

						BgL_tmpz00_3183 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3183);
					}
					{	/* Reduce/cse.scm 291 */
						obj_t BgL_auxz00_3188;
						int BgL_tmpz00_3186;

						BgL_auxz00_3188 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2391));
						BgL_tmpz00_3186 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3186, BgL_auxz00_3188);
					}
					return BgL_resetz00_2550;
				}
			}
		}

	}



/* &node-cse!-make-box1361 */
	obj_t BGl_z62nodezd2csez12zd2makezd2box1361za2zzreduce_csez00(obj_t
		BgL_envz00_2393, obj_t BgL_nodez00_2394, obj_t BgL_stackz00_2395)
	{
		{	/* Reduce/cse.scm 276 */
			{	/* Reduce/cse.scm 278 */
				obj_t BgL_resetz00_2554;

				BgL_resetz00_2554 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2394)))->BgL_valuez00),
					BgL_stackz00_2395);
				{	/* Reduce/cse.scm 279 */
					obj_t BgL_nvaluez00_2555;

					{	/* Reduce/cse.scm 280 */
						obj_t BgL_tmpz00_2556;

						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3195;

							BgL_tmpz00_3195 = (int) (((long) 1));
							BgL_tmpz00_2556 = BGL_MVALUES_VAL(BgL_tmpz00_3195);
						}
						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3198;

							BgL_tmpz00_3198 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3198, BUNSPEC);
						}
						BgL_nvaluez00_2555 = BgL_tmpz00_2556;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2394)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2555)),
						BUNSPEC);
					{	/* Reduce/cse.scm 281 */
						int BgL_tmpz00_3204;

						BgL_tmpz00_3204 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3204);
					}
					{	/* Reduce/cse.scm 281 */
						obj_t BgL_auxz00_3209;
						int BgL_tmpz00_3207;

						BgL_auxz00_3209 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2394));
						BgL_tmpz00_3207 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3207, BgL_auxz00_3209);
					}
					return BgL_resetz00_2554;
				}
			}
		}

	}



/* &node-cse!-return1359 */
	obj_t BGl_z62nodezd2csez12zd2return1359z70zzreduce_csez00(obj_t
		BgL_envz00_2396, obj_t BgL_nodez00_2397, obj_t BgL_stackz00_2398)
	{
		{	/* Reduce/cse.scm 266 */
			{	/* Reduce/cse.scm 268 */
				obj_t BgL_resetz00_2558;

				BgL_resetz00_2558 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2397)))->BgL_valuez00),
					BgL_stackz00_2398);
				{	/* Reduce/cse.scm 269 */
					obj_t BgL_nvaluez00_2559;

					{	/* Reduce/cse.scm 270 */
						obj_t BgL_tmpz00_2560;

						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3216;

							BgL_tmpz00_3216 = (int) (((long) 1));
							BgL_tmpz00_2560 = BGL_MVALUES_VAL(BgL_tmpz00_3216);
						}
						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3219;

							BgL_tmpz00_3219 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3219, BUNSPEC);
						}
						BgL_nvaluez00_2559 = BgL_tmpz00_2560;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2397)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2559)),
						BUNSPEC);
					{	/* Reduce/cse.scm 271 */
						int BgL_tmpz00_3225;

						BgL_tmpz00_3225 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3225);
					}
					{	/* Reduce/cse.scm 271 */
						obj_t BgL_auxz00_3230;
						int BgL_tmpz00_3228;

						BgL_auxz00_3230 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2397));
						BgL_tmpz00_3228 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3228, BgL_auxz00_3230);
					}
					return BgL_resetz00_2558;
				}
			}
		}

	}



/* &node-cse!-retblock1357 */
	obj_t BGl_z62nodezd2csez12zd2retblock1357z70zzreduce_csez00(obj_t
		BgL_envz00_2399, obj_t BgL_nodez00_2400, obj_t BgL_stackz00_2401)
	{
		{	/* Reduce/cse.scm 256 */
			{	/* Reduce/cse.scm 258 */
				obj_t BgL_resetz00_2562;

				BgL_resetz00_2562 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2400)))->BgL_bodyz00),
					BgL_stackz00_2401);
				{	/* Reduce/cse.scm 259 */
					obj_t BgL_nbodyz00_2563;

					{	/* Reduce/cse.scm 260 */
						obj_t BgL_tmpz00_2564;

						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3237;

							BgL_tmpz00_3237 = (int) (((long) 1));
							BgL_tmpz00_2564 = BGL_MVALUES_VAL(BgL_tmpz00_3237);
						}
						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3240;

							BgL_tmpz00_3240 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3240, BUNSPEC);
						}
						BgL_nbodyz00_2563 = BgL_tmpz00_2564;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2400)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2563)),
						BUNSPEC);
					{	/* Reduce/cse.scm 261 */
						int BgL_tmpz00_3246;

						BgL_tmpz00_3246 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3246);
					}
					{	/* Reduce/cse.scm 261 */
						obj_t BgL_auxz00_3251;
						int BgL_tmpz00_3249;

						BgL_auxz00_3251 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2400));
						BgL_tmpz00_3249 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3249, BgL_auxz00_3251);
					}
					return BgL_resetz00_2562;
				}
			}
		}

	}



/* &node-cse!-jump-ex-it1355 */
	obj_t BGl_z62nodezd2csez12zd2jumpzd2exzd2it1355z70zzreduce_csez00(obj_t
		BgL_envz00_2402, obj_t BgL_nodez00_2403, obj_t BgL_stackz00_2404)
	{
		{	/* Reduce/cse.scm 242 */
			{	/* Reduce/cse.scm 244 */
				obj_t BgL_resetz00_2566;

				BgL_resetz00_2566 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2403)))->BgL_exitz00),
					BgL_stackz00_2404);
				{	/* Reduce/cse.scm 245 */
					obj_t BgL_nexitz00_2567;

					{	/* Reduce/cse.scm 246 */
						obj_t BgL_tmpz00_2568;

						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3258;

							BgL_tmpz00_3258 = (int) (((long) 1));
							BgL_tmpz00_2568 = BGL_MVALUES_VAL(BgL_tmpz00_3258);
						}
						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3261;

							BgL_tmpz00_3261 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3261, BUNSPEC);
						}
						BgL_nexitz00_2567 = BgL_tmpz00_2568;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2403)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2567)),
						BUNSPEC);
					{	/* Reduce/cse.scm 247 */
						obj_t BgL_stackz72z72_2569;

						if (CBOOL(BgL_resetz00_2566))
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2569 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2569 = BgL_stackz00_2404;
							}
						{	/* Reduce/cse.scm 248 */
							obj_t BgL_resetz72z72_2570;

							BgL_resetz72z72_2570 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2403)))->
									BgL_valuez00), BgL_stackz72z72_2569);
							{	/* Reduce/cse.scm 249 */
								obj_t BgL_nvaluez00_2571;

								{	/* Reduce/cse.scm 250 */
									obj_t BgL_tmpz00_2572;

									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3272;

										BgL_tmpz00_3272 = (int) (((long) 1));
										BgL_tmpz00_2572 = BGL_MVALUES_VAL(BgL_tmpz00_3272);
									}
									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3275;

										BgL_tmpz00_3275 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3275, BUNSPEC);
									}
									BgL_nvaluez00_2571 = BgL_tmpz00_2572;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2403)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2571)),
									BUNSPEC);
								{	/* Reduce/cse.scm 251 */
									obj_t BgL_val0_1293z00_2573;

									if (CBOOL(BgL_resetz00_2566))
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1293z00_2573 = BgL_resetz00_2566;
										}
									else
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1293z00_2573 = BgL_resetz72z72_2570;
										}
									{	/* Reduce/cse.scm 251 */
										int BgL_tmpz00_3283;

										BgL_tmpz00_3283 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3283);
									}
									{	/* Reduce/cse.scm 251 */
										obj_t BgL_auxz00_3288;
										int BgL_tmpz00_3286;

										BgL_auxz00_3288 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2403));
										BgL_tmpz00_3286 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3286, BgL_auxz00_3288);
									}
									return BgL_val0_1293z00_2573;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-set-ex-it1353 */
	obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1353z70zzreduce_csez00(obj_t
		BgL_envz00_2405, obj_t BgL_nodez00_2406, obj_t BgL_stackz00_2407)
	{
		{	/* Reduce/cse.scm 229 */
			{	/* Reduce/cse.scm 231 */
				obj_t BgL_resetz00_2575;

				BgL_resetz00_2575 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2406)))->BgL_bodyz00),
					BNIL);
				{	/* Reduce/cse.scm 232 */
					obj_t BgL_nbodyz00_2576;

					{	/* Reduce/cse.scm 233 */
						obj_t BgL_tmpz00_2577;

						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3295;

							BgL_tmpz00_3295 = (int) (((long) 1));
							BgL_tmpz00_2577 = BGL_MVALUES_VAL(BgL_tmpz00_3295);
						}
						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3298;

							BgL_tmpz00_3298 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3298, BUNSPEC);
						}
						BgL_nbodyz00_2576 = BgL_tmpz00_2577;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2406)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2576)),
						BUNSPEC);
					{	/* Reduce/cse.scm 234 */
						obj_t BgL_resetz72z72_2578;

						BgL_resetz72z72_2578 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2406)))->
								BgL_onexitz00), BNIL);
						{	/* Reduce/cse.scm 235 */
							obj_t BgL_nonexitz00_2579;

							{	/* Reduce/cse.scm 236 */
								obj_t BgL_tmpz00_2580;

								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3307;

									BgL_tmpz00_3307 = (int) (((long) 1));
									BgL_tmpz00_2580 = BGL_MVALUES_VAL(BgL_tmpz00_3307);
								}
								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3310;

									BgL_tmpz00_3310 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3310, BUNSPEC);
								}
								BgL_nonexitz00_2579 = BgL_tmpz00_2580;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2406)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2579)),
								BUNSPEC);
							{	/* Reduce/cse.scm 237 */
								obj_t BgL_val0_1291z00_2581;

								if (CBOOL(BgL_resetz00_2575))
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1291z00_2581 = BgL_resetz00_2575;
									}
								else
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1291z00_2581 = BgL_resetz72z72_2578;
									}
								{	/* Reduce/cse.scm 237 */
									int BgL_tmpz00_3318;

									BgL_tmpz00_3318 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3318);
								}
								{	/* Reduce/cse.scm 237 */
									obj_t BgL_auxz00_3323;
									int BgL_tmpz00_3321;

									BgL_auxz00_3323 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2406));
									BgL_tmpz00_3321 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3321, BgL_auxz00_3323);
								}
								return BgL_val0_1291z00_2581;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-let-fun1351 */
	obj_t BGl_z62nodezd2csez12zd2letzd2fun1351za2zzreduce_csez00(obj_t
		BgL_envz00_2408, obj_t BgL_nodez00_2409, obj_t BgL_stackz00_2410)
	{
		{	/* Reduce/cse.scm 210 */
			{	/* Reduce/cse.scm 212 */
				obj_t BgL_resetz00_2583;

				BgL_resetz00_2583 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2409)))->BgL_bodyz00),
					BgL_stackz00_2410);
				{	/* Reduce/cse.scm 213 */
					obj_t BgL_nbodyz00_2584;

					{	/* Reduce/cse.scm 214 */
						obj_t BgL_tmpz00_2585;

						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3330;

							BgL_tmpz00_3330 = (int) (((long) 1));
							BgL_tmpz00_2585 = BGL_MVALUES_VAL(BgL_tmpz00_3330);
						}
						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3333;

							BgL_tmpz00_3333 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3333, BUNSPEC);
						}
						BgL_nbodyz00_2584 = BgL_tmpz00_2585;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2409)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2584)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2587;
						obj_t BgL_resetz00_2588;

						BgL_localsz00_2587 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2409)))->BgL_localsz00);
						BgL_resetz00_2588 = BgL_resetz00_2583;
					BgL_loopz00_2586:
						if (NULLP(BgL_localsz00_2587))
							{	/* Reduce/cse.scm 217 */
								{	/* Reduce/cse.scm 218 */
									int BgL_tmpz00_3341;

									BgL_tmpz00_3341 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3341);
								}
								{	/* Reduce/cse.scm 218 */
									obj_t BgL_auxz00_3346;
									int BgL_tmpz00_3344;

									BgL_auxz00_3346 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2409));
									BgL_tmpz00_3344 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3344, BgL_auxz00_3346);
								}
								return BgL_resetz00_2588;
							}
						else
							{	/* Reduce/cse.scm 219 */
								obj_t BgL_localz00_2589;

								BgL_localz00_2589 = CAR(((obj_t) BgL_localsz00_2587));
								{	/* Reduce/cse.scm 219 */
									BgL_valuez00_bglt BgL_sfunz00_2590;

									BgL_sfunz00_2590 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2589))))->
										BgL_valuez00);
									{	/* Reduce/cse.scm 220 */

										{	/* Reduce/cse.scm 221 */
											obj_t BgL_resetz72z72_2591;

											{	/* Reduce/cse.scm 222 */
												obj_t BgL_arg1632z00_2592;

												BgL_arg1632z00_2592 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2590)))->
													BgL_bodyz00);
												BgL_resetz72z72_2591 =
													BGl_nodezd2csez12zc0zzreduce_csez00((
														(BgL_nodez00_bglt) BgL_arg1632z00_2592), BNIL);
											}
											{	/* Reduce/cse.scm 222 */
												obj_t BgL_nbodyz00_2593;

												{	/* Reduce/cse.scm 223 */
													obj_t BgL_tmpz00_2594;

													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3359;

														BgL_tmpz00_3359 = (int) (((long) 1));
														BgL_tmpz00_2594 = BGL_MVALUES_VAL(BgL_tmpz00_3359);
													}
													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3362;

														BgL_tmpz00_3362 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3362, BUNSPEC);
													}
													BgL_nbodyz00_2593 = BgL_tmpz00_2594;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2590)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2593), BUNSPEC);
												{	/* Reduce/cse.scm 224 */
													obj_t BgL_arg1629z00_2595;
													obj_t BgL_arg1630z00_2596;

													BgL_arg1629z00_2595 =
														CDR(((obj_t) BgL_localsz00_2587));
													if (CBOOL(BgL_resetz00_2588))
														{	/* Reduce/cse.scm 224 */
															BgL_arg1630z00_2596 = BgL_resetz00_2588;
														}
													else
														{	/* Reduce/cse.scm 224 */
															BgL_arg1630z00_2596 = BgL_resetz72z72_2591;
														}
													{
														obj_t BgL_resetz00_3372;
														obj_t BgL_localsz00_3371;

														BgL_localsz00_3371 = BgL_arg1629z00_2595;
														BgL_resetz00_3372 = BgL_arg1630z00_2596;
														BgL_resetz00_2588 = BgL_resetz00_3372;
														BgL_localsz00_2587 = BgL_localsz00_3371;
														goto BgL_loopz00_2586;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-switch1349 */
	obj_t BGl_z62nodezd2csez12zd2switch1349z70zzreduce_csez00(obj_t
		BgL_envz00_2411, obj_t BgL_nodez00_2412, obj_t BgL_stackz00_2413)
	{
		{	/* Reduce/cse.scm 191 */
			{	/* Reduce/cse.scm 193 */
				obj_t BgL_resetz00_2598;

				BgL_resetz00_2598 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2412)))->BgL_testz00),
					BgL_stackz00_2413);
				{	/* Reduce/cse.scm 194 */
					obj_t BgL_ntestz00_2599;

					{	/* Reduce/cse.scm 195 */
						obj_t BgL_tmpz00_2600;

						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3378;

							BgL_tmpz00_3378 = (int) (((long) 1));
							BgL_tmpz00_2600 = BGL_MVALUES_VAL(BgL_tmpz00_3378);
						}
						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3381;

							BgL_tmpz00_3381 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3381, BUNSPEC);
						}
						BgL_ntestz00_2599 = BgL_tmpz00_2600;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2412)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2599)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2602;
						obj_t BgL_resetz00_2603;

						BgL_clausesz00_2602 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2412)))->BgL_clausesz00);
						BgL_resetz00_2603 = BgL_resetz00_2598;
					BgL_loopz00_2601:
						if (NULLP(BgL_clausesz00_2602))
							{	/* Reduce/cse.scm 199 */
								{	/* Reduce/cse.scm 200 */
									int BgL_tmpz00_3389;

									BgL_tmpz00_3389 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3389);
								}
								{	/* Reduce/cse.scm 200 */
									obj_t BgL_auxz00_3394;
									int BgL_tmpz00_3392;

									BgL_auxz00_3394 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2412));
									BgL_tmpz00_3392 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3392, BgL_auxz00_3394);
								}
								return BgL_resetz00_2603;
							}
						else
							{	/* Reduce/cse.scm 201 */
								obj_t BgL_clausez00_2604;

								BgL_clausez00_2604 = CAR(((obj_t) BgL_clausesz00_2602));
								{	/* Reduce/cse.scm 202 */
									obj_t BgL_resetz72z72_2605;

									{	/* Reduce/cse.scm 203 */
										obj_t BgL_arg1615z00_2606;

										BgL_arg1615z00_2606 = CDR(((obj_t) BgL_clausez00_2604));
										BgL_resetz72z72_2605 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											((BgL_nodez00_bglt) BgL_arg1615z00_2606),
											BgL_stackz00_2413);
									}
									{	/* Reduce/cse.scm 203 */
										obj_t BgL_nclausez00_2607;

										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_2608;

											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3404;

												BgL_tmpz00_3404 = (int) (((long) 1));
												BgL_tmpz00_2608 = BGL_MVALUES_VAL(BgL_tmpz00_3404);
											}
											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3407;

												BgL_tmpz00_3407 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3407, BUNSPEC);
											}
											BgL_nclausez00_2607 = BgL_tmpz00_2608;
										}
										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_3410;

											BgL_tmpz00_3410 = ((obj_t) BgL_clausez00_2604);
											SET_CDR(BgL_tmpz00_3410, BgL_nclausez00_2607);
										}
										{	/* Reduce/cse.scm 205 */
											obj_t BgL_arg1610z00_2609;
											obj_t BgL_arg1614z00_2610;

											BgL_arg1610z00_2609 = CDR(((obj_t) BgL_clausesz00_2602));
											if (CBOOL(BgL_resetz00_2603))
												{	/* Reduce/cse.scm 205 */
													BgL_arg1614z00_2610 = BgL_resetz00_2603;
												}
											else
												{	/* Reduce/cse.scm 205 */
													BgL_arg1614z00_2610 = BgL_resetz72z72_2605;
												}
											{
												obj_t BgL_resetz00_3418;
												obj_t BgL_clausesz00_3417;

												BgL_clausesz00_3417 = BgL_arg1610z00_2609;
												BgL_resetz00_3418 = BgL_arg1614z00_2610;
												BgL_resetz00_2603 = BgL_resetz00_3418;
												BgL_clausesz00_2602 = BgL_clausesz00_3417;
												goto BgL_loopz00_2601;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-fail1347 */
	obj_t BGl_z62nodezd2csez12zd2fail1347z70zzreduce_csez00(obj_t BgL_envz00_2414,
		obj_t BgL_nodez00_2415, obj_t BgL_stackz00_2416)
	{
		{	/* Reduce/cse.scm 173 */
			{	/* Reduce/cse.scm 175 */
				obj_t BgL_resetz00_2612;

				BgL_resetz00_2612 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2415)))->BgL_procz00),
					BgL_stackz00_2416);
				{	/* Reduce/cse.scm 176 */
					obj_t BgL_nprocz00_2613;

					{	/* Reduce/cse.scm 177 */
						obj_t BgL_tmpz00_2614;

						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3424;

							BgL_tmpz00_3424 = (int) (((long) 1));
							BgL_tmpz00_2614 = BGL_MVALUES_VAL(BgL_tmpz00_3424);
						}
						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3427;

							BgL_tmpz00_3427 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3427, BUNSPEC);
						}
						BgL_nprocz00_2613 = BgL_tmpz00_2614;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2415)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2613)),
						BUNSPEC);
					{	/* Reduce/cse.scm 178 */
						obj_t BgL_stackz72z72_2615;

						if (CBOOL(BgL_resetz00_2612))
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2615 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2615 = BgL_stackz00_2416;
							}
						{	/* Reduce/cse.scm 179 */
							obj_t BgL_resetz72z72_2616;

							BgL_resetz72z72_2616 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2415)))->BgL_msgz00),
								BgL_stackz72z72_2615);
							{	/* Reduce/cse.scm 180 */
								obj_t BgL_nmsgz00_2617;

								{	/* Reduce/cse.scm 181 */
									obj_t BgL_tmpz00_2618;

									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3438;

										BgL_tmpz00_3438 = (int) (((long) 1));
										BgL_tmpz00_2618 = BGL_MVALUES_VAL(BgL_tmpz00_3438);
									}
									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3441;

										BgL_tmpz00_3441 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3441, BUNSPEC);
									}
									BgL_nmsgz00_2617 = BgL_tmpz00_2618;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2415)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2617)),
									BUNSPEC);
								{	/* Reduce/cse.scm 182 */
									obj_t BgL_stackz72z72z00_2619;

									if (CBOOL(BgL_resetz72z72_2616))
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2619 = BNIL;
										}
									else
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2619 = BgL_stackz72z72_2615;
										}
									{	/* Reduce/cse.scm 183 */
										obj_t BgL_resetz72z72z00_2620;

										BgL_resetz72z72z00_2620 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2415)))->
												BgL_objz00), BgL_stackz72z72z00_2619);
										{	/* Reduce/cse.scm 184 */
											obj_t BgL_nobjz00_2621;

											{	/* Reduce/cse.scm 185 */
												obj_t BgL_tmpz00_2622;

												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3452;

													BgL_tmpz00_3452 = (int) (((long) 1));
													BgL_tmpz00_2622 = BGL_MVALUES_VAL(BgL_tmpz00_3452);
												}
												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3455;

													BgL_tmpz00_3455 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3455, BUNSPEC);
												}
												BgL_nobjz00_2621 = BgL_tmpz00_2622;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2415)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2621)), BUNSPEC);
											{	/* Reduce/cse.scm 186 */
												obj_t BgL_val0_1285z00_2623;

												if (CBOOL(BgL_resetz00_2612))
													{	/* Reduce/cse.scm 186 */
														BgL_val0_1285z00_2623 = BgL_resetz00_2612;
													}
												else
													{	/* Reduce/cse.scm 186 */
														if (CBOOL(BgL_resetz72z72_2616))
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1285z00_2623 = BgL_resetz72z72_2616;
															}
														else
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1285z00_2623 = BgL_resetz72z72z00_2620;
															}
													}
												{	/* Reduce/cse.scm 186 */
													int BgL_tmpz00_3465;

													BgL_tmpz00_3465 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3465);
												}
												{	/* Reduce/cse.scm 186 */
													obj_t BgL_auxz00_3470;
													int BgL_tmpz00_3468;

													BgL_auxz00_3470 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2415));
													BgL_tmpz00_3468 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3468, BgL_auxz00_3470);
												}
												return BgL_val0_1285z00_2623;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-conditiona1345 */
	obj_t BGl_z62nodezd2csez12zd2conditiona1345z70zzreduce_csez00(obj_t
		BgL_envz00_2417, obj_t BgL_nodez00_2418, obj_t BgL_stackz00_2419)
	{
		{	/* Reduce/cse.scm 156 */
			{	/* Reduce/cse.scm 158 */
				obj_t BgL_resetz00_2625;

				BgL_resetz00_2625 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->BgL_testz00),
					BgL_stackz00_2419);
				{	/* Reduce/cse.scm 159 */
					obj_t BgL_ntestz00_2626;

					{	/* Reduce/cse.scm 160 */
						obj_t BgL_tmpz00_2627;

						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3477;

							BgL_tmpz00_3477 = (int) (((long) 1));
							BgL_tmpz00_2627 = BGL_MVALUES_VAL(BgL_tmpz00_3477);
						}
						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3480;

							BgL_tmpz00_3480 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3480, BUNSPEC);
						}
						BgL_ntestz00_2626 = BgL_tmpz00_2627;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2626)),
						BUNSPEC);
					{	/* Reduce/cse.scm 161 */
						obj_t BgL_stackz72z72_2628;

						if (CBOOL(BgL_resetz00_2625))
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2628 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2628 = BgL_stackz00_2419;
							}
						{	/* Reduce/cse.scm 162 */
							obj_t BgL_resetz72z72_2629;

							BgL_resetz72z72_2629 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->
									BgL_truez00), BgL_stackz72z72_2628);
							{	/* Reduce/cse.scm 163 */
								obj_t BgL_ntruez00_2630;

								{	/* Reduce/cse.scm 164 */
									obj_t BgL_tmpz00_2631;

									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3491;

										BgL_tmpz00_3491 = (int) (((long) 1));
										BgL_tmpz00_2631 = BGL_MVALUES_VAL(BgL_tmpz00_3491);
									}
									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3494;

										BgL_tmpz00_3494 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3494, BUNSPEC);
									}
									BgL_ntruez00_2630 = BgL_tmpz00_2631;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2630)),
									BUNSPEC);
								{	/* Reduce/cse.scm 165 */
									obj_t BgL_resetz72z72z00_2632;

									BgL_resetz72z72z00_2632 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->
											BgL_falsez00), BgL_stackz72z72_2628);
									{	/* Reduce/cse.scm 166 */
										obj_t BgL_nfalsez00_2633;

										{	/* Reduce/cse.scm 167 */
											obj_t BgL_tmpz00_2634;

											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3503;

												BgL_tmpz00_3503 = (int) (((long) 1));
												BgL_tmpz00_2634 = BGL_MVALUES_VAL(BgL_tmpz00_3503);
											}
											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3506;

												BgL_tmpz00_3506 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3506, BUNSPEC);
											}
											BgL_nfalsez00_2633 = BgL_tmpz00_2634;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2418)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2633)), BUNSPEC);
										{	/* Reduce/cse.scm 168 */
											obj_t BgL_val0_1283z00_2635;

											if (CBOOL(BgL_resetz00_2625))
												{	/* Reduce/cse.scm 168 */
													BgL_val0_1283z00_2635 = BgL_resetz00_2625;
												}
											else
												{	/* Reduce/cse.scm 168 */
													if (CBOOL(BgL_resetz72z72_2629))
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1283z00_2635 = BgL_resetz72z72_2629;
														}
													else
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1283z00_2635 = BgL_resetz72z72z00_2632;
														}
												}
											{	/* Reduce/cse.scm 168 */
												int BgL_tmpz00_3516;

												BgL_tmpz00_3516 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3516);
											}
											{	/* Reduce/cse.scm 168 */
												obj_t BgL_auxz00_3521;
												int BgL_tmpz00_3519;

												BgL_auxz00_3521 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2418));
												BgL_tmpz00_3519 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3519, BgL_auxz00_3521);
											}
											return BgL_val0_1283z00_2635;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-setq1343 */
	obj_t BGl_z62nodezd2csez12zd2setq1343z70zzreduce_csez00(obj_t BgL_envz00_2420,
		obj_t BgL_nodez00_2421, obj_t BgL_stackz00_2422)
	{
		{	/* Reduce/cse.scm 146 */
			{	/* Reduce/cse.scm 148 */
				obj_t BgL_resetz00_2637;

				BgL_resetz00_2637 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2421)))->BgL_valuez00),
					BgL_stackz00_2422);
				{	/* Reduce/cse.scm 149 */
					obj_t BgL_nvaluez00_2638;

					{	/* Reduce/cse.scm 150 */
						obj_t BgL_tmpz00_2639;

						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3528;

							BgL_tmpz00_3528 = (int) (((long) 1));
							BgL_tmpz00_2639 = BGL_MVALUES_VAL(BgL_tmpz00_3528);
						}
						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3531;

							BgL_tmpz00_3531 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3531, BUNSPEC);
						}
						BgL_nvaluez00_2638 = BgL_tmpz00_2639;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2421)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2638)),
						BUNSPEC);
					{	/* Reduce/cse.scm 151 */
						int BgL_tmpz00_3537;

						BgL_tmpz00_3537 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3537);
					}
					{	/* Reduce/cse.scm 151 */
						obj_t BgL_auxz00_3542;
						int BgL_tmpz00_3540;

						BgL_auxz00_3542 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2421));
						BgL_tmpz00_3540 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3540, BgL_auxz00_3542);
					}
					return BgL_resetz00_2637;
				}
			}
		}

	}



/* &node-cse!-cast1341 */
	obj_t BGl_z62nodezd2csez12zd2cast1341z70zzreduce_csez00(obj_t BgL_envz00_2423,
		obj_t BgL_nodez00_2424, obj_t BgL_stackz00_2425)
	{
		{	/* Reduce/cse.scm 136 */
			{	/* Reduce/cse.scm 138 */
				obj_t BgL_resetz00_2641;

				BgL_resetz00_2641 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2424)))->BgL_argz00),
					BgL_stackz00_2425);
				{	/* Reduce/cse.scm 139 */
					obj_t BgL_nargz00_2642;

					{	/* Reduce/cse.scm 140 */
						obj_t BgL_tmpz00_2643;

						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3549;

							BgL_tmpz00_3549 = (int) (((long) 1));
							BgL_tmpz00_2643 = BGL_MVALUES_VAL(BgL_tmpz00_3549);
						}
						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3552;

							BgL_tmpz00_3552 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3552, BUNSPEC);
						}
						BgL_nargz00_2642 = BgL_tmpz00_2643;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2424)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2642)),
						BUNSPEC);
					{	/* Reduce/cse.scm 141 */
						int BgL_tmpz00_3558;

						BgL_tmpz00_3558 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3558);
					}
					{	/* Reduce/cse.scm 141 */
						obj_t BgL_auxz00_3563;
						int BgL_tmpz00_3561;

						BgL_auxz00_3563 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2424));
						BgL_tmpz00_3561 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3561, BgL_auxz00_3563);
					}
					return BgL_resetz00_2641;
				}
			}
		}

	}



/* &node-cse!-extern1339 */
	obj_t BGl_z62nodezd2csez12zd2extern1339z70zzreduce_csez00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427, obj_t BgL_stackz00_2428)
	{
		{	/* Reduce/cse.scm 128 */
			{	/* Reduce/cse.scm 130 */
				obj_t BgL_resetz72z72_2645;

				BgL_resetz72z72_2645 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2427)))->BgL_exprza2za2),
					BgL_stackz00_2428);
				{	/* Reduce/cse.scm 131 */
					int BgL_tmpz00_3570;

					BgL_tmpz00_3570 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3570);
				}
				{	/* Reduce/cse.scm 131 */
					obj_t BgL_auxz00_3575;
					int BgL_tmpz00_3573;

					BgL_auxz00_3575 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2427));
					BgL_tmpz00_3573 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3573, BgL_auxz00_3575);
				}
				return BgL_resetz72z72_2645;
			}
		}

	}



/* &node-cse!-funcall1336 */
	obj_t BGl_z62nodezd2csez12zd2funcall1336z70zzreduce_csez00(obj_t
		BgL_envz00_2429, obj_t BgL_nodez00_2430, obj_t BgL_stackz00_2431)
	{
		{	/* Reduce/cse.scm 120 */
			{	/* Reduce/cse.scm 122 */
				obj_t BgL_resetz72z72_2647;

				BgL_resetz72z72_2647 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2430)))->BgL_argsz00),
					BgL_stackz00_2431);
				{	/* Reduce/cse.scm 123 */
					int BgL_tmpz00_3582;

					BgL_tmpz00_3582 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3582);
				}
				{	/* Reduce/cse.scm 123 */
					obj_t BgL_auxz00_3587;
					int BgL_tmpz00_3585;

					BgL_auxz00_3587 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2430));
					BgL_tmpz00_3585 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3585, BgL_auxz00_3587);
				}
				return BgL_resetz72z72_2647;
			}
		}

	}



/* &node-cse!-app-ly1334 */
	obj_t BGl_z62nodezd2csez12zd2appzd2ly1334za2zzreduce_csez00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433, obj_t BgL_stackz00_2434)
	{
		{	/* Reduce/cse.scm 107 */
			{	/* Reduce/cse.scm 109 */
				obj_t BgL_resetz00_2649;

				BgL_resetz00_2649 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_funz00),
					BgL_stackz00_2434);
				{	/* Reduce/cse.scm 110 */
					obj_t BgL_nfunz00_2650;

					{	/* Reduce/cse.scm 111 */
						obj_t BgL_tmpz00_2651;

						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3594;

							BgL_tmpz00_3594 = (int) (((long) 1));
							BgL_tmpz00_2651 = BGL_MVALUES_VAL(BgL_tmpz00_3594);
						}
						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3597;

							BgL_tmpz00_3597 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3597, BUNSPEC);
						}
						BgL_nfunz00_2650 = BgL_tmpz00_2651;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2650)),
						BUNSPEC);
					{	/* Reduce/cse.scm 112 */
						obj_t BgL_resetz72z72_2652;

						{	/* Reduce/cse.scm 113 */
							BgL_nodez00_bglt BgL_arg1559z00_2653;
							obj_t BgL_arg1561z00_2654;

							BgL_arg1559z00_2653 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2649))
								{	/* Reduce/cse.scm 113 */
									BgL_arg1561z00_2654 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 113 */
									BgL_arg1561z00_2654 = BgL_stackz00_2434;
								}
							BgL_resetz72z72_2652 =
								BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1559z00_2653,
								BgL_arg1561z00_2654);
						}
						{	/* Reduce/cse.scm 113 */
							obj_t BgL_nargz00_2655;

							{	/* Reduce/cse.scm 114 */
								obj_t BgL_tmpz00_2656;

								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3608;

									BgL_tmpz00_3608 = (int) (((long) 1));
									BgL_tmpz00_2656 = BGL_MVALUES_VAL(BgL_tmpz00_3608);
								}
								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3611;

									BgL_tmpz00_3611 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3611, BUNSPEC);
								}
								BgL_nargz00_2655 = BgL_tmpz00_2656;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2655)),
								BUNSPEC);
							{	/* Reduce/cse.scm 115 */
								obj_t BgL_val0_1273z00_2657;

								if (CBOOL(BgL_resetz00_2649))
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1273z00_2657 = BgL_resetz00_2649;
									}
								else
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1273z00_2657 = BgL_resetz72z72_2652;
									}
								{	/* Reduce/cse.scm 115 */
									int BgL_tmpz00_3619;

									BgL_tmpz00_3619 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3619);
								}
								{	/* Reduce/cse.scm 115 */
									obj_t BgL_auxz00_3624;
									int BgL_tmpz00_3622;

									BgL_auxz00_3624 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2433));
									BgL_tmpz00_3622 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3622, BgL_auxz00_3624);
								}
								return BgL_val0_1273z00_2657;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sync1332 */
	obj_t BGl_z62nodezd2csez12zd2sync1332z70zzreduce_csez00(obj_t BgL_envz00_2435,
		obj_t BgL_nodez00_2436, obj_t BgL_stackz00_2437)
	{
		{	/* Reduce/cse.scm 94 */
			{	/* Reduce/cse.scm 96 */
				obj_t BgL_resetmz00_2659;

				BgL_resetmz00_2659 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2436)))->BgL_mutexz00),
					BgL_stackz00_2437);
				{	/* Reduce/cse.scm 97 */
					obj_t BgL_nmutexz00_2660;

					{	/* Reduce/cse.scm 98 */
						obj_t BgL_tmpz00_2661;

						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3631;

							BgL_tmpz00_3631 = (int) (((long) 1));
							BgL_tmpz00_2661 = BGL_MVALUES_VAL(BgL_tmpz00_3631);
						}
						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3634;

							BgL_tmpz00_3634 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3634, BUNSPEC);
						}
						BgL_nmutexz00_2660 = BgL_tmpz00_2661;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2436)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2660)),
						BUNSPEC);
					{	/* Reduce/cse.scm 99 */
						obj_t BgL_resetpz00_2662;

						BgL_resetpz00_2662 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2436)))->BgL_prelockz00),
							BgL_stackz00_2437);
						{	/* Reduce/cse.scm 100 */
							obj_t BgL_nprelockz00_2663;

							{	/* Reduce/cse.scm 101 */
								obj_t BgL_tmpz00_2664;

								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3643;

									BgL_tmpz00_3643 = (int) (((long) 1));
									BgL_tmpz00_2664 = BGL_MVALUES_VAL(BgL_tmpz00_3643);
								}
								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3646;

									BgL_tmpz00_3646 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3646, BUNSPEC);
								}
								BgL_nprelockz00_2663 = BgL_tmpz00_2664;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2436)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2663)),
								BUNSPEC);
							{	/* Reduce/cse.scm 102 */
								obj_t BgL_val0_1271z00_2665;

								{	/* Reduce/cse.scm 102 */
									obj_t BgL__ortest_1108z00_2666;

									BgL__ortest_1108z00_2666 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2436)))->BgL_bodyz00),
										BgL_stackz00_2437);
									if (CBOOL(BgL__ortest_1108z00_2666))
										{	/* Reduce/cse.scm 102 */
											BgL_val0_1271z00_2665 = BgL__ortest_1108z00_2666;
										}
									else
										{	/* Reduce/cse.scm 102 */
											if (CBOOL(BgL_resetmz00_2659))
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1271z00_2665 = BgL_resetmz00_2659;
												}
											else
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1271z00_2665 = BgL_resetpz00_2662;
												}
										}
								}
								{	/* Reduce/cse.scm 102 */
									int BgL_tmpz00_3659;

									BgL_tmpz00_3659 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3659);
								}
								{	/* Reduce/cse.scm 102 */
									obj_t BgL_auxz00_3664;
									int BgL_tmpz00_3662;

									BgL_auxz00_3664 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2436));
									BgL_tmpz00_3662 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3662, BgL_auxz00_3664);
								}
								return BgL_val0_1271z00_2665;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sequence1330 */
	obj_t BGl_z62nodezd2csez12zd2sequence1330z70zzreduce_csez00(obj_t
		BgL_envz00_2438, obj_t BgL_nodez00_2439, obj_t BgL_stackz00_2440)
	{
		{	/* Reduce/cse.scm 87 */
			{	/* Reduce/cse.scm 89 */
				obj_t BgL_val0_1269z00_2668;

				BgL_val0_1269z00_2668 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2439)))->BgL_nodesz00),
					BgL_stackz00_2440);
				{	/* Reduce/cse.scm 89 */
					int BgL_tmpz00_3671;

					BgL_tmpz00_3671 = (int) (((long) 2));
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3671);
				}
				{	/* Reduce/cse.scm 89 */
					obj_t BgL_auxz00_3676;
					int BgL_tmpz00_3674;

					BgL_auxz00_3676 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2439));
					BgL_tmpz00_3674 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3674, BgL_auxz00_3676);
				}
				return BgL_val0_1269z00_2668;
			}
		}

	}



/* &node-cse!-closure1328 */
	obj_t BGl_z62nodezd2csez12zd2closure1328z70zzreduce_csez00(obj_t
		BgL_envz00_2441, obj_t BgL_nodez00_2442, obj_t BgL_stackz00_2443)
	{
		{	/* Reduce/cse.scm 81 */
			{	/* Reduce/cse.scm 82 */
				int BgL_tmpz00_3680;

				BgL_tmpz00_3680 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3680);
			}
			{	/* Reduce/cse.scm 82 */
				obj_t BgL_auxz00_3685;
				int BgL_tmpz00_3683;

				BgL_auxz00_3685 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2442));
				BgL_tmpz00_3683 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3683, BgL_auxz00_3685);
			}
			return BFALSE;
		}

	}



/* &node-cse!-var1326 */
	obj_t BGl_z62nodezd2csez12zd2var1326z70zzreduce_csez00(obj_t BgL_envz00_2444,
		obj_t BgL_nodez00_2445, obj_t BgL_stackz00_2446)
	{
		{	/* Reduce/cse.scm 75 */
			{	/* Reduce/cse.scm 76 */
				int BgL_tmpz00_3689;

				BgL_tmpz00_3689 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3689);
			}
			{	/* Reduce/cse.scm 76 */
				obj_t BgL_auxz00_3694;
				int BgL_tmpz00_3692;

				BgL_auxz00_3694 = ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2445));
				BgL_tmpz00_3692 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3692, BgL_auxz00_3694);
			}
			return BFALSE;
		}

	}



/* &node-cse!-kwote1324 */
	obj_t BGl_z62nodezd2csez12zd2kwote1324z70zzreduce_csez00(obj_t
		BgL_envz00_2447, obj_t BgL_nodez00_2448, obj_t BgL_stackz00_2449)
	{
		{	/* Reduce/cse.scm 69 */
			{	/* Reduce/cse.scm 70 */
				int BgL_tmpz00_3698;

				BgL_tmpz00_3698 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3698);
			}
			{	/* Reduce/cse.scm 70 */
				obj_t BgL_auxz00_3703;
				int BgL_tmpz00_3701;

				BgL_auxz00_3703 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2448));
				BgL_tmpz00_3701 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3701, BgL_auxz00_3703);
			}
			return BFALSE;
		}

	}



/* &node-cse!-atom1322 */
	obj_t BGl_z62nodezd2csez12zd2atom1322z70zzreduce_csez00(obj_t BgL_envz00_2450,
		obj_t BgL_nodez00_2451, obj_t BgL_stackz00_2452)
	{
		{	/* Reduce/cse.scm 63 */
			{	/* Reduce/cse.scm 64 */
				int BgL_tmpz00_3707;

				BgL_tmpz00_3707 = (int) (((long) 2));
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3707);
			}
			{	/* Reduce/cse.scm 64 */
				obj_t BgL_auxz00_3712;
				int BgL_tmpz00_3710;

				BgL_auxz00_3712 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2451));
				BgL_tmpz00_3710 = (int) (((long) 1));
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3710, BgL_auxz00_3712);
			}
			return BFALSE;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_samez00(((long) 284483356),
				BSTRING_TO_STRING(BGl_string1891z00zzreduce_csez00));
		}

	}

#ifdef __cplusplus
}
#endif
