/*===========================================================================*/
/*   (Reduce/sbeta.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/sbeta.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1429za2zzreduce_betaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_betaz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_betaz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_betaz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1437z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t);
	static obj_t BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2betaz121418za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1439z70zzreduce_betaz00(obj_t, obj_t);
	static long BGl_za2removedza2z00zzreduce_betaz00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121449zb0zzreduce_betaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1447za2zzreduce_betaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_betaz00(void);
	static bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1441za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1445z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1443z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1433z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1425z70zzreduce_betaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1435z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1427z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t
		BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1451z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_betaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1422za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1431z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t, obj_t);
	static bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt);
	static bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t);
	static obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt);
	static obj_t BGl_za2predicatesza2z00zzreduce_betaz00 = BUNSPEC;
	static bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2200z00zzreduce_betaz00,
		BgL_bgl_string2200za700za7za7r2222za7, "Illegal predicate", 17);
	      DEFINE_STRING(BGl_string2202z00zzreduce_betaz00,
		BgL_bgl_string2202za700za7za7r2223za7, "node-beta!1418", 14);
	      DEFINE_STRING(BGl_string2204z00zzreduce_betaz00,
		BgL_bgl_string2204za700za7za7r2224za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712225za7,
		BGl_z62nodezd2betaz121418za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712226za7,
		BGl_z62nodezd2betaz12zd2letzd2var1422za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712227za7,
		BGl_z62nodezd2betaz12zd2sequence1425z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712228za7,
		BGl_z62nodezd2betaz12zd2sync1427z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712229za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1429za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712230za7,
		BGl_z62nodezd2betaz12zd2funcall1431z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712231za7,
		BGl_z62nodezd2betaz12zd2cast1433z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2219z00zzreduce_betaz00,
		BgL_bgl_string2219za700za7za7r2232za7, "reduce_beta", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712233za7,
		BGl_z62nodezd2betaz12zd2setq1435z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712234za7,
		BGl_z62nodezd2betaz12zd2condition1437z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712235za7,
		BGl_z62nodezd2betaz12zd2switch1439z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712236za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1441za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2220z00zzreduce_betaz00,
		BgL_bgl_string2220za700za7za7r2237za7,
		"bdb nesting $string-length c-flonum? c-fixnum? foreign ", 55);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712238za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1443z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712239za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1445z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712240za7,
		BGl_z62nodezd2betaz12zd2makezd2box1447za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712241za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121449zb0zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712242za7,
		BGl_z62nodezd2betaz12zd2app1451z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762reduceza7d2beta2243z00,
		BGl_z62reducezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712244za7,
		BGl_z62nodezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2197z00zzreduce_betaz00,
		BgL_bgl_string2197za700za7za7r2245za7, "      simple beta reduction  ", 29);
	      DEFINE_STRING(BGl_string2198z00zzreduce_betaz00,
		BgL_bgl_string2198za700za7za7r2246za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2199z00zzreduce_betaz00,
		BgL_bgl_string2199za700za7za7r2247za7, "node-beta-predicate!", 20);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2flonumzf3za2z21zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2predicatesza2z00zzreduce_betaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long
		BgL_checksumz00_4324, char *BgL_fromz00_4325)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_betaz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_betaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_betaz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_betaz00();
					BGl_cnstzd2initzd2zzreduce_betaz00();
					BGl_importedzd2moduleszd2initz00zzreduce_betaz00();
					BGl_genericzd2initzd2zzreduce_betaz00();
					BGl_methodzd2initzd2zzreduce_betaz00();
					return BGl_toplevelzd2initzd2zzreduce_betaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_beta");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			{	/* Reduce/sbeta.scm 25 */
				obj_t BgL_cportz00_4097;

				{	/* Reduce/sbeta.scm 25 */
					obj_t BgL_stringz00_4104;

					BgL_stringz00_4104 = BGl_string2220z00zzreduce_betaz00;
					{	/* Reduce/sbeta.scm 25 */
						obj_t BgL_startz00_4105;

						BgL_startz00_4105 = BINT(((long) 0));
						{	/* Reduce/sbeta.scm 25 */
							obj_t BgL_endz00_4106;

							BgL_endz00_4106 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4104)));
							{	/* Reduce/sbeta.scm 25 */

								BgL_cportz00_4097 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4104, BgL_startz00_4105, BgL_endz00_4106);
				}}}}
				{
					long BgL_iz00_4098;

					BgL_iz00_4098 = ((long) 5);
				BgL_loopz00_4099:
					if ((BgL_iz00_4098 == ((long) -1)))
						{	/* Reduce/sbeta.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/sbeta.scm 25 */
							{	/* Reduce/sbeta.scm 25 */
								obj_t BgL_arg2221z00_4100;

								{	/* Reduce/sbeta.scm 25 */

									{	/* Reduce/sbeta.scm 25 */
										obj_t BgL_locationz00_4102;

										BgL_locationz00_4102 = BBOOL(((bool_t) 0));
										{	/* Reduce/sbeta.scm 25 */

											BgL_arg2221z00_4100 =
												BGl_readz00zz__readerz00(BgL_cportz00_4097,
												BgL_locationz00_4102);
										}
									}
								}
								{	/* Reduce/sbeta.scm 25 */
									int BgL_tmpz00_4354;

									BgL_tmpz00_4354 = (int) (BgL_iz00_4098);
									CNST_TABLE_SET(BgL_tmpz00_4354, BgL_arg2221z00_4100);
							}}
							{	/* Reduce/sbeta.scm 25 */
								int BgL_auxz00_4103;

								BgL_auxz00_4103 = (int) ((BgL_iz00_4098 - ((long) 1)));
								{
									long BgL_iz00_4359;

									BgL_iz00_4359 = (long) (BgL_auxz00_4103);
									BgL_iz00_4098 = BgL_iz00_4359;
									goto BgL_loopz00_4099;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_za2removedza2z00zzreduce_betaz00 = ((long) 0);
			BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			return BUNSPEC;
		}

	}



/* reduce-beta! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/sbeta.scm 47 */
			{	/* Reduce/sbeta.scm 48 */
				obj_t BgL_list1468z00_1473;

				BgL_list1468z00_1473 =
					MAKE_YOUNG_PAIR(BGl_string2197z00zzreduce_betaz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1468z00_1473);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2removedza2z00zzreduce_betaz00 = ((long) 0);
			{	/* Reduce/sbeta.scm 55 */
				obj_t BgL_list1469z00_1474;

				BgL_list1469z00_1474 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
					BgL_list1469z00_1474);
			}
			{	/* Reduce/sbeta.scm 56 */
				obj_t BgL_list1470z00_1475;

				BgL_list1470z00_1475 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
					BgL_list1470z00_1475);
			}
			{	/* Reduce/sbeta.scm 57 */
				obj_t BgL_list1471z00_1476;

				BgL_list1471z00_1476 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
					BgL_list1471z00_1476);
			}
			{	/* Reduce/sbeta.scm 58 */
				obj_t BgL_list1472z00_1477;

				{	/* Reduce/sbeta.scm 58 */
					obj_t BgL_arg1482z00_1478;

					BgL_arg1482z00_1478 =
						MAKE_YOUNG_PAIR(BGl_za2czd2flonumzf3za2z21zzreduce_betaz00, BNIL);
					BgL_list1472z00_1477 =
						MAKE_YOUNG_PAIR(BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00,
						BgL_arg1482z00_1478);
				}
				BGl_za2predicatesza2z00zzreduce_betaz00 = BgL_list1472z00_1477;
			}
			{
				obj_t BgL_l1334z00_1480;

				BgL_l1334z00_1480 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31483ze3z87_1481:
				if (PAIRP(BgL_l1334z00_1480))
					{	/* Reduce/sbeta.scm 60 */
						{	/* Reduce/sbeta.scm 61 */
							obj_t BgL_globalz00_1483;

							BgL_globalz00_1483 = CAR(BgL_l1334z00_1480);
							{	/* Reduce/sbeta.scm 61 */
								BgL_valuez00_bglt BgL_funz00_1484;

								BgL_funz00_1484 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1483))))->
									BgL_valuez00);
								{	/* Reduce/sbeta.scm 61 */
									obj_t BgL_nodez00_1485;

									BgL_nodez00_1485 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1484)))->BgL_bodyz00);
									{	/* Reduce/sbeta.scm 62 */

										{	/* Reduce/sbeta.scm 63 */
											BgL_nodez00_bglt BgL_arg1496z00_1486;

											BgL_arg1496z00_1486 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_nodez00_1485));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1484)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1496z00_1486)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1334z00_4393;

							BgL_l1334z00_4393 = CDR(BgL_l1334z00_1480);
							BgL_l1334z00_1480 = BgL_l1334z00_4393;
							goto BgL_zc3z04anonymousza31483ze3z87_1481;
						}
					}
				else
					{	/* Reduce/sbeta.scm 60 */
						((bool_t) 1);
					}
			}
			BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			{	/* Reduce/sbeta.scm 72 */
				obj_t BgL_list1507z00_1489;

				{	/* Reduce/sbeta.scm 72 */
					obj_t BgL_arg1510z00_1490;

					{	/* Reduce/sbeta.scm 72 */
						obj_t BgL_arg1511z00_1491;

						{	/* Reduce/sbeta.scm 72 */
							obj_t BgL_arg1521z00_1492;

							BgL_arg1521z00_1492 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1511z00_1491 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1521z00_1492);
						}
						BgL_arg1510z00_1490 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2removedza2z00zzreduce_betaz00),
							BgL_arg1511z00_1491);
					}
					BgL_list1507z00_1489 =
						MAKE_YOUNG_PAIR(BGl_string2198z00zzreduce_betaz00,
						BgL_arg1510z00_1490);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1507z00_1489);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-beta! */
	obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t BgL_envz00_4045,
		obj_t BgL_globalsz00_4046)
	{
		{	/* Reduce/sbeta.scm 47 */
			return BGl_reducezd2betaz12zc0zzreduce_betaz00(BgL_globalsz00_4046);
		}

	}



/* find-actual-expression */
	BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt
		BgL_bodyz00_5)
	{
		{	/* Reduce/sbeta.scm 97 */
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00:
			{	/* Reduce/sbeta.scm 98 */
				bool_t BgL_test2251z00_4405;

				{	/* Reduce/sbeta.scm 98 */
					obj_t BgL_classz00_2456;

					BgL_classz00_2456 = BGl_sequencez00zzast_nodez00;
					{	/* Reduce/sbeta.scm 98 */
						BgL_objectz00_bglt BgL_arg1820z00_2458;

						{	/* Reduce/sbeta.scm 98 */
							obj_t BgL_tmpz00_4406;

							BgL_tmpz00_4406 = ((obj_t) BgL_bodyz00_5);
							BgL_arg1820z00_2458 = (BgL_objectz00_bglt) (BgL_tmpz00_4406);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Reduce/sbeta.scm 98 */
								long BgL_idxz00_2464;

								BgL_idxz00_2464 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2458);
								BgL_test2251z00_4405 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2464 + ((long) 3))) == BgL_classz00_2456);
							}
						else
							{	/* Reduce/sbeta.scm 98 */
								bool_t BgL_res2148z00_2486;

								{	/* Reduce/sbeta.scm 98 */
									obj_t BgL_oclassz00_2472;

									{	/* Reduce/sbeta.scm 98 */
										long BgL_arg1828z00_2478;

										{	/* Reduce/sbeta.scm 98 */
											long BgL_arg1829z00_2479;

											BgL_arg1829z00_2479 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2458);
											BgL_arg1828z00_2478 = (BgL_arg1829z00_2479 - OBJECT_TYPE);
										}
										BgL_oclassz00_2472 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_2478);
									}
									{	/* Reduce/sbeta.scm 98 */
										bool_t BgL__ortest_1111z00_2473;

										BgL__ortest_1111z00_2473 =
											(BgL_classz00_2456 == BgL_oclassz00_2472);
										if (BgL__ortest_1111z00_2473)
											{	/* Reduce/sbeta.scm 98 */
												BgL_res2148z00_2486 = BgL__ortest_1111z00_2473;
											}
										else
											{	/* Reduce/sbeta.scm 98 */
												long BgL_odepthz00_2474;

												BgL_odepthz00_2474 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2472);
												if ((((long) 3) < BgL_odepthz00_2474))
													{	/* Reduce/sbeta.scm 98 */
														obj_t BgL_arg1816z00_2476;

														BgL_arg1816z00_2476 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2472,
															((long) 3));
														BgL_res2148z00_2486 =
															(BgL_arg1816z00_2476 == BgL_classz00_2456);
													}
												else
													{	/* Reduce/sbeta.scm 98 */
														BgL_res2148z00_2486 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2251z00_4405 = BgL_res2148z00_2486;
							}
					}
				}
				if (BgL_test2251z00_4405)
					{	/* Reduce/sbeta.scm 100 */
						bool_t BgL_test2255z00_4425;

						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00)))
							{	/* Reduce/sbeta.scm 100 */
								BgL_test2255z00_4425 = ((bool_t) 0);
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								bool_t BgL_test2257z00_4430;

								{	/* Reduce/sbeta.scm 100 */
									obj_t BgL_tmpz00_4431;

									{	/* Reduce/sbeta.scm 100 */
										obj_t BgL_pairz00_2487;

										BgL_pairz00_2487 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
											BgL_nodesz00);
										BgL_tmpz00_4431 = CDR(BgL_pairz00_2487);
									}
									BgL_test2257z00_4430 = NULLP(BgL_tmpz00_4431);
								}
								if (BgL_test2257z00_4430)
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2255z00_4425 =
											NULLP(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
												BgL_metaz00));
									}
								else
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2255z00_4425 = ((bool_t) 0);
									}
							}
						if (BgL_test2255z00_4425)
							{	/* Reduce/sbeta.scm 101 */
								obj_t BgL_arg1561z00_1505;

								{	/* Reduce/sbeta.scm 101 */
									obj_t BgL_pairz00_2488;

									BgL_pairz00_2488 =
										(((BgL_sequencez00_bglt) COBJECT(
												((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00);
									BgL_arg1561z00_1505 = CAR(BgL_pairz00_2488);
								}
								{
									BgL_nodez00_bglt BgL_bodyz00_4442;

									BgL_bodyz00_4442 = ((BgL_nodez00_bglt) BgL_arg1561z00_1505);
									BgL_bodyz00_5 = BgL_bodyz00_4442;
									goto BGl_findzd2actualzd2expressionz00zzreduce_betaz00;
								}
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								return BgL_bodyz00_5;
							}
					}
				else
					{	/* Reduce/sbeta.scm 98 */
						return BgL_bodyz00_5;
					}
			}
		}

	}



/* is-argument? */
	bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_bodyz00_7)
	{
		{	/* Reduce/sbeta.scm 108 */
			{	/* Reduce/sbeta.scm 110 */
				bool_t BgL_test2258z00_4444;

				{	/* Reduce/sbeta.scm 207 */
					bool_t BgL_test2259z00_4445;

					{	/* Reduce/sbeta.scm 207 */
						obj_t BgL_classz00_2493;

						BgL_classz00_2493 = BGl_varz00zzast_nodez00;
						{	/* Reduce/sbeta.scm 207 */
							BgL_objectz00_bglt BgL_arg1820z00_2495;

							{	/* Reduce/sbeta.scm 207 */
								obj_t BgL_tmpz00_4446;

								BgL_tmpz00_4446 = ((obj_t) ((BgL_nodez00_bglt) BgL_bodyz00_7));
								BgL_arg1820z00_2495 = (BgL_objectz00_bglt) (BgL_tmpz00_4446);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/sbeta.scm 207 */
									long BgL_idxz00_2501;

									BgL_idxz00_2501 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2495);
									BgL_test2259z00_4445 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2501 + ((long) 2))) == BgL_classz00_2493);
								}
							else
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_res2149z00_2523;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_oclassz00_2509;

										{	/* Reduce/sbeta.scm 207 */
											long BgL_arg1828z00_2515;

											{	/* Reduce/sbeta.scm 207 */
												long BgL_arg1829z00_2516;

												BgL_arg1829z00_2516 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2495);
												BgL_arg1828z00_2515 =
													(BgL_arg1829z00_2516 - OBJECT_TYPE);
											}
											BgL_oclassz00_2509 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_2515);
										}
										{	/* Reduce/sbeta.scm 207 */
											bool_t BgL__ortest_1111z00_2510;

											BgL__ortest_1111z00_2510 =
												(BgL_classz00_2493 == BgL_oclassz00_2509);
											if (BgL__ortest_1111z00_2510)
												{	/* Reduce/sbeta.scm 207 */
													BgL_res2149z00_2523 = BgL__ortest_1111z00_2510;
												}
											else
												{	/* Reduce/sbeta.scm 207 */
													long BgL_odepthz00_2511;

													BgL_odepthz00_2511 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2509);
													if ((((long) 2) < BgL_odepthz00_2511))
														{	/* Reduce/sbeta.scm 207 */
															obj_t BgL_arg1816z00_2513;

															BgL_arg1816z00_2513 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2509,
																((long) 2));
															BgL_res2149z00_2523 =
																(BgL_arg1816z00_2513 == BgL_classz00_2493);
														}
													else
														{	/* Reduce/sbeta.scm 207 */
															BgL_res2149z00_2523 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2259z00_4445 = BgL_res2149z00_2523;
								}
						}
					}
					if (BgL_test2259z00_4445)
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2258z00_4444 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													((BgL_nodez00_bglt) BgL_bodyz00_7))))->
										BgL_variablez00)) == ((obj_t) BgL_varz00_6));
						}
					else
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2258z00_4444 = ((bool_t) 0);
						}
				}
				if (BgL_test2258z00_4444)
					{	/* Reduce/sbeta.scm 110 */
						return ((bool_t) 1);
					}
				else
					{	/* Reduce/sbeta.scm 112 */
						bool_t BgL_test2263z00_4472;

						{	/* Reduce/sbeta.scm 112 */
							obj_t BgL_classz00_2525;

							BgL_classz00_2525 = BGl_castz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_bodyz00_7))
								{	/* Reduce/sbeta.scm 112 */
									BgL_objectz00_bglt BgL_arg1820z00_2527;

									BgL_arg1820z00_2527 = (BgL_objectz00_bglt) (BgL_bodyz00_7);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 112 */
											long BgL_idxz00_2533;

											BgL_idxz00_2533 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2527);
											BgL_test2263z00_4472 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2533 + ((long) 2))) == BgL_classz00_2525);
										}
									else
										{	/* Reduce/sbeta.scm 112 */
											bool_t BgL_res2150z00_2555;

											{	/* Reduce/sbeta.scm 112 */
												obj_t BgL_oclassz00_2541;

												{	/* Reduce/sbeta.scm 112 */
													long BgL_arg1828z00_2547;

													{	/* Reduce/sbeta.scm 112 */
														long BgL_arg1829z00_2548;

														BgL_arg1829z00_2548 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2527);
														BgL_arg1828z00_2547 =
															(BgL_arg1829z00_2548 - OBJECT_TYPE);
													}
													BgL_oclassz00_2541 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2547);
												}
												{	/* Reduce/sbeta.scm 112 */
													bool_t BgL__ortest_1111z00_2542;

													BgL__ortest_1111z00_2542 =
														(BgL_classz00_2525 == BgL_oclassz00_2541);
													if (BgL__ortest_1111z00_2542)
														{	/* Reduce/sbeta.scm 112 */
															BgL_res2150z00_2555 = BgL__ortest_1111z00_2542;
														}
													else
														{	/* Reduce/sbeta.scm 112 */
															long BgL_odepthz00_2543;

															BgL_odepthz00_2543 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2541);
															if ((((long) 2) < BgL_odepthz00_2543))
																{	/* Reduce/sbeta.scm 112 */
																	obj_t BgL_arg1816z00_2545;

																	BgL_arg1816z00_2545 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2541,
																		((long) 2));
																	BgL_res2150z00_2555 =
																		(BgL_arg1816z00_2545 == BgL_classz00_2525);
																}
															else
																{	/* Reduce/sbeta.scm 112 */
																	BgL_res2150z00_2555 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2263z00_4472 = BgL_res2150z00_2555;
										}
								}
							else
								{	/* Reduce/sbeta.scm 112 */
									BgL_test2263z00_4472 = ((bool_t) 0);
								}
						}
						if (BgL_test2263z00_4472)
							{	/* Reduce/sbeta.scm 114 */
								BgL_nodez00_bglt BgL_nodez00_2557;

								BgL_nodez00_2557 =
									(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_bodyz00_7)))->BgL_argz00);
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_test2268z00_4494;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_classz00_2560;

										BgL_classz00_2560 = BGl_varz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 207 */
											BgL_objectz00_bglt BgL_arg1820z00_2562;

											{	/* Reduce/sbeta.scm 207 */
												obj_t BgL_tmpz00_4495;

												BgL_tmpz00_4495 = ((obj_t) BgL_nodez00_2557);
												BgL_arg1820z00_2562 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4495);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 207 */
													long BgL_idxz00_2568;

													BgL_idxz00_2568 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2562);
													BgL_test2268z00_4494 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2568 + ((long) 2))) ==
														BgL_classz00_2560);
												}
											else
												{	/* Reduce/sbeta.scm 207 */
													bool_t BgL_res2151z00_2590;

													{	/* Reduce/sbeta.scm 207 */
														obj_t BgL_oclassz00_2576;

														{	/* Reduce/sbeta.scm 207 */
															long BgL_arg1828z00_2582;

															{	/* Reduce/sbeta.scm 207 */
																long BgL_arg1829z00_2583;

																BgL_arg1829z00_2583 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2562);
																BgL_arg1828z00_2582 =
																	(BgL_arg1829z00_2583 - OBJECT_TYPE);
															}
															BgL_oclassz00_2576 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2582);
														}
														{	/* Reduce/sbeta.scm 207 */
															bool_t BgL__ortest_1111z00_2577;

															BgL__ortest_1111z00_2577 =
																(BgL_classz00_2560 == BgL_oclassz00_2576);
															if (BgL__ortest_1111z00_2577)
																{	/* Reduce/sbeta.scm 207 */
																	BgL_res2151z00_2590 =
																		BgL__ortest_1111z00_2577;
																}
															else
																{	/* Reduce/sbeta.scm 207 */
																	long BgL_odepthz00_2578;

																	BgL_odepthz00_2578 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2576);
																	if ((((long) 2) < BgL_odepthz00_2578))
																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_arg1816z00_2580;

																			BgL_arg1816z00_2580 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2576, ((long) 2));
																			BgL_res2151z00_2590 =
																				(BgL_arg1816z00_2580 ==
																				BgL_classz00_2560);
																		}
																	else
																		{	/* Reduce/sbeta.scm 207 */
																			BgL_res2151z00_2590 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2268z00_4494 = BgL_res2151z00_2590;
												}
										}
									}
									if (BgL_test2268z00_4494)
										{	/* Reduce/sbeta.scm 207 */
											return
												(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2557)))->
														BgL_variablez00)) == ((obj_t) BgL_varz00_6));
										}
									else
										{	/* Reduce/sbeta.scm 207 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Reduce/sbeta.scm 112 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* argument? */
	bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt BgL_varz00_8,
		obj_t BgL_argsz00_9)
	{
		{	/* Reduce/sbeta.scm 121 */
			{
				obj_t BgL_argsz00_1518;

				BgL_argsz00_1518 = BgL_argsz00_9;
			BgL_zc3z04anonymousza31589ze3z87_1519:
				if (NULLP(BgL_argsz00_1518))
					{	/* Reduce/sbeta.scm 124 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/sbeta.scm 126 */
						bool_t BgL_test2273z00_4521;

						{	/* Reduce/sbeta.scm 126 */
							obj_t BgL_arg1610z00_1524;

							BgL_arg1610z00_1524 = CAR(((obj_t) BgL_argsz00_1518));
							BgL_test2273z00_4521 =
								BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_varz00_8,
								BgL_arg1610z00_1524);
						}
						if (BgL_test2273z00_4521)
							{	/* Reduce/sbeta.scm 126 */
								return ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 129 */
								obj_t BgL_arg1600z00_1523;

								BgL_arg1600z00_1523 = CDR(((obj_t) BgL_argsz00_1518));
								{
									obj_t BgL_argsz00_4527;

									BgL_argsz00_4527 = BgL_arg1600z00_1523;
									BgL_argsz00_1518 = BgL_argsz00_4527;
									goto BgL_zc3z04anonymousza31589ze3z87_1519;
								}
							}
					}
			}
		}

	}



/* make-args-list */
	obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t BgL_bindingsz00_10,
		obj_t BgL_argsz00_11)
	{
		{	/* Reduce/sbeta.scm 134 */
			if (NULLP(BgL_argsz00_11))
				{	/* Reduce/sbeta.scm 135 */
					return BNIL;
				}
			else
				{	/* Reduce/sbeta.scm 135 */
					obj_t BgL_head1338z00_1528;

					BgL_head1338z00_1528 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1336z00_1530;
						obj_t BgL_tail1339z00_1531;

						BgL_l1336z00_1530 = BgL_argsz00_11;
						BgL_tail1339z00_1531 = BgL_head1338z00_1528;
					BgL_zc3z04anonymousza31612ze3z87_1532:
						if (NULLP(BgL_l1336z00_1530))
							{	/* Reduce/sbeta.scm 135 */
								return CDR(BgL_head1338z00_1528);
							}
						else
							{	/* Reduce/sbeta.scm 135 */
								obj_t BgL_newtail1340z00_1534;

								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1615z00_1536;

									{	/* Reduce/sbeta.scm 135 */
										obj_t BgL_az00_1537;

										BgL_az00_1537 = CAR(((obj_t) BgL_l1336z00_1530));
										{
											obj_t BgL_bindingsz00_1539;

											BgL_bindingsz00_1539 = BgL_bindingsz00_10;
										BgL_zc3z04anonymousza31616ze3z87_1540:
											if (NULLP(BgL_bindingsz00_1539))
												{	/* Reduce/sbeta.scm 138 */
													BgL_arg1615z00_1536 = BgL_az00_1537;
												}
											else
												{	/* Reduce/sbeta.scm 140 */
													bool_t BgL_test2277z00_4538;

													{	/* Reduce/sbeta.scm 140 */
														obj_t BgL_arg1630z00_1545;

														{	/* Reduce/sbeta.scm 140 */
															obj_t BgL_pairz00_2599;

															BgL_pairz00_2599 =
																CAR(((obj_t) BgL_bindingsz00_1539));
															BgL_arg1630z00_1545 = CAR(BgL_pairz00_2599);
														}
														BgL_test2277z00_4538 =
															BGl_iszd2argumentzf3z21zzreduce_betaz00(
															((BgL_variablez00_bglt) BgL_arg1630z00_1545),
															BgL_az00_1537);
													}
													if (BgL_test2277z00_4538)
														{	/* Reduce/sbeta.scm 141 */
															obj_t BgL_pairz00_2603;

															BgL_pairz00_2603 =
																CAR(((obj_t) BgL_bindingsz00_1539));
															BgL_arg1615z00_1536 = CDR(BgL_pairz00_2603);
														}
													else
														{	/* Reduce/sbeta.scm 143 */
															obj_t BgL_arg1629z00_1544;

															BgL_arg1629z00_1544 =
																CDR(((obj_t) BgL_bindingsz00_1539));
															{
																obj_t BgL_bindingsz00_4549;

																BgL_bindingsz00_4549 = BgL_arg1629z00_1544;
																BgL_bindingsz00_1539 = BgL_bindingsz00_4549;
																goto BgL_zc3z04anonymousza31616ze3z87_1540;
															}
														}
												}
										}
									}
									BgL_newtail1340z00_1534 =
										MAKE_YOUNG_PAIR(BgL_arg1615z00_1536, BNIL);
								}
								SET_CDR(BgL_tail1339z00_1531, BgL_newtail1340z00_1534);
								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1614z00_1535;

									BgL_arg1614z00_1535 = CDR(((obj_t) BgL_l1336z00_1530));
									{
										obj_t BgL_tail1339z00_4555;
										obj_t BgL_l1336z00_4554;

										BgL_l1336z00_4554 = BgL_arg1614z00_1535;
										BgL_tail1339z00_4555 = BgL_newtail1340z00_1534;
										BgL_tail1339z00_1531 = BgL_tail1339z00_4555;
										BgL_l1336z00_1530 = BgL_l1336z00_4554;
										goto BgL_zc3z04anonymousza31612ze3z87_1532;
									}
								}
							}
					}
				}
		}

	}



/* dangerous? */
	bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t BgL_exprz00_12)
	{
		{	/* Reduce/sbeta.scm 149 */
			{	/* Reduce/sbeta.scm 150 */
				BgL_nodez00_bglt BgL_exprz00_1548;

				BgL_exprz00_1548 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_12));
				{	/* Reduce/sbeta.scm 152 */
					bool_t BgL_test2278z00_4558;

					{	/* Reduce/sbeta.scm 152 */
						bool_t BgL_test2279z00_4559;

						{	/* Reduce/sbeta.scm 152 */
							obj_t BgL_classz00_2607;

							BgL_classz00_2607 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 152 */
								BgL_objectz00_bglt BgL_arg1820z00_2609;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_tmpz00_4560;

									BgL_tmpz00_4560 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
									BgL_arg1820z00_2609 = (BgL_objectz00_bglt) (BgL_tmpz00_4560);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/sbeta.scm 152 */
										long BgL_idxz00_2615;

										BgL_idxz00_2615 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2609);
										BgL_test2279z00_4559 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2615 + ((long) 2))) == BgL_classz00_2607);
									}
								else
									{	/* Reduce/sbeta.scm 152 */
										bool_t BgL_res2152z00_2637;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_oclassz00_2623;

											{	/* Reduce/sbeta.scm 152 */
												long BgL_arg1828z00_2629;

												{	/* Reduce/sbeta.scm 152 */
													long BgL_arg1829z00_2630;

													BgL_arg1829z00_2630 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2609);
													BgL_arg1828z00_2629 =
														(BgL_arg1829z00_2630 - OBJECT_TYPE);
												}
												BgL_oclassz00_2623 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2629);
											}
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL__ortest_1111z00_2624;

												BgL__ortest_1111z00_2624 =
													(BgL_classz00_2607 == BgL_oclassz00_2623);
												if (BgL__ortest_1111z00_2624)
													{	/* Reduce/sbeta.scm 152 */
														BgL_res2152z00_2637 = BgL__ortest_1111z00_2624;
													}
												else
													{	/* Reduce/sbeta.scm 152 */
														long BgL_odepthz00_2625;

														BgL_odepthz00_2625 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2623);
														if ((((long) 2) < BgL_odepthz00_2625))
															{	/* Reduce/sbeta.scm 152 */
																obj_t BgL_arg1816z00_2627;

																BgL_arg1816z00_2627 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2623,
																	((long) 2));
																BgL_res2152z00_2637 =
																	(BgL_arg1816z00_2627 == BgL_classz00_2607);
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2152z00_2637 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2279z00_4559 = BgL_res2152z00_2637;
									}
							}
						}
						if (BgL_test2279z00_4559)
							{	/* Reduce/sbeta.scm 152 */
								BgL_test2278z00_4558 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 152 */
								bool_t BgL_test2283z00_4580;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_classz00_2638;

									BgL_classz00_2638 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 152 */
										BgL_objectz00_bglt BgL_arg1820z00_2640;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_tmpz00_4581;

											BgL_tmpz00_4581 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
											BgL_arg1820z00_2640 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4581);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/sbeta.scm 152 */
												long BgL_idxz00_2646;

												BgL_idxz00_2646 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2640);
												BgL_test2283z00_4580 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2646 + ((long) 2))) ==
													BgL_classz00_2638);
											}
										else
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL_res2153z00_2668;

												{	/* Reduce/sbeta.scm 152 */
													obj_t BgL_oclassz00_2654;

													{	/* Reduce/sbeta.scm 152 */
														long BgL_arg1828z00_2660;

														{	/* Reduce/sbeta.scm 152 */
															long BgL_arg1829z00_2661;

															BgL_arg1829z00_2661 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2640);
															BgL_arg1828z00_2660 =
																(BgL_arg1829z00_2661 - OBJECT_TYPE);
														}
														BgL_oclassz00_2654 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2660);
													}
													{	/* Reduce/sbeta.scm 152 */
														bool_t BgL__ortest_1111z00_2655;

														BgL__ortest_1111z00_2655 =
															(BgL_classz00_2638 == BgL_oclassz00_2654);
														if (BgL__ortest_1111z00_2655)
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2153z00_2668 = BgL__ortest_1111z00_2655;
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																long BgL_odepthz00_2656;

																BgL_odepthz00_2656 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2654);
																if ((((long) 2) < BgL_odepthz00_2656))
																	{	/* Reduce/sbeta.scm 152 */
																		obj_t BgL_arg1816z00_2658;

																		BgL_arg1816z00_2658 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2654, ((long) 2));
																		BgL_res2153z00_2668 =
																			(BgL_arg1816z00_2658 ==
																			BgL_classz00_2638);
																	}
																else
																	{	/* Reduce/sbeta.scm 152 */
																		BgL_res2153z00_2668 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2283z00_4580 = BgL_res2153z00_2668;
											}
									}
								}
								if (BgL_test2283z00_4580)
									{	/* Reduce/sbeta.scm 152 */
										BgL_test2278z00_4558 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 152 */
										obj_t BgL_classz00_2669;

										BgL_classz00_2669 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 152 */
											BgL_objectz00_bglt BgL_arg1820z00_2671;

											{	/* Reduce/sbeta.scm 152 */
												obj_t BgL_tmpz00_4601;

												BgL_tmpz00_4601 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
												BgL_arg1820z00_2671 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4601);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 152 */
													long BgL_idxz00_2677;

													BgL_idxz00_2677 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2671);
													BgL_test2278z00_4558 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2677 + ((long) 2))) ==
														BgL_classz00_2669);
												}
											else
												{	/* Reduce/sbeta.scm 152 */
													bool_t BgL_res2154z00_2699;

													{	/* Reduce/sbeta.scm 152 */
														obj_t BgL_oclassz00_2685;

														{	/* Reduce/sbeta.scm 152 */
															long BgL_arg1828z00_2691;

															{	/* Reduce/sbeta.scm 152 */
																long BgL_arg1829z00_2692;

																BgL_arg1829z00_2692 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2671);
																BgL_arg1828z00_2691 =
																	(BgL_arg1829z00_2692 - OBJECT_TYPE);
															}
															BgL_oclassz00_2685 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2691);
														}
														{	/* Reduce/sbeta.scm 152 */
															bool_t BgL__ortest_1111z00_2686;

															BgL__ortest_1111z00_2686 =
																(BgL_classz00_2669 == BgL_oclassz00_2685);
															if (BgL__ortest_1111z00_2686)
																{	/* Reduce/sbeta.scm 152 */
																	BgL_res2154z00_2699 =
																		BgL__ortest_1111z00_2686;
																}
															else
																{	/* Reduce/sbeta.scm 152 */
																	long BgL_odepthz00_2687;

																	BgL_odepthz00_2687 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2685);
																	if ((((long) 2) < BgL_odepthz00_2687))
																		{	/* Reduce/sbeta.scm 152 */
																			obj_t BgL_arg1816z00_2689;

																			BgL_arg1816z00_2689 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2685, ((long) 2));
																			BgL_res2154z00_2699 =
																				(BgL_arg1816z00_2689 ==
																				BgL_classz00_2669);
																		}
																	else
																		{	/* Reduce/sbeta.scm 152 */
																			BgL_res2154z00_2699 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2278z00_4558 = BgL_res2154z00_2699;
												}
										}
									}
							}
					}
					if (BgL_test2278z00_4558)
						{	/* Reduce/sbeta.scm 152 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/sbeta.scm 154 */
							bool_t BgL_test2290z00_4621;

							{	/* Reduce/sbeta.scm 154 */
								obj_t BgL_classz00_2700;

								BgL_classz00_2700 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 154 */
									BgL_objectz00_bglt BgL_arg1820z00_2702;

									{	/* Reduce/sbeta.scm 154 */
										obj_t BgL_tmpz00_4622;

										BgL_tmpz00_4622 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
										BgL_arg1820z00_2702 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4622);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 154 */
											long BgL_idxz00_2708;

											BgL_idxz00_2708 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2702);
											BgL_test2290z00_4621 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2708 + ((long) 5))) == BgL_classz00_2700);
										}
									else
										{	/* Reduce/sbeta.scm 154 */
											bool_t BgL_res2155z00_2730;

											{	/* Reduce/sbeta.scm 154 */
												obj_t BgL_oclassz00_2716;

												{	/* Reduce/sbeta.scm 154 */
													long BgL_arg1828z00_2722;

													{	/* Reduce/sbeta.scm 154 */
														long BgL_arg1829z00_2723;

														BgL_arg1829z00_2723 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2702);
														BgL_arg1828z00_2722 =
															(BgL_arg1829z00_2723 - OBJECT_TYPE);
													}
													BgL_oclassz00_2716 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2722);
												}
												{	/* Reduce/sbeta.scm 154 */
													bool_t BgL__ortest_1111z00_2717;

													BgL__ortest_1111z00_2717 =
														(BgL_classz00_2700 == BgL_oclassz00_2716);
													if (BgL__ortest_1111z00_2717)
														{	/* Reduce/sbeta.scm 154 */
															BgL_res2155z00_2730 = BgL__ortest_1111z00_2717;
														}
													else
														{	/* Reduce/sbeta.scm 154 */
															long BgL_odepthz00_2718;

															BgL_odepthz00_2718 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2716);
															if ((((long) 5) < BgL_odepthz00_2718))
																{	/* Reduce/sbeta.scm 154 */
																	obj_t BgL_arg1816z00_2720;

																	BgL_arg1816z00_2720 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2716,
																		((long) 5));
																	BgL_res2155z00_2730 =
																		(BgL_arg1816z00_2720 == BgL_classz00_2700);
																}
															else
																{	/* Reduce/sbeta.scm 154 */
																	BgL_res2155z00_2730 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2290z00_4621 = BgL_res2155z00_2730;
										}
								}
							}
							if (BgL_test2290z00_4621)
								{	/* Reduce/sbeta.scm 155 */
									obj_t BgL_g1343z00_1553;

									BgL_g1343z00_1553 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1548))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1341z00_1555;

										BgL_l1341z00_1555 = BgL_g1343z00_1553;
									BgL_zc3z04anonymousza31636ze3z87_1556:
										if (NULLP(BgL_l1341z00_1555))
											{	/* Reduce/sbeta.scm 155 */
												return ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 155 */
												bool_t BgL__ortest_1344z00_1558;

												{	/* Reduce/sbeta.scm 155 */
													obj_t BgL_arg1641z00_1560;

													BgL_arg1641z00_1560 =
														CAR(((obj_t) BgL_l1341z00_1555));
													BgL__ortest_1344z00_1558 =
														BGl_dangerouszf3zf3zzreduce_betaz00
														(BgL_arg1641z00_1560);
												}
												if (BgL__ortest_1344z00_1558)
													{	/* Reduce/sbeta.scm 155 */
														return BgL__ortest_1344z00_1558;
													}
												else
													{	/* Reduce/sbeta.scm 155 */
														obj_t BgL_arg1639z00_1559;

														BgL_arg1639z00_1559 =
															CDR(((obj_t) BgL_l1341z00_1555));
														{
															obj_t BgL_l1341z00_4653;

															BgL_l1341z00_4653 = BgL_arg1639z00_1559;
															BgL_l1341z00_1555 = BgL_l1341z00_4653;
															goto BgL_zc3z04anonymousza31636ze3z87_1556;
														}
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 156 */
									bool_t BgL_test2296z00_4654;

									{	/* Reduce/sbeta.scm 156 */
										obj_t BgL_classz00_2734;

										BgL_classz00_2734 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 156 */
											BgL_objectz00_bglt BgL_arg1820z00_2736;

											{	/* Reduce/sbeta.scm 156 */
												obj_t BgL_tmpz00_4655;

												BgL_tmpz00_4655 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
												BgL_arg1820z00_2736 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4655);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 156 */
													long BgL_idxz00_2742;

													BgL_idxz00_2742 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2736);
													BgL_test2296z00_4654 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2742 + ((long) 5))) ==
														BgL_classz00_2734);
												}
											else
												{	/* Reduce/sbeta.scm 156 */
													bool_t BgL_res2156z00_2764;

													{	/* Reduce/sbeta.scm 156 */
														obj_t BgL_oclassz00_2750;

														{	/* Reduce/sbeta.scm 156 */
															long BgL_arg1828z00_2756;

															{	/* Reduce/sbeta.scm 156 */
																long BgL_arg1829z00_2757;

																BgL_arg1829z00_2757 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2736);
																BgL_arg1828z00_2756 =
																	(BgL_arg1829z00_2757 - OBJECT_TYPE);
															}
															BgL_oclassz00_2750 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2756);
														}
														{	/* Reduce/sbeta.scm 156 */
															bool_t BgL__ortest_1111z00_2751;

															BgL__ortest_1111z00_2751 =
																(BgL_classz00_2734 == BgL_oclassz00_2750);
															if (BgL__ortest_1111z00_2751)
																{	/* Reduce/sbeta.scm 156 */
																	BgL_res2156z00_2764 =
																		BgL__ortest_1111z00_2751;
																}
															else
																{	/* Reduce/sbeta.scm 156 */
																	long BgL_odepthz00_2752;

																	BgL_odepthz00_2752 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2750);
																	if ((((long) 5) < BgL_odepthz00_2752))
																		{	/* Reduce/sbeta.scm 156 */
																			obj_t BgL_arg1816z00_2754;

																			BgL_arg1816z00_2754 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2750, ((long) 5));
																			BgL_res2156z00_2764 =
																				(BgL_arg1816z00_2754 ==
																				BgL_classz00_2734);
																		}
																	else
																		{	/* Reduce/sbeta.scm 156 */
																			BgL_res2156z00_2764 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2296z00_4654 = BgL_res2156z00_2764;
												}
										}
									}
									if (BgL_test2296z00_4654)
										{	/* Reduce/sbeta.scm 157 */
											obj_t BgL_g1347z00_1563;

											BgL_g1347z00_1563 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1548))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1345z00_1565;

												BgL_l1345z00_1565 = BgL_g1347z00_1563;
											BgL_zc3z04anonymousza31643ze3z87_1566:
												if (NULLP(BgL_l1345z00_1565))
													{	/* Reduce/sbeta.scm 157 */
														return ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 157 */
														bool_t BgL__ortest_1348z00_1568;

														{	/* Reduce/sbeta.scm 157 */
															obj_t BgL_arg1646z00_1570;

															BgL_arg1646z00_1570 =
																CAR(((obj_t) BgL_l1345z00_1565));
															BgL__ortest_1348z00_1568 =
																BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_arg1646z00_1570);
														}
														if (BgL__ortest_1348z00_1568)
															{	/* Reduce/sbeta.scm 157 */
																return BgL__ortest_1348z00_1568;
															}
														else
															{	/* Reduce/sbeta.scm 157 */
																obj_t BgL_arg1645z00_1569;

																BgL_arg1645z00_1569 =
																	CDR(((obj_t) BgL_l1345z00_1565));
																{
																	obj_t BgL_l1345z00_4686;

																	BgL_l1345z00_4686 = BgL_arg1645z00_1569;
																	BgL_l1345z00_1565 = BgL_l1345z00_4686;
																	goto BgL_zc3z04anonymousza31643ze3z87_1566;
																}
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 158 */
											bool_t BgL_test2302z00_4687;

											{	/* Reduce/sbeta.scm 158 */
												obj_t BgL_classz00_2768;

												BgL_classz00_2768 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 158 */
													BgL_objectz00_bglt BgL_arg1820z00_2770;

													{	/* Reduce/sbeta.scm 158 */
														obj_t BgL_tmpz00_4688;

														BgL_tmpz00_4688 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1548));
														BgL_arg1820z00_2770 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4688);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/sbeta.scm 158 */
															long BgL_idxz00_2776;

															BgL_idxz00_2776 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2770);
															BgL_test2302z00_4687 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2776 + ((long) 3))) ==
																BgL_classz00_2768);
														}
													else
														{	/* Reduce/sbeta.scm 158 */
															bool_t BgL_res2157z00_2798;

															{	/* Reduce/sbeta.scm 158 */
																obj_t BgL_oclassz00_2784;

																{	/* Reduce/sbeta.scm 158 */
																	long BgL_arg1828z00_2790;

																	{	/* Reduce/sbeta.scm 158 */
																		long BgL_arg1829z00_2791;

																		BgL_arg1829z00_2791 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2770);
																		BgL_arg1828z00_2790 =
																			(BgL_arg1829z00_2791 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2784 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_2790);
																}
																{	/* Reduce/sbeta.scm 158 */
																	bool_t BgL__ortest_1111z00_2785;

																	BgL__ortest_1111z00_2785 =
																		(BgL_classz00_2768 == BgL_oclassz00_2784);
																	if (BgL__ortest_1111z00_2785)
																		{	/* Reduce/sbeta.scm 158 */
																			BgL_res2157z00_2798 =
																				BgL__ortest_1111z00_2785;
																		}
																	else
																		{	/* Reduce/sbeta.scm 158 */
																			long BgL_odepthz00_2786;

																			BgL_odepthz00_2786 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2784);
																			if ((((long) 3) < BgL_odepthz00_2786))
																				{	/* Reduce/sbeta.scm 158 */
																					obj_t BgL_arg1816z00_2788;

																					BgL_arg1816z00_2788 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2784, ((long) 3));
																					BgL_res2157z00_2798 =
																						(BgL_arg1816z00_2788 ==
																						BgL_classz00_2768);
																				}
																			else
																				{	/* Reduce/sbeta.scm 158 */
																					BgL_res2157z00_2798 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2302z00_4687 = BgL_res2157z00_2798;
														}
												}
											}
											if (BgL_test2302z00_4687)
												{	/* Reduce/sbeta.scm 162 */
													BgL_variablez00_bglt BgL_varz00_1574;

													BgL_varz00_1574 =
														(((BgL_varz00_bglt) COBJECT(
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_exprz00_1548)))->
																	BgL_funz00)))->BgL_variablez00);
													{	/* Reduce/sbeta.scm 162 */
														BgL_valuez00_bglt BgL_valz00_1575;

														BgL_valz00_1575 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_varz00_1574))->BgL_valuez00);
														{	/* Reduce/sbeta.scm 163 */

															{	/* Reduce/sbeta.scm 164 */
																bool_t BgL_test2306z00_4712;

																{	/* Reduce/sbeta.scm 164 */
																	bool_t BgL_test2307z00_4713;

																	{	/* Reduce/sbeta.scm 164 */
																		obj_t BgL_classz00_2801;

																		BgL_classz00_2801 =
																			BGl_globalz00zzast_varz00;
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_objectz00_bglt BgL_arg1820z00_2803;

																			{	/* Reduce/sbeta.scm 164 */
																				obj_t BgL_tmpz00_4714;

																				BgL_tmpz00_4714 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_varz00_1574));
																				BgL_arg1820z00_2803 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_4714);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/sbeta.scm 164 */
																					long BgL_idxz00_2809;

																					BgL_idxz00_2809 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_2803);
																					BgL_test2307z00_4713 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2809 + ((long) 2))) ==
																						BgL_classz00_2801);
																				}
																			else
																				{	/* Reduce/sbeta.scm 164 */
																					bool_t BgL_res2158z00_2831;

																					{	/* Reduce/sbeta.scm 164 */
																						obj_t BgL_oclassz00_2817;

																						{	/* Reduce/sbeta.scm 164 */
																							long BgL_arg1828z00_2823;

																							{	/* Reduce/sbeta.scm 164 */
																								long BgL_arg1829z00_2824;

																								BgL_arg1829z00_2824 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_2803);
																								BgL_arg1828z00_2823 =
																									(BgL_arg1829z00_2824 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2817 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_2823);
																						}
																						{	/* Reduce/sbeta.scm 164 */
																							bool_t BgL__ortest_1111z00_2818;

																							BgL__ortest_1111z00_2818 =
																								(BgL_classz00_2801 ==
																								BgL_oclassz00_2817);
																							if (BgL__ortest_1111z00_2818)
																								{	/* Reduce/sbeta.scm 164 */
																									BgL_res2158z00_2831 =
																										BgL__ortest_1111z00_2818;
																								}
																							else
																								{	/* Reduce/sbeta.scm 164 */
																									long BgL_odepthz00_2819;

																									BgL_odepthz00_2819 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2817);
																									if ((((long) 2) <
																											BgL_odepthz00_2819))
																										{	/* Reduce/sbeta.scm 164 */
																											obj_t BgL_arg1816z00_2821;

																											BgL_arg1816z00_2821 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2817,
																												((long) 2));
																											BgL_res2158z00_2831 =
																												(BgL_arg1816z00_2821 ==
																												BgL_classz00_2801);
																										}
																									else
																										{	/* Reduce/sbeta.scm 164 */
																											BgL_res2158z00_2831 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2307z00_4713 =
																						BgL_res2158z00_2831;
																				}
																		}
																	}
																	if (BgL_test2307z00_4713)
																		{	/* Reduce/sbeta.scm 165 */
																			bool_t BgL_test2311z00_4734;

																			{	/* Reduce/sbeta.scm 165 */
																				obj_t BgL_classz00_2832;

																				BgL_classz00_2832 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_objectz00_bglt
																						BgL_arg1820z00_2834;
																					{	/* Reduce/sbeta.scm 165 */
																						obj_t BgL_tmpz00_4735;

																						BgL_tmpz00_4735 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1575));
																						BgL_arg1820z00_2834 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4735);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Reduce/sbeta.scm 165 */
																							long BgL_idxz00_2840;

																							BgL_idxz00_2840 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1820z00_2834);
																							BgL_test2311z00_4734 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2840 +
																										((long) 3))) ==
																								BgL_classz00_2832);
																						}
																					else
																						{	/* Reduce/sbeta.scm 165 */
																							bool_t BgL_res2159z00_2862;

																							{	/* Reduce/sbeta.scm 165 */
																								obj_t BgL_oclassz00_2848;

																								{	/* Reduce/sbeta.scm 165 */
																									long BgL_arg1828z00_2854;

																									{	/* Reduce/sbeta.scm 165 */
																										long BgL_arg1829z00_2855;

																										BgL_arg1829z00_2855 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1820z00_2834);
																										BgL_arg1828z00_2854 =
																											(BgL_arg1829z00_2855 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2848 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_2854);
																								}
																								{	/* Reduce/sbeta.scm 165 */
																									bool_t
																										BgL__ortest_1111z00_2849;
																									BgL__ortest_1111z00_2849 =
																										(BgL_classz00_2832 ==
																										BgL_oclassz00_2848);
																									if (BgL__ortest_1111z00_2849)
																										{	/* Reduce/sbeta.scm 165 */
																											BgL_res2159z00_2862 =
																												BgL__ortest_1111z00_2849;
																										}
																									else
																										{	/* Reduce/sbeta.scm 165 */
																											long BgL_odepthz00_2850;

																											BgL_odepthz00_2850 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2848);
																											if ((((long) 3) <
																													BgL_odepthz00_2850))
																												{	/* Reduce/sbeta.scm 165 */
																													obj_t
																														BgL_arg1816z00_2852;
																													BgL_arg1816z00_2852 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2848,
																														((long) 3));
																													BgL_res2159z00_2862 =
																														(BgL_arg1816z00_2852
																														==
																														BgL_classz00_2832);
																												}
																											else
																												{	/* Reduce/sbeta.scm 165 */
																													BgL_res2159z00_2862 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2311z00_4734 =
																								BgL_res2159z00_2862;
																						}
																				}
																			}
																			if (BgL_test2311z00_4734)
																				{	/* Reduce/sbeta.scm 165 */
																					if (
																						(((BgL_cfunz00_bglt) COBJECT(
																									((BgL_cfunz00_bglt)
																										BgL_valz00_1575)))->
																							BgL_macrozf3zf3))
																						{	/* Reduce/sbeta.scm 166 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																										(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_varz00_1574)))->
																											BgL_pragmaz00))))
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2306z00_4712 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2306z00_4712 =
																										((bool_t) 1);
																								}
																						}
																					else
																						{	/* Reduce/sbeta.scm 166 */
																							BgL_test2306z00_4712 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_test2306z00_4712 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_test2306z00_4712 = ((bool_t) 0);
																		}
																}
																if (BgL_test2306z00_4712)
																	{	/* Reduce/sbeta.scm 164 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 169 */
																		obj_t BgL_g1351z00_1583;

																		BgL_g1351z00_1583 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_exprz00_1548)))->BgL_argsz00);
																		{
																			obj_t BgL_l1349z00_1585;

																			BgL_l1349z00_1585 = BgL_g1351z00_1583;
																		BgL_zc3z04anonymousza31663ze3z87_1586:
																			if (NULLP(BgL_l1349z00_1585))
																				{	/* Reduce/sbeta.scm 169 */
																					return ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 169 */
																					bool_t BgL__ortest_1352z00_1588;

																					{	/* Reduce/sbeta.scm 169 */
																						obj_t BgL_arg1673z00_1590;

																						BgL_arg1673z00_1590 =
																							CAR(((obj_t) BgL_l1349z00_1585));
																						BgL__ortest_1352z00_1588 =
																							BGl_dangerouszf3zf3zzreduce_betaz00
																							(BgL_arg1673z00_1590);
																					}
																					if (BgL__ortest_1352z00_1588)
																						{	/* Reduce/sbeta.scm 169 */
																							return BgL__ortest_1352z00_1588;
																						}
																					else
																						{	/* Reduce/sbeta.scm 169 */
																							obj_t BgL_arg1672z00_1589;

																							BgL_arg1672z00_1589 =
																								CDR(
																								((obj_t) BgL_l1349z00_1585));
																							{
																								obj_t BgL_l1349z00_4774;

																								BgL_l1349z00_4774 =
																									BgL_arg1672z00_1589;
																								BgL_l1349z00_1585 =
																									BgL_l1349z00_4774;
																								goto
																									BgL_zc3z04anonymousza31663ze3z87_1586;
																							}
																						}
																				}
																		}
																	}
															}
														}
													}
												}
											else
												{	/* Reduce/sbeta.scm 158 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
			}
		}

	}



/* side-effect-safe? */
	bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t BgL_exprz00_13)
	{
		{	/* Reduce/sbeta.scm 180 */
			{	/* Reduce/sbeta.scm 181 */
				BgL_nodez00_bglt BgL_exprz00_1600;

				BgL_exprz00_1600 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_13));
				{	/* Reduce/sbeta.scm 183 */
					bool_t BgL_test2319z00_4777;

					{	/* Reduce/sbeta.scm 183 */
						bool_t BgL_test2320z00_4778;

						{	/* Reduce/sbeta.scm 183 */
							obj_t BgL_classz00_2867;

							BgL_classz00_2867 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 183 */
								BgL_objectz00_bglt BgL_arg1820z00_2869;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_tmpz00_4779;

									BgL_tmpz00_4779 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
									BgL_arg1820z00_2869 = (BgL_objectz00_bglt) (BgL_tmpz00_4779);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/sbeta.scm 183 */
										long BgL_idxz00_2875;

										BgL_idxz00_2875 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2869);
										BgL_test2320z00_4778 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2875 + ((long) 2))) == BgL_classz00_2867);
									}
								else
									{	/* Reduce/sbeta.scm 183 */
										bool_t BgL_res2160z00_2897;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_oclassz00_2883;

											{	/* Reduce/sbeta.scm 183 */
												long BgL_arg1828z00_2889;

												{	/* Reduce/sbeta.scm 183 */
													long BgL_arg1829z00_2890;

													BgL_arg1829z00_2890 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2869);
													BgL_arg1828z00_2889 =
														(BgL_arg1829z00_2890 - OBJECT_TYPE);
												}
												BgL_oclassz00_2883 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2889);
											}
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL__ortest_1111z00_2884;

												BgL__ortest_1111z00_2884 =
													(BgL_classz00_2867 == BgL_oclassz00_2883);
												if (BgL__ortest_1111z00_2884)
													{	/* Reduce/sbeta.scm 183 */
														BgL_res2160z00_2897 = BgL__ortest_1111z00_2884;
													}
												else
													{	/* Reduce/sbeta.scm 183 */
														long BgL_odepthz00_2885;

														BgL_odepthz00_2885 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2883);
														if ((((long) 2) < BgL_odepthz00_2885))
															{	/* Reduce/sbeta.scm 183 */
																obj_t BgL_arg1816z00_2887;

																BgL_arg1816z00_2887 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2883,
																	((long) 2));
																BgL_res2160z00_2897 =
																	(BgL_arg1816z00_2887 == BgL_classz00_2867);
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2160z00_2897 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2320z00_4778 = BgL_res2160z00_2897;
									}
							}
						}
						if (BgL_test2320z00_4778)
							{	/* Reduce/sbeta.scm 183 */
								BgL_test2319z00_4777 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 183 */
								bool_t BgL_test2324z00_4799;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_classz00_2898;

									BgL_classz00_2898 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 183 */
										BgL_objectz00_bglt BgL_arg1820z00_2900;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_tmpz00_4800;

											BgL_tmpz00_4800 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
											BgL_arg1820z00_2900 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4800);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/sbeta.scm 183 */
												long BgL_idxz00_2906;

												BgL_idxz00_2906 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2900);
												BgL_test2324z00_4799 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2906 + ((long) 2))) ==
													BgL_classz00_2898);
											}
										else
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL_res2161z00_2928;

												{	/* Reduce/sbeta.scm 183 */
													obj_t BgL_oclassz00_2914;

													{	/* Reduce/sbeta.scm 183 */
														long BgL_arg1828z00_2920;

														{	/* Reduce/sbeta.scm 183 */
															long BgL_arg1829z00_2921;

															BgL_arg1829z00_2921 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2900);
															BgL_arg1828z00_2920 =
																(BgL_arg1829z00_2921 - OBJECT_TYPE);
														}
														BgL_oclassz00_2914 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2920);
													}
													{	/* Reduce/sbeta.scm 183 */
														bool_t BgL__ortest_1111z00_2915;

														BgL__ortest_1111z00_2915 =
															(BgL_classz00_2898 == BgL_oclassz00_2914);
														if (BgL__ortest_1111z00_2915)
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2161z00_2928 = BgL__ortest_1111z00_2915;
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																long BgL_odepthz00_2916;

																BgL_odepthz00_2916 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2914);
																if ((((long) 2) < BgL_odepthz00_2916))
																	{	/* Reduce/sbeta.scm 183 */
																		obj_t BgL_arg1816z00_2918;

																		BgL_arg1816z00_2918 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2914, ((long) 2));
																		BgL_res2161z00_2928 =
																			(BgL_arg1816z00_2918 ==
																			BgL_classz00_2898);
																	}
																else
																	{	/* Reduce/sbeta.scm 183 */
																		BgL_res2161z00_2928 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2324z00_4799 = BgL_res2161z00_2928;
											}
									}
								}
								if (BgL_test2324z00_4799)
									{	/* Reduce/sbeta.scm 183 */
										BgL_test2319z00_4777 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 183 */
										obj_t BgL_classz00_2929;

										BgL_classz00_2929 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 183 */
											BgL_objectz00_bglt BgL_arg1820z00_2931;

											{	/* Reduce/sbeta.scm 183 */
												obj_t BgL_tmpz00_4820;

												BgL_tmpz00_4820 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
												BgL_arg1820z00_2931 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4820);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 183 */
													long BgL_idxz00_2937;

													BgL_idxz00_2937 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2931);
													BgL_test2319z00_4777 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2937 + ((long) 2))) ==
														BgL_classz00_2929);
												}
											else
												{	/* Reduce/sbeta.scm 183 */
													bool_t BgL_res2162z00_2959;

													{	/* Reduce/sbeta.scm 183 */
														obj_t BgL_oclassz00_2945;

														{	/* Reduce/sbeta.scm 183 */
															long BgL_arg1828z00_2951;

															{	/* Reduce/sbeta.scm 183 */
																long BgL_arg1829z00_2952;

																BgL_arg1829z00_2952 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2931);
																BgL_arg1828z00_2951 =
																	(BgL_arg1829z00_2952 - OBJECT_TYPE);
															}
															BgL_oclassz00_2945 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2951);
														}
														{	/* Reduce/sbeta.scm 183 */
															bool_t BgL__ortest_1111z00_2946;

															BgL__ortest_1111z00_2946 =
																(BgL_classz00_2929 == BgL_oclassz00_2945);
															if (BgL__ortest_1111z00_2946)
																{	/* Reduce/sbeta.scm 183 */
																	BgL_res2162z00_2959 =
																		BgL__ortest_1111z00_2946;
																}
															else
																{	/* Reduce/sbeta.scm 183 */
																	long BgL_odepthz00_2947;

																	BgL_odepthz00_2947 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2945);
																	if ((((long) 2) < BgL_odepthz00_2947))
																		{	/* Reduce/sbeta.scm 183 */
																			obj_t BgL_arg1816z00_2949;

																			BgL_arg1816z00_2949 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2945, ((long) 2));
																			BgL_res2162z00_2959 =
																				(BgL_arg1816z00_2949 ==
																				BgL_classz00_2929);
																		}
																	else
																		{	/* Reduce/sbeta.scm 183 */
																			BgL_res2162z00_2959 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2319z00_4777 = BgL_res2162z00_2959;
												}
										}
									}
							}
					}
					if (BgL_test2319z00_4777)
						{	/* Reduce/sbeta.scm 183 */
							return ((bool_t) 1);
						}
					else
						{	/* Reduce/sbeta.scm 185 */
							bool_t BgL_test2331z00_4840;

							{	/* Reduce/sbeta.scm 185 */
								obj_t BgL_classz00_2960;

								BgL_classz00_2960 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 185 */
									BgL_objectz00_bglt BgL_arg1820z00_2962;

									{	/* Reduce/sbeta.scm 185 */
										obj_t BgL_tmpz00_4841;

										BgL_tmpz00_4841 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
										BgL_arg1820z00_2962 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4841);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 185 */
											long BgL_idxz00_2968;

											BgL_idxz00_2968 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2962);
											BgL_test2331z00_4840 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2968 + ((long) 5))) == BgL_classz00_2960);
										}
									else
										{	/* Reduce/sbeta.scm 185 */
											bool_t BgL_res2163z00_2990;

											{	/* Reduce/sbeta.scm 185 */
												obj_t BgL_oclassz00_2976;

												{	/* Reduce/sbeta.scm 185 */
													long BgL_arg1828z00_2982;

													{	/* Reduce/sbeta.scm 185 */
														long BgL_arg1829z00_2983;

														BgL_arg1829z00_2983 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2962);
														BgL_arg1828z00_2982 =
															(BgL_arg1829z00_2983 - OBJECT_TYPE);
													}
													BgL_oclassz00_2976 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_2982);
												}
												{	/* Reduce/sbeta.scm 185 */
													bool_t BgL__ortest_1111z00_2977;

													BgL__ortest_1111z00_2977 =
														(BgL_classz00_2960 == BgL_oclassz00_2976);
													if (BgL__ortest_1111z00_2977)
														{	/* Reduce/sbeta.scm 185 */
															BgL_res2163z00_2990 = BgL__ortest_1111z00_2977;
														}
													else
														{	/* Reduce/sbeta.scm 185 */
															long BgL_odepthz00_2978;

															BgL_odepthz00_2978 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2976);
															if ((((long) 5) < BgL_odepthz00_2978))
																{	/* Reduce/sbeta.scm 185 */
																	obj_t BgL_arg1816z00_2980;

																	BgL_arg1816z00_2980 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2976,
																		((long) 5));
																	BgL_res2163z00_2990 =
																		(BgL_arg1816z00_2980 == BgL_classz00_2960);
																}
															else
																{	/* Reduce/sbeta.scm 185 */
																	BgL_res2163z00_2990 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2331z00_4840 = BgL_res2163z00_2990;
										}
								}
							}
							if (BgL_test2331z00_4840)
								{	/* Reduce/sbeta.scm 186 */
									obj_t BgL_g1355z00_1605;

									BgL_g1355z00_1605 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1600))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1353z00_1607;

										BgL_l1353z00_1607 = BgL_g1355z00_1605;
									BgL_zc3z04anonymousza31682ze3z87_1608:
										if (NULLP(BgL_l1353z00_1607))
											{	/* Reduce/sbeta.scm 186 */
												return ((bool_t) 1);
											}
										else
											{	/* Reduce/sbeta.scm 186 */
												bool_t BgL_test2336z00_4866;

												{	/* Reduce/sbeta.scm 186 */
													obj_t BgL_arg1692z00_1613;

													BgL_arg1692z00_1613 =
														CAR(((obj_t) BgL_l1353z00_1607));
													BgL_test2336z00_4866 =
														BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
														(BgL_arg1692z00_1613);
												}
												if (BgL_test2336z00_4866)
													{	/* Reduce/sbeta.scm 186 */
														obj_t BgL_arg1687z00_1612;

														BgL_arg1687z00_1612 =
															CDR(((obj_t) BgL_l1353z00_1607));
														{
															obj_t BgL_l1353z00_4872;

															BgL_l1353z00_4872 = BgL_arg1687z00_1612;
															BgL_l1353z00_1607 = BgL_l1353z00_4872;
															goto BgL_zc3z04anonymousza31682ze3z87_1608;
														}
													}
												else
													{	/* Reduce/sbeta.scm 186 */
														return ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 187 */
									bool_t BgL_test2337z00_4873;

									{	/* Reduce/sbeta.scm 187 */
										obj_t BgL_classz00_2994;

										BgL_classz00_2994 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 187 */
											BgL_objectz00_bglt BgL_arg1820z00_2996;

											{	/* Reduce/sbeta.scm 187 */
												obj_t BgL_tmpz00_4874;

												BgL_tmpz00_4874 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
												BgL_arg1820z00_2996 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4874);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 187 */
													long BgL_idxz00_3002;

													BgL_idxz00_3002 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2996);
													BgL_test2337z00_4873 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3002 + ((long) 5))) ==
														BgL_classz00_2994);
												}
											else
												{	/* Reduce/sbeta.scm 187 */
													bool_t BgL_res2164z00_3024;

													{	/* Reduce/sbeta.scm 187 */
														obj_t BgL_oclassz00_3010;

														{	/* Reduce/sbeta.scm 187 */
															long BgL_arg1828z00_3016;

															{	/* Reduce/sbeta.scm 187 */
																long BgL_arg1829z00_3017;

																BgL_arg1829z00_3017 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2996);
																BgL_arg1828z00_3016 =
																	(BgL_arg1829z00_3017 - OBJECT_TYPE);
															}
															BgL_oclassz00_3010 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_3016);
														}
														{	/* Reduce/sbeta.scm 187 */
															bool_t BgL__ortest_1111z00_3011;

															BgL__ortest_1111z00_3011 =
																(BgL_classz00_2994 == BgL_oclassz00_3010);
															if (BgL__ortest_1111z00_3011)
																{	/* Reduce/sbeta.scm 187 */
																	BgL_res2164z00_3024 =
																		BgL__ortest_1111z00_3011;
																}
															else
																{	/* Reduce/sbeta.scm 187 */
																	long BgL_odepthz00_3012;

																	BgL_odepthz00_3012 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3010);
																	if ((((long) 5) < BgL_odepthz00_3012))
																		{	/* Reduce/sbeta.scm 187 */
																			obj_t BgL_arg1816z00_3014;

																			BgL_arg1816z00_3014 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3010, ((long) 5));
																			BgL_res2164z00_3024 =
																				(BgL_arg1816z00_3014 ==
																				BgL_classz00_2994);
																		}
																	else
																		{	/* Reduce/sbeta.scm 187 */
																			BgL_res2164z00_3024 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2337z00_4873 = BgL_res2164z00_3024;
												}
										}
									}
									if (BgL_test2337z00_4873)
										{	/* Reduce/sbeta.scm 188 */
											obj_t BgL_g1359z00_1616;

											BgL_g1359z00_1616 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1600))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1357z00_1618;

												BgL_l1357z00_1618 = BgL_g1359z00_1616;
											BgL_zc3z04anonymousza31694ze3z87_1619:
												if (NULLP(BgL_l1357z00_1618))
													{	/* Reduce/sbeta.scm 188 */
														return ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 188 */
														bool_t BgL_test2342z00_4899;

														{	/* Reduce/sbeta.scm 188 */
															obj_t BgL_arg1697z00_1624;

															BgL_arg1697z00_1624 =
																CAR(((obj_t) BgL_l1357z00_1618));
															BgL_test2342z00_4899 =
																BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																(BgL_arg1697z00_1624);
														}
														if (BgL_test2342z00_4899)
															{	/* Reduce/sbeta.scm 188 */
																obj_t BgL_arg1696z00_1623;

																BgL_arg1696z00_1623 =
																	CDR(((obj_t) BgL_l1357z00_1618));
																{
																	obj_t BgL_l1357z00_4905;

																	BgL_l1357z00_4905 = BgL_arg1696z00_1623;
																	BgL_l1357z00_1618 = BgL_l1357z00_4905;
																	goto BgL_zc3z04anonymousza31694ze3z87_1619;
																}
															}
														else
															{	/* Reduce/sbeta.scm 188 */
																return ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 189 */
											bool_t BgL_test2343z00_4906;

											{	/* Reduce/sbeta.scm 189 */
												obj_t BgL_classz00_3028;

												BgL_classz00_3028 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 189 */
													BgL_objectz00_bglt BgL_arg1820z00_3030;

													{	/* Reduce/sbeta.scm 189 */
														obj_t BgL_tmpz00_4907;

														BgL_tmpz00_4907 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1600));
														BgL_arg1820z00_3030 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4907);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/sbeta.scm 189 */
															long BgL_idxz00_3036;

															BgL_idxz00_3036 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3030);
															BgL_test2343z00_4906 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3036 + ((long) 3))) ==
																BgL_classz00_3028);
														}
													else
														{	/* Reduce/sbeta.scm 189 */
															bool_t BgL_res2165z00_3058;

															{	/* Reduce/sbeta.scm 189 */
																obj_t BgL_oclassz00_3044;

																{	/* Reduce/sbeta.scm 189 */
																	long BgL_arg1828z00_3050;

																	{	/* Reduce/sbeta.scm 189 */
																		long BgL_arg1829z00_3051;

																		BgL_arg1829z00_3051 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3030);
																		BgL_arg1828z00_3050 =
																			(BgL_arg1829z00_3051 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3044 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_3050);
																}
																{	/* Reduce/sbeta.scm 189 */
																	bool_t BgL__ortest_1111z00_3045;

																	BgL__ortest_1111z00_3045 =
																		(BgL_classz00_3028 == BgL_oclassz00_3044);
																	if (BgL__ortest_1111z00_3045)
																		{	/* Reduce/sbeta.scm 189 */
																			BgL_res2165z00_3058 =
																				BgL__ortest_1111z00_3045;
																		}
																	else
																		{	/* Reduce/sbeta.scm 189 */
																			long BgL_odepthz00_3046;

																			BgL_odepthz00_3046 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3044);
																			if ((((long) 3) < BgL_odepthz00_3046))
																				{	/* Reduce/sbeta.scm 189 */
																					obj_t BgL_arg1816z00_3048;

																					BgL_arg1816z00_3048 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3044, ((long) 3));
																					BgL_res2165z00_3058 =
																						(BgL_arg1816z00_3048 ==
																						BgL_classz00_3028);
																				}
																			else
																				{	/* Reduce/sbeta.scm 189 */
																					BgL_res2165z00_3058 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2343z00_4906 = BgL_res2165z00_3058;
														}
												}
											}
											if (BgL_test2343z00_4906)
												{	/* Reduce/sbeta.scm 189 */
													if (CBOOL(
															(((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						(((BgL_varz00_bglt) COBJECT(
																									(((BgL_appz00_bglt) COBJECT(
																												((BgL_appz00_bglt)
																													BgL_exprz00_1600)))->
																										BgL_funz00)))->
																							BgL_variablez00)))->
																				BgL_valuez00))))->
																BgL_sidezd2effectzd2)))
														{	/* Reduce/sbeta.scm 193 */
															return ((bool_t) 0);
														}
													else
														{	/* Reduce/sbeta.scm 194 */
															obj_t BgL_g1363z00_1632;

															BgL_g1363z00_1632 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_exprz00_1600)))->
																BgL_argsz00);
															{
																obj_t BgL_l1361z00_1634;

																BgL_l1361z00_1634 = BgL_g1363z00_1632;
															BgL_zc3z04anonymousza31714ze3z87_1635:
																if (NULLP(BgL_l1361z00_1634))
																	{	/* Reduce/sbeta.scm 194 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 194 */
																		bool_t BgL_test2349z00_4939;

																		{	/* Reduce/sbeta.scm 194 */
																			obj_t BgL_arg1721z00_1640;

																			BgL_arg1721z00_1640 =
																				CAR(((obj_t) BgL_l1361z00_1634));
																			BgL_test2349z00_4939 =
																				BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																				(BgL_arg1721z00_1640);
																		}
																		if (BgL_test2349z00_4939)
																			{	/* Reduce/sbeta.scm 194 */
																				obj_t BgL_arg1720z00_1639;

																				BgL_arg1720z00_1639 =
																					CDR(((obj_t) BgL_l1361z00_1634));
																				{
																					obj_t BgL_l1361z00_4945;

																					BgL_l1361z00_4945 =
																						BgL_arg1720z00_1639;
																					BgL_l1361z00_1634 = BgL_l1361z00_4945;
																					goto
																						BgL_zc3z04anonymousza31714ze3z87_1635;
																				}
																			}
																		else
																			{	/* Reduce/sbeta.scm 194 */
																				return ((bool_t) 0);
																			}
																	}
															}
														}
												}
											else
												{	/* Reduce/sbeta.scm 189 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
			}
		}

	}



/* predicate? */
	obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt BgL_nodez00_32)
	{
		{	/* Reduce/sbeta.scm 449 */
			{	/* Reduce/sbeta.scm 451 */
				bool_t BgL_test2350z00_4946;

				{	/* Reduce/sbeta.scm 451 */
					obj_t BgL_tmpz00_4947;

					BgL_tmpz00_4947 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00);
					BgL_test2350z00_4946 = PAIRP(BgL_tmpz00_4947);
				}
				if (BgL_test2350z00_4946)
					{	/* Reduce/sbeta.scm 451 */
						if (NULLP(CDR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00))))
							{	/* Reduce/sbeta.scm 453 */
								bool_t BgL_test2352z00_4954;

								{	/* Reduce/sbeta.scm 453 */
									bool_t BgL__ortest_1147z00_1656;

									{	/* Reduce/sbeta.scm 453 */
										bool_t BgL_test2353z00_4955;

										{	/* Reduce/sbeta.scm 453 */
											obj_t BgL_arg1751z00_1662;

											BgL_arg1751z00_1662 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
													BgL_argsz00));
											BgL_test2353z00_4955 =
												BGl_sidezd2effectzf3z21zzeffect_effectz00((
													(BgL_nodez00_bglt) BgL_arg1751z00_1662));
										}
										if (BgL_test2353z00_4955)
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1147z00_1656 = ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1147z00_1656 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1147z00_1656)
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2352z00_4954 = BgL__ortest_1147z00_1656;
										}
									else
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2352z00_4954 =
												BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_argsz00)));
										}
								}
								if (BgL_test2352z00_4954)
									{	/* Reduce/sbeta.scm 455 */
										BgL_variablez00_bglt BgL_arg1736z00_1654;

										BgL_arg1736z00_1654 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_funz00)))->BgL_variablez00);
										return BGl_memqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
												BgL_arg1736z00_1654),
											BGl_za2predicatesza2z00zzreduce_betaz00);
									}
								else
									{	/* Reduce/sbeta.scm 453 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/sbeta.scm 452 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/sbeta.scm 451 */
						return BFALSE;
					}
			}
		}

	}



/* node-beta-predicate! */
	obj_t BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_33)
	{
		{	/* Reduce/sbeta.scm 460 */
			{	/* Reduce/sbeta.scm 462 */
				BgL_variablez00_bglt BgL_vfunz00_1668;
				BgL_typez00_bglt BgL_atypez00_1669;

				BgL_vfunz00_1668 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Reduce/sbeta.scm 463 */
					obj_t BgL_arg1766z00_1681;

					BgL_arg1766z00_1681 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_argsz00));
					BgL_atypez00_1669 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_arg1766z00_1681), ((bool_t) 0));
				}
				if ((((obj_t) BgL_atypez00_1669) == BGl_za2objza2z00zztype_cachez00))
					{	/* Reduce/sbeta.scm 465 */
						return ((obj_t) BgL_nodez00_33);
					}
				else
					{	/* Reduce/sbeta.scm 465 */
						if (
							(((obj_t) BgL_vfunz00_1668) ==
								BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00))
							{	/* Reduce/sbeta.scm 467 */
								BGl_za2removedza2z00zzreduce_betaz00 =
									(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
								{	/* Reduce/sbeta.scm 469 */
									BgL_literalz00_bglt BgL_new1150z00_1670;

									{	/* Reduce/sbeta.scm 471 */
										BgL_literalz00_bglt BgL_new1149z00_1673;

										BgL_new1149z00_1673 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Reduce/sbeta.scm 471 */
											long BgL_arg1756z00_1674;

											BgL_arg1756z00_1674 =
												BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1149z00_1673),
												BgL_arg1756z00_1674);
										}
										{	/* Reduce/sbeta.scm 471 */
											BgL_objectz00_bglt BgL_tmpz00_4986;

											BgL_tmpz00_4986 =
												((BgL_objectz00_bglt) BgL_new1149z00_1673);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4986, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1149z00_1673);
										BgL_new1150z00_1670 = BgL_new1149z00_1673;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1150z00_1670)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_33)))->BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1150z00_1670)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
												BgL_typez00)), BUNSPEC);
									{
										obj_t BgL_auxz00_4998;

										{	/* Reduce/sbeta.scm 472 */
											bool_t BgL__ortest_1151z00_1671;

											BgL__ortest_1151z00_1671 =
												(
												((obj_t) BgL_atypez00_1669) ==
												BGl_za2bintza2z00zztype_cachez00);
											if (BgL__ortest_1151z00_1671)
												{	/* Reduce/sbeta.scm 472 */
													BgL_auxz00_4998 = BBOOL(BgL__ortest_1151z00_1671);
												}
											else
												{	/* Reduce/sbeta.scm 473 */
													bool_t BgL__ortest_1152z00_1672;

													BgL__ortest_1152z00_1672 =
														(
														((obj_t) BgL_atypez00_1669) ==
														BGl_za2intza2z00zztype_cachez00);
													if (BgL__ortest_1152z00_1672)
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_4998 = BBOOL(BgL__ortest_1152z00_1672);
														}
													else
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_4998 =
																BBOOL(
																(((obj_t) BgL_atypez00_1669) ==
																	BGl_za2longza2z00zztype_cachez00));
														}
												}
										}
										((((BgL_atomz00_bglt) COBJECT(
														((BgL_atomz00_bglt) BgL_new1150z00_1670)))->
												BgL_valuez00) = ((obj_t) BgL_auxz00_4998), BUNSPEC);
									}
									return ((obj_t) BgL_new1150z00_1670);
								}
							}
						else
							{	/* Reduce/sbeta.scm 467 */
								if (
									(((obj_t) BgL_vfunz00_1668) ==
										BGl_za2czd2flonumzf3za2z21zzreduce_betaz00))
									{	/* Reduce/sbeta.scm 475 */
										BGl_za2removedza2z00zzreduce_betaz00 =
											(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
										{	/* Reduce/sbeta.scm 477 */
											BgL_literalz00_bglt BgL_new1154z00_1675;

											{	/* Reduce/sbeta.scm 479 */
												BgL_literalz00_bglt BgL_new1153z00_1677;

												BgL_new1153z00_1677 =
													((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_literalz00_bgl))));
												{	/* Reduce/sbeta.scm 479 */
													long BgL_arg1757z00_1678;

													BgL_arg1757z00_1678 =
														BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1153z00_1677),
														BgL_arg1757z00_1678);
												}
												{	/* Reduce/sbeta.scm 479 */
													BgL_objectz00_bglt BgL_tmpz00_5021;

													BgL_tmpz00_5021 =
														((BgL_objectz00_bglt) BgL_new1153z00_1677);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5021, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1153z00_1677);
												BgL_new1154z00_1675 = BgL_new1153z00_1677;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1154z00_1675)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1154z00_1675)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_typez00)), BUNSPEC);
											{
												obj_t BgL_auxz00_5033;

												{	/* Reduce/sbeta.scm 480 */
													bool_t BgL__ortest_1155z00_1676;

													BgL__ortest_1155z00_1676 =
														(
														((obj_t) BgL_atypez00_1669) ==
														BGl_za2realza2z00zztype_cachez00);
													if (BgL__ortest_1155z00_1676)
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5033 = BBOOL(BgL__ortest_1155z00_1676);
														}
													else
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5033 =
																BBOOL(
																(((obj_t) BgL_atypez00_1669) ==
																	BGl_za2brealza2z00zztype_cachez00));
														}
												}
												((((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt) BgL_new1154z00_1675)))->
														BgL_valuez00) = ((obj_t) BgL_auxz00_5033), BUNSPEC);
											}
											return ((obj_t) BgL_new1154z00_1675);
										}
									}
								else
									{	/* Reduce/sbeta.scm 485 */
										obj_t BgL_arg1763z00_1679;

										BgL_arg1763z00_1679 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_33));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2199z00zzreduce_betaz00,
											BGl_string2200z00zzreduce_betaz00, BgL_arg1763z00_1679);
									}
							}
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t BgL_nodesz00_34)
	{
		{	/* Reduce/sbeta.scm 490 */
			{
				obj_t BgL_nodesz00_1684;

				BgL_nodesz00_1684 = BgL_nodesz00_34;
			BgL_zc3z04anonymousza31770ze3z87_1685:
				if (NULLP(BgL_nodesz00_1684))
					{	/* Reduce/sbeta.scm 492 */
						return BUNSPEC;
					}
				else
					{	/* Reduce/sbeta.scm 492 */
						{	/* Reduce/sbeta.scm 495 */
							BgL_nodez00_bglt BgL_arg1777z00_1687;

							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_arg1778z00_1688;

								BgL_arg1778z00_1688 = CAR(((obj_t) BgL_nodesz00_1684));
								BgL_arg1777z00_1687 =
									BGl_nodezd2betaz12zc0zzreduce_betaz00(
									((BgL_nodez00_bglt) BgL_arg1778z00_1688));
							}
							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_auxz00_5055;
								obj_t BgL_tmpz00_5053;

								BgL_auxz00_5055 = ((obj_t) BgL_arg1777z00_1687);
								BgL_tmpz00_5053 = ((obj_t) BgL_nodesz00_1684);
								SET_CAR(BgL_tmpz00_5053, BgL_auxz00_5055);
							}
						}
						{	/* Reduce/sbeta.scm 496 */
							obj_t BgL_arg1781z00_1689;

							BgL_arg1781z00_1689 = CDR(((obj_t) BgL_nodesz00_1684));
							{
								obj_t BgL_nodesz00_5060;

								BgL_nodesz00_5060 = BgL_arg1781z00_1689;
								BgL_nodesz00_1684 = BgL_nodesz00_5060;
								goto BgL_zc3z04anonymousza31770ze3z87_1685;
							}
						}
					}
			}
		}

	}



/* node-beta-early-app! */
	BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_35)
	{
		{	/* Reduce/sbeta.scm 504 */
			{	/* Reduce/sbeta.scm 506 */
				bool_t BgL_test2362z00_5061;

				{	/* Reduce/sbeta.scm 506 */
					obj_t BgL_g1416z00_1729;

					BgL_g1416z00_1729 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00);
					{
						obj_t BgL_l1414z00_1731;

						BgL_l1414z00_1731 = BgL_g1416z00_1729;
					BgL_zc3z04anonymousza31849ze3z87_1732:
						if (NULLP(BgL_l1414z00_1731))
							{	/* Reduce/sbeta.scm 506 */
								BgL_test2362z00_5061 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 506 */
								bool_t BgL_test2364z00_5065;

								{	/* Reduce/sbeta.scm 506 */
									obj_t BgL_arg1851z00_1737;

									BgL_arg1851z00_1737 = CAR(((obj_t) BgL_l1414z00_1731));
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_classz00_3120;

										BgL_classz00_3120 = BGl_atomz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1851z00_1737))
											{	/* Reduce/sbeta.scm 506 */
												BgL_objectz00_bglt BgL_arg1820z00_3122;

												BgL_arg1820z00_3122 =
													(BgL_objectz00_bglt) (BgL_arg1851z00_1737);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/sbeta.scm 506 */
														long BgL_idxz00_3128;

														BgL_idxz00_3128 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3122);
														BgL_test2364z00_5065 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3128 + ((long) 2))) ==
															BgL_classz00_3120);
													}
												else
													{	/* Reduce/sbeta.scm 506 */
														bool_t BgL_res2167z00_3150;

														{	/* Reduce/sbeta.scm 506 */
															obj_t BgL_oclassz00_3136;

															{	/* Reduce/sbeta.scm 506 */
																long BgL_arg1828z00_3142;

																{	/* Reduce/sbeta.scm 506 */
																	long BgL_arg1829z00_3143;

																	BgL_arg1829z00_3143 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3122);
																	BgL_arg1828z00_3142 =
																		(BgL_arg1829z00_3143 - OBJECT_TYPE);
																}
																BgL_oclassz00_3136 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3142);
															}
															{	/* Reduce/sbeta.scm 506 */
																bool_t BgL__ortest_1111z00_3137;

																BgL__ortest_1111z00_3137 =
																	(BgL_classz00_3120 == BgL_oclassz00_3136);
																if (BgL__ortest_1111z00_3137)
																	{	/* Reduce/sbeta.scm 506 */
																		BgL_res2167z00_3150 =
																			BgL__ortest_1111z00_3137;
																	}
																else
																	{	/* Reduce/sbeta.scm 506 */
																		long BgL_odepthz00_3138;

																		BgL_odepthz00_3138 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3136);
																		if ((((long) 2) < BgL_odepthz00_3138))
																			{	/* Reduce/sbeta.scm 506 */
																				obj_t BgL_arg1816z00_3140;

																				BgL_arg1816z00_3140 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3136, ((long) 2));
																				BgL_res2167z00_3150 =
																					(BgL_arg1816z00_3140 ==
																					BgL_classz00_3120);
																			}
																		else
																			{	/* Reduce/sbeta.scm 506 */
																				BgL_res2167z00_3150 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2364z00_5065 = BgL_res2167z00_3150;
													}
											}
										else
											{	/* Reduce/sbeta.scm 506 */
												BgL_test2364z00_5065 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2364z00_5065)
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_arg1850z00_1736;

										BgL_arg1850z00_1736 = CDR(((obj_t) BgL_l1414z00_1731));
										{
											obj_t BgL_l1414z00_5089;

											BgL_l1414z00_5089 = BgL_arg1850z00_1736;
											BgL_l1414z00_1731 = BgL_l1414z00_5089;
											goto BgL_zc3z04anonymousza31849ze3z87_1732;
										}
									}
								else
									{	/* Reduce/sbeta.scm 506 */
										BgL_test2362z00_5061 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2362z00_5061)
					{	/* Reduce/sbeta.scm 507 */
						bool_t BgL_test2369z00_5090;

						if (
							(bgl_list_length(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00)) ==
								((long) 1)))
							{	/* Reduce/sbeta.scm 507 */
								obj_t BgL_tmpz00_5095;

								{
									BgL_atomz00_bglt BgL_auxz00_5096;

									{	/* Reduce/sbeta.scm 507 */
										obj_t BgL_pairz00_3153;

										BgL_pairz00_3153 =
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
											BgL_argsz00);
										BgL_auxz00_5096 =
											((BgL_atomz00_bglt) CAR(BgL_pairz00_3153));
									}
									BgL_tmpz00_5095 =
										(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5096))->
										BgL_valuez00);
								}
								BgL_test2369z00_5090 = STRINGP(BgL_tmpz00_5095);
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								BgL_test2369z00_5090 = ((bool_t) 0);
							}
						if (BgL_test2369z00_5090)
							{	/* Reduce/sbeta.scm 508 */
								bool_t BgL_test2371z00_5102;

								{	/* Reduce/sbeta.scm 508 */
									BgL_variablez00_bglt BgL_arg1837z00_1721;

									BgL_arg1837z00_1721 =
										(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
													BgL_funz00)))->BgL_variablez00);
									BgL_test2371z00_5102 =
										(((obj_t) BgL_arg1837z00_1721) ==
										BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00);
								}
								if (BgL_test2371z00_5102)
									{	/* Reduce/sbeta.scm 509 */
										BgL_literalz00_bglt BgL_new1159z00_1715;

										{	/* Reduce/sbeta.scm 510 */
											BgL_literalz00_bglt BgL_new1158z00_1719;

											BgL_new1158z00_1719 =
												((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_literalz00_bgl))));
											{	/* Reduce/sbeta.scm 510 */
												long BgL_arg1836z00_1720;

												BgL_arg1836z00_1720 =
													BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1158z00_1719),
													BgL_arg1836z00_1720);
											}
											{	/* Reduce/sbeta.scm 510 */
												BgL_objectz00_bglt BgL_tmpz00_5111;

												BgL_tmpz00_5111 =
													((BgL_objectz00_bglt) BgL_new1158z00_1719);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5111, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1158z00_1719);
											BgL_new1159z00_1715 = BgL_new1158z00_1719;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1159z00_1715)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_nodez00_35)))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1159z00_1715)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) BgL_nodez00_35)))->
													BgL_typez00)), BUNSPEC);
										{
											obj_t BgL_auxz00_5123;

											{	/* Reduce/sbeta.scm 512 */
												obj_t BgL_stringz00_3164;

												{
													BgL_atomz00_bglt BgL_auxz00_5125;

													{	/* Reduce/sbeta.scm 512 */
														obj_t BgL_pairz00_3162;

														BgL_pairz00_3162 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
															BgL_argsz00);
														BgL_auxz00_5125 =
															((BgL_atomz00_bglt) CAR(BgL_pairz00_3162));
													}
													BgL_stringz00_3164 =
														(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5125))->
														BgL_valuez00);
												}
												BgL_auxz00_5123 =
													BINT(STRING_LENGTH(BgL_stringz00_3164));
											}
											((((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt) BgL_new1159z00_1715)))->
													BgL_valuez00) = ((obj_t) BgL_auxz00_5123), BUNSPEC);
										}
										return ((BgL_nodez00_bglt) BgL_new1159z00_1715);
									}
								else
									{	/* Reduce/sbeta.scm 508 */
										return ((BgL_nodez00_bglt) BgL_nodez00_35);
									}
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								return ((BgL_nodez00_bglt) BgL_nodez00_35);
							}
					}
				else
					{	/* Reduce/sbeta.scm 506 */
						return ((BgL_nodez00_bglt) BgL_nodez00_35);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_proc2201z00zzreduce_betaz00, BGl_nodez00zzast_nodez00,
				BGl_string2202z00zzreduce_betaz00);
		}

	}



/* &node-beta!1418 */
	obj_t BGl_z62nodezd2betaz121418za2zzreduce_betaz00(obj_t BgL_envz00_4048,
		obj_t BgL_nodez00_4049)
	{
		{	/* Reduce/sbeta.scm 91 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4049));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/sbeta.scm 91 */
			{	/* Reduce/sbeta.scm 91 */
				obj_t BgL_method1419z00_1743;

				{	/* Reduce/sbeta.scm 91 */
					obj_t BgL_res2172z00_3195;

					{	/* Reduce/sbeta.scm 91 */
						long BgL_objzd2classzd2numz00_3166;

						BgL_objzd2classzd2numz00_3166 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/sbeta.scm 91 */
							obj_t BgL_arg1825z00_3167;

							BgL_arg1825z00_3167 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
								(int) (((long) 1)));
							{	/* Reduce/sbeta.scm 91 */
								int BgL_offsetz00_3170;

								BgL_offsetz00_3170 = (int) (BgL_objzd2classzd2numz00_3166);
								{	/* Reduce/sbeta.scm 91 */
									long BgL_offsetz00_3171;

									BgL_offsetz00_3171 =
										((long) (BgL_offsetz00_3170) - OBJECT_TYPE);
									{	/* Reduce/sbeta.scm 91 */
										long BgL_modz00_3172;

										BgL_modz00_3172 =
											(BgL_offsetz00_3171 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Reduce/sbeta.scm 91 */
											long BgL_restz00_3174;

											BgL_restz00_3174 =
												(BgL_offsetz00_3171 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Reduce/sbeta.scm 91 */

												{	/* Reduce/sbeta.scm 91 */
													obj_t BgL_bucketz00_3176;

													BgL_bucketz00_3176 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3167), BgL_modz00_3172);
													BgL_res2172z00_3195 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3176), BgL_restz00_3174);
					}}}}}}}}
					BgL_method1419z00_1743 = BgL_res2172z00_3195;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1419z00_1743)) (BgL_method1419z00_1743,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t
		BgL_envz00_4050, obj_t BgL_nodez00_4051)
	{
		{	/* Reduce/sbeta.scm 91 */
			return
				BGl_nodezd2betaz12zc0zzreduce_betaz00(
				((BgL_nodez00_bglt) BgL_nodez00_4051));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2203z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2205z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2206z00zzreduce_betaz00, BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2207z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2208z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_castz00zzast_nodez00,
				BGl_proc2209z00zzreduce_betaz00, BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_setqz00zzast_nodez00,
				BGl_proc2210z00zzreduce_betaz00, BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2211z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_switchz00zzast_nodez00, BGl_proc2212z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2213z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2214z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2215z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2216z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2217z00zzreduce_betaz00,
				BGl_string2204z00zzreduce_betaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_appz00zzast_nodez00,
				BGl_proc2218z00zzreduce_betaz00, BGl_string2204z00zzreduce_betaz00);
		}

	}



/* &node-beta!-app1451 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1451z70zzreduce_betaz00(obj_t
		BgL_envz00_4067, obj_t BgL_nodez00_4068)
	{
		{	/* Reduce/sbeta.scm 439 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_4068)))->BgL_argsz00));
			if (CBOOL(BGl_predicatezf3zf3zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4068))))
				{	/* Reduce/sbeta.scm 442 */
					return
						((BgL_nodez00_bglt)
						BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(
							((BgL_appz00_bglt) BgL_nodez00_4068)));
				}
			else
				{	/* Reduce/sbeta.scm 442 */
					return
						BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4068));
				}
		}

	}



/* &node-beta!-box-set!1449 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121449zb0zzreduce_betaz00(obj_t
		BgL_envz00_4069, obj_t BgL_nodez00_4070)
	{
		{	/* Reduce/sbeta.scm 431 */
			{
				BgL_nodez00_bglt BgL_auxz00_5200;

				{	/* Reduce/sbeta.scm 433 */
					BgL_nodez00_bglt BgL_arg2088z00_4111;

					BgL_arg2088z00_4111 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4070)))->BgL_valuez00);
					BgL_auxz00_5200 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2088z00_4111);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4070)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5200), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4070));
		}

	}



/* &node-beta!-make-box1447 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1447za2zzreduce_betaz00(obj_t
		BgL_envz00_4071, obj_t BgL_nodez00_4072)
	{
		{	/* Reduce/sbeta.scm 423 */
			{
				BgL_nodez00_bglt BgL_auxz00_5208;

				{	/* Reduce/sbeta.scm 425 */
					BgL_nodez00_bglt BgL_arg2087z00_4113;

					BgL_arg2087z00_4113 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4072)))->BgL_valuez00);
					BgL_auxz00_5208 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2087z00_4113);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4072)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5208), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4072));
		}

	}



/* &node-beta!-jump-ex-i1445 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1445z70zzreduce_betaz00(obj_t
		BgL_envz00_4073, obj_t BgL_nodez00_4074)
	{
		{	/* Reduce/sbeta.scm 414 */
			{
				BgL_nodez00_bglt BgL_auxz00_5216;

				{	/* Reduce/sbeta.scm 416 */
					BgL_nodez00_bglt BgL_arg2085z00_4115;

					BgL_arg2085z00_4115 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4074)))->BgL_exitz00);
					BgL_auxz00_5216 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2085z00_4115);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4074)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5216), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5222;

				{	/* Reduce/sbeta.scm 417 */
					BgL_nodez00_bglt BgL_arg2086z00_4116;

					BgL_arg2086z00_4116 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4074)))->
						BgL_valuez00);
					BgL_auxz00_5222 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2086z00_4116);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4074)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_5222), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4074));
		}

	}



/* &node-beta!-set-ex-it1443 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1443z70zzreduce_betaz00(obj_t
		BgL_envz00_4075, obj_t BgL_nodez00_4076)
	{
		{	/* Reduce/sbeta.scm 405 */
			{
				BgL_nodez00_bglt BgL_auxz00_5230;

				{	/* Reduce/sbeta.scm 407 */
					BgL_nodez00_bglt BgL_arg2083z00_4118;

					BgL_arg2083z00_4118 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4076)))->BgL_bodyz00);
					BgL_auxz00_5230 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2083z00_4118);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4076)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5230), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5236;

				{	/* Reduce/sbeta.scm 408 */
					BgL_nodez00_bglt BgL_arg2084z00_4119;

					BgL_arg2084z00_4119 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4076)))->
						BgL_onexitz00);
					BgL_auxz00_5236 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2084z00_4119);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4076)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5236), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4076));
		}

	}



/* &node-beta!-let-fun1441 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1441za2zzreduce_betaz00(obj_t
		BgL_envz00_4077, obj_t BgL_nodez00_4078)
	{
		{	/* Reduce/sbeta.scm 391 */
			{
				BgL_nodez00_bglt BgL_auxz00_5244;

				{	/* Reduce/sbeta.scm 393 */
					BgL_nodez00_bglt BgL_arg2074z00_4121;

					BgL_arg2074z00_4121 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4078)))->BgL_bodyz00);
					BgL_auxz00_5244 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2074z00_4121);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4078)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5244), BUNSPEC);
			}
			{
				obj_t BgL_localsz00_4123;

				{	/* Reduce/sbeta.scm 394 */
					obj_t BgL_arg2077z00_4129;

					BgL_arg2077z00_4129 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4078)))->BgL_localsz00);
					{
						BgL_letzd2funzd2_bglt BgL_auxz00_5252;

						BgL_localsz00_4123 = BgL_arg2077z00_4129;
					BgL_loopz00_4122:
						if (NULLP(BgL_localsz00_4123))
							{	/* Reduce/sbeta.scm 395 */
								BgL_auxz00_5252 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4078);
							}
						else
							{	/* Reduce/sbeta.scm 397 */
								obj_t BgL_localz00_4124;

								BgL_localz00_4124 = CAR(((obj_t) BgL_localsz00_4123));
								{	/* Reduce/sbeta.scm 397 */
									BgL_valuez00_bglt BgL_sfunz00_4125;

									BgL_sfunz00_4125 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4124))))->
										BgL_valuez00);
									{	/* Reduce/sbeta.scm 398 */

										{	/* Reduce/sbeta.scm 399 */
											BgL_nodez00_bglt BgL_arg2080z00_4126;

											{	/* Reduce/sbeta.scm 399 */
												obj_t BgL_arg2081z00_4127;

												BgL_arg2081z00_4127 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4125)))->
													BgL_bodyz00);
												BgL_arg2080z00_4126 =
													BGl_nodezd2betaz12zc0zzreduce_betaz00((
														(BgL_nodez00_bglt) BgL_arg2081z00_4127));
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4125)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2080z00_4126)), BUNSPEC);
										}
										{	/* Reduce/sbeta.scm 400 */
											obj_t BgL_arg2082z00_4128;

											BgL_arg2082z00_4128 = CDR(((obj_t) BgL_localsz00_4123));
											{
												obj_t BgL_localsz00_5270;

												BgL_localsz00_5270 = BgL_arg2082z00_4128;
												BgL_localsz00_4123 = BgL_localsz00_5270;
												goto BgL_loopz00_4122;
											}
										}
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5252);
					}
				}
			}
		}

	}



/* &node-beta!-switch1439 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1439z70zzreduce_betaz00(obj_t
		BgL_envz00_4079, obj_t BgL_nodez00_4080)
	{
		{	/* Reduce/sbeta.scm 378 */
			{
				BgL_nodez00_bglt BgL_auxz00_5272;

				{	/* Reduce/sbeta.scm 380 */
					BgL_nodez00_bglt BgL_arg2066z00_4131;

					BgL_arg2066z00_4131 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4080)))->BgL_testz00);
					BgL_auxz00_5272 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2066z00_4131);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4080)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5272), BUNSPEC);
			}
			{
				obj_t BgL_clausesz00_4133;

				{	/* Reduce/sbeta.scm 381 */
					obj_t BgL_arg2067z00_4138;

					BgL_arg2067z00_4138 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4080)))->BgL_clausesz00);
					{
						BgL_switchz00_bglt BgL_auxz00_5280;

						BgL_clausesz00_4133 = BgL_arg2067z00_4138;
					BgL_loopz00_4132:
						if (NULLP(BgL_clausesz00_4133))
							{	/* Reduce/sbeta.scm 382 */
								BgL_auxz00_5280 = ((BgL_switchz00_bglt) BgL_nodez00_4080);
							}
						else
							{	/* Reduce/sbeta.scm 384 */
								obj_t BgL_clausez00_4134;

								BgL_clausez00_4134 = CAR(((obj_t) BgL_clausesz00_4133));
								{	/* Reduce/sbeta.scm 385 */
									BgL_nodez00_bglt BgL_arg2071z00_4135;

									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_arg2072z00_4136;

										BgL_arg2072z00_4136 = CDR(((obj_t) BgL_clausez00_4134));
										BgL_arg2071z00_4135 =
											BGl_nodezd2betaz12zc0zzreduce_betaz00(
											((BgL_nodez00_bglt) BgL_arg2072z00_4136));
									}
									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_auxz00_5292;
										obj_t BgL_tmpz00_5290;

										BgL_auxz00_5292 = ((obj_t) BgL_arg2071z00_4135);
										BgL_tmpz00_5290 = ((obj_t) BgL_clausez00_4134);
										SET_CDR(BgL_tmpz00_5290, BgL_auxz00_5292);
									}
								}
								{	/* Reduce/sbeta.scm 386 */
									obj_t BgL_arg2073z00_4137;

									BgL_arg2073z00_4137 = CDR(((obj_t) BgL_clausesz00_4133));
									{
										obj_t BgL_clausesz00_5297;

										BgL_clausesz00_5297 = BgL_arg2073z00_4137;
										BgL_clausesz00_4133 = BgL_clausesz00_5297;
										goto BgL_loopz00_4132;
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5280);
					}
				}
			}
		}

	}



/* &node-beta!-condition1437 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1437z70zzreduce_betaz00(obj_t
		BgL_envz00_4081, obj_t BgL_nodez00_4082)
	{
		{	/* Reduce/sbeta.scm 368 */
			{
				BgL_nodez00_bglt BgL_auxz00_5299;

				{	/* Reduce/sbeta.scm 370 */
					BgL_nodez00_bglt BgL_arg2062z00_4140;

					BgL_arg2062z00_4140 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_testz00);
					BgL_auxz00_5299 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2062z00_4140);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5299), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5305;

				{	/* Reduce/sbeta.scm 371 */
					BgL_nodez00_bglt BgL_arg2063z00_4141;

					BgL_arg2063z00_4141 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_truez00);
					BgL_auxz00_5305 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2063z00_4141);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5305), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5311;

				{	/* Reduce/sbeta.scm 372 */
					BgL_nodez00_bglt BgL_arg2065z00_4142;

					BgL_arg2065z00_4142 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_falsez00);
					BgL_auxz00_5311 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2065z00_4142);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4082)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5311), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_4082));
		}

	}



/* &node-beta!-setq1435 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1435z70zzreduce_betaz00(obj_t
		BgL_envz00_4083, obj_t BgL_nodez00_4084)
	{
		{	/* Reduce/sbeta.scm 360 */
			{
				BgL_nodez00_bglt BgL_auxz00_5319;

				{	/* Reduce/sbeta.scm 362 */
					BgL_nodez00_bglt BgL_arg2061z00_4144;

					BgL_arg2061z00_4144 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4084)))->BgL_valuez00);
					BgL_auxz00_5319 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2061z00_4144);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4084)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5319), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_4084));
		}

	}



/* &node-beta!-cast1433 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1433z70zzreduce_betaz00(obj_t
		BgL_envz00_4085, obj_t BgL_nodez00_4086)
	{
		{	/* Reduce/sbeta.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_5327;

				{	/* Reduce/sbeta.scm 354 */
					BgL_nodez00_bglt BgL_arg2060z00_4146;

					BgL_arg2060z00_4146 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4086)))->BgL_argz00);
					BgL_auxz00_5327 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2060z00_4146);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4086)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5327), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_4086));
		}

	}



/* &node-beta!-funcall1431 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1431z70zzreduce_betaz00(obj_t
		BgL_envz00_4087, obj_t BgL_nodez00_4088)
	{
		{	/* Reduce/sbeta.scm 344 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4088)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_4088));
		}

	}



/* &node-beta!-app-ly1429 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1429za2zzreduce_betaz00(obj_t
		BgL_envz00_4089, obj_t BgL_nodez00_4090)
	{
		{	/* Reduce/sbeta.scm 335 */
			{
				BgL_nodez00_bglt BgL_auxz00_5340;

				{	/* Reduce/sbeta.scm 337 */
					BgL_nodez00_bglt BgL_arg2057z00_4149;

					BgL_arg2057z00_4149 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4090)))->BgL_funz00);
					BgL_auxz00_5340 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2057z00_4149);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4090)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5340), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5346;

				{	/* Reduce/sbeta.scm 338 */
					BgL_nodez00_bglt BgL_arg2058z00_4150;

					BgL_arg2058z00_4150 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4090)))->BgL_argz00);
					BgL_auxz00_5346 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2058z00_4150);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4090)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5346), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4090));
		}

	}



/* &node-beta!-sync1427 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1427z70zzreduce_betaz00(obj_t
		BgL_envz00_4091, obj_t BgL_nodez00_4092)
	{
		{	/* Reduce/sbeta.scm 325 */
			{
				BgL_nodez00_bglt BgL_auxz00_5354;

				{	/* Reduce/sbeta.scm 327 */
					BgL_nodez00_bglt BgL_arg2053z00_4152;

					BgL_arg2053z00_4152 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_mutexz00);
					BgL_auxz00_5354 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2053z00_4152);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5354), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5360;

				{	/* Reduce/sbeta.scm 328 */
					BgL_nodez00_bglt BgL_arg2055z00_4153;

					BgL_arg2055z00_4153 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_prelockz00);
					BgL_auxz00_5360 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2055z00_4153);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5360), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5366;

				{	/* Reduce/sbeta.scm 329 */
					BgL_nodez00_bglt BgL_arg2056z00_4154;

					BgL_arg2056z00_4154 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_bodyz00);
					BgL_auxz00_5366 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2056z00_4154);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4092)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5366), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_4092));
		}

	}



/* &node-beta!-sequence1425 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1425z70zzreduce_betaz00(obj_t
		BgL_envz00_4093, obj_t BgL_nodez00_4094)
	{
		{	/* Reduce/sbeta.scm 317 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4094)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_4094));
		}

	}



/* &node-beta!-let-var1422 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1422za2zzreduce_betaz00(obj_t
		BgL_envz00_4095, obj_t BgL_nodez00_4096)
	{
		{	/* Reduce/sbeta.scm 224 */
			{	/* Reduce/sbeta.scm 232 */
				BgL_nodez00_bglt BgL_abodyz00_4157;

				BgL_abodyz00_4157 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->BgL_bodyz00));
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_abodyz00_4157)), BUNSPEC);
				{	/* Reduce/sbeta.scm 236 */
					obj_t BgL_g1379z00_4158;

					BgL_g1379z00_4158 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->BgL_bindingsz00);
					{
						obj_t BgL_l1377z00_4160;

						BgL_l1377z00_4160 = BgL_g1379z00_4158;
					BgL_zc3z04anonymousza31855ze3z87_4159:
						if (PAIRP(BgL_l1377z00_4160))
							{	/* Reduce/sbeta.scm 236 */
								{	/* Reduce/sbeta.scm 237 */
									obj_t BgL_bindingz00_4161;

									BgL_bindingz00_4161 = CAR(BgL_l1377z00_4160);
									{	/* Reduce/sbeta.scm 237 */
										BgL_nodez00_bglt BgL_arg1857z00_4162;

										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_arg1859z00_4163;

											BgL_arg1859z00_4163 = CDR(((obj_t) BgL_bindingz00_4161));
											BgL_arg1857z00_4162 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_arg1859z00_4163));
										}
										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_auxz00_5396;
											obj_t BgL_tmpz00_5394;

											BgL_auxz00_5396 = ((obj_t) BgL_arg1857z00_4162);
											BgL_tmpz00_5394 = ((obj_t) BgL_bindingz00_4161);
											SET_CDR(BgL_tmpz00_5394, BgL_auxz00_5396);
										}
									}
								}
								{
									obj_t BgL_l1377z00_5399;

									BgL_l1377z00_5399 = CDR(BgL_l1377z00_4160);
									BgL_l1377z00_4160 = BgL_l1377z00_5399;
									goto BgL_zc3z04anonymousza31855ze3z87_4159;
								}
							}
						else
							{	/* Reduce/sbeta.scm 236 */
								((bool_t) 1);
							}
					}
				}
				if (
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
						BgL_removablezf3zf3))
					{	/* Reduce/sbeta.scm 241 */
						if (NULLP(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
									BgL_bindingsz00)))
							{	/* Reduce/sbeta.scm 243 */
								return BgL_abodyz00_4157;
							}
						else
							{	/* Reduce/sbeta.scm 245 */
								bool_t BgL_test2378z00_5408;

								{	/* Reduce/sbeta.scm 245 */
									bool_t BgL_test2379z00_5409;

									{	/* Reduce/sbeta.scm 245 */
										obj_t BgL_g1382z00_4164;

										BgL_g1382z00_4164 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
											BgL_bindingsz00);
										{
											obj_t BgL_l1380z00_4166;

											BgL_l1380z00_4166 = BgL_g1382z00_4164;
										BgL_zc3z04anonymousza32026ze3z87_4165:
											if (NULLP(BgL_l1380z00_4166))
												{	/* Reduce/sbeta.scm 245 */
													BgL_test2379z00_5409 = ((bool_t) 0);
												}
											else
												{	/* Reduce/sbeta.scm 249 */
													bool_t BgL__ortest_1383z00_4167;

													{	/* Reduce/sbeta.scm 249 */
														obj_t BgL_bz00_4168;

														BgL_bz00_4168 = CAR(((obj_t) BgL_l1380z00_4166));
														{	/* Reduce/sbeta.scm 249 */
															bool_t BgL__ortest_1122z00_4169;

															BgL__ortest_1122z00_4169 =
																(
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_bz00_4168))))))->
																	BgL_occurrencez00) > ((long) 1));
															if (BgL__ortest_1122z00_4169)
																{	/* Reduce/sbeta.scm 249 */
																	BgL__ortest_1383z00_4167 =
																		BgL__ortest_1122z00_4169;
																}
															else
																{	/* Reduce/sbeta.scm 249 */
																	if (
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t) BgL_bz00_4168))))))->
																			BgL_userzf3zf3))
																		{	/* Reduce/sbeta.scm 251 */
																			obj_t BgL__andtest_1124z00_4170;

																			{	/* Reduce/sbeta.scm 252 */
																				obj_t BgL_arg2029z00_4171;

																				{	/* Reduce/sbeta.scm 252 */
																					obj_t BgL_arg2030z00_4172;

																					BgL_arg2030z00_4172 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_arg2029z00_4171 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg2030z00_4172)))->
																						BgL_debugzd2supportzd2);
																				}
																				BgL__andtest_1124z00_4170 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(CNST_TABLE_REF(((long) 5)),
																					BgL_arg2029z00_4171);
																			}
																			if (CBOOL(BgL__andtest_1124z00_4170))
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1383z00_4167 =
																						(
																						(long)
																						CINT
																						(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																						> ((long) 0));
																				}
																			else
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1383z00_4167 =
																						((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 250 */
																			BgL__ortest_1383z00_4167 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL__ortest_1383z00_4167)
														{	/* Reduce/sbeta.scm 245 */
															BgL_test2379z00_5409 = BgL__ortest_1383z00_4167;
														}
													else
														{	/* Reduce/sbeta.scm 245 */
															obj_t BgL_arg2028z00_4173;

															BgL_arg2028z00_4173 =
																CDR(((obj_t) BgL_l1380z00_4166));
															{
																obj_t BgL_l1380z00_5441;

																BgL_l1380z00_5441 = BgL_arg2028z00_4173;
																BgL_l1380z00_4166 = BgL_l1380z00_5441;
																goto BgL_zc3z04anonymousza32026ze3z87_4165;
															}
														}
												}
										}
									}
									if (BgL_test2379z00_5409)
										{	/* Reduce/sbeta.scm 245 */
											BgL_test2378z00_5408 = ((bool_t) 1);
										}
									else
										{	/* Reduce/sbeta.scm 255 */
											obj_t BgL_g1386z00_4174;

											BgL_g1386z00_4174 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
												BgL_bindingsz00);
											{
												obj_t BgL_l1384z00_4176;

												BgL_l1384z00_4176 = BgL_g1386z00_4174;
											BgL_zc3z04anonymousza32023ze3z87_4175:
												if (NULLP(BgL_l1384z00_4176))
													{	/* Reduce/sbeta.scm 255 */
														BgL_test2378z00_5408 = ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 255 */
														bool_t BgL__ortest_1387z00_4177;

														{	/* Reduce/sbeta.scm 255 */
															obj_t BgL_arg2025z00_4178;

															BgL_arg2025z00_4178 =
																CAR(((obj_t) BgL_l1384z00_4176));
															{	/* Reduce/sbeta.scm 201 */
																obj_t BgL_arg1731z00_4179;

																BgL_arg1731z00_4179 =
																	CDR(((obj_t) BgL_arg2025z00_4178));
																BgL__ortest_1387z00_4177 =
																	BGl_dangerouszf3zf3zzreduce_betaz00
																	(BgL_arg1731z00_4179);
															}
														}
														if (BgL__ortest_1387z00_4177)
															{	/* Reduce/sbeta.scm 255 */
																BgL_test2378z00_5408 = BgL__ortest_1387z00_4177;
															}
														else
															{	/* Reduce/sbeta.scm 255 */
																obj_t BgL_arg2024z00_4180;

																BgL_arg2024z00_4180 =
																	CDR(((obj_t) BgL_l1384z00_4176));
																{
																	obj_t BgL_l1384z00_5454;

																	BgL_l1384z00_5454 = BgL_arg2024z00_4180;
																	BgL_l1384z00_4176 = BgL_l1384z00_5454;
																	goto BgL_zc3z04anonymousza32023ze3z87_4175;
																}
															}
													}
											}
										}
								}
								if (BgL_test2378z00_5408)
									{	/* Reduce/sbeta.scm 245 */
										return
											((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4096));
									}
								else
									{	/* Reduce/sbeta.scm 257 */
										bool_t BgL_test2387z00_5457;

										{	/* Reduce/sbeta.scm 257 */
											bool_t BgL_test2388z00_5458;

											{	/* Reduce/sbeta.scm 257 */
												obj_t BgL_tmpz00_5459;

												BgL_tmpz00_5459 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
													BgL_bindingsz00);
												BgL_test2388z00_5458 = PAIRP(BgL_tmpz00_5459);
											}
											if (BgL_test2388z00_5458)
												{	/* Reduce/sbeta.scm 257 */
													if (NULLP(CDR(
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4096)))->BgL_bindingsz00))))
														{	/* Reduce/sbeta.scm 259 */
															BgL_variablez00_bglt BgL_varz00_4181;

															{	/* Reduce/sbeta.scm 259 */
																obj_t BgL_pairz00_4182;

																BgL_pairz00_4182 =
																	CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4096)))->
																		BgL_bindingsz00));
																BgL_varz00_4181 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_4182));
															}
															{	/* Reduce/sbeta.scm 207 */
																bool_t BgL_test2390z00_5473;

																{	/* Reduce/sbeta.scm 207 */
																	obj_t BgL_classz00_4183;

																	BgL_classz00_4183 = BGl_varz00zzast_nodez00;
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_objectz00_bglt BgL_arg1820z00_4184;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_tmpz00_5474;

																			BgL_tmpz00_5474 =
																				((obj_t) BgL_abodyz00_4157);
																			BgL_arg1820z00_4184 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_5474);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/sbeta.scm 207 */
																				long BgL_idxz00_4185;

																				BgL_idxz00_4185 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_4184);
																				BgL_test2390z00_5473 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4185 + ((long) 2))) ==
																					BgL_classz00_4183);
																			}
																		else
																			{	/* Reduce/sbeta.scm 207 */
																				bool_t BgL_res2178z00_4188;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_oclassz00_4189;

																					{	/* Reduce/sbeta.scm 207 */
																						long BgL_arg1828z00_4190;

																						{	/* Reduce/sbeta.scm 207 */
																							long BgL_arg1829z00_4191;

																							BgL_arg1829z00_4191 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_4184);
																							BgL_arg1828z00_4190 =
																								(BgL_arg1829z00_4191 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4189 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_4190);
																					}
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL__ortest_1111z00_4192;

																						BgL__ortest_1111z00_4192 =
																							(BgL_classz00_4183 ==
																							BgL_oclassz00_4189);
																						if (BgL__ortest_1111z00_4192)
																							{	/* Reduce/sbeta.scm 207 */
																								BgL_res2178z00_4188 =
																									BgL__ortest_1111z00_4192;
																							}
																						else
																							{	/* Reduce/sbeta.scm 207 */
																								long BgL_odepthz00_4193;

																								BgL_odepthz00_4193 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4189);
																								if ((((long) 2) <
																										BgL_odepthz00_4193))
																									{	/* Reduce/sbeta.scm 207 */
																										obj_t BgL_arg1816z00_4194;

																										BgL_arg1816z00_4194 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4189,
																											((long) 2));
																										BgL_res2178z00_4188 =
																											(BgL_arg1816z00_4194 ==
																											BgL_classz00_4183);
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2178z00_4188 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2390z00_5473 =
																					BgL_res2178z00_4188;
																			}
																	}
																}
																if (BgL_test2390z00_5473)
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2387z00_5457 =
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_abodyz00_4157)))->
																					BgL_variablez00)) ==
																			((obj_t) BgL_varz00_4181));
																	}
																else
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2387z00_5457 = ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Reduce/sbeta.scm 258 */
															BgL_test2387z00_5457 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 257 */
													BgL_test2387z00_5457 = ((bool_t) 0);
												}
										}
										if (BgL_test2387z00_5457)
											{	/* Reduce/sbeta.scm 257 */
												BGl_za2removedza2z00zzreduce_betaz00 =
													(BGl_za2removedza2z00zzreduce_betaz00 + ((long) 1));
												{	/* Reduce/sbeta.scm 262 */
													obj_t BgL_arg1904z00_4195;

													{	/* Reduce/sbeta.scm 262 */
														obj_t BgL_pairz00_4196;

														BgL_pairz00_4196 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_4096)))->
															BgL_bindingsz00);
														BgL_arg1904z00_4195 = CDR(CAR(BgL_pairz00_4196));
													}
													return
														BGl_nodezd2betaz12zc0zzreduce_betaz00(
														((BgL_nodez00_bglt) BgL_arg1904z00_4195));
												}
											}
										else
											{	/* Reduce/sbeta.scm 263 */
												bool_t BgL_test2394z00_5505;

												{	/* Reduce/sbeta.scm 263 */
													bool_t BgL_test2395z00_5506;

													{	/* Reduce/sbeta.scm 263 */
														obj_t BgL_classz00_4197;

														BgL_classz00_4197 = BGl_conditionalz00zzast_nodez00;
														{	/* Reduce/sbeta.scm 263 */
															BgL_objectz00_bglt BgL_arg1820z00_4198;

															{	/* Reduce/sbeta.scm 263 */
																obj_t BgL_tmpz00_5507;

																BgL_tmpz00_5507 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_abodyz00_4157));
																BgL_arg1820z00_4198 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_5507);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/sbeta.scm 263 */
																	long BgL_idxz00_4199;

																	BgL_idxz00_4199 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4198);
																	BgL_test2395z00_5506 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4199 + ((long) 3))) ==
																		BgL_classz00_4197);
																}
															else
																{	/* Reduce/sbeta.scm 263 */
																	bool_t BgL_res2179z00_4202;

																	{	/* Reduce/sbeta.scm 263 */
																		obj_t BgL_oclassz00_4203;

																		{	/* Reduce/sbeta.scm 263 */
																			long BgL_arg1828z00_4204;

																			{	/* Reduce/sbeta.scm 263 */
																				long BgL_arg1829z00_4205;

																				BgL_arg1829z00_4205 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4198);
																				BgL_arg1828z00_4204 =
																					(BgL_arg1829z00_4205 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4203 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4204);
																		}
																		{	/* Reduce/sbeta.scm 263 */
																			bool_t BgL__ortest_1111z00_4206;

																			BgL__ortest_1111z00_4206 =
																				(BgL_classz00_4197 ==
																				BgL_oclassz00_4203);
																			if (BgL__ortest_1111z00_4206)
																				{	/* Reduce/sbeta.scm 263 */
																					BgL_res2179z00_4202 =
																						BgL__ortest_1111z00_4206;
																				}
																			else
																				{	/* Reduce/sbeta.scm 263 */
																					long BgL_odepthz00_4207;

																					BgL_odepthz00_4207 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4203);
																					if ((((long) 3) < BgL_odepthz00_4207))
																						{	/* Reduce/sbeta.scm 263 */
																							obj_t BgL_arg1816z00_4208;

																							BgL_arg1816z00_4208 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4203,
																								((long) 3));
																							BgL_res2179z00_4202 =
																								(BgL_arg1816z00_4208 ==
																								BgL_classz00_4197);
																						}
																					else
																						{	/* Reduce/sbeta.scm 263 */
																							BgL_res2179z00_4202 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2395z00_5506 = BgL_res2179z00_4202;
																}
														}
													}
													if (BgL_test2395z00_5506)
														{	/* Reduce/sbeta.scm 263 */
															if (NULLP(CDR(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4096)))->
																			BgL_bindingsz00))))
																{	/* Reduce/sbeta.scm 265 */
																	BgL_variablez00_bglt BgL_varz00_4209;
																	BgL_nodez00_bglt BgL_nodez00_4210;

																	{	/* Reduce/sbeta.scm 265 */
																		obj_t BgL_pairz00_4211;

																		BgL_pairz00_4211 =
																			CAR(
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																						((BgL_letzd2varzd2_bglt)
																							BgL_nodez00_4096)))->
																				BgL_bindingsz00));
																		BgL_varz00_4209 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_4211));
																	}
																	BgL_nodez00_4210 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_abodyz00_4157)))->BgL_testz00);
																	{	/* Reduce/sbeta.scm 207 */
																		bool_t BgL_test2400z00_5539;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_classz00_4212;

																			BgL_classz00_4212 =
																				BGl_varz00zzast_nodez00;
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_objectz00_bglt BgL_arg1820z00_4213;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_tmpz00_5540;

																					BgL_tmpz00_5540 =
																						((obj_t) BgL_nodez00_4210);
																					BgL_arg1820z00_4213 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_5540);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Reduce/sbeta.scm 207 */
																						long BgL_idxz00_4214;

																						BgL_idxz00_4214 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1820z00_4213);
																						BgL_test2400z00_5539 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4214 +
																									((long) 2))) ==
																							BgL_classz00_4212);
																					}
																				else
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL_res2180z00_4217;

																						{	/* Reduce/sbeta.scm 207 */
																							obj_t BgL_oclassz00_4218;

																							{	/* Reduce/sbeta.scm 207 */
																								long BgL_arg1828z00_4219;

																								{	/* Reduce/sbeta.scm 207 */
																									long BgL_arg1829z00_4220;

																									BgL_arg1829z00_4220 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1820z00_4213);
																									BgL_arg1828z00_4219 =
																										(BgL_arg1829z00_4220 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4218 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1828z00_4219);
																							}
																							{	/* Reduce/sbeta.scm 207 */
																								bool_t BgL__ortest_1111z00_4221;

																								BgL__ortest_1111z00_4221 =
																									(BgL_classz00_4212 ==
																									BgL_oclassz00_4218);
																								if (BgL__ortest_1111z00_4221)
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2180z00_4217 =
																											BgL__ortest_1111z00_4221;
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										long BgL_odepthz00_4222;

																										BgL_odepthz00_4222 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_4218);
																										if ((((long) 2) <
																												BgL_odepthz00_4222))
																											{	/* Reduce/sbeta.scm 207 */
																												obj_t
																													BgL_arg1816z00_4223;
																												BgL_arg1816z00_4223 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_4218,
																													((long) 2));
																												BgL_res2180z00_4217 =
																													(BgL_arg1816z00_4223
																													== BgL_classz00_4212);
																											}
																										else
																											{	/* Reduce/sbeta.scm 207 */
																												BgL_res2180z00_4217 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2400z00_5539 =
																							BgL_res2180z00_4217;
																					}
																			}
																		}
																		if (BgL_test2400z00_5539)
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2394z00_5505 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										BgL_nodez00_4210)))->
																							BgL_variablez00)) ==
																					((obj_t) BgL_varz00_4209));
																			}
																		else
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2394z00_5505 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/sbeta.scm 264 */
																	BgL_test2394z00_5505 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/sbeta.scm 263 */
															BgL_test2394z00_5505 = ((bool_t) 0);
														}
												}
												if (BgL_test2394z00_5505)
													{	/* Reduce/sbeta.scm 263 */
														BGl_za2removedza2z00zzreduce_betaz00 =
															(BGl_za2removedza2z00zzreduce_betaz00 +
															((long) 1));
														{	/* Reduce/sbeta.scm 269 */
															obj_t BgL_valz00_4224;

															BgL_valz00_4224 =
																CDR(CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4096)))->
																		BgL_bindingsz00)));
															((((BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_abodyz00_4157)))->BgL_testz00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_valz00_4224)), BUNSPEC);
															if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt) (
																						(BgL_conditionalz00_bglt)
																						BgL_abodyz00_4157))))->
																		BgL_sidezd2effectzd2)))
																{	/* Reduce/sbeta.scm 271 */
																	BFALSE;
																}
															else
																{	/* Reduce/sbeta.scm 272 */
																	bool_t BgL_arg1921z00_4225;

																	BgL_arg1921z00_4225 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_4224));
																	((((BgL_nodezf2effectzf2_bglt) COBJECT(
																					((BgL_nodezf2effectzf2_bglt)
																						((BgL_conditionalz00_bglt)
																							BgL_abodyz00_4157))))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BBOOL(BgL_arg1921z00_4225)),
																		BUNSPEC);
																}
														}
														return BgL_abodyz00_4157;
													}
												else
													{	/* Reduce/sbeta.scm 274 */
														bool_t BgL_test2405z00_5583;

														{	/* Reduce/sbeta.scm 274 */
															bool_t BgL_test2406z00_5584;

															{	/* Reduce/sbeta.scm 274 */
																obj_t BgL_classz00_4226;

																BgL_classz00_4226 = BGl_appz00zzast_nodez00;
																{	/* Reduce/sbeta.scm 274 */
																	BgL_objectz00_bglt BgL_arg1820z00_4227;

																	{	/* Reduce/sbeta.scm 274 */
																		obj_t BgL_tmpz00_5585;

																		BgL_tmpz00_5585 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_abodyz00_4157));
																		BgL_arg1820z00_4227 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_5585);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/sbeta.scm 274 */
																			long BgL_idxz00_4228;

																			BgL_idxz00_4228 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_4227);
																			BgL_test2406z00_5584 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4228 + ((long) 3))) ==
																				BgL_classz00_4226);
																		}
																	else
																		{	/* Reduce/sbeta.scm 274 */
																			bool_t BgL_res2181z00_4231;

																			{	/* Reduce/sbeta.scm 274 */
																				obj_t BgL_oclassz00_4232;

																				{	/* Reduce/sbeta.scm 274 */
																					long BgL_arg1828z00_4233;

																					{	/* Reduce/sbeta.scm 274 */
																						long BgL_arg1829z00_4234;

																						BgL_arg1829z00_4234 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_4227);
																						BgL_arg1828z00_4233 =
																							(BgL_arg1829z00_4234 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4232 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_4233);
																				}
																				{	/* Reduce/sbeta.scm 274 */
																					bool_t BgL__ortest_1111z00_4235;

																					BgL__ortest_1111z00_4235 =
																						(BgL_classz00_4226 ==
																						BgL_oclassz00_4232);
																					if (BgL__ortest_1111z00_4235)
																						{	/* Reduce/sbeta.scm 274 */
																							BgL_res2181z00_4231 =
																								BgL__ortest_1111z00_4235;
																						}
																					else
																						{	/* Reduce/sbeta.scm 274 */
																							long BgL_odepthz00_4236;

																							BgL_odepthz00_4236 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4232);
																							if ((((long) 3) <
																									BgL_odepthz00_4236))
																								{	/* Reduce/sbeta.scm 274 */
																									obj_t BgL_arg1816z00_4237;

																									BgL_arg1816z00_4237 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4232,
																										((long) 3));
																									BgL_res2181z00_4231 =
																										(BgL_arg1816z00_4237 ==
																										BgL_classz00_4226);
																								}
																							else
																								{	/* Reduce/sbeta.scm 274 */
																									BgL_res2181z00_4231 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2406z00_5584 =
																				BgL_res2181z00_4231;
																		}
																}
															}
															if (BgL_test2406z00_5584)
																{	/* Reduce/sbeta.scm 275 */
																	bool_t BgL_test2410z00_5605;

																	{	/* Reduce/sbeta.scm 275 */
																		obj_t BgL_g1390z00_4238;

																		BgL_g1390z00_4238 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4157)))->BgL_argsz00);
																		{
																			obj_t BgL_l1388z00_4240;

																			BgL_l1388z00_4240 = BgL_g1390z00_4238;
																		BgL_zc3z04anonymousza32006ze3z87_4239:
																			if (NULLP(BgL_l1388z00_4240))
																				{	/* Reduce/sbeta.scm 275 */
																					BgL_test2410z00_5605 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/sbeta.scm 275 */
																					bool_t BgL_test2412z00_5610;

																					{	/* Reduce/sbeta.scm 275 */
																						obj_t BgL_arg2008z00_4241;

																						BgL_arg2008z00_4241 =
																							CAR(((obj_t) BgL_l1388z00_4240));
																						BgL_test2412z00_5610 =
																							BGl_simplezf3ze70z14zzreduce_betaz00
																							(BgL_arg2008z00_4241);
																					}
																					if (BgL_test2412z00_5610)
																						{	/* Reduce/sbeta.scm 275 */
																							obj_t BgL_arg2007z00_4242;

																							BgL_arg2007z00_4242 =
																								CDR(
																								((obj_t) BgL_l1388z00_4240));
																							{
																								obj_t BgL_l1388z00_5616;

																								BgL_l1388z00_5616 =
																									BgL_arg2007z00_4242;
																								BgL_l1388z00_4240 =
																									BgL_l1388z00_5616;
																								goto
																									BgL_zc3z04anonymousza32006ze3z87_4239;
																							}
																						}
																					else
																						{	/* Reduce/sbeta.scm 275 */
																							BgL_test2410z00_5605 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_test2410z00_5605)
																		{	/* Reduce/sbeta.scm 276 */
																			bool_t BgL_test2413z00_5617;

																			{	/* Reduce/sbeta.scm 276 */
																				obj_t BgL_g1394z00_4243;

																				BgL_g1394z00_4243 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_abodyz00_4157)))->
																					BgL_argsz00);
																				{
																					obj_t BgL_l1392z00_4245;

																					BgL_l1392z00_4245 = BgL_g1394z00_4243;
																				BgL_zc3z04anonymousza32003ze3z87_4244:
																					if (NULLP(BgL_l1392z00_4245))
																						{	/* Reduce/sbeta.scm 276 */
																							BgL_test2413z00_5617 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Reduce/sbeta.scm 276 */
																							bool_t BgL__ortest_1395z00_4246;

																							{	/* Reduce/sbeta.scm 276 */
																								obj_t BgL_arg2005z00_4247;

																								BgL_arg2005z00_4247 =
																									CAR(
																									((obj_t) BgL_l1392z00_4245));
																								BgL__ortest_1395z00_4246 =
																									BGl_sidezd2effectzf3z21zzeffect_effectz00
																									(((BgL_nodez00_bglt)
																										BgL_arg2005z00_4247));
																							}
																							if (BgL__ortest_1395z00_4246)
																								{	/* Reduce/sbeta.scm 276 */
																									BgL_test2413z00_5617 =
																										BgL__ortest_1395z00_4246;
																								}
																							else
																								{	/* Reduce/sbeta.scm 276 */
																									obj_t BgL_arg2004z00_4248;

																									BgL_arg2004z00_4248 =
																										CDR(
																										((obj_t)
																											BgL_l1392z00_4245));
																									{
																										obj_t BgL_l1392z00_5629;

																										BgL_l1392z00_5629 =
																											BgL_arg2004z00_4248;
																										BgL_l1392z00_4245 =
																											BgL_l1392z00_5629;
																										goto
																											BgL_zc3z04anonymousza32003ze3z87_4244;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test2413z00_5617)
																				{	/* Reduce/sbeta.scm 276 */
																					BgL_test2405z00_5583 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 277 */
																					obj_t BgL_g1398z00_4249;

																					BgL_g1398z00_4249 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4096)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1396z00_4251;

																						BgL_l1396z00_4251 =
																							BgL_g1398z00_4249;
																					BgL_zc3z04anonymousza31998ze3z87_4250:
																						if (NULLP
																							(BgL_l1396z00_4251))
																							{	/* Reduce/sbeta.scm 277 */
																								BgL_test2405z00_5583 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 277 */
																								bool_t BgL_test2417z00_5634;

																								{	/* Reduce/sbeta.scm 278 */
																									obj_t BgL_bz00_4252;

																									BgL_bz00_4252 =
																										CAR(
																										((obj_t)
																											BgL_l1396z00_4251));
																									{	/* Reduce/sbeta.scm 278 */
																										bool_t BgL_test2418z00_5637;

																										{	/* Reduce/sbeta.scm 278 */
																											obj_t BgL_arg2001z00_4253;
																											obj_t BgL_arg2002z00_4254;

																											BgL_arg2001z00_4253 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4252));
																											BgL_arg2002z00_4254 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_abodyz00_4157)))->
																												BgL_argsz00);
																											BgL_test2418z00_5637 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg2001z00_4253),
																												BgL_arg2002z00_4254);
																										}
																										if (BgL_test2418z00_5637)
																											{	/* Reduce/sbeta.scm 282 */
																												bool_t
																													BgL_test2419z00_5644;
																												{	/* Reduce/sbeta.scm 282 */
																													obj_t
																														BgL_arg2000z00_4255;
																													BgL_arg2000z00_4255 =
																														CDR(((obj_t)
																															BgL_bz00_4252));
																													{	/* Reduce/sbeta.scm 282 */
																														obj_t
																															BgL_classz00_4256;
																														BgL_classz00_4256 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg2000z00_4255))
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_objectz00_bglt
																																	BgL_arg1820z00_4257;
																																BgL_arg1820z00_4257
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg2000z00_4255);
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Reduce/sbeta.scm 282 */
																																		long
																																			BgL_idxz00_4258;
																																		BgL_idxz00_4258
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1820z00_4257);
																																		BgL_test2419z00_5644
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4258
																																					+
																																					((long) 2))) == BgL_classz00_4256);
																																	}
																																else
																																	{	/* Reduce/sbeta.scm 282 */
																																		bool_t
																																			BgL_res2182z00_4261;
																																		{	/* Reduce/sbeta.scm 282 */
																																			obj_t
																																				BgL_oclassz00_4262;
																																			{	/* Reduce/sbeta.scm 282 */
																																				long
																																					BgL_arg1828z00_4263;
																																				{	/* Reduce/sbeta.scm 282 */
																																					long
																																						BgL_arg1829z00_4264;
																																					BgL_arg1829z00_4264
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1820z00_4257);
																																					BgL_arg1828z00_4263
																																						=
																																						(BgL_arg1829z00_4264
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4262
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1828z00_4263);
																																			}
																																			{	/* Reduce/sbeta.scm 282 */
																																				bool_t
																																					BgL__ortest_1111z00_4265;
																																				BgL__ortest_1111z00_4265
																																					=
																																					(BgL_classz00_4256
																																					==
																																					BgL_oclassz00_4262);
																																				if (BgL__ortest_1111z00_4265)
																																					{	/* Reduce/sbeta.scm 282 */
																																						BgL_res2182z00_4261
																																							=
																																							BgL__ortest_1111z00_4265;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 282 */
																																						long
																																							BgL_odepthz00_4266;
																																						BgL_odepthz00_4266
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_4262);
																																						if (
																																							(((long) 2) < BgL_odepthz00_4266))
																																							{	/* Reduce/sbeta.scm 282 */
																																								obj_t
																																									BgL_arg1816z00_4267;
																																								BgL_arg1816z00_4267
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_4262,
																																									((long) 2));
																																								BgL_res2182z00_4261
																																									=
																																									(BgL_arg1816z00_4267
																																									==
																																									BgL_classz00_4256);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 282 */
																																								BgL_res2182z00_4261
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test2419z00_5644
																																			=
																																			BgL_res2182z00_4261;
																																	}
																															}
																														else
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_test2419z00_5644
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2419z00_5644)
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2417z00_5634
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2417z00_5634
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 278 */
																												BgL_test2417z00_5634 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2417z00_5634)
																									{	/* Reduce/sbeta.scm 277 */
																										obj_t BgL_arg1999z00_4268;

																										BgL_arg1999z00_4268 =
																											CDR(
																											((obj_t)
																												BgL_l1396z00_4251));
																										{
																											obj_t BgL_l1396z00_5668;

																											BgL_l1396z00_5668 =
																												BgL_arg1999z00_4268;
																											BgL_l1396z00_4251 =
																												BgL_l1396z00_5668;
																											goto
																												BgL_zc3z04anonymousza31998ze3z87_4250;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 277 */
																										BgL_test2405z00_5583 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 275 */
																			BgL_test2405z00_5583 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/sbeta.scm 274 */
																	BgL_test2405z00_5583 = ((bool_t) 0);
																}
														}
														if (BgL_test2405z00_5583)
															{	/* Reduce/sbeta.scm 274 */
																BGl_za2removedza2z00zzreduce_betaz00 =
																	(BGl_za2removedza2z00zzreduce_betaz00 +
																	bgl_list_length(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4096)))->
																			BgL_bindingsz00)));
																{	/* Reduce/sbeta.scm 288 */
																	obj_t BgL_nargsz00_4269;

																	{	/* Reduce/sbeta.scm 288 */
																		obj_t BgL_arg1959z00_4270;
																		obj_t BgL_arg1960z00_4271;

																		BgL_arg1959z00_4270 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4096)))->
																			BgL_bindingsz00);
																		BgL_arg1960z00_4271 =
																			(((BgL_appz00_bglt)
																				COBJECT(((BgL_appz00_bglt)
																						BgL_abodyz00_4157)))->BgL_argsz00);
																		BgL_nargsz00_4269 =
																			BGl_makezd2argszd2listz00zzreduce_betaz00
																			(BgL_arg1959z00_4270,
																			BgL_arg1960z00_4271);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4157)))->BgL_argsz00) =
																		((obj_t) BgL_nargsz00_4269), BUNSPEC);
																	if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt) (
																								(BgL_appz00_bglt)
																								BgL_abodyz00_4157))))->
																				BgL_sidezd2effectzd2)))
																		{	/* Reduce/sbeta.scm 290 */
																			BFALSE;
																		}
																	else
																		{	/* Reduce/sbeta.scm 291 */
																			bool_t BgL_arg1954z00_4272;

																			{
																				obj_t BgL_l1400z00_4274;

																				BgL_l1400z00_4274 = BgL_nargsz00_4269;
																			BgL_zc3z04anonymousza31955ze3z87_4273:
																				if (NULLP(BgL_l1400z00_4274))
																					{	/* Reduce/sbeta.scm 291 */
																						BgL_arg1954z00_4272 = ((bool_t) 0);
																					}
																				else
																					{	/* Reduce/sbeta.scm 291 */
																						bool_t BgL__ortest_1402z00_4275;

																						{	/* Reduce/sbeta.scm 291 */
																							obj_t BgL_arg1958z00_4276;

																							BgL_arg1958z00_4276 =
																								CAR(
																								((obj_t) BgL_l1400z00_4274));
																							BgL__ortest_1402z00_4275 =
																								BGl_sidezd2effectzf3z21zzeffect_effectz00
																								(((BgL_nodez00_bglt)
																									BgL_arg1958z00_4276));
																						}
																						if (BgL__ortest_1402z00_4275)
																							{	/* Reduce/sbeta.scm 291 */
																								BgL_arg1954z00_4272 =
																									BgL__ortest_1402z00_4275;
																							}
																						else
																							{	/* Reduce/sbeta.scm 291 */
																								obj_t BgL_arg1957z00_4277;

																								BgL_arg1957z00_4277 =
																									CDR(
																									((obj_t) BgL_l1400z00_4274));
																								{
																									obj_t BgL_l1400z00_5694;

																									BgL_l1400z00_5694 =
																										BgL_arg1957z00_4277;
																									BgL_l1400z00_4274 =
																										BgL_l1400z00_5694;
																									goto
																										BgL_zc3z04anonymousza31955ze3z87_4273;
																								}
																							}
																					}
																			}
																			((((BgL_nodezf2effectzf2_bglt) COBJECT(
																							((BgL_nodezf2effectzf2_bglt)
																								((BgL_appz00_bglt)
																									BgL_abodyz00_4157))))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BBOOL(BgL_arg1954z00_4272)),
																				BUNSPEC);
																		}
																}
																return BgL_abodyz00_4157;
															}
														else
															{	/* Reduce/sbeta.scm 293 */
																bool_t BgL_test2427z00_5699;

																{	/* Reduce/sbeta.scm 293 */
																	bool_t BgL_test2428z00_5700;

																	{	/* Reduce/sbeta.scm 293 */
																		obj_t BgL_classz00_4278;

																		BgL_classz00_4278 =
																			BGl_externz00zzast_nodez00;
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_objectz00_bglt BgL_arg1820z00_4279;

																			{	/* Reduce/sbeta.scm 293 */
																				obj_t BgL_tmpz00_5701;

																				BgL_tmpz00_5701 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_abodyz00_4157));
																				BgL_arg1820z00_4279 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_5701);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/sbeta.scm 293 */
																					long BgL_idxz00_4280;

																					BgL_idxz00_4280 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_4279);
																					BgL_test2428z00_5700 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4280 + ((long) 3))) ==
																						BgL_classz00_4278);
																				}
																			else
																				{	/* Reduce/sbeta.scm 293 */
																					bool_t BgL_res2183z00_4283;

																					{	/* Reduce/sbeta.scm 293 */
																						obj_t BgL_oclassz00_4284;

																						{	/* Reduce/sbeta.scm 293 */
																							long BgL_arg1828z00_4285;

																							{	/* Reduce/sbeta.scm 293 */
																								long BgL_arg1829z00_4286;

																								BgL_arg1829z00_4286 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_4279);
																								BgL_arg1828z00_4285 =
																									(BgL_arg1829z00_4286 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4284 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_4285);
																						}
																						{	/* Reduce/sbeta.scm 293 */
																							bool_t BgL__ortest_1111z00_4287;

																							BgL__ortest_1111z00_4287 =
																								(BgL_classz00_4278 ==
																								BgL_oclassz00_4284);
																							if (BgL__ortest_1111z00_4287)
																								{	/* Reduce/sbeta.scm 293 */
																									BgL_res2183z00_4283 =
																										BgL__ortest_1111z00_4287;
																								}
																							else
																								{	/* Reduce/sbeta.scm 293 */
																									long BgL_odepthz00_4288;

																									BgL_odepthz00_4288 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4284);
																									if ((((long) 3) <
																											BgL_odepthz00_4288))
																										{	/* Reduce/sbeta.scm 293 */
																											obj_t BgL_arg1816z00_4289;

																											BgL_arg1816z00_4289 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4284,
																												((long) 3));
																											BgL_res2183z00_4283 =
																												(BgL_arg1816z00_4289 ==
																												BgL_classz00_4278);
																										}
																									else
																										{	/* Reduce/sbeta.scm 293 */
																											BgL_res2183z00_4283 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2428z00_5700 =
																						BgL_res2183z00_4283;
																				}
																		}
																	}
																	if (BgL_test2428z00_5700)
																		{	/* Reduce/sbeta.scm 294 */
																			bool_t BgL_test2432z00_5721;

																			{	/* Reduce/sbeta.scm 294 */
																				obj_t BgL_g1405z00_4290;

																				BgL_g1405z00_4290 =
																					(((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4157)))->
																					BgL_exprza2za2);
																				{
																					obj_t BgL_l1403z00_4292;

																					BgL_l1403z00_4292 = BgL_g1405z00_4290;
																				BgL_zc3z04anonymousza31995ze3z87_4291:
																					if (NULLP(BgL_l1403z00_4292))
																						{	/* Reduce/sbeta.scm 294 */
																							BgL_test2432z00_5721 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Reduce/sbeta.scm 294 */
																							bool_t BgL_test2434z00_5726;

																							{	/* Reduce/sbeta.scm 294 */
																								obj_t BgL_arg1997z00_4293;

																								BgL_arg1997z00_4293 =
																									CAR(
																									((obj_t) BgL_l1403z00_4292));
																								BgL_test2434z00_5726 =
																									BGl_simplezf3ze70z14zzreduce_betaz00
																									(BgL_arg1997z00_4293);
																							}
																							if (BgL_test2434z00_5726)
																								{	/* Reduce/sbeta.scm 294 */
																									obj_t BgL_arg1996z00_4294;

																									BgL_arg1996z00_4294 =
																										CDR(
																										((obj_t)
																											BgL_l1403z00_4292));
																									{
																										obj_t BgL_l1403z00_5732;

																										BgL_l1403z00_5732 =
																											BgL_arg1996z00_4294;
																										BgL_l1403z00_4292 =
																											BgL_l1403z00_5732;
																										goto
																											BgL_zc3z04anonymousza31995ze3z87_4291;
																									}
																								}
																							else
																								{	/* Reduce/sbeta.scm 294 */
																									BgL_test2432z00_5721 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			if (BgL_test2432z00_5721)
																				{	/* Reduce/sbeta.scm 295 */
																					obj_t BgL_g1409z00_4295;

																					BgL_g1409z00_4295 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4096)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1407z00_4297;

																						BgL_l1407z00_4297 =
																							BgL_g1409z00_4295;
																					BgL_zc3z04anonymousza31990ze3z87_4296:
																						if (NULLP
																							(BgL_l1407z00_4297))
																							{	/* Reduce/sbeta.scm 295 */
																								BgL_test2427z00_5699 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 295 */
																								bool_t BgL_test2436z00_5737;

																								{	/* Reduce/sbeta.scm 296 */
																									obj_t BgL_bz00_4298;

																									BgL_bz00_4298 =
																										CAR(
																										((obj_t)
																											BgL_l1407z00_4297));
																									{	/* Reduce/sbeta.scm 296 */
																										bool_t BgL_test2437z00_5740;

																										{	/* Reduce/sbeta.scm 296 */
																											obj_t BgL_arg1993z00_4299;
																											obj_t BgL_arg1994z00_4300;

																											BgL_arg1993z00_4299 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4298));
																											BgL_arg1994z00_4300 =
																												(((BgL_externz00_bglt)
																													COBJECT((
																															(BgL_externz00_bglt)
																															BgL_abodyz00_4157)))->
																												BgL_exprza2za2);
																											BgL_test2437z00_5740 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg1993z00_4299),
																												BgL_arg1994z00_4300);
																										}
																										if (BgL_test2437z00_5740)
																											{	/* Reduce/sbeta.scm 300 */
																												bool_t
																													BgL_test2438z00_5747;
																												{	/* Reduce/sbeta.scm 300 */
																													obj_t
																														BgL_arg1992z00_4301;
																													BgL_arg1992z00_4301 =
																														CDR(((obj_t)
																															BgL_bz00_4298));
																													{	/* Reduce/sbeta.scm 300 */
																														obj_t
																															BgL_classz00_4302;
																														BgL_classz00_4302 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg1992z00_4301))
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_objectz00_bglt
																																	BgL_arg1820z00_4303;
																																BgL_arg1820z00_4303
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg1992z00_4301);
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Reduce/sbeta.scm 300 */
																																		long
																																			BgL_idxz00_4304;
																																		BgL_idxz00_4304
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1820z00_4303);
																																		BgL_test2438z00_5747
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4304
																																					+
																																					((long) 2))) == BgL_classz00_4302);
																																	}
																																else
																																	{	/* Reduce/sbeta.scm 300 */
																																		bool_t
																																			BgL_res2184z00_4307;
																																		{	/* Reduce/sbeta.scm 300 */
																																			obj_t
																																				BgL_oclassz00_4308;
																																			{	/* Reduce/sbeta.scm 300 */
																																				long
																																					BgL_arg1828z00_4309;
																																				{	/* Reduce/sbeta.scm 300 */
																																					long
																																						BgL_arg1829z00_4310;
																																					BgL_arg1829z00_4310
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1820z00_4303);
																																					BgL_arg1828z00_4309
																																						=
																																						(BgL_arg1829z00_4310
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4308
																																					=
																																					VECTOR_REF
																																					(BGl_za2classesza2z00zz__objectz00,
																																					BgL_arg1828z00_4309);
																																			}
																																			{	/* Reduce/sbeta.scm 300 */
																																				bool_t
																																					BgL__ortest_1111z00_4311;
																																				BgL__ortest_1111z00_4311
																																					=
																																					(BgL_classz00_4302
																																					==
																																					BgL_oclassz00_4308);
																																				if (BgL__ortest_1111z00_4311)
																																					{	/* Reduce/sbeta.scm 300 */
																																						BgL_res2184z00_4307
																																							=
																																							BgL__ortest_1111z00_4311;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 300 */
																																						long
																																							BgL_odepthz00_4312;
																																						BgL_odepthz00_4312
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_oclassz00_4308);
																																						if (
																																							(((long) 2) < BgL_odepthz00_4312))
																																							{	/* Reduce/sbeta.scm 300 */
																																								obj_t
																																									BgL_arg1816z00_4313;
																																								BgL_arg1816z00_4313
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_oclassz00_4308,
																																									((long) 2));
																																								BgL_res2184z00_4307
																																									=
																																									(BgL_arg1816z00_4313
																																									==
																																									BgL_classz00_4302);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 300 */
																																								BgL_res2184z00_4307
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test2438z00_5747
																																			=
																																			BgL_res2184z00_4307;
																																	}
																															}
																														else
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_test2438z00_5747
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2438z00_5747)
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2436z00_5737
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2436z00_5737
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 296 */
																												BgL_test2436z00_5737 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2436z00_5737)
																									{	/* Reduce/sbeta.scm 295 */
																										obj_t BgL_arg1991z00_4314;

																										BgL_arg1991z00_4314 =
																											CDR(
																											((obj_t)
																												BgL_l1407z00_4297));
																										{
																											obj_t BgL_l1407z00_5771;

																											BgL_l1407z00_5771 =
																												BgL_arg1991z00_4314;
																											BgL_l1407z00_4297 =
																												BgL_l1407z00_5771;
																											goto
																												BgL_zc3z04anonymousza31990ze3z87_4296;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 295 */
																										BgL_test2427z00_5699 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Reduce/sbeta.scm 294 */
																					BgL_test2427z00_5699 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_test2427z00_5699 = ((bool_t) 0);
																		}
																}
																if (BgL_test2427z00_5699)
																	{	/* Reduce/sbeta.scm 293 */
																		BGl_za2removedza2z00zzreduce_betaz00 =
																			(BGl_za2removedza2z00zzreduce_betaz00 +
																			bgl_list_length(
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4096)))->
																					BgL_bindingsz00)));
																		{	/* Reduce/sbeta.scm 306 */
																			obj_t BgL_nexprza2za2_4315;

																			{	/* Reduce/sbeta.scm 306 */
																				obj_t BgL_arg1987z00_4316;
																				obj_t BgL_arg1988z00_4317;

																				BgL_arg1987z00_4316 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4096)))->
																					BgL_bindingsz00);
																				BgL_arg1988z00_4317 =
																					(((BgL_externz00_bglt)
																						COBJECT(((BgL_externz00_bglt) ((
																										(BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_4096)))->
																									BgL_bodyz00))))->
																					BgL_exprza2za2);
																				BgL_nexprza2za2_4315 =
																					BGl_makezd2argszd2listz00zzreduce_betaz00
																					(BgL_arg1987z00_4316,
																					BgL_arg1988z00_4317);
																			}
																			((((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4157)))->
																					BgL_exprza2za2) =
																				((obj_t) ((obj_t)
																						BgL_nexprza2za2_4315)), BUNSPEC);
																			if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt) (
																										(BgL_externz00_bglt)
																										BgL_abodyz00_4157))))->
																						BgL_sidezd2effectzd2)))
																				{	/* Reduce/sbeta.scm 308 */
																					BFALSE;
																				}
																			else
																				{	/* Reduce/sbeta.scm 309 */
																					bool_t BgL_arg1982z00_4318;

																					{
																						obj_t BgL_l1411z00_4320;

																						BgL_l1411z00_4320 =
																							BgL_nexprza2za2_4315;
																					BgL_zc3z04anonymousza31983ze3z87_4319:
																						if (NULLP
																							(BgL_l1411z00_4320))
																							{	/* Reduce/sbeta.scm 309 */
																								BgL_arg1982z00_4318 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Reduce/sbeta.scm 309 */
																								bool_t BgL__ortest_1413z00_4321;

																								{	/* Reduce/sbeta.scm 309 */
																									obj_t BgL_arg1986z00_4322;

																									BgL_arg1986z00_4322 =
																										CAR(
																										((obj_t)
																											BgL_l1411z00_4320));
																									BgL__ortest_1413z00_4321 =
																										BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																											BgL_arg1986z00_4322));
																								}
																								if (BgL__ortest_1413z00_4321)
																									{	/* Reduce/sbeta.scm 309 */
																										BgL_arg1982z00_4318 =
																											BgL__ortest_1413z00_4321;
																									}
																								else
																									{	/* Reduce/sbeta.scm 309 */
																										obj_t BgL_arg1985z00_4323;

																										BgL_arg1985z00_4323 =
																											CDR(
																											((obj_t)
																												BgL_l1411z00_4320));
																										{
																											obj_t BgL_l1411z00_5800;

																											BgL_l1411z00_5800 =
																												BgL_arg1985z00_4323;
																											BgL_l1411z00_4320 =
																												BgL_l1411z00_5800;
																											goto
																												BgL_zc3z04anonymousza31983ze3z87_4319;
																										}
																									}
																							}
																					}
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										((BgL_externz00_bglt)
																											BgL_abodyz00_4157))))->
																							BgL_sidezd2effectzd2) =
																						((obj_t)
																							BBOOL(BgL_arg1982z00_4318)),
																						BUNSPEC);
																				}
																		}
																		return BgL_abodyz00_4157;
																	}
																else
																	{	/* Reduce/sbeta.scm 293 */
																		return
																			((BgL_nodez00_bglt)
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4096));
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Reduce/sbeta.scm 241 */
						return
							((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_4096));
					}
			}
		}

	}



/* simple?~0 */
	bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t BgL_ez00_2077)
	{
		{	/* Reduce/sbeta.scm 230 */
			{	/* Reduce/sbeta.scm 226 */
				bool_t BgL__ortest_1112z00_2079;

				{	/* Reduce/sbeta.scm 226 */
					obj_t BgL_classz00_3196;

					BgL_classz00_3196 = BGl_atomz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_ez00_2077))
						{	/* Reduce/sbeta.scm 226 */
							BgL_objectz00_bglt BgL_arg1820z00_3198;

							BgL_arg1820z00_3198 = (BgL_objectz00_bglt) (BgL_ez00_2077);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/sbeta.scm 226 */
									long BgL_idxz00_3204;

									BgL_idxz00_3204 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3198);
									BgL__ortest_1112z00_2079 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3204 + ((long) 2))) == BgL_classz00_3196);
								}
							else
								{	/* Reduce/sbeta.scm 226 */
									bool_t BgL_res2173z00_3226;

									{	/* Reduce/sbeta.scm 226 */
										obj_t BgL_oclassz00_3212;

										{	/* Reduce/sbeta.scm 226 */
											long BgL_arg1828z00_3218;

											{	/* Reduce/sbeta.scm 226 */
												long BgL_arg1829z00_3219;

												BgL_arg1829z00_3219 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3198);
												BgL_arg1828z00_3218 =
													(BgL_arg1829z00_3219 - OBJECT_TYPE);
											}
											BgL_oclassz00_3212 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3218);
										}
										{	/* Reduce/sbeta.scm 226 */
											bool_t BgL__ortest_1111z00_3213;

											BgL__ortest_1111z00_3213 =
												(BgL_classz00_3196 == BgL_oclassz00_3212);
											if (BgL__ortest_1111z00_3213)
												{	/* Reduce/sbeta.scm 226 */
													BgL_res2173z00_3226 = BgL__ortest_1111z00_3213;
												}
											else
												{	/* Reduce/sbeta.scm 226 */
													long BgL_odepthz00_3214;

													BgL_odepthz00_3214 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3212);
													if ((((long) 2) < BgL_odepthz00_3214))
														{	/* Reduce/sbeta.scm 226 */
															obj_t BgL_arg1816z00_3216;

															BgL_arg1816z00_3216 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3212,
																((long) 2));
															BgL_res2173z00_3226 =
																(BgL_arg1816z00_3216 == BgL_classz00_3196);
														}
													else
														{	/* Reduce/sbeta.scm 226 */
															BgL_res2173z00_3226 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1112z00_2079 = BgL_res2173z00_3226;
								}
						}
					else
						{	/* Reduce/sbeta.scm 226 */
							BgL__ortest_1112z00_2079 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1112z00_2079)
					{	/* Reduce/sbeta.scm 226 */
						return BgL__ortest_1112z00_2079;
					}
				else
					{	/* Reduce/sbeta.scm 227 */
						bool_t BgL__ortest_1114z00_2080;

						{	/* Reduce/sbeta.scm 227 */
							obj_t BgL_classz00_3227;

							BgL_classz00_3227 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_ez00_2077))
								{	/* Reduce/sbeta.scm 227 */
									BgL_objectz00_bglt BgL_arg1820z00_3229;

									BgL_arg1820z00_3229 = (BgL_objectz00_bglt) (BgL_ez00_2077);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 227 */
											long BgL_idxz00_3235;

											BgL_idxz00_3235 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3229);
											BgL__ortest_1114z00_2080 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3235 + ((long) 2))) == BgL_classz00_3227);
										}
									else
										{	/* Reduce/sbeta.scm 227 */
											bool_t BgL_res2174z00_3257;

											{	/* Reduce/sbeta.scm 227 */
												obj_t BgL_oclassz00_3243;

												{	/* Reduce/sbeta.scm 227 */
													long BgL_arg1828z00_3249;

													{	/* Reduce/sbeta.scm 227 */
														long BgL_arg1829z00_3250;

														BgL_arg1829z00_3250 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3229);
														BgL_arg1828z00_3249 =
															(BgL_arg1829z00_3250 - OBJECT_TYPE);
													}
													BgL_oclassz00_3243 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3249);
												}
												{	/* Reduce/sbeta.scm 227 */
													bool_t BgL__ortest_1111z00_3244;

													BgL__ortest_1111z00_3244 =
														(BgL_classz00_3227 == BgL_oclassz00_3243);
													if (BgL__ortest_1111z00_3244)
														{	/* Reduce/sbeta.scm 227 */
															BgL_res2174z00_3257 = BgL__ortest_1111z00_3244;
														}
													else
														{	/* Reduce/sbeta.scm 227 */
															long BgL_odepthz00_3245;

															BgL_odepthz00_3245 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3243);
															if ((((long) 2) < BgL_odepthz00_3245))
																{	/* Reduce/sbeta.scm 227 */
																	obj_t BgL_arg1816z00_3247;

																	BgL_arg1816z00_3247 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3243,
																		((long) 2));
																	BgL_res2174z00_3257 =
																		(BgL_arg1816z00_3247 == BgL_classz00_3227);
																}
															else
																{	/* Reduce/sbeta.scm 227 */
																	BgL_res2174z00_3257 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1114z00_2080 = BgL_res2174z00_3257;
										}
								}
							else
								{	/* Reduce/sbeta.scm 227 */
									BgL__ortest_1114z00_2080 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1114z00_2080)
							{	/* Reduce/sbeta.scm 227 */
								return BgL__ortest_1114z00_2080;
							}
						else
							{	/* Reduce/sbeta.scm 228 */
								bool_t BgL__ortest_1115z00_2081;

								{	/* Reduce/sbeta.scm 228 */
									bool_t BgL_test2456z00_5849;

									{	/* Reduce/sbeta.scm 228 */
										obj_t BgL_classz00_3258;

										BgL_classz00_3258 = BGl_vrefz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_ez00_2077))
											{	/* Reduce/sbeta.scm 228 */
												BgL_objectz00_bglt BgL_arg1820z00_3260;

												BgL_arg1820z00_3260 =
													(BgL_objectz00_bglt) (BgL_ez00_2077);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/sbeta.scm 228 */
														long BgL_idxz00_3266;

														BgL_idxz00_3266 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3260);
														BgL_test2456z00_5849 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3266 + ((long) 5))) ==
															BgL_classz00_3258);
													}
												else
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_res2175z00_3288;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_oclassz00_3274;

															{	/* Reduce/sbeta.scm 228 */
																long BgL_arg1828z00_3280;

																{	/* Reduce/sbeta.scm 228 */
																	long BgL_arg1829z00_3281;

																	BgL_arg1829z00_3281 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3260);
																	BgL_arg1828z00_3280 =
																		(BgL_arg1829z00_3281 - OBJECT_TYPE);
																}
																BgL_oclassz00_3274 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3280);
															}
															{	/* Reduce/sbeta.scm 228 */
																bool_t BgL__ortest_1111z00_3275;

																BgL__ortest_1111z00_3275 =
																	(BgL_classz00_3258 == BgL_oclassz00_3274);
																if (BgL__ortest_1111z00_3275)
																	{	/* Reduce/sbeta.scm 228 */
																		BgL_res2175z00_3288 =
																			BgL__ortest_1111z00_3275;
																	}
																else
																	{	/* Reduce/sbeta.scm 228 */
																		long BgL_odepthz00_3276;

																		BgL_odepthz00_3276 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3274);
																		if ((((long) 5) < BgL_odepthz00_3276))
																			{	/* Reduce/sbeta.scm 228 */
																				obj_t BgL_arg1816z00_3278;

																				BgL_arg1816z00_3278 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3274, ((long) 5));
																				BgL_res2175z00_3288 =
																					(BgL_arg1816z00_3278 ==
																					BgL_classz00_3258);
																			}
																		else
																			{	/* Reduce/sbeta.scm 228 */
																				BgL_res2175z00_3288 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2456z00_5849 = BgL_res2175z00_3288;
													}
											}
										else
											{	/* Reduce/sbeta.scm 228 */
												BgL_test2456z00_5849 = ((bool_t) 0);
											}
									}
									if (BgL_test2456z00_5849)
										{	/* Reduce/sbeta.scm 228 */
											obj_t BgL_g1367z00_2108;

											BgL_g1367z00_2108 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_vrefz00_bglt) BgL_ez00_2077))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1365z00_2110;

												BgL_l1365z00_2110 = BgL_g1367z00_2108;
											BgL_zc3z04anonymousza32048ze3z87_2111:
												if (NULLP(BgL_l1365z00_2110))
													{	/* Reduce/sbeta.scm 228 */
														BgL__ortest_1115z00_2081 = ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_test2462z00_5874;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_arg2051z00_2116;

															BgL_arg2051z00_2116 =
																CAR(((obj_t) BgL_l1365z00_2110));
															BgL_test2462z00_5874 =
																BGl_simplezf3ze70z14zzreduce_betaz00
																(BgL_arg2051z00_2116);
														}
														if (BgL_test2462z00_5874)
															{	/* Reduce/sbeta.scm 228 */
																obj_t BgL_arg2050z00_2115;

																BgL_arg2050z00_2115 =
																	CDR(((obj_t) BgL_l1365z00_2110));
																{
																	obj_t BgL_l1365z00_5880;

																	BgL_l1365z00_5880 = BgL_arg2050z00_2115;
																	BgL_l1365z00_2110 = BgL_l1365z00_5880;
																	goto BgL_zc3z04anonymousza32048ze3z87_2111;
																}
															}
														else
															{	/* Reduce/sbeta.scm 228 */
																BgL__ortest_1115z00_2081 = ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 228 */
											BgL__ortest_1115z00_2081 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1115z00_2081)
									{	/* Reduce/sbeta.scm 228 */
										return BgL__ortest_1115z00_2081;
									}
								else
									{	/* Reduce/sbeta.scm 229 */
										bool_t BgL__ortest_1116z00_2082;

										{	/* Reduce/sbeta.scm 229 */
											bool_t BgL_test2464z00_5882;

											{	/* Reduce/sbeta.scm 229 */
												obj_t BgL_classz00_3292;

												BgL_classz00_3292 = BGl_appz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_ez00_2077))
													{	/* Reduce/sbeta.scm 229 */
														BgL_objectz00_bglt BgL_arg1820z00_3294;

														BgL_arg1820z00_3294 =
															(BgL_objectz00_bglt) (BgL_ez00_2077);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Reduce/sbeta.scm 229 */
																long BgL_idxz00_3300;

																BgL_idxz00_3300 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3294);
																BgL_test2464z00_5882 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3300 + ((long) 3))) ==
																	BgL_classz00_3292);
															}
														else
															{	/* Reduce/sbeta.scm 229 */
																bool_t BgL_res2176z00_3322;

																{	/* Reduce/sbeta.scm 229 */
																	obj_t BgL_oclassz00_3308;

																	{	/* Reduce/sbeta.scm 229 */
																		long BgL_arg1828z00_3314;

																		{	/* Reduce/sbeta.scm 229 */
																			long BgL_arg1829z00_3315;

																			BgL_arg1829z00_3315 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3294);
																			BgL_arg1828z00_3314 =
																				(BgL_arg1829z00_3315 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3308 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3314);
																	}
																	{	/* Reduce/sbeta.scm 229 */
																		bool_t BgL__ortest_1111z00_3309;

																		BgL__ortest_1111z00_3309 =
																			(BgL_classz00_3292 == BgL_oclassz00_3308);
																		if (BgL__ortest_1111z00_3309)
																			{	/* Reduce/sbeta.scm 229 */
																				BgL_res2176z00_3322 =
																					BgL__ortest_1111z00_3309;
																			}
																		else
																			{	/* Reduce/sbeta.scm 229 */
																				long BgL_odepthz00_3310;

																				BgL_odepthz00_3310 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3308);
																				if ((((long) 3) < BgL_odepthz00_3310))
																					{	/* Reduce/sbeta.scm 229 */
																						obj_t BgL_arg1816z00_3312;

																						BgL_arg1816z00_3312 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3308, ((long) 3));
																						BgL_res2176z00_3322 =
																							(BgL_arg1816z00_3312 ==
																							BgL_classz00_3292);
																					}
																				else
																					{	/* Reduce/sbeta.scm 229 */
																						BgL_res2176z00_3322 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2464z00_5882 = BgL_res2176z00_3322;
															}
													}
												else
													{	/* Reduce/sbeta.scm 229 */
														BgL_test2464z00_5882 = ((bool_t) 0);
													}
											}
											if (BgL_test2464z00_5882)
												{	/* Reduce/sbeta.scm 229 */
													bool_t BgL_test2469z00_5902;

													{	/* Reduce/sbeta.scm 229 */
														obj_t BgL_g1371z00_2097;

														BgL_g1371z00_2097 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_ez00_2077)))->
															BgL_argsz00);
														{
															obj_t BgL_l1369z00_2099;

															BgL_l1369z00_2099 = BgL_g1371z00_2097;
														BgL_zc3z04anonymousza32044ze3z87_2100:
															if (NULLP(BgL_l1369z00_2099))
																{	/* Reduce/sbeta.scm 229 */
																	BgL_test2469z00_5902 = ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	bool_t BgL_test2471z00_5907;

																	{	/* Reduce/sbeta.scm 229 */
																		obj_t BgL_arg2047z00_2105;

																		BgL_arg2047z00_2105 =
																			CAR(((obj_t) BgL_l1369z00_2099));
																		BgL_test2471z00_5907 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2047z00_2105);
																	}
																	if (BgL_test2471z00_5907)
																		{	/* Reduce/sbeta.scm 229 */
																			obj_t BgL_arg2046z00_2104;

																			BgL_arg2046z00_2104 =
																				CDR(((obj_t) BgL_l1369z00_2099));
																			{
																				obj_t BgL_l1369z00_5913;

																				BgL_l1369z00_5913 = BgL_arg2046z00_2104;
																				BgL_l1369z00_2099 = BgL_l1369z00_5913;
																				goto
																					BgL_zc3z04anonymousza32044ze3z87_2100;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 229 */
																			BgL_test2469z00_5902 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL_test2469z00_5902)
														{	/* Reduce/sbeta.scm 229 */
															if (BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_ez00_2077))
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1116z00_2082 = ((bool_t) 0);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1116z00_2082 = ((bool_t) 1);
																}
														}
													else
														{	/* Reduce/sbeta.scm 229 */
															BgL__ortest_1116z00_2082 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 229 */
													BgL__ortest_1116z00_2082 = ((bool_t) 0);
												}
										}
										if (BgL__ortest_1116z00_2082)
											{	/* Reduce/sbeta.scm 229 */
												return BgL__ortest_1116z00_2082;
											}
										else
											{	/* Reduce/sbeta.scm 230 */
												bool_t BgL_test2474z00_5917;

												{	/* Reduce/sbeta.scm 230 */
													obj_t BgL_classz00_3326;

													BgL_classz00_3326 = BGl_getfieldz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_ez00_2077))
														{	/* Reduce/sbeta.scm 230 */
															BgL_objectz00_bglt BgL_arg1820z00_3328;

															BgL_arg1820z00_3328 =
																(BgL_objectz00_bglt) (BgL_ez00_2077);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/sbeta.scm 230 */
																	long BgL_idxz00_3334;

																	BgL_idxz00_3334 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_3328);
																	BgL_test2474z00_5917 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3334 + ((long) 5))) ==
																		BgL_classz00_3326);
																}
															else
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_res2177z00_3356;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_oclassz00_3342;

																		{	/* Reduce/sbeta.scm 230 */
																			long BgL_arg1828z00_3348;

																			{	/* Reduce/sbeta.scm 230 */
																				long BgL_arg1829z00_3349;

																				BgL_arg1829z00_3349 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_3328);
																				BgL_arg1828z00_3348 =
																					(BgL_arg1829z00_3349 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3342 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_3348);
																		}
																		{	/* Reduce/sbeta.scm 230 */
																			bool_t BgL__ortest_1111z00_3343;

																			BgL__ortest_1111z00_3343 =
																				(BgL_classz00_3326 ==
																				BgL_oclassz00_3342);
																			if (BgL__ortest_1111z00_3343)
																				{	/* Reduce/sbeta.scm 230 */
																					BgL_res2177z00_3356 =
																						BgL__ortest_1111z00_3343;
																				}
																			else
																				{	/* Reduce/sbeta.scm 230 */
																					long BgL_odepthz00_3344;

																					BgL_odepthz00_3344 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3342);
																					if ((((long) 5) < BgL_odepthz00_3344))
																						{	/* Reduce/sbeta.scm 230 */
																							obj_t BgL_arg1816z00_3346;

																							BgL_arg1816z00_3346 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3342,
																								((long) 5));
																							BgL_res2177z00_3356 =
																								(BgL_arg1816z00_3346 ==
																								BgL_classz00_3326);
																						}
																					else
																						{	/* Reduce/sbeta.scm 230 */
																							BgL_res2177z00_3356 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2474z00_5917 = BgL_res2177z00_3356;
																}
														}
													else
														{	/* Reduce/sbeta.scm 230 */
															BgL_test2474z00_5917 = ((bool_t) 0);
														}
												}
												if (BgL_test2474z00_5917)
													{	/* Reduce/sbeta.scm 230 */
														obj_t BgL_g1375z00_2084;

														BgL_g1375z00_2084 =
															(((BgL_externz00_bglt) COBJECT(
																	((BgL_externz00_bglt)
																		((BgL_getfieldz00_bglt) BgL_ez00_2077))))->
															BgL_exprza2za2);
														{
															obj_t BgL_l1373z00_2086;

															BgL_l1373z00_2086 = BgL_g1375z00_2084;
														BgL_zc3z04anonymousza32039ze3z87_2087:
															if (NULLP(BgL_l1373z00_2086))
																{	/* Reduce/sbeta.scm 230 */
																	return ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_test2480z00_5942;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_arg2042z00_2092;

																		BgL_arg2042z00_2092 =
																			CAR(((obj_t) BgL_l1373z00_2086));
																		BgL_test2480z00_5942 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2042z00_2092);
																	}
																	if (BgL_test2480z00_5942)
																		{	/* Reduce/sbeta.scm 230 */
																			obj_t BgL_arg2041z00_2091;

																			BgL_arg2041z00_2091 =
																				CDR(((obj_t) BgL_l1373z00_2086));
																			{
																				obj_t BgL_l1373z00_5948;

																				BgL_l1373z00_5948 = BgL_arg2041z00_2091;
																				BgL_l1373z00_2086 = BgL_l1373z00_5948;
																				goto
																					BgL_zc3z04anonymousza32039ze3z87_2087;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 230 */
																			return ((bool_t) 0);
																		}
																}
														}
													}
												else
													{	/* Reduce/sbeta.scm 230 */
														return ((bool_t) 0);
													}
											}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_betaz00));
		}

	}

#ifdef __cplusplus
}
#endif
