/*===========================================================================*/
/*   (SawBbv/bbv-types.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawBbv/bbv-types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		obj_t BgL_mblockz00;
		bool_t BgL_collapsedz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2queuezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_blocksz00;
	}                     *BgL_bbvzd2queuezd2_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vset1923z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_store1919z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62shapezd2blockS1823zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_new1873z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_return1847z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2blockV1829zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadg1851z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2bbvzd2ctx1825z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vset1871z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_globa1907z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static bool_t
		BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2
		(BgL_bbvzd2ctxentryzd2_bglt, BgL_bbvzd2ctxentryzd2_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2type1835z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1869z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1921z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1895z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1911z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadi1849z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32306ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32217ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32324ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_IMPORT long bgl_symbol_hash_number(obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1857z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2 = BUNSPEC;
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt, obj_t,
		obj_t, bool_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32360ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32417ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2equalzf31884z43zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxentryzd2_bglt);
	static BgL_blockz00_bglt BGl_z62lambda2301z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2304z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2307z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_pragma1879z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62lambda2315z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2316z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2atom1887z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62shapezd2bbvzd2ctxentry1795z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_globalr1855z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62lambda2322z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2323z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2;
	static obj_t BGl_z62bbvzd2hashzd2rtl_reg1843z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2331z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32453ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2332z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32259ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2338z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2339z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1915z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1841z90zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2343z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_insta1917z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2344z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2349z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2350z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32277ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2358z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2359z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shapezd2rtl_inszf2bbv1819z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static BgL_bbvzd2queuezd2_bglt BGl_z62lambda2366z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt,
		BgL_blockz00_bglt);
	static BgL_bbvzd2queuezd2_bglt
		BGl_z62lambda2368z62zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2375z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hash1832zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int, BgL_rtl_regz00_bglt,
		obj_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int, BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, BgL_bbvzd2ctxentryzd2_bglt, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2blockS1839z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2386z62zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt,
		int);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	static obj_t BGl_z62zc3z04anonymousza32388ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_vref1913z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_selec1897z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static bool_t
		BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2(void);
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vref1861z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1893z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1935z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1891z63zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1909z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t, BgL_rtl_regz00_bglt,
		obj_t, bool_t, obj_t);
	static obj_t BGl_z62shapezd2bbvzd2ctx1797z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_instanc1865z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1925z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2rtl_inszf2bbv1827z42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62zc3z04anonymousza32224ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1905z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	static obj_t BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2(obj_t,
		BgL_bbvzd2ctxzd2_bglt, BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	static obj_t
		BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxentryzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32333ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32317ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2;
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1931z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_call1927z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1903z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2201z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2204z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static BgL_rtl_insz00_bglt BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62objectzd2printzd2blockS1793z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32530ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2215z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32247ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2216z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_storeg1867z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62lambda2223z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, BgL_rtl_regz00_bglt);
	static obj_t BGl_z62lambda2230z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32370ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32516ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2237z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62bbvzd2hashzd2rtl_vlength1863z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_cast1933z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	static long BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void);
	static bool_t BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2 = BUNSPEC;
	static obj_t BGl_z62lambda2402z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_light1929z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1883z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2245z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	static obj_t BGl_z62lambda2246z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62bbvzd2hashzd2rtl_call1875z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2412z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32445ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static BgL_bbvzd2ctxentryzd2_bglt
		BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, int);
	static BgL_blockz00_bglt BGl_z62lambda2254z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_blockz00_bglt BGl_z62lambda2257z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62lambda2422z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2260z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dumpzd2blockS1831zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2429z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2268z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2269z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2equalzf3zd2blockS1889z91zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2430z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32285ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2436z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1901z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2437z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2275z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1877z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t
		BGl_z62bbvzd2equalzf3zd2rtl_switc1899z91zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2443z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2444z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2283z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvzd2hashzd2rtl_fun1845z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_cast1881z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62lambda2451z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2290z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2291z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_lblze70ze7zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1853z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_lblze71ze7zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda2460z62zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32377ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2rtl_valloc1859z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t);
	extern BgL_bbvzd2rangezd2_bglt
		BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2(void);
	static obj_t BGl_z62zc3z04anonymousza32557ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t BGl_z62objectzd2printzd2blockV1791z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_getzd2hashnumberzd2zz__hashz00(obj_t);
	static obj_t BGl_z62shapezd2block1821zb0zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	static obj_t BGl_z62bbvzd2hashzd2atom1837z62zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2(obj_t);
	static obj_t __cnst[36];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73553za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2truezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2tru3554z00,
		BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2nilza73555za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2assoczd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2a3556za7,
		BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxzf2entryzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762extendza7d2ctxza73557za7,
		BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73558za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regv3559z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng3560z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3500z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23561za7,
		BGl_z62bbvzd2hashzd2rtl_cast_nu1883z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3501z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3562za7,
		BGl_z62bbvzd2equalzf3zd2atom1887z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3503z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3563za7,
		BGl_z62bbvzd2equalzf3zd2blockS1889z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3504z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3564za7,
		BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1891z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3505z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3565za7,
		BGl_z62bbvzd2equalzf3zd2rtl_reg1893z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3506z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3566za7,
		BGl_z62bbvzd2equalzf3zd2rtl_fun1895z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3507z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3567za7,
		BGl_z62bbvzd2equalzf3zd2rtl_selec1897z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3508z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3568za7,
		BGl_z62bbvzd2equalzf3zd2rtl_switc1899z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3509z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3569za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadi1901z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73570za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3510z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3571za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadg1903z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3511z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3572za7,
		BGl_z62bbvzd2equalzf3zd2rtl_loadf1905z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifnezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ifn3573z00,
		BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3512z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3574za7,
		BGl_z62bbvzd2equalzf3zd2rtl_globa1907z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3513z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3575za7,
		BGl_z62bbvzd2equalzf3zd2rtl_getfi1909z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3514z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3576za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vallo1911z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3515z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3577za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vref1913z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3516z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3578za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vleng1915z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3517z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3579za7,
		BGl_z62bbvzd2equalzf3zd2rtl_insta1917z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3518z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3580za7,
		BGl_z62bbvzd2equalzf3zd2rtl_store1919z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3519z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3581za7,
		BGl_z62bbvzd2equalzf3zd2rtl_setfi1921z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73582za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3520z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3583za7,
		BGl_z62bbvzd2equalzf3zd2rtl_vset1923z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3521z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3584za7,
		BGl_z62bbvzd2equalzf3zd2rtl_new1925z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3522z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3585za7,
		BGl_z62bbvzd2equalzf3zd2rtl_call1927z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3523z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3586za7,
		BGl_z62bbvzd2equalzf3zd2rtl_light1929z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3524z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3587za7,
		BGl_z62bbvzd2equalzf3zd2rtl_pragm1931z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3588za7,
		BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3525z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3589za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast1933z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3590za7,
		BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3526z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3591za7,
		BGl_z62bbvzd2equalzf3zd2rtl_cast_1935z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3592za7,
		BGl_z62zc3z04anonymousza32217ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2216za7623593z00,
		BGl_z62lambda2216z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2215za7623594z00,
		BGl_z62lambda2215z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3595za7,
		BGl_z62zc3z04anonymousza32224ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2223za7623596z00,
		BGl_z62lambda2223z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3458z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3458za700za7za7s3597za7, "bbv-hash1832", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_paramszd2ze3ctxzd2envze3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762paramsza7d2za7e3c3598za7,
		BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2222za7623599z00,
		BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3600za7,
		BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2230za7623601z00,
		BGl_z62lambda2230z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2229za7623602z00,
		BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3460z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3460za700za7za7s3603za7, "bbv-equal?1884", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3604za7,
		BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2237za7623605z00,
		BGl_z62lambda2237z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3462z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3462za700za7za7s3606za7, "object-print", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2236za7623607z00,
		BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3608za7,
		BGl_z62zc3z04anonymousza32247ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2246za7623609z00,
		BGl_z62lambda2246z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3465z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3465za700za7za7s3610za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2245za7623611z00,
		BGl_z62lambda2245z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2207za7623612z00,
		BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3613za7,
		BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2204za7623614z00,
		BGl_z62lambda2204z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2201za7623615z00,
		BGl_z62lambda2201z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3616za7,
		BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2269za7623617z00,
		BGl_z62lambda2269z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3472z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3472za700za7za7s3618za7, "dump", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2268za7623619z00,
		BGl_z62lambda2268z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3620za7,
		BGl_z62zc3z04anonymousza32277ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3388z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2276za7623621z00,
		BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2275za7623622z00,
		BGl_z62lambda2275z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3476z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3476za700za7za7s3623za7, "bbv-hash", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73624za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3625za7,
		BGl_z62zc3z04anonymousza32285ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73626za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2284za7623627z00,
		BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2283za7623628z00,
		BGl_z62lambda2283z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3629za7,
		BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2291za7623630z00,
		BGl_z62lambda2291z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2290za7623631z00,
		BGl_z62lambda2290z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2260za7623632z00,
		BGl_z62lambda2260z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3633za7,
		BGl_z62zc3z04anonymousza32259ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2257za7623634z00,
		BGl_z62lambda2257z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2254za7623635z00,
		BGl_z62lambda2254z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri3636z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockVzd2livezd2versionszd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762blockvza7d2live3637z00,
		BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73638za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2initzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2i3639za7,
		BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73640za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73641za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2regset3642z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2falsezf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fal3643z00,
		BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7f3za791za73644z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2valueszd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_callza7d2va3645z00,
		BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73646za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2movzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2mov3647z00,
		BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2equalzf3zd2envz21zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e3648za7,
		BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2regl3649z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2gozf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2goza73650za7,
		BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2queuezd2pushz12zd2envzc0zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2queueza7d3651za7,
		BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loadgzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2loa3652z00,
		BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3653za7,
		BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73654za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73655za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73656za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73657za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73658za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3400z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3659za7,
		BGl_z62zc3z04anonymousza32317ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3401z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2316za7623660z00,
		BGl_z62lambda2316z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3402z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2315za7623661z00,
		BGl_z62lambda2315z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3403z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3662za7,
		BGl_z62zc3z04anonymousza32324ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3404z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2323za7623663z00,
		BGl_z62lambda2323z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3405z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2322za7623664z00,
		BGl_z62lambda2322z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3406z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3665za7,
		BGl_z62zc3z04anonymousza32333ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3407z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2332za7623666z00,
		BGl_z62lambda2332z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3408z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2331za7623667z00,
		BGl_z62lambda2331z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3409z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2339za7623668z00,
		BGl_z62lambda2339z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2nopzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2nop3669z00,
		BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2switchzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2swi3670z00,
		BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3410z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2338za7623671z00,
		BGl_z62lambda2338z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3411z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2344za7623672z00,
		BGl_z62lambda2344z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3412z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2343za7623673z00,
		BGl_z62lambda2343z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3413z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3674za7,
		BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3414z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2350za7623675z00,
		BGl_z62lambda2350z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3415z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2349za7623676z00,
		BGl_z62lambda2349z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3502z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3502za700za7za7s3677za7, "bbv-equal?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3416z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3678za7,
		BGl_z62zc3z04anonymousza32360ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3417z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2359za7623679z00,
		BGl_z62lambda2359z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extendzd2ctxza2zd2envza2zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7a23680z00, opt_generic_entry,
		BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2, BFALSE, -1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3418z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2358za7623681z00,
		BGl_z62lambda2358z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3419z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2307za7623682z00,
		BGl_z62lambda2307z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2lastzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2las3683z00,
		BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2msiza73684za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3420z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3685za7,
		BGl_z62zc3z04anonymousza32306ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3421z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2304za7623686z00,
		BGl_z62lambda2304z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3422z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2301za7623687z00,
		BGl_z62lambda2301z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3423z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3688za7,
		BGl_z62zc3z04anonymousza32377ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3424z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2376za7623689z00,
		BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3425z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2375za7623690z00,
		BGl_z62lambda2375z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3426z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3691za7,
		BGl_z62zc3z04anonymousza32370ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3427z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2368za7623692z00,
		BGl_z62lambda2368z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3428z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2366za7623693z00,
		BGl_z62lambda2366z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3429z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3694za7,
		BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73695za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3430z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2395za7623696z00,
		BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2394za7623697z00,
		BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3698za7,
		BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2403za7623699z00,
		BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2402za7623700z00,
		BGl_z62lambda2402z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3701za7,
		BGl_z62zc3z04anonymousza32388ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2386za7623702z00,
		BGl_z62lambda2386z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2383za7623703z00,
		BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2423za7623704z00,
		BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2422za7623705z00,
		BGl_z62lambda2422z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3527z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3527za700za7za7s3706za7, "not implemented", 15);
	      DEFINE_STRING(BGl_string3528z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3528za700za7za7s3707za7, "(blockS ", 8);
	      DEFINE_STRING(BGl_string3529z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3529za700za7za7s3708za7, ":parent ", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2getzd2envzd2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2g3709za7,
		BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aliaszd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762aliasza7d2ctxza7b3710za7,
		BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2typecheckzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2typ3711z00,
		BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3712za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2430za7623713z00,
		BGl_z62lambda2430z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2429za7623714z00,
		BGl_z62lambda2429z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2437za7623715z00,
		BGl_z62lambda2437z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3530z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3530za700za7za7s3716za7, ":merge ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2436za7623717z00,
		BGl_z62lambda2436z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3531z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3531za700za7za7s3718za7, ":collapsed ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3719za7,
		BGl_z62zc3z04anonymousza32445ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3532z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3532za700za7za7s3720za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2444za7623721z00,
		BGl_z62lambda2444z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3533z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3533za700za7za7s3722za7, ":succs ", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loadizf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2loa3723z00,
		BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2443za7623724z00,
		BGl_z62lambda2443z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3534z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3534za700za7za7s3725za7, "\n )\n", 4);
	      DEFINE_STRING(BGl_string3535z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3535za700za7za7s3726za7, "(blockV ", 8);
	BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3448z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3727za7,
		BGl_z62zc3z04anonymousza32453ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3536z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3536za700za7za7s3728za7, "[", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3449z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2452za7623729z00,
		BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3537z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3537za700za7za7s3730za7, "(", 1);
	      DEFINE_STRING(BGl_string3538z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3538za700za7za7s3731za7, " <- ", 4);
	      DEFINE_STRING(BGl_string3539z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3539za700za7za7s3732za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3450z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2451za7623733z00,
		BGl_z62lambda2451z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3451z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3734za7,
		BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3452z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2460za7623735z00,
		BGl_z62lambda2460z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3540z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3540za700za7za7s3736za7, " ", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3453z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2459za7623737z00,
		BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3541z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3541za700za7za7s3738za7, "]", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3454z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762za7c3za704anonymo3739za7,
		BGl_z62zc3z04anonymousza32417ze3ze5zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3542z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3542za700za7za7s3740za7, " ;; def=", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3455z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2415za7623741z00,
		BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3543z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3543za700za7za7s3742za7, " in=", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3456z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762lambda2412za7623743z00,
		BGl_z62lambda2412z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 6);
	      DEFINE_STRING(BGl_string3544z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3544za700za7za7s3744za7, " out=", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3457z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hash1833745z00,
		BGl_z62bbvzd2hash1832zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3545z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3545za700za7za7s3746za7, "~s", 2);
	      DEFINE_STRING(BGl_string3546z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3546za700za7za7s3747za7, "!", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3459z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2equalza7f3748za7,
		BGl_z62bbvzd2equalzf31884z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3547z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3547za700za7za7s3749za7, "[~( )]", 6);
	      DEFINE_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3548za700za7za7s3750za7, "saw_bbv-types", 13);
	      DEFINE_STRING(BGl_string3549z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_string3549za700za7za7s3751za7,
		"bbv-ctxentry initval aliases value polarity pair types reg bbv-ctx entries id bbv-queue blocks blockS bool collapsed mblock parent %blacklist blockV merge long %mark generic pair-nil versions saw_bbv-types rtl_ins/bbv %hash ctx in out obj def :value _ ",
		252);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3461z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762objectza7d2prin3752z00,
		BGl_z62objectzd2printzd2blockV1791z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3463z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762objectza7d2prin3753z00,
		BGl_z62objectzd2printzd2blockS1793z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3464z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2bbvza7d3754za7,
		BGl_z62shapezd2bbvzd2ctxentry1795z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3466z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2bbvza7d3755za7,
		BGl_z62shapezd2bbvzd2ctx1797z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3467z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2rtl_i3756z00,
		BGl_z62shapezd2rtl_inszf2bbv1819z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3468z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2block3757z00,
		BGl_z62shapezd2block1821zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3469z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2block3758z00,
		BGl_z62shapezd2blockS1823zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2callzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2cal3759z00,
		BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73760za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3470z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762shapeza7d2bbvza7d3761za7,
		BGl_z62shapezd2bbvzd2ctx1825z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3471z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2rtl_in3762z00,
		BGl_z62dumpzd2rtl_inszf2bbv1827z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3473z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2blockv3763z00,
		BGl_z62dumpzd2blockV1829zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3474z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762dumpza7d2blocks3764z00,
		BGl_z62dumpzd2blockS1831zb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3475z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23765za7,
		BGl_z62bbvzd2hashzd2type1835z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3477z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23766za7,
		BGl_z62bbvzd2hashzd2atom1837z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3478z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23767za7,
		BGl_z62bbvzd2hashzd2blockS1839z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3479z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23768za7,
		BGl_z62bbvzd2hashzd2rtl_inszf2bbv1841z90zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3480z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23769za7,
		BGl_z62bbvzd2hashzd2rtl_reg1843z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3481z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23770za7,
		BGl_z62bbvzd2hashzd2rtl_fun1845z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3482z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23771za7,
		BGl_z62bbvzd2hashzd2rtl_return1847z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3483z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23772za7,
		BGl_z62bbvzd2hashzd2rtl_loadi1849z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3484z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23773za7,
		BGl_z62bbvzd2hashzd2rtl_loadg1851z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3485z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23774za7,
		BGl_z62bbvzd2hashzd2rtl_loadfun1853z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3486z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23775za7,
		BGl_z62bbvzd2hashzd2rtl_globalr1855z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3487z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23776za7,
		BGl_z62bbvzd2hashzd2rtl_getfiel1857z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3488z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23777za7,
		BGl_z62bbvzd2hashzd2rtl_valloc1859z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3489z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23778za7,
		BGl_z62bbvzd2hashzd2rtl_vref1861z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73779za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73780za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2ifeqzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ife3781z00,
		BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2stri3782z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3490z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23783za7,
		BGl_z62bbvzd2hashzd2rtl_vlength1863z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3491z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23784za7,
		BGl_z62bbvzd2hashzd2rtl_instanc1865z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3492z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23785za7,
		BGl_z62bbvzd2hashzd2rtl_storeg1867z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3493z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23786za7,
		BGl_z62bbvzd2hashzd2rtl_setfiel1869z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3494z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23787za7,
		BGl_z62bbvzd2hashzd2rtl_vset1871z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3495z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23788za7,
		BGl_z62bbvzd2hashzd2rtl_new1873z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3496z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23789za7,
		BGl_z62bbvzd2hashzd2rtl_call1875z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3497z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23790za7,
		BGl_z62bbvzd2hashzd2rtl_lightfu1877z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3498z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23791za7,
		BGl_z62bbvzd2hashzd2rtl_pragma1879z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3499z00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7d23792za7,
		BGl_z62bbvzd2hashzd2rtl_cast1881z62zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2brzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2brza73793za7,
		BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73794za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762makeza7d2rtl_re3795z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762regsetza7d2leng3796z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2returnzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2ret3797z00,
		BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2vlenzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2vle3798z00,
		BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2predicatezd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_callza7d2pr3799z00,
		BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73800za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_extendzd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl__extendza7d2ctxza7d23801z00, opt_generic_entry,
		BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unaliaszd2ctxzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762unaliasza7d2ctx3802z00,
		BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2boolzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2boo3803z00,
		BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762bbvza7d2hashza7b03804za7,
		BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_regza7f2raza73805za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2fxovopzf3zd2envzf3zzsaw_bbvzd2typeszd2,
		BgL_bgl_za762rtl_insza7d2fxo3806z00,
		BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockSz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_blockVz00zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2));
		     ADD_ROOT((void *) (&BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long
		BgL_checksumz00_8860, char *BgL_fromz00_8861)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2typeszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2();
					BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2();
					BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-types");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_bbv-types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			{	/* SawBbv/bbv-types.scm 15 */
				obj_t BgL_cportz00_7823;

				{	/* SawBbv/bbv-types.scm 15 */
					obj_t BgL_stringz00_7830;

					BgL_stringz00_7830 = BGl_string3549z00zzsaw_bbvzd2typeszd2;
					{	/* SawBbv/bbv-types.scm 15 */
						obj_t BgL_startz00_7831;

						BgL_startz00_7831 = BINT(((long) 0));
						{	/* SawBbv/bbv-types.scm 15 */
							obj_t BgL_endz00_7832;

							BgL_endz00_7832 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_7830)));
							{	/* SawBbv/bbv-types.scm 15 */

								BgL_cportz00_7823 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_7830, BgL_startz00_7831, BgL_endz00_7832);
				}}}}
				{
					long BgL_iz00_7824;

					BgL_iz00_7824 = ((long) 35);
				BgL_loopz00_7825:
					if ((BgL_iz00_7824 == ((long) -1)))
						{	/* SawBbv/bbv-types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-types.scm 15 */
							{	/* SawBbv/bbv-types.scm 15 */
								obj_t BgL_arg3551z00_7826;

								{	/* SawBbv/bbv-types.scm 15 */

									{	/* SawBbv/bbv-types.scm 15 */
										obj_t BgL_locationz00_7828;

										BgL_locationz00_7828 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-types.scm 15 */

											BgL_arg3551z00_7826 =
												BGl_readz00zz__readerz00(BgL_cportz00_7823,
												BgL_locationz00_7828);
										}
									}
								}
								{	/* SawBbv/bbv-types.scm 15 */
									int BgL_tmpz00_8897;

									BgL_tmpz00_8897 = (int) (BgL_iz00_7824);
									CNST_TABLE_SET(BgL_tmpz00_8897, BgL_arg3551z00_7826);
							}}
							{	/* SawBbv/bbv-types.scm 15 */
								int BgL_auxz00_7829;

								BgL_auxz00_7829 = (int) ((BgL_iz00_7824 - ((long) 1)));
								{
									long BgL_iz00_8902;

									BgL_iz00_8902 = (long) (BgL_auxz00_7829);
									BgL_iz00_7824 = BgL_iz00_8902;
									goto BgL_loopz00_7825;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2102;

				BgL_headz00_2102 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2103;
					obj_t BgL_tailz00_2104;

					BgL_prevz00_2103 = BgL_headz00_2102;
					BgL_tailz00_2104 = BgL_l1z00_1;
				BgL_loopz00_2105:
					if (PAIRP(BgL_tailz00_2104))
						{
							obj_t BgL_newzd2prevzd2_2107;

							BgL_newzd2prevzd2_2107 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2104), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2103, BgL_newzd2prevzd2_2107);
							{
								obj_t BgL_tailz00_8912;
								obj_t BgL_prevz00_8911;

								BgL_prevz00_8911 = BgL_newzd2prevzd2_2107;
								BgL_tailz00_8912 = CDR(BgL_tailz00_2104);
								BgL_tailz00_2104 = BgL_tailz00_8912;
								BgL_prevz00_2103 = BgL_prevz00_8911;
								goto BgL_loopz00_2105;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2102);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1225z00_7834;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1223z00_7835;
					BgL_rtl_regzf2razf2_bglt BgL_wide1224z00_7836;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_8915;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1222z00_7837;

							BgL_new1222z00_7837 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1940z00_7838;

								BgL_arg1940z00_7838 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1222z00_7837),
									BgL_arg1940z00_7838);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_8920;

								BgL_tmpz00_8920 = ((BgL_objectz00_bglt) BgL_new1222z00_7837);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8920, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1222z00_7837);
							BgL_auxz00_8915 = BgL_new1222z00_7837;
						}
						BgL_tmp1223z00_7835 = ((BgL_rtl_regz00_bglt) BgL_auxz00_8915);
					}
					BgL_wide1224z00_7836 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_8928;
						BgL_objectz00_bglt BgL_tmpz00_8926;

						BgL_auxz00_8928 = ((obj_t) BgL_wide1224z00_7836);
						BgL_tmpz00_8926 = ((BgL_objectz00_bglt) BgL_tmp1223z00_7835);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8926, BgL_auxz00_8928);
					}
					((BgL_objectz00_bglt) BgL_tmp1223z00_7835);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1939z00_7839;

						BgL_arg1939z00_7839 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1223z00_7835), BgL_arg1939z00_7839);
					}
					BgL_new1225z00_7834 = ((BgL_rtl_regz00_bglt) BgL_tmp1223z00_7835);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1225z00_7834)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1225z00_7834)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1225z00_7834)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1225z00_7834)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1225z00_7834)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1225z00_7834)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8948;

					{
						obj_t BgL_auxz00_8949;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8950;

							BgL_tmpz00_8950 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8949 = BGL_OBJECT_WIDENING(BgL_tmpz00_8950);
						}
						BgL_auxz00_8948 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8949);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8948))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8955;

					{
						obj_t BgL_auxz00_8956;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8957;

							BgL_tmpz00_8957 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8956 = BGL_OBJECT_WIDENING(BgL_tmpz00_8957);
						}
						BgL_auxz00_8955 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8956);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8955))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8962;

					{
						obj_t BgL_auxz00_8963;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8964;

							BgL_tmpz00_8964 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8963 = BGL_OBJECT_WIDENING(BgL_tmpz00_8964);
						}
						BgL_auxz00_8962 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8963);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8962))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8969;

					{
						obj_t BgL_auxz00_8970;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8971;

							BgL_tmpz00_8971 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8970 = BGL_OBJECT_WIDENING(BgL_tmpz00_8971);
						}
						BgL_auxz00_8969 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8970);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8969))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8976;

					{
						obj_t BgL_auxz00_8977;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8978;

							BgL_tmpz00_8978 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8977 = BGL_OBJECT_WIDENING(BgL_tmpz00_8978);
						}
						BgL_auxz00_8976 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8977);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8976))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_8983;

					{
						obj_t BgL_auxz00_8984;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_8985;

							BgL_tmpz00_8985 = ((BgL_objectz00_bglt) BgL_new1225z00_7834);
							BgL_auxz00_8984 = BGL_OBJECT_WIDENING(BgL_tmpz00_8985);
						}
						BgL_auxz00_8983 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8984);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8983))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1225z00_7834;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7072, obj_t BgL_type1179z00_7073, obj_t BgL_var1180z00_7074,
		obj_t BgL_onexprzf31181zf3_7075, obj_t BgL_name1182z00_7076,
		obj_t BgL_key1183z00_7077, obj_t BgL_hardware1184z00_7078,
		obj_t BgL_num1185z00_7079, obj_t BgL_color1186z00_7080,
		obj_t BgL_coalesce1187z00_7081, obj_t BgL_occurrences1188z00_7082,
		obj_t BgL_interfere1189z00_7083, obj_t BgL_interfere21190z00_7084)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2typeszd2(
				((BgL_typez00_bglt) BgL_type1179z00_7073), BgL_var1180z00_7074,
				BgL_onexprzf31181zf3_7075, BgL_name1182z00_7076, BgL_key1183z00_7077,
				BgL_hardware1184z00_7078, CINT(BgL_num1185z00_7079),
				BgL_color1186z00_7080, BgL_coalesce1187z00_7081,
				CINT(BgL_occurrences1188z00_7082), BgL_interfere1189z00_7083,
				BgL_interfere21190z00_7084);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_7840;

				BgL_classz00_7840 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1820z00_7841;

						BgL_arg1820z00_7841 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_7842;

								BgL_idxz00_7842 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_7841);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_7842 + ((long) 2))) == BgL_classz00_7840);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res3281z00_7845;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_7846;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1828z00_7847;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1829z00_7848;

											BgL_arg1829z00_7848 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_7841);
											BgL_arg1828z00_7847 = (BgL_arg1829z00_7848 - OBJECT_TYPE);
										}
										BgL_oclassz00_7846 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_7847);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1111z00_7849;

										BgL__ortest_1111z00_7849 =
											(BgL_classz00_7840 == BgL_oclassz00_7846);
										if (BgL__ortest_1111z00_7849)
											{	/* SawMill/regset.sch 56 */
												BgL_res3281z00_7845 = BgL__ortest_1111z00_7849;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_7850;

												BgL_odepthz00_7850 =
													BGL_CLASS_DEPTH(BgL_oclassz00_7846);
												if ((((long) 2) < BgL_odepthz00_7850))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1816z00_7851;

														BgL_arg1816z00_7851 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7846,
															((long) 2));
														BgL_res3281z00_7845 =
															(BgL_arg1816z00_7851 == BgL_classz00_7840);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res3281z00_7845 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3281z00_7845;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7085,
		obj_t BgL_objz00_7086)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2typeszd2(BgL_objz00_7086));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_4463;

				BgL_classz00_4463 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1113z00_4464;

					BgL__ortest_1113z00_4464 = BGL_CLASS_NIL(BgL_classz00_4463);
					if (CBOOL(BgL__ortest_1113z00_4464))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_4464);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4463));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7087)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2typeszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9022;

				{
					obj_t BgL_auxz00_9023;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_9024;

						BgL_tmpz00_9024 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_9023 = BGL_OBJECT_WIDENING(BgL_tmpz00_9024);
					}
					BgL_auxz00_9022 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9023);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9022))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7088, obj_t BgL_oz00_7089)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7089));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9031;

				{
					obj_t BgL_auxz00_9032;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_9033;

						BgL_tmpz00_9033 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_9032 = BGL_OBJECT_WIDENING(BgL_tmpz00_9033);
					}
					BgL_auxz00_9031 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9032);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9031))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7090, obj_t BgL_oz00_7091, obj_t BgL_vz00_7092)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7091), BgL_vz00_7092);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9040;

				{
					obj_t BgL_auxz00_9041;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_9042;

						BgL_tmpz00_9042 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_9041 = BGL_OBJECT_WIDENING(BgL_tmpz00_9042);
					}
					BgL_auxz00_9040 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9041);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9040))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7093, obj_t BgL_oz00_7094)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7094));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9049;

				{
					obj_t BgL_auxz00_9050;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_9051;

						BgL_tmpz00_9051 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_9050 = BGL_OBJECT_WIDENING(BgL_tmpz00_9051);
					}
					BgL_auxz00_9049 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9050);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9049))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7095, obj_t BgL_oz00_7096, obj_t BgL_vz00_7097)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7096), BgL_vz00_7097);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9058;

				{
					obj_t BgL_auxz00_9059;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_9060;

						BgL_tmpz00_9060 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_9059 = BGL_OBJECT_WIDENING(BgL_tmpz00_9060);
					}
					BgL_auxz00_9058 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9059);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9058))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7098, obj_t BgL_oz00_7099)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_7099)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9068;

				{
					obj_t BgL_auxz00_9069;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_9070;

						BgL_tmpz00_9070 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_9069 = BGL_OBJECT_WIDENING(BgL_tmpz00_9070);
					}
					BgL_auxz00_9068 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9069);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9068))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7100, obj_t BgL_oz00_7101, obj_t BgL_vz00_7102)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7101), CINT(BgL_vz00_7102));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9078;

				{
					obj_t BgL_auxz00_9079;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_9080;

						BgL_tmpz00_9080 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_9079 = BGL_OBJECT_WIDENING(BgL_tmpz00_9080);
					}
					BgL_auxz00_9078 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9079);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9078))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7103, obj_t BgL_oz00_7104)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7104));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9087;

				{
					obj_t BgL_auxz00_9088;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_9089;

						BgL_tmpz00_9089 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_9088 = BGL_OBJECT_WIDENING(BgL_tmpz00_9089);
					}
					BgL_auxz00_9087 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9088);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9087))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7105, obj_t BgL_oz00_7106, obj_t BgL_vz00_7107)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7106), BgL_vz00_7107);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9096;

				{
					obj_t BgL_auxz00_9097;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_9098;

						BgL_tmpz00_9098 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_9097 = BGL_OBJECT_WIDENING(BgL_tmpz00_9098);
					}
					BgL_auxz00_9096 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9097);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9096))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7108, obj_t BgL_oz00_7109)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7109));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9105;

				{
					obj_t BgL_auxz00_9106;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_9107;

						BgL_tmpz00_9107 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_9106 = BGL_OBJECT_WIDENING(BgL_tmpz00_9107);
					}
					BgL_auxz00_9105 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9106);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9105))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7110, obj_t BgL_oz00_7111, obj_t BgL_vz00_7112)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7111), BgL_vz00_7112);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_9114;

				{
					obj_t BgL_auxz00_9115;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_9116;

						BgL_tmpz00_9116 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_9115 = BGL_OBJECT_WIDENING(BgL_tmpz00_9116);
					}
					BgL_auxz00_9114 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9115);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9114))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7113,
		obj_t BgL_oz00_7114)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2typeszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_7114)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7115, obj_t BgL_oz00_7116)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7116));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7117,
		obj_t BgL_oz00_7118)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7118));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7119,
		obj_t BgL_oz00_7120)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7120));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7121, obj_t BgL_oz00_7122)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7122));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7123, obj_t BgL_oz00_7124, obj_t BgL_vz00_7125)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7124), BgL_vz00_7125);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7126,
		obj_t BgL_oz00_7127)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7127));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7128, obj_t BgL_oz00_7129, obj_t BgL_vz00_7130)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7129), BgL_vz00_7130);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7131, obj_t BgL_oz00_7132)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7132));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7133, obj_t BgL_oz00_7134, obj_t BgL_vz00_7135)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2typeszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_7134),
				((BgL_typez00_bglt) BgL_vz00_7135));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1227z00_7852;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1226z00_7853;

					BgL_new1226z00_7853 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1941z00_7854;

						BgL_arg1941z00_7854 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_7853), BgL_arg1941z00_7854);
					}
					BgL_new1227z00_7852 = BgL_new1226z00_7853;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1227z00_7852))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1227z00_7852))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1227z00_7852))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1227z00_7852))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1227z00_7852))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1227z00_7852;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7136, obj_t BgL_length1172z00_7137,
		obj_t BgL_msiza7e1173za7_7138, obj_t BgL_regv1174z00_7139,
		obj_t BgL_regl1175z00_7140, obj_t BgL_string1176z00_7141)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2typeszd2(CINT(BgL_length1172z00_7137),
				CINT(BgL_msiza7e1173za7_7138), BgL_regv1174z00_7139,
				BgL_regl1175z00_7140, BgL_string1176z00_7141);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_7855;

				BgL_classz00_7855 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1820z00_7856;

						BgL_arg1820z00_7856 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_7857;

								BgL_idxz00_7857 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_7856);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_7857 + ((long) 1))) == BgL_classz00_7855);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res3282z00_7860;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_7861;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1828z00_7862;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1829z00_7863;

											BgL_arg1829z00_7863 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_7856);
											BgL_arg1828z00_7862 = (BgL_arg1829z00_7863 - OBJECT_TYPE);
										}
										BgL_oclassz00_7861 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_7862);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1111z00_7864;

										BgL__ortest_1111z00_7864 =
											(BgL_classz00_7855 == BgL_oclassz00_7861);
										if (BgL__ortest_1111z00_7864)
											{	/* SawMill/regset.sch 85 */
												BgL_res3282z00_7860 = BgL__ortest_1111z00_7864;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_7865;

												BgL_odepthz00_7865 =
													BGL_CLASS_DEPTH(BgL_oclassz00_7861);
												if ((((long) 1) < BgL_odepthz00_7865))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1816z00_7866;

														BgL_arg1816z00_7866 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7861,
															((long) 1));
														BgL_res3282z00_7860 =
															(BgL_arg1816z00_7866 == BgL_classz00_7855);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res3282z00_7860 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3282z00_7860;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7142,
		obj_t BgL_objz00_7143)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2typeszd2(BgL_objz00_7143));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_4513;

				BgL_classz00_4513 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1113z00_4514;

					BgL__ortest_1113z00_4514 = BGL_CLASS_NIL(BgL_classz00_4513);
					if (CBOOL(BgL__ortest_1113z00_4514))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1113z00_4514);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4513));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7144)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2typeszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7145,
		obj_t BgL_oz00_7146)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_7146));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7147, obj_t BgL_oz00_7148, obj_t BgL_vz00_7149)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_7148), BgL_vz00_7149);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7150,
		obj_t BgL_oz00_7151)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_7151));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7152,
		obj_t BgL_oz00_7153)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_7153));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7154,
		obj_t BgL_oz00_7155)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_7155)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7156,
		obj_t BgL_oz00_7157)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2typeszd2(
					((BgL_regsetz00_bglt) BgL_oz00_7157)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7158, obj_t BgL_oz00_7159, obj_t BgL_vz00_7160)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2typeszd2(
				((BgL_regsetz00_bglt) BgL_oz00_7159), CINT(BgL_vz00_7160));
		}

	}



/* &bbv-ctx-init */
	obj_t BGl_z62bbvzd2ctxzd2initz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7161,
		obj_t BgL_thisz00_7162)
	{
		{	/* SawBbv/bbv-types.scm 142 */
			BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2 =
				(((long) 1) + BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2);
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_thisz00_7162)))->BgL_idz00) =
				((long) BGl_za2bbvzd2ctxzd2idza2z00zzsaw_bbvzd2typeszd2), BUNSPEC);
		}

	}



/* bbv-queue-push! */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(BgL_bbvzd2queuezd2_bglt
		BgL_queuez00_92, BgL_blockz00_bglt BgL_bvz00_93)
	{
		{	/* SawBbv/bbv-types.scm 170 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_bvz00_93),
						(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_92))->
							BgL_blocksz00))))
				{	/* SawBbv/bbv-types.scm 172 */
					return BFALSE;
				}
			else
				{
					obj_t BgL_auxz00_9233;

					{	/* SawBbv/bbv-types.scm 173 */
						obj_t BgL_arg1954z00_2135;

						BgL_arg1954z00_2135 =
							(((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_92))->
							BgL_blocksz00);
						BgL_auxz00_9233 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bvz00_93), BgL_arg1954z00_2135);
					}
					return
						((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_queuez00_92))->
							BgL_blocksz00) = ((obj_t) BgL_auxz00_9233), BUNSPEC);
				}
		}

	}



/* &bbv-queue-push! */
	obj_t BGl_z62bbvzd2queuezd2pushz12z70zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7163, obj_t BgL_queuez00_7164, obj_t BgL_bvz00_7165)
	{
		{	/* SawBbv/bbv-types.scm 170 */
			return
				BGl_bbvzd2queuezd2pushz12z12zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2queuezd2_bglt) BgL_queuez00_7164),
				((BgL_blockz00_bglt) BgL_bvz00_7165));
		}

	}



/* blockV-live-versions */
	BGL_EXPORTED_DEF obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt
		BgL_bvz00_94)
	{
		{	/* SawBbv/bbv-types.scm 178 */
			{	/* SawBbv/bbv-types.scm 180 */
				obj_t BgL_hook1671z00_2138;

				BgL_hook1671z00_2138 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawBbv/bbv-types.scm 180 */
					obj_t BgL_g1672z00_2139;

					{
						BgL_blockvz00_bglt BgL_auxz00_9242;

						{
							obj_t BgL_auxz00_9243;

							{	/* SawBbv/bbv-types.scm 180 */
								BgL_objectz00_bglt BgL_tmpz00_9244;

								BgL_tmpz00_9244 = ((BgL_objectz00_bglt) BgL_bvz00_94);
								BgL_auxz00_9243 = BGL_OBJECT_WIDENING(BgL_tmpz00_9244);
							}
							BgL_auxz00_9242 = ((BgL_blockvz00_bglt) BgL_auxz00_9243);
						}
						BgL_g1672z00_2139 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_9242))->
							BgL_versionsz00);
					}
					{
						obj_t BgL_l1668z00_2141;
						obj_t BgL_h1669z00_2142;

						BgL_l1668z00_2141 = BgL_g1672z00_2139;
						BgL_h1669z00_2142 = BgL_hook1671z00_2138;
					BgL_zc3z04anonymousza31956ze3z87_2143:
						if (NULLP(BgL_l1668z00_2141))
							{	/* SawBbv/bbv-types.scm 180 */
								return CDR(BgL_hook1671z00_2138);
							}
						else
							{	/* SawBbv/bbv-types.scm 180 */
								bool_t BgL_test3822z00_9252;

								{	/* SawBbv/bbv-types.scm 181 */
									BgL_blockz00_bglt BgL_i1233z00_2154;

									BgL_i1233z00_2154 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1668z00_2141)));
									{	/* SawBbv/bbv-types.scm 182 */
										bool_t BgL_test3823z00_9256;

										{	/* SawBbv/bbv-types.scm 182 */
											obj_t BgL_tmpz00_9257;

											{
												BgL_blocksz00_bglt BgL_auxz00_9258;

												{
													obj_t BgL_auxz00_9259;

													{	/* SawBbv/bbv-types.scm 182 */
														BgL_objectz00_bglt BgL_tmpz00_9260;

														BgL_tmpz00_9260 =
															((BgL_objectz00_bglt) BgL_i1233z00_2154);
														BgL_auxz00_9259 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_9260);
													}
													BgL_auxz00_9258 =
														((BgL_blocksz00_bglt) BgL_auxz00_9259);
												}
												BgL_tmpz00_9257 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9258))->
													BgL_mblockz00);
											}
											BgL_test3823z00_9256 = CBOOL(BgL_tmpz00_9257);
										}
										if (BgL_test3823z00_9256)
											{	/* SawBbv/bbv-types.scm 182 */
												BgL_test3822z00_9252 = ((bool_t) 0);
											}
										else
											{	/* SawBbv/bbv-types.scm 182 */
												BgL_test3822z00_9252 = ((bool_t) 1);
											}
									}
								}
								if (BgL_test3822z00_9252)
									{	/* SawBbv/bbv-types.scm 180 */
										obj_t BgL_nh1670z00_2149;

										{	/* SawBbv/bbv-types.scm 180 */
											obj_t BgL_arg1961z00_2151;

											BgL_arg1961z00_2151 = CAR(((obj_t) BgL_l1668z00_2141));
											BgL_nh1670z00_2149 =
												MAKE_YOUNG_PAIR(BgL_arg1961z00_2151, BNIL);
										}
										SET_CDR(BgL_h1669z00_2142, BgL_nh1670z00_2149);
										{	/* SawBbv/bbv-types.scm 180 */
											obj_t BgL_arg1960z00_2150;

											BgL_arg1960z00_2150 = CDR(((obj_t) BgL_l1668z00_2141));
											{
												obj_t BgL_h1669z00_9273;
												obj_t BgL_l1668z00_9272;

												BgL_l1668z00_9272 = BgL_arg1960z00_2150;
												BgL_h1669z00_9273 = BgL_nh1670z00_2149;
												BgL_h1669z00_2142 = BgL_h1669z00_9273;
												BgL_l1668z00_2141 = BgL_l1668z00_9272;
												goto BgL_zc3z04anonymousza31956ze3z87_2143;
											}
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 180 */
										obj_t BgL_arg1962z00_2152;

										BgL_arg1962z00_2152 = CDR(((obj_t) BgL_l1668z00_2141));
										{
											obj_t BgL_l1668z00_9276;

											BgL_l1668z00_9276 = BgL_arg1962z00_2152;
											BgL_l1668z00_2141 = BgL_l1668z00_9276;
											goto BgL_zc3z04anonymousza31956ze3z87_2143;
										}
									}
							}
					}
				}
			}
		}

	}



/* &blockV-live-versions */
	obj_t BGl_z62blockVzd2livezd2versionsz62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7166, obj_t BgL_bvz00_7167)
	{
		{	/* SawBbv/bbv-types.scm 178 */
			return
				BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(
				((BgL_blockz00_bglt) BgL_bvz00_7167));
		}

	}



/* params->ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t BgL_paramsz00_96)
	{
		{	/* SawBbv/bbv-types.scm 197 */
			{	/* SawBbv/bbv-types.scm 198 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1236z00_2157;

				{	/* SawBbv/bbv-types.scm 198 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1235z00_2181;

					BgL_new1235z00_2181 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 198 */
						long BgL_arg1978z00_2182;

						BgL_arg1978z00_2182 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_2181), BgL_arg1978z00_2182);
					}
					BgL_new1236z00_2157 = BgL_new1235z00_2181;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1236z00_2157))->BgL_idz00) =
					((long) ((long) -1)), BUNSPEC);
				{
					obj_t BgL_auxz00_9284;

					{	/* SawBbv/bbv-types.scm 199 */
						obj_t BgL_arg1964z00_2159;

						{	/* SawBbv/bbv-types.scm 202 */
							obj_t BgL_list1971z00_2168;

							BgL_list1971z00_2168 = MAKE_YOUNG_PAIR(BgL_paramsz00_96, BNIL);
							BgL_arg1964z00_2159 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BGl_proc3363z00zzsaw_bbvzd2typeszd2, BgL_list1971z00_2168);
						}
						BgL_auxz00_9284 =
							BGl_sortz00zz__r4_vectors_6_8z00
							(BGl_proc3364z00zzsaw_bbvzd2typeszd2, BgL_arg1964z00_2159);
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1236z00_2157))->
							BgL_entriesz00) = ((obj_t) BgL_auxz00_9284), BUNSPEC);
				}
				{	/* SawBbv/bbv-types.scm 198 */
					obj_t BgL_fun1977z00_2180;

					BgL_fun1977z00_2180 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1977z00_2180)) (BgL_fun1977z00_2180,
						((obj_t) BgL_new1236z00_2157), BEOA);
				}
				return BgL_new1236z00_2157;
			}
		}

	}



/* &params->ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62paramszd2ze3ctxz53zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7170, obj_t BgL_paramsz00_7171)
	{
		{	/* SawBbv/bbv-types.scm 197 */
			return BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(BgL_paramsz00_7171);
		}

	}



/* &<@anonymous:1965> */
	obj_t BGl_z62zc3z04anonymousza31965ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7172, obj_t BgL_xz00_7173, obj_t BgL_yz00_7174)
	{
		{	/* SawBbv/bbv-types.scm 199 */
			{	/* SawBbv/bbv-types.scm 200 */
				bool_t BgL_tmpz00_9296;

				{	/* SawBbv/bbv-types.scm 200 */
					int BgL_arg1966z00_7868;
					int BgL_arg1967z00_7869;

					{	/* SawBbv/bbv-types.scm 200 */
						BgL_rtl_regz00_bglt BgL_oz00_7870;

						BgL_oz00_7870 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_7173)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_9300;

							{
								obj_t BgL_auxz00_9301;

								{	/* SawBbv/bbv-types.scm 200 */
									BgL_objectz00_bglt BgL_tmpz00_9302;

									BgL_tmpz00_9302 = ((BgL_objectz00_bglt) BgL_oz00_7870);
									BgL_auxz00_9301 = BGL_OBJECT_WIDENING(BgL_tmpz00_9302);
								}
								BgL_auxz00_9300 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9301);
							}
							BgL_arg1966z00_7868 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9300))->
								BgL_numz00);
					}}
					{	/* SawBbv/bbv-types.scm 201 */
						BgL_rtl_regz00_bglt BgL_oz00_7871;

						BgL_oz00_7871 =
							((BgL_rtl_regz00_bglt)
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_yz00_7174)))->
								BgL_regz00));
						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_9310;

							{
								obj_t BgL_auxz00_9311;

								{	/* SawBbv/bbv-types.scm 201 */
									BgL_objectz00_bglt BgL_tmpz00_9312;

									BgL_tmpz00_9312 = ((BgL_objectz00_bglt) BgL_oz00_7871);
									BgL_auxz00_9311 = BGL_OBJECT_WIDENING(BgL_tmpz00_9312);
								}
								BgL_auxz00_9310 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9311);
							}
							BgL_arg1967z00_7869 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9310))->
								BgL_numz00);
					}}
					BgL_tmpz00_9296 =
						((long) (BgL_arg1966z00_7868) <= (long) (BgL_arg1967z00_7869));
				}
				return BBOOL(BgL_tmpz00_9296);
			}
		}

	}



/* &<@anonymous:1972> */
	obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7175, obj_t BgL_pz00_7176)
	{
		{	/* SawBbv/bbv-types.scm 202 */
			{	/* SawBbv/bbv-types.scm 203 */
				bool_t BgL_test3824z00_9321;

				{	/* SawBbv/bbv-types.scm 203 */
					obj_t BgL_classz00_7872;

					BgL_classz00_7872 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					if (BGL_OBJECTP(BgL_pz00_7176))
						{	/* SawBbv/bbv-types.scm 203 */
							BgL_objectz00_bglt BgL_arg1820z00_7873;

							BgL_arg1820z00_7873 = (BgL_objectz00_bglt) (BgL_pz00_7176);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 203 */
									long BgL_idxz00_7874;

									BgL_idxz00_7874 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_7873);
									BgL_test3824z00_9321 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_7874 + ((long) 2))) == BgL_classz00_7872);
								}
							else
								{	/* SawBbv/bbv-types.scm 203 */
									bool_t BgL_res3283z00_7877;

									{	/* SawBbv/bbv-types.scm 203 */
										obj_t BgL_oclassz00_7878;

										{	/* SawBbv/bbv-types.scm 203 */
											long BgL_arg1828z00_7879;

											{	/* SawBbv/bbv-types.scm 203 */
												long BgL_arg1829z00_7880;

												BgL_arg1829z00_7880 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_7873);
												BgL_arg1828z00_7879 =
													(BgL_arg1829z00_7880 - OBJECT_TYPE);
											}
											BgL_oclassz00_7878 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_7879);
										}
										{	/* SawBbv/bbv-types.scm 203 */
											bool_t BgL__ortest_1111z00_7881;

											BgL__ortest_1111z00_7881 =
												(BgL_classz00_7872 == BgL_oclassz00_7878);
											if (BgL__ortest_1111z00_7881)
												{	/* SawBbv/bbv-types.scm 203 */
													BgL_res3283z00_7877 = BgL__ortest_1111z00_7881;
												}
											else
												{	/* SawBbv/bbv-types.scm 203 */
													long BgL_odepthz00_7882;

													BgL_odepthz00_7882 =
														BGL_CLASS_DEPTH(BgL_oclassz00_7878);
													if ((((long) 2) < BgL_odepthz00_7882))
														{	/* SawBbv/bbv-types.scm 203 */
															obj_t BgL_arg1816z00_7883;

															BgL_arg1816z00_7883 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_7878,
																((long) 2));
															BgL_res3283z00_7877 =
																(BgL_arg1816z00_7883 == BgL_classz00_7872);
														}
													else
														{	/* SawBbv/bbv-types.scm 203 */
															BgL_res3283z00_7877 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3824z00_9321 = BgL_res3283z00_7877;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 203 */
							BgL_test3824z00_9321 = ((bool_t) 0);
						}
				}
				if (BgL_test3824z00_9321)
					{	/* SawBbv/bbv-types.scm 205 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_new1240z00_7884;

						{	/* SawBbv/bbv-types.scm 206 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_new1238z00_7885;

							BgL_new1238z00_7885 =
								((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_bbvzd2ctxentryzd2_bgl))));
							{	/* SawBbv/bbv-types.scm 206 */
								long BgL_arg1976z00_7886;

								BgL_arg1976z00_7886 =
									BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1238z00_7885),
									BgL_arg1976z00_7886);
							}
							BgL_new1240z00_7884 = BgL_new1238z00_7885;
						}
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
								BgL_regz00) =
							((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_pz00_7176)),
							BUNSPEC);
						{
							obj_t BgL_auxz00_9347;

							{	/* SawBbv/bbv-types.scm 207 */
								BgL_typez00_bglt BgL_arg1974z00_7887;

								BgL_arg1974z00_7887 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_pz00_7176)))->BgL_typez00);
								{	/* SawBbv/bbv-types.scm 207 */
									obj_t BgL_list1975z00_7888;

									BgL_list1975z00_7888 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1974z00_7887), BNIL);
									BgL_auxz00_9347 = BgL_list1975z00_7888;
							}}
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
									BgL_typesz00) = ((obj_t) BgL_auxz00_9347), BUNSPEC);
						}
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
								BgL_polarityz00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
								BgL_valuez00) = ((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
								BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
						((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1240z00_7884))->
								BgL_initvalz00) = ((obj_t) BUNSPEC), BUNSPEC);
						return ((obj_t) BgL_new1240z00_7884);
					}
				else
					{	/* SawBbv/bbv-types.scm 203 */
						return BFALSE;
					}
			}
		}

	}



/* bbv-ctxentry-equal? */
	bool_t
		BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2
		(BgL_bbvzd2ctxentryzd2_bglt BgL_xz00_97,
		BgL_bbvzd2ctxentryzd2_bglt BgL_yz00_98)
	{
		{	/* SawBbv/bbv-types.scm 214 */
			if (
				(((obj_t)
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_97))->
							BgL_regz00)) ==
					((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_98))->
							BgL_regz00))))
				{	/* SawBbv/bbv-types.scm 223 */
					if (
						(BBOOL(
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_97))->
									BgL_polarityz00)) ==
							BBOOL((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_98))->
									BgL_polarityz00))))
						{	/* SawBbv/bbv-types.scm 224 */
							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_97))->
										BgL_typesz00),
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_98))->
										BgL_typesz00)))
								{	/* SawBbv/bbv-types.scm 225 */
									return
										BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_xz00_97))->
											BgL_valuez00),
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_yz00_98))->
											BgL_valuez00));
								}
							else
								{	/* SawBbv/bbv-types.scm 225 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 224 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* SawBbv/bbv-types.scm 223 */
					return ((bool_t) 0);
				}
		}

	}



/* bbv-ctx-equal? */
	BGL_EXPORTED_DEF bool_t
		BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_xz00_99, BgL_bbvzd2ctxzd2_bglt BgL_yz00_100)
	{
		{	/* SawBbv/bbv-types.scm 231 */
			{
				obj_t BgL_l1679z00_2200;

				BgL_l1679z00_2200 =
					(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_99))->BgL_entriesz00);
			BgL_zc3z04anonymousza31987ze3z87_2201:
				if (NULLP(BgL_l1679z00_2200))
					{	/* SawBbv/bbv-types.scm 234 */
						return ((bool_t) 1);
					}
				else
					{	/* SawBbv/bbv-types.scm 234 */
						bool_t BgL_test3833z00_9380;

						{	/* SawBbv/bbv-types.scm 235 */
							obj_t BgL_xez00_2206;

							BgL_xez00_2206 = CAR(((obj_t) BgL_l1679z00_2200));
							BgL_test3833z00_9380 =
								BGl_bbvzd2ctxentryzd2equalzf3zf3zzsaw_bbvzd2typeszd2(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_xez00_2206),
								((BgL_bbvzd2ctxentryzd2_bglt)
									BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_yz00_100,
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_xez00_2206)))->
											BgL_regz00))));
						}
						if (BgL_test3833z00_9380)
							{
								obj_t BgL_l1679z00_9389;

								BgL_l1679z00_9389 = CDR(((obj_t) BgL_l1679z00_2200));
								BgL_l1679z00_2200 = BgL_l1679z00_9389;
								goto BgL_zc3z04anonymousza31987ze3z87_2201;
							}
						else
							{	/* SawBbv/bbv-types.scm 234 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* &bbv-ctx-equal? */
	obj_t BGl_z62bbvzd2ctxzd2equalzf3z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7177, obj_t BgL_xz00_7178, obj_t BgL_yz00_7179)
	{
		{	/* SawBbv/bbv-types.scm 231 */
			return
				BBOOL(BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(
					((BgL_bbvzd2ctxzd2_bglt) BgL_xz00_7178),
					((BgL_bbvzd2ctxzd2_bglt) BgL_yz00_7179)));
		}

	}



/* bbv-ctx-assoc */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_cz00_101, obj_t BgL_versionsz00_102)
	{
		{	/* SawBbv/bbv-types.scm 243 */
			{
				obj_t BgL_versionsz00_2212;

				BgL_versionsz00_2212 = BgL_versionsz00_102;
			BgL_zc3z04anonymousza31991ze3z87_2213:
				if (PAIRP(BgL_versionsz00_2212))
					{	/* SawBbv/bbv-types.scm 246 */
						BgL_blockz00_bglt BgL_i1249z00_2215;

						BgL_i1249z00_2215 = ((BgL_blockz00_bglt) CAR(BgL_versionsz00_2212));
						{	/* SawBbv/bbv-types.scm 247 */
							bool_t BgL_test3835z00_9401;

							{	/* SawBbv/bbv-types.scm 247 */
								BgL_bbvzd2ctxzd2_bglt BgL_arg1996z00_2219;

								{
									BgL_blocksz00_bglt BgL_auxz00_9402;

									{
										obj_t BgL_auxz00_9403;

										{	/* SawBbv/bbv-types.scm 247 */
											BgL_objectz00_bglt BgL_tmpz00_9404;

											BgL_tmpz00_9404 =
												((BgL_objectz00_bglt) BgL_i1249z00_2215);
											BgL_auxz00_9403 = BGL_OBJECT_WIDENING(BgL_tmpz00_9404);
										}
										BgL_auxz00_9402 = ((BgL_blocksz00_bglt) BgL_auxz00_9403);
									}
									BgL_arg1996z00_2219 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_9402))->
										BgL_ctxz00);
								}
								BgL_test3835z00_9401 =
									BGl_bbvzd2ctxzd2equalzf3zf3zzsaw_bbvzd2typeszd2(BgL_cz00_101,
									BgL_arg1996z00_2219);
							}
							if (BgL_test3835z00_9401)
								{	/* SawBbv/bbv-types.scm 247 */
									return CAR(BgL_versionsz00_2212);
								}
							else
								{
									obj_t BgL_versionsz00_9411;

									BgL_versionsz00_9411 = CDR(BgL_versionsz00_2212);
									BgL_versionsz00_2212 = BgL_versionsz00_9411;
									goto BgL_zc3z04anonymousza31991ze3z87_2213;
								}
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 245 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-ctx-assoc */
	obj_t BGl_z62bbvzd2ctxzd2assocz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7180,
		obj_t BgL_cz00_7181, obj_t BgL_versionsz00_7182)
	{
		{	/* SawBbv/bbv-types.scm 243 */
			return
				BGl_bbvzd2ctxzd2assocz00zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_cz00_7181), BgL_versionsz00_7182);
		}

	}



/* bbv-ctx-get */
	BGL_EXPORTED_DEF obj_t
		BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_103, BgL_rtl_regz00_bglt BgL_regz00_104)
	{
		{	/* SawBbv/bbv-types.scm 254 */
			{
				obj_t BgL_esz00_2224;

				BgL_esz00_2224 =
					(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_103))->BgL_entriesz00);
			BgL_zc3z04anonymousza31998ze3z87_2225:
				if (PAIRP(BgL_esz00_2224))
					{	/* SawBbv/bbv-types.scm 257 */
						if (
							(((obj_t)
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt)
													CAR(BgL_esz00_2224))))->BgL_regz00)) ==
								((obj_t) BgL_regz00_104)))
							{	/* SawBbv/bbv-types.scm 258 */
								return CAR(BgL_esz00_2224);
							}
						else
							{
								obj_t BgL_esz00_9425;

								BgL_esz00_9425 = CDR(BgL_esz00_2224);
								BgL_esz00_2224 = BgL_esz00_9425;
								goto BgL_zc3z04anonymousza31998ze3z87_2225;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 257 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-ctx-get */
	obj_t BGl_z62bbvzd2ctxzd2getz62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7183,
		obj_t BgL_ctxz00_7184, obj_t BgL_regz00_7185)
	{
		{	/* SawBbv/bbv-types.scm 254 */
			return
				BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_7184),
				((BgL_rtl_regz00_bglt) BgL_regz00_7185));
		}

	}



/* extend-ctx/entry */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_105, BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_106)
	{
		{	/* SawBbv/bbv-types.scm 268 */
			{	/* SawBbv/bbv-types.scm 285 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1252z00_2236;

				{	/* SawBbv/bbv-types.scm 285 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1255z00_2238;

					BgL_new1255z00_2238 =
						((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 285 */
						long BgL_arg2007z00_2239;

						BgL_arg2007z00_2239 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1255z00_2238), BgL_arg2007z00_2239);
					}
					BgL_new1252z00_2236 = BgL_new1255z00_2238;
				}
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1252z00_2236))->BgL_idz00) =
					((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_105))->
							BgL_idz00)), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1252z00_2236))->
						BgL_entriesz00) =
					((obj_t)
						BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_ctxz00_105,
							BgL_entryz00_106)), BUNSPEC);
				{	/* SawBbv/bbv-types.scm 286 */
					obj_t BgL_fun2006z00_2237;

					BgL_fun2006z00_2237 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun2006z00_2237)) (BgL_fun2006z00_2237,
						((obj_t) BgL_new1252z00_2236), BEOA);
				}
				return ((obj_t) BgL_new1252z00_2236);
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_7821,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_7820, BgL_rtl_regz00_bglt BgL_regz00_7819,
		BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_7818, obj_t BgL_esz00_2248)
	{
		{	/* SawBbv/bbv-types.scm 274 */
			if (NULLP(BgL_esz00_2248))
				{	/* SawBbv/bbv-types.scm 277 */
					obj_t BgL_list2013z00_2251;

					BgL_list2013z00_2251 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_entryz00_7818), BNIL);
					return BgL_list2013z00_2251;
				}
			else
				{	/* SawBbv/bbv-types.scm 278 */
					bool_t BgL_test3839z00_9450;

					{	/* SawBbv/bbv-types.scm 278 */
						int BgL_arg2029z00_2265;

						{	/* SawBbv/bbv-types.scm 278 */
							BgL_rtl_regz00_bglt BgL_oz00_4591;

							BgL_oz00_4591 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_esz00_2248)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_9456;

								{
									obj_t BgL_auxz00_9457;

									{	/* SawBbv/bbv-types.scm 278 */
										BgL_objectz00_bglt BgL_tmpz00_9458;

										BgL_tmpz00_9458 = ((BgL_objectz00_bglt) BgL_oz00_4591);
										BgL_auxz00_9457 = BGL_OBJECT_WIDENING(BgL_tmpz00_9458);
									}
									BgL_auxz00_9456 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9457);
								}
								BgL_arg2029z00_2265 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9456))->
									BgL_numz00);
						}}
						BgL_test3839z00_9450 =
							((long) (BgL_arg2029z00_2265) > (long) (BgL_rnumz00_7821));
					}
					if (BgL_test3839z00_9450)
						{	/* SawBbv/bbv-types.scm 278 */
							return
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_entryz00_7818), ((obj_t) BgL_ctxz00_7820));
						}
					else
						{	/* SawBbv/bbv-types.scm 278 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_esz00_2248)))))->BgL_regz00)) ==
									((obj_t) BgL_regz00_7819)))
								{	/* SawBbv/bbv-types.scm 281 */
									obj_t BgL_arg2022z00_2259;

									BgL_arg2022z00_2259 = CDR(((obj_t) BgL_esz00_2248));
									return
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_entryz00_7818), BgL_arg2022z00_2259);
								}
							else
								{	/* SawBbv/bbv-types.scm 283 */
									obj_t BgL_arg2023z00_2260;
									obj_t BgL_arg2024z00_2261;

									BgL_arg2023z00_2260 = CAR(((obj_t) BgL_esz00_2248));
									{	/* SawBbv/bbv-types.scm 283 */
										obj_t BgL_arg2025z00_2262;

										BgL_arg2025z00_2262 = CDR(((obj_t) BgL_esz00_2248));
										BgL_arg2024z00_2261 =
											BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_7821,
											BgL_ctxz00_7820, BgL_regz00_7819, BgL_entryz00_7818,
											BgL_arg2025z00_2262);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg2023z00_2260, BgL_arg2024z00_2261);
								}
						}
				}
		}

	}



/* extend-entries~1 */
	obj_t BGl_extendzd2entriesze71z35zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_2240, BgL_bbvzd2ctxentryzd2_bglt BgL_entryz00_2241)
	{
		{	/* SawBbv/bbv-types.scm 283 */
			{	/* SawBbv/bbv-types.scm 271 */
				BgL_rtl_regz00_bglt BgL_regz00_2243;

				BgL_regz00_2243 =
					(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_entryz00_2241))->
					BgL_regz00);
				{	/* SawBbv/bbv-types.scm 271 */
					int BgL_rnumz00_2244;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_9488;

						{
							obj_t BgL_auxz00_9489;

							{	/* SawBbv/bbv-types.scm 272 */
								BgL_objectz00_bglt BgL_tmpz00_9490;

								BgL_tmpz00_9490 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_regz00_2243));
								BgL_auxz00_9489 = BGL_OBJECT_WIDENING(BgL_tmpz00_9490);
							}
							BgL_auxz00_9488 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9489);
						}
						BgL_rnumz00_2244 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9488))->
							BgL_numz00);
					}
					{	/* SawBbv/bbv-types.scm 272 */

						return
							BGl_loopze71ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2244,
							BgL_ctxz00_2240, BgL_regz00_2243, BgL_entryz00_2241,
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2240))->
								BgL_entriesz00));
					}
				}
			}
		}

	}



/* &extend-ctx/entry */
	obj_t BGl_z62extendzd2ctxzf2entryz42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7186, obj_t BgL_ctxz00_7187, obj_t BgL_entryz00_7188)
	{
		{	/* SawBbv/bbv-types.scm 268 */
			return
				BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_7187),
				((BgL_bbvzd2ctxentryzd2_bglt) BgL_entryz00_7188));
		}

	}



/* _extend-ctx */
	obj_t BGl__extendzd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t BgL_env1799z00_113,
		obj_t BgL_opt1798z00_112)
	{
		{	/* SawBbv/bbv-types.scm 293 */
			{
				obj_t BgL_k1z00_2271;
				long BgL_iz00_2272;

				{	/* SawBbv/bbv-types.scm 293 */
					obj_t BgL_g1805z00_2274;
					obj_t BgL_g1806z00_2275;
					obj_t BgL_g1807z00_2276;
					obj_t BgL_g1808z00_2277;

					BgL_g1805z00_2274 = VECTOR_REF(BgL_opt1798z00_112, ((long) 0));
					BgL_g1806z00_2275 = VECTOR_REF(BgL_opt1798z00_112, ((long) 1));
					BgL_g1807z00_2276 = VECTOR_REF(BgL_opt1798z00_112, ((long) 2));
					BgL_g1808z00_2277 = VECTOR_REF(BgL_opt1798z00_112, ((long) 3));
					{	/* SawBbv/bbv-types.scm 294 */
						obj_t BgL_valuez00_2278;

						BgL_valuez00_2278 = CNST_TABLE_REF(((long) 0));
						{	/* SawBbv/bbv-types.scm 293 */

							{	/* SawBbv/bbv-types.scm 293 */
								long BgL_index1804z00_2279;

								BgL_k1z00_2271 = CNST_TABLE_REF(((long) 1));
								BgL_iz00_2272 = ((long) 4);
							BgL_search1801z00_2273:
								if ((BgL_iz00_2272 == VECTOR_LENGTH(BgL_opt1798z00_112)))
									{	/* SawBbv/bbv-types.scm 293 */
										BgL_index1804z00_2279 = ((long) -1);
									}
								else
									{	/* SawBbv/bbv-types.scm 293 */
										obj_t BgL_vz00_2287;

										BgL_vz00_2287 =
											VECTOR_REF(BgL_opt1798z00_112, BgL_iz00_2272);
										if ((BgL_vz00_2287 == BgL_k1z00_2271))
											{	/* SawBbv/bbv-types.scm 293 */
												BgL_index1804z00_2279 = (BgL_iz00_2272 + ((long) 1));
											}
										else
											{
												long BgL_iz00_9513;

												BgL_iz00_9513 = (BgL_iz00_2272 + ((long) 2));
												BgL_iz00_2272 = BgL_iz00_9513;
												goto BgL_search1801z00_2273;
											}
									}
								if ((BgL_index1804z00_2279 >= ((long) 0)))
									{	/* SawBbv/bbv-types.scm 293 */
										BgL_valuez00_2278 =
											VECTOR_REF(BgL_opt1798z00_112, BgL_index1804z00_2279);
									}
								else
									{	/* SawBbv/bbv-types.scm 293 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-types.scm 293 */
								obj_t BgL_arg2033z00_2281;
								obj_t BgL_arg2034z00_2282;
								obj_t BgL_arg2035z00_2283;
								obj_t BgL_arg2037z00_2284;

								BgL_arg2033z00_2281 =
									VECTOR_REF(BgL_opt1798z00_112, ((long) 0));
								BgL_arg2034z00_2282 =
									VECTOR_REF(BgL_opt1798z00_112, ((long) 1));
								BgL_arg2035z00_2283 =
									VECTOR_REF(BgL_opt1798z00_112, ((long) 2));
								BgL_arg2037z00_2284 =
									VECTOR_REF(BgL_opt1798z00_112, ((long) 3));
								{	/* SawBbv/bbv-types.scm 293 */
									obj_t BgL_valuez00_2285;

									BgL_valuez00_2285 = BgL_valuez00_2278;
									return
										((obj_t)
										BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
											((BgL_bbvzd2ctxzd2_bglt) BgL_arg2033z00_2281),
											((BgL_rtl_regz00_bglt) BgL_arg2034z00_2282),
											BgL_arg2035z00_2283, CBOOL(BgL_arg2037z00_2284),
											BgL_valuez00_2285));
								}
							}
						}
					}
				}
			}
		}

	}



/* extend-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_107, BgL_rtl_regz00_bglt BgL_regz00_108, obj_t BgL_typesz00_109,
		bool_t BgL_polarityz00_110, obj_t BgL_valuez00_111)
	{
		{	/* SawBbv/bbv-types.scm 293 */
			{	/* SawBbv/bbv-types.scm 323 */
				bool_t BgL_test3844z00_9528;

				{	/* SawBbv/bbv-types.scm 323 */
					obj_t BgL_classz00_4630;

					BgL_classz00_4630 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
					{	/* SawBbv/bbv-types.scm 323 */
						BgL_objectz00_bglt BgL_arg1820z00_4632;

						{	/* SawBbv/bbv-types.scm 323 */
							obj_t BgL_tmpz00_9529;

							BgL_tmpz00_9529 = ((obj_t) BgL_regz00_108);
							BgL_arg1820z00_4632 = (BgL_objectz00_bglt) (BgL_tmpz00_9529);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 323 */
								long BgL_idxz00_4638;

								BgL_idxz00_4638 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4632);
								BgL_test3844z00_9528 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4638 + ((long) 2))) == BgL_classz00_4630);
							}
						else
							{	/* SawBbv/bbv-types.scm 323 */
								bool_t BgL_res3287z00_4660;

								{	/* SawBbv/bbv-types.scm 323 */
									obj_t BgL_oclassz00_4646;

									{	/* SawBbv/bbv-types.scm 323 */
										long BgL_arg1828z00_4652;

										{	/* SawBbv/bbv-types.scm 323 */
											long BgL_arg1829z00_4653;

											BgL_arg1829z00_4653 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4632);
											BgL_arg1828z00_4652 = (BgL_arg1829z00_4653 - OBJECT_TYPE);
										}
										BgL_oclassz00_4646 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4652);
									}
									{	/* SawBbv/bbv-types.scm 323 */
										bool_t BgL__ortest_1111z00_4647;

										BgL__ortest_1111z00_4647 =
											(BgL_classz00_4630 == BgL_oclassz00_4646);
										if (BgL__ortest_1111z00_4647)
											{	/* SawBbv/bbv-types.scm 323 */
												BgL_res3287z00_4660 = BgL__ortest_1111z00_4647;
											}
										else
											{	/* SawBbv/bbv-types.scm 323 */
												long BgL_odepthz00_4648;

												BgL_odepthz00_4648 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4646);
												if ((((long) 2) < BgL_odepthz00_4648))
													{	/* SawBbv/bbv-types.scm 323 */
														obj_t BgL_arg1816z00_4650;

														BgL_arg1816z00_4650 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4646,
															((long) 2));
														BgL_res3287z00_4660 =
															(BgL_arg1816z00_4650 == BgL_classz00_4630);
													}
												else
													{	/* SawBbv/bbv-types.scm 323 */
														BgL_res3287z00_4660 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test3844z00_9528 = BgL_res3287z00_4660;
							}
					}
				}
				if (BgL_test3844z00_9528)
					{	/* SawBbv/bbv-types.scm 325 */
						obj_t BgL_vz00_2292;

						{	/* SawBbv/bbv-types.scm 325 */
							bool_t BgL_test3848z00_9548;

							if ((BgL_valuez00_111 == CNST_TABLE_REF(((long) 0))))
								{	/* SawBbv/bbv-types.scm 325 */
									if (BgL_polarityz00_110)
										{	/* SawBbv/bbv-types.scm 326 */
											bool_t BgL_test3851z00_9553;

											{	/* SawBbv/bbv-types.scm 326 */
												obj_t BgL_arg2051z00_2307;

												BgL_arg2051z00_2307 = CAR(BgL_typesz00_109);
												BgL_test3851z00_9553 =
													(BgL_arg2051z00_2307 ==
													BGl_za2bintza2z00zztype_cachez00);
											}
											if (BgL_test3851z00_9553)
												{	/* SawBbv/bbv-types.scm 326 */
													BgL_test3848z00_9548 = NULLP(CDR(BgL_typesz00_109));
												}
											else
												{	/* SawBbv/bbv-types.scm 326 */
													BgL_test3848z00_9548 = ((bool_t) 0);
												}
										}
									else
										{	/* SawBbv/bbv-types.scm 325 */
											BgL_test3848z00_9548 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 325 */
									BgL_test3848z00_9548 = ((bool_t) 0);
								}
							if (BgL_test3848z00_9548)
								{	/* SawBbv/bbv-types.scm 325 */
									BgL_vz00_2292 =
										((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
								}
							else
								{	/* SawBbv/bbv-types.scm 325 */
									BgL_vz00_2292 = BgL_valuez00_111;
								}
						}
						{	/* SawBbv/bbv-types.scm 329 */
							BgL_bbvzd2ctxzd2_bglt BgL_new1264z00_2294;

							{	/* SawBbv/bbv-types.scm 329 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1268z00_2296;

								BgL_new1268z00_2296 =
									((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_bbvzd2ctxzd2_bgl))));
								{	/* SawBbv/bbv-types.scm 329 */
									long BgL_arg2042z00_2297;

									BgL_arg2042z00_2297 =
										BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1268z00_2296),
										BgL_arg2042z00_2297);
								}
								BgL_new1264z00_2294 = BgL_new1268z00_2296;
							}
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1264z00_2294))->
									BgL_idz00) =
								((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_107))->
										BgL_idz00)), BUNSPEC);
							((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1264z00_2294))->
									BgL_entriesz00) =
								((obj_t)
									BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2
									(BgL_typesz00_109, BgL_ctxz00_107, BgL_regz00_108,
										BgL_typesz00_109, BgL_polarityz00_110, BgL_vz00_2292)),
								BUNSPEC);
							{	/* SawBbv/bbv-types.scm 330 */
								obj_t BgL_fun2041z00_2295;

								BgL_fun2041z00_2295 =
									BGl_classzd2constructorzd2zz__objectz00
									(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
								((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_fun2041z00_2295)) (BgL_fun2041z00_2295,
									((obj_t) BgL_new1264z00_2294), BEOA);
							}
							return BgL_new1264z00_2294;
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 323 */
						return BgL_ctxz00_107;
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2typeszd2(int BgL_rnumz00_7815,
		BgL_rtl_regz00_bglt BgL_regz00_7814, obj_t BgL_valuez00_7813,
		bool_t BgL_polarityz00_7812, obj_t BgL_typesz00_7811,
		obj_t BgL_typesz00_7810, obj_t BgL_entriesz00_2326)
	{
		{	/* SawBbv/bbv-types.scm 306 */
			if (NULLP(BgL_entriesz00_2326))
				{	/* SawBbv/bbv-types.scm 309 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2329;

					BgL_nz00_2329 =
						BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(BgL_typesz00_7810,
						BgL_regz00_7814, BGl_typez00zztype_typez00, BgL_polarityz00_7812,
						BgL_valuez00_7813);
					{	/* SawBbv/bbv-types.scm 310 */
						obj_t BgL_list2058z00_2330;

						BgL_list2058z00_2330 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2329), BNIL);
						return BgL_list2058z00_2330;
					}
				}
			else
				{	/* SawBbv/bbv-types.scm 311 */
					bool_t BgL_test3853z00_9579;

					{	/* SawBbv/bbv-types.scm 311 */
						int BgL_arg2077z00_2350;

						{	/* SawBbv/bbv-types.scm 311 */
							BgL_rtl_regz00_bglt BgL_oz00_4617;

							BgL_oz00_4617 =
								((BgL_rtl_regz00_bglt)
								(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt)
												CAR(((obj_t) BgL_entriesz00_2326)))))->BgL_regz00));
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_9585;

								{
									obj_t BgL_auxz00_9586;

									{	/* SawBbv/bbv-types.scm 311 */
										BgL_objectz00_bglt BgL_tmpz00_9587;

										BgL_tmpz00_9587 = ((BgL_objectz00_bglt) BgL_oz00_4617);
										BgL_auxz00_9586 = BGL_OBJECT_WIDENING(BgL_tmpz00_9587);
									}
									BgL_auxz00_9585 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9586);
								}
								BgL_arg2077z00_2350 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9585))->
									BgL_numz00);
						}}
						BgL_test3853z00_9579 =
							((long) (BgL_arg2077z00_2350) > (long) (BgL_rnumz00_7815));
					}
					if (BgL_test3853z00_9579)
						{	/* SawBbv/bbv-types.scm 312 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2335;

							BgL_nz00_2335 =
								BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(BgL_typesz00_7810,
								BgL_regz00_7814, BGl_typez00zztype_typez00,
								BgL_polarityz00_7812, BgL_valuez00_7813);
							return MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2335),
								BgL_entriesz00_2326);
						}
					else
						{	/* SawBbv/bbv-types.scm 311 */
							if (
								(((obj_t)
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt)
														CAR(
															((obj_t) BgL_entriesz00_2326)))))->BgL_regz00)) ==
									((obj_t) BgL_regz00_7814)))
								{	/* SawBbv/bbv-types.scm 315 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_nz00_2339;

									{	/* SawBbv/bbv-types.scm 315 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_duplicated1262z00_2341;
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1260z00_2342;

										BgL_duplicated1262z00_2341 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											CAR(((obj_t) BgL_entriesz00_2326)));
										{	/* SawBbv/bbv-types.scm 315 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1263z00_2343;

											BgL_new1263z00_2343 =
												((BgL_bbvzd2ctxentryzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_bbvzd2ctxentryzd2_bgl))));
											{	/* SawBbv/bbv-types.scm 315 */
												long BgL_arg2068z00_2344;

												BgL_arg2068z00_2344 =
													BGL_CLASS_NUM
													(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1263z00_2343), BgL_arg2068z00_2344);
											}
											BgL_new1260z00_2342 = BgL_new1263z00_2343;
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_regz00) =
											((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1262z00_2341))->BgL_regz00)),
											BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_typesz00) =
											((obj_t) BgL_typesz00_7811), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_polarityz00) =
											((bool_t) BgL_polarityz00_7812), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_valuez00) =
											((obj_t) BgL_valuez00_7813), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_aliasesz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1262z00_2341))->
													BgL_aliasesz00)), BUNSPEC);
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1260z00_2342))->BgL_initvalz00) =
											((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_duplicated1262z00_2341))->
													BgL_initvalz00)), BUNSPEC);
										BgL_nz00_2339 = BgL_new1260z00_2342;
									}
									{	/* SawBbv/bbv-types.scm 319 */
										obj_t BgL_arg2067z00_2340;

										BgL_arg2067z00_2340 = CDR(((obj_t) BgL_entriesz00_2326));
										return
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_nz00_2339), BgL_arg2067z00_2340);
									}
								}
							else
								{	/* SawBbv/bbv-types.scm 321 */
									obj_t BgL_arg2069z00_2345;
									obj_t BgL_arg2071z00_2346;

									BgL_arg2069z00_2345 = CAR(((obj_t) BgL_entriesz00_2326));
									{	/* SawBbv/bbv-types.scm 321 */
										obj_t BgL_arg2072z00_2347;

										BgL_arg2072z00_2347 = CDR(((obj_t) BgL_entriesz00_2326));
										BgL_arg2071z00_2346 =
											BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_7815,
											BgL_regz00_7814, BgL_valuez00_7813, BgL_polarityz00_7812,
											BgL_typesz00_7811, BgL_typesz00_7810,
											BgL_arg2072z00_2347);
									}
									return
										MAKE_YOUNG_PAIR(BgL_arg2069z00_2345, BgL_arg2071z00_2346);
								}
						}
				}
		}

	}



/* new-ctxentry~0 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_newzd2ctxentryze70z35zzsaw_bbvzd2typeszd2(obj_t
		BgL_typesz00_7816, BgL_rtl_regz00_bglt BgL_regz00_2308,
		obj_t BgL_typez00_2309, bool_t BgL_polarityz00_2310,
		obj_t BgL_valuez00_2311)
	{
		{	/* SawBbv/bbv-types.scm 301 */
			{	/* SawBbv/bbv-types.scm 297 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1258z00_2313;

				{	/* SawBbv/bbv-types.scm 298 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1257z00_2314;

					BgL_new1257z00_2314 =
						((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2ctxentryzd2_bgl))));
					{	/* SawBbv/bbv-types.scm 298 */
						long BgL_arg2053z00_2315;

						BgL_arg2053z00_2315 =
							BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1257z00_2314), BgL_arg2053z00_2315);
					}
					BgL_new1258z00_2313 = BgL_new1257z00_2314;
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_regz00_2308), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_typesz00) = ((obj_t) BgL_typesz00_7816), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_polarityz00) = ((bool_t) BgL_polarityz00_2310), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_valuez00) = ((obj_t) BgL_valuez00_2311), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1258z00_2313))->
						BgL_initvalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1258z00_2313;
			}
		}

	}



/* extend-entries~0 */
	obj_t BGl_extendzd2entriesze70z35zzsaw_bbvzd2typeszd2(obj_t BgL_typesz00_7817,
		BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2316, BgL_rtl_regz00_bglt BgL_regz00_2317,
		obj_t BgL_typesz00_2318, bool_t BgL_polarityz00_2319,
		obj_t BgL_valuez00_2320)
	{
		{	/* SawBbv/bbv-types.scm 321 */
			{	/* SawBbv/bbv-types.scm 304 */
				int BgL_rnumz00_2322;

				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_9642;

					{
						obj_t BgL_auxz00_9643;

						{	/* SawBbv/bbv-types.scm 304 */
							BgL_objectz00_bglt BgL_tmpz00_9644;

							BgL_tmpz00_9644 =
								((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_regz00_2317));
							BgL_auxz00_9643 = BGL_OBJECT_WIDENING(BgL_tmpz00_9644);
						}
						BgL_auxz00_9642 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_9643);
					}
					BgL_rnumz00_2322 =
						(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_9642))->BgL_numz00);
				}
				return
					BGl_loopze70ze7zzsaw_bbvzd2typeszd2(BgL_rnumz00_2322, BgL_regz00_2317,
					BgL_valuez00_2320, BgL_polarityz00_2319, BgL_typesz00_2318,
					BgL_typesz00_7817,
					(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2316))->BgL_entriesz00));
			}
		}

	}



/* _extend-ctx* */
	obj_t BGl__extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(obj_t BgL_env1810z00_120,
		obj_t BgL_opt1809z00_119)
	{
		{	/* SawBbv/bbv-types.scm 337 */
			{
				obj_t BgL_k1z00_2357;
				long BgL_iz00_2358;

				{	/* SawBbv/bbv-types.scm 337 */
					obj_t BgL_ctxz00_2360;
					obj_t BgL_regsz00_2361;
					obj_t BgL_g1816z00_2362;
					obj_t BgL_g1817z00_2363;

					BgL_ctxz00_2360 = VECTOR_REF(BgL_opt1809z00_119, ((long) 0));
					BgL_regsz00_2361 = VECTOR_REF(BgL_opt1809z00_119, ((long) 1));
					BgL_g1816z00_2362 = VECTOR_REF(BgL_opt1809z00_119, ((long) 2));
					BgL_g1817z00_2363 = VECTOR_REF(BgL_opt1809z00_119, ((long) 3));
					{	/* SawBbv/bbv-types.scm 338 */
						obj_t BgL_valuez00_2364;

						BgL_valuez00_2364 = CNST_TABLE_REF(((long) 0));
						{	/* SawBbv/bbv-types.scm 337 */

							{	/* SawBbv/bbv-types.scm 337 */
								long BgL_index1815z00_2365;

								BgL_k1z00_2357 = CNST_TABLE_REF(((long) 1));
								BgL_iz00_2358 = ((long) 4);
							BgL_search1812z00_2359:
								if ((BgL_iz00_2358 == VECTOR_LENGTH(BgL_opt1809z00_119)))
									{	/* SawBbv/bbv-types.scm 337 */
										BgL_index1815z00_2365 = ((long) -1);
									}
								else
									{	/* SawBbv/bbv-types.scm 337 */
										obj_t BgL_vz00_2373;

										BgL_vz00_2373 =
											VECTOR_REF(BgL_opt1809z00_119, BgL_iz00_2358);
										if ((BgL_vz00_2373 == BgL_k1z00_2357))
											{	/* SawBbv/bbv-types.scm 337 */
												BgL_index1815z00_2365 = (BgL_iz00_2358 + ((long) 1));
											}
										else
											{
												long BgL_iz00_9664;

												BgL_iz00_9664 = (BgL_iz00_2358 + ((long) 2));
												BgL_iz00_2358 = BgL_iz00_9664;
												goto BgL_search1812z00_2359;
											}
									}
								if ((BgL_index1815z00_2365 >= ((long) 0)))
									{	/* SawBbv/bbv-types.scm 337 */
										BgL_valuez00_2364 =
											VECTOR_REF(BgL_opt1809z00_119, BgL_index1815z00_2365);
									}
								else
									{	/* SawBbv/bbv-types.scm 337 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-types.scm 337 */
								obj_t BgL_arg2081z00_2367;
								obj_t BgL_arg2082z00_2368;
								obj_t BgL_arg2083z00_2369;
								obj_t BgL_arg2084z00_2370;

								BgL_arg2081z00_2367 =
									VECTOR_REF(BgL_opt1809z00_119, ((long) 0));
								BgL_arg2082z00_2368 =
									VECTOR_REF(BgL_opt1809z00_119, ((long) 1));
								BgL_arg2083z00_2369 =
									VECTOR_REF(BgL_opt1809z00_119, ((long) 2));
								BgL_arg2084z00_2370 =
									VECTOR_REF(BgL_opt1809z00_119, ((long) 3));
								{	/* SawBbv/bbv-types.scm 337 */
									obj_t BgL_valuez00_2371;

									BgL_valuez00_2371 = BgL_valuez00_2364;
									return
										BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(
										((BgL_bbvzd2ctxzd2_bglt) BgL_arg2081z00_2367),
										BgL_arg2082z00_2368, BgL_arg2083z00_2369,
										CBOOL(BgL_arg2084z00_2370), BgL_valuez00_2371);
								}
							}
						}
					}
				}
			}
		}

	}



/* extend-ctx* */
	BGL_EXPORTED_DEF obj_t
		BGl_extendzd2ctxza2z70zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_114, obj_t BgL_regsz00_115, obj_t BgL_typesz00_116,
		bool_t BgL_polarityz00_117, obj_t BgL_valuez00_118)
	{
		{	/* SawBbv/bbv-types.scm 337 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2376;
				obj_t BgL_regsz00_2377;

				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_9677;

					BgL_ctxz00_2376 = BgL_ctxz00_114;
					BgL_regsz00_2377 = BgL_regsz00_115;
				BgL_zc3z04anonymousza32087ze3z87_2378:
					if (NULLP(BgL_regsz00_2377))
						{	/* SawBbv/bbv-types.scm 341 */
							BgL_auxz00_9677 = BgL_ctxz00_2376;
						}
					else
						{	/* SawBbv/bbv-types.scm 343 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg2089z00_2380;
							obj_t BgL_arg2091z00_2381;

							{	/* SawBbv/bbv-types.scm 343 */
								obj_t BgL_arg2092z00_2382;

								BgL_arg2092z00_2382 = CAR(((obj_t) BgL_regsz00_2377));
								BgL_arg2089z00_2380 =
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_2376,
									((BgL_rtl_regz00_bglt) BgL_arg2092z00_2382), BgL_typesz00_116,
									BgL_polarityz00_117, BgL_valuez00_118);
							}
							BgL_arg2091z00_2381 = CDR(((obj_t) BgL_regsz00_2377));
							{
								obj_t BgL_regsz00_9687;
								BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_9686;

								BgL_ctxz00_9686 = BgL_arg2089z00_2380;
								BgL_regsz00_9687 = BgL_arg2091z00_2381;
								BgL_regsz00_2377 = BgL_regsz00_9687;
								BgL_ctxz00_2376 = BgL_ctxz00_9686;
								goto BgL_zc3z04anonymousza32087ze3z87_2378;
							}
						}
					return ((obj_t) BgL_auxz00_9677);
				}
			}
		}

	}



/* alias-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_121,
		BgL_rtl_regz00_bglt BgL_regz00_122, BgL_rtl_regz00_bglt BgL_aliasz00_123)
	{
		{	/* SawBbv/bbv-types.scm 351 */
			{	/* SawBbv/bbv-types.scm 352 */
				obj_t BgL_rez00_2385;
				obj_t BgL_aez00_2386;

				BgL_rez00_2385 =
					BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_121,
					BgL_regz00_122);
				BgL_aez00_2386 =
					BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_121,
					BgL_aliasz00_123);
				{	/* SawBbv/bbv-types.scm 356 */
					obj_t BgL_allz00_2389;

					{	/* SawBbv/bbv-types.scm 357 */
						obj_t BgL_arg2103z00_2414;

						{	/* SawBbv/bbv-types.scm 357 */
							obj_t BgL_arg2104z00_2417;

							{	/* SawBbv/bbv-types.scm 357 */
								obj_t BgL_arg2105z00_2418;
								obj_t BgL_arg2106z00_2419;

								BgL_arg2105z00_2418 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
									BgL_aliasesz00);
								BgL_arg2106z00_2419 =
									(((BgL_bbvzd2ctxentryzd2_bglt)
										COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_aez00_2386)))->
									BgL_aliasesz00);
								BgL_arg2104z00_2417 =
									BGl_appendzd221011zd2zzsaw_bbvzd2typeszd2(BgL_arg2105z00_2418,
									BgL_arg2106z00_2419);
							}
							BgL_arg2103z00_2414 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_aliasz00_123), BgL_arg2104z00_2417);
						}
						{	/* SawBbv/bbv-types.scm 356 */

							BgL_allz00_2389 =
								BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
								(BgL_arg2103z00_2414,
								BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
						}
					}
					{	/* SawBbv/bbv-types.scm 358 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_nrez00_2390;

						{	/* SawBbv/bbv-types.scm 358 */
							BgL_bbvzd2ctxentryzd2_bglt BgL_new1272z00_2411;

							{	/* SawBbv/bbv-types.scm 358 */
								BgL_bbvzd2ctxentryzd2_bglt BgL_new1275z00_2412;

								BgL_new1275z00_2412 =
									((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_bbvzd2ctxentryzd2_bgl))));
								{	/* SawBbv/bbv-types.scm 358 */
									long BgL_arg2102z00_2413;

									BgL_arg2102z00_2413 =
										BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1275z00_2412),
										BgL_arg2102z00_2413);
								}
								BgL_new1272z00_2411 = BgL_new1275z00_2412;
							}
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_regz00) =
								((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
											COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
										BgL_regz00)), BUNSPEC);
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_typesz00) =
								((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
											COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
										BgL_typesz00)), BUNSPEC);
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_polarityz00) =
								((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
											COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
										BgL_polarityz00)), BUNSPEC);
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_valuez00) =
								((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
											COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
										BgL_valuez00)), BUNSPEC);
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_aliasesz00) = ((obj_t) BgL_allz00_2389), BUNSPEC);
							((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1272z00_2411))->
									BgL_initvalz00) =
								((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
											COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_rez00_2385)))->
										BgL_initvalz00)), BUNSPEC);
							BgL_nrez00_2390 = BgL_new1272z00_2411;
						}
						{	/* SawBbv/bbv-types.scm 360 */
							obj_t BgL_g1276z00_2391;

							BgL_g1276z00_2391 =
								BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(BgL_ctxz00_121,
								BgL_nrez00_2390);
							{
								obj_t BgL_allz00_2393;
								obj_t BgL_ctxz00_2394;

								{
									obj_t BgL_auxz00_9720;

									BgL_allz00_2393 = BgL_allz00_2389;
									BgL_ctxz00_2394 = BgL_g1276z00_2391;
								BgL_zc3z04anonymousza32093ze3z87_2395:
									if (NULLP(BgL_allz00_2393))
										{	/* SawBbv/bbv-types.scm 362 */
											BgL_auxz00_9720 = BgL_ctxz00_2394;
										}
									else
										{	/* SawBbv/bbv-types.scm 364 */
											obj_t BgL_aez00_2397;

											BgL_aez00_2397 =
												BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
												((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2394),
												((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_allz00_2393))));
											if (CBOOL(BgL_aez00_2397))
												{	/* SawBbv/bbv-types.scm 367 */
													BgL_bbvzd2ctxentryzd2_bglt BgL_naez00_2399;

													{	/* SawBbv/bbv-types.scm 367 */
														BgL_bbvzd2ctxentryzd2_bglt BgL_new1278z00_2403;

														{	/* SawBbv/bbv-types.scm 367 */
															BgL_bbvzd2ctxentryzd2_bglt BgL_new1281z00_2405;

															BgL_new1281z00_2405 =
																((BgL_bbvzd2ctxentryzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_bbvzd2ctxentryzd2_bgl))));
															{	/* SawBbv/bbv-types.scm 367 */
																long BgL_arg2099z00_2406;

																BgL_arg2099z00_2406 =
																	BGL_CLASS_NUM
																	(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																		BgL_new1281z00_2405), BgL_arg2099z00_2406);
															}
															BgL_new1278z00_2403 = BgL_new1281z00_2405;
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1278z00_2403))->BgL_regz00) =
															((BgL_rtl_regz00_bglt) ((
																		(BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_regz00)),
															BUNSPEC);
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1278z00_2403))->BgL_typesz00) =
															((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_typesz00)),
															BUNSPEC);
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1278z00_2403))->
																BgL_polarityz00) =
															((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_polarityz00)),
															BUNSPEC);
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1278z00_2403))->BgL_valuez00) =
															((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_valuez00)),
															BUNSPEC);
														{
															obj_t BgL_auxz00_9746;

															{	/* SawBbv/bbv-types.scm 368 */
																obj_t BgL_arg2098z00_2404;

																BgL_arg2098z00_2404 =
																	(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																			((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_aliasesz00);
																BgL_auxz00_9746 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_regz00_122),
																	BgL_arg2098z00_2404);
															}
															((((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(BgL_new1278z00_2403))->
																	BgL_aliasesz00) =
																((obj_t) BgL_auxz00_9746), BUNSPEC);
														}
														((((BgL_bbvzd2ctxentryzd2_bglt)
																	COBJECT(BgL_new1278z00_2403))->
																BgL_initvalz00) =
															((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																		COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																				BgL_aez00_2397)))->BgL_initvalz00)),
															BUNSPEC);
														BgL_naez00_2399 = BgL_new1278z00_2403;
													}
													{	/* SawBbv/bbv-types.scm 369 */
														obj_t BgL_arg2096z00_2400;
														obj_t BgL_arg2097z00_2401;

														BgL_arg2096z00_2400 =
															CDR(((obj_t) BgL_allz00_2393));
														BgL_arg2097z00_2401 =
															BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2(
															((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2394),
															BgL_naez00_2399);
														{
															obj_t BgL_ctxz00_9760;
															obj_t BgL_allz00_9759;

															BgL_allz00_9759 = BgL_arg2096z00_2400;
															BgL_ctxz00_9760 = BgL_arg2097z00_2401;
															BgL_ctxz00_2394 = BgL_ctxz00_9760;
															BgL_allz00_2393 = BgL_allz00_9759;
															goto BgL_zc3z04anonymousza32093ze3z87_2395;
														}
													}
												}
											else
												{	/* SawBbv/bbv-types.scm 371 */
													obj_t BgL_arg2100z00_2407;

													BgL_arg2100z00_2407 = CDR(((obj_t) BgL_allz00_2393));
													{
														obj_t BgL_allz00_9763;

														BgL_allz00_9763 = BgL_arg2100z00_2407;
														BgL_allz00_2393 = BgL_allz00_9763;
														goto BgL_zc3z04anonymousza32093ze3z87_2395;
													}
												}
										}
									return ((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_9720);
								}
							}
						}
					}
				}
			}
		}

	}



/* &alias-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62aliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7189, obj_t BgL_ctxz00_7190, obj_t BgL_regz00_7191,
		obj_t BgL_aliasz00_7192)
	{
		{	/* SawBbv/bbv-types.scm 351 */
			return
				BGl_aliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_7190),
				((BgL_rtl_regz00_bglt) BgL_regz00_7191),
				((BgL_rtl_regz00_bglt) BgL_aliasz00_7192));
		}

	}



/* unalias-ctx */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_ctxz00_124, BgL_rtl_regz00_bglt BgL_regz00_125)
	{
		{	/* SawBbv/bbv-types.scm 378 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2438;
				BgL_rtl_regz00_bglt BgL_regz00_2439;
				BgL_rtl_regz00_bglt BgL_aliasz00_2440;

				{	/* SawBbv/bbv-types.scm 389 */
					obj_t BgL_ez00_2421;

					BgL_ez00_2421 =
						BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_ctxz00_124,
						BgL_regz00_125);
					if (CBOOL(BgL_ez00_2421))
						{	/* SawBbv/bbv-types.scm 392 */
							BgL_bbvzd2ctxzd2_bglt BgL_g1288z00_2423;

							{	/* SawBbv/bbv-types.scm 393 */
								obj_t BgL_arg2113z00_2434;
								bool_t BgL_arg2114z00_2435;
								obj_t BgL_arg2115z00_2436;

								BgL_arg2113z00_2434 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2421)))->
									BgL_typesz00);
								BgL_arg2114z00_2435 =
									(((BgL_bbvzd2ctxentryzd2_bglt)
										COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2421)))->
									BgL_polarityz00);
								BgL_arg2115z00_2436 =
									(((BgL_bbvzd2ctxentryzd2_bglt)
										COBJECT(((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2421)))->
									BgL_valuez00);
								BgL_g1288z00_2423 =
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_ctxz00_124,
									BgL_regz00_125, BgL_arg2113z00_2434, BgL_arg2114z00_2435,
									BgL_arg2115z00_2436);
							}
							{
								obj_t BgL_aliasesz00_2426;
								obj_t BgL_ctxz00_2427;

								{	/* SawBbv/bbv-types.scm 392 */
									obj_t BgL_arg2107z00_2425;

									BgL_arg2107z00_2425 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2421)))->
										BgL_aliasesz00);
									{
										obj_t BgL_auxz00_9781;

										BgL_aliasesz00_2426 = BgL_arg2107z00_2425;
										BgL_ctxz00_2427 = ((obj_t) BgL_g1288z00_2423);
									BgL_zc3z04anonymousza32108ze3z87_2428:
										if (NULLP(BgL_aliasesz00_2426))
											{	/* SawBbv/bbv-types.scm 394 */
												BgL_auxz00_9781 = BgL_ctxz00_2427;
											}
										else
											{	/* SawBbv/bbv-types.scm 396 */
												obj_t BgL_arg2110z00_2430;
												obj_t BgL_arg2111z00_2431;

												BgL_arg2110z00_2430 =
													CDR(((obj_t) BgL_aliasesz00_2426));
												{	/* SawBbv/bbv-types.scm 397 */
													obj_t BgL_arg2112z00_2432;

													BgL_arg2112z00_2432 =
														CAR(((obj_t) BgL_aliasesz00_2426));
													BgL_ctxz00_2438 =
														((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_2427);
													BgL_regz00_2439 = BgL_regz00_125;
													BgL_aliasz00_2440 =
														((BgL_rtl_regz00_bglt) BgL_arg2112z00_2432);
													{	/* SawBbv/bbv-types.scm 381 */
														obj_t BgL_ez00_2442;

														BgL_ez00_2442 =
															BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2
															(BgL_ctxz00_2438, BgL_aliasz00_2440);
														if (CBOOL(BgL_ez00_2442))
															{	/* SawBbv/bbv-types.scm 385 */
																BgL_bbvzd2ctxentryzd2_bglt BgL_arg2117z00_2444;

																{	/* SawBbv/bbv-types.scm 385 */
																	BgL_bbvzd2ctxentryzd2_bglt
																		BgL_new1283z00_2446;
																	{	/* SawBbv/bbv-types.scm 385 */
																		BgL_bbvzd2ctxentryzd2_bglt
																			BgL_new1286z00_2448;
																		BgL_new1286z00_2448 =
																			((BgL_bbvzd2ctxentryzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_bbvzd2ctxentryzd2_bgl))));
																		{	/* SawBbv/bbv-types.scm 385 */
																			long BgL_arg2119z00_2449;

																			BgL_arg2119z00_2449 =
																				BGL_CLASS_NUM
																				(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1286z00_2448),
																				BgL_arg2119z00_2449);
																		}
																		BgL_new1283z00_2446 = BgL_new1286z00_2448;
																	}
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_regz00) =
																		((BgL_rtl_regz00_bglt) ((
																					(BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2442)))->BgL_regz00)),
																		BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_typesz00) =
																		((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2442)))->BgL_typesz00)),
																		BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_polarityz00) =
																		((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2442)))->
																				BgL_polarityz00)), BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_valuez00) =
																		((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2442)))->BgL_valuez00)),
																		BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_aliasesz00) =
																		((obj_t) bgl_remq(((obj_t) BgL_regz00_2439),
																				(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_ez00_2442)))->
																					BgL_aliasesz00))), BUNSPEC);
																	((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(BgL_new1283z00_2446))->
																			BgL_initvalz00) =
																		((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
																					COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																							BgL_ez00_2442)))->
																				BgL_initvalz00)), BUNSPEC);
																	BgL_arg2117z00_2444 = BgL_new1283z00_2446;
																}
																BgL_arg2111z00_2431 =
																	BGl_extendzd2ctxzf2entryz20zzsaw_bbvzd2typeszd2
																	(BgL_ctxz00_2438, BgL_arg2117z00_2444);
															}
														else
															{	/* SawBbv/bbv-types.scm 382 */
																BgL_arg2111z00_2431 = ((obj_t) BgL_ctxz00_2438);
															}
													}
												}
												{
													obj_t BgL_ctxz00_9820;
													obj_t BgL_aliasesz00_9819;

													BgL_aliasesz00_9819 = BgL_arg2110z00_2430;
													BgL_ctxz00_9820 = BgL_arg2111z00_2431;
													BgL_ctxz00_2427 = BgL_ctxz00_9820;
													BgL_aliasesz00_2426 = BgL_aliasesz00_9819;
													goto BgL_zc3z04anonymousza32108ze3z87_2428;
												}
											}
										return ((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_9781);
									}
								}
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 390 */
							return BgL_ctxz00_124;
						}
				}
			}
		}

	}



/* &unalias-ctx */
	BgL_bbvzd2ctxzd2_bglt BGl_z62unaliaszd2ctxzb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7196, obj_t BgL_ctxz00_7197, obj_t BgL_regz00_7198)
	{
		{	/* SawBbv/bbv-types.scm 378 */
			return
				BGl_unaliaszd2ctxzd2zzsaw_bbvzd2typeszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_7197),
				((BgL_rtl_regz00_bglt) BgL_regz00_7198));
		}

	}



/* rtl_ins-last? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_139)
	{
		{	/* SawBbv/bbv-types.scm 504 */
			{	/* SawBbv/bbv-types.scm 506 */
				BgL_rtl_funz00_bglt BgL_arg2120z00_4689;

				BgL_arg2120z00_4689 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_139))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 506 */
					obj_t BgL_classz00_4690;

					BgL_classz00_4690 = BGl_rtl_lastz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 506 */
						BgL_objectz00_bglt BgL_arg1820z00_4692;

						{	/* SawBbv/bbv-types.scm 506 */
							obj_t BgL_tmpz00_9827;

							BgL_tmpz00_9827 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2120z00_4689));
							BgL_arg1820z00_4692 = (BgL_objectz00_bglt) (BgL_tmpz00_9827);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 506 */
								long BgL_idxz00_4698;

								BgL_idxz00_4698 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4692);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4698 + ((long) 2))) == BgL_classz00_4690);
							}
						else
							{	/* SawBbv/bbv-types.scm 506 */
								bool_t BgL_res3288z00_4720;

								{	/* SawBbv/bbv-types.scm 506 */
									obj_t BgL_oclassz00_4706;

									{	/* SawBbv/bbv-types.scm 506 */
										long BgL_arg1828z00_4712;

										{	/* SawBbv/bbv-types.scm 506 */
											long BgL_arg1829z00_4713;

											BgL_arg1829z00_4713 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4692);
											BgL_arg1828z00_4712 = (BgL_arg1829z00_4713 - OBJECT_TYPE);
										}
										BgL_oclassz00_4706 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4712);
									}
									{	/* SawBbv/bbv-types.scm 506 */
										bool_t BgL__ortest_1111z00_4707;

										BgL__ortest_1111z00_4707 =
											(BgL_classz00_4690 == BgL_oclassz00_4706);
										if (BgL__ortest_1111z00_4707)
											{	/* SawBbv/bbv-types.scm 506 */
												BgL_res3288z00_4720 = BgL__ortest_1111z00_4707;
											}
										else
											{	/* SawBbv/bbv-types.scm 506 */
												long BgL_odepthz00_4708;

												BgL_odepthz00_4708 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4706);
												if ((((long) 2) < BgL_odepthz00_4708))
													{	/* SawBbv/bbv-types.scm 506 */
														obj_t BgL_arg1816z00_4710;

														BgL_arg1816z00_4710 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4706,
															((long) 2));
														BgL_res3288z00_4720 =
															(BgL_arg1816z00_4710 == BgL_classz00_4690);
													}
												else
													{	/* SawBbv/bbv-types.scm 506 */
														BgL_res3288z00_4720 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3288z00_4720;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-last? */
	obj_t BGl_z62rtl_inszd2lastzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7199,
		obj_t BgL_iz00_7200)
	{
		{	/* SawBbv/bbv-types.scm 504 */
			return
				BBOOL(BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7200)));
		}

	}



/* rtl_ins-nop? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_140)
	{
		{	/* SawBbv/bbv-types.scm 511 */
			{	/* SawBbv/bbv-types.scm 513 */
				BgL_rtl_funz00_bglt BgL_arg2121z00_4722;

				BgL_arg2121z00_4722 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_140))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 513 */
					obj_t BgL_classz00_4723;

					BgL_classz00_4723 = BGl_rtl_nopz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 513 */
						BgL_objectz00_bglt BgL_arg1820z00_4725;

						{	/* SawBbv/bbv-types.scm 513 */
							obj_t BgL_tmpz00_9851;

							BgL_tmpz00_9851 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2121z00_4722));
							BgL_arg1820z00_4725 = (BgL_objectz00_bglt) (BgL_tmpz00_9851);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 513 */
								long BgL_idxz00_4731;

								BgL_idxz00_4731 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4725);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4731 + ((long) 3))) == BgL_classz00_4723);
							}
						else
							{	/* SawBbv/bbv-types.scm 513 */
								bool_t BgL_res3289z00_4753;

								{	/* SawBbv/bbv-types.scm 513 */
									obj_t BgL_oclassz00_4739;

									{	/* SawBbv/bbv-types.scm 513 */
										long BgL_arg1828z00_4745;

										{	/* SawBbv/bbv-types.scm 513 */
											long BgL_arg1829z00_4746;

											BgL_arg1829z00_4746 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4725);
											BgL_arg1828z00_4745 = (BgL_arg1829z00_4746 - OBJECT_TYPE);
										}
										BgL_oclassz00_4739 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4745);
									}
									{	/* SawBbv/bbv-types.scm 513 */
										bool_t BgL__ortest_1111z00_4740;

										BgL__ortest_1111z00_4740 =
											(BgL_classz00_4723 == BgL_oclassz00_4739);
										if (BgL__ortest_1111z00_4740)
											{	/* SawBbv/bbv-types.scm 513 */
												BgL_res3289z00_4753 = BgL__ortest_1111z00_4740;
											}
										else
											{	/* SawBbv/bbv-types.scm 513 */
												long BgL_odepthz00_4741;

												BgL_odepthz00_4741 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4739);
												if ((((long) 3) < BgL_odepthz00_4741))
													{	/* SawBbv/bbv-types.scm 513 */
														obj_t BgL_arg1816z00_4743;

														BgL_arg1816z00_4743 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4739,
															((long) 3));
														BgL_res3289z00_4753 =
															(BgL_arg1816z00_4743 == BgL_classz00_4723);
													}
												else
													{	/* SawBbv/bbv-types.scm 513 */
														BgL_res3289z00_4753 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3289z00_4753;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-nop? */
	obj_t BGl_z62rtl_inszd2nopzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7201,
		obj_t BgL_iz00_7202)
	{
		{	/* SawBbv/bbv-types.scm 511 */
			return
				BBOOL(BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7202)));
		}

	}



/* rtl_ins-mov? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_141)
	{
		{	/* SawBbv/bbv-types.scm 518 */
			{	/* SawBbv/bbv-types.scm 520 */
				BgL_rtl_funz00_bglt BgL_arg2122z00_4755;

				BgL_arg2122z00_4755 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_141))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 520 */
					obj_t BgL_classz00_4756;

					BgL_classz00_4756 = BGl_rtl_movz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 520 */
						BgL_objectz00_bglt BgL_arg1820z00_4758;

						{	/* SawBbv/bbv-types.scm 520 */
							obj_t BgL_tmpz00_9875;

							BgL_tmpz00_9875 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2122z00_4755));
							BgL_arg1820z00_4758 = (BgL_objectz00_bglt) (BgL_tmpz00_9875);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 520 */
								long BgL_idxz00_4764;

								BgL_idxz00_4764 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4758);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4764 + ((long) 3))) == BgL_classz00_4756);
							}
						else
							{	/* SawBbv/bbv-types.scm 520 */
								bool_t BgL_res3290z00_4786;

								{	/* SawBbv/bbv-types.scm 520 */
									obj_t BgL_oclassz00_4772;

									{	/* SawBbv/bbv-types.scm 520 */
										long BgL_arg1828z00_4778;

										{	/* SawBbv/bbv-types.scm 520 */
											long BgL_arg1829z00_4779;

											BgL_arg1829z00_4779 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4758);
											BgL_arg1828z00_4778 = (BgL_arg1829z00_4779 - OBJECT_TYPE);
										}
										BgL_oclassz00_4772 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4778);
									}
									{	/* SawBbv/bbv-types.scm 520 */
										bool_t BgL__ortest_1111z00_4773;

										BgL__ortest_1111z00_4773 =
											(BgL_classz00_4756 == BgL_oclassz00_4772);
										if (BgL__ortest_1111z00_4773)
											{	/* SawBbv/bbv-types.scm 520 */
												BgL_res3290z00_4786 = BgL__ortest_1111z00_4773;
											}
										else
											{	/* SawBbv/bbv-types.scm 520 */
												long BgL_odepthz00_4774;

												BgL_odepthz00_4774 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4772);
												if ((((long) 3) < BgL_odepthz00_4774))
													{	/* SawBbv/bbv-types.scm 520 */
														obj_t BgL_arg1816z00_4776;

														BgL_arg1816z00_4776 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4772,
															((long) 3));
														BgL_res3290z00_4786 =
															(BgL_arg1816z00_4776 == BgL_classz00_4756);
													}
												else
													{	/* SawBbv/bbv-types.scm 520 */
														BgL_res3290z00_4786 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3290z00_4786;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-mov? */
	obj_t BGl_z62rtl_inszd2movzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7203,
		obj_t BgL_iz00_7204)
	{
		{	/* SawBbv/bbv-types.scm 518 */
			return
				BBOOL(BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7204)));
		}

	}



/* rtl_ins-go? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt BgL_iz00_142)
	{
		{	/* SawBbv/bbv-types.scm 525 */
			{	/* SawBbv/bbv-types.scm 527 */
				BgL_rtl_funz00_bglt BgL_arg2123z00_4788;

				BgL_arg2123z00_4788 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_142))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 527 */
					obj_t BgL_classz00_4789;

					BgL_classz00_4789 = BGl_rtl_goz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 527 */
						BgL_objectz00_bglt BgL_arg1820z00_4791;

						{	/* SawBbv/bbv-types.scm 527 */
							obj_t BgL_tmpz00_9899;

							BgL_tmpz00_9899 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2123z00_4788));
							BgL_arg1820z00_4791 = (BgL_objectz00_bglt) (BgL_tmpz00_9899);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 527 */
								long BgL_idxz00_4797;

								BgL_idxz00_4797 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4791);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4797 + ((long) 3))) == BgL_classz00_4789);
							}
						else
							{	/* SawBbv/bbv-types.scm 527 */
								bool_t BgL_res3291z00_4819;

								{	/* SawBbv/bbv-types.scm 527 */
									obj_t BgL_oclassz00_4805;

									{	/* SawBbv/bbv-types.scm 527 */
										long BgL_arg1828z00_4811;

										{	/* SawBbv/bbv-types.scm 527 */
											long BgL_arg1829z00_4812;

											BgL_arg1829z00_4812 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4791);
											BgL_arg1828z00_4811 = (BgL_arg1829z00_4812 - OBJECT_TYPE);
										}
										BgL_oclassz00_4805 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4811);
									}
									{	/* SawBbv/bbv-types.scm 527 */
										bool_t BgL__ortest_1111z00_4806;

										BgL__ortest_1111z00_4806 =
											(BgL_classz00_4789 == BgL_oclassz00_4805);
										if (BgL__ortest_1111z00_4806)
											{	/* SawBbv/bbv-types.scm 527 */
												BgL_res3291z00_4819 = BgL__ortest_1111z00_4806;
											}
										else
											{	/* SawBbv/bbv-types.scm 527 */
												long BgL_odepthz00_4807;

												BgL_odepthz00_4807 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4805);
												if ((((long) 3) < BgL_odepthz00_4807))
													{	/* SawBbv/bbv-types.scm 527 */
														obj_t BgL_arg1816z00_4809;

														BgL_arg1816z00_4809 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4805,
															((long) 3));
														BgL_res3291z00_4819 =
															(BgL_arg1816z00_4809 == BgL_classz00_4789);
													}
												else
													{	/* SawBbv/bbv-types.scm 527 */
														BgL_res3291z00_4819 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3291z00_4819;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-go? */
	obj_t BGl_z62rtl_inszd2gozf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7205,
		obj_t BgL_iz00_7206)
	{
		{	/* SawBbv/bbv-types.scm 525 */
			return
				BBOOL(BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7206)));
		}

	}



/* rtl_ins-switch? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_143)
	{
		{	/* SawBbv/bbv-types.scm 532 */
			{	/* SawBbv/bbv-types.scm 534 */
				BgL_rtl_funz00_bglt BgL_arg2124z00_4821;

				BgL_arg2124z00_4821 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_143))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 534 */
					obj_t BgL_classz00_4822;

					BgL_classz00_4822 = BGl_rtl_switchz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 534 */
						BgL_objectz00_bglt BgL_arg1820z00_4824;

						{	/* SawBbv/bbv-types.scm 534 */
							obj_t BgL_tmpz00_9923;

							BgL_tmpz00_9923 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2124z00_4821));
							BgL_arg1820z00_4824 = (BgL_objectz00_bglt) (BgL_tmpz00_9923);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 534 */
								long BgL_idxz00_4830;

								BgL_idxz00_4830 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4824);
								{	/* SawBbv/bbv-types.scm 534 */
									obj_t BgL_arg1814z00_4831;

									BgL_arg1814z00_4831 =
										VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4830 + ((long) 4)));
									return BBOOL((BgL_arg1814z00_4831 == BgL_classz00_4822));
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 534 */
								bool_t BgL_res3292z00_4852;

								{	/* SawBbv/bbv-types.scm 534 */
									obj_t BgL_oclassz00_4838;

									{	/* SawBbv/bbv-types.scm 534 */
										long BgL_arg1828z00_4844;

										{	/* SawBbv/bbv-types.scm 534 */
											long BgL_arg1829z00_4845;

											BgL_arg1829z00_4845 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4824);
											BgL_arg1828z00_4844 = (BgL_arg1829z00_4845 - OBJECT_TYPE);
										}
										BgL_oclassz00_4838 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4844);
									}
									{	/* SawBbv/bbv-types.scm 534 */
										bool_t BgL__ortest_1111z00_4839;

										BgL__ortest_1111z00_4839 =
											(BgL_classz00_4822 == BgL_oclassz00_4838);
										if (BgL__ortest_1111z00_4839)
											{	/* SawBbv/bbv-types.scm 534 */
												BgL_res3292z00_4852 = BgL__ortest_1111z00_4839;
											}
										else
											{	/* SawBbv/bbv-types.scm 534 */
												long BgL_odepthz00_4840;

												BgL_odepthz00_4840 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4838);
												if ((((long) 4) < BgL_odepthz00_4840))
													{	/* SawBbv/bbv-types.scm 534 */
														obj_t BgL_arg1816z00_4842;

														BgL_arg1816z00_4842 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4838,
															((long) 4));
														BgL_res3292z00_4852 =
															(BgL_arg1816z00_4842 == BgL_classz00_4822);
													}
												else
													{	/* SawBbv/bbv-types.scm 534 */
														BgL_res3292z00_4852 = ((bool_t) 0);
													}
											}
									}
								}
								return BBOOL(BgL_res3292z00_4852);
							}
					}
				}
			}
		}

	}



/* &rtl_ins-switch? */
	obj_t BGl_z62rtl_inszd2switchzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7207,
		obj_t BgL_iz00_7208)
	{
		{	/* SawBbv/bbv-types.scm 532 */
			return
				BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_7208));
		}

	}



/* rtl_ins-br? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt BgL_iz00_144)
	{
		{	/* SawBbv/bbv-types.scm 539 */
			{	/* SawBbv/bbv-types.scm 540 */
				bool_t BgL__ortest_1300z00_4853;

				{	/* SawBbv/bbv-types.scm 547 */
					BgL_rtl_funz00_bglt BgL_arg2125z00_4856;

					BgL_arg2125z00_4856 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_144))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 547 */
						obj_t BgL_classz00_4857;

						BgL_classz00_4857 = BGl_rtl_ifeqz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 547 */
							BgL_objectz00_bglt BgL_arg1820z00_4859;

							{	/* SawBbv/bbv-types.scm 547 */
								obj_t BgL_tmpz00_9948;

								BgL_tmpz00_9948 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2125z00_4856));
								BgL_arg1820z00_4859 = (BgL_objectz00_bglt) (BgL_tmpz00_9948);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 547 */
									long BgL_idxz00_4865;

									BgL_idxz00_4865 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4859);
									BgL__ortest_1300z00_4853 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4865 + ((long) 3))) == BgL_classz00_4857);
								}
							else
								{	/* SawBbv/bbv-types.scm 547 */
									bool_t BgL_res3293z00_4887;

									{	/* SawBbv/bbv-types.scm 547 */
										obj_t BgL_oclassz00_4873;

										{	/* SawBbv/bbv-types.scm 547 */
											long BgL_arg1828z00_4879;

											{	/* SawBbv/bbv-types.scm 547 */
												long BgL_arg1829z00_4880;

												BgL_arg1829z00_4880 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4859);
												BgL_arg1828z00_4879 =
													(BgL_arg1829z00_4880 - OBJECT_TYPE);
											}
											BgL_oclassz00_4873 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4879);
										}
										{	/* SawBbv/bbv-types.scm 547 */
											bool_t BgL__ortest_1111z00_4874;

											BgL__ortest_1111z00_4874 =
												(BgL_classz00_4857 == BgL_oclassz00_4873);
											if (BgL__ortest_1111z00_4874)
												{	/* SawBbv/bbv-types.scm 547 */
													BgL_res3293z00_4887 = BgL__ortest_1111z00_4874;
												}
											else
												{	/* SawBbv/bbv-types.scm 547 */
													long BgL_odepthz00_4875;

													BgL_odepthz00_4875 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4873);
													if ((((long) 3) < BgL_odepthz00_4875))
														{	/* SawBbv/bbv-types.scm 547 */
															obj_t BgL_arg1816z00_4877;

															BgL_arg1816z00_4877 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4873,
																((long) 3));
															BgL_res3293z00_4887 =
																(BgL_arg1816z00_4877 == BgL_classz00_4857);
														}
													else
														{	/* SawBbv/bbv-types.scm 547 */
															BgL_res3293z00_4887 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1300z00_4853 = BgL_res3293z00_4887;
								}
						}
					}
				}
				if (BgL__ortest_1300z00_4853)
					{	/* SawBbv/bbv-types.scm 540 */
						return BgL__ortest_1300z00_4853;
					}
				else
					{	/* SawBbv/bbv-types.scm 554 */
						BgL_rtl_funz00_bglt BgL_arg2126z00_4890;

						BgL_arg2126z00_4890 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_144))->BgL_funz00);
						{	/* SawBbv/bbv-types.scm 554 */
							obj_t BgL_classz00_4891;

							BgL_classz00_4891 = BGl_rtl_ifnez00zzsaw_defsz00;
							{	/* SawBbv/bbv-types.scm 554 */
								BgL_objectz00_bglt BgL_arg1820z00_4893;

								{	/* SawBbv/bbv-types.scm 554 */
									obj_t BgL_tmpz00_9970;

									BgL_tmpz00_9970 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2126z00_4890));
									BgL_arg1820z00_4893 = (BgL_objectz00_bglt) (BgL_tmpz00_9970);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 554 */
										long BgL_idxz00_4899;

										BgL_idxz00_4899 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4893);
										return
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4899 + ((long) 3))) == BgL_classz00_4891);
									}
								else
									{	/* SawBbv/bbv-types.scm 554 */
										bool_t BgL_res3294z00_4921;

										{	/* SawBbv/bbv-types.scm 554 */
											obj_t BgL_oclassz00_4907;

											{	/* SawBbv/bbv-types.scm 554 */
												long BgL_arg1828z00_4913;

												{	/* SawBbv/bbv-types.scm 554 */
													long BgL_arg1829z00_4914;

													BgL_arg1829z00_4914 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4893);
													BgL_arg1828z00_4913 =
														(BgL_arg1829z00_4914 - OBJECT_TYPE);
												}
												BgL_oclassz00_4907 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4913);
											}
											{	/* SawBbv/bbv-types.scm 554 */
												bool_t BgL__ortest_1111z00_4908;

												BgL__ortest_1111z00_4908 =
													(BgL_classz00_4891 == BgL_oclassz00_4907);
												if (BgL__ortest_1111z00_4908)
													{	/* SawBbv/bbv-types.scm 554 */
														BgL_res3294z00_4921 = BgL__ortest_1111z00_4908;
													}
												else
													{	/* SawBbv/bbv-types.scm 554 */
														long BgL_odepthz00_4909;

														BgL_odepthz00_4909 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4907);
														if ((((long) 3) < BgL_odepthz00_4909))
															{	/* SawBbv/bbv-types.scm 554 */
																obj_t BgL_arg1816z00_4911;

																BgL_arg1816z00_4911 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4907,
																	((long) 3));
																BgL_res3294z00_4921 =
																	(BgL_arg1816z00_4911 == BgL_classz00_4891);
															}
														else
															{	/* SawBbv/bbv-types.scm 554 */
																BgL_res3294z00_4921 = ((bool_t) 0);
															}
													}
											}
										}
										return BgL_res3294z00_4921;
									}
							}
						}
					}
			}
		}

	}



/* &rtl_ins-br? */
	obj_t BGl_z62rtl_inszd2brzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7209,
		obj_t BgL_iz00_7210)
	{
		{	/* SawBbv/bbv-types.scm 539 */
			return
				BBOOL(BGl_rtl_inszd2brzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7210)));
		}

	}



/* rtl_ins-ifeq? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_145)
	{
		{	/* SawBbv/bbv-types.scm 545 */
			{	/* SawBbv/bbv-types.scm 547 */
				BgL_rtl_funz00_bglt BgL_arg2125z00_4923;

				BgL_arg2125z00_4923 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_145))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 547 */
					obj_t BgL_classz00_4924;

					BgL_classz00_4924 = BGl_rtl_ifeqz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 547 */
						BgL_objectz00_bglt BgL_arg1820z00_4926;

						{	/* SawBbv/bbv-types.scm 547 */
							obj_t BgL_tmpz00_9994;

							BgL_tmpz00_9994 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2125z00_4923));
							BgL_arg1820z00_4926 = (BgL_objectz00_bglt) (BgL_tmpz00_9994);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 547 */
								long BgL_idxz00_4932;

								BgL_idxz00_4932 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4926);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4932 + ((long) 3))) == BgL_classz00_4924);
							}
						else
							{	/* SawBbv/bbv-types.scm 547 */
								bool_t BgL_res3295z00_4954;

								{	/* SawBbv/bbv-types.scm 547 */
									obj_t BgL_oclassz00_4940;

									{	/* SawBbv/bbv-types.scm 547 */
										long BgL_arg1828z00_4946;

										{	/* SawBbv/bbv-types.scm 547 */
											long BgL_arg1829z00_4947;

											BgL_arg1829z00_4947 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4926);
											BgL_arg1828z00_4946 = (BgL_arg1829z00_4947 - OBJECT_TYPE);
										}
										BgL_oclassz00_4940 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4946);
									}
									{	/* SawBbv/bbv-types.scm 547 */
										bool_t BgL__ortest_1111z00_4941;

										BgL__ortest_1111z00_4941 =
											(BgL_classz00_4924 == BgL_oclassz00_4940);
										if (BgL__ortest_1111z00_4941)
											{	/* SawBbv/bbv-types.scm 547 */
												BgL_res3295z00_4954 = BgL__ortest_1111z00_4941;
											}
										else
											{	/* SawBbv/bbv-types.scm 547 */
												long BgL_odepthz00_4942;

												BgL_odepthz00_4942 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4940);
												if ((((long) 3) < BgL_odepthz00_4942))
													{	/* SawBbv/bbv-types.scm 547 */
														obj_t BgL_arg1816z00_4944;

														BgL_arg1816z00_4944 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4940,
															((long) 3));
														BgL_res3295z00_4954 =
															(BgL_arg1816z00_4944 == BgL_classz00_4924);
													}
												else
													{	/* SawBbv/bbv-types.scm 547 */
														BgL_res3295z00_4954 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3295z00_4954;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-ifeq? */
	obj_t BGl_z62rtl_inszd2ifeqzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7211,
		obj_t BgL_iz00_7212)
	{
		{	/* SawBbv/bbv-types.scm 545 */
			return
				BBOOL(BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7212)));
		}

	}



/* rtl_ins-ifne? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_146)
	{
		{	/* SawBbv/bbv-types.scm 552 */
			{	/* SawBbv/bbv-types.scm 554 */
				BgL_rtl_funz00_bglt BgL_arg2126z00_4956;

				BgL_arg2126z00_4956 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_146))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 554 */
					obj_t BgL_classz00_4957;

					BgL_classz00_4957 = BGl_rtl_ifnez00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 554 */
						BgL_objectz00_bglt BgL_arg1820z00_4959;

						{	/* SawBbv/bbv-types.scm 554 */
							obj_t BgL_tmpz00_10018;

							BgL_tmpz00_10018 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2126z00_4956));
							BgL_arg1820z00_4959 = (BgL_objectz00_bglt) (BgL_tmpz00_10018);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 554 */
								long BgL_idxz00_4965;

								BgL_idxz00_4965 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4959);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4965 + ((long) 3))) == BgL_classz00_4957);
							}
						else
							{	/* SawBbv/bbv-types.scm 554 */
								bool_t BgL_res3296z00_4987;

								{	/* SawBbv/bbv-types.scm 554 */
									obj_t BgL_oclassz00_4973;

									{	/* SawBbv/bbv-types.scm 554 */
										long BgL_arg1828z00_4979;

										{	/* SawBbv/bbv-types.scm 554 */
											long BgL_arg1829z00_4980;

											BgL_arg1829z00_4980 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4959);
											BgL_arg1828z00_4979 = (BgL_arg1829z00_4980 - OBJECT_TYPE);
										}
										BgL_oclassz00_4973 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4979);
									}
									{	/* SawBbv/bbv-types.scm 554 */
										bool_t BgL__ortest_1111z00_4974;

										BgL__ortest_1111z00_4974 =
											(BgL_classz00_4957 == BgL_oclassz00_4973);
										if (BgL__ortest_1111z00_4974)
											{	/* SawBbv/bbv-types.scm 554 */
												BgL_res3296z00_4987 = BgL__ortest_1111z00_4974;
											}
										else
											{	/* SawBbv/bbv-types.scm 554 */
												long BgL_odepthz00_4975;

												BgL_odepthz00_4975 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4973);
												if ((((long) 3) < BgL_odepthz00_4975))
													{	/* SawBbv/bbv-types.scm 554 */
														obj_t BgL_arg1816z00_4977;

														BgL_arg1816z00_4977 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4973,
															((long) 3));
														BgL_res3296z00_4987 =
															(BgL_arg1816z00_4977 == BgL_classz00_4957);
													}
												else
													{	/* SawBbv/bbv-types.scm 554 */
														BgL_res3296z00_4987 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3296z00_4987;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-ifne? */
	obj_t BGl_z62rtl_inszd2ifnezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7213,
		obj_t BgL_iz00_7214)
	{
		{	/* SawBbv/bbv-types.scm 552 */
			return
				BBOOL(BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7214)));
		}

	}



/* rtl_ins-call? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_147)
	{
		{	/* SawBbv/bbv-types.scm 559 */
			{	/* SawBbv/bbv-types.scm 561 */
				BgL_rtl_funz00_bglt BgL_arg2127z00_4989;

				BgL_arg2127z00_4989 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_147))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 561 */
					obj_t BgL_classz00_4990;

					BgL_classz00_4990 = BGl_rtl_callz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 561 */
						BgL_objectz00_bglt BgL_arg1820z00_4992;

						{	/* SawBbv/bbv-types.scm 561 */
							obj_t BgL_tmpz00_10042;

							BgL_tmpz00_10042 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2127z00_4989));
							BgL_arg1820z00_4992 = (BgL_objectz00_bglt) (BgL_tmpz00_10042);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 561 */
								long BgL_idxz00_4998;

								BgL_idxz00_4998 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4992);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4998 + ((long) 2))) == BgL_classz00_4990);
							}
						else
							{	/* SawBbv/bbv-types.scm 561 */
								bool_t BgL_res3297z00_5020;

								{	/* SawBbv/bbv-types.scm 561 */
									obj_t BgL_oclassz00_5006;

									{	/* SawBbv/bbv-types.scm 561 */
										long BgL_arg1828z00_5012;

										{	/* SawBbv/bbv-types.scm 561 */
											long BgL_arg1829z00_5013;

											BgL_arg1829z00_5013 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4992);
											BgL_arg1828z00_5012 = (BgL_arg1829z00_5013 - OBJECT_TYPE);
										}
										BgL_oclassz00_5006 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_5012);
									}
									{	/* SawBbv/bbv-types.scm 561 */
										bool_t BgL__ortest_1111z00_5007;

										BgL__ortest_1111z00_5007 =
											(BgL_classz00_4990 == BgL_oclassz00_5006);
										if (BgL__ortest_1111z00_5007)
											{	/* SawBbv/bbv-types.scm 561 */
												BgL_res3297z00_5020 = BgL__ortest_1111z00_5007;
											}
										else
											{	/* SawBbv/bbv-types.scm 561 */
												long BgL_odepthz00_5008;

												BgL_odepthz00_5008 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5006);
												if ((((long) 2) < BgL_odepthz00_5008))
													{	/* SawBbv/bbv-types.scm 561 */
														obj_t BgL_arg1816z00_5010;

														BgL_arg1816z00_5010 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5006,
															((long) 2));
														BgL_res3297z00_5020 =
															(BgL_arg1816z00_5010 == BgL_classz00_4990);
													}
												else
													{	/* SawBbv/bbv-types.scm 561 */
														BgL_res3297z00_5020 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3297z00_5020;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-call? */
	obj_t BGl_z62rtl_inszd2callzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7215,
		obj_t BgL_iz00_7216)
	{
		{	/* SawBbv/bbv-types.scm 559 */
			return
				BBOOL(BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7216)));
		}

	}



/* rtl_ins-vlen? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_148)
	{
		{	/* SawBbv/bbv-types.scm 566 */
			{	/* SawBbv/bbv-types.scm 568 */
				BgL_rtl_funz00_bglt BgL_arg2128z00_5022;

				BgL_arg2128z00_5022 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_148))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 568 */
					obj_t BgL_classz00_5023;

					BgL_classz00_5023 = BGl_rtl_vlengthz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 568 */
						BgL_objectz00_bglt BgL_arg1820z00_5025;

						{	/* SawBbv/bbv-types.scm 568 */
							obj_t BgL_tmpz00_10066;

							BgL_tmpz00_10066 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2128z00_5022));
							BgL_arg1820z00_5025 = (BgL_objectz00_bglt) (BgL_tmpz00_10066);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 568 */
								long BgL_idxz00_5031;

								BgL_idxz00_5031 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5025);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5031 + ((long) 3))) == BgL_classz00_5023);
							}
						else
							{	/* SawBbv/bbv-types.scm 568 */
								bool_t BgL_res3298z00_5053;

								{	/* SawBbv/bbv-types.scm 568 */
									obj_t BgL_oclassz00_5039;

									{	/* SawBbv/bbv-types.scm 568 */
										long BgL_arg1828z00_5045;

										{	/* SawBbv/bbv-types.scm 568 */
											long BgL_arg1829z00_5046;

											BgL_arg1829z00_5046 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5025);
											BgL_arg1828z00_5045 = (BgL_arg1829z00_5046 - OBJECT_TYPE);
										}
										BgL_oclassz00_5039 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_5045);
									}
									{	/* SawBbv/bbv-types.scm 568 */
										bool_t BgL__ortest_1111z00_5040;

										BgL__ortest_1111z00_5040 =
											(BgL_classz00_5023 == BgL_oclassz00_5039);
										if (BgL__ortest_1111z00_5040)
											{	/* SawBbv/bbv-types.scm 568 */
												BgL_res3298z00_5053 = BgL__ortest_1111z00_5040;
											}
										else
											{	/* SawBbv/bbv-types.scm 568 */
												long BgL_odepthz00_5041;

												BgL_odepthz00_5041 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5039);
												if ((((long) 3) < BgL_odepthz00_5041))
													{	/* SawBbv/bbv-types.scm 568 */
														obj_t BgL_arg1816z00_5043;

														BgL_arg1816z00_5043 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5039,
															((long) 3));
														BgL_res3298z00_5053 =
															(BgL_arg1816z00_5043 == BgL_classz00_5023);
													}
												else
													{	/* SawBbv/bbv-types.scm 568 */
														BgL_res3298z00_5053 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3298z00_5053;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-vlen? */
	obj_t BGl_z62rtl_inszd2vlenzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7217,
		obj_t BgL_iz00_7218)
	{
		{	/* SawBbv/bbv-types.scm 566 */
			return
				BBOOL(BGl_rtl_inszd2vlenzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7218)));
		}

	}



/* rtl_ins-loadi? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_149)
	{
		{	/* SawBbv/bbv-types.scm 573 */
			{	/* SawBbv/bbv-types.scm 575 */
				BgL_rtl_funz00_bglt BgL_arg2130z00_5055;

				BgL_arg2130z00_5055 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_149))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 575 */
					obj_t BgL_classz00_5056;

					BgL_classz00_5056 = BGl_rtl_loadiz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 575 */
						BgL_objectz00_bglt BgL_arg1820z00_5058;

						{	/* SawBbv/bbv-types.scm 575 */
							obj_t BgL_tmpz00_10090;

							BgL_tmpz00_10090 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2130z00_5055));
							BgL_arg1820z00_5058 = (BgL_objectz00_bglt) (BgL_tmpz00_10090);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 575 */
								long BgL_idxz00_5064;

								BgL_idxz00_5064 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5058);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5064 + ((long) 3))) == BgL_classz00_5056);
							}
						else
							{	/* SawBbv/bbv-types.scm 575 */
								bool_t BgL_res3299z00_5086;

								{	/* SawBbv/bbv-types.scm 575 */
									obj_t BgL_oclassz00_5072;

									{	/* SawBbv/bbv-types.scm 575 */
										long BgL_arg1828z00_5078;

										{	/* SawBbv/bbv-types.scm 575 */
											long BgL_arg1829z00_5079;

											BgL_arg1829z00_5079 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5058);
											BgL_arg1828z00_5078 = (BgL_arg1829z00_5079 - OBJECT_TYPE);
										}
										BgL_oclassz00_5072 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_5078);
									}
									{	/* SawBbv/bbv-types.scm 575 */
										bool_t BgL__ortest_1111z00_5073;

										BgL__ortest_1111z00_5073 =
											(BgL_classz00_5056 == BgL_oclassz00_5072);
										if (BgL__ortest_1111z00_5073)
											{	/* SawBbv/bbv-types.scm 575 */
												BgL_res3299z00_5086 = BgL__ortest_1111z00_5073;
											}
										else
											{	/* SawBbv/bbv-types.scm 575 */
												long BgL_odepthz00_5074;

												BgL_odepthz00_5074 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5072);
												if ((((long) 3) < BgL_odepthz00_5074))
													{	/* SawBbv/bbv-types.scm 575 */
														obj_t BgL_arg1816z00_5076;

														BgL_arg1816z00_5076 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5072,
															((long) 3));
														BgL_res3299z00_5086 =
															(BgL_arg1816z00_5076 == BgL_classz00_5056);
													}
												else
													{	/* SawBbv/bbv-types.scm 575 */
														BgL_res3299z00_5086 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3299z00_5086;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-loadi? */
	obj_t BGl_z62rtl_inszd2loadizf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7219,
		obj_t BgL_iz00_7220)
	{
		{	/* SawBbv/bbv-types.scm 573 */
			return
				BBOOL(BGl_rtl_inszd2loadizf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7220)));
		}

	}



/* rtl_ins-loadg? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_150)
	{
		{	/* SawBbv/bbv-types.scm 580 */
			{	/* SawBbv/bbv-types.scm 582 */
				BgL_rtl_funz00_bglt BgL_arg2131z00_5088;

				BgL_arg2131z00_5088 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_150))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 582 */
					obj_t BgL_classz00_5089;

					BgL_classz00_5089 = BGl_rtl_loadgz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 582 */
						BgL_objectz00_bglt BgL_arg1820z00_5091;

						{	/* SawBbv/bbv-types.scm 582 */
							obj_t BgL_tmpz00_10114;

							BgL_tmpz00_10114 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2131z00_5088));
							BgL_arg1820z00_5091 = (BgL_objectz00_bglt) (BgL_tmpz00_10114);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 582 */
								long BgL_idxz00_5097;

								BgL_idxz00_5097 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5091);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5097 + ((long) 3))) == BgL_classz00_5089);
							}
						else
							{	/* SawBbv/bbv-types.scm 582 */
								bool_t BgL_res3300z00_5119;

								{	/* SawBbv/bbv-types.scm 582 */
									obj_t BgL_oclassz00_5105;

									{	/* SawBbv/bbv-types.scm 582 */
										long BgL_arg1828z00_5111;

										{	/* SawBbv/bbv-types.scm 582 */
											long BgL_arg1829z00_5112;

											BgL_arg1829z00_5112 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5091);
											BgL_arg1828z00_5111 = (BgL_arg1829z00_5112 - OBJECT_TYPE);
										}
										BgL_oclassz00_5105 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_5111);
									}
									{	/* SawBbv/bbv-types.scm 582 */
										bool_t BgL__ortest_1111z00_5106;

										BgL__ortest_1111z00_5106 =
											(BgL_classz00_5089 == BgL_oclassz00_5105);
										if (BgL__ortest_1111z00_5106)
											{	/* SawBbv/bbv-types.scm 582 */
												BgL_res3300z00_5119 = BgL__ortest_1111z00_5106;
											}
										else
											{	/* SawBbv/bbv-types.scm 582 */
												long BgL_odepthz00_5107;

												BgL_odepthz00_5107 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5105);
												if ((((long) 3) < BgL_odepthz00_5107))
													{	/* SawBbv/bbv-types.scm 582 */
														obj_t BgL_arg1816z00_5109;

														BgL_arg1816z00_5109 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5105,
															((long) 3));
														BgL_res3300z00_5119 =
															(BgL_arg1816z00_5109 == BgL_classz00_5089);
													}
												else
													{	/* SawBbv/bbv-types.scm 582 */
														BgL_res3300z00_5119 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3300z00_5119;
							}
					}
				}
			}
		}

	}



/* &rtl_ins-loadg? */
	obj_t BGl_z62rtl_inszd2loadgzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7221,
		obj_t BgL_iz00_7222)
	{
		{	/* SawBbv/bbv-types.scm 580 */
			return
				BBOOL(BGl_rtl_inszd2loadgzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7222)));
		}

	}



/* rtl_ins-boolean? */
	bool_t BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_151, bool_t BgL_boolz00_152)
	{
		{	/* SawBbv/bbv-types.scm 587 */
			{	/* SawBbv/bbv-types.scm 589 */
				bool_t BgL_test3904z00_10137;

				{	/* SawBbv/bbv-types.scm 589 */
					BgL_rtl_funz00_bglt BgL_arg2135z00_2480;

					BgL_arg2135z00_2480 =
						(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_151))->BgL_funz00);
					{	/* SawBbv/bbv-types.scm 589 */
						obj_t BgL_classz00_5120;

						BgL_classz00_5120 = BGl_rtl_loadiz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 589 */
							BgL_objectz00_bglt BgL_arg1820z00_5122;

							{	/* SawBbv/bbv-types.scm 589 */
								obj_t BgL_tmpz00_10139;

								BgL_tmpz00_10139 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2135z00_2480));
								BgL_arg1820z00_5122 = (BgL_objectz00_bglt) (BgL_tmpz00_10139);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 589 */
									long BgL_idxz00_5128;

									BgL_idxz00_5128 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5122);
									BgL_test3904z00_10137 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5128 + ((long) 3))) == BgL_classz00_5120);
								}
							else
								{	/* SawBbv/bbv-types.scm 589 */
									bool_t BgL_res3301z00_5150;

									{	/* SawBbv/bbv-types.scm 589 */
										obj_t BgL_oclassz00_5136;

										{	/* SawBbv/bbv-types.scm 589 */
											long BgL_arg1828z00_5142;

											{	/* SawBbv/bbv-types.scm 589 */
												long BgL_arg1829z00_5143;

												BgL_arg1829z00_5143 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5122);
												BgL_arg1828z00_5142 =
													(BgL_arg1829z00_5143 - OBJECT_TYPE);
											}
											BgL_oclassz00_5136 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5142);
										}
										{	/* SawBbv/bbv-types.scm 589 */
											bool_t BgL__ortest_1111z00_5137;

											BgL__ortest_1111z00_5137 =
												(BgL_classz00_5120 == BgL_oclassz00_5136);
											if (BgL__ortest_1111z00_5137)
												{	/* SawBbv/bbv-types.scm 589 */
													BgL_res3301z00_5150 = BgL__ortest_1111z00_5137;
												}
											else
												{	/* SawBbv/bbv-types.scm 589 */
													long BgL_odepthz00_5138;

													BgL_odepthz00_5138 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5136);
													if ((((long) 3) < BgL_odepthz00_5138))
														{	/* SawBbv/bbv-types.scm 589 */
															obj_t BgL_arg1816z00_5140;

															BgL_arg1816z00_5140 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5136,
																((long) 3));
															BgL_res3301z00_5150 =
																(BgL_arg1816z00_5140 == BgL_classz00_5120);
														}
													else
														{	/* SawBbv/bbv-types.scm 589 */
															BgL_res3301z00_5150 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3904z00_10137 = BgL_res3301z00_5150;
								}
						}
					}
				}
				if (BgL_test3904z00_10137)
					{	/* SawBbv/bbv-types.scm 589 */
						return
							(
							(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt)
											((BgL_literalz00_bglt)
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt)
																(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_insz00_151))->BgL_funz00))))->
													BgL_constantz00)))))->BgL_valuez00) ==
							BBOOL(BgL_boolz00_152));
					}
				else
					{	/* SawBbv/bbv-types.scm 589 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* rtl_ins-true? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_153)
	{
		{	/* SawBbv/bbv-types.scm 594 */
			return
				BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_153,
				((bool_t) 1));
		}

	}



/* &rtl_ins-true? */
	obj_t BGl_z62rtl_inszd2truezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7223,
		obj_t BgL_insz00_7224)
	{
		{	/* SawBbv/bbv-types.scm 594 */
			return
				BBOOL(BGl_rtl_inszd2truezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_insz00_7224)));
		}

	}



/* rtl_ins-false? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_insz00_154)
	{
		{	/* SawBbv/bbv-types.scm 597 */
			return
				BGl_rtl_inszd2booleanzf3z21zzsaw_bbvzd2typeszd2(BgL_insz00_154,
				((bool_t) 0));
		}

	}



/* &rtl_ins-false? */
	obj_t BGl_z62rtl_inszd2falsezf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7225,
		obj_t BgL_insz00_7226)
	{
		{	/* SawBbv/bbv-types.scm 597 */
			return
				BBOOL(BGl_rtl_inszd2falsezf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_insz00_7226)));
		}

	}



/* rtl_ins-return? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_155)
	{
		{	/* SawBbv/bbv-types.scm 603 */
			{	/* SawBbv/bbv-types.scm 605 */
				BgL_rtl_funz00_bglt BgL_arg2136z00_5152;

				BgL_arg2136z00_5152 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_155))->BgL_funz00);
				{	/* SawBbv/bbv-types.scm 605 */
					obj_t BgL_classz00_5153;

					BgL_classz00_5153 = BGl_rtl_returnz00zzsaw_defsz00;
					{	/* SawBbv/bbv-types.scm 605 */
						BgL_objectz00_bglt BgL_arg1820z00_5155;

						{	/* SawBbv/bbv-types.scm 605 */
							obj_t BgL_tmpz00_10176;

							BgL_tmpz00_10176 =
								((obj_t) ((BgL_objectz00_bglt) BgL_arg2136z00_5152));
							BgL_arg1820z00_5155 = (BgL_objectz00_bglt) (BgL_tmpz00_10176);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawBbv/bbv-types.scm 605 */
								long BgL_idxz00_5161;

								BgL_idxz00_5161 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5155);
								{	/* SawBbv/bbv-types.scm 605 */
									obj_t BgL_arg1814z00_5162;

									BgL_arg1814z00_5162 =
										VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_5161 + ((long) 3)));
									return BBOOL((BgL_arg1814z00_5162 == BgL_classz00_5153));
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 605 */
								bool_t BgL_res3302z00_5183;

								{	/* SawBbv/bbv-types.scm 605 */
									obj_t BgL_oclassz00_5169;

									{	/* SawBbv/bbv-types.scm 605 */
										long BgL_arg1828z00_5175;

										{	/* SawBbv/bbv-types.scm 605 */
											long BgL_arg1829z00_5176;

											BgL_arg1829z00_5176 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5155);
											BgL_arg1828z00_5175 = (BgL_arg1829z00_5176 - OBJECT_TYPE);
										}
										BgL_oclassz00_5169 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_5175);
									}
									{	/* SawBbv/bbv-types.scm 605 */
										bool_t BgL__ortest_1111z00_5170;

										BgL__ortest_1111z00_5170 =
											(BgL_classz00_5153 == BgL_oclassz00_5169);
										if (BgL__ortest_1111z00_5170)
											{	/* SawBbv/bbv-types.scm 605 */
												BgL_res3302z00_5183 = BgL__ortest_1111z00_5170;
											}
										else
											{	/* SawBbv/bbv-types.scm 605 */
												long BgL_odepthz00_5171;

												BgL_odepthz00_5171 =
													BGL_CLASS_DEPTH(BgL_oclassz00_5169);
												if ((((long) 3) < BgL_odepthz00_5171))
													{	/* SawBbv/bbv-types.scm 605 */
														obj_t BgL_arg1816z00_5173;

														BgL_arg1816z00_5173 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5169,
															((long) 3));
														BgL_res3302z00_5183 =
															(BgL_arg1816z00_5173 == BgL_classz00_5153);
													}
												else
													{	/* SawBbv/bbv-types.scm 605 */
														BgL_res3302z00_5183 = ((bool_t) 0);
													}
											}
									}
								}
								return BBOOL(BgL_res3302z00_5183);
							}
					}
				}
			}
		}

	}



/* &rtl_ins-return? */
	obj_t BGl_z62rtl_inszd2returnzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7227,
		obj_t BgL_iz00_7228)
	{
		{	/* SawBbv/bbv-types.scm 603 */
			return
				BGl_rtl_inszd2returnzf3z21zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_7228));
		}

	}



/* rtl_ins-fxovop? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_156)
	{
		{	/* SawBbv/bbv-types.scm 610 */
			{
				obj_t BgL_iz00_2508;

				{	/* SawBbv/bbv-types.scm 631 */
					bool_t BgL_test3911z00_10200;

					{	/* SawBbv/bbv-types.scm 554 */
						BgL_rtl_funz00_bglt BgL_arg2126z00_5460;

						BgL_arg2126z00_5460 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_156))->BgL_funz00);
						{	/* SawBbv/bbv-types.scm 554 */
							obj_t BgL_classz00_5461;

							BgL_classz00_5461 = BGl_rtl_ifnez00zzsaw_defsz00;
							{	/* SawBbv/bbv-types.scm 554 */
								BgL_objectz00_bglt BgL_arg1820z00_5463;

								{	/* SawBbv/bbv-types.scm 554 */
									obj_t BgL_tmpz00_10202;

									BgL_tmpz00_10202 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2126z00_5460));
									BgL_arg1820z00_5463 = (BgL_objectz00_bglt) (BgL_tmpz00_10202);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 554 */
										long BgL_idxz00_5469;

										BgL_idxz00_5469 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5463);
										BgL_test3911z00_10200 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5469 + ((long) 3))) == BgL_classz00_5461);
									}
								else
									{	/* SawBbv/bbv-types.scm 554 */
										bool_t BgL_res3311z00_5491;

										{	/* SawBbv/bbv-types.scm 554 */
											obj_t BgL_oclassz00_5477;

											{	/* SawBbv/bbv-types.scm 554 */
												long BgL_arg1828z00_5483;

												{	/* SawBbv/bbv-types.scm 554 */
													long BgL_arg1829z00_5484;

													BgL_arg1829z00_5484 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5463);
													BgL_arg1828z00_5483 =
														(BgL_arg1829z00_5484 - OBJECT_TYPE);
												}
												BgL_oclassz00_5477 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5483);
											}
											{	/* SawBbv/bbv-types.scm 554 */
												bool_t BgL__ortest_1111z00_5478;

												BgL__ortest_1111z00_5478 =
													(BgL_classz00_5461 == BgL_oclassz00_5477);
												if (BgL__ortest_1111z00_5478)
													{	/* SawBbv/bbv-types.scm 554 */
														BgL_res3311z00_5491 = BgL__ortest_1111z00_5478;
													}
												else
													{	/* SawBbv/bbv-types.scm 554 */
														long BgL_odepthz00_5479;

														BgL_odepthz00_5479 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5477);
														if ((((long) 3) < BgL_odepthz00_5479))
															{	/* SawBbv/bbv-types.scm 554 */
																obj_t BgL_arg1816z00_5481;

																BgL_arg1816z00_5481 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5477,
																	((long) 3));
																BgL_res3311z00_5491 =
																	(BgL_arg1816z00_5481 == BgL_classz00_5461);
															}
														else
															{	/* SawBbv/bbv-types.scm 554 */
																BgL_res3311z00_5491 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3911z00_10200 = BgL_res3311z00_5491;
									}
							}
						}
					}
					if (BgL_test3911z00_10200)
						{	/* SawBbv/bbv-types.scm 633 */
							bool_t BgL_test3915z00_10222;

							if (NULLP(
									(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_156))->BgL_argsz00)))
								{	/* SawBbv/bbv-types.scm 633 */
									BgL_test3915z00_10222 = ((bool_t) 0);
								}
							else
								{	/* SawBbv/bbv-types.scm 633 */
									BgL_test3915z00_10222 =
										NULLP(CDR(
											(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_156))->
												BgL_argsz00)));
								}
							if (BgL_test3915z00_10222)
								{	/* SawBbv/bbv-types.scm 633 */
									BgL_iz00_2508 =
										CAR(
										(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_156))->
											BgL_argsz00));
									{	/* SawBbv/bbv-types.scm 620 */
										bool_t BgL_test3917z00_10229;

										{	/* SawBbv/bbv-types.scm 620 */
											bool_t BgL_test3918z00_10230;

											{	/* SawBbv/bbv-types.scm 620 */
												obj_t BgL_classz00_5308;

												BgL_classz00_5308 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_iz00_2508))
													{	/* SawBbv/bbv-types.scm 620 */
														BgL_objectz00_bglt BgL_arg1820z00_5310;

														BgL_arg1820z00_5310 =
															(BgL_objectz00_bglt) (BgL_iz00_2508);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawBbv/bbv-types.scm 620 */
																long BgL_idxz00_5316;

																BgL_idxz00_5316 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_5310);
																BgL_test3918z00_10230 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5316 + ((long) 1))) ==
																	BgL_classz00_5308);
															}
														else
															{	/* SawBbv/bbv-types.scm 620 */
																bool_t BgL_res3307z00_5338;

																{	/* SawBbv/bbv-types.scm 620 */
																	obj_t BgL_oclassz00_5324;

																	{	/* SawBbv/bbv-types.scm 620 */
																		long BgL_arg1828z00_5330;

																		{	/* SawBbv/bbv-types.scm 620 */
																			long BgL_arg1829z00_5331;

																			BgL_arg1829z00_5331 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_5310);
																			BgL_arg1828z00_5330 =
																				(BgL_arg1829z00_5331 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5324 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_5330);
																	}
																	{	/* SawBbv/bbv-types.scm 620 */
																		bool_t BgL__ortest_1111z00_5325;

																		BgL__ortest_1111z00_5325 =
																			(BgL_classz00_5308 == BgL_oclassz00_5324);
																		if (BgL__ortest_1111z00_5325)
																			{	/* SawBbv/bbv-types.scm 620 */
																				BgL_res3307z00_5338 =
																					BgL__ortest_1111z00_5325;
																			}
																		else
																			{	/* SawBbv/bbv-types.scm 620 */
																				long BgL_odepthz00_5326;

																				BgL_odepthz00_5326 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5324);
																				if ((((long) 1) < BgL_odepthz00_5326))
																					{	/* SawBbv/bbv-types.scm 620 */
																						obj_t BgL_arg1816z00_5328;

																						BgL_arg1816z00_5328 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5324, ((long) 1));
																						BgL_res3307z00_5338 =
																							(BgL_arg1816z00_5328 ==
																							BgL_classz00_5308);
																					}
																				else
																					{	/* SawBbv/bbv-types.scm 620 */
																						BgL_res3307z00_5338 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3918z00_10230 = BgL_res3307z00_5338;
															}
													}
												else
													{	/* SawBbv/bbv-types.scm 620 */
														BgL_test3918z00_10230 = ((bool_t) 0);
													}
											}
											if (BgL_test3918z00_10230)
												{	/* SawBbv/bbv-types.scm 561 */
													BgL_rtl_funz00_bglt BgL_arg2127z00_5341;

													BgL_arg2127z00_5341 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_2508)))->
														BgL_funz00);
													{	/* SawBbv/bbv-types.scm 561 */
														obj_t BgL_classz00_5342;

														BgL_classz00_5342 = BGl_rtl_callz00zzsaw_defsz00;
														{	/* SawBbv/bbv-types.scm 561 */
															BgL_objectz00_bglt BgL_arg1820z00_5344;

															{	/* SawBbv/bbv-types.scm 561 */
																obj_t BgL_tmpz00_10252;

																BgL_tmpz00_10252 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2127z00_5341));
																BgL_arg1820z00_5344 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_10252);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv-types.scm 561 */
																	long BgL_idxz00_5350;

																	BgL_idxz00_5350 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_5344);
																	BgL_test3917z00_10229 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5350 + ((long) 2))) ==
																		BgL_classz00_5342);
																}
															else
																{	/* SawBbv/bbv-types.scm 561 */
																	bool_t BgL_res3308z00_5372;

																	{	/* SawBbv/bbv-types.scm 561 */
																		obj_t BgL_oclassz00_5358;

																		{	/* SawBbv/bbv-types.scm 561 */
																			long BgL_arg1828z00_5364;

																			{	/* SawBbv/bbv-types.scm 561 */
																				long BgL_arg1829z00_5365;

																				BgL_arg1829z00_5365 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_5344);
																				BgL_arg1828z00_5364 =
																					(BgL_arg1829z00_5365 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5358 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_5364);
																		}
																		{	/* SawBbv/bbv-types.scm 561 */
																			bool_t BgL__ortest_1111z00_5359;

																			BgL__ortest_1111z00_5359 =
																				(BgL_classz00_5342 ==
																				BgL_oclassz00_5358);
																			if (BgL__ortest_1111z00_5359)
																				{	/* SawBbv/bbv-types.scm 561 */
																					BgL_res3308z00_5372 =
																						BgL__ortest_1111z00_5359;
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 561 */
																					long BgL_odepthz00_5360;

																					BgL_odepthz00_5360 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_5358);
																					if ((((long) 2) < BgL_odepthz00_5360))
																						{	/* SawBbv/bbv-types.scm 561 */
																							obj_t BgL_arg1816z00_5362;

																							BgL_arg1816z00_5362 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_5358,
																								((long) 2));
																							BgL_res3308z00_5372 =
																								(BgL_arg1816z00_5362 ==
																								BgL_classz00_5342);
																						}
																					else
																						{	/* SawBbv/bbv-types.scm 561 */
																							BgL_res3308z00_5372 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3917z00_10229 = BgL_res3308z00_5372;
																}
														}
													}
												}
											else
												{	/* SawBbv/bbv-types.scm 620 */
													BgL_test3917z00_10229 = ((bool_t) 0);
												}
										}
										if (BgL_test3917z00_10229)
											{	/* SawBbv/bbv-types.scm 622 */
												BgL_rtl_callz00_bglt BgL_i1315z00_2513;

												BgL_i1315z00_2513 =
													((BgL_rtl_callz00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_2508)))->
														BgL_funz00));
												if ((bgl_list_length((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_iz00_2508)))->BgL_argsz00)) ==
														((long) 3)))
													{	/* SawBbv/bbv-types.scm 624 */
														bool_t BgL_test3927z00_10280;

														{	/* SawBbv/bbv-types.scm 624 */
															bool_t BgL__ortest_1320z00_2530;

															{	/* SawBbv/bbv-types.scm 624 */
																BgL_globalz00_bglt BgL_arg2171z00_2534;

																BgL_arg2171z00_2534 =
																	(((BgL_rtl_callz00_bglt)
																		COBJECT(BgL_i1315z00_2513))->BgL_varz00);
																BgL__ortest_1320z00_2530 =
																	(((obj_t) BgL_arg2171z00_2534) ==
																	BGl_za2z42zd2fxzf2ovza2z62zzsaw_bbvzd2cachezd2);
															}
															if (BgL__ortest_1320z00_2530)
																{	/* SawBbv/bbv-types.scm 624 */
																	BgL_test3927z00_10280 =
																		BgL__ortest_1320z00_2530;
																}
															else
																{	/* SawBbv/bbv-types.scm 625 */
																	bool_t BgL__ortest_1321z00_2531;

																	{	/* SawBbv/bbv-types.scm 625 */
																		BgL_globalz00_bglt BgL_arg2170z00_2533;

																		BgL_arg2170z00_2533 =
																			(((BgL_rtl_callz00_bglt)
																				COBJECT(BgL_i1315z00_2513))->
																			BgL_varz00);
																		BgL__ortest_1321z00_2531 =
																			(((obj_t) BgL_arg2170z00_2533) ==
																			BGl_za2z42zb2fxzf2ovza2z02zzsaw_bbvzd2cachezd2);
																	}
																	if (BgL__ortest_1321z00_2531)
																		{	/* SawBbv/bbv-types.scm 625 */
																			BgL_test3927z00_10280 =
																				BgL__ortest_1321z00_2531;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 626 */
																			BgL_globalz00_bglt BgL_arg2169z00_2532;

																			BgL_arg2169z00_2532 =
																				(((BgL_rtl_callz00_bglt)
																					COBJECT(BgL_i1315z00_2513))->
																				BgL_varz00);
																			BgL_test3927z00_10280 =
																				(((obj_t) BgL_arg2169z00_2532) ==
																				BGl_za2z42za2fxzf2ovza2z12zzsaw_bbvzd2cachezd2);
																		}
																}
														}
														if (BgL_test3927z00_10280)
															{	/* SawBbv/bbv-types.scm 627 */
																bool_t BgL_test3930z00_10292;

																{	/* SawBbv/bbv-types.scm 627 */
																	bool_t BgL__ortest_1322z00_2525;

																	{	/* SawBbv/bbv-types.scm 627 */
																		obj_t BgL_arg2167z00_2528;

																		{	/* SawBbv/bbv-types.scm 627 */
																			obj_t BgL_pairz00_5374;

																			BgL_pairz00_5374 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2508)))->BgL_argsz00);
																			BgL_arg2167z00_2528 =
																				CAR(BgL_pairz00_5374);
																		}
																		BgL__ortest_1322z00_2525 =
																			BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																			(BgL_arg2167z00_2528);
																	}
																	if (BgL__ortest_1322z00_2525)
																		{	/* SawBbv/bbv-types.scm 627 */
																			BgL_test3930z00_10292 =
																				BgL__ortest_1322z00_2525;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 627 */
																			obj_t BgL_arg2165z00_2526;

																			{	/* SawBbv/bbv-types.scm 627 */
																				obj_t BgL_pairz00_5375;

																				BgL_pairz00_5375 =
																					(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_2508)))->BgL_argsz00);
																				BgL_arg2165z00_2526 =
																					CAR(BgL_pairz00_5375);
																			}
																			{	/* SawBbv/bbv-types.scm 575 */
																				BgL_rtl_funz00_bglt BgL_arg2130z00_5378;

																				BgL_arg2130z00_5378 =
																					(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_arg2165z00_2526)))->
																					BgL_funz00);
																				{	/* SawBbv/bbv-types.scm 575 */
																					obj_t BgL_classz00_5379;

																					BgL_classz00_5379 =
																						BGl_rtl_loadiz00zzsaw_defsz00;
																					{	/* SawBbv/bbv-types.scm 575 */
																						BgL_objectz00_bglt
																							BgL_arg1820z00_5381;
																						{	/* SawBbv/bbv-types.scm 575 */
																							obj_t BgL_tmpz00_10303;

																							BgL_tmpz00_10303 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg2130z00_5378));
																							BgL_arg1820z00_5381 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_10303);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* SawBbv/bbv-types.scm 575 */
																								long BgL_idxz00_5387;

																								BgL_idxz00_5387 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1820z00_5381);
																								BgL_test3930z00_10292 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_5387 +
																											((long) 3))) ==
																									BgL_classz00_5379);
																							}
																						else
																							{	/* SawBbv/bbv-types.scm 575 */
																								bool_t BgL_res3309z00_5409;

																								{	/* SawBbv/bbv-types.scm 575 */
																									obj_t BgL_oclassz00_5395;

																									{	/* SawBbv/bbv-types.scm 575 */
																										long BgL_arg1828z00_5401;

																										{	/* SawBbv/bbv-types.scm 575 */
																											long BgL_arg1829z00_5402;

																											BgL_arg1829z00_5402 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1820z00_5381);
																											BgL_arg1828z00_5401 =
																												(BgL_arg1829z00_5402 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_5395 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1828z00_5401);
																									}
																									{	/* SawBbv/bbv-types.scm 575 */
																										bool_t
																											BgL__ortest_1111z00_5396;
																										BgL__ortest_1111z00_5396 =
																											(BgL_classz00_5379 ==
																											BgL_oclassz00_5395);
																										if (BgL__ortest_1111z00_5396)
																											{	/* SawBbv/bbv-types.scm 575 */
																												BgL_res3309z00_5409 =
																													BgL__ortest_1111z00_5396;
																											}
																										else
																											{	/* SawBbv/bbv-types.scm 575 */
																												long BgL_odepthz00_5397;

																												BgL_odepthz00_5397 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_5395);
																												if ((((long) 3) <
																														BgL_odepthz00_5397))
																													{	/* SawBbv/bbv-types.scm 575 */
																														obj_t
																															BgL_arg1816z00_5399;
																														BgL_arg1816z00_5399
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_5395,
																															((long) 3));
																														BgL_res3309z00_5409
																															=
																															(BgL_arg1816z00_5399
																															==
																															BgL_classz00_5379);
																													}
																												else
																													{	/* SawBbv/bbv-types.scm 575 */
																														BgL_res3309z00_5409
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test3930z00_10292 =
																									BgL_res3309z00_5409;
																							}
																					}
																				}
																			}
																		}
																}
																if (BgL_test3930z00_10292)
																	{	/* SawBbv/bbv-types.scm 628 */
																		bool_t BgL_test3935z00_10323;

																		{	/* SawBbv/bbv-types.scm 628 */
																			bool_t BgL__ortest_1323z00_2520;

																			{	/* SawBbv/bbv-types.scm 628 */
																				obj_t BgL_arg2163z00_2523;

																				{	/* SawBbv/bbv-types.scm 628 */
																					obj_t BgL_pairz00_5410;

																					BgL_pairz00_5410 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2508)))->
																						BgL_argsz00);
																					BgL_arg2163z00_2523 =
																						CAR(CDR(BgL_pairz00_5410));
																				}
																				BgL__ortest_1323z00_2520 =
																					BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																					(BgL_arg2163z00_2523);
																			}
																			if (BgL__ortest_1323z00_2520)
																				{	/* SawBbv/bbv-types.scm 628 */
																					BgL_test3935z00_10323 =
																						BgL__ortest_1323z00_2520;
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 628 */
																					obj_t BgL_arg2161z00_2521;

																					{	/* SawBbv/bbv-types.scm 628 */
																						obj_t BgL_pairz00_5414;

																						BgL_pairz00_5414 =
																							(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_iz00_2508)))->
																							BgL_argsz00);
																						BgL_arg2161z00_2521 =
																							CAR(CDR(BgL_pairz00_5414));
																					}
																					{	/* SawBbv/bbv-types.scm 575 */
																						BgL_rtl_funz00_bglt
																							BgL_arg2130z00_5420;
																						BgL_arg2130z00_5420 =
																							(((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_arg2161z00_2521)))->
																							BgL_funz00);
																						{	/* SawBbv/bbv-types.scm 575 */
																							obj_t BgL_classz00_5421;

																							BgL_classz00_5421 =
																								BGl_rtl_loadiz00zzsaw_defsz00;
																							{	/* SawBbv/bbv-types.scm 575 */
																								BgL_objectz00_bglt
																									BgL_arg1820z00_5423;
																								{	/* SawBbv/bbv-types.scm 575 */
																									obj_t BgL_tmpz00_10336;

																									BgL_tmpz00_10336 =
																										((obj_t)
																										((BgL_objectz00_bglt)
																											BgL_arg2130z00_5420));
																									BgL_arg1820z00_5423 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_10336);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* SawBbv/bbv-types.scm 575 */
																										long BgL_idxz00_5429;

																										BgL_idxz00_5429 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1820z00_5423);
																										BgL_test3935z00_10323 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_5429 +
																													((long) 3))) ==
																											BgL_classz00_5421);
																									}
																								else
																									{	/* SawBbv/bbv-types.scm 575 */
																										bool_t BgL_res3310z00_5451;

																										{	/* SawBbv/bbv-types.scm 575 */
																											obj_t BgL_oclassz00_5437;

																											{	/* SawBbv/bbv-types.scm 575 */
																												long
																													BgL_arg1828z00_5443;
																												{	/* SawBbv/bbv-types.scm 575 */
																													long
																														BgL_arg1829z00_5444;
																													BgL_arg1829z00_5444 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1820z00_5423);
																													BgL_arg1828z00_5443 =
																														(BgL_arg1829z00_5444
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_5437 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1828z00_5443);
																											}
																											{	/* SawBbv/bbv-types.scm 575 */
																												bool_t
																													BgL__ortest_1111z00_5438;
																												BgL__ortest_1111z00_5438
																													=
																													(BgL_classz00_5421 ==
																													BgL_oclassz00_5437);
																												if (BgL__ortest_1111z00_5438)
																													{	/* SawBbv/bbv-types.scm 575 */
																														BgL_res3310z00_5451
																															=
																															BgL__ortest_1111z00_5438;
																													}
																												else
																													{	/* SawBbv/bbv-types.scm 575 */
																														long
																															BgL_odepthz00_5439;
																														BgL_odepthz00_5439 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_5437);
																														if ((((long) 3) <
																																BgL_odepthz00_5439))
																															{	/* SawBbv/bbv-types.scm 575 */
																																obj_t
																																	BgL_arg1816z00_5441;
																																BgL_arg1816z00_5441
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_5437,
																																	((long) 3));
																																BgL_res3310z00_5451
																																	=
																																	(BgL_arg1816z00_5441
																																	==
																																	BgL_classz00_5421);
																															}
																														else
																															{	/* SawBbv/bbv-types.scm 575 */
																																BgL_res3310z00_5451
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test3935z00_10323 =
																											BgL_res3310z00_5451;
																									}
																							}
																						}
																					}
																				}
																		}
																		if (BgL_test3935z00_10323)
																			{	/* SawBbv/bbv-types.scm 629 */
																				obj_t BgL_arg2159z00_2518;

																				{	/* SawBbv/bbv-types.scm 629 */
																					obj_t BgL_pairz00_5452;

																					BgL_pairz00_5452 =
																						(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_iz00_2508)))->
																						BgL_argsz00);
																					BgL_arg2159z00_2518 =
																						CAR(CDR(CDR(BgL_pairz00_5452)));
																				}
																				return
																					BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2
																					(BgL_arg2159z00_2518);
																			}
																		else
																			{	/* SawBbv/bbv-types.scm 628 */
																				return ((bool_t) 0);
																			}
																	}
																else
																	{	/* SawBbv/bbv-types.scm 627 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* SawBbv/bbv-types.scm 624 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* SawBbv/bbv-types.scm 623 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* SawBbv/bbv-types.scm 620 */
												return ((bool_t) 0);
											}
									}
								}
							else
								{	/* SawBbv/bbv-types.scm 633 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 631 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* reg?~0 */
	bool_t BGl_regzf3ze70z14zzsaw_bbvzd2typeszd2(obj_t BgL_az00_2499)
	{
		{	/* SawBbv/bbv-types.scm 617 */
			{	/* SawBbv/bbv-types.scm 613 */
				bool_t BgL__ortest_1311z00_2501;

				{	/* SawBbv/bbv-types.scm 613 */
					obj_t BgL_classz00_5184;

					BgL_classz00_5184 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2499))
						{	/* SawBbv/bbv-types.scm 613 */
							BgL_objectz00_bglt BgL_arg1820z00_5186;

							BgL_arg1820z00_5186 = (BgL_objectz00_bglt) (BgL_az00_2499);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 613 */
									long BgL_idxz00_5192;

									BgL_idxz00_5192 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5186);
									BgL__ortest_1311z00_2501 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5192 + ((long) 1))) == BgL_classz00_5184);
								}
							else
								{	/* SawBbv/bbv-types.scm 613 */
									bool_t BgL_res3303z00_5214;

									{	/* SawBbv/bbv-types.scm 613 */
										obj_t BgL_oclassz00_5200;

										{	/* SawBbv/bbv-types.scm 613 */
											long BgL_arg1828z00_5206;

											{	/* SawBbv/bbv-types.scm 613 */
												long BgL_arg1829z00_5207;

												BgL_arg1829z00_5207 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5186);
												BgL_arg1828z00_5206 =
													(BgL_arg1829z00_5207 - OBJECT_TYPE);
											}
											BgL_oclassz00_5200 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5206);
										}
										{	/* SawBbv/bbv-types.scm 613 */
											bool_t BgL__ortest_1111z00_5201;

											BgL__ortest_1111z00_5201 =
												(BgL_classz00_5184 == BgL_oclassz00_5200);
											if (BgL__ortest_1111z00_5201)
												{	/* SawBbv/bbv-types.scm 613 */
													BgL_res3303z00_5214 = BgL__ortest_1111z00_5201;
												}
											else
												{	/* SawBbv/bbv-types.scm 613 */
													long BgL_odepthz00_5202;

													BgL_odepthz00_5202 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5200);
													if ((((long) 1) < BgL_odepthz00_5202))
														{	/* SawBbv/bbv-types.scm 613 */
															obj_t BgL_arg1816z00_5204;

															BgL_arg1816z00_5204 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5200,
																((long) 1));
															BgL_res3303z00_5214 =
																(BgL_arg1816z00_5204 == BgL_classz00_5184);
														}
													else
														{	/* SawBbv/bbv-types.scm 613 */
															BgL_res3303z00_5214 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1311z00_2501 = BgL_res3303z00_5214;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 613 */
							BgL__ortest_1311z00_2501 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1311z00_2501)
					{	/* SawBbv/bbv-types.scm 613 */
						return BgL__ortest_1311z00_2501;
					}
				else
					{	/* SawBbv/bbv-types.scm 614 */
						bool_t BgL_test3945z00_10384;

						{	/* SawBbv/bbv-types.scm 614 */
							obj_t BgL_classz00_5215;

							BgL_classz00_5215 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_2499))
								{	/* SawBbv/bbv-types.scm 614 */
									BgL_objectz00_bglt BgL_arg1820z00_5217;

									BgL_arg1820z00_5217 = (BgL_objectz00_bglt) (BgL_az00_2499);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 614 */
											long BgL_idxz00_5223;

											BgL_idxz00_5223 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5217);
											BgL_test3945z00_10384 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5223 + ((long) 1))) == BgL_classz00_5215);
										}
									else
										{	/* SawBbv/bbv-types.scm 614 */
											bool_t BgL_res3304z00_5245;

											{	/* SawBbv/bbv-types.scm 614 */
												obj_t BgL_oclassz00_5231;

												{	/* SawBbv/bbv-types.scm 614 */
													long BgL_arg1828z00_5237;

													{	/* SawBbv/bbv-types.scm 614 */
														long BgL_arg1829z00_5238;

														BgL_arg1829z00_5238 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5217);
														BgL_arg1828z00_5237 =
															(BgL_arg1829z00_5238 - OBJECT_TYPE);
													}
													BgL_oclassz00_5231 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5237);
												}
												{	/* SawBbv/bbv-types.scm 614 */
													bool_t BgL__ortest_1111z00_5232;

													BgL__ortest_1111z00_5232 =
														(BgL_classz00_5215 == BgL_oclassz00_5231);
													if (BgL__ortest_1111z00_5232)
														{	/* SawBbv/bbv-types.scm 614 */
															BgL_res3304z00_5245 = BgL__ortest_1111z00_5232;
														}
													else
														{	/* SawBbv/bbv-types.scm 614 */
															long BgL_odepthz00_5233;

															BgL_odepthz00_5233 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5231);
															if ((((long) 1) < BgL_odepthz00_5233))
																{	/* SawBbv/bbv-types.scm 614 */
																	obj_t BgL_arg1816z00_5235;

																	BgL_arg1816z00_5235 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5231,
																		((long) 1));
																	BgL_res3304z00_5245 =
																		(BgL_arg1816z00_5235 == BgL_classz00_5215);
																}
															else
																{	/* SawBbv/bbv-types.scm 614 */
																	BgL_res3304z00_5245 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3945z00_10384 = BgL_res3304z00_5245;
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 614 */
									BgL_test3945z00_10384 = ((bool_t) 0);
								}
						}
						if (BgL_test3945z00_10384)
							{	/* SawBbv/bbv-types.scm 616 */
								bool_t BgL_test3950z00_10404;

								{	/* SawBbv/bbv-types.scm 616 */
									BgL_rtl_funz00_bglt BgL_arg2155z00_2507;

									BgL_arg2155z00_2507 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_2499)))->BgL_funz00);
									{	/* SawBbv/bbv-types.scm 616 */
										obj_t BgL_classz00_5246;

										BgL_classz00_5246 = BGl_rtl_callz00zzsaw_defsz00;
										{	/* SawBbv/bbv-types.scm 616 */
											BgL_objectz00_bglt BgL_arg1820z00_5248;

											{	/* SawBbv/bbv-types.scm 616 */
												obj_t BgL_tmpz00_10407;

												BgL_tmpz00_10407 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2155z00_2507));
												BgL_arg1820z00_5248 =
													(BgL_objectz00_bglt) (BgL_tmpz00_10407);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv-types.scm 616 */
													long BgL_idxz00_5254;

													BgL_idxz00_5254 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5248);
													BgL_test3950z00_10404 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5254 + ((long) 2))) ==
														BgL_classz00_5246);
												}
											else
												{	/* SawBbv/bbv-types.scm 616 */
													bool_t BgL_res3305z00_5276;

													{	/* SawBbv/bbv-types.scm 616 */
														obj_t BgL_oclassz00_5262;

														{	/* SawBbv/bbv-types.scm 616 */
															long BgL_arg1828z00_5268;

															{	/* SawBbv/bbv-types.scm 616 */
																long BgL_arg1829z00_5269;

																BgL_arg1829z00_5269 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5248);
																BgL_arg1828z00_5268 =
																	(BgL_arg1829z00_5269 - OBJECT_TYPE);
															}
															BgL_oclassz00_5262 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_5268);
														}
														{	/* SawBbv/bbv-types.scm 616 */
															bool_t BgL__ortest_1111z00_5263;

															BgL__ortest_1111z00_5263 =
																(BgL_classz00_5246 == BgL_oclassz00_5262);
															if (BgL__ortest_1111z00_5263)
																{	/* SawBbv/bbv-types.scm 616 */
																	BgL_res3305z00_5276 =
																		BgL__ortest_1111z00_5263;
																}
															else
																{	/* SawBbv/bbv-types.scm 616 */
																	long BgL_odepthz00_5264;

																	BgL_odepthz00_5264 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5262);
																	if ((((long) 2) < BgL_odepthz00_5264))
																		{	/* SawBbv/bbv-types.scm 616 */
																			obj_t BgL_arg1816z00_5266;

																			BgL_arg1816z00_5266 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5262, ((long) 2));
																			BgL_res3305z00_5276 =
																				(BgL_arg1816z00_5266 ==
																				BgL_classz00_5246);
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 616 */
																			BgL_res3305z00_5276 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3950z00_10404 = BgL_res3305z00_5276;
												}
										}
									}
								}
								if (BgL_test3950z00_10404)
									{	/* SawBbv/bbv-types.scm 617 */
										obj_t BgL_arg2153z00_2506;

										BgL_arg2153z00_2506 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_az00_2499)))->BgL_destz00);
										{	/* SawBbv/bbv-types.scm 617 */
											obj_t BgL_classz00_5277;

											BgL_classz00_5277 = BGl_rtl_regz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg2153z00_2506))
												{	/* SawBbv/bbv-types.scm 617 */
													BgL_objectz00_bglt BgL_arg1820z00_5279;

													BgL_arg1820z00_5279 =
														(BgL_objectz00_bglt) (BgL_arg2153z00_2506);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawBbv/bbv-types.scm 617 */
															long BgL_idxz00_5285;

															BgL_idxz00_5285 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5279);
															return
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5285 + ((long) 1))) ==
																BgL_classz00_5277);
														}
													else
														{	/* SawBbv/bbv-types.scm 617 */
															bool_t BgL_res3306z00_5307;

															{	/* SawBbv/bbv-types.scm 617 */
																obj_t BgL_oclassz00_5293;

																{	/* SawBbv/bbv-types.scm 617 */
																	long BgL_arg1828z00_5299;

																	{	/* SawBbv/bbv-types.scm 617 */
																		long BgL_arg1829z00_5300;

																		BgL_arg1829z00_5300 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5279);
																		BgL_arg1828z00_5299 =
																			(BgL_arg1829z00_5300 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5293 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_5299);
																}
																{	/* SawBbv/bbv-types.scm 617 */
																	bool_t BgL__ortest_1111z00_5294;

																	BgL__ortest_1111z00_5294 =
																		(BgL_classz00_5277 == BgL_oclassz00_5293);
																	if (BgL__ortest_1111z00_5294)
																		{	/* SawBbv/bbv-types.scm 617 */
																			BgL_res3306z00_5307 =
																				BgL__ortest_1111z00_5294;
																		}
																	else
																		{	/* SawBbv/bbv-types.scm 617 */
																			long BgL_odepthz00_5295;

																			BgL_odepthz00_5295 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5293);
																			if ((((long) 1) < BgL_odepthz00_5295))
																				{	/* SawBbv/bbv-types.scm 617 */
																					obj_t BgL_arg1816z00_5297;

																					BgL_arg1816z00_5297 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5293, ((long) 1));
																					BgL_res3306z00_5307 =
																						(BgL_arg1816z00_5297 ==
																						BgL_classz00_5277);
																				}
																			else
																				{	/* SawBbv/bbv-types.scm 617 */
																					BgL_res3306z00_5307 = ((bool_t) 0);
																				}
																		}
																}
															}
															return BgL_res3306z00_5307;
														}
												}
											else
												{	/* SawBbv/bbv-types.scm 617 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 616 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 614 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* &rtl_ins-fxovop? */
	obj_t BGl_z62rtl_inszd2fxovopzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7229,
		obj_t BgL_iz00_7230)
	{
		{	/* SawBbv/bbv-types.scm 610 */
			return
				BBOOL(BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7230)));
		}

	}



/* rtl_ins-bool? */
	BGL_EXPORTED_DEF bool_t
		BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_157)
	{
		{	/* SawBbv/bbv-types.scm 639 */
			{	/* SawBbv/bbv-types.scm 641 */
				bool_t BgL_test3958z00_10451;

				{	/* SawBbv/bbv-types.scm 641 */
					bool_t BgL_test3959z00_10452;

					{	/* SawBbv/bbv-types.scm 641 */
						obj_t BgL_arg2181z00_2551;

						BgL_arg2181z00_2551 =
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_157))->BgL_destz00);
						{	/* SawBbv/bbv-types.scm 641 */
							obj_t BgL_classz00_5494;

							BgL_classz00_5494 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg2181z00_2551))
								{	/* SawBbv/bbv-types.scm 641 */
									BgL_objectz00_bglt BgL_arg1820z00_5496;

									BgL_arg1820z00_5496 =
										(BgL_objectz00_bglt) (BgL_arg2181z00_2551);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 641 */
											long BgL_idxz00_5502;

											BgL_idxz00_5502 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5496);
											BgL_test3959z00_10452 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5502 + ((long) 1))) == BgL_classz00_5494);
										}
									else
										{	/* SawBbv/bbv-types.scm 641 */
											bool_t BgL_res3312z00_5524;

											{	/* SawBbv/bbv-types.scm 641 */
												obj_t BgL_oclassz00_5510;

												{	/* SawBbv/bbv-types.scm 641 */
													long BgL_arg1828z00_5516;

													{	/* SawBbv/bbv-types.scm 641 */
														long BgL_arg1829z00_5517;

														BgL_arg1829z00_5517 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5496);
														BgL_arg1828z00_5516 =
															(BgL_arg1829z00_5517 - OBJECT_TYPE);
													}
													BgL_oclassz00_5510 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5516);
												}
												{	/* SawBbv/bbv-types.scm 641 */
													bool_t BgL__ortest_1111z00_5511;

													BgL__ortest_1111z00_5511 =
														(BgL_classz00_5494 == BgL_oclassz00_5510);
													if (BgL__ortest_1111z00_5511)
														{	/* SawBbv/bbv-types.scm 641 */
															BgL_res3312z00_5524 = BgL__ortest_1111z00_5511;
														}
													else
														{	/* SawBbv/bbv-types.scm 641 */
															long BgL_odepthz00_5512;

															BgL_odepthz00_5512 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5510);
															if ((((long) 1) < BgL_odepthz00_5512))
																{	/* SawBbv/bbv-types.scm 641 */
																	obj_t BgL_arg1816z00_5514;

																	BgL_arg1816z00_5514 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5510,
																		((long) 1));
																	BgL_res3312z00_5524 =
																		(BgL_arg1816z00_5514 == BgL_classz00_5494);
																}
															else
																{	/* SawBbv/bbv-types.scm 641 */
																	BgL_res3312z00_5524 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3959z00_10452 = BgL_res3312z00_5524;
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 641 */
									BgL_test3959z00_10452 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test3959z00_10452)
						{	/* SawBbv/bbv-types.scm 641 */
							BgL_rtl_funz00_bglt BgL_arg2180z00_2550;

							BgL_arg2180z00_2550 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_157))->BgL_funz00);
							{	/* SawBbv/bbv-types.scm 641 */
								obj_t BgL_classz00_5525;

								BgL_classz00_5525 = BGl_rtl_callz00zzsaw_defsz00;
								{	/* SawBbv/bbv-types.scm 641 */
									BgL_objectz00_bglt BgL_arg1820z00_5527;

									{	/* SawBbv/bbv-types.scm 641 */
										obj_t BgL_tmpz00_10474;

										BgL_tmpz00_10474 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2180z00_2550));
										BgL_arg1820z00_5527 =
											(BgL_objectz00_bglt) (BgL_tmpz00_10474);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 641 */
											long BgL_idxz00_5533;

											BgL_idxz00_5533 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5527);
											BgL_test3958z00_10451 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5533 + ((long) 2))) == BgL_classz00_5525);
										}
									else
										{	/* SawBbv/bbv-types.scm 641 */
											bool_t BgL_res3313z00_5555;

											{	/* SawBbv/bbv-types.scm 641 */
												obj_t BgL_oclassz00_5541;

												{	/* SawBbv/bbv-types.scm 641 */
													long BgL_arg1828z00_5547;

													{	/* SawBbv/bbv-types.scm 641 */
														long BgL_arg1829z00_5548;

														BgL_arg1829z00_5548 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5527);
														BgL_arg1828z00_5547 =
															(BgL_arg1829z00_5548 - OBJECT_TYPE);
													}
													BgL_oclassz00_5541 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5547);
												}
												{	/* SawBbv/bbv-types.scm 641 */
													bool_t BgL__ortest_1111z00_5542;

													BgL__ortest_1111z00_5542 =
														(BgL_classz00_5525 == BgL_oclassz00_5541);
													if (BgL__ortest_1111z00_5542)
														{	/* SawBbv/bbv-types.scm 641 */
															BgL_res3313z00_5555 = BgL__ortest_1111z00_5542;
														}
													else
														{	/* SawBbv/bbv-types.scm 641 */
															long BgL_odepthz00_5543;

															BgL_odepthz00_5543 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5541);
															if ((((long) 2) < BgL_odepthz00_5543))
																{	/* SawBbv/bbv-types.scm 641 */
																	obj_t BgL_arg1816z00_5545;

																	BgL_arg1816z00_5545 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5541,
																		((long) 2));
																	BgL_res3313z00_5555 =
																		(BgL_arg1816z00_5545 == BgL_classz00_5525);
																}
															else
																{	/* SawBbv/bbv-types.scm 641 */
																	BgL_res3313z00_5555 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3958z00_10451 = BgL_res3313z00_5555;
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 641 */
							BgL_test3958z00_10451 = ((bool_t) 0);
						}
				}
				if (BgL_test3958z00_10451)
					{	/* SawBbv/bbv-types.scm 642 */
						BgL_rtl_callz00_bglt BgL_i1326z00_2546;

						BgL_i1326z00_2546 =
							((BgL_rtl_callz00_bglt)
							(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_157))->BgL_funz00));
						{	/* SawBbv/bbv-types.scm 643 */
							BgL_globalz00_bglt BgL_i1327z00_2547;

							BgL_i1327z00_2547 =
								(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1326z00_2546))->
								BgL_varz00);
							{	/* SawBbv/bbv-types.scm 644 */
								BgL_typez00_bglt BgL_arg2179z00_2548;

								BgL_arg2179z00_2548 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_i1327z00_2547)))->
									BgL_typez00);
								return (((obj_t) BgL_arg2179z00_2548) ==
									BGl_za2boolza2z00zztype_cachez00);
							}
						}
					}
				else
					{	/* SawBbv/bbv-types.scm 641 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins-bool? */
	obj_t BGl_z62rtl_inszd2boolzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7231,
		obj_t BgL_iz00_7232)
	{
		{	/* SawBbv/bbv-types.scm 639 */
			return
				BBOOL(BGl_rtl_inszd2boolzf3z21zzsaw_bbvzd2typeszd2(
					((BgL_rtl_insz00_bglt) BgL_iz00_7232)));
		}

	}



/* rtl_ins-typecheck */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_158)
	{
		{	/* SawBbv/bbv-types.scm 649 */
			{	/* SawBbv/bbv-types.scm 651 */
				obj_t BgL_typz00_2553;
				obj_t BgL_valz00_2554;

				{	/* SawBbv/bbv-types.scm 651 */
					obj_t BgL_arg2182z00_2560;

					BgL_arg2182z00_2560 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_158))->BgL_argsz00));
					BgL_typz00_2553 =
						BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_arg2182z00_2560));
				}
				{	/* SawBbv/bbv-types.scm 652 */
					obj_t BgL_arg2184z00_2562;

					BgL_arg2184z00_2562 =
						CAR((((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_158))->BgL_argsz00));
					BgL_valz00_2554 =
						BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_arg2184z00_2562));
				}
				{	/* SawBbv/bbv-types.scm 653 */
					obj_t BgL_argsz00_2555;

					BgL_argsz00_2555 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_iz00_158);
					{	/* SawBbv/bbv-types.scm 654 */
						obj_t BgL_val0_1750z00_2556;
						bool_t BgL_val2_1752z00_2558;

						BgL_val0_1750z00_2556 = CAR(((obj_t) BgL_argsz00_2555));
						{	/* SawBbv/bbv-types.scm 554 */
							BgL_rtl_funz00_bglt BgL_arg2126z00_5561;

							BgL_arg2126z00_5561 =
								(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_158))->BgL_funz00);
							{	/* SawBbv/bbv-types.scm 554 */
								obj_t BgL_classz00_5562;

								BgL_classz00_5562 = BGl_rtl_ifnez00zzsaw_defsz00;
								{	/* SawBbv/bbv-types.scm 554 */
									BgL_objectz00_bglt BgL_arg1820z00_5564;

									{	/* SawBbv/bbv-types.scm 554 */
										obj_t BgL_tmpz00_10516;

										BgL_tmpz00_10516 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2126z00_5561));
										BgL_arg1820z00_5564 =
											(BgL_objectz00_bglt) (BgL_tmpz00_10516);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-types.scm 554 */
											long BgL_idxz00_5570;

											BgL_idxz00_5570 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5564);
											BgL_val2_1752z00_2558 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5570 + ((long) 3))) == BgL_classz00_5562);
										}
									else
										{	/* SawBbv/bbv-types.scm 554 */
											bool_t BgL_res3314z00_5592;

											{	/* SawBbv/bbv-types.scm 554 */
												obj_t BgL_oclassz00_5578;

												{	/* SawBbv/bbv-types.scm 554 */
													long BgL_arg1828z00_5584;

													{	/* SawBbv/bbv-types.scm 554 */
														long BgL_arg1829z00_5585;

														BgL_arg1829z00_5585 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5564);
														BgL_arg1828z00_5584 =
															(BgL_arg1829z00_5585 - OBJECT_TYPE);
													}
													BgL_oclassz00_5578 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5584);
												}
												{	/* SawBbv/bbv-types.scm 554 */
													bool_t BgL__ortest_1111z00_5579;

													BgL__ortest_1111z00_5579 =
														(BgL_classz00_5562 == BgL_oclassz00_5578);
													if (BgL__ortest_1111z00_5579)
														{	/* SawBbv/bbv-types.scm 554 */
															BgL_res3314z00_5592 = BgL__ortest_1111z00_5579;
														}
													else
														{	/* SawBbv/bbv-types.scm 554 */
															long BgL_odepthz00_5580;

															BgL_odepthz00_5580 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5578);
															if ((((long) 3) < BgL_odepthz00_5580))
																{	/* SawBbv/bbv-types.scm 554 */
																	obj_t BgL_arg1816z00_5582;

																	BgL_arg1816z00_5582 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5578,
																		((long) 3));
																	BgL_res3314z00_5592 =
																		(BgL_arg1816z00_5582 == BgL_classz00_5562);
																}
															else
																{	/* SawBbv/bbv-types.scm 554 */
																	BgL_res3314z00_5592 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_val2_1752z00_2558 = BgL_res3314z00_5592;
										}
								}
							}
						}
						{	/* SawBbv/bbv-types.scm 654 */
							int BgL_tmpz00_10536;

							BgL_tmpz00_10536 = (int) (((long) 4));
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10536);
						}
						{	/* SawBbv/bbv-types.scm 654 */
							int BgL_tmpz00_10539;

							BgL_tmpz00_10539 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10539, BgL_typz00_2553);
						}
						{	/* SawBbv/bbv-types.scm 654 */
							obj_t BgL_auxz00_10544;
							int BgL_tmpz00_10542;

							BgL_auxz00_10544 = BBOOL(BgL_val2_1752z00_2558);
							BgL_tmpz00_10542 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10542, BgL_auxz00_10544);
						}
						{	/* SawBbv/bbv-types.scm 654 */
							int BgL_tmpz00_10547;

							BgL_tmpz00_10547 = (int) (((long) 3));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10547, BgL_valz00_2554);
						}
						return BgL_val0_1750z00_2556;
					}
				}
			}
		}

	}



/* &rtl_ins-typecheck */
	obj_t BGl_z62rtl_inszd2typecheckzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7233,
		obj_t BgL_iz00_7234)
	{
		{	/* SawBbv/bbv-types.scm 649 */
			return
				BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_7234));
		}

	}



/* rtl_call-predicate */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_159)
	{
		{	/* SawBbv/bbv-types.scm 659 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											(((BgL_rtl_callz00_bglt) COBJECT(
														((BgL_rtl_callz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_159))->
																BgL_funz00))))->BgL_varz00))))->
								BgL_valuez00))))->BgL_predicatezd2ofzd2);
		}

	}



/* &rtl_call-predicate */
	obj_t BGl_z62rtl_callzd2predicatezb0zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7235, obj_t BgL_iz00_7236)
	{
		{	/* SawBbv/bbv-types.scm 659 */
			return
				BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_7236));
		}

	}



/* rtl_call-values */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt
		BgL_iz00_160)
	{
		{	/* SawBbv/bbv-types.scm 668 */
			{	/* SawBbv/bbv-types.scm 670 */
				BgL_rtl_callz00_bglt BgL_i1332z00_2569;

				BgL_i1332z00_2569 =
					((BgL_rtl_callz00_bglt)
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_iz00_160))->BgL_funz00));
				{	/* SawBbv/bbv-types.scm 671 */
					BgL_valuez00_bglt BgL_valz00_2570;

					BgL_valz00_2570 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_callz00_bglt) COBJECT(BgL_i1332z00_2569))->
										BgL_varz00))))->BgL_valuez00);
					{	/* SawBbv/bbv-types.scm 671 */
						obj_t BgL_typz00_2571;

						BgL_typz00_2571 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_valz00_2570)))->BgL_predicatezd2ofzd2);
						{	/* SawBbv/bbv-types.scm 672 */

							if ((BgL_typz00_2571 == BGl_za2bintza2z00zztype_cachez00))
								{	/* SawBbv/bbv-types.scm 674 */
									return ((obj_t) BGl_fixnumzd2rangezd2zzsaw_bbvzd2rangezd2());
								}
							else
								{	/* SawBbv/bbv-types.scm 674 */
									return CNST_TABLE_REF(((long) 0));
		}}}}}}

	}



/* &rtl_call-values */
	obj_t BGl_z62rtl_callzd2valueszb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7237,
		obj_t BgL_iz00_7238)
	{
		{	/* SawBbv/bbv-types.scm 668 */
			return
				BGl_rtl_callzd2valueszd2zzsaw_bbvzd2typeszd2(
				((BgL_rtl_insz00_bglt) BgL_iz00_7238));
		}

	}



/* bit-xor* */
	obj_t BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(obj_t BgL_lstz00_161)
	{
		{	/* SawBbv/bbv-types.scm 680 */
			if (NULLP(BgL_lstz00_161))
				{	/* SawBbv/bbv-types.scm 681 */
					return BINT(((long) 0));
				}
			else
				{
					obj_t BgL_lstz00_2577;
					obj_t BgL_hashz00_2578;

					BgL_lstz00_2577 = CDR(BgL_lstz00_161);
					BgL_hashz00_2578 = CAR(BgL_lstz00_161);
				BgL_zc3z04anonymousza32190ze3z87_2579:
					if (NULLP(BgL_lstz00_2577))
						{	/* SawBbv/bbv-types.scm 685 */
							return BgL_hashz00_2578;
						}
					else
						{
							obj_t BgL_hashz00_10583;
							obj_t BgL_lstz00_10580;

							BgL_lstz00_10580 = CDR(((obj_t) BgL_lstz00_2577));
							BgL_hashz00_10583 =
								BINT(
								((long) CINT(CAR(
											((obj_t) BgL_lstz00_2577))) ^
									(long) CINT(BgL_hashz00_2578)));
							BgL_hashz00_2578 = BgL_hashz00_10583;
							BgL_lstz00_2577 = BgL_lstz00_10580;
							goto BgL_zc3z04anonymousza32190ze3z87_2579;
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			{	/* SawBbv/bbv-types.scm 36 */
				obj_t BgL_arg2199z00_2589;
				obj_t BgL_arg2200z00_2590;

				{	/* SawBbv/bbv-types.scm 36 */
					obj_t BgL_v1778z00_2621;

					BgL_v1778z00_2621 = create_vector(((long) 5));
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2211z00_2622;

						BgL_arg2211z00_2622 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3367z00zzsaw_bbvzd2typeszd2,
							BGl_proc3366z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3365z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1778z00_2621, ((long) 0), BgL_arg2211z00_2622);
					}
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2218z00_2635;

						BgL_arg2218z00_2635 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3370z00zzsaw_bbvzd2typeszd2,
							BGl_proc3369z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3368z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1778z00_2621, ((long) 1), BgL_arg2218z00_2635);
					}
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2225z00_2648;

						BgL_arg2225z00_2648 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3373z00zzsaw_bbvzd2typeszd2,
							BGl_proc3372z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3371z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1778z00_2621, ((long) 2), BgL_arg2225z00_2648);
					}
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2232z00_2661;

						BgL_arg2232z00_2661 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3376z00zzsaw_bbvzd2typeszd2,
							BGl_proc3375z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3374z00zzsaw_bbvzd2typeszd2,
							BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1778z00_2621, ((long) 3), BgL_arg2232z00_2661);
					}
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2241z00_2678;

						BgL_arg2241z00_2678 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3379z00zzsaw_bbvzd2typeszd2,
							BGl_proc3378z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3377z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1778z00_2621, ((long) 4), BgL_arg2241z00_2678);
					}
					BgL_arg2199z00_2589 = BgL_v1778z00_2621;
				}
				{	/* SawBbv/bbv-types.scm 36 */
					obj_t BgL_v1779z00_2691;

					BgL_v1779z00_2691 = create_vector(((long) 0));
					BgL_arg2200z00_2590 = BgL_v1779z00_2691;
				}
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_insz00zzsaw_defsz00,
					((long) 65096), BGl_proc3383z00zzsaw_bbvzd2typeszd2,
					BGl_proc3382z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3381z00zzsaw_bbvzd2typeszd2,
					BGl_proc3380z00zzsaw_bbvzd2typeszd2, BgL_arg2199z00_2589,
					BgL_arg2200z00_2590);
			}
			{	/* SawBbv/bbv-types.scm 44 */
				obj_t BgL_arg2252z00_2700;
				obj_t BgL_arg2253z00_2701;

				{	/* SawBbv/bbv-types.scm 44 */
					obj_t BgL_v1780z00_2730;

					BgL_v1780z00_2730 = create_vector(((long) 4));
					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_arg2264z00_2731;

						BgL_arg2264z00_2731 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3386z00zzsaw_bbvzd2typeszd2,
							BGl_proc3385z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3384z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1780z00_2730, ((long) 0), BgL_arg2264z00_2731);
					}
					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_arg2271z00_2744;

						BgL_arg2271z00_2744 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc3389z00zzsaw_bbvzd2typeszd2,
							BGl_proc3388z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3387z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1780z00_2730, ((long) 1), BgL_arg2271z00_2744);
					}
					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_arg2279z00_2757;

						BgL_arg2279z00_2757 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc3392z00zzsaw_bbvzd2typeszd2,
							BGl_proc3391z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3390z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1780z00_2730, ((long) 2), BgL_arg2279z00_2757);
					}
					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_arg2286z00_2770;

						BgL_arg2286z00_2770 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc3395z00zzsaw_bbvzd2typeszd2,
							BGl_proc3394z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3393z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1780z00_2730, ((long) 3), BgL_arg2286z00_2770);
					}
					BgL_arg2252z00_2700 = BgL_v1780z00_2730;
				}
				{	/* SawBbv/bbv-types.scm 44 */
					obj_t BgL_v1781z00_2783;

					BgL_v1781z00_2783 = create_vector(((long) 0));
					BgL_arg2253z00_2701 = BgL_v1781z00_2783;
				}
				BGl_blockVz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 9)), BGl_blockz00zzsaw_defsz00, ((long) 27668),
					BGl_proc3399z00zzsaw_bbvzd2typeszd2,
					BGl_proc3398z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3397z00zzsaw_bbvzd2typeszd2,
					BGl_proc3396z00zzsaw_bbvzd2typeszd2, BgL_arg2252z00_2700,
					BgL_arg2253z00_2701);
			}
			{	/* SawBbv/bbv-types.scm 51 */
				obj_t BgL_arg2299z00_2792;
				obj_t BgL_arg2300z00_2793;

				{	/* SawBbv/bbv-types.scm 51 */
					obj_t BgL_v1782z00_2825;

					BgL_v1782z00_2825 = create_vector(((long) 7));
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2311z00_2826;

						BgL_arg2311z00_2826 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc3402z00zzsaw_bbvzd2typeszd2,
							BGl_proc3401z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3400z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1782z00_2825, ((long) 0), BgL_arg2311z00_2826);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2318z00_2839;

						BgL_arg2318z00_2839 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3405z00zzsaw_bbvzd2typeszd2,
							BGl_proc3404z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3403z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1782z00_2825, ((long) 1), BgL_arg2318z00_2839);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2326z00_2852;

						BgL_arg2326z00_2852 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3408z00zzsaw_bbvzd2typeszd2,
							BGl_proc3407z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3406z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1782z00_2825, ((long) 2), BgL_arg2326z00_2852);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2334z00_2865;

						BgL_arg2334z00_2865 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3410z00zzsaw_bbvzd2typeszd2,
							BGl_proc3409z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1782z00_2825, ((long) 3), BgL_arg2334z00_2865);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2340z00_2875;

						BgL_arg2340z00_2875 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3412z00zzsaw_bbvzd2typeszd2,
							BGl_proc3411z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockVz00zzsaw_bbvzd2typeszd2);
						VECTOR_SET(BgL_v1782z00_2825, ((long) 4), BgL_arg2340z00_2875);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2345z00_2885;

						BgL_arg2345z00_2885 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3415z00zzsaw_bbvzd2typeszd2,
							BGl_proc3414z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3413z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1782z00_2825, ((long) 5), BgL_arg2345z00_2885);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2352z00_2898;

						BgL_arg2352z00_2898 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3418z00zzsaw_bbvzd2typeszd2,
							BGl_proc3417z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3416z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1782z00_2825, ((long) 6), BgL_arg2352z00_2898);
					}
					BgL_arg2299z00_2792 = BgL_v1782z00_2825;
				}
				{	/* SawBbv/bbv-types.scm 51 */
					obj_t BgL_v1783z00_2911;

					BgL_v1783z00_2911 = create_vector(((long) 0));
					BgL_arg2300z00_2793 = BgL_v1783z00_2911;
				}
				BGl_blockSz00zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 9)), BGl_blockz00zzsaw_defsz00, ((long) 41366),
					BGl_proc3422z00zzsaw_bbvzd2typeszd2,
					BGl_proc3421z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3420z00zzsaw_bbvzd2typeszd2,
					BGl_proc3419z00zzsaw_bbvzd2typeszd2, BgL_arg2299z00_2792,
					BgL_arg2300z00_2793);
			}
			{	/* SawBbv/bbv-types.scm 61 */
				obj_t BgL_arg2364z00_2919;
				obj_t BgL_arg2365z00_2920;

				{	/* SawBbv/bbv-types.scm 61 */
					obj_t BgL_v1784z00_2931;

					BgL_v1784z00_2931 = create_vector(((long) 1));
					{	/* SawBbv/bbv-types.scm 61 */
						obj_t BgL_arg2371z00_2932;

						BgL_arg2371z00_2932 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3425z00zzsaw_bbvzd2typeszd2,
							BGl_proc3424z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3423z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1784z00_2931, ((long) 0), BgL_arg2371z00_2932);
					}
					BgL_arg2364z00_2919 = BgL_v1784z00_2931;
				}
				{	/* SawBbv/bbv-types.scm 61 */
					obj_t BgL_v1785z00_2945;

					BgL_v1785z00_2945 = create_vector(((long) 0));
					BgL_arg2365z00_2920 = BgL_v1785z00_2945;
				}
				BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 58050), BGl_proc3428z00zzsaw_bbvzd2typeszd2,
					BGl_proc3427z00zzsaw_bbvzd2typeszd2, BFALSE,
					BGl_proc3426z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2364z00_2919,
					BgL_arg2365z00_2920);
			}
			{	/* SawBbv/bbv-types.scm 65 */
				obj_t BgL_arg2381z00_2952;
				obj_t BgL_arg2382z00_2953;

				{	/* SawBbv/bbv-types.scm 65 */
					obj_t BgL_v1786z00_2966;

					BgL_v1786z00_2966 = create_vector(((long) 2));
					{	/* SawBbv/bbv-types.scm 65 */
						obj_t BgL_arg2389z00_2967;

						BgL_arg2389z00_2967 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc3431z00zzsaw_bbvzd2typeszd2,
							BGl_proc3430z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3429z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 14)));
						VECTOR_SET(BgL_v1786z00_2966, ((long) 0), BgL_arg2389z00_2967);
					}
					{	/* SawBbv/bbv-types.scm 65 */
						obj_t BgL_arg2397z00_2980;

						BgL_arg2397z00_2980 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									26)), BGl_proc3434z00zzsaw_bbvzd2typeszd2,
							BGl_proc3433z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3432z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1786z00_2966, ((long) 1), BgL_arg2397z00_2980);
					}
					BgL_arg2381z00_2952 = BgL_v1786z00_2966;
				}
				{	/* SawBbv/bbv-types.scm 65 */
					obj_t BgL_v1787z00_2993;

					BgL_v1787z00_2993 = create_vector(((long) 0));
					BgL_arg2382z00_2953 = BgL_v1787z00_2993;
				}
				BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00, ((long) 7768),
					BGl_proc3437z00zzsaw_bbvzd2typeszd2,
					BGl_proc3436z00zzsaw_bbvzd2typeszd2,
					BGl_bbvzd2ctxzd2initzd2envzd2zzsaw_bbvzd2typeszd2,
					BGl_proc3435z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2381z00_2952,
					BgL_arg2382z00_2953);
			}
			{	/* SawBbv/bbv-types.scm 72 */
				obj_t BgL_arg2410z00_3000;
				obj_t BgL_arg2411z00_3001;

				{	/* SawBbv/bbv-types.scm 72 */
					obj_t BgL_v1788z00_3017;

					BgL_v1788z00_3017 = create_vector(((long) 6));
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2418z00_3018;

						BgL_arg2418z00_3018 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3439z00zzsaw_bbvzd2typeszd2,
							BGl_proc3438z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1788z00_3017, ((long) 0), BgL_arg2418z00_3018);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2425z00_3028;

						BgL_arg2425z00_3028 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									29)), BGl_proc3442z00zzsaw_bbvzd2typeszd2,
							BGl_proc3441z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3440z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 30)));
						VECTOR_SET(BgL_v1788z00_3017, ((long) 1), BgL_arg2425z00_3028);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2433z00_3042;

						BgL_arg2433z00_3042 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc3444z00zzsaw_bbvzd2typeszd2,
							BGl_proc3443z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 21)));
						VECTOR_SET(BgL_v1788z00_3017, ((long) 2), BgL_arg2433z00_3042);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2438z00_3052;

						BgL_arg2438z00_3052 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc3447z00zzsaw_bbvzd2typeszd2,
							BGl_proc3446z00zzsaw_bbvzd2typeszd2, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc3445z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1788z00_3017, ((long) 3), BgL_arg2438z00_3052);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2446z00_3065;

						BgL_arg2446z00_3065 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									33)), BGl_proc3450z00zzsaw_bbvzd2typeszd2,
							BGl_proc3449z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3448z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1788z00_3017, ((long) 4), BgL_arg2446z00_3065);
					}
					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_arg2454z00_3078;

						BgL_arg2454z00_3078 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3453z00zzsaw_bbvzd2typeszd2,
							BGl_proc3452z00zzsaw_bbvzd2typeszd2, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3451z00zzsaw_bbvzd2typeszd2,
							CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1788z00_3017, ((long) 5), BgL_arg2454z00_3078);
					}
					BgL_arg2410z00_3000 = BgL_v1788z00_3017;
				}
				{	/* SawBbv/bbv-types.scm 72 */
					obj_t BgL_v1789z00_3091;

					BgL_v1789z00_3091 = create_vector(((long) 0));
					BgL_arg2411z00_3001 = BgL_v1789z00_3091;
				}
				return (BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
						CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
						((long) 47303), BGl_proc3456z00zzsaw_bbvzd2typeszd2,
						BGl_proc3455z00zzsaw_bbvzd2typeszd2, BFALSE,
						BGl_proc3454z00zzsaw_bbvzd2typeszd2, BFALSE, BgL_arg2410z00_3000,
						BgL_arg2411z00_3001), BUNSPEC);
		}}

	}



/* &<@anonymous:2417> */
	obj_t BGl_z62zc3z04anonymousza32417ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7331, obj_t BgL_new1217z00_7332)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{
				BgL_bbvzd2ctxentryzd2_bglt BgL_auxz00_10718;

				{
					BgL_rtl_regz00_bglt BgL_auxz00_10719;

					{	/* SawBbv/bbv-types.scm 72 */
						obj_t BgL_classz00_7890;

						BgL_classz00_7890 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 72 */
							obj_t BgL__ortest_1113z00_7891;

							BgL__ortest_1113z00_7891 = BGL_CLASS_NIL(BgL_classz00_7890);
							if (CBOOL(BgL__ortest_1113z00_7891))
								{	/* SawBbv/bbv-types.scm 72 */
									BgL_auxz00_10719 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_7891);
								}
							else
								{	/* SawBbv/bbv-types.scm 72 */
									BgL_auxz00_10719 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7890));
								}
						}
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1217z00_7332)))->
							BgL_regz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_10719), BUNSPEC);
				}
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1217z00_7332)))->
						BgL_typesz00) = ((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1217z00_7332)))->BgL_polarityz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1217z00_7332)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1217z00_7332)))->BgL_aliasesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
									BgL_new1217z00_7332)))->BgL_initvalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_10718 = ((BgL_bbvzd2ctxentryzd2_bglt) BgL_new1217z00_7332);
				return ((obj_t) BgL_auxz00_10718);
			}
		}

	}



/* &lambda2415 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2415z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7333)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				BgL_bbvzd2ctxentryzd2_bglt BgL_new1216z00_7892;

				BgL_new1216z00_7892 =
					((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2ctxentryzd2_bgl))));
				{	/* SawBbv/bbv-types.scm 72 */
					long BgL_arg2416z00_7893;

					BgL_arg2416z00_7893 =
						BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1216z00_7892), BgL_arg2416z00_7893);
				}
				return BgL_new1216z00_7892;
			}
		}

	}



/* &lambda2412 */
	BgL_bbvzd2ctxentryzd2_bglt BGl_z62lambda2412z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7334, obj_t BgL_reg1210z00_7335, obj_t BgL_types1211z00_7336,
		obj_t BgL_polarity1212z00_7337, obj_t BgL_value1213z00_7338,
		obj_t BgL_aliases1214z00_7339, obj_t BgL_initval1215z00_7340)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				bool_t BgL_polarity1212z00_7896;

				BgL_polarity1212z00_7896 = CBOOL(BgL_polarity1212z00_7337);
				{	/* SawBbv/bbv-types.scm 72 */
					BgL_bbvzd2ctxentryzd2_bglt BgL_new1390z00_7898;

					{	/* SawBbv/bbv-types.scm 72 */
						BgL_bbvzd2ctxentryzd2_bglt BgL_new1389z00_7899;

						BgL_new1389z00_7899 =
							((BgL_bbvzd2ctxentryzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxentryzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 72 */
							long BgL_arg2414z00_7900;

							BgL_arg2414z00_7900 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1389z00_7899),
								BgL_arg2414z00_7900);
						}
						BgL_new1390z00_7898 = BgL_new1389z00_7899;
					}
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_regz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_reg1210z00_7335)),
						BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_typesz00) =
						((obj_t) ((obj_t) BgL_types1211z00_7336)), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_polarityz00) = ((bool_t) BgL_polarity1212z00_7896), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_valuez00) = ((obj_t) BgL_value1213z00_7338), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_aliasesz00) =
						((obj_t) ((obj_t) BgL_aliases1214z00_7339)), BUNSPEC);
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(BgL_new1390z00_7898))->
							BgL_initvalz00) = ((obj_t) BgL_initval1215z00_7340), BUNSPEC);
					return BgL_new1390z00_7898;
				}
			}
		}

	}



/* &<@anonymous:2461> */
	obj_t BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7341)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return BUNSPEC;
		}

	}



/* &lambda2460 */
	obj_t BGl_z62lambda2460z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7342,
		obj_t BgL_oz00_7343, obj_t BgL_vz00_7344)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7343)))->BgL_initvalz00) =
				((obj_t) BgL_vz00_7344), BUNSPEC);
		}

	}



/* &lambda2459 */
	obj_t BGl_z62lambda2459z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7345,
		obj_t BgL_oz00_7346)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7346)))->BgL_initvalz00);
		}

	}



/* &<@anonymous:2453> */
	obj_t BGl_z62zc3z04anonymousza32453ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7347)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return BNIL;
		}

	}



/* &lambda2452 */
	obj_t BGl_z62lambda2452z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7348,
		obj_t BgL_oz00_7349, obj_t BgL_vz00_7350)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7349)))->BgL_aliasesz00) =
				((obj_t) ((obj_t) BgL_vz00_7350)), BUNSPEC);
		}

	}



/* &lambda2451 */
	obj_t BGl_z62lambda2451z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7351,
		obj_t BgL_oz00_7352)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7352)))->BgL_aliasesz00);
		}

	}



/* &<@anonymous:2445> */
	obj_t BGl_z62zc3z04anonymousza32445ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7353)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return CNST_TABLE_REF(((long) 0));
		}

	}



/* &lambda2444 */
	obj_t BGl_z62lambda2444z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7354,
		obj_t BgL_oz00_7355, obj_t BgL_vz00_7356)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7355)))->BgL_valuez00) =
				((obj_t) BgL_vz00_7356), BUNSPEC);
		}

	}



/* &lambda2443 */
	obj_t BGl_z62lambda2443z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7357,
		obj_t BgL_oz00_7358)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7358)))->BgL_valuez00);
		}

	}



/* &lambda2437 */
	obj_t BGl_z62lambda2437z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7359,
		obj_t BgL_oz00_7360, obj_t BgL_vz00_7361)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 72 */
				bool_t BgL_vz00_7909;

				BgL_vz00_7909 = CBOOL(BgL_vz00_7361);
				return
					((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7360)))->
						BgL_polarityz00) = ((bool_t) BgL_vz00_7909), BUNSPEC);
			}
		}

	}



/* &lambda2436 */
	obj_t BGl_z62lambda2436z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7362,
		obj_t BgL_oz00_7363)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				BBOOL(
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7363)))->BgL_polarityz00));
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7364)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			{	/* SawBbv/bbv-types.scm 74 */
				obj_t BgL_res3552z00_7912;

				{	/* SawBbv/bbv-types.scm 74 */
					obj_t BgL_list2432z00_7911;

					BgL_list2432z00_7911 =
						MAKE_YOUNG_PAIR(BGl_za2objza2z00zztype_cachez00, BNIL);
					BgL_res3552z00_7912 = BgL_list2432z00_7911;
				}
				return BgL_res3552z00_7912;
			}
		}

	}



/* &lambda2430 */
	obj_t BGl_z62lambda2430z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7365,
		obj_t BgL_oz00_7366, obj_t BgL_vz00_7367)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7366)))->BgL_typesz00) =
				((obj_t) ((obj_t) BgL_vz00_7367)), BUNSPEC);
		}

	}



/* &lambda2429 */
	obj_t BGl_z62lambda2429z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7368,
		obj_t BgL_oz00_7369)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7369)))->BgL_typesz00);
		}

	}



/* &lambda2423 */
	obj_t BGl_z62lambda2423z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7370,
		obj_t BgL_oz00_7371, obj_t BgL_vz00_7372)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7371)))->BgL_regz00) =
				((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_7372)), BUNSPEC);
		}

	}



/* &lambda2422 */
	BgL_rtl_regz00_bglt BGl_z62lambda2422z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7373, obj_t BgL_oz00_7374)
	{
		{	/* SawBbv/bbv-types.scm 72 */
			return
				(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxentryzd2_bglt) BgL_oz00_7374)))->BgL_regz00);
		}

	}



/* &<@anonymous:2388> */
	obj_t BGl_z62zc3z04anonymousza32388ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7375, obj_t BgL_new1208z00_7376)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_auxz00_10790;

				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_new1208z00_7376)))->BgL_idz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(((BgL_bbvzd2ctxzd2_bglt)
									BgL_new1208z00_7376)))->BgL_entriesz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_10790 = ((BgL_bbvzd2ctxzd2_bglt) BgL_new1208z00_7376);
				return ((obj_t) BgL_auxz00_10790);
			}
		}

	}



/* &lambda2386 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2386z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7377)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			{	/* SawBbv/bbv-types.scm 65 */
				BgL_bbvzd2ctxzd2_bglt BgL_new1207z00_7920;

				BgL_new1207z00_7920 =
					((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2ctxzd2_bgl))));
				{	/* SawBbv/bbv-types.scm 65 */
					long BgL_arg2387z00_7921;

					BgL_arg2387z00_7921 =
						BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1207z00_7920), BgL_arg2387z00_7921);
				}
				return BgL_new1207z00_7920;
			}
		}

	}



/* &lambda2383 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2383z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7378, obj_t BgL_id1205z00_7379, obj_t BgL_entries1206z00_7380)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			{	/* SawBbv/bbv-types.scm 65 */
				long BgL_id1205z00_7922;

				BgL_id1205z00_7922 = (long) CINT(BgL_id1205z00_7379);
				{	/* SawBbv/bbv-types.scm 65 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1388z00_7924;

					{	/* SawBbv/bbv-types.scm 65 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1387z00_7925;

						BgL_new1387z00_7925 =
							((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 65 */
							long BgL_arg2385z00_7926;

							BgL_arg2385z00_7926 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1387z00_7925),
								BgL_arg2385z00_7926);
						}
						BgL_new1388z00_7924 = BgL_new1387z00_7925;
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1388z00_7924))->BgL_idz00) =
						((long) BgL_id1205z00_7922), BUNSPEC);
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1388z00_7924))->
							BgL_entriesz00) =
						((obj_t) ((obj_t) BgL_entries1206z00_7380)), BUNSPEC);
					{	/* SawBbv/bbv-types.scm 65 */
						obj_t BgL_fun2384z00_7927;

						BgL_fun2384z00_7927 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun2384z00_7927)) (BgL_fun2384z00_7927,
							((obj_t) BgL_new1388z00_7924), BEOA);
					}
					return BgL_new1388z00_7924;
				}
			}
		}

	}



/* &<@anonymous:2404> */
	obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7381)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2403 */
	obj_t BGl_z62lambda2403z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7382,
		obj_t BgL_oz00_7383, obj_t BgL_vz00_7384)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			return
				((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7383)))->BgL_entriesz00) =
				((obj_t) ((obj_t) BgL_vz00_7384)), BUNSPEC);
		}

	}



/* &lambda2402 */
	obj_t BGl_z62lambda2402z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7385,
		obj_t BgL_oz00_7386)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			return
				(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
						((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7386)))->BgL_entriesz00);
		}

	}



/* &<@anonymous:2396> */
	obj_t BGl_z62zc3z04anonymousza32396ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7387)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			return BINT(((long) -1));
		}

	}



/* &lambda2395 */
	obj_t BGl_z62lambda2395z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7388,
		obj_t BgL_oz00_7389, obj_t BgL_vz00_7390)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			{	/* SawBbv/bbv-types.scm 65 */
				long BgL_vz00_7932;

				BgL_vz00_7932 = (long) CINT(BgL_vz00_7390);
				return
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7389)))->BgL_idz00) =
					((long) BgL_vz00_7932), BUNSPEC);
		}}

	}



/* &lambda2394 */
	obj_t BGl_z62lambda2394z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7391,
		obj_t BgL_oz00_7392)
	{
		{	/* SawBbv/bbv-types.scm 65 */
			return
				BINT(
				(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
							((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7392)))->BgL_idz00));
		}

	}



/* &<@anonymous:2370> */
	obj_t BGl_z62zc3z04anonymousza32370ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7393, obj_t BgL_new1203z00_7394)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			{
				BgL_bbvzd2queuezd2_bglt BgL_auxz00_10827;

				((((BgL_bbvzd2queuezd2_bglt) COBJECT(
								((BgL_bbvzd2queuezd2_bglt) BgL_new1203z00_7394)))->
						BgL_blocksz00) = ((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_10827 = ((BgL_bbvzd2queuezd2_bglt) BgL_new1203z00_7394);
				return ((obj_t) BgL_auxz00_10827);
			}
		}

	}



/* &lambda2368 */
	BgL_bbvzd2queuezd2_bglt BGl_z62lambda2368z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7395)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			{	/* SawBbv/bbv-types.scm 61 */
				BgL_bbvzd2queuezd2_bglt BgL_new1201z00_7935;

				BgL_new1201z00_7935 =
					((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_bbvzd2queuezd2_bgl))));
				{	/* SawBbv/bbv-types.scm 61 */
					long BgL_arg2369z00_7936;

					BgL_arg2369z00_7936 =
						BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1201z00_7935), BgL_arg2369z00_7936);
				}
				return BgL_new1201z00_7935;
			}
		}

	}



/* &lambda2366 */
	BgL_bbvzd2queuezd2_bglt BGl_z62lambda2366z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7396, obj_t BgL_blocks1200z00_7397)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			{	/* SawBbv/bbv-types.scm 61 */
				BgL_bbvzd2queuezd2_bglt BgL_new1386z00_7938;

				{	/* SawBbv/bbv-types.scm 61 */
					BgL_bbvzd2queuezd2_bglt BgL_new1385z00_7939;

					BgL_new1385z00_7939 =
						((BgL_bbvzd2queuezd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_bbvzd2queuezd2_bgl))));
					{	/* SawBbv/bbv-types.scm 61 */
						long BgL_arg2367z00_7940;

						BgL_arg2367z00_7940 =
							BGL_CLASS_NUM(BGl_bbvzd2queuezd2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1385z00_7939), BgL_arg2367z00_7940);
					}
					BgL_new1386z00_7938 = BgL_new1385z00_7939;
				}
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(BgL_new1386z00_7938))->
						BgL_blocksz00) =
					((obj_t) ((obj_t) BgL_blocks1200z00_7397)), BUNSPEC);
				return BgL_new1386z00_7938;
			}
		}

	}



/* &<@anonymous:2377> */
	obj_t BGl_z62zc3z04anonymousza32377ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7398)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			return BNIL;
		}

	}



/* &lambda2376 */
	obj_t BGl_z62lambda2376z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7399,
		obj_t BgL_oz00_7400, obj_t BgL_vz00_7401)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			return
				((((BgL_bbvzd2queuezd2_bglt) COBJECT(
							((BgL_bbvzd2queuezd2_bglt) BgL_oz00_7400)))->BgL_blocksz00) =
				((obj_t) ((obj_t) BgL_vz00_7401)), BUNSPEC);
		}

	}



/* &lambda2375 */
	obj_t BGl_z62lambda2375z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7402,
		obj_t BgL_oz00_7403)
	{
		{	/* SawBbv/bbv-types.scm 61 */
			return
				(((BgL_bbvzd2queuezd2_bglt) COBJECT(
						((BgL_bbvzd2queuezd2_bglt) BgL_oz00_7403)))->BgL_blocksz00);
		}

	}



/* &lambda2307 */
	BgL_blockz00_bglt BGl_z62lambda2307z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7404, obj_t BgL_o1198z00_7405)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				long BgL_arg2308z00_7945;

				{	/* SawBbv/bbv-types.scm 51 */
					obj_t BgL_arg2309z00_7946;

					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_arg2310z00_7947;

						{	/* SawBbv/bbv-types.scm 51 */
							long BgL_arg1828z00_7948;

							{	/* SawBbv/bbv-types.scm 51 */
								long BgL_arg1829z00_7949;

								BgL_arg1829z00_7949 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1198z00_7405)));
								BgL_arg1828z00_7948 = (BgL_arg1829z00_7949 - OBJECT_TYPE);
							}
							BgL_arg2310z00_7947 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_7948);
						}
						BgL_arg2309z00_7946 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2310z00_7947);
					}
					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_tmpz00_10853;

						BgL_tmpz00_10853 = ((obj_t) BgL_arg2309z00_7946);
						BgL_arg2308z00_7945 = BGL_CLASS_NUM(BgL_tmpz00_10853);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1198z00_7405)), BgL_arg2308z00_7945);
			}
			{	/* SawBbv/bbv-types.scm 51 */
				BgL_objectz00_bglt BgL_tmpz00_10859;

				BgL_tmpz00_10859 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1198z00_7405));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10859, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1198z00_7405));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1198z00_7405));
		}

	}



/* &<@anonymous:2306> */
	obj_t BGl_z62zc3z04anonymousza32306ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7406, obj_t BgL_new1197z00_7407)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blockz00_bglt BgL_auxz00_10867;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1197z00_7407))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1197z00_7407))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1197z00_7407))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1197z00_7407))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blocksz00_bglt BgL_auxz00_10881;

					{
						obj_t BgL_auxz00_10882;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10883;

							BgL_tmpz00_10883 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10882 = BGL_OBJECT_WIDENING(BgL_tmpz00_10883);
						}
						BgL_auxz00_10881 = ((BgL_blocksz00_bglt) BgL_auxz00_10882);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10881))->BgL_z52markz52) =
						((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_10889;

					{
						obj_t BgL_auxz00_10890;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10891;

							BgL_tmpz00_10891 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10890 = BGL_OBJECT_WIDENING(BgL_tmpz00_10891);
						}
						BgL_auxz00_10889 = ((BgL_blocksz00_bglt) BgL_auxz00_10890);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10889))->BgL_z52hashz52) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_10897;

					{
						obj_t BgL_auxz00_10898;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10899;

							BgL_tmpz00_10899 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10898 = BGL_OBJECT_WIDENING(BgL_tmpz00_10899);
						}
						BgL_auxz00_10897 = ((BgL_blocksz00_bglt) BgL_auxz00_10898);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10897))->
							BgL_z52blacklistz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_10912;
					BgL_blocksz00_bglt BgL_auxz00_10905;

					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_classz00_7951;

						BgL_classz00_7951 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 51 */
							obj_t BgL__ortest_1113z00_7952;

							BgL__ortest_1113z00_7952 = BGL_CLASS_NIL(BgL_classz00_7951);
							if (CBOOL(BgL__ortest_1113z00_7952))
								{	/* SawBbv/bbv-types.scm 51 */
									BgL_auxz00_10912 =
										((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1113z00_7952);
								}
							else
								{	/* SawBbv/bbv-types.scm 51 */
									BgL_auxz00_10912 =
										((BgL_bbvzd2ctxzd2_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7951));
								}
						}
					}
					{
						obj_t BgL_auxz00_10906;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10907;

							BgL_tmpz00_10907 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10906 = BGL_OBJECT_WIDENING(BgL_tmpz00_10907);
						}
						BgL_auxz00_10905 = ((BgL_blocksz00_bglt) BgL_auxz00_10906);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10905))->BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_10912), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_10927;
					BgL_blocksz00_bglt BgL_auxz00_10920;

					{	/* SawBbv/bbv-types.scm 51 */
						obj_t BgL_classz00_7953;

						BgL_classz00_7953 = BGl_blockVz00zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 51 */
							obj_t BgL__ortest_1113z00_7954;

							BgL__ortest_1113z00_7954 = BGL_CLASS_NIL(BgL_classz00_7953);
							if (CBOOL(BgL__ortest_1113z00_7954))
								{	/* SawBbv/bbv-types.scm 51 */
									BgL_auxz00_10927 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_7954);
								}
							else
								{	/* SawBbv/bbv-types.scm 51 */
									BgL_auxz00_10927 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_7953));
								}
						}
					}
					{
						obj_t BgL_auxz00_10921;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10922;

							BgL_tmpz00_10922 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10921 = BGL_OBJECT_WIDENING(BgL_tmpz00_10922);
						}
						BgL_auxz00_10920 = ((BgL_blocksz00_bglt) BgL_auxz00_10921);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10920))->BgL_parentz00) =
						((BgL_blockz00_bglt) BgL_auxz00_10927), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_10935;

					{
						obj_t BgL_auxz00_10936;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10937;

							BgL_tmpz00_10937 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10936 = BGL_OBJECT_WIDENING(BgL_tmpz00_10937);
						}
						BgL_auxz00_10935 = ((BgL_blocksz00_bglt) BgL_auxz00_10936);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10935))->BgL_mblockz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_10943;

					{
						obj_t BgL_auxz00_10944;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_10945;

							BgL_tmpz00_10945 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1197z00_7407));
							BgL_auxz00_10944 = BGL_OBJECT_WIDENING(BgL_tmpz00_10945);
						}
						BgL_auxz00_10943 = ((BgL_blocksz00_bglt) BgL_auxz00_10944);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_10943))->
							BgL_collapsedz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_10867 = ((BgL_blockz00_bglt) BgL_new1197z00_7407);
				return ((obj_t) BgL_auxz00_10867);
			}
		}

	}



/* &lambda2304 */
	BgL_blockz00_bglt BGl_z62lambda2304z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7408, obj_t BgL_o1194z00_7409)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				BgL_blocksz00_bglt BgL_wide1196z00_7956;

				BgL_wide1196z00_7956 =
					((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blocksz00_bgl))));
				{	/* SawBbv/bbv-types.scm 51 */
					obj_t BgL_auxz00_10958;
					BgL_objectz00_bglt BgL_tmpz00_10954;

					BgL_auxz00_10958 = ((obj_t) BgL_wide1196z00_7956);
					BgL_tmpz00_10954 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1194z00_7409)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10954, BgL_auxz00_10958);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1194z00_7409)));
				{	/* SawBbv/bbv-types.scm 51 */
					long BgL_arg2305z00_7957;

					BgL_arg2305z00_7957 =
						BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1194z00_7409))), BgL_arg2305z00_7957);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1194z00_7409)));
			}
		}

	}



/* &lambda2301 */
	BgL_blockz00_bglt BGl_z62lambda2301z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7410, obj_t BgL_label1183z00_7411, obj_t BgL_preds1184z00_7412,
		obj_t BgL_succs1185z00_7413, obj_t BgL_first1186z00_7414,
		obj_t BgL_z52mark1187z52_7415, obj_t BgL_z52hash1188z52_7416,
		obj_t BgL_z52blacklist1189z52_7417, obj_t BgL_ctx1190z00_7418,
		obj_t BgL_parent1191z00_7419, obj_t BgL_mblock1192z00_7420,
		obj_t BgL_collapsed1193z00_7421)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				int BgL_label1183z00_7958;
				long BgL_z52mark1187z52_7962;
				bool_t BgL_collapsed1193z00_7965;

				BgL_label1183z00_7958 = CINT(BgL_label1183z00_7411);
				BgL_z52mark1187z52_7962 = (long) CINT(BgL_z52mark1187z52_7415);
				BgL_collapsed1193z00_7965 = CBOOL(BgL_collapsed1193z00_7421);
				{	/* SawBbv/bbv-types.scm 51 */
					BgL_blockz00_bglt BgL_new1383z00_7966;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_blockz00_bglt BgL_tmp1381z00_7967;
						BgL_blocksz00_bglt BgL_wide1382z00_7968;

						{
							BgL_blockz00_bglt BgL_auxz00_10975;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_blockz00_bglt BgL_new1380z00_7969;

								BgL_new1380z00_7969 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawBbv/bbv-types.scm 51 */
									long BgL_arg2303z00_7970;

									BgL_arg2303z00_7970 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1380z00_7969),
										BgL_arg2303z00_7970);
								}
								{	/* SawBbv/bbv-types.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_10980;

									BgL_tmpz00_10980 = ((BgL_objectz00_bglt) BgL_new1380z00_7969);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10980, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1380z00_7969);
								BgL_auxz00_10975 = BgL_new1380z00_7969;
							}
							BgL_tmp1381z00_7967 = ((BgL_blockz00_bglt) BgL_auxz00_10975);
						}
						BgL_wide1382z00_7968 =
							((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blocksz00_bgl))));
						{	/* SawBbv/bbv-types.scm 51 */
							obj_t BgL_auxz00_10988;
							BgL_objectz00_bglt BgL_tmpz00_10986;

							BgL_auxz00_10988 = ((obj_t) BgL_wide1382z00_7968);
							BgL_tmpz00_10986 = ((BgL_objectz00_bglt) BgL_tmp1381z00_7967);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10986, BgL_auxz00_10988);
						}
						((BgL_objectz00_bglt) BgL_tmp1381z00_7967);
						{	/* SawBbv/bbv-types.scm 51 */
							long BgL_arg2302z00_7971;

							BgL_arg2302z00_7971 =
								BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1381z00_7967),
								BgL_arg2302z00_7971);
						}
						BgL_new1383z00_7966 = ((BgL_blockz00_bglt) BgL_tmp1381z00_7967);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1383z00_7966)))->BgL_labelz00) =
						((int) BgL_label1183z00_7958), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1383z00_7966)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1184z00_7412)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1383z00_7966)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1185z00_7413)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1383z00_7966)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1186z00_7414)), BUNSPEC);
					{
						BgL_blocksz00_bglt BgL_auxz00_11007;

						{
							obj_t BgL_auxz00_11008;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11009;

								BgL_tmpz00_11009 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11008 = BGL_OBJECT_WIDENING(BgL_tmpz00_11009);
							}
							BgL_auxz00_11007 = ((BgL_blocksz00_bglt) BgL_auxz00_11008);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11007))->
								BgL_z52markz52) = ((long) BgL_z52mark1187z52_7962), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11014;

						{
							obj_t BgL_auxz00_11015;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11016;

								BgL_tmpz00_11016 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11015 = BGL_OBJECT_WIDENING(BgL_tmpz00_11016);
							}
							BgL_auxz00_11014 = ((BgL_blocksz00_bglt) BgL_auxz00_11015);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11014))->
								BgL_z52hashz52) = ((obj_t) BgL_z52hash1188z52_7416), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11021;

						{
							obj_t BgL_auxz00_11022;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11023;

								BgL_tmpz00_11023 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11022 = BGL_OBJECT_WIDENING(BgL_tmpz00_11023);
							}
							BgL_auxz00_11021 = ((BgL_blocksz00_bglt) BgL_auxz00_11022);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11021))->
								BgL_z52blacklistz52) =
							((obj_t) BgL_z52blacklist1189z52_7417), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11028;

						{
							obj_t BgL_auxz00_11029;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11030;

								BgL_tmpz00_11030 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11029 = BGL_OBJECT_WIDENING(BgL_tmpz00_11030);
							}
							BgL_auxz00_11028 = ((BgL_blocksz00_bglt) BgL_auxz00_11029);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11028))->BgL_ctxz00) =
							((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
									BgL_ctx1190z00_7418)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11036;

						{
							obj_t BgL_auxz00_11037;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11038;

								BgL_tmpz00_11038 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11037 = BGL_OBJECT_WIDENING(BgL_tmpz00_11038);
							}
							BgL_auxz00_11036 = ((BgL_blocksz00_bglt) BgL_auxz00_11037);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11036))->BgL_parentz00) =
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
									BgL_parent1191z00_7419)), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11044;

						{
							obj_t BgL_auxz00_11045;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11046;

								BgL_tmpz00_11046 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11045 = BGL_OBJECT_WIDENING(BgL_tmpz00_11046);
							}
							BgL_auxz00_11044 = ((BgL_blocksz00_bglt) BgL_auxz00_11045);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11044))->BgL_mblockz00) =
							((obj_t) BgL_mblock1192z00_7420), BUNSPEC);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_11051;

						{
							obj_t BgL_auxz00_11052;

							{	/* SawBbv/bbv-types.scm 51 */
								BgL_objectz00_bglt BgL_tmpz00_11053;

								BgL_tmpz00_11053 = ((BgL_objectz00_bglt) BgL_new1383z00_7966);
								BgL_auxz00_11052 = BGL_OBJECT_WIDENING(BgL_tmpz00_11053);
							}
							BgL_auxz00_11051 = ((BgL_blocksz00_bglt) BgL_auxz00_11052);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11051))->
								BgL_collapsedz00) =
							((bool_t) BgL_collapsed1193z00_7965), BUNSPEC);
					}
					return BgL_new1383z00_7966;
				}
			}
		}

	}



/* &<@anonymous:2360> */
	obj_t BGl_z62zc3z04anonymousza32360ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7422)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2359 */
	obj_t BGl_z62lambda2359z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7423,
		obj_t BgL_oz00_7424, obj_t BgL_vz00_7425)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				bool_t BgL_vz00_7973;

				BgL_vz00_7973 = CBOOL(BgL_vz00_7425);
				{
					BgL_blocksz00_bglt BgL_auxz00_11060;

					{
						obj_t BgL_auxz00_11061;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_11062;

							BgL_tmpz00_11062 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7424));
							BgL_auxz00_11061 = BGL_OBJECT_WIDENING(BgL_tmpz00_11062);
						}
						BgL_auxz00_11060 = ((BgL_blocksz00_bglt) BgL_auxz00_11061);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11060))->
							BgL_collapsedz00) = ((bool_t) BgL_vz00_7973), BUNSPEC);
				}
			}
		}

	}



/* &lambda2358 */
	obj_t BGl_z62lambda2358z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7426,
		obj_t BgL_oz00_7427)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				bool_t BgL_tmpz00_11068;

				{
					BgL_blocksz00_bglt BgL_auxz00_11069;

					{
						obj_t BgL_auxz00_11070;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_11071;

							BgL_tmpz00_11071 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7427));
							BgL_auxz00_11070 = BGL_OBJECT_WIDENING(BgL_tmpz00_11071);
						}
						BgL_auxz00_11069 = ((BgL_blocksz00_bglt) BgL_auxz00_11070);
					}
					BgL_tmpz00_11068 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11069))->
						BgL_collapsedz00);
				}
				return BBOOL(BgL_tmpz00_11068);
			}
		}

	}



/* &<@anonymous:2351> */
	obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7428)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2350 */
	obj_t BGl_z62lambda2350z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7429,
		obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11079;

				{
					obj_t BgL_auxz00_11080;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11081;

						BgL_tmpz00_11081 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7430));
						BgL_auxz00_11080 = BGL_OBJECT_WIDENING(BgL_tmpz00_11081);
					}
					BgL_auxz00_11079 = ((BgL_blocksz00_bglt) BgL_auxz00_11080);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11079))->BgL_mblockz00) =
					((obj_t) BgL_vz00_7431), BUNSPEC);
			}
		}

	}



/* &lambda2349 */
	obj_t BGl_z62lambda2349z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11087;

				{
					obj_t BgL_auxz00_11088;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11089;

						BgL_tmpz00_11089 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7433));
						BgL_auxz00_11088 = BGL_OBJECT_WIDENING(BgL_tmpz00_11089);
					}
					BgL_auxz00_11087 = ((BgL_blocksz00_bglt) BgL_auxz00_11088);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11087))->BgL_mblockz00);
			}
		}

	}



/* &lambda2344 */
	obj_t BGl_z62lambda2344z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7434,
		obj_t BgL_oz00_7435, obj_t BgL_vz00_7436)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11095;

				{
					obj_t BgL_auxz00_11096;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11097;

						BgL_tmpz00_11097 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7435));
						BgL_auxz00_11096 = BGL_OBJECT_WIDENING(BgL_tmpz00_11097);
					}
					BgL_auxz00_11095 = ((BgL_blocksz00_bglt) BgL_auxz00_11096);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11095))->BgL_parentz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_7436)), BUNSPEC);
			}
		}

	}



/* &lambda2343 */
	BgL_blockz00_bglt BGl_z62lambda2343z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7437, obj_t BgL_oz00_7438)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11104;

				{
					obj_t BgL_auxz00_11105;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11106;

						BgL_tmpz00_11106 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7438));
						BgL_auxz00_11105 = BGL_OBJECT_WIDENING(BgL_tmpz00_11106);
					}
					BgL_auxz00_11104 = ((BgL_blocksz00_bglt) BgL_auxz00_11105);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11104))->BgL_parentz00);
			}
		}

	}



/* &lambda2339 */
	obj_t BGl_z62lambda2339z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7439,
		obj_t BgL_oz00_7440, obj_t BgL_vz00_7441)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11112;

				{
					obj_t BgL_auxz00_11113;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11114;

						BgL_tmpz00_11114 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7440));
						BgL_auxz00_11113 = BGL_OBJECT_WIDENING(BgL_tmpz00_11114);
					}
					BgL_auxz00_11112 = ((BgL_blocksz00_bglt) BgL_auxz00_11113);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11112))->BgL_ctxz00) =
					((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_7441)),
					BUNSPEC);
			}
		}

	}



/* &lambda2338 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2338z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7442, obj_t BgL_oz00_7443)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11121;

				{
					obj_t BgL_auxz00_11122;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11123;

						BgL_tmpz00_11123 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7443));
						BgL_auxz00_11122 = BGL_OBJECT_WIDENING(BgL_tmpz00_11123);
					}
					BgL_auxz00_11121 = ((BgL_blocksz00_bglt) BgL_auxz00_11122);
				}
				return (((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11121))->BgL_ctxz00);
			}
		}

	}



/* &<@anonymous:2333> */
	obj_t BGl_z62zc3z04anonymousza32333ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7444)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			return BNIL;
		}

	}



/* &lambda2332 */
	obj_t BGl_z62lambda2332z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7445,
		obj_t BgL_oz00_7446, obj_t BgL_vz00_7447)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11129;

				{
					obj_t BgL_auxz00_11130;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11131;

						BgL_tmpz00_11131 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7446));
						BgL_auxz00_11130 = BGL_OBJECT_WIDENING(BgL_tmpz00_11131);
					}
					BgL_auxz00_11129 = ((BgL_blocksz00_bglt) BgL_auxz00_11130);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11129))->
						BgL_z52blacklistz52) = ((obj_t) BgL_vz00_7447), BUNSPEC);
			}
		}

	}



/* &lambda2331 */
	obj_t BGl_z62lambda2331z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7448,
		obj_t BgL_oz00_7449)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11137;

				{
					obj_t BgL_auxz00_11138;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11139;

						BgL_tmpz00_11139 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7449));
						BgL_auxz00_11138 = BGL_OBJECT_WIDENING(BgL_tmpz00_11139);
					}
					BgL_auxz00_11137 = ((BgL_blocksz00_bglt) BgL_auxz00_11138);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11137))->
					BgL_z52blacklistz52);
			}
		}

	}



/* &<@anonymous:2324> */
	obj_t BGl_z62zc3z04anonymousza32324ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7450)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2323 */
	obj_t BGl_z62lambda2323z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7451,
		obj_t BgL_oz00_7452, obj_t BgL_vz00_7453)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11146;

				{
					obj_t BgL_auxz00_11147;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11148;

						BgL_tmpz00_11148 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7452));
						BgL_auxz00_11147 = BGL_OBJECT_WIDENING(BgL_tmpz00_11148);
					}
					BgL_auxz00_11146 = ((BgL_blocksz00_bglt) BgL_auxz00_11147);
				}
				return
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11146))->BgL_z52hashz52) =
					((obj_t) BgL_vz00_7453), BUNSPEC);
			}
		}

	}



/* &lambda2322 */
	obj_t BGl_z62lambda2322z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7454,
		obj_t BgL_oz00_7455)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{
				BgL_blocksz00_bglt BgL_auxz00_11154;

				{
					obj_t BgL_auxz00_11155;

					{	/* SawBbv/bbv-types.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_11156;

						BgL_tmpz00_11156 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7455));
						BgL_auxz00_11155 = BGL_OBJECT_WIDENING(BgL_tmpz00_11156);
					}
					BgL_auxz00_11154 = ((BgL_blocksz00_bglt) BgL_auxz00_11155);
				}
				return
					(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11154))->BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2317> */
	obj_t BGl_z62zc3z04anonymousza32317ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7456)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			return BINT(((long) -1));
		}

	}



/* &lambda2316 */
	obj_t BGl_z62lambda2316z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7457,
		obj_t BgL_oz00_7458, obj_t BgL_vz00_7459)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				long BgL_vz00_7988;

				BgL_vz00_7988 = (long) CINT(BgL_vz00_7459);
				{
					BgL_blocksz00_bglt BgL_auxz00_11164;

					{
						obj_t BgL_auxz00_11165;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_11166;

							BgL_tmpz00_11166 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7458));
							BgL_auxz00_11165 = BGL_OBJECT_WIDENING(BgL_tmpz00_11166);
						}
						BgL_auxz00_11164 = ((BgL_blocksz00_bglt) BgL_auxz00_11165);
					}
					return
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11164))->
							BgL_z52markz52) = ((long) BgL_vz00_7988), BUNSPEC);
		}}}

	}



/* &lambda2315 */
	obj_t BGl_z62lambda2315z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7460,
		obj_t BgL_oz00_7461)
	{
		{	/* SawBbv/bbv-types.scm 51 */
			{	/* SawBbv/bbv-types.scm 51 */
				long BgL_tmpz00_11172;

				{
					BgL_blocksz00_bglt BgL_auxz00_11173;

					{
						obj_t BgL_auxz00_11174;

						{	/* SawBbv/bbv-types.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_11175;

							BgL_tmpz00_11175 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7461));
							BgL_auxz00_11174 = BGL_OBJECT_WIDENING(BgL_tmpz00_11175);
						}
						BgL_auxz00_11173 = ((BgL_blocksz00_bglt) BgL_auxz00_11174);
					}
					BgL_tmpz00_11172 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_11173))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_11172);
			}
		}

	}



/* &lambda2260 */
	BgL_blockz00_bglt BGl_z62lambda2260z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7462, obj_t BgL_o1181z00_7463)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{	/* SawBbv/bbv-types.scm 44 */
				long BgL_arg2261z00_7991;

				{	/* SawBbv/bbv-types.scm 44 */
					obj_t BgL_arg2262z00_7992;

					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_arg2263z00_7993;

						{	/* SawBbv/bbv-types.scm 44 */
							long BgL_arg1828z00_7994;

							{	/* SawBbv/bbv-types.scm 44 */
								long BgL_arg1829z00_7995;

								BgL_arg1829z00_7995 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1181z00_7463)));
								BgL_arg1828z00_7994 = (BgL_arg1829z00_7995 - OBJECT_TYPE);
							}
							BgL_arg2263z00_7993 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_7994);
						}
						BgL_arg2262z00_7992 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2263z00_7993);
					}
					{	/* SawBbv/bbv-types.scm 44 */
						obj_t BgL_tmpz00_11188;

						BgL_tmpz00_11188 = ((obj_t) BgL_arg2262z00_7992);
						BgL_arg2261z00_7991 = BGL_CLASS_NUM(BgL_tmpz00_11188);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1181z00_7463)), BgL_arg2261z00_7991);
			}
			{	/* SawBbv/bbv-types.scm 44 */
				BgL_objectz00_bglt BgL_tmpz00_11194;

				BgL_tmpz00_11194 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1181z00_7463));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11194, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1181z00_7463));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1181z00_7463));
		}

	}



/* &<@anonymous:2259> */
	obj_t BGl_z62zc3z04anonymousza32259ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7464, obj_t BgL_new1180z00_7465)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockz00_bglt BgL_auxz00_11202;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1180z00_7465))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1180z00_7465))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1180z00_7465))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1180z00_7465))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blockvz00_bglt BgL_auxz00_11216;

					{
						obj_t BgL_auxz00_11217;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11218;

							BgL_tmpz00_11218 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1180z00_7465));
							BgL_auxz00_11217 = BGL_OBJECT_WIDENING(BgL_tmpz00_11218);
						}
						BgL_auxz00_11216 = ((BgL_blockvz00_bglt) BgL_auxz00_11217);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11216))->BgL_versionsz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11224;

					{
						obj_t BgL_auxz00_11225;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11226;

							BgL_tmpz00_11226 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1180z00_7465));
							BgL_auxz00_11225 = BGL_OBJECT_WIDENING(BgL_tmpz00_11226);
						}
						BgL_auxz00_11224 = ((BgL_blockvz00_bglt) BgL_auxz00_11225);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11224))->BgL_genericz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11232;

					{
						obj_t BgL_auxz00_11233;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11234;

							BgL_tmpz00_11234 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1180z00_7465));
							BgL_auxz00_11233 = BGL_OBJECT_WIDENING(BgL_tmpz00_11234);
						}
						BgL_auxz00_11232 = ((BgL_blockvz00_bglt) BgL_auxz00_11233);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11232))->BgL_z52markz52) =
						((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_blockvz00_bglt BgL_auxz00_11240;

					{
						obj_t BgL_auxz00_11241;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11242;

							BgL_tmpz00_11242 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1180z00_7465));
							BgL_auxz00_11241 = BGL_OBJECT_WIDENING(BgL_tmpz00_11242);
						}
						BgL_auxz00_11240 = ((BgL_blockvz00_bglt) BgL_auxz00_11241);
					}
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11240))->BgL_mergez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_11202 = ((BgL_blockz00_bglt) BgL_new1180z00_7465);
				return ((obj_t) BgL_auxz00_11202);
			}
		}

	}



/* &lambda2257 */
	BgL_blockz00_bglt BGl_z62lambda2257z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7466, obj_t BgL_o1177z00_7467)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{	/* SawBbv/bbv-types.scm 44 */
				BgL_blockvz00_bglt BgL_wide1179z00_7998;

				BgL_wide1179z00_7998 =
					((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockvz00_bgl))));
				{	/* SawBbv/bbv-types.scm 44 */
					obj_t BgL_auxz00_11255;
					BgL_objectz00_bglt BgL_tmpz00_11251;

					BgL_auxz00_11255 = ((obj_t) BgL_wide1179z00_7998);
					BgL_tmpz00_11251 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1177z00_7467)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11251, BgL_auxz00_11255);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1177z00_7467)));
				{	/* SawBbv/bbv-types.scm 44 */
					long BgL_arg2258z00_7999;

					BgL_arg2258z00_7999 =
						BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1177z00_7467))), BgL_arg2258z00_7999);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1177z00_7467)));
			}
		}

	}



/* &lambda2254 */
	BgL_blockz00_bglt BGl_z62lambda2254z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7468, obj_t BgL_label1169z00_7469, obj_t BgL_preds1170z00_7470,
		obj_t BgL_succs1171z00_7471, obj_t BgL_first1172z00_7472,
		obj_t BgL_versions1173z00_7473, obj_t BgL_generic1174z00_7474,
		obj_t BgL_z52mark1175z52_7475, obj_t BgL_merge1176z00_7476)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{	/* SawBbv/bbv-types.scm 44 */
				int BgL_label1169z00_8000;
				long BgL_z52mark1175z52_8005;

				BgL_label1169z00_8000 = CINT(BgL_label1169z00_7469);
				BgL_z52mark1175z52_8005 = (long) CINT(BgL_z52mark1175z52_7475);
				{	/* SawBbv/bbv-types.scm 44 */
					BgL_blockz00_bglt BgL_new1378z00_8006;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_blockz00_bglt BgL_tmp1376z00_8007;
						BgL_blockvz00_bglt BgL_wide1377z00_8008;

						{
							BgL_blockz00_bglt BgL_auxz00_11271;

							{	/* SawBbv/bbv-types.scm 44 */
								BgL_blockz00_bglt BgL_new1375z00_8009;

								BgL_new1375z00_8009 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawBbv/bbv-types.scm 44 */
									long BgL_arg2256z00_8010;

									BgL_arg2256z00_8010 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1375z00_8009),
										BgL_arg2256z00_8010);
								}
								{	/* SawBbv/bbv-types.scm 44 */
									BgL_objectz00_bglt BgL_tmpz00_11276;

									BgL_tmpz00_11276 = ((BgL_objectz00_bglt) BgL_new1375z00_8009);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11276, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1375z00_8009);
								BgL_auxz00_11271 = BgL_new1375z00_8009;
							}
							BgL_tmp1376z00_8007 = ((BgL_blockz00_bglt) BgL_auxz00_11271);
						}
						BgL_wide1377z00_8008 =
							((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockvz00_bgl))));
						{	/* SawBbv/bbv-types.scm 44 */
							obj_t BgL_auxz00_11284;
							BgL_objectz00_bglt BgL_tmpz00_11282;

							BgL_auxz00_11284 = ((obj_t) BgL_wide1377z00_8008);
							BgL_tmpz00_11282 = ((BgL_objectz00_bglt) BgL_tmp1376z00_8007);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11282, BgL_auxz00_11284);
						}
						((BgL_objectz00_bglt) BgL_tmp1376z00_8007);
						{	/* SawBbv/bbv-types.scm 44 */
							long BgL_arg2255z00_8011;

							BgL_arg2255z00_8011 =
								BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1376z00_8007),
								BgL_arg2255z00_8011);
						}
						BgL_new1378z00_8006 = ((BgL_blockz00_bglt) BgL_tmp1376z00_8007);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1378z00_8006)))->BgL_labelz00) =
						((int) BgL_label1169z00_8000), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1378z00_8006)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1170z00_7470)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1378z00_8006)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1171z00_7471)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1378z00_8006)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1172z00_7472)), BUNSPEC);
					{
						BgL_blockvz00_bglt BgL_auxz00_11303;

						{
							obj_t BgL_auxz00_11304;

							{	/* SawBbv/bbv-types.scm 44 */
								BgL_objectz00_bglt BgL_tmpz00_11305;

								BgL_tmpz00_11305 = ((BgL_objectz00_bglt) BgL_new1378z00_8006);
								BgL_auxz00_11304 = BGL_OBJECT_WIDENING(BgL_tmpz00_11305);
							}
							BgL_auxz00_11303 = ((BgL_blockvz00_bglt) BgL_auxz00_11304);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11303))->
								BgL_versionsz00) =
							((obj_t) ((obj_t) BgL_versions1173z00_7473)), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_11311;

						{
							obj_t BgL_auxz00_11312;

							{	/* SawBbv/bbv-types.scm 44 */
								BgL_objectz00_bglt BgL_tmpz00_11313;

								BgL_tmpz00_11313 = ((BgL_objectz00_bglt) BgL_new1378z00_8006);
								BgL_auxz00_11312 = BGL_OBJECT_WIDENING(BgL_tmpz00_11313);
							}
							BgL_auxz00_11311 = ((BgL_blockvz00_bglt) BgL_auxz00_11312);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11311))->
								BgL_genericz00) = ((obj_t) BgL_generic1174z00_7474), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_11318;

						{
							obj_t BgL_auxz00_11319;

							{	/* SawBbv/bbv-types.scm 44 */
								BgL_objectz00_bglt BgL_tmpz00_11320;

								BgL_tmpz00_11320 = ((BgL_objectz00_bglt) BgL_new1378z00_8006);
								BgL_auxz00_11319 = BGL_OBJECT_WIDENING(BgL_tmpz00_11320);
							}
							BgL_auxz00_11318 = ((BgL_blockvz00_bglt) BgL_auxz00_11319);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11318))->
								BgL_z52markz52) = ((long) BgL_z52mark1175z52_8005), BUNSPEC);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_11325;

						{
							obj_t BgL_auxz00_11326;

							{	/* SawBbv/bbv-types.scm 44 */
								BgL_objectz00_bglt BgL_tmpz00_11327;

								BgL_tmpz00_11327 = ((BgL_objectz00_bglt) BgL_new1378z00_8006);
								BgL_auxz00_11326 = BGL_OBJECT_WIDENING(BgL_tmpz00_11327);
							}
							BgL_auxz00_11325 = ((BgL_blockvz00_bglt) BgL_auxz00_11326);
						}
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11325))->BgL_mergez00) =
							((obj_t) BgL_merge1176z00_7476), BUNSPEC);
					}
					return BgL_new1378z00_8006;
				}
			}
		}

	}



/* &<@anonymous:2292> */
	obj_t BGl_z62zc3z04anonymousza32292ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7477)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2291 */
	obj_t BGl_z62lambda2291z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7478,
		obj_t BgL_oz00_7479, obj_t BgL_vz00_7480)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11332;

				{
					obj_t BgL_auxz00_11333;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11334;

						BgL_tmpz00_11334 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7479));
						BgL_auxz00_11333 = BGL_OBJECT_WIDENING(BgL_tmpz00_11334);
					}
					BgL_auxz00_11332 = ((BgL_blockvz00_bglt) BgL_auxz00_11333);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11332))->BgL_mergez00) =
					((obj_t) BgL_vz00_7480), BUNSPEC);
			}
		}

	}



/* &lambda2290 */
	obj_t BGl_z62lambda2290z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7481,
		obj_t BgL_oz00_7482)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11340;

				{
					obj_t BgL_auxz00_11341;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11342;

						BgL_tmpz00_11342 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7482));
						BgL_auxz00_11341 = BGL_OBJECT_WIDENING(BgL_tmpz00_11342);
					}
					BgL_auxz00_11340 = ((BgL_blockvz00_bglt) BgL_auxz00_11341);
				}
				return (((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11340))->BgL_mergez00);
			}
		}

	}



/* &<@anonymous:2285> */
	obj_t BGl_z62zc3z04anonymousza32285ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7483)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			return BINT(((long) -1));
		}

	}



/* &lambda2284 */
	obj_t BGl_z62lambda2284z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7484,
		obj_t BgL_oz00_7485, obj_t BgL_vz00_7486)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{	/* SawBbv/bbv-types.scm 44 */
				long BgL_vz00_8015;

				BgL_vz00_8015 = (long) CINT(BgL_vz00_7486);
				{
					BgL_blockvz00_bglt BgL_auxz00_11350;

					{
						obj_t BgL_auxz00_11351;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11352;

							BgL_tmpz00_11352 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7485));
							BgL_auxz00_11351 = BGL_OBJECT_WIDENING(BgL_tmpz00_11352);
						}
						BgL_auxz00_11350 = ((BgL_blockvz00_bglt) BgL_auxz00_11351);
					}
					return
						((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11350))->
							BgL_z52markz52) = ((long) BgL_vz00_8015), BUNSPEC);
		}}}

	}



/* &lambda2283 */
	obj_t BGl_z62lambda2283z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7487,
		obj_t BgL_oz00_7488)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{	/* SawBbv/bbv-types.scm 44 */
				long BgL_tmpz00_11358;

				{
					BgL_blockvz00_bglt BgL_auxz00_11359;

					{
						obj_t BgL_auxz00_11360;

						{	/* SawBbv/bbv-types.scm 44 */
							BgL_objectz00_bglt BgL_tmpz00_11361;

							BgL_tmpz00_11361 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7488));
							BgL_auxz00_11360 = BGL_OBJECT_WIDENING(BgL_tmpz00_11361);
						}
						BgL_auxz00_11359 = ((BgL_blockvz00_bglt) BgL_auxz00_11360);
					}
					BgL_tmpz00_11358 =
						(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11359))->BgL_z52markz52);
				}
				return BINT(BgL_tmpz00_11358);
			}
		}

	}



/* &<@anonymous:2277> */
	obj_t BGl_z62zc3z04anonymousza32277ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7489)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2276 */
	obj_t BGl_z62lambda2276z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7490,
		obj_t BgL_oz00_7491, obj_t BgL_vz00_7492)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11368;

				{
					obj_t BgL_auxz00_11369;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11370;

						BgL_tmpz00_11370 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7491));
						BgL_auxz00_11369 = BGL_OBJECT_WIDENING(BgL_tmpz00_11370);
					}
					BgL_auxz00_11368 = ((BgL_blockvz00_bglt) BgL_auxz00_11369);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11368))->BgL_genericz00) =
					((obj_t) BgL_vz00_7492), BUNSPEC);
			}
		}

	}



/* &lambda2275 */
	obj_t BGl_z62lambda2275z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7493,
		obj_t BgL_oz00_7494)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11376;

				{
					obj_t BgL_auxz00_11377;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11378;

						BgL_tmpz00_11378 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7494));
						BgL_auxz00_11377 = BGL_OBJECT_WIDENING(BgL_tmpz00_11378);
					}
					BgL_auxz00_11376 = ((BgL_blockvz00_bglt) BgL_auxz00_11377);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11376))->BgL_genericz00);
			}
		}

	}



/* &<@anonymous:2270> */
	obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7495)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			return BNIL;
		}

	}



/* &lambda2269 */
	obj_t BGl_z62lambda2269z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7496,
		obj_t BgL_oz00_7497, obj_t BgL_vz00_7498)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11384;

				{
					obj_t BgL_auxz00_11385;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11386;

						BgL_tmpz00_11386 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7497));
						BgL_auxz00_11385 = BGL_OBJECT_WIDENING(BgL_tmpz00_11386);
					}
					BgL_auxz00_11384 = ((BgL_blockvz00_bglt) BgL_auxz00_11385);
				}
				return
					((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11384))->BgL_versionsz00) =
					((obj_t) ((obj_t) BgL_vz00_7498)), BUNSPEC);
			}
		}

	}



/* &lambda2268 */
	obj_t BGl_z62lambda2268z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500)
	{
		{	/* SawBbv/bbv-types.scm 44 */
			{
				BgL_blockvz00_bglt BgL_auxz00_11393;

				{
					obj_t BgL_auxz00_11394;

					{	/* SawBbv/bbv-types.scm 44 */
						BgL_objectz00_bglt BgL_tmpz00_11395;

						BgL_tmpz00_11395 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7500));
						BgL_auxz00_11394 = BGL_OBJECT_WIDENING(BgL_tmpz00_11395);
					}
					BgL_auxz00_11393 = ((BgL_blockvz00_bglt) BgL_auxz00_11394);
				}
				return
					(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_11393))->BgL_versionsz00);
			}
		}

	}



/* &lambda2207 */
	BgL_rtl_insz00_bglt BGl_z62lambda2207z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7501, obj_t BgL_o1167z00_7502)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{	/* SawBbv/bbv-types.scm 36 */
				long BgL_arg2208z00_8023;

				{	/* SawBbv/bbv-types.scm 36 */
					obj_t BgL_arg2209z00_8024;

					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_arg2210z00_8025;

						{	/* SawBbv/bbv-types.scm 36 */
							long BgL_arg1828z00_8026;

							{	/* SawBbv/bbv-types.scm 36 */
								long BgL_arg1829z00_8027;

								BgL_arg1829z00_8027 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1167z00_7502)));
								BgL_arg1828z00_8026 = (BgL_arg1829z00_8027 - OBJECT_TYPE);
							}
							BgL_arg2210z00_8025 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_8026);
						}
						BgL_arg2209z00_8024 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2210z00_8025);
					}
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_tmpz00_11407;

						BgL_tmpz00_11407 = ((obj_t) BgL_arg2209z00_8024);
						BgL_arg2208z00_8023 = BGL_CLASS_NUM(BgL_tmpz00_11407);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1167z00_7502)), BgL_arg2208z00_8023);
			}
			{	/* SawBbv/bbv-types.scm 36 */
				BgL_objectz00_bglt BgL_tmpz00_11413;

				BgL_tmpz00_11413 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1167z00_7502));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11413, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1167z00_7502));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1167z00_7502));
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7503, obj_t BgL_new1166z00_7504)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_11421;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1166z00_7504))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1166z00_7504))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1166z00_7504))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_11431;

					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_classz00_8029;

						BgL_classz00_8029 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawBbv/bbv-types.scm 36 */
							obj_t BgL__ortest_1113z00_8030;

							BgL__ortest_1113z00_8030 = BGL_CLASS_NIL(BgL_classz00_8029);
							if (CBOOL(BgL__ortest_1113z00_8030))
								{	/* SawBbv/bbv-types.scm 36 */
									BgL_auxz00_11431 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1113z00_8030);
								}
							else
								{	/* SawBbv/bbv-types.scm 36 */
									BgL_auxz00_11431 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8029));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1166z00_7504))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_11431), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1166z00_7504))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11444;

					{
						obj_t BgL_auxz00_11445;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11446;

							BgL_tmpz00_11446 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1166z00_7504));
							BgL_auxz00_11445 = BGL_OBJECT_WIDENING(BgL_tmpz00_11446);
						}
						BgL_auxz00_11444 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11445);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11444))->
							BgL_defz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11452;

					{
						obj_t BgL_auxz00_11453;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11454;

							BgL_tmpz00_11454 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1166z00_7504));
							BgL_auxz00_11453 = BGL_OBJECT_WIDENING(BgL_tmpz00_11454);
						}
						BgL_auxz00_11452 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11453);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11452))->
							BgL_outz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11460;

					{
						obj_t BgL_auxz00_11461;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11462;

							BgL_tmpz00_11462 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1166z00_7504));
							BgL_auxz00_11461 = BGL_OBJECT_WIDENING(BgL_tmpz00_11462);
						}
						BgL_auxz00_11460 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11461);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11460))->
							BgL_inz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_bbvzd2ctxzd2_bglt BgL_auxz00_11475;
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11468;

					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_classz00_8031;

						BgL_classz00_8031 = BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
						{	/* SawBbv/bbv-types.scm 36 */
							obj_t BgL__ortest_1113z00_8032;

							BgL__ortest_1113z00_8032 = BGL_CLASS_NIL(BgL_classz00_8031);
							if (CBOOL(BgL__ortest_1113z00_8032))
								{	/* SawBbv/bbv-types.scm 36 */
									BgL_auxz00_11475 =
										((BgL_bbvzd2ctxzd2_bglt) BgL__ortest_1113z00_8032);
								}
							else
								{	/* SawBbv/bbv-types.scm 36 */
									BgL_auxz00_11475 =
										((BgL_bbvzd2ctxzd2_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8031));
								}
						}
					}
					{
						obj_t BgL_auxz00_11469;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11470;

							BgL_tmpz00_11470 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1166z00_7504));
							BgL_auxz00_11469 = BGL_OBJECT_WIDENING(BgL_tmpz00_11470);
						}
						BgL_auxz00_11468 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11469);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11468))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_11475), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11483;

					{
						obj_t BgL_auxz00_11484;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11485;

							BgL_tmpz00_11485 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1166z00_7504));
							BgL_auxz00_11484 = BGL_OBJECT_WIDENING(BgL_tmpz00_11485);
						}
						BgL_auxz00_11483 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11484);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11483))->
							BgL_z52hashz52) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_11421 = ((BgL_rtl_insz00_bglt) BgL_new1166z00_7504);
				return ((obj_t) BgL_auxz00_11421);
			}
		}

	}



/* &lambda2204 */
	BgL_rtl_insz00_bglt BGl_z62lambda2204z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7505, obj_t BgL_o1163z00_7506)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{	/* SawBbv/bbv-types.scm 36 */
				BgL_rtl_inszf2bbvzf2_bglt BgL_wide1165z00_8034;

				BgL_wide1165z00_8034 =
					((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2bbvzf2_bgl))));
				{	/* SawBbv/bbv-types.scm 36 */
					obj_t BgL_auxz00_11498;
					BgL_objectz00_bglt BgL_tmpz00_11494;

					BgL_auxz00_11498 = ((obj_t) BgL_wide1165z00_8034);
					BgL_tmpz00_11494 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1163z00_7506)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11494, BgL_auxz00_11498);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1163z00_7506)));
				{	/* SawBbv/bbv-types.scm 36 */
					long BgL_arg2205z00_8035;

					BgL_arg2205z00_8035 =
						BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1163z00_7506))),
						BgL_arg2205z00_8035);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1163z00_7506)));
			}
		}

	}



/* &lambda2201 */
	BgL_rtl_insz00_bglt BGl_z62lambda2201z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7507, obj_t BgL_loc1153z00_7508, obj_t BgL_z52spill1154z52_7509,
		obj_t BgL_dest1155z00_7510, obj_t BgL_fun1156z00_7511,
		obj_t BgL_args1157z00_7512, obj_t BgL_def1158z00_7513,
		obj_t BgL_out1159z00_7514, obj_t BgL_in1160z00_7515,
		obj_t BgL_ctx1161z00_7516, obj_t BgL_z52hash1162z52_7517)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{	/* SawBbv/bbv-types.scm 36 */
				BgL_rtl_insz00_bglt BgL_new1371z00_8040;

				{	/* SawBbv/bbv-types.scm 36 */
					BgL_rtl_insz00_bglt BgL_tmp1369z00_8041;
					BgL_rtl_inszf2bbvzf2_bglt BgL_wide1370z00_8042;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_11512;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_rtl_insz00_bglt BgL_new1368z00_8043;

							BgL_new1368z00_8043 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawBbv/bbv-types.scm 36 */
								long BgL_arg2203z00_8044;

								BgL_arg2203z00_8044 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1368z00_8043),
									BgL_arg2203z00_8044);
							}
							{	/* SawBbv/bbv-types.scm 36 */
								BgL_objectz00_bglt BgL_tmpz00_11517;

								BgL_tmpz00_11517 = ((BgL_objectz00_bglt) BgL_new1368z00_8043);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11517, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1368z00_8043);
							BgL_auxz00_11512 = BgL_new1368z00_8043;
						}
						BgL_tmp1369z00_8041 = ((BgL_rtl_insz00_bglt) BgL_auxz00_11512);
					}
					BgL_wide1370z00_8042 =
						((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2bbvzf2_bgl))));
					{	/* SawBbv/bbv-types.scm 36 */
						obj_t BgL_auxz00_11525;
						BgL_objectz00_bglt BgL_tmpz00_11523;

						BgL_auxz00_11525 = ((obj_t) BgL_wide1370z00_8042);
						BgL_tmpz00_11523 = ((BgL_objectz00_bglt) BgL_tmp1369z00_8041);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11523, BgL_auxz00_11525);
					}
					((BgL_objectz00_bglt) BgL_tmp1369z00_8041);
					{	/* SawBbv/bbv-types.scm 36 */
						long BgL_arg2202z00_8045;

						BgL_arg2202z00_8045 =
							BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1369z00_8041), BgL_arg2202z00_8045);
					}
					BgL_new1371z00_8040 = ((BgL_rtl_insz00_bglt) BgL_tmp1369z00_8041);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1371z00_8040)))->BgL_locz00) =
					((obj_t) BgL_loc1153z00_7508), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1371z00_8040)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1154z52_7509)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1371z00_8040)))->BgL_destz00) =
					((obj_t) BgL_dest1155z00_7510), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1371z00_8040)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1156z00_7511)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1371z00_8040)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1157z00_7512)), BUNSPEC);
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11546;

					{
						obj_t BgL_auxz00_11547;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11548;

							BgL_tmpz00_11548 = ((BgL_objectz00_bglt) BgL_new1371z00_8040);
							BgL_auxz00_11547 = BGL_OBJECT_WIDENING(BgL_tmpz00_11548);
						}
						BgL_auxz00_11546 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11547);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11546))->
							BgL_defz00) = ((obj_t) BgL_def1158z00_7513), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11553;

					{
						obj_t BgL_auxz00_11554;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11555;

							BgL_tmpz00_11555 = ((BgL_objectz00_bglt) BgL_new1371z00_8040);
							BgL_auxz00_11554 = BGL_OBJECT_WIDENING(BgL_tmpz00_11555);
						}
						BgL_auxz00_11553 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11554);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11553))->
							BgL_outz00) = ((obj_t) BgL_out1159z00_7514), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11560;

					{
						obj_t BgL_auxz00_11561;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11562;

							BgL_tmpz00_11562 = ((BgL_objectz00_bglt) BgL_new1371z00_8040);
							BgL_auxz00_11561 = BGL_OBJECT_WIDENING(BgL_tmpz00_11562);
						}
						BgL_auxz00_11560 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11561);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11560))->
							BgL_inz00) = ((obj_t) BgL_in1160z00_7515), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11567;

					{
						obj_t BgL_auxz00_11568;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11569;

							BgL_tmpz00_11569 = ((BgL_objectz00_bglt) BgL_new1371z00_8040);
							BgL_auxz00_11568 = BGL_OBJECT_WIDENING(BgL_tmpz00_11569);
						}
						BgL_auxz00_11567 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11568);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11567))->
							BgL_ctxz00) =
						((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt)
								BgL_ctx1161z00_7516)), BUNSPEC);
				}
				{
					BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11575;

					{
						obj_t BgL_auxz00_11576;

						{	/* SawBbv/bbv-types.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_11577;

							BgL_tmpz00_11577 = ((BgL_objectz00_bglt) BgL_new1371z00_8040);
							BgL_auxz00_11576 = BGL_OBJECT_WIDENING(BgL_tmpz00_11577);
						}
						BgL_auxz00_11575 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11576);
					}
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11575))->
							BgL_z52hashz52) = ((obj_t) BgL_z52hash1162z52_7517), BUNSPEC);
				}
				return BgL_new1371z00_8040;
			}
		}

	}



/* &<@anonymous:2247> */
	obj_t BGl_z62zc3z04anonymousza32247ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7518)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2246 */
	obj_t BGl_z62lambda2246z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7519,
		obj_t BgL_oz00_7520, obj_t BgL_vz00_7521)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11583;

				{
					obj_t BgL_auxz00_11584;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11585;

						BgL_tmpz00_11585 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7520));
						BgL_auxz00_11584 = BGL_OBJECT_WIDENING(BgL_tmpz00_11585);
					}
					BgL_auxz00_11583 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11584);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11583))->
						BgL_z52hashz52) = ((obj_t) BgL_vz00_7521), BUNSPEC);
			}
		}

	}



/* &lambda2245 */
	obj_t BGl_z62lambda2245z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7522,
		obj_t BgL_oz00_7523)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11591;

				{
					obj_t BgL_auxz00_11592;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11593;

						BgL_tmpz00_11593 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7523));
						BgL_auxz00_11592 = BGL_OBJECT_WIDENING(BgL_tmpz00_11593);
					}
					BgL_auxz00_11591 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11592);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11591))->
					BgL_z52hashz52);
			}
		}

	}



/* &<@anonymous:2238> */
	obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7524)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_bbvzd2ctxzd2_bglt BgL_auxz00_11599;

				{	/* SawBbv/bbv-types.scm 40 */
					BgL_bbvzd2ctxzd2_bglt BgL_new1374z00_8048;

					{	/* SawBbv/bbv-types.scm 40 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1373z00_8049;

						BgL_new1373z00_8049 =
							((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_bbvzd2ctxzd2_bgl))));
						{	/* SawBbv/bbv-types.scm 40 */
							long BgL_arg2240z00_8050;

							BgL_arg2240z00_8050 =
								BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1373z00_8049),
								BgL_arg2240z00_8050);
						}
						BgL_new1374z00_8048 = BgL_new1373z00_8049;
					}
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1374z00_8048))->BgL_idz00) =
						((long) ((long) -1)), BUNSPEC);
					((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1374z00_8048))->
							BgL_entriesz00) = ((obj_t) BNIL), BUNSPEC);
					{	/* SawBbv/bbv-types.scm 40 */
						obj_t BgL_fun2239z00_8051;

						BgL_fun2239z00_8051 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
						((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun2239z00_8051)) (BgL_fun2239z00_8051,
							((obj_t) BgL_new1374z00_8048), BEOA);
					}
					BgL_auxz00_11599 = BgL_new1374z00_8048;
				}
				return ((obj_t) BgL_auxz00_11599);
			}
		}

	}



/* &lambda2237 */
	obj_t BGl_z62lambda2237z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7525,
		obj_t BgL_oz00_7526, obj_t BgL_vz00_7527)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11613;

				{
					obj_t BgL_auxz00_11614;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11615;

						BgL_tmpz00_11615 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7526));
						BgL_auxz00_11614 = BGL_OBJECT_WIDENING(BgL_tmpz00_11615);
					}
					BgL_auxz00_11613 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11614);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11613))->
						BgL_ctxz00) =
					((BgL_bbvzd2ctxzd2_bglt) ((BgL_bbvzd2ctxzd2_bglt) BgL_vz00_7527)),
					BUNSPEC);
			}
		}

	}



/* &lambda2236 */
	BgL_bbvzd2ctxzd2_bglt BGl_z62lambda2236z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7528, obj_t BgL_oz00_7529)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11622;

				{
					obj_t BgL_auxz00_11623;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11624;

						BgL_tmpz00_11624 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7529));
						BgL_auxz00_11623 = BGL_OBJECT_WIDENING(BgL_tmpz00_11624);
					}
					BgL_auxz00_11622 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11623);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11622))->BgL_ctxz00);
			}
		}

	}



/* &<@anonymous:2231> */
	obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7530)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			return BUNSPEC;
		}

	}



/* &lambda2230 */
	obj_t BGl_z62lambda2230z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7531,
		obj_t BgL_oz00_7532, obj_t BgL_vz00_7533)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11630;

				{
					obj_t BgL_auxz00_11631;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11632;

						BgL_tmpz00_11632 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7532));
						BgL_auxz00_11631 = BGL_OBJECT_WIDENING(BgL_tmpz00_11632);
					}
					BgL_auxz00_11630 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11631);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11630))->
						BgL_inz00) = ((obj_t) BgL_vz00_7533), BUNSPEC);
			}
		}

	}



/* &lambda2229 */
	obj_t BGl_z62lambda2229z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7534,
		obj_t BgL_oz00_7535)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11638;

				{
					obj_t BgL_auxz00_11639;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11640;

						BgL_tmpz00_11640 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7535));
						BgL_auxz00_11639 = BGL_OBJECT_WIDENING(BgL_tmpz00_11640);
					}
					BgL_auxz00_11638 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11639);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11638))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2224> */
	obj_t BGl_z62zc3z04anonymousza32224ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7536)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			return BUNSPEC;
		}

	}



/* &lambda2223 */
	obj_t BGl_z62lambda2223z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7537,
		obj_t BgL_oz00_7538, obj_t BgL_vz00_7539)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11646;

				{
					obj_t BgL_auxz00_11647;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11648;

						BgL_tmpz00_11648 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7538));
						BgL_auxz00_11647 = BGL_OBJECT_WIDENING(BgL_tmpz00_11648);
					}
					BgL_auxz00_11646 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11647);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11646))->
						BgL_outz00) = ((obj_t) BgL_vz00_7539), BUNSPEC);
			}
		}

	}



/* &lambda2222 */
	obj_t BGl_z62lambda2222z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7540,
		obj_t BgL_oz00_7541)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11654;

				{
					obj_t BgL_auxz00_11655;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11656;

						BgL_tmpz00_11656 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7541));
						BgL_auxz00_11655 = BGL_OBJECT_WIDENING(BgL_tmpz00_11656);
					}
					BgL_auxz00_11654 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11655);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11654))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2217> */
	obj_t BGl_z62zc3z04anonymousza32217ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7542)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			return BUNSPEC;
		}

	}



/* &lambda2216 */
	obj_t BGl_z62lambda2216z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7543,
		obj_t BgL_oz00_7544, obj_t BgL_vz00_7545)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11662;

				{
					obj_t BgL_auxz00_11663;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11664;

						BgL_tmpz00_11664 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7544));
						BgL_auxz00_11663 = BGL_OBJECT_WIDENING(BgL_tmpz00_11664);
					}
					BgL_auxz00_11662 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11663);
				}
				return
					((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11662))->
						BgL_defz00) = ((obj_t) BgL_vz00_7545), BUNSPEC);
			}
		}

	}



/* &lambda2215 */
	obj_t BGl_z62lambda2215z62zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7546,
		obj_t BgL_oz00_7547)
	{
		{	/* SawBbv/bbv-types.scm 36 */
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_11670;

				{
					obj_t BgL_auxz00_11671;

					{	/* SawBbv/bbv-types.scm 36 */
						BgL_objectz00_bglt BgL_tmpz00_11672;

						BgL_tmpz00_11672 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7547));
						BgL_auxz00_11671 = BGL_OBJECT_WIDENING(BgL_tmpz00_11672);
					}
					BgL_auxz00_11670 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_11671);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_11670))->BgL_defz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_proc3457z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3458z00zzsaw_bbvzd2typeszd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_proc3459z00zzsaw_bbvzd2typeszd2, BFALSE,
				BGl_string3460z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &bbv-equal?1884 */
	obj_t BGl_z62bbvzd2equalzf31884z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7550,
		obj_t BgL_xz00_7551, obj_t BgL_yz00_7552)
	{
		{	/* SawBbv/bbv-types.scm 895 */
			return BBOOL((BgL_xz00_7551 == BgL_yz00_7552));
		}

	}



/* &bbv-hash1832 */
	obj_t BGl_z62bbvzd2hash1832zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7553,
		obj_t BgL_oz00_7554)
	{
		{	/* SawBbv/bbv-types.scm 692 */
			return BINT(((long) 2345));
		}

	}



/* bbv-hash */
	BGL_EXPORTED_DEF obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t
		BgL_oz00_162)
	{
		{	/* SawBbv/bbv-types.scm 692 */
			if (BGL_OBJECTP(BgL_oz00_162))
				{	/* SawBbv/bbv-types.scm 692 */
					obj_t BgL_method1833z00_3105;

					{	/* SawBbv/bbv-types.scm 692 */
						obj_t BgL_res3320z00_5829;

						{	/* SawBbv/bbv-types.scm 692 */
							long BgL_objzd2classzd2numz00_5800;

							BgL_objzd2classzd2numz00_5800 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_162));
							{	/* SawBbv/bbv-types.scm 692 */
								obj_t BgL_arg1825z00_5801;

								BgL_arg1825z00_5801 =
									PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
									(int) (((long) 1)));
								{	/* SawBbv/bbv-types.scm 692 */
									int BgL_offsetz00_5804;

									BgL_offsetz00_5804 = (int) (BgL_objzd2classzd2numz00_5800);
									{	/* SawBbv/bbv-types.scm 692 */
										long BgL_offsetz00_5805;

										BgL_offsetz00_5805 =
											((long) (BgL_offsetz00_5804) - OBJECT_TYPE);
										{	/* SawBbv/bbv-types.scm 692 */
											long BgL_modz00_5806;

											BgL_modz00_5806 =
												(BgL_offsetz00_5805 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawBbv/bbv-types.scm 692 */
												long BgL_restz00_5808;

												BgL_restz00_5808 =
													(BgL_offsetz00_5805 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawBbv/bbv-types.scm 692 */

													{	/* SawBbv/bbv-types.scm 692 */
														obj_t BgL_bucketz00_5810;

														BgL_bucketz00_5810 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_5801), BgL_modz00_5806);
														BgL_res3320z00_5829 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5810), BgL_restz00_5808);
						}}}}}}}}
						BgL_method1833z00_3105 = BgL_res3320z00_5829;
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1833z00_3105)) (BgL_method1833z00_3105,
						BgL_oz00_162, BEOA);
				}
			else
				{	/* SawBbv/bbv-types.scm 692 */
					obj_t BgL_fun2465z00_3106;

					BgL_fun2465z00_3106 =
						PROCEDURE_REF(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
						(int) (((long) 0)));
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun2465z00_3106)) (BgL_fun2465z00_3106,
						BgL_oz00_162, BEOA);
				}
		}

	}



/* &bbv-hash */
	obj_t BGl_z62bbvzd2hashzb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7555,
		obj_t BgL_oz00_7556)
	{
		{	/* SawBbv/bbv-types.scm 692 */
			return BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_oz00_7556);
		}

	}



/* bbv-equal? */
	BGL_EXPORTED_DEF bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t
		BgL_xz00_188, obj_t BgL_yz00_189)
	{
		{	/* SawBbv/bbv-types.scm 895 */
			if (BGL_OBJECTP(BgL_xz00_188))
				{	/* SawBbv/bbv-types.scm 895 */
					obj_t BgL_method1885z00_3108;

					{	/* SawBbv/bbv-types.scm 895 */
						obj_t BgL_res3326z00_5861;

						{	/* SawBbv/bbv-types.scm 895 */
							long BgL_objzd2classzd2numz00_5832;

							BgL_objzd2classzd2numz00_5832 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_xz00_188));
							{	/* SawBbv/bbv-types.scm 895 */
								obj_t BgL_arg1825z00_5833;

								BgL_arg1825z00_5833 =
									PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
									(int) (((long) 1)));
								{	/* SawBbv/bbv-types.scm 895 */
									int BgL_offsetz00_5836;

									BgL_offsetz00_5836 = (int) (BgL_objzd2classzd2numz00_5832);
									{	/* SawBbv/bbv-types.scm 895 */
										long BgL_offsetz00_5837;

										BgL_offsetz00_5837 =
											((long) (BgL_offsetz00_5836) - OBJECT_TYPE);
										{	/* SawBbv/bbv-types.scm 895 */
											long BgL_modz00_5838;

											BgL_modz00_5838 =
												(BgL_offsetz00_5837 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawBbv/bbv-types.scm 895 */
												long BgL_restz00_5840;

												BgL_restz00_5840 =
													(BgL_offsetz00_5837 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawBbv/bbv-types.scm 895 */

													{	/* SawBbv/bbv-types.scm 895 */
														obj_t BgL_bucketz00_5842;

														BgL_bucketz00_5842 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_5833), BgL_modz00_5838);
														BgL_res3326z00_5861 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5842), BgL_restz00_5840);
						}}}}}}}}
						BgL_method1885z00_3108 = BgL_res3326z00_5861;
					}
					return
						CBOOL(
						((obj_t(*)(obj_t, obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1885z00_3108)) (BgL_method1885z00_3108,
							BgL_xz00_188, BgL_yz00_189, BEOA));
				}
			else
				{	/* SawBbv/bbv-types.scm 895 */
					obj_t BgL_fun2467z00_3109;

					BgL_fun2467z00_3109 =
						PROCEDURE_REF(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
						(int) (((long) 0)));
					return
						CBOOL(
						((obj_t(*)(obj_t, obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_fun2467z00_3109)) (BgL_fun2467z00_3109,
							BgL_xz00_188, BgL_yz00_189, BEOA));
				}
		}

	}



/* &bbv-equal? */
	obj_t BGl_z62bbvzd2equalzf3z43zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7557,
		obj_t BgL_xz00_7558, obj_t BgL_yz00_7559)
	{
		{	/* SawBbv/bbv-types.scm 895 */
			return
				BBOOL(BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_xz00_7558,
					BgL_yz00_7559));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2printzd2envz00zz__objectz00,
				BGl_blockVz00zzsaw_bbvzd2typeszd2, BGl_proc3461z00zzsaw_bbvzd2typeszd2,
				BGl_string3462z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2printzd2envz00zz__objectz00,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3463z00zzsaw_bbvzd2typeszd2,
				BGl_string3462z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2,
				BGl_proc3464z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2,
				BGl_proc3466z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3467z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3468z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_blockSz00zzsaw_bbvzd2typeszd2,
				BGl_proc3469z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2,
				BGl_proc3470z00zzsaw_bbvzd2typeszd2,
				BGl_string3465z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3471z00zzsaw_bbvzd2typeszd2,
				BGl_string3472z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockVz00zzsaw_bbvzd2typeszd2,
				BGl_proc3473z00zzsaw_bbvzd2typeszd2,
				BGl_string3472z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockSz00zzsaw_bbvzd2typeszd2,
				BGl_proc3474z00zzsaw_bbvzd2typeszd2,
				BGl_string3472z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_typez00zztype_typez00,
				BGl_proc3475z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2, BGl_atomz00zzast_nodez00,
				BGl_proc3477z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3478z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3479z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3480z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3481z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc3482z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3483z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3484z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3485z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3486z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3487z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3488z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3489z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3490z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3491z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3492z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3493z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3494z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3495z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3496z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3497z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3498z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3499z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3500z00zzsaw_bbvzd2typeszd2,
				BGl_string3476z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_atomz00zzast_nodez00, BGl_proc3501z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_blockSz00zzsaw_bbvzd2typeszd2, BGl_proc3503z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2,
				BGl_proc3504z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_regz00zzsaw_defsz00, BGl_proc3505z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_funz00zzsaw_defsz00, BGl_proc3506z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_selectz00zzsaw_defsz00, BGl_proc3507z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc3508z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc3509z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc3510z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc3511z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3512z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc3513z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc3514z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc3515z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc3516z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc3517z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc3518z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc3519z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_vsetz00zzsaw_defsz00, BGl_proc3520z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc3521z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc3522z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc3523z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_pragmaz00zzsaw_defsz00, BGl_proc3524z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc3525z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc3526z00zzsaw_bbvzd2typeszd2,
				BGl_string3502z00zzsaw_bbvzd2typeszd2);
		}

	}



/* &bbv-equal?-rtl_cast_1935 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast_1935z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7626, obj_t BgL_xz00_7627, obj_t BgL_yz00_7628)
	{
		{	/* SawBbv/bbv-types.scm 1084 */
			{	/* SawBbv/bbv-types.scm 1085 */
				bool_t BgL_tmpz00_11825;

				{	/* SawBbv/bbv-types.scm 1085 */
					bool_t BgL_test3980z00_11826;

					{	/* SawBbv/bbv-types.scm 1085 */
						obj_t BgL_classz00_8062;

						BgL_classz00_8062 = BGl_rtl_cast_nullz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7628))
							{	/* SawBbv/bbv-types.scm 1085 */
								BgL_objectz00_bglt BgL_arg1820z00_8063;

								BgL_arg1820z00_8063 = (BgL_objectz00_bglt) (BgL_yz00_7628);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1085 */
										long BgL_idxz00_8064;

										BgL_idxz00_8064 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8063);
										BgL_test3980z00_11826 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8064 + ((long) 2))) == BgL_classz00_8062);
									}
								else
									{	/* SawBbv/bbv-types.scm 1085 */
										bool_t BgL_res3351z00_8067;

										{	/* SawBbv/bbv-types.scm 1085 */
											obj_t BgL_oclassz00_8068;

											{	/* SawBbv/bbv-types.scm 1085 */
												long BgL_arg1828z00_8069;

												{	/* SawBbv/bbv-types.scm 1085 */
													long BgL_arg1829z00_8070;

													BgL_arg1829z00_8070 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8063);
													BgL_arg1828z00_8069 =
														(BgL_arg1829z00_8070 - OBJECT_TYPE);
												}
												BgL_oclassz00_8068 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8069);
											}
											{	/* SawBbv/bbv-types.scm 1085 */
												bool_t BgL__ortest_1111z00_8071;

												BgL__ortest_1111z00_8071 =
													(BgL_classz00_8062 == BgL_oclassz00_8068);
												if (BgL__ortest_1111z00_8071)
													{	/* SawBbv/bbv-types.scm 1085 */
														BgL_res3351z00_8067 = BgL__ortest_1111z00_8071;
													}
												else
													{	/* SawBbv/bbv-types.scm 1085 */
														long BgL_odepthz00_8072;

														BgL_odepthz00_8072 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8068);
														if ((((long) 2) < BgL_odepthz00_8072))
															{	/* SawBbv/bbv-types.scm 1085 */
																obj_t BgL_arg1816z00_8073;

																BgL_arg1816z00_8073 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8068,
																	((long) 2));
																BgL_res3351z00_8067 =
																	(BgL_arg1816z00_8073 == BgL_classz00_8062);
															}
														else
															{	/* SawBbv/bbv-types.scm 1085 */
																BgL_res3351z00_8067 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3980z00_11826 = BgL_res3351z00_8067;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1085 */
								BgL_test3980z00_11826 = ((bool_t) 0);
							}
					}
					if (BgL_test3980z00_11826)
						{	/* SawBbv/bbv-types.scm 1086 */
							BgL_typez00_bglt BgL_arg3106z00_8074;
							BgL_typez00_bglt BgL_arg3107z00_8075;

							BgL_arg3106z00_8074 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_xz00_7627)))->BgL_typez00);
							BgL_arg3107z00_8075 =
								(((BgL_rtl_cast_nullz00_bglt) COBJECT(
										((BgL_rtl_cast_nullz00_bglt) BgL_yz00_7628)))->BgL_typez00);
							BgL_tmpz00_11825 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3106z00_8074), ((obj_t) BgL_arg3107z00_8075));
						}
					else
						{	/* SawBbv/bbv-types.scm 1085 */
							BgL_tmpz00_11825 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_11825);
			}
		}

	}



/* &bbv-equal?-rtl_cast1933 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_cast1933z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7629, obj_t BgL_xz00_7630, obj_t BgL_yz00_7631)
	{
		{	/* SawBbv/bbv-types.scm 1076 */
			{	/* SawBbv/bbv-types.scm 1077 */
				bool_t BgL_tmpz00_11854;

				{	/* SawBbv/bbv-types.scm 1077 */
					bool_t BgL_test3985z00_11855;

					{	/* SawBbv/bbv-types.scm 1077 */
						obj_t BgL_classz00_8077;

						BgL_classz00_8077 = BGl_rtl_castz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7631))
							{	/* SawBbv/bbv-types.scm 1077 */
								BgL_objectz00_bglt BgL_arg1820z00_8078;

								BgL_arg1820z00_8078 = (BgL_objectz00_bglt) (BgL_yz00_7631);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1077 */
										long BgL_idxz00_8079;

										BgL_idxz00_8079 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8078);
										BgL_test3985z00_11855 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8079 + ((long) 2))) == BgL_classz00_8077);
									}
								else
									{	/* SawBbv/bbv-types.scm 1077 */
										bool_t BgL_res3350z00_8082;

										{	/* SawBbv/bbv-types.scm 1077 */
											obj_t BgL_oclassz00_8083;

											{	/* SawBbv/bbv-types.scm 1077 */
												long BgL_arg1828z00_8084;

												{	/* SawBbv/bbv-types.scm 1077 */
													long BgL_arg1829z00_8085;

													BgL_arg1829z00_8085 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8078);
													BgL_arg1828z00_8084 =
														(BgL_arg1829z00_8085 - OBJECT_TYPE);
												}
												BgL_oclassz00_8083 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8084);
											}
											{	/* SawBbv/bbv-types.scm 1077 */
												bool_t BgL__ortest_1111z00_8086;

												BgL__ortest_1111z00_8086 =
													(BgL_classz00_8077 == BgL_oclassz00_8083);
												if (BgL__ortest_1111z00_8086)
													{	/* SawBbv/bbv-types.scm 1077 */
														BgL_res3350z00_8082 = BgL__ortest_1111z00_8086;
													}
												else
													{	/* SawBbv/bbv-types.scm 1077 */
														long BgL_odepthz00_8087;

														BgL_odepthz00_8087 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8083);
														if ((((long) 2) < BgL_odepthz00_8087))
															{	/* SawBbv/bbv-types.scm 1077 */
																obj_t BgL_arg1816z00_8088;

																BgL_arg1816z00_8088 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8083,
																	((long) 2));
																BgL_res3350z00_8082 =
																	(BgL_arg1816z00_8088 == BgL_classz00_8077);
															}
														else
															{	/* SawBbv/bbv-types.scm 1077 */
																BgL_res3350z00_8082 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3985z00_11855 = BgL_res3350z00_8082;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1077 */
								BgL_test3985z00_11855 = ((bool_t) 0);
							}
					}
					if (BgL_test3985z00_11855)
						{	/* SawBbv/bbv-types.scm 1078 */
							bool_t BgL_test3990z00_11875;

							{	/* SawBbv/bbv-types.scm 1078 */
								BgL_typez00_bglt BgL_arg3101z00_8089;
								BgL_typez00_bglt BgL_arg3102z00_8090;

								BgL_arg3101z00_8089 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_xz00_7630)))->BgL_totypez00);
								BgL_arg3102z00_8090 =
									(((BgL_rtl_castz00_bglt) COBJECT(
											((BgL_rtl_castz00_bglt) BgL_yz00_7631)))->BgL_totypez00);
								BgL_test3990z00_11875 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3101z00_8089), ((obj_t) BgL_arg3102z00_8090));
							}
							if (BgL_test3990z00_11875)
								{	/* SawBbv/bbv-types.scm 1079 */
									BgL_typez00_bglt BgL_arg3097z00_8091;
									BgL_typez00_bglt BgL_arg3100z00_8092;

									BgL_arg3097z00_8091 =
										(((BgL_rtl_castz00_bglt) COBJECT(
												((BgL_rtl_castz00_bglt) BgL_xz00_7630)))->
										BgL_fromtypez00);
									BgL_arg3100z00_8092 =
										(((BgL_rtl_castz00_bglt) COBJECT(((BgL_rtl_castz00_bglt)
													BgL_yz00_7631)))->BgL_fromtypez00);
									BgL_tmpz00_11854 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
											BgL_arg3097z00_8091), ((obj_t) BgL_arg3100z00_8092));
								}
							else
								{	/* SawBbv/bbv-types.scm 1078 */
									BgL_tmpz00_11854 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1077 */
							BgL_tmpz00_11854 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_11854);
			}
		}

	}



/* &bbv-equal?-rtl_pragm1931 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_pragm1931z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7632, obj_t BgL_xz00_7633, obj_t BgL_yz00_7634)
	{
		{	/* SawBbv/bbv-types.scm 1069 */
			{	/* SawBbv/bbv-types.scm 1070 */
				bool_t BgL_tmpz00_11891;

				{	/* SawBbv/bbv-types.scm 1070 */
					bool_t BgL_test3991z00_11892;

					{	/* SawBbv/bbv-types.scm 1070 */
						obj_t BgL_classz00_8094;

						BgL_classz00_8094 = BGl_rtl_pragmaz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7634))
							{	/* SawBbv/bbv-types.scm 1070 */
								BgL_objectz00_bglt BgL_arg1820z00_8095;

								BgL_arg1820z00_8095 = (BgL_objectz00_bglt) (BgL_yz00_7634);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1070 */
										long BgL_idxz00_8096;

										BgL_idxz00_8096 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8095);
										BgL_test3991z00_11892 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8096 + ((long) 2))) == BgL_classz00_8094);
									}
								else
									{	/* SawBbv/bbv-types.scm 1070 */
										bool_t BgL_res3349z00_8099;

										{	/* SawBbv/bbv-types.scm 1070 */
											obj_t BgL_oclassz00_8100;

											{	/* SawBbv/bbv-types.scm 1070 */
												long BgL_arg1828z00_8101;

												{	/* SawBbv/bbv-types.scm 1070 */
													long BgL_arg1829z00_8102;

													BgL_arg1829z00_8102 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8095);
													BgL_arg1828z00_8101 =
														(BgL_arg1829z00_8102 - OBJECT_TYPE);
												}
												BgL_oclassz00_8100 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8101);
											}
											{	/* SawBbv/bbv-types.scm 1070 */
												bool_t BgL__ortest_1111z00_8103;

												BgL__ortest_1111z00_8103 =
													(BgL_classz00_8094 == BgL_oclassz00_8100);
												if (BgL__ortest_1111z00_8103)
													{	/* SawBbv/bbv-types.scm 1070 */
														BgL_res3349z00_8099 = BgL__ortest_1111z00_8103;
													}
												else
													{	/* SawBbv/bbv-types.scm 1070 */
														long BgL_odepthz00_8104;

														BgL_odepthz00_8104 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8100);
														if ((((long) 2) < BgL_odepthz00_8104))
															{	/* SawBbv/bbv-types.scm 1070 */
																obj_t BgL_arg1816z00_8105;

																BgL_arg1816z00_8105 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8100,
																	((long) 2));
																BgL_res3349z00_8099 =
																	(BgL_arg1816z00_8105 == BgL_classz00_8094);
															}
														else
															{	/* SawBbv/bbv-types.scm 1070 */
																BgL_res3349z00_8099 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3991z00_11892 = BgL_res3349z00_8099;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1070 */
								BgL_test3991z00_11892 = ((bool_t) 0);
							}
					}
					if (BgL_test3991z00_11892)
						{	/* SawBbv/bbv-types.scm 1071 */
							obj_t BgL_arg3094z00_8106;
							obj_t BgL_arg3095z00_8107;

							BgL_arg3094z00_8106 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_xz00_7633)))->BgL_formatz00);
							BgL_arg3095z00_8107 =
								(((BgL_rtl_pragmaz00_bglt) COBJECT(
										((BgL_rtl_pragmaz00_bglt) BgL_yz00_7634)))->BgL_formatz00);
							{	/* SawBbv/bbv-types.scm 1071 */
								long BgL_l1z00_8108;

								BgL_l1z00_8108 = STRING_LENGTH(BgL_arg3094z00_8106);
								if ((BgL_l1z00_8108 == STRING_LENGTH(BgL_arg3095z00_8107)))
									{	/* SawBbv/bbv-types.scm 1071 */
										int BgL_arg1290z00_8109;

										{	/* SawBbv/bbv-types.scm 1071 */
											char *BgL_auxz00_11922;
											char *BgL_tmpz00_11920;

											BgL_auxz00_11922 = BSTRING_TO_STRING(BgL_arg3095z00_8107);
											BgL_tmpz00_11920 = BSTRING_TO_STRING(BgL_arg3094z00_8106);
											BgL_arg1290z00_8109 =
												memcmp(BgL_tmpz00_11920, BgL_auxz00_11922,
												BgL_l1z00_8108);
										}
										BgL_tmpz00_11891 =
											((long) (BgL_arg1290z00_8109) == ((long) 0));
									}
								else
									{	/* SawBbv/bbv-types.scm 1071 */
										BgL_tmpz00_11891 = ((bool_t) 0);
									}
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1070 */
							BgL_tmpz00_11891 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_11891);
			}
		}

	}



/* &bbv-equal?-rtl_light1929 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_light1929z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7635, obj_t BgL_xz00_7636, obj_t BgL_yz00_7637)
	{
		{	/* SawBbv/bbv-types.scm 1063 */
			return
				BGl_errorz00zz__errorz00(BGl_string3502z00zzsaw_bbvzd2typeszd2,
				BGl_string3527z00zzsaw_bbvzd2typeszd2,
				((obj_t) ((BgL_rtl_lightfuncallz00_bglt) BgL_xz00_7636)));
		}

	}



/* &bbv-equal?-rtl_call1927 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_call1927z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7638, obj_t BgL_xz00_7639, obj_t BgL_yz00_7640)
	{
		{	/* SawBbv/bbv-types.scm 1056 */
			{	/* SawBbv/bbv-types.scm 1057 */
				bool_t BgL_tmpz00_11931;

				{	/* SawBbv/bbv-types.scm 1057 */
					bool_t BgL_test3997z00_11932;

					{	/* SawBbv/bbv-types.scm 1057 */
						obj_t BgL_classz00_8112;

						BgL_classz00_8112 = BGl_rtl_callz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7640))
							{	/* SawBbv/bbv-types.scm 1057 */
								BgL_objectz00_bglt BgL_arg1820z00_8113;

								BgL_arg1820z00_8113 = (BgL_objectz00_bglt) (BgL_yz00_7640);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1057 */
										long BgL_idxz00_8114;

										BgL_idxz00_8114 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8113);
										BgL_test3997z00_11932 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8114 + ((long) 2))) == BgL_classz00_8112);
									}
								else
									{	/* SawBbv/bbv-types.scm 1057 */
										bool_t BgL_res3348z00_8117;

										{	/* SawBbv/bbv-types.scm 1057 */
											obj_t BgL_oclassz00_8118;

											{	/* SawBbv/bbv-types.scm 1057 */
												long BgL_arg1828z00_8119;

												{	/* SawBbv/bbv-types.scm 1057 */
													long BgL_arg1829z00_8120;

													BgL_arg1829z00_8120 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8113);
													BgL_arg1828z00_8119 =
														(BgL_arg1829z00_8120 - OBJECT_TYPE);
												}
												BgL_oclassz00_8118 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8119);
											}
											{	/* SawBbv/bbv-types.scm 1057 */
												bool_t BgL__ortest_1111z00_8121;

												BgL__ortest_1111z00_8121 =
													(BgL_classz00_8112 == BgL_oclassz00_8118);
												if (BgL__ortest_1111z00_8121)
													{	/* SawBbv/bbv-types.scm 1057 */
														BgL_res3348z00_8117 = BgL__ortest_1111z00_8121;
													}
												else
													{	/* SawBbv/bbv-types.scm 1057 */
														long BgL_odepthz00_8122;

														BgL_odepthz00_8122 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8118);
														if ((((long) 2) < BgL_odepthz00_8122))
															{	/* SawBbv/bbv-types.scm 1057 */
																obj_t BgL_arg1816z00_8123;

																BgL_arg1816z00_8123 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8118,
																	((long) 2));
																BgL_res3348z00_8117 =
																	(BgL_arg1816z00_8123 == BgL_classz00_8112);
															}
														else
															{	/* SawBbv/bbv-types.scm 1057 */
																BgL_res3348z00_8117 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3997z00_11932 = BgL_res3348z00_8117;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1057 */
								BgL_test3997z00_11932 = ((bool_t) 0);
							}
					}
					if (BgL_test3997z00_11932)
						{	/* SawBbv/bbv-types.scm 1058 */
							BgL_globalz00_bglt BgL_arg3089z00_8124;
							BgL_globalz00_bglt BgL_arg3090z00_8125;

							BgL_arg3089z00_8124 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_xz00_7639)))->BgL_varz00);
							BgL_arg3090z00_8125 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_yz00_7640)))->BgL_varz00);
							BgL_tmpz00_11931 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3089z00_8124), ((obj_t) BgL_arg3090z00_8125));
						}
					else
						{	/* SawBbv/bbv-types.scm 1057 */
							BgL_tmpz00_11931 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_11931);
			}
		}

	}



/* &bbv-equal?-rtl_new1925 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_new1925z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7641, obj_t BgL_xz00_7642, obj_t BgL_yz00_7643)
	{
		{	/* SawBbv/bbv-types.scm 1050 */
			return
				BGl_errorz00zz__errorz00(BGl_string3502z00zzsaw_bbvzd2typeszd2,
				BGl_string3527z00zzsaw_bbvzd2typeszd2,
				((obj_t) ((BgL_rtl_newz00_bglt) BgL_xz00_7642)));
		}

	}



/* &bbv-equal?-rtl_vset1923 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vset1923z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7644, obj_t BgL_xz00_7645, obj_t BgL_yz00_7646)
	{
		{	/* SawBbv/bbv-types.scm 1042 */
			{	/* SawBbv/bbv-types.scm 1043 */
				bool_t BgL_tmpz00_11963;

				{	/* SawBbv/bbv-types.scm 1043 */
					bool_t BgL_test4002z00_11964;

					{	/* SawBbv/bbv-types.scm 1043 */
						obj_t BgL_classz00_8128;

						BgL_classz00_8128 = BGl_rtl_vsetz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7646))
							{	/* SawBbv/bbv-types.scm 1043 */
								BgL_objectz00_bglt BgL_arg1820z00_8129;

								BgL_arg1820z00_8129 = (BgL_objectz00_bglt) (BgL_yz00_7646);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1043 */
										long BgL_idxz00_8130;

										BgL_idxz00_8130 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8129);
										BgL_test4002z00_11964 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8130 + ((long) 3))) == BgL_classz00_8128);
									}
								else
									{	/* SawBbv/bbv-types.scm 1043 */
										bool_t BgL_res3347z00_8133;

										{	/* SawBbv/bbv-types.scm 1043 */
											obj_t BgL_oclassz00_8134;

											{	/* SawBbv/bbv-types.scm 1043 */
												long BgL_arg1828z00_8135;

												{	/* SawBbv/bbv-types.scm 1043 */
													long BgL_arg1829z00_8136;

													BgL_arg1829z00_8136 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8129);
													BgL_arg1828z00_8135 =
														(BgL_arg1829z00_8136 - OBJECT_TYPE);
												}
												BgL_oclassz00_8134 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8135);
											}
											{	/* SawBbv/bbv-types.scm 1043 */
												bool_t BgL__ortest_1111z00_8137;

												BgL__ortest_1111z00_8137 =
													(BgL_classz00_8128 == BgL_oclassz00_8134);
												if (BgL__ortest_1111z00_8137)
													{	/* SawBbv/bbv-types.scm 1043 */
														BgL_res3347z00_8133 = BgL__ortest_1111z00_8137;
													}
												else
													{	/* SawBbv/bbv-types.scm 1043 */
														long BgL_odepthz00_8138;

														BgL_odepthz00_8138 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8134);
														if ((((long) 3) < BgL_odepthz00_8138))
															{	/* SawBbv/bbv-types.scm 1043 */
																obj_t BgL_arg1816z00_8139;

																BgL_arg1816z00_8139 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8134,
																	((long) 3));
																BgL_res3347z00_8133 =
																	(BgL_arg1816z00_8139 == BgL_classz00_8128);
															}
														else
															{	/* SawBbv/bbv-types.scm 1043 */
																BgL_res3347z00_8133 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4002z00_11964 = BgL_res3347z00_8133;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1043 */
								BgL_test4002z00_11964 = ((bool_t) 0);
							}
					}
					if (BgL_test4002z00_11964)
						{	/* SawBbv/bbv-types.scm 1044 */
							bool_t BgL_test4007z00_11984;

							{	/* SawBbv/bbv-types.scm 1044 */
								BgL_typez00_bglt BgL_arg3086z00_8140;
								BgL_typez00_bglt BgL_arg3087z00_8141;

								BgL_arg3086z00_8140 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_xz00_7645)))->BgL_typez00);
								BgL_arg3087z00_8141 =
									(((BgL_rtl_vsetz00_bglt) COBJECT(
											((BgL_rtl_vsetz00_bglt) BgL_yz00_7646)))->BgL_typez00);
								BgL_test4007z00_11984 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3086z00_8140), ((obj_t) BgL_arg3087z00_8141));
							}
							if (BgL_test4007z00_11984)
								{	/* SawBbv/bbv-types.scm 1045 */
									BgL_typez00_bglt BgL_arg3084z00_8142;
									BgL_typez00_bglt BgL_arg3085z00_8143;

									BgL_arg3084z00_8142 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_xz00_7645)))->BgL_vtypez00);
									BgL_arg3085z00_8143 =
										(((BgL_rtl_vsetz00_bglt) COBJECT(
												((BgL_rtl_vsetz00_bglt) BgL_yz00_7646)))->BgL_vtypez00);
									BgL_tmpz00_11963 =
										BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg3084z00_8142),
										((obj_t) BgL_arg3085z00_8143));
								}
							else
								{	/* SawBbv/bbv-types.scm 1044 */
									BgL_tmpz00_11963 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1043 */
							BgL_tmpz00_11963 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_11963);
			}
		}

	}



/* &bbv-equal?-rtl_setfi1921 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_setfi1921z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7647, obj_t BgL_xz00_7648, obj_t BgL_yz00_7649)
	{
		{	/* SawBbv/bbv-types.scm 1033 */
			{	/* SawBbv/bbv-types.scm 1034 */
				bool_t BgL_tmpz00_12000;

				{	/* SawBbv/bbv-types.scm 1034 */
					bool_t BgL_test4008z00_12001;

					{	/* SawBbv/bbv-types.scm 1034 */
						obj_t BgL_classz00_8145;

						BgL_classz00_8145 = BGl_rtl_setfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7649))
							{	/* SawBbv/bbv-types.scm 1034 */
								BgL_objectz00_bglt BgL_arg1820z00_8146;

								BgL_arg1820z00_8146 = (BgL_objectz00_bglt) (BgL_yz00_7649);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1034 */
										long BgL_idxz00_8147;

										BgL_idxz00_8147 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8146);
										BgL_test4008z00_12001 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8147 + ((long) 3))) == BgL_classz00_8145);
									}
								else
									{	/* SawBbv/bbv-types.scm 1034 */
										bool_t BgL_res3346z00_8150;

										{	/* SawBbv/bbv-types.scm 1034 */
											obj_t BgL_oclassz00_8151;

											{	/* SawBbv/bbv-types.scm 1034 */
												long BgL_arg1828z00_8152;

												{	/* SawBbv/bbv-types.scm 1034 */
													long BgL_arg1829z00_8153;

													BgL_arg1829z00_8153 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8146);
													BgL_arg1828z00_8152 =
														(BgL_arg1829z00_8153 - OBJECT_TYPE);
												}
												BgL_oclassz00_8151 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8152);
											}
											{	/* SawBbv/bbv-types.scm 1034 */
												bool_t BgL__ortest_1111z00_8154;

												BgL__ortest_1111z00_8154 =
													(BgL_classz00_8145 == BgL_oclassz00_8151);
												if (BgL__ortest_1111z00_8154)
													{	/* SawBbv/bbv-types.scm 1034 */
														BgL_res3346z00_8150 = BgL__ortest_1111z00_8154;
													}
												else
													{	/* SawBbv/bbv-types.scm 1034 */
														long BgL_odepthz00_8155;

														BgL_odepthz00_8155 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8151);
														if ((((long) 3) < BgL_odepthz00_8155))
															{	/* SawBbv/bbv-types.scm 1034 */
																obj_t BgL_arg1816z00_8156;

																BgL_arg1816z00_8156 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8151,
																	((long) 3));
																BgL_res3346z00_8150 =
																	(BgL_arg1816z00_8156 == BgL_classz00_8145);
															}
														else
															{	/* SawBbv/bbv-types.scm 1034 */
																BgL_res3346z00_8150 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4008z00_12001 = BgL_res3346z00_8150;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1034 */
								BgL_test4008z00_12001 = ((bool_t) 0);
							}
					}
					if (BgL_test4008z00_12001)
						{	/* SawBbv/bbv-types.scm 1035 */
							bool_t BgL_test4013z00_12021;

							{	/* SawBbv/bbv-types.scm 1035 */
								obj_t BgL_arg3079z00_8157;
								obj_t BgL_arg3080z00_8158;

								BgL_arg3079z00_8157 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_xz00_7648)))->
									BgL_namez00);
								BgL_arg3080z00_8158 =
									(((BgL_rtl_setfieldz00_bglt)
										COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_7649)))->
									BgL_namez00);
								{	/* SawBbv/bbv-types.scm 1035 */
									long BgL_l1z00_8159;

									BgL_l1z00_8159 = STRING_LENGTH(BgL_arg3079z00_8157);
									if ((BgL_l1z00_8159 == STRING_LENGTH(BgL_arg3080z00_8158)))
										{	/* SawBbv/bbv-types.scm 1035 */
											int BgL_arg1290z00_8160;

											{	/* SawBbv/bbv-types.scm 1035 */
												char *BgL_auxz00_12032;
												char *BgL_tmpz00_12030;

												BgL_auxz00_12032 =
													BSTRING_TO_STRING(BgL_arg3080z00_8158);
												BgL_tmpz00_12030 =
													BSTRING_TO_STRING(BgL_arg3079z00_8157);
												BgL_arg1290z00_8160 =
													memcmp(BgL_tmpz00_12030, BgL_auxz00_12032,
													BgL_l1z00_8159);
											}
											BgL_test4013z00_12021 =
												((long) (BgL_arg1290z00_8160) == ((long) 0));
										}
									else
										{	/* SawBbv/bbv-types.scm 1035 */
											BgL_test4013z00_12021 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4013z00_12021)
								{	/* SawBbv/bbv-types.scm 1036 */
									bool_t BgL_test4015z00_12037;

									{	/* SawBbv/bbv-types.scm 1036 */
										BgL_typez00_bglt BgL_arg3076z00_8161;
										BgL_typez00_bglt BgL_arg3078z00_8162;

										BgL_arg3076z00_8161 =
											(((BgL_rtl_setfieldz00_bglt) COBJECT(
													((BgL_rtl_setfieldz00_bglt) BgL_xz00_7648)))->
											BgL_objtypez00);
										BgL_arg3078z00_8162 =
											(((BgL_rtl_setfieldz00_bglt)
												COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_7649)))->
											BgL_objtypez00);
										BgL_test4015z00_12037 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg3076z00_8161), ((obj_t) BgL_arg3078z00_8162));
									}
									if (BgL_test4015z00_12037)
										{	/* SawBbv/bbv-types.scm 1037 */
											BgL_typez00_bglt BgL_arg3070z00_8163;
											BgL_typez00_bglt BgL_arg3074z00_8164;

											BgL_arg3070z00_8163 =
												(((BgL_rtl_setfieldz00_bglt) COBJECT(
														((BgL_rtl_setfieldz00_bglt) BgL_xz00_7648)))->
												BgL_typez00);
											BgL_arg3074z00_8164 =
												(((BgL_rtl_setfieldz00_bglt)
													COBJECT(((BgL_rtl_setfieldz00_bglt) BgL_yz00_7649)))->
												BgL_typez00);
											BgL_tmpz00_12000 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg3070z00_8163), ((obj_t) BgL_arg3074z00_8164));
										}
									else
										{	/* SawBbv/bbv-types.scm 1036 */
											BgL_tmpz00_12000 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 1035 */
									BgL_tmpz00_12000 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 1034 */
							BgL_tmpz00_12000 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12000);
			}
		}

	}



/* &bbv-equal?-rtl_store1919 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_store1919z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7650, obj_t BgL_xz00_7651, obj_t BgL_yz00_7652)
	{
		{	/* SawBbv/bbv-types.scm 1026 */
			{	/* SawBbv/bbv-types.scm 1027 */
				bool_t BgL_tmpz00_12053;

				{	/* SawBbv/bbv-types.scm 1027 */
					bool_t BgL_test4016z00_12054;

					{	/* SawBbv/bbv-types.scm 1027 */
						obj_t BgL_classz00_8166;

						BgL_classz00_8166 = BGl_rtl_storegz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7652))
							{	/* SawBbv/bbv-types.scm 1027 */
								BgL_objectz00_bglt BgL_arg1820z00_8167;

								BgL_arg1820z00_8167 = (BgL_objectz00_bglt) (BgL_yz00_7652);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1027 */
										long BgL_idxz00_8168;

										BgL_idxz00_8168 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8167);
										BgL_test4016z00_12054 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8168 + ((long) 3))) == BgL_classz00_8166);
									}
								else
									{	/* SawBbv/bbv-types.scm 1027 */
										bool_t BgL_res3345z00_8171;

										{	/* SawBbv/bbv-types.scm 1027 */
											obj_t BgL_oclassz00_8172;

											{	/* SawBbv/bbv-types.scm 1027 */
												long BgL_arg1828z00_8173;

												{	/* SawBbv/bbv-types.scm 1027 */
													long BgL_arg1829z00_8174;

													BgL_arg1829z00_8174 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8167);
													BgL_arg1828z00_8173 =
														(BgL_arg1829z00_8174 - OBJECT_TYPE);
												}
												BgL_oclassz00_8172 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8173);
											}
											{	/* SawBbv/bbv-types.scm 1027 */
												bool_t BgL__ortest_1111z00_8175;

												BgL__ortest_1111z00_8175 =
													(BgL_classz00_8166 == BgL_oclassz00_8172);
												if (BgL__ortest_1111z00_8175)
													{	/* SawBbv/bbv-types.scm 1027 */
														BgL_res3345z00_8171 = BgL__ortest_1111z00_8175;
													}
												else
													{	/* SawBbv/bbv-types.scm 1027 */
														long BgL_odepthz00_8176;

														BgL_odepthz00_8176 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8172);
														if ((((long) 3) < BgL_odepthz00_8176))
															{	/* SawBbv/bbv-types.scm 1027 */
																obj_t BgL_arg1816z00_8177;

																BgL_arg1816z00_8177 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8172,
																	((long) 3));
																BgL_res3345z00_8171 =
																	(BgL_arg1816z00_8177 == BgL_classz00_8166);
															}
														else
															{	/* SawBbv/bbv-types.scm 1027 */
																BgL_res3345z00_8171 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4016z00_12054 = BgL_res3345z00_8171;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1027 */
								BgL_test4016z00_12054 = ((bool_t) 0);
							}
					}
					if (BgL_test4016z00_12054)
						{	/* SawBbv/bbv-types.scm 1028 */
							BgL_globalz00_bglt BgL_arg3065z00_8178;
							BgL_globalz00_bglt BgL_arg3068z00_8179;

							BgL_arg3065z00_8178 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_xz00_7651)))->BgL_varz00);
							BgL_arg3068z00_8179 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_yz00_7652)))->BgL_varz00);
							BgL_tmpz00_12053 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3065z00_8178), ((obj_t) BgL_arg3068z00_8179));
						}
					else
						{	/* SawBbv/bbv-types.scm 1027 */
							BgL_tmpz00_12053 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12053);
			}
		}

	}



/* &bbv-equal?-rtl_insta1917 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_insta1917z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7653, obj_t BgL_xz00_7654, obj_t BgL_yz00_7655)
	{
		{	/* SawBbv/bbv-types.scm 1019 */
			{	/* SawBbv/bbv-types.scm 1020 */
				bool_t BgL_tmpz00_12082;

				{	/* SawBbv/bbv-types.scm 1020 */
					bool_t BgL_test4021z00_12083;

					{	/* SawBbv/bbv-types.scm 1020 */
						obj_t BgL_classz00_8181;

						BgL_classz00_8181 = BGl_rtl_instanceofz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7655))
							{	/* SawBbv/bbv-types.scm 1020 */
								BgL_objectz00_bglt BgL_arg1820z00_8182;

								BgL_arg1820z00_8182 = (BgL_objectz00_bglt) (BgL_yz00_7655);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1020 */
										long BgL_idxz00_8183;

										BgL_idxz00_8183 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8182);
										BgL_test4021z00_12083 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8183 + ((long) 3))) == BgL_classz00_8181);
									}
								else
									{	/* SawBbv/bbv-types.scm 1020 */
										bool_t BgL_res3344z00_8186;

										{	/* SawBbv/bbv-types.scm 1020 */
											obj_t BgL_oclassz00_8187;

											{	/* SawBbv/bbv-types.scm 1020 */
												long BgL_arg1828z00_8188;

												{	/* SawBbv/bbv-types.scm 1020 */
													long BgL_arg1829z00_8189;

													BgL_arg1829z00_8189 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8182);
													BgL_arg1828z00_8188 =
														(BgL_arg1829z00_8189 - OBJECT_TYPE);
												}
												BgL_oclassz00_8187 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8188);
											}
											{	/* SawBbv/bbv-types.scm 1020 */
												bool_t BgL__ortest_1111z00_8190;

												BgL__ortest_1111z00_8190 =
													(BgL_classz00_8181 == BgL_oclassz00_8187);
												if (BgL__ortest_1111z00_8190)
													{	/* SawBbv/bbv-types.scm 1020 */
														BgL_res3344z00_8186 = BgL__ortest_1111z00_8190;
													}
												else
													{	/* SawBbv/bbv-types.scm 1020 */
														long BgL_odepthz00_8191;

														BgL_odepthz00_8191 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8187);
														if ((((long) 3) < BgL_odepthz00_8191))
															{	/* SawBbv/bbv-types.scm 1020 */
																obj_t BgL_arg1816z00_8192;

																BgL_arg1816z00_8192 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8187,
																	((long) 3));
																BgL_res3344z00_8186 =
																	(BgL_arg1816z00_8192 == BgL_classz00_8181);
															}
														else
															{	/* SawBbv/bbv-types.scm 1020 */
																BgL_res3344z00_8186 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4021z00_12083 = BgL_res3344z00_8186;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1020 */
								BgL_test4021z00_12083 = ((bool_t) 0);
							}
					}
					if (BgL_test4021z00_12083)
						{	/* SawBbv/bbv-types.scm 1021 */
							BgL_typez00_bglt BgL_arg3059z00_8193;
							BgL_typez00_bglt BgL_arg3060z00_8194;

							BgL_arg3059z00_8193 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_xz00_7654)))->
								BgL_typez00);
							BgL_arg3060z00_8194 =
								(((BgL_rtl_instanceofz00_bglt)
									COBJECT(((BgL_rtl_instanceofz00_bglt) BgL_yz00_7655)))->
								BgL_typez00);
							BgL_tmpz00_12082 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
									BgL_arg3059z00_8193), ((obj_t) BgL_arg3060z00_8194));
						}
					else
						{	/* SawBbv/bbv-types.scm 1020 */
							BgL_tmpz00_12082 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12082);
			}
		}

	}



/* &bbv-equal?-rtl_vleng1915 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vleng1915z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7656, obj_t BgL_xz00_7657, obj_t BgL_yz00_7658)
	{
		{	/* SawBbv/bbv-types.scm 1011 */
			{	/* SawBbv/bbv-types.scm 1012 */
				bool_t BgL_tmpz00_12111;

				{	/* SawBbv/bbv-types.scm 1012 */
					bool_t BgL_test4026z00_12112;

					{	/* SawBbv/bbv-types.scm 1012 */
						obj_t BgL_classz00_8196;

						BgL_classz00_8196 = BGl_rtl_vlengthz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7658))
							{	/* SawBbv/bbv-types.scm 1012 */
								BgL_objectz00_bglt BgL_arg1820z00_8197;

								BgL_arg1820z00_8197 = (BgL_objectz00_bglt) (BgL_yz00_7658);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1012 */
										long BgL_idxz00_8198;

										BgL_idxz00_8198 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8197);
										BgL_test4026z00_12112 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8198 + ((long) 3))) == BgL_classz00_8196);
									}
								else
									{	/* SawBbv/bbv-types.scm 1012 */
										bool_t BgL_res3343z00_8201;

										{	/* SawBbv/bbv-types.scm 1012 */
											obj_t BgL_oclassz00_8202;

											{	/* SawBbv/bbv-types.scm 1012 */
												long BgL_arg1828z00_8203;

												{	/* SawBbv/bbv-types.scm 1012 */
													long BgL_arg1829z00_8204;

													BgL_arg1829z00_8204 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8197);
													BgL_arg1828z00_8203 =
														(BgL_arg1829z00_8204 - OBJECT_TYPE);
												}
												BgL_oclassz00_8202 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8203);
											}
											{	/* SawBbv/bbv-types.scm 1012 */
												bool_t BgL__ortest_1111z00_8205;

												BgL__ortest_1111z00_8205 =
													(BgL_classz00_8196 == BgL_oclassz00_8202);
												if (BgL__ortest_1111z00_8205)
													{	/* SawBbv/bbv-types.scm 1012 */
														BgL_res3343z00_8201 = BgL__ortest_1111z00_8205;
													}
												else
													{	/* SawBbv/bbv-types.scm 1012 */
														long BgL_odepthz00_8206;

														BgL_odepthz00_8206 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8202);
														if ((((long) 3) < BgL_odepthz00_8206))
															{	/* SawBbv/bbv-types.scm 1012 */
																obj_t BgL_arg1816z00_8207;

																BgL_arg1816z00_8207 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8202,
																	((long) 3));
																BgL_res3343z00_8201 =
																	(BgL_arg1816z00_8207 == BgL_classz00_8196);
															}
														else
															{	/* SawBbv/bbv-types.scm 1012 */
																BgL_res3343z00_8201 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4026z00_12112 = BgL_res3343z00_8201;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1012 */
								BgL_test4026z00_12112 = ((bool_t) 0);
							}
					}
					if (BgL_test4026z00_12112)
						{	/* SawBbv/bbv-types.scm 1012 */
							{	/* SawBbv/bbv-types.scm 1013 */
								BgL_typez00_bglt BgL_arg3050z00_8208;
								BgL_typez00_bglt BgL_arg3051z00_8209;

								BgL_arg3050z00_8208 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_7657)))->BgL_typez00);
								BgL_arg3051z00_8209 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_yz00_7658)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3050z00_8208), ((obj_t) BgL_arg3051z00_8209));
							}
							{	/* SawBbv/bbv-types.scm 1014 */
								BgL_typez00_bglt BgL_arg3052z00_8210;
								BgL_typez00_bglt BgL_arg3053z00_8211;

								BgL_arg3052z00_8210 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(
											((BgL_rtl_vlengthz00_bglt) BgL_xz00_7657)))->
									BgL_vtypez00);
								BgL_arg3053z00_8211 =
									(((BgL_rtl_vlengthz00_bglt) COBJECT(((BgL_rtl_vlengthz00_bglt)
												BgL_yz00_7658)))->BgL_vtypez00);
								BgL_tmpz00_12111 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg3052z00_8210), ((obj_t) BgL_arg3053z00_8211));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1012 */
							BgL_tmpz00_12111 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12111);
			}
		}

	}



/* &bbv-equal?-rtl_vref1913 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vref1913z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7659, obj_t BgL_xz00_7660, obj_t BgL_yz00_7661)
	{
		{	/* SawBbv/bbv-types.scm 1003 */
			{	/* SawBbv/bbv-types.scm 1004 */
				bool_t BgL_tmpz00_12147;

				{	/* SawBbv/bbv-types.scm 1004 */
					bool_t BgL_test4031z00_12148;

					{	/* SawBbv/bbv-types.scm 1004 */
						obj_t BgL_classz00_8213;

						BgL_classz00_8213 = BGl_rtl_vrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7661))
							{	/* SawBbv/bbv-types.scm 1004 */
								BgL_objectz00_bglt BgL_arg1820z00_8214;

								BgL_arg1820z00_8214 = (BgL_objectz00_bglt) (BgL_yz00_7661);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 1004 */
										long BgL_idxz00_8215;

										BgL_idxz00_8215 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8214);
										BgL_test4031z00_12148 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8215 + ((long) 3))) == BgL_classz00_8213);
									}
								else
									{	/* SawBbv/bbv-types.scm 1004 */
										bool_t BgL_res3342z00_8218;

										{	/* SawBbv/bbv-types.scm 1004 */
											obj_t BgL_oclassz00_8219;

											{	/* SawBbv/bbv-types.scm 1004 */
												long BgL_arg1828z00_8220;

												{	/* SawBbv/bbv-types.scm 1004 */
													long BgL_arg1829z00_8221;

													BgL_arg1829z00_8221 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8214);
													BgL_arg1828z00_8220 =
														(BgL_arg1829z00_8221 - OBJECT_TYPE);
												}
												BgL_oclassz00_8219 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8220);
											}
											{	/* SawBbv/bbv-types.scm 1004 */
												bool_t BgL__ortest_1111z00_8222;

												BgL__ortest_1111z00_8222 =
													(BgL_classz00_8213 == BgL_oclassz00_8219);
												if (BgL__ortest_1111z00_8222)
													{	/* SawBbv/bbv-types.scm 1004 */
														BgL_res3342z00_8218 = BgL__ortest_1111z00_8222;
													}
												else
													{	/* SawBbv/bbv-types.scm 1004 */
														long BgL_odepthz00_8223;

														BgL_odepthz00_8223 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8219);
														if ((((long) 3) < BgL_odepthz00_8223))
															{	/* SawBbv/bbv-types.scm 1004 */
																obj_t BgL_arg1816z00_8224;

																BgL_arg1816z00_8224 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8219,
																	((long) 3));
																BgL_res3342z00_8218 =
																	(BgL_arg1816z00_8224 == BgL_classz00_8213);
															}
														else
															{	/* SawBbv/bbv-types.scm 1004 */
																BgL_res3342z00_8218 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4031z00_12148 = BgL_res3342z00_8218;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 1004 */
								BgL_test4031z00_12148 = ((bool_t) 0);
							}
					}
					if (BgL_test4031z00_12148)
						{	/* SawBbv/bbv-types.scm 1004 */
							{	/* SawBbv/bbv-types.scm 1005 */
								BgL_typez00_bglt BgL_arg3041z00_8225;
								BgL_typez00_bglt BgL_arg3044z00_8226;

								BgL_arg3041z00_8225 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_7660)))->BgL_typez00);
								BgL_arg3044z00_8226 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_7661)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3041z00_8225), ((obj_t) BgL_arg3044z00_8226));
							}
							{	/* SawBbv/bbv-types.scm 1006 */
								BgL_typez00_bglt BgL_arg3045z00_8227;
								BgL_typez00_bglt BgL_arg3046z00_8228;

								BgL_arg3045z00_8227 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_xz00_7660)))->BgL_vtypez00);
								BgL_arg3046z00_8228 =
									(((BgL_rtl_vrefz00_bglt) COBJECT(
											((BgL_rtl_vrefz00_bglt) BgL_yz00_7661)))->BgL_vtypez00);
								BgL_tmpz00_12147 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3045z00_8227), ((obj_t) BgL_arg3046z00_8228));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 1004 */
							BgL_tmpz00_12147 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12147);
			}
		}

	}



/* &bbv-equal?-rtl_vallo1911 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_vallo1911z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7662, obj_t BgL_xz00_7663, obj_t BgL_yz00_7664)
	{
		{	/* SawBbv/bbv-types.scm 995 */
			{	/* SawBbv/bbv-types.scm 996 */
				bool_t BgL_tmpz00_12183;

				{	/* SawBbv/bbv-types.scm 996 */
					bool_t BgL_test4036z00_12184;

					{	/* SawBbv/bbv-types.scm 996 */
						obj_t BgL_classz00_8230;

						BgL_classz00_8230 = BGl_rtl_vallocz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7664))
							{	/* SawBbv/bbv-types.scm 996 */
								BgL_objectz00_bglt BgL_arg1820z00_8231;

								BgL_arg1820z00_8231 = (BgL_objectz00_bglt) (BgL_yz00_7664);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 996 */
										long BgL_idxz00_8232;

										BgL_idxz00_8232 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8231);
										BgL_test4036z00_12184 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8232 + ((long) 3))) == BgL_classz00_8230);
									}
								else
									{	/* SawBbv/bbv-types.scm 996 */
										bool_t BgL_res3341z00_8235;

										{	/* SawBbv/bbv-types.scm 996 */
											obj_t BgL_oclassz00_8236;

											{	/* SawBbv/bbv-types.scm 996 */
												long BgL_arg1828z00_8237;

												{	/* SawBbv/bbv-types.scm 996 */
													long BgL_arg1829z00_8238;

													BgL_arg1829z00_8238 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8231);
													BgL_arg1828z00_8237 =
														(BgL_arg1829z00_8238 - OBJECT_TYPE);
												}
												BgL_oclassz00_8236 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8237);
											}
											{	/* SawBbv/bbv-types.scm 996 */
												bool_t BgL__ortest_1111z00_8239;

												BgL__ortest_1111z00_8239 =
													(BgL_classz00_8230 == BgL_oclassz00_8236);
												if (BgL__ortest_1111z00_8239)
													{	/* SawBbv/bbv-types.scm 996 */
														BgL_res3341z00_8235 = BgL__ortest_1111z00_8239;
													}
												else
													{	/* SawBbv/bbv-types.scm 996 */
														long BgL_odepthz00_8240;

														BgL_odepthz00_8240 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8236);
														if ((((long) 3) < BgL_odepthz00_8240))
															{	/* SawBbv/bbv-types.scm 996 */
																obj_t BgL_arg1816z00_8241;

																BgL_arg1816z00_8241 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8236,
																	((long) 3));
																BgL_res3341z00_8235 =
																	(BgL_arg1816z00_8241 == BgL_classz00_8230);
															}
														else
															{	/* SawBbv/bbv-types.scm 996 */
																BgL_res3341z00_8235 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4036z00_12184 = BgL_res3341z00_8235;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 996 */
								BgL_test4036z00_12184 = ((bool_t) 0);
							}
					}
					if (BgL_test4036z00_12184)
						{	/* SawBbv/bbv-types.scm 996 */
							{	/* SawBbv/bbv-types.scm 997 */
								BgL_typez00_bglt BgL_arg3034z00_8242;
								BgL_typez00_bglt BgL_arg3035z00_8243;

								BgL_arg3034z00_8242 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_7663)))->BgL_typez00);
								BgL_arg3035z00_8243 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_7664)))->BgL_typez00);
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3034z00_8242), ((obj_t) BgL_arg3035z00_8243));
							}
							{	/* SawBbv/bbv-types.scm 998 */
								BgL_typez00_bglt BgL_arg3038z00_8244;
								BgL_typez00_bglt BgL_arg3039z00_8245;

								BgL_arg3038z00_8244 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_xz00_7663)))->BgL_vtypez00);
								BgL_arg3039z00_8245 =
									(((BgL_rtl_vallocz00_bglt) COBJECT(
											((BgL_rtl_vallocz00_bglt) BgL_yz00_7664)))->BgL_vtypez00);
								BgL_tmpz00_12183 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg3038z00_8244), ((obj_t) BgL_arg3039z00_8245));
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 996 */
							BgL_tmpz00_12183 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12183);
			}
		}

	}



/* &bbv-equal?-rtl_getfi1909 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_getfi1909z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7665, obj_t BgL_xz00_7666, obj_t BgL_yz00_7667)
	{
		{	/* SawBbv/bbv-types.scm 986 */
			{	/* SawBbv/bbv-types.scm 987 */
				bool_t BgL_tmpz00_12219;

				{	/* SawBbv/bbv-types.scm 987 */
					bool_t BgL_test4041z00_12220;

					{	/* SawBbv/bbv-types.scm 987 */
						obj_t BgL_classz00_8247;

						BgL_classz00_8247 = BGl_rtl_getfieldz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7667))
							{	/* SawBbv/bbv-types.scm 987 */
								BgL_objectz00_bglt BgL_arg1820z00_8248;

								BgL_arg1820z00_8248 = (BgL_objectz00_bglt) (BgL_yz00_7667);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 987 */
										long BgL_idxz00_8249;

										BgL_idxz00_8249 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8248);
										BgL_test4041z00_12220 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8249 + ((long) 3))) == BgL_classz00_8247);
									}
								else
									{	/* SawBbv/bbv-types.scm 987 */
										bool_t BgL_res3340z00_8252;

										{	/* SawBbv/bbv-types.scm 987 */
											obj_t BgL_oclassz00_8253;

											{	/* SawBbv/bbv-types.scm 987 */
												long BgL_arg1828z00_8254;

												{	/* SawBbv/bbv-types.scm 987 */
													long BgL_arg1829z00_8255;

													BgL_arg1829z00_8255 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8248);
													BgL_arg1828z00_8254 =
														(BgL_arg1829z00_8255 - OBJECT_TYPE);
												}
												BgL_oclassz00_8253 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8254);
											}
											{	/* SawBbv/bbv-types.scm 987 */
												bool_t BgL__ortest_1111z00_8256;

												BgL__ortest_1111z00_8256 =
													(BgL_classz00_8247 == BgL_oclassz00_8253);
												if (BgL__ortest_1111z00_8256)
													{	/* SawBbv/bbv-types.scm 987 */
														BgL_res3340z00_8252 = BgL__ortest_1111z00_8256;
													}
												else
													{	/* SawBbv/bbv-types.scm 987 */
														long BgL_odepthz00_8257;

														BgL_odepthz00_8257 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8253);
														if ((((long) 3) < BgL_odepthz00_8257))
															{	/* SawBbv/bbv-types.scm 987 */
																obj_t BgL_arg1816z00_8258;

																BgL_arg1816z00_8258 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8253,
																	((long) 3));
																BgL_res3340z00_8252 =
																	(BgL_arg1816z00_8258 == BgL_classz00_8247);
															}
														else
															{	/* SawBbv/bbv-types.scm 987 */
																BgL_res3340z00_8252 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4041z00_12220 = BgL_res3340z00_8252;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 987 */
								BgL_test4041z00_12220 = ((bool_t) 0);
							}
					}
					if (BgL_test4041z00_12220)
						{	/* SawBbv/bbv-types.scm 988 */
							bool_t BgL_test4046z00_12240;

							{	/* SawBbv/bbv-types.scm 988 */
								obj_t BgL_arg3031z00_8259;
								obj_t BgL_arg3032z00_8260;

								BgL_arg3031z00_8259 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_xz00_7666)))->
									BgL_namez00);
								BgL_arg3032z00_8260 =
									(((BgL_rtl_getfieldz00_bglt)
										COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_7667)))->
									BgL_namez00);
								{	/* SawBbv/bbv-types.scm 988 */
									long BgL_l1z00_8261;

									BgL_l1z00_8261 = STRING_LENGTH(BgL_arg3031z00_8259);
									if ((BgL_l1z00_8261 == STRING_LENGTH(BgL_arg3032z00_8260)))
										{	/* SawBbv/bbv-types.scm 988 */
											int BgL_arg1290z00_8262;

											{	/* SawBbv/bbv-types.scm 988 */
												char *BgL_auxz00_12251;
												char *BgL_tmpz00_12249;

												BgL_auxz00_12251 =
													BSTRING_TO_STRING(BgL_arg3032z00_8260);
												BgL_tmpz00_12249 =
													BSTRING_TO_STRING(BgL_arg3031z00_8259);
												BgL_arg1290z00_8262 =
													memcmp(BgL_tmpz00_12249, BgL_auxz00_12251,
													BgL_l1z00_8261);
											}
											BgL_test4046z00_12240 =
												((long) (BgL_arg1290z00_8262) == ((long) 0));
										}
									else
										{	/* SawBbv/bbv-types.scm 988 */
											BgL_test4046z00_12240 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4046z00_12240)
								{	/* SawBbv/bbv-types.scm 989 */
									bool_t BgL_test4048z00_12256;

									{	/* SawBbv/bbv-types.scm 989 */
										BgL_typez00_bglt BgL_arg3029z00_8263;
										BgL_typez00_bglt BgL_arg3030z00_8264;

										BgL_arg3029z00_8263 =
											(((BgL_rtl_getfieldz00_bglt) COBJECT(
													((BgL_rtl_getfieldz00_bglt) BgL_xz00_7666)))->
											BgL_objtypez00);
										BgL_arg3030z00_8264 =
											(((BgL_rtl_getfieldz00_bglt)
												COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_7667)))->
											BgL_objtypez00);
										BgL_test4048z00_12256 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
												BgL_arg3029z00_8263), ((obj_t) BgL_arg3030z00_8264));
									}
									if (BgL_test4048z00_12256)
										{	/* SawBbv/bbv-types.scm 990 */
											BgL_typez00_bglt BgL_arg3025z00_8265;
											BgL_typez00_bglt BgL_arg3028z00_8266;

											BgL_arg3025z00_8265 =
												(((BgL_rtl_getfieldz00_bglt) COBJECT(
														((BgL_rtl_getfieldz00_bglt) BgL_xz00_7666)))->
												BgL_typez00);
											BgL_arg3028z00_8266 =
												(((BgL_rtl_getfieldz00_bglt)
													COBJECT(((BgL_rtl_getfieldz00_bglt) BgL_yz00_7667)))->
												BgL_typez00);
											BgL_tmpz00_12219 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
													BgL_arg3025z00_8265), ((obj_t) BgL_arg3028z00_8266));
										}
									else
										{	/* SawBbv/bbv-types.scm 989 */
											BgL_tmpz00_12219 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 988 */
									BgL_tmpz00_12219 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 987 */
							BgL_tmpz00_12219 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12219);
			}
		}

	}



/* &bbv-equal?-rtl_globa1907 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_globa1907z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7668, obj_t BgL_xz00_7669, obj_t BgL_yz00_7670)
	{
		{	/* SawBbv/bbv-types.scm 979 */
			{	/* SawBbv/bbv-types.scm 980 */
				bool_t BgL_tmpz00_12272;

				{	/* SawBbv/bbv-types.scm 980 */
					bool_t BgL_test4049z00_12273;

					{	/* SawBbv/bbv-types.scm 980 */
						obj_t BgL_classz00_8268;

						BgL_classz00_8268 = BGl_rtl_globalrefz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7670))
							{	/* SawBbv/bbv-types.scm 980 */
								BgL_objectz00_bglt BgL_arg1820z00_8269;

								BgL_arg1820z00_8269 = (BgL_objectz00_bglt) (BgL_yz00_7670);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 980 */
										long BgL_idxz00_8270;

										BgL_idxz00_8270 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8269);
										BgL_test4049z00_12273 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8270 + ((long) 3))) == BgL_classz00_8268);
									}
								else
									{	/* SawBbv/bbv-types.scm 980 */
										bool_t BgL_res3339z00_8273;

										{	/* SawBbv/bbv-types.scm 980 */
											obj_t BgL_oclassz00_8274;

											{	/* SawBbv/bbv-types.scm 980 */
												long BgL_arg1828z00_8275;

												{	/* SawBbv/bbv-types.scm 980 */
													long BgL_arg1829z00_8276;

													BgL_arg1829z00_8276 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8269);
													BgL_arg1828z00_8275 =
														(BgL_arg1829z00_8276 - OBJECT_TYPE);
												}
												BgL_oclassz00_8274 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8275);
											}
											{	/* SawBbv/bbv-types.scm 980 */
												bool_t BgL__ortest_1111z00_8277;

												BgL__ortest_1111z00_8277 =
													(BgL_classz00_8268 == BgL_oclassz00_8274);
												if (BgL__ortest_1111z00_8277)
													{	/* SawBbv/bbv-types.scm 980 */
														BgL_res3339z00_8273 = BgL__ortest_1111z00_8277;
													}
												else
													{	/* SawBbv/bbv-types.scm 980 */
														long BgL_odepthz00_8278;

														BgL_odepthz00_8278 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8274);
														if ((((long) 3) < BgL_odepthz00_8278))
															{	/* SawBbv/bbv-types.scm 980 */
																obj_t BgL_arg1816z00_8279;

																BgL_arg1816z00_8279 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8274,
																	((long) 3));
																BgL_res3339z00_8273 =
																	(BgL_arg1816z00_8279 == BgL_classz00_8268);
															}
														else
															{	/* SawBbv/bbv-types.scm 980 */
																BgL_res3339z00_8273 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4049z00_12273 = BgL_res3339z00_8273;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 980 */
								BgL_test4049z00_12273 = ((bool_t) 0);
							}
					}
					if (BgL_test4049z00_12273)
						{	/* SawBbv/bbv-types.scm 981 */
							BgL_globalz00_bglt BgL_arg3022z00_8280;
							BgL_globalz00_bglt BgL_arg3023z00_8281;

							BgL_arg3022z00_8280 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_xz00_7669)))->BgL_varz00);
							BgL_arg3023z00_8281 =
								(((BgL_rtl_globalrefz00_bglt) COBJECT(
										((BgL_rtl_globalrefz00_bglt) BgL_yz00_7670)))->BgL_varz00);
							BgL_tmpz00_12272 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3022z00_8280), ((obj_t) BgL_arg3023z00_8281));
						}
					else
						{	/* SawBbv/bbv-types.scm 980 */
							BgL_tmpz00_12272 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12272);
			}
		}

	}



/* &bbv-equal?-rtl_loadf1905 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadf1905z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7671, obj_t BgL_xz00_7672, obj_t BgL_yz00_7673)
	{
		{	/* SawBbv/bbv-types.scm 972 */
			{	/* SawBbv/bbv-types.scm 973 */
				bool_t BgL_tmpz00_12301;

				{	/* SawBbv/bbv-types.scm 973 */
					bool_t BgL_test4054z00_12302;

					{	/* SawBbv/bbv-types.scm 973 */
						obj_t BgL_classz00_8283;

						BgL_classz00_8283 = BGl_rtl_loadfunz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7673))
							{	/* SawBbv/bbv-types.scm 973 */
								BgL_objectz00_bglt BgL_arg1820z00_8284;

								BgL_arg1820z00_8284 = (BgL_objectz00_bglt) (BgL_yz00_7673);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 973 */
										long BgL_idxz00_8285;

										BgL_idxz00_8285 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8284);
										BgL_test4054z00_12302 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8285 + ((long) 3))) == BgL_classz00_8283);
									}
								else
									{	/* SawBbv/bbv-types.scm 973 */
										bool_t BgL_res3338z00_8288;

										{	/* SawBbv/bbv-types.scm 973 */
											obj_t BgL_oclassz00_8289;

											{	/* SawBbv/bbv-types.scm 973 */
												long BgL_arg1828z00_8290;

												{	/* SawBbv/bbv-types.scm 973 */
													long BgL_arg1829z00_8291;

													BgL_arg1829z00_8291 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8284);
													BgL_arg1828z00_8290 =
														(BgL_arg1829z00_8291 - OBJECT_TYPE);
												}
												BgL_oclassz00_8289 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8290);
											}
											{	/* SawBbv/bbv-types.scm 973 */
												bool_t BgL__ortest_1111z00_8292;

												BgL__ortest_1111z00_8292 =
													(BgL_classz00_8283 == BgL_oclassz00_8289);
												if (BgL__ortest_1111z00_8292)
													{	/* SawBbv/bbv-types.scm 973 */
														BgL_res3338z00_8288 = BgL__ortest_1111z00_8292;
													}
												else
													{	/* SawBbv/bbv-types.scm 973 */
														long BgL_odepthz00_8293;

														BgL_odepthz00_8293 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8289);
														if ((((long) 3) < BgL_odepthz00_8293))
															{	/* SawBbv/bbv-types.scm 973 */
																obj_t BgL_arg1816z00_8294;

																BgL_arg1816z00_8294 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8289,
																	((long) 3));
																BgL_res3338z00_8288 =
																	(BgL_arg1816z00_8294 == BgL_classz00_8283);
															}
														else
															{	/* SawBbv/bbv-types.scm 973 */
																BgL_res3338z00_8288 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4054z00_12302 = BgL_res3338z00_8288;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 973 */
								BgL_test4054z00_12302 = ((bool_t) 0);
							}
					}
					if (BgL_test4054z00_12302)
						{	/* SawBbv/bbv-types.scm 974 */
							BgL_globalz00_bglt BgL_arg3014z00_8295;
							BgL_globalz00_bglt BgL_arg3017z00_8296;

							BgL_arg3014z00_8295 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_xz00_7672)))->BgL_varz00);
							BgL_arg3017z00_8296 =
								(((BgL_rtl_loadfunz00_bglt) COBJECT(
										((BgL_rtl_loadfunz00_bglt) BgL_yz00_7673)))->BgL_varz00);
							BgL_tmpz00_12301 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3014z00_8295), ((obj_t) BgL_arg3017z00_8296));
						}
					else
						{	/* SawBbv/bbv-types.scm 973 */
							BgL_tmpz00_12301 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12301);
			}
		}

	}



/* &bbv-equal?-rtl_loadg1903 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadg1903z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7674, obj_t BgL_xz00_7675, obj_t BgL_yz00_7676)
	{
		{	/* SawBbv/bbv-types.scm 965 */
			{	/* SawBbv/bbv-types.scm 966 */
				bool_t BgL_tmpz00_12330;

				{	/* SawBbv/bbv-types.scm 966 */
					bool_t BgL_test4059z00_12331;

					{	/* SawBbv/bbv-types.scm 966 */
						obj_t BgL_classz00_8298;

						BgL_classz00_8298 = BGl_rtl_loadgz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7676))
							{	/* SawBbv/bbv-types.scm 966 */
								BgL_objectz00_bglt BgL_arg1820z00_8299;

								BgL_arg1820z00_8299 = (BgL_objectz00_bglt) (BgL_yz00_7676);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 966 */
										long BgL_idxz00_8300;

										BgL_idxz00_8300 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8299);
										BgL_test4059z00_12331 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8300 + ((long) 3))) == BgL_classz00_8298);
									}
								else
									{	/* SawBbv/bbv-types.scm 966 */
										bool_t BgL_res3337z00_8303;

										{	/* SawBbv/bbv-types.scm 966 */
											obj_t BgL_oclassz00_8304;

											{	/* SawBbv/bbv-types.scm 966 */
												long BgL_arg1828z00_8305;

												{	/* SawBbv/bbv-types.scm 966 */
													long BgL_arg1829z00_8306;

													BgL_arg1829z00_8306 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8299);
													BgL_arg1828z00_8305 =
														(BgL_arg1829z00_8306 - OBJECT_TYPE);
												}
												BgL_oclassz00_8304 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8305);
											}
											{	/* SawBbv/bbv-types.scm 966 */
												bool_t BgL__ortest_1111z00_8307;

												BgL__ortest_1111z00_8307 =
													(BgL_classz00_8298 == BgL_oclassz00_8304);
												if (BgL__ortest_1111z00_8307)
													{	/* SawBbv/bbv-types.scm 966 */
														BgL_res3337z00_8303 = BgL__ortest_1111z00_8307;
													}
												else
													{	/* SawBbv/bbv-types.scm 966 */
														long BgL_odepthz00_8308;

														BgL_odepthz00_8308 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8304);
														if ((((long) 3) < BgL_odepthz00_8308))
															{	/* SawBbv/bbv-types.scm 966 */
																obj_t BgL_arg1816z00_8309;

																BgL_arg1816z00_8309 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8304,
																	((long) 3));
																BgL_res3337z00_8303 =
																	(BgL_arg1816z00_8309 == BgL_classz00_8298);
															}
														else
															{	/* SawBbv/bbv-types.scm 966 */
																BgL_res3337z00_8303 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4059z00_12331 = BgL_res3337z00_8303;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 966 */
								BgL_test4059z00_12331 = ((bool_t) 0);
							}
					}
					if (BgL_test4059z00_12331)
						{	/* SawBbv/bbv-types.scm 967 */
							BgL_globalz00_bglt BgL_arg3010z00_8310;
							BgL_globalz00_bglt BgL_arg3011z00_8311;

							BgL_arg3010z00_8310 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_xz00_7675)))->BgL_varz00);
							BgL_arg3011z00_8311 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_yz00_7676)))->BgL_varz00);
							BgL_tmpz00_12330 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3010z00_8310), ((obj_t) BgL_arg3011z00_8311));
						}
					else
						{	/* SawBbv/bbv-types.scm 966 */
							BgL_tmpz00_12330 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12330);
			}
		}

	}



/* &bbv-equal?-rtl_loadi1901 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_loadi1901z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7677, obj_t BgL_xz00_7678, obj_t BgL_yz00_7679)
	{
		{	/* SawBbv/bbv-types.scm 958 */
			{	/* SawBbv/bbv-types.scm 959 */
				bool_t BgL_tmpz00_12359;

				{	/* SawBbv/bbv-types.scm 959 */
					bool_t BgL_test4064z00_12360;

					{	/* SawBbv/bbv-types.scm 959 */
						obj_t BgL_classz00_8313;

						BgL_classz00_8313 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7679))
							{	/* SawBbv/bbv-types.scm 959 */
								BgL_objectz00_bglt BgL_arg1820z00_8314;

								BgL_arg1820z00_8314 = (BgL_objectz00_bglt) (BgL_yz00_7679);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 959 */
										long BgL_idxz00_8315;

										BgL_idxz00_8315 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8314);
										BgL_test4064z00_12360 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8315 + ((long) 3))) == BgL_classz00_8313);
									}
								else
									{	/* SawBbv/bbv-types.scm 959 */
										bool_t BgL_res3336z00_8318;

										{	/* SawBbv/bbv-types.scm 959 */
											obj_t BgL_oclassz00_8319;

											{	/* SawBbv/bbv-types.scm 959 */
												long BgL_arg1828z00_8320;

												{	/* SawBbv/bbv-types.scm 959 */
													long BgL_arg1829z00_8321;

													BgL_arg1829z00_8321 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8314);
													BgL_arg1828z00_8320 =
														(BgL_arg1829z00_8321 - OBJECT_TYPE);
												}
												BgL_oclassz00_8319 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8320);
											}
											{	/* SawBbv/bbv-types.scm 959 */
												bool_t BgL__ortest_1111z00_8322;

												BgL__ortest_1111z00_8322 =
													(BgL_classz00_8313 == BgL_oclassz00_8319);
												if (BgL__ortest_1111z00_8322)
													{	/* SawBbv/bbv-types.scm 959 */
														BgL_res3336z00_8318 = BgL__ortest_1111z00_8322;
													}
												else
													{	/* SawBbv/bbv-types.scm 959 */
														long BgL_odepthz00_8323;

														BgL_odepthz00_8323 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8319);
														if ((((long) 3) < BgL_odepthz00_8323))
															{	/* SawBbv/bbv-types.scm 959 */
																obj_t BgL_arg1816z00_8324;

																BgL_arg1816z00_8324 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8319,
																	((long) 3));
																BgL_res3336z00_8318 =
																	(BgL_arg1816z00_8324 == BgL_classz00_8313);
															}
														else
															{	/* SawBbv/bbv-types.scm 959 */
																BgL_res3336z00_8318 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4064z00_12360 = BgL_res3336z00_8318;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 959 */
								BgL_test4064z00_12360 = ((bool_t) 0);
							}
					}
					if (BgL_test4064z00_12360)
						{	/* SawBbv/bbv-types.scm 960 */
							BgL_atomz00_bglt BgL_arg3007z00_8325;
							BgL_atomz00_bglt BgL_arg3008z00_8326;

							BgL_arg3007z00_8325 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_xz00_7678)))->BgL_constantz00);
							BgL_arg3008z00_8326 =
								(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_yz00_7679)))->BgL_constantz00);
							BgL_tmpz00_12359 =
								BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg3007z00_8325), ((obj_t) BgL_arg3008z00_8326));
						}
					else
						{	/* SawBbv/bbv-types.scm 959 */
							BgL_tmpz00_12359 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12359);
			}
		}

	}



/* &bbv-equal?-rtl_switc1899 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_switc1899z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7680, obj_t BgL_xz00_7681, obj_t BgL_yz00_7682)
	{
		{	/* SawBbv/bbv-types.scm 950 */
			{	/* SawBbv/bbv-types.scm 951 */
				bool_t BgL_test4069z00_12388;

				{	/* SawBbv/bbv-types.scm 951 */
					obj_t BgL_classz00_8328;

					BgL_classz00_8328 = BGl_rtl_switchz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_7682))
						{	/* SawBbv/bbv-types.scm 951 */
							BgL_objectz00_bglt BgL_arg1820z00_8329;

							BgL_arg1820z00_8329 = (BgL_objectz00_bglt) (BgL_yz00_7682);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 951 */
									long BgL_idxz00_8330;

									BgL_idxz00_8330 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8329);
									BgL_test4069z00_12388 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_8330 + ((long) 4))) == BgL_classz00_8328);
								}
							else
								{	/* SawBbv/bbv-types.scm 951 */
									bool_t BgL_res3335z00_8333;

									{	/* SawBbv/bbv-types.scm 951 */
										obj_t BgL_oclassz00_8334;

										{	/* SawBbv/bbv-types.scm 951 */
											long BgL_arg1828z00_8335;

											{	/* SawBbv/bbv-types.scm 951 */
												long BgL_arg1829z00_8336;

												BgL_arg1829z00_8336 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8329);
												BgL_arg1828z00_8335 =
													(BgL_arg1829z00_8336 - OBJECT_TYPE);
											}
											BgL_oclassz00_8334 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_8335);
										}
										{	/* SawBbv/bbv-types.scm 951 */
											bool_t BgL__ortest_1111z00_8337;

											BgL__ortest_1111z00_8337 =
												(BgL_classz00_8328 == BgL_oclassz00_8334);
											if (BgL__ortest_1111z00_8337)
												{	/* SawBbv/bbv-types.scm 951 */
													BgL_res3335z00_8333 = BgL__ortest_1111z00_8337;
												}
											else
												{	/* SawBbv/bbv-types.scm 951 */
													long BgL_odepthz00_8338;

													BgL_odepthz00_8338 =
														BGL_CLASS_DEPTH(BgL_oclassz00_8334);
													if ((((long) 4) < BgL_odepthz00_8338))
														{	/* SawBbv/bbv-types.scm 951 */
															obj_t BgL_arg1816z00_8339;

															BgL_arg1816z00_8339 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8334,
																((long) 4));
															BgL_res3335z00_8333 =
																(BgL_arg1816z00_8339 == BgL_classz00_8328);
														}
													else
														{	/* SawBbv/bbv-types.scm 951 */
															BgL_res3335z00_8333 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4069z00_12388 = BgL_res3335z00_8333;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 951 */
							BgL_test4069z00_12388 = ((bool_t) 0);
						}
				}
				if (BgL_test4069z00_12388)
					{	/* SawBbv/bbv-types.scm 951 */
						if (
							(bgl_list_length(
									(((BgL_rtl_switchz00_bglt) COBJECT(
												((BgL_rtl_switchz00_bglt) BgL_xz00_7681)))->
										BgL_labelsz00)) ==
								bgl_list_length((((BgL_rtl_switchz00_bglt)
											COBJECT(((BgL_rtl_switchz00_bglt) BgL_yz00_7682)))->
										BgL_labelsz00))))
							{	/* SawBbv/bbv-types.scm 953 */
								obj_t BgL_arg2986z00_8340;
								obj_t BgL_arg2990z00_8341;

								BgL_arg2986z00_8340 =
									(((BgL_rtl_switchz00_bglt) COBJECT(
											((BgL_rtl_switchz00_bglt) BgL_xz00_7681)))->
									BgL_labelsz00);
								BgL_arg2990z00_8341 =
									(((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
												BgL_yz00_7682)))->BgL_labelsz00);
								{	/* SawBbv/bbv-types.scm 953 */
									obj_t BgL_list2991z00_8342;

									{	/* SawBbv/bbv-types.scm 953 */
										obj_t BgL_arg2992z00_8343;

										BgL_arg2992z00_8343 =
											MAKE_YOUNG_PAIR(BgL_arg2990z00_8341, BNIL);
										BgL_list2991z00_8342 =
											MAKE_YOUNG_PAIR(BgL_arg2986z00_8340, BgL_arg2992z00_8343);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list2991z00_8342);
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 952 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 951 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_selec1897 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_selec1897z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7683, obj_t BgL_xz00_7684, obj_t BgL_yz00_7685)
	{
		{	/* SawBbv/bbv-types.scm 941 */
			{	/* SawBbv/bbv-types.scm 942 */
				bool_t BgL_test4075z00_12423;

				{	/* SawBbv/bbv-types.scm 942 */
					obj_t BgL_classz00_8345;

					BgL_classz00_8345 = BGl_rtl_selectz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_yz00_7685))
						{	/* SawBbv/bbv-types.scm 942 */
							BgL_objectz00_bglt BgL_arg1820z00_8346;

							BgL_arg1820z00_8346 = (BgL_objectz00_bglt) (BgL_yz00_7685);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 942 */
									long BgL_idxz00_8347;

									BgL_idxz00_8347 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8346);
									BgL_test4075z00_12423 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_8347 + ((long) 3))) == BgL_classz00_8345);
								}
							else
								{	/* SawBbv/bbv-types.scm 942 */
									bool_t BgL_res3334z00_8350;

									{	/* SawBbv/bbv-types.scm 942 */
										obj_t BgL_oclassz00_8351;

										{	/* SawBbv/bbv-types.scm 942 */
											long BgL_arg1828z00_8352;

											{	/* SawBbv/bbv-types.scm 942 */
												long BgL_arg1829z00_8353;

												BgL_arg1829z00_8353 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8346);
												BgL_arg1828z00_8352 =
													(BgL_arg1829z00_8353 - OBJECT_TYPE);
											}
											BgL_oclassz00_8351 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_8352);
										}
										{	/* SawBbv/bbv-types.scm 942 */
											bool_t BgL__ortest_1111z00_8354;

											BgL__ortest_1111z00_8354 =
												(BgL_classz00_8345 == BgL_oclassz00_8351);
											if (BgL__ortest_1111z00_8354)
												{	/* SawBbv/bbv-types.scm 942 */
													BgL_res3334z00_8350 = BgL__ortest_1111z00_8354;
												}
											else
												{	/* SawBbv/bbv-types.scm 942 */
													long BgL_odepthz00_8355;

													BgL_odepthz00_8355 =
														BGL_CLASS_DEPTH(BgL_oclassz00_8351);
													if ((((long) 3) < BgL_odepthz00_8355))
														{	/* SawBbv/bbv-types.scm 942 */
															obj_t BgL_arg1816z00_8356;

															BgL_arg1816z00_8356 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8351,
																((long) 3));
															BgL_res3334z00_8350 =
																(BgL_arg1816z00_8356 == BgL_classz00_8345);
														}
													else
														{	/* SawBbv/bbv-types.scm 942 */
															BgL_res3334z00_8350 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4075z00_12423 = BgL_res3334z00_8350;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 942 */
							BgL_test4075z00_12423 = ((bool_t) 0);
						}
				}
				if (BgL_test4075z00_12423)
					{	/* SawBbv/bbv-types.scm 942 */
						if (
							(((obj_t)
									(((BgL_rtl_selectz00_bglt) COBJECT(
												((BgL_rtl_selectz00_bglt) BgL_xz00_7684)))->
										BgL_typez00)) ==
								((obj_t) (((BgL_rtl_selectz00_bglt)
											COBJECT(((BgL_rtl_selectz00_bglt) BgL_xz00_7684)))->
										BgL_typez00))))
							{	/* SawBbv/bbv-types.scm 943 */
								if (
									(bgl_list_length(
											(((BgL_rtl_selectz00_bglt) COBJECT(
														((BgL_rtl_selectz00_bglt) BgL_xz00_7684)))->
												BgL_patternsz00)) ==
										bgl_list_length((((BgL_rtl_selectz00_bglt)
													COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_7685)))->
												BgL_patternsz00))))
									{	/* SawBbv/bbv-types.scm 945 */
										obj_t BgL_arg2971z00_8357;
										obj_t BgL_arg2972z00_8358;

										BgL_arg2971z00_8357 =
											(((BgL_rtl_selectz00_bglt) COBJECT(
													((BgL_rtl_selectz00_bglt) BgL_xz00_7684)))->
											BgL_patternsz00);
										BgL_arg2972z00_8358 =
											(((BgL_rtl_selectz00_bglt)
												COBJECT(((BgL_rtl_selectz00_bglt) BgL_yz00_7685)))->
											BgL_patternsz00);
										{	/* SawBbv/bbv-types.scm 945 */
											obj_t BgL_list2973z00_8359;

											{	/* SawBbv/bbv-types.scm 945 */
												obj_t BgL_arg2974z00_8360;

												BgL_arg2974z00_8360 =
													MAKE_YOUNG_PAIR(BgL_arg2972z00_8358, BNIL);
												BgL_list2973z00_8359 =
													MAKE_YOUNG_PAIR(BgL_arg2971z00_8357,
													BgL_arg2974z00_8360);
											}
											return
												BGl_everyz00zz__r4_pairs_and_lists_6_3z00
												(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
												BgL_list2973z00_8359);
										}
									}
								else
									{	/* SawBbv/bbv-types.scm 944 */
										return BFALSE;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 943 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 942 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-rtl_fun1895 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_fun1895z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7686, obj_t BgL_xz00_7687, obj_t BgL_yz00_7688)
	{
		{	/* SawBbv/bbv-types.scm 935 */
			{	/* SawBbv/bbv-types.scm 936 */
				bool_t BgL_tmpz00_12466;

				{	/* SawBbv/bbv-types.scm 936 */
					obj_t BgL_arg2968z00_8362;
					obj_t BgL_arg2969z00_8363;

					{	/* SawBbv/bbv-types.scm 936 */
						long BgL_arg1828z00_8364;

						{	/* SawBbv/bbv-types.scm 936 */
							long BgL_arg1829z00_8365;

							BgL_arg1829z00_8365 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_xz00_7687)));
							BgL_arg1828z00_8364 = (BgL_arg1829z00_8365 - OBJECT_TYPE);
						}
						BgL_arg2968z00_8362 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1828z00_8364);
					}
					{	/* SawBbv/bbv-types.scm 936 */
						long BgL_arg1828z00_8366;

						{	/* SawBbv/bbv-types.scm 936 */
							long BgL_arg1829z00_8367;

							BgL_arg1829z00_8367 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_yz00_7688));
							BgL_arg1828z00_8366 = (BgL_arg1829z00_8367 - OBJECT_TYPE);
						}
						BgL_arg2969z00_8363 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1828z00_8366);
					}
					BgL_tmpz00_12466 = (BgL_arg2968z00_8362 == BgL_arg2969z00_8363);
				}
				return BBOOL(BgL_tmpz00_12466);
			}
		}

	}



/* &bbv-equal?-rtl_reg1893 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_reg1893z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7689, obj_t BgL_xz00_7690, obj_t BgL_yz00_7691)
	{
		{	/* SawBbv/bbv-types.scm 926 */
			{	/* SawBbv/bbv-types.scm 927 */
				bool_t BgL_tmpz00_12478;

				{	/* SawBbv/bbv-types.scm 927 */
					bool_t BgL_test4082z00_12479;

					{	/* SawBbv/bbv-types.scm 927 */
						obj_t BgL_classz00_8369;

						BgL_classz00_8369 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_yz00_7691))
							{	/* SawBbv/bbv-types.scm 927 */
								BgL_objectz00_bglt BgL_arg1820z00_8370;

								BgL_arg1820z00_8370 = (BgL_objectz00_bglt) (BgL_yz00_7691);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 927 */
										long BgL_idxz00_8371;

										BgL_idxz00_8371 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8370);
										BgL_test4082z00_12479 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8371 + ((long) 1))) == BgL_classz00_8369);
									}
								else
									{	/* SawBbv/bbv-types.scm 927 */
										bool_t BgL_res3333z00_8374;

										{	/* SawBbv/bbv-types.scm 927 */
											obj_t BgL_oclassz00_8375;

											{	/* SawBbv/bbv-types.scm 927 */
												long BgL_arg1828z00_8376;

												{	/* SawBbv/bbv-types.scm 927 */
													long BgL_arg1829z00_8377;

													BgL_arg1829z00_8377 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8370);
													BgL_arg1828z00_8376 =
														(BgL_arg1829z00_8377 - OBJECT_TYPE);
												}
												BgL_oclassz00_8375 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8376);
											}
											{	/* SawBbv/bbv-types.scm 927 */
												bool_t BgL__ortest_1111z00_8378;

												BgL__ortest_1111z00_8378 =
													(BgL_classz00_8369 == BgL_oclassz00_8375);
												if (BgL__ortest_1111z00_8378)
													{	/* SawBbv/bbv-types.scm 927 */
														BgL_res3333z00_8374 = BgL__ortest_1111z00_8378;
													}
												else
													{	/* SawBbv/bbv-types.scm 927 */
														long BgL_odepthz00_8379;

														BgL_odepthz00_8379 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8375);
														if ((((long) 1) < BgL_odepthz00_8379))
															{	/* SawBbv/bbv-types.scm 927 */
																obj_t BgL_arg1816z00_8380;

																BgL_arg1816z00_8380 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8375,
																	((long) 1));
																BgL_res3333z00_8374 =
																	(BgL_arg1816z00_8380 == BgL_classz00_8369);
															}
														else
															{	/* SawBbv/bbv-types.scm 927 */
																BgL_res3333z00_8374 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4082z00_12479 = BgL_res3333z00_8374;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 927 */
								BgL_test4082z00_12479 = ((bool_t) 0);
							}
					}
					if (BgL_test4082z00_12479)
						{	/* SawBbv/bbv-types.scm 928 */
							bool_t BgL_test4087z00_12499;

							{	/* SawBbv/bbv-types.scm 928 */
								BgL_typez00_bglt BgL_arg2963z00_8381;
								BgL_typez00_bglt BgL_arg2964z00_8382;

								BgL_arg2963z00_8381 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_xz00_7690)))->BgL_typez00);
								BgL_arg2964z00_8382 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_yz00_7691)))->BgL_typez00);
								BgL_test4087z00_12499 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_arg2963z00_8381), ((obj_t) BgL_arg2964z00_8382));
							}
							if (BgL_test4087z00_12499)
								{	/* SawBbv/bbv-types.scm 929 */
									bool_t BgL_test4088z00_12507;

									{	/* SawBbv/bbv-types.scm 929 */
										obj_t BgL_arg2961z00_8383;
										obj_t BgL_arg2962z00_8384;

										BgL_arg2961z00_8383 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_xz00_7690)))->BgL_varz00);
										BgL_arg2962z00_8384 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_yz00_7691)))->BgL_varz00);
										BgL_test4088z00_12507 =
											BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2
											(BgL_arg2961z00_8383, BgL_arg2962z00_8384);
									}
									if (BgL_test4088z00_12507)
										{	/* SawBbv/bbv-types.scm 930 */
											obj_t BgL_arg2959z00_8385;
											obj_t BgL_arg2960z00_8386;

											BgL_arg2959z00_8385 =
												(((BgL_rtl_regz00_bglt) COBJECT(
														((BgL_rtl_regz00_bglt) BgL_xz00_7690)))->
												BgL_namez00);
											BgL_arg2960z00_8386 =
												(((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
															BgL_yz00_7691)))->BgL_namez00);
											BgL_tmpz00_12478 =
												BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2
												(BgL_arg2959z00_8385, BgL_arg2960z00_8386);
										}
									else
										{	/* SawBbv/bbv-types.scm 929 */
											BgL_tmpz00_12478 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 928 */
									BgL_tmpz00_12478 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 927 */
							BgL_tmpz00_12478 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12478);
			}
		}

	}



/* &bbv-equal?-rtl_ins/b1891 */
	obj_t BGl_z62bbvzd2equalzf3zd2rtl_inszf2b1891z63zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7692, obj_t BgL_xz00_7693, obj_t BgL_yz00_7694)
	{
		{	/* SawBbv/bbv-types.scm 916 */
			{	/* SawBbv/bbv-types.scm 917 */
				bool_t BgL_tmpz00_12519;

				{	/* SawBbv/bbv-types.scm 917 */
					bool_t BgL_test4089z00_12520;

					{	/* SawBbv/bbv-types.scm 917 */
						obj_t BgL_classz00_8388;

						BgL_classz00_8388 = BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
						if (BGL_OBJECTP(BgL_yz00_7694))
							{	/* SawBbv/bbv-types.scm 917 */
								BgL_objectz00_bglt BgL_arg1820z00_8389;

								BgL_arg1820z00_8389 = (BgL_objectz00_bglt) (BgL_yz00_7694);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 917 */
										long BgL_idxz00_8390;

										BgL_idxz00_8390 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8389);
										BgL_test4089z00_12520 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8390 + ((long) 2))) == BgL_classz00_8388);
									}
								else
									{	/* SawBbv/bbv-types.scm 917 */
										bool_t BgL_res3332z00_8393;

										{	/* SawBbv/bbv-types.scm 917 */
											obj_t BgL_oclassz00_8394;

											{	/* SawBbv/bbv-types.scm 917 */
												long BgL_arg1828z00_8395;

												{	/* SawBbv/bbv-types.scm 917 */
													long BgL_arg1829z00_8396;

													BgL_arg1829z00_8396 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8389);
													BgL_arg1828z00_8395 =
														(BgL_arg1829z00_8396 - OBJECT_TYPE);
												}
												BgL_oclassz00_8394 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8395);
											}
											{	/* SawBbv/bbv-types.scm 917 */
												bool_t BgL__ortest_1111z00_8397;

												BgL__ortest_1111z00_8397 =
													(BgL_classz00_8388 == BgL_oclassz00_8394);
												if (BgL__ortest_1111z00_8397)
													{	/* SawBbv/bbv-types.scm 917 */
														BgL_res3332z00_8393 = BgL__ortest_1111z00_8397;
													}
												else
													{	/* SawBbv/bbv-types.scm 917 */
														long BgL_odepthz00_8398;

														BgL_odepthz00_8398 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8394);
														if ((((long) 2) < BgL_odepthz00_8398))
															{	/* SawBbv/bbv-types.scm 917 */
																obj_t BgL_arg1816z00_8399;

																BgL_arg1816z00_8399 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8394,
																	((long) 2));
																BgL_res3332z00_8393 =
																	(BgL_arg1816z00_8399 == BgL_classz00_8388);
															}
														else
															{	/* SawBbv/bbv-types.scm 917 */
																BgL_res3332z00_8393 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4089z00_12520 = BgL_res3332z00_8393;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 917 */
								BgL_test4089z00_12520 = ((bool_t) 0);
							}
					}
					if (BgL_test4089z00_12520)
						{	/* SawBbv/bbv-types.scm 918 */
							bool_t BgL_test4094z00_12540;

							{	/* SawBbv/bbv-types.scm 918 */
								obj_t BgL_arg2957z00_8400;
								obj_t BgL_arg2958z00_8401;

								BgL_arg2957z00_8400 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_xz00_7693))))->BgL_destz00);
								BgL_arg2958z00_8401 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_yz00_7694)))->BgL_destz00);
								BgL_test4094z00_12540 =
									BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(BgL_arg2957z00_8400,
									BgL_arg2958z00_8401);
							}
							if (BgL_test4094z00_12540)
								{	/* SawBbv/bbv-types.scm 918 */
									if (
										(bgl_list_length(
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_xz00_7693))))->
													BgL_argsz00)) ==
											bgl_list_length((((BgL_rtl_insz00_bglt)
														COBJECT(((BgL_rtl_insz00_bglt) BgL_yz00_7694)))->
													BgL_argsz00))))
										{	/* SawBbv/bbv-types.scm 920 */
											obj_t BgL__andtest_1355z00_8402;

											{	/* SawBbv/bbv-types.scm 920 */
												obj_t BgL_arg2946z00_8403;
												obj_t BgL_arg2947z00_8404;

												BgL_arg2946z00_8403 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_xz00_7693))))->
													BgL_argsz00);
												BgL_arg2947z00_8404 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_yz00_7694)))->BgL_argsz00);
												{	/* SawBbv/bbv-types.scm 920 */
													obj_t BgL_list2948z00_8405;

													{	/* SawBbv/bbv-types.scm 920 */
														obj_t BgL_arg2949z00_8406;

														BgL_arg2949z00_8406 =
															MAKE_YOUNG_PAIR(BgL_arg2947z00_8404, BNIL);
														BgL_list2948z00_8405 =
															MAKE_YOUNG_PAIR(BgL_arg2946z00_8403,
															BgL_arg2949z00_8406);
													}
													BgL__andtest_1355z00_8402 =
														BGl_everyz00zz__r4_pairs_and_lists_6_3z00
														(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
														BgL_list2948z00_8405);
												}
											}
											if (CBOOL(BgL__andtest_1355z00_8402))
												{	/* SawBbv/bbv-types.scm 921 */
													BgL_rtl_funz00_bglt BgL_arg2941z00_8407;
													BgL_rtl_funz00_bglt BgL_arg2945z00_8408;

													BgL_arg2941z00_8407 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_xz00_7693))))->
														BgL_funz00);
													BgL_arg2945z00_8408 =
														(((BgL_rtl_insz00_bglt)
															COBJECT(((BgL_rtl_insz00_bglt) BgL_yz00_7694)))->
														BgL_funz00);
													BgL_tmpz00_12519 =
														BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(((obj_t)
															BgL_arg2941z00_8407),
														((obj_t) BgL_arg2945z00_8408));
												}
											else
												{	/* SawBbv/bbv-types.scm 920 */
													BgL_tmpz00_12519 = ((bool_t) 0);
												}
										}
									else
										{	/* SawBbv/bbv-types.scm 919 */
											BgL_tmpz00_12519 = ((bool_t) 0);
										}
								}
							else
								{	/* SawBbv/bbv-types.scm 918 */
									BgL_tmpz00_12519 = ((bool_t) 0);
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 917 */
							BgL_tmpz00_12519 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12519);
			}
		}

	}



/* &bbv-equal?-blockS1889 */
	obj_t BGl_z62bbvzd2equalzf3zd2blockS1889z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7695, obj_t BgL_xz00_7696, obj_t BgL_yz00_7697)
	{
		{	/* SawBbv/bbv-types.scm 908 */
			{	/* SawBbv/bbv-types.scm 909 */
				bool_t BgL_test4097z00_12575;

				{	/* SawBbv/bbv-types.scm 909 */
					obj_t BgL_classz00_8410;

					BgL_classz00_8410 = BGl_blockSz00zzsaw_bbvzd2typeszd2;
					if (BGL_OBJECTP(BgL_yz00_7697))
						{	/* SawBbv/bbv-types.scm 909 */
							BgL_objectz00_bglt BgL_arg1820z00_8411;

							BgL_arg1820z00_8411 = (BgL_objectz00_bglt) (BgL_yz00_7697);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 909 */
									long BgL_idxz00_8412;

									BgL_idxz00_8412 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8411);
									BgL_test4097z00_12575 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_8412 + ((long) 2))) == BgL_classz00_8410);
								}
							else
								{	/* SawBbv/bbv-types.scm 909 */
									bool_t BgL_res3331z00_8415;

									{	/* SawBbv/bbv-types.scm 909 */
										obj_t BgL_oclassz00_8416;

										{	/* SawBbv/bbv-types.scm 909 */
											long BgL_arg1828z00_8417;

											{	/* SawBbv/bbv-types.scm 909 */
												long BgL_arg1829z00_8418;

												BgL_arg1829z00_8418 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8411);
												BgL_arg1828z00_8417 =
													(BgL_arg1829z00_8418 - OBJECT_TYPE);
											}
											BgL_oclassz00_8416 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_8417);
										}
										{	/* SawBbv/bbv-types.scm 909 */
											bool_t BgL__ortest_1111z00_8419;

											BgL__ortest_1111z00_8419 =
												(BgL_classz00_8410 == BgL_oclassz00_8416);
											if (BgL__ortest_1111z00_8419)
												{	/* SawBbv/bbv-types.scm 909 */
													BgL_res3331z00_8415 = BgL__ortest_1111z00_8419;
												}
											else
												{	/* SawBbv/bbv-types.scm 909 */
													long BgL_odepthz00_8420;

													BgL_odepthz00_8420 =
														BGL_CLASS_DEPTH(BgL_oclassz00_8416);
													if ((((long) 2) < BgL_odepthz00_8420))
														{	/* SawBbv/bbv-types.scm 909 */
															obj_t BgL_arg1816z00_8421;

															BgL_arg1816z00_8421 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8416,
																((long) 2));
															BgL_res3331z00_8415 =
																(BgL_arg1816z00_8421 == BgL_classz00_8410);
														}
													else
														{	/* SawBbv/bbv-types.scm 909 */
															BgL_res3331z00_8415 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4097z00_12575 = BgL_res3331z00_8415;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 909 */
							BgL_test4097z00_12575 = ((bool_t) 0);
						}
				}
				if (BgL_test4097z00_12575)
					{	/* SawBbv/bbv-types.scm 909 */
						if (
							(bgl_list_length(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_xz00_7696))))->
										BgL_firstz00)) ==
								bgl_list_length((((BgL_blockz00_bglt)
											COBJECT(((BgL_blockz00_bglt) BgL_yz00_7697)))->
										BgL_firstz00))))
							{	/* SawBbv/bbv-types.scm 911 */
								obj_t BgL_arg2933z00_8422;
								obj_t BgL_arg2934z00_8423;

								BgL_arg2933z00_8422 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_xz00_7696))))->BgL_firstz00);
								BgL_arg2934z00_8423 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_yz00_7697)))->BgL_firstz00);
								{	/* SawBbv/bbv-types.scm 911 */
									obj_t BgL_list2935z00_8424;

									{	/* SawBbv/bbv-types.scm 911 */
										obj_t BgL_arg2936z00_8425;

										BgL_arg2936z00_8425 =
											MAKE_YOUNG_PAIR(BgL_arg2934z00_8423, BNIL);
										BgL_list2935z00_8424 =
											MAKE_YOUNG_PAIR(BgL_arg2933z00_8422, BgL_arg2936z00_8425);
									}
									return
										BGl_everyz00zz__r4_pairs_and_lists_6_3z00
										(BGl_bbvzd2equalzf3zd2envzf3zzsaw_bbvzd2typeszd2,
										BgL_list2935z00_8424);
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 910 */
								return BFALSE;
							}
					}
				else
					{	/* SawBbv/bbv-types.scm 909 */
						return BFALSE;
					}
			}
		}

	}



/* &bbv-equal?-atom1887 */
	obj_t BGl_z62bbvzd2equalzf3zd2atom1887z91zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7698, obj_t BgL_xz00_7699, obj_t BgL_yz00_7700)
	{
		{	/* SawBbv/bbv-types.scm 901 */
			{	/* SawBbv/bbv-types.scm 902 */
				bool_t BgL_tmpz00_12612;

				{	/* SawBbv/bbv-types.scm 902 */
					bool_t BgL_test4103z00_12613;

					{	/* SawBbv/bbv-types.scm 902 */
						obj_t BgL_classz00_8427;

						BgL_classz00_8427 = BGl_atomz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_yz00_7700))
							{	/* SawBbv/bbv-types.scm 902 */
								BgL_objectz00_bglt BgL_arg1820z00_8428;

								BgL_arg1820z00_8428 = (BgL_objectz00_bglt) (BgL_yz00_7700);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawBbv/bbv-types.scm 902 */
										long BgL_idxz00_8429;

										BgL_idxz00_8429 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8428);
										BgL_test4103z00_12613 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_8429 + ((long) 2))) == BgL_classz00_8427);
									}
								else
									{	/* SawBbv/bbv-types.scm 902 */
										bool_t BgL_res3330z00_8432;

										{	/* SawBbv/bbv-types.scm 902 */
											obj_t BgL_oclassz00_8433;

											{	/* SawBbv/bbv-types.scm 902 */
												long BgL_arg1828z00_8434;

												{	/* SawBbv/bbv-types.scm 902 */
													long BgL_arg1829z00_8435;

													BgL_arg1829z00_8435 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8428);
													BgL_arg1828z00_8434 =
														(BgL_arg1829z00_8435 - OBJECT_TYPE);
												}
												BgL_oclassz00_8433 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_8434);
											}
											{	/* SawBbv/bbv-types.scm 902 */
												bool_t BgL__ortest_1111z00_8436;

												BgL__ortest_1111z00_8436 =
													(BgL_classz00_8427 == BgL_oclassz00_8433);
												if (BgL__ortest_1111z00_8436)
													{	/* SawBbv/bbv-types.scm 902 */
														BgL_res3330z00_8432 = BgL__ortest_1111z00_8436;
													}
												else
													{	/* SawBbv/bbv-types.scm 902 */
														long BgL_odepthz00_8437;

														BgL_odepthz00_8437 =
															BGL_CLASS_DEPTH(BgL_oclassz00_8433);
														if ((((long) 2) < BgL_odepthz00_8437))
															{	/* SawBbv/bbv-types.scm 902 */
																obj_t BgL_arg1816z00_8438;

																BgL_arg1816z00_8438 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8433,
																	((long) 2));
																BgL_res3330z00_8432 =
																	(BgL_arg1816z00_8438 == BgL_classz00_8427);
															}
														else
															{	/* SawBbv/bbv-types.scm 902 */
																BgL_res3330z00_8432 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test4103z00_12613 = BgL_res3330z00_8432;
									}
							}
						else
							{	/* SawBbv/bbv-types.scm 902 */
								BgL_test4103z00_12613 = ((bool_t) 0);
							}
					}
					if (BgL_test4103z00_12613)
						{	/* SawBbv/bbv-types.scm 902 */
							BgL_tmpz00_12612 =
								BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_xz00_7699)))->BgL_valuez00),
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt) BgL_yz00_7700)))->BgL_valuez00));
						}
					else
						{	/* SawBbv/bbv-types.scm 902 */
							BgL_tmpz00_12612 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_12612);
			}
		}

	}



/* &bbv-hash-rtl_cast_nu1883 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast_nu1883z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7701, obj_t BgL_oz00_7702)
	{
		{	/* SawBbv/bbv-types.scm 889 */
			{

				{	/* SawBbv/bbv-types.scm 890 */
					obj_t BgL_arg2908z00_8442;
					obj_t BgL_arg2909z00_8443;

					{	/* SawBbv/bbv-types.scm 889 */
						obj_t BgL_nextzd2method1882zd2_8441;

						BgL_nextzd2method1882zd2_8441 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7702)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_cast_nullz00zzsaw_defsz00);
						BgL_arg2908z00_8442 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1882zd2_8441))
							(BgL_nextzd2method1882zd2_8441,
							((obj_t) ((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7702)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 890 */
						BgL_typez00_bglt BgL_arg2910z00_8444;

						BgL_arg2910z00_8444 =
							(((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7702)))->BgL_typez00);
						BgL_arg2909z00_8443 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2910z00_8444));
					}
					return
						BINT(
						((long) CINT(BgL_arg2908z00_8442) ^
							(long) CINT(BgL_arg2909z00_8443)));
		}}}

	}



/* &bbv-hash-rtl_cast1881 */
	obj_t BGl_z62bbvzd2hashzd2rtl_cast1881z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7703, obj_t BgL_oz00_7704)
	{
		{	/* SawBbv/bbv-types.scm 882 */
			{

				{	/* SawBbv/bbv-types.scm 883 */
					obj_t BgL_arg2893z00_8448;
					long BgL_arg2894z00_8449;

					{	/* SawBbv/bbv-types.scm 882 */
						obj_t BgL_nextzd2method1880zd2_8447;

						BgL_nextzd2method1880zd2_8447 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_castz00_bglt) BgL_oz00_7704)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_castz00zzsaw_defsz00);
						BgL_arg2893z00_8448 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1880zd2_8447))
							(BgL_nextzd2method1880zd2_8447,
							((obj_t) ((BgL_rtl_castz00_bglt) BgL_oz00_7704)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 884 */
						obj_t BgL_arg2895z00_8450;
						obj_t BgL_arg2902z00_8451;

						{	/* SawBbv/bbv-types.scm 884 */
							BgL_typez00_bglt BgL_arg2903z00_8452;

							BgL_arg2903z00_8452 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_7704)))->BgL_fromtypez00);
							BgL_arg2895z00_8450 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2903z00_8452));
						}
						{	/* SawBbv/bbv-types.scm 884 */
							BgL_typez00_bglt BgL_arg2904z00_8453;

							BgL_arg2904z00_8453 =
								(((BgL_rtl_castz00_bglt) COBJECT(
										((BgL_rtl_castz00_bglt) BgL_oz00_7704)))->BgL_totypez00);
							BgL_arg2902z00_8451 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2904z00_8453));
						}
						BgL_arg2894z00_8449 =
							(
							(long) CINT(BgL_arg2895z00_8450) ^
							(long) CINT(BgL_arg2902z00_8451));
					}
					return BINT(((long) CINT(BgL_arg2893z00_8448) ^ BgL_arg2894z00_8449));
		}}}

	}



/* &bbv-hash-rtl_pragma1879 */
	obj_t BGl_z62bbvzd2hashzd2rtl_pragma1879z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7705, obj_t BgL_oz00_7706)
	{
		{	/* SawBbv/bbv-types.scm 875 */
			{

				{	/* SawBbv/bbv-types.scm 876 */
					obj_t BgL_arg2888z00_8457;
					obj_t BgL_arg2889z00_8458;

					{	/* SawBbv/bbv-types.scm 875 */
						obj_t BgL_nextzd2method1878zd2_8456;

						BgL_nextzd2method1878zd2_8456 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_pragmaz00_bglt) BgL_oz00_7706)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_pragmaz00zzsaw_defsz00);
						BgL_arg2888z00_8457 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1878zd2_8456))
							(BgL_nextzd2method1878zd2_8456,
							((obj_t) ((BgL_rtl_pragmaz00_bglt) BgL_oz00_7706)), BEOA);
					}
					BgL_arg2889z00_8458 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						(((BgL_rtl_pragmaz00_bglt) COBJECT(
									((BgL_rtl_pragmaz00_bglt) BgL_oz00_7706)))->BgL_formatz00));
					return
						BINT(
						((long) CINT(BgL_arg2888z00_8457) ^
							(long) CINT(BgL_arg2889z00_8458)));
		}}}

	}



/* &bbv-hash-rtl_lightfu1877 */
	obj_t BGl_z62bbvzd2hashzd2rtl_lightfu1877z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7707, obj_t BgL_oz00_7708)
	{
		{	/* SawBbv/bbv-types.scm 865 */
			{

				{	/* SawBbv/bbv-types.scm 866 */
					obj_t BgL_arg2865z00_8462;
					long BgL_arg2866z00_8463;

					{	/* SawBbv/bbv-types.scm 865 */
						obj_t BgL_nextzd2method1876zd2_8461;

						BgL_nextzd2method1876zd2_8461 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7708)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BgL_arg2865z00_8462 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1876zd2_8461))
							(BgL_nextzd2method1876zd2_8461,
							((obj_t) ((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7708)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 868 */
						obj_t BgL_arg2867z00_8464;
						long BgL_arg2868z00_8465;

						BgL_arg2867z00_8464 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
										((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7708)))->
								BgL_namez00));
						{	/* SawBbv/bbv-types.scm 869 */
							obj_t BgL_arg2873z00_8466;
							obj_t BgL_arg2874z00_8467;

							BgL_arg2873z00_8466 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
											((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7708)))->
									BgL_rettypez00));
							{	/* SawBbv/bbv-types.scm 870 */
								obj_t BgL_arg2876z00_8468;

								{	/* SawBbv/bbv-types.scm 870 */
									obj_t BgL_l1772z00_8469;

									BgL_l1772z00_8469 =
										(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
												((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7708)))->
										BgL_funsz00);
									if (NULLP(BgL_l1772z00_8469))
										{	/* SawBbv/bbv-types.scm 870 */
											BgL_arg2876z00_8468 = BNIL;
										}
									else
										{	/* SawBbv/bbv-types.scm 870 */
											obj_t BgL_head1774z00_8470;

											BgL_head1774z00_8470 =
												MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
												(CAR(BgL_l1772z00_8469)), BNIL);
											{	/* SawBbv/bbv-types.scm 870 */
												obj_t BgL_g1777z00_8471;

												BgL_g1777z00_8471 = CDR(BgL_l1772z00_8469);
												{
													obj_t BgL_l1772z00_8473;
													obj_t BgL_tail1775z00_8474;

													BgL_l1772z00_8473 = BgL_g1777z00_8471;
													BgL_tail1775z00_8474 = BgL_head1774z00_8470;
												BgL_zc3z04anonymousza32878ze3z87_8472:
													if (NULLP(BgL_l1772z00_8473))
														{	/* SawBbv/bbv-types.scm 870 */
															BgL_arg2876z00_8468 = BgL_head1774z00_8470;
														}
													else
														{	/* SawBbv/bbv-types.scm 870 */
															obj_t BgL_newtail1776z00_8475;

															{	/* SawBbv/bbv-types.scm 870 */
																obj_t BgL_arg2884z00_8476;

																{	/* SawBbv/bbv-types.scm 870 */
																	obj_t BgL_arg2885z00_8477;

																	BgL_arg2885z00_8477 =
																		CAR(((obj_t) BgL_l1772z00_8473));
																	BgL_arg2884z00_8476 =
																		BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																		(BgL_arg2885z00_8477);
																}
																BgL_newtail1776z00_8475 =
																	MAKE_YOUNG_PAIR(BgL_arg2884z00_8476, BNIL);
															}
															SET_CDR(BgL_tail1775z00_8474,
																BgL_newtail1776z00_8475);
															{	/* SawBbv/bbv-types.scm 870 */
																obj_t BgL_arg2880z00_8478;

																BgL_arg2880z00_8478 =
																	CDR(((obj_t) BgL_l1772z00_8473));
																{
																	obj_t BgL_tail1775z00_12728;
																	obj_t BgL_l1772z00_12727;

																	BgL_l1772z00_12727 = BgL_arg2880z00_8478;
																	BgL_tail1775z00_12728 =
																		BgL_newtail1776z00_8475;
																	BgL_tail1775z00_8474 = BgL_tail1775z00_12728;
																	BgL_l1772z00_8473 = BgL_l1772z00_12727;
																	goto BgL_zc3z04anonymousza32878ze3z87_8472;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2874z00_8467 =
									BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg2876z00_8468);
							}
							BgL_arg2868z00_8465 =
								(
								(long) CINT(BgL_arg2873z00_8466) ^
								(long) CINT(BgL_arg2874z00_8467));
						}
						BgL_arg2866z00_8463 =
							((long) CINT(BgL_arg2867z00_8464) ^ BgL_arg2868z00_8465);
					}
					return BINT(((long) CINT(BgL_arg2865z00_8462) ^ BgL_arg2866z00_8463));
		}}}

	}



/* &bbv-hash-rtl_call1875 */
	obj_t BGl_z62bbvzd2hashzd2rtl_call1875z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7709, obj_t BgL_oz00_7710)
	{
		{	/* SawBbv/bbv-types.scm 858 */
			{

				{	/* SawBbv/bbv-types.scm 860 */
					obj_t BgL_arg2862z00_8482;
					obj_t BgL_arg2863z00_8483;

					{	/* SawBbv/bbv-types.scm 858 */
						obj_t BgL_nextzd2method1874zd2_8481;

						BgL_nextzd2method1874zd2_8481 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_oz00_7710)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_callz00zzsaw_defsz00);
						BgL_arg2862z00_8482 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1874zd2_8481))
							(BgL_nextzd2method1874zd2_8481,
							((obj_t) ((BgL_rtl_callz00_bglt) BgL_oz00_7710)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 860 */
						BgL_globalz00_bglt BgL_arg2864z00_8484;

						BgL_arg2864z00_8484 =
							(((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_oz00_7710)))->BgL_varz00);
						BgL_arg2863z00_8483 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2864z00_8484));
					}
					return
						BINT(
						((long) CINT(BgL_arg2862z00_8482) ^
							(long) CINT(BgL_arg2863z00_8483)));
		}}}

	}



/* &bbv-hash-rtl_new1873 */
	obj_t BGl_z62bbvzd2hashzd2rtl_new1873z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7711, obj_t BgL_oz00_7712)
	{
		{	/* SawBbv/bbv-types.scm 849 */
			{

				{	/* SawBbv/bbv-types.scm 850 */
					obj_t BgL_arg2841z00_8488;
					long BgL_arg2842z00_8489;

					{	/* SawBbv/bbv-types.scm 849 */
						obj_t BgL_nextzd2method1872zd2_8487;

						BgL_nextzd2method1872zd2_8487 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_newz00_bglt) BgL_oz00_7712)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_newz00zzsaw_defsz00);
						BgL_arg2841z00_8488 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1872zd2_8487))
							(BgL_nextzd2method1872zd2_8487,
							((obj_t) ((BgL_rtl_newz00_bglt) BgL_oz00_7712)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 852 */
						obj_t BgL_arg2843z00_8490;
						obj_t BgL_arg2845z00_8491;

						{	/* SawBbv/bbv-types.scm 852 */
							BgL_typez00_bglt BgL_arg2849z00_8492;

							BgL_arg2849z00_8492 =
								(((BgL_rtl_newz00_bglt) COBJECT(
										((BgL_rtl_newz00_bglt) BgL_oz00_7712)))->BgL_typez00);
							BgL_arg2843z00_8490 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2849z00_8492));
						}
						{	/* SawBbv/bbv-types.scm 853 */
							obj_t BgL_arg2850z00_8493;

							{	/* SawBbv/bbv-types.scm 853 */
								obj_t BgL_l1766z00_8494;

								BgL_l1766z00_8494 =
									(((BgL_rtl_newz00_bglt) COBJECT(
											((BgL_rtl_newz00_bglt) BgL_oz00_7712)))->BgL_constrz00);
								if (NULLP(BgL_l1766z00_8494))
									{	/* SawBbv/bbv-types.scm 853 */
										BgL_arg2850z00_8493 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 853 */
										obj_t BgL_head1768z00_8495;

										BgL_head1768z00_8495 =
											MAKE_YOUNG_PAIR(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(CAR
												(BgL_l1766z00_8494)), BNIL);
										{	/* SawBbv/bbv-types.scm 853 */
											obj_t BgL_g1771z00_8496;

											BgL_g1771z00_8496 = CDR(BgL_l1766z00_8494);
											{
												obj_t BgL_l1766z00_8498;
												obj_t BgL_tail1769z00_8499;

												BgL_l1766z00_8498 = BgL_g1771z00_8496;
												BgL_tail1769z00_8499 = BgL_head1768z00_8495;
											BgL_zc3z04anonymousza32852ze3z87_8497:
												if (NULLP(BgL_l1766z00_8498))
													{	/* SawBbv/bbv-types.scm 853 */
														BgL_arg2850z00_8493 = BgL_head1768z00_8495;
													}
												else
													{	/* SawBbv/bbv-types.scm 853 */
														obj_t BgL_newtail1770z00_8500;

														{	/* SawBbv/bbv-types.scm 853 */
															obj_t BgL_arg2855z00_8501;

															{	/* SawBbv/bbv-types.scm 853 */
																obj_t BgL_arg2856z00_8502;

																BgL_arg2856z00_8502 =
																	CAR(((obj_t) BgL_l1766z00_8498));
																BgL_arg2855z00_8501 =
																	BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																	(BgL_arg2856z00_8502);
															}
															BgL_newtail1770z00_8500 =
																MAKE_YOUNG_PAIR(BgL_arg2855z00_8501, BNIL);
														}
														SET_CDR(BgL_tail1769z00_8499,
															BgL_newtail1770z00_8500);
														{	/* SawBbv/bbv-types.scm 853 */
															obj_t BgL_arg2854z00_8503;

															BgL_arg2854z00_8503 =
																CDR(((obj_t) BgL_l1766z00_8498));
															{
																obj_t BgL_tail1769z00_12786;
																obj_t BgL_l1766z00_12785;

																BgL_l1766z00_12785 = BgL_arg2854z00_8503;
																BgL_tail1769z00_12786 = BgL_newtail1770z00_8500;
																BgL_tail1769z00_8499 = BgL_tail1769z00_12786;
																BgL_l1766z00_8498 = BgL_l1766z00_12785;
																goto BgL_zc3z04anonymousza32852ze3z87_8497;
															}
														}
													}
											}
										}
									}
							}
							BgL_arg2845z00_8491 =
								BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2(BgL_arg2850z00_8493);
						}
						BgL_arg2842z00_8489 =
							(
							(long) CINT(BgL_arg2843z00_8490) ^
							(long) CINT(BgL_arg2845z00_8491));
					}
					return BINT(((long) CINT(BgL_arg2841z00_8488) ^ BgL_arg2842z00_8489));
		}}}

	}



/* &bbv-hash-rtl_vset1871 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vset1871z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7713, obj_t BgL_oz00_7714)
	{
		{	/* SawBbv/bbv-types.scm 842 */
			{

				{	/* SawBbv/bbv-types.scm 843 */
					obj_t BgL_arg2825z00_8507;
					long BgL_arg2826z00_8508;

					{	/* SawBbv/bbv-types.scm 842 */
						obj_t BgL_nextzd2method1870zd2_8506;

						BgL_nextzd2method1870zd2_8506 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vsetz00_bglt) BgL_oz00_7714)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vsetz00zzsaw_defsz00);
						BgL_arg2825z00_8507 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1870zd2_8506))
							(BgL_nextzd2method1870zd2_8506,
							((obj_t) ((BgL_rtl_vsetz00_bglt) BgL_oz00_7714)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 844 */
						obj_t BgL_arg2827z00_8509;
						obj_t BgL_arg2838z00_8510;

						{	/* SawBbv/bbv-types.scm 844 */
							BgL_typez00_bglt BgL_arg2839z00_8511;

							BgL_arg2839z00_8511 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_7714)))->BgL_typez00);
							BgL_arg2827z00_8509 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2839z00_8511));
						}
						{	/* SawBbv/bbv-types.scm 844 */
							BgL_typez00_bglt BgL_arg2840z00_8512;

							BgL_arg2840z00_8512 =
								(((BgL_rtl_vsetz00_bglt) COBJECT(
										((BgL_rtl_vsetz00_bglt) BgL_oz00_7714)))->BgL_vtypez00);
							BgL_arg2838z00_8510 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2840z00_8512));
						}
						BgL_arg2826z00_8508 =
							(
							(long) CINT(BgL_arg2827z00_8509) ^
							(long) CINT(BgL_arg2838z00_8510));
					}
					return BINT(((long) CINT(BgL_arg2825z00_8507) ^ BgL_arg2826z00_8508));
		}}}

	}



/* &bbv-hash-rtl_setfiel1869 */
	obj_t BGl_z62bbvzd2hashzd2rtl_setfiel1869z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7715, obj_t BgL_oz00_7716)
	{
		{	/* SawBbv/bbv-types.scm 833 */
			{

				{	/* SawBbv/bbv-types.scm 834 */
					obj_t BgL_arg2810z00_8516;
					long BgL_arg2811z00_8517;

					{	/* SawBbv/bbv-types.scm 833 */
						obj_t BgL_nextzd2method1868zd2_8515;

						BgL_nextzd2method1868zd2_8515 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_setfieldz00_bglt) BgL_oz00_7716)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_setfieldz00zzsaw_defsz00);
						BgL_arg2810z00_8516 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1868zd2_8515))
							(BgL_nextzd2method1868zd2_8515,
							((obj_t) ((BgL_rtl_setfieldz00_bglt) BgL_oz00_7716)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 836 */
						obj_t BgL_arg2814z00_8518;
						long BgL_arg2815z00_8519;

						BgL_arg2814z00_8518 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_setfieldz00_bglt) COBJECT(
										((BgL_rtl_setfieldz00_bglt) BgL_oz00_7716)))->BgL_namez00));
						{	/* SawBbv/bbv-types.scm 837 */
							obj_t BgL_arg2817z00_8520;
							obj_t BgL_arg2818z00_8521;

							{	/* SawBbv/bbv-types.scm 837 */
								BgL_typez00_bglt BgL_arg2821z00_8522;

								BgL_arg2821z00_8522 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_7716)))->
									BgL_objtypez00);
								BgL_arg2817z00_8520 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2821z00_8522));
							}
							{	/* SawBbv/bbv-types.scm 837 */
								BgL_typez00_bglt BgL_arg2822z00_8523;

								BgL_arg2822z00_8523 =
									(((BgL_rtl_setfieldz00_bglt) COBJECT(
											((BgL_rtl_setfieldz00_bglt) BgL_oz00_7716)))->
									BgL_typez00);
								BgL_arg2818z00_8521 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2822z00_8523));
							}
							BgL_arg2815z00_8519 =
								(
								(long) CINT(BgL_arg2817z00_8520) ^
								(long) CINT(BgL_arg2818z00_8521));
						}
						BgL_arg2811z00_8517 =
							((long) CINT(BgL_arg2814z00_8518) ^ BgL_arg2815z00_8519);
					}
					return BINT(((long) CINT(BgL_arg2810z00_8516) ^ BgL_arg2811z00_8517));
		}}}

	}



/* &bbv-hash-rtl_storeg1867 */
	obj_t BGl_z62bbvzd2hashzd2rtl_storeg1867z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7717, obj_t BgL_oz00_7718)
	{
		{	/* SawBbv/bbv-types.scm 824 */
			{

				{	/* SawBbv/bbv-types.scm 825 */
					obj_t BgL_arg2799z00_8527;
					long BgL_arg2802z00_8528;

					{	/* SawBbv/bbv-types.scm 824 */
						obj_t BgL_nextzd2method1866zd2_8526;

						BgL_nextzd2method1866zd2_8526 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_storegz00_bglt) BgL_oz00_7718)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_storegz00zzsaw_defsz00);
						BgL_arg2799z00_8527 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1866zd2_8526))
							(BgL_nextzd2method1866zd2_8526,
							((obj_t) ((BgL_rtl_storegz00_bglt) BgL_oz00_7718)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 827 */
						BgL_globalz00_bglt BgL_i1347z00_8529;

						BgL_i1347z00_8529 =
							(((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_oz00_7718)))->BgL_varz00);
						{	/* SawBbv/bbv-types.scm 828 */
							obj_t BgL_arg2803z00_8530;
							obj_t BgL_arg2804z00_8531;

							BgL_arg2803z00_8530 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								(((BgL_globalz00_bglt) COBJECT(BgL_i1347z00_8529))->
									BgL_modulez00));
							{	/* SawBbv/bbv-types.scm 828 */
								obj_t BgL_arg2807z00_8532;

								BgL_arg2807z00_8532 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_i1347z00_8529)))->BgL_idz00);
								BgL_arg2804z00_8531 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg2807z00_8532);
							}
							BgL_arg2802z00_8528 =
								(
								(long) CINT(BgL_arg2803z00_8530) ^
								(long) CINT(BgL_arg2804z00_8531));
					}}
					return BINT(((long) CINT(BgL_arg2799z00_8527) ^ BgL_arg2802z00_8528));
		}}}

	}



/* &bbv-hash-rtl_instanc1865 */
	obj_t BGl_z62bbvzd2hashzd2rtl_instanc1865z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7719, obj_t BgL_oz00_7720)
	{
		{	/* SawBbv/bbv-types.scm 817 */
			{

				{	/* SawBbv/bbv-types.scm 818 */
					obj_t BgL_arg2796z00_8536;
					obj_t BgL_arg2797z00_8537;

					{	/* SawBbv/bbv-types.scm 817 */
						obj_t BgL_nextzd2method1864zd2_8535;

						BgL_nextzd2method1864zd2_8535 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_instanceofz00_bglt) BgL_oz00_7720)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_instanceofz00zzsaw_defsz00);
						BgL_arg2796z00_8536 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1864zd2_8535))
							(BgL_nextzd2method1864zd2_8535,
							((obj_t) ((BgL_rtl_instanceofz00_bglt) BgL_oz00_7720)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 819 */
						BgL_typez00_bglt BgL_arg2798z00_8538;

						BgL_arg2798z00_8538 =
							(((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_oz00_7720)))->BgL_typez00);
						BgL_arg2797z00_8537 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2798z00_8538));
					}
					return
						BINT(
						((long) CINT(BgL_arg2796z00_8536) ^
							(long) CINT(BgL_arg2797z00_8537)));
		}}}

	}



/* &bbv-hash-rtl_vlength1863 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vlength1863z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7721, obj_t BgL_oz00_7722)
	{
		{	/* SawBbv/bbv-types.scm 810 */
			{

				{	/* SawBbv/bbv-types.scm 811 */
					obj_t BgL_arg2786z00_8542;
					long BgL_arg2787z00_8543;

					{	/* SawBbv/bbv-types.scm 810 */
						obj_t BgL_nextzd2method1862zd2_8541;

						BgL_nextzd2method1862zd2_8541 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vlengthz00_bglt) BgL_oz00_7722)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vlengthz00zzsaw_defsz00);
						BgL_arg2786z00_8542 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1862zd2_8541))
							(BgL_nextzd2method1862zd2_8541,
							((obj_t) ((BgL_rtl_vlengthz00_bglt) BgL_oz00_7722)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 812 */
						obj_t BgL_arg2790z00_8544;
						obj_t BgL_arg2791z00_8545;

						{	/* SawBbv/bbv-types.scm 812 */
							BgL_typez00_bglt BgL_arg2792z00_8546;

							BgL_arg2792z00_8546 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_7722)))->BgL_typez00);
							BgL_arg2790z00_8544 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2792z00_8546));
						}
						{	/* SawBbv/bbv-types.scm 812 */
							BgL_typez00_bglt BgL_arg2793z00_8547;

							BgL_arg2793z00_8547 =
								(((BgL_rtl_vlengthz00_bglt) COBJECT(
										((BgL_rtl_vlengthz00_bglt) BgL_oz00_7722)))->BgL_vtypez00);
							BgL_arg2791z00_8545 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2793z00_8547));
						}
						BgL_arg2787z00_8543 =
							(
							(long) CINT(BgL_arg2790z00_8544) ^
							(long) CINT(BgL_arg2791z00_8545));
					}
					return BINT(((long) CINT(BgL_arg2786z00_8542) ^ BgL_arg2787z00_8543));
		}}}

	}



/* &bbv-hash-rtl_vref1861 */
	obj_t BGl_z62bbvzd2hashzd2rtl_vref1861z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7723, obj_t BgL_oz00_7724)
	{
		{	/* SawBbv/bbv-types.scm 803 */
			{

				{	/* SawBbv/bbv-types.scm 804 */
					obj_t BgL_arg2779z00_8551;
					long BgL_arg2780z00_8552;

					{	/* SawBbv/bbv-types.scm 803 */
						obj_t BgL_nextzd2method1860zd2_8550;

						BgL_nextzd2method1860zd2_8550 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vrefz00_bglt) BgL_oz00_7724)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vrefz00zzsaw_defsz00);
						BgL_arg2779z00_8551 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1860zd2_8550))
							(BgL_nextzd2method1860zd2_8550,
							((obj_t) ((BgL_rtl_vrefz00_bglt) BgL_oz00_7724)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 805 */
						obj_t BgL_arg2782z00_8553;
						obj_t BgL_arg2783z00_8554;

						{	/* SawBbv/bbv-types.scm 805 */
							BgL_typez00_bglt BgL_arg2784z00_8555;

							BgL_arg2784z00_8555 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_7724)))->BgL_typez00);
							BgL_arg2782z00_8553 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2784z00_8555));
						}
						{	/* SawBbv/bbv-types.scm 805 */
							BgL_typez00_bglt BgL_arg2785z00_8556;

							BgL_arg2785z00_8556 =
								(((BgL_rtl_vrefz00_bglt) COBJECT(
										((BgL_rtl_vrefz00_bglt) BgL_oz00_7724)))->BgL_vtypez00);
							BgL_arg2783z00_8554 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2785z00_8556));
						}
						BgL_arg2780z00_8552 =
							(
							(long) CINT(BgL_arg2782z00_8553) ^
							(long) CINT(BgL_arg2783z00_8554));
					}
					return BINT(((long) CINT(BgL_arg2779z00_8551) ^ BgL_arg2780z00_8552));
		}}}

	}



/* &bbv-hash-rtl_valloc1859 */
	obj_t BGl_z62bbvzd2hashzd2rtl_valloc1859z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7725, obj_t BgL_oz00_7726)
	{
		{	/* SawBbv/bbv-types.scm 796 */
			{

				{	/* SawBbv/bbv-types.scm 797 */
					obj_t BgL_arg2771z00_8560;
					long BgL_arg2772z00_8561;

					{	/* SawBbv/bbv-types.scm 796 */
						obj_t BgL_nextzd2method1858zd2_8559;

						BgL_nextzd2method1858zd2_8559 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_vallocz00_bglt) BgL_oz00_7726)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_vallocz00zzsaw_defsz00);
						BgL_arg2771z00_8560 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1858zd2_8559))
							(BgL_nextzd2method1858zd2_8559,
							((obj_t) ((BgL_rtl_vallocz00_bglt) BgL_oz00_7726)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 798 */
						obj_t BgL_arg2774z00_8562;
						obj_t BgL_arg2775z00_8563;

						{	/* SawBbv/bbv-types.scm 798 */
							BgL_typez00_bglt BgL_arg2777z00_8564;

							BgL_arg2777z00_8564 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_7726)))->BgL_typez00);
							BgL_arg2774z00_8562 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2777z00_8564));
						}
						{	/* SawBbv/bbv-types.scm 798 */
							BgL_typez00_bglt BgL_arg2778z00_8565;

							BgL_arg2778z00_8565 =
								(((BgL_rtl_vallocz00_bglt) COBJECT(
										((BgL_rtl_vallocz00_bglt) BgL_oz00_7726)))->BgL_vtypez00);
							BgL_arg2775z00_8563 =
								BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
								((obj_t) BgL_arg2778z00_8565));
						}
						BgL_arg2772z00_8561 =
							(
							(long) CINT(BgL_arg2774z00_8562) ^
							(long) CINT(BgL_arg2775z00_8563));
					}
					return BINT(((long) CINT(BgL_arg2771z00_8560) ^ BgL_arg2772z00_8561));
		}}}

	}



/* &bbv-hash-rtl_getfiel1857 */
	obj_t BGl_z62bbvzd2hashzd2rtl_getfiel1857z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7727, obj_t BgL_oz00_7728)
	{
		{	/* SawBbv/bbv-types.scm 787 */
			{

				{	/* SawBbv/bbv-types.scm 788 */
					obj_t BgL_arg2750z00_8569;
					long BgL_arg2752z00_8570;

					{	/* SawBbv/bbv-types.scm 787 */
						obj_t BgL_nextzd2method1856zd2_8568;

						BgL_nextzd2method1856zd2_8568 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_getfieldz00_bglt) BgL_oz00_7728)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_getfieldz00zzsaw_defsz00);
						BgL_arg2750z00_8569 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1856zd2_8568))
							(BgL_nextzd2method1856zd2_8568,
							((obj_t) ((BgL_rtl_getfieldz00_bglt) BgL_oz00_7728)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 790 */
						obj_t BgL_arg2753z00_8571;
						long BgL_arg2755z00_8572;

						BgL_arg2753z00_8571 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							(((BgL_rtl_getfieldz00_bglt) COBJECT(
										((BgL_rtl_getfieldz00_bglt) BgL_oz00_7728)))->BgL_namez00));
						{	/* SawBbv/bbv-types.scm 791 */
							obj_t BgL_arg2760z00_8573;
							obj_t BgL_arg2761z00_8574;

							{	/* SawBbv/bbv-types.scm 791 */
								BgL_typez00_bglt BgL_arg2764z00_8575;

								BgL_arg2764z00_8575 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_7728)))->
									BgL_objtypez00);
								BgL_arg2760z00_8573 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2764z00_8575));
							}
							{	/* SawBbv/bbv-types.scm 791 */
								BgL_typez00_bglt BgL_arg2767z00_8576;

								BgL_arg2767z00_8576 =
									(((BgL_rtl_getfieldz00_bglt) COBJECT(
											((BgL_rtl_getfieldz00_bglt) BgL_oz00_7728)))->
									BgL_typez00);
								BgL_arg2761z00_8574 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t)
										BgL_arg2767z00_8576));
							}
							BgL_arg2755z00_8572 =
								(
								(long) CINT(BgL_arg2760z00_8573) ^
								(long) CINT(BgL_arg2761z00_8574));
						}
						BgL_arg2752z00_8570 =
							((long) CINT(BgL_arg2753z00_8571) ^ BgL_arg2755z00_8572);
					}
					return BINT(((long) CINT(BgL_arg2750z00_8569) ^ BgL_arg2752z00_8570));
		}}}

	}



/* &bbv-hash-rtl_globalr1855 */
	obj_t BGl_z62bbvzd2hashzd2rtl_globalr1855z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7729, obj_t BgL_oz00_7730)
	{
		{	/* SawBbv/bbv-types.scm 780 */
			{

				{	/* SawBbv/bbv-types.scm 782 */
					obj_t BgL_arg2747z00_8580;
					obj_t BgL_arg2748z00_8581;

					{	/* SawBbv/bbv-types.scm 780 */
						obj_t BgL_nextzd2method1854zd2_8579;

						BgL_nextzd2method1854zd2_8579 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_7730)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_globalrefz00zzsaw_defsz00);
						BgL_arg2747z00_8580 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1854zd2_8579))
							(BgL_nextzd2method1854zd2_8579,
							((obj_t) ((BgL_rtl_globalrefz00_bglt) BgL_oz00_7730)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 782 */
						BgL_globalz00_bglt BgL_arg2749z00_8582;

						BgL_arg2749z00_8582 =
							(((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_oz00_7730)))->BgL_varz00);
						BgL_arg2748z00_8581 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2749z00_8582));
					}
					return
						BINT(
						((long) CINT(BgL_arg2747z00_8580) ^
							(long) CINT(BgL_arg2748z00_8581)));
		}}}

	}



/* &bbv-hash-rtl_loadfun1853 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadfun1853z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7731, obj_t BgL_oz00_7732)
	{
		{	/* SawBbv/bbv-types.scm 773 */
			{

				{	/* SawBbv/bbv-types.scm 775 */
					obj_t BgL_arg2742z00_8586;
					obj_t BgL_arg2744z00_8587;

					{	/* SawBbv/bbv-types.scm 773 */
						obj_t BgL_nextzd2method1852zd2_8585;

						BgL_nextzd2method1852zd2_8585 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_7732)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadfunz00zzsaw_defsz00);
						BgL_arg2742z00_8586 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1852zd2_8585))
							(BgL_nextzd2method1852zd2_8585,
							((obj_t) ((BgL_rtl_loadfunz00_bglt) BgL_oz00_7732)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 775 */
						BgL_globalz00_bglt BgL_arg2745z00_8588;

						BgL_arg2745z00_8588 =
							(((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_oz00_7732)))->BgL_varz00);
						BgL_arg2744z00_8587 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2745z00_8588));
					}
					return
						BINT(
						((long) CINT(BgL_arg2742z00_8586) ^
							(long) CINT(BgL_arg2744z00_8587)));
		}}}

	}



/* &bbv-hash-rtl_loadg1851 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadg1851z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7733, obj_t BgL_oz00_7734)
	{
		{	/* SawBbv/bbv-types.scm 766 */
			{

				{	/* SawBbv/bbv-types.scm 768 */
					obj_t BgL_arg2735z00_8592;
					obj_t BgL_arg2737z00_8593;

					{	/* SawBbv/bbv-types.scm 766 */
						obj_t BgL_nextzd2method1850zd2_8591;

						BgL_nextzd2method1850zd2_8591 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadgz00_bglt) BgL_oz00_7734)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadgz00zzsaw_defsz00);
						BgL_arg2735z00_8592 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1850zd2_8591))
							(BgL_nextzd2method1850zd2_8591,
							((obj_t) ((BgL_rtl_loadgz00_bglt) BgL_oz00_7734)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 768 */
						BgL_globalz00_bglt BgL_arg2738z00_8594;

						BgL_arg2738z00_8594 =
							(((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_oz00_7734)))->BgL_varz00);
						BgL_arg2737z00_8593 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2738z00_8594));
					}
					return
						BINT(
						((long) CINT(BgL_arg2735z00_8592) ^
							(long) CINT(BgL_arg2737z00_8593)));
		}}}

	}



/* &bbv-hash-rtl_loadi1849 */
	obj_t BGl_z62bbvzd2hashzd2rtl_loadi1849z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7735, obj_t BgL_oz00_7736)
	{
		{	/* SawBbv/bbv-types.scm 759 */
			{

				{	/* SawBbv/bbv-types.scm 761 */
					obj_t BgL_arg2732z00_8598;
					obj_t BgL_arg2733z00_8599;

					{	/* SawBbv/bbv-types.scm 759 */
						obj_t BgL_nextzd2method1848zd2_8597;

						BgL_nextzd2method1848zd2_8597 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_loadiz00_bglt) BgL_oz00_7736)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_loadiz00zzsaw_defsz00);
						BgL_arg2732z00_8598 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1848zd2_8597))
							(BgL_nextzd2method1848zd2_8597,
							((obj_t) ((BgL_rtl_loadiz00_bglt) BgL_oz00_7736)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 761 */
						BgL_atomz00_bglt BgL_arg2734z00_8600;

						BgL_arg2734z00_8600 =
							(((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_oz00_7736)))->BgL_constantz00);
						BgL_arg2733z00_8599 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2734z00_8600));
					}
					return
						BINT(
						((long) CINT(BgL_arg2732z00_8598) ^
							(long) CINT(BgL_arg2733z00_8599)));
		}}}

	}



/* &bbv-hash-rtl_return1847 */
	obj_t BGl_z62bbvzd2hashzd2rtl_return1847z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7737, obj_t BgL_oz00_7738)
	{
		{	/* SawBbv/bbv-types.scm 752 */
			{

				{	/* SawBbv/bbv-types.scm 754 */
					obj_t BgL_arg2729z00_8604;
					obj_t BgL_arg2730z00_8605;

					{	/* SawBbv/bbv-types.scm 752 */
						obj_t BgL_nextzd2method1846zd2_8603;

						BgL_nextzd2method1846zd2_8603 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_rtl_returnz00_bglt) BgL_oz00_7738)),
							BGl_bbvzd2hashzd2envz00zzsaw_bbvzd2typeszd2,
							BGl_rtl_returnz00zzsaw_defsz00);
						BgL_arg2729z00_8604 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1846zd2_8603))
							(BgL_nextzd2method1846zd2_8603,
							((obj_t) ((BgL_rtl_returnz00_bglt) BgL_oz00_7738)), BEOA);
					}
					{	/* SawBbv/bbv-types.scm 754 */
						BgL_typez00_bglt BgL_arg2731z00_8606;

						BgL_arg2731z00_8606 =
							(((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_oz00_7738)))->BgL_typez00);
						BgL_arg2730z00_8605 =
							BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
							((obj_t) BgL_arg2731z00_8606));
					}
					return
						BINT(
						((long) CINT(BgL_arg2729z00_8604) ^
							(long) CINT(BgL_arg2730z00_8605)));
		}}}

	}



/* &bbv-hash-rtl_fun1845 */
	obj_t BGl_z62bbvzd2hashzd2rtl_fun1845z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7739, obj_t BgL_oz00_7740)
	{
		{	/* SawBbv/bbv-types.scm 746 */
			{	/* SawBbv/bbv-types.scm 747 */
				obj_t BgL_arg2727z00_8608;

				{	/* SawBbv/bbv-types.scm 747 */
					obj_t BgL_arg2728z00_8609;

					{	/* SawBbv/bbv-types.scm 747 */
						long BgL_arg1828z00_8610;

						{	/* SawBbv/bbv-types.scm 747 */
							long BgL_arg1829z00_8611;

							BgL_arg1829z00_8611 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_oz00_7740)));
							BgL_arg1828z00_8610 = (BgL_arg1829z00_8611 - OBJECT_TYPE);
						}
						BgL_arg2728z00_8609 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1828z00_8610);
					}
					BgL_arg2727z00_8608 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg2728z00_8609);
				}
				return BINT(bgl_symbol_hash_number(BgL_arg2727z00_8608));
			}
		}

	}



/* &bbv-hash-rtl_reg1843 */
	obj_t BGl_z62bbvzd2hashzd2rtl_reg1843z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7741, obj_t BgL_oz00_7742)
	{
		{	/* SawBbv/bbv-types.scm 738 */
			{	/* SawBbv/bbv-types.scm 740 */
				obj_t BgL_arg2717z00_8613;
				long BgL_arg2718z00_8614;

				{	/* SawBbv/bbv-types.scm 740 */
					BgL_typez00_bglt BgL_arg2721z00_8615;

					BgL_arg2721z00_8615 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_oz00_7742)))->BgL_typez00);
					BgL_arg2717z00_8613 =
						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
						((obj_t) BgL_arg2721z00_8615));
				}
				BgL_arg2718z00_8614 =
					(bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_7742)))->BgL_namez00)) ^
					bgl_symbol_hash_number(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_7742)))->BgL_keyz00)));
				return BINT(((long) CINT(BgL_arg2717z00_8613) ^ BgL_arg2718z00_8614));
		}}

	}



/* &bbv-hash-rtl_ins/bbv1841 */
	obj_t BGl_z62bbvzd2hashzd2rtl_inszf2bbv1841z90zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7743, obj_t BgL_oz00_7744)
	{
		{	/* SawBbv/bbv-types.scm 724 */
			{	/* SawBbv/bbv-types.scm 726 */
				bool_t BgL_test4112z00_13088;

				{	/* SawBbv/bbv-types.scm 726 */
					obj_t BgL_tmpz00_13089;

					{
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13090;

						{
							obj_t BgL_auxz00_13091;

							{	/* SawBbv/bbv-types.scm 726 */
								BgL_objectz00_bglt BgL_tmpz00_13092;

								BgL_tmpz00_13092 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7744));
								BgL_auxz00_13091 = BGL_OBJECT_WIDENING(BgL_tmpz00_13092);
							}
							BgL_auxz00_13090 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13091);
						}
						BgL_tmpz00_13089 =
							(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13090))->
							BgL_z52hashz52);
					}
					BgL_test4112z00_13088 = CBOOL(BgL_tmpz00_13089);
				}
				if (BgL_test4112z00_13088)
					{	/* SawBbv/bbv-types.scm 726 */
						BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_13106;
						BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13099;

						{	/* SawBbv/bbv-types.scm 729 */
							obj_t BgL_arg2700z00_8617;
							long BgL_arg2701z00_8618;

							{	/* SawBbv/bbv-types.scm 729 */
								obj_t BgL_arg2703z00_8619;

								BgL_arg2703z00_8619 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_oz00_7744))))->BgL_destz00);
								BgL_arg2700z00_8617 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(BgL_arg2703z00_8619);
							}
							{	/* SawBbv/bbv-types.scm 731 */
								obj_t BgL_arg2704z00_8620;
								obj_t BgL_arg2705z00_8621;

								{	/* SawBbv/bbv-types.scm 731 */
									obj_t BgL_arg2706z00_8622;

									{	/* SawBbv/bbv-types.scm 731 */
										obj_t BgL_l1760z00_8623;

										BgL_l1760z00_8623 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_7744))))->
											BgL_argsz00);
										if (NULLP(BgL_l1760z00_8623))
											{	/* SawBbv/bbv-types.scm 731 */
												BgL_arg2706z00_8622 = BNIL;
											}
										else
											{	/* SawBbv/bbv-types.scm 731 */
												obj_t BgL_head1762z00_8624;

												{	/* SawBbv/bbv-types.scm 731 */
													obj_t BgL_arg2714z00_8625;

													{	/* SawBbv/bbv-types.scm 731 */
														obj_t BgL_arg2715z00_8626;

														BgL_arg2715z00_8626 = CAR(BgL_l1760z00_8623);
														BgL_arg2714z00_8625 =
															BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
															(BgL_arg2715z00_8626);
													}
													BgL_head1762z00_8624 =
														MAKE_YOUNG_PAIR(BgL_arg2714z00_8625, BNIL);
												}
												{	/* SawBbv/bbv-types.scm 731 */
													obj_t BgL_g1765z00_8627;

													BgL_g1765z00_8627 = CDR(BgL_l1760z00_8623);
													{
														obj_t BgL_l1760z00_8629;
														obj_t BgL_tail1763z00_8630;

														BgL_l1760z00_8629 = BgL_g1765z00_8627;
														BgL_tail1763z00_8630 = BgL_head1762z00_8624;
													BgL_zc3z04anonymousza32708ze3z87_8628:
														if (NULLP(BgL_l1760z00_8629))
															{	/* SawBbv/bbv-types.scm 731 */
																BgL_arg2706z00_8622 = BgL_head1762z00_8624;
															}
														else
															{	/* SawBbv/bbv-types.scm 731 */
																obj_t BgL_newtail1764z00_8631;

																{	/* SawBbv/bbv-types.scm 731 */
																	obj_t BgL_arg2711z00_8632;

																	{	/* SawBbv/bbv-types.scm 731 */
																		obj_t BgL_arg2713z00_8633;

																		BgL_arg2713z00_8633 =
																			CAR(((obj_t) BgL_l1760z00_8629));
																		BgL_arg2711z00_8632 =
																			BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																			(BgL_arg2713z00_8633);
																	}
																	BgL_newtail1764z00_8631 =
																		MAKE_YOUNG_PAIR(BgL_arg2711z00_8632, BNIL);
																}
																SET_CDR(BgL_tail1763z00_8630,
																	BgL_newtail1764z00_8631);
																{	/* SawBbv/bbv-types.scm 731 */
																	obj_t BgL_arg2710z00_8634;

																	BgL_arg2710z00_8634 =
																		CDR(((obj_t) BgL_l1760z00_8629));
																	{
																		obj_t BgL_tail1763z00_13130;
																		obj_t BgL_l1760z00_13129;

																		BgL_l1760z00_13129 = BgL_arg2710z00_8634;
																		BgL_tail1763z00_13130 =
																			BgL_newtail1764z00_8631;
																		BgL_tail1763z00_8630 =
																			BgL_tail1763z00_13130;
																		BgL_l1760z00_8629 = BgL_l1760z00_13129;
																		goto BgL_zc3z04anonymousza32708ze3z87_8628;
																	}
																}
															}
													}
												}
											}
									}
									BgL_arg2704z00_8620 =
										BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
										(BgL_arg2706z00_8622);
								}
								{	/* SawBbv/bbv-types.scm 732 */
									BgL_rtl_funz00_bglt BgL_arg2716z00_8635;

									BgL_arg2716z00_8635 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_7744))))->BgL_funz00);
									BgL_arg2705z00_8621 =
										BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_arg2716z00_8635));
								}
								BgL_arg2701z00_8618 =
									(
									(long) CINT(BgL_arg2704z00_8620) ^
									(long) CINT(BgL_arg2705z00_8621));
							}
							BgL_auxz00_13106 =
								BINT(((long) CINT(BgL_arg2700z00_8617) ^ BgL_arg2701z00_8618));
						}
						{
							obj_t BgL_auxz00_13100;

							{	/* SawBbv/bbv-types.scm 727 */
								BgL_objectz00_bglt BgL_tmpz00_13101;

								BgL_tmpz00_13101 =
									((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7744));
								BgL_auxz00_13100 = BGL_OBJECT_WIDENING(BgL_tmpz00_13101);
							}
							BgL_auxz00_13099 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13100);
						}
						((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13099))->
								BgL_z52hashz52) = ((obj_t) BgL_auxz00_13106), BUNSPEC);
			}}
			{
				BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13144;

				{
					obj_t BgL_auxz00_13145;

					{	/* SawBbv/bbv-types.scm 733 */
						BgL_objectz00_bglt BgL_tmpz00_13146;

						BgL_tmpz00_13146 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_7744));
						BgL_auxz00_13145 = BGL_OBJECT_WIDENING(BgL_tmpz00_13146);
					}
					BgL_auxz00_13144 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13145);
				}
				return
					(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13144))->
					BgL_z52hashz52);
			}
		}

	}



/* &bbv-hash-blockS1839 */
	obj_t BGl_z62bbvzd2hashzd2blockS1839z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7745, obj_t BgL_oz00_7746)
	{
		{	/* SawBbv/bbv-types.scm 712 */
			{
				obj_t BgL_insz00_8638;

				{	/* SawBbv/bbv-types.scm 718 */
					bool_t BgL_test4115z00_13152;

					{	/* SawBbv/bbv-types.scm 718 */
						obj_t BgL_tmpz00_13153;

						{
							BgL_blocksz00_bglt BgL_auxz00_13154;

							{
								obj_t BgL_auxz00_13155;

								{	/* SawBbv/bbv-types.scm 718 */
									BgL_objectz00_bglt BgL_tmpz00_13156;

									BgL_tmpz00_13156 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7746));
									BgL_auxz00_13155 = BGL_OBJECT_WIDENING(BgL_tmpz00_13156);
								}
								BgL_auxz00_13154 = ((BgL_blocksz00_bglt) BgL_auxz00_13155);
							}
							BgL_tmpz00_13153 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13154))->
								BgL_z52hashz52);
						}
						BgL_test4115z00_13152 = CBOOL(BgL_tmpz00_13153);
					}
					if (BgL_test4115z00_13152)
						{	/* SawBbv/bbv-types.scm 718 */
							BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_13170;
							BgL_blocksz00_bglt BgL_auxz00_13163;

							{	/* SawBbv/bbv-types.scm 718 */
								obj_t BgL_arg2687z00_8652;

								BgL_arg2687z00_8652 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_7746))))->BgL_firstz00);
								BgL_insz00_8638 = BgL_arg2687z00_8652;
								if (NULLP(BgL_insz00_8638))
									{	/* SawBbv/bbv-types.scm 715 */
										BgL_auxz00_13170 = BINT(((long) 0));
									}
								else
									{	/* SawBbv/bbv-types.scm 715 */
										obj_t BgL_arg2690z00_8639;

										{	/* SawBbv/bbv-types.scm 715 */
											obj_t BgL_l1754z00_8640;

											BgL_l1754z00_8640 = BgL_insz00_8638;
											{	/* SawBbv/bbv-types.scm 715 */
												obj_t BgL_head1756z00_8641;

												{	/* SawBbv/bbv-types.scm 715 */
													obj_t BgL_arg2697z00_8642;

													{	/* SawBbv/bbv-types.scm 715 */
														obj_t BgL_arg2698z00_8643;

														BgL_arg2698z00_8643 =
															CAR(((obj_t) BgL_l1754z00_8640));
														BgL_arg2697z00_8642 =
															BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
															(BgL_arg2698z00_8643);
													}
													BgL_head1756z00_8641 =
														MAKE_YOUNG_PAIR(BgL_arg2697z00_8642, BNIL);
												}
												{	/* SawBbv/bbv-types.scm 715 */
													obj_t BgL_g1759z00_8644;

													BgL_g1759z00_8644 = CDR(((obj_t) BgL_l1754z00_8640));
													{
														obj_t BgL_l1754z00_8646;
														obj_t BgL_tail1757z00_8647;

														BgL_l1754z00_8646 = BgL_g1759z00_8644;
														BgL_tail1757z00_8647 = BgL_head1756z00_8641;
													BgL_zc3z04anonymousza32692ze3z87_8645:
														if (NULLP(BgL_l1754z00_8646))
															{	/* SawBbv/bbv-types.scm 715 */
																BgL_arg2690z00_8639 = BgL_head1756z00_8641;
															}
														else
															{	/* SawBbv/bbv-types.scm 715 */
																obj_t BgL_newtail1758z00_8648;

																{	/* SawBbv/bbv-types.scm 715 */
																	obj_t BgL_arg2695z00_8649;

																	{	/* SawBbv/bbv-types.scm 715 */
																		obj_t BgL_arg2696z00_8650;

																		BgL_arg2696z00_8650 =
																			CAR(((obj_t) BgL_l1754z00_8646));
																		BgL_arg2695z00_8649 =
																			BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																			(BgL_arg2696z00_8650);
																	}
																	BgL_newtail1758z00_8648 =
																		MAKE_YOUNG_PAIR(BgL_arg2695z00_8649, BNIL);
																}
																SET_CDR(BgL_tail1757z00_8647,
																	BgL_newtail1758z00_8648);
																{	/* SawBbv/bbv-types.scm 715 */
																	obj_t BgL_arg2694z00_8651;

																	BgL_arg2694z00_8651 =
																		CDR(((obj_t) BgL_l1754z00_8646));
																	{
																		obj_t BgL_tail1757z00_13193;
																		obj_t BgL_l1754z00_13192;

																		BgL_l1754z00_13192 = BgL_arg2694z00_8651;
																		BgL_tail1757z00_13193 =
																			BgL_newtail1758z00_8648;
																		BgL_tail1757z00_8647 =
																			BgL_tail1757z00_13193;
																		BgL_l1754z00_8646 = BgL_l1754z00_13192;
																		goto BgL_zc3z04anonymousza32692ze3z87_8645;
																	}
																}
															}
													}
												}
											}
										}
										BgL_auxz00_13170 =
											BGl_bitzd2xorza2z70zzsaw_bbvzd2typeszd2
											(BgL_arg2690z00_8639);
									}
							}
							{
								obj_t BgL_auxz00_13164;

								{	/* SawBbv/bbv-types.scm 718 */
									BgL_objectz00_bglt BgL_tmpz00_13165;

									BgL_tmpz00_13165 =
										((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7746));
									BgL_auxz00_13164 = BGL_OBJECT_WIDENING(BgL_tmpz00_13165);
								}
								BgL_auxz00_13163 = ((BgL_blocksz00_bglt) BgL_auxz00_13164);
							}
							((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13163))->
									BgL_z52hashz52) = ((obj_t) BgL_auxz00_13170), BUNSPEC);
						}
				}
				{
					BgL_blocksz00_bglt BgL_auxz00_13196;

					{
						obj_t BgL_auxz00_13197;

						{	/* SawBbv/bbv-types.scm 719 */
							BgL_objectz00_bglt BgL_tmpz00_13198;

							BgL_tmpz00_13198 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7746));
							BgL_auxz00_13197 = BGL_OBJECT_WIDENING(BgL_tmpz00_13198);
						}
						BgL_auxz00_13196 = ((BgL_blocksz00_bglt) BgL_auxz00_13197);
					}
					return
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13196))->BgL_z52hashz52);
				}
			}
		}

	}



/* &bbv-hash-atom1837 */
	obj_t BGl_z62bbvzd2hashzd2atom1837z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7747, obj_t BgL_oz00_7748)
	{
		{	/* SawBbv/bbv-types.scm 705 */
			{	/* SawBbv/bbv-types.scm 707 */
				obj_t BgL_arg2685z00_8654;

				BgL_arg2685z00_8654 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_7748)))->BgL_valuez00);
				return BINT(BGl_getzd2hashnumberzd2zz__hashz00(BgL_arg2685z00_8654));
			}
		}

	}



/* &bbv-hash-type1835 */
	obj_t BGl_z62bbvzd2hashzd2type1835z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7749, obj_t BgL_oz00_7750)
	{
		{	/* SawBbv/bbv-types.scm 698 */
			{	/* SawBbv/bbv-types.scm 700 */
				obj_t BgL_arg2684z00_8656;

				BgL_arg2684z00_8656 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_7750)))->BgL_idz00);
				return BINT(bgl_symbol_hash_number(BgL_arg2684z00_8656));
			}
		}

	}



/* &dump-blockS1831 */
	obj_t BGl_z62dumpzd2blockS1831zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7751,
		obj_t BgL_oz00_7752, obj_t BgL_pz00_7753, obj_t BgL_mz00_7754)
	{
		{	/* SawBbv/bbv-types.scm 481 */
			{	/* SawBbv/bbv-types.scm 487 */
				obj_t BgL_tmpz00_13212;

				BgL_tmpz00_13212 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3528z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13212);
			}
			{	/* SawBbv/bbv-types.scm 487 */
				int BgL_arg2649z00_8658;

				BgL_arg2649z00_8658 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_7752))))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2649z00_8658), BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 487 */
				obj_t BgL_tmpz00_13220;

				BgL_tmpz00_13220 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13220);
			}
			{	/* SawBbv/bbv-types.scm 488 */
				long BgL_arg2650z00_8659;

				BgL_arg2650z00_8659 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7753,
					(int) (BgL_arg2650z00_8659));
			}
			{	/* SawBbv/bbv-types.scm 489 */
				obj_t BgL_tmpz00_13227;

				BgL_tmpz00_13227 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3529z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13227);
			}
			{	/* SawBbv/bbv-types.scm 489 */
				int BgL_arg2651z00_8660;

				{	/* SawBbv/bbv-types.scm 489 */
					BgL_blockz00_bglt BgL_arg2653z00_8661;

					{
						BgL_blocksz00_bglt BgL_auxz00_13230;

						{
							obj_t BgL_auxz00_13231;

							{	/* SawBbv/bbv-types.scm 489 */
								BgL_objectz00_bglt BgL_tmpz00_13232;

								BgL_tmpz00_13232 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7752));
								BgL_auxz00_13231 = BGL_OBJECT_WIDENING(BgL_tmpz00_13232);
							}
							BgL_auxz00_13230 = ((BgL_blocksz00_bglt) BgL_auxz00_13231);
						}
						BgL_arg2653z00_8661 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13230))->BgL_parentz00);
					}
					BgL_arg2651z00_8660 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_arg2653z00_8661)))->BgL_labelz00);
				}
				bgl_display_obj(BINT(BgL_arg2651z00_8660), BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 489 */
				obj_t BgL_tmpz00_13242;

				BgL_tmpz00_13242 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13242);
			}
			{	/* SawBbv/bbv-types.scm 490 */
				long BgL_arg2654z00_8662;

				BgL_arg2654z00_8662 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7753,
					(int) (BgL_arg2654z00_8662));
			}
			{	/* SawBbv/bbv-types.scm 491 */
				obj_t BgL_tmpz00_13249;

				BgL_tmpz00_13249 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3530z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13249);
			}
			{	/* SawBbv/bbv-types.scm 491 */
				obj_t BgL_arg2655z00_8663;

				{	/* SawBbv/bbv-types.scm 491 */
					BgL_blockz00_bglt BgL_i1294z00_8664;

					{
						BgL_blocksz00_bglt BgL_auxz00_13252;

						{
							obj_t BgL_auxz00_13253;

							{	/* SawBbv/bbv-types.scm 491 */
								BgL_objectz00_bglt BgL_tmpz00_13254;

								BgL_tmpz00_13254 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7752));
								BgL_auxz00_13253 = BGL_OBJECT_WIDENING(BgL_tmpz00_13254);
							}
							BgL_auxz00_13252 = ((BgL_blocksz00_bglt) BgL_auxz00_13253);
						}
						BgL_i1294z00_8664 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13252))->BgL_parentz00);
					}
					{
						BgL_blockvz00_bglt BgL_auxz00_13260;

						{
							obj_t BgL_auxz00_13261;

							{	/* SawBbv/bbv-types.scm 491 */
								BgL_objectz00_bglt BgL_tmpz00_13262;

								BgL_tmpz00_13262 = ((BgL_objectz00_bglt) BgL_i1294z00_8664);
								BgL_auxz00_13261 = BGL_OBJECT_WIDENING(BgL_tmpz00_13262);
							}
							BgL_auxz00_13260 = ((BgL_blockvz00_bglt) BgL_auxz00_13261);
						}
						BgL_arg2655z00_8663 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13260))->BgL_mergez00);
				}}
				bgl_display_obj(BgL_arg2655z00_8663, BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 491 */
				obj_t BgL_tmpz00_13268;

				BgL_tmpz00_13268 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13268);
			}
			{	/* SawBbv/bbv-types.scm 492 */
				long BgL_arg2657z00_8665;

				BgL_arg2657z00_8665 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7753,
					(int) (BgL_arg2657z00_8665));
			}
			{	/* SawBbv/bbv-types.scm 493 */
				obj_t BgL_tmpz00_13275;

				BgL_tmpz00_13275 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3531z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13275);
			}
			{	/* SawBbv/bbv-types.scm 493 */
				bool_t BgL_arg2658z00_8666;

				{
					BgL_blocksz00_bglt BgL_auxz00_13278;

					{
						obj_t BgL_auxz00_13279;

						{	/* SawBbv/bbv-types.scm 493 */
							BgL_objectz00_bglt BgL_tmpz00_13280;

							BgL_tmpz00_13280 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7752));
							BgL_auxz00_13279 = BGL_OBJECT_WIDENING(BgL_tmpz00_13280);
						}
						BgL_auxz00_13278 = ((BgL_blocksz00_bglt) BgL_auxz00_13279);
					}
					BgL_arg2658z00_8666 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_13278))->
						BgL_collapsedz00);
				}
				bgl_display_obj(BBOOL(BgL_arg2658z00_8666), BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 493 */
				obj_t BgL_tmpz00_13288;

				BgL_tmpz00_13288 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13288);
			}
			{	/* SawBbv/bbv-types.scm 494 */
				long BgL_arg2659z00_8667;

				BgL_arg2659z00_8667 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7753,
					(int) (BgL_arg2659z00_8667));
			}
			{	/* SawBbv/bbv-types.scm 495 */
				obj_t BgL_tmpz00_13295;

				BgL_tmpz00_13295 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3532z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13295);
			}
			{	/* SawBbv/bbv-types.scm 495 */
				obj_t BgL_arg2660z00_8668;

				{	/* SawBbv/bbv-types.scm 495 */
					obj_t BgL_l1736z00_8669;

					BgL_l1736z00_8669 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_7752))))->BgL_predsz00);
					if (NULLP(BgL_l1736z00_8669))
						{	/* SawBbv/bbv-types.scm 495 */
							BgL_arg2660z00_8668 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 495 */
							obj_t BgL_head1738z00_8670;

							BgL_head1738z00_8670 =
								MAKE_YOUNG_PAIR(BGl_lblze71ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1736z00_8669)), BNIL);
							{	/* SawBbv/bbv-types.scm 495 */
								obj_t BgL_g1741z00_8671;

								BgL_g1741z00_8671 = CDR(BgL_l1736z00_8669);
								{
									obj_t BgL_l1736z00_8673;
									obj_t BgL_tail1739z00_8674;

									BgL_l1736z00_8673 = BgL_g1741z00_8671;
									BgL_tail1739z00_8674 = BgL_head1738z00_8670;
								BgL_zc3z04anonymousza32662ze3z87_8672:
									if (NULLP(BgL_l1736z00_8673))
										{	/* SawBbv/bbv-types.scm 495 */
											BgL_arg2660z00_8668 = BgL_head1738z00_8670;
										}
									else
										{	/* SawBbv/bbv-types.scm 495 */
											obj_t BgL_newtail1740z00_8675;

											{	/* SawBbv/bbv-types.scm 495 */
												obj_t BgL_arg2665z00_8676;

												{	/* SawBbv/bbv-types.scm 495 */
													obj_t BgL_arg2666z00_8677;

													BgL_arg2666z00_8677 =
														CAR(((obj_t) BgL_l1736z00_8673));
													BgL_arg2665z00_8676 =
														BGl_lblze71ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2666z00_8677);
												}
												BgL_newtail1740z00_8675 =
													MAKE_YOUNG_PAIR(BgL_arg2665z00_8676, BNIL);
											}
											SET_CDR(BgL_tail1739z00_8674, BgL_newtail1740z00_8675);
											{	/* SawBbv/bbv-types.scm 495 */
												obj_t BgL_arg2664z00_8678;

												BgL_arg2664z00_8678 = CDR(((obj_t) BgL_l1736z00_8673));
												{
													obj_t BgL_tail1739z00_13317;
													obj_t BgL_l1736z00_13316;

													BgL_l1736z00_13316 = BgL_arg2664z00_8678;
													BgL_tail1739z00_13317 = BgL_newtail1740z00_8675;
													BgL_tail1739z00_8674 = BgL_tail1739z00_13317;
													BgL_l1736z00_8673 = BgL_l1736z00_13316;
													goto BgL_zc3z04anonymousza32662ze3z87_8672;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2660z00_8668, BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 495 */
				obj_t BgL_tmpz00_13319;

				BgL_tmpz00_13319 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13319);
			}
			{	/* SawBbv/bbv-types.scm 496 */
				long BgL_arg2669z00_8679;

				BgL_arg2669z00_8679 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7753,
					(int) (BgL_arg2669z00_8679));
			}
			{	/* SawBbv/bbv-types.scm 497 */
				obj_t BgL_tmpz00_13326;

				BgL_tmpz00_13326 = ((obj_t) BgL_pz00_7753);
				bgl_display_string(BGl_string3533z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13326);
			}
			{	/* SawBbv/bbv-types.scm 497 */
				obj_t BgL_arg2671z00_8680;

				{	/* SawBbv/bbv-types.scm 497 */
					obj_t BgL_l1743z00_8681;

					BgL_l1743z00_8681 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_7752))))->BgL_succsz00);
					if (NULLP(BgL_l1743z00_8681))
						{	/* SawBbv/bbv-types.scm 497 */
							BgL_arg2671z00_8680 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 497 */
							obj_t BgL_head1745z00_8682;

							BgL_head1745z00_8682 =
								MAKE_YOUNG_PAIR(BGl_lblze71ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1743z00_8681)), BNIL);
							{	/* SawBbv/bbv-types.scm 497 */
								obj_t BgL_g1748z00_8683;

								BgL_g1748z00_8683 = CDR(BgL_l1743z00_8681);
								{
									obj_t BgL_l1743z00_8685;
									obj_t BgL_tail1746z00_8686;

									BgL_l1743z00_8685 = BgL_g1748z00_8683;
									BgL_tail1746z00_8686 = BgL_head1745z00_8682;
								BgL_zc3z04anonymousza32673ze3z87_8684:
									if (NULLP(BgL_l1743z00_8685))
										{	/* SawBbv/bbv-types.scm 497 */
											BgL_arg2671z00_8680 = BgL_head1745z00_8682;
										}
									else
										{	/* SawBbv/bbv-types.scm 497 */
											obj_t BgL_newtail1747z00_8687;

											{	/* SawBbv/bbv-types.scm 497 */
												obj_t BgL_arg2676z00_8688;

												{	/* SawBbv/bbv-types.scm 497 */
													obj_t BgL_arg2677z00_8689;

													BgL_arg2677z00_8689 =
														CAR(((obj_t) BgL_l1743z00_8685));
													BgL_arg2676z00_8688 =
														BGl_lblze71ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2677z00_8689);
												}
												BgL_newtail1747z00_8687 =
													MAKE_YOUNG_PAIR(BgL_arg2676z00_8688, BNIL);
											}
											SET_CDR(BgL_tail1746z00_8686, BgL_newtail1747z00_8687);
											{	/* SawBbv/bbv-types.scm 497 */
												obj_t BgL_arg2675z00_8690;

												BgL_arg2675z00_8690 = CDR(((obj_t) BgL_l1743z00_8685));
												{
													obj_t BgL_tail1746z00_13348;
													obj_t BgL_l1743z00_13347;

													BgL_l1743z00_13347 = BgL_arg2675z00_8690;
													BgL_tail1746z00_13348 = BgL_newtail1747z00_8687;
													BgL_tail1746z00_8686 = BgL_tail1746z00_13348;
													BgL_l1743z00_8685 = BgL_l1743z00_13347;
													goto BgL_zc3z04anonymousza32673ze3z87_8684;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2671z00_8680, BgL_pz00_7753);
			}
			{	/* SawBbv/bbv-types.scm 497 */
				obj_t BgL_tmpz00_13350;

				BgL_tmpz00_13350 = ((obj_t) BgL_pz00_7753);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13350);
			}
			{	/* SawBbv/bbv-types.scm 498 */
				obj_t BgL_arg2680z00_8691;
				long BgL_arg2681z00_8692;

				BgL_arg2680z00_8691 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_7752))))->BgL_firstz00);
				BgL_arg2681z00_8692 = ((long) CINT(BgL_mz00_7754) + ((long) 1));
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2680z00_8691, BgL_pz00_7753,
					(int) (BgL_arg2681z00_8692));
			}
			{	/* SawBbv/bbv-types.scm 499 */
				obj_t BgL_tmpz00_13360;

				BgL_tmpz00_13360 = ((obj_t) BgL_pz00_7753);
				return
					bgl_display_string(BGl_string3534z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13360);
			}
		}

	}



/* lbl~1 */
	obj_t BGl_lblze71ze7zzsaw_bbvzd2typeszd2(obj_t BgL_nz00_3475)
	{
		{	/* SawBbv/bbv-types.scm 484 */
			{	/* SawBbv/bbv-types.scm 484 */
				bool_t BgL_test4122z00_13363;

				{	/* SawBbv/bbv-types.scm 484 */
					obj_t BgL_classz00_5991;

					BgL_classz00_5991 = BGl_blockz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_nz00_3475))
						{	/* SawBbv/bbv-types.scm 484 */
							BgL_objectz00_bglt BgL_arg1820z00_5993;

							BgL_arg1820z00_5993 = (BgL_objectz00_bglt) (BgL_nz00_3475);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 484 */
									long BgL_idxz00_5999;

									BgL_idxz00_5999 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5993);
									BgL_test4122z00_13363 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5999 + ((long) 1))) == BgL_classz00_5991);
								}
							else
								{	/* SawBbv/bbv-types.scm 484 */
									bool_t BgL_res3329z00_6021;

									{	/* SawBbv/bbv-types.scm 484 */
										obj_t BgL_oclassz00_6007;

										{	/* SawBbv/bbv-types.scm 484 */
											long BgL_arg1828z00_6013;

											{	/* SawBbv/bbv-types.scm 484 */
												long BgL_arg1829z00_6014;

												BgL_arg1829z00_6014 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5993);
												BgL_arg1828z00_6013 =
													(BgL_arg1829z00_6014 - OBJECT_TYPE);
											}
											BgL_oclassz00_6007 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_6013);
										}
										{	/* SawBbv/bbv-types.scm 484 */
											bool_t BgL__ortest_1111z00_6008;

											BgL__ortest_1111z00_6008 =
												(BgL_classz00_5991 == BgL_oclassz00_6007);
											if (BgL__ortest_1111z00_6008)
												{	/* SawBbv/bbv-types.scm 484 */
													BgL_res3329z00_6021 = BgL__ortest_1111z00_6008;
												}
											else
												{	/* SawBbv/bbv-types.scm 484 */
													long BgL_odepthz00_6009;

													BgL_odepthz00_6009 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6007);
													if ((((long) 1) < BgL_odepthz00_6009))
														{	/* SawBbv/bbv-types.scm 484 */
															obj_t BgL_arg1816z00_6011;

															BgL_arg1816z00_6011 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6007,
																((long) 1));
															BgL_res3329z00_6021 =
																(BgL_arg1816z00_6011 == BgL_classz00_5991);
														}
													else
														{	/* SawBbv/bbv-types.scm 484 */
															BgL_res3329z00_6021 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4122z00_13363 = BgL_res3329z00_6021;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 484 */
							BgL_test4122z00_13363 = ((bool_t) 0);
						}
				}
				if (BgL_test4122z00_13363)
					{	/* SawBbv/bbv-types.scm 484 */
						return
							BINT(
							(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nz00_3475)))->BgL_labelz00));
					}
				else
					{	/* SawBbv/bbv-types.scm 484 */
						BGL_TAIL return bgl_typeof(BgL_nz00_3475);
					}
			}
		}

	}



/* &dump-blockV1829 */
	obj_t BGl_z62dumpzd2blockV1829zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7755,
		obj_t BgL_oz00_7756, obj_t BgL_pz00_7757, obj_t BgL_mz00_7758)
	{
		{	/* SawBbv/bbv-types.scm 461 */
			{	/* SawBbv/bbv-types.scm 467 */
				obj_t BgL_tmpz00_13387;

				BgL_tmpz00_13387 = ((obj_t) BgL_pz00_7757);
				bgl_display_string(BGl_string3535z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13387);
			}
			{	/* SawBbv/bbv-types.scm 467 */
				int BgL_arg2616z00_8694;

				BgL_arg2616z00_8694 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_7756))))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2616z00_8694), BgL_pz00_7757);
			}
			{	/* SawBbv/bbv-types.scm 467 */
				obj_t BgL_tmpz00_13395;

				BgL_tmpz00_13395 = ((obj_t) BgL_pz00_7757);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13395);
			}
			{	/* SawBbv/bbv-types.scm 468 */
				long BgL_arg2617z00_8695;

				BgL_arg2617z00_8695 = ((long) CINT(BgL_mz00_7758) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7757,
					(int) (BgL_arg2617z00_8695));
			}
			{	/* SawBbv/bbv-types.scm 469 */
				obj_t BgL_tmpz00_13402;

				BgL_tmpz00_13402 = ((obj_t) BgL_pz00_7757);
				bgl_display_string(BGl_string3530z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13402);
			}
			{	/* SawBbv/bbv-types.scm 469 */
				obj_t BgL_arg2618z00_8696;

				{
					BgL_blockvz00_bglt BgL_auxz00_13405;

					{
						obj_t BgL_auxz00_13406;

						{	/* SawBbv/bbv-types.scm 469 */
							BgL_objectz00_bglt BgL_tmpz00_13407;

							BgL_tmpz00_13407 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_7756));
							BgL_auxz00_13406 = BGL_OBJECT_WIDENING(BgL_tmpz00_13407);
						}
						BgL_auxz00_13405 = ((BgL_blockvz00_bglt) BgL_auxz00_13406);
					}
					BgL_arg2618z00_8696 =
						(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_13405))->BgL_mergez00);
				}
				bgl_display_obj(BgL_arg2618z00_8696, BgL_pz00_7757);
			}
			{	/* SawBbv/bbv-types.scm 469 */
				obj_t BgL_tmpz00_13414;

				BgL_tmpz00_13414 = ((obj_t) BgL_pz00_7757);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13414);
			}
			{	/* SawBbv/bbv-types.scm 470 */
				long BgL_arg2619z00_8697;

				BgL_arg2619z00_8697 = ((long) CINT(BgL_mz00_7758) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7757,
					(int) (BgL_arg2619z00_8697));
			}
			{	/* SawBbv/bbv-types.scm 471 */
				obj_t BgL_tmpz00_13421;

				BgL_tmpz00_13421 = ((obj_t) BgL_pz00_7757);
				bgl_display_string(BGl_string3532z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13421);
			}
			{	/* SawBbv/bbv-types.scm 471 */
				obj_t BgL_arg2620z00_8698;

				{	/* SawBbv/bbv-types.scm 471 */
					obj_t BgL_l1718z00_8699;

					BgL_l1718z00_8699 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_7756))))->BgL_predsz00);
					if (NULLP(BgL_l1718z00_8699))
						{	/* SawBbv/bbv-types.scm 471 */
							BgL_arg2620z00_8698 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 471 */
							obj_t BgL_head1720z00_8700;

							BgL_head1720z00_8700 =
								MAKE_YOUNG_PAIR(BGl_lblze70ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1718z00_8699)), BNIL);
							{	/* SawBbv/bbv-types.scm 471 */
								obj_t BgL_g1723z00_8701;

								BgL_g1723z00_8701 = CDR(BgL_l1718z00_8699);
								{
									obj_t BgL_l1718z00_8703;
									obj_t BgL_tail1721z00_8704;

									BgL_l1718z00_8703 = BgL_g1723z00_8701;
									BgL_tail1721z00_8704 = BgL_head1720z00_8700;
								BgL_zc3z04anonymousza32622ze3z87_8702:
									if (NULLP(BgL_l1718z00_8703))
										{	/* SawBbv/bbv-types.scm 471 */
											BgL_arg2620z00_8698 = BgL_head1720z00_8700;
										}
									else
										{	/* SawBbv/bbv-types.scm 471 */
											obj_t BgL_newtail1722z00_8705;

											{	/* SawBbv/bbv-types.scm 471 */
												obj_t BgL_arg2625z00_8706;

												{	/* SawBbv/bbv-types.scm 471 */
													obj_t BgL_arg2626z00_8707;

													BgL_arg2626z00_8707 =
														CAR(((obj_t) BgL_l1718z00_8703));
													BgL_arg2625z00_8706 =
														BGl_lblze70ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2626z00_8707);
												}
												BgL_newtail1722z00_8705 =
													MAKE_YOUNG_PAIR(BgL_arg2625z00_8706, BNIL);
											}
											SET_CDR(BgL_tail1721z00_8704, BgL_newtail1722z00_8705);
											{	/* SawBbv/bbv-types.scm 471 */
												obj_t BgL_arg2624z00_8708;

												BgL_arg2624z00_8708 = CDR(((obj_t) BgL_l1718z00_8703));
												{
													obj_t BgL_tail1721z00_13443;
													obj_t BgL_l1718z00_13442;

													BgL_l1718z00_13442 = BgL_arg2624z00_8708;
													BgL_tail1721z00_13443 = BgL_newtail1722z00_8705;
													BgL_tail1721z00_8704 = BgL_tail1721z00_13443;
													BgL_l1718z00_8703 = BgL_l1718z00_13442;
													goto BgL_zc3z04anonymousza32622ze3z87_8702;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2620z00_8698, BgL_pz00_7757);
			}
			{	/* SawBbv/bbv-types.scm 471 */
				obj_t BgL_tmpz00_13445;

				BgL_tmpz00_13445 = ((obj_t) BgL_pz00_7757);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13445);
			}
			{	/* SawBbv/bbv-types.scm 472 */
				long BgL_arg2630z00_8709;

				BgL_arg2630z00_8709 = ((long) CINT(BgL_mz00_7758) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7757,
					(int) (BgL_arg2630z00_8709));
			}
			{	/* SawBbv/bbv-types.scm 473 */
				obj_t BgL_tmpz00_13452;

				BgL_tmpz00_13452 = ((obj_t) BgL_pz00_7757);
				bgl_display_string(BGl_string3533z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13452);
			}
			{	/* SawBbv/bbv-types.scm 473 */
				obj_t BgL_arg2632z00_8710;

				{	/* SawBbv/bbv-types.scm 473 */
					obj_t BgL_l1725z00_8711;

					BgL_l1725z00_8711 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_oz00_7756))))->BgL_succsz00);
					if (NULLP(BgL_l1725z00_8711))
						{	/* SawBbv/bbv-types.scm 473 */
							BgL_arg2632z00_8710 = BNIL;
						}
					else
						{	/* SawBbv/bbv-types.scm 473 */
							obj_t BgL_head1727z00_8712;

							BgL_head1727z00_8712 =
								MAKE_YOUNG_PAIR(BGl_lblze70ze7zzsaw_bbvzd2typeszd2(CAR
									(BgL_l1725z00_8711)), BNIL);
							{	/* SawBbv/bbv-types.scm 473 */
								obj_t BgL_g1730z00_8713;

								BgL_g1730z00_8713 = CDR(BgL_l1725z00_8711);
								{
									obj_t BgL_l1725z00_8715;
									obj_t BgL_tail1728z00_8716;

									BgL_l1725z00_8715 = BgL_g1730z00_8713;
									BgL_tail1728z00_8716 = BgL_head1727z00_8712;
								BgL_zc3z04anonymousza32634ze3z87_8714:
									if (NULLP(BgL_l1725z00_8715))
										{	/* SawBbv/bbv-types.scm 473 */
											BgL_arg2632z00_8710 = BgL_head1727z00_8712;
										}
									else
										{	/* SawBbv/bbv-types.scm 473 */
											obj_t BgL_newtail1729z00_8717;

											{	/* SawBbv/bbv-types.scm 473 */
												obj_t BgL_arg2638z00_8718;

												{	/* SawBbv/bbv-types.scm 473 */
													obj_t BgL_arg2640z00_8719;

													BgL_arg2640z00_8719 =
														CAR(((obj_t) BgL_l1725z00_8715));
													BgL_arg2638z00_8718 =
														BGl_lblze70ze7zzsaw_bbvzd2typeszd2
														(BgL_arg2640z00_8719);
												}
												BgL_newtail1729z00_8717 =
													MAKE_YOUNG_PAIR(BgL_arg2638z00_8718, BNIL);
											}
											SET_CDR(BgL_tail1728z00_8716, BgL_newtail1729z00_8717);
											{	/* SawBbv/bbv-types.scm 473 */
												obj_t BgL_arg2636z00_8720;

												BgL_arg2636z00_8720 = CDR(((obj_t) BgL_l1725z00_8715));
												{
													obj_t BgL_tail1728z00_13474;
													obj_t BgL_l1725z00_13473;

													BgL_l1725z00_13473 = BgL_arg2636z00_8720;
													BgL_tail1728z00_13474 = BgL_newtail1729z00_8717;
													BgL_tail1728z00_8716 = BgL_tail1728z00_13474;
													BgL_l1725z00_8715 = BgL_l1725z00_13473;
													goto BgL_zc3z04anonymousza32634ze3z87_8714;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2632z00_8710, BgL_pz00_7757);
			}
			{	/* SawBbv/bbv-types.scm 473 */
				obj_t BgL_tmpz00_13476;

				BgL_tmpz00_13476 = ((obj_t) BgL_pz00_7757);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_13476);
			}
			{	/* SawBbv/bbv-types.scm 474 */
				long BgL_arg2643z00_8721;

				BgL_arg2643z00_8721 = ((long) CINT(BgL_mz00_7758) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7757,
					(int) (BgL_arg2643z00_8721));
			}
			{	/* SawBbv/bbv-types.scm 475 */
				obj_t BgL_arg2644z00_8722;
				long BgL_arg2646z00_8723;

				BgL_arg2644z00_8722 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_oz00_7756))))->BgL_firstz00);
				BgL_arg2646z00_8723 = ((long) CINT(BgL_mz00_7758) + ((long) 1));
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2644z00_8722, BgL_pz00_7757,
					(int) (BgL_arg2646z00_8723));
			}
			{	/* SawBbv/bbv-types.scm 476 */
				obj_t BgL_tmpz00_13490;

				BgL_tmpz00_13490 = ((obj_t) BgL_pz00_7757);
				return
					bgl_display_string(BGl_string3534z00zzsaw_bbvzd2typeszd2,
					BgL_tmpz00_13490);
			}
		}

	}



/* lbl~0 */
	obj_t BGl_lblze70ze7zzsaw_bbvzd2typeszd2(obj_t BgL_nz00_3410)
	{
		{	/* SawBbv/bbv-types.scm 464 */
			{	/* SawBbv/bbv-types.scm 464 */
				bool_t BgL_test4131z00_13493;

				{	/* SawBbv/bbv-types.scm 464 */
					obj_t BgL_classz00_5929;

					BgL_classz00_5929 = BGl_blockz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_nz00_3410))
						{	/* SawBbv/bbv-types.scm 464 */
							BgL_objectz00_bglt BgL_arg1820z00_5931;

							BgL_arg1820z00_5931 = (BgL_objectz00_bglt) (BgL_nz00_3410);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv-types.scm 464 */
									long BgL_idxz00_5937;

									BgL_idxz00_5937 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5931);
									BgL_test4131z00_13493 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5937 + ((long) 1))) == BgL_classz00_5929);
								}
							else
								{	/* SawBbv/bbv-types.scm 464 */
									bool_t BgL_res3328z00_5959;

									{	/* SawBbv/bbv-types.scm 464 */
										obj_t BgL_oclassz00_5945;

										{	/* SawBbv/bbv-types.scm 464 */
											long BgL_arg1828z00_5951;

											{	/* SawBbv/bbv-types.scm 464 */
												long BgL_arg1829z00_5952;

												BgL_arg1829z00_5952 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5931);
												BgL_arg1828z00_5951 =
													(BgL_arg1829z00_5952 - OBJECT_TYPE);
											}
											BgL_oclassz00_5945 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5951);
										}
										{	/* SawBbv/bbv-types.scm 464 */
											bool_t BgL__ortest_1111z00_5946;

											BgL__ortest_1111z00_5946 =
												(BgL_classz00_5929 == BgL_oclassz00_5945);
											if (BgL__ortest_1111z00_5946)
												{	/* SawBbv/bbv-types.scm 464 */
													BgL_res3328z00_5959 = BgL__ortest_1111z00_5946;
												}
											else
												{	/* SawBbv/bbv-types.scm 464 */
													long BgL_odepthz00_5947;

													BgL_odepthz00_5947 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5945);
													if ((((long) 1) < BgL_odepthz00_5947))
														{	/* SawBbv/bbv-types.scm 464 */
															obj_t BgL_arg1816z00_5949;

															BgL_arg1816z00_5949 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5945,
																((long) 1));
															BgL_res3328z00_5959 =
																(BgL_arg1816z00_5949 == BgL_classz00_5929);
														}
													else
														{	/* SawBbv/bbv-types.scm 464 */
															BgL_res3328z00_5959 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4131z00_13493 = BgL_res3328z00_5959;
								}
						}
					else
						{	/* SawBbv/bbv-types.scm 464 */
							BgL_test4131z00_13493 = ((bool_t) 0);
						}
				}
				if (BgL_test4131z00_13493)
					{	/* SawBbv/bbv-types.scm 464 */
						return
							BINT(
							(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nz00_3410)))->BgL_labelz00));
					}
				else
					{	/* SawBbv/bbv-types.scm 464 */
						BGL_TAIL return bgl_typeof(BgL_nz00_3410);
					}
			}
		}

	}



/* &dump-rtl_ins/bbv1827 */
	obj_t BGl_z62dumpzd2rtl_inszf2bbv1827z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7759, obj_t BgL_oz00_7760, obj_t BgL_pz00_7761,
		obj_t BgL_mz00_7762)
	{
		{	/* SawBbv/bbv-types.scm 434 */
			{	/* SawBbv/bbv-types.scm 443 */
				obj_t BgL_zc3z04anonymousza32557ze3z87_8725;

				BgL_zc3z04anonymousza32557ze3z87_8725 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32557ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 0)), (int) (((long) 4)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32557ze3z87_8725, (int) (((long) 0)),
					BgL_pz00_7761);
				PROCEDURE_SET(BgL_zc3z04anonymousza32557ze3z87_8725, (int) (((long) 1)),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_7760)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32557ze3z87_8725, (int) (((long) 2)),
					BgL_mz00_7762);
				PROCEDURE_SET(BgL_zc3z04anonymousza32557ze3z87_8725, (int) (((long) 3)),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_7760)));
				return
					BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_7761,
					BgL_zc3z04anonymousza32557ze3z87_8725);
			}
		}

	}



/* &<@anonymous:2557> */
	obj_t BGl_z62zc3z04anonymousza32557ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7763)
	{
		{	/* SawBbv/bbv-types.scm 442 */
			{	/* SawBbv/bbv-types.scm 443 */
				obj_t BgL_pz00_7764;
				BgL_rtl_insz00_bglt BgL_i1291z00_7765;
				obj_t BgL_mz00_7766;
				BgL_rtl_insz00_bglt BgL_oz00_7767;

				BgL_pz00_7764 = PROCEDURE_REF(BgL_envz00_7763, (int) (((long) 0)));
				BgL_i1291z00_7765 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_7763, (int) (((long) 1))));
				BgL_mz00_7766 = PROCEDURE_REF(BgL_envz00_7763, (int) (((long) 2)));
				BgL_oz00_7767 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_7763, (int) (((long) 3))));
				{
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_8727;
					obj_t BgL_pz00_8728;

					{	/* SawBbv/bbv-types.scm 443 */
						obj_t BgL_tmpz00_13543;

						BgL_tmpz00_13543 = ((obj_t) BgL_pz00_7764);
						bgl_display_string(BGl_string3536z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_13543);
					}
					if (CBOOL(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_i1291z00_7765)))->BgL_destz00)))
						{	/* SawBbv/bbv-types.scm 444 */
							{	/* SawBbv/bbv-types.scm 445 */
								obj_t BgL_tmpz00_13550;

								BgL_tmpz00_13550 = ((obj_t) BgL_pz00_7764);
								bgl_display_string(BGl_string3537z00zzsaw_bbvzd2typeszd2,
									BgL_tmpz00_13550);
							}
							{	/* SawBbv/bbv-types.scm 446 */
								obj_t BgL_arg2559z00_8740;

								BgL_arg2559z00_8740 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_i1291z00_7765)))->BgL_destz00);
								BGl_dumpz00zzsaw_defsz00(BgL_arg2559z00_8740, BgL_pz00_7764,
									CINT(BgL_mz00_7766));
							}
							{	/* SawBbv/bbv-types.scm 447 */
								obj_t BgL_tmpz00_13557;

								BgL_tmpz00_13557 = ((obj_t) BgL_pz00_7764);
								bgl_display_string(BGl_string3538z00zzsaw_bbvzd2typeszd2,
									BgL_tmpz00_13557);
							}
						}
					else
						{	/* SawBbv/bbv-types.scm 444 */
							BFALSE;
						}
					BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_7767), BgL_pz00_7764,
						BgL_mz00_7766);
					if (CBOOL((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
											BgL_i1291z00_7765)))->BgL_destz00)))
						{	/* SawBbv/bbv-types.scm 450 */
							obj_t BgL_tmpz00_13566;

							BgL_tmpz00_13566 = ((obj_t) BgL_pz00_7764);
							bgl_display_string(BGl_string3539z00zzsaw_bbvzd2typeszd2,
								BgL_tmpz00_13566);
						}
					else
						{	/* SawBbv/bbv-types.scm 449 */
							BFALSE;
						}
					{	/* SawBbv/bbv-types.scm 451 */
						obj_t BgL_tmpz00_13569;

						BgL_tmpz00_13569 = ((obj_t) BgL_pz00_7764);
						bgl_display_string(BGl_string3540z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_13569);
					}
					{	/* SawBbv/bbv-types.scm 452 */
						BgL_bbvzd2ctxzd2_bglt BgL_arg2561z00_8741;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13572;

							{
								obj_t BgL_auxz00_13573;

								{	/* SawBbv/bbv-types.scm 452 */
									BgL_objectz00_bglt BgL_tmpz00_13574;

									BgL_tmpz00_13574 = ((BgL_objectz00_bglt) BgL_i1291z00_7765);
									BgL_auxz00_13573 = BGL_OBJECT_WIDENING(BgL_tmpz00_13574);
								}
								BgL_auxz00_13572 =
									((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13573);
							}
							BgL_arg2561z00_8741 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13572))->
								BgL_ctxz00);
						}
						BgL_ctxz00_8727 = BgL_arg2561z00_8741;
						BgL_pz00_8728 = BgL_pz00_7764;
						{	/* SawBbv/bbv-types.scm 438 */
							obj_t BgL_arg2606z00_8729;

							{	/* SawBbv/bbv-types.scm 438 */
								obj_t BgL_l1692z00_8730;

								BgL_l1692z00_8730 =
									(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_8727))->
									BgL_entriesz00);
								if (NULLP(BgL_l1692z00_8730))
									{	/* SawBbv/bbv-types.scm 438 */
										BgL_arg2606z00_8729 = BNIL;
									}
								else
									{	/* SawBbv/bbv-types.scm 438 */
										obj_t BgL_head1694z00_8731;

										BgL_head1694z00_8731 =
											MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
												(BgL_l1692z00_8730)), BNIL);
										{	/* SawBbv/bbv-types.scm 438 */
											obj_t BgL_g1697z00_8732;

											BgL_g1697z00_8732 = CDR(BgL_l1692z00_8730);
											{
												obj_t BgL_l1692z00_8734;
												obj_t BgL_tail1695z00_8735;

												BgL_l1692z00_8734 = BgL_g1697z00_8732;
												BgL_tail1695z00_8735 = BgL_head1694z00_8731;
											BgL_zc3z04anonymousza32608ze3z87_8733:
												if (NULLP(BgL_l1692z00_8734))
													{	/* SawBbv/bbv-types.scm 438 */
														BgL_arg2606z00_8729 = BgL_head1694z00_8731;
													}
												else
													{	/* SawBbv/bbv-types.scm 438 */
														obj_t BgL_newtail1696z00_8736;

														{	/* SawBbv/bbv-types.scm 438 */
															obj_t BgL_arg2611z00_8737;

															{	/* SawBbv/bbv-types.scm 438 */
																obj_t BgL_arg2612z00_8738;

																BgL_arg2612z00_8738 =
																	CAR(((obj_t) BgL_l1692z00_8734));
																BgL_arg2611z00_8737 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2612z00_8738);
															}
															BgL_newtail1696z00_8736 =
																MAKE_YOUNG_PAIR(BgL_arg2611z00_8737, BNIL);
														}
														SET_CDR(BgL_tail1695z00_8735,
															BgL_newtail1696z00_8736);
														{	/* SawBbv/bbv-types.scm 438 */
															obj_t BgL_arg2610z00_8739;

															BgL_arg2610z00_8739 =
																CDR(((obj_t) BgL_l1692z00_8734));
															{
																obj_t BgL_tail1695z00_13596;
																obj_t BgL_l1692z00_13595;

																BgL_l1692z00_13595 = BgL_arg2610z00_8739;
																BgL_tail1695z00_13596 = BgL_newtail1696z00_8736;
																BgL_tail1695z00_8735 = BgL_tail1695z00_13596;
																BgL_l1692z00_8734 = BgL_l1692z00_13595;
																goto BgL_zc3z04anonymousza32608ze3z87_8733;
															}
														}
													}
											}
										}
									}
							}
							bgl_display_obj(BgL_arg2606z00_8729, BgL_pz00_8728);
						}
					}
					{	/* SawBbv/bbv-types.scm 453 */
						obj_t BgL_tmpz00_13598;

						BgL_tmpz00_13598 = ((obj_t) BgL_pz00_7764);
						bgl_display_string(BGl_string3541z00zzsaw_bbvzd2typeszd2,
							BgL_tmpz00_13598);
					}
					{	/* SawBbv/bbv-types.scm 454 */
						obj_t BgL_arg2562z00_8742;

						{	/* SawBbv/bbv-types.scm 454 */
							obj_t BgL_l1698z00_8743;

							{	/* SawBbv/bbv-types.scm 454 */
								obj_t BgL_arg2574z00_8744;

								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13601;

									{
										obj_t BgL_auxz00_13602;

										{	/* SawBbv/bbv-types.scm 454 */
											BgL_objectz00_bglt BgL_tmpz00_13603;

											BgL_tmpz00_13603 =
												((BgL_objectz00_bglt) BgL_i1291z00_7765);
											BgL_auxz00_13602 = BGL_OBJECT_WIDENING(BgL_tmpz00_13603);
										}
										BgL_auxz00_13601 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13602);
									}
									BgL_arg2574z00_8744 =
										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13601))->
										BgL_defz00);
								}
								BgL_l1698z00_8743 =
									BGl_regsetzd2ze3listz31zzsaw_regsetz00(
									((BgL_regsetz00_bglt) BgL_arg2574z00_8744));
							}
							if (NULLP(BgL_l1698z00_8743))
								{	/* SawBbv/bbv-types.scm 454 */
									BgL_arg2562z00_8742 = BNIL;
								}
							else
								{	/* SawBbv/bbv-types.scm 454 */
									obj_t BgL_head1700z00_8745;

									BgL_head1700z00_8745 =
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_l1698z00_8743)), BNIL);
									{	/* SawBbv/bbv-types.scm 454 */
										obj_t BgL_g1703z00_8746;

										BgL_g1703z00_8746 = CDR(BgL_l1698z00_8743);
										{
											obj_t BgL_l1698z00_8748;
											obj_t BgL_tail1701z00_8749;

											BgL_l1698z00_8748 = BgL_g1703z00_8746;
											BgL_tail1701z00_8749 = BgL_head1700z00_8745;
										BgL_zc3z04anonymousza32566ze3z87_8747:
											if (NULLP(BgL_l1698z00_8748))
												{	/* SawBbv/bbv-types.scm 454 */
													BgL_arg2562z00_8742 = BgL_head1700z00_8745;
												}
											else
												{	/* SawBbv/bbv-types.scm 454 */
													obj_t BgL_newtail1702z00_8750;

													{	/* SawBbv/bbv-types.scm 454 */
														obj_t BgL_arg2569z00_8751;

														{	/* SawBbv/bbv-types.scm 454 */
															obj_t BgL_arg2570z00_8752;

															BgL_arg2570z00_8752 =
																CAR(((obj_t) BgL_l1698z00_8748));
															BgL_arg2569z00_8751 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2570z00_8752);
														}
														BgL_newtail1702z00_8750 =
															MAKE_YOUNG_PAIR(BgL_arg2569z00_8751, BNIL);
													}
													SET_CDR(BgL_tail1701z00_8749,
														BgL_newtail1702z00_8750);
													{	/* SawBbv/bbv-types.scm 454 */
														obj_t BgL_arg2568z00_8753;

														BgL_arg2568z00_8753 =
															CDR(((obj_t) BgL_l1698z00_8748));
														{
															obj_t BgL_tail1701z00_13626;
															obj_t BgL_l1698z00_13625;

															BgL_l1698z00_13625 = BgL_arg2568z00_8753;
															BgL_tail1701z00_13626 = BgL_newtail1702z00_8750;
															BgL_tail1701z00_8749 = BgL_tail1701z00_13626;
															BgL_l1698z00_8748 = BgL_l1698z00_13625;
															goto BgL_zc3z04anonymousza32566ze3z87_8747;
														}
													}
												}
										}
									}
								}
						}
						{	/* SawBbv/bbv-types.scm 454 */
							obj_t BgL_list2563z00_8754;

							{	/* SawBbv/bbv-types.scm 454 */
								obj_t BgL_arg2564z00_8755;

								BgL_arg2564z00_8755 =
									MAKE_YOUNG_PAIR(BgL_arg2562z00_8742, BNIL);
								BgL_list2563z00_8754 =
									MAKE_YOUNG_PAIR(BGl_string3542z00zzsaw_bbvzd2typeszd2,
									BgL_arg2564z00_8755);
							}
							BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2563z00_8754);
						}
					}
					{	/* SawBbv/bbv-types.scm 455 */
						obj_t BgL_arg2577z00_8756;

						{	/* SawBbv/bbv-types.scm 455 */
							obj_t BgL_l1704z00_8757;

							{	/* SawBbv/bbv-types.scm 455 */
								obj_t BgL_arg2590z00_8758;

								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13630;

									{
										obj_t BgL_auxz00_13631;

										{	/* SawBbv/bbv-types.scm 455 */
											BgL_objectz00_bglt BgL_tmpz00_13632;

											BgL_tmpz00_13632 =
												((BgL_objectz00_bglt) BgL_i1291z00_7765);
											BgL_auxz00_13631 = BGL_OBJECT_WIDENING(BgL_tmpz00_13632);
										}
										BgL_auxz00_13630 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13631);
									}
									BgL_arg2590z00_8758 =
										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13630))->
										BgL_inz00);
								}
								BgL_l1704z00_8757 =
									BGl_regsetzd2ze3listz31zzsaw_regsetz00(
									((BgL_regsetz00_bglt) BgL_arg2590z00_8758));
							}
							if (NULLP(BgL_l1704z00_8757))
								{	/* SawBbv/bbv-types.scm 455 */
									BgL_arg2577z00_8756 = BNIL;
								}
							else
								{	/* SawBbv/bbv-types.scm 455 */
									obj_t BgL_head1706z00_8759;

									BgL_head1706z00_8759 =
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_l1704z00_8757)), BNIL);
									{	/* SawBbv/bbv-types.scm 455 */
										obj_t BgL_g1709z00_8760;

										BgL_g1709z00_8760 = CDR(BgL_l1704z00_8757);
										{
											obj_t BgL_l1704z00_8762;
											obj_t BgL_tail1707z00_8763;

											BgL_l1704z00_8762 = BgL_g1709z00_8760;
											BgL_tail1707z00_8763 = BgL_head1706z00_8759;
										BgL_zc3z04anonymousza32581ze3z87_8761:
											if (NULLP(BgL_l1704z00_8762))
												{	/* SawBbv/bbv-types.scm 455 */
													BgL_arg2577z00_8756 = BgL_head1706z00_8759;
												}
											else
												{	/* SawBbv/bbv-types.scm 455 */
													obj_t BgL_newtail1708z00_8764;

													{	/* SawBbv/bbv-types.scm 455 */
														obj_t BgL_arg2584z00_8765;

														{	/* SawBbv/bbv-types.scm 455 */
															obj_t BgL_arg2586z00_8766;

															BgL_arg2586z00_8766 =
																CAR(((obj_t) BgL_l1704z00_8762));
															BgL_arg2584z00_8765 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2586z00_8766);
														}
														BgL_newtail1708z00_8764 =
															MAKE_YOUNG_PAIR(BgL_arg2584z00_8765, BNIL);
													}
													SET_CDR(BgL_tail1707z00_8763,
														BgL_newtail1708z00_8764);
													{	/* SawBbv/bbv-types.scm 455 */
														obj_t BgL_arg2583z00_8767;

														BgL_arg2583z00_8767 =
															CDR(((obj_t) BgL_l1704z00_8762));
														{
															obj_t BgL_tail1707z00_13655;
															obj_t BgL_l1704z00_13654;

															BgL_l1704z00_13654 = BgL_arg2583z00_8767;
															BgL_tail1707z00_13655 = BgL_newtail1708z00_8764;
															BgL_tail1707z00_8763 = BgL_tail1707z00_13655;
															BgL_l1704z00_8762 = BgL_l1704z00_13654;
															goto BgL_zc3z04anonymousza32581ze3z87_8761;
														}
													}
												}
										}
									}
								}
						}
						{	/* SawBbv/bbv-types.scm 455 */
							obj_t BgL_list2578z00_8768;

							{	/* SawBbv/bbv-types.scm 455 */
								obj_t BgL_arg2579z00_8769;

								BgL_arg2579z00_8769 =
									MAKE_YOUNG_PAIR(BgL_arg2577z00_8756, BNIL);
								BgL_list2578z00_8768 =
									MAKE_YOUNG_PAIR(BGl_string3543z00zzsaw_bbvzd2typeszd2,
									BgL_arg2579z00_8769);
							}
							BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2578z00_8768);
						}
					}
					{	/* SawBbv/bbv-types.scm 456 */
						obj_t BgL_arg2591z00_8770;

						{	/* SawBbv/bbv-types.scm 456 */
							obj_t BgL_l1710z00_8771;

							{	/* SawBbv/bbv-types.scm 456 */
								obj_t BgL_arg2603z00_8772;

								{
									BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_13659;

									{
										obj_t BgL_auxz00_13660;

										{	/* SawBbv/bbv-types.scm 456 */
											BgL_objectz00_bglt BgL_tmpz00_13661;

											BgL_tmpz00_13661 =
												((BgL_objectz00_bglt) BgL_i1291z00_7765);
											BgL_auxz00_13660 = BGL_OBJECT_WIDENING(BgL_tmpz00_13661);
										}
										BgL_auxz00_13659 =
											((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_13660);
									}
									BgL_arg2603z00_8772 =
										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_13659))->
										BgL_outz00);
								}
								BgL_l1710z00_8771 =
									BGl_regsetzd2ze3listz31zzsaw_regsetz00(
									((BgL_regsetz00_bglt) BgL_arg2603z00_8772));
							}
							if (NULLP(BgL_l1710z00_8771))
								{	/* SawBbv/bbv-types.scm 456 */
									BgL_arg2591z00_8770 = BNIL;
								}
							else
								{	/* SawBbv/bbv-types.scm 456 */
									obj_t BgL_head1712z00_8773;

									BgL_head1712z00_8773 =
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_l1710z00_8771)), BNIL);
									{	/* SawBbv/bbv-types.scm 456 */
										obj_t BgL_g1715z00_8774;

										BgL_g1715z00_8774 = CDR(BgL_l1710z00_8771);
										{
											obj_t BgL_l1710z00_8776;
											obj_t BgL_tail1713z00_8777;

											BgL_l1710z00_8776 = BgL_g1715z00_8774;
											BgL_tail1713z00_8777 = BgL_head1712z00_8773;
										BgL_zc3z04anonymousza32595ze3z87_8775:
											if (NULLP(BgL_l1710z00_8776))
												{	/* SawBbv/bbv-types.scm 456 */
													BgL_arg2591z00_8770 = BgL_head1712z00_8773;
												}
											else
												{	/* SawBbv/bbv-types.scm 456 */
													obj_t BgL_newtail1714z00_8778;

													{	/* SawBbv/bbv-types.scm 456 */
														obj_t BgL_arg2599z00_8779;

														{	/* SawBbv/bbv-types.scm 456 */
															obj_t BgL_arg2600z00_8780;

															BgL_arg2600z00_8780 =
																CAR(((obj_t) BgL_l1710z00_8776));
															BgL_arg2599z00_8779 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2600z00_8780);
														}
														BgL_newtail1714z00_8778 =
															MAKE_YOUNG_PAIR(BgL_arg2599z00_8779, BNIL);
													}
													SET_CDR(BgL_tail1713z00_8777,
														BgL_newtail1714z00_8778);
													{	/* SawBbv/bbv-types.scm 456 */
														obj_t BgL_arg2597z00_8781;

														BgL_arg2597z00_8781 =
															CDR(((obj_t) BgL_l1710z00_8776));
														{
															obj_t BgL_tail1713z00_13684;
															obj_t BgL_l1710z00_13683;

															BgL_l1710z00_13683 = BgL_arg2597z00_8781;
															BgL_tail1713z00_13684 = BgL_newtail1714z00_8778;
															BgL_tail1713z00_8777 = BgL_tail1713z00_13684;
															BgL_l1710z00_8776 = BgL_l1710z00_13683;
															goto BgL_zc3z04anonymousza32595ze3z87_8775;
														}
													}
												}
										}
									}
								}
						}
						{	/* SawBbv/bbv-types.scm 456 */
							obj_t BgL_list2592z00_8782;

							{	/* SawBbv/bbv-types.scm 456 */
								obj_t BgL_arg2593z00_8783;

								BgL_arg2593z00_8783 =
									MAKE_YOUNG_PAIR(BgL_arg2591z00_8770, BNIL);
								BgL_list2592z00_8782 =
									MAKE_YOUNG_PAIR(BGl_string3544z00zzsaw_bbvzd2typeszd2,
									BgL_arg2593z00_8783);
							}
							return
								BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2592z00_8782);
						}
					}
				}
			}
		}

	}



/* &shape-bbv-ctx1825 */
	obj_t BGl_z62shapezd2bbvzd2ctx1825z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7768, obj_t BgL_oz00_7769)
	{
		{	/* SawBbv/bbv-types.scm 427 */
			{	/* SawBbv/bbv-types.scm 429 */
				obj_t BgL_v1691z00_8785;

				BgL_v1691z00_8785 = create_vector(((long) 2));
				{	/* SawBbv/bbv-types.scm 429 */
					long BgL_arg2538z00_8786;

					BgL_arg2538z00_8786 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7769)))->BgL_idz00);
					VECTOR_SET(BgL_v1691z00_8785, ((long) 0), BINT(BgL_arg2538z00_8786));
				}
				{	/* SawBbv/bbv-types.scm 429 */
					obj_t BgL_arg2542z00_8787;

					{	/* SawBbv/bbv-types.scm 429 */
						obj_t BgL_l1685z00_8788;

						BgL_l1685z00_8788 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxzd2_bglt) BgL_oz00_7769)))->BgL_entriesz00);
						if (NULLP(BgL_l1685z00_8788))
							{	/* SawBbv/bbv-types.scm 429 */
								BgL_arg2542z00_8787 = BNIL;
							}
						else
							{	/* SawBbv/bbv-types.scm 429 */
								obj_t BgL_head1687z00_8789;

								BgL_head1687z00_8789 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1685z00_8788)), BNIL);
								{	/* SawBbv/bbv-types.scm 429 */
									obj_t BgL_g1690z00_8790;

									BgL_g1690z00_8790 = CDR(BgL_l1685z00_8788);
									{
										obj_t BgL_l1685z00_8792;
										obj_t BgL_tail1688z00_8793;

										BgL_l1685z00_8792 = BgL_g1690z00_8790;
										BgL_tail1688z00_8793 = BgL_head1687z00_8789;
									BgL_zc3z04anonymousza32544ze3z87_8791:
										if (NULLP(BgL_l1685z00_8792))
											{	/* SawBbv/bbv-types.scm 429 */
												BgL_arg2542z00_8787 = BgL_head1687z00_8789;
											}
										else
											{	/* SawBbv/bbv-types.scm 429 */
												obj_t BgL_newtail1689z00_8794;

												{	/* SawBbv/bbv-types.scm 429 */
													obj_t BgL_arg2548z00_8795;

													{	/* SawBbv/bbv-types.scm 429 */
														obj_t BgL_arg2551z00_8796;

														BgL_arg2551z00_8796 =
															CAR(((obj_t) BgL_l1685z00_8792));
														BgL_arg2548z00_8795 =
															BGl_shapez00zztools_shapez00(BgL_arg2551z00_8796);
													}
													BgL_newtail1689z00_8794 =
														MAKE_YOUNG_PAIR(BgL_arg2548z00_8795, BNIL);
												}
												SET_CDR(BgL_tail1688z00_8793, BgL_newtail1689z00_8794);
												{	/* SawBbv/bbv-types.scm 429 */
													obj_t BgL_arg2547z00_8797;

													BgL_arg2547z00_8797 =
														CDR(((obj_t) BgL_l1685z00_8792));
													{
														obj_t BgL_tail1688z00_13711;
														obj_t BgL_l1685z00_13710;

														BgL_l1685z00_13710 = BgL_arg2547z00_8797;
														BgL_tail1688z00_13711 = BgL_newtail1689z00_8794;
														BgL_tail1688z00_8793 = BgL_tail1688z00_13711;
														BgL_l1685z00_8792 = BgL_l1685z00_13710;
														goto BgL_zc3z04anonymousza32544ze3z87_8791;
													}
												}
											}
									}
								}
							}
					}
					VECTOR_SET(BgL_v1691z00_8785, ((long) 1), BgL_arg2542z00_8787);
				}
				return BgL_v1691z00_8785;
			}
		}

	}



/* &shape-blockS1823 */
	obj_t BGl_z62shapezd2blockS1823zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7770,
		obj_t BgL_oz00_7771)
	{
		{	/* SawBbv/bbv-types.scm 419 */
			{	/* SawBbv/bbv-types.scm 422 */
				obj_t BgL_zc3z04anonymousza32536ze3z87_8799;

				BgL_zc3z04anonymousza32536ze3z87_8799 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32536ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32536ze3z87_8799, (int) (((long) 0)),
					((obj_t) ((BgL_blockz00_bglt) BgL_oz00_7771)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32536ze3z87_8799);
			}
		}

	}



/* &<@anonymous:2536> */
	obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7772, obj_t BgL_pz00_7774)
	{
		{	/* SawBbv/bbv-types.scm 421 */
			{	/* SawBbv/bbv-types.scm 422 */
				BgL_blockz00_bglt BgL_oz00_7773;

				BgL_oz00_7773 =
					((BgL_blockz00_bglt)
					PROCEDURE_REF(BgL_envz00_7772, (int) (((long) 0))));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_7773), BgL_pz00_7774, (int) (((long) 0)));
		}}

	}



/* &shape-block1821 */
	obj_t BGl_z62shapezd2block1821zb0zzsaw_bbvzd2typeszd2(obj_t BgL_envz00_7775,
		obj_t BgL_oz00_7776)
	{
		{	/* SawBbv/bbv-types.scm 411 */
			{	/* SawBbv/bbv-types.scm 414 */
				obj_t BgL_zc3z04anonymousza32534ze3z87_8801;

				BgL_zc3z04anonymousza32534ze3z87_8801 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32534ze3z87_8801, (int) (((long) 0)),
					((obj_t) ((BgL_blockz00_bglt) BgL_oz00_7776)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32534ze3z87_8801);
			}
		}

	}



/* &<@anonymous:2534> */
	obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7777, obj_t BgL_pz00_7779)
	{
		{	/* SawBbv/bbv-types.scm 413 */
			{	/* SawBbv/bbv-types.scm 414 */
				BgL_blockz00_bglt BgL_oz00_7778;

				BgL_oz00_7778 =
					((BgL_blockz00_bglt)
					PROCEDURE_REF(BgL_envz00_7777, (int) (((long) 0))));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_7778), BgL_pz00_7779, (int) (((long) 0)));
		}}

	}



/* &shape-rtl_ins/bbv1819 */
	obj_t BGl_z62shapezd2rtl_inszf2bbv1819z42zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7780, obj_t BgL_oz00_7781)
	{
		{	/* SawBbv/bbv-types.scm 403 */
			{	/* SawBbv/bbv-types.scm 406 */
				obj_t BgL_zc3z04anonymousza32530ze3z87_8803;

				BgL_zc3z04anonymousza32530ze3z87_8803 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32530ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32530ze3z87_8803, (int) (((long) 0)),
					((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_7781)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32530ze3z87_8803);
			}
		}

	}



/* &<@anonymous:2530> */
	obj_t BGl_z62zc3z04anonymousza32530ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7782, obj_t BgL_pz00_7784)
	{
		{	/* SawBbv/bbv-types.scm 405 */
			{	/* SawBbv/bbv-types.scm 406 */
				BgL_rtl_insz00_bglt BgL_oz00_7783;

				BgL_oz00_7783 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_7782, (int) (((long) 0))));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_oz00_7783), BgL_pz00_7784, (int) (((long) 0)));
		}}

	}



/* &shape-bbv-ctx1797 */
	obj_t BGl_z62shapezd2bbvzd2ctx1797z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7785, obj_t BgL_ctxz00_7786)
	{
		{	/* SawBbv/bbv-types.scm 188 */
			{	/* SawBbv/bbv-types.scm 192 */
				obj_t BgL_zc3z04anonymousza32516ze3z87_8805;

				BgL_zc3z04anonymousza32516ze3z87_8805 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza32516ze3ze5zzsaw_bbvzd2typeszd2,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32516ze3z87_8805, (int) (((long) 0)),
					((obj_t) ((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_7786)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32516ze3z87_8805);
			}
		}

	}



/* &<@anonymous:2516> */
	obj_t BGl_z62zc3z04anonymousza32516ze3ze5zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7787, obj_t BgL_opz00_7789)
	{
		{	/* SawBbv/bbv-types.scm 191 */
			{	/* SawBbv/bbv-types.scm 192 */
				BgL_bbvzd2ctxzd2_bglt BgL_i1234z00_7788;

				BgL_i1234z00_7788 =
					((BgL_bbvzd2ctxzd2_bglt)
					PROCEDURE_REF(BgL_envz00_7787, (int) (((long) 0))));
				{	/* SawBbv/bbv-types.scm 192 */
					obj_t BgL_arg2517z00_8806;

					{	/* SawBbv/bbv-types.scm 192 */
						obj_t BgL_l1673z00_8807;

						BgL_l1673z00_8807 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_i1234z00_7788))->
							BgL_entriesz00);
						if (NULLP(BgL_l1673z00_8807))
							{	/* SawBbv/bbv-types.scm 192 */
								BgL_arg2517z00_8806 = BNIL;
							}
						else
							{	/* SawBbv/bbv-types.scm 192 */
								obj_t BgL_head1675z00_8808;

								BgL_head1675z00_8808 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1673z00_8807)), BNIL);
								{	/* SawBbv/bbv-types.scm 192 */
									obj_t BgL_g1678z00_8809;

									BgL_g1678z00_8809 = CDR(BgL_l1673z00_8807);
									{
										obj_t BgL_l1673z00_8811;
										obj_t BgL_tail1676z00_8812;

										BgL_l1673z00_8811 = BgL_g1678z00_8809;
										BgL_tail1676z00_8812 = BgL_head1675z00_8808;
									BgL_zc3z04anonymousza32520ze3z87_8810:
										if (NULLP(BgL_l1673z00_8811))
											{	/* SawBbv/bbv-types.scm 192 */
												BgL_arg2517z00_8806 = BgL_head1675z00_8808;
											}
										else
											{	/* SawBbv/bbv-types.scm 192 */
												obj_t BgL_newtail1677z00_8813;

												{	/* SawBbv/bbv-types.scm 192 */
													obj_t BgL_arg2523z00_8814;

													{	/* SawBbv/bbv-types.scm 192 */
														obj_t BgL_arg2524z00_8815;

														BgL_arg2524z00_8815 =
															CAR(((obj_t) BgL_l1673z00_8811));
														BgL_arg2523z00_8814 =
															BGl_shapez00zztools_shapez00(BgL_arg2524z00_8815);
													}
													BgL_newtail1677z00_8813 =
														MAKE_YOUNG_PAIR(BgL_arg2523z00_8814, BNIL);
												}
												SET_CDR(BgL_tail1676z00_8812, BgL_newtail1677z00_8813);
												{	/* SawBbv/bbv-types.scm 192 */
													obj_t BgL_arg2522z00_8816;

													BgL_arg2522z00_8816 =
														CDR(((obj_t) BgL_l1673z00_8811));
													{
														obj_t BgL_tail1676z00_13783;
														obj_t BgL_l1673z00_13782;

														BgL_l1673z00_13782 = BgL_arg2522z00_8816;
														BgL_tail1676z00_13783 = BgL_newtail1677z00_8813;
														BgL_tail1676z00_8812 = BgL_tail1676z00_13783;
														BgL_l1673z00_8811 = BgL_l1673z00_13782;
														goto BgL_zc3z04anonymousza32520ze3z87_8810;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawBbv/bbv-types.scm 192 */
						obj_t BgL_list2518z00_8817;

						BgL_list2518z00_8817 = MAKE_YOUNG_PAIR(BgL_arg2517z00_8806, BNIL);
						return
							BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_opz00_7789,
							BGl_string3545z00zzsaw_bbvzd2typeszd2, BgL_list2518z00_8817);
					}
				}
			}
		}

	}



/* &shape-bbv-ctxentry1795 */
	obj_t BGl_z62shapezd2bbvzd2ctxentry1795z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7790, obj_t BgL_ez00_7791)
	{
		{	/* SawBbv/bbv-types.scm 157 */
			{	/* SawBbv/bbv-types.scm 159 */
				obj_t BgL_v1666z00_8819;

				BgL_v1666z00_8819 = create_vector(((long) 4));
				{	/* SawBbv/bbv-types.scm 159 */
					obj_t BgL_arg2468z00_8820;

					{	/* SawBbv/bbv-types.scm 159 */
						BgL_rtl_regz00_bglt BgL_arg2469z00_8821;

						BgL_arg2469z00_8821 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->BgL_regz00);
						BgL_arg2468z00_8820 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2469z00_8821));
					}
					VECTOR_SET(BgL_v1666z00_8819, ((long) 0), BgL_arg2468z00_8820);
				}
				{	/* SawBbv/bbv-types.scm 161 */
					obj_t BgL_arg2470z00_8822;

					{	/* SawBbv/bbv-types.scm 161 */
						obj_t BgL_arg2471z00_8823;

						if (
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->
								BgL_polarityz00))
							{	/* SawBbv/bbv-types.scm 162 */
								obj_t BgL_l1649z00_8824;

								BgL_l1649z00_8824 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->
									BgL_typesz00);
								{	/* SawBbv/bbv-types.scm 162 */
									obj_t BgL_head1651z00_8825;

									BgL_head1651z00_8825 =
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_l1649z00_8824)), BNIL);
									{	/* SawBbv/bbv-types.scm 162 */
										obj_t BgL_g1654z00_8826;

										BgL_g1654z00_8826 = CDR(BgL_l1649z00_8824);
										{
											obj_t BgL_l1649z00_8828;
											obj_t BgL_tail1652z00_8829;

											BgL_l1649z00_8828 = BgL_g1654z00_8826;
											BgL_tail1652z00_8829 = BgL_head1651z00_8825;
										BgL_zc3z04anonymousza32475ze3z87_8827:
											if (NULLP(BgL_l1649z00_8828))
												{	/* SawBbv/bbv-types.scm 162 */
													BgL_arg2471z00_8823 = BgL_head1651z00_8825;
												}
											else
												{	/* SawBbv/bbv-types.scm 162 */
													obj_t BgL_newtail1653z00_8830;

													{	/* SawBbv/bbv-types.scm 162 */
														obj_t BgL_arg2478z00_8831;

														{	/* SawBbv/bbv-types.scm 162 */
															obj_t BgL_arg2479z00_8832;

															BgL_arg2479z00_8832 =
																CAR(((obj_t) BgL_l1649z00_8828));
															BgL_arg2478z00_8831 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2479z00_8832);
														}
														BgL_newtail1653z00_8830 =
															MAKE_YOUNG_PAIR(BgL_arg2478z00_8831, BNIL);
													}
													SET_CDR(BgL_tail1652z00_8829,
														BgL_newtail1653z00_8830);
													{	/* SawBbv/bbv-types.scm 162 */
														obj_t BgL_arg2477z00_8833;

														BgL_arg2477z00_8833 =
															CDR(((obj_t) BgL_l1649z00_8828));
														{
															obj_t BgL_tail1652z00_13811;
															obj_t BgL_l1649z00_13810;

															BgL_l1649z00_13810 = BgL_arg2477z00_8833;
															BgL_tail1652z00_13811 = BgL_newtail1653z00_8830;
															BgL_tail1652z00_8829 = BgL_tail1652z00_13811;
															BgL_l1649z00_8828 = BgL_l1649z00_13810;
															goto BgL_zc3z04anonymousza32475ze3z87_8827;
														}
													}
												}
										}
									}
								}
							}
						else
							{	/* SawBbv/bbv-types.scm 163 */
								obj_t BgL_l1655z00_8834;

								BgL_l1655z00_8834 =
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
											((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->
									BgL_typesz00);
								{	/* SawBbv/bbv-types.scm 163 */
									obj_t BgL_head1657z00_8835;

									BgL_head1657z00_8835 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1655z00_8837;
										obj_t BgL_tail1658z00_8838;

										BgL_l1655z00_8837 = BgL_l1655z00_8834;
										BgL_tail1658z00_8838 = BgL_head1657z00_8835;
									BgL_zc3z04anonymousza32484ze3z87_8836:
										if (NULLP(BgL_l1655z00_8837))
											{	/* SawBbv/bbv-types.scm 163 */
												BgL_arg2471z00_8823 = CDR(BgL_head1657z00_8835);
											}
										else
											{	/* SawBbv/bbv-types.scm 163 */
												obj_t BgL_newtail1659z00_8839;

												{	/* SawBbv/bbv-types.scm 163 */
													obj_t BgL_arg2488z00_8840;

													{	/* SawBbv/bbv-types.scm 163 */
														obj_t BgL_tz00_8841;

														BgL_tz00_8841 = CAR(((obj_t) BgL_l1655z00_8837));
														BgL_arg2488z00_8840 =
															string_append
															(BGl_string3546z00zzsaw_bbvzd2typeszd2,
															BGl_shapez00zztools_shapez00(BgL_tz00_8841));
													}
													BgL_newtail1659z00_8839 =
														MAKE_YOUNG_PAIR(BgL_arg2488z00_8840, BNIL);
												}
												SET_CDR(BgL_tail1658z00_8838, BgL_newtail1659z00_8839);
												{	/* SawBbv/bbv-types.scm 163 */
													obj_t BgL_arg2487z00_8842;

													BgL_arg2487z00_8842 =
														CDR(((obj_t) BgL_l1655z00_8837));
													{
														obj_t BgL_tail1658z00_13827;
														obj_t BgL_l1655z00_13826;

														BgL_l1655z00_13826 = BgL_arg2487z00_8842;
														BgL_tail1658z00_13827 = BgL_newtail1659z00_8839;
														BgL_tail1658z00_8838 = BgL_tail1658z00_13827;
														BgL_l1655z00_8837 = BgL_l1655z00_13826;
														goto BgL_zc3z04anonymousza32484ze3z87_8836;
													}
												}
											}
									}
								}
							}
						{	/* SawBbv/bbv-types.scm 160 */
							obj_t BgL_list2472z00_8843;

							BgL_list2472z00_8843 = MAKE_YOUNG_PAIR(BgL_arg2471z00_8823, BNIL);
							BgL_arg2470z00_8822 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string3547z00zzsaw_bbvzd2typeszd2, BgL_list2472z00_8843);
						}
					}
					VECTOR_SET(BgL_v1666z00_8819, ((long) 1), BgL_arg2470z00_8822);
				}
				{	/* SawBbv/bbv-types.scm 164 */
					obj_t BgL_arg2493z00_8844;

					{	/* SawBbv/bbv-types.scm 164 */
						obj_t BgL_arg2494z00_8845;

						BgL_arg2494z00_8845 =
							BGl_shapez00zztools_shapez00(
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
										((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->
								BgL_valuez00));
						{	/* SawBbv/bbv-types.scm 164 */
							obj_t BgL_list2495z00_8846;

							BgL_list2495z00_8846 = MAKE_YOUNG_PAIR(BgL_arg2494z00_8845, BNIL);
							BgL_arg2493z00_8844 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string3545z00zzsaw_bbvzd2typeszd2, BgL_list2495z00_8846);
					}}
					VECTOR_SET(BgL_v1666z00_8819, ((long) 2), BgL_arg2493z00_8844);
				}
				{	/* SawBbv/bbv-types.scm 165 */
					obj_t BgL_arg2499z00_8847;

					{	/* SawBbv/bbv-types.scm 165 */
						obj_t BgL_l1660z00_8848;

						BgL_l1660z00_8848 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_7791)))->
							BgL_aliasesz00);
						if (NULLP(BgL_l1660z00_8848))
							{	/* SawBbv/bbv-types.scm 165 */
								BgL_arg2499z00_8847 = BNIL;
							}
						else
							{	/* SawBbv/bbv-types.scm 165 */
								obj_t BgL_head1662z00_8849;

								BgL_head1662z00_8849 =
									MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
										(BgL_l1660z00_8848)), BNIL);
								{	/* SawBbv/bbv-types.scm 165 */
									obj_t BgL_g1665z00_8850;

									BgL_g1665z00_8850 = CDR(BgL_l1660z00_8848);
									{
										obj_t BgL_l1660z00_8852;
										obj_t BgL_tail1663z00_8853;

										BgL_l1660z00_8852 = BgL_g1665z00_8850;
										BgL_tail1663z00_8853 = BgL_head1662z00_8849;
									BgL_zc3z04anonymousza32501ze3z87_8851:
										if (NULLP(BgL_l1660z00_8852))
											{	/* SawBbv/bbv-types.scm 165 */
												BgL_arg2499z00_8847 = BgL_head1662z00_8849;
											}
										else
											{	/* SawBbv/bbv-types.scm 165 */
												obj_t BgL_newtail1664z00_8854;

												{	/* SawBbv/bbv-types.scm 165 */
													obj_t BgL_arg2511z00_8855;

													{	/* SawBbv/bbv-types.scm 165 */
														obj_t BgL_arg2512z00_8856;

														BgL_arg2512z00_8856 =
															CAR(((obj_t) BgL_l1660z00_8852));
														BgL_arg2511z00_8855 =
															BGl_shapez00zztools_shapez00(BgL_arg2512z00_8856);
													}
													BgL_newtail1664z00_8854 =
														MAKE_YOUNG_PAIR(BgL_arg2511z00_8855, BNIL);
												}
												SET_CDR(BgL_tail1663z00_8853, BgL_newtail1664z00_8854);
												{	/* SawBbv/bbv-types.scm 165 */
													obj_t BgL_arg2508z00_8857;

													BgL_arg2508z00_8857 =
														CDR(((obj_t) BgL_l1660z00_8852));
													{
														obj_t BgL_tail1663z00_13855;
														obj_t BgL_l1660z00_13854;

														BgL_l1660z00_13854 = BgL_arg2508z00_8857;
														BgL_tail1663z00_13855 = BgL_newtail1664z00_8854;
														BgL_tail1663z00_8853 = BgL_tail1663z00_13855;
														BgL_l1660z00_8852 = BgL_l1660z00_13854;
														goto BgL_zc3z04anonymousza32501ze3z87_8851;
													}
												}
											}
									}
								}
							}
					}
					VECTOR_SET(BgL_v1666z00_8819, ((long) 3), BgL_arg2499z00_8847);
				}
				return BgL_v1666z00_8819;
			}
		}

	}



/* &object-print-blockS1793 */
	obj_t BGl_z62objectzd2printzd2blockS1793z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7792, obj_t BgL_oz00_7793, obj_t BgL_pz00_7794,
		obj_t BgL_procz00_7795)
	{
		{	/* SawBbv/bbv-types.scm 131 */
			return
				BGl_dumpz00zzsaw_defsz00(
				((obj_t)
					((BgL_blockz00_bglt) BgL_oz00_7793)), BgL_pz00_7794,
				(int) (((long) 0)));
		}

	}



/* &object-print-blockV1791 */
	obj_t BGl_z62objectzd2printzd2blockV1791z62zzsaw_bbvzd2typeszd2(obj_t
		BgL_envz00_7796, obj_t BgL_oz00_7797, obj_t BgL_pz00_7798,
		obj_t BgL_procz00_7799)
	{
		{	/* SawBbv/bbv-types.scm 125 */
			return
				BGl_dumpz00zzsaw_defsz00(
				((obj_t)
					((BgL_blockz00_bglt) BgL_oz00_7797)), BgL_pz00_7798,
				(int) (((long) 0)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2typeszd2(void)
	{
		{	/* SawBbv/bbv-types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 427577353),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(((long) 312515004),
				BSTRING_TO_STRING(BGl_string3548z00zzsaw_bbvzd2typeszd2));
		}

	}

#ifdef __cplusplus
}
#endif
