/*===========================================================================*/
/*   (SawBbv/bbv-utils.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawBbv/bbv-utils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		obj_t BgL_mblockz00;
		bool_t BgL_collapsedz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;


	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62replacez62zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 = BUNSPEC;
	extern obj_t BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL obj_t
		BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62livezd2versionszb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static long BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62assertzd2blockzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_livezd2versionszd2zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static long BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2;
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72335za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genlabelzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762genlabelza762za7za72336z00,
		BGl_z62genlabelz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_replacezd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl__replaceza7d2block2337za7, opt_generic_entry,
		BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2nilza72338za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2314z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2314za700za7za7s2339za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2315z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2315za700za7za7s2340za7, "REPLACE-BLOCK-ERROR! ", 21);
	      DEFINE_STRING(BGl_string2316z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2316za700za7za7s2341za7, ":", 1);
	      DEFINE_STRING(BGl_string2317z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2317za700za7za7s2342za7, ",", 1);
	      DEFINE_STRING(BGl_string2318z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2318za700za7za7s2343za7, "SawBbv/bbv-utils.scm", 20);
	      DEFINE_STRING(BGl_string2319z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2319za700za7za7s2344za7, " octx=", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72345za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2320z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2320za700za7za7s2346za7, " nctx=", 6);
	      DEFINE_STRING(BGl_string2321z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2321za700za7za7s2347za7, "Wrong block replacement ~a", 26);
	      DEFINE_STRING(BGl_string2322z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2322za700za7za7s2348za7, "replace-block!", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2ze3blockzd2listzd2envz31zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762blockza7d2za7e3bl2349za7,
		BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2323z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2323za700za7za7s2350za7, " ", 1);
	      DEFINE_STRING(BGl_string2324z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2324za700za7za7s2351za7, "ERROR ctx>=? ", 13);
	      DEFINE_STRING(BGl_string2325z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2325za700za7za7s2352za7, "preds...", 8);
	      DEFINE_STRING(BGl_string2326z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2326za700za7za7s2353za7, "predecessors not pointing to ~a",
		31);
	      DEFINE_STRING(BGl_string2327z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2327za700za7za7s2354za7, "succs...", 8);
	      DEFINE_STRING(BGl_string2328z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2328za700za7za7s2355za7, "successors not pointing to ~a", 29);
	      DEFINE_STRING(BGl_string2329z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2329za700za7za7s2356za7, "wrong block: ", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72357za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2330z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2330za700za7za7s2358za7, "parent block: ", 14);
	      DEFINE_STRING(BGl_string2331z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2331za700za7za7s2359za7,
		"instruction target not in succs of ", 35);
	      DEFINE_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2332za700za7za7s2360za7, "saw_bbv-utils", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e2361za7,
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2333z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2333za700za7za7s2362za7, "_ :debug bbset ", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_redirectzd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762redirectza7d2bl2363z00,
		BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72364za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72365za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72366za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72367za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2inzf3zd2envzf3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762typeza7d2inza7f3za72368z00,
		BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regv2369z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2maxzd2labelz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762setza7d2maxza7d2l2370za7,
		BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2371z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2msiza72372za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72373za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72374za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72375za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72376za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72377za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72378za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2379z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72380za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72381za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_assertzd2blockzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762assertza7d2bloc2382z00,
		BGl_z62assertzd2blockzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2383z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72384za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2rtl_re2385z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72386za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livezd2versionszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762liveza7d2versio2387z00,
		BGl_z62livezd2versionszb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2388z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72389za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2bbzd2markzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762getza7d2bbza7d2ma2390za7,
		BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72391za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72392za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2regset2393z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2f2394za7,
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7f3za791za72395z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72396za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72397za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_replacezd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762replaceza762za7za7s2398z00,
		BGl_z62replacez62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regl2399z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long
		BgL_checksumz00_3811, char *BgL_fromz00_3812)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_bbv-utils");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			{	/* SawBbv/bbv-utils.scm 15 */
				obj_t BgL_cportz00_3719;

				{	/* SawBbv/bbv-utils.scm 15 */
					obj_t BgL_stringz00_3726;

					BgL_stringz00_3726 = BGl_string2333z00zzsaw_bbvzd2utilszd2;
					{	/* SawBbv/bbv-utils.scm 15 */
						obj_t BgL_startz00_3727;

						BgL_startz00_3727 = BINT(((long) 0));
						{	/* SawBbv/bbv-utils.scm 15 */
							obj_t BgL_endz00_3728;

							BgL_endz00_3728 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3726)));
							{	/* SawBbv/bbv-utils.scm 15 */

								BgL_cportz00_3719 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3726, BgL_startz00_3727, BgL_endz00_3728);
				}}}}
				{
					long BgL_iz00_3720;

					BgL_iz00_3720 = ((long) 2);
				BgL_loopz00_3721:
					if ((BgL_iz00_3720 == ((long) -1)))
						{	/* SawBbv/bbv-utils.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-utils.scm 15 */
							{	/* SawBbv/bbv-utils.scm 15 */
								obj_t BgL_arg2334z00_3722;

								{	/* SawBbv/bbv-utils.scm 15 */

									{	/* SawBbv/bbv-utils.scm 15 */
										obj_t BgL_locationz00_3724;

										BgL_locationz00_3724 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-utils.scm 15 */

											BgL_arg2334z00_3722 =
												BGl_readz00zz__readerz00(BgL_cportz00_3719,
												BgL_locationz00_3724);
										}
									}
								}
								{	/* SawBbv/bbv-utils.scm 15 */
									int BgL_tmpz00_3844;

									BgL_tmpz00_3844 = (int) (BgL_iz00_3720);
									CNST_TABLE_SET(BgL_tmpz00_3844, BgL_arg2334z00_3722);
							}}
							{	/* SawBbv/bbv-utils.scm 15 */
								int BgL_auxz00_3725;

								BgL_auxz00_3725 = (int) ((BgL_iz00_3720 - ((long) 1)));
								{
									long BgL_iz00_3849;

									BgL_iz00_3849 = (long) (BgL_auxz00_3725);
									BgL_iz00_3720 = BgL_iz00_3849;
									goto BgL_loopz00_3721;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = ((long) 0);
			return (BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2 =
				((long) -1), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2116;

				BgL_headz00_2116 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2117;
					obj_t BgL_tailz00_2118;

					BgL_prevz00_2117 = BgL_headz00_2116;
					BgL_tailz00_2118 = BgL_l1z00_1;
				BgL_loopz00_2119:
					if (PAIRP(BgL_tailz00_2118))
						{
							obj_t BgL_newzd2prevzd2_2121;

							BgL_newzd2prevzd2_2121 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2118), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2117, BgL_newzd2prevzd2_2121);
							{
								obj_t BgL_tailz00_3859;
								obj_t BgL_prevz00_3858;

								BgL_prevz00_3858 = BgL_newzd2prevzd2_2121;
								BgL_tailz00_3859 = CDR(BgL_tailz00_2118);
								BgL_tailz00_2118 = BgL_tailz00_3859;
								BgL_prevz00_2117 = BgL_prevz00_3858;
								goto BgL_loopz00_2119;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2116);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1168z00_3730;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1166z00_3731;
					BgL_rtl_regzf2razf2_bglt BgL_wide1167z00_3732;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3862;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1165z00_3733;

							BgL_new1165z00_3733 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1630z00_3734;

								BgL_arg1630z00_3734 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1165z00_3733),
									BgL_arg1630z00_3734);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3867;

								BgL_tmpz00_3867 = ((BgL_objectz00_bglt) BgL_new1165z00_3733);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3867, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1165z00_3733);
							BgL_auxz00_3862 = BgL_new1165z00_3733;
						}
						BgL_tmp1166z00_3731 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3862);
					}
					BgL_wide1167z00_3732 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3875;
						BgL_objectz00_bglt BgL_tmpz00_3873;

						BgL_auxz00_3875 = ((obj_t) BgL_wide1167z00_3732);
						BgL_tmpz00_3873 = ((BgL_objectz00_bglt) BgL_tmp1166z00_3731);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3873, BgL_auxz00_3875);
					}
					((BgL_objectz00_bglt) BgL_tmp1166z00_3731);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1629z00_3735;

						BgL_arg1629z00_3735 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1166z00_3731), BgL_arg1629z00_3735);
					}
					BgL_new1168z00_3730 = ((BgL_rtl_regz00_bglt) BgL_tmp1166z00_3731);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1168z00_3730)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1168z00_3730)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1168z00_3730)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1168z00_3730)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1168z00_3730)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1168z00_3730)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3895;

					{
						obj_t BgL_auxz00_3896;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3897;

							BgL_tmpz00_3897 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3896 = BGL_OBJECT_WIDENING(BgL_tmpz00_3897);
						}
						BgL_auxz00_3895 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3896);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3895))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3902;

					{
						obj_t BgL_auxz00_3903;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3904;

							BgL_tmpz00_3904 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3903 = BGL_OBJECT_WIDENING(BgL_tmpz00_3904);
						}
						BgL_auxz00_3902 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3903);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3902))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3909;

					{
						obj_t BgL_auxz00_3910;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3911;

							BgL_tmpz00_3911 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3910 = BGL_OBJECT_WIDENING(BgL_tmpz00_3911);
						}
						BgL_auxz00_3909 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3910);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3909))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3916;

					{
						obj_t BgL_auxz00_3917;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3918;

							BgL_tmpz00_3918 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3917 = BGL_OBJECT_WIDENING(BgL_tmpz00_3918);
						}
						BgL_auxz00_3916 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3917);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3916))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3923;

					{
						obj_t BgL_auxz00_3924;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3925;

							BgL_tmpz00_3925 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3924 = BGL_OBJECT_WIDENING(BgL_tmpz00_3925);
						}
						BgL_auxz00_3923 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3924);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3923))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3930;

					{
						obj_t BgL_auxz00_3931;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3932;

							BgL_tmpz00_3932 = ((BgL_objectz00_bglt) BgL_new1168z00_3730);
							BgL_auxz00_3931 = BGL_OBJECT_WIDENING(BgL_tmpz00_3932);
						}
						BgL_auxz00_3930 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3931);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3930))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1168z00_3730;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3575, obj_t BgL_type1179z00_3576, obj_t BgL_var1180z00_3577,
		obj_t BgL_onexprzf31181zf3_3578, obj_t BgL_name1182z00_3579,
		obj_t BgL_key1183z00_3580, obj_t BgL_hardware1184z00_3581,
		obj_t BgL_num1185z00_3582, obj_t BgL_color1186z00_3583,
		obj_t BgL_coalesce1187z00_3584, obj_t BgL_occurrences1188z00_3585,
		obj_t BgL_interfere1189z00_3586, obj_t BgL_interfere21190z00_3587)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(
				((BgL_typez00_bglt) BgL_type1179z00_3576), BgL_var1180z00_3577,
				BgL_onexprzf31181zf3_3578, BgL_name1182z00_3579, BgL_key1183z00_3580,
				BgL_hardware1184z00_3581, CINT(BgL_num1185z00_3582),
				BgL_color1186z00_3583, BgL_coalesce1187z00_3584,
				CINT(BgL_occurrences1188z00_3585), BgL_interfere1189z00_3586,
				BgL_interfere21190z00_3587);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3736;

				BgL_classz00_3736 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1820z00_3737;

						BgL_arg1820z00_3737 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3738;

								BgL_idxz00_3738 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3737);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3738 + ((long) 2))) == BgL_classz00_3736);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2307z00_3741;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3742;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1828z00_3743;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1829z00_3744;

											BgL_arg1829z00_3744 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3737);
											BgL_arg1828z00_3743 = (BgL_arg1829z00_3744 - OBJECT_TYPE);
										}
										BgL_oclassz00_3742 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3743);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1111z00_3745;

										BgL__ortest_1111z00_3745 =
											(BgL_classz00_3736 == BgL_oclassz00_3742);
										if (BgL__ortest_1111z00_3745)
											{	/* SawMill/regset.sch 56 */
												BgL_res2307z00_3741 = BgL__ortest_1111z00_3745;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3746;

												BgL_odepthz00_3746 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3742);
												if ((((long) 2) < BgL_odepthz00_3746))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1816z00_3747;

														BgL_arg1816z00_3747 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3742,
															((long) 2));
														BgL_res2307z00_3741 =
															(BgL_arg1816z00_3747 == BgL_classz00_3736);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2307z00_3741 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2307z00_3741;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3588,
		obj_t BgL_objz00_3589)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(BgL_objz00_3589));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3254;

				BgL_classz00_3254 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1113z00_3255;

					BgL__ortest_1113z00_3255 = BGL_CLASS_NIL(BgL_classz00_3254);
					if (CBOOL(BgL__ortest_1113z00_3255))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_3255);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3254));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3590)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3969;

				{
					obj_t BgL_auxz00_3970;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_3971;

						BgL_tmpz00_3971 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3970 = BGL_OBJECT_WIDENING(BgL_tmpz00_3971);
					}
					BgL_auxz00_3969 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3970);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3969))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3591, obj_t BgL_oz00_3592)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3592));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3978;

				{
					obj_t BgL_auxz00_3979;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_3980;

						BgL_tmpz00_3980 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3979 = BGL_OBJECT_WIDENING(BgL_tmpz00_3980);
					}
					BgL_auxz00_3978 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3979);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3978))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3594), BgL_vz00_3595);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3987;

				{
					obj_t BgL_auxz00_3988;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_3989;

						BgL_tmpz00_3989 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3988 = BGL_OBJECT_WIDENING(BgL_tmpz00_3989);
					}
					BgL_auxz00_3987 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3988);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3987))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3596, obj_t BgL_oz00_3597)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3597));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3996;

				{
					obj_t BgL_auxz00_3997;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_3998;

						BgL_tmpz00_3998 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3997 = BGL_OBJECT_WIDENING(BgL_tmpz00_3998);
					}
					BgL_auxz00_3996 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3997);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3996))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3598, obj_t BgL_oz00_3599, obj_t BgL_vz00_3600)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3599), BgL_vz00_3600);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4005;

				{
					obj_t BgL_auxz00_4006;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_4007;

						BgL_tmpz00_4007 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_4006 = BGL_OBJECT_WIDENING(BgL_tmpz00_4007);
					}
					BgL_auxz00_4005 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4006);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4005))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3601, obj_t BgL_oz00_3602)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3602)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4015;

				{
					obj_t BgL_auxz00_4016;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_4017;

						BgL_tmpz00_4017 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_4016 = BGL_OBJECT_WIDENING(BgL_tmpz00_4017);
					}
					BgL_auxz00_4015 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4016);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4015))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3603, obj_t BgL_oz00_3604, obj_t BgL_vz00_3605)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3604), CINT(BgL_vz00_3605));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4025;

				{
					obj_t BgL_auxz00_4026;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_4027;

						BgL_tmpz00_4027 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4026 = BGL_OBJECT_WIDENING(BgL_tmpz00_4027);
					}
					BgL_auxz00_4025 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4026);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4025))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3606, obj_t BgL_oz00_3607)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3607));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4034;

				{
					obj_t BgL_auxz00_4035;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4036;

						BgL_tmpz00_4036 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4035 = BGL_OBJECT_WIDENING(BgL_tmpz00_4036);
					}
					BgL_auxz00_4034 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4035);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4034))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3608, obj_t BgL_oz00_3609, obj_t BgL_vz00_3610)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3609), BgL_vz00_3610);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4043;

				{
					obj_t BgL_auxz00_4044;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4045;

						BgL_tmpz00_4045 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_4044 = BGL_OBJECT_WIDENING(BgL_tmpz00_4045);
					}
					BgL_auxz00_4043 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4044);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4043))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3611, obj_t BgL_oz00_3612)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3612));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4052;

				{
					obj_t BgL_auxz00_4053;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_4054;

						BgL_tmpz00_4054 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_4053 = BGL_OBJECT_WIDENING(BgL_tmpz00_4054);
					}
					BgL_auxz00_4052 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4053);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4052))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3613, obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3614), BgL_vz00_3615);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4061;

				{
					obj_t BgL_auxz00_4062;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_4063;

						BgL_tmpz00_4063 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_4062 = BGL_OBJECT_WIDENING(BgL_tmpz00_4063);
					}
					BgL_auxz00_4061 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4062);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4061))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3617)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3618, obj_t BgL_oz00_3619)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3619));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3620,
		obj_t BgL_oz00_3621)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3621));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3623));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3624, obj_t BgL_oz00_3625)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3625));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3626, obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3627), BgL_vz00_3628);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3629,
		obj_t BgL_oz00_3630)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3630));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3631, obj_t BgL_oz00_3632, obj_t BgL_vz00_3633)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3632), BgL_vz00_3633);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3634, obj_t BgL_oz00_3635)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3635));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3636, obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3637),
				((BgL_typez00_bglt) BgL_vz00_3638));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1170z00_3748;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1169z00_3749;

					BgL_new1169z00_3749 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1632z00_3750;

						BgL_arg1632z00_3750 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1169z00_3749), BgL_arg1632z00_3750);
					}
					BgL_new1170z00_3748 = BgL_new1169z00_3749;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1170z00_3748))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1170z00_3748))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1170z00_3748))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1170z00_3748))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1170z00_3748))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1170z00_3748;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3639, obj_t BgL_length1172z00_3640,
		obj_t BgL_msiza7e1173za7_3641, obj_t BgL_regv1174z00_3642,
		obj_t BgL_regl1175z00_3643, obj_t BgL_string1176z00_3644)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(CINT(BgL_length1172z00_3640),
				CINT(BgL_msiza7e1173za7_3641), BgL_regv1174z00_3642,
				BgL_regl1175z00_3643, BgL_string1176z00_3644);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3751;

				BgL_classz00_3751 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1820z00_3752;

						BgL_arg1820z00_3752 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3753;

								BgL_idxz00_3753 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3752);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3753 + ((long) 1))) == BgL_classz00_3751);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2308z00_3756;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3757;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1828z00_3758;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1829z00_3759;

											BgL_arg1829z00_3759 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3752);
											BgL_arg1828z00_3758 = (BgL_arg1829z00_3759 - OBJECT_TYPE);
										}
										BgL_oclassz00_3757 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3758);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1111z00_3760;

										BgL__ortest_1111z00_3760 =
											(BgL_classz00_3751 == BgL_oclassz00_3757);
										if (BgL__ortest_1111z00_3760)
											{	/* SawMill/regset.sch 85 */
												BgL_res2308z00_3756 = BgL__ortest_1111z00_3760;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3761;

												BgL_odepthz00_3761 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3757);
												if ((((long) 1) < BgL_odepthz00_3761))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1816z00_3762;

														BgL_arg1816z00_3762 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3757,
															((long) 1));
														BgL_res2308z00_3756 =
															(BgL_arg1816z00_3762 == BgL_classz00_3751);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2308z00_3756 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2308z00_3756;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3645,
		obj_t BgL_objz00_3646)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(BgL_objz00_3646));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3304;

				BgL_classz00_3304 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1113z00_3305;

					BgL__ortest_1113z00_3305 = BGL_CLASS_NIL(BgL_classz00_3304);
					if (CBOOL(BgL__ortest_1113z00_3305))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1113z00_3305);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3304));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3647)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3648,
		obj_t BgL_oz00_3649)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3649));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3650, obj_t BgL_oz00_3651, obj_t BgL_vz00_3652)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3651), BgL_vz00_3652);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3653,
		obj_t BgL_oz00_3654)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3654));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3655,
		obj_t BgL_oz00_3656)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3656));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3657,
		obj_t BgL_oz00_3658)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3658)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3659,
		obj_t BgL_oz00_3660)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3660)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3661, obj_t BgL_oz00_3662, obj_t BgL_vz00_3663)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3662), CINT(BgL_vz00_3663));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1651z00_2144;

				BgL_arg1651z00_2144 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3313;

					BgL_newz00_3313 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4176;

						BgL_tmpz00_4176 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3313, BgL_tmpz00_4176, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4179;

						BgL_tmpz00_4179 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3313, BgL_tmpz00_4179, BgL_arg1651z00_2144);
					}
					return BgL_newz00_3313;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2148;

				BgL_mz00_2148 = STRUCT_REF(BgL_setz00_86, (int) (((long) 0)));
				{
					BgL_blocksz00_bglt BgL_auxz00_4184;

					{
						obj_t BgL_auxz00_4185;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_4186;

							BgL_tmpz00_4186 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_4185 = BGL_OBJECT_WIDENING(BgL_tmpz00_4186);
						}
						BgL_auxz00_4184 = ((BgL_blocksz00_bglt) BgL_auxz00_4185);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4184))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2148)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1661z00_2150;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1662z00_2151;

						BgL_arg1662z00_2151 = STRUCT_REF(BgL_setz00_86, (int) (((long) 1)));
						BgL_arg1661z00_2150 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1662z00_2151);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4196;

						BgL_tmpz00_4196 = (int) (((long) 1));
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_4196, BgL_arg1661z00_2150);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* type-in? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(BgL_typez00_bglt BgL_typez00_91,
		obj_t BgL_typesz00_92)
	{
		{	/* SawBbv/bbv-utils.scm 56 */
			{
				obj_t BgL_xz00_2185;
				BgL_typez00_bglt BgL_yz00_2186;

				{
					obj_t BgL_l1519z00_2178;

					{	/* SawBbv/bbv-utils.scm 65 */
						obj_t BgL_tmpz00_4199;

						BgL_l1519z00_2178 = BgL_typesz00_92;
					BgL_zc3z04anonymousza31699ze3z87_2179:
						if (NULLP(BgL_l1519z00_2178))
							{	/* SawBbv/bbv-utils.scm 65 */
								BgL_tmpz00_4199 = BFALSE;
							}
						else
							{	/* SawBbv/bbv-utils.scm 65 */
								obj_t BgL__ortest_1521z00_2181;

								{	/* SawBbv/bbv-utils.scm 65 */
									obj_t BgL_tz00_2183;

									BgL_tz00_2183 = CAR(((obj_t) BgL_l1519z00_2178));
									BgL_xz00_2185 = BgL_tz00_2183;
									BgL_yz00_2186 = BgL_typez00_91;
									if ((BgL_xz00_2185 == ((obj_t) BgL_yz00_2186)))
										{	/* SawBbv/bbv-utils.scm 60 */
											BgL__ortest_1521z00_2181 = BTRUE;
										}
									else
										{	/* SawBbv/bbv-utils.scm 60 */
											if ((BgL_xz00_2185 == BGl_za2bintza2z00zztype_cachez00))
												{	/* SawBbv/bbv-utils.scm 61 */
													BgL__ortest_1521z00_2181 =
														BBOOL(
														(((obj_t) BgL_yz00_2186) ==
															BGl_za2longza2z00zztype_cachez00));
												}
											else
												{	/* SawBbv/bbv-utils.scm 61 */
													if (
														(BgL_xz00_2185 == BGl_za2longza2z00zztype_cachez00))
														{	/* SawBbv/bbv-utils.scm 62 */
															BgL__ortest_1521z00_2181 =
																BBOOL(
																(((obj_t) BgL_yz00_2186) ==
																	BGl_za2bintza2z00zztype_cachez00));
														}
													else
														{	/* SawBbv/bbv-utils.scm 62 */
															BgL__ortest_1521z00_2181 =
																BGl_iszd2subtypezf3z21zztype_typeofz00
																(BgL_xz00_2185, ((obj_t) BgL_yz00_2186));
														}
												}
										}
								}
								if (CBOOL(BgL__ortest_1521z00_2181))
									{	/* SawBbv/bbv-utils.scm 65 */
										BgL_tmpz00_4199 = BgL__ortest_1521z00_2181;
									}
								else
									{	/* SawBbv/bbv-utils.scm 65 */
										obj_t BgL_arg1705z00_2182;

										BgL_arg1705z00_2182 = CDR(((obj_t) BgL_l1519z00_2178));
										{
											obj_t BgL_l1519z00_4223;

											BgL_l1519z00_4223 = BgL_arg1705z00_2182;
											BgL_l1519z00_2178 = BgL_l1519z00_4223;
											goto BgL_zc3z04anonymousza31699ze3z87_2179;
										}
									}
							}
						return CBOOL(BgL_tmpz00_4199);
					}
				}
			}
		}

	}



/* &type-in? */
	obj_t BGl_z62typezd2inzf3z43zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3664,
		obj_t BgL_typez00_3665, obj_t BgL_typesz00_3666)
	{
		{	/* SawBbv/bbv-utils.scm 56 */
			return
				BBOOL(BGl_typezd2inzf3z21zzsaw_bbvzd2utilszd2(
					((BgL_typez00_bglt) BgL_typez00_3665), BgL_typesz00_3666));
		}

	}



/* genlabel */
	BGL_EXPORTED_DEF obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 71 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
				(((long) 1) + BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
		}

	}



/* &genlabel */
	obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3667)
	{
		{	/* SawBbv/bbv-utils.scm 71 */
			return BGl_genlabelz00zzsaw_bbvzd2utilszd2();
		}

	}



/* set-max-label! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t
		BgL_blocksz00_93)
	{
		{	/* SawBbv/bbv-utils.scm 78 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = ((long) 0);
			{
				obj_t BgL_l1522z00_2190;

				{	/* SawBbv/bbv-utils.scm 80 */
					bool_t BgL_tmpz00_4231;

					BgL_l1522z00_2190 = BgL_blocksz00_93;
				BgL_zc3z04anonymousza31707ze3z87_2191:
					if (PAIRP(BgL_l1522z00_2190))
						{	/* SawBbv/bbv-utils.scm 80 */
							{	/* SawBbv/bbv-utils.scm 81 */
								obj_t BgL_bz00_2193;

								BgL_bz00_2193 = CAR(BgL_l1522z00_2190);
								{	/* SawBbv/bbv-utils.scm 82 */
									bool_t BgL_test2419z00_4235;

									{	/* SawBbv/bbv-utils.scm 82 */
										long BgL_n2z00_3330;

										BgL_n2z00_3330 = BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
										BgL_test2419z00_4235 =
											(
											(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2193)))->
													BgL_labelz00)) > BgL_n2z00_3330);
									}
									if (BgL_test2419z00_4235)
										{	/* SawBbv/bbv-utils.scm 82 */
											BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
												(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2193)))->
													BgL_labelz00));
										}
									else
										{	/* SawBbv/bbv-utils.scm 82 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1522z00_4243;

								BgL_l1522z00_4243 = CDR(BgL_l1522z00_2190);
								BgL_l1522z00_2190 = BgL_l1522z00_4243;
								goto BgL_zc3z04anonymousza31707ze3z87_2191;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 80 */
							BgL_tmpz00_4231 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4231);
				}
			}
		}

	}



/* &set-max-label! */
	obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3668, obj_t BgL_blocksz00_3669)
	{
		{	/* SawBbv/bbv-utils.scm 78 */
			return
				BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_3669);
		}

	}



/* get-bb-mark */
	BGL_EXPORTED_DEF obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 94 */
			BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2 =
				(((long) 1) + BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2bbzd2markza2zd2zzsaw_bbvzd2utilszd2);
		}

	}



/* &get-bb-mark */
	obj_t BGl_z62getzd2bbzd2markz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3670)
	{
		{	/* SawBbv/bbv-utils.scm 94 */
			return BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
		}

	}



/* replace */
	BGL_EXPORTED_DEF obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t BgL_lstz00_94,
		obj_t BgL_oldz00_95, obj_t BgL_newz00_96)
	{
		{	/* SawBbv/bbv-utils.scm 101 */
			return
				BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_95, BgL_newz00_96,
				BgL_lstz00_94);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t BgL_oldz00_3717,
		obj_t BgL_newz00_3716, obj_t BgL_lz00_2201)
	{
		{	/* SawBbv/bbv-utils.scm 102 */
			if (NULLP(BgL_lz00_2201))
				{	/* SawBbv/bbv-utils.scm 104 */
					return BgL_lz00_2201;
				}
			else
				{	/* SawBbv/bbv-utils.scm 104 */
					if ((CAR(((obj_t) BgL_lz00_2201)) == BgL_oldz00_3717))
						{	/* SawBbv/bbv-utils.scm 105 */
							obj_t BgL_arg1730z00_2206;

							BgL_arg1730z00_2206 = CDR(((obj_t) BgL_lz00_2201));
							return MAKE_YOUNG_PAIR(BgL_newz00_3716, BgL_arg1730z00_2206);
						}
					else
						{	/* SawBbv/bbv-utils.scm 106 */
							obj_t BgL_arg1731z00_2207;
							obj_t BgL_arg1734z00_2208;

							BgL_arg1731z00_2207 = CAR(((obj_t) BgL_lz00_2201));
							{	/* SawBbv/bbv-utils.scm 106 */
								obj_t BgL_arg1736z00_2209;

								BgL_arg1736z00_2209 = CDR(((obj_t) BgL_lz00_2201));
								BgL_arg1734z00_2208 =
									BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_3717,
									BgL_newz00_3716, BgL_arg1736z00_2209);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1731z00_2207, BgL_arg1734z00_2208);
						}
				}
		}

	}



/* &replace */
	obj_t BGl_z62replacez62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3671,
		obj_t BgL_lstz00_3672, obj_t BgL_oldz00_3673, obj_t BgL_newz00_3674)
	{
		{	/* SawBbv/bbv-utils.scm 101 */
			return
				BGl_replacez00zzsaw_bbvzd2utilszd2(BgL_lstz00_3672, BgL_oldz00_3673,
				BgL_newz00_3674);
		}

	}



/* block->block-list */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t BgL_regsz00_97,
		BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawBbv/bbv-utils.scm 111 */
			{	/* SawBbv/bbv-utils.scm 112 */
				obj_t BgL_g1175z00_2212;
				obj_t BgL_g1176z00_2213;

				{	/* SawBbv/bbv-utils.scm 112 */
					obj_t BgL_list1770z00_2237;

					BgL_list1770z00_2237 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_98), BNIL);
					BgL_g1175z00_2212 = BgL_list1770z00_2237;
				}
				BgL_g1176z00_2213 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
				{
					obj_t BgL_bsz00_2215;
					obj_t BgL_accz00_2216;

					BgL_bsz00_2215 = BgL_g1175z00_2212;
					BgL_accz00_2216 = BgL_g1176z00_2213;
				BgL_zc3z04anonymousza31739ze3z87_2217:
					if (NULLP(BgL_bsz00_2215))
						{	/* SawBbv/bbv-utils.scm 115 */
							return
								bgl_reverse_bang(STRUCT_REF(BgL_accz00_2216,
									(int) (((long) 1))));
						}
					else
						{	/* SawBbv/bbv-utils.scm 117 */
							bool_t BgL_test2423z00_4275;

							{	/* SawBbv/bbv-utils.scm 117 */
								BgL_blockz00_bglt BgL_blockz00_3340;

								BgL_blockz00_3340 =
									((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2215)));
								{	/* SawBbv/bbv-utils.scm 117 */
									long BgL_arg1652z00_3343;
									obj_t BgL_arg1653z00_3344;

									{
										BgL_blocksz00_bglt BgL_auxz00_4279;

										{
											obj_t BgL_auxz00_4280;

											{	/* SawBbv/bbv-utils.scm 117 */
												BgL_objectz00_bglt BgL_tmpz00_4281;

												BgL_tmpz00_4281 =
													((BgL_objectz00_bglt) BgL_blockz00_3340);
												BgL_auxz00_4280 = BGL_OBJECT_WIDENING(BgL_tmpz00_4281);
											}
											BgL_auxz00_4279 = ((BgL_blocksz00_bglt) BgL_auxz00_4280);
										}
										BgL_arg1652z00_3343 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4279))->
											BgL_z52markz52);
									}
									BgL_arg1653z00_3344 =
										STRUCT_REF(BgL_accz00_2216, (int) (((long) 0)));
									BgL_test2423z00_4275 =
										(BINT(BgL_arg1652z00_3343) == BgL_arg1653z00_3344);
							}}
							if (BgL_test2423z00_4275)
								{	/* SawBbv/bbv-utils.scm 118 */
									obj_t BgL_arg1749z00_2222;

									BgL_arg1749z00_2222 = CDR(((obj_t) BgL_bsz00_2215));
									{
										obj_t BgL_bsz00_4292;

										BgL_bsz00_4292 = BgL_arg1749z00_2222;
										BgL_bsz00_2215 = BgL_bsz00_4292;
										goto BgL_zc3z04anonymousza31739ze3z87_2217;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 120 */
									BgL_blockz00_bglt BgL_i1177z00_2223;

									BgL_i1177z00_2223 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2215)));
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(BgL_i1177z00_2223))->
												BgL_succsz00)))
										{	/* SawBbv/bbv-utils.scm 123 */
											obj_t BgL_arg1752z00_2226;
											obj_t BgL_arg1753z00_2227;

											BgL_arg1752z00_2226 = CDR(((obj_t) BgL_bsz00_2215));
											{	/* SawBbv/bbv-utils.scm 123 */
												obj_t BgL_arg1754z00_2228;

												BgL_arg1754z00_2228 = CAR(((obj_t) BgL_bsz00_2215));
												BgL_arg1753z00_2227 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1754z00_2228),
													BgL_accz00_2216);
											}
											{
												obj_t BgL_accz00_4306;
												obj_t BgL_bsz00_4305;

												BgL_bsz00_4305 = BgL_arg1752z00_2226;
												BgL_accz00_4306 = BgL_arg1753z00_2227;
												BgL_accz00_2216 = BgL_accz00_4306;
												BgL_bsz00_2215 = BgL_bsz00_4305;
												goto BgL_zc3z04anonymousza31739ze3z87_2217;
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 125 */
											obj_t BgL_arg1755z00_2229;
											obj_t BgL_arg1756z00_2230;

											{	/* SawBbv/bbv-utils.scm 125 */
												obj_t BgL_arg1757z00_2231;
												obj_t BgL_arg1763z00_2232;

												BgL_arg1757z00_2231 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1177z00_2223))->
													BgL_succsz00);
												BgL_arg1763z00_2232 = CDR(((obj_t) BgL_bsz00_2215));
												BgL_arg1755z00_2229 =
													BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
													(BgL_arg1757z00_2231, BgL_arg1763z00_2232);
											}
											{	/* SawBbv/bbv-utils.scm 126 */
												obj_t BgL_arg1765z00_2233;

												BgL_arg1765z00_2233 = CAR(((obj_t) BgL_bsz00_2215));
												BgL_arg1756z00_2230 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1765z00_2233),
													BgL_accz00_2216);
											}
											{
												obj_t BgL_accz00_4316;
												obj_t BgL_bsz00_4315;

												BgL_bsz00_4315 = BgL_arg1755z00_2229;
												BgL_accz00_4316 = BgL_arg1756z00_2230;
												BgL_accz00_2216 = BgL_accz00_4316;
												BgL_bsz00_2215 = BgL_bsz00_4315;
												goto BgL_zc3z04anonymousza31739ze3z87_2217;
											}
										}
								}
						}
				}
			}
		}

	}



/* &block->block-list */
	obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3675, obj_t BgL_regsz00_3676, obj_t BgL_bz00_3677)
	{
		{	/* SawBbv/bbv-utils.scm 111 */
			return
				BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_3676,
				((BgL_blockz00_bglt) BgL_bz00_3677));
		}

	}



/* redirect-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_99, BgL_blockz00_bglt BgL_oldz00_100,
		BgL_blockz00_bglt BgL_newz00_101)
	{
		{	/* SawBbv/bbv-utils.scm 131 */
			{
				obj_t BgL_auxz00_4319;

				{	/* SawBbv/bbv-utils.scm 139 */
					obj_t BgL_arg1771z00_2239;

					BgL_arg1771z00_2239 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00);
					BgL_auxz00_4319 =
						BGl_loopze70ze7zzsaw_bbvzd2utilszd2(
						((obj_t) BgL_oldz00_100),
						((obj_t) BgL_newz00_101), BgL_arg1771z00_2239);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00) =
					((obj_t) BgL_auxz00_4319), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_4327;

				{	/* SawBbv/bbv-utils.scm 141 */
					obj_t BgL_arg1777z00_2241;

					BgL_arg1777z00_2241 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_100)))->BgL_predsz00);
					BgL_auxz00_4327 =
						bgl_remq_bang(((obj_t) BgL_bz00_99), BgL_arg1777z00_2241);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_100)))->BgL_predsz00) =
					((obj_t) BgL_auxz00_4327), BUNSPEC);
			}
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_bz00_99),
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00))))
				{	/* SawBbv/bbv-utils.scm 143 */
					BFALSE;
				}
			else
				{
					obj_t BgL_auxz00_4340;

					{	/* SawBbv/bbv-utils.scm 144 */
						obj_t BgL_arg1781z00_2245;

						BgL_arg1781z00_2245 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00);
						BgL_auxz00_4340 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_99), BgL_arg1781z00_2245);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00) =
						((obj_t) BgL_auxz00_4340), BUNSPEC);
				}
			{	/* SawBbv/bbv-utils.scm 145 */
				obj_t BgL_g1526z00_2247;

				BgL_g1526z00_2247 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_firstz00);
				{
					obj_t BgL_l1524z00_2249;

					BgL_l1524z00_2249 = BgL_g1526z00_2247;
				BgL_zc3z04anonymousza31786ze3z87_2250:
					if (PAIRP(BgL_l1524z00_2249))
						{	/* SawBbv/bbv-utils.scm 145 */
							{	/* SawBbv/bbv-utils.scm 147 */
								obj_t BgL_insz00_2252;

								BgL_insz00_2252 = CAR(BgL_l1524z00_2249);
								if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_insz00_2252)))
									{	/* SawBbv/bbv-utils.scm 149 */
										BgL_rtl_ifeqz00_bglt BgL_i1182z00_2255;

										BgL_i1182z00_2255 =
											((BgL_rtl_ifeqz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2252)))->
												BgL_funz00));
										if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
															COBJECT(BgL_i1182z00_2255))->BgL_thenz00)) ==
												((obj_t) BgL_oldz00_100)))
											{	/* SawBbv/bbv-utils.scm 150 */
												((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_i1182z00_2255))->
														BgL_thenz00) =
													((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
															BgL_newz00_101)), BUNSPEC);
											}
										else
											{	/* SawBbv/bbv-utils.scm 150 */
												BFALSE;
											}
									}
								else
									{	/* SawBbv/bbv-utils.scm 147 */
										if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_insz00_2252)))
											{	/* SawBbv/bbv-utils.scm 154 */
												BgL_rtl_ifnez00_bglt BgL_i1184z00_2261;

												BgL_i1184z00_2261 =
													((BgL_rtl_ifnez00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2252)))->
														BgL_funz00));
												if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1184z00_2261))->BgL_thenz00)) ==
														((obj_t) BgL_oldz00_100)))
													{	/* SawBbv/bbv-utils.scm 155 */
														((((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1184z00_2261))->BgL_thenz00) =
															((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																	BgL_newz00_101)), BUNSPEC);
													}
												else
													{	/* SawBbv/bbv-utils.scm 155 */
														BFALSE;
													}
											}
										else
											{	/* SawBbv/bbv-utils.scm 152 */
												if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_insz00_2252)))
													{	/* SawBbv/bbv-utils.scm 159 */
														BgL_rtl_goz00_bglt BgL_i1186z00_2267;

														BgL_i1186z00_2267 =
															((BgL_rtl_goz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2252)))->
																BgL_funz00));
														if ((((obj_t) (((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1186z00_2267))->
																		BgL_toz00)) == ((obj_t) BgL_oldz00_100)))
															{	/* SawBbv/bbv-utils.scm 160 */
																((((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1186z00_2267))->BgL_toz00) =
																	((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																			BgL_newz00_101)), BUNSPEC);
															}
														else
															{	/* SawBbv/bbv-utils.scm 160 */
																BFALSE;
															}
													}
												else
													{	/* SawBbv/bbv-utils.scm 157 */
														if (CBOOL
															(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2((
																		(BgL_rtl_insz00_bglt) BgL_insz00_2252))))
															{	/* SawBbv/bbv-utils.scm 164 */
																BgL_rtl_switchz00_bglt BgL_i1188z00_2273;

																BgL_i1188z00_2273 =
																	((BgL_rtl_switchz00_bglt)
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_2252)))->BgL_funz00));
																{
																	obj_t BgL_auxz00_4398;

																	{	/* SawBbv/bbv-utils.scm 165 */
																		obj_t BgL_arg1835z00_2274;

																		BgL_arg1835z00_2274 =
																			(((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1188z00_2273))->
																			BgL_labelsz00);
																		BgL_auxz00_4398 =
																			BGl_loopze70ze7zzsaw_bbvzd2utilszd2((
																				(obj_t) BgL_oldz00_100),
																			((obj_t) BgL_newz00_101),
																			((obj_t) BgL_arg1835z00_2274));
																	}
																	((((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1188z00_2273))->
																			BgL_labelsz00) =
																		((obj_t) BgL_auxz00_4398), BUNSPEC);
																}
															}
														else
															{	/* SawBbv/bbv-utils.scm 162 */
																BFALSE;
															}
													}
											}
									}
							}
							{
								obj_t BgL_l1524z00_4405;

								BgL_l1524z00_4405 = CDR(BgL_l1524z00_2249);
								BgL_l1524z00_2249 = BgL_l1524z00_4405;
								goto BgL_zc3z04anonymousza31786ze3z87_2250;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 145 */
							((bool_t) 1);
						}
				}
			}
			return ((obj_t) BgL_bz00_99);
		}

	}



/* &redirect-block! */
	obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3678,
		obj_t BgL_bz00_3679, obj_t BgL_oldz00_3680, obj_t BgL_newz00_3681)
	{
		{	/* SawBbv/bbv-utils.scm 131 */
			return
				BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3679),
				((BgL_blockz00_bglt) BgL_oldz00_3680),
				((BgL_blockz00_bglt) BgL_newz00_3681));
		}

	}



/* _replace-block! */
	obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t BgL_env1606z00_106,
		obj_t BgL_opt1605z00_105)
	{
		{	/* SawBbv/bbv-utils.scm 175 */
			{
				obj_t BgL_k1z00_2278;
				long BgL_iz00_2279;

				{	/* SawBbv/bbv-utils.scm 175 */
					obj_t BgL_g1612z00_2281;
					obj_t BgL_g1613z00_2282;

					BgL_g1612z00_2281 = VECTOR_REF(BgL_opt1605z00_105, ((long) 0));
					BgL_g1613z00_2282 = VECTOR_REF(BgL_opt1605z00_105, ((long) 1));
					{	/* SawBbv/bbv-utils.scm 175 */
						obj_t BgL_debugz00_2283;

						BgL_debugz00_2283 = BFALSE;
						{	/* SawBbv/bbv-utils.scm 175 */

							{	/* SawBbv/bbv-utils.scm 175 */
								long BgL_index1611z00_2284;

								BgL_k1z00_2278 = CNST_TABLE_REF(((long) 1));
								BgL_iz00_2279 = ((long) 2);
							BgL_search1608z00_2280:
								if ((BgL_iz00_2279 == VECTOR_LENGTH(BgL_opt1605z00_105)))
									{	/* SawBbv/bbv-utils.scm 175 */
										BgL_index1611z00_2284 = ((long) -1);
									}
								else
									{	/* SawBbv/bbv-utils.scm 175 */
										obj_t BgL_vz00_2290;

										BgL_vz00_2290 =
											VECTOR_REF(BgL_opt1605z00_105, BgL_iz00_2279);
										if ((BgL_vz00_2290 == BgL_k1z00_2278))
											{	/* SawBbv/bbv-utils.scm 175 */
												BgL_index1611z00_2284 = (BgL_iz00_2279 + ((long) 1));
											}
										else
											{
												long BgL_iz00_4421;

												BgL_iz00_4421 = (BgL_iz00_2279 + ((long) 2));
												BgL_iz00_2279 = BgL_iz00_4421;
												goto BgL_search1608z00_2280;
											}
									}
								if ((BgL_index1611z00_2284 >= ((long) 0)))
									{	/* SawBbv/bbv-utils.scm 175 */
										BgL_debugz00_2283 =
											VECTOR_REF(BgL_opt1605z00_105, BgL_index1611z00_2284);
									}
								else
									{	/* SawBbv/bbv-utils.scm 175 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-utils.scm 175 */
								obj_t BgL_arg1840z00_2286;
								obj_t BgL_arg1844z00_2287;

								BgL_arg1840z00_2286 =
									VECTOR_REF(BgL_opt1605z00_105, ((long) 0));
								BgL_arg1844z00_2287 =
									VECTOR_REF(BgL_opt1605z00_105, ((long) 1));
								{	/* SawBbv/bbv-utils.scm 175 */
									obj_t BgL_debugz00_2288;

									BgL_debugz00_2288 = BgL_debugz00_2283;
									return
										BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(
										((BgL_blockz00_bglt) BgL_arg1840z00_2286),
										((BgL_blockz00_bglt) BgL_arg1844z00_2287),
										BgL_debugz00_2288);
								}
							}
						}
					}
				}
			}
		}

	}



/* replace-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_oldz00_102, BgL_blockz00_bglt BgL_newz00_103, obj_t BgL_debugz00_104)
	{
		{	/* SawBbv/bbv-utils.scm 175 */
			{	/* SawBbv/bbv-utils.scm 182 */
				bool_t BgL_test2437z00_4432;

				if (CBOOL(BgL_debugz00_104))
					{	/* SawBbv/bbv-utils.scm 182 */
						BgL_test2437z00_4432 =
							CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2);
					}
				else
					{	/* SawBbv/bbv-utils.scm 182 */
						BgL_test2437z00_4432 = ((bool_t) 0);
					}
				if (BgL_test2437z00_4432)
					{	/* SawBbv/bbv-utils.scm 185 */
						bool_t BgL_test2439z00_4436;

						{	/* SawBbv/bbv-utils.scm 185 */
							BgL_bbvzd2ctxzd2_bglt BgL_arg1892z00_2331;
							BgL_bbvzd2ctxzd2_bglt BgL_arg1894z00_2332;

							{
								BgL_blocksz00_bglt BgL_auxz00_4437;

								{
									obj_t BgL_auxz00_4438;

									{	/* SawBbv/bbv-utils.scm 185 */
										BgL_objectz00_bglt BgL_tmpz00_4439;

										BgL_tmpz00_4439 = ((BgL_objectz00_bglt) BgL_newz00_103);
										BgL_auxz00_4438 = BGL_OBJECT_WIDENING(BgL_tmpz00_4439);
									}
									BgL_auxz00_4437 = ((BgL_blocksz00_bglt) BgL_auxz00_4438);
								}
								BgL_arg1892z00_2331 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4437))->BgL_ctxz00);
							}
							{
								BgL_blocksz00_bglt BgL_auxz00_4444;

								{
									obj_t BgL_auxz00_4445;

									{	/* SawBbv/bbv-utils.scm 185 */
										BgL_objectz00_bglt BgL_tmpz00_4446;

										BgL_tmpz00_4446 = ((BgL_objectz00_bglt) BgL_oldz00_102);
										BgL_auxz00_4445 = BGL_OBJECT_WIDENING(BgL_tmpz00_4446);
									}
									BgL_auxz00_4444 = ((BgL_blocksz00_bglt) BgL_auxz00_4445);
								}
								BgL_arg1894z00_2332 =
									(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4444))->BgL_ctxz00);
							}
							BgL_test2439z00_4436 =
								BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_arg1892z00_2331,
								BgL_arg1894z00_2332);
						}
						if (BgL_test2439z00_4436)
							{	/* SawBbv/bbv-utils.scm 185 */
								BFALSE;
							}
						else
							{	/* SawBbv/bbv-utils.scm 185 */
								{	/* SawBbv/bbv-utils.scm 186 */
									obj_t BgL_arg1851z00_2298;
									int BgL_arg1854z00_2299;
									int BgL_arg1856z00_2300;

									{	/* SawBbv/bbv-utils.scm 186 */
										obj_t BgL_tmpz00_4452;

										BgL_tmpz00_4452 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1851z00_2298 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4452);
									}
									BgL_arg1854z00_2299 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_labelz00);
									BgL_arg1856z00_2300 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_labelz00);
									{	/* SawBbv/bbv-utils.scm 186 */
										obj_t BgL_list1857z00_2301;

										{	/* SawBbv/bbv-utils.scm 186 */
											obj_t BgL_arg1859z00_2302;

											{	/* SawBbv/bbv-utils.scm 186 */
												obj_t BgL_arg1860z00_2303;

												{	/* SawBbv/bbv-utils.scm 186 */
													obj_t BgL_arg1861z00_2304;

													{	/* SawBbv/bbv-utils.scm 186 */
														obj_t BgL_arg1862z00_2305;

														{	/* SawBbv/bbv-utils.scm 186 */
															obj_t BgL_arg1864z00_2306;

															{	/* SawBbv/bbv-utils.scm 186 */
																obj_t BgL_arg1865z00_2307;

																{	/* SawBbv/bbv-utils.scm 186 */
																	obj_t BgL_arg1866z00_2308;

																	BgL_arg1866z00_2308 =
																		MAKE_YOUNG_PAIR(BINT(BgL_arg1856z00_2300),
																		BNIL);
																	BgL_arg1865z00_2307 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2314z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1866z00_2308);
																}
																BgL_arg1864z00_2306 =
																	MAKE_YOUNG_PAIR(BINT(BgL_arg1854z00_2299),
																	BgL_arg1865z00_2307);
															}
															BgL_arg1862z00_2305 =
																MAKE_YOUNG_PAIR
																(BGl_string2315z00zzsaw_bbvzd2utilszd2,
																BgL_arg1864z00_2306);
														}
														BgL_arg1861z00_2304 =
															MAKE_YOUNG_PAIR
															(BGl_string2316z00zzsaw_bbvzd2utilszd2,
															BgL_arg1862z00_2305);
													}
													BgL_arg1860z00_2303 =
														MAKE_YOUNG_PAIR(BINT(((long) 186)),
														BgL_arg1861z00_2304);
												}
												BgL_arg1859z00_2302 =
													MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
													BgL_arg1860z00_2303);
											}
											BgL_list1857z00_2301 =
												MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
												BgL_arg1859z00_2302);
										}
										BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1851z00_2298,
											BgL_list1857z00_2301);
								}}
								{	/* SawBbv/bbv-utils.scm 188 */
									obj_t BgL_arg1867z00_2309;
									obj_t BgL_arg1868z00_2310;

									{	/* SawBbv/bbv-utils.scm 188 */
										obj_t BgL_tmpz00_4471;

										BgL_tmpz00_4471 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1867z00_2309 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4471);
									}
									{	/* SawBbv/bbv-utils.scm 188 */
										BgL_bbvzd2ctxzd2_bglt BgL_arg1876z00_2317;

										{
											BgL_blocksz00_bglt BgL_auxz00_4474;

											{
												obj_t BgL_auxz00_4475;

												{	/* SawBbv/bbv-utils.scm 188 */
													BgL_objectz00_bglt BgL_tmpz00_4476;

													BgL_tmpz00_4476 =
														((BgL_objectz00_bglt) BgL_oldz00_102);
													BgL_auxz00_4475 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4476);
												}
												BgL_auxz00_4474 =
													((BgL_blocksz00_bglt) BgL_auxz00_4475);
											}
											BgL_arg1876z00_2317 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4474))->
												BgL_ctxz00);
										}
										BgL_arg1868z00_2310 =
											BGl_shapez00zztools_shapez00(
											((obj_t) BgL_arg1876z00_2317));
									}
									{	/* SawBbv/bbv-utils.scm 188 */
										obj_t BgL_list1869z00_2311;

										{	/* SawBbv/bbv-utils.scm 188 */
											obj_t BgL_arg1870z00_2312;

											{	/* SawBbv/bbv-utils.scm 188 */
												obj_t BgL_arg1871z00_2313;

												{	/* SawBbv/bbv-utils.scm 188 */
													obj_t BgL_arg1873z00_2314;

													{	/* SawBbv/bbv-utils.scm 188 */
														obj_t BgL_arg1874z00_2315;

														{	/* SawBbv/bbv-utils.scm 188 */
															obj_t BgL_arg1875z00_2316;

															BgL_arg1875z00_2316 =
																MAKE_YOUNG_PAIR(BgL_arg1868z00_2310, BNIL);
															BgL_arg1874z00_2315 =
																MAKE_YOUNG_PAIR
																(BGl_string2319z00zzsaw_bbvzd2utilszd2,
																BgL_arg1875z00_2316);
														}
														BgL_arg1873z00_2314 =
															MAKE_YOUNG_PAIR
															(BGl_string2316z00zzsaw_bbvzd2utilszd2,
															BgL_arg1874z00_2315);
													}
													BgL_arg1871z00_2313 =
														MAKE_YOUNG_PAIR(BINT(((long) 188)),
														BgL_arg1873z00_2314);
												}
												BgL_arg1870z00_2312 =
													MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
													BgL_arg1871z00_2313);
											}
											BgL_list1869z00_2311 =
												MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
												BgL_arg1870z00_2312);
										}
										BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1867z00_2309,
											BgL_list1869z00_2311);
								}}
								{	/* SawBbv/bbv-utils.scm 189 */
									obj_t BgL_arg1877z00_2318;
									obj_t BgL_arg1879z00_2319;

									{	/* SawBbv/bbv-utils.scm 189 */
										obj_t BgL_tmpz00_4491;

										BgL_tmpz00_4491 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1877z00_2318 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4491);
									}
									{	/* SawBbv/bbv-utils.scm 189 */
										BgL_bbvzd2ctxzd2_bglt BgL_arg1887z00_2326;

										{
											BgL_blocksz00_bglt BgL_auxz00_4494;

											{
												obj_t BgL_auxz00_4495;

												{	/* SawBbv/bbv-utils.scm 189 */
													BgL_objectz00_bglt BgL_tmpz00_4496;

													BgL_tmpz00_4496 =
														((BgL_objectz00_bglt) BgL_newz00_103);
													BgL_auxz00_4495 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4496);
												}
												BgL_auxz00_4494 =
													((BgL_blocksz00_bglt) BgL_auxz00_4495);
											}
											BgL_arg1887z00_2326 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4494))->
												BgL_ctxz00);
										}
										BgL_arg1879z00_2319 =
											BGl_shapez00zztools_shapez00(
											((obj_t) BgL_arg1887z00_2326));
									}
									{	/* SawBbv/bbv-utils.scm 189 */
										obj_t BgL_list1880z00_2320;

										{	/* SawBbv/bbv-utils.scm 189 */
											obj_t BgL_arg1882z00_2321;

											{	/* SawBbv/bbv-utils.scm 189 */
												obj_t BgL_arg1883z00_2322;

												{	/* SawBbv/bbv-utils.scm 189 */
													obj_t BgL_arg1884z00_2323;

													{	/* SawBbv/bbv-utils.scm 189 */
														obj_t BgL_arg1885z00_2324;

														{	/* SawBbv/bbv-utils.scm 189 */
															obj_t BgL_arg1886z00_2325;

															BgL_arg1886z00_2325 =
																MAKE_YOUNG_PAIR(BgL_arg1879z00_2319, BNIL);
															BgL_arg1885z00_2324 =
																MAKE_YOUNG_PAIR
																(BGl_string2320z00zzsaw_bbvzd2utilszd2,
																BgL_arg1886z00_2325);
														}
														BgL_arg1884z00_2323 =
															MAKE_YOUNG_PAIR
															(BGl_string2316z00zzsaw_bbvzd2utilszd2,
															BgL_arg1885z00_2324);
													}
													BgL_arg1883z00_2322 =
														MAKE_YOUNG_PAIR(BINT(((long) 189)),
														BgL_arg1884z00_2323);
												}
												BgL_arg1882z00_2321 =
													MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
													BgL_arg1883z00_2322);
											}
											BgL_list1880z00_2320 =
												MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
												BgL_arg1882z00_2321);
										}
										BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1877z00_2318,
											BgL_list1880z00_2320);
								}}
								{	/* SawBbv/bbv-utils.scm 191 */
									obj_t BgL_arg1888z00_2327;
									int BgL_arg1889z00_2328;

									{	/* SawBbv/bbv-utils.scm 191 */
										int BgL_arg1890z00_2329;

										BgL_arg1890z00_2329 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_labelz00);
										{	/* SawBbv/bbv-utils.scm 191 */
											obj_t BgL_list1891z00_2330;

											BgL_list1891z00_2330 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1890z00_2329), BNIL);
											BgL_arg1888z00_2327 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2321z00zzsaw_bbvzd2utilszd2,
												BgL_list1891z00_2330);
									}}
									BgL_arg1889z00_2328 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_labelz00);
									BGl_errorz00zz__errorz00
										(BGl_string2322z00zzsaw_bbvzd2utilszd2, BgL_arg1888z00_2327,
										BINT(BgL_arg1889z00_2328));
					}}}
				else
					{	/* SawBbv/bbv-utils.scm 182 */
						BFALSE;
					}
			}
			{
				BgL_blocksz00_bglt BgL_auxz00_4520;

				{
					obj_t BgL_auxz00_4521;

					{	/* SawBbv/bbv-utils.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_4522;

						BgL_tmpz00_4522 = ((BgL_objectz00_bglt) BgL_oldz00_102);
						BgL_auxz00_4521 = BGL_OBJECT_WIDENING(BgL_tmpz00_4522);
					}
					BgL_auxz00_4520 = ((BgL_blocksz00_bglt) BgL_auxz00_4521);
				}
				((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4520))->BgL_mblockz00) =
					((obj_t) ((obj_t) BgL_newz00_103)), BUNSPEC);
			}
			{	/* SawBbv/bbv-utils.scm 196 */
				obj_t BgL_g1530z00_2334;

				BgL_g1530z00_2334 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_succsz00);
				{
					obj_t BgL_l1528z00_2336;

					BgL_l1528z00_2336 = BgL_g1530z00_2334;
				BgL_zc3z04anonymousza31895ze3z87_2337:
					if (PAIRP(BgL_l1528z00_2336))
						{	/* SawBbv/bbv-utils.scm 196 */
							{	/* SawBbv/bbv-utils.scm 197 */
								obj_t BgL_bz00_2339;

								BgL_bz00_2339 = CAR(BgL_l1528z00_2336);
								{
									obj_t BgL_auxz00_4533;

									{	/* SawBbv/bbv-utils.scm 199 */
										obj_t BgL_arg1899z00_2342;

										BgL_arg1899z00_2342 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_2339))))->
											BgL_predsz00);
										{	/* SawBbv/bbv-utils.scm 199 */
											obj_t BgL_zc3z04anonymousza31900ze3z87_3682;

											BgL_zc3z04anonymousza31900ze3z87_3682 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31900ze3ze5zzsaw_bbvzd2utilszd2,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_3682,
												(int) (((long) 0)), ((obj_t) BgL_oldz00_102));
											BgL_auxz00_4533 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BgL_zc3z04anonymousza31900ze3z87_3682,
												BgL_arg1899z00_2342);
									}}
									((((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_2339))))->
											BgL_predsz00) = ((obj_t) BgL_auxz00_4533), BUNSPEC);
							}}
							{
								obj_t BgL_l1528z00_4547;

								BgL_l1528z00_4547 = CDR(BgL_l1528z00_2336);
								BgL_l1528z00_2336 = BgL_l1528z00_4547;
								goto BgL_zc3z04anonymousza31895ze3z87_2337;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 196 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawBbv/bbv-utils.scm 201 */
				obj_t BgL_g1536z00_2348;

				BgL_g1536z00_2348 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
				{
					obj_t BgL_l1534z00_2350;

					BgL_l1534z00_2350 = BgL_g1536z00_2348;
				BgL_zc3z04anonymousza31902ze3z87_2351:
					if (PAIRP(BgL_l1534z00_2350))
						{	/* SawBbv/bbv-utils.scm 201 */
							{	/* SawBbv/bbv-utils.scm 202 */
								obj_t BgL_bz00_2353;

								BgL_bz00_2353 = CAR(BgL_l1534z00_2350);
								{
									obj_t BgL_auxz00_4554;

									{	/* SawBbv/bbv-utils.scm 203 */
										obj_t BgL_arg1904z00_2355;

										BgL_arg1904z00_2355 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_2353))))->
											BgL_succsz00);
										BgL_auxz00_4554 =
											BGl_loopze70ze7zzsaw_bbvzd2utilszd2(((obj_t)
												BgL_oldz00_102), ((obj_t) BgL_newz00_103),
											BgL_arg1904z00_2355);
									}
									((((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_2353))))->
											BgL_succsz00) = ((obj_t) BgL_auxz00_4554), BUNSPEC);
								}
								{	/* SawBbv/bbv-utils.scm 204 */
									obj_t BgL_g1533z00_2356;

									BgL_g1533z00_2356 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_bz00_2353))))->BgL_firstz00);
									{
										obj_t BgL_l1531z00_2358;

										BgL_l1531z00_2358 = BgL_g1533z00_2356;
									BgL_zc3z04anonymousza31905ze3z87_2359:
										if (PAIRP(BgL_l1531z00_2358))
											{	/* SawBbv/bbv-utils.scm 204 */
												{	/* SawBbv/bbv-utils.scm 206 */
													obj_t BgL_insz00_2361;

													BgL_insz00_2361 = CAR(BgL_l1531z00_2358);
													if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_insz00_2361)))
														{	/* SawBbv/bbv-utils.scm 208 */
															BgL_rtl_ifeqz00_bglt BgL_i1196z00_2364;

															BgL_i1196z00_2364 =
																((BgL_rtl_ifeqz00_bglt)
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2361)))->BgL_funz00));
															if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
																				COBJECT(BgL_i1196z00_2364))->
																			BgL_thenz00)) ==
																	((obj_t) BgL_oldz00_102)))
																{	/* SawBbv/bbv-utils.scm 209 */
																	((((BgL_rtl_ifeqz00_bglt)
																				COBJECT(BgL_i1196z00_2364))->
																			BgL_thenz00) =
																		((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																				BgL_newz00_103)), BUNSPEC);
																}
															else
																{	/* SawBbv/bbv-utils.scm 209 */
																	BFALSE;
																}
														}
													else
														{	/* SawBbv/bbv-utils.scm 206 */
															if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_insz00_2361)))
																{	/* SawBbv/bbv-utils.scm 213 */
																	BgL_rtl_ifnez00_bglt BgL_i1198z00_2370;

																	BgL_i1198z00_2370 =
																		((BgL_rtl_ifnez00_bglt)
																		(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2361)))->BgL_funz00));
																	if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_i1198z00_2370))->
																					BgL_thenz00)) ==
																			((obj_t) BgL_oldz00_102)))
																		{	/* SawBbv/bbv-utils.scm 214 */
																			((((BgL_rtl_ifnez00_bglt)
																						COBJECT(BgL_i1198z00_2370))->
																					BgL_thenz00) =
																				((BgL_blockz00_bglt) (
																						(BgL_blockz00_bglt)
																						BgL_newz00_103)), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 214 */
																			BFALSE;
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 211 */
																	if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																		(((BgL_rtl_insz00_bglt) BgL_insz00_2361)))
																		{	/* SawBbv/bbv-utils.scm 218 */
																			BgL_rtl_goz00_bglt BgL_i1200z00_2376;

																			BgL_i1200z00_2376 =
																				((BgL_rtl_goz00_bglt)
																				(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_insz00_2361)))->
																					BgL_funz00));
																			if ((((obj_t) (((BgL_rtl_goz00_bglt)
																								COBJECT(BgL_i1200z00_2376))->
																							BgL_toz00)) ==
																					((obj_t) BgL_oldz00_102)))
																				{	/* SawBbv/bbv-utils.scm 219 */
																					((((BgL_rtl_goz00_bglt)
																								COBJECT(BgL_i1200z00_2376))->
																							BgL_toz00) =
																						((BgL_blockz00_bglt) (
																								(BgL_blockz00_bglt)
																								BgL_newz00_103)), BUNSPEC);
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 219 */
																					BFALSE;
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 216 */
																			if (CBOOL
																				(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2
																					(((BgL_rtl_insz00_bglt)
																							BgL_insz00_2361))))
																				{	/* SawBbv/bbv-utils.scm 223 */
																					BgL_rtl_switchz00_bglt
																						BgL_i1202z00_2382;
																					BgL_i1202z00_2382 =
																						((BgL_rtl_switchz00_bglt) ((
																								(BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_insz00_2361)))->
																							BgL_funz00));
																					{
																						obj_t BgL_auxz00_4616;

																						{	/* SawBbv/bbv-utils.scm 224 */
																							obj_t BgL_arg1920z00_2383;

																							BgL_arg1920z00_2383 =
																								(((BgL_rtl_switchz00_bglt)
																									COBJECT(BgL_i1202z00_2382))->
																								BgL_labelsz00);
																							BgL_auxz00_4616 =
																								BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																								(((obj_t) BgL_oldz00_102),
																								((obj_t) BgL_newz00_103),
																								((obj_t) BgL_arg1920z00_2383));
																						}
																						((((BgL_rtl_switchz00_bglt)
																									COBJECT(BgL_i1202z00_2382))->
																								BgL_labelsz00) =
																							((obj_t) BgL_auxz00_4616),
																							BUNSPEC);
																					}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 221 */
																					BFALSE;
																				}
																		}
																}
														}
												}
												{
													obj_t BgL_l1531z00_4623;

													BgL_l1531z00_4623 = CDR(BgL_l1531z00_2358);
													BgL_l1531z00_2358 = BgL_l1531z00_4623;
													goto BgL_zc3z04anonymousza31905ze3z87_2359;
												}
											}
										else
											{	/* SawBbv/bbv-utils.scm 204 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1534z00_4625;

								BgL_l1534z00_4625 = CDR(BgL_l1534z00_2350);
								BgL_l1534z00_2350 = BgL_l1534z00_4625;
								goto BgL_zc3z04anonymousza31902ze3z87_2351;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 201 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_auxz00_4627;

				{	/* SawBbv/bbv-utils.scm 228 */
					obj_t BgL_arg1924z00_2389;

					{	/* SawBbv/bbv-utils.scm 228 */
						obj_t BgL_arg1925z00_2390;
						obj_t BgL_arg1926z00_2391;

						BgL_arg1925z00_2390 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
						BgL_arg1926z00_2391 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00);
						BgL_arg1924z00_2389 =
							BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(BgL_arg1925z00_2390,
							BgL_arg1926z00_2391);
					}
					BgL_auxz00_4627 =
						BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00
						(BgL_arg1924z00_2389, BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00) =
					((obj_t) BgL_auxz00_4627), BUNSPEC);
			}
			BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(BgL_newz00_103,
				BGl_string2322z00zzsaw_bbvzd2utilszd2);
			return ((obj_t) BgL_newz00_103);
		}

	}



/* &<@anonymous:1900> */
	obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3683, obj_t BgL_nz00_3685)
	{
		{	/* SawBbv/bbv-utils.scm 199 */
			{	/* SawBbv/bbv-utils.scm 199 */
				bool_t BgL_tmpz00_4638;

				if (
					(BgL_nz00_3685 ==
						((obj_t)
							((BgL_blockz00_bglt)
								PROCEDURE_REF(BgL_envz00_3683, (int) (((long) 0)))))))
					{	/* SawBbv/bbv-utils.scm 199 */
						BgL_tmpz00_4638 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-utils.scm 199 */
						BgL_tmpz00_4638 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_4638);
			}
		}

	}



/* ctx>=? */
	bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_xz00_107, BgL_bbvzd2ctxzd2_bglt BgL_yz00_108)
	{
		{	/* SawBbv/bbv-utils.scm 235 */
			{
				obj_t BgL_xz00_2407;
				obj_t BgL_yz00_2408;

				{	/* SawBbv/bbv-utils.scm 264 */
					obj_t BgL_g1545z00_2394;

					BgL_g1545z00_2394 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_107))->BgL_entriesz00);
					{
						obj_t BgL_l1543z00_2396;

						BgL_l1543z00_2396 = BgL_g1545z00_2394;
					BgL_zc3z04anonymousza31927ze3z87_2397:
						if (NULLP(BgL_l1543z00_2396))
							{	/* SawBbv/bbv-utils.scm 264 */
								return ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv-utils.scm 264 */
								bool_t BgL_test2452z00_4649;

								{	/* SawBbv/bbv-utils.scm 265 */
									obj_t BgL_exz00_2402;

									BgL_exz00_2402 = CAR(((obj_t) BgL_l1543z00_2396));
									{	/* SawBbv/bbv-utils.scm 266 */
										obj_t BgL_eyz00_2404;

										{	/* SawBbv/bbv-utils.scm 266 */
											BgL_rtl_regz00_bglt BgL_arg1930z00_2405;

											BgL_arg1930z00_2405 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_2402)))->
												BgL_regz00);
											BgL_eyz00_2404 =
												BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_yz00_108,
												BgL_arg1930z00_2405);
										}
										BgL_xz00_2407 = BgL_exz00_2402;
										BgL_yz00_2408 = BgL_eyz00_2404;
										{	/* SawBbv/bbv-utils.scm 245 */
											bool_t BgL_test2453z00_4655;

											{	/* SawBbv/bbv-utils.scm 245 */
												obj_t BgL_arg1970z00_2471;

												BgL_arg1970z00_2471 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_2407)))->
													BgL_typesz00);
												BgL_test2453z00_4655 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BGl_za2objza2z00zztype_cachez00,
														BgL_arg1970z00_2471));
											}
											if (BgL_test2453z00_4655)
												{	/* SawBbv/bbv-utils.scm 245 */
													BgL_test2452z00_4649 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-utils.scm 247 */
													bool_t BgL_test2454z00_4660;

													{	/* SawBbv/bbv-utils.scm 247 */
														obj_t BgL_arg1969z00_2470;

														BgL_arg1969z00_2470 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_yz00_2408)))->BgL_typesz00);
														BgL_test2454z00_4660 =
															CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BGl_za2objza2z00zztype_cachez00,
																BgL_arg1969z00_2470));
													}
													if (BgL_test2454z00_4660)
														{	/* SawBbv/bbv-utils.scm 247 */
															BgL_test2452z00_4649 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-utils.scm 247 */
															if (
																(BBOOL(
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2407)))->
																			BgL_polarityz00)) ==
																	BBOOL((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_yz00_2408)))->
																			BgL_polarityz00))))
																{	/* SawBbv/bbv-utils.scm 251 */
																	bool_t BgL_test2456z00_4673;

																	{
																		obj_t BgL_l1537z00_2459;

																		BgL_l1537z00_2459 =
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2407)))->BgL_typesz00);
																	BgL_zc3z04anonymousza31964ze3z87_2460:
																		if (NULLP(BgL_l1537z00_2459))
																			{	/* SawBbv/bbv-utils.scm 251 */
																				BgL_test2456z00_4673 = ((bool_t) 1);
																			}
																		else
																			{	/* SawBbv/bbv-utils.scm 251 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(CAR(((obj_t) BgL_l1537z00_2459)),
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_yz00_2408)))->
																								BgL_typesz00))))
																					{
																						obj_t BgL_l1537z00_4683;

																						BgL_l1537z00_4683 =
																							CDR(((obj_t) BgL_l1537z00_2459));
																						BgL_l1537z00_2459 =
																							BgL_l1537z00_4683;
																						goto
																							BgL_zc3z04anonymousza31964ze3z87_2460;
																					}
																				else
																					{	/* SawBbv/bbv-utils.scm 251 */
																						BgL_test2456z00_4673 = ((bool_t) 0);
																					}
																			}
																	}
																	if (BgL_test2456z00_4673)
																		{	/* SawBbv/bbv-utils.scm 253 */
																			bool_t BgL_test2459z00_4688;

																			{	/* SawBbv/bbv-utils.scm 253 */
																				obj_t BgL_arg1963z00_2456;

																				BgL_arg1963z00_2456 =
																					(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_xz00_2407)))->BgL_valuez00);
																				{	/* SawBbv/bbv-utils.scm 253 */
																					obj_t BgL_classz00_3381;

																					BgL_classz00_3381 =
																						BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																					if (BGL_OBJECTP(BgL_arg1963z00_2456))
																						{	/* SawBbv/bbv-utils.scm 253 */
																							BgL_objectz00_bglt
																								BgL_arg1820z00_3383;
																							BgL_arg1820z00_3383 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1963z00_2456);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* SawBbv/bbv-utils.scm 253 */
																									long BgL_idxz00_3389;

																									BgL_idxz00_3389 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1820z00_3383);
																									BgL_test2459z00_4688 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_3389 +
																												((long) 1))) ==
																										BgL_classz00_3381);
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 253 */
																									bool_t BgL_res2310z00_3411;

																									{	/* SawBbv/bbv-utils.scm 253 */
																										obj_t BgL_oclassz00_3397;

																										{	/* SawBbv/bbv-utils.scm 253 */
																											long BgL_arg1828z00_3403;

																											{	/* SawBbv/bbv-utils.scm 253 */
																												long
																													BgL_arg1829z00_3404;
																												BgL_arg1829z00_3404 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1820z00_3383);
																												BgL_arg1828z00_3403 =
																													(BgL_arg1829z00_3404 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_3397 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1828z00_3403);
																										}
																										{	/* SawBbv/bbv-utils.scm 253 */
																											bool_t
																												BgL__ortest_1111z00_3398;
																											BgL__ortest_1111z00_3398 =
																												(BgL_classz00_3381 ==
																												BgL_oclassz00_3397);
																											if (BgL__ortest_1111z00_3398)
																												{	/* SawBbv/bbv-utils.scm 253 */
																													BgL_res2310z00_3411 =
																														BgL__ortest_1111z00_3398;
																												}
																											else
																												{	/* SawBbv/bbv-utils.scm 253 */
																													long
																														BgL_odepthz00_3399;
																													BgL_odepthz00_3399 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_3397);
																													if ((((long) 1) <
																															BgL_odepthz00_3399))
																														{	/* SawBbv/bbv-utils.scm 253 */
																															obj_t
																																BgL_arg1816z00_3401;
																															BgL_arg1816z00_3401
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_3397,
																																((long) 1));
																															BgL_res2310z00_3411
																																=
																																(BgL_arg1816z00_3401
																																==
																																BgL_classz00_3381);
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 253 */
																															BgL_res2310z00_3411
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2459z00_4688 =
																										BgL_res2310z00_3411;
																								}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 253 */
																							BgL_test2459z00_4688 =
																								((bool_t) 0);
																						}
																				}
																			}
																			if (BgL_test2459z00_4688)
																				{	/* SawBbv/bbv-utils.scm 254 */
																					bool_t BgL_test2464z00_4710;

																					{	/* SawBbv/bbv-utils.scm 254 */
																						obj_t BgL_arg1962z00_2455;

																						BgL_arg1962z00_2455 =
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																								COBJECT((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										BgL_yz00_2408)))->
																							BgL_valuez00);
																						{	/* SawBbv/bbv-utils.scm 254 */
																							obj_t BgL_classz00_3412;

																							BgL_classz00_3412 =
																								BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																							if (BGL_OBJECTP
																								(BgL_arg1962z00_2455))
																								{	/* SawBbv/bbv-utils.scm 254 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_3414;
																									BgL_arg1820z00_3414 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1962z00_2455);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* SawBbv/bbv-utils.scm 254 */
																											long BgL_idxz00_3420;

																											BgL_idxz00_3420 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_3414);
																											BgL_test2464z00_4710 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3420 +
																														((long) 1))) ==
																												BgL_classz00_3412);
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 254 */
																											bool_t
																												BgL_res2311z00_3442;
																											{	/* SawBbv/bbv-utils.scm 254 */
																												obj_t
																													BgL_oclassz00_3428;
																												{	/* SawBbv/bbv-utils.scm 254 */
																													long
																														BgL_arg1828z00_3434;
																													{	/* SawBbv/bbv-utils.scm 254 */
																														long
																															BgL_arg1829z00_3435;
																														BgL_arg1829z00_3435
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_3414);
																														BgL_arg1828z00_3434
																															=
																															(BgL_arg1829z00_3435
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3428 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_3434);
																												}
																												{	/* SawBbv/bbv-utils.scm 254 */
																													bool_t
																														BgL__ortest_1111z00_3429;
																													BgL__ortest_1111z00_3429
																														=
																														(BgL_classz00_3412
																														==
																														BgL_oclassz00_3428);
																													if (BgL__ortest_1111z00_3429)
																														{	/* SawBbv/bbv-utils.scm 254 */
																															BgL_res2311z00_3442
																																=
																																BgL__ortest_1111z00_3429;
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 254 */
																															long
																																BgL_odepthz00_3430;
																															BgL_odepthz00_3430
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_3428);
																															if ((((long) 1) <
																																	BgL_odepthz00_3430))
																																{	/* SawBbv/bbv-utils.scm 254 */
																																	obj_t
																																		BgL_arg1816z00_3432;
																																	BgL_arg1816z00_3432
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_3428,
																																		((long) 1));
																																	BgL_res2311z00_3442
																																		=
																																		(BgL_arg1816z00_3432
																																		==
																																		BgL_classz00_3412);
																																}
																															else
																																{	/* SawBbv/bbv-utils.scm 254 */
																																	BgL_res2311z00_3442
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2464z00_4710 =
																												BgL_res2311z00_3442;
																										}
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 254 */
																									BgL_test2464z00_4710 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2464z00_4710)
																						{	/* SawBbv/bbv-utils.scm 255 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_i1206z00_2435;
																							BgL_i1206z00_2435 =
																								((BgL_bbvzd2rangezd2_bglt) ((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT((
																												(BgL_bbvzd2ctxentryzd2_bglt)
																												BgL_xz00_2407)))->
																									BgL_valuez00));
																							{	/* SawBbv/bbv-utils.scm 256 */
																								BgL_bbvzd2rangezd2_bglt
																									BgL_i1207z00_2436;
																								BgL_i1207z00_2436 =
																									((BgL_bbvzd2rangezd2_bglt) ((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											COBJECT((
																													(BgL_bbvzd2ctxentryzd2_bglt)
																													BgL_yz00_2408)))->
																										BgL_valuez00));
																								{	/* SawBbv/bbv-utils.scm 257 */
																									bool_t BgL_rz00_2437;

																									if (
																										((long) CINT(
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1206z00_2435))->BgL_loz00)) <= (long) CINT((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1207z00_2436))->BgL_loz00))))
																										{	/* SawBbv/bbv-utils.scm 257 */
																											obj_t BgL_a1541z00_2450;

																											BgL_a1541z00_2450 =
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1206z00_2435))->BgL_upz00);
																											{	/* SawBbv/bbv-utils.scm 257 */
																												obj_t BgL_b1542z00_2451;

																												BgL_b1542z00_2451 =
																													(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1207z00_2436))->BgL_upz00);
																												{	/* SawBbv/bbv-utils.scm 257 */

																													{	/* SawBbv/bbv-utils.scm 257 */
																														bool_t
																															BgL_test2470z00_4746;
																														if (INTEGERP
																															(BgL_a1541z00_2450))
																															{	/* SawBbv/bbv-utils.scm 257 */
																																BgL_test2470z00_4746
																																	=
																																	INTEGERP
																																	(BgL_b1542z00_2451);
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 257 */
																																BgL_test2470z00_4746
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test2470z00_4746)
																															{	/* SawBbv/bbv-utils.scm 257 */
																																BgL_rz00_2437 =
																																	(
																																	(long)
																																	CINT
																																	(BgL_a1541z00_2450)
																																	>=
																																	(long)
																																	CINT
																																	(BgL_b1542z00_2451));
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 257 */
																																BgL_rz00_2437 =
																																	BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																																	(BgL_a1541z00_2450,
																																	BgL_b1542z00_2451);
																															}
																													}
																												}
																											}
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 257 */
																											BgL_rz00_2437 =
																												((bool_t) 0);
																										}
																									if (BgL_rz00_2437)
																										{	/* SawBbv/bbv-utils.scm 258 */
																											BFALSE;
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 259 */
																											obj_t BgL_arg1948z00_2438;
																											obj_t BgL_arg1949z00_2439;
																											obj_t BgL_arg1950z00_2440;

																											{	/* SawBbv/bbv-utils.scm 259 */
																												obj_t BgL_tmpz00_4755;

																												BgL_tmpz00_4755 =
																													BGL_CURRENT_DYNAMIC_ENV
																													();
																												BgL_arg1948z00_2438 =
																													BGL_ENV_CURRENT_ERROR_PORT
																													(BgL_tmpz00_4755);
																											}
																											BgL_arg1949z00_2439 =
																												BGl_shapez00zztools_shapez00
																												(BgL_xz00_2407);
																											BgL_arg1950z00_2440 =
																												BGl_shapez00zztools_shapez00
																												(BgL_yz00_2408);
																											{	/* SawBbv/bbv-utils.scm 259 */
																												obj_t
																													BgL_list1951z00_2441;
																												{	/* SawBbv/bbv-utils.scm 259 */
																													obj_t
																														BgL_arg1952z00_2442;
																													{	/* SawBbv/bbv-utils.scm 259 */
																														obj_t
																															BgL_arg1953z00_2443;
																														{	/* SawBbv/bbv-utils.scm 259 */
																															obj_t
																																BgL_arg1954z00_2444;
																															{	/* SawBbv/bbv-utils.scm 259 */
																																obj_t
																																	BgL_arg1955z00_2445;
																																{	/* SawBbv/bbv-utils.scm 259 */
																																	obj_t
																																		BgL_arg1956z00_2446;
																																	{	/* SawBbv/bbv-utils.scm 259 */
																																		obj_t
																																			BgL_arg1957z00_2447;
																																		{	/* SawBbv/bbv-utils.scm 259 */
																																			obj_t
																																				BgL_arg1958z00_2448;
																																			BgL_arg1958z00_2448
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1950z00_2440,
																																				BNIL);
																																			BgL_arg1957z00_2447
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string2323z00zzsaw_bbvzd2utilszd2,
																																				BgL_arg1958z00_2448);
																																		}
																																		BgL_arg1956z00_2446
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1949z00_2439,
																																			BgL_arg1957z00_2447);
																																	}
																																	BgL_arg1955z00_2445
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2324z00zzsaw_bbvzd2utilszd2,
																																		BgL_arg1956z00_2446);
																																}
																																BgL_arg1954z00_2444
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2316z00zzsaw_bbvzd2utilszd2,
																																	BgL_arg1955z00_2445);
																															}
																															BgL_arg1953z00_2443
																																=
																																MAKE_YOUNG_PAIR
																																(BINT(((long)
																																		259)),
																																BgL_arg1954z00_2444);
																														}
																														BgL_arg1952z00_2442
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string2317z00zzsaw_bbvzd2utilszd2,
																															BgL_arg1953z00_2443);
																													}
																													BgL_list1951z00_2441 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2318z00zzsaw_bbvzd2utilszd2,
																														BgL_arg1952z00_2442);
																												}
																												BGl_tprintz00zz__r4_output_6_10_3z00
																													(BgL_arg1948z00_2438,
																													BgL_list1951z00_2441);
																										}}
																									BgL_test2452z00_4649 =
																										BgL_rz00_2437;
																						}}}
																					else
																						{	/* SawBbv/bbv-utils.scm 254 */
																							BgL_test2452z00_4649 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 253 */
																					BgL_test2452z00_4649 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 251 */
																			BgL_test2452z00_4649 = ((bool_t) 0);
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 249 */
																	BgL_test2452z00_4649 = ((bool_t) 0);
																}
														}
												}
										}
									}
								}
								if (BgL_test2452z00_4649)
									{	/* SawBbv/bbv-utils.scm 264 */
										obj_t BgL_arg1929z00_2401;

										BgL_arg1929z00_2401 = CDR(((obj_t) BgL_l1543z00_2396));
										{
											obj_t BgL_l1543z00_4772;

											BgL_l1543z00_4772 = BgL_arg1929z00_2401;
											BgL_l1543z00_2396 = BgL_l1543z00_4772;
											goto BgL_zc3z04anonymousza31927ze3z87_2397;
										}
									}
								else
									{	/* SawBbv/bbv-utils.scm 264 */
										return ((bool_t) 0);
									}
							}
					}
				}
			}
		}

	}



/* assert-block */
	BGL_EXPORTED_DEF obj_t
		BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_109,
		obj_t BgL_stagez00_110)
	{
		{	/* SawBbv/bbv-utils.scm 276 */
			{	/* SawBbv/bbv-utils.scm 279 */
				obj_t BgL_lz00_2474;

				{	/* SawBbv/bbv-utils.scm 279 */
					obj_t BgL_hook1551z00_2523;

					BgL_hook1551z00_2523 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* SawBbv/bbv-utils.scm 279 */
						obj_t BgL_g1552z00_2524;

						BgL_g1552z00_2524 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_predsz00);
						{
							obj_t BgL_l1548z00_2526;
							obj_t BgL_h1549z00_2527;

							BgL_l1548z00_2526 = BgL_g1552z00_2524;
							BgL_h1549z00_2527 = BgL_hook1551z00_2523;
						BgL_zc3z04anonymousza32007ze3z87_2528:
							if (NULLP(BgL_l1548z00_2526))
								{	/* SawBbv/bbv-utils.scm 279 */
									BgL_lz00_2474 = CDR(BgL_hook1551z00_2523);
								}
							else
								{	/* SawBbv/bbv-utils.scm 279 */
									bool_t BgL_test2474z00_4779;

									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) BgL_bz00_109),
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1548z00_2526))))))->
													BgL_succsz00))))
										{	/* SawBbv/bbv-utils.scm 281 */
											BgL_test2474z00_4779 = ((bool_t) 0);
										}
									else
										{	/* SawBbv/bbv-utils.scm 281 */
											BgL_test2474z00_4779 = ((bool_t) 1);
										}
									if (BgL_test2474z00_4779)
										{	/* SawBbv/bbv-utils.scm 279 */
											obj_t BgL_nh1550z00_2536;

											{	/* SawBbv/bbv-utils.scm 279 */
												obj_t BgL_arg2015z00_2538;

												BgL_arg2015z00_2538 = CAR(((obj_t) BgL_l1548z00_2526));
												BgL_nh1550z00_2536 =
													MAKE_YOUNG_PAIR(BgL_arg2015z00_2538, BNIL);
											}
											SET_CDR(BgL_h1549z00_2527, BgL_nh1550z00_2536);
											{	/* SawBbv/bbv-utils.scm 279 */
												obj_t BgL_arg2014z00_2537;

												BgL_arg2014z00_2537 = CDR(((obj_t) BgL_l1548z00_2526));
												{
													obj_t BgL_h1549z00_4796;
													obj_t BgL_l1548z00_4795;

													BgL_l1548z00_4795 = BgL_arg2014z00_2537;
													BgL_h1549z00_4796 = BgL_nh1550z00_2536;
													BgL_h1549z00_2527 = BgL_h1549z00_4796;
													BgL_l1548z00_2526 = BgL_l1548z00_4795;
													goto BgL_zc3z04anonymousza32007ze3z87_2528;
												}
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 279 */
											obj_t BgL_arg2017z00_2539;

											BgL_arg2017z00_2539 = CDR(((obj_t) BgL_l1548z00_2526));
											{
												obj_t BgL_l1548z00_4799;

												BgL_l1548z00_4799 = BgL_arg2017z00_2539;
												BgL_l1548z00_2526 = BgL_l1548z00_4799;
												goto BgL_zc3z04anonymousza32007ze3z87_2528;
											}
										}
								}
						}
					}
				}
				if (PAIRP(BgL_lz00_2474))
					{	/* SawBbv/bbv-utils.scm 283 */
						{	/* SawBbv/bbv-utils.scm 284 */
							obj_t BgL_arg1972z00_2476;
							obj_t BgL_arg1973z00_2477;

							{	/* SawBbv/bbv-utils.scm 284 */
								obj_t BgL_tmpz00_4802;

								BgL_tmpz00_4802 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1972z00_2476 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4802);
							}
							BgL_arg1973z00_2477 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_bz00_109));
							{	/* SawBbv/bbv-utils.scm 284 */
								obj_t BgL_list1974z00_2478;

								{	/* SawBbv/bbv-utils.scm 284 */
									obj_t BgL_arg1975z00_2479;

									{	/* SawBbv/bbv-utils.scm 284 */
										obj_t BgL_arg1976z00_2480;

										{	/* SawBbv/bbv-utils.scm 284 */
											obj_t BgL_arg1977z00_2481;

											{	/* SawBbv/bbv-utils.scm 284 */
												obj_t BgL_arg1978z00_2482;

												BgL_arg1978z00_2482 =
													MAKE_YOUNG_PAIR(BgL_arg1973z00_2477, BNIL);
												BgL_arg1977z00_2481 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg1978z00_2482);
											}
											BgL_arg1976z00_2480 =
												MAKE_YOUNG_PAIR(BINT(((long) 284)),
												BgL_arg1977z00_2481);
										}
										BgL_arg1975z00_2479 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg1976z00_2480);
									}
									BgL_list1974z00_2478 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg1975z00_2479);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1972z00_2476,
									BgL_list1974z00_2478);
						}}
						{	/* SawBbv/bbv-utils.scm 285 */
							obj_t BgL_arg1979z00_2483;

							{	/* SawBbv/bbv-utils.scm 285 */
								obj_t BgL_tmpz00_4814;

								BgL_tmpz00_4814 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1979z00_2483 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4814);
							}
							{	/* SawBbv/bbv-utils.scm 285 */
								obj_t BgL_list1980z00_2484;

								{	/* SawBbv/bbv-utils.scm 285 */
									obj_t BgL_arg1981z00_2485;

									{	/* SawBbv/bbv-utils.scm 285 */
										obj_t BgL_arg1982z00_2486;

										{	/* SawBbv/bbv-utils.scm 285 */
											obj_t BgL_arg1983z00_2487;

											{	/* SawBbv/bbv-utils.scm 285 */
												obj_t BgL_arg1984z00_2488;

												BgL_arg1984z00_2488 =
													MAKE_YOUNG_PAIR(BGl_string2325z00zzsaw_bbvzd2utilszd2,
													BNIL);
												BgL_arg1983z00_2487 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg1984z00_2488);
											}
											BgL_arg1982z00_2486 =
												MAKE_YOUNG_PAIR(BINT(((long) 285)),
												BgL_arg1983z00_2487);
										}
										BgL_arg1981z00_2485 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg1982z00_2486);
									}
									BgL_list1980z00_2484 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg1981z00_2485);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1979z00_2483,
									BgL_list1980z00_2484);
						}}
						{
							obj_t BgL_l1553z00_2490;

							BgL_l1553z00_2490 = BgL_lz00_2474;
						BgL_zc3z04anonymousza31985ze3z87_2491:
							if (PAIRP(BgL_l1553z00_2490))
								{	/* SawBbv/bbv-utils.scm 286 */
									{	/* SawBbv/bbv-utils.scm 286 */
										obj_t BgL_bz00_2493;

										BgL_bz00_2493 = CAR(BgL_l1553z00_2490);
										{	/* SawBbv/bbv-utils.scm 286 */
											obj_t BgL_arg1987z00_2494;
											obj_t BgL_arg1988z00_2495;

											{	/* SawBbv/bbv-utils.scm 286 */
												obj_t BgL_tmpz00_4827;

												BgL_tmpz00_4827 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1987z00_2494 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4827);
											}
											BgL_arg1988z00_2495 =
												BGl_shapez00zztools_shapez00(BgL_bz00_2493);
											{	/* SawBbv/bbv-utils.scm 286 */
												obj_t BgL_list1989z00_2496;

												{	/* SawBbv/bbv-utils.scm 286 */
													obj_t BgL_arg1990z00_2497;

													{	/* SawBbv/bbv-utils.scm 286 */
														obj_t BgL_arg1991z00_2498;

														{	/* SawBbv/bbv-utils.scm 286 */
															obj_t BgL_arg1992z00_2499;

															{	/* SawBbv/bbv-utils.scm 286 */
																obj_t BgL_arg1993z00_2500;

																BgL_arg1993z00_2500 =
																	MAKE_YOUNG_PAIR(BgL_arg1988z00_2495, BNIL);
																BgL_arg1992z00_2499 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2316z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1993z00_2500);
															}
															BgL_arg1991z00_2498 =
																MAKE_YOUNG_PAIR(BINT(((long) 286)),
																BgL_arg1992z00_2499);
														}
														BgL_arg1990z00_2497 =
															MAKE_YOUNG_PAIR
															(BGl_string2317z00zzsaw_bbvzd2utilszd2,
															BgL_arg1991z00_2498);
													}
													BgL_list1989z00_2496 =
														MAKE_YOUNG_PAIR
														(BGl_string2318z00zzsaw_bbvzd2utilszd2,
														BgL_arg1990z00_2497);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1987z00_2494, BgL_list1989z00_2496);
									}}}
									{
										obj_t BgL_l1553z00_4838;

										BgL_l1553z00_4838 = CDR(BgL_l1553z00_2490);
										BgL_l1553z00_2490 = BgL_l1553z00_4838;
										goto BgL_zc3z04anonymousza31985ze3z87_2491;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 286 */
									((bool_t) 1);
								}
						}
						{	/* SawBbv/bbv-utils.scm 288 */
							obj_t BgL_arg1995z00_2503;
							obj_t BgL_arg1996z00_2504;

							{	/* SawBbv/bbv-utils.scm 288 */
								int BgL_arg1997z00_2505;

								BgL_arg1997z00_2505 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_labelz00);
								{	/* SawBbv/bbv-utils.scm 288 */
									obj_t BgL_list1998z00_2506;

									BgL_list1998z00_2506 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg1997z00_2505), BNIL);
									BgL_arg1995z00_2503 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2326z00zzsaw_bbvzd2utilszd2,
										BgL_list1998z00_2506);
							}}
							{	/* SawBbv/bbv-utils.scm 289 */
								obj_t BgL_head1557z00_2509;

								{	/* SawBbv/bbv-utils.scm 289 */
									int BgL_arg2005z00_2521;

									BgL_arg2005z00_2521 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													CAR(BgL_lz00_2474))))->BgL_labelz00);
									BgL_head1557z00_2509 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg2005z00_2521), BNIL);
								}
								{	/* SawBbv/bbv-utils.scm 289 */
									obj_t BgL_g1560z00_2510;

									BgL_g1560z00_2510 = CDR(BgL_lz00_2474);
									{
										obj_t BgL_l1555z00_2512;
										obj_t BgL_tail1558z00_2513;

										BgL_l1555z00_2512 = BgL_g1560z00_2510;
										BgL_tail1558z00_2513 = BgL_head1557z00_2509;
									BgL_zc3z04anonymousza32000ze3z87_2514:
										if (NULLP(BgL_l1555z00_2512))
											{	/* SawBbv/bbv-utils.scm 289 */
												BgL_arg1996z00_2504 = BgL_head1557z00_2509;
											}
										else
											{	/* SawBbv/bbv-utils.scm 289 */
												obj_t BgL_newtail1559z00_2516;

												{	/* SawBbv/bbv-utils.scm 289 */
													int BgL_arg2003z00_2518;

													BgL_arg2003z00_2518 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1555z00_2512)))))->
														BgL_labelz00);
													BgL_newtail1559z00_2516 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg2003z00_2518), BNIL);
												}
												SET_CDR(BgL_tail1558z00_2513, BgL_newtail1559z00_2516);
												{	/* SawBbv/bbv-utils.scm 289 */
													obj_t BgL_arg2002z00_2517;

													BgL_arg2002z00_2517 =
														CDR(((obj_t) BgL_l1555z00_2512));
													{
														obj_t BgL_tail1558z00_4863;
														obj_t BgL_l1555z00_4862;

														BgL_l1555z00_4862 = BgL_arg2002z00_2517;
														BgL_tail1558z00_4863 = BgL_newtail1559z00_2516;
														BgL_tail1558z00_2513 = BgL_tail1558z00_4863;
														BgL_l1555z00_2512 = BgL_l1555z00_4862;
														goto BgL_zc3z04anonymousza32000ze3z87_2514;
													}
												}
											}
									}
								}
							}
							BGl_errorz00zz__errorz00(BgL_stagez00_110, BgL_arg1995z00_2503,
								BgL_arg1996z00_2504);
						}
					}
				else
					{	/* SawBbv/bbv-utils.scm 283 */
						BFALSE;
					}
			}
			{	/* SawBbv/bbv-utils.scm 291 */
				obj_t BgL_lz00_2545;

				{	/* SawBbv/bbv-utils.scm 291 */
					obj_t BgL_hook1565z00_2594;

					BgL_hook1565z00_2594 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* SawBbv/bbv-utils.scm 291 */
						obj_t BgL_g1566z00_2595;

						BgL_g1566z00_2595 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_succsz00);
						{
							obj_t BgL_l1562z00_2597;
							obj_t BgL_h1563z00_2598;

							BgL_l1562z00_2597 = BgL_g1566z00_2595;
							BgL_h1563z00_2598 = BgL_hook1565z00_2594;
						BgL_zc3z04anonymousza32059ze3z87_2599:
							if (NULLP(BgL_l1562z00_2597))
								{	/* SawBbv/bbv-utils.scm 291 */
									BgL_lz00_2545 = CDR(BgL_hook1565z00_2594);
								}
							else
								{	/* SawBbv/bbv-utils.scm 291 */
									bool_t BgL_test2480z00_4871;

									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) BgL_bz00_109),
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1562z00_2597))))))->
													BgL_predsz00))))
										{	/* SawBbv/bbv-utils.scm 293 */
											BgL_test2480z00_4871 = ((bool_t) 0);
										}
									else
										{	/* SawBbv/bbv-utils.scm 293 */
											BgL_test2480z00_4871 = ((bool_t) 1);
										}
									if (BgL_test2480z00_4871)
										{	/* SawBbv/bbv-utils.scm 291 */
											obj_t BgL_nh1564z00_2607;

											{	/* SawBbv/bbv-utils.scm 291 */
												obj_t BgL_arg2066z00_2609;

												BgL_arg2066z00_2609 = CAR(((obj_t) BgL_l1562z00_2597));
												BgL_nh1564z00_2607 =
													MAKE_YOUNG_PAIR(BgL_arg2066z00_2609, BNIL);
											}
											SET_CDR(BgL_h1563z00_2598, BgL_nh1564z00_2607);
											{	/* SawBbv/bbv-utils.scm 291 */
												obj_t BgL_arg2065z00_2608;

												BgL_arg2065z00_2608 = CDR(((obj_t) BgL_l1562z00_2597));
												{
													obj_t BgL_h1563z00_4888;
													obj_t BgL_l1562z00_4887;

													BgL_l1562z00_4887 = BgL_arg2065z00_2608;
													BgL_h1563z00_4888 = BgL_nh1564z00_2607;
													BgL_h1563z00_2598 = BgL_h1563z00_4888;
													BgL_l1562z00_2597 = BgL_l1562z00_4887;
													goto BgL_zc3z04anonymousza32059ze3z87_2599;
												}
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 291 */
											obj_t BgL_arg2067z00_2610;

											BgL_arg2067z00_2610 = CDR(((obj_t) BgL_l1562z00_2597));
											{
												obj_t BgL_l1562z00_4891;

												BgL_l1562z00_4891 = BgL_arg2067z00_2610;
												BgL_l1562z00_2597 = BgL_l1562z00_4891;
												goto BgL_zc3z04anonymousza32059ze3z87_2599;
											}
										}
								}
						}
					}
				}
				if (PAIRP(BgL_lz00_2545))
					{	/* SawBbv/bbv-utils.scm 295 */
						{	/* SawBbv/bbv-utils.scm 296 */
							obj_t BgL_arg2020z00_2547;
							obj_t BgL_arg2021z00_2548;

							{	/* SawBbv/bbv-utils.scm 296 */
								obj_t BgL_tmpz00_4894;

								BgL_tmpz00_4894 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg2020z00_2547 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4894);
							}
							BgL_arg2021z00_2548 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_bz00_109));
							{	/* SawBbv/bbv-utils.scm 296 */
								obj_t BgL_list2022z00_2549;

								{	/* SawBbv/bbv-utils.scm 296 */
									obj_t BgL_arg2023z00_2550;

									{	/* SawBbv/bbv-utils.scm 296 */
										obj_t BgL_arg2024z00_2551;

										{	/* SawBbv/bbv-utils.scm 296 */
											obj_t BgL_arg2025z00_2552;

											{	/* SawBbv/bbv-utils.scm 296 */
												obj_t BgL_arg2026z00_2553;

												BgL_arg2026z00_2553 =
													MAKE_YOUNG_PAIR(BgL_arg2021z00_2548, BNIL);
												BgL_arg2025z00_2552 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg2026z00_2553);
											}
											BgL_arg2024z00_2551 =
												MAKE_YOUNG_PAIR(BINT(((long) 296)),
												BgL_arg2025z00_2552);
										}
										BgL_arg2023z00_2550 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg2024z00_2551);
									}
									BgL_list2022z00_2549 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg2023z00_2550);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2020z00_2547,
									BgL_list2022z00_2549);
						}}
						{	/* SawBbv/bbv-utils.scm 297 */
							obj_t BgL_arg2028z00_2554;

							{	/* SawBbv/bbv-utils.scm 297 */
								obj_t BgL_tmpz00_4906;

								BgL_tmpz00_4906 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg2028z00_2554 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4906);
							}
							{	/* SawBbv/bbv-utils.scm 297 */
								obj_t BgL_list2029z00_2555;

								{	/* SawBbv/bbv-utils.scm 297 */
									obj_t BgL_arg2030z00_2556;

									{	/* SawBbv/bbv-utils.scm 297 */
										obj_t BgL_arg2031z00_2557;

										{	/* SawBbv/bbv-utils.scm 297 */
											obj_t BgL_arg2033z00_2558;

											{	/* SawBbv/bbv-utils.scm 297 */
												obj_t BgL_arg2034z00_2559;

												BgL_arg2034z00_2559 =
													MAKE_YOUNG_PAIR(BGl_string2327z00zzsaw_bbvzd2utilszd2,
													BNIL);
												BgL_arg2033z00_2558 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg2034z00_2559);
											}
											BgL_arg2031z00_2557 =
												MAKE_YOUNG_PAIR(BINT(((long) 297)),
												BgL_arg2033z00_2558);
										}
										BgL_arg2030z00_2556 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg2031z00_2557);
									}
									BgL_list2029z00_2555 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg2030z00_2556);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2028z00_2554,
									BgL_list2029z00_2555);
						}}
						{
							obj_t BgL_l1567z00_2561;

							BgL_l1567z00_2561 = BgL_lz00_2545;
						BgL_zc3z04anonymousza32035ze3z87_2562:
							if (PAIRP(BgL_l1567z00_2561))
								{	/* SawBbv/bbv-utils.scm 298 */
									{	/* SawBbv/bbv-utils.scm 298 */
										obj_t BgL_bz00_2564;

										BgL_bz00_2564 = CAR(BgL_l1567z00_2561);
										{	/* SawBbv/bbv-utils.scm 298 */
											obj_t BgL_arg2037z00_2565;
											obj_t BgL_arg2039z00_2566;

											{	/* SawBbv/bbv-utils.scm 298 */
												obj_t BgL_tmpz00_4919;

												BgL_tmpz00_4919 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg2037z00_2565 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4919);
											}
											BgL_arg2039z00_2566 =
												BGl_shapez00zztools_shapez00(BgL_bz00_2564);
											{	/* SawBbv/bbv-utils.scm 298 */
												obj_t BgL_list2040z00_2567;

												{	/* SawBbv/bbv-utils.scm 298 */
													obj_t BgL_arg2041z00_2568;

													{	/* SawBbv/bbv-utils.scm 298 */
														obj_t BgL_arg2042z00_2569;

														{	/* SawBbv/bbv-utils.scm 298 */
															obj_t BgL_arg2043z00_2570;

															{	/* SawBbv/bbv-utils.scm 298 */
																obj_t BgL_arg2044z00_2571;

																BgL_arg2044z00_2571 =
																	MAKE_YOUNG_PAIR(BgL_arg2039z00_2566, BNIL);
																BgL_arg2043z00_2570 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2316z00zzsaw_bbvzd2utilszd2,
																	BgL_arg2044z00_2571);
															}
															BgL_arg2042z00_2569 =
																MAKE_YOUNG_PAIR(BINT(((long) 298)),
																BgL_arg2043z00_2570);
														}
														BgL_arg2041z00_2568 =
															MAKE_YOUNG_PAIR
															(BGl_string2317z00zzsaw_bbvzd2utilszd2,
															BgL_arg2042z00_2569);
													}
													BgL_list2040z00_2567 =
														MAKE_YOUNG_PAIR
														(BGl_string2318z00zzsaw_bbvzd2utilszd2,
														BgL_arg2041z00_2568);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg2037z00_2565, BgL_list2040z00_2567);
									}}}
									{
										obj_t BgL_l1567z00_4930;

										BgL_l1567z00_4930 = CDR(BgL_l1567z00_2561);
										BgL_l1567z00_2561 = BgL_l1567z00_4930;
										goto BgL_zc3z04anonymousza32035ze3z87_2562;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 298 */
									((bool_t) 1);
								}
						}
						{	/* SawBbv/bbv-utils.scm 300 */
							obj_t BgL_arg2046z00_2574;
							obj_t BgL_arg2047z00_2575;

							{	/* SawBbv/bbv-utils.scm 300 */
								int BgL_arg2048z00_2576;

								BgL_arg2048z00_2576 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_labelz00);
								{	/* SawBbv/bbv-utils.scm 300 */
									obj_t BgL_list2049z00_2577;

									BgL_list2049z00_2577 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg2048z00_2576), BNIL);
									BgL_arg2046z00_2574 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2328z00zzsaw_bbvzd2utilszd2,
										BgL_list2049z00_2577);
							}}
							{	/* SawBbv/bbv-utils.scm 301 */
								obj_t BgL_head1571z00_2580;

								{	/* SawBbv/bbv-utils.scm 301 */
									int BgL_arg2057z00_2592;

									BgL_arg2057z00_2592 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													CAR(BgL_lz00_2545))))->BgL_labelz00);
									BgL_head1571z00_2580 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg2057z00_2592), BNIL);
								}
								{	/* SawBbv/bbv-utils.scm 301 */
									obj_t BgL_g1574z00_2581;

									BgL_g1574z00_2581 = CDR(BgL_lz00_2545);
									{
										obj_t BgL_l1569z00_2583;
										obj_t BgL_tail1572z00_2584;

										BgL_l1569z00_2583 = BgL_g1574z00_2581;
										BgL_tail1572z00_2584 = BgL_head1571z00_2580;
									BgL_zc3z04anonymousza32051ze3z87_2585:
										if (NULLP(BgL_l1569z00_2583))
											{	/* SawBbv/bbv-utils.scm 301 */
												BgL_arg2047z00_2575 = BgL_head1571z00_2580;
											}
										else
											{	/* SawBbv/bbv-utils.scm 301 */
												obj_t BgL_newtail1573z00_2587;

												{	/* SawBbv/bbv-utils.scm 301 */
													int BgL_arg2055z00_2589;

													BgL_arg2055z00_2589 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1569z00_2583)))))->
														BgL_labelz00);
													BgL_newtail1573z00_2587 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg2055z00_2589), BNIL);
												}
												SET_CDR(BgL_tail1572z00_2584, BgL_newtail1573z00_2587);
												{	/* SawBbv/bbv-utils.scm 301 */
													obj_t BgL_arg2053z00_2588;

													BgL_arg2053z00_2588 =
														CDR(((obj_t) BgL_l1569z00_2583));
													{
														obj_t BgL_tail1572z00_4955;
														obj_t BgL_l1569z00_4954;

														BgL_l1569z00_4954 = BgL_arg2053z00_2588;
														BgL_tail1572z00_4955 = BgL_newtail1573z00_2587;
														BgL_tail1572z00_2584 = BgL_tail1572z00_4955;
														BgL_l1569z00_2583 = BgL_l1569z00_4954;
														goto BgL_zc3z04anonymousza32051ze3z87_2585;
													}
												}
											}
									}
								}
							}
							BGl_errorz00zz__errorz00(BgL_stagez00_110, BgL_arg2046z00_2574,
								BgL_arg2047z00_2575);
						}
					}
				else
					{	/* SawBbv/bbv-utils.scm 295 */
						BFALSE;
					}
			}
			{	/* SawBbv/bbv-utils.scm 303 */
				obj_t BgL_lz00_2616;

				BgL_lz00_2616 = BNIL;
				{	/* SawBbv/bbv-utils.scm 304 */
					obj_t BgL_g1580z00_2617;

					BgL_g1580z00_2617 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_firstz00);
					{
						obj_t BgL_l1578z00_2619;

						BgL_l1578z00_2619 = BgL_g1580z00_2617;
					BgL_zc3z04anonymousza32069ze3z87_2620:
						if (PAIRP(BgL_l1578z00_2619))
							{	/* SawBbv/bbv-utils.scm 304 */
								{	/* SawBbv/bbv-utils.scm 306 */
									obj_t BgL_insz00_2622;

									BgL_insz00_2622 = CAR(BgL_l1578z00_2619);
									if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_insz00_2622)))
										{	/* SawBbv/bbv-utils.scm 306 */
											BgL_lz00_2616 =
												MAKE_YOUNG_PAIR(BgL_insz00_2622, BgL_lz00_2616);
										}
									else
										{	/* SawBbv/bbv-utils.scm 306 */
											if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_insz00_2622)))
												{	/* SawBbv/bbv-utils.scm 310 */
													BgL_rtl_ifnez00_bglt BgL_i1215z00_2626;

													BgL_i1215z00_2626 =
														((BgL_rtl_ifnez00_bglt)
														(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_insz00_2622)))->
															BgL_funz00));
													if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00((
																	(obj_t) (((BgL_rtl_ifnez00_bglt)
																			COBJECT(BgL_i1215z00_2626))->
																		BgL_thenz00)),
																(((BgL_blockz00_bglt)
																		COBJECT(((BgL_blockz00_bglt)
																				BgL_bz00_109)))->BgL_succsz00))))
														{	/* SawBbv/bbv-utils.scm 311 */
															BFALSE;
														}
													else
														{	/* SawBbv/bbv-utils.scm 311 */
															BgL_lz00_2616 =
																MAKE_YOUNG_PAIR(BgL_insz00_2622, BgL_lz00_2616);
														}
												}
											else
												{	/* SawBbv/bbv-utils.scm 308 */
													if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_insz00_2622)))
														{	/* SawBbv/bbv-utils.scm 315 */
															BgL_rtl_goz00_bglt BgL_i1217z00_2634;

															BgL_i1217z00_2634 =
																((BgL_rtl_goz00_bglt)
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2622)))->BgL_funz00));
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(((obj_t) (((BgL_rtl_goz00_bglt)
																					COBJECT(BgL_i1217z00_2634))->
																				BgL_toz00)),
																		(((BgL_blockz00_bglt)
																				COBJECT(((BgL_blockz00_bglt)
																						BgL_bz00_109)))->BgL_succsz00))))
																{	/* SawBbv/bbv-utils.scm 316 */
																	BFALSE;
																}
															else
																{	/* SawBbv/bbv-utils.scm 316 */
																	BgL_lz00_2616 =
																		MAKE_YOUNG_PAIR(BgL_insz00_2622,
																		BgL_lz00_2616);
																}
														}
													else
														{	/* SawBbv/bbv-utils.scm 313 */
															if (CBOOL
																(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2622))))
																{	/* SawBbv/bbv-utils.scm 320 */
																	BgL_rtl_switchz00_bglt BgL_i1219z00_2642;

																	BgL_i1219z00_2642 =
																		((BgL_rtl_switchz00_bglt)
																		(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2622)))->BgL_funz00));
																	{	/* SawBbv/bbv-utils.scm 321 */
																		obj_t BgL_g1577z00_2643;

																		BgL_g1577z00_2643 =
																			(((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1219z00_2642))->
																			BgL_labelsz00);
																		{
																			obj_t BgL_l1575z00_2645;

																			{	/* SawBbv/bbv-utils.scm 321 */
																				bool_t BgL_tmpz00_5002;

																				BgL_l1575z00_2645 = BgL_g1577z00_2643;
																			BgL_zc3z04anonymousza32086ze3z87_2646:
																				if (PAIRP(BgL_l1575z00_2645))
																					{	/* SawBbv/bbv-utils.scm 321 */
																						{	/* SawBbv/bbv-utils.scm 322 */
																							obj_t BgL_lblz00_2648;

																							BgL_lblz00_2648 =
																								CAR(BgL_l1575z00_2645);
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BgL_lblz00_2648,
																										(((BgL_blockz00_bglt)
																												COBJECT((
																														(BgL_blockz00_bglt)
																														BgL_bz00_109)))->
																											BgL_succsz00))))
																								{	/* SawBbv/bbv-utils.scm 322 */
																									BFALSE;
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 322 */
																									BgL_lz00_2616 =
																										MAKE_YOUNG_PAIR
																										(BgL_insz00_2622,
																										BgL_lz00_2616);
																								}
																						}
																						{
																							obj_t BgL_l1575z00_5012;

																							BgL_l1575z00_5012 =
																								CDR(BgL_l1575z00_2645);
																							BgL_l1575z00_2645 =
																								BgL_l1575z00_5012;
																							goto
																								BgL_zc3z04anonymousza32086ze3z87_2646;
																						}
																					}
																				else
																					{	/* SawBbv/bbv-utils.scm 321 */
																						BgL_tmpz00_5002 = ((bool_t) 1);
																					}
																				BBOOL(BgL_tmpz00_5002);
																			}
																		}
																	}
																}
															else
																{	/* SawBbv/bbv-utils.scm 318 */
																	BFALSE;
																}
														}
												}
										}
								}
								{
									obj_t BgL_l1578z00_5015;

									BgL_l1578z00_5015 = CDR(BgL_l1578z00_2619);
									BgL_l1578z00_2619 = BgL_l1578z00_5015;
									goto BgL_zc3z04anonymousza32069ze3z87_2620;
								}
							}
						else
							{	/* SawBbv/bbv-utils.scm 304 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_lz00_2616))
					{	/* SawBbv/bbv-utils.scm 326 */
						return BFALSE;
					}
				else
					{	/* SawBbv/bbv-utils.scm 326 */
						{	/* SawBbv/bbv-utils.scm 327 */
							obj_t BgL_arg2096z00_2657;
							obj_t BgL_arg2097z00_2658;

							{	/* SawBbv/bbv-utils.scm 327 */
								obj_t BgL_tmpz00_5019;

								BgL_tmpz00_5019 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg2096z00_2657 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5019);
							}
							BgL_arg2097z00_2658 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_bz00_109));
							{	/* SawBbv/bbv-utils.scm 327 */
								obj_t BgL_list2098z00_2659;

								{	/* SawBbv/bbv-utils.scm 327 */
									obj_t BgL_arg2099z00_2660;

									{	/* SawBbv/bbv-utils.scm 327 */
										obj_t BgL_arg2100z00_2661;

										{	/* SawBbv/bbv-utils.scm 327 */
											obj_t BgL_arg2101z00_2662;

											{	/* SawBbv/bbv-utils.scm 327 */
												obj_t BgL_arg2102z00_2663;

												{	/* SawBbv/bbv-utils.scm 327 */
													obj_t BgL_arg2103z00_2664;

													BgL_arg2103z00_2664 =
														MAKE_YOUNG_PAIR(BgL_arg2097z00_2658, BNIL);
													BgL_arg2102z00_2663 =
														MAKE_YOUNG_PAIR
														(BGl_string2329z00zzsaw_bbvzd2utilszd2,
														BgL_arg2103z00_2664);
												}
												BgL_arg2101z00_2662 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg2102z00_2663);
											}
											BgL_arg2100z00_2661 =
												MAKE_YOUNG_PAIR(BINT(((long) 327)),
												BgL_arg2101z00_2662);
										}
										BgL_arg2099z00_2660 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg2100z00_2661);
									}
									BgL_list2098z00_2659 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg2099z00_2660);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2096z00_2657,
									BgL_list2098z00_2659);
						}}
						{	/* SawBbv/bbv-utils.scm 328 */
							obj_t BgL_arg2104z00_2665;
							obj_t BgL_arg2105z00_2666;

							{	/* SawBbv/bbv-utils.scm 328 */
								obj_t BgL_tmpz00_5032;

								BgL_tmpz00_5032 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg2104z00_2665 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5032);
							}
							{	/* SawBbv/bbv-utils.scm 328 */
								BgL_blockz00_bglt BgL_arg2112z00_2673;

								{
									BgL_blocksz00_bglt BgL_auxz00_5035;

									{
										obj_t BgL_auxz00_5036;

										{	/* SawBbv/bbv-utils.scm 328 */
											BgL_objectz00_bglt BgL_tmpz00_5037;

											BgL_tmpz00_5037 = ((BgL_objectz00_bglt) BgL_bz00_109);
											BgL_auxz00_5036 = BGL_OBJECT_WIDENING(BgL_tmpz00_5037);
										}
										BgL_auxz00_5035 = ((BgL_blocksz00_bglt) BgL_auxz00_5036);
									}
									BgL_arg2112z00_2673 =
										(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5035))->
										BgL_parentz00);
								}
								BgL_arg2105z00_2666 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2112z00_2673));
							}
							{	/* SawBbv/bbv-utils.scm 328 */
								obj_t BgL_list2106z00_2667;

								{	/* SawBbv/bbv-utils.scm 328 */
									obj_t BgL_arg2107z00_2668;

									{	/* SawBbv/bbv-utils.scm 328 */
										obj_t BgL_arg2108z00_2669;

										{	/* SawBbv/bbv-utils.scm 328 */
											obj_t BgL_arg2109z00_2670;

											{	/* SawBbv/bbv-utils.scm 328 */
												obj_t BgL_arg2110z00_2671;

												{	/* SawBbv/bbv-utils.scm 328 */
													obj_t BgL_arg2111z00_2672;

													BgL_arg2111z00_2672 =
														MAKE_YOUNG_PAIR(BgL_arg2105z00_2666, BNIL);
													BgL_arg2110z00_2671 =
														MAKE_YOUNG_PAIR
														(BGl_string2330z00zzsaw_bbvzd2utilszd2,
														BgL_arg2111z00_2672);
												}
												BgL_arg2109z00_2670 =
													MAKE_YOUNG_PAIR(BGl_string2316z00zzsaw_bbvzd2utilszd2,
													BgL_arg2110z00_2671);
											}
											BgL_arg2108z00_2669 =
												MAKE_YOUNG_PAIR(BINT(((long) 328)),
												BgL_arg2109z00_2670);
										}
										BgL_arg2107z00_2668 =
											MAKE_YOUNG_PAIR(BGl_string2317z00zzsaw_bbvzd2utilszd2,
											BgL_arg2108z00_2669);
									}
									BgL_list2106z00_2667 =
										MAKE_YOUNG_PAIR(BGl_string2318z00zzsaw_bbvzd2utilszd2,
										BgL_arg2107z00_2668);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2104z00_2665,
									BgL_list2106z00_2667);
						}}
						{	/* SawBbv/bbv-utils.scm 330 */
							obj_t BgL_arg2113z00_2674;
							obj_t BgL_arg2114z00_2675;

							{	/* SawBbv/bbv-utils.scm 330 */
								int BgL_arg2115z00_2676;

								BgL_arg2115z00_2676 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_labelz00);
								{	/* SawBbv/bbv-utils.scm 330 */
									obj_t BgL_list2116z00_2677;

									BgL_list2116z00_2677 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg2115z00_2676), BNIL);
									BgL_arg2113z00_2674 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2331z00zzsaw_bbvzd2utilszd2,
										BgL_list2116z00_2677);
							}}
							{	/* SawBbv/bbv-utils.scm 331 */
								obj_t BgL_l1581z00_2678;

								BgL_l1581z00_2678 = BgL_lz00_2616;
								{	/* SawBbv/bbv-utils.scm 331 */
									obj_t BgL_head1583z00_2680;

									BgL_head1583z00_2680 =
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_l1581z00_2678)), BNIL);
									{	/* SawBbv/bbv-utils.scm 331 */
										obj_t BgL_g1586z00_2681;

										BgL_g1586z00_2681 = CDR(BgL_l1581z00_2678);
										{
											obj_t BgL_l1581z00_2683;
											obj_t BgL_tail1584z00_2684;

											BgL_l1581z00_2683 = BgL_g1586z00_2681;
											BgL_tail1584z00_2684 = BgL_head1583z00_2680;
										BgL_zc3z04anonymousza32118ze3z87_2685:
											if (NULLP(BgL_l1581z00_2683))
												{	/* SawBbv/bbv-utils.scm 331 */
													BgL_arg2114z00_2675 = BgL_head1583z00_2680;
												}
											else
												{	/* SawBbv/bbv-utils.scm 331 */
													obj_t BgL_newtail1585z00_2687;

													{	/* SawBbv/bbv-utils.scm 331 */
														obj_t BgL_arg2121z00_2689;

														{	/* SawBbv/bbv-utils.scm 331 */
															obj_t BgL_arg2122z00_2690;

															BgL_arg2122z00_2690 =
																CAR(((obj_t) BgL_l1581z00_2683));
															BgL_arg2121z00_2689 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2122z00_2690);
														}
														BgL_newtail1585z00_2687 =
															MAKE_YOUNG_PAIR(BgL_arg2121z00_2689, BNIL);
													}
													SET_CDR(BgL_tail1584z00_2684,
														BgL_newtail1585z00_2687);
													{	/* SawBbv/bbv-utils.scm 331 */
														obj_t BgL_arg2120z00_2688;

														BgL_arg2120z00_2688 =
															CDR(((obj_t) BgL_l1581z00_2683));
														{
															obj_t BgL_tail1584z00_5071;
															obj_t BgL_l1581z00_5070;

															BgL_l1581z00_5070 = BgL_arg2120z00_2688;
															BgL_tail1584z00_5071 = BgL_newtail1585z00_2687;
															BgL_tail1584z00_2684 = BgL_tail1584z00_5071;
															BgL_l1581z00_2683 = BgL_l1581z00_5070;
															goto BgL_zc3z04anonymousza32118ze3z87_2685;
														}
													}
												}
										}
									}
								}
							}
							return
								BGl_errorz00zz__errorz00(BgL_stagez00_110, BgL_arg2113z00_2674,
								BgL_arg2114z00_2675);
						}
					}
			}
		}

	}



/* &assert-block */
	obj_t BGl_z62assertzd2blockzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3689,
		obj_t BgL_bz00_3690, obj_t BgL_stagez00_3691)
	{
		{	/* SawBbv/bbv-utils.scm 276 */
			return
				BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3690), BgL_stagez00_3691);
		}

	}



/* bbv-ctx-filter-live-in-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_111, BgL_rtl_insz00_bglt BgL_insz00_112)
	{
		{	/* SawBbv/bbv-utils.scm 338 */
			{	/* SawBbv/bbv-utils.scm 338 */
				obj_t BgL_filteredz00_3702;

				BgL_filteredz00_3702 = MAKE_CELL(BFALSE);
				{
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2702;
					BgL_rtl_insz00_bglt BgL_insz00_2703;

					{	/* SawBbv/bbv-utils.scm 363 */
						obj_t BgL_entriesz00_2696;

						BgL_ctxz00_2702 = BgL_ctxz00_111;
						BgL_insz00_2703 = BgL_insz00_112;
						{	/* SawBbv/bbv-utils.scm 344 */
							obj_t BgL_arg2130z00_2707;

							BgL_arg2130z00_2707 =
								(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2702))->
								BgL_entriesz00);
							{	/* SawBbv/bbv-utils.scm 345 */
								obj_t BgL_zc3z04anonymousza32132ze3z87_3692;

								BgL_zc3z04anonymousza32132ze3z87_3692 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32132ze3ze5zzsaw_bbvzd2utilszd2,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_3692,
									(int) (((long) 0)), ((obj_t) BgL_filteredz00_3702));
								PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_3692,
									(int) (((long) 1)), ((obj_t) BgL_insz00_2703));
								{	/* SawBbv/bbv-utils.scm 344 */
									obj_t BgL_list2131z00_2708;

									BgL_list2131z00_2708 =
										MAKE_YOUNG_PAIR(BgL_arg2130z00_2707, BNIL);
									BgL_entriesz00_2696 =
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza32132ze3z87_3692,
										BgL_list2131z00_2708);
						}}}
						if (CBOOL(CELL_REF(BgL_filteredz00_3702)))
							{	/* SawBbv/bbv-utils.scm 365 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1226z00_2698;

								{	/* SawBbv/bbv-utils.scm 365 */
									BgL_bbvzd2ctxzd2_bglt BgL_new1229z00_2700;

									BgL_new1229z00_2700 =
										((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_bbvzd2ctxzd2_bgl))));
									{	/* SawBbv/bbv-utils.scm 365 */
										long BgL_arg2126z00_2701;

										BgL_arg2126z00_2701 =
											BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1229z00_2700),
											BgL_arg2126z00_2701);
									}
									BgL_new1226z00_2698 = BgL_new1229z00_2700;
								}
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1226z00_2698))->
										BgL_idz00) =
									((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_111))->
											BgL_idz00)), BUNSPEC);
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1226z00_2698))->
										BgL_entriesz00) = ((obj_t) BgL_entriesz00_2696), BUNSPEC);
								{	/* SawBbv/bbv-utils.scm 366 */
									obj_t BgL_fun2125z00_2699;

									BgL_fun2125z00_2699 =
										BGl_classzd2constructorzd2zz__objectz00
										(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun2125z00_2699)) (BgL_fun2125z00_2699,
										((obj_t) BgL_new1226z00_2698), BEOA);
								}
								return BgL_new1226z00_2698;
							}
						else
							{	/* SawBbv/bbv-utils.scm 364 */
								return BgL_ctxz00_111;
							}
					}
				}
			}
		}

	}



/* &bbv-ctx-filter-live-in-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3693, obj_t BgL_ctxz00_3694, obj_t BgL_insz00_3695)
	{
		{	/* SawBbv/bbv-utils.scm 338 */
			return
				BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3694),
				((BgL_rtl_insz00_bglt) BgL_insz00_3695));
		}

	}



/* &<@anonymous:2132> */
	obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3696, obj_t BgL_ez00_3699)
	{
		{	/* SawBbv/bbv-utils.scm 344 */
			{	/* SawBbv/bbv-utils.scm 345 */
				obj_t BgL_filteredz00_3697;
				BgL_rtl_insz00_bglt BgL_i1220z00_3698;

				BgL_filteredz00_3697 =
					PROCEDURE_REF(BgL_envz00_3696, (int) (((long) 0)));
				BgL_i1220z00_3698 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_3696, (int) (((long) 1))));
				{	/* SawBbv/bbv-utils.scm 345 */
					BgL_rtl_regz00_bglt BgL_regz00_3775;

					BgL_regz00_3775 =
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3699)))->BgL_regz00);
					{	/* SawBbv/bbv-utils.scm 346 */
						bool_t BgL_test2497z00_5112;

						{	/* SawBbv/bbv-utils.scm 346 */
							bool_t BgL_test2498z00_5113;

							{	/* SawBbv/bbv-utils.scm 346 */
								obj_t BgL_classz00_3776;

								BgL_classz00_3776 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
								{	/* SawBbv/bbv-utils.scm 346 */
									BgL_objectz00_bglt BgL_arg1820z00_3777;

									{	/* SawBbv/bbv-utils.scm 346 */
										obj_t BgL_tmpz00_5114;

										BgL_tmpz00_5114 =
											((obj_t) ((BgL_objectz00_bglt) BgL_regz00_3775));
										BgL_arg1820z00_3777 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5114);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv-utils.scm 346 */
											long BgL_idxz00_3778;

											BgL_idxz00_3778 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3777);
											BgL_test2498z00_5113 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3778 + ((long) 2))) == BgL_classz00_3776);
										}
									else
										{	/* SawBbv/bbv-utils.scm 346 */
											bool_t BgL_res2312z00_3781;

											{	/* SawBbv/bbv-utils.scm 346 */
												obj_t BgL_oclassz00_3782;

												{	/* SawBbv/bbv-utils.scm 346 */
													long BgL_arg1828z00_3783;

													{	/* SawBbv/bbv-utils.scm 346 */
														long BgL_arg1829z00_3784;

														BgL_arg1829z00_3784 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3777);
														BgL_arg1828z00_3783 =
															(BgL_arg1829z00_3784 - OBJECT_TYPE);
													}
													BgL_oclassz00_3782 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3783);
												}
												{	/* SawBbv/bbv-utils.scm 346 */
													bool_t BgL__ortest_1111z00_3785;

													BgL__ortest_1111z00_3785 =
														(BgL_classz00_3776 == BgL_oclassz00_3782);
													if (BgL__ortest_1111z00_3785)
														{	/* SawBbv/bbv-utils.scm 346 */
															BgL_res2312z00_3781 = BgL__ortest_1111z00_3785;
														}
													else
														{	/* SawBbv/bbv-utils.scm 346 */
															long BgL_odepthz00_3786;

															BgL_odepthz00_3786 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3782);
															if ((((long) 2) < BgL_odepthz00_3786))
																{	/* SawBbv/bbv-utils.scm 346 */
																	obj_t BgL_arg1816z00_3787;

																	BgL_arg1816z00_3787 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3782,
																		((long) 2));
																	BgL_res2312z00_3781 =
																		(BgL_arg1816z00_3787 == BgL_classz00_3776);
																}
															else
																{	/* SawBbv/bbv-utils.scm 346 */
																	BgL_res2312z00_3781 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2498z00_5113 = BgL_res2312z00_3781;
										}
								}
							}
							if (BgL_test2498z00_5113)
								{	/* SawBbv/bbv-utils.scm 347 */
									obj_t BgL_arg2153z00_3788;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5134;

										{
											obj_t BgL_auxz00_5135;

											{	/* SawBbv/bbv-utils.scm 347 */
												BgL_objectz00_bglt BgL_tmpz00_5136;

												BgL_tmpz00_5136 =
													((BgL_objectz00_bglt) BgL_i1220z00_3698);
												BgL_auxz00_5135 = BGL_OBJECT_WIDENING(BgL_tmpz00_5136);
											}
											BgL_auxz00_5134 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5135);
										}
										BgL_arg2153z00_3788 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5134))->
											BgL_inz00);
									}
									BgL_test2497z00_5112 =
										BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
										((BgL_rtl_regz00_bglt) BgL_regz00_3775),
										((BgL_regsetz00_bglt) BgL_arg2153z00_3788));
								}
							else
								{	/* SawBbv/bbv-utils.scm 346 */
									BgL_test2497z00_5112 = ((bool_t) 1);
								}
						}
						if (BgL_test2497z00_5112)
							{	/* SawBbv/bbv-utils.scm 348 */
								obj_t BgL_aliasesz00_3789;

								{	/* SawBbv/bbv-utils.scm 348 */
									obj_t BgL_hook1591z00_3790;

									BgL_hook1591z00_3790 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{	/* SawBbv/bbv-utils.scm 350 */
										obj_t BgL_g1592z00_3791;

										BgL_g1592z00_3791 =
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
													((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3699)))->
											BgL_aliasesz00);
										{
											obj_t BgL_l1588z00_3793;
											obj_t BgL_h1589z00_3794;

											BgL_l1588z00_3793 = BgL_g1592z00_3791;
											BgL_h1589z00_3794 = BgL_hook1591z00_3790;
										BgL_zc3z04anonymousza32145ze3z87_3792:
											if (NULLP(BgL_l1588z00_3793))
												{	/* SawBbv/bbv-utils.scm 350 */
													BgL_aliasesz00_3789 = CDR(BgL_hook1591z00_3790);
												}
											else
												{	/* SawBbv/bbv-utils.scm 350 */
													bool_t BgL_test2503z00_5150;

													{	/* SawBbv/bbv-utils.scm 349 */
														obj_t BgL_regz00_3795;

														BgL_regz00_3795 = CAR(((obj_t) BgL_l1588z00_3793));
														{	/* SawBbv/bbv-utils.scm 349 */
															obj_t BgL_arg2152z00_3796;

															{
																BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5153;

																{
																	obj_t BgL_auxz00_5154;

																	{	/* SawBbv/bbv-utils.scm 349 */
																		BgL_objectz00_bglt BgL_tmpz00_5155;

																		BgL_tmpz00_5155 =
																			((BgL_objectz00_bglt) BgL_i1220z00_3698);
																		BgL_auxz00_5154 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5155);
																	}
																	BgL_auxz00_5153 =
																		((BgL_rtl_inszf2bbvzf2_bglt)
																		BgL_auxz00_5154);
																}
																BgL_arg2152z00_3796 =
																	(((BgL_rtl_inszf2bbvzf2_bglt)
																		COBJECT(BgL_auxz00_5153))->BgL_inz00);
															}
															BgL_test2503z00_5150 =
																BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																((BgL_rtl_regz00_bglt) BgL_regz00_3795),
																((BgL_regsetz00_bglt) BgL_arg2152z00_3796));
														}
													}
													if (BgL_test2503z00_5150)
														{	/* SawBbv/bbv-utils.scm 350 */
															obj_t BgL_nh1590z00_3797;

															{	/* SawBbv/bbv-utils.scm 350 */
																obj_t BgL_arg2150z00_3798;

																BgL_arg2150z00_3798 =
																	CAR(((obj_t) BgL_l1588z00_3793));
																BgL_nh1590z00_3797 =
																	MAKE_YOUNG_PAIR(BgL_arg2150z00_3798, BNIL);
															}
															SET_CDR(BgL_h1589z00_3794, BgL_nh1590z00_3797);
															{	/* SawBbv/bbv-utils.scm 350 */
																obj_t BgL_arg2149z00_3799;

																BgL_arg2149z00_3799 =
																	CDR(((obj_t) BgL_l1588z00_3793));
																{
																	obj_t BgL_h1589z00_5170;
																	obj_t BgL_l1588z00_5169;

																	BgL_l1588z00_5169 = BgL_arg2149z00_3799;
																	BgL_h1589z00_5170 = BgL_nh1590z00_3797;
																	BgL_h1589z00_3794 = BgL_h1589z00_5170;
																	BgL_l1588z00_3793 = BgL_l1588z00_5169;
																	goto BgL_zc3z04anonymousza32145ze3z87_3792;
																}
															}
														}
													else
														{	/* SawBbv/bbv-utils.scm 350 */
															obj_t BgL_arg2151z00_3800;

															BgL_arg2151z00_3800 =
																CDR(((obj_t) BgL_l1588z00_3793));
															{
																obj_t BgL_l1588z00_5173;

																BgL_l1588z00_5173 = BgL_arg2151z00_3800;
																BgL_l1588z00_3793 = BgL_l1588z00_5173;
																goto BgL_zc3z04anonymousza32145ze3z87_3792;
															}
														}
												}
										}
									}
								}
								if (
									(bgl_list_length(BgL_aliasesz00_3789) ==
										bgl_list_length(
											(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3699)))->
												BgL_aliasesz00))))
									{	/* SawBbv/bbv-utils.scm 351 */
										return BgL_ez00_3699;
									}
								else
									{	/* SawBbv/bbv-utils.scm 351 */
										{	/* SawBbv/bbv-utils.scm 355 */
											obj_t BgL_auxz00_3801;

											BgL_auxz00_3801 = BTRUE;
											CELL_SET(BgL_filteredz00_3697, BgL_auxz00_3801);
										}
										{	/* SawBbv/bbv-utils.scm 356 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1221z00_3802;

											{	/* SawBbv/bbv-utils.scm 356 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_new1225z00_3803;

												BgL_new1225z00_3803 =
													((BgL_bbvzd2ctxentryzd2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_bbvzd2ctxentryzd2_bgl))));
												{	/* SawBbv/bbv-utils.scm 356 */
													long BgL_arg2141z00_3804;

													BgL_arg2141z00_3804 =
														BGL_CLASS_NUM
														(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_new1225z00_3803), BgL_arg2141z00_3804);
												}
												BgL_new1221z00_3802 = BgL_new1225z00_3803;
											}
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_regz00) =
												((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3699)))->BgL_regz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_typesz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3699)))->BgL_typesz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_polarityz00) =
												((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3699)))->BgL_polarityz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_valuez00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3699)))->BgL_valuez00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_aliasesz00) =
												((obj_t) BgL_aliasesz00_3789), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1221z00_3802))->BgL_initvalz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3699)))->BgL_initvalz00)), BUNSPEC);
											return ((obj_t) BgL_new1221z00_3802);
										}
									}
							}
						else
							{	/* SawBbv/bbv-utils.scm 346 */
								{	/* SawBbv/bbv-utils.scm 359 */
									obj_t BgL_auxz00_3805;

									BgL_auxz00_3805 = BTRUE;
									CELL_SET(BgL_filteredz00_3697, BgL_auxz00_3805);
								}
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* bbv-ctx-extend-live-out-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_113, BgL_rtl_insz00_bglt BgL_insz00_114)
	{
		{	/* SawBbv/bbv-utils.scm 372 */
			{	/* SawBbv/bbv-utils.scm 374 */
				obj_t BgL_entriesz00_2749;

				{	/* SawBbv/bbv-utils.scm 374 */
					obj_t BgL_hook1598z00_2774;

					BgL_hook1598z00_2774 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* SawBbv/bbv-utils.scm 376 */
						obj_t BgL_g1599z00_2775;

						BgL_g1599z00_2775 =
							(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_113))->
							BgL_entriesz00);
						{
							obj_t BgL_l1595z00_2777;
							obj_t BgL_h1596z00_2778;

							BgL_l1595z00_2777 = BgL_g1599z00_2775;
							BgL_h1596z00_2778 = BgL_hook1598z00_2774;
						BgL_zc3z04anonymousza32171ze3z87_2779:
							if (NULLP(BgL_l1595z00_2777))
								{	/* SawBbv/bbv-utils.scm 376 */
									BgL_entriesz00_2749 = CDR(BgL_hook1598z00_2774);
								}
							else
								{	/* SawBbv/bbv-utils.scm 376 */
									bool_t BgL_test2506z00_5206;

									{	/* SawBbv/bbv-utils.scm 375 */
										obj_t BgL_ez00_2789;

										BgL_ez00_2789 = CAR(((obj_t) BgL_l1595z00_2777));
										{	/* SawBbv/bbv-utils.scm 375 */
											BgL_rtl_regz00_bglt BgL_arg2179z00_2790;
											obj_t BgL_arg2180z00_2791;

											BgL_arg2179z00_2790 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2789)))->
												BgL_regz00);
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5211;

												{
													obj_t BgL_auxz00_5212;

													{	/* SawBbv/bbv-utils.scm 375 */
														BgL_objectz00_bglt BgL_tmpz00_5213;

														BgL_tmpz00_5213 =
															((BgL_objectz00_bglt) BgL_insz00_114);
														BgL_auxz00_5212 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5213);
													}
													BgL_auxz00_5211 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5212);
												}
												BgL_arg2180z00_2791 =
													(((BgL_rtl_inszf2bbvzf2_bglt)
														COBJECT(BgL_auxz00_5211))->BgL_outz00);
											}
											BgL_test2506z00_5206 =
												BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
												((BgL_rtl_regz00_bglt) BgL_arg2179z00_2790),
												((BgL_regsetz00_bglt) BgL_arg2180z00_2791));
										}
									}
									if (BgL_test2506z00_5206)
										{	/* SawBbv/bbv-utils.scm 376 */
											obj_t BgL_nh1597z00_2785;

											{	/* SawBbv/bbv-utils.scm 376 */
												obj_t BgL_arg2177z00_2787;

												BgL_arg2177z00_2787 = CAR(((obj_t) BgL_l1595z00_2777));
												BgL_nh1597z00_2785 =
													MAKE_YOUNG_PAIR(BgL_arg2177z00_2787, BNIL);
											}
											SET_CDR(BgL_h1596z00_2778, BgL_nh1597z00_2785);
											{	/* SawBbv/bbv-utils.scm 376 */
												obj_t BgL_arg2176z00_2786;

												BgL_arg2176z00_2786 = CDR(((obj_t) BgL_l1595z00_2777));
												{
													obj_t BgL_h1596z00_5228;
													obj_t BgL_l1595z00_5227;

													BgL_l1595z00_5227 = BgL_arg2176z00_2786;
													BgL_h1596z00_5228 = BgL_nh1597z00_2785;
													BgL_h1596z00_2778 = BgL_h1596z00_5228;
													BgL_l1595z00_2777 = BgL_l1595z00_5227;
													goto BgL_zc3z04anonymousza32171ze3z87_2779;
												}
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 376 */
											obj_t BgL_arg2178z00_2788;

											BgL_arg2178z00_2788 = CDR(((obj_t) BgL_l1595z00_2777));
											{
												obj_t BgL_l1595z00_5231;

												BgL_l1595z00_5231 = BgL_arg2178z00_2788;
												BgL_l1595z00_2777 = BgL_l1595z00_5231;
												goto BgL_zc3z04anonymousza32171ze3z87_2779;
											}
										}
								}
						}
					}
				}
				{	/* SawBbv/bbv-utils.scm 377 */
					obj_t BgL_nctxz00_3712;

					{	/* SawBbv/bbv-utils.scm 377 */
						obj_t BgL_cellvalz00_5232;

						if (
							(bgl_list_length(BgL_entriesz00_2749) ==
								bgl_list_length(
									(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_113))->
										BgL_entriesz00))))
							{	/* SawBbv/bbv-utils.scm 377 */
								BgL_cellvalz00_5232 = ((obj_t) BgL_ctxz00_113);
							}
						else
							{	/* SawBbv/bbv-utils.scm 379 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1231z00_2767;

								{	/* SawBbv/bbv-utils.scm 379 */
									BgL_bbvzd2ctxzd2_bglt BgL_new1234z00_2769;

									BgL_new1234z00_2769 =
										((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_bbvzd2ctxzd2_bgl))));
									{	/* SawBbv/bbv-utils.scm 379 */
										long BgL_arg2167z00_2770;

										BgL_arg2167z00_2770 =
											BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1234z00_2769),
											BgL_arg2167z00_2770);
									}
									BgL_new1231z00_2767 = BgL_new1234z00_2769;
								}
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1231z00_2767))->
										BgL_idz00) =
									((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_113))->
											BgL_idz00)), BUNSPEC);
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1231z00_2767))->
										BgL_entriesz00) = ((obj_t) BgL_entriesz00_2749), BUNSPEC);
								{	/* SawBbv/bbv-utils.scm 380 */
									obj_t BgL_fun2166z00_2768;

									BgL_fun2166z00_2768 =
										BGl_classzd2constructorzd2zz__objectz00
										(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun2166z00_2768)) (BgL_fun2166z00_2768,
										((obj_t) BgL_new1231z00_2767), BEOA);
								}
								BgL_cellvalz00_5232 = ((obj_t) BgL_new1231z00_2767);
							}
						BgL_nctxz00_3712 = MAKE_CELL(BgL_cellvalz00_5232);
					}
					{	/* SawBbv/bbv-utils.scm 381 */
						obj_t BgL_arg2156z00_2752;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5253;

							{
								obj_t BgL_auxz00_5254;

								{	/* SawBbv/bbv-utils.scm 381 */
									BgL_objectz00_bglt BgL_tmpz00_5255;

									BgL_tmpz00_5255 = ((BgL_objectz00_bglt) BgL_insz00_114);
									BgL_auxz00_5254 = BGL_OBJECT_WIDENING(BgL_tmpz00_5255);
								}
								BgL_auxz00_5253 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5254);
							}
							BgL_arg2156z00_2752 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5253))->
								BgL_outz00);
						}
						{	/* SawBbv/bbv-utils.scm 382 */
							obj_t BgL_zc3z04anonymousza32157ze3z87_3704;

							BgL_zc3z04anonymousza32157ze3z87_3704 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza32157ze3ze5zzsaw_bbvzd2utilszd2,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_3704,
								(int) (((long) 0)), ((obj_t) BgL_nctxz00_3712));
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
								(BgL_zc3z04anonymousza32157ze3z87_3704,
								((BgL_regsetz00_bglt) BgL_arg2156z00_2752));
					}}
					return
						((BgL_bbvzd2ctxzd2_bglt)
						((BgL_bbvzd2ctxzd2_bglt) CELL_REF(BgL_nctxz00_3712)));
				}
			}
		}

	}



/* &bbv-ctx-extend-live-out-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3705, obj_t BgL_ctxz00_3706, obj_t BgL_insz00_3707)
	{
		{	/* SawBbv/bbv-utils.scm 372 */
			return
				BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3706),
				((BgL_rtl_insz00_bglt) BgL_insz00_3707));
		}

	}



/* &<@anonymous:2157> */
	obj_t BGl_z62zc3z04anonymousza32157ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3708, obj_t BgL_rz00_3710)
	{
		{	/* SawBbv/bbv-utils.scm 381 */
			{	/* SawBbv/bbv-utils.scm 382 */
				obj_t BgL_nctxz00_3709;

				BgL_nctxz00_3709 = PROCEDURE_REF(BgL_envz00_3708, (int) (((long) 0)));
				if (CBOOL(BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(
							((BgL_bbvzd2ctxzd2_bglt)
								((BgL_bbvzd2ctxzd2_bglt)
									CELL_REF(BgL_nctxz00_3709))),
							((BgL_rtl_regz00_bglt) BgL_rz00_3710))))
					{	/* SawBbv/bbv-utils.scm 382 */
						return BFALSE;
					}
				else
					{	/* SawBbv/bbv-utils.scm 384 */
						obj_t BgL_auxz00_3806;

						{	/* SawBbv/bbv-utils.scm 385 */
							obj_t BgL_arg2159z00_3807;

							{	/* SawBbv/bbv-utils.scm 385 */
								BgL_typez00_bglt BgL_arg2160z00_3808;

								BgL_arg2160z00_3808 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_rz00_3710)))->BgL_typez00);
								{	/* SawBbv/bbv-utils.scm 385 */
									obj_t BgL_list2161z00_3809;

									BgL_list2161z00_3809 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2160z00_3808), BNIL);
									BgL_arg2159z00_3807 = BgL_list2161z00_3809;
								}
							}
							{	/* SawBbv/bbv-utils.scm 384 */
								obj_t BgL_valuez00_3810;

								BgL_valuez00_3810 = CNST_TABLE_REF(((long) 2));
								BgL_auxz00_3806 =
									((obj_t)
									BGl_extendzd2ctxzd2zzsaw_bbvzd2typeszd2(
										((BgL_bbvzd2ctxzd2_bglt)
											((BgL_bbvzd2ctxzd2_bglt)
												CELL_REF(BgL_nctxz00_3709))),
										((BgL_rtl_regz00_bglt) BgL_rz00_3710), BgL_arg2159z00_3807,
										((bool_t) 1), BgL_valuez00_3810));
						}}
						return CELL_SET(BgL_nctxz00_3709, BgL_auxz00_3806);
					}
			}
		}

	}



/* live-versions */
	BGL_EXPORTED_DEF obj_t BGl_livezd2versionszd2zzsaw_bbvzd2utilszd2(obj_t
		BgL_versionsz00_115)
	{
		{	/* SawBbv/bbv-utils.scm 392 */
			{	/* SawBbv/bbv-utils.scm 393 */
				obj_t BgL_hook1604z00_2793;

				BgL_hook1604z00_2793 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1601z00_2795;
					obj_t BgL_h1602z00_2796;

					BgL_l1601z00_2795 = BgL_versionsz00_115;
					BgL_h1602z00_2796 = BgL_hook1604z00_2793;
				BgL_zc3z04anonymousza32181ze3z87_2797:
					if (NULLP(BgL_l1601z00_2795))
						{	/* SawBbv/bbv-utils.scm 393 */
							return CDR(BgL_hook1604z00_2793);
						}
					else
						{	/* SawBbv/bbv-utils.scm 393 */
							bool_t BgL_test2510z00_5295;

							{	/* SawBbv/bbv-utils.scm 394 */
								BgL_blockz00_bglt BgL_i1236z00_2808;

								{	/* SawBbv/bbv-utils.scm 394 */
									obj_t BgL_pairz00_3569;

									BgL_pairz00_3569 = CAR(((obj_t) BgL_l1601z00_2795));
									BgL_i1236z00_2808 =
										((BgL_blockz00_bglt) CDR(BgL_pairz00_3569));
								}
								{	/* SawBbv/bbv-utils.scm 395 */
									bool_t BgL_test2511z00_5300;

									{	/* SawBbv/bbv-utils.scm 395 */
										obj_t BgL_tmpz00_5301;

										{
											BgL_blocksz00_bglt BgL_auxz00_5302;

											{
												obj_t BgL_auxz00_5303;

												{	/* SawBbv/bbv-utils.scm 395 */
													BgL_objectz00_bglt BgL_tmpz00_5304;

													BgL_tmpz00_5304 =
														((BgL_objectz00_bglt) BgL_i1236z00_2808);
													BgL_auxz00_5303 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5304);
												}
												BgL_auxz00_5302 =
													((BgL_blocksz00_bglt) BgL_auxz00_5303);
											}
											BgL_tmpz00_5301 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5302))->
												BgL_mblockz00);
										}
										BgL_test2511z00_5300 = CBOOL(BgL_tmpz00_5301);
									}
									if (BgL_test2511z00_5300)
										{	/* SawBbv/bbv-utils.scm 395 */
											BgL_test2510z00_5295 = ((bool_t) 0);
										}
									else
										{	/* SawBbv/bbv-utils.scm 395 */
											BgL_test2510z00_5295 = ((bool_t) 1);
										}
								}
							}
							if (BgL_test2510z00_5295)
								{	/* SawBbv/bbv-utils.scm 393 */
									obj_t BgL_nh1603z00_2803;

									{	/* SawBbv/bbv-utils.scm 393 */
										obj_t BgL_arg2187z00_2805;

										BgL_arg2187z00_2805 = CAR(((obj_t) BgL_l1601z00_2795));
										BgL_nh1603z00_2803 =
											MAKE_YOUNG_PAIR(BgL_arg2187z00_2805, BNIL);
									}
									SET_CDR(BgL_h1602z00_2796, BgL_nh1603z00_2803);
									{	/* SawBbv/bbv-utils.scm 393 */
										obj_t BgL_arg2185z00_2804;

										BgL_arg2185z00_2804 = CDR(((obj_t) BgL_l1601z00_2795));
										{
											obj_t BgL_h1602z00_5317;
											obj_t BgL_l1601z00_5316;

											BgL_l1601z00_5316 = BgL_arg2185z00_2804;
											BgL_h1602z00_5317 = BgL_nh1603z00_2803;
											BgL_h1602z00_2796 = BgL_h1602z00_5317;
											BgL_l1601z00_2795 = BgL_l1601z00_5316;
											goto BgL_zc3z04anonymousza32181ze3z87_2797;
										}
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 393 */
									obj_t BgL_arg2188z00_2806;

									BgL_arg2188z00_2806 = CDR(((obj_t) BgL_l1601z00_2795));
									{
										obj_t BgL_l1601z00_5320;

										BgL_l1601z00_5320 = BgL_arg2188z00_2806;
										BgL_l1601z00_2795 = BgL_l1601z00_5320;
										goto BgL_zc3z04anonymousza32181ze3z87_2797;
									}
								}
						}
				}
			}
		}

	}



/* &live-versions */
	obj_t BGl_z62livezd2versionszb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3714,
		obj_t BgL_versionsz00_3715)
	{
		{	/* SawBbv/bbv-utils.scm 392 */
			return BGl_livezd2versionszd2zzsaw_bbvzd2utilszd2(BgL_versionsz00_3715);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(((long) 54121743),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(((long) 392277179),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(((long)
					506937389), BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 427577353),
				BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
			return BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(((long)
					312515004), BSTRING_TO_STRING(BGl_string2332z00zzsaw_bbvzd2utilszd2));
		}

	}

#ifdef __cplusplus
}
#endif
