/*===========================================================================*/
/*   (SawBbv/bbv.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawBbv/bbv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		obj_t BgL_mblockz00;
		bool_t BgL_collapsedz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;


	static obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static bool_t BGl_widenzd2bbvz12zc0zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int,
		int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t);
	static bool_t BGl_reorderzd2succsz12zc0zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t);
	static BgL_blockz00_bglt
		BGl_simplifyzd2branchz12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static BgL_blockz00_bglt
		BGl_removezd2gotoz12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt, obj_t);
	static bool_t BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	extern obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_coalescez12z12zzsaw_bbvz00(obj_t,
		BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvz00(void);
	extern bool_t BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt,
		obj_t);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvz00(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_coalescezf3zf3zzsaw_bbvz00(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t,
		obj_t);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62dumpzd2blockszb0zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	static obj_t BGl_livenessz12z12zzsaw_bbvz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32161ze3ze5zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32234ze3ze5zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_gcz12z12zzsaw_bbvz00(BgL_blockz00_bglt);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	extern BgL_regsetz00_bglt BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t,
		obj_t);
	extern obj_t BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2tracezd2levelza2zd2zzengine_paramz00;
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2;
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	extern obj_t BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_markzd2mergez12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00(void);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00(void);
	extern obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00(void);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern BgL_blockz00_bglt
		BGl_bbvzd2blockza2z70zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t);
	extern obj_t BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
	extern bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2(void);
	static obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	static BgL_blockz00_bglt
		BGl_removezd2nopz12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	extern bool_t
		BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00(void);
	static BgL_blockz00_bglt
		BGl_removezd2tempsz12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	static obj_t BGl_loopze70ze7zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t, obj_t);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_assertzd2blockszd2zzsaw_bbvz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, int);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2argsze70z35zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72869za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2nilza72870za7, BGl_z62regsetzd2nilzb0zzsaw_bbvz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72871za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72872za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72873za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72874za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72875za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72876za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regv2877z00, BGl_z62regsetzd2regvzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2878z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2msiza72879za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72880za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72881za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72882za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2envzd2zzsaw_bbvz00,
		BgL_bgl_za762bbvza762za7za7saw_b2883z00, BGl_z62bbvz62zzsaw_bbvz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2825z00zzsaw_bbvz00,
		BgL_bgl_string2825za700za7za7s2884za7, "=== ", 4);
	      DEFINE_STRING(BGl_string2826z00zzsaw_bbvz00,
		BgL_bgl_string2826za700za7za7s2885za7, ":", 1);
	      DEFINE_STRING(BGl_string2827z00zzsaw_bbvz00,
		BgL_bgl_string2827za700za7za7s2886za7, ",", 1);
	      DEFINE_STRING(BGl_string2828z00zzsaw_bbvz00,
		BgL_bgl_string2828za700za7za7s2887za7, "SawBbv/bbv.scm", 14);
	      DEFINE_STRING(BGl_string2829z00zzsaw_bbvz00,
		BgL_bgl_string2829za700za7za7s2888za7, "        bbv ", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72889za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72890za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2830z00zzsaw_bbvz00,
		BgL_bgl_string2830za700za7za7s2891za7, ".plain.cfg", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72892za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2831z00zzsaw_bbvz00,
		BgL_bgl_string2831za700za7za7s2893za7, ".reorder.cfg", 12);
	      DEFINE_STRING(BGl_string2832z00zzsaw_bbvz00,
		BgL_bgl_string2832za700za7za7s2894za7, ".goto.cfg", 9);
	      DEFINE_STRING(BGl_string2833z00zzsaw_bbvz00,
		BgL_bgl_string2833za700za7za7s2895za7, ".ifeq.cfg", 9);
	      DEFINE_STRING(BGl_string2834z00zzsaw_bbvz00,
		BgL_bgl_string2834za700za7za7s2896za7, ".liveness.cfg", 13);
	      DEFINE_STRING(BGl_string2835z00zzsaw_bbvz00,
		BgL_bgl_string2835za700za7za7s2897za7, ".specialize.cfg", 15);
	      DEFINE_STRING(BGl_string2836z00zzsaw_bbvz00,
		BgL_bgl_string2836za700za7za7s2898za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2837z00zzsaw_bbvz00,
		BgL_bgl_string2837za700za7za7s2899za7, " ", 1);
	      DEFINE_STRING(BGl_string2838z00zzsaw_bbvz00,
		BgL_bgl_string2838za700za7za7s2900za7, "\n", 1);
	      DEFINE_STRING(BGl_string2839z00zzsaw_bbvz00,
		BgL_bgl_string2839za700za7za7s2901za7, ".bbv.cfg", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2902z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2840z00zzsaw_bbvz00,
		BgL_bgl_string2840za700za7za7s2903za7, "gc!", 3);
	      DEFINE_STRING(BGl_string2841z00zzsaw_bbvz00,
		BgL_bgl_string2841za700za7za7s2904za7, "before coalesce!", 16);
	      DEFINE_STRING(BGl_string2842z00zzsaw_bbvz00,
		BgL_bgl_string2842za700za7za7s2905za7, " parent: ", 9);
	      DEFINE_STRING(BGl_string2843z00zzsaw_bbvz00,
		BgL_bgl_string2843za700za7za7s2906za7, "COALESCE: ", 10);
	      DEFINE_STRING(BGl_string2845z00zzsaw_bbvz00,
		BgL_bgl_string2845za700za7za7s2907za7, "coalesce!", 9);
	      DEFINE_STRING(BGl_string2846z00zzsaw_bbvz00,
		BgL_bgl_string2846za700za7za7s2908za7, "normalize-ifeq!", 15);
	      DEFINE_STRING(BGl_string2847z00zzsaw_bbvz00,
		BgL_bgl_string2847za700za7za7s2909za7, "bad block (no instruction)", 26);
	      DEFINE_STRING(BGl_string2848z00zzsaw_bbvz00,
		BgL_bgl_string2848za700za7za7s2910za7, "bad block", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72911za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2849z00zzsaw_bbvz00,
		BgL_bgl_string2849za700za7za7s2912za7, "before simplify-branch!", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72913za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2stringzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2914z00, BGl_z62regsetzd2stringzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2850z00zzsaw_bbvz00,
		BgL_bgl_string2850za700za7za7s2915za7, "simplify-branch!", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2844z00zzsaw_bbvz00,
		BgL_bgl_za762za7c3za704anonymo2916za7,
		BGl_z62zc3z04anonymousza32161ze3ze5zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2851z00zzsaw_bbvz00,
		BgL_bgl_string2851za700za7za7s2917za7, " => ", 4);
	      DEFINE_STRING(BGl_string2852z00zzsaw_bbvz00,
		BgL_bgl_string2852za700za7za7s2918za7, " preds: ", 8);
	      DEFINE_STRING(BGl_string2853z00zzsaw_bbvz00,
		BgL_bgl_string2853za700za7za7s2919za7, "): ", 3);
	      DEFINE_STRING(BGl_string2854z00zzsaw_bbvz00,
		BgL_bgl_string2854za700za7za7s2920za7, "simplify(", 9);
	      DEFINE_STRING(BGl_string2855z00zzsaw_bbvz00,
		BgL_bgl_string2855za700za7za7s2921za7, "before nop!", 11);
	      DEFINE_STRING(BGl_string2856z00zzsaw_bbvz00,
		BgL_bgl_string2856za700za7za7s2922za7, "remove-nop!", 11);
	      DEFINE_STRING(BGl_string2858z00zzsaw_bbvz00,
		BgL_bgl_string2858za700za7za7s2923za7, "before goto!", 12);
	      DEFINE_STRING(BGl_string2859z00zzsaw_bbvz00,
		BgL_bgl_string2859za700za7za7s2924za7, "remote-goto!", 12);
	extern obj_t BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72925za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2860z00zzsaw_bbvz00,
		BgL_bgl_string2860za700za7za7s2926za7, "./a.out", 7);
	      DEFINE_STRING(BGl_string2861z00zzsaw_bbvz00,
		BgL_bgl_string2861za700za7za7s2927za7, "~a-~a~a", 7);
	      DEFINE_STRING(BGl_string2862z00zzsaw_bbvz00,
		BgL_bgl_string2862za700za7za7s2928za7, ";; -*- mode: bee -*-", 20);
	      DEFINE_STRING(BGl_string2863z00zzsaw_bbvz00,
		BgL_bgl_string2863za700za7za7s2929za7, ";; *** ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zzsaw_bbvz00,
		BgL_bgl_za762za7c3za704anonymo2930za7,
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2864z00zzsaw_bbvz00,
		BgL_bgl_string2864za700za7za7s2931za7, ";; ", 3);
	      DEFINE_STRING(BGl_string2865z00zzsaw_bbvz00,
		BgL_bgl_string2865za700za7za7s2932za7,
		";; bglcfg '~a' > '~a.dot' && dot '~a.dot' -Tpdf > ~a.pdf\n", 57);
	      DEFINE_STRING(BGl_string2866z00zzsaw_bbvz00,
		BgL_bgl_string2866za700za7za7s2933za7, "saw_bbv", 7);
	      DEFINE_STRING(BGl_string2867z00zzsaw_bbvz00,
		BgL_bgl_string2867za700za7za7s2934za7, "(415) * bbset ", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2rtl_re2935z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00, 0L, BUNSPEC, 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72936za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2lengthzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2937z00, BGl_z62regsetzd2lengthzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72938za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72939za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72940za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2regset2941z00, BGl_z62makezd2regsetzb0zzsaw_bbvz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvz00,
		BgL_bgl_za762regsetza7f3za791za72942z00, BGl_z62regsetzf3z91zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72943za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72944za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regl2945z00, BGl_z62regsetzd2reglzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_bbvz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long
		BgL_checksumz00_4926, char *BgL_fromz00_4927)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00();
					BGl_cnstzd2initzd2zzsaw_bbvz00();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvz00();
					return BGl_toplevelzd2initzd2zzsaw_bbvz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_bbv");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			{	/* SawBbv/bbv.scm 15 */
				obj_t BgL_cportz00_4849;

				{	/* SawBbv/bbv.scm 15 */
					obj_t BgL_stringz00_4856;

					BgL_stringz00_4856 = BGl_string2867z00zzsaw_bbvz00;
					{	/* SawBbv/bbv.scm 15 */
						obj_t BgL_startz00_4857;

						BgL_startz00_4857 = BINT(((long) 0));
						{	/* SawBbv/bbv.scm 15 */
							obj_t BgL_endz00_4858;

							BgL_endz00_4858 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4856)));
							{	/* SawBbv/bbv.scm 15 */

								BgL_cportz00_4849 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4856, BgL_startz00_4857, BgL_endz00_4858);
				}}}}
				{
					long BgL_iz00_4850;

					BgL_iz00_4850 = ((long) 2);
				BgL_loopz00_4851:
					if ((BgL_iz00_4850 == ((long) -1)))
						{	/* SawBbv/bbv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv.scm 15 */
							{	/* SawBbv/bbv.scm 15 */
								obj_t BgL_arg2868z00_4852;

								{	/* SawBbv/bbv.scm 15 */

									{	/* SawBbv/bbv.scm 15 */
										obj_t BgL_locationz00_4854;

										BgL_locationz00_4854 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv.scm 15 */

											BgL_arg2868z00_4852 =
												BGl_readz00zz__readerz00(BgL_cportz00_4849,
												BgL_locationz00_4854);
										}
									}
								}
								{	/* SawBbv/bbv.scm 15 */
									int BgL_tmpz00_4960;

									BgL_tmpz00_4960 = (int) (BgL_iz00_4850);
									CNST_TABLE_SET(BgL_tmpz00_4960, BgL_arg2868z00_4852);
							}}
							{	/* SawBbv/bbv.scm 15 */
								int BgL_auxz00_4855;

								BgL_auxz00_4855 = (int) ((BgL_iz00_4850 - ((long) 1)));
								{
									long BgL_iz00_4965;

									BgL_iz00_4965 = (long) (BgL_auxz00_4855);
									BgL_iz00_4850 = BgL_iz00_4965;
									goto BgL_loopz00_4851;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2122;

				BgL_headz00_2122 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2123;
					obj_t BgL_tailz00_2124;

					BgL_prevz00_2123 = BgL_headz00_2122;
					BgL_tailz00_2124 = BgL_l1z00_1;
				BgL_loopz00_2125:
					if (PAIRP(BgL_tailz00_2124))
						{
							obj_t BgL_newzd2prevzd2_2127;

							BgL_newzd2prevzd2_2127 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2124), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2123, BgL_newzd2prevzd2_2127);
							{
								obj_t BgL_tailz00_4975;
								obj_t BgL_prevz00_4974;

								BgL_prevz00_4974 = BgL_newzd2prevzd2_2127;
								BgL_tailz00_4975 = CDR(BgL_tailz00_2124);
								BgL_tailz00_2124 = BgL_tailz00_4975;
								BgL_prevz00_2123 = BgL_prevz00_4974;
								goto BgL_loopz00_2125;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2122);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt BgL_type1179z00_3,
		obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1167z00_4860;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1165z00_4861;
					BgL_rtl_regzf2razf2_bglt BgL_wide1166z00_4862;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_4978;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1164z00_4863;

							BgL_new1164z00_4863 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1677z00_4864;

								BgL_arg1677z00_4864 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1164z00_4863),
									BgL_arg1677z00_4864);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_4983;

								BgL_tmpz00_4983 = ((BgL_objectz00_bglt) BgL_new1164z00_4863);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4983, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1164z00_4863);
							BgL_auxz00_4978 = BgL_new1164z00_4863;
						}
						BgL_tmp1165z00_4861 = ((BgL_rtl_regz00_bglt) BgL_auxz00_4978);
					}
					BgL_wide1166z00_4862 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_4991;
						BgL_objectz00_bglt BgL_tmpz00_4989;

						BgL_auxz00_4991 = ((obj_t) BgL_wide1166z00_4862);
						BgL_tmpz00_4989 = ((BgL_objectz00_bglt) BgL_tmp1165z00_4861);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4989, BgL_auxz00_4991);
					}
					((BgL_objectz00_bglt) BgL_tmp1165z00_4861);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1674z00_4865;

						BgL_arg1674z00_4865 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1165z00_4861), BgL_arg1674z00_4865);
					}
					BgL_new1167z00_4860 = ((BgL_rtl_regz00_bglt) BgL_tmp1165z00_4861);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1167z00_4860)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1167z00_4860)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1167z00_4860)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1167z00_4860)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1167z00_4860)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1167z00_4860)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5011;

					{
						obj_t BgL_auxz00_5012;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5013;

							BgL_tmpz00_5013 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5012 = BGL_OBJECT_WIDENING(BgL_tmpz00_5013);
						}
						BgL_auxz00_5011 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5012);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5011))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5018;

					{
						obj_t BgL_auxz00_5019;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5020;

							BgL_tmpz00_5020 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5019 = BGL_OBJECT_WIDENING(BgL_tmpz00_5020);
						}
						BgL_auxz00_5018 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5019);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5018))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5025;

					{
						obj_t BgL_auxz00_5026;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5027;

							BgL_tmpz00_5027 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5026 = BGL_OBJECT_WIDENING(BgL_tmpz00_5027);
						}
						BgL_auxz00_5025 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5026);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5025))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5032;

					{
						obj_t BgL_auxz00_5033;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5034;

							BgL_tmpz00_5034 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5033 = BGL_OBJECT_WIDENING(BgL_tmpz00_5034);
						}
						BgL_auxz00_5032 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5033);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5032))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5039;

					{
						obj_t BgL_auxz00_5040;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5041;

							BgL_tmpz00_5041 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5040 = BGL_OBJECT_WIDENING(BgL_tmpz00_5041);
						}
						BgL_auxz00_5039 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5040);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5039))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_5046;

					{
						obj_t BgL_auxz00_5047;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_5048;

							BgL_tmpz00_5048 = ((BgL_objectz00_bglt) BgL_new1167z00_4860);
							BgL_auxz00_5047 = BGL_OBJECT_WIDENING(BgL_tmpz00_5048);
						}
						BgL_auxz00_5046 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5047);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5046))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1167z00_4860;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t
		BgL_envz00_4719, obj_t BgL_type1179z00_4720, obj_t BgL_var1180z00_4721,
		obj_t BgL_onexprzf31181zf3_4722, obj_t BgL_name1182z00_4723,
		obj_t BgL_key1183z00_4724, obj_t BgL_hardware1184z00_4725,
		obj_t BgL_num1185z00_4726, obj_t BgL_color1186z00_4727,
		obj_t BgL_coalesce1187z00_4728, obj_t BgL_occurrences1188z00_4729,
		obj_t BgL_interfere1189z00_4730, obj_t BgL_interfere21190z00_4731)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(
				((BgL_typez00_bglt) BgL_type1179z00_4720), BgL_var1180z00_4721,
				BgL_onexprzf31181zf3_4722, BgL_name1182z00_4723, BgL_key1183z00_4724,
				BgL_hardware1184z00_4725, CINT(BgL_num1185z00_4726),
				BgL_color1186z00_4727, BgL_coalesce1187z00_4728,
				CINT(BgL_occurrences1188z00_4729), BgL_interfere1189z00_4730,
				BgL_interfere21190z00_4731);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_4866;

				BgL_classz00_4866 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1820z00_4867;

						BgL_arg1820z00_4867 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_4868;

								BgL_idxz00_4868 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4867);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4868 + ((long) 2))) == BgL_classz00_4866);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2799z00_4871;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_4872;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1828z00_4873;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1829z00_4874;

											BgL_arg1829z00_4874 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4867);
											BgL_arg1828z00_4873 = (BgL_arg1829z00_4874 - OBJECT_TYPE);
										}
										BgL_oclassz00_4872 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4873);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1111z00_4875;

										BgL__ortest_1111z00_4875 =
											(BgL_classz00_4866 == BgL_oclassz00_4872);
										if (BgL__ortest_1111z00_4875)
											{	/* SawMill/regset.sch 56 */
												BgL_res2799z00_4871 = BgL__ortest_1111z00_4875;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_4876;

												BgL_odepthz00_4876 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4872);
												if ((((long) 2) < BgL_odepthz00_4876))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1816z00_4877;

														BgL_arg1816z00_4877 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4872,
															((long) 2));
														BgL_res2799z00_4871 =
															(BgL_arg1816z00_4877 == BgL_classz00_4866);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2799z00_4871 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2799z00_4871;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t BgL_envz00_4732,
		obj_t BgL_objz00_4733)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvz00(BgL_objz00_4733));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3827;

				BgL_classz00_3827 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1113z00_3828;

					BgL__ortest_1113z00_3828 = BGL_CLASS_NIL(BgL_classz00_3827);
					if (CBOOL(BgL__ortest_1113z00_3828))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_3828);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3827));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t
		BgL_envz00_4734)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5085;

				{
					obj_t BgL_auxz00_5086;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_5087;

						BgL_tmpz00_5087 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_5086 = BGL_OBJECT_WIDENING(BgL_tmpz00_5087);
					}
					BgL_auxz00_5085 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5086);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5085))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t BgL_envz00_4735,
		obj_t BgL_oz00_4736)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4736));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5094;

				{
					obj_t BgL_auxz00_5095;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_5096;

						BgL_tmpz00_5096 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_5095 = BGL_OBJECT_WIDENING(BgL_tmpz00_5096);
					}
					BgL_auxz00_5094 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5095);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5094))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4737, obj_t BgL_oz00_4738, obj_t BgL_vz00_4739)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4738), BgL_vz00_4739);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5103;

				{
					obj_t BgL_auxz00_5104;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_5105;

						BgL_tmpz00_5105 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_5104 = BGL_OBJECT_WIDENING(BgL_tmpz00_5105);
					}
					BgL_auxz00_5103 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5104);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5103))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t BgL_envz00_4740,
		obj_t BgL_oz00_4741)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4741));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5112;

				{
					obj_t BgL_auxz00_5113;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_5114;

						BgL_tmpz00_5114 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_5113 = BGL_OBJECT_WIDENING(BgL_tmpz00_5114);
					}
					BgL_auxz00_5112 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5113);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5112))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4742, obj_t BgL_oz00_4743, obj_t BgL_vz00_4744)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4743), BgL_vz00_4744);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5121;

				{
					obj_t BgL_auxz00_5122;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_5123;

						BgL_tmpz00_5123 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_5122 = BGL_OBJECT_WIDENING(BgL_tmpz00_5123);
					}
					BgL_auxz00_5121 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5122);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5121))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t BgL_envz00_4745,
		obj_t BgL_oz00_4746)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4746)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5131;

				{
					obj_t BgL_auxz00_5132;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_5133;

						BgL_tmpz00_5133 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_5132 = BGL_OBJECT_WIDENING(BgL_tmpz00_5133);
					}
					BgL_auxz00_5131 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5132);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5131))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4747, obj_t BgL_oz00_4748, obj_t BgL_vz00_4749)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4748), CINT(BgL_vz00_4749));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5141;

				{
					obj_t BgL_auxz00_5142;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_5143;

						BgL_tmpz00_5143 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_5142 = BGL_OBJECT_WIDENING(BgL_tmpz00_5143);
					}
					BgL_auxz00_5141 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5142);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5141))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t BgL_envz00_4750,
		obj_t BgL_oz00_4751)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4751));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5150;

				{
					obj_t BgL_auxz00_5151;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_5152;

						BgL_tmpz00_5152 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_5151 = BGL_OBJECT_WIDENING(BgL_tmpz00_5152);
					}
					BgL_auxz00_5150 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5151);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5150))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4752, obj_t BgL_oz00_4753, obj_t BgL_vz00_4754)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4753), BgL_vz00_4754);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5159;

				{
					obj_t BgL_auxz00_5160;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_5161;

						BgL_tmpz00_5161 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_5160 = BGL_OBJECT_WIDENING(BgL_tmpz00_5161);
					}
					BgL_auxz00_5159 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5160);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5159))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t BgL_envz00_4755,
		obj_t BgL_oz00_4756)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4756));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5168;

				{
					obj_t BgL_auxz00_5169;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_5170;

						BgL_tmpz00_5170 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_5169 = BGL_OBJECT_WIDENING(BgL_tmpz00_5170);
					}
					BgL_auxz00_5168 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5169);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5168))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4757, obj_t BgL_oz00_4758, obj_t BgL_vz00_4759)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4758), BgL_vz00_4759);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_5177;

				{
					obj_t BgL_auxz00_5178;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_5179;

						BgL_tmpz00_5179 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_5178 = BGL_OBJECT_WIDENING(BgL_tmpz00_5179);
					}
					BgL_auxz00_5177 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5178);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5177))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t BgL_envz00_4760,
		obj_t BgL_oz00_4761)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4761)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t BgL_envz00_4762,
		obj_t BgL_oz00_4763)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4763));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t BgL_envz00_4764,
		obj_t BgL_oz00_4765)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4765));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t BgL_envz00_4766,
		obj_t BgL_oz00_4767)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4767));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t BgL_envz00_4768,
		obj_t BgL_oz00_4769)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4769));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t
		BgL_envz00_4770, obj_t BgL_oz00_4771, obj_t BgL_vz00_4772)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4771), BgL_vz00_4772);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t BgL_envz00_4773,
		obj_t BgL_oz00_4774)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4774));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t BgL_envz00_4775,
		obj_t BgL_oz00_4776, obj_t BgL_vz00_4777)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4776), BgL_vz00_4777);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t
		BgL_envz00_4778, obj_t BgL_oz00_4779)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4779));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4780, obj_t BgL_oz00_4781, obj_t BgL_vz00_4782)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4781),
				((BgL_typez00_bglt) BgL_vz00_4782));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int
		BgL_length1172z00_52, int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1169z00_4878;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1168z00_4879;

					BgL_new1168z00_4879 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1680z00_4880;

						BgL_arg1680z00_4880 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1168z00_4879), BgL_arg1680z00_4880);
					}
					BgL_new1169z00_4878 = BgL_new1168z00_4879;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1169z00_4878))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1169z00_4878))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1169z00_4878))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1169z00_4878))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1169z00_4878))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1169z00_4878;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t BgL_envz00_4783,
		obj_t BgL_length1172z00_4784, obj_t BgL_msiza7e1173za7_4785,
		obj_t BgL_regv1174z00_4786, obj_t BgL_regl1175z00_4787,
		obj_t BgL_string1176z00_4788)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvz00(CINT(BgL_length1172z00_4784),
				CINT(BgL_msiza7e1173za7_4785), BgL_regv1174z00_4786,
				BgL_regl1175z00_4787, BgL_string1176z00_4788);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_4881;

				BgL_classz00_4881 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1820z00_4882;

						BgL_arg1820z00_4882 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_4883;

								BgL_idxz00_4883 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4882);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4883 + ((long) 1))) == BgL_classz00_4881);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2800z00_4886;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_4887;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1828z00_4888;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1829z00_4889;

											BgL_arg1829z00_4889 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4882);
											BgL_arg1828z00_4888 = (BgL_arg1829z00_4889 - OBJECT_TYPE);
										}
										BgL_oclassz00_4887 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4888);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1111z00_4890;

										BgL__ortest_1111z00_4890 =
											(BgL_classz00_4881 == BgL_oclassz00_4887);
										if (BgL__ortest_1111z00_4890)
											{	/* SawMill/regset.sch 85 */
												BgL_res2800z00_4886 = BgL__ortest_1111z00_4890;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_4891;

												BgL_odepthz00_4891 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4887);
												if ((((long) 1) < BgL_odepthz00_4891))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1816z00_4892;

														BgL_arg1816z00_4892 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4887,
															((long) 1));
														BgL_res2800z00_4886 =
															(BgL_arg1816z00_4892 == BgL_classz00_4881);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2800z00_4886 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2800z00_4886;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t BgL_envz00_4789,
		obj_t BgL_objz00_4790)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvz00(BgL_objz00_4790));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3877;

				BgL_classz00_3877 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1113z00_3878;

					BgL__ortest_1113z00_3878 = BGL_CLASS_NIL(BgL_classz00_3877);
					if (CBOOL(BgL__ortest_1113z00_3878))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1113z00_3878);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3877));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t BgL_envz00_4791)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvz00();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t BgL_envz00_4792,
		obj_t BgL_oz00_4793)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4793));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_59,
		obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4794,
		obj_t BgL_oz00_4795, obj_t BgL_vz00_4796)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4795), BgL_vz00_4796);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t BgL_envz00_4797,
		obj_t BgL_oz00_4798)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4798));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t BgL_envz00_4799,
		obj_t BgL_oz00_4800)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4800));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t BgL_envz00_4801,
		obj_t BgL_oz00_4802)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4802)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t BgL_envz00_4803,
		obj_t BgL_oz00_4804)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4804)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_71,
		int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4805,
		obj_t BgL_oz00_4806, obj_t BgL_vz00_4807)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4806), CINT(BgL_vz00_4807));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1697z00_2150;

				BgL_arg1697z00_2150 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3886;

					BgL_newz00_3886 =
						create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_5292;

						BgL_tmpz00_5292 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_3886, BgL_tmpz00_5292, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_5295;

						BgL_tmpz00_5295 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_3886, BgL_tmpz00_5295, BgL_arg1697z00_2150);
					}
					return BgL_newz00_3886;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2154;

				BgL_mz00_2154 = STRUCT_REF(BgL_setz00_86, (int) (((long) 0)));
				{
					BgL_blocksz00_bglt BgL_auxz00_5300;

					{
						obj_t BgL_auxz00_5301;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_5302;

							BgL_tmpz00_5302 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_5301 = BGL_OBJECT_WIDENING(BgL_tmpz00_5302);
						}
						BgL_auxz00_5300 = ((BgL_blocksz00_bglt) BgL_auxz00_5301);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5300))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2154)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1711z00_2156;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1712z00_2157;

						BgL_arg1712z00_2157 = STRUCT_REF(BgL_setz00_86, (int) (((long) 1)));
						BgL_arg1711z00_2156 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1712z00_2157);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_5312;

						BgL_tmpz00_5312 = (int) (((long) 1));
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_5312, BgL_arg1711z00_2156);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* bbv */
	BGL_EXPORTED_DEF obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt
		BgL_backz00_91, BgL_globalz00_bglt BgL_globalz00_92, obj_t BgL_paramsz00_93,
		obj_t BgL_blocksz00_94)
	{
		{	/* SawBbv/bbv.scm 45 */
			{	/* SawBbv/bbv.scm 46 */
				bool_t BgL_test2959z00_5315;

				if (CBOOL(BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00))
					{	/* SawBbv/bbv.scm 47 */
						bool_t BgL__ortest_1173z00_2263;

						BgL__ortest_1173z00_2263 =
							NULLP(BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00);
						if (BgL__ortest_1173z00_2263)
							{	/* SawBbv/bbv.scm 47 */
								BgL_test2959z00_5315 = BgL__ortest_1173z00_2263;
							}
						else
							{	/* SawBbv/bbv.scm 48 */
								obj_t BgL_arg1865z00_2264;

								BgL_arg1865z00_2264 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_92)))->BgL_idz00);
								BgL_test2959z00_5315 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1865z00_2264,
										BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00));
							}
					}
				else
					{	/* SawBbv/bbv.scm 46 */
						BgL_test2959z00_5315 = ((bool_t) 0);
					}
				if (BgL_test2959z00_5315)
					{	/* SawBbv/bbv.scm 46 */
						if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv.scm 50 */
								obj_t BgL_arg1754z00_2185;
								obj_t BgL_arg1755z00_2186;

								{	/* SawBbv/bbv.scm 50 */
									obj_t BgL_tmpz00_5326;

									BgL_tmpz00_5326 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1754z00_2185 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5326);
								}
								BgL_arg1755z00_2186 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_92));
								{	/* SawBbv/bbv.scm 50 */
									obj_t BgL_list1756z00_2187;

									{	/* SawBbv/bbv.scm 50 */
										obj_t BgL_arg1757z00_2188;

										{	/* SawBbv/bbv.scm 50 */
											obj_t BgL_arg1763z00_2189;

											{	/* SawBbv/bbv.scm 50 */
												obj_t BgL_arg1765z00_2190;

												{	/* SawBbv/bbv.scm 50 */
													obj_t BgL_arg1766z00_2191;

													{	/* SawBbv/bbv.scm 50 */
														obj_t BgL_arg1769z00_2192;

														BgL_arg1769z00_2192 =
															MAKE_YOUNG_PAIR(BgL_arg1755z00_2186, BNIL);
														BgL_arg1766z00_2191 =
															MAKE_YOUNG_PAIR(BGl_string2825z00zzsaw_bbvz00,
															BgL_arg1769z00_2192);
													}
													BgL_arg1765z00_2190 =
														MAKE_YOUNG_PAIR(BGl_string2826z00zzsaw_bbvz00,
														BgL_arg1766z00_2191);
												}
												BgL_arg1763z00_2189 =
													MAKE_YOUNG_PAIR(BINT(((long) 50)),
													BgL_arg1765z00_2190);
											}
											BgL_arg1757z00_2188 =
												MAKE_YOUNG_PAIR(BGl_string2827z00zzsaw_bbvz00,
												BgL_arg1763z00_2189);
										}
										BgL_list1756z00_2187 =
											MAKE_YOUNG_PAIR(BGl_string2828z00zzsaw_bbvz00,
											BgL_arg1757z00_2188);
									}
									BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1754z00_2185,
										BgL_list1756z00_2187);
							}}
						else
							{	/* SawBbv/bbv.scm 50 */
								BFALSE;
							}
						BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2();
						{	/* SawBbv/bbv.scm 52 */
							obj_t BgL_arg1770z00_2193;

							BgL_arg1770z00_2193 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_92)))->BgL_idz00);
							{	/* SawBbv/bbv.scm 52 */
								obj_t BgL_list1771z00_2194;

								{	/* SawBbv/bbv.scm 52 */
									obj_t BgL_arg1777z00_2195;

									BgL_arg1777z00_2195 =
										MAKE_YOUNG_PAIR(BgL_arg1770z00_2193, BNIL);
									BgL_list1771z00_2194 =
										MAKE_YOUNG_PAIR(BGl_string2829z00zzsaw_bbvz00,
										BgL_arg1777z00_2195);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
									BgL_list1771z00_2194);
						}}
						if (
							((long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
								((long) 2)))
							{	/* SawBbv/bbv.scm 53 */
								BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2830z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 53 */
								BFALSE;
							}
						BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_94);
						BGl_reorderzd2succsz12zc0zzsaw_bbvz00(BgL_blocksz00_94);
						if (
							((long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
								((long) 2)))
							{	/* SawBbv/bbv.scm 61 */
								BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2831z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 61 */
								BFALSE;
							}
						{	/* SawBbv/bbv.scm 63 */
							obj_t BgL_blocksz00_2198;

							{	/* SawBbv/bbv.scm 63 */
								BgL_blockz00_bglt BgL_arg1862z00_2261;

								{	/* SawBbv/bbv.scm 63 */
									obj_t BgL_arg1864z00_2262;

									BgL_arg1864z00_2262 = CAR(((obj_t) BgL_blocksz00_94));
									BgL_arg1862z00_2261 =
										BGl_removezd2tempsz12zc0zzsaw_bbvz00(
										((BgL_blockz00_bglt) BgL_arg1864z00_2262));
								}
								BgL_blocksz00_2198 =
									BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_arg1862z00_2261);
							}
							if (
								((long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
									((long) 2)))
								{	/* SawBbv/bbv.scm 64 */
									BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_92,
										BgL_paramsz00_93, BgL_blocksz00_2198,
										BGl_string2832z00zzsaw_bbvz00);
								}
							else
								{	/* SawBbv/bbv.scm 64 */
									BFALSE;
								}
							{	/* SawBbv/bbv.scm 66 */
								obj_t BgL_blocksz00_2200;

								{	/* SawBbv/bbv.scm 66 */
									obj_t BgL_arg1861z00_2260;

									BgL_arg1861z00_2260 = CAR(BgL_blocksz00_2198);
									BgL_blocksz00_2200 =
										BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(
										((BgL_blockz00_bglt) BgL_arg1861z00_2260));
								}
								if (
									((long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
										((long) 2)))
									{	/* SawBbv/bbv.scm 67 */
										BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_92,
											BgL_paramsz00_93, BgL_blocksz00_2200,
											BGl_string2833z00zzsaw_bbvz00);
									}
								else
									{	/* SawBbv/bbv.scm 67 */
										BFALSE;
									}
								{	/* SawBbv/bbv.scm 69 */
									obj_t BgL_regsz00_2202;

									BgL_regsz00_2202 =
										BGl_livenessz12z12zzsaw_bbvz00(BgL_backz00_91,
										BgL_blocksz00_2200, BgL_paramsz00_93);
									{	/* SawBbv/bbv.scm 71 */
										obj_t BgL_arg1785z00_2203;

										BgL_arg1785z00_2203 = CAR(BgL_blocksz00_2200);
										BGl_markzd2mergez12zc0zzsaw_bbvz00(
											((BgL_blockz00_bglt) BgL_arg1785z00_2203));
									}
									if (
										((long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
											((long) 2)))
										{	/* SawBbv/bbv.scm 72 */
											BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_92,
												BgL_paramsz00_93, BgL_blocksz00_2200,
												BGl_string2834z00zzsaw_bbvz00);
										}
									else
										{	/* SawBbv/bbv.scm 72 */
											BFALSE;
										}
									{	/* SawBbv/bbv.scm 74 */
										obj_t BgL_exitd1174z00_2205;

										BgL_exitd1174z00_2205 = BGL_EXITD_TOP_AS_OBJ();
										{	/* SawBbv/bbv.scm 100 */
											obj_t BgL_zc3z04anonymousza31851ze3z87_4808;

											BgL_zc3z04anonymousza31851ze3z87_4808 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_bbvz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_4808,
												(int) (((long) 0)), BgL_regsz00_2202);
											{	/* SawBbv/bbv.scm 74 */
												obj_t BgL_arg1842z00_3926;

												{	/* SawBbv/bbv.scm 74 */
													obj_t BgL_arg1843z00_3927;

													BgL_arg1843z00_3927 =
														BGL_EXITD_PROTECT(BgL_exitd1174z00_2205);
													BgL_arg1842z00_3926 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31851ze3z87_4808,
														BgL_arg1843z00_3927);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1174z00_2205,
													BgL_arg1842z00_3926);
												BUNSPEC;
											}
											{	/* SawBbv/bbv.scm 75 */
												obj_t BgL_tmp1176z00_2207;

												{	/* SawBbv/bbv.scm 77 */
													BgL_blockz00_bglt BgL_sz00_2209;

													{	/* SawBbv/bbv.scm 77 */
														obj_t BgL_arg1849z00_2242;
														BgL_bbvzd2ctxzd2_bglt BgL_arg1850z00_2243;

														BgL_arg1849z00_2242 = CAR(BgL_blocksz00_2200);
														BgL_arg1850z00_2243 =
															BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2
															(BgL_paramsz00_93);
														BgL_sz00_2209 =
															BGl_bbvzd2blockza2z70zzsaw_bbvzd2specializa7ez75((
																(BgL_blockz00_bglt) BgL_arg1849z00_2242),
															BgL_arg1850z00_2243);
													}
													{	/* SawBbv/bbv.scm 77 */
														obj_t BgL__z00_2210;

														if (
															((long)
																CINT
																(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
																((long) 2)))
															{	/* SawBbv/bbv.scm 81 */
																obj_t BgL_arg1848z00_2241;

																BgL_arg1848z00_2241 =
																	BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
																	(BgL_regsz00_2202,
																	((BgL_blockz00_bglt) BgL_sz00_2209));
																BgL__z00_2210 =
																	BGl_dumpzd2blockszd2zzsaw_bbvz00
																	(BgL_globalz00_92, BgL_paramsz00_93,
																	BgL_arg1848z00_2241,
																	BGl_string2835z00zzsaw_bbvz00);
															}
														else
															{	/* SawBbv/bbv.scm 79 */
																BgL__z00_2210 = BFALSE;
															}
														{	/* SawBbv/bbv.scm 79 */
															obj_t BgL_bz00_2211;

															{	/* SawBbv/bbv.scm 84 */
																BgL_blockz00_bglt BgL_arg1836z00_2234;

																if (CBOOL
																	(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
																	{	/* SawBbv/bbv.scm 89 */
																		BgL_blockz00_bglt BgL_arg1837z00_2235;

																		{	/* SawBbv/bbv.scm 89 */
																			BgL_blockz00_bglt BgL_arg1840z00_2236;

																			{	/* SawBbv/bbv.scm 89 */
																				BgL_blockz00_bglt BgL_arg1844z00_2237;

																				BgL_arg1844z00_2237 =
																					BGl_coalescez12z12zzsaw_bbvz00
																					(BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2
																					(),
																					BGl_gcz12z12zzsaw_bbvz00
																					(BgL_sz00_2209));
																				BgL_arg1840z00_2236 =
																					BGl_simplifyzd2branchz12zc0zzsaw_bbvz00
																					(((BgL_blockz00_bglt)
																						BgL_arg1844z00_2237));
																			}
																			BgL_arg1837z00_2235 =
																				BGl_removezd2gotoz12zc0zzsaw_bbvz00
																				(BgL_arg1840z00_2236);
																		}
																		BgL_arg1836z00_2234 =
																			BGl_removezd2nopz12zc0zzsaw_bbvz00
																			(BgL_arg1837z00_2235);
																	}
																else
																	{	/* SawBbv/bbv.scm 84 */
																		BgL_arg1836z00_2234 =
																			((BgL_blockz00_bglt) BgL_sz00_2209);
																	}
																BgL_bz00_2211 =
																	BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
																	(BgL_regsz00_2202, BgL_arg1836z00_2234);
															}
															{	/* SawBbv/bbv.scm 83 */

																{	/* SawBbv/bbv.scm 92 */
																	long BgL_arg1789z00_2212;
																	long BgL_arg1790z00_2213;

																	BgL_arg1789z00_2212 =
																		bgl_list_length(BgL_blocksz00_2200);
																	BgL_arg1790z00_2213 =
																		bgl_list_length(BgL_bz00_2211);
																	{	/* SawBbv/bbv.scm 92 */
																		obj_t BgL_list1791z00_2214;

																		{	/* SawBbv/bbv.scm 92 */
																			obj_t BgL_arg1811z00_2215;

																			{	/* SawBbv/bbv.scm 92 */
																				obj_t BgL_arg1812z00_2216;

																				{	/* SawBbv/bbv.scm 92 */
																					obj_t BgL_arg1813z00_2217;

																					BgL_arg1813z00_2217 =
																						MAKE_YOUNG_PAIR(BINT
																						(BgL_arg1790z00_2213), BNIL);
																					BgL_arg1812z00_2216 =
																						MAKE_YOUNG_PAIR
																						(BGl_string2836z00zzsaw_bbvz00,
																						BgL_arg1813z00_2217);
																				}
																				BgL_arg1811z00_2215 =
																					MAKE_YOUNG_PAIR(BINT
																					(BgL_arg1789z00_2212),
																					BgL_arg1812z00_2216);
																			}
																			BgL_list1791z00_2214 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2837z00zzsaw_bbvz00,
																				BgL_arg1811z00_2215);
																		}
																		BGl_verbosez00zztools_speekz00(BINT(((long)
																					3)), BgL_list1791z00_2214);
																}}
																{	/* SawBbv/bbv.scm 93 */
																	obj_t BgL_list1814z00_2218;

																	BgL_list1814z00_2218 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2838z00zzsaw_bbvz00, BNIL);
																	BGl_verbosez00zztools_speekz00(BINT(((long)
																				2)), BgL_list1814z00_2218);
																}
																if (
																	((long)
																		CINT
																		(BGl_za2tracezd2levelza2zd2zzengine_paramz00)
																		>= ((long) 1)))
																	{	/* SawBbv/bbv.scm 96 */
																		obj_t BgL_arg1817z00_2220;

																		BgL_arg1817z00_2220 =
																			BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
																			(BgL_regsz00_2202,
																			((BgL_blockz00_bglt) BgL_sz00_2209));
																		BGl_dumpzd2blockszd2zzsaw_bbvz00
																			(BgL_globalz00_92, BgL_paramsz00_93,
																			BgL_arg1817z00_2220,
																			BGl_string2839z00zzsaw_bbvz00);
																	}
																else
																	{	/* SawBbv/bbv.scm 94 */
																		BFALSE;
																	}
																{
																	obj_t BgL_l1570z00_2223;

																	BgL_l1570z00_2223 = BgL_bz00_2211;
																BgL_zc3z04anonymousza31818ze3z87_2224:
																	if (NULLP(BgL_l1570z00_2223))
																		{	/* SawBbv/bbv.scm 97 */
																			BgL_bz00_2211;
																		}
																	else
																		{	/* SawBbv/bbv.scm 97 */
																			{	/* SawBbv/bbv.scm 97 */
																				obj_t BgL_arg1821z00_2226;

																				{	/* SawBbv/bbv.scm 97 */
																					obj_t BgL_bz00_2227;

																					BgL_bz00_2227 =
																						CAR(((obj_t) BgL_l1570z00_2223));
																					{	/* SawBbv/bbv.scm 97 */
																						long BgL_arg1822z00_2229;

																						{	/* SawBbv/bbv.scm 97 */
																							obj_t BgL_arg1830z00_2230;

																							{	/* SawBbv/bbv.scm 97 */
																								obj_t BgL_arg1833z00_2231;

																								{	/* SawBbv/bbv.scm 97 */
																									long BgL_arg1828z00_3933;

																									{	/* SawBbv/bbv.scm 97 */
																										long BgL_arg1829z00_3934;

																										BgL_arg1829z00_3934 =
																											BGL_OBJECT_CLASS_NUM(
																											((BgL_objectz00_bglt)
																												BgL_bz00_2227));
																										BgL_arg1828z00_3933 =
																											(BgL_arg1829z00_3934 -
																											OBJECT_TYPE);
																									}
																									BgL_arg1833z00_2231 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1828z00_3933);
																								}
																								BgL_arg1830z00_2230 =
																									BGl_classzd2superzd2zz__objectz00
																									(BgL_arg1833z00_2231);
																							}
																							{	/* SawBbv/bbv.scm 97 */
																								obj_t BgL_tmpz00_5438;

																								BgL_tmpz00_5438 =
																									((obj_t) BgL_arg1830z00_2230);
																								BgL_arg1822z00_2229 =
																									BGL_CLASS_NUM
																									(BgL_tmpz00_5438);
																						}}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_bz00_2227),
																							BgL_arg1822z00_2229);
																					}
																					{	/* SawBbv/bbv.scm 97 */
																						BgL_objectz00_bglt BgL_tmpz00_5443;

																						BgL_tmpz00_5443 =
																							((BgL_objectz00_bglt)
																							BgL_bz00_2227);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_5443, BFALSE);
																					}
																					((BgL_objectz00_bglt) BgL_bz00_2227);
																					BgL_arg1821z00_2226 = BgL_bz00_2227;
																				}
																				{	/* SawBbv/bbv.scm 97 */
																					obj_t BgL_tmpz00_5447;

																					BgL_tmpz00_5447 =
																						((obj_t) BgL_l1570z00_2223);
																					SET_CAR(BgL_tmpz00_5447,
																						BgL_arg1821z00_2226);
																			}}
																			{	/* SawBbv/bbv.scm 97 */
																				obj_t BgL_arg1835z00_2232;

																				BgL_arg1835z00_2232 =
																					CDR(((obj_t) BgL_l1570z00_2223));
																				{
																					obj_t BgL_l1570z00_5452;

																					BgL_l1570z00_5452 =
																						BgL_arg1835z00_2232;
																					BgL_l1570z00_2223 = BgL_l1570z00_5452;
																					goto
																						BgL_zc3z04anonymousza31818ze3z87_2224;
																				}
																			}
																		}
																}
																BgL_tmp1176z00_2207 = BgL_bz00_2211;
															}
														}
													}
												}
												{	/* SawBbv/bbv.scm 74 */
													bool_t BgL_test2972z00_5453;

													{	/* SawBbv/bbv.scm 74 */
														obj_t BgL_arg1841z00_3947;

														BgL_arg1841z00_3947 =
															BGL_EXITD_PROTECT(BgL_exitd1174z00_2205);
														BgL_test2972z00_5453 = PAIRP(BgL_arg1841z00_3947);
													}
													if (BgL_test2972z00_5453)
														{	/* SawBbv/bbv.scm 74 */
															obj_t BgL_arg1838z00_3948;

															{	/* SawBbv/bbv.scm 74 */
																obj_t BgL_arg1839z00_3949;

																BgL_arg1839z00_3949 =
																	BGL_EXITD_PROTECT(BgL_exitd1174z00_2205);
																BgL_arg1838z00_3948 =
																	CDR(((obj_t) BgL_arg1839z00_3949));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1174z00_2205,
																BgL_arg1838z00_3948);
															BUNSPEC;
														}
													else
														{	/* SawBbv/bbv.scm 74 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_bbvz00
													(BgL_zc3z04anonymousza31851ze3z87_4808);
												return BgL_tmp1176z00_2207;
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* SawBbv/bbv.scm 46 */
						return BgL_blocksz00_94;
					}
			}
		}

	}



/* &bbv */
	obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t BgL_envz00_4809, obj_t BgL_backz00_4810,
		obj_t BgL_globalz00_4811, obj_t BgL_paramsz00_4812,
		obj_t BgL_blocksz00_4813)
	{
		{	/* SawBbv/bbv.scm 45 */
			return
				BGl_bbvz00zzsaw_bbvz00(
				((BgL_backendz00_bglt) BgL_backz00_4810),
				((BgL_globalz00_bglt) BgL_globalz00_4811), BgL_paramsz00_4812,
				BgL_blocksz00_4813);
		}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4814)
	{
		{	/* SawBbv/bbv.scm 74 */
			{	/* SawBbv/bbv.scm 100 */
				obj_t BgL_regsz00_4815;

				BgL_regsz00_4815 = PROCEDURE_REF(BgL_envz00_4814, (int) (((long) 0)));
				{	/* SawBbv/bbv.scm 100 */
					bool_t BgL_tmpz00_5466;

					{	/* SawBbv/bbv.scm 100 */
						bool_t BgL_test2973z00_5467;

						if (
							((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
								((long) 1)))
							{	/* SawBbv/bbv.scm 100 */
								BgL_test2973z00_5467 = ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv.scm 100 */
								BgL_test2973z00_5467 =
									(
									(long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
									((long) 1));
							}
						if (BgL_test2973z00_5467)
							{	/* SawBbv/bbv.scm 100 */
								BgL_tmpz00_5466 = ((bool_t) 0);
							}
						else
							{
								obj_t BgL_l1567z00_4894;

								BgL_l1567z00_4894 = BgL_regsz00_4815;
							BgL_zc3z04anonymousza31854ze3z87_4893:
								if (PAIRP(BgL_l1567z00_4894))
									{	/* SawBbv/bbv.scm 102 */
										{	/* SawBbv/bbv.scm 102 */
											obj_t BgL_rz00_4895;

											BgL_rz00_4895 = CAR(BgL_l1567z00_4894);
											{	/* SawBbv/bbv.scm 102 */
												long BgL_arg1856z00_4896;

												{	/* SawBbv/bbv.scm 102 */
													obj_t BgL_arg1857z00_4897;

													{	/* SawBbv/bbv.scm 102 */
														obj_t BgL_arg1859z00_4898;

														{	/* SawBbv/bbv.scm 102 */
															long BgL_arg1828z00_4899;

															{	/* SawBbv/bbv.scm 102 */
																long BgL_arg1829z00_4900;

																BgL_arg1829z00_4900 =
																	BGL_OBJECT_CLASS_NUM(
																	((BgL_objectz00_bglt) BgL_rz00_4895));
																BgL_arg1828z00_4899 =
																	(BgL_arg1829z00_4900 - OBJECT_TYPE);
															}
															BgL_arg1859z00_4898 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4899);
														}
														BgL_arg1857z00_4897 =
															BGl_classzd2superzd2zz__objectz00
															(BgL_arg1859z00_4898);
													}
													{	/* SawBbv/bbv.scm 102 */
														obj_t BgL_tmpz00_5481;

														BgL_tmpz00_5481 = ((obj_t) BgL_arg1857z00_4897);
														BgL_arg1856z00_4896 =
															BGL_CLASS_NUM(BgL_tmpz00_5481);
												}}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_rz00_4895),
													BgL_arg1856z00_4896);
											}
											{	/* SawBbv/bbv.scm 102 */
												BgL_objectz00_bglt BgL_tmpz00_5486;

												BgL_tmpz00_5486 = ((BgL_objectz00_bglt) BgL_rz00_4895);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5486, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_rz00_4895);
											BgL_rz00_4895;
										}
										{
											obj_t BgL_l1567z00_5490;

											BgL_l1567z00_5490 = CDR(BgL_l1567z00_4894);
											BgL_l1567z00_4894 = BgL_l1567z00_5490;
											goto BgL_zc3z04anonymousza31854ze3z87_4893;
										}
									}
								else
									{	/* SawBbv/bbv.scm 102 */
										BgL_tmpz00_5466 = ((bool_t) 1);
									}
							}
					}
					return BBOOL(BgL_tmpz00_5466);
				}
			}
		}

	}



/* mark-merge! */
	obj_t BGl_markzd2mergez12zc0zzsaw_bbvz00(BgL_blockz00_bglt BgL_blockz00_95)
	{
		{	/* SawBbv/bbv.scm 111 */
			return BGl_loopze70ze7zzsaw_bbvz00(((obj_t) BgL_blockz00_95), BNIL);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvz00(obj_t BgL_blockz00_2267,
		obj_t BgL_stackz00_2268)
	{
		{	/* SawBbv/bbv.scm 113 */
			{	/* SawBbv/bbv.scm 117 */
				bool_t BgL_test2976z00_5495;

				{	/* SawBbv/bbv.scm 117 */
					obj_t BgL_arg1877z00_2286;

					{
						BgL_blockvz00_bglt BgL_auxz00_5496;

						{
							obj_t BgL_auxz00_5497;

							{	/* SawBbv/bbv.scm 117 */
								BgL_objectz00_bglt BgL_tmpz00_5498;

								BgL_tmpz00_5498 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) BgL_blockz00_2267));
								BgL_auxz00_5497 = BGL_OBJECT_WIDENING(BgL_tmpz00_5498);
							}
							BgL_auxz00_5496 = ((BgL_blockvz00_bglt) BgL_auxz00_5497);
						}
						BgL_arg1877z00_2286 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5496))->BgL_mergez00);
					}
					BgL_test2976z00_5495 = (BgL_arg1877z00_2286 == BUNSPEC);
				}
				if (BgL_test2976z00_5495)
					{	/* SawBbv/bbv.scm 117 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BgL_blockz00_2267, BgL_stackz00_2268)))
							{
								BgL_blockvz00_bglt BgL_auxz00_5508;

								{
									obj_t BgL_auxz00_5509;

									{	/* SawBbv/bbv.scm 121 */
										BgL_objectz00_bglt BgL_tmpz00_5510;

										BgL_tmpz00_5510 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_blockz00_2267));
										BgL_auxz00_5509 = BGL_OBJECT_WIDENING(BgL_tmpz00_5510);
									}
									BgL_auxz00_5508 = ((BgL_blockvz00_bglt) BgL_auxz00_5509);
								}
								return
									((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5508))->
										BgL_mergez00) = ((obj_t) BTRUE), BUNSPEC);
							}
						else
							{	/* SawBbv/bbv.scm 123 */
								obj_t BgL_nstackz00_2274;

								BgL_nstackz00_2274 =
									MAKE_YOUNG_PAIR(BgL_blockz00_2267, BgL_stackz00_2268);
								{	/* SawBbv/bbv.scm 124 */
									obj_t BgL_g1574z00_2275;

									BgL_g1574z00_2275 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_blockz00_2267))))->
										BgL_succsz00);
									{
										obj_t BgL_l1572z00_2277;

										BgL_l1572z00_2277 = BgL_g1574z00_2275;
									BgL_zc3z04anonymousza31870ze3z87_2278:
										if (PAIRP(BgL_l1572z00_2277))
											{	/* SawBbv/bbv.scm 124 */
												BGl_loopze70ze7zzsaw_bbvz00(CAR(BgL_l1572z00_2277),
													BgL_nstackz00_2274);
												{
													obj_t BgL_l1572z00_5524;

													BgL_l1572z00_5524 = CDR(BgL_l1572z00_2277);
													BgL_l1572z00_2277 = BgL_l1572z00_5524;
													goto BgL_zc3z04anonymousza31870ze3z87_2278;
												}
											}
										else
											{	/* SawBbv/bbv.scm 124 */
												((bool_t) 1);
											}
									}
								}
								{	/* SawBbv/bbv.scm 127 */
									bool_t BgL_test2979z00_5526;

									{	/* SawBbv/bbv.scm 127 */
										obj_t BgL_arg1876z00_2285;

										{
											BgL_blockvz00_bglt BgL_auxz00_5527;

											{
												obj_t BgL_auxz00_5528;

												{	/* SawBbv/bbv.scm 127 */
													BgL_objectz00_bglt BgL_tmpz00_5529;

													BgL_tmpz00_5529 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_blockz00_2267));
													BgL_auxz00_5528 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5529);
												}
												BgL_auxz00_5527 =
													((BgL_blockvz00_bglt) BgL_auxz00_5528);
											}
											BgL_arg1876z00_2285 =
												(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5527))->
												BgL_mergez00);
										}
										BgL_test2979z00_5526 = (BgL_arg1876z00_2285 == BTRUE);
									}
									if (BgL_test2979z00_5526)
										{	/* SawBbv/bbv.scm 127 */
											return BFALSE;
										}
									else
										{
											BgL_blockvz00_bglt BgL_auxz00_5536;

											{
												obj_t BgL_auxz00_5537;

												{	/* SawBbv/bbv.scm 128 */
													BgL_objectz00_bglt BgL_tmpz00_5538;

													BgL_tmpz00_5538 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_blockz00_2267));
													BgL_auxz00_5537 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5538);
												}
												BgL_auxz00_5536 =
													((BgL_blockvz00_bglt) BgL_auxz00_5537);
											}
											return
												((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5536))->
													BgL_mergez00) = ((obj_t) BFALSE), BUNSPEC);
										}
								}
							}
					}
				else
					{	/* SawBbv/bbv.scm 117 */
						return BUNSPEC;
					}
			}
		}

	}



/* widen-bbv! */
	bool_t BGl_widenzd2bbvz12zc0zzsaw_bbvz00(obj_t BgL_oz00_96,
		obj_t BgL_regsz00_97)
	{
		{	/* SawBbv/bbv.scm 136 */
			{
				obj_t BgL_oz00_2337;
				obj_t BgL_oz00_2347;
				obj_t BgL_oz00_2379;

				{
					obj_t BgL_l1590z00_2294;

					BgL_l1590z00_2294 = BgL_oz00_96;
				BgL_zc3z04anonymousza31878ze3z87_2295:
					if (PAIRP(BgL_l1590z00_2294))
						{	/* SawBbv/bbv.scm 182 */
							BgL_oz00_2379 = CAR(BgL_l1590z00_2294);
							{	/* SawBbv/bbv.scm 178 */
								BgL_blockvz00_bglt BgL_wide1199z00_2383;

								BgL_wide1199z00_2383 =
									((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockvz00_bgl))));
								{	/* SawBbv/bbv.scm 178 */
									obj_t BgL_auxz00_5551;
									BgL_objectz00_bglt BgL_tmpz00_5547;

									BgL_auxz00_5551 = ((obj_t) BgL_wide1199z00_2383);
									BgL_tmpz00_5547 =
										((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2379)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5547, BgL_auxz00_5551);
								}
								((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2379)));
								{	/* SawBbv/bbv.scm 178 */
									long BgL_arg1932z00_2384;

									BgL_arg1932z00_2384 =
										BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2379))),
										BgL_arg1932z00_2384);
								}
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2379)));
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_5565;

								{
									obj_t BgL_auxz00_5566;

									{	/* SawBbv/bbv-types.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_5567;

										BgL_tmpz00_5567 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2379)));
										BgL_auxz00_5566 = BGL_OBJECT_WIDENING(BgL_tmpz00_5567);
									}
									BgL_auxz00_5565 = ((BgL_blockvz00_bglt) BgL_auxz00_5566);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5565))->
										BgL_versionsz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_5574;

								{
									obj_t BgL_auxz00_5575;

									{	/* SawBbv/bbv-types.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_5576;

										BgL_tmpz00_5576 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2379)));
										BgL_auxz00_5575 = BGL_OBJECT_WIDENING(BgL_tmpz00_5576);
									}
									BgL_auxz00_5574 = ((BgL_blockvz00_bglt) BgL_auxz00_5575);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5574))->
										BgL_genericz00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_5583;

								{
									obj_t BgL_auxz00_5584;

									{	/* SawBbv/bbv-types.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_5585;

										BgL_tmpz00_5585 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2379)));
										BgL_auxz00_5584 = BGL_OBJECT_WIDENING(BgL_tmpz00_5585);
									}
									BgL_auxz00_5583 = ((BgL_blockvz00_bglt) BgL_auxz00_5584);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5583))->
										BgL_z52markz52) = ((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_5592;

								{
									obj_t BgL_auxz00_5593;

									{	/* SawBbv/bbv-types.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_5594;

										BgL_tmpz00_5594 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2379)));
										BgL_auxz00_5593 = BGL_OBJECT_WIDENING(BgL_tmpz00_5594);
									}
									BgL_auxz00_5592 = ((BgL_blockvz00_bglt) BgL_auxz00_5593);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5592))->
										BgL_mergez00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2379));
							{	/* SawBbv/bbv.scm 180 */
								obj_t BgL_g1589z00_2387;

								BgL_g1589z00_2387 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oz00_2379)))->BgL_firstz00);
								{
									obj_t BgL_l1587z00_2389;

									BgL_l1587z00_2389 = BgL_g1589z00_2387;
								BgL_zc3z04anonymousza31933ze3z87_2390:
									if (PAIRP(BgL_l1587z00_2389))
										{	/* SawBbv/bbv.scm 180 */
											BgL_oz00_2347 = CAR(BgL_l1587z00_2389);
											{	/* SawBbv/bbv.scm 163 */
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1193z00_2352;

												BgL_wide1193z00_2352 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawBbv/bbv.scm 163 */
													obj_t BgL_auxz00_5612;
													BgL_objectz00_bglt BgL_tmpz00_5608;

													BgL_auxz00_5612 = ((obj_t) BgL_wide1193z00_2352);
													BgL_tmpz00_5608 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5608,
														BgL_auxz00_5612);
												}
												((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
												{	/* SawBbv/bbv.scm 163 */
													long BgL_arg1912z00_2353;

													BgL_arg1912z00_2353 =
														BGL_CLASS_NUM
														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
																	BgL_oz00_2347))), BgL_arg1912z00_2353);
												}
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
											}
											{
												obj_t BgL_auxz00_5634;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5626;

												{	/* SawBbv/bbv.scm 165 */
													obj_t BgL_g1195z00_2355;

													BgL_oz00_2337 = BgL_oz00_2347;
													if (BGl_rtl_inszd2fxovopzf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_oz00_2337)))
														{	/* SawBbv/bbv.scm 159 */
															obj_t BgL_pairz00_4040;

															{
																BgL_rtl_insz00_bglt BgL_auxz00_5638;

																{	/* SawBbv/bbv.scm 158 */
																	obj_t BgL_pairz00_4039;

																	BgL_pairz00_4039 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_oz00_2337)))->BgL_argsz00);
																	BgL_auxz00_5638 =
																		((BgL_rtl_insz00_bglt)
																		CAR(BgL_pairz00_4039));
																}
																BgL_pairz00_4040 =
																	(((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_auxz00_5638))->BgL_argsz00);
															}
															BgL_g1195z00_2355 =
																CAR(CDR(CDR(BgL_pairz00_4040)));
														}
													else
														{	/* SawBbv/bbv.scm 152 */
															BgL_g1195z00_2355 = BFALSE;
														}
													if (CBOOL(BgL_g1195z00_2355))
														{	/* SawBbv/bbv.scm 168 */
															obj_t BgL_arg1914z00_2358;

															{	/* SawBbv/bbv.scm 168 */
																obj_t BgL_list1915z00_2359;

																BgL_list1915z00_2359 =
																	MAKE_YOUNG_PAIR(BgL_g1195z00_2355, BNIL);
																BgL_arg1914z00_2358 = BgL_list1915z00_2359;
															}
															BgL_auxz00_5634 =
																((obj_t)
																BGl_listzd2ze3regsetz31zzsaw_regsetz00
																(BgL_arg1914z00_2358, BgL_regsz00_97));
														}
													else
														{	/* SawBbv/bbv.scm 169 */
															bool_t BgL_test2984z00_5652;

															if (CBOOL(
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_oz00_2347)))->BgL_destz00)))
																{	/* SawBbv/bbv.scm 169 */
																	BgL_test2984z00_5652 =
																		CBOOL(
																		(((BgL_rtl_regz00_bglt) COBJECT(
																					((BgL_rtl_regz00_bglt)
																						(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_oz00_2347)))->
																							BgL_destz00))))->
																			BgL_onexprzf3zf3));
																}
															else
																{	/* SawBbv/bbv.scm 169 */
																	BgL_test2984z00_5652 = ((bool_t) 1);
																}
															if (BgL_test2984z00_5652)
																{	/* SawBbv/bbv.scm 169 */
																	BgL_auxz00_5634 =
																		((obj_t)
																		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																		(BgL_regsz00_97));
																}
															else
																{	/* SawBbv/bbv.scm 172 */
																	obj_t BgL_arg1919z00_2363;

																	{	/* SawBbv/bbv.scm 172 */
																		obj_t BgL_arg1920z00_2364;

																		BgL_arg1920z00_2364 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_oz00_2347)))->BgL_destz00);
																		{	/* SawBbv/bbv.scm 172 */
																			obj_t BgL_list1921z00_2365;

																			BgL_list1921z00_2365 =
																				MAKE_YOUNG_PAIR(BgL_arg1920z00_2364,
																				BNIL);
																			BgL_arg1919z00_2363 =
																				BgL_list1921z00_2365;
																		}
																	}
																	BgL_auxz00_5634 =
																		((obj_t)
																		BGl_listzd2ze3regsetz31zzsaw_regsetz00
																		(BgL_arg1919z00_2363, BgL_regsz00_97));
																}
														}
												}
												{
													obj_t BgL_auxz00_5627;

													{	/* SawBbv/bbv.scm 164 */
														BgL_objectz00_bglt BgL_tmpz00_5628;

														BgL_tmpz00_5628 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
														BgL_auxz00_5627 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5628);
													}
													BgL_auxz00_5626 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5627);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_5626))->BgL_defz00) =
													((obj_t) BgL_auxz00_5634), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5670;

												{
													obj_t BgL_auxz00_5671;

													{	/* SawBbv/bbv.scm 174 */
														BgL_objectz00_bglt BgL_tmpz00_5672;

														BgL_tmpz00_5672 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
														BgL_auxz00_5671 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5672);
													}
													BgL_auxz00_5670 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5671);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_5670))->BgL_outz00) =
													((obj_t) ((obj_t)
															BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
															(BgL_regsz00_97))), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_5689;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5681;

												{	/* SawBbv/bbv.scm 173 */
													obj_t BgL_arg1924z00_2368;

													BgL_arg1924z00_2368 =
														BGl_getzd2argsze70z35zzsaw_bbvz00(BgL_oz00_2347);
													BgL_auxz00_5689 =
														((obj_t)
														BGl_listzd2ze3regsetz31zzsaw_regsetz00
														(BgL_arg1924z00_2368, BgL_regsz00_97));
												}
												{
													obj_t BgL_auxz00_5682;

													{	/* SawBbv/bbv.scm 173 */
														BgL_objectz00_bglt BgL_tmpz00_5683;

														BgL_tmpz00_5683 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
														BgL_auxz00_5682 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5683);
													}
													BgL_auxz00_5681 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5682);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_5681))->BgL_inz00) =
													((obj_t) BgL_auxz00_5689), BUNSPEC);
											}
											{
												BgL_bbvzd2ctxzd2_bglt BgL_auxz00_5702;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5694;

												{	/* SawBbv/bbv.scm 173 */
													obj_t BgL_arg1925z00_2369;

													{	/* SawBbv/bbv.scm 173 */
														obj_t BgL_arg1926z00_2370;

														{	/* SawBbv/bbv.scm 173 */
															obj_t BgL_classz00_4057;

															BgL_classz00_4057 =
																BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
															BgL_arg1926z00_2370 =
																BGL_CLASS_ALL_FIELDS(BgL_classz00_4057);
														}
														BgL_arg1925z00_2369 =
															VECTOR_REF(BgL_arg1926z00_2370, ((long) 8));
													}
													BgL_auxz00_5702 =
														((BgL_bbvzd2ctxzd2_bglt)
														BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
														(BgL_arg1925z00_2369));
												}
												{
													obj_t BgL_auxz00_5695;

													{	/* SawBbv/bbv.scm 173 */
														BgL_objectz00_bglt BgL_tmpz00_5696;

														BgL_tmpz00_5696 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
														BgL_auxz00_5695 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5696);
													}
													BgL_auxz00_5694 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5695);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_5694))->BgL_ctxz00) =
													((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_5702), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5708;

												{
													obj_t BgL_auxz00_5709;

													{	/* SawBbv/bbv.scm 173 */
														BgL_objectz00_bglt BgL_tmpz00_5710;

														BgL_tmpz00_5710 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2347)));
														BgL_auxz00_5709 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5710);
													}
													BgL_auxz00_5708 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5709);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_5708))->BgL_z52hashz52) =
													((obj_t) BFALSE), BUNSPEC);
											}
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_oz00_2347));
											{	/* SawBbv/bbv.scm 175 */
												obj_t BgL_g1586z00_2371;

												BgL_g1586z00_2371 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_oz00_2347)))->
													BgL_argsz00);
												{
													obj_t BgL_l1584z00_2373;

													BgL_l1584z00_2373 = BgL_g1586z00_2371;
												BgL_zc3z04anonymousza31927ze3z87_2374:
													if (PAIRP(BgL_l1584z00_2373))
														{	/* SawBbv/bbv.scm 175 */
															BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00
																(BgL_regsz00_97, CAR(BgL_l1584z00_2373));
															{
																obj_t BgL_l1584z00_5725;

																BgL_l1584z00_5725 = CDR(BgL_l1584z00_2373);
																BgL_l1584z00_2373 = BgL_l1584z00_5725;
																goto BgL_zc3z04anonymousza31927ze3z87_2374;
															}
														}
													else
														{	/* SawBbv/bbv.scm 175 */
															((bool_t) 1);
														}
												}
											}
											{
												obj_t BgL_l1587z00_5728;

												BgL_l1587z00_5728 = CDR(BgL_l1587z00_2389);
												BgL_l1587z00_2389 = BgL_l1587z00_5728;
												goto BgL_zc3z04anonymousza31933ze3z87_2390;
											}
										}
									else
										{	/* SawBbv/bbv.scm 180 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1590z00_5731;

								BgL_l1590z00_5731 = CDR(BgL_l1590z00_2294);
								BgL_l1590z00_2294 = BgL_l1590z00_5731;
								goto BgL_zc3z04anonymousza31878ze3z87_2295;
							}
						}
					else
						{	/* SawBbv/bbv.scm 182 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* get-args~0 */
	obj_t BGl_getzd2argsze70z35zzsaw_bbvz00(obj_t BgL_oz00_2300)
	{
		{	/* SawBbv/bbv.scm 139 */
			{	/* SawBbv/bbv.scm 139 */
				obj_t BgL_hook1579z00_2302;

				BgL_hook1579z00_2302 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawBbv/bbv.scm 139 */
					obj_t BgL_g1580z00_2303;

					BgL_g1580z00_2303 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_2300));
					{
						obj_t BgL_l1576z00_2305;
						obj_t BgL_h1577z00_2306;

						BgL_l1576z00_2305 = BgL_g1580z00_2303;
						BgL_h1577z00_2306 = BgL_hook1579z00_2302;
					BgL_zc3z04anonymousza31884ze3z87_2307:
						if (NULLP(BgL_l1576z00_2305))
							{	/* SawBbv/bbv.scm 139 */
								return CDR(BgL_hook1579z00_2302);
							}
						else
							{	/* SawBbv/bbv.scm 139 */
								bool_t BgL_test2988z00_5739;

								{	/* SawBbv/bbv.scm 139 */
									obj_t BgL_arg1891z00_2315;

									BgL_arg1891z00_2315 = CAR(((obj_t) BgL_l1576z00_2305));
									{	/* SawBbv/bbv.scm 139 */
										obj_t BgL_classz00_3959;

										BgL_classz00_3959 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
										if (BGL_OBJECTP(BgL_arg1891z00_2315))
											{	/* SawBbv/bbv.scm 139 */
												BgL_objectz00_bglt BgL_arg1820z00_3961;

												BgL_arg1820z00_3961 =
													(BgL_objectz00_bglt) (BgL_arg1891z00_2315);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawBbv/bbv.scm 139 */
														long BgL_idxz00_3967;

														BgL_idxz00_3967 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3961);
														BgL_test2988z00_5739 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3967 + ((long) 2))) ==
															BgL_classz00_3959);
													}
												else
													{	/* SawBbv/bbv.scm 139 */
														bool_t BgL_res2801z00_3989;

														{	/* SawBbv/bbv.scm 139 */
															obj_t BgL_oclassz00_3975;

															{	/* SawBbv/bbv.scm 139 */
																long BgL_arg1828z00_3981;

																{	/* SawBbv/bbv.scm 139 */
																	long BgL_arg1829z00_3982;

																	BgL_arg1829z00_3982 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3961);
																	BgL_arg1828z00_3981 =
																		(BgL_arg1829z00_3982 - OBJECT_TYPE);
																}
																BgL_oclassz00_3975 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3981);
															}
															{	/* SawBbv/bbv.scm 139 */
																bool_t BgL__ortest_1111z00_3976;

																BgL__ortest_1111z00_3976 =
																	(BgL_classz00_3959 == BgL_oclassz00_3975);
																if (BgL__ortest_1111z00_3976)
																	{	/* SawBbv/bbv.scm 139 */
																		BgL_res2801z00_3989 =
																			BgL__ortest_1111z00_3976;
																	}
																else
																	{	/* SawBbv/bbv.scm 139 */
																		long BgL_odepthz00_3977;

																		BgL_odepthz00_3977 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3975);
																		if ((((long) 2) < BgL_odepthz00_3977))
																			{	/* SawBbv/bbv.scm 139 */
																				obj_t BgL_arg1816z00_3979;

																				BgL_arg1816z00_3979 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3975, ((long) 2));
																				BgL_res2801z00_3989 =
																					(BgL_arg1816z00_3979 ==
																					BgL_classz00_3959);
																			}
																		else
																			{	/* SawBbv/bbv.scm 139 */
																				BgL_res2801z00_3989 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2988z00_5739 = BgL_res2801z00_3989;
													}
											}
										else
											{	/* SawBbv/bbv.scm 139 */
												BgL_test2988z00_5739 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2988z00_5739)
									{	/* SawBbv/bbv.scm 139 */
										obj_t BgL_nh1578z00_2311;

										{	/* SawBbv/bbv.scm 139 */
											obj_t BgL_arg1889z00_2313;

											BgL_arg1889z00_2313 = CAR(((obj_t) BgL_l1576z00_2305));
											BgL_nh1578z00_2311 =
												MAKE_YOUNG_PAIR(BgL_arg1889z00_2313, BNIL);
										}
										SET_CDR(BgL_h1577z00_2306, BgL_nh1578z00_2311);
										{	/* SawBbv/bbv.scm 139 */
											obj_t BgL_arg1888z00_2312;

											BgL_arg1888z00_2312 = CDR(((obj_t) BgL_l1576z00_2305));
											{
												obj_t BgL_h1577z00_5768;
												obj_t BgL_l1576z00_5767;

												BgL_l1576z00_5767 = BgL_arg1888z00_2312;
												BgL_h1577z00_5768 = BgL_nh1578z00_2311;
												BgL_h1577z00_2306 = BgL_h1577z00_5768;
												BgL_l1576z00_2305 = BgL_l1576z00_5767;
												goto BgL_zc3z04anonymousza31884ze3z87_2307;
											}
										}
									}
								else
									{	/* SawBbv/bbv.scm 139 */
										obj_t BgL_arg1890z00_2314;

										BgL_arg1890z00_2314 = CDR(((obj_t) BgL_l1576z00_2305));
										{
											obj_t BgL_l1576z00_5771;

											BgL_l1576z00_5771 = BgL_arg1890z00_2314;
											BgL_l1576z00_2305 = BgL_l1576z00_5771;
											goto BgL_zc3z04anonymousza31884ze3z87_2307;
										}
									}
							}
					}
				}
			}
		}

	}



/* args-widen-bbv!~0 */
	bool_t BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00(obj_t BgL_regsz00_4846,
		obj_t BgL_oz00_2317)
	{
		{	/* SawBbv/bbv.scm 148 */
			{	/* SawBbv/bbv.scm 142 */
				bool_t BgL_test2993z00_5772;

				{	/* SawBbv/bbv.scm 142 */
					obj_t BgL_classz00_3994;

					BgL_classz00_3994 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2317))
						{	/* SawBbv/bbv.scm 142 */
							BgL_objectz00_bglt BgL_arg1820z00_3996;

							BgL_arg1820z00_3996 = (BgL_objectz00_bglt) (BgL_oz00_2317);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv.scm 142 */
									long BgL_idxz00_4002;

									BgL_idxz00_4002 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3996);
									BgL_test2993z00_5772 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4002 + ((long) 1))) == BgL_classz00_3994);
								}
							else
								{	/* SawBbv/bbv.scm 142 */
									bool_t BgL_res2802z00_4024;

									{	/* SawBbv/bbv.scm 142 */
										obj_t BgL_oclassz00_4010;

										{	/* SawBbv/bbv.scm 142 */
											long BgL_arg1828z00_4016;

											{	/* SawBbv/bbv.scm 142 */
												long BgL_arg1829z00_4017;

												BgL_arg1829z00_4017 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3996);
												BgL_arg1828z00_4016 =
													(BgL_arg1829z00_4017 - OBJECT_TYPE);
											}
											BgL_oclassz00_4010 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4016);
										}
										{	/* SawBbv/bbv.scm 142 */
											bool_t BgL__ortest_1111z00_4011;

											BgL__ortest_1111z00_4011 =
												(BgL_classz00_3994 == BgL_oclassz00_4010);
											if (BgL__ortest_1111z00_4011)
												{	/* SawBbv/bbv.scm 142 */
													BgL_res2802z00_4024 = BgL__ortest_1111z00_4011;
												}
											else
												{	/* SawBbv/bbv.scm 142 */
													long BgL_odepthz00_4012;

													BgL_odepthz00_4012 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4010);
													if ((((long) 1) < BgL_odepthz00_4012))
														{	/* SawBbv/bbv.scm 142 */
															obj_t BgL_arg1816z00_4014;

															BgL_arg1816z00_4014 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4010,
																((long) 1));
															BgL_res2802z00_4024 =
																(BgL_arg1816z00_4014 == BgL_classz00_3994);
														}
													else
														{	/* SawBbv/bbv.scm 142 */
															BgL_res2802z00_4024 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2993z00_5772 = BgL_res2802z00_4024;
								}
						}
					else
						{	/* SawBbv/bbv.scm 142 */
							BgL_test2993z00_5772 = ((bool_t) 0);
						}
				}
				if (BgL_test2993z00_5772)
					{	/* SawBbv/bbv.scm 142 */
						{	/* SawBbv/bbv.scm 144 */
							BgL_rtl_inszf2bbvzf2_bglt BgL_wide1185z00_2323;

							BgL_wide1185z00_2323 =
								((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_inszf2bbvzf2_bgl))));
							{	/* SawBbv/bbv.scm 144 */
								obj_t BgL_auxz00_5797;
								BgL_objectz00_bglt BgL_tmpz00_5793;

								BgL_auxz00_5797 = ((obj_t) BgL_wide1185z00_2323);
								BgL_tmpz00_5793 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5793, BgL_auxz00_5797);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
							{	/* SawBbv/bbv.scm 144 */
								long BgL_arg1894z00_2324;

								BgL_arg1894z00_2324 =
									BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317))),
									BgL_arg1894z00_2324);
							}
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5811;

							{
								obj_t BgL_auxz00_5812;

								{	/* SawBbv/bbv.scm 145 */
									BgL_objectz00_bglt BgL_tmpz00_5813;

									BgL_tmpz00_5813 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
									BgL_auxz00_5812 = BGL_OBJECT_WIDENING(BgL_tmpz00_5813);
								}
								BgL_auxz00_5811 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5812);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5811))->
									BgL_defz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_4846))), BUNSPEC);
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5822;

							{
								obj_t BgL_auxz00_5823;

								{	/* SawBbv/bbv.scm 147 */
									BgL_objectz00_bglt BgL_tmpz00_5824;

									BgL_tmpz00_5824 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
									BgL_auxz00_5823 = BGL_OBJECT_WIDENING(BgL_tmpz00_5824);
								}
								BgL_auxz00_5822 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5823);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5822))->
									BgL_outz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_4846))), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_5841;
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5833;

							{	/* SawBbv/bbv.scm 146 */
								obj_t BgL_arg1898z00_2326;

								BgL_arg1898z00_2326 =
									BGl_getzd2argsze70z35zzsaw_bbvz00(BgL_oz00_2317);
								BgL_auxz00_5841 =
									((obj_t)
									BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_arg1898z00_2326,
										BgL_regsz00_4846));
							}
							{
								obj_t BgL_auxz00_5834;

								{	/* SawBbv/bbv.scm 146 */
									BgL_objectz00_bglt BgL_tmpz00_5835;

									BgL_tmpz00_5835 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
									BgL_auxz00_5834 = BGL_OBJECT_WIDENING(BgL_tmpz00_5835);
								}
								BgL_auxz00_5833 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5834);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5833))->
									BgL_inz00) = ((obj_t) BgL_auxz00_5841), BUNSPEC);
						}
						{
							BgL_bbvzd2ctxzd2_bglt BgL_auxz00_5854;
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5846;

							{	/* SawBbv/bbv.scm 146 */
								obj_t BgL_arg1899z00_2327;

								{	/* SawBbv/bbv.scm 146 */
									obj_t BgL_arg1900z00_2328;

									{	/* SawBbv/bbv.scm 146 */
										obj_t BgL_classz00_4033;

										BgL_classz00_4033 =
											BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
										BgL_arg1900z00_2328 =
											BGL_CLASS_ALL_FIELDS(BgL_classz00_4033);
									}
									BgL_arg1899z00_2327 =
										VECTOR_REF(BgL_arg1900z00_2328, ((long) 8));
								}
								BgL_auxz00_5854 =
									((BgL_bbvzd2ctxzd2_bglt)
									BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
									(BgL_arg1899z00_2327));
							}
							{
								obj_t BgL_auxz00_5847;

								{	/* SawBbv/bbv.scm 146 */
									BgL_objectz00_bglt BgL_tmpz00_5848;

									BgL_tmpz00_5848 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
									BgL_auxz00_5847 = BGL_OBJECT_WIDENING(BgL_tmpz00_5848);
								}
								BgL_auxz00_5846 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5847);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5846))->
									BgL_ctxz00) =
								((BgL_bbvzd2ctxzd2_bglt) BgL_auxz00_5854), BUNSPEC);
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5860;

							{
								obj_t BgL_auxz00_5861;

								{	/* SawBbv/bbv.scm 146 */
									BgL_objectz00_bglt BgL_tmpz00_5862;

									BgL_tmpz00_5862 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2317)));
									BgL_auxz00_5861 = BGL_OBJECT_WIDENING(BgL_tmpz00_5862);
								}
								BgL_auxz00_5860 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5861);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5860))->
									BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2317));
						{	/* SawBbv/bbv.scm 148 */
							obj_t BgL_g1583z00_2329;

							BgL_g1583z00_2329 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_oz00_2317)))->BgL_argsz00);
							{
								obj_t BgL_l1581z00_2331;

								BgL_l1581z00_2331 = BgL_g1583z00_2329;
							BgL_zc3z04anonymousza31901ze3z87_2332:
								if (PAIRP(BgL_l1581z00_2331))
									{	/* SawBbv/bbv.scm 148 */
										BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00
											(BgL_regsz00_4846, CAR(BgL_l1581z00_2331));
										{
											obj_t BgL_l1581z00_5877;

											BgL_l1581z00_5877 = CDR(BgL_l1581z00_2331);
											BgL_l1581z00_2331 = BgL_l1581z00_5877;
											goto BgL_zc3z04anonymousza31901ze3z87_2332;
										}
									}
								else
									{	/* SawBbv/bbv.scm 148 */
										return ((bool_t) 1);
									}
							}
						}
					}
				else
					{	/* SawBbv/bbv.scm 142 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* reorder-succs! */
	bool_t BGl_reorderzd2succsz12zc0zzsaw_bbvz00(obj_t BgL_blocksz00_98)
	{
		{	/* SawBbv/bbv.scm 187 */
			{	/* SawBbv/bbv.scm 189 */
				bool_t BgL_test2999z00_5879;

				if (NULLP(BgL_blocksz00_98))
					{	/* SawBbv/bbv.scm 189 */
						BgL_test2999z00_5879 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv.scm 189 */
						obj_t BgL_tmpz00_5882;

						BgL_tmpz00_5882 = CDR(BgL_blocksz00_98);
						BgL_test2999z00_5879 = PAIRP(BgL_tmpz00_5882);
					}
				if (BgL_test2999z00_5879)
					{
						obj_t BgL_bsz00_2404;

						BgL_bsz00_2404 = BgL_blocksz00_98;
					BgL_zc3z04anonymousza31941ze3z87_2405:
						{	/* SawBbv/bbv.scm 191 */
							bool_t BgL_test3001z00_5885;

							{	/* SawBbv/bbv.scm 191 */
								obj_t BgL_tmpz00_5886;

								BgL_tmpz00_5886 = CDR(((obj_t) BgL_bsz00_2404));
								BgL_test3001z00_5885 = PAIRP(BgL_tmpz00_5886);
							}
							if (BgL_test3001z00_5885)
								{	/* SawBbv/bbv.scm 192 */
									obj_t BgL_bz00_2408;
									obj_t BgL_nz00_2409;

									BgL_bz00_2408 = CAR(((obj_t) BgL_bsz00_2404));
									{	/* SawBbv/bbv.scm 193 */
										obj_t BgL_pairz00_4080;

										BgL_pairz00_4080 = CDR(((obj_t) BgL_bsz00_2404));
										BgL_nz00_2409 = CAR(BgL_pairz00_4080);
									}
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_bz00_2408)))->
												BgL_succsz00)))
										{	/* SawBbv/bbv.scm 195 */
											BFALSE;
										}
									else
										{	/* SawBbv/bbv.scm 196 */
											bool_t BgL_test3003z00_5899;

											{	/* SawBbv/bbv.scm 196 */
												bool_t BgL_test3004z00_5900;

												{	/* SawBbv/bbv.scm 196 */
													obj_t BgL_arg1962z00_2430;

													BgL_arg1962z00_2430 =
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
															(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_bz00_2408)))->
																BgL_firstz00)));
													BgL_test3004z00_5900 =
														BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2((
															(BgL_rtl_insz00_bglt) BgL_arg1962z00_2430));
												}
												if (BgL_test3004z00_5900)
													{	/* SawBbv/bbv.scm 196 */
														BgL_test3003z00_5899 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv.scm 197 */
														obj_t BgL_arg1959z00_2427;

														BgL_arg1959z00_2427 =
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00((
																	((BgL_blockz00_bglt)
																		COBJECT(((BgL_blockz00_bglt)
																				BgL_bz00_2408)))->BgL_firstz00)));
														BgL_test3003z00_5899 =
															CBOOL
															(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2((
																	(BgL_rtl_insz00_bglt) BgL_arg1959z00_2427)));
													}
											}
											if (BgL_test3003z00_5899)
												{	/* SawBbv/bbv.scm 196 */
													BFALSE;
												}
											else
												{
													obj_t BgL_auxz00_5914;

													{	/* SawBbv/bbv.scm 198 */
														obj_t BgL_arg1957z00_2424;

														{	/* SawBbv/bbv.scm 198 */
															obj_t BgL_arg1958z00_2425;

															BgL_arg1958z00_2425 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_bz00_2408)))->
																BgL_succsz00);
															BgL_arg1957z00_2424 =
																bgl_remq_bang(BgL_nz00_2409,
																BgL_arg1958z00_2425);
														}
														BgL_auxz00_5914 =
															MAKE_YOUNG_PAIR(BgL_nz00_2409,
															BgL_arg1957z00_2424);
													}
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_2408)))->
															BgL_succsz00) =
														((obj_t) BgL_auxz00_5914), BUNSPEC);
												}
										}
									{	/* SawBbv/bbv.scm 199 */
										obj_t BgL_arg1966z00_2434;

										BgL_arg1966z00_2434 = CDR(((obj_t) BgL_bsz00_2404));
										{
											obj_t BgL_bsz00_5923;

											BgL_bsz00_5923 = BgL_arg1966z00_2434;
											BgL_bsz00_2404 = BgL_bsz00_5923;
											goto BgL_zc3z04anonymousza31941ze3z87_2405;
										}
									}
								}
							else
								{	/* SawBbv/bbv.scm 191 */
									return ((bool_t) 0);
								}
						}
					}
				else
					{	/* SawBbv/bbv.scm 189 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* liveness! */
	obj_t BGl_livenessz12z12zzsaw_bbvz00(BgL_backendz00_bglt BgL_backz00_99,
		obj_t BgL_blocksz00_100, obj_t BgL_paramsz00_101)
	{
		{	/* SawBbv/bbv.scm 212 */
			{
				obj_t BgL_blockz00_2493;

				{	/* SawBbv/bbv.scm 241 */
					obj_t BgL_cregsz00_2441;

					BgL_cregsz00_2441 =
						BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_blocksz00_100);
					{	/* SawBbv/bbv.scm 241 */
						obj_t BgL_hregsz00_2442;

						{	/* SawBbv/bbv.scm 242 */
							obj_t BgL_arg1991z00_2488;

							BgL_arg1991z00_2488 =
								(((BgL_backendz00_bglt) COBJECT(BgL_backz00_99))->
								BgL_registersz00);
							{	/* SawBbv/bbv.scm 242 */
								obj_t BgL_list1992z00_2489;

								BgL_list1992z00_2489 =
									MAKE_YOUNG_PAIR(BgL_arg1991z00_2488, BNIL);
								BgL_hregsz00_2442 =
									BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
									(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
									BgL_list1992z00_2489);
							}
						}
						{	/* SawBbv/bbv.scm 242 */
							obj_t BgL_pregsz00_2443;

							{	/* SawBbv/bbv.scm 243 */
								obj_t BgL_hook1607z00_2474;

								BgL_hook1607z00_2474 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1604z00_2476;
									obj_t BgL_h1605z00_2477;

									BgL_l1604z00_2476 = BgL_paramsz00_101;
									BgL_h1605z00_2477 = BgL_hook1607z00_2474;
								BgL_zc3z04anonymousza31983ze3z87_2478:
									if (NULLP(BgL_l1604z00_2476))
										{	/* SawBbv/bbv.scm 243 */
											BgL_pregsz00_2443 = CDR(BgL_hook1607z00_2474);
										}
									else
										{	/* SawBbv/bbv.scm 243 */
											bool_t BgL_test3006z00_5932;

											{	/* SawBbv/bbv.scm 243 */
												obj_t BgL_arg1990z00_2486;

												BgL_arg1990z00_2486 = CAR(((obj_t) BgL_l1604z00_2476));
												{	/* SawBbv/bbv.scm 243 */
													obj_t BgL_classz00_4146;

													BgL_classz00_4146 =
														BGl_rtl_regzf2razf2zzsaw_regsetz00;
													if (BGL_OBJECTP(BgL_arg1990z00_2486))
														{	/* SawBbv/bbv.scm 243 */
															BgL_objectz00_bglt BgL_arg1820z00_4148;

															BgL_arg1820z00_4148 =
																(BgL_objectz00_bglt) (BgL_arg1990z00_2486);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv.scm 243 */
																	long BgL_idxz00_4154;

																	BgL_idxz00_4154 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4148);
																	BgL_test3006z00_5932 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4154 + ((long) 2))) ==
																		BgL_classz00_4146);
																}
															else
																{	/* SawBbv/bbv.scm 243 */
																	bool_t BgL_res2806z00_4176;

																	{	/* SawBbv/bbv.scm 243 */
																		obj_t BgL_oclassz00_4162;

																		{	/* SawBbv/bbv.scm 243 */
																			long BgL_arg1828z00_4168;

																			{	/* SawBbv/bbv.scm 243 */
																				long BgL_arg1829z00_4169;

																				BgL_arg1829z00_4169 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4148);
																				BgL_arg1828z00_4168 =
																					(BgL_arg1829z00_4169 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4162 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4168);
																		}
																		{	/* SawBbv/bbv.scm 243 */
																			bool_t BgL__ortest_1111z00_4163;

																			BgL__ortest_1111z00_4163 =
																				(BgL_classz00_4146 ==
																				BgL_oclassz00_4162);
																			if (BgL__ortest_1111z00_4163)
																				{	/* SawBbv/bbv.scm 243 */
																					BgL_res2806z00_4176 =
																						BgL__ortest_1111z00_4163;
																				}
																			else
																				{	/* SawBbv/bbv.scm 243 */
																					long BgL_odepthz00_4164;

																					BgL_odepthz00_4164 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4162);
																					if ((((long) 2) < BgL_odepthz00_4164))
																						{	/* SawBbv/bbv.scm 243 */
																							obj_t BgL_arg1816z00_4166;

																							BgL_arg1816z00_4166 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4162,
																								((long) 2));
																							BgL_res2806z00_4176 =
																								(BgL_arg1816z00_4166 ==
																								BgL_classz00_4146);
																						}
																					else
																						{	/* SawBbv/bbv.scm 243 */
																							BgL_res2806z00_4176 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3006z00_5932 = BgL_res2806z00_4176;
																}
														}
													else
														{	/* SawBbv/bbv.scm 243 */
															BgL_test3006z00_5932 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test3006z00_5932)
												{	/* SawBbv/bbv.scm 243 */
													obj_t BgL_nh1606z00_2482;

													{	/* SawBbv/bbv.scm 243 */
														obj_t BgL_arg1988z00_2484;

														BgL_arg1988z00_2484 =
															CAR(((obj_t) BgL_l1604z00_2476));
														BgL_nh1606z00_2482 =
															MAKE_YOUNG_PAIR(BgL_arg1988z00_2484, BNIL);
													}
													SET_CDR(BgL_h1605z00_2477, BgL_nh1606z00_2482);
													{	/* SawBbv/bbv.scm 243 */
														obj_t BgL_arg1987z00_2483;

														BgL_arg1987z00_2483 =
															CDR(((obj_t) BgL_l1604z00_2476));
														{
															obj_t BgL_h1605z00_5961;
															obj_t BgL_l1604z00_5960;

															BgL_l1604z00_5960 = BgL_arg1987z00_2483;
															BgL_h1605z00_5961 = BgL_nh1606z00_2482;
															BgL_h1605z00_2477 = BgL_h1605z00_5961;
															BgL_l1604z00_2476 = BgL_l1604z00_5960;
															goto BgL_zc3z04anonymousza31983ze3z87_2478;
														}
													}
												}
											else
												{	/* SawBbv/bbv.scm 243 */
													obj_t BgL_arg1989z00_2485;

													BgL_arg1989z00_2485 =
														CDR(((obj_t) BgL_l1604z00_2476));
													{
														obj_t BgL_l1604z00_5964;

														BgL_l1604z00_5964 = BgL_arg1989z00_2485;
														BgL_l1604z00_2476 = BgL_l1604z00_5964;
														goto BgL_zc3z04anonymousza31983ze3z87_2478;
													}
												}
										}
								}
							}
							{	/* SawBbv/bbv.scm 243 */
								obj_t BgL_regsz00_2444;

								BgL_regsz00_2444 =
									BGl_appendzd221011zd2zzsaw_bbvz00(BgL_hregsz00_2442,
									BgL_cregsz00_2441);
								{	/* SawBbv/bbv.scm 244 */

									BGl_widenzd2bbvz12zc0zzsaw_bbvz00(BgL_blocksz00_100,
										BgL_regsz00_2444);
									{	/* SawBbv/bbv.scm 250 */
										obj_t BgL_inssz00_2446;

										BgL_inssz00_2446 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														CAR(BgL_blocksz00_100))))->BgL_firstz00);
										if (NULLP(BgL_inssz00_2446))
											{	/* SawBbv/bbv.scm 251 */
												((bool_t) 0);
											}
										else
											{	/* SawBbv/bbv.scm 252 */
												obj_t BgL_insz00_2448;

												BgL_insz00_2448 = CAR(BgL_inssz00_2446);
												{
													obj_t BgL_l1608z00_2451;

													BgL_l1608z00_2451 = BgL_pregsz00_2443;
												BgL_zc3z04anonymousza31971ze3z87_2452:
													if (PAIRP(BgL_l1608z00_2451))
														{	/* SawBbv/bbv.scm 254 */
															{	/* SawBbv/bbv.scm 254 */
																obj_t BgL_az00_2454;

																BgL_az00_2454 = CAR(BgL_l1608z00_2451);
																{	/* SawBbv/bbv.scm 254 */
																	obj_t BgL_arg1973z00_2455;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5976;

																		{
																			obj_t BgL_auxz00_5977;

																			{	/* SawBbv/bbv.scm 254 */
																				BgL_objectz00_bglt BgL_tmpz00_5978;

																				BgL_tmpz00_5978 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2448));
																				BgL_auxz00_5977 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5978);
																			}
																			BgL_auxz00_5976 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_5977);
																		}
																		BgL_arg1973z00_2455 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_5976))->BgL_inz00);
																	}
																	BGl_regsetzd2addz12zc0zzsaw_regsetz00(
																		((BgL_regsetz00_bglt) BgL_arg1973z00_2455),
																		((BgL_rtl_regz00_bglt) BgL_az00_2454));
																}
															}
															{
																obj_t BgL_l1608z00_5987;

																BgL_l1608z00_5987 = CDR(BgL_l1608z00_2451);
																BgL_l1608z00_2451 = BgL_l1608z00_5987;
																goto BgL_zc3z04anonymousza31971ze3z87_2452;
															}
														}
													else
														{	/* SawBbv/bbv.scm 254 */
															((bool_t) 1);
														}
												}
											}
									}
									{
										long BgL_iz00_2460;

										BgL_iz00_2460 = ((long) 0);
									BgL_zc3z04anonymousza31976ze3z87_2461:
										{
											obj_t BgL_bsz00_2463;
											obj_t BgL_tz00_2464;

											BgL_bsz00_2463 = BgL_blocksz00_100;
											BgL_tz00_2464 = BFALSE;
										BgL_zc3z04anonymousza31977ze3z87_2465:
											if (NULLP(BgL_bsz00_2463))
												{	/* SawBbv/bbv.scm 259 */
													if (CBOOL(BgL_tz00_2464))
														{
															long BgL_iz00_5993;

															BgL_iz00_5993 = (BgL_iz00_2460 + ((long) 1));
															BgL_iz00_2460 = BgL_iz00_5993;
															goto BgL_zc3z04anonymousza31976ze3z87_2461;
														}
													else
														{	/* SawBbv/bbv.scm 260 */
															return BgL_regsz00_2444;
														}
												}
											else
												{	/* SawBbv/bbv.scm 263 */
													obj_t BgL_arg1980z00_2468;
													obj_t BgL_arg1981z00_2469;

													BgL_arg1980z00_2468 = CDR(((obj_t) BgL_bsz00_2463));
													{	/* SawBbv/bbv.scm 263 */
														obj_t BgL__ortest_1212z00_2470;

														{	/* SawBbv/bbv.scm 263 */
															obj_t BgL_arg1982z00_2471;

															BgL_arg1982z00_2471 =
																CAR(((obj_t) BgL_bsz00_2463));
															BgL_blockz00_2493 = BgL_arg1982z00_2471;
															{	/* SawBbv/bbv.scm 220 */
																obj_t BgL_g1206z00_2496;
																obj_t BgL_g1207z00_2497;

																BgL_g1206z00_2496 =
																	bgl_reverse(
																	(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_blockz00_2493)))->BgL_firstz00));
																{	/* SawBbv/bbv.scm 221 */
																	obj_t BgL_l1592z00_2544;

																	BgL_l1592z00_2544 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_blockz00_2493)))->BgL_succsz00);
																	if (NULLP(BgL_l1592z00_2544))
																		{	/* SawBbv/bbv.scm 221 */
																			BgL_g1207z00_2497 = BNIL;
																		}
																	else
																		{	/* SawBbv/bbv.scm 221 */
																			obj_t BgL_head1594z00_2546;

																			BgL_head1594z00_2546 =
																				MAKE_YOUNG_PAIR(BNIL, BNIL);
																			{
																				obj_t BgL_l1592z00_2548;
																				obj_t BgL_tail1595z00_2549;

																				BgL_l1592z00_2548 = BgL_l1592z00_2544;
																				BgL_tail1595z00_2549 =
																					BgL_head1594z00_2546;
																			BgL_zc3z04anonymousza32024ze3z87_2550:
																				if (NULLP(BgL_l1592z00_2548))
																					{	/* SawBbv/bbv.scm 221 */
																						BgL_g1207z00_2497 =
																							CDR(BgL_head1594z00_2546);
																					}
																				else
																					{	/* SawBbv/bbv.scm 221 */
																						obj_t BgL_newtail1596z00_2552;

																						{	/* SawBbv/bbv.scm 221 */
																							obj_t BgL_arg2028z00_2554;

																							{	/* SawBbv/bbv.scm 221 */
																								obj_t BgL_pairz00_4089;

																								BgL_pairz00_4089 =
																									(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												CAR(
																													((obj_t)
																														BgL_l1592z00_2548)))))->
																									BgL_firstz00);
																								BgL_arg2028z00_2554 =
																									CAR(BgL_pairz00_4089);
																							}
																							BgL_newtail1596z00_2552 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2028z00_2554, BNIL);
																						}
																						SET_CDR(BgL_tail1595z00_2549,
																							BgL_newtail1596z00_2552);
																						{	/* SawBbv/bbv.scm 221 */
																							obj_t BgL_arg2026z00_2553;

																							BgL_arg2026z00_2553 =
																								CDR(
																								((obj_t) BgL_l1592z00_2548));
																							{
																								obj_t BgL_tail1595z00_6020;
																								obj_t BgL_l1592z00_6019;

																								BgL_l1592z00_6019 =
																									BgL_arg2026z00_2553;
																								BgL_tail1595z00_6020 =
																									BgL_newtail1596z00_2552;
																								BgL_tail1595z00_2549 =
																									BgL_tail1595z00_6020;
																								BgL_l1592z00_2548 =
																									BgL_l1592z00_6019;
																								goto
																									BgL_zc3z04anonymousza32024ze3z87_2550;
																							}
																						}
																					}
																			}
																		}
																}
																{
																	obj_t BgL_inssz00_2499;
																	obj_t BgL_succz00_2500;
																	obj_t BgL_tz00_2501;

																	BgL_inssz00_2499 = BgL_g1206z00_2496;
																	BgL_succz00_2500 = BgL_g1207z00_2497;
																	BgL_tz00_2501 = BFALSE;
																BgL_zc3z04anonymousza31995ze3z87_2502:
																	if (PAIRP(BgL_inssz00_2499))
																		{	/* SawBbv/bbv.scm 224 */
																			BgL_rtl_insz00_bglt BgL_i1208z00_2504;

																			BgL_i1208z00_2504 =
																				((BgL_rtl_insz00_bglt)
																				CAR(BgL_inssz00_2499));
																			{	/* SawBbv/bbv.scm 225 */
																				obj_t BgL_uz00_4824;

																				{	/* SawBbv/bbv.scm 226 */
																					obj_t BgL_cellvalz00_6025;

																					{	/* SawBbv/bbv.scm 226 */
																						bool_t BgL_test3018z00_6026;

																						{	/* SawBbv/bbv.scm 226 */
																							obj_t BgL_classz00_4093;

																							BgL_classz00_4093 =
																								BGl_rtl_insz00zzsaw_defsz00;
																							if (BGL_OBJECTP(BgL_succz00_2500))
																								{	/* SawBbv/bbv.scm 226 */
																									BgL_objectz00_bglt
																										BgL_arg1820z00_4095;
																									BgL_arg1820z00_4095 =
																										(BgL_objectz00_bglt)
																										(BgL_succz00_2500);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* SawBbv/bbv.scm 226 */
																											long BgL_idxz00_4101;

																											BgL_idxz00_4101 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1820z00_4095);
																											BgL_test3018z00_6026 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4101 +
																														((long) 1))) ==
																												BgL_classz00_4093);
																										}
																									else
																										{	/* SawBbv/bbv.scm 226 */
																											bool_t
																												BgL_res2805z00_4123;
																											{	/* SawBbv/bbv.scm 226 */
																												obj_t
																													BgL_oclassz00_4109;
																												{	/* SawBbv/bbv.scm 226 */
																													long
																														BgL_arg1828z00_4115;
																													{	/* SawBbv/bbv.scm 226 */
																														long
																															BgL_arg1829z00_4116;
																														BgL_arg1829z00_4116
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1820z00_4095);
																														BgL_arg1828z00_4115
																															=
																															(BgL_arg1829z00_4116
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4109 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1828z00_4115);
																												}
																												{	/* SawBbv/bbv.scm 226 */
																													bool_t
																														BgL__ortest_1111z00_4110;
																													BgL__ortest_1111z00_4110
																														=
																														(BgL_classz00_4093
																														==
																														BgL_oclassz00_4109);
																													if (BgL__ortest_1111z00_4110)
																														{	/* SawBbv/bbv.scm 226 */
																															BgL_res2805z00_4123
																																=
																																BgL__ortest_1111z00_4110;
																														}
																													else
																														{	/* SawBbv/bbv.scm 226 */
																															long
																																BgL_odepthz00_4111;
																															BgL_odepthz00_4111
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_4109);
																															if ((((long) 1) <
																																	BgL_odepthz00_4111))
																																{	/* SawBbv/bbv.scm 226 */
																																	obj_t
																																		BgL_arg1816z00_4113;
																																	BgL_arg1816z00_4113
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_4109,
																																		((long) 1));
																																	BgL_res2805z00_4123
																																		=
																																		(BgL_arg1816z00_4113
																																		==
																																		BgL_classz00_4093);
																																}
																															else
																																{	/* SawBbv/bbv.scm 226 */
																																	BgL_res2805z00_4123
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test3018z00_6026 =
																												BgL_res2805z00_4123;
																										}
																								}
																							else
																								{	/* SawBbv/bbv.scm 226 */
																									BgL_test3018z00_6026 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test3018z00_6026)
																							{	/* SawBbv/bbv.scm 227 */
																								obj_t BgL_arg2008z00_2521;
																								obj_t BgL_arg2010z00_2522;

																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_6046;
																									{
																										obj_t BgL_auxz00_6047;

																										{	/* SawBbv/bbv.scm 227 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6048;
																											BgL_tmpz00_6048 =
																												((BgL_objectz00_bglt)
																												BgL_i1208z00_2504);
																											BgL_auxz00_6047 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_6048);
																										}
																										BgL_auxz00_6046 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_6047);
																									}
																									BgL_arg2008z00_2521 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6046))->BgL_outz00);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_6053;
																									{
																										obj_t BgL_auxz00_6054;

																										{	/* SawBbv/bbv.scm 215 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6055;
																											BgL_tmpz00_6055 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_succz00_2500));
																											BgL_auxz00_6054 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_6055);
																										}
																										BgL_auxz00_6053 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_6054);
																									}
																									BgL_arg2010z00_2522 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6053))->BgL_inz00);
																								}
																								BgL_cellvalz00_6025 =
																									BBOOL
																									(BGl_regsetzd2unionz12zc0zzsaw_regsetz00
																									(((BgL_regsetz00_bglt)
																											BgL_arg2008z00_2521),
																										((BgL_regsetz00_bglt)
																											BgL_arg2010z00_2522)));
																							}
																						else
																							{	/* SawBbv/bbv.scm 226 */
																								if (PAIRP(BgL_succz00_2500))
																									{	/* SawBbv/bbv.scm 229 */
																										obj_t BgL_arg2012z00_2524;
																										obj_t BgL_arg2013z00_2525;

																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_6067;
																											{
																												obj_t BgL_auxz00_6068;

																												{	/* SawBbv/bbv.scm 229 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_6069;
																													BgL_tmpz00_6069 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_i1208z00_2504);
																													BgL_auxz00_6068 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_6069);
																												}
																												BgL_auxz00_6067 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_6068);
																											}
																											BgL_arg2012z00_2524 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6067))->BgL_outz00);
																										}
																										{	/* SawBbv/bbv.scm 229 */
																											obj_t
																												BgL_head1599z00_2528;
																											{	/* SawBbv/bbv.scm 229 */
																												obj_t
																													BgL_arg2020z00_2540;
																												{	/* SawBbv/bbv.scm 215 */
																													BgL_rtl_insz00_bglt
																														BgL_i1204z00_4129;
																													BgL_i1204z00_4129 =
																														(
																														(BgL_rtl_insz00_bglt)
																														CAR
																														(BgL_succz00_2500));
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_6076;
																														{
																															obj_t
																																BgL_auxz00_6077;
																															{	/* SawBbv/bbv.scm 215 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_6078;
																																BgL_tmpz00_6078
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_i1204z00_4129);
																																BgL_auxz00_6077
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_6078);
																															}
																															BgL_auxz00_6076 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_6077);
																														}
																														BgL_arg2020z00_2540
																															=
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6076))->BgL_inz00);
																													}
																												}
																												BgL_head1599z00_2528 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2020z00_2540,
																													BNIL);
																											}
																											{	/* SawBbv/bbv.scm 229 */
																												obj_t BgL_g1602z00_2529;

																												BgL_g1602z00_2529 =
																													CDR(BgL_succz00_2500);
																												{
																													obj_t
																														BgL_l1597z00_2531;
																													obj_t
																														BgL_tail1600z00_2532;
																													BgL_l1597z00_2531 =
																														BgL_g1602z00_2529;
																													BgL_tail1600z00_2532 =
																														BgL_head1599z00_2528;
																												BgL_zc3z04anonymousza32015ze3z87_2533:
																													if (NULLP
																														(BgL_l1597z00_2531))
																														{	/* SawBbv/bbv.scm 229 */
																															BgL_arg2013z00_2525
																																=
																																BgL_head1599z00_2528;
																														}
																													else
																														{	/* SawBbv/bbv.scm 229 */
																															obj_t
																																BgL_newtail1601z00_2535;
																															{	/* SawBbv/bbv.scm 229 */
																																obj_t
																																	BgL_arg2018z00_2537;
																																{	/* SawBbv/bbv.scm 215 */
																																	BgL_rtl_insz00_bglt
																																		BgL_i1204z00_4133;
																																	BgL_i1204z00_4133
																																		=
																																		(
																																		(BgL_rtl_insz00_bglt)
																																		CAR(((obj_t)
																																				BgL_l1597z00_2531)));
																																	{
																																		BgL_rtl_inszf2bbvzf2_bglt
																																			BgL_auxz00_6090;
																																		{
																																			obj_t
																																				BgL_auxz00_6091;
																																			{	/* SawBbv/bbv.scm 215 */
																																				BgL_objectz00_bglt
																																					BgL_tmpz00_6092;
																																				BgL_tmpz00_6092
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					BgL_i1204z00_4133);
																																				BgL_auxz00_6091
																																					=
																																					BGL_OBJECT_WIDENING
																																					(BgL_tmpz00_6092);
																																			}
																																			BgL_auxz00_6090
																																				=
																																				(
																																				(BgL_rtl_inszf2bbvzf2_bglt)
																																				BgL_auxz00_6091);
																																		}
																																		BgL_arg2018z00_2537
																																			=
																																			(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6090))->BgL_inz00);
																																	}
																																}
																																BgL_newtail1601z00_2535
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2018z00_2537,
																																	BNIL);
																															}
																															SET_CDR
																																(BgL_tail1600z00_2532,
																																BgL_newtail1601z00_2535);
																															{	/* SawBbv/bbv.scm 229 */
																																obj_t
																																	BgL_arg2017z00_2536;
																																BgL_arg2017z00_2536
																																	=
																																	CDR(((obj_t)
																																		BgL_l1597z00_2531));
																																{
																																	obj_t
																																		BgL_tail1600z00_6102;
																																	obj_t
																																		BgL_l1597z00_6101;
																																	BgL_l1597z00_6101
																																		=
																																		BgL_arg2017z00_2536;
																																	BgL_tail1600z00_6102
																																		=
																																		BgL_newtail1601z00_2535;
																																	BgL_tail1600z00_2532
																																		=
																																		BgL_tail1600z00_6102;
																																	BgL_l1597z00_2531
																																		=
																																		BgL_l1597z00_6101;
																																	goto
																																		BgL_zc3z04anonymousza32015ze3z87_2533;
																																}
																															}
																														}
																												}
																											}
																										}
																										BgL_cellvalz00_6025 =
																											BBOOL
																											(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00
																											(((BgL_regsetz00_bglt)
																													BgL_arg2012z00_2524),
																												BgL_arg2013z00_2525));
																									}
																								else
																									{	/* SawBbv/bbv.scm 228 */
																										BgL_cellvalz00_6025 =
																											BFALSE;
																									}
																							}
																					}
																					BgL_uz00_4824 =
																						MAKE_CELL(BgL_cellvalz00_6025);
																				}
																				{	/* SawBbv/bbv.scm 233 */
																					obj_t BgL_arg1998z00_2507;

																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_6106;
																						{
																							obj_t BgL_auxz00_6107;

																							{	/* SawBbv/bbv.scm 232 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_6108;
																								BgL_tmpz00_6108 =
																									((BgL_objectz00_bglt)
																									BgL_i1208z00_2504);
																								BgL_auxz00_6107 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_6108);
																							}
																							BgL_auxz00_6106 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_6107);
																						}
																						BgL_arg1998z00_2507 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_6106))->
																							BgL_outz00);
																					}
																					{	/* SawBbv/bbv.scm 234 */
																						obj_t
																							BgL_zc3z04anonymousza31999ze3z87_4816;
																						BgL_zc3z04anonymousza31999ze3z87_4816
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_bbvz00,
																							(int) (((long) 1)),
																							(int) (((long) 2)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31999ze3z87_4816,
																							(int) (((long) 0)),
																							((obj_t) BgL_i1208z00_2504));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31999ze3z87_4816,
																							(int) (((long) 1)),
																							((obj_t) BgL_uz00_4824));
																						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
																							(BgL_zc3z04anonymousza31999ze3z87_4816,
																							((BgL_regsetz00_bglt)
																								BgL_arg1998z00_2507));
																				}}
																				{	/* SawBbv/bbv.scm 237 */
																					obj_t BgL_arg2004z00_2516;
																					obj_t BgL_arg2005z00_2517;
																					obj_t BgL_arg2006z00_2518;

																					BgL_arg2004z00_2516 =
																						CDR(BgL_inssz00_2499);
																					BgL_arg2005z00_2517 =
																						CAR(BgL_inssz00_2499);
																					if (CBOOL(BgL_tz00_2501))
																						{	/* SawBbv/bbv.scm 237 */
																							BgL_arg2006z00_2518 =
																								BgL_tz00_2501;
																						}
																					else
																						{	/* SawBbv/bbv.scm 237 */
																							BgL_arg2006z00_2518 =
																								CELL_REF(BgL_uz00_4824);
																						}
																					{
																						obj_t BgL_tz00_6130;
																						obj_t BgL_succz00_6129;
																						obj_t BgL_inssz00_6128;

																						BgL_inssz00_6128 =
																							BgL_arg2004z00_2516;
																						BgL_succz00_6129 =
																							BgL_arg2005z00_2517;
																						BgL_tz00_6130 = BgL_arg2006z00_2518;
																						BgL_tz00_2501 = BgL_tz00_6130;
																						BgL_succz00_2500 = BgL_succz00_6129;
																						BgL_inssz00_2499 = BgL_inssz00_6128;
																						goto
																							BgL_zc3z04anonymousza31995ze3z87_2502;
																					}
																				}
																			}
																		}
																	else
																		{	/* SawBbv/bbv.scm 223 */
																			BgL__ortest_1212z00_2470 = BgL_tz00_2501;
																		}
																}
															}
														}
														if (CBOOL(BgL__ortest_1212z00_2470))
															{	/* SawBbv/bbv.scm 263 */
																BgL_arg1981z00_2469 = BgL__ortest_1212z00_2470;
															}
														else
															{	/* SawBbv/bbv.scm 263 */
																BgL_arg1981z00_2469 = BgL_tz00_2464;
															}
													}
													{
														obj_t BgL_tz00_6134;
														obj_t BgL_bsz00_6133;

														BgL_bsz00_6133 = BgL_arg1980z00_2468;
														BgL_tz00_6134 = BgL_arg1981z00_2469;
														BgL_tz00_2464 = BgL_tz00_6134;
														BgL_bsz00_2463 = BgL_bsz00_6133;
														goto BgL_zc3z04anonymousza31977ze3z87_2465;
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1999> */
	obj_t BGl_z62zc3z04anonymousza31999ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4817,
		obj_t BgL_rz00_4820)
	{
		{	/* SawBbv/bbv.scm 233 */
			{	/* SawBbv/bbv.scm 234 */
				BgL_rtl_insz00_bglt BgL_i1208z00_4818;
				obj_t BgL_uz00_4819;

				BgL_i1208z00_4818 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_4817, (int) (((long) 0))));
				BgL_uz00_4819 = PROCEDURE_REF(BgL_envz00_4817, (int) (((long) 1)));
				{	/* SawBbv/bbv.scm 234 */
					bool_t BgL_test3027z00_6140;

					{	/* SawBbv/bbv.scm 234 */
						obj_t BgL_arg2003z00_4901;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6141;

							{
								obj_t BgL_auxz00_6142;

								{	/* SawBbv/bbv.scm 234 */
									BgL_objectz00_bglt BgL_tmpz00_6143;

									BgL_tmpz00_6143 = ((BgL_objectz00_bglt) BgL_i1208z00_4818);
									BgL_auxz00_6142 = BGL_OBJECT_WIDENING(BgL_tmpz00_6143);
								}
								BgL_auxz00_6141 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6142);
							}
							BgL_arg2003z00_4901 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6141))->
								BgL_defz00);
						}
						BgL_test3027z00_6140 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_rz00_4820),
							((BgL_regsetz00_bglt) BgL_arg2003z00_4901));
					}
					if (BgL_test3027z00_6140)
						{	/* SawBbv/bbv.scm 234 */
							return BFALSE;
						}
					else
						{	/* SawBbv/bbv.scm 235 */
							obj_t BgL_auxz00_4902;

							{	/* SawBbv/bbv.scm 235 */
								bool_t BgL__ortest_1209z00_4903;

								{	/* SawBbv/bbv.scm 235 */
									obj_t BgL_arg2002z00_4904;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6151;

										{
											obj_t BgL_auxz00_6152;

											{	/* SawBbv/bbv.scm 235 */
												BgL_objectz00_bglt BgL_tmpz00_6153;

												BgL_tmpz00_6153 =
													((BgL_objectz00_bglt) BgL_i1208z00_4818);
												BgL_auxz00_6152 = BGL_OBJECT_WIDENING(BgL_tmpz00_6153);
											}
											BgL_auxz00_6151 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6152);
										}
										BgL_arg2002z00_4904 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_6151))->
											BgL_inz00);
									}
									BgL__ortest_1209z00_4903 =
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg2002z00_4904),
										((BgL_rtl_regz00_bglt) BgL_rz00_4820));
								}
								if (BgL__ortest_1209z00_4903)
									{	/* SawBbv/bbv.scm 235 */
										BgL_auxz00_4902 = BBOOL(BgL__ortest_1209z00_4903);
									}
								else
									{	/* SawBbv/bbv.scm 235 */
										BgL_auxz00_4902 = CELL_REF(BgL_uz00_4819);
									}
							}
							return CELL_SET(BgL_uz00_4819, BgL_auxz00_4902);
						}
				}
			}
		}

	}



/* assert-blocks */
	obj_t BGl_assertzd2blockszd2zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_102,
		obj_t BgL_lblz00_103)
	{
		{	/* SawBbv/bbv.scm 272 */
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv.scm 274 */
					obj_t BgL_g1213z00_2560;
					obj_t BgL_g1214z00_2561;

					{	/* SawBbv/bbv.scm 274 */
						obj_t BgL_list2045z00_2579;

						BgL_list2045z00_2579 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_102), BNIL);
						BgL_g1213z00_2560 = BgL_list2045z00_2579;
					}
					BgL_g1214z00_2561 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
					{
						obj_t BgL_bsz00_2563;
						obj_t BgL_setz00_2564;

						BgL_bsz00_2563 = BgL_g1213z00_2560;
						BgL_setz00_2564 = BgL_g1214z00_2561;
					BgL_zc3z04anonymousza32030ze3z87_2565:
						if (NULLP(BgL_bsz00_2563))
							{	/* SawBbv/bbv.scm 277 */
								return BgL_setz00_2564;
							}
						else
							{	/* SawBbv/bbv.scm 279 */
								bool_t BgL_test3031z00_6170;

								{	/* SawBbv/bbv.scm 279 */
									BgL_blockz00_bglt BgL_blockz00_4192;

									BgL_blockz00_4192 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2563)));
									{	/* SawBbv/bbv.scm 279 */
										long BgL_arg1698z00_4195;
										obj_t BgL_arg1705z00_4196;

										{
											BgL_blocksz00_bglt BgL_auxz00_6174;

											{
												obj_t BgL_auxz00_6175;

												{	/* SawBbv/bbv.scm 279 */
													BgL_objectz00_bglt BgL_tmpz00_6176;

													BgL_tmpz00_6176 =
														((BgL_objectz00_bglt) BgL_blockz00_4192);
													BgL_auxz00_6175 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6176);
												}
												BgL_auxz00_6174 =
													((BgL_blocksz00_bglt) BgL_auxz00_6175);
											}
											BgL_arg1698z00_4195 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6174))->
												BgL_z52markz52);
										}
										BgL_arg1705z00_4196 =
											STRUCT_REF(BgL_setz00_2564, (int) (((long) 0)));
										BgL_test3031z00_6170 =
											(BINT(BgL_arg1698z00_4195) == BgL_arg1705z00_4196);
								}}
								if (BgL_test3031z00_6170)
									{	/* SawBbv/bbv.scm 280 */
										obj_t BgL_arg2035z00_2569;

										BgL_arg2035z00_2569 = CDR(((obj_t) BgL_bsz00_2563));
										{
											obj_t BgL_bsz00_6187;

											BgL_bsz00_6187 = BgL_arg2035z00_2569;
											BgL_bsz00_2563 = BgL_bsz00_6187;
											goto BgL_zc3z04anonymousza32030ze3z87_2565;
										}
									}
								else
									{	/* SawBbv/bbv.scm 282 */
										BgL_blockz00_bglt BgL_i1215z00_2570;

										BgL_i1215z00_2570 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2563)));
										{	/* SawBbv/bbv.scm 283 */
											obj_t BgL_arg2037z00_2571;

											BgL_arg2037z00_2571 = CAR(((obj_t) BgL_bsz00_2563));
											BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
												((BgL_blockz00_bglt) BgL_arg2037z00_2571),
												BgL_lblz00_103);
										}
										{	/* SawBbv/bbv.scm 284 */
											obj_t BgL_arg2039z00_2572;
											obj_t BgL_arg2040z00_2573;

											{	/* SawBbv/bbv.scm 284 */
												obj_t BgL_arg2041z00_2574;
												obj_t BgL_arg2042z00_2575;

												BgL_arg2041z00_2574 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1215z00_2570)))->
													BgL_succsz00);
												BgL_arg2042z00_2575 = CDR(((obj_t) BgL_bsz00_2563));
												BgL_arg2039z00_2572 =
													BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2041z00_2574,
													BgL_arg2042z00_2575);
											}
											{	/* SawBbv/bbv.scm 285 */
												obj_t BgL_arg2043z00_2576;

												BgL_arg2043z00_2576 = CAR(((obj_t) BgL_bsz00_2563));
												BgL_arg2040z00_2573 =
													BGl_bbsetzd2conszd2zzsaw_bbvz00(
													((BgL_blockz00_bglt) BgL_arg2043z00_2576),
													BgL_setz00_2564);
											}
											{
												obj_t BgL_setz00_6205;
												obj_t BgL_bsz00_6204;

												BgL_bsz00_6204 = BgL_arg2039z00_2572;
												BgL_setz00_6205 = BgL_arg2040z00_2573;
												BgL_setz00_2564 = BgL_setz00_6205;
												BgL_bsz00_2563 = BgL_bsz00_6204;
												goto BgL_zc3z04anonymousza32030ze3z87_2565;
											}
										}
									}
							}
					}
				}
			else
				{	/* SawBbv/bbv.scm 273 */
					return BFALSE;
				}
		}

	}



/* gc! */
	BgL_blockz00_bglt BGl_gcz12z12zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_104)
	{
		{	/* SawBbv/bbv.scm 294 */
			{
				BgL_blockz00_bglt BgL_bz00_2605;
				obj_t BgL_setmz00_2606;
				BgL_blockz00_bglt BgL_bz00_2583;

				BgL_bz00_2605 = BgL_bz00_104;
				BgL_bz00_2583 = BgL_bz00_104;
				{	/* SawBbv/bbv.scm 297 */
					obj_t BgL_g1216z00_2585;
					obj_t BgL_g1217z00_2586;

					{	/* SawBbv/bbv.scm 297 */
						obj_t BgL_list2061z00_2604;

						BgL_list2061z00_2604 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2583), BNIL);
						BgL_g1216z00_2585 = BgL_list2061z00_2604;
					}
					BgL_g1217z00_2586 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
					{
						obj_t BgL_bsz00_2588;
						obj_t BgL_setz00_2589;

						BgL_bsz00_2588 = BgL_g1216z00_2585;
						BgL_setz00_2589 = BgL_g1217z00_2586;
					BgL_zc3z04anonymousza32048ze3z87_2590:
						if (NULLP(BgL_bsz00_2588))
							{	/* SawBbv/bbv.scm 300 */
								BgL_setmz00_2606 = BgL_setz00_2589;
							}
						else
							{	/* SawBbv/bbv.scm 302 */
								bool_t BgL_test3037z00_6300;

								{	/* SawBbv/bbv.scm 302 */
									BgL_blockz00_bglt BgL_blockz00_4206;

									BgL_blockz00_4206 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2588)));
									{	/* SawBbv/bbv.scm 302 */
										long BgL_arg1698z00_4209;
										obj_t BgL_arg1705z00_4210;

										{
											BgL_blocksz00_bglt BgL_auxz00_6304;

											{
												obj_t BgL_auxz00_6305;

												{	/* SawBbv/bbv.scm 302 */
													BgL_objectz00_bglt BgL_tmpz00_6306;

													BgL_tmpz00_6306 =
														((BgL_objectz00_bglt) BgL_blockz00_4206);
													BgL_auxz00_6305 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6306);
												}
												BgL_auxz00_6304 =
													((BgL_blocksz00_bglt) BgL_auxz00_6305);
											}
											BgL_arg1698z00_4209 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6304))->
												BgL_z52markz52);
										}
										BgL_arg1705z00_4210 =
											STRUCT_REF(BgL_setz00_2589, (int) (((long) 0)));
										BgL_test3037z00_6300 =
											(BINT(BgL_arg1698z00_4209) == BgL_arg1705z00_4210);
								}}
								if (BgL_test3037z00_6300)
									{	/* SawBbv/bbv.scm 303 */
										obj_t BgL_arg2052z00_2594;

										BgL_arg2052z00_2594 = CDR(((obj_t) BgL_bsz00_2588));
										{
											obj_t BgL_bsz00_6317;

											BgL_bsz00_6317 = BgL_arg2052z00_2594;
											BgL_bsz00_2588 = BgL_bsz00_6317;
											goto BgL_zc3z04anonymousza32048ze3z87_2590;
										}
									}
								else
									{	/* SawBbv/bbv.scm 305 */
										BgL_blockz00_bglt BgL_i1218z00_2595;

										BgL_i1218z00_2595 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2588)));
										if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv.scm 307 */
												obj_t BgL_arg2053z00_2596;

												BgL_arg2053z00_2596 = CAR(((obj_t) BgL_bsz00_2588));
												BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg2053z00_2596),
													BGl_string2840z00zzsaw_bbvz00);
											}
										else
											{	/* SawBbv/bbv.scm 306 */
												BFALSE;
											}
										{	/* SawBbv/bbv.scm 308 */
											obj_t BgL_arg2055z00_2597;
											obj_t BgL_arg2056z00_2598;

											{	/* SawBbv/bbv.scm 308 */
												obj_t BgL_arg2057z00_2599;
												obj_t BgL_arg2058z00_2600;

												BgL_arg2057z00_2599 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1218z00_2595)))->
													BgL_succsz00);
												BgL_arg2058z00_2600 = CDR(((obj_t) BgL_bsz00_2588));
												BgL_arg2055z00_2597 =
													BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2057z00_2599,
													BgL_arg2058z00_2600);
											}
											{	/* SawBbv/bbv.scm 309 */
												obj_t BgL_arg2059z00_2601;

												BgL_arg2059z00_2601 = CAR(((obj_t) BgL_bsz00_2588));
												BgL_arg2056z00_2598 =
													BGl_bbsetzd2conszd2zzsaw_bbvz00(
													((BgL_blockz00_bglt) BgL_arg2059z00_2601),
													BgL_setz00_2589);
											}
											{
												obj_t BgL_setz00_6337;
												obj_t BgL_bsz00_6336;

												BgL_bsz00_6336 = BgL_arg2055z00_2597;
												BgL_setz00_6337 = BgL_arg2056z00_2598;
												BgL_setz00_2589 = BgL_setz00_6337;
												BgL_bsz00_2588 = BgL_bsz00_6336;
												goto BgL_zc3z04anonymousza32048ze3z87_2590;
											}
										}
									}
							}
					}
				}
				{	/* SawBbv/bbv.scm 312 */
					obj_t BgL_g1219z00_2608;
					obj_t BgL_g1220z00_2609;

					{	/* SawBbv/bbv.scm 312 */
						obj_t BgL_list2082z00_2642;

						BgL_list2082z00_2642 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2605), BNIL);
						BgL_g1219z00_2608 = BgL_list2082z00_2642;
					}
					BgL_g1220z00_2609 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
					{
						obj_t BgL_bsz00_2611;
						obj_t BgL_setz00_2612;

						BgL_bsz00_2611 = BgL_g1219z00_2608;
						BgL_setz00_2612 = BgL_g1220z00_2609;
					BgL_zc3z04anonymousza32063ze3z87_2613:
						if (NULLP(BgL_bsz00_2611))
							{	/* SawBbv/bbv.scm 315 */
								BgL_setz00_2612;
							}
						else
							{	/* SawBbv/bbv.scm 317 */
								bool_t BgL_test3033z00_6211;

								{	/* SawBbv/bbv.scm 317 */
									BgL_blockz00_bglt BgL_blockz00_4220;

									BgL_blockz00_4220 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2611)));
									{	/* SawBbv/bbv.scm 317 */
										long BgL_arg1698z00_4223;
										obj_t BgL_arg1705z00_4224;

										{
											BgL_blocksz00_bglt BgL_auxz00_6215;

											{
												obj_t BgL_auxz00_6216;

												{	/* SawBbv/bbv.scm 317 */
													BgL_objectz00_bglt BgL_tmpz00_6217;

													BgL_tmpz00_6217 =
														((BgL_objectz00_bglt) BgL_blockz00_4220);
													BgL_auxz00_6216 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6217);
												}
												BgL_auxz00_6215 =
													((BgL_blocksz00_bglt) BgL_auxz00_6216);
											}
											BgL_arg1698z00_4223 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6215))->
												BgL_z52markz52);
										}
										BgL_arg1705z00_4224 =
											STRUCT_REF(BgL_setz00_2612, (int) (((long) 0)));
										BgL_test3033z00_6211 =
											(BINT(BgL_arg1698z00_4223) == BgL_arg1705z00_4224);
								}}
								if (BgL_test3033z00_6211)
									{	/* SawBbv/bbv.scm 318 */
										obj_t BgL_arg2067z00_2617;

										BgL_arg2067z00_2617 = CDR(((obj_t) BgL_bsz00_2611));
										{
											obj_t BgL_bsz00_6228;

											BgL_bsz00_6228 = BgL_arg2067z00_2617;
											BgL_bsz00_2611 = BgL_bsz00_6228;
											goto BgL_zc3z04anonymousza32063ze3z87_2613;
										}
									}
								else
									{	/* SawBbv/bbv.scm 320 */
										BgL_blockz00_bglt BgL_i1221z00_2618;

										BgL_i1221z00_2618 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2611)));
										{	/* SawBbv/bbv.scm 321 */
											BgL_blockz00_bglt BgL_i1222z00_2619;

											{
												BgL_blocksz00_bglt BgL_auxz00_6232;

												{
													obj_t BgL_auxz00_6233;

													{	/* SawBbv/bbv.scm 322 */
														BgL_objectz00_bglt BgL_tmpz00_6234;

														BgL_tmpz00_6234 =
															((BgL_objectz00_bglt) BgL_i1221z00_2618);
														BgL_auxz00_6233 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6234);
													}
													BgL_auxz00_6232 =
														((BgL_blocksz00_bglt) BgL_auxz00_6233);
												}
												BgL_i1222z00_2619 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6232))->
													BgL_parentz00);
											}
											{
												obj_t BgL_auxz00_6245;
												BgL_blockvz00_bglt BgL_auxz00_6239;

												{	/* SawBbv/bbv.scm 323 */
													obj_t BgL_hook1614z00_2620;

													BgL_hook1614z00_2620 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{	/* SawBbv/bbv.scm 323 */
														obj_t BgL_g1615z00_2621;

														{
															BgL_blockvz00_bglt BgL_auxz00_6247;

															{
																obj_t BgL_auxz00_6248;

																{	/* SawBbv/bbv.scm 323 */
																	BgL_objectz00_bglt BgL_tmpz00_6249;

																	BgL_tmpz00_6249 =
																		((BgL_objectz00_bglt) BgL_i1222z00_2619);
																	BgL_auxz00_6248 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6249);
																}
																BgL_auxz00_6247 =
																	((BgL_blockvz00_bglt) BgL_auxz00_6248);
															}
															BgL_g1615z00_2621 =
																(((BgL_blockvz00_bglt)
																	COBJECT(BgL_auxz00_6247))->BgL_versionsz00);
														}
														{
															obj_t BgL_l1611z00_2623;
															obj_t BgL_h1612z00_2624;

															BgL_l1611z00_2623 = BgL_g1615z00_2621;
															BgL_h1612z00_2624 = BgL_hook1614z00_2620;
														BgL_zc3z04anonymousza32068ze3z87_2625:
															if (NULLP(BgL_l1611z00_2623))
																{	/* SawBbv/bbv.scm 323 */
																	BgL_auxz00_6245 = CDR(BgL_hook1614z00_2620);
																}
															else
																{	/* SawBbv/bbv.scm 323 */
																	bool_t BgL_test3035z00_6257;

																	{	/* SawBbv/bbv.scm 323 */
																		BgL_blockz00_bglt BgL_blockz00_4234;

																		BgL_blockz00_4234 =
																			((BgL_blockz00_bglt)
																			CAR(((obj_t) BgL_l1611z00_2623)));
																		{	/* SawBbv/bbv.scm 323 */
																			long BgL_arg1698z00_4237;
																			obj_t BgL_arg1705z00_4238;

																			{
																				BgL_blocksz00_bglt BgL_auxz00_6261;

																				{
																					obj_t BgL_auxz00_6262;

																					{	/* SawBbv/bbv.scm 323 */
																						BgL_objectz00_bglt BgL_tmpz00_6263;

																						BgL_tmpz00_6263 =
																							((BgL_objectz00_bglt)
																							BgL_blockz00_4234);
																						BgL_auxz00_6262 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_6263);
																					}
																					BgL_auxz00_6261 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_6262);
																				}
																				BgL_arg1698z00_4237 =
																					(((BgL_blocksz00_bglt)
																						COBJECT(BgL_auxz00_6261))->
																					BgL_z52markz52);
																			}
																			BgL_arg1705z00_4238 =
																				STRUCT_REF(BgL_setmz00_2606,
																				(int) (((long) 0)));
																			BgL_test3035z00_6257 =
																				(BINT(BgL_arg1698z00_4237) ==
																				BgL_arg1705z00_4238);
																	}}
																	if (BgL_test3035z00_6257)
																		{	/* SawBbv/bbv.scm 323 */
																			obj_t BgL_nh1613z00_2629;

																			{	/* SawBbv/bbv.scm 323 */
																				obj_t BgL_arg2072z00_2631;

																				BgL_arg2072z00_2631 =
																					CAR(((obj_t) BgL_l1611z00_2623));
																				BgL_nh1613z00_2629 =
																					MAKE_YOUNG_PAIR(BgL_arg2072z00_2631,
																					BNIL);
																			}
																			SET_CDR(BgL_h1612z00_2624,
																				BgL_nh1613z00_2629);
																			{	/* SawBbv/bbv.scm 323 */
																				obj_t BgL_arg2071z00_2630;

																				BgL_arg2071z00_2630 =
																					CDR(((obj_t) BgL_l1611z00_2623));
																				{
																					obj_t BgL_h1612z00_6279;
																					obj_t BgL_l1611z00_6278;

																					BgL_l1611z00_6278 =
																						BgL_arg2071z00_2630;
																					BgL_h1612z00_6279 =
																						BgL_nh1613z00_2629;
																					BgL_h1612z00_2624 = BgL_h1612z00_6279;
																					BgL_l1611z00_2623 = BgL_l1611z00_6278;
																					goto
																						BgL_zc3z04anonymousza32068ze3z87_2625;
																				}
																			}
																		}
																	else
																		{	/* SawBbv/bbv.scm 323 */
																			obj_t BgL_arg2073z00_2632;

																			BgL_arg2073z00_2632 =
																				CDR(((obj_t) BgL_l1611z00_2623));
																			{
																				obj_t BgL_l1611z00_6282;

																				BgL_l1611z00_6282 = BgL_arg2073z00_2632;
																				BgL_l1611z00_2623 = BgL_l1611z00_6282;
																				goto
																					BgL_zc3z04anonymousza32068ze3z87_2625;
																			}
																		}
																}
														}
													}
												}
												{
													obj_t BgL_auxz00_6240;

													{	/* SawBbv/bbv.scm 322 */
														BgL_objectz00_bglt BgL_tmpz00_6241;

														BgL_tmpz00_6241 =
															((BgL_objectz00_bglt) BgL_i1222z00_2619);
														BgL_auxz00_6240 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6241);
													}
													BgL_auxz00_6239 =
														((BgL_blockvz00_bglt) BgL_auxz00_6240);
												}
												((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6239))->
														BgL_versionsz00) =
													((obj_t) BgL_auxz00_6245), BUNSPEC);
											}
										}
										{	/* SawBbv/bbv.scm 324 */
											obj_t BgL_arg2074z00_2635;
											obj_t BgL_arg2077z00_2636;

											{	/* SawBbv/bbv.scm 324 */
												obj_t BgL_arg2078z00_2637;
												obj_t BgL_arg2079z00_2638;

												BgL_arg2078z00_2637 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1221z00_2618)))->
													BgL_succsz00);
												BgL_arg2079z00_2638 = CDR(((obj_t) BgL_bsz00_2611));
												BgL_arg2074z00_2635 =
													BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2078z00_2637,
													BgL_arg2079z00_2638);
											}
											{	/* SawBbv/bbv.scm 325 */
												obj_t BgL_arg2080z00_2639;

												BgL_arg2080z00_2639 = CAR(((obj_t) BgL_bsz00_2611));
												BgL_arg2077z00_2636 =
													BGl_bbsetzd2conszd2zzsaw_bbvz00(
													((BgL_blockz00_bglt) BgL_arg2080z00_2639),
													BgL_setz00_2612);
											}
											{
												obj_t BgL_setz00_6294;
												obj_t BgL_bsz00_6293;

												BgL_bsz00_6293 = BgL_arg2074z00_2635;
												BgL_setz00_6294 = BgL_arg2077z00_2636;
												BgL_setz00_2612 = BgL_setz00_6294;
												BgL_bsz00_2611 = BgL_bsz00_6293;
												goto BgL_zc3z04anonymousza32063ze3z87_2613;
											}
										}
									}
							}
					}
				}
				return BgL_bz00_104;
			}
		}

	}



/* coalesce! */
	BgL_blockz00_bglt BGl_coalescez12z12zzsaw_bbvz00(obj_t BgL_markz00_105,
		BgL_blockz00_bglt BgL_bz00_106)
	{
		{	/* SawBbv/bbv.scm 335 */
			BGl_assertzd2blockszd2zzsaw_bbvz00(BgL_bz00_106,
				BGl_string2841z00zzsaw_bbvz00);
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv.scm 339 */
					obj_t BgL_arg2083z00_2646;
					int BgL_arg2084z00_2647;
					int BgL_arg2085z00_2648;
					obj_t BgL_arg2086z00_2649;

					{	/* SawBbv/bbv.scm 339 */
						obj_t BgL_tmpz00_6341;

						BgL_tmpz00_6341 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg2083z00_2646 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_6341);
					}
					BgL_arg2084z00_2647 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_106)))->BgL_labelz00);
					{	/* SawBbv/bbv.scm 339 */
						BgL_blockz00_bglt BgL_arg2099z00_2660;

						{
							BgL_blocksz00_bglt BgL_auxz00_6346;

							{
								obj_t BgL_auxz00_6347;

								{	/* SawBbv/bbv.scm 339 */
									BgL_objectz00_bglt BgL_tmpz00_6348;

									BgL_tmpz00_6348 = ((BgL_objectz00_bglt) BgL_bz00_106);
									BgL_auxz00_6347 = BGL_OBJECT_WIDENING(BgL_tmpz00_6348);
								}
								BgL_auxz00_6346 = ((BgL_blocksz00_bglt) BgL_auxz00_6347);
							}
							BgL_arg2099z00_2660 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6346))->
								BgL_parentz00);
						}
						BgL_arg2085z00_2648 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_arg2099z00_2660)))->BgL_labelz00);
					}
					{	/* SawBbv/bbv.scm 340 */
						obj_t BgL_l1616z00_2661;

						BgL_l1616z00_2661 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_106)))->BgL_succsz00);
						if (NULLP(BgL_l1616z00_2661))
							{	/* SawBbv/bbv.scm 340 */
								BgL_arg2086z00_2649 = BNIL;
							}
						else
							{	/* SawBbv/bbv.scm 340 */
								obj_t BgL_head1618z00_2663;

								{	/* SawBbv/bbv.scm 340 */
									int BgL_arg2106z00_2675;

									BgL_arg2106z00_2675 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													CAR(BgL_l1616z00_2661))))->BgL_labelz00);
									BgL_head1618z00_2663 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg2106z00_2675), BNIL);
								}
								{	/* SawBbv/bbv.scm 340 */
									obj_t BgL_g1621z00_2664;

									BgL_g1621z00_2664 = CDR(BgL_l1616z00_2661);
									{
										obj_t BgL_l1616z00_2666;
										obj_t BgL_tail1619z00_2667;

										BgL_l1616z00_2666 = BgL_g1621z00_2664;
										BgL_tail1619z00_2667 = BgL_head1618z00_2663;
									BgL_zc3z04anonymousza32101ze3z87_2668:
										if (NULLP(BgL_l1616z00_2666))
											{	/* SawBbv/bbv.scm 340 */
												BgL_arg2086z00_2649 = BgL_head1618z00_2663;
											}
										else
											{	/* SawBbv/bbv.scm 340 */
												obj_t BgL_newtail1620z00_2670;

												{	/* SawBbv/bbv.scm 340 */
													int BgL_arg2104z00_2672;

													BgL_arg2104z00_2672 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1616z00_2666)))))->
														BgL_labelz00);
													BgL_newtail1620z00_2670 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg2104z00_2672), BNIL);
												}
												SET_CDR(BgL_tail1619z00_2667, BgL_newtail1620z00_2670);
												{	/* SawBbv/bbv.scm 340 */
													obj_t BgL_arg2103z00_2671;

													BgL_arg2103z00_2671 =
														CDR(((obj_t) BgL_l1616z00_2666));
													{
														obj_t BgL_tail1619z00_6377;
														obj_t BgL_l1616z00_6376;

														BgL_l1616z00_6376 = BgL_arg2103z00_2671;
														BgL_tail1619z00_6377 = BgL_newtail1620z00_2670;
														BgL_tail1619z00_2667 = BgL_tail1619z00_6377;
														BgL_l1616z00_2666 = BgL_l1616z00_6376;
														goto BgL_zc3z04anonymousza32101ze3z87_2668;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawBbv/bbv.scm 339 */
						obj_t BgL_list2087z00_2650;

						{	/* SawBbv/bbv.scm 339 */
							obj_t BgL_arg2088z00_2651;

							{	/* SawBbv/bbv.scm 339 */
								obj_t BgL_arg2089z00_2652;

								{	/* SawBbv/bbv.scm 339 */
									obj_t BgL_arg2091z00_2653;

									{	/* SawBbv/bbv.scm 339 */
										obj_t BgL_arg2092z00_2654;

										{	/* SawBbv/bbv.scm 339 */
											obj_t BgL_arg2093z00_2655;

											{	/* SawBbv/bbv.scm 339 */
												obj_t BgL_arg2094z00_2656;

												{	/* SawBbv/bbv.scm 339 */
													obj_t BgL_arg2096z00_2657;

													{	/* SawBbv/bbv.scm 339 */
														obj_t BgL_arg2097z00_2658;

														{	/* SawBbv/bbv.scm 339 */
															obj_t BgL_arg2098z00_2659;

															BgL_arg2098z00_2659 =
																MAKE_YOUNG_PAIR(BgL_arg2086z00_2649, BNIL);
															BgL_arg2097z00_2658 =
																MAKE_YOUNG_PAIR(BGl_string2836z00zzsaw_bbvz00,
																BgL_arg2098z00_2659);
														}
														BgL_arg2096z00_2657 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2085z00_2648),
															BgL_arg2097z00_2658);
													}
													BgL_arg2094z00_2656 =
														MAKE_YOUNG_PAIR(BGl_string2842z00zzsaw_bbvz00,
														BgL_arg2096z00_2657);
												}
												BgL_arg2093z00_2655 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2084z00_2647),
													BgL_arg2094z00_2656);
											}
											BgL_arg2092z00_2654 =
												MAKE_YOUNG_PAIR(BGl_string2843z00zzsaw_bbvz00,
												BgL_arg2093z00_2655);
										}
										BgL_arg2091z00_2653 =
											MAKE_YOUNG_PAIR(BGl_string2826z00zzsaw_bbvz00,
											BgL_arg2092z00_2654);
									}
									BgL_arg2089z00_2652 =
										MAKE_YOUNG_PAIR(BINT(((long) 339)), BgL_arg2091z00_2653);
								}
								BgL_arg2088z00_2651 =
									MAKE_YOUNG_PAIR(BGl_string2827z00zzsaw_bbvz00,
									BgL_arg2089z00_2652);
							}
							BgL_list2087z00_2650 =
								MAKE_YOUNG_PAIR(BGl_string2828z00zzsaw_bbvz00,
								BgL_arg2088z00_2651);
						}
						BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2083z00_2646,
							BgL_list2087z00_2650);
				}}
			else
				{	/* SawBbv/bbv.scm 338 */
					BFALSE;
				}
			{	/* SawBbv/bbv.scm 341 */
				BgL_blockz00_bglt BgL_i1224z00_2677;

				{
					BgL_blocksz00_bglt BgL_auxz00_6392;

					{
						obj_t BgL_auxz00_6393;

						{	/* SawBbv/bbv.scm 342 */
							BgL_objectz00_bglt BgL_tmpz00_6394;

							BgL_tmpz00_6394 = ((BgL_objectz00_bglt) BgL_bz00_106);
							BgL_auxz00_6393 = BGL_OBJECT_WIDENING(BgL_tmpz00_6394);
						}
						BgL_auxz00_6392 = ((BgL_blocksz00_bglt) BgL_auxz00_6393);
					}
					BgL_i1224z00_2677 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6392))->BgL_parentz00);
				}
				{	/* SawBbv/bbv.scm 342 */
					bool_t BgL_test3042z00_6399;

					{	/* SawBbv/bbv.scm 342 */
						long BgL_arg2172z00_2773;

						{
							BgL_blockvz00_bglt BgL_auxz00_6400;

							{
								obj_t BgL_auxz00_6401;

								{	/* SawBbv/bbv.scm 342 */
									BgL_objectz00_bglt BgL_tmpz00_6402;

									BgL_tmpz00_6402 = ((BgL_objectz00_bglt) BgL_i1224z00_2677);
									BgL_auxz00_6401 = BGL_OBJECT_WIDENING(BgL_tmpz00_6402);
								}
								BgL_auxz00_6400 = ((BgL_blockvz00_bglt) BgL_auxz00_6401);
							}
							BgL_arg2172z00_2773 =
								(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6400))->
								BgL_z52markz52);
						}
						BgL_test3042z00_6399 =
							((long) CINT(BgL_markz00_105) == BgL_arg2172z00_2773);
					}
					if (BgL_test3042z00_6399)
						{	/* SawBbv/bbv.scm 342 */
							((bool_t) 0);
						}
					else
						{	/* SawBbv/bbv.scm 342 */
							{
								BgL_blockvz00_bglt BgL_auxz00_6409;

								{
									obj_t BgL_auxz00_6410;

									{	/* SawBbv/bbv.scm 343 */
										BgL_objectz00_bglt BgL_tmpz00_6411;

										BgL_tmpz00_6411 = ((BgL_objectz00_bglt) BgL_i1224z00_2677);
										BgL_auxz00_6410 = BGL_OBJECT_WIDENING(BgL_tmpz00_6411);
									}
									BgL_auxz00_6409 = ((BgL_blockvz00_bglt) BgL_auxz00_6410);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_6409))->
										BgL_z52markz52) =
									((long) (long) CINT(BgL_markz00_105)), BUNSPEC);
							}
							{	/* SawBbv/bbv.scm 346 */
								obj_t BgL_versionsz00_2680;

								{	/* SawBbv/bbv.scm 346 */
									BgL_blockz00_bglt BgL_arg2171z00_2772;

									{
										BgL_blocksz00_bglt BgL_auxz00_6417;

										{
											obj_t BgL_auxz00_6418;

											{	/* SawBbv/bbv.scm 346 */
												BgL_objectz00_bglt BgL_tmpz00_6419;

												BgL_tmpz00_6419 = ((BgL_objectz00_bglt) BgL_bz00_106);
												BgL_auxz00_6418 = BGL_OBJECT_WIDENING(BgL_tmpz00_6419);
											}
											BgL_auxz00_6417 = ((BgL_blocksz00_bglt) BgL_auxz00_6418);
										}
										BgL_arg2171z00_2772 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6417))->
											BgL_parentz00);
									}
									BgL_versionsz00_2680 =
										BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2
										(BgL_arg2171z00_2772);
								}
								{	/* SawBbv/bbv.scm 347 */
									bool_t BgL_test3043z00_6425;

									if (NULLP(BgL_versionsz00_2680))
										{	/* SawBbv/bbv.scm 347 */
											BgL_test3043z00_6425 = ((bool_t) 1);
										}
									else
										{	/* SawBbv/bbv.scm 347 */
											BgL_test3043z00_6425 = NULLP(CDR(BgL_versionsz00_2680));
										}
									if (BgL_test3043z00_6425)
										{	/* SawBbv/bbv.scm 348 */
											obj_t BgL_g1624z00_2684;

											BgL_g1624z00_2684 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_bz00_106)))->BgL_succsz00);
											{
												obj_t BgL_l1622z00_2686;

												BgL_l1622z00_2686 = BgL_g1624z00_2684;
											BgL_zc3z04anonymousza32113ze3z87_2687:
												if (PAIRP(BgL_l1622z00_2686))
													{	/* SawBbv/bbv.scm 348 */
														{	/* SawBbv/bbv.scm 348 */
															obj_t BgL_sz00_2689;

															BgL_sz00_2689 = CAR(BgL_l1622z00_2686);
															BGl_coalescez12z12zzsaw_bbvz00(BgL_markz00_105,
																((BgL_blockz00_bglt) BgL_sz00_2689));
														}
														{
															obj_t BgL_l1622z00_6437;

															BgL_l1622z00_6437 = CDR(BgL_l1622z00_2686);
															BgL_l1622z00_2686 = BgL_l1622z00_6437;
															goto BgL_zc3z04anonymousza32113ze3z87_2687;
														}
													}
												else
													{	/* SawBbv/bbv.scm 348 */
														((bool_t) 1);
													}
											}
										}
									else
										{	/* SawBbv/bbv.scm 349 */
											obj_t BgL_ksz00_2692;

											{	/* SawBbv/bbv.scm 349 */
												obj_t BgL_arg2160z00_2749;

												if (NULLP(BgL_versionsz00_2680))
													{	/* SawBbv/bbv.scm 351 */
														BgL_arg2160z00_2749 = BNIL;
													}
												else
													{	/* SawBbv/bbv.scm 351 */
														obj_t BgL_head1627z00_2757;

														BgL_head1627z00_2757 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1625z00_2759;
															obj_t BgL_tail1628z00_2760;

															BgL_l1625z00_2759 = BgL_versionsz00_2680;
															BgL_tail1628z00_2760 = BgL_head1627z00_2757;
														BgL_zc3z04anonymousza32165ze3z87_2761:
															if (NULLP(BgL_l1625z00_2759))
																{	/* SawBbv/bbv.scm 351 */
																	BgL_arg2160z00_2749 =
																		CDR(BgL_head1627z00_2757);
																}
															else
																{	/* SawBbv/bbv.scm 351 */
																	obj_t BgL_newtail1629z00_2763;

																	{	/* SawBbv/bbv.scm 351 */
																		obj_t BgL_arg2168z00_2765;

																		{	/* SawBbv/bbv.scm 351 */
																			obj_t BgL_vz00_2766;

																			BgL_vz00_2766 =
																				CAR(((obj_t) BgL_l1625z00_2759));
																			BgL_arg2168z00_2765 =
																				MAKE_YOUNG_PAIR
																				(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																				(BgL_vz00_2766), BgL_vz00_2766);
																		}
																		BgL_newtail1629z00_2763 =
																			MAKE_YOUNG_PAIR(BgL_arg2168z00_2765,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1628z00_2760,
																		BgL_newtail1629z00_2763);
																	{	/* SawBbv/bbv.scm 351 */
																		obj_t BgL_arg2167z00_2764;

																		BgL_arg2167z00_2764 =
																			CDR(((obj_t) BgL_l1625z00_2759));
																		{
																			obj_t BgL_tail1628z00_6454;
																			obj_t BgL_l1625z00_6453;

																			BgL_l1625z00_6453 = BgL_arg2167z00_2764;
																			BgL_tail1628z00_6454 =
																				BgL_newtail1629z00_2763;
																			BgL_tail1628z00_2760 =
																				BgL_tail1628z00_6454;
																			BgL_l1625z00_2759 = BgL_l1625z00_6453;
																			goto
																				BgL_zc3z04anonymousza32165ze3z87_2761;
																		}
																	}
																}
														}
													}
												BgL_ksz00_2692 =
													BGl_sortz00zz__r4_vectors_6_8z00
													(BGl_proc2844z00zzsaw_bbvz00, BgL_arg2160z00_2749);
											}
											{
												obj_t BgL_ksz00_2694;

												BgL_ksz00_2694 = BgL_ksz00_2692;
											BgL_zc3z04anonymousza32116ze3z87_2695:
												if (NULLP(CDR(((obj_t) BgL_ksz00_2694))))
													{	/* SawBbv/bbv.scm 361 */
														obj_t BgL_g1632z00_2698;

														BgL_g1632z00_2698 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_106)))->
															BgL_succsz00);
														{
															obj_t BgL_l1630z00_2700;

															BgL_l1630z00_2700 = BgL_g1632z00_2698;
														BgL_zc3z04anonymousza32119ze3z87_2701:
															if (PAIRP(BgL_l1630z00_2700))
																{	/* SawBbv/bbv.scm 361 */
																	{	/* SawBbv/bbv.scm 361 */
																		obj_t BgL_sz00_2703;

																		BgL_sz00_2703 = CAR(BgL_l1630z00_2700);
																		BGl_coalescez12z12zzsaw_bbvz00
																			(BgL_markz00_105,
																			((BgL_blockz00_bglt) BgL_sz00_2703));
																	}
																	{
																		obj_t BgL_l1630z00_6467;

																		BgL_l1630z00_6467 = CDR(BgL_l1630z00_2700);
																		BgL_l1630z00_2700 = BgL_l1630z00_6467;
																		goto BgL_zc3z04anonymousza32119ze3z87_2701;
																	}
																}
															else
																{	/* SawBbv/bbv.scm 361 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* SawBbv/bbv.scm 362 */
														bool_t BgL_test3050z00_6469;

														{	/* SawBbv/bbv.scm 362 */
															long BgL_arg2156z00_2744;

															{	/* SawBbv/bbv.scm 362 */
																BgL_blockz00_bglt BgL_oz00_4284;

																{	/* SawBbv/bbv.scm 362 */
																	obj_t BgL_pairz00_4283;

																	BgL_pairz00_4283 =
																		CAR(((obj_t) BgL_ksz00_2694));
																	BgL_oz00_4284 =
																		((BgL_blockz00_bglt) CDR(BgL_pairz00_4283));
																}
																{
																	BgL_blocksz00_bglt BgL_auxz00_6474;

																	{
																		obj_t BgL_auxz00_6475;

																		{	/* SawBbv/bbv.scm 362 */
																			BgL_objectz00_bglt BgL_tmpz00_6476;

																			BgL_tmpz00_6476 =
																				((BgL_objectz00_bglt) BgL_oz00_4284);
																			BgL_auxz00_6475 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6476);
																		}
																		BgL_auxz00_6474 =
																			((BgL_blocksz00_bglt) BgL_auxz00_6475);
																	}
																	BgL_arg2156z00_2744 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_6474))->
																		BgL_z52markz52);
															}}
															BgL_test3050z00_6469 =
																(BgL_arg2156z00_2744 >=
																(long) CINT(BgL_markz00_105));
														}
														if (BgL_test3050z00_6469)
															{	/* SawBbv/bbv.scm 363 */
																obj_t BgL_arg2125z00_2709;

																BgL_arg2125z00_2709 =
																	CDR(((obj_t) BgL_ksz00_2694));
																{
																	obj_t BgL_ksz00_6485;

																	BgL_ksz00_6485 = BgL_arg2125z00_2709;
																	BgL_ksz00_2694 = BgL_ksz00_6485;
																	goto BgL_zc3z04anonymousza32116ze3z87_2695;
																}
															}
														else
															{	/* SawBbv/bbv.scm 365 */
																obj_t BgL_kz00_2710;

																BgL_kz00_2710 = CAR(((obj_t) BgL_ksz00_2694));
																if (CBOOL
																	(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																	{	/* SawBbv/bbv.scm 367 */
																		obj_t BgL_arg2126z00_2711;

																		BgL_arg2126z00_2711 =
																			CDR(((obj_t) BgL_kz00_2710));
																		BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
																			((BgL_blockz00_bglt) BgL_arg2126z00_2711),
																			BGl_string2845z00zzsaw_bbvz00);
																	}
																else
																	{	/* SawBbv/bbv.scm 366 */
																		BFALSE;
																	}
																{	/* SawBbv/bbv.scm 368 */
																	obj_t BgL_g1225z00_2712;

																	BgL_g1225z00_2712 =
																		CDR(((obj_t) BgL_ksz00_2694));
																	{
																		obj_t BgL_lsz00_2714;

																		BgL_lsz00_2714 = BgL_g1225z00_2712;
																	BgL_zc3z04anonymousza32127ze3z87_2715:
																		if (NULLP(BgL_lsz00_2714))
																			{	/* SawBbv/bbv.scm 371 */
																				obj_t BgL_arg2130z00_2717;

																				BgL_arg2130z00_2717 =
																					CDR(((obj_t) BgL_ksz00_2694));
																				{
																					obj_t BgL_ksz00_6500;

																					BgL_ksz00_6500 = BgL_arg2130z00_2717;
																					BgL_ksz00_2694 = BgL_ksz00_6500;
																					goto
																						BgL_zc3z04anonymousza32116ze3z87_2695;
																				}
																			}
																		else
																			{	/* SawBbv/bbv.scm 372 */
																				bool_t BgL_test3053z00_6501;

																				{	/* SawBbv/bbv.scm 372 */
																					bool_t BgL_test3054z00_6502;

																					{	/* SawBbv/bbv.scm 372 */
																						long BgL_tmpz00_6503;

																						{	/* SawBbv/bbv.scm 372 */
																							obj_t BgL_pairz00_4297;

																							BgL_pairz00_4297 =
																								CAR(((obj_t) BgL_lsz00_2714));
																							BgL_tmpz00_6503 =
																								(long)
																								CINT(CAR(BgL_pairz00_4297));
																						}
																						BgL_test3054z00_6502 =
																							(
																							(long) CINT(CAR(
																									((obj_t) BgL_kz00_2710))) ==
																							BgL_tmpz00_6503);
																					}
																					if (BgL_test3054z00_6502)
																						{	/* SawBbv/bbv.scm 373 */
																							bool_t BgL_test3055z00_6512;

																							{	/* SawBbv/bbv.scm 373 */
																								obj_t BgL_tmpz00_6513;

																								{	/* SawBbv/bbv.scm 373 */
																									obj_t BgL_pairz00_4304;

																									BgL_pairz00_4304 =
																										CAR(
																										((obj_t) BgL_lsz00_2714));
																									BgL_tmpz00_6513 =
																										CDR(BgL_pairz00_4304);
																								}
																								BgL_test3055z00_6512 =
																									(CDR(
																										((obj_t) BgL_kz00_2710)) ==
																									BgL_tmpz00_6513);
																							}
																							if (BgL_test3055z00_6512)
																								{	/* SawBbv/bbv.scm 373 */
																									BgL_test3053z00_6501 =
																										((bool_t) 0);
																								}
																							else
																								{	/* SawBbv/bbv.scm 374 */
																									obj_t BgL_arg2149z00_2737;
																									obj_t BgL_arg2150z00_2738;

																									BgL_arg2149z00_2737 =
																										CDR(
																										((obj_t) BgL_kz00_2710));
																									{	/* SawBbv/bbv.scm 374 */
																										obj_t BgL_pairz00_4309;

																										BgL_pairz00_4309 =
																											CAR(
																											((obj_t) BgL_lsz00_2714));
																										BgL_arg2150z00_2738 =
																											CDR(BgL_pairz00_4309);
																									}
																									BgL_test3053z00_6501 =
																										CBOOL
																										(BGl_coalescezf3zf3zzsaw_bbvz00
																										(((BgL_blockz00_bglt)
																												BgL_arg2149z00_2737),
																											((BgL_blockz00_bglt)
																												BgL_arg2150z00_2738),
																											BNIL));
																								}
																						}
																					else
																						{	/* SawBbv/bbv.scm 372 */
																							BgL_test3053z00_6501 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test3053z00_6501)
																					{	/* SawBbv/bbv.scm 372 */
																						{	/* SawBbv/bbv.scm 375 */
																							obj_t BgL_arg2145z00_2731;
																							obj_t BgL_arg2146z00_2732;

																							BgL_arg2145z00_2731 =
																								CDR(((obj_t) BgL_kz00_2710));
																							{	/* SawBbv/bbv.scm 375 */
																								obj_t BgL_pairz00_4314;

																								BgL_pairz00_4314 =
																									CAR(((obj_t) BgL_lsz00_2714));
																								BgL_arg2146z00_2732 =
																									CDR(BgL_pairz00_4314);
																							}
																							BGl_coalescezd2blockz12zc0zzsaw_bbvz00
																								(BgL_markz00_105,
																								BgL_arg2145z00_2731,
																								BgL_arg2146z00_2732);
																						}
																						{	/* SawBbv/bbv.scm 376 */
																							obj_t BgL_arg2147z00_2733;

																							BgL_arg2147z00_2733 =
																								CDR(((obj_t) BgL_lsz00_2714));
																							{
																								obj_t BgL_lsz00_6537;

																								BgL_lsz00_6537 =
																									BgL_arg2147z00_2733;
																								BgL_lsz00_2714 = BgL_lsz00_6537;
																								goto
																									BgL_zc3z04anonymousza32127ze3z87_2715;
																							}
																						}
																					}
																				else
																					{	/* SawBbv/bbv.scm 378 */
																						obj_t BgL_arg2148z00_2734;

																						BgL_arg2148z00_2734 =
																							CDR(((obj_t) BgL_lsz00_2714));
																						{
																							obj_t BgL_lsz00_6540;

																							BgL_lsz00_6540 =
																								BgL_arg2148z00_2734;
																							BgL_lsz00_2714 = BgL_lsz00_6540;
																							goto
																								BgL_zc3z04anonymousza32127ze3z87_2715;
																						}
																					}
																			}
																	}
																}
															}
													}
											}
										}
								}
							}
						}
				}
			}
			return BgL_bz00_106;
		}

	}



/* &<@anonymous:2161> */
	obj_t BGl_z62zc3z04anonymousza32161ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4827,
		obj_t BgL_v1z00_4828, obj_t BgL_v2z00_4829)
	{
		{	/* SawBbv/bbv.scm 349 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_v1z00_4828))) <=
					(long) CINT(CAR(((obj_t) BgL_v2z00_4829)))));
		}

	}



/* coalesce-block! */
	obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvz00(obj_t BgL_markz00_107,
		obj_t BgL_bz00_108, obj_t BgL_byz00_109)
	{
		{	/* SawBbv/bbv.scm 384 */
			{	/* SawBbv/bbv.scm 388 */
				obj_t BgL_g1226z00_2774;
				obj_t BgL_g1228z00_2775;

				{	/* SawBbv/bbv.scm 388 */
					obj_t BgL_list2196z00_2810;

					BgL_list2196z00_2810 = MAKE_YOUNG_PAIR(BgL_byz00_109, BNIL);
					BgL_g1226z00_2774 = BgL_list2196z00_2810;
				}
				{	/* SawBbv/bbv.scm 389 */
					obj_t BgL_list2197z00_2811;

					BgL_list2197z00_2811 = MAKE_YOUNG_PAIR(BgL_bz00_108, BNIL);
					BgL_g1228z00_2775 = BgL_list2197z00_2811;
				}
				{
					obj_t BgL_byz00_2777;
					obj_t BgL_bxz00_2778;

					BgL_byz00_2777 = BgL_g1226z00_2774;
					BgL_bxz00_2778 = BgL_g1228z00_2775;
				BgL_zc3z04anonymousza32173ze3z87_2779:
					if (NULLP(BgL_byz00_2777))
						{	/* SawBbv/bbv.scm 393 */
							return BgL_bz00_108;
						}
					else
						{	/* SawBbv/bbv.scm 395 */
							bool_t BgL_test3057z00_6553;

							{	/* SawBbv/bbv.scm 395 */
								long BgL_arg2194z00_2807;

								{	/* SawBbv/bbv.scm 395 */
									BgL_blockz00_bglt BgL_oz00_4320;

									BgL_oz00_4320 = ((BgL_blockz00_bglt) CAR(BgL_byz00_2777));
									{
										BgL_blocksz00_bglt BgL_auxz00_6556;

										{
											obj_t BgL_auxz00_6557;

											{	/* SawBbv/bbv.scm 395 */
												BgL_objectz00_bglt BgL_tmpz00_6558;

												BgL_tmpz00_6558 = ((BgL_objectz00_bglt) BgL_oz00_4320);
												BgL_auxz00_6557 = BGL_OBJECT_WIDENING(BgL_tmpz00_6558);
											}
											BgL_auxz00_6556 = ((BgL_blocksz00_bglt) BgL_auxz00_6557);
										}
										BgL_arg2194z00_2807 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6556))->
											BgL_z52markz52);
								}}
								BgL_test3057z00_6553 =
									(BgL_arg2194z00_2807 == (long) CINT(BgL_markz00_107));
							}
							if (BgL_test3057z00_6553)
								{	/* SawBbv/bbv.scm 395 */
									return BgL_bz00_108;
								}
							else
								{	/* SawBbv/bbv.scm 395 */
									if ((CAR(BgL_byz00_2777) == CAR(((obj_t) BgL_bxz00_2778))))
										{	/* SawBbv/bbv.scm 397 */
											return BgL_bz00_108;
										}
									else
										{	/* SawBbv/bbv.scm 400 */
											BgL_blockz00_bglt BgL_i1229z00_2787;

											BgL_i1229z00_2787 =
												((BgL_blockz00_bglt) CAR(BgL_byz00_2777));
											{
												BgL_blocksz00_bglt BgL_auxz00_6572;

												{
													obj_t BgL_auxz00_6573;

													{	/* SawBbv/bbv.scm 401 */
														BgL_objectz00_bglt BgL_tmpz00_6574;

														BgL_tmpz00_6574 =
															((BgL_objectz00_bglt) BgL_i1229z00_2787);
														BgL_auxz00_6573 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6574);
													}
													BgL_auxz00_6572 =
														((BgL_blocksz00_bglt) BgL_auxz00_6573);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6572))->
														BgL_z52markz52) =
													((long) (long) CINT(BgL_markz00_107)), BUNSPEC);
											}
											{	/* SawBbv/bbv.scm 402 */
												obj_t BgL_g1635z00_2788;

												BgL_g1635z00_2788 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1229z00_2787)))->
													BgL_predsz00);
												{
													obj_t BgL_l1633z00_2790;

													BgL_l1633z00_2790 = BgL_g1635z00_2788;
												BgL_zc3z04anonymousza32181ze3z87_2791:
													if (PAIRP(BgL_l1633z00_2790))
														{	/* SawBbv/bbv.scm 402 */
															{	/* SawBbv/bbv.scm 403 */
																obj_t BgL_dz00_2793;

																BgL_dz00_2793 = CAR(BgL_l1633z00_2790);
																{	/* SawBbv/bbv.scm 404 */
																	bool_t BgL_test3060z00_6585;

																	{	/* SawBbv/bbv.scm 404 */
																		long BgL_arg2188z00_2799;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_6586;

																			{
																				obj_t BgL_auxz00_6587;

																				{	/* SawBbv/bbv.scm 404 */
																					BgL_objectz00_bglt BgL_tmpz00_6588;

																					BgL_tmpz00_6588 =
																						((BgL_objectz00_bglt)
																						((BgL_blockz00_bglt)
																							BgL_dz00_2793));
																					BgL_auxz00_6587 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_6588);
																				}
																				BgL_auxz00_6586 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_6587);
																			}
																			BgL_arg2188z00_2799 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_6586))->
																				BgL_z52markz52);
																		}
																		BgL_test3060z00_6585 =
																			(
																			(long) CINT(BgL_markz00_107) ==
																			BgL_arg2188z00_2799);
																	}
																	if (BgL_test3060z00_6585)
																		{	/* SawBbv/bbv.scm 404 */
																			BFALSE;
																		}
																	else
																		{	/* SawBbv/bbv.scm 405 */
																			obj_t BgL_arg2185z00_2797;
																			obj_t BgL_arg2187z00_2798;

																			BgL_arg2185z00_2797 =
																				CAR(((obj_t) BgL_byz00_2777));
																			BgL_arg2187z00_2798 =
																				CAR(((obj_t) BgL_bxz00_2778));
																			BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																				(((BgL_blockz00_bglt) BgL_dz00_2793),
																				((BgL_blockz00_bglt)
																					BgL_arg2185z00_2797),
																				((BgL_blockz00_bglt)
																					BgL_arg2187z00_2798));
																		}
																}
															}
															{
																obj_t BgL_l1633z00_6604;

																BgL_l1633z00_6604 = CDR(BgL_l1633z00_2790);
																BgL_l1633z00_2790 = BgL_l1633z00_6604;
																goto BgL_zc3z04anonymousza32181ze3z87_2791;
															}
														}
													else
														{	/* SawBbv/bbv.scm 402 */
															((bool_t) 1);
														}
												}
											}
											{	/* SawBbv/bbv.scm 407 */
												BgL_blockz00_bglt BgL_i1231z00_2802;

												BgL_i1231z00_2802 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bxz00_2778)));
												{	/* SawBbv/bbv.scm 408 */
													obj_t BgL_arg2190z00_2803;
													obj_t BgL_arg2191z00_2804;

													BgL_arg2190z00_2803 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_i1229z00_2787)))->
														BgL_succsz00);
													BgL_arg2191z00_2804 =
														(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																	BgL_i1231z00_2802)))->BgL_succsz00);
													{
														obj_t BgL_bxz00_6614;
														obj_t BgL_byz00_6613;

														BgL_byz00_6613 = BgL_arg2190z00_2803;
														BgL_bxz00_6614 = BgL_arg2191z00_2804;
														BgL_bxz00_2778 = BgL_bxz00_6614;
														BgL_byz00_2777 = BgL_byz00_6613;
														goto BgL_zc3z04anonymousza32173ze3z87_2779;
													}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* coalesce? */
	obj_t BGl_coalescezf3zf3zzsaw_bbvz00(BgL_blockz00_bglt BgL_bxz00_110,
		BgL_blockz00_bglt BgL_byz00_111, obj_t BgL_stackz00_112)
	{
		{	/* SawBbv/bbv.scm 415 */
			if ((((obj_t) BgL_bxz00_110) == ((obj_t) BgL_byz00_111)))
				{	/* SawBbv/bbv.scm 419 */
					return BTRUE;
				}
			else
				{	/* SawBbv/bbv.scm 421 */
					bool_t BgL_test3062z00_6619;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_bxz00_110), BgL_stackz00_112)))
						{	/* SawBbv/bbv.scm 421 */
							BgL_test3062z00_6619 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_byz00_111), BgL_stackz00_112));
						}
					else
						{	/* SawBbv/bbv.scm 421 */
							BgL_test3062z00_6619 = ((bool_t) 0);
						}
					if (BgL_test3062z00_6619)
						{	/* SawBbv/bbv.scm 421 */
							return BTRUE;
						}
					else
						{	/* SawBbv/bbv.scm 423 */
							bool_t BgL_test3064z00_6627;

							{	/* SawBbv/bbv.scm 423 */
								obj_t BgL_arg2250z00_2874;
								obj_t BgL_arg2251z00_2875;

								BgL_arg2250z00_2874 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_bxz00_110));
								BgL_arg2251z00_2875 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_byz00_111));
								BgL_test3064z00_6627 =
									(
									(long) CINT(BgL_arg2250z00_2874) ==
									(long) CINT(BgL_arg2251z00_2875));
							}
							if (BgL_test3064z00_6627)
								{	/* SawBbv/bbv.scm 423 */
									if (BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
											((obj_t) BgL_bxz00_110), ((obj_t) BgL_byz00_111)))
										{	/* SawBbv/bbv.scm 427 */
											bool_t BgL_test3066z00_6639;

											{	/* SawBbv/bbv.scm 427 */
												bool_t BgL_test3067z00_6640;

												{	/* SawBbv/bbv.scm 427 */
													obj_t BgL_arg2249z00_2873;

													{
														BgL_blocksz00_bglt BgL_auxz00_6641;

														{
															obj_t BgL_auxz00_6642;

															{	/* SawBbv/bbv.scm 427 */
																BgL_objectz00_bglt BgL_tmpz00_6643;

																BgL_tmpz00_6643 =
																	((BgL_objectz00_bglt) BgL_bxz00_110);
																BgL_auxz00_6642 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6643);
															}
															BgL_auxz00_6641 =
																((BgL_blocksz00_bglt) BgL_auxz00_6642);
														}
														BgL_arg2249z00_2873 =
															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6641))->
															BgL_z52blacklistz52);
													}
													BgL_test3067z00_6640 =
														(BgL_arg2249z00_2873 == CNST_TABLE_REF(((long) 1)));
												}
												if (BgL_test3067z00_6640)
													{	/* SawBbv/bbv.scm 427 */
														BgL_test3066z00_6639 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv.scm 427 */
														obj_t BgL_arg2248z00_2872;

														{
															BgL_blocksz00_bglt BgL_auxz00_6650;

															{
																obj_t BgL_auxz00_6651;

																{	/* SawBbv/bbv.scm 427 */
																	BgL_objectz00_bglt BgL_tmpz00_6652;

																	BgL_tmpz00_6652 =
																		((BgL_objectz00_bglt) BgL_byz00_111);
																	BgL_auxz00_6651 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6652);
																}
																BgL_auxz00_6650 =
																	((BgL_blocksz00_bglt) BgL_auxz00_6651);
															}
															BgL_arg2248z00_2872 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_6650))->
																BgL_z52blacklistz52);
														}
														BgL_test3066z00_6639 =
															(BgL_arg2248z00_2872 ==
															CNST_TABLE_REF(((long) 1)));
											}}
											if (BgL_test3066z00_6639)
												{	/* SawBbv/bbv.scm 427 */
													return BFALSE;
												}
											else
												{	/* SawBbv/bbv.scm 429 */
													bool_t BgL_test3068z00_6659;

													{	/* SawBbv/bbv.scm 429 */
														bool_t BgL_test3069z00_6660;

														{	/* SawBbv/bbv.scm 429 */
															obj_t BgL_arg2247z00_2870;

															{
																BgL_blocksz00_bglt BgL_auxz00_6661;

																{
																	obj_t BgL_auxz00_6662;

																	{	/* SawBbv/bbv.scm 429 */
																		BgL_objectz00_bglt BgL_tmpz00_6663;

																		BgL_tmpz00_6663 =
																			((BgL_objectz00_bglt) BgL_byz00_111);
																		BgL_auxz00_6662 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6663);
																	}
																	BgL_auxz00_6661 =
																		((BgL_blocksz00_bglt) BgL_auxz00_6662);
																}
																BgL_arg2247z00_2870 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_6661))->
																	BgL_z52blacklistz52);
															}
															BgL_test3069z00_6660 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_bxz00_110),
																	BgL_arg2247z00_2870));
														}
														if (BgL_test3069z00_6660)
															{	/* SawBbv/bbv.scm 429 */
																BgL_test3068z00_6659 = ((bool_t) 1);
															}
														else
															{	/* SawBbv/bbv.scm 429 */
																obj_t BgL_arg2246z00_2869;

																{
																	BgL_blocksz00_bglt BgL_auxz00_6671;

																	{
																		obj_t BgL_auxz00_6672;

																		{	/* SawBbv/bbv.scm 429 */
																			BgL_objectz00_bglt BgL_tmpz00_6673;

																			BgL_tmpz00_6673 =
																				((BgL_objectz00_bglt) BgL_bxz00_110);
																			BgL_auxz00_6672 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6673);
																		}
																		BgL_auxz00_6671 =
																			((BgL_blocksz00_bglt) BgL_auxz00_6672);
																	}
																	BgL_arg2246z00_2869 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_6671))->
																		BgL_z52blacklistz52);
																}
																BgL_test3068z00_6659 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(((obj_t) BgL_byz00_111),
																		BgL_arg2246z00_2869));
															}
													}
													if (BgL_test3068z00_6659)
														{	/* SawBbv/bbv.scm 429 */
															return BFALSE;
														}
													else
														{	/* SawBbv/bbv.scm 431 */
															bool_t BgL_test3070z00_6681;

															if (
																(bgl_list_length(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_byz00_111)))->BgL_succsz00)) ==
																	((long) 0)))
																{	/* SawBbv/bbv.scm 431 */
																	BgL_test3070z00_6681 =
																		(bgl_list_length(
																			(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_byz00_111)))->
																				BgL_firstz00)) == ((long) 1));
																}
															else
																{	/* SawBbv/bbv.scm 431 */
																	BgL_test3070z00_6681 = ((bool_t) 0);
																}
															if (BgL_test3070z00_6681)
																{	/* SawBbv/bbv.scm 431 */
																	return BFALSE;
																}
															else
																{	/* SawBbv/bbv.scm 431 */
																	if (
																		(bgl_list_length(
																				(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_byz00_111)))->
																					BgL_succsz00)) ==
																			bgl_list_length((((BgL_blockz00_bglt)
																						COBJECT(((BgL_blockz00_bglt)
																								BgL_bxz00_110)))->
																					BgL_succsz00))))
																		{	/* SawBbv/bbv.scm 434 */
																			obj_t BgL_nsz00_2843;

																			{	/* SawBbv/bbv.scm 434 */
																				obj_t BgL_arg2235z00_2856;

																				BgL_arg2235z00_2856 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_byz00_111),
																					BgL_stackz00_112);
																				BgL_nsz00_2843 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_bxz00_110),
																					BgL_arg2235z00_2856);
																			}
																			{	/* SawBbv/bbv.scm 435 */
																				obj_t BgL__ortest_1234z00_2844;

																				{	/* SawBbv/bbv.scm 435 */
																					obj_t BgL_arg2230z00_2848;
																					obj_t BgL_arg2231z00_2849;

																					BgL_arg2230z00_2848 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_bxz00_110)))->
																						BgL_succsz00);
																					BgL_arg2231z00_2849 =
																						(((BgL_blockz00_bglt)
																							COBJECT(((BgL_blockz00_bglt)
																									BgL_byz00_111)))->
																						BgL_succsz00);
																					{	/* SawBbv/bbv.scm 435 */
																						obj_t
																							BgL_zc3z04anonymousza32234ze3z87_4830;
																						BgL_zc3z04anonymousza32234ze3z87_4830
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32234ze3ze5zzsaw_bbvz00,
																							(int) (((long) 2)),
																							(int) (((long) 1)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32234ze3z87_4830,
																							(int) (((long) 0)),
																							BgL_nsz00_2843);
																						{	/* SawBbv/bbv.scm 435 */
																							obj_t BgL_list2232z00_2850;

																							{	/* SawBbv/bbv.scm 435 */
																								obj_t BgL_arg2233z00_2851;

																								BgL_arg2233z00_2851 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2231z00_2849, BNIL);
																								BgL_list2232z00_2850 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2230z00_2848,
																									BgL_arg2233z00_2851);
																							}
																							BgL__ortest_1234z00_2844 =
																								BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_zc3z04anonymousza32234ze3z87_4830,
																								BgL_list2232z00_2850);
																				}}}
																				if (CBOOL(BgL__ortest_1234z00_2844))
																					{	/* SawBbv/bbv.scm 435 */
																						return BgL__ortest_1234z00_2844;
																					}
																				else
																					{	/* SawBbv/bbv.scm 435 */
																						{
																							obj_t BgL_auxz00_6723;
																							BgL_blocksz00_bglt
																								BgL_auxz00_6717;
																							{	/* SawBbv/bbv.scm 437 */
																								obj_t BgL_arg2227z00_2845;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_6724;
																									{
																										obj_t BgL_auxz00_6725;

																										{	/* SawBbv/bbv.scm 437 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6726;
																											BgL_tmpz00_6726 =
																												((BgL_objectz00_bglt)
																												BgL_bxz00_110);
																											BgL_auxz00_6725 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_6726);
																										}
																										BgL_auxz00_6724 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_6725);
																									}
																									BgL_arg2227z00_2845 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_6724))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_6723 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_byz00_111),
																									BgL_arg2227z00_2845);
																							}
																							{
																								obj_t BgL_auxz00_6718;

																								{	/* SawBbv/bbv.scm 437 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6719;
																									BgL_tmpz00_6719 =
																										((BgL_objectz00_bglt)
																										BgL_bxz00_110);
																									BgL_auxz00_6718 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_6719);
																								}
																								BgL_auxz00_6717 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_6718);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_6717))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_6723),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_6740;
																							BgL_blocksz00_bglt
																								BgL_auxz00_6734;
																							{	/* SawBbv/bbv.scm 438 */
																								obj_t BgL_arg2228z00_2846;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_6741;
																									{
																										obj_t BgL_auxz00_6742;

																										{	/* SawBbv/bbv.scm 438 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6743;
																											BgL_tmpz00_6743 =
																												((BgL_objectz00_bglt)
																												BgL_byz00_111);
																											BgL_auxz00_6742 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_6743);
																										}
																										BgL_auxz00_6741 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_6742);
																									}
																									BgL_arg2228z00_2846 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_6741))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_6740 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_bxz00_110),
																									BgL_arg2228z00_2846);
																							}
																							{
																								obj_t BgL_auxz00_6735;

																								{	/* SawBbv/bbv.scm 438 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6736;
																									BgL_tmpz00_6736 =
																										((BgL_objectz00_bglt)
																										BgL_byz00_111);
																									BgL_auxz00_6735 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_6736);
																								}
																								BgL_auxz00_6734 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_6735);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_6734))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_6740),
																								BUNSPEC);
																						}
																						return BFALSE;
																					}
																			}
																		}
																	else
																		{	/* SawBbv/bbv.scm 433 */
																			{
																				obj_t BgL_auxz00_6757;
																				BgL_blocksz00_bglt BgL_auxz00_6751;

																				{	/* SawBbv/bbv.scm 442 */
																					obj_t BgL_arg2236z00_2857;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_6758;

																						{
																							obj_t BgL_auxz00_6759;

																							{	/* SawBbv/bbv.scm 442 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_6760;
																								BgL_tmpz00_6760 =
																									((BgL_objectz00_bglt)
																									BgL_bxz00_110);
																								BgL_auxz00_6759 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_6760);
																							}
																							BgL_auxz00_6758 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_6759);
																						}
																						BgL_arg2236z00_2857 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_6758))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_6757 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_byz00_111),
																						BgL_arg2236z00_2857);
																				}
																				{
																					obj_t BgL_auxz00_6752;

																					{	/* SawBbv/bbv.scm 442 */
																						BgL_objectz00_bglt BgL_tmpz00_6753;

																						BgL_tmpz00_6753 =
																							((BgL_objectz00_bglt)
																							BgL_bxz00_110);
																						BgL_auxz00_6752 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_6753);
																					}
																					BgL_auxz00_6751 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_6752);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_6751))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_6757), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_6774;
																				BgL_blocksz00_bglt BgL_auxz00_6768;

																				{	/* SawBbv/bbv.scm 443 */
																					obj_t BgL_arg2237z00_2858;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_6775;

																						{
																							obj_t BgL_auxz00_6776;

																							{	/* SawBbv/bbv.scm 443 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_6777;
																								BgL_tmpz00_6777 =
																									((BgL_objectz00_bglt)
																									BgL_byz00_111);
																								BgL_auxz00_6776 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_6777);
																							}
																							BgL_auxz00_6775 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_6776);
																						}
																						BgL_arg2237z00_2858 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_6775))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_6774 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_bxz00_110),
																						BgL_arg2237z00_2858);
																				}
																				{
																					obj_t BgL_auxz00_6769;

																					{	/* SawBbv/bbv.scm 443 */
																						BgL_objectz00_bglt BgL_tmpz00_6770;

																						BgL_tmpz00_6770 =
																							((BgL_objectz00_bglt)
																							BgL_byz00_111);
																						BgL_auxz00_6769 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_6770);
																					}
																					BgL_auxz00_6768 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_6769);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_6768))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_6774), BUNSPEC);
																			}
																			return BFALSE;
																		}
																}
														}
												}
										}
									else
										{	/* SawBbv/bbv.scm 425 */
											return BFALSE;
										}
								}
							else
								{	/* SawBbv/bbv.scm 423 */
									return BFALSE;
								}
						}
				}
		}

	}



/* &<@anonymous:2234> */
	obj_t BGl_z62zc3z04anonymousza32234ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4831,
		obj_t BgL_xz00_4833, obj_t BgL_yz00_4834)
	{
		{	/* SawBbv/bbv.scm 435 */
			{	/* SawBbv/bbv.scm 435 */
				obj_t BgL_nsz00_4832;

				BgL_nsz00_4832 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4831, (int) (((long) 0))));
				return
					BGl_coalescezf3zf3zzsaw_bbvz00(
					((BgL_blockz00_bglt) BgL_xz00_4833),
					((BgL_blockz00_bglt) BgL_yz00_4834), BgL_nsz00_4832);
			}
		}

	}



/* normalize-ifeq! */
	obj_t BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_113)
	{
		{	/* SawBbv/bbv.scm 452 */
			{
				BgL_blockz00_bglt BgL_bz00_2925;

				{	/* SawBbv/bbv.scm 499 */
					obj_t BgL_g1250z00_2879;

					{	/* SawBbv/bbv.scm 499 */
						obj_t BgL_list2264z00_2898;

						BgL_list2264z00_2898 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_113), BNIL);
						BgL_g1250z00_2879 = BgL_list2264z00_2898;
					}
					{
						obj_t BgL_bsz00_2882;
						obj_t BgL_accz00_2883;

						BgL_bsz00_2882 = BgL_g1250z00_2879;
						BgL_accz00_2883 = BNIL;
					BgL_zc3z04anonymousza32252ze3z87_2884:
						if (NULLP(BgL_bsz00_2882))
							{	/* SawBbv/bbv.scm 502 */
								return bgl_reverse(BgL_accz00_2883);
							}
						else
							{	/* SawBbv/bbv.scm 502 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2882)), BgL_accz00_2883)))
									{	/* SawBbv/bbv.scm 505 */
										obj_t BgL_arg2256z00_2888;

										BgL_arg2256z00_2888 = CDR(((obj_t) BgL_bsz00_2882));
										{
											obj_t BgL_bsz00_6803;

											BgL_bsz00_6803 = BgL_arg2256z00_2888;
											BgL_bsz00_2882 = BgL_bsz00_6803;
											goto BgL_zc3z04anonymousza32252ze3z87_2884;
										}
									}
								else
									{	/* SawBbv/bbv.scm 504 */
										{	/* SawBbv/bbv.scm 507 */
											obj_t BgL_arg2257z00_2889;

											BgL_arg2257z00_2889 = CAR(((obj_t) BgL_bsz00_2882));
											BgL_bz00_2925 = ((BgL_blockz00_bglt) BgL_arg2257z00_2889);
											if (NULLP(
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2925))->
														BgL_succsz00)))
												{	/* SawBbv/bbv.scm 463 */
													BFALSE;
												}
											else
												{
													obj_t BgL_insz00_2932;

													BgL_insz00_2932 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2925))->
														BgL_firstz00);
												BgL_zc3z04anonymousza32291ze3z87_2933:
													if (NULLP(BgL_insz00_2932))
														{	/* SawBbv/bbv.scm 467 */
															if (NULLP(
																	(((BgL_blockz00_bglt)
																			COBJECT(BgL_bz00_2925))->BgL_firstz00)))
																{	/* SawBbv/bbv.scm 469 */
																	obj_t BgL_arg2297z00_2937;

																	BgL_arg2297z00_2937 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_bz00_2925));
																	BGl_errorz00zz__errorz00
																		(BGl_string2846z00zzsaw_bbvz00,
																		BGl_string2847z00zzsaw_bbvz00,
																		BgL_arg2297z00_2937);
																}
															else
																{	/* SawBbv/bbv.scm 468 */
																	BFALSE;
																}
														}
													else
														{	/* SawBbv/bbv.scm 470 */
															bool_t BgL_test3079z00_6817;

															{	/* SawBbv/bbv.scm 470 */
																obj_t BgL_arg2342z00_2994;

																BgL_arg2342z00_2994 =
																	CAR(((obj_t) BgL_insz00_2932));
																BgL_test3079z00_6817 =
																	BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_arg2342z00_2994));
															}
															if (BgL_test3079z00_6817)
																{	/* SawBbv/bbv.scm 471 */
																	bool_t BgL_test3080z00_6822;

																	if (NULLP(CDR(
																				(((BgL_blockz00_bglt)
																						COBJECT(BgL_bz00_2925))->
																					BgL_succsz00))))
																		{	/* SawBbv/bbv.scm 471 */
																			obj_t BgL_arg2309z00_2953;

																			BgL_arg2309z00_2953 =
																				CAR(((obj_t) BgL_insz00_2932));
																			BgL_test3080z00_6822 =
																				BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00
																				(BgL_arg2309z00_2953);
																		}
																	else
																		{	/* SawBbv/bbv.scm 471 */
																			BgL_test3080z00_6822 = ((bool_t) 0);
																		}
																	if (BgL_test3080z00_6822)
																		{	/* SawBbv/bbv.scm 472 */
																			BgL_rtl_insz00_bglt BgL_i1239z00_2948;

																			BgL_i1239z00_2948 =
																				((BgL_rtl_insz00_bglt)
																				CAR(((obj_t) BgL_insz00_2932)));
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_6833;

																				{	/* SawBbv/bbv.scm 473 */
																					BgL_rtl_nopz00_bglt
																						BgL_new1241z00_2949;
																					{	/* SawBbv/bbv.scm 473 */
																						BgL_rtl_nopz00_bglt
																							BgL_new1240z00_2950;
																						BgL_new1240z00_2950 =
																							((BgL_rtl_nopz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_nopz00_bgl))));
																						{	/* SawBbv/bbv.scm 473 */
																							long BgL_arg2308z00_2951;

																							{	/* SawBbv/bbv.scm 473 */
																								obj_t BgL_classz00_4425;

																								BgL_classz00_4425 =
																									BGl_rtl_nopz00zzsaw_defsz00;
																								BgL_arg2308z00_2951 =
																									BGL_CLASS_NUM
																									(BgL_classz00_4425);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1240z00_2950),
																								BgL_arg2308z00_2951);
																						}
																						BgL_new1241z00_2949 =
																							BgL_new1240z00_2950;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1241z00_2949)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					BgL_auxz00_6833 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1241z00_2949);
																				}
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_i1239z00_2948))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_6833), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_i1239z00_2948))->
																					BgL_argsz00) =
																				((obj_t) BNIL), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv.scm 471 */
																			BUNSPEC;
																		}
																}
															else
																{	/* SawBbv/bbv.scm 476 */
																	bool_t BgL_test3082z00_6843;

																	{	/* SawBbv/bbv.scm 476 */
																		obj_t BgL_arg2341z00_2993;

																		BgL_arg2341z00_2993 =
																			CAR(((obj_t) BgL_insz00_2932));
																		BgL_test3082z00_6843 =
																			BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg2341z00_2993));
																	}
																	if (BgL_test3082z00_6843)
																		{	/* SawBbv/bbv.scm 478 */
																			BgL_rtl_insz00_bglt BgL_i1242z00_2958;

																			BgL_i1242z00_2958 =
																				((BgL_rtl_insz00_bglt)
																				CAR(((obj_t) BgL_insz00_2932)));
																			{	/* SawBbv/bbv.scm 480 */
																				bool_t BgL_test3083z00_6851;

																				if (NULLP(CDR(
																							((obj_t) BgL_insz00_2932))))
																					{	/* SawBbv/bbv.scm 480 */
																						BgL_test3083z00_6851 = ((bool_t) 1);
																					}
																				else
																					{	/* SawBbv/bbv.scm 480 */
																						bool_t BgL_test3085z00_6856;

																						{	/* SawBbv/bbv.scm 480 */
																							obj_t BgL_arg2338z00_2990;

																							{	/* SawBbv/bbv.scm 480 */
																								obj_t BgL_pairz00_4434;

																								BgL_pairz00_4434 =
																									CDR(
																									((obj_t) BgL_insz00_2932));
																								BgL_arg2338z00_2990 =
																									CAR(BgL_pairz00_4434);
																							}
																							BgL_test3085z00_6856 =
																								BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																								(((BgL_rtl_insz00_bglt)
																									BgL_arg2338z00_2990));
																						}
																						if (BgL_test3085z00_6856)
																							{	/* SawBbv/bbv.scm 480 */
																								BgL_test3083z00_6851 =
																									((bool_t) 0);
																							}
																						else
																							{	/* SawBbv/bbv.scm 480 */
																								BgL_test3083z00_6851 =
																									((bool_t) 1);
																							}
																					}
																				if (BgL_test3083z00_6851)
																					{	/* SawBbv/bbv.scm 481 */
																						obj_t BgL_arg2321z00_2966;

																						BgL_arg2321z00_2966 =
																							BGl_shapez00zztools_shapez00(
																							((obj_t) BgL_bz00_2925));
																						BGl_errorz00zz__errorz00
																							(BGl_string2846z00zzsaw_bbvz00,
																							BGl_string2848z00zzsaw_bbvz00,
																							BgL_arg2321z00_2966);
																					}
																				else
																					{	/* SawBbv/bbv.scm 482 */
																						bool_t BgL_test3086z00_6865;

																						if (NULLP(CDR(
																									(((BgL_blockz00_bglt)
																											COBJECT(BgL_bz00_2925))->
																										BgL_succsz00))))
																							{	/* SawBbv/bbv.scm 482 */
																								obj_t BgL_arg2334z00_2985;

																								BgL_arg2334z00_2985 =
																									CAR(
																									((obj_t) BgL_insz00_2932));
																								BgL_test3086z00_6865 =
																									BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00
																									(BgL_arg2334z00_2985);
																							}
																						else
																							{	/* SawBbv/bbv.scm 482 */
																								BgL_test3086z00_6865 =
																									((bool_t) 0);
																							}
																						if (BgL_test3086z00_6865)
																							{	/* SawBbv/bbv.scm 482 */
																								{
																									BgL_rtl_funz00_bglt
																										BgL_auxz00_6873;
																									{	/* SawBbv/bbv.scm 483 */
																										BgL_rtl_nopz00_bglt
																											BgL_new1244z00_2974;
																										{	/* SawBbv/bbv.scm 483 */
																											BgL_rtl_nopz00_bglt
																												BgL_new1243z00_2975;
																											BgL_new1243z00_2975 =
																												((BgL_rtl_nopz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_nopz00_bgl))));
																											{	/* SawBbv/bbv.scm 483 */
																												long
																													BgL_arg2331z00_2976;
																												{	/* SawBbv/bbv.scm 483 */
																													obj_t
																														BgL_classz00_4437;
																													BgL_classz00_4437 =
																														BGl_rtl_nopz00zzsaw_defsz00;
																													BgL_arg2331z00_2976 =
																														BGL_CLASS_NUM
																														(BgL_classz00_4437);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1243z00_2975),
																													BgL_arg2331z00_2976);
																											}
																											BgL_new1244z00_2974 =
																												BgL_new1243z00_2975;
																										}
																										((((BgL_rtl_funz00_bglt)
																													COBJECT((
																															(BgL_rtl_funz00_bglt)
																															BgL_new1244z00_2974)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										BgL_auxz00_6873 =
																											((BgL_rtl_funz00_bglt)
																											BgL_new1244z00_2974);
																									}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT
																												(BgL_i1242z00_2958))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt)
																											BgL_auxz00_6873),
																										BUNSPEC);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT
																											(BgL_i1242z00_2958))->
																										BgL_argsz00) =
																									((obj_t) BNIL), BUNSPEC);
																							}
																						else
																							{	/* SawBbv/bbv.scm 486 */
																								BgL_rtl_ifeqz00_bglt
																									BgL_i1245z00_2977;
																								BgL_i1245z00_2977 =
																									((BgL_rtl_ifeqz00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT
																											(BgL_i1242z00_2958))->
																										BgL_funz00));
																								{	/* SawBbv/bbv.scm 487 */
																									BgL_rtl_insz00_bglt
																										BgL_i1246z00_2978;
																									{	/* SawBbv/bbv.scm 487 */
																										obj_t BgL_pairz00_4443;

																										BgL_pairz00_4443 =
																											CDR(
																											((obj_t)
																												BgL_insz00_2932));
																										BgL_i1246z00_2978 =
																											((BgL_rtl_insz00_bglt)
																											CAR(BgL_pairz00_4443));
																									}
																									{	/* SawBbv/bbv.scm 488 */
																										BgL_rtl_goz00_bglt
																											BgL_i1247z00_2979;
																										BgL_i1247z00_2979 =
																											((BgL_rtl_goz00_bglt) ((
																													(BgL_rtl_insz00_bglt)
																													COBJECT
																													(BgL_i1246z00_2978))->
																												BgL_funz00));
																										{
																											BgL_rtl_funz00_bglt
																												BgL_auxz00_6891;
																											{	/* SawBbv/bbv.scm 490 */
																												BgL_rtl_ifnez00_bglt
																													BgL_new1249z00_2980;
																												{	/* SawBbv/bbv.scm 492 */
																													BgL_rtl_ifnez00_bglt
																														BgL_new1248z00_2981;
																													BgL_new1248z00_2981 =
																														(
																														(BgL_rtl_ifnez00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_rtl_ifnez00_bgl))));
																													{	/* SawBbv/bbv.scm 492 */
																														long
																															BgL_arg2332z00_2982;
																														{	/* SawBbv/bbv.scm 492 */
																															obj_t
																																BgL_classz00_4444;
																															BgL_classz00_4444
																																=
																																BGl_rtl_ifnez00zzsaw_defsz00;
																															BgL_arg2332z00_2982
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_4444);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1248z00_2981), BgL_arg2332z00_2982);
																													}
																													BgL_new1249z00_2980 =
																														BgL_new1248z00_2981;
																												}
																												((((BgL_rtl_funz00_bglt)
																															COBJECT((
																																	(BgL_rtl_funz00_bglt)
																																	BgL_new1249z00_2980)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_rtl_funz00_bglt)
																																COBJECT((
																																		(BgL_rtl_funz00_bglt)
																																		BgL_i1245z00_2977)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1249z00_2980))->BgL_thenz00) = ((BgL_blockz00_bglt) (((BgL_rtl_goz00_bglt) COBJECT(BgL_i1247z00_2979))->BgL_toz00)), BUNSPEC);
																												BgL_auxz00_6891 =
																													((BgL_rtl_funz00_bglt)
																													BgL_new1249z00_2980);
																											}
																											((((BgL_rtl_insz00_bglt)
																														COBJECT
																														(BgL_i1242z00_2958))->
																													BgL_funz00) =
																												((BgL_rtl_funz00_bglt)
																													BgL_auxz00_6891),
																												BUNSPEC);
																										}
																										((((BgL_rtl_goz00_bglt)
																													COBJECT
																													(BgL_i1247z00_2979))->
																												BgL_toz00) =
																											((BgL_blockz00_bglt) ((
																														(BgL_rtl_ifeqz00_bglt)
																														COBJECT
																														(BgL_i1245z00_2977))->
																													BgL_thenz00)),
																											BUNSPEC);
																										{
																											obj_t BgL_auxz00_6906;

																											{	/* SawBbv/bbv.scm 494 */
																												obj_t
																													BgL_arg2333z00_2983;
																												BgL_arg2333z00_2983 =
																													(((BgL_blockz00_bglt)
																														COBJECT
																														(BgL_bz00_2925))->
																													BgL_succsz00);
																												BgL_auxz00_6906 =
																													bgl_reverse_bang
																													(BgL_arg2333z00_2983);
																											}
																											((((BgL_blockz00_bglt)
																														COBJECT
																														(BgL_bz00_2925))->
																													BgL_succsz00) =
																												((obj_t)
																													BgL_auxz00_6906),
																												BUNSPEC);
																		}}}}}}}
																	else
																		{	/* SawBbv/bbv.scm 496 */
																			obj_t BgL_arg2340z00_2992;

																			BgL_arg2340z00_2992 =
																				CDR(((obj_t) BgL_insz00_2932));
																			{
																				obj_t BgL_insz00_6912;

																				BgL_insz00_6912 = BgL_arg2340z00_2992;
																				BgL_insz00_2932 = BgL_insz00_6912;
																				goto
																					BgL_zc3z04anonymousza32291ze3z87_2933;
																			}
																		}
																}
														}
												}
										}
										{	/* SawBbv/bbv.scm 508 */
											BgL_blockz00_bglt BgL_i1252z00_2890;

											BgL_i1252z00_2890 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2882)));
											{	/* SawBbv/bbv.scm 509 */
												obj_t BgL_arg2258z00_2891;
												obj_t BgL_arg2259z00_2892;

												{	/* SawBbv/bbv.scm 509 */
													obj_t BgL_arg2260z00_2893;
													obj_t BgL_arg2261z00_2894;

													BgL_arg2260z00_2893 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1252z00_2890))->
														BgL_succsz00);
													BgL_arg2261z00_2894 = CDR(((obj_t) BgL_bsz00_2882));
													BgL_arg2258z00_2891 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2260z00_2893, BgL_arg2261z00_2894);
												}
												{	/* SawBbv/bbv.scm 509 */
													obj_t BgL_arg2262z00_2895;

													BgL_arg2262z00_2895 = CAR(((obj_t) BgL_bsz00_2882));
													BgL_arg2259z00_2892 =
														MAKE_YOUNG_PAIR(BgL_arg2262z00_2895,
														BgL_accz00_2883);
												}
												{
													obj_t BgL_accz00_6926;
													obj_t BgL_bsz00_6925;

													BgL_bsz00_6925 = BgL_arg2258z00_2891;
													BgL_accz00_6926 = BgL_arg2259z00_2892;
													BgL_accz00_2883 = BgL_accz00_6926;
													BgL_bsz00_2882 = BgL_bsz00_6925;
													goto BgL_zc3z04anonymousza32252ze3z87_2884;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* side-effect-free?~0 */
	bool_t BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00(obj_t BgL_insz00_2899)
	{
		{	/* SawBbv/bbv.scm 459 */
			{	/* SawBbv/bbv.scm 456 */
				bool_t BgL_test3088z00_6927;

				{	/* SawBbv/bbv.scm 456 */
					bool_t BgL_test3089z00_6928;

					{	/* SawBbv/bbv.scm 456 */
						obj_t BgL_arg2285z00_2923;

						{	/* SawBbv/bbv.scm 456 */
							obj_t BgL_pairz00_4354;

							BgL_pairz00_4354 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2899)))->BgL_argsz00);
							BgL_arg2285z00_2923 = CAR(BgL_pairz00_4354);
						}
						{	/* SawBbv/bbv.scm 456 */
							obj_t BgL_classz00_4355;

							BgL_classz00_4355 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg2285z00_2923))
								{	/* SawBbv/bbv.scm 456 */
									BgL_objectz00_bglt BgL_arg1820z00_4357;

									BgL_arg1820z00_4357 =
										(BgL_objectz00_bglt) (BgL_arg2285z00_2923);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv.scm 456 */
											long BgL_idxz00_4363;

											BgL_idxz00_4363 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4357);
											BgL_test3089z00_6928 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4363 + ((long) 1))) == BgL_classz00_4355);
										}
									else
										{	/* SawBbv/bbv.scm 456 */
											bool_t BgL_res2812z00_4385;

											{	/* SawBbv/bbv.scm 456 */
												obj_t BgL_oclassz00_4371;

												{	/* SawBbv/bbv.scm 456 */
													long BgL_arg1828z00_4377;

													{	/* SawBbv/bbv.scm 456 */
														long BgL_arg1829z00_4378;

														BgL_arg1829z00_4378 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4357);
														BgL_arg1828z00_4377 =
															(BgL_arg1829z00_4378 - OBJECT_TYPE);
													}
													BgL_oclassz00_4371 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4377);
												}
												{	/* SawBbv/bbv.scm 456 */
													bool_t BgL__ortest_1111z00_4372;

													BgL__ortest_1111z00_4372 =
														(BgL_classz00_4355 == BgL_oclassz00_4371);
													if (BgL__ortest_1111z00_4372)
														{	/* SawBbv/bbv.scm 456 */
															BgL_res2812z00_4385 = BgL__ortest_1111z00_4372;
														}
													else
														{	/* SawBbv/bbv.scm 456 */
															long BgL_odepthz00_4373;

															BgL_odepthz00_4373 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4371);
															if ((((long) 1) < BgL_odepthz00_4373))
																{	/* SawBbv/bbv.scm 456 */
																	obj_t BgL_arg1816z00_4375;

																	BgL_arg1816z00_4375 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4371,
																		((long) 1));
																	BgL_res2812z00_4385 =
																		(BgL_arg1816z00_4375 == BgL_classz00_4355);
																}
															else
																{	/* SawBbv/bbv.scm 456 */
																	BgL_res2812z00_4385 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3089z00_6928 = BgL_res2812z00_4385;
										}
								}
							else
								{	/* SawBbv/bbv.scm 456 */
									BgL_test3089z00_6928 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test3089z00_6928)
						{	/* SawBbv/bbv.scm 456 */
							obj_t BgL_arg2282z00_2921;

							{	/* SawBbv/bbv.scm 456 */
								obj_t BgL_pairz00_4386;

								BgL_pairz00_4386 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2899)))->BgL_argsz00);
								BgL_arg2282z00_2921 = CAR(BgL_pairz00_4386);
							}
							BgL_test3088z00_6927 =
								BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_arg2282z00_2921));
						}
					else
						{	/* SawBbv/bbv.scm 456 */
							BgL_test3088z00_6927 = ((bool_t) 0);
						}
				}
				if (BgL_test3088z00_6927)
					{	/* SawBbv/bbv.scm 457 */
						bool_t BgL_test3094z00_6956;

						{	/* SawBbv/bbv.scm 457 */
							obj_t BgL_arg2280z00_2918;

							{	/* SawBbv/bbv.scm 457 */
								obj_t BgL_pairz00_4387;

								BgL_pairz00_4387 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2899)))->BgL_argsz00);
								BgL_arg2280z00_2918 = CAR(BgL_pairz00_4387);
							}
							BgL_test3094z00_6956 =
								CBOOL(BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg2280z00_2918)));
						}
						if (BgL_test3094z00_6956)
							{	/* SawBbv/bbv.scm 458 */
								obj_t BgL_argsz00_2913;

								BgL_argsz00_2913 =
									BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
									((BgL_rtl_insz00_bglt) BgL_insz00_2899));
								if (NULLP(BgL_argsz00_2913))
									{	/* SawBbv/bbv.scm 459 */
										return ((bool_t) 0);
									}
								else
									{	/* SawBbv/bbv.scm 459 */
										if (NULLP(CDR(BgL_argsz00_2913)))
											{	/* SawBbv/bbv.scm 459 */
												obj_t BgL_arg2277z00_2916;

												BgL_arg2277z00_2916 = CAR(BgL_argsz00_2913);
												{	/* SawBbv/bbv.scm 459 */
													obj_t BgL_classz00_4390;

													BgL_classz00_4390 = BGl_rtl_regz00zzsaw_defsz00;
													if (BGL_OBJECTP(BgL_arg2277z00_2916))
														{	/* SawBbv/bbv.scm 459 */
															BgL_objectz00_bglt BgL_arg1820z00_4392;

															BgL_arg1820z00_4392 =
																(BgL_objectz00_bglt) (BgL_arg2277z00_2916);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv.scm 459 */
																	long BgL_idxz00_4398;

																	BgL_idxz00_4398 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4392);
																	return (VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4398 + ((long) 1))) ==
																		BgL_classz00_4390);
																}
															else
																{	/* SawBbv/bbv.scm 459 */
																	bool_t BgL_res2813z00_4420;

																	{	/* SawBbv/bbv.scm 459 */
																		obj_t BgL_oclassz00_4406;

																		{	/* SawBbv/bbv.scm 459 */
																			long BgL_arg1828z00_4412;

																			{	/* SawBbv/bbv.scm 459 */
																				long BgL_arg1829z00_4413;

																				BgL_arg1829z00_4413 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4392);
																				BgL_arg1828z00_4412 =
																					(BgL_arg1829z00_4413 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4406 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4412);
																		}
																		{	/* SawBbv/bbv.scm 459 */
																			bool_t BgL__ortest_1111z00_4407;

																			BgL__ortest_1111z00_4407 =
																				(BgL_classz00_4390 ==
																				BgL_oclassz00_4406);
																			if (BgL__ortest_1111z00_4407)
																				{	/* SawBbv/bbv.scm 459 */
																					BgL_res2813z00_4420 =
																						BgL__ortest_1111z00_4407;
																				}
																			else
																				{	/* SawBbv/bbv.scm 459 */
																					long BgL_odepthz00_4408;

																					BgL_odepthz00_4408 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4406);
																					if ((((long) 1) < BgL_odepthz00_4408))
																						{	/* SawBbv/bbv.scm 459 */
																							obj_t BgL_arg1816z00_4410;

																							BgL_arg1816z00_4410 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4406,
																								((long) 1));
																							BgL_res2813z00_4420 =
																								(BgL_arg1816z00_4410 ==
																								BgL_classz00_4390);
																						}
																					else
																						{	/* SawBbv/bbv.scm 459 */
																							BgL_res2813z00_4420 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	return BgL_res2813z00_4420;
																}
														}
													else
														{	/* SawBbv/bbv.scm 459 */
															return ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawBbv/bbv.scm 459 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawBbv/bbv.scm 457 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* SawBbv/bbv.scm 456 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* normalize-goto! */
	obj_t BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_114)
	{
		{	/* SawBbv/bbv.scm 519 */
			{
				BgL_blockz00_bglt BgL_bz00_3020;

				{	/* SawBbv/bbv.scm 535 */
					obj_t BgL_g1258z00_3000;

					{	/* SawBbv/bbv.scm 535 */
						obj_t BgL_list2360z00_3019;

						BgL_list2360z00_3019 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_114), BNIL);
						BgL_g1258z00_3000 = BgL_list2360z00_3019;
					}
					{
						obj_t BgL_bsz00_3003;
						obj_t BgL_accz00_3004;

						BgL_bsz00_3003 = BgL_g1258z00_3000;
						BgL_accz00_3004 = BNIL;
					BgL_zc3z04anonymousza32344ze3z87_3005:
						if (NULLP(BgL_bsz00_3003))
							{	/* SawBbv/bbv.scm 538 */
								return bgl_reverse(BgL_accz00_3004);
							}
						else
							{	/* SawBbv/bbv.scm 538 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_3003)), BgL_accz00_3004)))
									{	/* SawBbv/bbv.scm 541 */
										obj_t BgL_arg2348z00_3009;

										BgL_arg2348z00_3009 = CDR(((obj_t) BgL_bsz00_3003));
										{
											obj_t BgL_bsz00_7002;

											BgL_bsz00_7002 = BgL_arg2348z00_3009;
											BgL_bsz00_3003 = BgL_bsz00_7002;
											goto BgL_zc3z04anonymousza32344ze3z87_3005;
										}
									}
								else
									{	/* SawBbv/bbv.scm 540 */
										{	/* SawBbv/bbv.scm 543 */
											obj_t BgL_arg2350z00_3010;

											BgL_arg2350z00_3010 = CAR(((obj_t) BgL_bsz00_3003));
											BgL_bz00_3020 = ((BgL_blockz00_bglt) BgL_arg2350z00_3010);
											if (NULLP(
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_3020))->
														BgL_succsz00)))
												{	/* SawBbv/bbv.scm 523 */
													BFALSE;
												}
											else
												{	/* SawBbv/bbv.scm 524 */
													obj_t BgL_lpz00_3025;

													BgL_lpz00_3025 =
														BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_3020))->
															BgL_firstz00));
													{	/* SawBbv/bbv.scm 524 */
														obj_t BgL_lastz00_3026;

														BgL_lastz00_3026 = CAR(BgL_lpz00_3025);
														{	/* SawBbv/bbv.scm 525 */

															if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_lastz00_3026)))
																{	/* SawBbv/bbv.scm 526 */
																	BFALSE;
																}
															else
																{	/* SawBbv/bbv.scm 527 */
																	BgL_rtl_insz00_bglt BgL_goz00_3028;

																	{	/* SawBbv/bbv.scm 527 */
																		BgL_rtl_insz00_bglt BgL_new1255z00_3031;

																		{	/* SawBbv/bbv.scm 527 */
																			BgL_rtl_insz00_bglt BgL_new1254z00_3036;

																			BgL_new1254z00_3036 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv.scm 527 */
																				long BgL_arg2369z00_3037;

																				BgL_arg2369z00_3037 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1254z00_3036),
																					BgL_arg2369z00_3037);
																			}
																			{	/* SawBbv/bbv.scm 527 */
																				BgL_objectz00_bglt BgL_tmpz00_7018;

																				BgL_tmpz00_7018 =
																					((BgL_objectz00_bglt)
																					BgL_new1254z00_3036);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7018,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1254z00_3036);
																			BgL_new1255z00_3031 = BgL_new1254z00_3036;
																		}
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1255z00_3031))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1255z00_3031))->
																				BgL_z52spillz52) =
																			((obj_t) BNIL), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1255z00_3031))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_7025;

																			{	/* SawBbv/bbv.scm 529 */
																				BgL_rtl_goz00_bglt BgL_new1257z00_3032;

																				{	/* SawBbv/bbv.scm 530 */
																					BgL_rtl_goz00_bglt
																						BgL_new1256z00_3034;
																					BgL_new1256z00_3034 =
																						((BgL_rtl_goz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_goz00_bgl))));
																					{	/* SawBbv/bbv.scm 530 */
																						long BgL_arg2368z00_3035;

																						{	/* SawBbv/bbv.scm 530 */
																							obj_t BgL_classz00_4460;

																							BgL_classz00_4460 =
																								BGl_rtl_goz00zzsaw_defsz00;
																							BgL_arg2368z00_3035 =
																								BGL_CLASS_NUM
																								(BgL_classz00_4460);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1256z00_3034),
																							BgL_arg2368z00_3035);
																					}
																					BgL_new1257z00_3032 =
																						BgL_new1256z00_3034;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1257z00_3032)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_lastz00_3026)))->
																							BgL_locz00)), BUNSPEC);
																				{
																					BgL_blockz00_bglt BgL_auxz00_7034;

																					{	/* SawBbv/bbv.scm 531 */
																						obj_t BgL_pairz00_4464;

																						BgL_pairz00_4464 =
																							(((BgL_blockz00_bglt)
																								COBJECT(BgL_bz00_3020))->
																							BgL_succsz00);
																						BgL_auxz00_7034 =
																							((BgL_blockz00_bglt)
																							CAR(BgL_pairz00_4464));
																					}
																					((((BgL_rtl_goz00_bglt)
																								COBJECT(BgL_new1257z00_3032))->
																							BgL_toz00) =
																						((BgL_blockz00_bglt)
																							BgL_auxz00_7034), BUNSPEC);
																				}
																				BgL_auxz00_7025 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1257z00_3032);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1255z00_3031))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) BgL_auxz00_7025),
																				BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1255z00_3031))->
																				BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																		BgL_goz00_3028 = BgL_new1255z00_3031;
																	}
																	{	/* SawBbv/bbv.scm 533 */
																		obj_t BgL_arg2365z00_3029;

																		{	/* SawBbv/bbv.scm 533 */
																			obj_t BgL_list2366z00_3030;

																			BgL_list2366z00_3030 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_goz00_3028), BNIL);
																			BgL_arg2365z00_3029 =
																				BgL_list2366z00_3030;
																		}
																		SET_CDR(BgL_lpz00_3025,
																			BgL_arg2365z00_3029);
										}}}}}}
										{	/* SawBbv/bbv.scm 544 */
											BgL_blockz00_bglt BgL_i1260z00_3011;

											BgL_i1260z00_3011 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3003)));
											{	/* SawBbv/bbv.scm 545 */
												obj_t BgL_arg2352z00_3012;
												obj_t BgL_arg2355z00_3013;

												{	/* SawBbv/bbv.scm 545 */
													obj_t BgL_arg2356z00_3014;
													obj_t BgL_arg2357z00_3015;

													BgL_arg2356z00_3014 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1260z00_3011))->
														BgL_succsz00);
													BgL_arg2357z00_3015 = CDR(((obj_t) BgL_bsz00_3003));
													BgL_arg2352z00_3012 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2356z00_3014, BgL_arg2357z00_3015);
												}
												{	/* SawBbv/bbv.scm 545 */
													obj_t BgL_arg2358z00_3016;

													BgL_arg2358z00_3016 = CAR(((obj_t) BgL_bsz00_3003));
													BgL_arg2355z00_3013 =
														MAKE_YOUNG_PAIR(BgL_arg2358z00_3016,
														BgL_accz00_3004);
												}
												{
													obj_t BgL_accz00_7057;
													obj_t BgL_bsz00_7056;

													BgL_bsz00_7056 = BgL_arg2352z00_3012;
													BgL_accz00_7057 = BgL_arg2355z00_3013;
													BgL_accz00_3004 = BgL_accz00_7057;
													BgL_bsz00_3003 = BgL_bsz00_7056;
													goto BgL_zc3z04anonymousza32344ze3z87_3005;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* remove-temps! */
	BgL_blockz00_bglt BGl_removezd2tempsz12zc0zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_115)
	{
		{	/* SawBbv/bbv.scm 550 */
			{
				BgL_blockz00_bglt BgL_bz00_3084;

				{	/* SawBbv/bbv.scm 573 */
					obj_t BgL_g1265z00_3043;

					{	/* SawBbv/bbv.scm 573 */
						obj_t BgL_list2385z00_3062;

						BgL_list2385z00_3062 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_115), BNIL);
						BgL_g1265z00_3043 = BgL_list2385z00_3062;
					}
					{
						obj_t BgL_bsz00_3046;
						obj_t BgL_accz00_3047;

						BgL_bsz00_3046 = BgL_g1265z00_3043;
						BgL_accz00_3047 = BNIL;
					BgL_zc3z04anonymousza32372ze3z87_3048:
						if (NULLP(BgL_bsz00_3046))
							{	/* SawBbv/bbv.scm 576 */
								return BgL_bz00_115;
							}
						else
							{	/* SawBbv/bbv.scm 576 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_3046)), BgL_accz00_3047)))
									{	/* SawBbv/bbv.scm 579 */
										obj_t BgL_arg2376z00_3052;

										BgL_arg2376z00_3052 = CDR(((obj_t) BgL_bsz00_3046));
										{
											obj_t BgL_bsz00_7069;

											BgL_bsz00_7069 = BgL_arg2376z00_3052;
											BgL_bsz00_3046 = BgL_bsz00_7069;
											goto BgL_zc3z04anonymousza32372ze3z87_3048;
										}
									}
								else
									{	/* SawBbv/bbv.scm 581 */
										BgL_blockz00_bglt BgL_i1267z00_3053;

										BgL_i1267z00_3053 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3046)));
										{	/* SawBbv/bbv.scm 582 */
											obj_t BgL_arg2378z00_3054;

											BgL_arg2378z00_3054 = CAR(((obj_t) BgL_bsz00_3046));
											BgL_bz00_3084 = ((BgL_blockz00_bglt) BgL_arg2378z00_3054);
											{
												obj_t BgL_auxz00_7075;

												{	/* SawBbv/bbv.scm 571 */
													obj_t BgL_l01638z00_3087;

													BgL_l01638z00_3087 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_3084))->
														BgL_firstz00);
													{
														obj_t BgL_l1637z00_3089;

														BgL_l1637z00_3089 = BgL_l01638z00_3087;
													BgL_zc3z04anonymousza32399ze3z87_3090:
														if (NULLP(BgL_l1637z00_3089))
															{	/* SawBbv/bbv.scm 571 */
																BgL_auxz00_7075 = BgL_l01638z00_3087;
															}
														else
															{	/* SawBbv/bbv.scm 571 */
																{	/* SawBbv/bbv.scm 571 */
																	BgL_rtl_insz00_bglt BgL_arg2401z00_3092;

																	{	/* SawBbv/bbv.scm 571 */
																		obj_t BgL_arg2402z00_3093;

																		BgL_arg2402z00_3093 =
																			CAR(((obj_t) BgL_l1637z00_3089));
																		BgL_arg2401z00_3092 =
																			BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg2402z00_3093));
																	}
																	{	/* SawBbv/bbv.scm 571 */
																		obj_t BgL_auxz00_7085;
																		obj_t BgL_tmpz00_7083;

																		BgL_auxz00_7085 =
																			((obj_t) BgL_arg2401z00_3092);
																		BgL_tmpz00_7083 =
																			((obj_t) BgL_l1637z00_3089);
																		SET_CAR(BgL_tmpz00_7083, BgL_auxz00_7085);
																	}
																}
																{	/* SawBbv/bbv.scm 571 */
																	obj_t BgL_arg2403z00_3094;

																	BgL_arg2403z00_3094 =
																		CDR(((obj_t) BgL_l1637z00_3089));
																	{
																		obj_t BgL_l1637z00_7090;

																		BgL_l1637z00_7090 = BgL_arg2403z00_3094;
																		BgL_l1637z00_3089 = BgL_l1637z00_7090;
																		goto BgL_zc3z04anonymousza32399ze3z87_3090;
																	}
																}
															}
													}
												}
												((((BgL_blockz00_bglt) COBJECT(BgL_bz00_3084))->
														BgL_firstz00) = ((obj_t) BgL_auxz00_7075), BUNSPEC);
											}
										}
										{	/* SawBbv/bbv.scm 583 */
											obj_t BgL_arg2379z00_3055;
											obj_t BgL_arg2380z00_3056;

											{	/* SawBbv/bbv.scm 583 */
												obj_t BgL_arg2381z00_3057;
												obj_t BgL_arg2382z00_3058;

												BgL_arg2381z00_3057 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1267z00_3053))->
													BgL_succsz00);
												BgL_arg2382z00_3058 = CDR(((obj_t) BgL_bsz00_3046));
												BgL_arg2379z00_3055 =
													BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2381z00_3057,
													BgL_arg2382z00_3058);
											}
											{	/* SawBbv/bbv.scm 583 */
												obj_t BgL_arg2383z00_3059;

												BgL_arg2383z00_3059 = CAR(((obj_t) BgL_bsz00_3046));
												BgL_arg2380z00_3056 =
													MAKE_YOUNG_PAIR(BgL_arg2383z00_3059, BgL_accz00_3047);
											}
											{
												obj_t BgL_accz00_7101;
												obj_t BgL_bsz00_7100;

												BgL_bsz00_7100 = BgL_arg2379z00_3055;
												BgL_accz00_7101 = BgL_arg2380z00_3056;
												BgL_accz00_3047 = BgL_accz00_7101;
												BgL_bsz00_3046 = BgL_bsz00_7100;
												goto BgL_zc3z04anonymousza32372ze3z87_3048;
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* remove-ins-temps!~0 */
	BgL_rtl_insz00_bglt
		BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(BgL_rtl_insz00_bglt
		BgL_insz00_3063)
	{
		{	/* SawBbv/bbv.scm 567 */
			{
				obj_t BgL_argsz00_3068;

				BgL_argsz00_3068 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_3063))->BgL_argsz00);
			BgL_zc3z04anonymousza32388ze3z87_3069:
				if (NULLP(BgL_argsz00_3068))
					{	/* SawBbv/bbv.scm 555 */
						return BgL_insz00_3063;
					}
				else
					{	/* SawBbv/bbv.scm 557 */
						obj_t BgL_g1262z00_3071;

						BgL_g1262z00_3071 = CAR(((obj_t) BgL_argsz00_3068));
						{
							obj_t BgL_argz00_3073;

							BgL_argz00_3073 = BgL_g1262z00_3071;
						BgL_zc3z04anonymousza32390ze3z87_3074:
							{	/* SawBbv/bbv.scm 558 */
								bool_t BgL_test3109z00_7106;

								{	/* SawBbv/bbv.scm 558 */
									obj_t BgL_classz00_4475;

									BgL_classz00_4475 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_argz00_3073))
										{	/* SawBbv/bbv.scm 558 */
											BgL_objectz00_bglt BgL_arg1820z00_4477;

											BgL_arg1820z00_4477 =
												(BgL_objectz00_bglt) (BgL_argz00_3073);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv.scm 558 */
													long BgL_idxz00_4483;

													BgL_idxz00_4483 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4477);
													BgL_test3109z00_7106 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4483 + ((long) 1))) ==
														BgL_classz00_4475);
												}
											else
												{	/* SawBbv/bbv.scm 558 */
													bool_t BgL_res2817z00_4505;

													{	/* SawBbv/bbv.scm 558 */
														obj_t BgL_oclassz00_4491;

														{	/* SawBbv/bbv.scm 558 */
															long BgL_arg1828z00_4497;

															{	/* SawBbv/bbv.scm 558 */
																long BgL_arg1829z00_4498;

																BgL_arg1829z00_4498 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4477);
																BgL_arg1828z00_4497 =
																	(BgL_arg1829z00_4498 - OBJECT_TYPE);
															}
															BgL_oclassz00_4491 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4497);
														}
														{	/* SawBbv/bbv.scm 558 */
															bool_t BgL__ortest_1111z00_4492;

															BgL__ortest_1111z00_4492 =
																(BgL_classz00_4475 == BgL_oclassz00_4491);
															if (BgL__ortest_1111z00_4492)
																{	/* SawBbv/bbv.scm 558 */
																	BgL_res2817z00_4505 =
																		BgL__ortest_1111z00_4492;
																}
															else
																{	/* SawBbv/bbv.scm 558 */
																	long BgL_odepthz00_4493;

																	BgL_odepthz00_4493 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4491);
																	if ((((long) 1) < BgL_odepthz00_4493))
																		{	/* SawBbv/bbv.scm 558 */
																			obj_t BgL_arg1816z00_4495;

																			BgL_arg1816z00_4495 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4491, ((long) 1));
																			BgL_res2817z00_4505 =
																				(BgL_arg1816z00_4495 ==
																				BgL_classz00_4475);
																		}
																	else
																		{	/* SawBbv/bbv.scm 558 */
																			BgL_res2817z00_4505 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3109z00_7106 = BgL_res2817z00_4505;
												}
										}
									else
										{	/* SawBbv/bbv.scm 558 */
											BgL_test3109z00_7106 = ((bool_t) 0);
										}
								}
								if (BgL_test3109z00_7106)
									{	/* SawBbv/bbv.scm 558 */
										if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_argz00_3073)))
											{	/* SawBbv/bbv.scm 561 */
												obj_t BgL_arg2393z00_3078;

												{	/* SawBbv/bbv.scm 561 */
													obj_t BgL_pairz00_4506;

													BgL_pairz00_4506 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_argz00_3073)))->
														BgL_argsz00);
													BgL_arg2393z00_3078 = CAR(BgL_pairz00_4506);
												}
												{
													obj_t BgL_argz00_7132;

													BgL_argz00_7132 = BgL_arg2393z00_3078;
													BgL_argz00_3073 = BgL_argz00_7132;
													goto BgL_zc3z04anonymousza32390ze3z87_3074;
												}
											}
										else
											{	/* SawBbv/bbv.scm 559 */
												BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(
													((BgL_rtl_insz00_bglt) BgL_argz00_3073));
												{	/* SawBbv/bbv.scm 564 */
													obj_t BgL_arg2396z00_3080;

													BgL_arg2396z00_3080 = CDR(((obj_t) BgL_argsz00_3068));
													{
														obj_t BgL_argsz00_7137;

														BgL_argsz00_7137 = BgL_arg2396z00_3080;
														BgL_argsz00_3068 = BgL_argsz00_7137;
														goto BgL_zc3z04anonymousza32388ze3z87_3069;
													}
												}
											}
									}
								else
									{	/* SawBbv/bbv.scm 558 */
										{	/* SawBbv/bbv.scm 566 */
											obj_t BgL_tmpz00_7138;

											BgL_tmpz00_7138 = ((obj_t) BgL_argsz00_3068);
											SET_CAR(BgL_tmpz00_7138, BgL_argz00_3073);
										}
										{	/* SawBbv/bbv.scm 567 */
											obj_t BgL_arg2397z00_3081;

											BgL_arg2397z00_3081 = CDR(((obj_t) BgL_argsz00_3068));
											{
												obj_t BgL_argsz00_7143;

												BgL_argsz00_7143 = BgL_arg2397z00_3081;
												BgL_argsz00_3068 = BgL_argsz00_7143;
												goto BgL_zc3z04anonymousza32388ze3z87_3069;
											}
										}
									}
							}
						}
					}
			}
		}

	}



/* simplify-branch! */
	BgL_blockz00_bglt BGl_simplifyzd2branchz12zc0zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_116)
	{
		{	/* SawBbv/bbv.scm 588 */
			{
				obj_t BgL_bz00_3225;

				BGl_assertzd2blockszd2zzsaw_bbvz00(
					((BgL_blockz00_bglt) BgL_bz00_116), BGl_string2849z00zzsaw_bbvz00);
				{	/* SawBbv/bbv.scm 596 */
					obj_t BgL_g1270z00_3099;
					obj_t BgL_g1271z00_3100;

					{	/* SawBbv/bbv.scm 596 */
						obj_t BgL_list2535z00_3224;

						BgL_list2535z00_3224 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_116), BNIL);
						BgL_g1270z00_3099 = BgL_list2535z00_3224;
					}
					BgL_g1271z00_3100 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
					{
						obj_t BgL_bsz00_3102;
						obj_t BgL_accz00_3103;

						BgL_bsz00_3102 = BgL_g1270z00_3099;
						BgL_accz00_3103 = BgL_g1271z00_3100;
					BgL_zc3z04anonymousza32404ze3z87_3104:
						if (NULLP(BgL_bsz00_3102))
							{	/* SawBbv/bbv.scm 599 */
								return BgL_bz00_116;
							}
						else
							{	/* SawBbv/bbv.scm 601 */
								bool_t BgL_test3116z00_7152;

								{	/* SawBbv/bbv.scm 601 */
									BgL_blockz00_bglt BgL_blockz00_4524;

									BgL_blockz00_4524 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3102)));
									{	/* SawBbv/bbv.scm 601 */
										long BgL_arg1698z00_4527;
										obj_t BgL_arg1705z00_4528;

										{
											BgL_blocksz00_bglt BgL_auxz00_7156;

											{
												obj_t BgL_auxz00_7157;

												{	/* SawBbv/bbv.scm 601 */
													BgL_objectz00_bglt BgL_tmpz00_7158;

													BgL_tmpz00_7158 =
														((BgL_objectz00_bglt) BgL_blockz00_4524);
													BgL_auxz00_7157 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7158);
												}
												BgL_auxz00_7156 =
													((BgL_blocksz00_bglt) BgL_auxz00_7157);
											}
											BgL_arg1698z00_4527 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7156))->
												BgL_z52markz52);
										}
										BgL_arg1705z00_4528 =
											STRUCT_REF(BgL_accz00_3103, (int) (((long) 0)));
										BgL_test3116z00_7152 =
											(BINT(BgL_arg1698z00_4527) == BgL_arg1705z00_4528);
								}}
								if (BgL_test3116z00_7152)
									{	/* SawBbv/bbv.scm 602 */
										obj_t BgL_arg2409z00_3108;

										BgL_arg2409z00_3108 = CDR(((obj_t) BgL_bsz00_3102));
										{
											obj_t BgL_bsz00_7169;

											BgL_bsz00_7169 = BgL_arg2409z00_3108;
											BgL_bsz00_3102 = BgL_bsz00_7169;
											goto BgL_zc3z04anonymousza32404ze3z87_3104;
										}
									}
								else
									{	/* SawBbv/bbv.scm 604 */
										BgL_blockz00_bglt BgL_i1272z00_3109;

										BgL_i1272z00_3109 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3102)));
										if (NULLP(
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1272z00_3109)))->
													BgL_predsz00)))
											{	/* SawBbv/bbv.scm 646 */
												obj_t BgL_arg2529z00_3220;

												BgL_arg2529z00_3220 = CDR(((obj_t) BgL_bsz00_3102));
												{
													obj_t BgL_bsz00_7179;

													BgL_bsz00_7179 = BgL_arg2529z00_3220;
													BgL_bsz00_3102 = BgL_bsz00_7179;
													goto BgL_zc3z04anonymousza32404ze3z87_3104;
												}
											}
										else
											{	/* SawBbv/bbv.scm 605 */
												if (CBOOL
													(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
													{	/* SawBbv/bbv.scm 607 */
														obj_t BgL_arg2412z00_3112;

														BgL_arg2412z00_3112 = CAR(((obj_t) BgL_bsz00_3102));
														BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
															((BgL_blockz00_bglt) BgL_arg2412z00_3112),
															BGl_string2850z00zzsaw_bbvz00);
													}
												else
													{	/* SawBbv/bbv.scm 607 */
														BFALSE;
													}
												if (
													(bgl_list_length(
															(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_i1272z00_3109)))->
																BgL_succsz00)) == ((long) 1)))
													{	/* SawBbv/bbv.scm 609 */
														bool_t BgL_test3120z00_7191;

														{	/* SawBbv/bbv.scm 609 */
															long BgL_tmpz00_7192;

															{	/* SawBbv/bbv.scm 609 */
																obj_t BgL_auxz00_7193;

																{
																	BgL_blockz00_bglt BgL_auxz00_7194;

																	{	/* SawBbv/bbv.scm 609 */
																		obj_t BgL_pairz00_4535;

																		BgL_pairz00_4535 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_i1272z00_3109)))->BgL_succsz00);
																		BgL_auxz00_7194 =
																			((BgL_blockz00_bglt)
																			CAR(BgL_pairz00_4535));
																	}
																	BgL_auxz00_7193 =
																		(((BgL_blockz00_bglt)
																			COBJECT(BgL_auxz00_7194))->BgL_predsz00);
																}
																BgL_tmpz00_7192 =
																	bgl_list_length(BgL_auxz00_7193);
															}
															BgL_test3120z00_7191 =
																(BgL_tmpz00_7192 == ((long) 1));
														}
														if (BgL_test3120z00_7191)
															{	/* SawBbv/bbv.scm 611 */
																obj_t BgL_sz00_3121;

																{	/* SawBbv/bbv.scm 611 */
																	obj_t BgL_pairz00_4538;

																	BgL_pairz00_4538 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1272z00_3109)))->BgL_succsz00);
																	BgL_sz00_3121 = CAR(BgL_pairz00_4538);
																}
																{	/* SawBbv/bbv.scm 612 */
																	obj_t BgL_g1645z00_3122;

																	BgL_g1645z00_3122 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_3121)))->
																		BgL_succsz00);
																	{
																		obj_t BgL_l1643z00_3124;

																		BgL_l1643z00_3124 = BgL_g1645z00_3122;
																	BgL_zc3z04anonymousza32424ze3z87_3125:
																		if (PAIRP(BgL_l1643z00_3124))
																			{	/* SawBbv/bbv.scm 615 */
																				{	/* SawBbv/bbv.scm 613 */
																					obj_t BgL_nsz00_3127;

																					BgL_nsz00_3127 =
																						CAR(BgL_l1643z00_3124);
																					{	/* SawBbv/bbv.scm 614 */
																						obj_t BgL_arg2426z00_3128;

																						{	/* SawBbv/bbv.scm 614 */
																							obj_t BgL_arg2427z00_3129;
																							obj_t BgL_arg2428z00_3130;

																							BgL_arg2427z00_3129 =
																								(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_nsz00_3127)))->
																								BgL_predsz00);
																							BgL_arg2428z00_3130 =
																								CAR(((obj_t) BgL_bsz00_3102));
																							BgL_arg2426z00_3128 =
																								BGl_replacez00zzsaw_bbvzd2utilszd2
																								(BgL_arg2427z00_3129,
																								BgL_sz00_3121,
																								BgL_arg2428z00_3130);
																						}
																						((((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_nsz00_3127)))->
																								BgL_predsz00) =
																							((obj_t) ((obj_t)
																									BgL_arg2426z00_3128)),
																							BUNSPEC);
																					}
																				}
																				{
																					obj_t BgL_l1643z00_7218;

																					BgL_l1643z00_7218 =
																						CDR(BgL_l1643z00_3124);
																					BgL_l1643z00_3124 = BgL_l1643z00_7218;
																					goto
																						BgL_zc3z04anonymousza32424ze3z87_3125;
																				}
																			}
																		else
																			{	/* SawBbv/bbv.scm 615 */
																				((bool_t) 1);
																			}
																	}
																}
																((((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1272z00_3109)))->BgL_succsz00) =
																	((obj_t) (((BgL_blockz00_bglt)
																				COBJECT(((BgL_blockz00_bglt)
																						BgL_sz00_3121)))->BgL_succsz00)),
																	BUNSPEC);
																{	/* SawBbv/bbv.scm 617 */
																	obj_t BgL_lpz00_3133;

																	BgL_lpz00_3133 =
																		BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																		((((BgL_blockz00_bglt)
																				COBJECT(((BgL_blockz00_bglt)
																						BgL_i1272z00_3109)))->
																			BgL_firstz00));
																	{	/* SawBbv/bbv.scm 618 */
																		bool_t BgL_test3122z00_7227;

																		{	/* SawBbv/bbv.scm 618 */
																			obj_t BgL_arg2442z00_3144;

																			BgL_arg2442z00_3144 = CAR(BgL_lpz00_3133);
																			BgL_test3122z00_7227 =
																				BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																				(((BgL_rtl_insz00_bglt)
																					BgL_arg2442z00_3144));
																		}
																		if (BgL_test3122z00_7227)
																			{	/* SawBbv/bbv.scm 619 */
																				obj_t BgL_revz00_3136;

																				{	/* SawBbv/bbv.scm 619 */
																					obj_t BgL_arg2435z00_3138;

																					{	/* SawBbv/bbv.scm 619 */
																						obj_t BgL_pairz00_4548;

																						BgL_pairz00_4548 =
																							bgl_reverse(
																							(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_i1272z00_3109)))->
																								BgL_firstz00));
																						BgL_arg2435z00_3138 =
																							CDR(BgL_pairz00_4548);
																					}
																					BgL_revz00_3136 =
																						bgl_reverse_bang
																						(BgL_arg2435z00_3138);
																				}
																				{
																					obj_t BgL_auxz00_7236;

																					{	/* SawBbv/bbv.scm 620 */
																						obj_t BgL_arg2434z00_3137;

																						BgL_arg2434z00_3137 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_sz00_3121)))->
																							BgL_firstz00);
																						BgL_auxz00_7236 =
																							BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
																							(BgL_revz00_3136,
																							BgL_arg2434z00_3137);
																					}
																					((((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_i1272z00_3109)))->
																							BgL_firstz00) =
																						((obj_t) BgL_auxz00_7236), BUNSPEC);
																				}
																			}
																		else
																			{
																				obj_t BgL_auxz00_7242;

																				{	/* SawBbv/bbv.scm 622 */
																					obj_t BgL_arg2438z00_3141;
																					obj_t BgL_arg2439z00_3142;

																					BgL_arg2438z00_3141 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_i1272z00_3109)))->
																						BgL_firstz00);
																					{	/* SawBbv/bbv.scm 623 */
																						obj_t BgL_arg2441z00_3143;

																						BgL_arg2441z00_3143 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_sz00_3121)))->
																							BgL_firstz00);
																						BgL_arg2439z00_3142 =
																							BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2441z00_3143);
																					}
																					BgL_auxz00_7242 =
																						BGl_appendzd221011zd2zzsaw_bbvz00
																						(BgL_arg2438z00_3141,
																						BgL_arg2439z00_3142);
																				}
																				((((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_i1272z00_3109)))->
																						BgL_firstz00) =
																					((obj_t) BgL_auxz00_7242), BUNSPEC);
																			}
																	}
																}
																{

																	goto BgL_zc3z04anonymousza32404ze3z87_3104;
																}
															}
														else
															{	/* SawBbv/bbv.scm 625 */
																obj_t BgL_arg2446z00_3147;
																obj_t BgL_arg2447z00_3148;

																{	/* SawBbv/bbv.scm 625 */
																	obj_t BgL_arg2448z00_3149;
																	obj_t BgL_arg2450z00_3150;

																	{	/* SawBbv/bbv.scm 625 */
																		obj_t BgL_pairz00_4551;

																		BgL_pairz00_4551 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_i1272z00_3109)))->BgL_succsz00);
																		BgL_arg2448z00_3149 = CAR(BgL_pairz00_4551);
																	}
																	BgL_arg2450z00_3150 =
																		CDR(((obj_t) BgL_bsz00_3102));
																	BgL_arg2446z00_3147 =
																		MAKE_YOUNG_PAIR(BgL_arg2448z00_3149,
																		BgL_arg2450z00_3150);
																}
																{	/* SawBbv/bbv.scm 626 */
																	obj_t BgL_arg2452z00_3152;

																	BgL_arg2452z00_3152 =
																		CAR(((obj_t) BgL_bsz00_3102));
																	BgL_arg2447z00_3148 =
																		BGl_bbsetzd2conszd2zzsaw_bbvz00(
																		((BgL_blockz00_bglt) BgL_arg2452z00_3152),
																		BgL_accz00_3103);
																}
																{
																	obj_t BgL_accz00_7262;
																	obj_t BgL_bsz00_7261;

																	BgL_bsz00_7261 = BgL_arg2446z00_3147;
																	BgL_accz00_7262 = BgL_arg2447z00_3148;
																	BgL_accz00_3103 = BgL_accz00_7262;
																	BgL_bsz00_3102 = BgL_bsz00_7261;
																	goto BgL_zc3z04anonymousza32404ze3z87_3104;
																}
															}
													}
												else
													{
														obj_t BgL_ssz00_3160;
														obj_t BgL_nsuccsz00_3161;

														{	/* SawBbv/bbv.scm 627 */
															obj_t BgL_arg2460z00_3159;

															BgL_arg2460z00_3159 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_i1272z00_3109)))->
																BgL_succsz00);
															BgL_ssz00_3160 = BgL_arg2460z00_3159;
															BgL_nsuccsz00_3161 = BNIL;
														BgL_zc3z04anonymousza32461ze3z87_3162:
															if (NULLP(BgL_ssz00_3160))
																{	/* SawBbv/bbv.scm 630 */
																	obj_t BgL_arg2463z00_3164;
																	obj_t BgL_arg2464z00_3165;

																	{	/* SawBbv/bbv.scm 630 */
																		obj_t BgL_arg2465z00_3166;
																		obj_t BgL_arg2467z00_3167;

																		BgL_arg2465z00_3166 =
																			bgl_reverse(BgL_nsuccsz00_3161);
																		BgL_arg2467z00_3167 =
																			CDR(((obj_t) BgL_bsz00_3102));
																		BgL_arg2463z00_3164 =
																			BGl_appendzd221011zd2zzsaw_bbvz00
																			(BgL_arg2465z00_3166,
																			BgL_arg2467z00_3167);
																	}
																	{	/* SawBbv/bbv.scm 631 */
																		obj_t BgL_arg2468z00_3168;

																		BgL_arg2468z00_3168 =
																			CAR(((obj_t) BgL_bsz00_3102));
																		BgL_arg2464z00_3165 =
																			BGl_bbsetzd2conszd2zzsaw_bbvz00(
																			((BgL_blockz00_bglt) BgL_arg2468z00_3168),
																			BgL_accz00_3103);
																	}
																	{
																		obj_t BgL_accz00_7276;
																		obj_t BgL_bsz00_7275;

																		BgL_bsz00_7275 = BgL_arg2463z00_3164;
																		BgL_accz00_7276 = BgL_arg2464z00_3165;
																		BgL_accz00_3103 = BgL_accz00_7276;
																		BgL_bsz00_3102 = BgL_bsz00_7275;
																		goto BgL_zc3z04anonymousza32404ze3z87_3104;
																	}
																}
															else
																{	/* SawBbv/bbv.scm 632 */
																	obj_t BgL_sz00_3169;

																	BgL_sz00_3169 = CAR(((obj_t) BgL_ssz00_3160));
																	{	/* SawBbv/bbv.scm 633 */
																		bool_t BgL_test3124z00_7279;

																		BgL_bz00_3225 = BgL_sz00_3169;
																		{	/* SawBbv/bbv.scm 593 */
																			obj_t BgL_g1641z00_3228;

																			BgL_g1641z00_3228 =
																				(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_bz00_3225)))->BgL_firstz00);
																			{
																				obj_t BgL_l1639z00_3230;

																				BgL_l1639z00_3230 = BgL_g1641z00_3228;
																			BgL_zc3z04anonymousza32537ze3z87_3231:
																				if (NULLP(BgL_l1639z00_3230))
																					{	/* SawBbv/bbv.scm 593 */
																						BgL_test3124z00_7279 = ((bool_t) 1);
																					}
																				else
																					{	/* SawBbv/bbv.scm 593 */
																						bool_t BgL_test3126z00_7284;

																						{	/* SawBbv/bbv.scm 593 */
																							obj_t BgL_iz00_3236;

																							BgL_iz00_3236 =
																								CAR(
																								((obj_t) BgL_l1639z00_3230));
																							{	/* SawBbv/bbv.scm 593 */
																								bool_t BgL__ortest_1269z00_3237;

																								BgL__ortest_1269z00_3237 =
																									BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2
																									(((BgL_rtl_insz00_bglt)
																										BgL_iz00_3236));
																								if (BgL__ortest_1269z00_3237)
																									{	/* SawBbv/bbv.scm 593 */
																										BgL_test3126z00_7284 =
																											BgL__ortest_1269z00_3237;
																									}
																								else
																									{	/* SawBbv/bbv.scm 593 */
																										BgL_test3126z00_7284 =
																											BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																											(((BgL_rtl_insz00_bglt)
																												BgL_iz00_3236));
																									}
																							}
																						}
																						if (BgL_test3126z00_7284)
																							{	/* SawBbv/bbv.scm 593 */
																								obj_t BgL_arg2542z00_3235;

																								BgL_arg2542z00_3235 =
																									CDR(
																									((obj_t) BgL_l1639z00_3230));
																								{
																									obj_t BgL_l1639z00_7294;

																									BgL_l1639z00_7294 =
																										BgL_arg2542z00_3235;
																									BgL_l1639z00_3230 =
																										BgL_l1639z00_7294;
																									goto
																										BgL_zc3z04anonymousza32537ze3z87_3231;
																								}
																							}
																						else
																							{	/* SawBbv/bbv.scm 593 */
																								BgL_test3124z00_7279 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		if (BgL_test3124z00_7279)
																			{	/* SawBbv/bbv.scm 634 */
																				obj_t BgL_tz00_3171;

																				{	/* SawBbv/bbv.scm 634 */
																					obj_t BgL_pairz00_4558;

																					BgL_pairz00_4558 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_sz00_3169)))->
																						BgL_succsz00);
																					BgL_tz00_3171 = CAR(BgL_pairz00_4558);
																				}
																				if (CBOOL
																					(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																					{	/* SawBbv/bbv.scm 636 */
																						obj_t BgL_arg2470z00_3172;
																						int BgL_arg2471z00_3173;
																						int BgL_arg2473z00_3174;
																						obj_t BgL_arg2474z00_3175;
																						int BgL_arg2476z00_3176;

																						{	/* SawBbv/bbv.scm 636 */
																							obj_t BgL_tmpz00_7300;

																							BgL_tmpz00_7300 =
																								BGL_CURRENT_DYNAMIC_ENV();
																							BgL_arg2470z00_3172 =
																								BGL_ENV_CURRENT_ERROR_PORT
																								(BgL_tmpz00_7300);
																						}
																						BgL_arg2471z00_3173 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_bsz00_3102)))))->
																							BgL_labelz00);
																						BgL_arg2473z00_3174 =
																							(((BgL_blockz00_bglt)
																								COBJECT(((BgL_blockz00_bglt)
																										BgL_sz00_3169)))->
																							BgL_labelz00);
																						{	/* SawBbv/bbv.scm 638 */
																							obj_t BgL_l1646z00_3190;

																							BgL_l1646z00_3190 =
																								(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_3169)))->
																								BgL_predsz00);
																							if (NULLP(BgL_l1646z00_3190))
																								{	/* SawBbv/bbv.scm 638 */
																									BgL_arg2474z00_3175 = BNIL;
																								}
																							else
																								{	/* SawBbv/bbv.scm 638 */
																									obj_t BgL_head1648z00_3192;

																									{	/* SawBbv/bbv.scm 638 */
																										int BgL_arg2508z00_3204;

																										BgL_arg2508z00_3204 =
																											(((BgL_blockz00_bglt)
																												COBJECT((
																														(BgL_blockz00_bglt)
																														CAR
																														(BgL_l1646z00_3190))))->
																											BgL_labelz00);
																										BgL_head1648z00_3192 =
																											MAKE_YOUNG_PAIR(BINT
																											(BgL_arg2508z00_3204),
																											BNIL);
																									}
																									{	/* SawBbv/bbv.scm 638 */
																										obj_t BgL_g1651z00_3193;

																										BgL_g1651z00_3193 =
																											CDR(BgL_l1646z00_3190);
																										{
																											obj_t BgL_l1646z00_3195;
																											obj_t
																												BgL_tail1649z00_3196;
																											BgL_l1646z00_3195 =
																												BgL_g1651z00_3193;
																											BgL_tail1649z00_3196 =
																												BgL_head1648z00_3192;
																										BgL_zc3z04anonymousza32497ze3z87_3197:
																											if (NULLP
																												(BgL_l1646z00_3195))
																												{	/* SawBbv/bbv.scm 638 */
																													BgL_arg2474z00_3175 =
																														BgL_head1648z00_3192;
																												}
																											else
																												{	/* SawBbv/bbv.scm 638 */
																													obj_t
																														BgL_newtail1650z00_3199;
																													{	/* SawBbv/bbv.scm 638 */
																														int
																															BgL_arg2500z00_3201;
																														BgL_arg2500z00_3201
																															=
																															(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1646z00_3195)))))->BgL_labelz00);
																														BgL_newtail1650z00_3199
																															=
																															MAKE_YOUNG_PAIR
																															(BINT
																															(BgL_arg2500z00_3201),
																															BNIL);
																													}
																													SET_CDR
																														(BgL_tail1649z00_3196,
																														BgL_newtail1650z00_3199);
																													{	/* SawBbv/bbv.scm 638 */
																														obj_t
																															BgL_arg2499z00_3200;
																														BgL_arg2499z00_3200
																															=
																															CDR(((obj_t)
																																BgL_l1646z00_3195));
																														{
																															obj_t
																																BgL_tail1649z00_7331;
																															obj_t
																																BgL_l1646z00_7330;
																															BgL_l1646z00_7330
																																=
																																BgL_arg2499z00_3200;
																															BgL_tail1649z00_7331
																																=
																																BgL_newtail1650z00_3199;
																															BgL_tail1649z00_3196
																																=
																																BgL_tail1649z00_7331;
																															BgL_l1646z00_3195
																																=
																																BgL_l1646z00_7330;
																															goto
																																BgL_zc3z04anonymousza32497ze3z87_3197;
																														}
																													}
																												}
																										}
																									}
																								}
																						}
																						BgL_arg2476z00_3176 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_tz00_3171)))->
																							BgL_labelz00);
																						{	/* SawBbv/bbv.scm 636 */
																							obj_t BgL_list2477z00_3177;

																							{	/* SawBbv/bbv.scm 636 */
																								obj_t BgL_arg2478z00_3178;

																								{	/* SawBbv/bbv.scm 636 */
																									obj_t BgL_arg2479z00_3179;

																									{	/* SawBbv/bbv.scm 636 */
																										obj_t BgL_arg2481z00_3180;

																										{	/* SawBbv/bbv.scm 636 */
																											obj_t BgL_arg2482z00_3181;

																											{	/* SawBbv/bbv.scm 636 */
																												obj_t
																													BgL_arg2484z00_3182;
																												{	/* SawBbv/bbv.scm 636 */
																													obj_t
																														BgL_arg2485z00_3183;
																													{	/* SawBbv/bbv.scm 636 */
																														obj_t
																															BgL_arg2487z00_3184;
																														{	/* SawBbv/bbv.scm 636 */
																															obj_t
																																BgL_arg2488z00_3185;
																															{	/* SawBbv/bbv.scm 636 */
																																obj_t
																																	BgL_arg2492z00_3186;
																																{	/* SawBbv/bbv.scm 636 */
																																	obj_t
																																		BgL_arg2493z00_3187;
																																	{	/* SawBbv/bbv.scm 636 */
																																		obj_t
																																			BgL_arg2494z00_3188;
																																		BgL_arg2494z00_3188
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BINT
																																			(BgL_arg2476z00_3176),
																																			BNIL);
																																		BgL_arg2493z00_3187
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string2851z00zzsaw_bbvz00,
																																			BgL_arg2494z00_3188);
																																	}
																																	BgL_arg2492z00_3186
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2474z00_3175,
																																		BgL_arg2493z00_3187);
																																}
																																BgL_arg2488z00_3185
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2852z00zzsaw_bbvz00,
																																	BgL_arg2492z00_3186);
																															}
																															BgL_arg2487z00_3184
																																=
																																MAKE_YOUNG_PAIR
																																(BINT
																																(BgL_arg2473z00_3174),
																																BgL_arg2488z00_3185);
																														}
																														BgL_arg2485z00_3183
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string2853z00zzsaw_bbvz00,
																															BgL_arg2487z00_3184);
																													}
																													BgL_arg2484z00_3182 =
																														MAKE_YOUNG_PAIR(BINT
																														(BgL_arg2471z00_3173),
																														BgL_arg2485z00_3183);
																												}
																												BgL_arg2482z00_3181 =
																													MAKE_YOUNG_PAIR
																													(BGl_string2854z00zzsaw_bbvz00,
																													BgL_arg2484z00_3182);
																											}
																											BgL_arg2481z00_3180 =
																												MAKE_YOUNG_PAIR
																												(BGl_string2826z00zzsaw_bbvz00,
																												BgL_arg2482z00_3181);
																										}
																										BgL_arg2479z00_3179 =
																											MAKE_YOUNG_PAIR(BINT((
																													(long) 636)),
																											BgL_arg2481z00_3180);
																									}
																									BgL_arg2478z00_3178 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2827z00zzsaw_bbvz00,
																										BgL_arg2479z00_3179);
																								}
																								BgL_list2477z00_3177 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2828z00zzsaw_bbvz00,
																									BgL_arg2478z00_3178);
																							}
																							BGl_tprintz00zz__r4_output_6_10_3z00
																								(BgL_arg2470z00_3172,
																								BgL_list2477z00_3177);
																					}}
																				else
																					{	/* SawBbv/bbv.scm 635 */
																						BFALSE;
																					}
																				{	/* SawBbv/bbv.scm 640 */
																					obj_t BgL_arg2512z00_3206;

																					BgL_arg2512z00_3206 =
																						CAR(((obj_t) BgL_bsz00_3102));
																					BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																						(((BgL_blockz00_bglt)
																							BgL_arg2512z00_3206),
																						((BgL_blockz00_bglt) BgL_sz00_3169),
																						((BgL_blockz00_bglt)
																							BgL_tz00_3171));
																				}
																				if (
																					(bgl_list_length(
																							(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_3169)))->
																								BgL_predsz00)) == ((long) 1)))
																					{	/* SawBbv/bbv.scm 641 */
																						{	/* SawBbv/bbv.scm 643 */
																							obj_t BgL_arg2516z00_3210;

																							BgL_arg2516z00_3210 =
																								bgl_remq(BgL_sz00_3169,
																								(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												BgL_tz00_3171)))->
																									BgL_predsz00));
																							((((BgL_blockz00_bglt)
																										COBJECT(((BgL_blockz00_bglt)
																												BgL_tz00_3171)))->
																									BgL_predsz00) =
																								((obj_t) BgL_arg2516z00_3210),
																								BUNSPEC);
																						}
																						{	/* SawBbv/bbv.scm 644 */
																							obj_t BgL_vz00_4579;

																							BgL_vz00_4579 = BNIL;
																							((((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												BgL_sz00_3169)))->
																									BgL_predsz00) =
																								((obj_t) BgL_vz00_4579),
																								BUNSPEC);
																					}}
																				else
																					{	/* SawBbv/bbv.scm 641 */
																						BFALSE;
																					}
																			}
																		else
																			{	/* SawBbv/bbv.scm 633 */
																				BFALSE;
																			}
																	}
																	{	/* SawBbv/bbv.scm 645 */
																		obj_t BgL_arg2523z00_3215;
																		obj_t BgL_arg2524z00_3216;

																		BgL_arg2523z00_3215 =
																			CDR(((obj_t) BgL_ssz00_3160));
																		BgL_arg2524z00_3216 =
																			MAKE_YOUNG_PAIR(BgL_sz00_3169,
																			BgL_nsuccsz00_3161);
																		{
																			obj_t BgL_nsuccsz00_7373;
																			obj_t BgL_ssz00_7372;

																			BgL_ssz00_7372 = BgL_arg2523z00_3215;
																			BgL_nsuccsz00_7373 = BgL_arg2524z00_3216;
																			BgL_nsuccsz00_3161 = BgL_nsuccsz00_7373;
																			BgL_ssz00_3160 = BgL_ssz00_7372;
																			goto
																				BgL_zc3z04anonymousza32461ze3z87_3162;
																		}
																	}
																}
														}
													}
											}
									}
							}
					}
				}
			}
		}

	}



/* remove-nop! */
	BgL_blockz00_bglt BGl_removezd2nopz12zc0zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_117)
	{
		{	/* SawBbv/bbv.scm 651 */
			BGl_assertzd2blockszd2zzsaw_bbvz00(
				((BgL_blockz00_bglt) BgL_bz00_117), BGl_string2855z00zzsaw_bbvz00);
			{	/* SawBbv/bbv.scm 653 */
				obj_t BgL_g1274z00_3240;
				obj_t BgL_g1275z00_3241;

				{	/* SawBbv/bbv.scm 653 */
					obj_t BgL_list2573z00_3274;

					BgL_list2573z00_3274 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_117), BNIL);
					BgL_g1274z00_3240 = BgL_list2573z00_3274;
				}
				BgL_g1275z00_3241 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
				{
					obj_t BgL_bsz00_3243;
					obj_t BgL_accz00_3244;

					BgL_bsz00_3243 = BgL_g1274z00_3240;
					BgL_accz00_3244 = BgL_g1275z00_3241;
				BgL_zc3z04anonymousza32543ze3z87_3245:
					if (NULLP(BgL_bsz00_3243))
						{	/* SawBbv/bbv.scm 656 */
							return BgL_bz00_117;
						}
					else
						{	/* SawBbv/bbv.scm 658 */
							bool_t BgL_test3133z00_7381;

							{	/* SawBbv/bbv.scm 658 */
								BgL_blockz00_bglt BgL_blockz00_4584;

								BgL_blockz00_4584 =
									((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3243)));
								{	/* SawBbv/bbv.scm 658 */
									long BgL_arg1698z00_4587;
									obj_t BgL_arg1705z00_4588;

									{
										BgL_blocksz00_bglt BgL_auxz00_7385;

										{
											obj_t BgL_auxz00_7386;

											{	/* SawBbv/bbv.scm 658 */
												BgL_objectz00_bglt BgL_tmpz00_7387;

												BgL_tmpz00_7387 =
													((BgL_objectz00_bglt) BgL_blockz00_4584);
												BgL_auxz00_7386 = BGL_OBJECT_WIDENING(BgL_tmpz00_7387);
											}
											BgL_auxz00_7385 = ((BgL_blocksz00_bglt) BgL_auxz00_7386);
										}
										BgL_arg1698z00_4587 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7385))->
											BgL_z52markz52);
									}
									BgL_arg1705z00_4588 =
										STRUCT_REF(BgL_accz00_3244, (int) (((long) 0)));
									BgL_test3133z00_7381 =
										(BINT(BgL_arg1698z00_4587) == BgL_arg1705z00_4588);
							}}
							if (BgL_test3133z00_7381)
								{	/* SawBbv/bbv.scm 659 */
									obj_t BgL_arg2551z00_3249;

									BgL_arg2551z00_3249 = CDR(((obj_t) BgL_bsz00_3243));
									{
										obj_t BgL_bsz00_7398;

										BgL_bsz00_7398 = BgL_arg2551z00_3249;
										BgL_bsz00_3243 = BgL_bsz00_7398;
										goto BgL_zc3z04anonymousza32543ze3z87_3245;
									}
								}
							else
								{	/* SawBbv/bbv.scm 661 */
									BgL_blockz00_bglt BgL_i1276z00_3250;

									BgL_i1276z00_3250 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3243)));
									if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
										{	/* SawBbv/bbv.scm 662 */
											obj_t BgL_arg2552z00_3251;

											BgL_arg2552z00_3251 = CAR(((obj_t) BgL_bsz00_3243));
											BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
												((BgL_blockz00_bglt) BgL_arg2552z00_3251),
												BGl_string2856z00zzsaw_bbvz00);
										}
									else
										{	/* SawBbv/bbv.scm 662 */
											BFALSE;
										}
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BINT(
													(((BgL_blockz00_bglt) COBJECT(BgL_i1276z00_3250))->
														BgL_labelz00)), CNST_TABLE_REF(((long) 2)))))
										{	/* SawBbv/bbv.scm 665 */
											obj_t BgL_fz00_3254;

											BgL_fz00_3254 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BGl_proc2857z00zzsaw_bbvz00,
												(((BgL_blockz00_bglt) COBJECT(BgL_i1276z00_3250))->
													BgL_firstz00));
											if (NULLP(BgL_fz00_3254))
												{	/* SawBbv/bbv.scm 670 */
													obj_t BgL_nz00_3256;

													BgL_nz00_3256 =
														CAR(
														(((BgL_blockz00_bglt) COBJECT(BgL_i1276z00_3250))->
															BgL_succsz00));
													{	/* SawBbv/bbv.scm 671 */
														obj_t BgL_arg2558z00_3257;

														BgL_arg2558z00_3257 = CAR(((obj_t) BgL_bsz00_3243));
														BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(
															((BgL_blockz00_bglt) BgL_arg2558z00_3257),
															((BgL_blockz00_bglt) BgL_nz00_3256), BFALSE);
													}
												}
											else
												{	/* SawBbv/bbv.scm 666 */
													((((BgL_blockz00_bglt) COBJECT(BgL_i1276z00_3250))->
															BgL_firstz00) = ((obj_t) BgL_fz00_3254), BUNSPEC);
												}
										}
									else
										{	/* SawBbv/bbv.scm 664 */
											BFALSE;
										}
									{	/* SawBbv/bbv.scm 672 */
										obj_t BgL_arg2566z00_3267;
										obj_t BgL_arg2567z00_3268;

										{	/* SawBbv/bbv.scm 672 */
											obj_t BgL_arg2568z00_3269;
											obj_t BgL_arg2569z00_3270;

											BgL_arg2568z00_3269 =
												(((BgL_blockz00_bglt) COBJECT(BgL_i1276z00_3250))->
												BgL_succsz00);
											BgL_arg2569z00_3270 = CDR(((obj_t) BgL_bsz00_3243));
											BgL_arg2566z00_3267 =
												BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2568z00_3269,
												BgL_arg2569z00_3270);
										}
										{	/* SawBbv/bbv.scm 672 */
											obj_t BgL_arg2570z00_3271;

											BgL_arg2570z00_3271 = CAR(((obj_t) BgL_bsz00_3243));
											BgL_arg2567z00_3268 =
												BGl_bbsetzd2conszd2zzsaw_bbvz00(
												((BgL_blockz00_bglt) BgL_arg2570z00_3271),
												BgL_accz00_3244);
										}
										{
											obj_t BgL_accz00_7435;
											obj_t BgL_bsz00_7434;

											BgL_bsz00_7434 = BgL_arg2566z00_3267;
											BgL_accz00_7435 = BgL_arg2567z00_3268;
											BgL_accz00_3244 = BgL_accz00_7435;
											BgL_bsz00_3243 = BgL_bsz00_7434;
											goto BgL_zc3z04anonymousza32543ze3z87_3245;
										}
									}
								}
						}
				}
			}
		}

	}



/* &<@anonymous:2562> */
	obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4836,
		obj_t BgL_iz00_4837)
	{
		{	/* SawBbv/bbv.scm 665 */
			{	/* SawBbv/bbv.scm 665 */
				bool_t BgL_tmpz00_7436;

				if (BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_iz00_4837)))
					{	/* SawBbv/bbv.scm 665 */
						BgL_tmpz00_7436 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv.scm 665 */
						BgL_tmpz00_7436 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_7436);
			}
		}

	}



/* remove-goto! */
	BgL_blockz00_bglt BGl_removezd2gotoz12zc0zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_118)
	{
		{	/* SawBbv/bbv.scm 679 */
			{
				obj_t BgL_bz00_3320;
				obj_t BgL_succsz00_3321;

				BGl_assertzd2blockszd2zzsaw_bbvz00(
					((BgL_blockz00_bglt) BgL_bz00_118), BGl_string2858z00zzsaw_bbvz00);
				{	/* SawBbv/bbv.scm 694 */
					obj_t BgL_g1280z00_3276;
					obj_t BgL_g1282z00_3277;

					{	/* SawBbv/bbv.scm 694 */
						obj_t BgL_list2610z00_3319;

						BgL_list2610z00_3319 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_118), BNIL);
						BgL_g1280z00_3276 = BgL_list2610z00_3319;
					}
					BgL_g1282z00_3277 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
					{
						obj_t BgL_bsz00_3279;
						obj_t BgL_accz00_3280;

						BgL_bsz00_3279 = BgL_g1280z00_3276;
						BgL_accz00_3280 = BgL_g1282z00_3277;
					BgL_zc3z04anonymousza32574ze3z87_3281:
						if (NULLP(BgL_bsz00_3279))
							{	/* SawBbv/bbv.scm 697 */
								return BgL_bz00_118;
							}
						else
							{	/* SawBbv/bbv.scm 699 */
								bool_t BgL_test3139z00_7448;

								{	/* SawBbv/bbv.scm 699 */
									BgL_blockz00_bglt BgL_blockz00_4603;

									BgL_blockz00_4603 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3279)));
									{	/* SawBbv/bbv.scm 699 */
										long BgL_arg1698z00_4606;
										obj_t BgL_arg1705z00_4607;

										{
											BgL_blocksz00_bglt BgL_auxz00_7452;

											{
												obj_t BgL_auxz00_7453;

												{	/* SawBbv/bbv.scm 699 */
													BgL_objectz00_bglt BgL_tmpz00_7454;

													BgL_tmpz00_7454 =
														((BgL_objectz00_bglt) BgL_blockz00_4603);
													BgL_auxz00_7453 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7454);
												}
												BgL_auxz00_7452 =
													((BgL_blocksz00_bglt) BgL_auxz00_7453);
											}
											BgL_arg1698z00_4606 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_7452))->
												BgL_z52markz52);
										}
										BgL_arg1705z00_4607 =
											STRUCT_REF(BgL_accz00_3280, (int) (((long) 0)));
										BgL_test3139z00_7448 =
											(BINT(BgL_arg1698z00_4606) == BgL_arg1705z00_4607);
								}}
								if (BgL_test3139z00_7448)
									{	/* SawBbv/bbv.scm 700 */
										obj_t BgL_arg2579z00_3285;

										BgL_arg2579z00_3285 = CDR(((obj_t) BgL_bsz00_3279));
										{
											obj_t BgL_bsz00_7465;

											BgL_bsz00_7465 = BgL_arg2579z00_3285;
											BgL_bsz00_3279 = BgL_bsz00_7465;
											goto BgL_zc3z04anonymousza32574ze3z87_3281;
										}
									}
								else
									{	/* SawBbv/bbv.scm 699 */
										if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv.scm 702 */
												obj_t BgL_arg2580z00_3286;

												BgL_arg2580z00_3286 = CAR(((obj_t) BgL_bsz00_3279));
												BGl_assertzd2blockzd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg2580z00_3286),
													BGl_string2859z00zzsaw_bbvz00);
											}
										else
											{	/* SawBbv/bbv.scm 702 */
												BFALSE;
											}
										{	/* SawBbv/bbv.scm 703 */
											BgL_blockz00_bglt BgL_i1283z00_3287;

											BgL_i1283z00_3287 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_3279)));
											{	/* SawBbv/bbv.scm 704 */
												bool_t BgL_test3141z00_7475;

												{	/* SawBbv/bbv.scm 704 */
													bool_t BgL_test3142z00_7476;

													{	/* SawBbv/bbv.scm 704 */
														obj_t BgL_arg2601z00_3310;
														obj_t BgL_arg2602z00_3311;

														BgL_arg2601z00_3310 = CAR(((obj_t) BgL_bsz00_3279));
														BgL_arg2602z00_3311 =
															(((BgL_blockz00_bglt)
																COBJECT(BgL_i1283z00_3287))->BgL_succsz00);
														BgL_bz00_3320 = BgL_arg2601z00_3310;
														BgL_succsz00_3321 = BgL_arg2602z00_3311;
														if (NULLP(BgL_succsz00_3321))
															{	/* SawBbv/bbv.scm 683 */
																BgL_test3142z00_7476 = ((bool_t) 0);
															}
														else
															{	/* SawBbv/bbv.scm 683 */
																if (NULLP(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_bz00_3320)))->BgL_firstz00)))
																	{	/* SawBbv/bbv.scm 685 */
																		BgL_test3142z00_7476 = ((bool_t) 0);
																	}
																else
																	{	/* SawBbv/bbv.scm 686 */
																		obj_t BgL_iz00_3327;

																		BgL_iz00_3327 =
																			CAR
																			(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																			((((BgL_blockz00_bglt)
																						COBJECT(((BgL_blockz00_bglt)
																								BgL_bz00_3320)))->
																					BgL_firstz00)));
																		if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_iz00_3327)))
																			{	/* SawBbv/bbv.scm 687 */
																				BgL_test3142z00_7476 =
																					(
																					((obj_t)
																						(((BgL_rtl_goz00_bglt) COBJECT(
																									((BgL_rtl_goz00_bglt)
																										(((BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_3327)))->
																											BgL_funz00))))->
																							BgL_toz00)) ==
																					CAR(BgL_succsz00_3321));
																			}
																		else
																			{	/* SawBbv/bbv.scm 687 */
																				BgL_test3142z00_7476 = ((bool_t) 0);
																			}
																	}
															}
													}
													if (BgL_test3142z00_7476)
														{	/* SawBbv/bbv.scm 705 */
															bool_t BgL_test3146z00_7500;

															{	/* SawBbv/bbv.scm 705 */
																BgL_blockz00_bglt BgL_blockz00_4615;

																{	/* SawBbv/bbv.scm 705 */
																	obj_t BgL_pairz00_4614;

																	BgL_pairz00_4614 =
																		(((BgL_blockz00_bglt)
																			COBJECT(BgL_i1283z00_3287))->
																		BgL_succsz00);
																	BgL_blockz00_4615 =
																		((BgL_blockz00_bglt) CAR(BgL_pairz00_4614));
																}
																{	/* SawBbv/bbv.scm 705 */
																	long BgL_arg1698z00_4618;
																	obj_t BgL_arg1705z00_4619;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_7504;

																		{
																			obj_t BgL_auxz00_7505;

																			{	/* SawBbv/bbv.scm 705 */
																				BgL_objectz00_bglt BgL_tmpz00_7506;

																				BgL_tmpz00_7506 =
																					((BgL_objectz00_bglt)
																					BgL_blockz00_4615);
																				BgL_auxz00_7505 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7506);
																			}
																			BgL_auxz00_7504 =
																				((BgL_blocksz00_bglt) BgL_auxz00_7505);
																		}
																		BgL_arg1698z00_4618 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_7504))->
																			BgL_z52markz52);
																	}
																	BgL_arg1705z00_4619 =
																		STRUCT_REF(BgL_accz00_3280,
																		(int) (((long) 0)));
																	BgL_test3146z00_7500 =
																		(BINT(BgL_arg1698z00_4618) ==
																		BgL_arg1705z00_4619);
															}}
															if (BgL_test3146z00_7500)
																{	/* SawBbv/bbv.scm 705 */
																	BgL_test3141z00_7475 = ((bool_t) 0);
																}
															else
																{	/* SawBbv/bbv.scm 705 */
																	BgL_test3141z00_7475 = ((bool_t) 1);
																}
														}
													else
														{	/* SawBbv/bbv.scm 704 */
															BgL_test3141z00_7475 = ((bool_t) 0);
														}
												}
												if (BgL_test3141z00_7475)
													{	/* SawBbv/bbv.scm 706 */
														BgL_blockz00_bglt BgL_i1284z00_3299;

														BgL_i1284z00_3299 =
															((BgL_blockz00_bglt)
															CAR(((obj_t) BgL_bsz00_3279)));
														{	/* SawBbv/bbv.scm 707 */
															BgL_rtl_insz00_bglt BgL_i1285z00_3300;

															BgL_i1285z00_3300 =
																((BgL_rtl_insz00_bglt)
																CAR
																(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_blockz00_bglt)
																				COBJECT(BgL_i1284z00_3299))->
																			BgL_firstz00))));
															{
																BgL_rtl_funz00_bglt BgL_auxz00_7522;

																{	/* SawBbv/bbv.scm 708 */
																	BgL_rtl_nopz00_bglt BgL_new1287z00_3301;

																	{	/* SawBbv/bbv.scm 708 */
																		BgL_rtl_nopz00_bglt BgL_new1286z00_3302;

																		BgL_new1286z00_3302 =
																			((BgL_rtl_nopz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_nopz00_bgl))));
																		{	/* SawBbv/bbv.scm 708 */
																			long BgL_arg2594z00_3303;

																			{	/* SawBbv/bbv.scm 708 */
																				obj_t BgL_classz00_4624;

																				BgL_classz00_4624 =
																					BGl_rtl_nopz00zzsaw_defsz00;
																				BgL_arg2594z00_3303 =
																					BGL_CLASS_NUM(BgL_classz00_4624);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1286z00_3302),
																				BgL_arg2594z00_3303);
																		}
																		BgL_new1287z00_3301 = BgL_new1286z00_3302;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1287z00_3301)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	BgL_auxz00_7522 =
																		((BgL_rtl_funz00_bglt) BgL_new1287z00_3301);
																}
																((((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_i1285z00_3300))->BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_7522),
																	BUNSPEC);
													}}}
												else
													{	/* SawBbv/bbv.scm 704 */
														BFALSE;
													}
											}
											{	/* SawBbv/bbv.scm 709 */
												obj_t BgL_arg2603z00_3312;
												obj_t BgL_arg2604z00_3313;

												{	/* SawBbv/bbv.scm 709 */
													obj_t BgL_arg2606z00_3314;
													obj_t BgL_arg2607z00_3315;

													BgL_arg2606z00_3314 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1283z00_3287))->
														BgL_succsz00);
													BgL_arg2607z00_3315 = CDR(((obj_t) BgL_bsz00_3279));
													BgL_arg2603z00_3312 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2606z00_3314, BgL_arg2607z00_3315);
												}
												{	/* SawBbv/bbv.scm 710 */
													obj_t BgL_arg2608z00_3316;

													BgL_arg2608z00_3316 = CAR(((obj_t) BgL_bsz00_3279));
													BgL_arg2604z00_3313 =
														BGl_bbsetzd2conszd2zzsaw_bbvz00(
														((BgL_blockz00_bglt) BgL_arg2608z00_3316),
														BgL_accz00_3280);
												}
												{
													obj_t BgL_accz00_7540;
													obj_t BgL_bsz00_7539;

													BgL_bsz00_7539 = BgL_arg2603z00_3312;
													BgL_accz00_7540 = BgL_arg2604z00_3313;
													BgL_accz00_3280 = BgL_accz00_7540;
													BgL_bsz00_3279 = BgL_bsz00_7539;
													goto BgL_zc3z04anonymousza32574ze3z87_3281;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* dump-blocks */
	obj_t BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_bglt BgL_globalz00_119,
		obj_t BgL_paramsz00_120, obj_t BgL_blocksz00_121, obj_t BgL_suffixz00_122)
	{
		{	/* SawBbv/bbv.scm 734 */
			{	/* SawBbv/bbv.scm 737 */
				obj_t BgL_onamez00_3337;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* SawBbv/bbv.scm 737 */
						BgL_onamez00_3337 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* SawBbv/bbv.scm 739 */
						bool_t BgL_test3148z00_7543;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* SawBbv/bbv.scm 739 */
								obj_t BgL_tmpz00_7546;

								BgL_tmpz00_7546 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_test3148z00_7543 = STRINGP(BgL_tmpz00_7546);
							}
						else
							{	/* SawBbv/bbv.scm 739 */
								BgL_test3148z00_7543 = ((bool_t) 0);
							}
						if (BgL_test3148z00_7543)
							{	/* SawBbv/bbv.scm 739 */
								BgL_onamez00_3337 =
									BGl_prefixz00zz__osz00(CAR
									(BGl_za2srczd2filesza2zd2zzengine_paramz00));
							}
						else
							{	/* SawBbv/bbv.scm 739 */
								BgL_onamez00_3337 = BGl_string2860z00zzsaw_bbvz00;
							}
					}
				{	/* SawBbv/bbv.scm 742 */
					obj_t BgL_filenamez00_3338;

					{	/* SawBbv/bbv.scm 742 */
						obj_t BgL_arg2644z00_3377;

						BgL_arg2644z00_3377 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_119)))->BgL_idz00);
						{	/* SawBbv/bbv.scm 742 */
							obj_t BgL_list2645z00_3378;

							{	/* SawBbv/bbv.scm 742 */
								obj_t BgL_arg2646z00_3379;

								{	/* SawBbv/bbv.scm 742 */
									obj_t BgL_arg2647z00_3380;

									BgL_arg2647z00_3380 =
										MAKE_YOUNG_PAIR(BgL_suffixz00_122, BNIL);
									BgL_arg2646z00_3379 =
										MAKE_YOUNG_PAIR(BgL_arg2644z00_3377, BgL_arg2647z00_3380);
								}
								BgL_list2645z00_3378 =
									MAKE_YOUNG_PAIR(BgL_onamez00_3337, BgL_arg2646z00_3379);
							}
							BgL_filenamez00_3338 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2861z00zzsaw_bbvz00, BgL_list2645z00_3378);
						}
					}
					{	/* SawBbv/bbv.scm 743 */
						obj_t BgL_namez00_3339;

						BgL_namez00_3339 = BGl_prefixz00zz__osz00(BgL_filenamez00_3338);
						{	/* SawBbv/bbv.scm 746 */
							obj_t BgL_dumpzd2blockszd2_4838;

							BgL_dumpzd2blockszd2_4838 =
								MAKE_FX_PROCEDURE(BGl_z62dumpzd2blockszb0zzsaw_bbvz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_dumpzd2blockszd2_4838,
								(int) (((long) 0)), ((obj_t) BgL_globalz00_119));
							PROCEDURE_SET(BgL_dumpzd2blockszd2_4838,
								(int) (((long) 1)), BgL_paramsz00_120);
							PROCEDURE_SET(BgL_dumpzd2blockszd2_4838,
								(int) (((long) 2)), BgL_namez00_3339);
							PROCEDURE_SET(BgL_dumpzd2blockszd2_4838,
								(int) (((long) 3)), BgL_filenamez00_3338);
							PROCEDURE_SET(BgL_dumpzd2blockszd2_4838,
								(int) (((long) 4)), BgL_blocksz00_121);
							return
								BGl_callzd2withzd2outputzd2filezd2zz__r4_ports_6_10_1z00
								(BgL_filenamez00_3338, BgL_dumpzd2blockszd2_4838);
						}
					}
				}
			}
		}

	}



/* &dump-blocks */
	obj_t BGl_z62dumpzd2blockszb0zzsaw_bbvz00(obj_t BgL_envz00_4839,
		obj_t BgL_portz00_4845)
	{
		{	/* SawBbv/bbv.scm 756 */
			{	/* SawBbv/bbv.scm 746 */
				BgL_globalz00_bglt BgL_globalz00_4840;
				obj_t BgL_paramsz00_4841;
				obj_t BgL_namez00_4842;
				obj_t BgL_filenamez00_4843;
				obj_t BgL_blocksz00_4844;

				BgL_globalz00_4840 =
					((BgL_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_4839, (int) (((long) 0))));
				BgL_paramsz00_4841 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4839, (int) (((long) 1))));
				BgL_namez00_4842 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4839, (int) (((long) 2))));
				BgL_filenamez00_4843 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4839, (int) (((long) 3))));
				BgL_blocksz00_4844 = PROCEDURE_REF(BgL_envz00_4839, (int) (((long) 4)));
				{	/* SawBbv/bbv.scm 746 */
					obj_t BgL_idz00_4905;

					BgL_idz00_4905 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_4840)))->BgL_idz00);
					{	/* SawBbv/bbv.scm 746 */

						{	/* SawBbv/bbv.scm 747 */
							obj_t BgL_tmpz00_7589;

							BgL_tmpz00_7589 = ((obj_t) BgL_portz00_4845);
							bgl_display_string(BGl_string2862z00zzsaw_bbvz00,
								BgL_tmpz00_7589);
						}
						{	/* SawBbv/bbv.scm 747 */
							obj_t BgL_tmpz00_7592;

							BgL_tmpz00_7592 = ((obj_t) BgL_portz00_4845);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_7592);
						}
						{	/* SawBbv/bbv.scm 748 */
							obj_t BgL_tmpz00_7595;

							BgL_tmpz00_7595 = ((obj_t) BgL_portz00_4845);
							bgl_display_string(BGl_string2863z00zzsaw_bbvz00,
								BgL_tmpz00_7595);
						}
						bgl_display_obj(BgL_idz00_4905, BgL_portz00_4845);
						{	/* SawBbv/bbv.scm 748 */
							obj_t BgL_tmpz00_7599;

							BgL_tmpz00_7599 = ((obj_t) BgL_portz00_4845);
							bgl_display_string(BGl_string2826z00zzsaw_bbvz00,
								BgL_tmpz00_7599);
						}
						{	/* SawBbv/bbv.scm 748 */
							obj_t BgL_tmpz00_7602;

							BgL_tmpz00_7602 = ((obj_t) BgL_portz00_4845);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_7602);
						}
						{	/* SawBbv/bbv.scm 749 */
							obj_t BgL_tmpz00_7605;

							BgL_tmpz00_7605 = ((obj_t) BgL_portz00_4845);
							bgl_display_string(BGl_string2864z00zzsaw_bbvz00,
								BgL_tmpz00_7605);
						}
						{	/* SawBbv/bbv.scm 749 */
							obj_t BgL_arg2624z00_4906;

							{	/* SawBbv/bbv.scm 749 */
								obj_t BgL_l1654z00_4907;

								BgL_l1654z00_4907 = BgL_paramsz00_4841;
								if (NULLP(BgL_paramsz00_4841))
									{	/* SawBbv/bbv.scm 749 */
										BgL_arg2624z00_4906 = BNIL;
									}
								else
									{	/* SawBbv/bbv.scm 749 */
										obj_t BgL_head1656z00_4908;

										{	/* SawBbv/bbv.scm 749 */
											obj_t BgL_arg2633z00_4909;

											{	/* SawBbv/bbv.scm 749 */
												obj_t BgL_arg2634z00_4910;

												BgL_arg2634z00_4910 = CAR(((obj_t) BgL_l1654z00_4907));
												BgL_arg2633z00_4909 =
													BGl_shapez00zztools_shapez00(BgL_arg2634z00_4910);
											}
											BgL_head1656z00_4908 =
												MAKE_YOUNG_PAIR(BgL_arg2633z00_4909, BNIL);
										}
										{	/* SawBbv/bbv.scm 749 */
											obj_t BgL_g1659z00_4911;

											BgL_g1659z00_4911 = CDR(((obj_t) BgL_l1654z00_4907));
											{
												obj_t BgL_l1654z00_4913;
												obj_t BgL_tail1657z00_4914;

												BgL_l1654z00_4913 = BgL_g1659z00_4911;
												BgL_tail1657z00_4914 = BgL_head1656z00_4908;
											BgL_zc3z04anonymousza32626ze3z87_4912:
												if (NULLP(BgL_l1654z00_4913))
													{	/* SawBbv/bbv.scm 749 */
														BgL_arg2624z00_4906 = BgL_head1656z00_4908;
													}
												else
													{	/* SawBbv/bbv.scm 749 */
														obj_t BgL_newtail1658z00_4915;

														{	/* SawBbv/bbv.scm 749 */
															obj_t BgL_arg2630z00_4916;

															{	/* SawBbv/bbv.scm 749 */
																obj_t BgL_arg2632z00_4917;

																BgL_arg2632z00_4917 =
																	CAR(((obj_t) BgL_l1654z00_4913));
																BgL_arg2630z00_4916 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg2632z00_4917);
															}
															BgL_newtail1658z00_4915 =
																MAKE_YOUNG_PAIR(BgL_arg2630z00_4916, BNIL);
														}
														SET_CDR(BgL_tail1657z00_4914,
															BgL_newtail1658z00_4915);
														{	/* SawBbv/bbv.scm 749 */
															obj_t BgL_arg2629z00_4918;

															BgL_arg2629z00_4918 =
																CDR(((obj_t) BgL_l1654z00_4913));
															{
																obj_t BgL_tail1657z00_7626;
																obj_t BgL_l1654z00_7625;

																BgL_l1654z00_7625 = BgL_arg2629z00_4918;
																BgL_tail1657z00_7626 = BgL_newtail1658z00_4915;
																BgL_tail1657z00_4914 = BgL_tail1657z00_7626;
																BgL_l1654z00_4913 = BgL_l1654z00_7625;
																goto BgL_zc3z04anonymousza32626ze3z87_4912;
															}
														}
													}
											}
										}
									}
							}
							bgl_display_obj(BgL_arg2624z00_4906, BgL_portz00_4845);
						}
						{	/* SawBbv/bbv.scm 749 */
							obj_t BgL_tmpz00_7628;

							BgL_tmpz00_7628 = ((obj_t) BgL_portz00_4845);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_7628);
						}
						{	/* SawBbv/bbv.scm 750 */
							obj_t BgL_list2635z00_4919;

							{	/* SawBbv/bbv.scm 750 */
								obj_t BgL_arg2636z00_4920;

								{	/* SawBbv/bbv.scm 750 */
									obj_t BgL_arg2638z00_4921;

									{	/* SawBbv/bbv.scm 750 */
										obj_t BgL_arg2640z00_4922;

										BgL_arg2640z00_4922 =
											MAKE_YOUNG_PAIR(BgL_namez00_4842, BNIL);
										BgL_arg2638z00_4921 =
											MAKE_YOUNG_PAIR(BgL_namez00_4842, BgL_arg2640z00_4922);
									}
									BgL_arg2636z00_4920 =
										MAKE_YOUNG_PAIR(BgL_namez00_4842, BgL_arg2638z00_4921);
								}
								BgL_list2635z00_4919 =
									MAKE_YOUNG_PAIR(BgL_filenamez00_4843, BgL_arg2636z00_4920);
							}
							BGl_fprintfz00zz__r4_output_6_10_3z00(BgL_portz00_4845,
								BGl_string2865z00zzsaw_bbvz00, BgL_list2635z00_4919);
						}
						{
							obj_t BgL_l1661z00_4924;

							BgL_l1661z00_4924 = BgL_blocksz00_4844;
						BgL_zc3z04anonymousza32641ze3z87_4923:
							if (PAIRP(BgL_l1661z00_4924))
								{	/* SawBbv/bbv.scm 752 */
									{	/* SawBbv/bbv.scm 753 */
										obj_t BgL_bz00_4925;

										BgL_bz00_4925 = CAR(BgL_l1661z00_4924);
										BGl_dumpz00zzsaw_defsz00(BgL_bz00_4925, BgL_portz00_4845,
											(int) (((long) 0)));
										{	/* SawBbv/bbv.scm 754 */
											obj_t BgL_tmpz00_7641;

											BgL_tmpz00_7641 = ((obj_t) BgL_portz00_4845);
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_7641);
									}}
									{
										obj_t BgL_l1661z00_7644;

										BgL_l1661z00_7644 = CDR(BgL_l1661z00_4924);
										BgL_l1661z00_4924 = BgL_l1661z00_7644;
										goto BgL_zc3z04anonymousza32641ze3z87_4923;
									}
								}
							else
								{	/* SawBbv/bbv.scm 752 */
									((bool_t) 1);
								}
						}
						return BgL_idz00_4905;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(((long) 54121743),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(((long) 392277179),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(((long)
					506937389), BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 427577353),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(((long) 531123511),
				BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
			return BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(((long)
					376575453), BSTRING_TO_STRING(BGl_string2866z00zzsaw_bbvz00));
		}

	}

#ifdef __cplusplus
}
#endif
