/*===========================================================================*/
/*   (SawJvm/code.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/code.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;

	typedef struct BgL_lregz00_bgl
	{
		obj_t BgL_idz00;
	}              *BgL_lregz00_bglt;

	typedef struct BgL_liveblockz00_bgl
	{
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                   *BgL_liveblockz00_bglt;


	static obj_t BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BUNSPEC;
	static bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1783z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2funzd2withzd2argszd2rt1785z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_cast1807z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t
		BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_go1773z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_call1779z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protecte1823z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2args1752zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_cast_nul1809z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1811z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_fail1819z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_globalre1767z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_rtl_ifeqz00zzsaw_defsz00;
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	extern obj_t BGl_loadzd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00(void);
	BGL_IMPORT obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1769z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_za2hasprotectza2z00zzsaw_jvm_codez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static bool_t BGl_zc3z04anonymousza31955ze3ze70z60zzsaw_jvm_codez00(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1771z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1777z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_storeg1765z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_jvm_codez00(obj_t,
		obj_t);
	static obj_t
		BGl_z62genzd2argszd2genzd2funzd2rtl1799z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t, BgL_rtl_funz00_bglt);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	static obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62genzd2funzd2rtl_jumpexit1817z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_mov1759z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2fun1750zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t
		BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2102z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2105z62zzsaw_jvm_codez00(obj_t,
		obj_t);
	static bool_t BGl_za2protectresultza2z00zzsaw_jvm_codez00;
	static obj_t BGl_z62genzd2argszd2genzd2predica1824zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2argszd2genzd2predica1827zb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_protect1821z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2112z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2113z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_apply1789z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_storezd2fieldzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2120z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_jvm_codez00(obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2126z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62genzd2funzd2rtl_vlength1795z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_getfield1801z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_vset1793z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2134z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2135z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2139z62zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62lambda2140z62zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_vref1791z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2funzd2rtl_loadg1763z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00(void);
	extern obj_t BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_lregz00zzsaw_jvm_codez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00(void);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_valloc1797z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_setfield1803z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2099z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BUNSPEC;
	extern obj_t BGl_newobjz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, BgL_typez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadfun1787z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t, obj_t);
	static obj_t BGl_liveblockz00zzsaw_jvm_codez00 = BUNSPEC;
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00;
	static obj_t BGl_z62genzd2funzd2rtl_lightfun1781z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2fun1754zb0zzsaw_jvm_codez00(obj_t, obj_t, obj_t);
	static obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t);
	static obj_t
		BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_localvarz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_nop1757z62zzsaw_jvm_codez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_loadi1761z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_jvm_codez00(obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_boxset1815z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62genzd2funzd2rtl_switch1775z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_za2purifyza2z00zzengine_paramz00;
	static obj_t BGl_z62genzd2funzd2rtl_boxref1813z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62genzd2funzd2rtl_instance1805z62zzsaw_jvm_codez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[113];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7b0za72578z00,
		BGl_z62genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2503z00zzsaw_jvm_codez00,
		BgL_bgl_string2503za700za7za7s2579za7, "P", 1);
	      DEFINE_STRING(BGl_string2504z00zzsaw_jvm_codez00,
		BgL_bgl_string2504za700za7za7s2580za7, "V", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2113za7622581z00, BGl_z62lambda2113z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2112za7622582z00, BGl_z62lambda2112z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2105za7622583z00, BGl_z62lambda2105z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2584za7,
		BGl_z62zc3z04anonymousza32104ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2102za7622585z00, BGl_z62lambda2102z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2099za7622586z00, BGl_z62lambda2099z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2135za7622587z00, BGl_z62lambda2135z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2134za7622588z00, BGl_z62lambda2134z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2140za7622589z00, BGl_z62lambda2140z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2520z00zzsaw_jvm_codez00,
		BgL_bgl_string2520za700za7za7s2590za7, "gen-args-gen-fun1750", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2139za7622591z00, BGl_z62lambda2139z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2126za7622592z00, BGl_z62lambda2126z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2522z00zzsaw_jvm_codez00,
		BgL_bgl_string2522za700za7za7s2593za7, "gen-fun-with-args1752", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2594za7,
		BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2123za7622595z00, BGl_z62lambda2123z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2524z00zzsaw_jvm_codez00,
		BgL_bgl_string2524za700za7za7s2596za7, "gen-fun1754", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zzsaw_jvm_codez00,
		BgL_bgl_za762lambda2120za7622597z00, BGl_z62lambda2120z62zzsaw_jvm_codez00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22598za7,
		BGl_z62genzd2argszd2genzd2fun1750zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2526z00zzsaw_jvm_codez00,
		BgL_bgl_string2526za700za7za7s2599za7, "gen-args-gen-predica1824", 24);
	      DEFINE_STRING(BGl_string2527z00zzsaw_jvm_codez00,
		BgL_bgl_string2527za700za7za7s2600za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2529z00zzsaw_jvm_codez00,
		BgL_bgl_string2529za700za7za7s2601za7, "gen-fun", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2602za7,
		BGl_z62genzd2funzd2withzd2args1752zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2fun17542603z00,
		BGl_z62genzd2fun1754zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22604za7,
		BGl_z62genzd2argszd2genzd2predica1824zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2605za7,
		BGl_z62genzd2funzd2rtl_nop1757z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2536z00zzsaw_jvm_codez00,
		BgL_bgl_string2536za700za7za7s2606za7, "gen-args-gen-fun", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2607za7,
		BGl_z62genzd2funzd2rtl_mov1759z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2608za7,
		BGl_z62genzd2funzd2rtl_loadi1761z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2609za7,
		BGl_z62genzd2funzd2rtl_loadg1763z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2610za7,
		BGl_z62genzd2funzd2rtl_storeg1765z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2611za7,
		BGl_z62genzd2funzd2rtl_globalre1767z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22612za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1769z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22613za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1771z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2544z00zzsaw_jvm_codez00,
		BgL_bgl_string2544za700za7za7s2614za7, "gen-fun-with-args", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2615za7,
		BGl_z62genzd2funzd2rtl_go1773z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2616za7,
		BGl_z62genzd2funzd2rtl_switch1775z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_REAL(BGl_real2569z00zzsaw_jvm_codez00,
		BgL_bgl_real2569za700za7za7saw2617za7, 0.75);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22618za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1777z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2619za7,
		BGl_z62genzd2funzd2rtl_call1779z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2620za7,
		BGl_z62genzd2funzd2rtl_lightfun1781z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2621za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1783z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2622za7,
		BGl_z62genzd2funzd2withzd2argszd2rt1785z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2623za7,
		BGl_z62genzd2funzd2rtl_loadfun1787z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2624za7,
		BGl_z62genzd2funzd2rtl_apply1789z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2625za7,
		BGl_z62genzd2funzd2rtl_vref1791z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2626za7,
		BGl_z62genzd2funzd2rtl_vset1793z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2627za7,
		BGl_z62genzd2funzd2rtl_vlength1795z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2628za7,
		BGl_z62genzd2funzd2rtl_valloc1797z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22629za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1799z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2630za7,
		BGl_z62genzd2funzd2rtl_getfield1801z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2631za7,
		BGl_z62genzd2funzd2rtl_setfield1803z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2632za7,
		BGl_z62genzd2funzd2rtl_instance1805z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2633za7,
		BGl_z62genzd2funzd2rtl_cast1807z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2634za7,
		BGl_z62genzd2funzd2rtl_cast_nul1809z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22635za7,
		BGl_z62genzd2argszd2genzd2funzd2rtl1811z62zzsaw_jvm_codez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2636za7,
		BGl_z62genzd2funzd2rtl_boxref1813z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2w2637za7,
		BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2566z00zzsaw_jvm_codez00,
		BgL_bgl_string2566za700za7za7s2638za7, "gen-args-gen-predicate", 22);
	      DEFINE_STRING(BGl_string2567z00zzsaw_jvm_codez00,
		BgL_bgl_string2567za700za7za7s2639za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2640za7,
		BGl_z62genzd2funzd2rtl_boxset1815z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2641za7,
		BGl_z62genzd2funzd2rtl_jumpexit1817z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2642za7,
		BGl_z62genzd2funzd2rtl_fail1819z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2643za7,
		BGl_z62genzd2funzd2rtl_protect1821z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2570z00zzsaw_jvm_codez00,
		BgL_bgl_string2570za700za7za7s2644za7, "L", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2funza7d2r2645za7,
		BGl_z62genzd2funzd2rtl_protecte1823z62zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2571z00zzsaw_jvm_codez00,
		BgL_bgl_string2571za700za7za7s2646za7, "loadi", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22647za7,
		BGl_z62genzd2argszd2genzd2predica1827zb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2572z00zzsaw_jvm_codez00,
		BgL_bgl_string2572za700za7za7s2648za7, "bad atom value", 14);
	      DEFINE_STRING(BGl_string2573z00zzsaw_jvm_codez00,
		BgL_bgl_string2573za700za7za7s2649za7, "saw_jvm_code", 12);
	      DEFINE_STRING(BGl_string2574z00zzsaw_jvm_codez00,
		BgL_bgl_string2574za700za7za7s2650za7,
		"(invokespecial init_bucs2) (new bucs2) (getstatic *key*) (getstatic *rest*) (getstatic *optional*) (getstatic *eof*) (invokestatic getbytes) getstatic putstatic (putfield procindex) (invokespecial init) (new me) tableswitch lookupswitch if_icmpne else invokestatic (dreturn) (freturn) (lreturn) (ireturn) (return) void (aaload) (daload) (faload) (laload) (iaload) (saload) (caload) (baload) (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) (arraylength) anewarray newarray goto instanceof checkcast aconst_null fconst_0 (invokespecial init_cell) (dup) (new cell) (getfield ccar) (putfield ccar) (checkcast throwable) (invokestatic jumpexit) (athrow) (invokestatic fail) (invokestatic setexit) ok not-inlined gen-fun1754 ifeq ifne liveblock out in saw_jvm_code lreg obj id (invokevirtual pfuncall4) (invokevirtual pfuncall3) (invokevirtual pfuncall2) (invokevirtual pfuncall1) (invokevirtual pfuncall0) (invokevirtual papply) (invokestatic cons) (getstatic *nil*) line location astore dstore fs"
		"tore lstore istore aload dload fload float lload iload int short char byte boolean from (pop) (pop2) (getstatic *unspecified*) no-value _ long double (invokestatic java_exception_handler) catch2 (areturn) (invokestatic debug_handler) (checkcast exit) catch end begin (handler from catch catch2 throwable) (handler from catch catch bexception) ",
		1367);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zzsaw_jvm_codez00,
		BgL_bgl_za762za7c3za704anonymo2651za7,
		BGl_z62zc3z04anonymousza32202ze3ze5zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22652za7,
		BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_modulezd2codezd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762moduleza7d2code2653z00,
		BGl_z62modulezd2codezb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genzd2exprzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2exprza7b02654za7,
		BGl_z62genzd2exprzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
		BgL_bgl_za762genza7d2argsza7d22655za7,
		BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_lregz00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_za2bexitregza2z00zzsaw_jvm_codez00));
		     ADD_ROOT((void *) (&BGl_liveblockz00zzsaw_jvm_codez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long
		BgL_checksumz00_5930, char *BgL_fromz00_5931)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_codez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_codez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_cnstzd2initzd2zzsaw_jvm_codez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00();
					BGl_objectzd2initzd2zzsaw_jvm_codez00();
					BGl_genericzd2initzd2zzsaw_jvm_codez00();
					BGl_methodzd2initzd2zzsaw_jvm_codez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_codez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"saw_jvm_code");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_jvm_code");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 1 */
				obj_t BgL_cportz00_5642;

				{	/* SawJvm/code.scm 1 */
					obj_t BgL_stringz00_5649;

					BgL_stringz00_5649 = BGl_string2574z00zzsaw_jvm_codez00;
					{	/* SawJvm/code.scm 1 */
						obj_t BgL_startz00_5650;

						BgL_startz00_5650 = BINT(((long) 0));
						{	/* SawJvm/code.scm 1 */
							obj_t BgL_endz00_5651;

							BgL_endz00_5651 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5649)));
							{	/* SawJvm/code.scm 1 */

								BgL_cportz00_5642 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5649, BgL_startz00_5650, BgL_endz00_5651);
				}}}}
				{
					long BgL_iz00_5643;

					BgL_iz00_5643 = ((long) 112);
				BgL_loopz00_5644:
					if ((BgL_iz00_5643 == ((long) -1)))
						{	/* SawJvm/code.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/code.scm 1 */
							{	/* SawJvm/code.scm 1 */
								obj_t BgL_arg2577z00_5645;

								{	/* SawJvm/code.scm 1 */

									{	/* SawJvm/code.scm 1 */
										obj_t BgL_locationz00_5647;

										BgL_locationz00_5647 = BBOOL(((bool_t) 0));
										{	/* SawJvm/code.scm 1 */

											BgL_arg2577z00_5645 =
												BGl_readz00zz__readerz00(BgL_cportz00_5642,
												BgL_locationz00_5647);
										}
									}
								}
								{	/* SawJvm/code.scm 1 */
									int BgL_tmpz00_5971;

									BgL_tmpz00_5971 = (int) (BgL_iz00_5643);
									CNST_TABLE_SET(BgL_tmpz00_5971, BgL_arg2577z00_5645);
							}}
							{	/* SawJvm/code.scm 1 */
								int BgL_auxz00_5648;

								BgL_auxz00_5648 = (int) ((BgL_iz00_5643 - ((long) 1)));
								{
									long BgL_iz00_5976;

									BgL_iz00_5976 = (long) (BgL_auxz00_5648);
									BgL_iz00_5643 = BgL_iz00_5976;
									goto BgL_loopz00_5644;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2protectresultza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			BGl_za2bexitregza2z00zzsaw_jvm_codez00 = BFALSE;
			BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 = BINT(((long) -1));
			return BUNSPEC;
		}

	}



/* module-code */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_71, obj_t BgL_paramsz00_72, obj_t BgL_lz00_73)
	{
		{	/* SawJvm/code.scm 46 */
			{	/* SawJvm/code.scm 47 */
				obj_t BgL_locsz00_2741;

				BgL_locsz00_2741 =
					BGl_getzd2localszd2zzsaw_jvm_codez00(BgL_paramsz00_72, BgL_lz00_73);
				BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_71,
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_paramsz00_72),
					BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_locsz00_2741));
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 57 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 0)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 1)));
				}
			else
				{	/* SawJvm/code.scm 57 */
					BFALSE;
				}
			{	/* SawJvm/code.scm 62 */
				obj_t BgL_pendingz00_2758;

				BgL_pendingz00_2758 = BUNSPEC;
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 63 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							CNST_TABLE_REF(((long) 2)));
						{
							obj_t BgL_l1678z00_2760;

							BgL_l1678z00_2760 = BgL_lz00_73;
						BgL_zc3z04anonymousza31866ze3z87_2761:
							if (PAIRP(BgL_l1678z00_2760))
								{	/* SawJvm/code.scm 65 */
									BGl_livezd2initzd2zzsaw_jvm_codez00(CAR(BgL_l1678z00_2760));
									{
										obj_t BgL_l1678z00_5997;

										BgL_l1678z00_5997 = CDR(BgL_l1678z00_2760);
										BgL_l1678z00_2760 = BgL_l1678z00_5997;
										goto BgL_zc3z04anonymousza31866ze3z87_2761;
									}
								}
							else
								{	/* SawJvm/code.scm 65 */
									((bool_t) 1);
								}
						}
						{
							obj_t BgL_l1680z00_2767;

							BgL_l1680z00_2767 = BgL_lz00_73;
						BgL_zc3z04anonymousza31871ze3z87_2768:
							if (PAIRP(BgL_l1680z00_2767))
								{	/* SawJvm/code.scm 66 */
									BGl_livezd2fixzd2zzsaw_jvm_codez00(CAR(BgL_l1680z00_2767));
									{
										obj_t BgL_l1680z00_6003;

										BgL_l1680z00_6003 = CDR(BgL_l1680z00_2767);
										BgL_l1680z00_2767 = BgL_l1680z00_6003;
										goto BgL_zc3z04anonymousza31871ze3z87_2768;
									}
								}
							else
								{	/* SawJvm/code.scm 66 */
									((bool_t) 1);
								}
						}
						if (NULLP(BgL_paramsz00_72))
							{	/* SawJvm/code.scm 67 */
								BgL_pendingz00_2758 = BNIL;
							}
						else
							{	/* SawJvm/code.scm 67 */
								obj_t BgL_head1684z00_2775;

								BgL_head1684z00_2775 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1682z00_2777;
									obj_t BgL_tail1685z00_2778;

									BgL_l1682z00_2777 = BgL_paramsz00_72;
									BgL_tail1685z00_2778 = BgL_head1684z00_2775;
								BgL_zc3z04anonymousza31876ze3z87_2779:
									if (NULLP(BgL_l1682z00_2777))
										{	/* SawJvm/code.scm 67 */
											BgL_pendingz00_2758 = CDR(BgL_head1684z00_2775);
										}
									else
										{	/* SawJvm/code.scm 67 */
											obj_t BgL_newtail1686z00_2781;

											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1880z00_2783;

												{	/* SawJvm/code.scm 67 */
													obj_t BgL_pz00_2784;

													BgL_pz00_2784 = CAR(((obj_t) BgL_l1682z00_2777));
													BgL_arg1880z00_2783 =
														MAKE_YOUNG_PAIR(BgL_pz00_2784,
														CNST_TABLE_REF(((long) 2)));
												}
												BgL_newtail1686z00_2781 =
													MAKE_YOUNG_PAIR(BgL_arg1880z00_2783, BNIL);
											}
											SET_CDR(BgL_tail1685z00_2778, BgL_newtail1686z00_2781);
											{	/* SawJvm/code.scm 67 */
												obj_t BgL_arg1879z00_2782;

												BgL_arg1879z00_2782 = CDR(((obj_t) BgL_l1682z00_2777));
												{
													obj_t BgL_tail1685z00_6020;
													obj_t BgL_l1682z00_6019;

													BgL_l1682z00_6019 = BgL_arg1879z00_2782;
													BgL_tail1685z00_6020 = BgL_newtail1686z00_2781;
													BgL_tail1685z00_2778 = BgL_tail1685z00_6020;
													BgL_l1682z00_2777 = BgL_l1682z00_6019;
													goto BgL_zc3z04anonymousza31876ze3z87_2779;
												}
											}
										}
								}
							}
					}
				else
					{	/* SawJvm/code.scm 63 */
						BFALSE;
					}
				{
					obj_t BgL_l1690z00_2787;

					BgL_l1690z00_2787 = BgL_lz00_73;
				BgL_zc3z04anonymousza31881ze3z87_2788:
					if (PAIRP(BgL_l1690z00_2787))
						{	/* SawJvm/code.scm 68 */
							{	/* SawJvm/code.scm 69 */
								obj_t BgL_bz00_2790;

								BgL_bz00_2790 = CAR(BgL_l1690z00_2787);
								{	/* SawJvm/code.scm 69 */
									int BgL_arg1883z00_2791;

									BgL_arg1883z00_2791 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2790)))->BgL_labelz00);
									BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
										BINT(BgL_arg1883z00_2791));
								}
								if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
									{	/* SawJvm/code.scm 70 */
										BgL_pendingz00_2758 =
											BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_mez00_71,
											BgL_bz00_2790, BgL_pendingz00_2758);
									}
								else
									{	/* SawJvm/code.scm 70 */
										BFALSE;
									}
								{	/* SawJvm/code.scm 71 */
									obj_t BgL_g1689z00_2792;

									BgL_g1689z00_2792 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2790)))->BgL_firstz00);
									{
										obj_t BgL_l1687z00_2794;

										BgL_l1687z00_2794 = BgL_g1689z00_2792;
									BgL_zc3z04anonymousza31884ze3z87_2795:
										if (PAIRP(BgL_l1687z00_2794))
											{	/* SawJvm/code.scm 72 */
												{	/* SawJvm/code.scm 71 */
													obj_t BgL_iz00_2797;

													BgL_iz00_2797 = CAR(BgL_l1687z00_2794);
													BgL_pendingz00_2758 =
														BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_mez00_71,
														BgL_iz00_2797, BgL_pendingz00_2758);
												}
												{
													obj_t BgL_l1687z00_6037;

													BgL_l1687z00_6037 = CDR(BgL_l1687z00_2794);
													BgL_l1687z00_2794 = BgL_l1687z00_6037;
													goto BgL_zc3z04anonymousza31884ze3z87_2795;
												}
											}
										else
											{	/* SawJvm/code.scm 72 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1690z00_6039;

								BgL_l1690z00_6039 = CDR(BgL_l1690z00_2787);
								BgL_l1690z00_2787 = BgL_l1690z00_6039;
								goto BgL_zc3z04anonymousza31881ze3z87_2788;
							}
						}
					else
						{	/* SawJvm/code.scm 68 */
							((bool_t) 1);
						}
				}
				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 74 */
						BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_71,
							CNST_TABLE_REF(((long) 3)));
						{
							obj_t BgL_l1692z00_2803;

							BgL_l1692z00_2803 = BgL_pendingz00_2758;
						BgL_zc3z04anonymousza31888ze3z87_2804:
							if (PAIRP(BgL_l1692z00_2803))
								{	/* SawJvm/code.scm 76 */
									{	/* SawJvm/code.scm 76 */
										obj_t BgL_pz00_2806;

										BgL_pz00_2806 = CAR(BgL_l1692z00_2803);
										{	/* SawJvm/code.scm 76 */
											obj_t BgL_arg1890z00_2807;
											obj_t BgL_arg1891z00_2808;

											BgL_arg1890z00_2807 = CAR(((obj_t) BgL_pz00_2806));
											BgL_arg1891z00_2808 = CDR(((obj_t) BgL_pz00_2806));
											{	/* SawJvm/code.scm 76 */
												obj_t BgL_ez00_4347;

												BgL_ez00_4347 = CNST_TABLE_REF(((long) 3));
												{	/* SawJvm/code.scm 205 */
													obj_t BgL_arg1993z00_4349;

													{
														BgL_lregz00_bglt BgL_auxz00_6053;

														{
															obj_t BgL_auxz00_6054;

															{	/* SawJvm/code.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6055;

																BgL_tmpz00_6055 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_arg1890z00_2807));
																BgL_auxz00_6054 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6055);
															}
															BgL_auxz00_6053 =
																((BgL_lregz00_bglt) BgL_auxz00_6054);
														}
														BgL_arg1993z00_4349 =
															(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6053))->
															BgL_idz00);
													}
													BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_71,
														BgL_arg1890z00_2807, BgL_arg1891z00_2808,
														BgL_ez00_4347, BgL_arg1993z00_4349);
									}}}}
									{
										obj_t BgL_l1692z00_6062;

										BgL_l1692z00_6062 = CDR(BgL_l1692z00_2803);
										BgL_l1692z00_2803 = BgL_l1692z00_6062;
										goto BgL_zc3z04anonymousza31888ze3z87_2804;
									}
								}
							else
								{	/* SawJvm/code.scm 76 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* SawJvm/code.scm 74 */
						((bool_t) 0);
					}
			}
			if (BGl_za2hasprotectza2z00zzsaw_jvm_codez00)
				{	/* SawJvm/code.scm 79 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 4)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 6)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 7)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 8)));
					BGl_loadzd2regzd2zzsaw_jvm_codez00(
						((obj_t) BgL_mez00_71), BGl_za2bexitregza2z00zzsaw_jvm_codez00);
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 5)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 9)));
					return
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_71,
						CNST_TABLE_REF(((long) 7)));
				}
			else
				{	/* SawJvm/code.scm 79 */
					return BFALSE;
				}
		}

	}



/* double~0 */
	obj_t BGl_doubleze70ze7zzsaw_jvm_codez00(obj_t BgL_lz00_2745)
	{
		{	/* SawJvm/code.scm 55 */
			if (NULLP(BgL_lz00_2745))
				{	/* SawJvm/code.scm 49 */
					return BgL_lz00_2745;
				}
			else
				{	/* SawJvm/code.scm 51 */
					obj_t BgL_regz00_2748;
					obj_t BgL_rz00_2749;

					BgL_regz00_2748 = CAR(((obj_t) BgL_lz00_2745));
					{	/* SawJvm/code.scm 51 */
						obj_t BgL_arg1865z00_2756;

						BgL_arg1865z00_2756 = CDR(((obj_t) BgL_lz00_2745));
						BgL_rz00_2749 =
							BGl_doubleze70ze7zzsaw_jvm_codez00(BgL_arg1865z00_2756);
					}
					{	/* SawJvm/code.scm 52 */
						obj_t BgL_typez00_2750;

						BgL_typez00_2750 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2748))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 53 */
							bool_t BgL_test2671z00_6096;

							if ((BgL_typez00_2750 == CNST_TABLE_REF(((long) 10))))
								{	/* SawJvm/code.scm 53 */
									BgL_test2671z00_6096 = ((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 53 */
									BgL_test2671z00_6096 =
										(BgL_typez00_2750 == CNST_TABLE_REF(((long) 11)));
								}
							if (BgL_test2671z00_6096)
								{	/* SawJvm/code.scm 54 */
									obj_t BgL_arg1860z00_2752;
									obj_t BgL_arg1861z00_2753;

									{
										BgL_lregz00_bglt BgL_auxz00_6102;

										{
											obj_t BgL_auxz00_6103;

											{	/* SawJvm/code.scm 54 */
												BgL_objectz00_bglt BgL_tmpz00_6104;

												BgL_tmpz00_6104 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2748));
												BgL_auxz00_6103 = BGL_OBJECT_WIDENING(BgL_tmpz00_6104);
											}
											BgL_auxz00_6102 = ((BgL_lregz00_bglt) BgL_auxz00_6103);
										}
										BgL_arg1860z00_2752 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6102))->
											BgL_idz00);
									}
									BgL_arg1861z00_2753 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)), BgL_rz00_2749);
									return
										MAKE_YOUNG_PAIR(BgL_arg1860z00_2752, BgL_arg1861z00_2753);
								}
							else
								{	/* SawJvm/code.scm 55 */
									obj_t BgL_arg1862z00_2754;

									{
										BgL_lregz00_bglt BgL_auxz00_6113;

										{
											obj_t BgL_auxz00_6114;

											{	/* SawJvm/code.scm 55 */
												BgL_objectz00_bglt BgL_tmpz00_6115;

												BgL_tmpz00_6115 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_2748));
												BgL_auxz00_6114 = BGL_OBJECT_WIDENING(BgL_tmpz00_6115);
											}
											BgL_auxz00_6113 = ((BgL_lregz00_bglt) BgL_auxz00_6114);
										}
										BgL_arg1862z00_2754 =
											(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6113))->
											BgL_idz00);
									}
									return MAKE_YOUNG_PAIR(BgL_arg1862z00_2754, BgL_rz00_2749);
								}
						}
					}
				}
		}

	}



/* &module-code */
	obj_t BGl_z62modulezd2codezb0zzsaw_jvm_codez00(obj_t BgL_envz00_5368,
		obj_t BgL_mez00_5369, obj_t BgL_paramsz00_5370, obj_t BgL_lz00_5371)
	{
		{	/* SawJvm/code.scm 46 */
			return
				BGl_modulezd2codezd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5369), BgL_paramsz00_5370, BgL_lz00_5371);
		}

	}



/* get-locals */
	obj_t BGl_getzd2localszd2zzsaw_jvm_codez00(obj_t BgL_paramsz00_74,
		obj_t BgL_lz00_75)
	{
		{	/* SawJvm/code.scm 96 */
			BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 0);
			{	/* SawJvm/code.scm 98 */
				struct bgl_cell BgL_box2673_5636z00;
				struct bgl_cell BgL_box2674_5637z00;
				obj_t BgL_nz00_5636;
				obj_t BgL_regsz00_5637;

				BgL_nz00_5636 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2673_5636z00);
				BgL_regsz00_5637 = MAKE_CELL_STACK(BNIL, BgL_box2674_5637z00);
				{
					obj_t BgL_ez00_2885;

					{
						obj_t BgL_lz00_2820;

						BgL_lz00_2820 = BgL_paramsz00_74;
					BgL_zc3z04anonymousza31893ze3z87_2821:
						if (NULLP(BgL_lz00_2820))
							{	/* SawJvm/code.scm 134 */
								((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 134 */
								{	/* SawJvm/code.scm 135 */
									BgL_rtl_regz00_bglt BgL_tmp1199z00_2823;

									BgL_tmp1199z00_2823 =
										((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_lz00_2820)));
									{	/* SawJvm/code.scm 135 */
										BgL_lregz00_bglt BgL_wide1201z00_2825;

										BgL_wide1201z00_2825 =
											((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_lregz00_bgl))));
										{	/* SawJvm/code.scm 135 */
											obj_t BgL_auxz00_6134;
											BgL_objectz00_bglt BgL_tmpz00_6131;

											BgL_auxz00_6134 = ((obj_t) BgL_wide1201z00_2825);
											BgL_tmpz00_6131 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6131, BgL_auxz00_6134);
										}
										((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823));
										{	/* SawJvm/code.scm 135 */
											long BgL_arg1898z00_2826;

											BgL_arg1898z00_2826 =
												BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823)),
												BgL_arg1898z00_2826);
										}
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823));
									}
									{
										obj_t BgL_auxz00_6152;
										BgL_lregz00_bglt BgL_auxz00_6145;

										{	/* SawJvm/code.scm 135 */
											long BgL_nz00_4488;

											BgL_nz00_4488 = (long) CINT(CELL_REF(BgL_nz00_5636));
											{	/* SawJvm/code.scm 100 */
												obj_t BgL_arg1910z00_4489;

												{	/* SawJvm/code.scm 100 */
													obj_t BgL_arg1912z00_4490;

													{	/* SawJvm/code.scm 100 */

														BgL_arg1912z00_4490 =
															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
															(BgL_nz00_4488, ((long) 10));
													}
													BgL_arg1910z00_4489 =
														string_append(BGl_string2503z00zzsaw_jvm_codez00,
														BgL_arg1912z00_4490);
												}
												BgL_auxz00_6152 =
													bstring_to_symbol(BgL_arg1910z00_4489);
										}}
										{
											obj_t BgL_auxz00_6146;

											{	/* SawJvm/code.scm 135 */
												BgL_objectz00_bglt BgL_tmpz00_6147;

												BgL_tmpz00_6147 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823));
												BgL_auxz00_6146 = BGL_OBJECT_WIDENING(BgL_tmpz00_6147);
											}
											BgL_auxz00_6145 = ((BgL_lregz00_bglt) BgL_auxz00_6146);
										}
										((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6145))->
												BgL_idz00) = ((obj_t) BgL_auxz00_6152), BUNSPEC);
									}
									((BgL_rtl_regz00_bglt) BgL_tmp1199z00_2823);
								}
								{	/* SawJvm/code.scm 136 */
									obj_t BgL_auxz00_5638;

									BgL_auxz00_5638 =
										ADDFX(CELL_REF(BgL_nz00_5636), BINT(((long) 1)));
									CELL_SET(BgL_nz00_5636, BgL_auxz00_5638);
								}
								{	/* SawJvm/code.scm 137 */
									obj_t BgL_arg1899z00_2828;

									BgL_arg1899z00_2828 = CDR(((obj_t) BgL_lz00_2820));
									{
										obj_t BgL_lz00_6163;

										BgL_lz00_6163 = BgL_arg1899z00_2828;
										BgL_lz00_2820 = BgL_lz00_6163;
										goto BgL_zc3z04anonymousza31893ze3z87_2821;
									}
								}
							}
					}
					{
						obj_t BgL_l1703z00_2831;

						BgL_l1703z00_2831 = BgL_lz00_75;
					BgL_zc3z04anonymousza31900ze3z87_2832:
						if (PAIRP(BgL_l1703z00_2831))
							{	/* SawJvm/code.scm 138 */
								{	/* SawJvm/code.scm 138 */
									obj_t BgL_bz00_2834;

									BgL_bz00_2834 = CAR(BgL_l1703z00_2831);
									{	/* SawJvm/code.scm 138 */
										obj_t BgL_g1702z00_2835;

										BgL_g1702z00_2835 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2834)))->BgL_firstz00);
										{
											obj_t BgL_l1700z00_2837;

											BgL_l1700z00_2837 = BgL_g1702z00_2835;
										BgL_zc3z04anonymousza31902ze3z87_2838:
											if (PAIRP(BgL_l1700z00_2837))
												{	/* SawJvm/code.scm 138 */
													BgL_ez00_2885 = CAR(BgL_l1700z00_2837);
													{	/* SawJvm/code.scm 129 */
														obj_t BgL_destz00_2887;

														BgL_destz00_2887 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_ez00_2885)))->
															BgL_destz00);
														if (CBOOL(BgL_destz00_2887))
															{	/* SawJvm/code.scm 130 */
																BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00
																	(BgL_regsz00_5637, BgL_nz00_5636,
																	BgL_destz00_2887);
															}
														else
															{	/* SawJvm/code.scm 130 */
																BFALSE;
															}
														BGl_check_funze70ze7zzsaw_jvm_codez00
															(BgL_ez00_2885);
														{	/* SawJvm/code.scm 132 */
															obj_t BgL_g1699z00_2888;

															BgL_g1699z00_2888 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_ez00_2885)))->
																BgL_argsz00);
															{
																obj_t BgL_l1697z00_2890;

																BgL_l1697z00_2890 = BgL_g1699z00_2888;
															BgL_zc3z04anonymousza31929ze3z87_2891:
																if (PAIRP(BgL_l1697z00_2890))
																	{	/* SawJvm/code.scm 132 */
																		BGl_exprze70ze7zzsaw_jvm_codez00
																			(BgL_regsz00_5637, BgL_nz00_5636,
																			CAR(BgL_l1697z00_2890));
																		{
																			obj_t BgL_l1697z00_6183;

																			BgL_l1697z00_6183 =
																				CDR(BgL_l1697z00_2890);
																			BgL_l1697z00_2890 = BgL_l1697z00_6183;
																			goto
																				BgL_zc3z04anonymousza31929ze3z87_2891;
																		}
																	}
																else
																	{	/* SawJvm/code.scm 132 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1700z00_6186;

														BgL_l1700z00_6186 = CDR(BgL_l1700z00_2837);
														BgL_l1700z00_2837 = BgL_l1700z00_6186;
														goto BgL_zc3z04anonymousza31902ze3z87_2838;
													}
												}
											else
												{	/* SawJvm/code.scm 138 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1703z00_6188;

									BgL_l1703z00_6188 = CDR(BgL_l1703z00_2831);
									BgL_l1703z00_2831 = BgL_l1703z00_6188;
									goto BgL_zc3z04anonymousza31900ze3z87_2832;
								}
							}
						else
							{	/* SawJvm/code.scm 138 */
								((bool_t) 1);
							}
					}
					return bgl_reverse_bang(CELL_REF(BgL_regsz00_5637));
				}
			}
		}

	}



/* reg->lreg~0 */
	obj_t BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(obj_t BgL_regsz00_5631,
		obj_t BgL_nz00_5630, obj_t BgL_rz00_2852)
	{
		{	/* SawJvm/code.scm 106 */
			{	/* SawJvm/code.scm 103 */
				bool_t BgL_test2680z00_6191;

				{	/* SawJvm/code.scm 103 */
					obj_t BgL_classz00_4357;

					BgL_classz00_4357 = BGl_lregz00zzsaw_jvm_codez00;
					if (BGL_OBJECTP(BgL_rz00_2852))
						{	/* SawJvm/code.scm 103 */
							obj_t BgL_oclassz00_4359;

							{	/* SawJvm/code.scm 103 */
								long BgL_arg1828z00_4361;

								{	/* SawJvm/code.scm 103 */
									long BgL_arg1829z00_4362;

									BgL_arg1829z00_4362 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2852));
									BgL_arg1828z00_4361 = (BgL_arg1829z00_4362 - OBJECT_TYPE);
								}
								BgL_oclassz00_4359 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_4361);
							}
							BgL_test2680z00_6191 = (BgL_oclassz00_4359 == BgL_classz00_4357);
						}
					else
						{	/* SawJvm/code.scm 103 */
							BgL_test2680z00_6191 = ((bool_t) 0);
						}
				}
				if (BgL_test2680z00_6191)
					{	/* SawJvm/code.scm 103 */
						return BFALSE;
					}
				else
					{	/* SawJvm/code.scm 103 */
						{	/* SawJvm/code.scm 104 */
							BgL_lregz00_bglt BgL_wide1194z00_2857;

							BgL_wide1194z00_2857 =
								((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_lregz00_bgl))));
							{	/* SawJvm/code.scm 104 */
								obj_t BgL_auxz00_6204;
								BgL_objectz00_bglt BgL_tmpz00_6200;

								BgL_auxz00_6204 = ((obj_t) BgL_wide1194z00_2857);
								BgL_tmpz00_6200 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2852)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6200, BgL_auxz00_6204);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2852)));
							{	/* SawJvm/code.scm 104 */
								long BgL_arg1915z00_2858;

								BgL_arg1915z00_2858 =
									BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2852))),
									BgL_arg1915z00_2858);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2852)));
						}
						{
							obj_t BgL_auxz00_6226;
							BgL_lregz00_bglt BgL_auxz00_6218;

							{	/* SawJvm/code.scm 104 */
								long BgL_nz00_4373;

								BgL_nz00_4373 = (long) CINT(CELL_REF(BgL_nz00_5630));
								{	/* SawJvm/code.scm 100 */
									obj_t BgL_arg1910z00_4374;

									{	/* SawJvm/code.scm 100 */
										obj_t BgL_arg1912z00_4375;

										{	/* SawJvm/code.scm 100 */

											BgL_arg1912z00_4375 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_4373, ((long) 10));
										}
										BgL_arg1910z00_4374 =
											string_append(BGl_string2504z00zzsaw_jvm_codez00,
											BgL_arg1912z00_4375);
									}
									BgL_auxz00_6226 = bstring_to_symbol(BgL_arg1910z00_4374);
							}}
							{
								obj_t BgL_auxz00_6219;

								{	/* SawJvm/code.scm 104 */
									BgL_objectz00_bglt BgL_tmpz00_6220;

									BgL_tmpz00_6220 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2852)));
									BgL_auxz00_6219 = BGL_OBJECT_WIDENING(BgL_tmpz00_6220);
								}
								BgL_auxz00_6218 = ((BgL_lregz00_bglt) BgL_auxz00_6219);
							}
							((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6218))->BgL_idz00) =
								((obj_t) BgL_auxz00_6226), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2852));
						{	/* SawJvm/code.scm 105 */
							obj_t BgL_auxz00_5632;

							BgL_auxz00_5632 =
								ADDFX(CELL_REF(BgL_nz00_5630), BINT(((long) 1)));
							CELL_SET(BgL_nz00_5630, BgL_auxz00_5632);
						}
						{	/* SawJvm/code.scm 106 */
							obj_t BgL_auxz00_5633;

							BgL_auxz00_5633 =
								MAKE_YOUNG_PAIR(BgL_rz00_2852, CELL_REF(BgL_regsz00_5631));
							return CELL_SET(BgL_regsz00_5631, BgL_auxz00_5633);
						}
					}
			}
		}

	}



/* check_fun~0 */
	obj_t BGl_check_funze70ze7zzsaw_jvm_codez00(obj_t BgL_ez00_2869)
	{
		{	/* SawJvm/code.scm 122 */
			{	/* SawJvm/code.scm 117 */
				BgL_rtl_funz00_bglt BgL_funz00_2871;

				BgL_funz00_2871 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_ez00_2869)))->BgL_funz00);
				{	/* SawJvm/code.scm 119 */
					bool_t BgL_test2682z00_6239;

					{	/* SawJvm/code.scm 119 */
						obj_t BgL_classz00_4381;

						BgL_classz00_4381 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 119 */
							BgL_objectz00_bglt BgL_arg1820z00_4383;

							{	/* SawJvm/code.scm 119 */
								obj_t BgL_tmpz00_6240;

								BgL_tmpz00_6240 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2871));
								BgL_arg1820z00_4383 = (BgL_objectz00_bglt) (BgL_tmpz00_6240);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 119 */
									long BgL_idxz00_4389;

									BgL_idxz00_4389 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4383);
									BgL_test2682z00_6239 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4389 + ((long) 2))) == BgL_classz00_4381);
								}
							else
								{	/* SawJvm/code.scm 119 */
									bool_t BgL_res2464z00_4411;

									{	/* SawJvm/code.scm 119 */
										obj_t BgL_oclassz00_4397;

										{	/* SawJvm/code.scm 119 */
											long BgL_arg1828z00_4403;

											{	/* SawJvm/code.scm 119 */
												long BgL_arg1829z00_4404;

												BgL_arg1829z00_4404 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4383);
												BgL_arg1828z00_4403 =
													(BgL_arg1829z00_4404 - OBJECT_TYPE);
											}
											BgL_oclassz00_4397 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4403);
										}
										{	/* SawJvm/code.scm 119 */
											bool_t BgL__ortest_1111z00_4398;

											BgL__ortest_1111z00_4398 =
												(BgL_classz00_4381 == BgL_oclassz00_4397);
											if (BgL__ortest_1111z00_4398)
												{	/* SawJvm/code.scm 119 */
													BgL_res2464z00_4411 = BgL__ortest_1111z00_4398;
												}
											else
												{	/* SawJvm/code.scm 119 */
													long BgL_odepthz00_4399;

													BgL_odepthz00_4399 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4397);
													if ((((long) 2) < BgL_odepthz00_4399))
														{	/* SawJvm/code.scm 119 */
															obj_t BgL_arg1816z00_4401;

															BgL_arg1816z00_4401 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4397,
																((long) 2));
															BgL_res2464z00_4411 =
																(BgL_arg1816z00_4401 == BgL_classz00_4381);
														}
													else
														{	/* SawJvm/code.scm 119 */
															BgL_res2464z00_4411 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2682z00_6239 = BgL_res2464z00_4411;
								}
						}
					}
					if (BgL_test2682z00_6239)
						{	/* SawJvm/code.scm 119 */
							BGl_za2hasprotectza2z00zzsaw_jvm_codez00 = ((bool_t) 1);
							return (BGl_za2bexitregza2z00zzsaw_jvm_codez00 =
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_ez00_2869)))->BgL_destz00),
								BUNSPEC);
						}
					else
						{	/* SawJvm/code.scm 122 */
							bool_t BgL__ortest_1198z00_2873;

							{	/* SawJvm/code.scm 122 */
								obj_t BgL_classz00_4413;

								BgL_classz00_4413 = BGl_rtl_switchz00zzsaw_defsz00;
								{	/* SawJvm/code.scm 122 */
									BgL_objectz00_bglt BgL_arg1820z00_4415;

									{	/* SawJvm/code.scm 122 */
										obj_t BgL_tmpz00_6262;

										BgL_tmpz00_6262 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2871));
										BgL_arg1820z00_4415 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6262);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/code.scm 122 */
											long BgL_idxz00_4421;

											BgL_idxz00_4421 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4415);
											BgL__ortest_1198z00_2873 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4421 + ((long) 4))) == BgL_classz00_4413);
										}
									else
										{	/* SawJvm/code.scm 122 */
											bool_t BgL_res2465z00_4443;

											{	/* SawJvm/code.scm 122 */
												obj_t BgL_oclassz00_4429;

												{	/* SawJvm/code.scm 122 */
													long BgL_arg1828z00_4435;

													{	/* SawJvm/code.scm 122 */
														long BgL_arg1829z00_4436;

														BgL_arg1829z00_4436 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4415);
														BgL_arg1828z00_4435 =
															(BgL_arg1829z00_4436 - OBJECT_TYPE);
													}
													BgL_oclassz00_4429 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4435);
												}
												{	/* SawJvm/code.scm 122 */
													bool_t BgL__ortest_1111z00_4430;

													BgL__ortest_1111z00_4430 =
														(BgL_classz00_4413 == BgL_oclassz00_4429);
													if (BgL__ortest_1111z00_4430)
														{	/* SawJvm/code.scm 122 */
															BgL_res2465z00_4443 = BgL__ortest_1111z00_4430;
														}
													else
														{	/* SawJvm/code.scm 122 */
															long BgL_odepthz00_4431;

															BgL_odepthz00_4431 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4429);
															if ((((long) 4) < BgL_odepthz00_4431))
																{	/* SawJvm/code.scm 122 */
																	obj_t BgL_arg1816z00_4433;

																	BgL_arg1816z00_4433 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4429,
																		((long) 4));
																	BgL_res2465z00_4443 =
																		(BgL_arg1816z00_4433 == BgL_classz00_4413);
																}
															else
																{	/* SawJvm/code.scm 122 */
																	BgL_res2465z00_4443 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1198z00_2873 = BgL_res2465z00_4443;
										}
								}
							}
							if (BgL__ortest_1198z00_2873)
								{	/* SawJvm/code.scm 122 */
									return BBOOL(BgL__ortest_1198z00_2873);
								}
							else
								{	/* SawJvm/code.scm 122 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* expr~0 */
	obj_t BGl_exprze70ze7zzsaw_jvm_codez00(obj_t BgL_regsz00_5635,
		obj_t BgL_nz00_5634, obj_t BgL_ez00_2874)
	{
		{	/* SawJvm/code.scm 127 */
			{	/* SawJvm/code.scm 124 */
				bool_t BgL_test2690z00_6284;

				{	/* SawJvm/code.scm 124 */
					obj_t BgL_classz00_4444;

					BgL_classz00_4444 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_ez00_2874))
						{	/* SawJvm/code.scm 124 */
							BgL_objectz00_bglt BgL_arg1820z00_4446;

							BgL_arg1820z00_4446 = (BgL_objectz00_bglt) (BgL_ez00_2874);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 124 */
									long BgL_idxz00_4452;

									BgL_idxz00_4452 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4446);
									BgL_test2690z00_6284 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4452 + ((long) 1))) == BgL_classz00_4444);
								}
							else
								{	/* SawJvm/code.scm 124 */
									bool_t BgL_res2466z00_4474;

									{	/* SawJvm/code.scm 124 */
										obj_t BgL_oclassz00_4460;

										{	/* SawJvm/code.scm 124 */
											long BgL_arg1828z00_4466;

											{	/* SawJvm/code.scm 124 */
												long BgL_arg1829z00_4467;

												BgL_arg1829z00_4467 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4446);
												BgL_arg1828z00_4466 =
													(BgL_arg1829z00_4467 - OBJECT_TYPE);
											}
											BgL_oclassz00_4460 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4466);
										}
										{	/* SawJvm/code.scm 124 */
											bool_t BgL__ortest_1111z00_4461;

											BgL__ortest_1111z00_4461 =
												(BgL_classz00_4444 == BgL_oclassz00_4460);
											if (BgL__ortest_1111z00_4461)
												{	/* SawJvm/code.scm 124 */
													BgL_res2466z00_4474 = BgL__ortest_1111z00_4461;
												}
											else
												{	/* SawJvm/code.scm 124 */
													long BgL_odepthz00_4462;

													BgL_odepthz00_4462 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4460);
													if ((((long) 1) < BgL_odepthz00_4462))
														{	/* SawJvm/code.scm 124 */
															obj_t BgL_arg1816z00_4464;

															BgL_arg1816z00_4464 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4460,
																((long) 1));
															BgL_res2466z00_4474 =
																(BgL_arg1816z00_4464 == BgL_classz00_4444);
														}
													else
														{	/* SawJvm/code.scm 124 */
															BgL_res2466z00_4474 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2690z00_6284 = BgL_res2466z00_4474;
								}
						}
					else
						{	/* SawJvm/code.scm 124 */
							BgL_test2690z00_6284 = ((bool_t) 0);
						}
				}
				if (BgL_test2690z00_6284)
					{	/* SawJvm/code.scm 124 */
						BGL_TAIL return
							BGl_regzd2ze3lregze70zd6zzsaw_jvm_codez00(BgL_regsz00_5635,
							BgL_nz00_5634, BgL_ez00_2874);
					}
				else
					{	/* SawJvm/code.scm 124 */
						BGl_check_funze70ze7zzsaw_jvm_codez00(BgL_ez00_2874);
						{	/* SawJvm/code.scm 127 */
							obj_t BgL_g1696z00_2877;

							BgL_g1696z00_2877 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_ez00_2874)))->BgL_argsz00);
							{
								obj_t BgL_l1694z00_2879;

								{	/* SawJvm/code.scm 127 */
									bool_t BgL_tmpz00_6308;

									BgL_l1694z00_2879 = BgL_g1696z00_2877;
								BgL_zc3z04anonymousza31924ze3z87_2880:
									if (PAIRP(BgL_l1694z00_2879))
										{	/* SawJvm/code.scm 127 */
											{	/* SawJvm/code.scm 127 */
												obj_t BgL_arg1926z00_2882;

												BgL_arg1926z00_2882 = CAR(BgL_l1694z00_2879);
												BGl_exprze70ze7zzsaw_jvm_codez00(BgL_regsz00_5635,
													BgL_nz00_5634, BgL_arg1926z00_2882);
											}
											{
												obj_t BgL_l1694z00_6313;

												BgL_l1694z00_6313 = CDR(BgL_l1694z00_2879);
												BgL_l1694z00_2879 = BgL_l1694z00_6313;
												goto BgL_zc3z04anonymousza31924ze3z87_2880;
											}
										}
									else
										{	/* SawJvm/code.scm 127 */
											BgL_tmpz00_6308 = ((bool_t) 1);
										}
									return BBOOL(BgL_tmpz00_6308);
								}
							}
						}
					}
			}
		}

	}



/* live-init */
	BgL_blockz00_bglt BGl_livezd2initzd2zzsaw_jvm_codez00(obj_t BgL_bz00_76)
	{
		{	/* SawJvm/code.scm 145 */
			{	/* SawJvm/code.scm 146 */
				BgL_liveblockz00_bglt BgL_wide1206z00_2904;

				BgL_wide1206z00_2904 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 146 */
					obj_t BgL_auxz00_6321;
					BgL_objectz00_bglt BgL_tmpz00_6317;

					BgL_auxz00_6321 = ((obj_t) BgL_wide1206z00_2904);
					BgL_tmpz00_6317 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6317, BgL_auxz00_6321);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
				{	/* SawJvm/code.scm 146 */
					long BgL_arg1933z00_2905;

					BgL_arg1933z00_2905 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_76))), BgL_arg1933z00_2905);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6335;

				{
					obj_t BgL_auxz00_6336;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6337;

						BgL_tmpz00_6337 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6336 = BGL_OBJECT_WIDENING(BgL_tmpz00_6337);
					}
					BgL_auxz00_6335 = ((BgL_liveblockz00_bglt) BgL_auxz00_6336);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6335))->BgL_inz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			{
				BgL_liveblockz00_bglt BgL_auxz00_6344;

				{
					obj_t BgL_auxz00_6345;

					{	/* SawJvm/code.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_6346;

						BgL_tmpz00_6346 =
							((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76)));
						BgL_auxz00_6345 = BGL_OBJECT_WIDENING(BgL_tmpz00_6346);
					}
					BgL_auxz00_6344 = ((BgL_liveblockz00_bglt) BgL_auxz00_6345);
				}
				((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6344))->BgL_outz00) =
					((obj_t) BNIL), BUNSPEC);
			}
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_76));
		}

	}



/* live-fix */
	bool_t BGl_livezd2fixzd2zzsaw_jvm_codez00(obj_t BgL_bz00_77)
	{
		{	/* SawJvm/code.scm 148 */
			{	/* SawJvm/code.scm 185 */
				obj_t BgL_arg1934z00_2914;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6355;

					{
						obj_t BgL_auxz00_6356;

						{	/* SawJvm/code.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_6357;

							BgL_tmpz00_6357 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_77));
							BgL_auxz00_6356 = BGL_OBJECT_WIDENING(BgL_tmpz00_6357);
						}
						BgL_auxz00_6355 = ((BgL_liveblockz00_bglt) BgL_auxz00_6356);
					}
					BgL_arg1934z00_2914 =
						(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6355))->BgL_outz00);
				}
				return
					BGl_fixpointze70ze7zzsaw_jvm_codez00(BgL_bz00_77,
					BgL_arg1934z00_2914);
			}
		}

	}



/* <@anonymous:1955>~0 */
	bool_t BGl_zc3z04anonymousza31955ze3ze70z60zzsaw_jvm_codez00(obj_t
		BgL_regsz00_5627, obj_t BgL_l1705z00_2944)
	{
		{	/* SawJvm/code.scm 165 */
		BGl_zc3z04anonymousza31955ze3ze70z60zzsaw_jvm_codez00:
			if (PAIRP(BgL_l1705z00_2944))
				{	/* SawJvm/code.scm 165 */
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_az00_2947;

						BgL_az00_2947 = CAR(BgL_l1705z00_2944);
						{	/* SawJvm/code.scm 165 */
							obj_t BgL_auxz00_5628;

							BgL_auxz00_5628 =
								BGl_livezd2argze70z35zzsaw_jvm_codez00(BgL_az00_2947,
								CELL_REF(BgL_regsz00_5627));
							CELL_SET(BgL_regsz00_5627, BgL_auxz00_5628);
						}
					}
					{	/* SawJvm/code.scm 165 */
						obj_t BgL_arg1957z00_2948;

						BgL_arg1957z00_2948 = CDR(BgL_l1705z00_2944);
						{
							obj_t BgL_l1705z00_6369;

							BgL_l1705z00_6369 = BgL_arg1957z00_2948;
							BgL_l1705z00_2944 = BgL_l1705z00_6369;
							goto BGl_zc3z04anonymousza31955ze3ze70z60zzsaw_jvm_codez00;
						}
					}
				}
			else
				{	/* SawJvm/code.scm 165 */
					return ((bool_t) 1);
				}
		}

	}



/* live-args~0 */
	obj_t BGl_livezd2argsze70z35zzsaw_jvm_codez00(obj_t BgL_argsz00_2940,
		obj_t BgL_regsz00_2941)
	{
		{	/* SawJvm/code.scm 165 */
			{	/* SawJvm/code.scm 165 */
				struct bgl_cell BgL_box2697_5629z00;
				obj_t BgL_regsz00_5629;

				BgL_regsz00_5629 =
					MAKE_CELL_STACK(BgL_regsz00_2941, BgL_box2697_5629z00);
				BGl_zc3z04anonymousza31955ze3ze70z60zzsaw_jvm_codez00(BgL_regsz00_5629,
					BgL_argsz00_2940);
				return CELL_REF(BgL_regsz00_5629);
			}
		}

	}



/* live-arg~0 */
	obj_t BGl_livezd2argze70z35zzsaw_jvm_codez00(obj_t BgL_az00_2934,
		obj_t BgL_regsz00_2935)
	{
		{	/* SawJvm/code.scm 163 */
			{	/* SawJvm/code.scm 159 */
				bool_t BgL_test2698z00_6371;

				{	/* SawJvm/code.scm 159 */
					obj_t BgL_classz00_4513;

					BgL_classz00_4513 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_2934))
						{	/* SawJvm/code.scm 159 */
							BgL_objectz00_bglt BgL_arg1820z00_4515;

							BgL_arg1820z00_4515 = (BgL_objectz00_bglt) (BgL_az00_2934);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 159 */
									long BgL_idxz00_4521;

									BgL_idxz00_4521 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4515);
									BgL_test2698z00_6371 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4521 + ((long) 1))) == BgL_classz00_4513);
								}
							else
								{	/* SawJvm/code.scm 159 */
									bool_t BgL_res2467z00_4543;

									{	/* SawJvm/code.scm 159 */
										obj_t BgL_oclassz00_4529;

										{	/* SawJvm/code.scm 159 */
											long BgL_arg1828z00_4535;

											{	/* SawJvm/code.scm 159 */
												long BgL_arg1829z00_4536;

												BgL_arg1829z00_4536 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4515);
												BgL_arg1828z00_4535 =
													(BgL_arg1829z00_4536 - OBJECT_TYPE);
											}
											BgL_oclassz00_4529 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4535);
										}
										{	/* SawJvm/code.scm 159 */
											bool_t BgL__ortest_1111z00_4530;

											BgL__ortest_1111z00_4530 =
												(BgL_classz00_4513 == BgL_oclassz00_4529);
											if (BgL__ortest_1111z00_4530)
												{	/* SawJvm/code.scm 159 */
													BgL_res2467z00_4543 = BgL__ortest_1111z00_4530;
												}
											else
												{	/* SawJvm/code.scm 159 */
													long BgL_odepthz00_4531;

													BgL_odepthz00_4531 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4529);
													if ((((long) 1) < BgL_odepthz00_4531))
														{	/* SawJvm/code.scm 159 */
															obj_t BgL_arg1816z00_4533;

															BgL_arg1816z00_4533 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4529,
																((long) 1));
															BgL_res2467z00_4543 =
																(BgL_arg1816z00_4533 == BgL_classz00_4513);
														}
													else
														{	/* SawJvm/code.scm 159 */
															BgL_res2467z00_4543 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2698z00_6371 = BgL_res2467z00_4543;
								}
						}
					else
						{	/* SawJvm/code.scm 159 */
							BgL_test2698z00_6371 = ((bool_t) 0);
						}
				}
				if (BgL_test2698z00_6371)
					{	/* SawJvm/code.scm 159 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_az00_2934,
									BgL_regsz00_2935)))
							{	/* SawJvm/code.scm 161 */
								return BgL_regsz00_2935;
							}
						else
							{	/* SawJvm/code.scm 161 */
								return MAKE_YOUNG_PAIR(BgL_az00_2934, BgL_regsz00_2935);
							}
					}
				else
					{	/* SawJvm/code.scm 160 */
						obj_t BgL_arg1953z00_2939;

						BgL_arg1953z00_2939 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_az00_2934)))->BgL_argsz00);
						return
							BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1953z00_2939,
							BgL_regsz00_2935);
					}
			}
		}

	}



/* live-instrs~0 */
	obj_t BGl_livezd2instrsze70z35zzsaw_jvm_codez00(obj_t BgL_lz00_2958,
		obj_t BgL_regsz00_2959)
	{
		{	/* SawJvm/code.scm 173 */
			{
				obj_t BgL_insz00_2950;
				obj_t BgL_regsz00_2951;

				if (NULLP(BgL_lz00_2958))
					{	/* SawJvm/code.scm 171 */
						return BgL_regsz00_2959;
					}
				else
					{	/* SawJvm/code.scm 173 */
						obj_t BgL_arg1965z00_2962;
						obj_t BgL_arg1966z00_2963;

						BgL_arg1965z00_2962 = CAR(((obj_t) BgL_lz00_2958));
						{	/* SawJvm/code.scm 173 */
							obj_t BgL_arg1967z00_2964;

							BgL_arg1967z00_2964 = CDR(((obj_t) BgL_lz00_2958));
							BgL_arg1966z00_2963 =
								BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1967z00_2964,
								BgL_regsz00_2959);
						}
						BgL_insz00_2950 = BgL_arg1965z00_2962;
						BgL_regsz00_2951 = BgL_arg1966z00_2963;
						{	/* SawJvm/code.scm 169 */
							obj_t BgL_arg1959z00_2954;
							obj_t BgL_arg1960z00_2955;

							BgL_arg1959z00_2954 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2950)))->BgL_argsz00);
							if (CBOOL(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_2950)))->
										BgL_destz00)))
								{	/* SawJvm/code.scm 169 */
									BgL_arg1960z00_2955 =
										bgl_remq(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2950)))->
											BgL_destz00), BgL_regsz00_2951);
								}
							else
								{	/* SawJvm/code.scm 169 */
									BgL_arg1960z00_2955 = BgL_regsz00_2951;
								}
							return
								BGl_livezd2argsze70z35zzsaw_jvm_codez00(BgL_arg1959z00_2954,
								BgL_arg1960z00_2955);
						}
					}
			}
		}

	}



/* include~0 */
	bool_t BGl_includeze70ze7zzsaw_jvm_codez00(obj_t BgL_l1z00_2915,
		obj_t BgL_l2z00_2916)
	{
		{	/* SawJvm/code.scm 152 */
		BGl_includeze70ze7zzsaw_jvm_codez00:
			if (NULLP(BgL_l1z00_2915))
				{	/* SawJvm/code.scm 150 */
					return ((bool_t) 1);
				}
			else
				{	/* SawJvm/code.scm 150 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
									((obj_t) BgL_l1z00_2915)), BgL_l2z00_2916)))
						{
							obj_t BgL_l1z00_6422;

							BgL_l1z00_6422 = CDR(((obj_t) BgL_l1z00_2915));
							BgL_l1z00_2915 = BgL_l1z00_6422;
							goto BGl_includeze70ze7zzsaw_jvm_codez00;
						}
					else
						{	/* SawJvm/code.scm 151 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* fixpoint~0 */
	bool_t BGl_fixpointze70ze7zzsaw_jvm_codez00(obj_t BgL_bz00_2965,
		obj_t BgL_livez00_2966)
	{
		{	/* SawJvm/code.scm 184 */
			{
				obj_t BgL_l1z00_2923;
				obj_t BgL_l2z00_2924;

				{
					BgL_liveblockz00_bglt BgL_auxz00_6425;

					{
						obj_t BgL_auxz00_6426;

						{	/* SawJvm/code.scm 176 */
							BgL_objectz00_bglt BgL_tmpz00_6427;

							BgL_tmpz00_6427 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2965));
							BgL_auxz00_6426 = BGL_OBJECT_WIDENING(BgL_tmpz00_6427);
						}
						BgL_auxz00_6425 = ((BgL_liveblockz00_bglt) BgL_auxz00_6426);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6425))->BgL_outz00) =
						((obj_t) BgL_livez00_2966), BUNSPEC);
				}
				{	/* SawJvm/code.scm 177 */
					obj_t BgL_nlivez00_2969;

					{	/* SawJvm/code.scm 177 */
						obj_t BgL_arg1977z00_2984;

						BgL_arg1977z00_2984 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) BgL_bz00_2965))))->BgL_firstz00);
						BgL_nlivez00_2969 =
							BGl_livezd2instrsze70z35zzsaw_jvm_codez00(BgL_arg1977z00_2984,
							BgL_livez00_2966);
					}
					{	/* SawJvm/code.scm 178 */
						bool_t BgL_test2708z00_6437;

						{	/* SawJvm/code.scm 178 */
							obj_t BgL_arg1976z00_2983;

							{
								BgL_liveblockz00_bglt BgL_auxz00_6438;

								{
									obj_t BgL_auxz00_6439;

									{	/* SawJvm/code.scm 178 */
										BgL_objectz00_bglt BgL_tmpz00_6440;

										BgL_tmpz00_6440 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_bz00_2965));
										BgL_auxz00_6439 = BGL_OBJECT_WIDENING(BgL_tmpz00_6440);
									}
									BgL_auxz00_6438 = ((BgL_liveblockz00_bglt) BgL_auxz00_6439);
								}
								BgL_arg1976z00_2983 =
									(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6438))->
									BgL_inz00);
							}
							BgL_test2708z00_6437 =
								BGl_includeze70ze7zzsaw_jvm_codez00(BgL_nlivez00_2969,
								BgL_arg1976z00_2983);
						}
						if (BgL_test2708z00_6437)
							{	/* SawJvm/code.scm 178 */
								return ((bool_t) 0);
							}
						else
							{	/* SawJvm/code.scm 178 */
								{
									BgL_liveblockz00_bglt BgL_auxz00_6447;

									{
										obj_t BgL_auxz00_6448;

										{	/* SawJvm/code.scm 179 */
											BgL_objectz00_bglt BgL_tmpz00_6449;

											BgL_tmpz00_6449 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt) BgL_bz00_2965));
											BgL_auxz00_6448 = BGL_OBJECT_WIDENING(BgL_tmpz00_6449);
										}
										BgL_auxz00_6447 = ((BgL_liveblockz00_bglt) BgL_auxz00_6448);
									}
									((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6447))->
											BgL_inz00) = ((obj_t) BgL_nlivez00_2969), BUNSPEC);
								}
								{	/* SawJvm/code.scm 180 */
									obj_t BgL_g1709z00_2972;

									BgL_g1709z00_2972 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_bz00_2965))))->BgL_predsz00);
									{
										obj_t BgL_l1707z00_2974;

										BgL_l1707z00_2974 = BgL_g1709z00_2972;
									BgL_zc3z04anonymousza31971ze3z87_2975:
										if (PAIRP(BgL_l1707z00_2974))
											{	/* SawJvm/code.scm 180 */
												{	/* SawJvm/code.scm 181 */
													obj_t BgL_pz00_2977;

													BgL_pz00_2977 = CAR(BgL_l1707z00_2974);
													{	/* SawJvm/code.scm 181 */
														obj_t BgL_oz00_2978;

														{
															BgL_liveblockz00_bglt BgL_auxz00_6461;

															{
																obj_t BgL_auxz00_6462;

																{	/* SawJvm/code.scm 181 */
																	BgL_objectz00_bglt BgL_tmpz00_6463;

																	BgL_tmpz00_6463 =
																		((BgL_objectz00_bglt)
																		((BgL_blockz00_bglt) BgL_pz00_2977));
																	BgL_auxz00_6462 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6463);
																}
																BgL_auxz00_6461 =
																	((BgL_liveblockz00_bglt) BgL_auxz00_6462);
															}
															BgL_oz00_2978 =
																(((BgL_liveblockz00_bglt)
																	COBJECT(BgL_auxz00_6461))->BgL_outz00);
														}
														if (BGl_includeze70ze7zzsaw_jvm_codez00
															(BgL_nlivez00_2969, BgL_oz00_2978))
															{	/* SawJvm/code.scm 182 */
																((bool_t) 0);
															}
														else
															{	/* SawJvm/code.scm 183 */
																obj_t BgL_auxz00_6471;

																BgL_l1z00_2923 = BgL_nlivez00_2969;
																BgL_l2z00_2924 = BgL_oz00_2978;
															BgL_zc3z04anonymousza31941ze3z87_2925:
																if (NULLP(BgL_l1z00_2923))
																	{	/* SawJvm/code.scm 154 */
																		BgL_auxz00_6471 = BgL_l2z00_2924;
																	}
																else
																	{	/* SawJvm/code.scm 154 */
																		if (CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(CAR(((obj_t) BgL_l1z00_2923)),
																					BgL_l2z00_2924)))
																			{	/* SawJvm/code.scm 155 */
																				obj_t BgL_arg1945z00_2929;

																				BgL_arg1945z00_2929 =
																					CDR(((obj_t) BgL_l1z00_2923));
																				{
																					obj_t BgL_l1z00_6481;

																					BgL_l1z00_6481 = BgL_arg1945z00_2929;
																					BgL_l1z00_2923 = BgL_l1z00_6481;
																					goto
																						BgL_zc3z04anonymousza31941ze3z87_2925;
																				}
																			}
																		else
																			{	/* SawJvm/code.scm 156 */
																				obj_t BgL_arg1946z00_2930;
																				obj_t BgL_arg1947z00_2931;

																				BgL_arg1946z00_2930 =
																					CDR(((obj_t) BgL_l1z00_2923));
																				{	/* SawJvm/code.scm 156 */
																					obj_t BgL_arg1948z00_2932;

																					BgL_arg1948z00_2932 =
																						CAR(((obj_t) BgL_l1z00_2923));
																					BgL_arg1947z00_2931 =
																						MAKE_YOUNG_PAIR(BgL_arg1948z00_2932,
																						BgL_l2z00_2924);
																				}
																				{
																					obj_t BgL_l2z00_6488;
																					obj_t BgL_l1z00_6487;

																					BgL_l1z00_6487 = BgL_arg1946z00_2930;
																					BgL_l2z00_6488 = BgL_arg1947z00_2931;
																					BgL_l2z00_2924 = BgL_l2z00_6488;
																					BgL_l1z00_2923 = BgL_l1z00_6487;
																					goto
																						BgL_zc3z04anonymousza31941ze3z87_2925;
																				}
																			}
																	}
																BGl_fixpointze70ze7zzsaw_jvm_codez00
																	(BgL_pz00_2977, BgL_auxz00_6471);
															}
													}
												}
												{
													obj_t BgL_l1707z00_6490;

													BgL_l1707z00_6490 = CDR(BgL_l1707z00_2974);
													BgL_l1707z00_2974 = BgL_l1707z00_6490;
													goto BgL_zc3z04anonymousza31971ze3z87_2975;
												}
											}
										else
											{	/* SawJvm/code.scm 180 */
												return ((bool_t) 1);
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* live-reset */
	obj_t BGl_livezd2resetzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_78,
		obj_t BgL_bz00_79, obj_t BgL_pendingz00_80)
	{
		{	/* SawJvm/code.scm 187 */
			{	/* SawJvm/code.scm 188 */
				obj_t BgL_labz00_2992;
				obj_t BgL_npendingz00_2993;

				{	/* SawJvm/code.scm 188 */

					{	/* SawJvm/code.scm 188 */

						BgL_labz00_2992 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
					}
				}
				BgL_npendingz00_2993 = BNIL;
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_78, BgL_labz00_2992);
				{
					obj_t BgL_l1710z00_2996;

					BgL_l1710z00_2996 = BgL_pendingz00_80;
				BgL_zc3z04anonymousza31978ze3z87_2997:
					if (PAIRP(BgL_l1710z00_2996))
						{	/* SawJvm/code.scm 191 */
							{	/* SawJvm/code.scm 192 */
								obj_t BgL_pz00_2999;

								BgL_pz00_2999 = CAR(BgL_l1710z00_2996);
								{	/* SawJvm/code.scm 192 */
									bool_t BgL_test2714z00_6497;

									{	/* SawJvm/code.scm 192 */
										obj_t BgL_arg1985z00_3005;
										obj_t BgL_arg1986z00_3006;

										BgL_arg1985z00_3005 = CAR(((obj_t) BgL_pz00_2999));
										{
											BgL_liveblockz00_bglt BgL_auxz00_6500;

											{
												obj_t BgL_auxz00_6501;

												{	/* SawJvm/code.scm 192 */
													BgL_objectz00_bglt BgL_tmpz00_6502;

													BgL_tmpz00_6502 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_bz00_79));
													BgL_auxz00_6501 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6502);
												}
												BgL_auxz00_6500 =
													((BgL_liveblockz00_bglt) BgL_auxz00_6501);
											}
											BgL_arg1986z00_3006 =
												(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6500))->
												BgL_inz00);
										}
										BgL_test2714z00_6497 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1985z00_3005, BgL_arg1986z00_3006));
									}
									if (BgL_test2714z00_6497)
										{	/* SawJvm/code.scm 192 */
											BgL_npendingz00_2993 =
												MAKE_YOUNG_PAIR(BgL_pz00_2999, BgL_npendingz00_2993);
										}
									else
										{	/* SawJvm/code.scm 194 */
											obj_t BgL_arg1983z00_3003;
											obj_t BgL_arg1984z00_3004;

											BgL_arg1983z00_3003 = CAR(((obj_t) BgL_pz00_2999));
											BgL_arg1984z00_3004 = CDR(((obj_t) BgL_pz00_2999));
											{	/* SawJvm/code.scm 205 */
												obj_t BgL_arg1993z00_4564;

												{
													BgL_lregz00_bglt BgL_auxz00_6515;

													{
														obj_t BgL_auxz00_6516;

														{	/* SawJvm/code.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_6517;

															BgL_tmpz00_6517 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_arg1983z00_3003));
															BgL_auxz00_6516 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6517);
														}
														BgL_auxz00_6515 =
															((BgL_lregz00_bglt) BgL_auxz00_6516);
													}
													BgL_arg1993z00_4564 =
														(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6515))->
														BgL_idz00);
												}
												BGl_localvarz00zzsaw_jvm_outz00(BgL_mez00_78,
													BgL_arg1983z00_3003, BgL_arg1984z00_3004,
													BgL_labz00_2992, BgL_arg1993z00_4564);
											}
										}
								}
							}
							{
								obj_t BgL_l1710z00_6524;

								BgL_l1710z00_6524 = CDR(BgL_l1710z00_2996);
								BgL_l1710z00_2996 = BgL_l1710z00_6524;
								goto BgL_zc3z04anonymousza31978ze3z87_2997;
							}
						}
					else
						{	/* SawJvm/code.scm 191 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/code.scm 196 */
					obj_t BgL_g1714z00_3009;

					{
						BgL_liveblockz00_bglt BgL_auxz00_6526;

						{
							obj_t BgL_auxz00_6527;

							{	/* SawJvm/code.scm 196 */
								BgL_objectz00_bglt BgL_tmpz00_6528;

								BgL_tmpz00_6528 =
									((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_79));
								BgL_auxz00_6527 = BGL_OBJECT_WIDENING(BgL_tmpz00_6528);
							}
							BgL_auxz00_6526 = ((BgL_liveblockz00_bglt) BgL_auxz00_6527);
						}
						BgL_g1714z00_3009 =
							(((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6526))->BgL_inz00);
					}
					{
						obj_t BgL_l1712z00_3011;

						BgL_l1712z00_3011 = BgL_g1714z00_3009;
					BgL_zc3z04anonymousza31988ze3z87_3012:
						if (PAIRP(BgL_l1712z00_3011))
							{	/* SawJvm/code.scm 196 */
								{	/* SawJvm/code.scm 197 */
									obj_t BgL_iz00_3014;

									BgL_iz00_3014 = CAR(BgL_l1712z00_3011);
									if (CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_iz00_3014, BgL_npendingz00_2993)))
										{	/* SawJvm/code.scm 197 */
											BFALSE;
										}
									else
										{	/* SawJvm/code.scm 198 */
											obj_t BgL_arg1991z00_3016;

											BgL_arg1991z00_3016 =
												MAKE_YOUNG_PAIR(BgL_iz00_3014, BgL_labz00_2992);
											BgL_npendingz00_2993 =
												MAKE_YOUNG_PAIR(BgL_arg1991z00_3016,
												BgL_npendingz00_2993);
										}
								}
								{
									obj_t BgL_l1712z00_6542;

									BgL_l1712z00_6542 = CDR(BgL_l1712z00_3011);
									BgL_l1712z00_3011 = BgL_l1712z00_6542;
									goto BgL_zc3z04anonymousza31988ze3z87_3012;
								}
							}
						else
							{	/* SawJvm/code.scm 196 */
								((bool_t) 1);
							}
					}
				}
				return BgL_npendingz00_2993;
			}
		}

	}



/* gen-ins */
	obj_t BGl_genzd2inszd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_85,
		obj_t BgL_insz00_86, obj_t BgL_pz00_87)
	{
		{	/* SawJvm/code.scm 210 */
			{	/* SawJvm/code.scm 213 */
				bool_t BgL_test2717z00_6544;

				{	/* SawJvm/code.scm 213 */
					obj_t BgL_arg2015z00_3047;

					{	/* SawJvm/code.scm 213 */
						BgL_rtl_funz00_bglt BgL_arg2017z00_3048;
						obj_t BgL_arg2018z00_3049;

						BgL_arg2017z00_3048 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
						BgL_arg2018z00_3049 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_argsz00);
						BgL_arg2015z00_3047 =
							BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
							(BgL_arg2017z00_3048, ((obj_t) BgL_mez00_85),
							BgL_arg2018z00_3049);
					}
					BgL_test2717z00_6544 =
						(BgL_arg2015z00_3047 == CNST_TABLE_REF(((long) 13)));
				}
				if (BgL_test2717z00_6544)
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 214 */
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
									CNST_TABLE_REF(((long) 14)));
								{	/* SawJvm/code.scm 216 */
									obj_t BgL_arg1999z00_3028;

									BgL_arg1999z00_3028 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
									BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
										BgL_arg1999z00_3028);
							}}
						else
							{	/* SawJvm/code.scm 214 */
								BFALSE;
							}
					}
				else
					{	/* SawJvm/code.scm 213 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00)))
							{	/* SawJvm/code.scm 218 */
								obj_t BgL_arg2001z00_3030;

								BgL_arg2001z00_3030 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
								BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_mez00_85,
									BgL_arg2001z00_3030);
							}
						else
							{	/* SawJvm/code.scm 220 */
								bool_t BgL_test2720z00_6569;

								{	/* SawJvm/code.scm 220 */
									bool_t BgL_test2721z00_6570;

									{	/* SawJvm/code.scm 220 */
										BgL_rtl_funz00_bglt BgL_arg2014z00_3046;

										BgL_arg2014z00_3046 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
										{	/* SawJvm/code.scm 220 */
											obj_t BgL_classz00_4573;

											BgL_classz00_4573 = BGl_rtl_lastz00zzsaw_defsz00;
											{	/* SawJvm/code.scm 220 */
												BgL_objectz00_bglt BgL_arg1820z00_4575;

												{	/* SawJvm/code.scm 220 */
													obj_t BgL_tmpz00_6573;

													BgL_tmpz00_6573 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2014z00_3046));
													BgL_arg1820z00_4575 =
														(BgL_objectz00_bglt) (BgL_tmpz00_6573);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawJvm/code.scm 220 */
														long BgL_idxz00_4581;

														BgL_idxz00_4581 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4575);
														BgL_test2721z00_6570 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4581 + ((long) 2))) ==
															BgL_classz00_4573);
													}
												else
													{	/* SawJvm/code.scm 220 */
														bool_t BgL_res2468z00_4603;

														{	/* SawJvm/code.scm 220 */
															obj_t BgL_oclassz00_4589;

															{	/* SawJvm/code.scm 220 */
																long BgL_arg1828z00_4595;

																{	/* SawJvm/code.scm 220 */
																	long BgL_arg1829z00_4596;

																	BgL_arg1829z00_4596 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4575);
																	BgL_arg1828z00_4595 =
																		(BgL_arg1829z00_4596 - OBJECT_TYPE);
																}
																BgL_oclassz00_4589 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4595);
															}
															{	/* SawJvm/code.scm 220 */
																bool_t BgL__ortest_1111z00_4590;

																BgL__ortest_1111z00_4590 =
																	(BgL_classz00_4573 == BgL_oclassz00_4589);
																if (BgL__ortest_1111z00_4590)
																	{	/* SawJvm/code.scm 220 */
																		BgL_res2468z00_4603 =
																			BgL__ortest_1111z00_4590;
																	}
																else
																	{	/* SawJvm/code.scm 220 */
																		long BgL_odepthz00_4591;

																		BgL_odepthz00_4591 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4589);
																		if ((((long) 2) < BgL_odepthz00_4591))
																			{	/* SawJvm/code.scm 220 */
																				obj_t BgL_arg1816z00_4593;

																				BgL_arg1816z00_4593 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4589, ((long) 2));
																				BgL_res2468z00_4603 =
																					(BgL_arg1816z00_4593 ==
																					BgL_classz00_4573);
																			}
																		else
																			{	/* SawJvm/code.scm 220 */
																				BgL_res2468z00_4603 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2721z00_6570 = BgL_res2468z00_4603;
													}
											}
										}
									}
									if (BgL_test2721z00_6570)
										{	/* SawJvm/code.scm 220 */
											BgL_test2720z00_6569 = ((bool_t) 1);
										}
									else
										{	/* SawJvm/code.scm 221 */
											bool_t BgL_test2725z00_6593;

											{	/* SawJvm/code.scm 221 */
												BgL_rtl_funz00_bglt BgL_arg2013z00_3045;

												BgL_arg2013z00_3045 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
													BgL_funz00);
												{	/* SawJvm/code.scm 221 */
													obj_t BgL_classz00_4604;

													BgL_classz00_4604 = BGl_rtl_notseqz00zzsaw_defsz00;
													{	/* SawJvm/code.scm 221 */
														BgL_objectz00_bglt BgL_arg1820z00_4606;

														{	/* SawJvm/code.scm 221 */
															obj_t BgL_tmpz00_6596;

															BgL_tmpz00_6596 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2013z00_3045));
															BgL_arg1820z00_4606 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6596);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawJvm/code.scm 221 */
																long BgL_idxz00_4612;

																BgL_idxz00_4612 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4606);
																BgL_test2725z00_6593 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4612 + ((long) 2))) ==
																	BgL_classz00_4604);
															}
														else
															{	/* SawJvm/code.scm 221 */
																bool_t BgL_res2469z00_4634;

																{	/* SawJvm/code.scm 221 */
																	obj_t BgL_oclassz00_4620;

																	{	/* SawJvm/code.scm 221 */
																		long BgL_arg1828z00_4626;

																		{	/* SawJvm/code.scm 221 */
																			long BgL_arg1829z00_4627;

																			BgL_arg1829z00_4627 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4606);
																			BgL_arg1828z00_4626 =
																				(BgL_arg1829z00_4627 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4620 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4626);
																	}
																	{	/* SawJvm/code.scm 221 */
																		bool_t BgL__ortest_1111z00_4621;

																		BgL__ortest_1111z00_4621 =
																			(BgL_classz00_4604 == BgL_oclassz00_4620);
																		if (BgL__ortest_1111z00_4621)
																			{	/* SawJvm/code.scm 221 */
																				BgL_res2469z00_4634 =
																					BgL__ortest_1111z00_4621;
																			}
																		else
																			{	/* SawJvm/code.scm 221 */
																				long BgL_odepthz00_4622;

																				BgL_odepthz00_4622 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4620);
																				if ((((long) 2) < BgL_odepthz00_4622))
																					{	/* SawJvm/code.scm 221 */
																						obj_t BgL_arg1816z00_4624;

																						BgL_arg1816z00_4624 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4620, ((long) 2));
																						BgL_res2469z00_4634 =
																							(BgL_arg1816z00_4624 ==
																							BgL_classz00_4604);
																					}
																				else
																					{	/* SawJvm/code.scm 221 */
																						BgL_res2469z00_4634 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2725z00_6593 = BgL_res2469z00_4634;
															}
													}
												}
											}
											if (BgL_test2725z00_6593)
												{	/* SawJvm/code.scm 221 */
													BgL_test2720z00_6569 = ((bool_t) 1);
												}
											else
												{	/* SawJvm/code.scm 222 */
													BgL_rtl_funz00_bglt BgL_arg2012z00_3044;

													BgL_arg2012z00_3044 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_86)))->
														BgL_funz00);
													{	/* SawJvm/code.scm 222 */
														obj_t BgL_classz00_4635;

														BgL_classz00_4635 = BGl_rtl_effectz00zzsaw_defsz00;
														{	/* SawJvm/code.scm 222 */
															BgL_objectz00_bglt BgL_arg1820z00_4637;

															{	/* SawJvm/code.scm 222 */
																obj_t BgL_tmpz00_6618;

																BgL_tmpz00_6618 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg2012z00_3044));
																BgL_arg1820z00_4637 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_6618);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawJvm/code.scm 222 */
																	long BgL_idxz00_4643;

																	BgL_idxz00_4643 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4637);
																	BgL_test2720z00_6569 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4643 + ((long) 2))) ==
																		BgL_classz00_4635);
																}
															else
																{	/* SawJvm/code.scm 222 */
																	bool_t BgL_res2470z00_4665;

																	{	/* SawJvm/code.scm 222 */
																		obj_t BgL_oclassz00_4651;

																		{	/* SawJvm/code.scm 222 */
																			long BgL_arg1828z00_4657;

																			{	/* SawJvm/code.scm 222 */
																				long BgL_arg1829z00_4658;

																				BgL_arg1829z00_4658 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4637);
																				BgL_arg1828z00_4657 =
																					(BgL_arg1829z00_4658 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4651 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4657);
																		}
																		{	/* SawJvm/code.scm 222 */
																			bool_t BgL__ortest_1111z00_4652;

																			BgL__ortest_1111z00_4652 =
																				(BgL_classz00_4635 ==
																				BgL_oclassz00_4651);
																			if (BgL__ortest_1111z00_4652)
																				{	/* SawJvm/code.scm 222 */
																					BgL_res2470z00_4665 =
																						BgL__ortest_1111z00_4652;
																				}
																			else
																				{	/* SawJvm/code.scm 222 */
																					long BgL_odepthz00_4653;

																					BgL_odepthz00_4653 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4651);
																					if ((((long) 2) < BgL_odepthz00_4653))
																						{	/* SawJvm/code.scm 222 */
																							obj_t BgL_arg1816z00_4655;

																							BgL_arg1816z00_4655 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4651,
																								((long) 2));
																							BgL_res2470z00_4665 =
																								(BgL_arg1816z00_4655 ==
																								BgL_classz00_4635);
																						}
																					else
																						{	/* SawJvm/code.scm 222 */
																							BgL_res2470z00_4665 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2720z00_6569 = BgL_res2470z00_4665;
																}
														}
													}
												}
										}
								}
								if (BgL_test2720z00_6569)
									{	/* SawJvm/code.scm 220 */
										BFALSE;
									}
								else
									{	/* SawJvm/code.scm 223 */
										int BgL_nz00_3039;

										BgL_nz00_3039 =
											BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_86);
										if (((long) (BgL_nz00_3039) > ((long) 0)))
											{	/* SawJvm/code.scm 224 */
												if (((long) (BgL_nz00_3039) > ((long) 1)))
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															CNST_TABLE_REF(((long) 15)));
													}
												else
													{	/* SawJvm/code.scm 225 */
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
															CNST_TABLE_REF(((long) 16)));
											}}
										else
											{	/* SawJvm/code.scm 224 */
												BFALSE;
											}
									}
							}
					}
			}
			{	/* SawJvm/code.scm 228 */
				bool_t BgL_test2734z00_6649;

				{	/* SawJvm/code.scm 228 */
					BgL_rtl_funz00_bglt BgL_arg2021z00_3052;

					BgL_arg2021z00_3052 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_funz00);
					{	/* SawJvm/code.scm 228 */
						obj_t BgL_classz00_4668;

						BgL_classz00_4668 = BGl_rtl_protectz00zzsaw_defsz00;
						{	/* SawJvm/code.scm 228 */
							BgL_objectz00_bglt BgL_arg1820z00_4670;

							{	/* SawJvm/code.scm 228 */
								obj_t BgL_tmpz00_6652;

								BgL_tmpz00_6652 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2021z00_3052));
								BgL_arg1820z00_4670 = (BgL_objectz00_bglt) (BgL_tmpz00_6652);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 228 */
									long BgL_idxz00_4676;

									BgL_idxz00_4676 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4670);
									BgL_test2734z00_6649 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4676 + ((long) 2))) == BgL_classz00_4668);
								}
							else
								{	/* SawJvm/code.scm 228 */
									bool_t BgL_res2471z00_4698;

									{	/* SawJvm/code.scm 228 */
										obj_t BgL_oclassz00_4684;

										{	/* SawJvm/code.scm 228 */
											long BgL_arg1828z00_4690;

											{	/* SawJvm/code.scm 228 */
												long BgL_arg1829z00_4691;

												BgL_arg1829z00_4691 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4670);
												BgL_arg1828z00_4690 =
													(BgL_arg1829z00_4691 - OBJECT_TYPE);
											}
											BgL_oclassz00_4684 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4690);
										}
										{	/* SawJvm/code.scm 228 */
											bool_t BgL__ortest_1111z00_4685;

											BgL__ortest_1111z00_4685 =
												(BgL_classz00_4668 == BgL_oclassz00_4684);
											if (BgL__ortest_1111z00_4685)
												{	/* SawJvm/code.scm 228 */
													BgL_res2471z00_4698 = BgL__ortest_1111z00_4685;
												}
											else
												{	/* SawJvm/code.scm 228 */
													long BgL_odepthz00_4686;

													BgL_odepthz00_4686 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4684);
													if ((((long) 2) < BgL_odepthz00_4686))
														{	/* SawJvm/code.scm 228 */
															obj_t BgL_arg1816z00_4688;

															BgL_arg1816z00_4688 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4684,
																((long) 2));
															BgL_res2471z00_4698 =
																(BgL_arg1816z00_4688 == BgL_classz00_4668);
														}
													else
														{	/* SawJvm/code.scm 228 */
															BgL_res2471z00_4698 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2734z00_6649 = BgL_res2471z00_4698;
								}
						}
					}
				}
				if (BgL_test2734z00_6649)
					{	/* SawJvm/code.scm 228 */
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_85,
							CNST_TABLE_REF(((long) 17)));
					}
				else
					{	/* SawJvm/code.scm 228 */
						BFALSE;
					}
			}
			{	/* SawJvm/code.scm 229 */
				bool_t BgL_test2738z00_6674;

				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* SawJvm/code.scm 229 */
						BgL_test2738z00_6674 =
							CBOOL(
							(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00));
					}
				else
					{	/* SawJvm/code.scm 229 */
						BgL_test2738z00_6674 = ((bool_t) 0);
					}
				if (BgL_test2738z00_6674)
					{	/* SawJvm/code.scm 230 */
						bool_t BgL_test2740z00_6680;

						{	/* SawJvm/code.scm 230 */
							obj_t BgL_arg2028z00_3060;

							BgL_arg2028z00_3060 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
							BgL_test2740z00_6680 =
								CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
								(BgL_arg2028z00_3060, BgL_pz00_87));
						}
						if (BgL_test2740z00_6680)
							{	/* SawJvm/code.scm 230 */
								BFALSE;
							}
						else
							{	/* SawJvm/code.scm 231 */
								obj_t BgL_labz00_3056;

								{	/* SawJvm/code.scm 231 */

									{	/* SawJvm/code.scm 231 */

										BgL_labz00_3056 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_85, BgL_labz00_3056);
								{	/* SawJvm/code.scm 233 */
									obj_t BgL_arg2025z00_3057;

									{	/* SawJvm/code.scm 233 */
										obj_t BgL_arg2026z00_3058;

										BgL_arg2026z00_3058 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_86)))->BgL_destz00);
										BgL_arg2025z00_3057 =
											MAKE_YOUNG_PAIR(BgL_arg2026z00_3058, BgL_labz00_3056);
									}
									BgL_pz00_87 =
										MAKE_YOUNG_PAIR(BgL_arg2025z00_3057, BgL_pz00_87);
								}
							}
					}
				else
					{	/* SawJvm/code.scm 229 */
						BFALSE;
					}
			}
			return BgL_pz00_87;
		}

	}



/* gen-expr */
	BGL_EXPORTED_DEF obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt
		BgL_mez00_88, obj_t BgL_insz00_89)
	{
		{	/* SawJvm/code.scm 236 */
			{	/* SawJvm/code.scm 237 */
				bool_t BgL_test2741z00_6691;

				{	/* SawJvm/code.scm 237 */
					obj_t BgL_classz00_4699;

					BgL_classz00_4699 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_89))
						{	/* SawJvm/code.scm 237 */
							BgL_objectz00_bglt BgL_arg1820z00_4701;

							BgL_arg1820z00_4701 = (BgL_objectz00_bglt) (BgL_insz00_89);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/code.scm 237 */
									long BgL_idxz00_4707;

									BgL_idxz00_4707 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4701);
									BgL_test2741z00_6691 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4707 + ((long) 1))) == BgL_classz00_4699);
								}
							else
								{	/* SawJvm/code.scm 237 */
									bool_t BgL_res2472z00_4729;

									{	/* SawJvm/code.scm 237 */
										obj_t BgL_oclassz00_4715;

										{	/* SawJvm/code.scm 237 */
											long BgL_arg1828z00_4721;

											{	/* SawJvm/code.scm 237 */
												long BgL_arg1829z00_4722;

												BgL_arg1829z00_4722 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4701);
												BgL_arg1828z00_4721 =
													(BgL_arg1829z00_4722 - OBJECT_TYPE);
											}
											BgL_oclassz00_4715 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4721);
										}
										{	/* SawJvm/code.scm 237 */
											bool_t BgL__ortest_1111z00_4716;

											BgL__ortest_1111z00_4716 =
												(BgL_classz00_4699 == BgL_oclassz00_4715);
											if (BgL__ortest_1111z00_4716)
												{	/* SawJvm/code.scm 237 */
													BgL_res2472z00_4729 = BgL__ortest_1111z00_4716;
												}
											else
												{	/* SawJvm/code.scm 237 */
													long BgL_odepthz00_4717;

													BgL_odepthz00_4717 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4715);
													if ((((long) 1) < BgL_odepthz00_4717))
														{	/* SawJvm/code.scm 237 */
															obj_t BgL_arg1816z00_4719;

															BgL_arg1816z00_4719 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4715,
																((long) 1));
															BgL_res2472z00_4729 =
																(BgL_arg1816z00_4719 == BgL_classz00_4699);
														}
													else
														{	/* SawJvm/code.scm 237 */
															BgL_res2472z00_4729 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2741z00_6691 = BgL_res2472z00_4729;
								}
						}
					else
						{	/* SawJvm/code.scm 237 */
							BgL_test2741z00_6691 = ((bool_t) 0);
						}
				}
				if (BgL_test2741z00_6691)
					{	/* SawJvm/code.scm 237 */
						return
							BGl_loadzd2regzd2zzsaw_jvm_codez00(
							((obj_t) BgL_mez00_88), BgL_insz00_89);
					}
				else
					{	/* SawJvm/code.scm 240 */
						bool_t BgL_test2746z00_6713;

						{	/* SawJvm/code.scm 240 */
							obj_t BgL_arg2035z00_3067;

							{	/* SawJvm/code.scm 240 */
								BgL_rtl_funz00_bglt BgL_arg2037z00_3068;
								obj_t BgL_arg2039z00_3069;

								BgL_arg2037z00_3068 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_funz00);
								BgL_arg2039z00_3069 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_89)))->BgL_argsz00);
								BgL_arg2035z00_3067 =
									BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00
									(BgL_arg2037z00_3068, ((obj_t) BgL_mez00_88),
									BgL_arg2039z00_3069);
							}
							BgL_test2746z00_6713 =
								(BgL_arg2035z00_3067 == CNST_TABLE_REF(((long) 13)));
						}
						if (BgL_test2746z00_6713)
							{	/* SawJvm/code.scm 240 */
								BGL_TAIL return
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_88,
									CNST_TABLE_REF(((long) 14)));
							}
						else
							{	/* SawJvm/code.scm 240 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &gen-expr */
	obj_t BGl_z62genzd2exprzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5372,
		obj_t BgL_mez00_5373, obj_t BgL_insz00_5374)
	{
		{	/* SawJvm/code.scm 236 */
			return
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
				((BgL_jvmz00_bglt) BgL_mez00_5373), BgL_insz00_5374);
		}

	}



/* load-reg */
	obj_t BGl_loadzd2regzd2zzsaw_jvm_codez00(obj_t BgL_mez00_90,
		obj_t BgL_rz00_91)
	{
		{	/* SawJvm/code.scm 243 */
			{	/* SawJvm/code.scm 245 */
				obj_t BgL_arg2040z00_3070;

				{	/* SawJvm/code.scm 245 */
					obj_t BgL_arg2041z00_3071;
					obj_t BgL_arg2042z00_3072;

					{	/* SawJvm/code.scm 245 */
						obj_t BgL_casezd2valuezd2_3073;

						BgL_casezd2valuezd2_3073 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_91))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 245 */
							bool_t BgL_test2747z00_6730;

							{	/* SawJvm/code.scm 245 */
								bool_t BgL__ortest_1214z00_3083;

								BgL__ortest_1214z00_3083 =
									(BgL_casezd2valuezd2_3073 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1214z00_3083)
									{	/* SawJvm/code.scm 245 */
										BgL_test2747z00_6730 = BgL__ortest_1214z00_3083;
									}
								else
									{	/* SawJvm/code.scm 245 */
										bool_t BgL__ortest_1215z00_3084;

										BgL__ortest_1215z00_3084 =
											(BgL_casezd2valuezd2_3073 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1215z00_3084)
											{	/* SawJvm/code.scm 245 */
												BgL_test2747z00_6730 = BgL__ortest_1215z00_3084;
											}
										else
											{	/* SawJvm/code.scm 245 */
												bool_t BgL__ortest_1216z00_3085;

												BgL__ortest_1216z00_3085 =
													(BgL_casezd2valuezd2_3073 ==
													CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1216z00_3085)
													{	/* SawJvm/code.scm 245 */
														BgL_test2747z00_6730 = BgL__ortest_1216z00_3085;
													}
												else
													{	/* SawJvm/code.scm 245 */
														bool_t BgL__ortest_1217z00_3086;

														BgL__ortest_1217z00_3086 =
															(BgL_casezd2valuezd2_3073 ==
															CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1217z00_3086)
															{	/* SawJvm/code.scm 245 */
																BgL_test2747z00_6730 = BgL__ortest_1217z00_3086;
															}
														else
															{	/* SawJvm/code.scm 245 */
																BgL_test2747z00_6730 =
																	(BgL_casezd2valuezd2_3073 ==
																	CNST_TABLE_REF(((long) 22)));
							}}}}}
							if (BgL_test2747z00_6730)
								{	/* SawJvm/code.scm 245 */
									BgL_arg2041z00_3071 = CNST_TABLE_REF(((long) 23));
								}
							else
								{	/* SawJvm/code.scm 245 */
									if ((BgL_casezd2valuezd2_3073 == CNST_TABLE_REF(((long) 11))))
										{	/* SawJvm/code.scm 245 */
											BgL_arg2041z00_3071 = CNST_TABLE_REF(((long) 24));
										}
									else
										{	/* SawJvm/code.scm 245 */
											if (
												(BgL_casezd2valuezd2_3073 ==
													CNST_TABLE_REF(((long) 25))))
												{	/* SawJvm/code.scm 245 */
													BgL_arg2041z00_3071 = CNST_TABLE_REF(((long) 26));
												}
											else
												{	/* SawJvm/code.scm 245 */
													if (
														(BgL_casezd2valuezd2_3073 ==
															CNST_TABLE_REF(((long) 10))))
														{	/* SawJvm/code.scm 245 */
															BgL_arg2041z00_3071 = CNST_TABLE_REF(((long) 27));
														}
													else
														{	/* SawJvm/code.scm 245 */
															BgL_arg2041z00_3071 = CNST_TABLE_REF(((long) 28));
					}}}}}}
					{	/* SawJvm/code.scm 251 */
						obj_t BgL_arg2048z00_3088;

						{
							BgL_lregz00_bglt BgL_auxz00_6759;

							{
								obj_t BgL_auxz00_6760;

								{	/* SawJvm/code.scm 251 */
									BgL_objectz00_bglt BgL_tmpz00_6761;

									BgL_tmpz00_6761 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_91));
									BgL_auxz00_6760 = BGL_OBJECT_WIDENING(BgL_tmpz00_6761);
								}
								BgL_auxz00_6759 = ((BgL_lregz00_bglt) BgL_auxz00_6760);
							}
							BgL_arg2048z00_3088 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6759))->BgL_idz00);
						}
						BgL_arg2042z00_3072 = MAKE_YOUNG_PAIR(BgL_arg2048z00_3088, BNIL);
					}
					BgL_arg2040z00_3070 =
						MAKE_YOUNG_PAIR(BgL_arg2041z00_3071, BgL_arg2042z00_3072);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_90), BgL_arg2040z00_3070);
			}
		}

	}



/* store-reg */
	obj_t BGl_storezd2regzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt BgL_mez00_92,
		obj_t BgL_rz00_93)
	{
		{	/* SawJvm/code.scm 253 */
			{	/* SawJvm/code.scm 255 */
				obj_t BgL_arg2050z00_3089;

				{	/* SawJvm/code.scm 255 */
					obj_t BgL_arg2051z00_3090;
					obj_t BgL_arg2052z00_3091;

					{	/* SawJvm/code.scm 255 */
						obj_t BgL_casezd2valuezd2_3092;

						BgL_casezd2valuezd2_3092 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_rtl_regz00_bglt) COBJECT(
												((BgL_rtl_regz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_93))))->
										BgL_typez00)))->BgL_namez00);
						{	/* SawJvm/code.scm 255 */
							bool_t BgL_test2755z00_6775;

							{	/* SawJvm/code.scm 255 */
								bool_t BgL__ortest_1218z00_3102;

								BgL__ortest_1218z00_3102 =
									(BgL_casezd2valuezd2_3092 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1218z00_3102)
									{	/* SawJvm/code.scm 255 */
										BgL_test2755z00_6775 = BgL__ortest_1218z00_3102;
									}
								else
									{	/* SawJvm/code.scm 255 */
										bool_t BgL__ortest_1219z00_3103;

										BgL__ortest_1219z00_3103 =
											(BgL_casezd2valuezd2_3092 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1219z00_3103)
											{	/* SawJvm/code.scm 255 */
												BgL_test2755z00_6775 = BgL__ortest_1219z00_3103;
											}
										else
											{	/* SawJvm/code.scm 255 */
												bool_t BgL__ortest_1220z00_3104;

												BgL__ortest_1220z00_3104 =
													(BgL_casezd2valuezd2_3092 ==
													CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1220z00_3104)
													{	/* SawJvm/code.scm 255 */
														BgL_test2755z00_6775 = BgL__ortest_1220z00_3104;
													}
												else
													{	/* SawJvm/code.scm 255 */
														bool_t BgL__ortest_1221z00_3105;

														BgL__ortest_1221z00_3105 =
															(BgL_casezd2valuezd2_3092 ==
															CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1221z00_3105)
															{	/* SawJvm/code.scm 255 */
																BgL_test2755z00_6775 = BgL__ortest_1221z00_3105;
															}
														else
															{	/* SawJvm/code.scm 255 */
																BgL_test2755z00_6775 =
																	(BgL_casezd2valuezd2_3092 ==
																	CNST_TABLE_REF(((long) 22)));
							}}}}}
							if (BgL_test2755z00_6775)
								{	/* SawJvm/code.scm 255 */
									BgL_arg2051z00_3090 = CNST_TABLE_REF(((long) 29));
								}
							else
								{	/* SawJvm/code.scm 255 */
									if ((BgL_casezd2valuezd2_3092 == CNST_TABLE_REF(((long) 11))))
										{	/* SawJvm/code.scm 255 */
											BgL_arg2051z00_3090 = CNST_TABLE_REF(((long) 30));
										}
									else
										{	/* SawJvm/code.scm 255 */
											if (
												(BgL_casezd2valuezd2_3092 ==
													CNST_TABLE_REF(((long) 25))))
												{	/* SawJvm/code.scm 255 */
													BgL_arg2051z00_3090 = CNST_TABLE_REF(((long) 31));
												}
											else
												{	/* SawJvm/code.scm 255 */
													if (
														(BgL_casezd2valuezd2_3092 ==
															CNST_TABLE_REF(((long) 10))))
														{	/* SawJvm/code.scm 255 */
															BgL_arg2051z00_3090 = CNST_TABLE_REF(((long) 32));
														}
													else
														{	/* SawJvm/code.scm 255 */
															BgL_arg2051z00_3090 = CNST_TABLE_REF(((long) 33));
					}}}}}}
					{	/* SawJvm/code.scm 261 */
						obj_t BgL_arg2058z00_3107;

						{
							BgL_lregz00_bglt BgL_auxz00_6804;

							{
								obj_t BgL_auxz00_6805;

								{	/* SawJvm/code.scm 261 */
									BgL_objectz00_bglt BgL_tmpz00_6806;

									BgL_tmpz00_6806 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_93));
									BgL_auxz00_6805 = BGL_OBJECT_WIDENING(BgL_tmpz00_6806);
								}
								BgL_auxz00_6804 = ((BgL_lregz00_bglt) BgL_auxz00_6805);
							}
							BgL_arg2058z00_3107 =
								(((BgL_lregz00_bglt) COBJECT(BgL_auxz00_6804))->BgL_idz00);
						}
						BgL_arg2052z00_3091 = MAKE_YOUNG_PAIR(BgL_arg2058z00_3107, BNIL);
					}
					BgL_arg2050z00_3089 =
						MAKE_YOUNG_PAIR(BgL_arg2051z00_3090, BgL_arg2052z00_3091);
				}
				BGL_TAIL return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_92, BgL_arg2050z00_3089);
			}
		}

	}



/* out-line */
	obj_t BGl_outzd2linezd2zzsaw_jvm_codez00(obj_t BgL_mez00_94,
		BgL_rtl_funz00_bglt BgL_funz00_95)
	{
		{	/* SawJvm/code.scm 267 */
			{	/* SawJvm/code.scm 268 */
				obj_t BgL_locz00_3108;

				BgL_locz00_3108 =
					(((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_95))->BgL_locz00);
				{	/* SawJvm/code.scm 269 */
					bool_t BgL_test2763z00_6816;

					if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
						{	/* SawJvm/code.scm 269 */
							if (STRUCTP(BgL_locz00_3108))
								{	/* SawJvm/code.scm 269 */
									BgL_test2763z00_6816 =
										(STRUCT_KEY(BgL_locz00_3108) ==
										CNST_TABLE_REF(((long) 34)));
								}
							else
								{	/* SawJvm/code.scm 269 */
									BgL_test2763z00_6816 = ((bool_t) 0);
								}
						}
					else
						{	/* SawJvm/code.scm 269 */
							BgL_test2763z00_6816 = ((bool_t) 0);
						}
					if (BgL_test2763z00_6816)
						{	/* SawJvm/code.scm 270 */
							obj_t BgL_nz00_3110;

							BgL_nz00_3110 = STRUCT_REF(BgL_locz00_3108, (int) (((long) 2)));
							{	/* SawJvm/code.scm 270 */
								long BgL_pz00_3111;

								BgL_pz00_3111 =
									(
									(long) CINT(STRUCT_REF(BgL_locz00_3108,
											(int) (((long) 1)))) + ((long) 1));
								{	/* SawJvm/code.scm 271 */
									obj_t BgL_lastz00_3112;

									if (CBOOL(BGl_za2jvmzd2charzd2infoza2z00zzjas_asz00))
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3112 = BINT(BgL_pz00_3111);
										}
									else
										{	/* SawJvm/code.scm 272 */
											BgL_lastz00_3112 = BgL_nz00_3110;
										}
									{	/* SawJvm/code.scm 272 */

										if (
											((long) CINT(BgL_lastz00_3112) ==
												(long) CINT(BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00)))
											{	/* SawJvm/code.scm 275 */
												return BFALSE;
											}
										else
											{	/* SawJvm/code.scm 275 */
												BGl_za2lastzd2lineza2zd2zzsaw_jvm_codez00 =
													BgL_lastz00_3112;
												{	/* SawJvm/code.scm 277 */
													obj_t BgL_arg2061z00_3114;

													{	/* SawJvm/code.scm 277 */
														obj_t BgL_arg2062z00_3115;

														{	/* SawJvm/code.scm 277 */
															obj_t BgL_arg2063z00_3116;

															BgL_arg2063z00_3116 =
																MAKE_YOUNG_PAIR(BINT(BgL_pz00_3111), BNIL);
															BgL_arg2062z00_3115 =
																MAKE_YOUNG_PAIR(BgL_nz00_3110,
																BgL_arg2063z00_3116);
														}
														BgL_arg2061z00_3114 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
															BgL_arg2062z00_3115);
													}
													return
														BGl_codez12z12zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_94),
														BgL_arg2061z00_3114);
												}
											}
									}
								}
							}
						}
					else
						{	/* SawJvm/code.scm 269 */
							return BFALSE;
						}
				}
			}
		}

	}



/* intify */
	obj_t BGl_intifyz00zzsaw_jvm_codez00(obj_t BgL_xz00_124)
	{
		{	/* SawJvm/code.scm 400 */
			if (INTEGERP(BgL_xz00_124))
				{	/* SawJvm/code.scm 402 */
					return BgL_xz00_124;
				}
			else
				{	/* SawJvm/code.scm 402 */
					if (BGL_UINT32P(BgL_xz00_124))
						{	/* SawJvm/code.scm 403 */
							uint32_t BgL_xz00_4754;

							BgL_xz00_4754 = BGL_BUINT32_TO_UINT32(BgL_xz00_124);
							return BINT((long) (BgL_xz00_4754));
						}
					else
						{	/* SawJvm/code.scm 403 */
							if (BGL_INT32P(BgL_xz00_124))
								{	/* SawJvm/code.scm 404 */
									int32_t BgL_xz00_4755;

									BgL_xz00_4755 = BGL_BINT32_TO_INT32(BgL_xz00_124);
									{	/* SawJvm/code.scm 404 */
										long BgL_arg1461z00_4756;

										BgL_arg1461z00_4756 = (long) (BgL_xz00_4755);
										return BINT((long) (BgL_arg1461z00_4756));
								}}
							else
								{	/* SawJvm/code.scm 404 */
									return BgL_xz00_124;
								}
						}
				}
		}

	}



/* flat */
	obj_t BGl_flatz00zzsaw_jvm_codez00(obj_t BgL_alz00_127, obj_t BgL_ldefz00_128)
	{
		{	/* SawJvm/code.scm 438 */
			{
				obj_t BgL_alz00_3123;
				obj_t BgL_iz00_3124;
				obj_t BgL_rz00_3125;

				{	/* SawJvm/code.scm 445 */
					obj_t BgL_arg2069z00_3122;

					{	/* SawJvm/code.scm 445 */
						obj_t BgL_pairz00_4781;

						BgL_pairz00_4781 = CAR(((obj_t) BgL_alz00_127));
						BgL_arg2069z00_3122 = CAR(BgL_pairz00_4781);
					}
					BgL_alz00_3123 = BgL_alz00_127;
					BgL_iz00_3124 = BgL_arg2069z00_3122;
					BgL_rz00_3125 = BNIL;
				BgL_zc3z04anonymousza32070ze3z87_3126:
					if (NULLP(BgL_alz00_3123))
						{	/* SawJvm/code.scm 441 */
							return bgl_reverse_bang(BgL_rz00_3125);
						}
					else
						{	/* SawJvm/code.scm 442 */
							bool_t BgL_test2772z00_6863;

							{	/* SawJvm/code.scm 442 */
								long BgL_tmpz00_6864;

								{	/* SawJvm/code.scm 442 */
									obj_t BgL_pairz00_4761;

									BgL_pairz00_4761 = CAR(((obj_t) BgL_alz00_3123));
									BgL_tmpz00_6864 = (long) CINT(CAR(BgL_pairz00_4761));
								}
								BgL_test2772z00_6863 =
									((long) CINT(BgL_iz00_3124) == BgL_tmpz00_6864);
							}
							if (BgL_test2772z00_6863)
								{	/* SawJvm/code.scm 442 */
									obj_t BgL_arg2074z00_3130;
									long BgL_arg2077z00_3131;
									obj_t BgL_arg2078z00_3132;

									BgL_arg2074z00_3130 = CDR(((obj_t) BgL_alz00_3123));
									BgL_arg2077z00_3131 =
										((long) CINT(BgL_iz00_3124) + ((long) 1));
									{	/* SawJvm/code.scm 442 */
										obj_t BgL_arg2079z00_3133;

										{	/* SawJvm/code.scm 442 */
											obj_t BgL_pairz00_4769;

											BgL_pairz00_4769 = CAR(((obj_t) BgL_alz00_3123));
											BgL_arg2079z00_3133 = CDR(BgL_pairz00_4769);
										}
										BgL_arg2078z00_3132 =
											MAKE_YOUNG_PAIR(BgL_arg2079z00_3133, BgL_rz00_3125);
									}
									{
										obj_t BgL_rz00_6882;
										obj_t BgL_iz00_6880;
										obj_t BgL_alz00_6879;

										BgL_alz00_6879 = BgL_arg2074z00_3130;
										BgL_iz00_6880 = BINT(BgL_arg2077z00_3131);
										BgL_rz00_6882 = BgL_arg2078z00_3132;
										BgL_rz00_3125 = BgL_rz00_6882;
										BgL_iz00_3124 = BgL_iz00_6880;
										BgL_alz00_3123 = BgL_alz00_6879;
										goto BgL_zc3z04anonymousza32070ze3z87_3126;
									}
								}
							else
								{	/* SawJvm/code.scm 443 */
									bool_t BgL_test2773z00_6883;

									{	/* SawJvm/code.scm 443 */
										long BgL_tmpz00_6884;

										{	/* SawJvm/code.scm 443 */
											obj_t BgL_pairz00_4773;

											BgL_pairz00_4773 = CAR(((obj_t) BgL_alz00_3123));
											BgL_tmpz00_6884 = (long) CINT(CAR(BgL_pairz00_4773));
										}
										BgL_test2773z00_6883 =
											((long) CINT(BgL_iz00_3124) > BgL_tmpz00_6884);
									}
									if (BgL_test2773z00_6883)
										{	/* SawJvm/code.scm 443 */
											obj_t BgL_arg2082z00_3136;

											BgL_arg2082z00_3136 = CDR(((obj_t) BgL_alz00_3123));
											{
												obj_t BgL_alz00_6893;

												BgL_alz00_6893 = BgL_arg2082z00_3136;
												BgL_alz00_3123 = BgL_alz00_6893;
												goto BgL_zc3z04anonymousza32070ze3z87_3126;
											}
										}
									else
										{	/* SawJvm/code.scm 444 */
											long BgL_arg2083z00_3137;
											obj_t BgL_arg2084z00_3138;

											BgL_arg2083z00_3137 =
												((long) CINT(BgL_iz00_3124) + ((long) 1));
											BgL_arg2084z00_3138 =
												MAKE_YOUNG_PAIR(BgL_ldefz00_128, BgL_rz00_3125);
											{
												obj_t BgL_rz00_6899;
												obj_t BgL_iz00_6897;

												BgL_iz00_6897 = BINT(BgL_arg2083z00_3137);
												BgL_rz00_6899 = BgL_arg2084z00_3138;
												BgL_rz00_3125 = BgL_rz00_6899;
												BgL_iz00_3124 = BgL_iz00_6897;
												goto BgL_zc3z04anonymousza32070ze3z87_3126;
											}
										}
								}
						}
				}
			}
		}

	}



/* gen-funcall */
	obj_t BGl_genzd2funcallzd2zzsaw_jvm_codez00(obj_t BgL_mez00_139,
		obj_t BgL_argsz00_140)
	{
		{	/* SawJvm/code.scm 482 */
			{	/* SawJvm/code.scm 483 */
				long BgL_nz00_3142;

				BgL_nz00_3142 = (bgl_list_length(BgL_argsz00_140) - ((long) 1));
				{

					switch (BgL_nz00_3142)
						{
						case ((long) 0):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 39)));
							break;
						case ((long) 1):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 40)));
							break;
						case ((long) 2):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 41)));
							break;
						case ((long) 3):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 42)));
							break;
						case ((long) 4):

							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 43)));
							break;
						default:
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 36)));
							{	/* SawJvm/code.scm 492 */
								obj_t BgL_g1741z00_3145;

								BgL_g1741z00_3145 = CDR(((obj_t) BgL_argsz00_140));
								{
									obj_t BgL_l1739z00_3147;

									BgL_l1739z00_3147 = BgL_g1741z00_3145;
								BgL_zc3z04anonymousza32087ze3z87_3148:
									if (PAIRP(BgL_l1739z00_3147))
										{	/* SawJvm/code.scm 492 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_139),
												CNST_TABLE_REF(((long) 37)));
											{
												obj_t BgL_l1739z00_6927;

												BgL_l1739z00_6927 = CDR(BgL_l1739z00_3147);
												BgL_l1739z00_3147 = BgL_l1739z00_6927;
												goto BgL_zc3z04anonymousza32087ze3z87_3148;
											}
										}
									else
										{	/* SawJvm/code.scm 492 */
											((bool_t) 1);
										}
								}
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_139), CNST_TABLE_REF(((long) 38)));
		}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			{	/* SawJvm/code.scm 27 */
				obj_t BgL_arg2097z00_3158;
				obj_t BgL_arg2098z00_3159;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1746z00_3187;

					BgL_v1746z00_3187 = create_vector(((long) 1));
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2109z00_3188;

						BgL_arg2109z00_3188 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									44)), BGl_proc2506z00zzsaw_jvm_codez00,
							BGl_proc2505z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1746z00_3187, ((long) 0), BgL_arg2109z00_3188);
					}
					BgL_arg2097z00_3158 = BgL_v1746z00_3187;
				}
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_v1747z00_3198;

					BgL_v1747z00_3198 = create_vector(((long) 0));
					BgL_arg2098z00_3159 = BgL_v1747z00_3198;
				}
				BGl_lregz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 47)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 43957), BGl_proc2510z00zzsaw_jvm_codez00,
					BGl_proc2509z00zzsaw_jvm_codez00, BFALSE,
					BGl_proc2508z00zzsaw_jvm_codez00, BGl_proc2507z00zzsaw_jvm_codez00,
					BgL_arg2097z00_3158, BgL_arg2098z00_3159);
			}
			{	/* SawJvm/code.scm 28 */
				obj_t BgL_arg2118z00_3207;
				obj_t BgL_arg2119z00_3208;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1748z00_3235;

					BgL_v1748z00_3235 = create_vector(((long) 2));
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2131z00_3236;

						BgL_arg2131z00_3236 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									48)), BGl_proc2512z00zzsaw_jvm_codez00,
							BGl_proc2511z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1748z00_3235, ((long) 0), BgL_arg2131z00_3236);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2136z00_3246;

						BgL_arg2136z00_3246 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc2514z00zzsaw_jvm_codez00,
							BGl_proc2513z00zzsaw_jvm_codez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 45)));
						VECTOR_SET(BgL_v1748z00_3235, ((long) 1), BgL_arg2136z00_3246);
					}
					BgL_arg2118z00_3207 = BgL_v1748z00_3235;
				}
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_v1749z00_3256;

					BgL_v1749z00_3256 = create_vector(((long) 0));
					BgL_arg2119z00_3208 = BgL_v1749z00_3256;
				}
				return (BGl_liveblockz00zzsaw_jvm_codez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
						CNST_TABLE_REF(((long) 47)), BGl_blockz00zzsaw_defsz00,
						((long) 41336), BGl_proc2518z00zzsaw_jvm_codez00,
						BGl_proc2517z00zzsaw_jvm_codez00, BFALSE,
						BGl_proc2516z00zzsaw_jvm_codez00, BGl_proc2515z00zzsaw_jvm_codez00,
						BgL_arg2118z00_3207, BgL_arg2119z00_3208), BUNSPEC);
		}}

	}



/* &lambda2126 */
	BgL_blockz00_bglt BGl_z62lambda2126z62zzsaw_jvm_codez00(obj_t BgL_envz00_5389,
		obj_t BgL_o1182z00_5390)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				long BgL_arg2127z00_5654;

				{	/* SawJvm/code.scm 28 */
					obj_t BgL_arg2128z00_5655;

					{	/* SawJvm/code.scm 28 */
						obj_t BgL_arg2130z00_5656;

						{	/* SawJvm/code.scm 28 */
							long BgL_arg1828z00_5657;

							{	/* SawJvm/code.scm 28 */
								long BgL_arg1829z00_5658;

								BgL_arg1829z00_5658 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1182z00_5390)));
								BgL_arg1828z00_5657 = (BgL_arg1829z00_5658 - OBJECT_TYPE);
							}
							BgL_arg2130z00_5656 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5657);
						}
						BgL_arg2128z00_5655 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2130z00_5656);
					}
					{	/* SawJvm/code.scm 28 */
						obj_t BgL_tmpz00_6961;

						BgL_tmpz00_6961 = ((obj_t) BgL_arg2128z00_5655);
						BgL_arg2127z00_5654 = BGL_CLASS_NUM(BgL_tmpz00_6961);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1182z00_5390)), BgL_arg2127z00_5654);
			}
			{	/* SawJvm/code.scm 28 */
				BgL_objectz00_bglt BgL_tmpz00_6967;

				BgL_tmpz00_6967 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_5390));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6967, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_5390));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1182z00_5390));
		}

	}



/* &<@anonymous:2125> */
	obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5391, obj_t BgL_new1181z00_5392)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_blockz00_bglt BgL_auxz00_6975;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1181z00_5392))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_5392))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_5392))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1181z00_5392))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_liveblockz00_bglt BgL_auxz00_6989;

					{
						obj_t BgL_auxz00_6990;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_6991;

							BgL_tmpz00_6991 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_5392));
							BgL_auxz00_6990 = BGL_OBJECT_WIDENING(BgL_tmpz00_6991);
						}
						BgL_auxz00_6989 = ((BgL_liveblockz00_bglt) BgL_auxz00_6990);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6989))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_liveblockz00_bglt BgL_auxz00_6997;

					{
						obj_t BgL_auxz00_6998;

						{	/* SawJvm/code.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_6999;

							BgL_tmpz00_6999 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1181z00_5392));
							BgL_auxz00_6998 = BGL_OBJECT_WIDENING(BgL_tmpz00_6999);
						}
						BgL_auxz00_6997 = ((BgL_liveblockz00_bglt) BgL_auxz00_6998);
					}
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_6997))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6975 = ((BgL_blockz00_bglt) BgL_new1181z00_5392);
				return ((obj_t) BgL_auxz00_6975);
			}
		}

	}



/* &lambda2123 */
	BgL_blockz00_bglt BGl_z62lambda2123z62zzsaw_jvm_codez00(obj_t BgL_envz00_5393,
		obj_t BgL_o1178z00_5394)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				BgL_liveblockz00_bglt BgL_wide1180z00_5661;

				BgL_wide1180z00_5661 =
					((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_liveblockz00_bgl))));
				{	/* SawJvm/code.scm 28 */
					obj_t BgL_auxz00_7012;
					BgL_objectz00_bglt BgL_tmpz00_7008;

					BgL_auxz00_7012 = ((obj_t) BgL_wide1180z00_5661);
					BgL_tmpz00_7008 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_5394)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7008, BgL_auxz00_7012);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_5394)));
				{	/* SawJvm/code.scm 28 */
					long BgL_arg2124z00_5662;

					BgL_arg2124z00_5662 =
						BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1178z00_5394))), BgL_arg2124z00_5662);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1178z00_5394)));
			}
		}

	}



/* &lambda2120 */
	BgL_blockz00_bglt BGl_z62lambda2120z62zzsaw_jvm_codez00(obj_t BgL_envz00_5395,
		obj_t BgL_label1172z00_5396, obj_t BgL_preds1173z00_5397,
		obj_t BgL_succs1174z00_5398, obj_t BgL_first1175z00_5399,
		obj_t BgL_in1176z00_5400, obj_t BgL_out1177z00_5401)
	{
		{	/* SawJvm/code.scm 28 */
			{	/* SawJvm/code.scm 28 */
				int BgL_label1172z00_5663;

				BgL_label1172z00_5663 = CINT(BgL_label1172z00_5396);
				{	/* SawJvm/code.scm 28 */
					BgL_blockz00_bglt BgL_new1254z00_5667;

					{	/* SawJvm/code.scm 28 */
						BgL_blockz00_bglt BgL_tmp1252z00_5668;
						BgL_liveblockz00_bglt BgL_wide1253z00_5669;

						{
							BgL_blockz00_bglt BgL_auxz00_7027;

							{	/* SawJvm/code.scm 28 */
								BgL_blockz00_bglt BgL_new1251z00_5670;

								BgL_new1251z00_5670 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawJvm/code.scm 28 */
									long BgL_arg2122z00_5671;

									BgL_arg2122z00_5671 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1251z00_5670),
										BgL_arg2122z00_5671);
								}
								{	/* SawJvm/code.scm 28 */
									BgL_objectz00_bglt BgL_tmpz00_7032;

									BgL_tmpz00_7032 = ((BgL_objectz00_bglt) BgL_new1251z00_5670);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7032, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1251z00_5670);
								BgL_auxz00_7027 = BgL_new1251z00_5670;
							}
							BgL_tmp1252z00_5668 = ((BgL_blockz00_bglt) BgL_auxz00_7027);
						}
						BgL_wide1253z00_5669 =
							((BgL_liveblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_liveblockz00_bgl))));
						{	/* SawJvm/code.scm 28 */
							obj_t BgL_auxz00_7040;
							BgL_objectz00_bglt BgL_tmpz00_7038;

							BgL_auxz00_7040 = ((obj_t) BgL_wide1253z00_5669);
							BgL_tmpz00_7038 = ((BgL_objectz00_bglt) BgL_tmp1252z00_5668);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7038, BgL_auxz00_7040);
						}
						((BgL_objectz00_bglt) BgL_tmp1252z00_5668);
						{	/* SawJvm/code.scm 28 */
							long BgL_arg2121z00_5672;

							BgL_arg2121z00_5672 =
								BGL_CLASS_NUM(BGl_liveblockz00zzsaw_jvm_codez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1252z00_5668),
								BgL_arg2121z00_5672);
						}
						BgL_new1254z00_5667 = ((BgL_blockz00_bglt) BgL_tmp1252z00_5668);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1254z00_5667)))->BgL_labelz00) =
						((int) BgL_label1172z00_5663), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1254z00_5667)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1173z00_5397)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1254z00_5667)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1174z00_5398)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1254z00_5667)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1175z00_5399)), BUNSPEC);
					{
						BgL_liveblockz00_bglt BgL_auxz00_7059;

						{
							obj_t BgL_auxz00_7060;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7061;

								BgL_tmpz00_7061 = ((BgL_objectz00_bglt) BgL_new1254z00_5667);
								BgL_auxz00_7060 = BGL_OBJECT_WIDENING(BgL_tmpz00_7061);
							}
							BgL_auxz00_7059 = ((BgL_liveblockz00_bglt) BgL_auxz00_7060);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7059))->BgL_inz00) =
							((obj_t) BgL_in1176z00_5400), BUNSPEC);
					}
					{
						BgL_liveblockz00_bglt BgL_auxz00_7066;

						{
							obj_t BgL_auxz00_7067;

							{	/* SawJvm/code.scm 28 */
								BgL_objectz00_bglt BgL_tmpz00_7068;

								BgL_tmpz00_7068 = ((BgL_objectz00_bglt) BgL_new1254z00_5667);
								BgL_auxz00_7067 = BGL_OBJECT_WIDENING(BgL_tmpz00_7068);
							}
							BgL_auxz00_7066 = ((BgL_liveblockz00_bglt) BgL_auxz00_7067);
						}
						((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7066))->BgL_outz00) =
							((obj_t) BgL_out1177z00_5401), BUNSPEC);
					}
					return BgL_new1254z00_5667;
				}
			}
		}

	}



/* &lambda2140 */
	obj_t BGl_z62lambda2140z62zzsaw_jvm_codez00(obj_t BgL_envz00_5402,
		obj_t BgL_oz00_5403, obj_t BgL_vz00_5404)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7073;

				{
					obj_t BgL_auxz00_7074;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7075;

						BgL_tmpz00_7075 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5403));
						BgL_auxz00_7074 = BGL_OBJECT_WIDENING(BgL_tmpz00_7075);
					}
					BgL_auxz00_7073 = ((BgL_liveblockz00_bglt) BgL_auxz00_7074);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7073))->BgL_outz00) =
					((obj_t) BgL_vz00_5404), BUNSPEC);
			}
		}

	}



/* &lambda2139 */
	obj_t BGl_z62lambda2139z62zzsaw_jvm_codez00(obj_t BgL_envz00_5405,
		obj_t BgL_oz00_5406)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7081;

				{
					obj_t BgL_auxz00_7082;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7083;

						BgL_tmpz00_7083 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5406));
						BgL_auxz00_7082 = BGL_OBJECT_WIDENING(BgL_tmpz00_7083);
					}
					BgL_auxz00_7081 = ((BgL_liveblockz00_bglt) BgL_auxz00_7082);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7081))->BgL_outz00);
			}
		}

	}



/* &lambda2135 */
	obj_t BGl_z62lambda2135z62zzsaw_jvm_codez00(obj_t BgL_envz00_5407,
		obj_t BgL_oz00_5408, obj_t BgL_vz00_5409)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7089;

				{
					obj_t BgL_auxz00_7090;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7091;

						BgL_tmpz00_7091 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5408));
						BgL_auxz00_7090 = BGL_OBJECT_WIDENING(BgL_tmpz00_7091);
					}
					BgL_auxz00_7089 = ((BgL_liveblockz00_bglt) BgL_auxz00_7090);
				}
				return
					((((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7089))->BgL_inz00) =
					((obj_t) BgL_vz00_5409), BUNSPEC);
			}
		}

	}



/* &lambda2134 */
	obj_t BGl_z62lambda2134z62zzsaw_jvm_codez00(obj_t BgL_envz00_5410,
		obj_t BgL_oz00_5411)
	{
		{	/* SawJvm/code.scm 28 */
			{
				BgL_liveblockz00_bglt BgL_auxz00_7097;

				{
					obj_t BgL_auxz00_7098;

					{	/* SawJvm/code.scm 28 */
						BgL_objectz00_bglt BgL_tmpz00_7099;

						BgL_tmpz00_7099 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5411));
						BgL_auxz00_7098 = BGL_OBJECT_WIDENING(BgL_tmpz00_7099);
					}
					BgL_auxz00_7097 = ((BgL_liveblockz00_bglt) BgL_auxz00_7098);
				}
				return (((BgL_liveblockz00_bglt) COBJECT(BgL_auxz00_7097))->BgL_inz00);
			}
		}

	}



/* &lambda2105 */
	BgL_rtl_regz00_bglt BGl_z62lambda2105z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5412, obj_t BgL_o1170z00_5413)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				long BgL_arg2106z00_5678;

				{	/* SawJvm/code.scm 27 */
					obj_t BgL_arg2107z00_5679;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_arg2108z00_5680;

						{	/* SawJvm/code.scm 27 */
							long BgL_arg1828z00_5681;

							{	/* SawJvm/code.scm 27 */
								long BgL_arg1829z00_5682;

								BgL_arg1829z00_5682 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1170z00_5413)));
								BgL_arg1828z00_5681 = (BgL_arg1829z00_5682 - OBJECT_TYPE);
							}
							BgL_arg2108z00_5680 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5681);
						}
						BgL_arg2107z00_5679 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2108z00_5680);
					}
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_tmpz00_7111;

						BgL_tmpz00_7111 = ((obj_t) BgL_arg2107z00_5679);
						BgL_arg2106z00_5678 = BGL_CLASS_NUM(BgL_tmpz00_7111);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1170z00_5413)), BgL_arg2106z00_5678);
			}
			{	/* SawJvm/code.scm 27 */
				BgL_objectz00_bglt BgL_tmpz00_7117;

				BgL_tmpz00_7117 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1170z00_5413));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7117, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1170z00_5413));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1170z00_5413));
		}

	}



/* &<@anonymous:2104> */
	obj_t BGl_z62zc3z04anonymousza32104ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5414, obj_t BgL_new1169z00_5415)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_7125;

				{
					BgL_typez00_bglt BgL_auxz00_7126;

					{	/* SawJvm/code.scm 27 */
						obj_t BgL_classz00_5684;

						BgL_classz00_5684 = BGl_typez00zztype_typez00;
						{	/* SawJvm/code.scm 27 */
							obj_t BgL__ortest_1113z00_5685;

							BgL__ortest_1113z00_5685 = BGL_CLASS_NIL(BgL_classz00_5684);
							if (CBOOL(BgL__ortest_1113z00_5685))
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7126 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_5685);
								}
							else
								{	/* SawJvm/code.scm 27 */
									BgL_auxz00_7126 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5684));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1169z00_5415))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7126), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1169z00_5415))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1169z00_5415))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1169z00_5415))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1169z00_5415))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1169z00_5415))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7151;

					{
						obj_t BgL_auxz00_7152;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7153;

							BgL_tmpz00_7153 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1169z00_5415));
							BgL_auxz00_7152 = BGL_OBJECT_WIDENING(BgL_tmpz00_7153);
						}
						BgL_auxz00_7151 = ((BgL_lregz00_bglt) BgL_auxz00_7152);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7151))->BgL_idz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7125 = ((BgL_rtl_regz00_bglt) BgL_new1169z00_5415);
				return ((obj_t) BgL_auxz00_7125);
			}
		}

	}



/* &lambda2102 */
	BgL_rtl_regz00_bglt BGl_z62lambda2102z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5416, obj_t BgL_o1166z00_5417)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_lregz00_bglt BgL_wide1168z00_5687;

				BgL_wide1168z00_5687 =
					((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_lregz00_bgl))));
				{	/* SawJvm/code.scm 27 */
					obj_t BgL_auxz00_7166;
					BgL_objectz00_bglt BgL_tmpz00_7162;

					BgL_auxz00_7166 = ((obj_t) BgL_wide1168z00_5687);
					BgL_tmpz00_7162 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1166z00_5417)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7162, BgL_auxz00_7166);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1166z00_5417)));
				{	/* SawJvm/code.scm 27 */
					long BgL_arg2103z00_5688;

					BgL_arg2103z00_5688 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1166z00_5417))),
						BgL_arg2103z00_5688);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1166z00_5417)));
			}
		}

	}



/* &lambda2099 */
	BgL_rtl_regz00_bglt BGl_z62lambda2099z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5418, obj_t BgL_type1159z00_5419, obj_t BgL_var1160z00_5420,
		obj_t BgL_onexprzf31161zf3_5421, obj_t BgL_name1162z00_5422,
		obj_t BgL_key1163z00_5423, obj_t BgL_hardware1164z00_5424,
		obj_t BgL_id1165z00_5425)
	{
		{	/* SawJvm/code.scm 27 */
			{	/* SawJvm/code.scm 27 */
				BgL_rtl_regz00_bglt BgL_new1249z00_5690;

				{	/* SawJvm/code.scm 27 */
					BgL_rtl_regz00_bglt BgL_tmp1247z00_5691;
					BgL_lregz00_bglt BgL_wide1248z00_5692;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_7180;

						{	/* SawJvm/code.scm 27 */
							BgL_rtl_regz00_bglt BgL_new1246z00_5693;

							BgL_new1246z00_5693 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawJvm/code.scm 27 */
								long BgL_arg2101z00_5694;

								BgL_arg2101z00_5694 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1246z00_5693),
									BgL_arg2101z00_5694);
							}
							{	/* SawJvm/code.scm 27 */
								BgL_objectz00_bglt BgL_tmpz00_7185;

								BgL_tmpz00_7185 = ((BgL_objectz00_bglt) BgL_new1246z00_5693);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7185, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1246z00_5693);
							BgL_auxz00_7180 = BgL_new1246z00_5693;
						}
						BgL_tmp1247z00_5691 = ((BgL_rtl_regz00_bglt) BgL_auxz00_7180);
					}
					BgL_wide1248z00_5692 =
						((BgL_lregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_lregz00_bgl))));
					{	/* SawJvm/code.scm 27 */
						obj_t BgL_auxz00_7193;
						BgL_objectz00_bglt BgL_tmpz00_7191;

						BgL_auxz00_7193 = ((obj_t) BgL_wide1248z00_5692);
						BgL_tmpz00_7191 = ((BgL_objectz00_bglt) BgL_tmp1247z00_5691);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7191, BgL_auxz00_7193);
					}
					((BgL_objectz00_bglt) BgL_tmp1247z00_5691);
					{	/* SawJvm/code.scm 27 */
						long BgL_arg2100z00_5695;

						BgL_arg2100z00_5695 = BGL_CLASS_NUM(BGl_lregz00zzsaw_jvm_codez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1247z00_5691), BgL_arg2100z00_5695);
					}
					BgL_new1249z00_5690 = ((BgL_rtl_regz00_bglt) BgL_tmp1247z00_5691);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1249z00_5690)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1159z00_5419)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1249z00_5690)))->BgL_varz00) =
					((obj_t) BgL_var1160z00_5420), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1249z00_5690)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31161zf3_5421), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1249z00_5690)))->BgL_namez00) =
					((obj_t) BgL_name1162z00_5422), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1249z00_5690)))->BgL_keyz00) =
					((obj_t) BgL_key1163z00_5423), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1249z00_5690)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1164z00_5424), BUNSPEC);
				{
					BgL_lregz00_bglt BgL_auxz00_7214;

					{
						obj_t BgL_auxz00_7215;

						{	/* SawJvm/code.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_7216;

							BgL_tmpz00_7216 = ((BgL_objectz00_bglt) BgL_new1249z00_5690);
							BgL_auxz00_7215 = BGL_OBJECT_WIDENING(BgL_tmpz00_7216);
						}
						BgL_auxz00_7214 = ((BgL_lregz00_bglt) BgL_auxz00_7215);
					}
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7214))->BgL_idz00) =
						((obj_t) BgL_id1165z00_5425), BUNSPEC);
				}
				return BgL_new1249z00_5690;
			}
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzsaw_jvm_codez00(obj_t BgL_envz00_5426,
		obj_t BgL_oz00_5427, obj_t BgL_vz00_5428)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7221;

				{
					obj_t BgL_auxz00_7222;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7223;

						BgL_tmpz00_7223 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5427));
						BgL_auxz00_7222 = BGL_OBJECT_WIDENING(BgL_tmpz00_7223);
					}
					BgL_auxz00_7221 = ((BgL_lregz00_bglt) BgL_auxz00_7222);
				}
				return
					((((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7221))->BgL_idz00) =
					((obj_t) BgL_vz00_5428), BUNSPEC);
			}
		}

	}



/* &lambda2112 */
	obj_t BGl_z62lambda2112z62zzsaw_jvm_codez00(obj_t BgL_envz00_5429,
		obj_t BgL_oz00_5430)
	{
		{	/* SawJvm/code.scm 27 */
			{
				BgL_lregz00_bglt BgL_auxz00_7229;

				{
					obj_t BgL_auxz00_7230;

					{	/* SawJvm/code.scm 27 */
						BgL_objectz00_bglt BgL_tmpz00_7231;

						BgL_tmpz00_7231 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_5430));
						BgL_auxz00_7230 = BGL_OBJECT_WIDENING(BgL_tmpz00_7231);
					}
					BgL_auxz00_7229 = ((BgL_lregz00_bglt) BgL_auxz00_7230);
				}
				return (((BgL_lregz00_bglt) COBJECT(BgL_auxz00_7229))->BgL_idz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2519z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2520z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_proc2521z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2522z00zzsaw_jvm_codez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_proc2523z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2524z00zzsaw_jvm_codez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_proc2525z00zzsaw_jvm_codez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string2526z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1824 */
	obj_t BGl_z62genzd2argszd2genzd2predica1824zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5435, obj_t BgL_funz00_5436, obj_t BgL_mez00_5437,
		obj_t BgL_argsz00_5438, obj_t BgL_onzf3zf3_5439, obj_t BgL_labz00_5440)
	{
		{	/* SawJvm/code.scm 638 */
			BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5436), BgL_mez00_5437,
				BgL_argsz00_5438);
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5437,
				((BgL_rtl_funz00_bglt) BgL_funz00_5436));
			{	/* SawJvm/code.scm 642 */
				obj_t BgL_arg2148z00_5699;

				if (CBOOL(BgL_onzf3zf3_5439))
					{	/* SawJvm/code.scm 642 */
						BgL_arg2148z00_5699 = CNST_TABLE_REF(((long) 51));
					}
				else
					{	/* SawJvm/code.scm 642 */
						BgL_arg2148z00_5699 = CNST_TABLE_REF(((long) 52));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5437), BgL_arg2148z00_5699,
					BgL_labz00_5440);
			}
		}

	}



/* &gen-fun1754 */
	obj_t BGl_z62genzd2fun1754zb0zzsaw_jvm_codez00(obj_t BgL_envz00_5441,
		obj_t BgL_funz00_5442, obj_t BgL_mez00_5443)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 53)),
				BGl_string2527z00zzsaw_jvm_codez00,
				((obj_t) ((BgL_rtl_funz00_bglt) BgL_funz00_5442)));
		}

	}



/* &gen-fun-with-args1752 */
	obj_t BGl_z62genzd2funzd2withzd2args1752zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5444, obj_t BgL_funz00_5445, obj_t BgL_mez00_5446,
		obj_t BgL_argsz00_5447)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5445), BgL_mez00_5446);
		}

	}



/* &gen-args-gen-fun1750 */
	obj_t BGl_z62genzd2argszd2genzd2fun1750zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5448, obj_t BgL_funz00_5449, obj_t BgL_mez00_5450,
		obj_t BgL_argsz00_5451)
	{
		{	/* SawJvm/code.scm 284 */
			{
				obj_t BgL_l1715z00_5704;

				BgL_l1715z00_5704 = BgL_argsz00_5451;
			BgL_zc3z04anonymousza32142ze3z87_5703:
				if (PAIRP(BgL_l1715z00_5704))
					{	/* SawJvm/code.scm 286 */
						{	/* SawJvm/code.scm 286 */
							obj_t BgL_az00_5705;

							BgL_az00_5705 = CAR(BgL_l1715z00_5704);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5450), BgL_az00_5705);
						}
						{
							obj_t BgL_l1715z00_7262;

							BgL_l1715z00_7262 = CDR(BgL_l1715z00_5704);
							BgL_l1715z00_5704 = BgL_l1715z00_7262;
							goto BgL_zc3z04anonymousza32142ze3z87_5703;
						}
					}
				else
					{	/* SawJvm/code.scm 286 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5450,
				((BgL_rtl_funz00_bglt) BgL_funz00_5449));
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5449), BgL_mez00_5450,
				BgL_argsz00_5451);
		}

	}



/* gen-args-gen-fun */
	obj_t BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_96, obj_t BgL_mez00_97, obj_t BgL_argsz00_98)
	{
		{	/* SawJvm/code.scm 284 */
			{	/* SawJvm/code.scm 284 */
				obj_t BgL_method1751z00_3294;

				{	/* SawJvm/code.scm 284 */
					obj_t BgL_res2478z00_4884;

					{	/* SawJvm/code.scm 284 */
						long BgL_objzd2classzd2numz00_4855;

						BgL_objzd2classzd2numz00_4855 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_96));
						{	/* SawJvm/code.scm 284 */
							obj_t BgL_arg1825z00_4856;

							BgL_arg1825z00_4856 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 284 */
								int BgL_offsetz00_4859;

								BgL_offsetz00_4859 = (int) (BgL_objzd2classzd2numz00_4855);
								{	/* SawJvm/code.scm 284 */
									long BgL_offsetz00_4860;

									BgL_offsetz00_4860 =
										((long) (BgL_offsetz00_4859) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 284 */
										long BgL_modz00_4861;

										BgL_modz00_4861 =
											(BgL_offsetz00_4860 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 284 */
											long BgL_restz00_4863;

											BgL_restz00_4863 =
												(BgL_offsetz00_4860 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 284 */

												{	/* SawJvm/code.scm 284 */
													obj_t BgL_bucketz00_4865;

													BgL_bucketz00_4865 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4856), BgL_modz00_4861);
													BgL_res2478z00_4884 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4865), BgL_restz00_4863);
					}}}}}}}}
					BgL_method1751z00_3294 = BgL_res2478z00_4884;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1751z00_3294)) (BgL_method1751z00_3294,
					((obj_t) BgL_funz00_96), BgL_mez00_97, BgL_argsz00_98, BEOA);
			}
		}

	}



/* &gen-args-gen-fun */
	obj_t BGl_z62genzd2argszd2genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5452,
		obj_t BgL_funz00_5453, obj_t BgL_mez00_5454, obj_t BgL_argsz00_5455)
	{
		{	/* SawJvm/code.scm 284 */
			return
				BGl_genzd2argszd2genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5453), BgL_mez00_5454,
				BgL_argsz00_5455);
		}

	}



/* gen-fun-with-args */
	obj_t BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_99, obj_t BgL_mez00_100, obj_t BgL_argsz00_101)
	{
		{	/* SawJvm/code.scm 294 */
			{	/* SawJvm/code.scm 294 */
				obj_t BgL_method1753z00_3295;

				{	/* SawJvm/code.scm 294 */
					obj_t BgL_res2483z00_4915;

					{	/* SawJvm/code.scm 294 */
						long BgL_objzd2classzd2numz00_4886;

						BgL_objzd2classzd2numz00_4886 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_99));
						{	/* SawJvm/code.scm 294 */
							obj_t BgL_arg1825z00_4887;

							BgL_arg1825z00_4887 =
								PROCEDURE_REF
								(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 294 */
								int BgL_offsetz00_4890;

								BgL_offsetz00_4890 = (int) (BgL_objzd2classzd2numz00_4886);
								{	/* SawJvm/code.scm 294 */
									long BgL_offsetz00_4891;

									BgL_offsetz00_4891 =
										((long) (BgL_offsetz00_4890) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 294 */
										long BgL_modz00_4892;

										BgL_modz00_4892 =
											(BgL_offsetz00_4891 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 294 */
											long BgL_restz00_4894;

											BgL_restz00_4894 =
												(BgL_offsetz00_4891 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 294 */

												{	/* SawJvm/code.scm 294 */
													obj_t BgL_bucketz00_4896;

													BgL_bucketz00_4896 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4887), BgL_modz00_4892);
													BgL_res2483z00_4915 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4896), BgL_restz00_4894);
					}}}}}}}}
					BgL_method1753z00_3295 = BgL_res2483z00_4915;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1753z00_3295)) (BgL_method1753z00_3295,
					((obj_t) BgL_funz00_99), BgL_mez00_100, BgL_argsz00_101, BEOA);
			}
		}

	}



/* &gen-fun-with-args */
	obj_t BGl_z62genzd2funzd2withzd2argszb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5456, obj_t BgL_funz00_5457, obj_t BgL_mez00_5458,
		obj_t BgL_argsz00_5459)
	{
		{	/* SawJvm/code.scm 294 */
			return
				BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5457), BgL_mez00_5458,
				BgL_argsz00_5459);
		}

	}



/* gen-fun */
	obj_t BGl_genzd2funzd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt BgL_funz00_102,
		obj_t BgL_mez00_103)
	{
		{	/* SawJvm/code.scm 308 */
			{	/* SawJvm/code.scm 308 */
				obj_t BgL_method1755z00_3296;

				{	/* SawJvm/code.scm 308 */
					obj_t BgL_res2488z00_4946;

					{	/* SawJvm/code.scm 308 */
						long BgL_objzd2classzd2numz00_4917;

						BgL_objzd2classzd2numz00_4917 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_102));
						{	/* SawJvm/code.scm 308 */
							obj_t BgL_arg1825z00_4918;

							BgL_arg1825z00_4918 =
								PROCEDURE_REF(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 308 */
								int BgL_offsetz00_4921;

								BgL_offsetz00_4921 = (int) (BgL_objzd2classzd2numz00_4917);
								{	/* SawJvm/code.scm 308 */
									long BgL_offsetz00_4922;

									BgL_offsetz00_4922 =
										((long) (BgL_offsetz00_4921) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 308 */
										long BgL_modz00_4923;

										BgL_modz00_4923 =
											(BgL_offsetz00_4922 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 308 */
											long BgL_restz00_4925;

											BgL_restz00_4925 =
												(BgL_offsetz00_4922 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 308 */

												{	/* SawJvm/code.scm 308 */
													obj_t BgL_bucketz00_4927;

													BgL_bucketz00_4927 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4918), BgL_modz00_4923);
													BgL_res2488z00_4946 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4927), BgL_restz00_4925);
					}}}}}}}}
					BgL_method1755z00_3296 = BgL_res2488z00_4946;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1755z00_3296)) (BgL_method1755z00_3296,
					((obj_t) BgL_funz00_102), BgL_mez00_103, BEOA);
			}
		}

	}



/* &gen-fun */
	obj_t BGl_z62genzd2funzb0zzsaw_jvm_codez00(obj_t BgL_envz00_5460,
		obj_t BgL_funz00_5461, obj_t BgL_mez00_5462)
	{
		{	/* SawJvm/code.scm 308 */
			return
				BGl_genzd2funzd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5461), BgL_mez00_5462);
		}

	}



/* gen-args-gen-predicate */
	obj_t BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(BgL_rtl_funz00_bglt
		BgL_funz00_184, obj_t BgL_mez00_185, obj_t BgL_argsz00_186,
		obj_t BgL_onzf3zf3_187, obj_t BgL_labz00_188)
	{
		{	/* SawJvm/code.scm 638 */
			{	/* SawJvm/code.scm 638 */
				obj_t BgL_method1825z00_3297;

				{	/* SawJvm/code.scm 638 */
					obj_t BgL_res2493z00_4977;

					{	/* SawJvm/code.scm 638 */
						long BgL_objzd2classzd2numz00_4948;

						BgL_objzd2classzd2numz00_4948 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_184));
						{	/* SawJvm/code.scm 638 */
							obj_t BgL_arg1825z00_4949;

							BgL_arg1825z00_4949 =
								PROCEDURE_REF
								(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
								(int) (((long) 1)));
							{	/* SawJvm/code.scm 638 */
								int BgL_offsetz00_4952;

								BgL_offsetz00_4952 = (int) (BgL_objzd2classzd2numz00_4948);
								{	/* SawJvm/code.scm 638 */
									long BgL_offsetz00_4953;

									BgL_offsetz00_4953 =
										((long) (BgL_offsetz00_4952) - OBJECT_TYPE);
									{	/* SawJvm/code.scm 638 */
										long BgL_modz00_4954;

										BgL_modz00_4954 =
											(BgL_offsetz00_4953 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawJvm/code.scm 638 */
											long BgL_restz00_4956;

											BgL_restz00_4956 =
												(BgL_offsetz00_4953 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawJvm/code.scm 638 */

												{	/* SawJvm/code.scm 638 */
													obj_t BgL_bucketz00_4958;

													BgL_bucketz00_4958 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4949), BgL_modz00_4954);
													BgL_res2493z00_4977 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4958), BgL_restz00_4956);
					}}}}}}}}
					BgL_method1825z00_3297 = BgL_res2493z00_4977;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1825z00_3297)) (BgL_method1825z00_3297,
					((obj_t) BgL_funz00_184), BgL_mez00_185, BgL_argsz00_186,
					BgL_onzf3zf3_187, BgL_labz00_188, BEOA);
			}
		}

	}



/* &gen-args-gen-predicate */
	obj_t BGl_z62genzd2argszd2genzd2predicatezb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5463, obj_t BgL_funz00_5464, obj_t BgL_mez00_5465,
		obj_t BgL_argsz00_5466, obj_t BgL_onzf3zf3_5467, obj_t BgL_labz00_5468)
	{
		{	/* SawJvm/code.scm 638 */
			return
				BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_5464), BgL_mez00_5465,
				BgL_argsz00_5466, BgL_onzf3zf3_5467, BgL_labz00_5468);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_nopz00zzsaw_defsz00,
				BGl_proc2528z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc2530z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc2531z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2532z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_storegz00zzsaw_defsz00, BGl_proc2533z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc2534z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifeqz00zzsaw_defsz00, BGl_proc2535z00zzsaw_jvm_codez00,
				BGl_string2536z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_ifnez00zzsaw_defsz00, BGl_proc2537z00zzsaw_jvm_codez00,
				BGl_string2536z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc2538z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc2539z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2540z00zzsaw_jvm_codez00,
				BGl_string2536z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2541z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2542z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc2543z00zzsaw_jvm_codez00,
				BGl_string2544z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2withzd2argszd2envz00zzsaw_jvm_codez00,
				BGl_rtl_returnz00zzsaw_defsz00, BGl_proc2545z00zzsaw_jvm_codez00,
				BGl_string2544z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_loadfunz00zzsaw_defsz00, BGl_proc2546z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2547z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2548z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2549z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vlengthz00zzsaw_defsz00, BGl_proc2550z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_vallocz00zzsaw_defsz00, BGl_proc2551z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc2552z00zzsaw_jvm_codez00,
				BGl_string2536z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc2553z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc2554z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc2555z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc2556z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc2557z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_makeboxz00zzsaw_defsz00, BGl_proc2558z00zzsaw_jvm_codez00,
				BGl_string2536z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxrefz00zzsaw_defsz00, BGl_proc2559z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_boxsetz00zzsaw_defsz00, BGl_proc2560z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_jumpexitz00zzsaw_defsz00, BGl_proc2561z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00, BGl_rtl_failz00zzsaw_defsz00,
				BGl_proc2562z00zzsaw_jvm_codez00, BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectz00zzsaw_defsz00, BGl_proc2563z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2funzd2envz00zzsaw_jvm_codez00,
				BGl_rtl_protectedz00zzsaw_defsz00, BGl_proc2564z00zzsaw_jvm_codez00,
				BGl_string2529z00zzsaw_jvm_codez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_genzd2argszd2genzd2predicatezd2envz00zzsaw_jvm_codez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc2565z00zzsaw_jvm_codez00,
				BGl_string2566z00zzsaw_jvm_codez00);
		}

	}



/* &gen-args-gen-predica1827 */
	obj_t BGl_z62genzd2argszd2genzd2predica1827zb0zzsaw_jvm_codez00(obj_t
		BgL_envz00_5506, obj_t BgL_funz00_5507, obj_t BgL_mez00_5508,
		obj_t BgL_argsz00_5509, obj_t BgL_onzf3zf3_5510, obj_t BgL_labz00_5511)
	{
		{	/* SawJvm/code.scm 645 */
			{
				obj_t BgL_l1744z00_5708;

				BgL_l1744z00_5708 = BgL_argsz00_5509;
			BgL_zc3z04anonymousza32317ze3z87_5707:
				if (PAIRP(BgL_l1744z00_5708))
					{	/* SawJvm/code.scm 646 */
						{	/* SawJvm/code.scm 646 */
							obj_t BgL_az00_5709;

							BgL_az00_5709 = CAR(BgL_l1744z00_5708);
							BGl_genzd2exprzd2zzsaw_jvm_codez00(
								((BgL_jvmz00_bglt) BgL_mez00_5508), BgL_az00_5709);
						}
						{
							obj_t BgL_l1744z00_7445;

							BgL_l1744z00_7445 = CDR(BgL_l1744z00_5708);
							BgL_l1744z00_5708 = BgL_l1744z00_7445;
							goto BgL_zc3z04anonymousza32317ze3z87_5707;
						}
					}
				else
					{	/* SawJvm/code.scm 646 */
						((bool_t) 1);
					}
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5508,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_callz00_bglt) BgL_funz00_5507)));
			{	/* SawJvm/code.scm 648 */
				obj_t BgL_rz00_5710;

				{	/* SawJvm/code.scm 648 */
					BgL_globalz00_bglt BgL_arg2321z00_5711;

					BgL_arg2321z00_5711 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5507)))->BgL_varz00);
					BgL_rz00_5710 =
						BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5508), BgL_arg2321z00_5711,
						BgL_onzf3zf3_5510, BgL_labz00_5511);
				}
				if ((BgL_rz00_5710 == CNST_TABLE_REF(((long) 54))))
					{	/* SawJvm/code.scm 649 */
						BGl_genzd2funzd2withzd2argszd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5507)), BgL_mez00_5508,
							BgL_argsz00_5509);
						{	/* SawJvm/code.scm 651 */
							obj_t BgL_arg2320z00_5712;

							if (CBOOL(BgL_onzf3zf3_5510))
								{	/* SawJvm/code.scm 651 */
									BgL_arg2320z00_5712 = CNST_TABLE_REF(((long) 51));
								}
							else
								{	/* SawJvm/code.scm 651 */
									BgL_arg2320z00_5712 = CNST_TABLE_REF(((long) 52));
								}
							return
								BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5508), BgL_arg2320z00_5712,
								BgL_labz00_5511);
						}
					}
				else
					{	/* SawJvm/code.scm 649 */
						return BgL_rz00_5710;
					}
			}
		}

	}



/* &gen-fun-rtl_protecte1823 */
	obj_t BGl_z62genzd2funzd2rtl_protecte1823z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5512, obj_t BgL_funz00_5513, obj_t BgL_mez00_5514)
	{
		{	/* SawJvm/code.scm 629 */
			return CNST_TABLE_REF(((long) 55));
		}

	}



/* &gen-fun-rtl_protect1821 */
	obj_t BGl_z62genzd2funzd2rtl_protect1821z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5515, obj_t BgL_funz00_5516, obj_t BgL_mez00_5517)
	{
		{	/* SawJvm/code.scm 626 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5517), CNST_TABLE_REF(((long) 56)));
		}

	}



/* &gen-fun-rtl_fail1819 */
	obj_t BGl_z62genzd2funzd2rtl_fail1819z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5518, obj_t BgL_funz00_5519, obj_t BgL_mez00_5520)
	{
		{	/* SawJvm/code.scm 621 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5520), CNST_TABLE_REF(((long) 57)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5520), CNST_TABLE_REF(((long) 58)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_jumpexit1817 */
	obj_t BGl_z62genzd2funzd2rtl_jumpexit1817z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5521, obj_t BgL_funz00_5522, obj_t BgL_mez00_5523)
	{
		{	/* SawJvm/code.scm 614 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5523), CNST_TABLE_REF(((long) 59)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5523), CNST_TABLE_REF(((long) 60)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5523), CNST_TABLE_REF(((long) 58)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_boxset1815 */
	obj_t BGl_z62genzd2funzd2rtl_boxset1815z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5524, obj_t BgL_funz00_5525, obj_t BgL_mez00_5526)
	{
		{	/* SawJvm/code.scm 607 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5526), CNST_TABLE_REF(((long) 61)));
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_boxref1813 */
	obj_t BGl_z62genzd2funzd2rtl_boxref1813z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5527, obj_t BgL_funz00_5528, obj_t BgL_mez00_5529)
	{
		{	/* SawJvm/code.scm 604 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5529), CNST_TABLE_REF(((long) 62)));
		}

	}



/* &gen-args-gen-fun-rtl1811 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1811z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5530, obj_t BgL_funz00_5531, obj_t BgL_mez00_5532,
		obj_t BgL_argsz00_5533)
	{
		{	/* SawJvm/code.scm 597 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5532), CNST_TABLE_REF(((long) 63)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5532), CNST_TABLE_REF(((long) 64)));
			{	/* SawJvm/code.scm 600 */
				obj_t BgL_arg2316z00_5720;

				BgL_arg2316z00_5720 = CAR(((obj_t) BgL_argsz00_5533));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_5532), BgL_arg2316z00_5720);
			}
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5532,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_makeboxz00_bglt) BgL_funz00_5531)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5532), CNST_TABLE_REF(((long) 65)));
		}

	}



/* &gen-fun-rtl_cast_nul1809 */
	obj_t BGl_z62genzd2funzd2rtl_cast_nul1809z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5534, obj_t BgL_funz00_5535, obj_t BgL_mez00_5536)
	{
		{	/* SawJvm/code.scm 588 */
			{	/* SawJvm/code.scm 589 */
				BgL_typez00_bglt BgL_typez00_5722;

				BgL_typez00_5722 =
					(((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_funz00_5535)))->BgL_typez00);
				if (
					((((BgL_typez00_bglt) COBJECT(BgL_typez00_5722))->BgL_namez00) ==
						CNST_TABLE_REF(((long) 25))))
					{	/* SawJvm/code.scm 591 */
						obj_t BgL_arg2313z00_5723;

						BgL_arg2313z00_5723 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 66)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5536), BgL_arg2313z00_5723);
					}
				else
					{	/* SawJvm/code.scm 592 */
						obj_t BgL_arg2314z00_5724;

						BgL_arg2314z00_5724 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 67)), BNIL);
						return
							BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5536), BgL_arg2314z00_5724);
					}
			}
		}

	}



/* &gen-fun-rtl_cast1807 */
	obj_t BGl_z62genzd2funzd2rtl_cast1807z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5537, obj_t BgL_funz00_5538, obj_t BgL_mez00_5539)
	{
		{	/* SawJvm/code.scm 582 */
			if (CBOOL(BGl_za2purifyza2z00zzengine_paramz00))
				{	/* SawJvm/code.scm 584 */
					BgL_typez00_bglt BgL_typez00_5726;

					BgL_typez00_5726 =
						(((BgL_rtl_castz00_bglt) COBJECT(
								((BgL_rtl_castz00_bglt) BgL_funz00_5538)))->BgL_totypez00);
					if (
						((((BgL_typez00_bglt) COBJECT(BgL_typez00_5726))->BgL_namez00) ==
							CNST_TABLE_REF(((long) 45))))
						{	/* SawJvm/code.scm 585 */
							return BFALSE;
						}
					else
						{	/* SawJvm/code.scm 586 */
							obj_t BgL_arg2307z00_5727;

							{	/* SawJvm/code.scm 586 */
								obj_t BgL_arg2308z00_5728;

								{	/* SawJvm/code.scm 586 */
									obj_t BgL_arg2309z00_5729;

									BgL_arg2309z00_5729 =
										BGl_compilezd2typezd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5539), BgL_typez00_5726);
									BgL_arg2308z00_5728 =
										MAKE_YOUNG_PAIR(BgL_arg2309z00_5729, BNIL);
								}
								BgL_arg2307z00_5727 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 68)),
									BgL_arg2308z00_5728);
							}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5539), BgL_arg2307z00_5727);
						}
				}
			else
				{	/* SawJvm/code.scm 583 */
					return BFALSE;
				}
		}

	}



/* &gen-fun-rtl_instance1805 */
	obj_t BGl_z62genzd2funzd2rtl_instance1805z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5540, obj_t BgL_funz00_5541, obj_t BgL_mez00_5542)
	{
		{	/* SawJvm/code.scm 572 */
			{	/* SawJvm/code.scm 573 */
				obj_t BgL_arg2301z00_5731;

				{	/* SawJvm/code.scm 573 */
					obj_t BgL_arg2302z00_5732;

					{	/* SawJvm/code.scm 573 */
						obj_t BgL_arg2303z00_5733;

						{	/* SawJvm/code.scm 573 */
							BgL_typez00_bglt BgL_arg2304z00_5734;

							BgL_arg2304z00_5734 =
								(((BgL_rtl_instanceofz00_bglt) COBJECT(
										((BgL_rtl_instanceofz00_bglt) BgL_funz00_5541)))->
								BgL_typez00);
							BgL_arg2303z00_5733 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5542), BgL_arg2304z00_5734);
						}
						BgL_arg2302z00_5732 = MAKE_YOUNG_PAIR(BgL_arg2303z00_5733, BNIL);
					}
					BgL_arg2301z00_5731 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 69)), BgL_arg2302z00_5732);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5542), BgL_arg2301z00_5731);
			}
			{	/* SawJvm/code.scm 574 */
				obj_t BgL_l1z00_5735;
				obj_t BgL_l2z00_5736;

				BgL_l1z00_5735 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2567z00zzsaw_jvm_codez00);
				BgL_l2z00_5736 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2567z00zzsaw_jvm_codez00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					CNST_TABLE_REF(((long) 52)), BgL_l1z00_5735);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					BINT(((long) 1)));
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					CNST_TABLE_REF(((long) 70)), BgL_l2z00_5736);
				BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					BgL_l1z00_5735);
				BGl_pushzd2intzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					BINT(((long) 0)));
				return BGl_labelz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5542),
					BgL_l2z00_5736);
			}
		}

	}



/* &gen-fun-rtl_setfield1803 */
	obj_t BGl_z62genzd2funzd2rtl_setfield1803z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5543, obj_t BgL_funz00_5544, obj_t BgL_mez00_5545)
	{
		{	/* SawJvm/code.scm 567 */
			{	/* SawJvm/code.scm 569 */
				BgL_typez00_bglt BgL_arg2298z00_5738;
				BgL_typez00_bglt BgL_arg2299z00_5739;
				obj_t BgL_arg2300z00_5740;

				BgL_arg2298z00_5738 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5544)))->BgL_typez00);
				BgL_arg2299z00_5739 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5544)))->BgL_objtypez00);
				BgL_arg2300z00_5740 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_5544)))->BgL_namez00);
				BGl_storezd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5545), BgL_arg2298z00_5738,
					BgL_arg2299z00_5739, BgL_arg2300z00_5740);
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_getfield1801 */
	obj_t BGl_z62genzd2funzd2rtl_getfield1801z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5546, obj_t BgL_funz00_5547, obj_t BgL_mez00_5548)
	{
		{	/* SawJvm/code.scm 563 */
			{	/* SawJvm/code.scm 565 */
				BgL_typez00_bglt BgL_arg2294z00_5742;
				BgL_typez00_bglt BgL_arg2295z00_5743;
				obj_t BgL_arg2297z00_5744;

				BgL_arg2294z00_5742 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5547)))->BgL_typez00);
				BgL_arg2295z00_5743 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5547)))->BgL_objtypez00);
				BgL_arg2297z00_5744 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_5547)))->BgL_namez00);
				return
					BGl_loadzd2fieldzd2zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5548), BgL_arg2294z00_5742,
					BgL_arg2295z00_5743, BgL_arg2297z00_5744);
			}
		}

	}



/* &gen-args-gen-fun-rtl1799 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1799z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5549, obj_t BgL_funz00_5550, obj_t BgL_mez00_5551,
		obj_t BgL_argsz00_5552)
	{
		{	/* SawJvm/code.scm 557 */
			BGl_outzd2linezd2zzsaw_jvm_codez00(BgL_mez00_5551,
				((BgL_rtl_funz00_bglt) ((BgL_rtl_newz00_bglt) BgL_funz00_5550)));
			{	/* SawJvm/code.scm 559 */
				BgL_typez00_bglt BgL_arg2286z00_5746;
				obj_t BgL_arg2288z00_5747;

				BgL_arg2286z00_5746 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5550)))->BgL_typez00);
				BgL_arg2288z00_5747 =
					(((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_funz00_5550)))->BgL_constrz00);
				{	/* SawJvm/code.scm 560 */
					obj_t BgL_zc3z04anonymousza32289ze3z87_5748;

					BgL_zc3z04anonymousza32289ze3z87_5748 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_jvm_codez00,
						(int) (((long) 0)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32289ze3z87_5748,
						(int) (((long) 0)), BgL_mez00_5551);
					PROCEDURE_SET(BgL_zc3z04anonymousza32289ze3z87_5748,
						(int) (((long) 1)), BgL_argsz00_5552);
					return BGl_newobjz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
							BgL_mez00_5551), BgL_arg2286z00_5746,
						BgL_zc3z04anonymousza32289ze3z87_5748, BgL_arg2288z00_5747);
				}
			}
		}

	}



/* &<@anonymous:2289> */
	obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5553)
	{
		{	/* SawJvm/code.scm 560 */
			{	/* SawJvm/code.scm 560 */
				obj_t BgL_mez00_5554;
				obj_t BgL_argsz00_5555;

				BgL_mez00_5554 = PROCEDURE_REF(BgL_envz00_5553, (int) (((long) 0)));
				BgL_argsz00_5555 = PROCEDURE_REF(BgL_envz00_5553, (int) (((long) 1)));
				{	/* SawJvm/code.scm 560 */
					bool_t BgL_tmpz00_7603;

					{
						obj_t BgL_l1742z00_5750;

						BgL_l1742z00_5750 = BgL_argsz00_5555;
					BgL_zc3z04anonymousza32290ze3z87_5749:
						if (PAIRP(BgL_l1742z00_5750))
							{	/* SawJvm/code.scm 560 */
								{	/* SawJvm/code.scm 560 */
									obj_t BgL_az00_5751;

									BgL_az00_5751 = CAR(BgL_l1742z00_5750);
									BGl_genzd2exprzd2zzsaw_jvm_codez00(
										((BgL_jvmz00_bglt) BgL_mez00_5554), BgL_az00_5751);
								}
								{
									obj_t BgL_l1742z00_7609;

									BgL_l1742z00_7609 = CDR(BgL_l1742z00_5750);
									BgL_l1742z00_5750 = BgL_l1742z00_7609;
									goto BgL_zc3z04anonymousza32290ze3z87_5749;
								}
							}
						else
							{	/* SawJvm/code.scm 560 */
								BgL_tmpz00_7603 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_7603);
				}
			}
		}

	}



/* &gen-fun-rtl_valloc1797 */
	obj_t BGl_z62genzd2funzd2rtl_valloc1797z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5556, obj_t BgL_funz00_5557, obj_t BgL_mez00_5558)
	{
		{	/* SawJvm/code.scm 546 */
			{	/* SawJvm/code.scm 547 */
				obj_t BgL_typez00_5753;

				{	/* SawJvm/code.scm 547 */
					BgL_typez00_bglt BgL_arg2285z00_5754;

					BgL_arg2285z00_5754 =
						(((BgL_rtl_vallocz00_bglt) COBJECT(
								((BgL_rtl_vallocz00_bglt) BgL_funz00_5557)))->BgL_typez00);
					BgL_typez00_5753 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5558), BgL_arg2285z00_5754);
				}
				{	/* SawJvm/code.scm 548 */
					obj_t BgL_arg2280z00_5755;

					{	/* SawJvm/code.scm 548 */
						obj_t BgL_arg2281z00_5756;
						obj_t BgL_arg2282z00_5757;

						{	/* SawJvm/code.scm 548 */
							bool_t BgL_test2785z00_7616;

							{	/* SawJvm/code.scm 548 */
								bool_t BgL__ortest_1236z00_5758;

								BgL__ortest_1236z00_5758 =
									(BgL_typez00_5753 == CNST_TABLE_REF(((long) 18)));
								if (BgL__ortest_1236z00_5758)
									{	/* SawJvm/code.scm 548 */
										BgL_test2785z00_7616 = BgL__ortest_1236z00_5758;
									}
								else
									{	/* SawJvm/code.scm 548 */
										bool_t BgL__ortest_1237z00_5759;

										BgL__ortest_1237z00_5759 =
											(BgL_typez00_5753 == CNST_TABLE_REF(((long) 19)));
										if (BgL__ortest_1237z00_5759)
											{	/* SawJvm/code.scm 548 */
												BgL_test2785z00_7616 = BgL__ortest_1237z00_5759;
											}
										else
											{	/* SawJvm/code.scm 548 */
												bool_t BgL__ortest_1238z00_5760;

												BgL__ortest_1238z00_5760 =
													(BgL_typez00_5753 == CNST_TABLE_REF(((long) 20)));
												if (BgL__ortest_1238z00_5760)
													{	/* SawJvm/code.scm 548 */
														BgL_test2785z00_7616 = BgL__ortest_1238z00_5760;
													}
												else
													{	/* SawJvm/code.scm 548 */
														bool_t BgL__ortest_1239z00_5761;

														BgL__ortest_1239z00_5761 =
															(BgL_typez00_5753 == CNST_TABLE_REF(((long) 21)));
														if (BgL__ortest_1239z00_5761)
															{	/* SawJvm/code.scm 548 */
																BgL_test2785z00_7616 = BgL__ortest_1239z00_5761;
															}
														else
															{	/* SawJvm/code.scm 548 */
																bool_t BgL__ortest_1240z00_5762;

																BgL__ortest_1240z00_5762 =
																	(BgL_typez00_5753 ==
																	CNST_TABLE_REF(((long) 22)));
																if (BgL__ortest_1240z00_5762)
																	{	/* SawJvm/code.scm 548 */
																		BgL_test2785z00_7616 =
																			BgL__ortest_1240z00_5762;
																	}
																else
																	{	/* SawJvm/code.scm 548 */
																		bool_t BgL__ortest_1241z00_5763;

																		BgL__ortest_1241z00_5763 =
																			(BgL_typez00_5753 ==
																			CNST_TABLE_REF(((long) 11)));
																		if (BgL__ortest_1241z00_5763)
																			{	/* SawJvm/code.scm 548 */
																				BgL_test2785z00_7616 =
																					BgL__ortest_1241z00_5763;
																			}
																		else
																			{	/* SawJvm/code.scm 548 */
																				bool_t BgL__ortest_1242z00_5764;

																				BgL__ortest_1242z00_5764 =
																					(BgL_typez00_5753 ==
																					CNST_TABLE_REF(((long) 25)));
																				if (BgL__ortest_1242z00_5764)
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2785z00_7616 =
																							BgL__ortest_1242z00_5764;
																					}
																				else
																					{	/* SawJvm/code.scm 548 */
																						BgL_test2785z00_7616 =
																							(BgL_typez00_5753 ==
																							CNST_TABLE_REF(((long) 10)));
							}}}}}}}}
							if (BgL_test2785z00_7616)
								{	/* SawJvm/code.scm 548 */
									BgL_arg2281z00_5756 = CNST_TABLE_REF(((long) 71));
								}
							else
								{	/* SawJvm/code.scm 548 */
									BgL_arg2281z00_5756 = CNST_TABLE_REF(((long) 72));
						}}
						BgL_arg2282z00_5757 = MAKE_YOUNG_PAIR(BgL_typez00_5753, BNIL);
						BgL_arg2280z00_5755 =
							MAKE_YOUNG_PAIR(BgL_arg2281z00_5756, BgL_arg2282z00_5757);
					}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5558), BgL_arg2280z00_5755);
				}
			}
		}

	}



/* &gen-fun-rtl_vlength1795 */
	obj_t BGl_z62genzd2funzd2rtl_vlength1795z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5559, obj_t BgL_funz00_5560, obj_t BgL_mez00_5561)
	{
		{	/* SawJvm/code.scm 543 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5561), CNST_TABLE_REF(((long) 73)));
		}

	}



/* &gen-fun-rtl_vset1793 */
	obj_t BGl_z62genzd2funzd2rtl_vset1793z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5562, obj_t BgL_funz00_5563, obj_t BgL_mez00_5564)
	{
		{	/* SawJvm/code.scm 530 */
			{	/* SawJvm/code.scm 531 */
				obj_t BgL_typez00_5767;

				{	/* SawJvm/code.scm 531 */
					BgL_typez00_bglt BgL_arg2279z00_5768;

					BgL_arg2279z00_5768 =
						(((BgL_rtl_vsetz00_bglt) COBJECT(
								((BgL_rtl_vsetz00_bglt) BgL_funz00_5563)))->BgL_typez00);
					BgL_typez00_5767 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5564), BgL_arg2279z00_5768);
				}
				{	/* SawJvm/code.scm 532 */
					obj_t BgL_arg2270z00_5769;

					{	/* SawJvm/code.scm 532 */
						bool_t BgL_test2793z00_7653;

						{	/* SawJvm/code.scm 532 */
							bool_t BgL__ortest_1235z00_5770;

							BgL__ortest_1235z00_5770 =
								(BgL_typez00_5767 == CNST_TABLE_REF(((long) 18)));
							if (BgL__ortest_1235z00_5770)
								{	/* SawJvm/code.scm 532 */
									BgL_test2793z00_7653 = BgL__ortest_1235z00_5770;
								}
							else
								{	/* SawJvm/code.scm 532 */
									BgL_test2793z00_7653 =
										(BgL_typez00_5767 == CNST_TABLE_REF(((long) 19)));
						}}
						if (BgL_test2793z00_7653)
							{	/* SawJvm/code.scm 532 */
								BgL_arg2270z00_5769 = CNST_TABLE_REF(((long) 74));
							}
						else
							{	/* SawJvm/code.scm 532 */
								if ((BgL_typez00_5767 == CNST_TABLE_REF(((long) 20))))
									{	/* SawJvm/code.scm 532 */
										BgL_arg2270z00_5769 = CNST_TABLE_REF(((long) 75));
									}
								else
									{	/* SawJvm/code.scm 532 */
										if ((BgL_typez00_5767 == CNST_TABLE_REF(((long) 21))))
											{	/* SawJvm/code.scm 532 */
												BgL_arg2270z00_5769 = CNST_TABLE_REF(((long) 76));
											}
										else
											{	/* SawJvm/code.scm 532 */
												if ((BgL_typez00_5767 == CNST_TABLE_REF(((long) 22))))
													{	/* SawJvm/code.scm 532 */
														BgL_arg2270z00_5769 = CNST_TABLE_REF(((long) 77));
													}
												else
													{	/* SawJvm/code.scm 532 */
														if (
															(BgL_typez00_5767 == CNST_TABLE_REF(((long) 11))))
															{	/* SawJvm/code.scm 532 */
																BgL_arg2270z00_5769 =
																	CNST_TABLE_REF(((long) 78));
															}
														else
															{	/* SawJvm/code.scm 532 */
																if (
																	(BgL_typez00_5767 ==
																		CNST_TABLE_REF(((long) 25))))
																	{	/* SawJvm/code.scm 532 */
																		BgL_arg2270z00_5769 =
																			CNST_TABLE_REF(((long) 79));
																	}
																else
																	{	/* SawJvm/code.scm 532 */
																		if (
																			(BgL_typez00_5767 ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2270z00_5769 =
																					CNST_TABLE_REF(((long) 80));
																			}
																		else
																			{	/* SawJvm/code.scm 532 */
																				BgL_arg2270z00_5769 =
																					CNST_TABLE_REF(((long) 81));
					}}}}}}}}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5564), BgL_arg2270z00_5769);
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-fun-rtl_vref1791 */
	obj_t BGl_z62genzd2funzd2rtl_vref1791z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5565, obj_t BgL_funz00_5566, obj_t BgL_mez00_5567)
	{
		{	/* SawJvm/code.scm 518 */
			{	/* SawJvm/code.scm 519 */
				obj_t BgL_typez00_5772;

				{	/* SawJvm/code.scm 519 */
					BgL_typez00_bglt BgL_arg2269z00_5773;

					BgL_arg2269z00_5773 =
						(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_5566)))->BgL_typez00);
					BgL_typez00_5772 =
						BGl_compilezd2typezd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5567), BgL_arg2269z00_5773);
				}
				{	/* SawJvm/code.scm 520 */
					obj_t BgL_arg2261z00_5774;

					{	/* SawJvm/code.scm 520 */
						bool_t BgL_test2801z00_7692;

						{	/* SawJvm/code.scm 520 */
							bool_t BgL__ortest_1234z00_5775;

							BgL__ortest_1234z00_5775 =
								(BgL_typez00_5772 == CNST_TABLE_REF(((long) 18)));
							if (BgL__ortest_1234z00_5775)
								{	/* SawJvm/code.scm 520 */
									BgL_test2801z00_7692 = BgL__ortest_1234z00_5775;
								}
							else
								{	/* SawJvm/code.scm 520 */
									BgL_test2801z00_7692 =
										(BgL_typez00_5772 == CNST_TABLE_REF(((long) 19)));
						}}
						if (BgL_test2801z00_7692)
							{	/* SawJvm/code.scm 520 */
								BgL_arg2261z00_5774 = CNST_TABLE_REF(((long) 82));
							}
						else
							{	/* SawJvm/code.scm 520 */
								if ((BgL_typez00_5772 == CNST_TABLE_REF(((long) 20))))
									{	/* SawJvm/code.scm 520 */
										BgL_arg2261z00_5774 = CNST_TABLE_REF(((long) 83));
									}
								else
									{	/* SawJvm/code.scm 520 */
										if ((BgL_typez00_5772 == CNST_TABLE_REF(((long) 21))))
											{	/* SawJvm/code.scm 520 */
												BgL_arg2261z00_5774 = CNST_TABLE_REF(((long) 84));
											}
										else
											{	/* SawJvm/code.scm 520 */
												if ((BgL_typez00_5772 == CNST_TABLE_REF(((long) 22))))
													{	/* SawJvm/code.scm 520 */
														BgL_arg2261z00_5774 = CNST_TABLE_REF(((long) 85));
													}
												else
													{	/* SawJvm/code.scm 520 */
														if (
															(BgL_typez00_5772 == CNST_TABLE_REF(((long) 11))))
															{	/* SawJvm/code.scm 520 */
																BgL_arg2261z00_5774 =
																	CNST_TABLE_REF(((long) 86));
															}
														else
															{	/* SawJvm/code.scm 520 */
																if (
																	(BgL_typez00_5772 ==
																		CNST_TABLE_REF(((long) 25))))
																	{	/* SawJvm/code.scm 520 */
																		BgL_arg2261z00_5774 =
																			CNST_TABLE_REF(((long) 87));
																	}
																else
																	{	/* SawJvm/code.scm 520 */
																		if (
																			(BgL_typez00_5772 ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2261z00_5774 =
																					CNST_TABLE_REF(((long) 88));
																			}
																		else
																			{	/* SawJvm/code.scm 520 */
																				BgL_arg2261z00_5774 =
																					CNST_TABLE_REF(((long) 89));
					}}}}}}}}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5567), BgL_arg2261z00_5774);
				}
			}
		}

	}



/* &gen-fun-rtl_apply1789 */
	obj_t BGl_z62genzd2funzd2rtl_apply1789z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5568, obj_t BgL_funz00_5569, obj_t BgL_mez00_5570)
	{
		{	/* SawJvm/code.scm 512 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_5570), CNST_TABLE_REF(((long) 38)));
		}

	}



/* &gen-fun-rtl_loadfun1787 */
	obj_t BGl_z62genzd2funzd2rtl_loadfun1787z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5571, obj_t BgL_funz00_5572, obj_t BgL_mez00_5573)
	{
		{	/* SawJvm/code.scm 508 */
			{	/* SawJvm/code.scm 509 */
				BgL_globalz00_bglt BgL_varz00_5778;

				BgL_varz00_5778 =
					(((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_funz00_5572)))->BgL_varz00);
				{	/* SawJvm/code.scm 510 */
					int BgL_arg2260z00_5779;

					{
						BgL_indexedz00_bglt BgL_auxz00_7731;

						{
							obj_t BgL_auxz00_7732;

							{	/* SawJvm/code.scm 510 */
								BgL_objectz00_bglt BgL_tmpz00_7733;

								BgL_tmpz00_7733 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5778));
								BgL_auxz00_7732 = BGL_OBJECT_WIDENING(BgL_tmpz00_7733);
							}
							BgL_auxz00_7731 = ((BgL_indexedz00_bglt) BgL_auxz00_7732);
						}
						BgL_arg2260z00_5779 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_7731))->BgL_indexz00);
					}
					return
						BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5573), BINT(BgL_arg2260z00_5779));
				}
			}
		}

	}



/* &gen-fun-with-args-rt1785 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1785z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5574, obj_t BgL_funz00_5575, obj_t BgL_mez00_5576,
		obj_t BgL_argsz00_5577)
	{
		{	/* SawJvm/code.scm 495 */
			{	/* SawJvm/code.scm 496 */
				obj_t BgL_az00_5781;

				BgL_az00_5781 = CAR(((obj_t) BgL_argsz00_5577));
				{	/* SawJvm/code.scm 497 */
					obj_t BgL_regz00_5782;

					{	/* SawJvm/code.scm 497 */
						bool_t BgL_test2809z00_7744;

						{	/* SawJvm/code.scm 497 */
							obj_t BgL_classz00_5783;

							BgL_classz00_5783 = BGl_rtl_regz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_az00_5781))
								{	/* SawJvm/code.scm 497 */
									BgL_objectz00_bglt BgL_arg1820z00_5784;

									BgL_arg1820z00_5784 = (BgL_objectz00_bglt) (BgL_az00_5781);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/code.scm 497 */
											long BgL_idxz00_5785;

											BgL_idxz00_5785 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5784);
											BgL_test2809z00_7744 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5785 + ((long) 1))) == BgL_classz00_5783);
										}
									else
										{	/* SawJvm/code.scm 497 */
											bool_t BgL_res2496z00_5788;

											{	/* SawJvm/code.scm 497 */
												obj_t BgL_oclassz00_5789;

												{	/* SawJvm/code.scm 497 */
													long BgL_arg1828z00_5790;

													{	/* SawJvm/code.scm 497 */
														long BgL_arg1829z00_5791;

														BgL_arg1829z00_5791 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5784);
														BgL_arg1828z00_5790 =
															(BgL_arg1829z00_5791 - OBJECT_TYPE);
													}
													BgL_oclassz00_5789 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_5790);
												}
												{	/* SawJvm/code.scm 497 */
													bool_t BgL__ortest_1111z00_5792;

													BgL__ortest_1111z00_5792 =
														(BgL_classz00_5783 == BgL_oclassz00_5789);
													if (BgL__ortest_1111z00_5792)
														{	/* SawJvm/code.scm 497 */
															BgL_res2496z00_5788 = BgL__ortest_1111z00_5792;
														}
													else
														{	/* SawJvm/code.scm 497 */
															long BgL_odepthz00_5793;

															BgL_odepthz00_5793 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5789);
															if ((((long) 1) < BgL_odepthz00_5793))
																{	/* SawJvm/code.scm 497 */
																	obj_t BgL_arg1816z00_5794;

																	BgL_arg1816z00_5794 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5789,
																		((long) 1));
																	BgL_res2496z00_5788 =
																		(BgL_arg1816z00_5794 == BgL_classz00_5783);
																}
															else
																{	/* SawJvm/code.scm 497 */
																	BgL_res2496z00_5788 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2809z00_7744 = BgL_res2496z00_5788;
										}
								}
							else
								{	/* SawJvm/code.scm 497 */
									BgL_test2809z00_7744 = ((bool_t) 0);
								}
						}
						if (BgL_test2809z00_7744)
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5782 = BgL_az00_5781;
							}
						else
							{	/* SawJvm/code.scm 497 */
								BgL_regz00_5782 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_5781)))->BgL_destz00);
							}
					}
					{	/* SawJvm/code.scm 499 */
						obj_t BgL_arg2252z00_5795;

						{	/* SawJvm/code.scm 499 */
							obj_t BgL_casezd2valuezd2_5796;

							BgL_casezd2valuezd2_5796 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_regz00_5782)))->
											BgL_typez00)))->BgL_namez00);
							if ((BgL_casezd2valuezd2_5796 == CNST_TABLE_REF(((long) 90))))
								{	/* SawJvm/code.scm 499 */
									BgL_arg2252z00_5795 = CNST_TABLE_REF(((long) 91));
								}
							else
								{	/* SawJvm/code.scm 499 */
									bool_t BgL_test2815z00_7773;

									{	/* SawJvm/code.scm 499 */
										bool_t BgL__ortest_1230z00_5797;

										BgL__ortest_1230z00_5797 =
											(BgL_casezd2valuezd2_5796 == CNST_TABLE_REF(((long) 18)));
										if (BgL__ortest_1230z00_5797)
											{	/* SawJvm/code.scm 499 */
												BgL_test2815z00_7773 = BgL__ortest_1230z00_5797;
											}
										else
											{	/* SawJvm/code.scm 499 */
												bool_t BgL__ortest_1231z00_5798;

												BgL__ortest_1231z00_5798 =
													(BgL_casezd2valuezd2_5796 ==
													CNST_TABLE_REF(((long) 19)));
												if (BgL__ortest_1231z00_5798)
													{	/* SawJvm/code.scm 499 */
														BgL_test2815z00_7773 = BgL__ortest_1231z00_5798;
													}
												else
													{	/* SawJvm/code.scm 499 */
														bool_t BgL__ortest_1232z00_5799;

														BgL__ortest_1232z00_5799 =
															(BgL_casezd2valuezd2_5796 ==
															CNST_TABLE_REF(((long) 20)));
														if (BgL__ortest_1232z00_5799)
															{	/* SawJvm/code.scm 499 */
																BgL_test2815z00_7773 = BgL__ortest_1232z00_5799;
															}
														else
															{	/* SawJvm/code.scm 499 */
																bool_t BgL__ortest_1233z00_5800;

																BgL__ortest_1233z00_5800 =
																	(BgL_casezd2valuezd2_5796 ==
																	CNST_TABLE_REF(((long) 21)));
																if (BgL__ortest_1233z00_5800)
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2815z00_7773 =
																			BgL__ortest_1233z00_5800;
																	}
																else
																	{	/* SawJvm/code.scm 499 */
																		BgL_test2815z00_7773 =
																			(BgL_casezd2valuezd2_5796 ==
																			CNST_TABLE_REF(((long) 22)));
									}}}}}
									if (BgL_test2815z00_7773)
										{	/* SawJvm/code.scm 499 */
											BgL_arg2252z00_5795 = CNST_TABLE_REF(((long) 92));
										}
									else
										{	/* SawJvm/code.scm 499 */
											if (
												(BgL_casezd2valuezd2_5796 ==
													CNST_TABLE_REF(((long) 11))))
												{	/* SawJvm/code.scm 499 */
													BgL_arg2252z00_5795 = CNST_TABLE_REF(((long) 93));
												}
											else
												{	/* SawJvm/code.scm 499 */
													if (
														(BgL_casezd2valuezd2_5796 ==
															CNST_TABLE_REF(((long) 25))))
														{	/* SawJvm/code.scm 499 */
															BgL_arg2252z00_5795 = CNST_TABLE_REF(((long) 94));
														}
													else
														{	/* SawJvm/code.scm 499 */
															if (
																(BgL_casezd2valuezd2_5796 ==
																	CNST_TABLE_REF(((long) 10))))
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2252z00_5795 =
																		CNST_TABLE_REF(((long) 95));
																}
															else
																{	/* SawJvm/code.scm 499 */
																	BgL_arg2252z00_5795 =
																		CNST_TABLE_REF(((long) 7));
						}}}}}}
						BGl_codez12z12zzsaw_jvm_outz00(
							((BgL_jvmz00_bglt) BgL_mez00_5576), BgL_arg2252z00_5795);
					}
					return CNST_TABLE_REF(((long) 13));
		}}}

	}



/* &gen-fun-with-args-rt1783 */
	obj_t BGl_z62genzd2funzd2withzd2argszd2rt1783z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5578, obj_t BgL_funz00_5579, obj_t BgL_mez00_5580,
		obj_t BgL_argsz00_5581)
	{
		{	/* SawJvm/code.scm 479 */
			return
				BGl_genzd2funcallzd2zzsaw_jvm_codez00(BgL_mez00_5580, BgL_argsz00_5581);
		}

	}



/* &gen-fun-rtl_lightfun1781 */
	obj_t BGl_z62genzd2funzd2rtl_lightfun1781z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5582, obj_t BgL_funz00_5583, obj_t BgL_mez00_5584)
	{
		{	/* SawJvm/code.scm 471 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5583)),
						(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5584)))->
							BgL_lightzd2funcallszd2))))
				{	/* SawJvm/code.scm 474 */
					BFALSE;
				}
			else
				{
					obj_t BgL_auxz00_7813;

					{	/* SawJvm/code.scm 475 */
						obj_t BgL_arg2247z00_5803;

						BgL_arg2247z00_5803 =
							(((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5584)))->
							BgL_lightzd2funcallszd2);
						BgL_auxz00_7813 =
							MAKE_YOUNG_PAIR(((obj_t) ((BgL_rtl_lightfuncallz00_bglt)
									BgL_funz00_5583)), BgL_arg2247z00_5803);
					}
					((((BgL_jvmz00_bglt) COBJECT(
									((BgL_jvmz00_bglt) BgL_mez00_5584)))->
							BgL_lightzd2funcallszd2) = ((obj_t) BgL_auxz00_7813), BUNSPEC);
				}
			{	/* SawJvm/code.scm 476 */
				obj_t BgL_arg2249z00_5804;

				{	/* SawJvm/code.scm 476 */
					obj_t BgL_arg2250z00_5805;

					BgL_arg2250z00_5805 =
						MAKE_YOUNG_PAIR(
						(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
									((BgL_rtl_lightfuncallz00_bglt) BgL_funz00_5583)))->
							BgL_namez00), BNIL);
					BgL_arg2249z00_5804 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 96)), BgL_arg2250z00_5805);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5584), BgL_arg2249z00_5804);
			}
		}

	}



/* &gen-fun-rtl_call1779 */
	obj_t BGl_z62genzd2funzd2rtl_call1779z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5585, obj_t BgL_funz00_5586, obj_t BgL_mez00_5587)
	{
		{	/* SawJvm/code.scm 457 */
			{	/* SawJvm/code.scm 458 */
				BgL_globalz00_bglt BgL_varz00_5807;

				BgL_varz00_5807 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_5586)))->BgL_varz00);
				{	/* SawJvm/code.scm 459 */
					obj_t BgL_rz00_5808;

					BgL_rz00_5808 =
						BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5587), BgL_varz00_5807);
					if ((BgL_rz00_5808 == CNST_TABLE_REF(((long) 54))))
						{	/* SawJvm/code.scm 460 */
							BGl_callzd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5587), BgL_varz00_5807);
							if (
								((((BgL_typez00_bglt) COBJECT(
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_5807)))->
													BgL_typez00)))->BgL_namez00) ==
									CNST_TABLE_REF(((long) 90))))
								{	/* SawJvm/code.scm 463 */
									return CNST_TABLE_REF(((long) 13));
								}
							else
								{	/* SawJvm/code.scm 463 */
									return CNST_TABLE_REF(((long) 55));
						}}
					else
						{	/* SawJvm/code.scm 460 */
							return BgL_rz00_5808;
						}
				}
			}
		}

	}



/* &gen-args-gen-fun-rtl1777 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1777z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5588, obj_t BgL_funz00_5589, obj_t BgL_mez00_5590,
		obj_t BgL_argsz00_5591)
	{
		{	/* SawJvm/code.scm 450 */
			{	/* SawJvm/code.scm 451 */
				obj_t BgL_rz00_5810;

				{	/* SawJvm/code.scm 451 */
					BgL_globalz00_bglt BgL_arg2239z00_5811;

					BgL_arg2239z00_5811 =
						(((BgL_rtl_callz00_bglt) COBJECT(
								((BgL_rtl_callz00_bglt) BgL_funz00_5589)))->BgL_varz00);
					BgL_rz00_5810 =
						BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
						((BgL_jvmz00_bglt) BgL_mez00_5590), BgL_arg2239z00_5811,
						BgL_argsz00_5591);
				}
				if ((BgL_rz00_5810 == CNST_TABLE_REF(((long) 54))))
					{	/* SawJvm/code.scm 452 */
						{
							obj_t BgL_l1737z00_5813;

							BgL_l1737z00_5813 = BgL_argsz00_5591;
						BgL_zc3z04anonymousza32236ze3z87_5812:
							if (PAIRP(BgL_l1737z00_5813))
								{	/* SawJvm/code.scm 453 */
									{	/* SawJvm/code.scm 453 */
										obj_t BgL_az00_5814;

										BgL_az00_5814 = CAR(BgL_l1737z00_5813);
										BGl_genzd2exprzd2zzsaw_jvm_codez00(
											((BgL_jvmz00_bglt) BgL_mez00_5590), BgL_az00_5814);
									}
									{
										obj_t BgL_l1737z00_7857;

										BgL_l1737z00_7857 = CDR(BgL_l1737z00_5813);
										BgL_l1737z00_5813 = BgL_l1737z00_7857;
										goto BgL_zc3z04anonymousza32236ze3z87_5812;
									}
								}
							else
								{	/* SawJvm/code.scm 453 */
									((bool_t) 1);
								}
						}
						return
							BGl_genzd2funzd2zzsaw_jvm_codez00(
							((BgL_rtl_funz00_bglt)
								((BgL_rtl_callz00_bglt) BgL_funz00_5589)), BgL_mez00_5590);
					}
				else
					{	/* SawJvm/code.scm 452 */
						return BgL_rz00_5810;
					}
			}
		}

	}



/* &gen-fun-rtl_switch1775 */
	obj_t BGl_z62genzd2funzd2rtl_switch1775z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5592, obj_t BgL_funz00_5593, obj_t BgL_mez00_5594)
	{
		{	/* SawJvm/code.scm 407 */
			{	/* SawJvm/code.scm 410 */
				obj_t BgL_ldefz00_5816;
				obj_t BgL_num2labz00_5817;

				BgL_ldefz00_5816 = BUNSPEC;
				BgL_num2labz00_5817 = BNIL;
				{
					obj_t BgL_nz00_5819;
					obj_t BgL_labz00_5820;

					{	/* SawJvm/code.scm 415 */
						obj_t BgL_g1728z00_5822;
						obj_t BgL_g1729z00_5823;

						BgL_g1728z00_5822 =
							(((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_funz00_5593))))->
							BgL_patternsz00);
						{	/* SawJvm/code.scm 420 */
							obj_t BgL_l1719z00_5824;

							BgL_l1719z00_5824 =
								(((BgL_rtl_switchz00_bglt) COBJECT(
										((BgL_rtl_switchz00_bglt) BgL_funz00_5593)))->
								BgL_labelsz00);
							if (NULLP(BgL_l1719z00_5824))
								{	/* SawJvm/code.scm 420 */
									BgL_g1729z00_5823 = BNIL;
								}
							else
								{	/* SawJvm/code.scm 420 */
									obj_t BgL_head1721z00_5825;

									{	/* SawJvm/code.scm 420 */
										int BgL_arg2195z00_5826;

										BgL_arg2195z00_5826 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt)
														CAR(((obj_t) BgL_l1719z00_5824)))))->BgL_labelz00);
										BgL_head1721z00_5825 =
											MAKE_YOUNG_PAIR(BINT(BgL_arg2195z00_5826), BNIL);
									}
									{	/* SawJvm/code.scm 420 */
										obj_t BgL_g1724z00_5827;

										BgL_g1724z00_5827 = CDR(((obj_t) BgL_l1719z00_5824));
										{
											obj_t BgL_l1719z00_5829;
											obj_t BgL_tail1722z00_5830;

											BgL_l1719z00_5829 = BgL_g1724z00_5827;
											BgL_tail1722z00_5830 = BgL_head1721z00_5825;
										BgL_zc3z04anonymousza32190ze3z87_5828:
											if (NULLP(BgL_l1719z00_5829))
												{	/* SawJvm/code.scm 420 */
													BgL_g1729z00_5823 = BgL_head1721z00_5825;
												}
											else
												{	/* SawJvm/code.scm 420 */
													obj_t BgL_newtail1723z00_5831;

													{	/* SawJvm/code.scm 420 */
														int BgL_arg2193z00_5832;

														BgL_arg2193z00_5832 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt)
																		CAR(
																			((obj_t) BgL_l1719z00_5829)))))->
															BgL_labelz00);
														BgL_newtail1723z00_5831 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2193z00_5832), BNIL);
													}
													SET_CDR(BgL_tail1722z00_5830,
														BgL_newtail1723z00_5831);
													{	/* SawJvm/code.scm 420 */
														obj_t BgL_arg2192z00_5833;

														BgL_arg2192z00_5833 =
															CDR(((obj_t) BgL_l1719z00_5829));
														{
															obj_t BgL_tail1722z00_7889;
															obj_t BgL_l1719z00_7888;

															BgL_l1719z00_7888 = BgL_arg2192z00_5833;
															BgL_tail1722z00_7889 = BgL_newtail1723z00_5831;
															BgL_tail1722z00_5830 = BgL_tail1722z00_7889;
															BgL_l1719z00_5829 = BgL_l1719z00_7888;
															goto BgL_zc3z04anonymousza32190ze3z87_5828;
														}
													}
												}
										}
									}
								}
						}
						{
							obj_t BgL_ll1725z00_5835;
							obj_t BgL_ll1726z00_5836;

							BgL_ll1725z00_5835 = BgL_g1728z00_5822;
							BgL_ll1726z00_5836 = BgL_g1729z00_5823;
						BgL_zc3z04anonymousza32181ze3z87_5834:
							if (NULLP(BgL_ll1725z00_5835))
								{	/* SawJvm/code.scm 415 */
									((bool_t) 1);
								}
							else
								{	/* SawJvm/code.scm 415 */
									{	/* SawJvm/code.scm 416 */
										obj_t BgL_patz00_5837;
										obj_t BgL_labz00_5838;

										BgL_patz00_5837 = CAR(((obj_t) BgL_ll1725z00_5835));
										BgL_labz00_5838 = CAR(((obj_t) BgL_ll1726z00_5836));
										if ((BgL_patz00_5837 == CNST_TABLE_REF(((long) 97))))
											{	/* SawJvm/code.scm 416 */
												BgL_ldefz00_5816 =
													BGl_Lze70ze7zzsaw_jvm_codez00(BgL_labz00_5838);
											}
										else
											{
												obj_t BgL_l1717z00_5840;

												{	/* SawJvm/code.scm 418 */
													bool_t BgL_tmpz00_7900;

													BgL_l1717z00_5840 = BgL_patz00_5837;
												BgL_zc3z04anonymousza32183ze3z87_5839:
													if (PAIRP(BgL_l1717z00_5840))
														{	/* SawJvm/code.scm 418 */
															BgL_nz00_5819 = CAR(BgL_l1717z00_5840);
															BgL_labz00_5820 = BgL_labz00_5838;
															{	/* SawJvm/code.scm 414 */
																obj_t BgL_arg2233z00_5821;

																BgL_arg2233z00_5821 =
																	MAKE_YOUNG_PAIR(BGl_intifyz00zzsaw_jvm_codez00
																	(BgL_nz00_5819),
																	BGl_Lze70ze7zzsaw_jvm_codez00
																	(BgL_labz00_5820));
																BgL_num2labz00_5817 =
																	MAKE_YOUNG_PAIR(BgL_arg2233z00_5821,
																	BgL_num2labz00_5817);
															}
															{
																obj_t BgL_l1717z00_7908;

																BgL_l1717z00_7908 = CDR(BgL_l1717z00_5840);
																BgL_l1717z00_5840 = BgL_l1717z00_7908;
																goto BgL_zc3z04anonymousza32183ze3z87_5839;
															}
														}
													else
														{	/* SawJvm/code.scm 418 */
															BgL_tmpz00_7900 = ((bool_t) 1);
														}
													BBOOL(BgL_tmpz00_7900);
												}
											}
									}
									{	/* SawJvm/code.scm 415 */
										obj_t BgL_arg2187z00_5841;
										obj_t BgL_arg2188z00_5842;

										BgL_arg2187z00_5841 = CDR(((obj_t) BgL_ll1725z00_5835));
										BgL_arg2188z00_5842 = CDR(((obj_t) BgL_ll1726z00_5836));
										{
											obj_t BgL_ll1726z00_7916;
											obj_t BgL_ll1725z00_7915;

											BgL_ll1725z00_7915 = BgL_arg2187z00_5841;
											BgL_ll1726z00_7916 = BgL_arg2188z00_5842;
											BgL_ll1726z00_5836 = BgL_ll1726z00_7916;
											BgL_ll1725z00_5835 = BgL_ll1725z00_7915;
											goto BgL_zc3z04anonymousza32181ze3z87_5834;
										}
									}
								}
						}
					}
					if (NULLP(CDR(BgL_num2labz00_5817)))
						{	/* SawJvm/code.scm 422 */
							{	/* SawJvm/code.scm 423 */
								obj_t BgL_arg2199z00_5843;

								{	/* SawJvm/code.scm 423 */
									obj_t BgL_pairz00_5844;

									BgL_pairz00_5844 = BgL_num2labz00_5817;
									BgL_arg2199z00_5843 = CAR(CAR(BgL_pairz00_5844));
								}
								BGl_pushzd2intzd2zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5594), BgL_arg2199z00_5843);
							}
							BGl_branchz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5594),
								CNST_TABLE_REF(((long) 98)), BgL_ldefz00_5816);
							{	/* SawJvm/code.scm 425 */
								obj_t BgL_arg2200z00_5845;

								{	/* SawJvm/code.scm 425 */
									obj_t BgL_pairz00_5846;

									BgL_pairz00_5846 = BgL_num2labz00_5817;
									BgL_arg2200z00_5845 = CDR(CAR(BgL_pairz00_5846));
								}
								BGl_branchz00zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_5594),
									CNST_TABLE_REF(((long) 70)), BgL_arg2200z00_5845);
						}}
					else
						{	/* SawJvm/code.scm 422 */
							BgL_num2labz00_5817 =
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_num2labz00_5817,
								BGl_proc2568z00zzsaw_jvm_codez00);
							{	/* SawJvm/code.scm 428 */
								obj_t BgL_numsz00_5848;

								{	/* SawJvm/code.scm 428 */
									obj_t BgL_l1730z00_5849;

									BgL_l1730z00_5849 = BgL_num2labz00_5817;
									if (NULLP(BgL_l1730z00_5849))
										{	/* SawJvm/code.scm 428 */
											BgL_numsz00_5848 = BNIL;
										}
									else
										{	/* SawJvm/code.scm 428 */
											obj_t BgL_head1732z00_5850;

											{	/* SawJvm/code.scm 428 */
												obj_t BgL_arg2226z00_5851;

												{	/* SawJvm/code.scm 428 */
													obj_t BgL_pairz00_5852;

													BgL_pairz00_5852 = CAR(((obj_t) BgL_l1730z00_5849));
													BgL_arg2226z00_5851 = CAR(BgL_pairz00_5852);
												}
												BgL_head1732z00_5850 =
													MAKE_YOUNG_PAIR(BgL_arg2226z00_5851, BNIL);
											}
											{	/* SawJvm/code.scm 428 */
												obj_t BgL_g1735z00_5853;

												BgL_g1735z00_5853 = CDR(((obj_t) BgL_l1730z00_5849));
												{
													obj_t BgL_l1730z00_5855;
													obj_t BgL_tail1733z00_5856;

													BgL_l1730z00_5855 = BgL_g1735z00_5853;
													BgL_tail1733z00_5856 = BgL_head1732z00_5850;
												BgL_zc3z04anonymousza32221ze3z87_5854:
													if (NULLP(BgL_l1730z00_5855))
														{	/* SawJvm/code.scm 428 */
															BgL_numsz00_5848 = BgL_head1732z00_5850;
														}
													else
														{	/* SawJvm/code.scm 428 */
															obj_t BgL_newtail1734z00_5857;

															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2224z00_5858;

																{	/* SawJvm/code.scm 428 */
																	obj_t BgL_pairz00_5859;

																	BgL_pairz00_5859 =
																		CAR(((obj_t) BgL_l1730z00_5855));
																	BgL_arg2224z00_5858 = CAR(BgL_pairz00_5859);
																}
																BgL_newtail1734z00_5857 =
																	MAKE_YOUNG_PAIR(BgL_arg2224z00_5858, BNIL);
															}
															SET_CDR(BgL_tail1733z00_5856,
																BgL_newtail1734z00_5857);
															{	/* SawJvm/code.scm 428 */
																obj_t BgL_arg2223z00_5860;

																BgL_arg2223z00_5860 =
																	CDR(((obj_t) BgL_l1730z00_5855));
																{
																	obj_t BgL_tail1733z00_7951;
																	obj_t BgL_l1730z00_7950;

																	BgL_l1730z00_7950 = BgL_arg2223z00_5860;
																	BgL_tail1733z00_7951 =
																		BgL_newtail1734z00_5857;
																	BgL_tail1733z00_5856 = BgL_tail1733z00_7951;
																	BgL_l1730z00_5855 = BgL_l1730z00_7950;
																	goto BgL_zc3z04anonymousza32221ze3z87_5854;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/code.scm 428 */
									obj_t BgL_minz00_5861;

									BgL_minz00_5861 = CAR(((obj_t) BgL_numsz00_5848));
									{	/* SawJvm/code.scm 429 */
										obj_t BgL_maxz00_5862;

										BgL_maxz00_5862 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
											(BgL_numsz00_5848));
										{	/* SawJvm/code.scm 430 */
											long BgL_nz00_5863;

											BgL_nz00_5863 = bgl_list_length(BgL_numsz00_5848);
											{	/* SawJvm/code.scm 431 */

												{	/* SawJvm/code.scm 432 */
													bool_t BgL_test2836z00_7957;

													{	/* SawJvm/code.scm 432 */
														obj_t BgL_a1736z00_5864;

														BgL_a1736z00_5864 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_nz00_5863),
															BINT((((long) 1) + ((long) CINT(BgL_maxz00_5862) -
																		(long) CINT(BgL_minz00_5861)))));
														if (REALP(BgL_a1736z00_5864))
															{	/* SawJvm/code.scm 432 */
																BgL_test2836z00_7957 =
																	(REAL_TO_DOUBLE(BgL_a1736z00_5864) <
																	((double) 0.75));
															}
														else
															{	/* SawJvm/code.scm 432 */
																BgL_test2836z00_7957 =
																	BGl_2zc3zc3zz__r4_numbers_6_5z00
																	(BgL_a1736z00_5864,
																	BGL_REAL_CNST
																	(BGl_real2569z00zzsaw_jvm_codez00));
															}
													}
													if (BgL_test2836z00_7957)
														{	/* SawJvm/code.scm 433 */
															obj_t BgL_arg2209z00_5865;

															{	/* SawJvm/code.scm 433 */
																obj_t BgL_arg2210z00_5866;

																{	/* SawJvm/code.scm 433 */
																	obj_t BgL_arg2211z00_5867;

																	BgL_arg2211z00_5867 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_num2labz00_5817, BNIL);
																	BgL_arg2210z00_5866 =
																		MAKE_YOUNG_PAIR(BgL_ldefz00_5816,
																		BgL_arg2211z00_5867);
																}
																BgL_arg2209z00_5865 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 99)),
																	BgL_arg2210z00_5866);
															}
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5594),
																BgL_arg2209z00_5865);
														}
													else
														{	/* SawJvm/code.scm 435 */
															obj_t BgL_arg2212z00_5868;

															{	/* SawJvm/code.scm 435 */
																obj_t BgL_arg2213z00_5869;

																{	/* SawJvm/code.scm 435 */
																	obj_t BgL_arg2214z00_5870;

																	BgL_arg2214z00_5870 =
																		MAKE_YOUNG_PAIR(BgL_minz00_5861,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BGl_flatz00zzsaw_jvm_codez00
																			(BgL_num2labz00_5817, BgL_ldefz00_5816),
																			BNIL));
																	BgL_arg2213z00_5869 =
																		MAKE_YOUNG_PAIR(BgL_ldefz00_5816,
																		BgL_arg2214z00_5870);
																}
																BgL_arg2212z00_5868 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 100)),
																	BgL_arg2213z00_5869);
															}
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5594),
																BgL_arg2212z00_5868);
						}}}}}}}}
					return CNST_TABLE_REF(((long) 13));
		}}}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_codez00(obj_t BgL_nz00_3479)
	{
		{	/* SawJvm/code.scm 412 */
			{	/* SawJvm/code.scm 412 */
				obj_t BgL_arg2230z00_3481;

				{	/* SawJvm/code.scm 412 */
					obj_t BgL_arg2231z00_3482;

					{	/* SawJvm/code.scm 412 */

						BgL_arg2231z00_3482 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							(long) CINT(BgL_nz00_3479), ((long) 10));
					}
					BgL_arg2230z00_3481 =
						string_append(BGl_string2570z00zzsaw_jvm_codez00,
						BgL_arg2231z00_3482);
				}
				return bstring_to_symbol(BgL_arg2230z00_3481);
			}
		}

	}



/* &<@anonymous:2202> */
	obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzsaw_jvm_codez00(obj_t
		BgL_envz00_5595, obj_t BgL_xz00_5596, obj_t BgL_yz00_5597)
	{
		{	/* SawJvm/code.scm 427 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_xz00_5596))) <
					(long) CINT(CAR(((obj_t) BgL_yz00_5597)))));
		}

	}



/* &gen-fun-rtl_go1773 */
	obj_t BGl_z62genzd2funzd2rtl_go1773z62zzsaw_jvm_codez00(obj_t BgL_envz00_5598,
		obj_t BgL_funz00_5599, obj_t BgL_mez00_5600)
	{
		{	/* SawJvm/code.scm 396 */
			{	/* SawJvm/code.scm 397 */
				int BgL_arg2179z00_5872;

				BgL_arg2179z00_5872 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_funz00_5599)))->BgL_toz00)))->
					BgL_labelz00);
				BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5600),
					CNST_TABLE_REF(((long) 70)), BINT(BgL_arg2179z00_5872));
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-args-gen-fun-rtl1771 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1771z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5601, obj_t BgL_funz00_5602, obj_t BgL_mez00_5603,
		obj_t BgL_argsz00_5604)
	{
		{	/* SawJvm/code.scm 387 */
			{	/* SawJvm/code.scm 388 */
				obj_t BgL_argz00_5874;
				int BgL_labz00_5875;

				BgL_argz00_5874 = CAR(((obj_t) BgL_argsz00_5604));
				BgL_labz00_5875 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_funz00_5602)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 389 */
					bool_t BgL_test2838z00_8010;

					{	/* SawJvm/code.scm 389 */
						obj_t BgL_classz00_5876;

						BgL_classz00_5876 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5874))
							{	/* SawJvm/code.scm 389 */
								BgL_objectz00_bglt BgL_arg1820z00_5877;

								BgL_arg1820z00_5877 = (BgL_objectz00_bglt) (BgL_argz00_5874);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/code.scm 389 */
										long BgL_idxz00_5878;

										BgL_idxz00_5878 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5877);
										BgL_test2838z00_8010 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5878 + ((long) 1))) == BgL_classz00_5876);
									}
								else
									{	/* SawJvm/code.scm 389 */
										bool_t BgL_res2495z00_5881;

										{	/* SawJvm/code.scm 389 */
											obj_t BgL_oclassz00_5882;

											{	/* SawJvm/code.scm 389 */
												long BgL_arg1828z00_5883;

												{	/* SawJvm/code.scm 389 */
													long BgL_arg1829z00_5884;

													BgL_arg1829z00_5884 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5877);
													BgL_arg1828z00_5883 =
														(BgL_arg1829z00_5884 - OBJECT_TYPE);
												}
												BgL_oclassz00_5882 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5883);
											}
											{	/* SawJvm/code.scm 389 */
												bool_t BgL__ortest_1111z00_5885;

												BgL__ortest_1111z00_5885 =
													(BgL_classz00_5876 == BgL_oclassz00_5882);
												if (BgL__ortest_1111z00_5885)
													{	/* SawJvm/code.scm 389 */
														BgL_res2495z00_5881 = BgL__ortest_1111z00_5885;
													}
												else
													{	/* SawJvm/code.scm 389 */
														long BgL_odepthz00_5886;

														BgL_odepthz00_5886 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5882);
														if ((((long) 1) < BgL_odepthz00_5886))
															{	/* SawJvm/code.scm 389 */
																obj_t BgL_arg1816z00_5887;

																BgL_arg1816z00_5887 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5882,
																	((long) 1));
																BgL_res2495z00_5881 =
																	(BgL_arg1816z00_5887 == BgL_classz00_5876);
															}
														else
															{	/* SawJvm/code.scm 389 */
																BgL_res2495z00_5881 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2838z00_8010 = BgL_res2495z00_5881;
									}
							}
						else
							{	/* SawJvm/code.scm 389 */
								BgL_test2838z00_8010 = ((bool_t) 0);
							}
					}
					if (BgL_test2838z00_8010)
						{	/* SawJvm/code.scm 389 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5603,
								BgL_argz00_5874);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5603),
								CNST_TABLE_REF(((long) 51)), BINT(BgL_labz00_5875));
						}
					else
						{	/* SawJvm/code.scm 393 */
							BgL_rtl_funz00_bglt BgL_arg2176z00_5888;
							obj_t BgL_arg2177z00_5889;

							BgL_arg2176z00_5888 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5874)))->BgL_funz00);
							BgL_arg2177z00_5889 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5874)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2176z00_5888, BgL_mez00_5603, BgL_arg2177z00_5889,
								BTRUE, BINT(BgL_labz00_5875));
						}
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-args-gen-fun-rtl1769 */
	obj_t BGl_z62genzd2argszd2genzd2funzd2rtl1769z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5605, obj_t BgL_funz00_5606, obj_t BgL_mez00_5607,
		obj_t BgL_argsz00_5608)
	{
		{	/* SawJvm/code.scm 378 */
			{	/* SawJvm/code.scm 379 */
				obj_t BgL_argz00_5891;
				int BgL_labz00_5892;

				BgL_argz00_5891 = CAR(((obj_t) BgL_argsz00_5608));
				BgL_labz00_5892 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_funz00_5606)))->BgL_thenz00)))->
					BgL_labelz00);
				{	/* SawJvm/code.scm 380 */
					bool_t BgL_test2843z00_8047;

					{	/* SawJvm/code.scm 380 */
						obj_t BgL_classz00_5893;

						BgL_classz00_5893 = BGl_rtl_regz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_argz00_5891))
							{	/* SawJvm/code.scm 380 */
								BgL_objectz00_bglt BgL_arg1820z00_5894;

								BgL_arg1820z00_5894 = (BgL_objectz00_bglt) (BgL_argz00_5891);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/code.scm 380 */
										long BgL_idxz00_5895;

										BgL_idxz00_5895 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5894);
										BgL_test2843z00_8047 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5895 + ((long) 1))) == BgL_classz00_5893);
									}
								else
									{	/* SawJvm/code.scm 380 */
										bool_t BgL_res2494z00_5898;

										{	/* SawJvm/code.scm 380 */
											obj_t BgL_oclassz00_5899;

											{	/* SawJvm/code.scm 380 */
												long BgL_arg1828z00_5900;

												{	/* SawJvm/code.scm 380 */
													long BgL_arg1829z00_5901;

													BgL_arg1829z00_5901 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5894);
													BgL_arg1828z00_5900 =
														(BgL_arg1829z00_5901 - OBJECT_TYPE);
												}
												BgL_oclassz00_5899 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5900);
											}
											{	/* SawJvm/code.scm 380 */
												bool_t BgL__ortest_1111z00_5902;

												BgL__ortest_1111z00_5902 =
													(BgL_classz00_5893 == BgL_oclassz00_5899);
												if (BgL__ortest_1111z00_5902)
													{	/* SawJvm/code.scm 380 */
														BgL_res2494z00_5898 = BgL__ortest_1111z00_5902;
													}
												else
													{	/* SawJvm/code.scm 380 */
														long BgL_odepthz00_5903;

														BgL_odepthz00_5903 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5899);
														if ((((long) 1) < BgL_odepthz00_5903))
															{	/* SawJvm/code.scm 380 */
																obj_t BgL_arg1816z00_5904;

																BgL_arg1816z00_5904 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5899,
																	((long) 1));
																BgL_res2494z00_5898 =
																	(BgL_arg1816z00_5904 == BgL_classz00_5893);
															}
														else
															{	/* SawJvm/code.scm 380 */
																BgL_res2494z00_5898 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2843z00_8047 = BgL_res2494z00_5898;
									}
							}
						else
							{	/* SawJvm/code.scm 380 */
								BgL_test2843z00_8047 = ((bool_t) 0);
							}
					}
					if (BgL_test2843z00_8047)
						{	/* SawJvm/code.scm 380 */
							BGl_loadzd2regzd2zzsaw_jvm_codez00(BgL_mez00_5607,
								BgL_argz00_5891);
							BGl_branchz00zzsaw_jvm_outz00(((BgL_jvmz00_bglt) BgL_mez00_5607),
								CNST_TABLE_REF(((long) 52)), BINT(BgL_labz00_5892));
						}
					else
						{	/* SawJvm/code.scm 384 */
							BgL_rtl_funz00_bglt BgL_arg2172z00_5905;
							obj_t BgL_arg2173z00_5906;

							BgL_arg2172z00_5905 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5891)))->BgL_funz00);
							BgL_arg2173z00_5906 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_argz00_5891)))->BgL_argsz00);
							BGl_genzd2argszd2genzd2predicatezd2zzsaw_jvm_codez00
								(BgL_arg2172z00_5905, BgL_mez00_5607, BgL_arg2173z00_5906,
								BFALSE, BINT(BgL_labz00_5892));
						}
				}
				return CNST_TABLE_REF(((long) 13));
		}}

	}



/* &gen-fun-rtl_globalre1767 */
	obj_t BGl_z62genzd2funzd2rtl_globalre1767z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5609, obj_t BgL_funz00_5610, obj_t BgL_mez00_5611)
	{
		{	/* SawJvm/code.scm 366 */
			{	/* SawJvm/code.scm 367 */
				BgL_globalz00_bglt BgL_varz00_5908;

				BgL_varz00_5908 =
					(((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_funz00_5610)))->BgL_varz00);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5611), CNST_TABLE_REF(((long) 101)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5611), CNST_TABLE_REF(((long) 64)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5611), CNST_TABLE_REF(((long) 102)));
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5611), CNST_TABLE_REF(((long) 64)));
				{	/* SawJvm/code.scm 372 */
					int BgL_arg2170z00_5909;

					{
						BgL_indexedz00_bglt BgL_auxz00_8093;

						{
							obj_t BgL_auxz00_8094;

							{	/* SawJvm/code.scm 372 */
								BgL_objectz00_bglt BgL_tmpz00_8095;

								BgL_tmpz00_8095 =
									((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5908));
								BgL_auxz00_8094 = BGL_OBJECT_WIDENING(BgL_tmpz00_8095);
							}
							BgL_auxz00_8093 = ((BgL_indexedz00_bglt) BgL_auxz00_8094);
						}
						BgL_arg2170z00_5909 =
							(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_8093))->BgL_indexz00);
					}
					BGl_pushzd2intzd2zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_5611), BINT(BgL_arg2170z00_5909));
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5611), CNST_TABLE_REF(((long) 103)));
		}}

	}



/* &gen-fun-rtl_storeg1765 */
	obj_t BGl_z62genzd2funzd2rtl_storeg1765z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5612, obj_t BgL_funz00_5613, obj_t BgL_mez00_5614)
	{
		{	/* SawJvm/code.scm 362 */
			{	/* SawJvm/code.scm 363 */
				obj_t BgL_arg2166z00_5911;

				{	/* SawJvm/code.scm 363 */
					obj_t BgL_arg2167z00_5912;

					{	/* SawJvm/code.scm 363 */
						obj_t BgL_arg2168z00_5913;

						{	/* SawJvm/code.scm 363 */
							BgL_globalz00_bglt BgL_arg2169z00_5914;

							BgL_arg2169z00_5914 =
								(((BgL_rtl_storegz00_bglt) COBJECT(
										((BgL_rtl_storegz00_bglt) BgL_funz00_5613)))->BgL_varz00);
							BgL_arg2168z00_5913 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5614), BgL_arg2169z00_5914);
						}
						BgL_arg2167z00_5912 = MAKE_YOUNG_PAIR(BgL_arg2168z00_5913, BNIL);
					}
					BgL_arg2166z00_5911 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 104)), BgL_arg2167z00_5912);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5614), BgL_arg2166z00_5911);
			}
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* &gen-fun-rtl_loadg1763 */
	obj_t BGl_z62genzd2funzd2rtl_loadg1763z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5615, obj_t BgL_funz00_5616, obj_t BgL_mez00_5617)
	{
		{	/* SawJvm/code.scm 359 */
			{	/* SawJvm/code.scm 360 */
				obj_t BgL_arg2162z00_5916;

				{	/* SawJvm/code.scm 360 */
					obj_t BgL_arg2163z00_5917;

					{	/* SawJvm/code.scm 360 */
						obj_t BgL_arg2164z00_5918;

						{	/* SawJvm/code.scm 360 */
							BgL_globalz00_bglt BgL_arg2165z00_5919;

							BgL_arg2165z00_5919 =
								(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_funz00_5616)))->BgL_varz00);
							BgL_arg2164z00_5918 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_5617), BgL_arg2165z00_5919);
						}
						BgL_arg2163z00_5917 = MAKE_YOUNG_PAIR(BgL_arg2164z00_5918, BNIL);
					}
					BgL_arg2162z00_5916 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 105)), BgL_arg2163z00_5917);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_5617), BgL_arg2162z00_5916);
			}
		}

	}



/* &gen-fun-rtl_loadi1761 */
	obj_t BGl_z62genzd2funzd2rtl_loadi1761z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5618, obj_t BgL_funz00_5619, obj_t BgL_mez00_5620)
	{
		{	/* SawJvm/code.scm 322 */
			{	/* SawJvm/code.scm 323 */
				BgL_atomz00_bglt BgL_constantz00_5921;

				BgL_constantz00_5921 =
					(((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_funz00_5619)))->BgL_constantz00);
				{	/* SawJvm/code.scm 324 */
					obj_t BgL_valuez00_5922;

					BgL_valuez00_5922 =
						(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_5921))->BgL_valuez00);
					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_5922))
						{	/* SawJvm/code.scm 327 */
							obj_t BgL_arg2150z00_5923;

							BgL_arg2150z00_5923 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_constantz00_5921)))->
											BgL_typez00)))->BgL_namez00);
							return BGl_pushzd2numzd2zzsaw_jvm_outz00(((BgL_jvmz00_bglt)
									BgL_mez00_5620), BgL_valuez00_5922, BgL_arg2150z00_5923);
						}
					else
						{	/* SawJvm/code.scm 326 */
							if (NULLP(BgL_valuez00_5922))
								{	/* SawJvm/code.scm 328 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_5620),
										CNST_TABLE_REF(((long) 36)));
								}
							else
								{	/* SawJvm/code.scm 328 */
									if (BOOLEANP(BgL_valuez00_5922))
										{	/* SawJvm/code.scm 331 */
											long BgL_arg2155z00_5924;

											if (CBOOL(BgL_valuez00_5922))
												{	/* SawJvm/code.scm 331 */
													BgL_arg2155z00_5924 = ((long) 1);
												}
											else
												{	/* SawJvm/code.scm 331 */
													BgL_arg2155z00_5924 = ((long) 0);
												}
											return
												BGl_pushzd2intzd2zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_5620),
												BINT(BgL_arg2155z00_5924));
										}
									else
										{	/* SawJvm/code.scm 330 */
											if (CHARP(BgL_valuez00_5922))
												{	/* SawJvm/code.scm 333 */
													long BgL_arg2157z00_5925;

													BgL_arg2157z00_5925 = (CCHAR(BgL_valuez00_5922));
													return
														BGl_pushzd2intzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_5620),
														BINT(BgL_arg2157z00_5925));
												}
											else
												{	/* SawJvm/code.scm 332 */
													if (STRINGP(BgL_valuez00_5922))
														{	/* SawJvm/code.scm 334 */
															BGl_pushzd2stringzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_5620),
																BgL_valuez00_5922);
															return
																BGl_codez12z12zzsaw_jvm_outz00((
																	(BgL_jvmz00_bglt) BgL_mez00_5620),
																CNST_TABLE_REF(((long) 106)));
														}
													else
														{	/* SawJvm/code.scm 334 */
															if (EOF_OBJECTP(BgL_valuez00_5922))
																{	/* SawJvm/code.scm 338 */
																	return
																		BGl_codez12z12zzsaw_jvm_outz00(
																		((BgL_jvmz00_bglt) BgL_mez00_5620),
																		CNST_TABLE_REF(((long) 107)));
																}
															else
																{	/* SawJvm/code.scm 338 */
																	if ((BgL_valuez00_5922 == (BOPTIONAL)))
																		{	/* SawJvm/code.scm 340 */
																			return
																				BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_5620),
																				CNST_TABLE_REF(((long) 108)));
																		}
																	else
																		{	/* SawJvm/code.scm 340 */
																			if ((BgL_valuez00_5922 == (BREST)))
																				{	/* SawJvm/code.scm 342 */
																					return
																						BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_5620),
																						CNST_TABLE_REF(((long) 109)));
																				}
																			else
																				{	/* SawJvm/code.scm 342 */
																					if ((BgL_valuez00_5922 == (BKEY)))
																						{	/* SawJvm/code.scm 344 */
																							return
																								BGl_codez12z12zzsaw_jvm_outz00(
																								((BgL_jvmz00_bglt)
																									BgL_mez00_5620),
																								CNST_TABLE_REF(((long) 110)));
																						}
																					else
																						{	/* SawJvm/code.scm 344 */
																							if (
																								(BgL_valuez00_5922 == BUNSPEC))
																								{	/* SawJvm/code.scm 346 */
																									return
																										BGl_codez12z12zzsaw_jvm_outz00
																										(((BgL_jvmz00_bglt)
																											BgL_mez00_5620),
																										CNST_TABLE_REF(((long)
																												14)));
																								}
																							else
																								{	/* SawJvm/code.scm 346 */
																									if (UCS2P(BgL_valuez00_5922))
																										{	/* SawJvm/code.scm 348 */
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5620),
																												CNST_TABLE_REF(((long)
																														111)));
																											BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5620),
																												CNST_TABLE_REF(((long)
																														64)));
																											{	/* SawJvm/code.scm 352 */
																												int BgL_arg2161z00_5926;

																												{	/* SawJvm/code.scm 352 */
																													ucs2_t
																														BgL_ucs2z00_5927;
																													BgL_ucs2z00_5927 =
																														CUCS2
																														(BgL_valuez00_5922);
																													{	/* SawJvm/code.scm 352 */
																														obj_t
																															BgL_tmpz00_8196;
																														BgL_tmpz00_8196 =
																															BUCS2
																															(BgL_ucs2z00_5927);
																														BgL_arg2161z00_5926
																															=
																															CUCS2
																															(BgL_tmpz00_8196);
																												}}
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(((BgL_jvmz00_bglt)
																														BgL_mez00_5620),
																													BINT
																													(BgL_arg2161z00_5926));
																											}
																											return
																												BGl_codez12z12zzsaw_jvm_outz00
																												(((BgL_jvmz00_bglt)
																													BgL_mez00_5620),
																												CNST_TABLE_REF(((long)
																														112)));
																										}
																									else
																										{	/* SawJvm/code.scm 348 */
																											return
																												BGl_errorz00zz__errorz00
																												(BGl_string2571z00zzsaw_jvm_codez00,
																												BGl_string2572z00zzsaw_jvm_codez00,
																												BgL_valuez00_5922);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* &gen-fun-rtl_mov1759 */
	obj_t BGl_z62genzd2funzd2rtl_mov1759z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5621, obj_t BgL_funz00_5622, obj_t BgL_mez00_5623)
	{
		{	/* SawJvm/code.scm 316 */
			return CNST_TABLE_REF(((long) 55));
		}

	}



/* &gen-fun-rtl_nop1757 */
	obj_t BGl_z62genzd2funzd2rtl_nop1757z62zzsaw_jvm_codez00(obj_t
		BgL_envz00_5624, obj_t BgL_funz00_5625, obj_t BgL_mez00_5626)
	{
		{	/* SawJvm/code.scm 313 */
			return CNST_TABLE_REF(((long) 13));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_codez00(void)
	{
		{	/* SawJvm/code.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(((long) 437600037),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(((long) 282450876),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 252555369),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
			return
				BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 476839586),
				BSTRING_TO_STRING(BGl_string2573z00zzsaw_jvm_codez00));
		}

	}

#ifdef __cplusplus
}
#endif
