/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	static obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	static BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
	static bool_t
		BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long, BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2132z62zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2138z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62lambda2146z62zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2147z62zzsaw_jvm_funcallz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int);
	static obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	static obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t __cnst[55];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2287z00,
		BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2288z00,
		BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2setz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2289z00,
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2290z00,
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2291z00,
		BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2292z00,
		BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2293z00,
		BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2294z00,
		BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nil2295z00,
		BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2296z00,
		BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2270z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2270za700za7za7s2297za7, "unknown type", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762makeza7d2indexe2298z00,
		BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string2271z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2271za700za7za7s2299za7, "funcall light", 13);
	      DEFINE_STRING(BGl_string2272z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2272za700za7za7s2300za7, "internal error", 14);
	      DEFINE_STRING(BGl_string2273z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2273za700za7za7s2301za7, "L", 1);
	      DEFINE_STRING(BGl_string2274z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2274za700za7za7s2302za7, "funcall", 7);
	      DEFINE_STRING(BGl_string2275z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2275za700za7za7s2303za7, "p", 1);
	      DEFINE_STRING(BGl_string2276z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2276za700za7za7s2304za7, "make_vector", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2305z00,
		BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2283z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2283za700za7za7s2306za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2147za7622307z00,
		BGl_z62lambda2147z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2284z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2284za700za7za7s2308za7, "saw_jvm_funcall", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2146za7622309z00,
		BGl_z62lambda2146z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2285z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2285za700za7za7s2310za7,
		"_ saw_jvm_funcall indexed index (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply #z1 (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) invokespecial #z-1 (aload this) this light checkcast dload fload lload iload (athrow) (invokestatic fail) tableswitch err (areturn) (dreturn) double (freturn) float (lreturn) long (ireturn) int short char byte boolean (return) void compile-bad-type (getfield procindex) aload (private static) me ",
		551);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2138za7622311z00,
		BGl_z62lambda2138z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2135za7622313z00,
		BGl_z62lambda2135z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2132za7622314z00,
		BGl_z62lambda2132z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2315z00,
		BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2316z00,
		BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2317z00,
		BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2318z00,
		BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2srczd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2319z00,
		BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2320z00,
		BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2321z00,
		BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2322z00,
		BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2323z00,
		BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2324z00,
		BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2325z00,
		BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2326z00,
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2typezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2327z00,
		BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2328z00,
		BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2lightzd2funcallzd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2ligh2329z00,
		BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2330z00,
		BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2srczd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2331z00,
		BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2332z00,
		BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2333z00,
		BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2334z00,
		BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2335z00,
		BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2336z00,
		BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2337z00,
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7f3za7912338za7,
		BGl_z62indexedzf3z91zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2typezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2339z00,
		BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2idzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2idza72340za7,
		BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2initzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2341z00,
		BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2342z00,
		BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2343z00,
		BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2initzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2344z00,
		BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2345z00,
		BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2jvmzd2typezd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2jvm2346z00,
		BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2347z00,
		BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2func2348z00,
		BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00));
		     ADD_ROOT((void *) (&BGl_indexedz00zzsaw_jvm_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_4572, char *BgL_fromz00_4573)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					return BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_4483;

				{	/* SawJvm/funcall.scm 1 */
					obj_t BgL_stringz00_4490;

					BgL_stringz00_4490 = BGl_string2285z00zzsaw_jvm_funcallz00;
					{	/* SawJvm/funcall.scm 1 */
						obj_t BgL_startz00_4491;

						BgL_startz00_4491 = BINT(((long) 0));
						{	/* SawJvm/funcall.scm 1 */
							obj_t BgL_endz00_4492;

							BgL_endz00_4492 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4490)));
							{	/* SawJvm/funcall.scm 1 */

								BgL_cportz00_4483 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4490, BgL_startz00_4491, BgL_endz00_4492);
				}}}}
				{
					long BgL_iz00_4484;

					BgL_iz00_4484 = ((long) 54);
				BgL_loopz00_4485:
					if ((BgL_iz00_4484 == ((long) -1)))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg2286z00_4486;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_4488;

										BgL_locationz00_4488 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg2286z00_4486 =
												BGl_readz00zz__readerz00(BgL_cportz00_4483,
												BgL_locationz00_4488);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_tmpz00_4604;

									BgL_tmpz00_4604 = (int) (BgL_iz00_4484);
									CNST_TABLE_SET(BgL_tmpz00_4604, BgL_arg2286z00_4486);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_4489;

								BgL_auxz00_4489 = (int) ((BgL_iz00_4484 - ((long) 1)));
								{
									long BgL_iz00_4609;

									BgL_iz00_4609 = (long) (BgL_auxz00_4489);
									BgL_iz00_4484 = BgL_iz00_4609;
									goto BgL_loopz00_4485;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id1175z00_3,
		obj_t BgL_name1176z00_4, BgL_typez00_bglt BgL_type1177z00_5,
		BgL_valuez00_bglt BgL_value1178z00_6, obj_t BgL_access1179z00_7,
		obj_t BgL_fastzd2alpha1180zd2_8, obj_t BgL_removable1181z00_9,
		long BgL_occurrence1182z00_10, long BgL_occurrencew1183z00_11,
		bool_t BgL_userzf31184zf3_12, obj_t BgL_module1185z00_13,
		obj_t BgL_import1186z00_14, bool_t BgL_evaluablezf31187zf3_15,
		bool_t BgL_evalzf31188zf3_16, obj_t BgL_library1189z00_17,
		obj_t BgL_pragma1190z00_18, obj_t BgL_src1191z00_19,
		obj_t BgL_jvmzd2typezd2name1192z00_20, obj_t BgL_init1193z00_21,
		obj_t BgL_alias1194z00_22, int BgL_index1195z00_23)
	{
		{	/* SawJvm/funcall.sch 62 */
			{	/* SawJvm/funcall.sch 62 */
				BgL_globalz00_bglt BgL_new1185z00_4494;

				{	/* SawJvm/funcall.sch 62 */
					BgL_globalz00_bglt BgL_tmp1183z00_4495;
					BgL_indexedz00_bglt BgL_wide1184z00_4496;

					{
						BgL_globalz00_bglt BgL_auxz00_4612;

						{	/* SawJvm/funcall.sch 62 */
							BgL_globalz00_bglt BgL_new1182z00_4497;

							BgL_new1182z00_4497 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* SawJvm/funcall.sch 62 */
								long BgL_arg1728z00_4498;

								BgL_arg1728z00_4498 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1182z00_4497),
									BgL_arg1728z00_4498);
							}
							{	/* SawJvm/funcall.sch 62 */
								BgL_objectz00_bglt BgL_tmpz00_4617;

								BgL_tmpz00_4617 = ((BgL_objectz00_bglt) BgL_new1182z00_4497);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4617, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1182z00_4497);
							BgL_auxz00_4612 = BgL_new1182z00_4497;
						}
						BgL_tmp1183z00_4495 = ((BgL_globalz00_bglt) BgL_auxz00_4612);
					}
					BgL_wide1184z00_4496 =
						((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_indexedz00_bgl))));
					{	/* SawJvm/funcall.sch 62 */
						obj_t BgL_auxz00_4625;
						BgL_objectz00_bglt BgL_tmpz00_4623;

						BgL_auxz00_4625 = ((obj_t) BgL_wide1184z00_4496);
						BgL_tmpz00_4623 = ((BgL_objectz00_bglt) BgL_tmp1183z00_4495);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4623, BgL_auxz00_4625);
					}
					((BgL_objectz00_bglt) BgL_tmp1183z00_4495);
					{	/* SawJvm/funcall.sch 62 */
						long BgL_arg1723z00_4499;

						BgL_arg1723z00_4499 =
							BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1183z00_4495), BgL_arg1723z00_4499);
					}
					BgL_new1185z00_4494 = ((BgL_globalz00_bglt) BgL_tmp1183z00_4495);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1185z00_4494)))->BgL_idz00) =
					((obj_t) BgL_id1175z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_namez00) =
					((obj_t) BgL_name1176z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1177z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1178z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_accessz00) =
					((obj_t) BgL_access1179z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1180zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_removablez00) =
					((obj_t) BgL_removable1181z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_occurrencez00) =
					((long) BgL_occurrence1182z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1183z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1185z00_4494)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31184zf3_12), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_modulez00) =
					((obj_t) BgL_module1185z00_13), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_importz00) =
					((obj_t) BgL_import1186z00_14), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31187zf3_15), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31188zf3_16), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_libraryz00) =
					((obj_t) BgL_library1189z00_17), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1190z00_18), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_srcz00) =
					((obj_t) BgL_src1191z00_19), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1192z00_20), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_initz00) =
					((obj_t) BgL_init1193z00_21), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1185z00_4494)))->BgL_aliasz00) =
					((obj_t) BgL_alias1194z00_22), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_4673;

					{
						obj_t BgL_auxz00_4674;

						{	/* SawJvm/funcall.sch 62 */
							BgL_objectz00_bglt BgL_tmpz00_4675;

							BgL_tmpz00_4675 = ((BgL_objectz00_bglt) BgL_new1185z00_4494);
							BgL_auxz00_4674 = BGL_OBJECT_WIDENING(BgL_tmpz00_4675);
						}
						BgL_auxz00_4673 = ((BgL_indexedz00_bglt) BgL_auxz00_4674);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4673))->BgL_indexz00) =
						((int) BgL_index1195z00_23), BUNSPEC);
				}
				return BgL_new1185z00_4494;
			}
		}

	}



/* &make-indexed */
	BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4286, obj_t BgL_id1175z00_4287, obj_t BgL_name1176z00_4288,
		obj_t BgL_type1177z00_4289, obj_t BgL_value1178z00_4290,
		obj_t BgL_access1179z00_4291, obj_t BgL_fastzd2alpha1180zd2_4292,
		obj_t BgL_removable1181z00_4293, obj_t BgL_occurrence1182z00_4294,
		obj_t BgL_occurrencew1183z00_4295, obj_t BgL_userzf31184zf3_4296,
		obj_t BgL_module1185z00_4297, obj_t BgL_import1186z00_4298,
		obj_t BgL_evaluablezf31187zf3_4299, obj_t BgL_evalzf31188zf3_4300,
		obj_t BgL_library1189z00_4301, obj_t BgL_pragma1190z00_4302,
		obj_t BgL_src1191z00_4303, obj_t BgL_jvmzd2typezd2name1192z00_4304,
		obj_t BgL_init1193z00_4305, obj_t BgL_alias1194z00_4306,
		obj_t BgL_index1195z00_4307)
	{
		{	/* SawJvm/funcall.sch 62 */
			return
				BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id1175z00_4287,
				BgL_name1176z00_4288, ((BgL_typez00_bglt) BgL_type1177z00_4289),
				((BgL_valuez00_bglt) BgL_value1178z00_4290), BgL_access1179z00_4291,
				BgL_fastzd2alpha1180zd2_4292, BgL_removable1181z00_4293,
				(long) CINT(BgL_occurrence1182z00_4294),
				(long) CINT(BgL_occurrencew1183z00_4295),
				CBOOL(BgL_userzf31184zf3_4296), BgL_module1185z00_4297,
				BgL_import1186z00_4298, CBOOL(BgL_evaluablezf31187zf3_4299),
				CBOOL(BgL_evalzf31188zf3_4300), BgL_library1189z00_4301,
				BgL_pragma1190z00_4302, BgL_src1191z00_4303,
				BgL_jvmzd2typezd2name1192z00_4304, BgL_init1193z00_4305,
				BgL_alias1194z00_4306, CINT(BgL_index1195z00_4307));
		}

	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_objz00_24)
	{
		{	/* SawJvm/funcall.sch 63 */
			{	/* SawJvm/funcall.sch 63 */
				obj_t BgL_classz00_4500;

				BgL_classz00_4500 = BGl_indexedz00zzsaw_jvm_funcallz00;
				if (BGL_OBJECTP(BgL_objz00_24))
					{	/* SawJvm/funcall.sch 63 */
						BgL_objectz00_bglt BgL_arg1820z00_4501;

						BgL_arg1820z00_4501 = (BgL_objectz00_bglt) (BgL_objz00_24);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawJvm/funcall.sch 63 */
								long BgL_idxz00_4502;

								BgL_idxz00_4502 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4501);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4502 + ((long) 3))) == BgL_classz00_4500);
							}
						else
							{	/* SawJvm/funcall.sch 63 */
								bool_t BgL_res2258z00_4505;

								{	/* SawJvm/funcall.sch 63 */
									obj_t BgL_oclassz00_4506;

									{	/* SawJvm/funcall.sch 63 */
										long BgL_arg1828z00_4507;

										{	/* SawJvm/funcall.sch 63 */
											long BgL_arg1829z00_4508;

											BgL_arg1829z00_4508 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4501);
											BgL_arg1828z00_4507 = (BgL_arg1829z00_4508 - OBJECT_TYPE);
										}
										BgL_oclassz00_4506 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4507);
									}
									{	/* SawJvm/funcall.sch 63 */
										bool_t BgL__ortest_1111z00_4509;

										BgL__ortest_1111z00_4509 =
											(BgL_classz00_4500 == BgL_oclassz00_4506);
										if (BgL__ortest_1111z00_4509)
											{	/* SawJvm/funcall.sch 63 */
												BgL_res2258z00_4505 = BgL__ortest_1111z00_4509;
											}
										else
											{	/* SawJvm/funcall.sch 63 */
												long BgL_odepthz00_4510;

												BgL_odepthz00_4510 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4506);
												if ((((long) 3) < BgL_odepthz00_4510))
													{	/* SawJvm/funcall.sch 63 */
														obj_t BgL_arg1816z00_4511;

														BgL_arg1816z00_4511 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4506,
															((long) 3));
														BgL_res2258z00_4505 =
															(BgL_arg1816z00_4511 == BgL_classz00_4500);
													}
												else
													{	/* SawJvm/funcall.sch 63 */
														BgL_res2258z00_4505 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2258z00_4505;
							}
					}
				else
					{	/* SawJvm/funcall.sch 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &indexed? */
	obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t BgL_envz00_4308,
		obj_t BgL_objz00_4309)
	{
		{	/* SawJvm/funcall.sch 63 */
			return BBOOL(BGl_indexedzf3zf3zzsaw_jvm_funcallz00(BgL_objz00_4309));
		}

	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.sch 64 */
			{	/* SawJvm/funcall.sch 64 */
				obj_t BgL_classz00_3769;

				BgL_classz00_3769 = BGl_indexedz00zzsaw_jvm_funcallz00;
				{	/* SawJvm/funcall.sch 64 */
					obj_t BgL__ortest_1113z00_3770;

					BgL__ortest_1113z00_3770 = BGL_CLASS_NIL(BgL_classz00_3769);
					if (CBOOL(BgL__ortest_1113z00_3770))
						{	/* SawJvm/funcall.sch 64 */
							return ((BgL_globalz00_bglt) BgL__ortest_1113z00_3770);
						}
					else
						{	/* SawJvm/funcall.sch 64 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3769));
						}
				}
			}
		}

	}



/* &indexed-nil */
	BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4310)
	{
		{	/* SawJvm/funcall.sch 64 */
			return BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
		}

	}



/* indexed-index */
	BGL_EXPORTED_DEF int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_25)
	{
		{	/* SawJvm/funcall.sch 65 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4717;

				{
					obj_t BgL_auxz00_4718;

					{	/* SawJvm/funcall.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4719;

						BgL_tmpz00_4719 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4718 = BGL_OBJECT_WIDENING(BgL_tmpz00_4719);
					}
					BgL_auxz00_4717 = ((BgL_indexedz00_bglt) BgL_auxz00_4718);
				}
				return (((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4717))->BgL_indexz00);
			}
		}

	}



/* &indexed-index */
	obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4311,
		obj_t BgL_oz00_4312)
	{
		{	/* SawJvm/funcall.sch 65 */
			return
				BINT(BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4312)));
		}

	}



/* indexed-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_26, int BgL_vz00_27)
	{
		{	/* SawJvm/funcall.sch 66 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4727;

				{
					obj_t BgL_auxz00_4728;

					{	/* SawJvm/funcall.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4729;

						BgL_tmpz00_4729 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4728 = BGL_OBJECT_WIDENING(BgL_tmpz00_4729);
					}
					BgL_auxz00_4727 = ((BgL_indexedz00_bglt) BgL_auxz00_4728);
				}
				return
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4727))->BgL_indexz00) =
					((int) BgL_vz00_27), BUNSPEC);
		}}

	}



/* &indexed-index-set! */
	obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4313, obj_t BgL_oz00_4314, obj_t BgL_vz00_4315)
	{
		{	/* SawJvm/funcall.sch 66 */
			return
				BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4314), CINT(BgL_vz00_4315));
		}

	}



/* indexed-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_28)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_aliasz00);
		}

	}



/* &indexed-alias */
	obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4316,
		obj_t BgL_oz00_4317)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4317));
		}

	}



/* indexed-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_29)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &indexed-alias-set! */
	obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4318, obj_t BgL_oz00_4319, obj_t BgL_vz00_4320)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4319), BgL_vz00_4320);
		}

	}



/* indexed-init */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_31)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_31)))->BgL_initz00);
		}

	}



/* &indexed-init */
	obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4321,
		obj_t BgL_oz00_4322)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4322));
		}

	}



/* indexed-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_32)))->BgL_initz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &indexed-init-set! */
	obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4323, obj_t BgL_oz00_4324, obj_t BgL_vz00_4325)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4324), BgL_vz00_4325);
		}

	}



/* indexed-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_34)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_34)))->BgL_jvmzd2typezd2namez00);
		}

	}



/* &indexed-jvm-type-name */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4326, obj_t BgL_oz00_4327)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4327));
		}

	}



/* indexed-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_35)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &indexed-jvm-type-name-set! */
	obj_t BGl_z62indexedzd2jvmzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4328, obj_t BgL_oz00_4329, obj_t BgL_vz00_4330)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				BGl_indexedzd2jvmzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4329), BgL_vz00_4330);
		}

	}



/* indexed-src */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_37)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_37)))->BgL_srcz00);
		}

	}



/* &indexed-src */
	obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4331,
		obj_t BgL_oz00_4332)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4332));
		}

	}



/* indexed-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_38)))->BgL_srcz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &indexed-src-set! */
	obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4333, obj_t BgL_oz00_4334, obj_t BgL_vz00_4335)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4334), BgL_vz00_4335);
		}

	}



/* indexed-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_40)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_40)))->BgL_pragmaz00);
		}

	}



/* &indexed-pragma */
	obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4336,
		obj_t BgL_oz00_4337)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4337));
		}

	}



/* indexed-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_41, obj_t BgL_vz00_42)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_41)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &indexed-pragma-set! */
	obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4338, obj_t BgL_oz00_4339, obj_t BgL_vz00_4340)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4339), BgL_vz00_4340);
		}

	}



/* indexed-library */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_43)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_43)))->BgL_libraryz00);
		}

	}



/* &indexed-library */
	obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4341,
		obj_t BgL_oz00_4342)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4342));
		}

	}



/* indexed-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_44)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &indexed-library-set! */
	obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4343, obj_t BgL_oz00_4344, obj_t BgL_vz00_4345)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4344), BgL_vz00_4345);
		}

	}



/* indexed-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_46)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_46)))->BgL_evalzf3zf3);
		}

	}



/* &indexed-eval? */
	obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4346,
		obj_t BgL_oz00_4347)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				BBOOL(BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4347)));
		}

	}



/* indexed-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_47)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &indexed-eval?-set! */
	obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4348, obj_t BgL_oz00_4349, obj_t BgL_vz00_4350)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4349), CBOOL(BgL_vz00_4350));
		}

	}



/* indexed-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_49)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_49)))->BgL_evaluablezf3zf3);
		}

	}



/* &indexed-evaluable? */
	obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4351, obj_t BgL_oz00_4352)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				BBOOL(BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4352)));
		}

	}



/* indexed-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_50)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &indexed-evaluable?-set! */
	obj_t BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4353, obj_t BgL_oz00_4354, obj_t BgL_vz00_4355)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4354), CBOOL(BgL_vz00_4355));
		}

	}



/* indexed-import */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_52)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_52)))->BgL_importz00);
		}

	}



/* &indexed-import */
	obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4356,
		obj_t BgL_oz00_4357)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4357));
		}

	}



/* indexed-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_53)))->BgL_importz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &indexed-import-set! */
	obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4358, obj_t BgL_oz00_4359, obj_t BgL_vz00_4360)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4359), BgL_vz00_4360);
		}

	}



/* indexed-module */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_55)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_55)))->BgL_modulez00);
		}

	}



/* &indexed-module */
	obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4361,
		obj_t BgL_oz00_4362)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4362));
		}

	}



/* indexed-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_56)))->BgL_modulez00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &indexed-module-set! */
	obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4363, obj_t BgL_oz00_4364, obj_t BgL_vz00_4365)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4364), BgL_vz00_4365);
		}

	}



/* indexed-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_58)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_58)))->BgL_userzf3zf3);
		}

	}



/* &indexed-user? */
	obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4366,
		obj_t BgL_oz00_4367)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				BBOOL(BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4367)));
		}

	}



/* indexed-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_59, bool_t BgL_vz00_60)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_59)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &indexed-user?-set! */
	obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4368, obj_t BgL_oz00_4369, obj_t BgL_vz00_4370)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4369), CBOOL(BgL_vz00_4370));
		}

	}



/* indexed-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_61)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_61)))->BgL_occurrencewz00);
		}

	}



/* &indexed-occurrencew */
	obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4371, obj_t BgL_oz00_4372)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				BINT(BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4372)));
		}

	}



/* indexed-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_62, long BgL_vz00_63)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_62)))->BgL_occurrencewz00) =
				((long) BgL_vz00_63), BUNSPEC);
		}

	}



/* &indexed-occurrencew-set! */
	obj_t BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4373, obj_t BgL_oz00_4374, obj_t BgL_vz00_4375)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4374), (long) CINT(BgL_vz00_4375));
		}

	}



/* indexed-occurrence */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_64)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_64)))->BgL_occurrencez00);
		}

	}



/* &indexed-occurrence */
	obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4376, obj_t BgL_oz00_4377)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				BINT(BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4377)));
		}

	}



/* indexed-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_65, long BgL_vz00_66)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_65)))->BgL_occurrencez00) =
				((long) BgL_vz00_66), BUNSPEC);
		}

	}



/* &indexed-occurrence-set! */
	obj_t BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4378, obj_t BgL_oz00_4379, obj_t BgL_vz00_4380)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4379), (long) CINT(BgL_vz00_4380));
		}

	}



/* indexed-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_67)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_67)))->BgL_removablez00);
		}

	}



/* &indexed-removable */
	obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4381,
		obj_t BgL_oz00_4382)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4382));
		}

	}



/* indexed-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_68)))->BgL_removablez00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &indexed-removable-set! */
	obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4383, obj_t BgL_oz00_4384, obj_t BgL_vz00_4385)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4384), BgL_vz00_4385);
		}

	}



/* indexed-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_70)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_70)))->BgL_fastzd2alphazd2);
		}

	}



/* &indexed-fast-alpha */
	obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4386, obj_t BgL_oz00_4387)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4387));
		}

	}



/* indexed-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_71)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &indexed-fast-alpha-set! */
	obj_t BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4388, obj_t BgL_oz00_4389, obj_t BgL_vz00_4390)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4389), BgL_vz00_4390);
		}

	}



/* indexed-access */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_73)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_73)))->BgL_accessz00);
		}

	}



/* &indexed-access */
	obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4391,
		obj_t BgL_oz00_4392)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4392));
		}

	}



/* indexed-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_74)))->BgL_accessz00) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &indexed-access-set! */
	obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4393, obj_t BgL_oz00_4394, obj_t BgL_vz00_4395)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4394), BgL_vz00_4395);
		}

	}



/* indexed-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_76)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_76)))->BgL_valuez00);
		}

	}



/* &indexed-value */
	BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4396, obj_t BgL_oz00_4397)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4397));
		}

	}



/* indexed-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_77, BgL_valuez00_bglt BgL_vz00_78)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_77)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_78), BUNSPEC);
		}

	}



/* &indexed-value-set! */
	obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4398, obj_t BgL_oz00_4399, obj_t BgL_vz00_4400)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4399),
				((BgL_valuez00_bglt) BgL_vz00_4400));
		}

	}



/* indexed-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_79)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_79)))->BgL_typez00);
		}

	}



/* &indexed-type */
	BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4401, obj_t BgL_oz00_4402)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4402));
		}

	}



/* indexed-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_80, BgL_typez00_bglt BgL_vz00_81)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_80)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_81), BUNSPEC);
		}

	}



/* &indexed-type-set! */
	obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4403, obj_t BgL_oz00_4404, obj_t BgL_vz00_4405)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4404),
				((BgL_typez00_bglt) BgL_vz00_4405));
		}

	}



/* indexed-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &indexed-name */
	obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4406,
		obj_t BgL_oz00_4407)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4407));
		}

	}



/* indexed-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &indexed-name-set! */
	obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4408, obj_t BgL_oz00_4409, obj_t BgL_vz00_4410)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4409), BgL_vz00_4410);
		}

	}



/* indexed-id */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_85)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_85)))->BgL_idz00);
		}

	}



/* &indexed-id */
	obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4411,
		obj_t BgL_oz00_4412)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4412));
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_88)
	{
		{	/* SawJvm/funcall.scm 22 */
			{	/* SawJvm/funcall.scm 23 */
				BgL_globalz00_bglt BgL_vz00_2505;

				BgL_vz00_2505 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_88));
				{	/* SawJvm/funcall.scm 24 */
					BgL_valuez00_bglt BgL_valz00_2506;

					BgL_valz00_2506 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2505)))->BgL_valuez00);
					{	/* SawJvm/funcall.scm 25 */
						bool_t BgL_test2356z00_4909;

						{	/* SawJvm/funcall.scm 25 */
							obj_t BgL_classz00_3774;

							BgL_classz00_3774 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/funcall.scm 25 */
								BgL_objectz00_bglt BgL_arg1820z00_3776;

								{	/* SawJvm/funcall.scm 25 */
									obj_t BgL_tmpz00_4910;

									BgL_tmpz00_4910 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2506));
									BgL_arg1820z00_3776 = (BgL_objectz00_bglt) (BgL_tmpz00_4910);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/funcall.scm 25 */
										long BgL_idxz00_3782;

										BgL_idxz00_3782 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3776);
										BgL_test2356z00_4909 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3782 + ((long) 3))) == BgL_classz00_3774);
									}
								else
									{	/* SawJvm/funcall.scm 25 */
										bool_t BgL_res2259z00_3804;

										{	/* SawJvm/funcall.scm 25 */
											obj_t BgL_oclassz00_3790;

											{	/* SawJvm/funcall.scm 25 */
												long BgL_arg1828z00_3796;

												{	/* SawJvm/funcall.scm 25 */
													long BgL_arg1829z00_3797;

													BgL_arg1829z00_3797 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3776);
													BgL_arg1828z00_3796 =
														(BgL_arg1829z00_3797 - OBJECT_TYPE);
												}
												BgL_oclassz00_3790 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3796);
											}
											{	/* SawJvm/funcall.scm 25 */
												bool_t BgL__ortest_1111z00_3791;

												BgL__ortest_1111z00_3791 =
													(BgL_classz00_3774 == BgL_oclassz00_3790);
												if (BgL__ortest_1111z00_3791)
													{	/* SawJvm/funcall.scm 25 */
														BgL_res2259z00_3804 = BgL__ortest_1111z00_3791;
													}
												else
													{	/* SawJvm/funcall.scm 25 */
														long BgL_odepthz00_3792;

														BgL_odepthz00_3792 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3790);
														if ((((long) 3) < BgL_odepthz00_3792))
															{	/* SawJvm/funcall.scm 25 */
																obj_t BgL_arg1816z00_3794;

																BgL_arg1816z00_3794 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3790,
																	((long) 3));
																BgL_res2259z00_3804 =
																	(BgL_arg1816z00_3794 == BgL_classz00_3774);
															}
														else
															{	/* SawJvm/funcall.scm 25 */
																BgL_res2259z00_3804 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2356z00_4909 = BgL_res2259z00_3804;
									}
							}
						}
						if (BgL_test2356z00_4909)
							{	/* SawJvm/funcall.scm 26 */
								obj_t BgL_cloz00_2508;

								BgL_cloz00_2508 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2506)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/funcall.scm 27 */
									bool_t BgL_oz00_2509;
									bool_t BgL_kz00_2510;

									BgL_oz00_2509 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2508);
									BgL_kz00_2510 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2508);
									if (BgL_oz00_2509)
										{	/* SawJvm/funcall.scm 28 */
											return BgL_oz00_2509;
										}
									else
										{	/* SawJvm/funcall.scm 28 */
											return BgL_kz00_2510;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 25 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-light-funcall */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_89)
	{
		{	/* SawJvm/funcall.scm 32 */
			{	/* SawJvm/funcall.scm 34 */
				obj_t BgL_g1640z00_2513;

				BgL_g1640z00_2513 =
					(((BgL_jvmz00_bglt) COBJECT(BgL_mez00_89))->BgL_lightzd2funcallszd2);
				{
					obj_t BgL_l1638z00_2515;

					{	/* SawJvm/funcall.scm 34 */
						bool_t BgL_tmpz00_4936;

						BgL_l1638z00_2515 = BgL_g1640z00_2513;
					BgL_zc3z04anonymousza31730ze3z87_2516:
						if (PAIRP(BgL_l1638z00_2515))
							{	/* SawJvm/funcall.scm 34 */
								{	/* SawJvm/funcall.scm 35 */
									obj_t BgL_insz00_2518;

									BgL_insz00_2518 = CAR(BgL_l1638z00_2515);
									{	/* SawJvm/funcall.scm 36 */
										obj_t BgL_arg1734z00_2520;
										obj_t BgL_arg1736z00_2521;
										obj_t BgL_arg1738z00_2522;

										BgL_arg1734z00_2520 =
											(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
													((BgL_rtl_lightfuncallz00_bglt) BgL_insz00_2518)))->
											BgL_namez00);
										BgL_arg1736z00_2521 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2518)))->BgL_funsz00);
										BgL_arg1738z00_2522 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2518)))->BgL_rettypez00);
										BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_mez00_89,
											BgL_arg1734z00_2520, BgL_arg1736z00_2521,
											BgL_arg1738z00_2522);
									}
								}
								{
									obj_t BgL_l1638z00_4947;

									BgL_l1638z00_4947 = CDR(BgL_l1638z00_2515);
									BgL_l1638z00_2515 = BgL_l1638z00_4947;
									goto BgL_zc3z04anonymousza31730ze3z87_2516;
								}
							}
						else
							{	/* SawJvm/funcall.scm 34 */
								BgL_tmpz00_4936 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4936);
					}
				}
			}
		}

	}



/* &module-light-funcall */
	obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4413, obj_t BgL_mez00_4414)
	{
		{	/* SawJvm/funcall.scm 32 */
			return
				BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4414));
		}

	}



/* funcall-light */
	obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_90,
		obj_t BgL_namez00_91, obj_t BgL_funsz00_92, obj_t BgL_rettypez00_93)
	{
		{	/* SawJvm/funcall.scm 39 */
			{
				obj_t BgL_tz00_2555;
				BgL_variablez00_bglt BgL_gz00_2594;

				{	/* SawJvm/funcall.scm 70 */
					obj_t BgL_fz00_2532;

					BgL_fz00_2532 = CAR(((obj_t) BgL_funsz00_92));
					{	/* SawJvm/funcall.scm 70 */
						BgL_variablez00_bglt BgL_gz00_2533;

						BgL_gz00_2533 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_fz00_2532)))->BgL_variablez00);
						{	/* SawJvm/funcall.scm 71 */
							obj_t BgL_trz00_2534;

							BgL_trz00_2534 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
								((BgL_typez00_bglt) BgL_rettypez00_93));
							{	/* SawJvm/funcall.scm 72 */
								obj_t BgL_talz00_2535;

								BgL_gz00_2594 = BgL_gz00_2533;
								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_argsz00_2596;

									BgL_argsz00_2596 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_2594))))->
														BgL_valuez00))))->BgL_argsz00);
									{	/* SawJvm/funcall.scm 67 */
										obj_t BgL_arg1781z00_2597;
										obj_t BgL_arg1785z00_2598;

										{	/* SawJvm/funcall.scm 67 */
											obj_t BgL_arg1787z00_2599;

											BgL_arg1787z00_2599 = CAR(((obj_t) BgL_argsz00_2596));
											{	/* SawJvm/funcall.scm 52 */
												obj_t BgL_arg1763z00_3880;

												BgL_arg1763z00_3880 =
													BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
													(BgL_arg1787z00_2599);
												BgL_arg1781z00_2597 =
													BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
													((BgL_typez00_bglt) BgL_arg1763z00_3880));
											}
										}
										{	/* SawJvm/funcall.scm 68 */
											obj_t BgL_l1641z00_2600;

											BgL_l1641z00_2600 = CDR(((obj_t) BgL_argsz00_2596));
											if (NULLP(BgL_l1641z00_2600))
												{	/* SawJvm/funcall.scm 68 */
													BgL_arg1785z00_2598 = BNIL;
												}
											else
												{	/* SawJvm/funcall.scm 68 */
													obj_t BgL_head1643z00_2602;

													BgL_head1643z00_2602 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1641z00_2604;
														obj_t BgL_tail1644z00_2605;

														BgL_l1641z00_2604 = BgL_l1641z00_2600;
														BgL_tail1644z00_2605 = BgL_head1643z00_2602;
													BgL_zc3z04anonymousza31789ze3z87_2606:
														if (NULLP(BgL_l1641z00_2604))
															{	/* SawJvm/funcall.scm 68 */
																BgL_arg1785z00_2598 = CDR(BgL_head1643z00_2602);
															}
														else
															{	/* SawJvm/funcall.scm 68 */
																obj_t BgL_newtail1645z00_2608;

																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1812z00_2610;

																	{	/* SawJvm/funcall.scm 68 */
																		obj_t BgL_az00_2611;

																		BgL_az00_2611 =
																			CAR(((obj_t) BgL_l1641z00_2604));
																		{	/* SawJvm/funcall.scm 54 */
																			obj_t BgL_arg1765z00_3885;

																			BgL_tz00_2555 =
																				BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
																				(BgL_az00_2611);
																			if (BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt) BgL_tz00_2555)))
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1765z00_3885 =
																						BGl_za2objza2z00zztype_cachez00;
																				}
																			else
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1765z00_3885 = BgL_tz00_2555;
																				}
																			BgL_arg1812z00_2610 =
																				BGl_compilezd2typezd2zzsaw_jvm_outz00
																				(BgL_mez00_90,
																				((BgL_typez00_bglt)
																					BgL_arg1765z00_3885));
																		}
																	}
																	BgL_newtail1645z00_2608 =
																		MAKE_YOUNG_PAIR(BgL_arg1812z00_2610, BNIL);
																}
																SET_CDR(BgL_tail1644z00_2605,
																	BgL_newtail1645z00_2608);
																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1811z00_2609;

																	BgL_arg1811z00_2609 =
																		CDR(((obj_t) BgL_l1641z00_2604));
																	{
																		obj_t BgL_tail1644z00_4989;
																		obj_t BgL_l1641z00_4988;

																		BgL_l1641z00_4988 = BgL_arg1811z00_2609;
																		BgL_tail1644z00_4989 =
																			BgL_newtail1645z00_2608;
																		BgL_tail1644z00_2605 = BgL_tail1644z00_4989;
																		BgL_l1641z00_2604 = BgL_l1641z00_4988;
																		goto BgL_zc3z04anonymousza31789ze3z87_2606;
																	}
																}
															}
													}
												}
										}
										BgL_talz00_2535 =
											MAKE_YOUNG_PAIR(BgL_arg1781z00_2597, BgL_arg1785z00_2598);
									}
								}
								{	/* SawJvm/funcall.scm 73 */
									obj_t BgL_pz00_2536;

									{	/* SawJvm/funcall.scm 74 */
										obj_t BgL_head1648z00_2543;

										BgL_head1648z00_2543 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1646z00_2545;
											obj_t BgL_tail1649z00_2546;

											BgL_l1646z00_2545 = BgL_talz00_2535;
											BgL_tail1649z00_2546 = BgL_head1648z00_2543;
										BgL_zc3z04anonymousza31752ze3z87_2547:
											if (NULLP(BgL_l1646z00_2545))
												{	/* SawJvm/funcall.scm 74 */
													BgL_pz00_2536 = CDR(BgL_head1648z00_2543);
												}
											else
												{	/* SawJvm/funcall.scm 74 */
													obj_t BgL_newtail1650z00_2549;

													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1755z00_2551;

														{	/* SawJvm/funcall.scm 74 */

															{	/* SawJvm/funcall.scm 74 */

																BgL_arg1755z00_2551 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														BgL_newtail1650z00_2549 =
															MAKE_YOUNG_PAIR(BgL_arg1755z00_2551, BNIL);
													}
													SET_CDR(BgL_tail1649z00_2546,
														BgL_newtail1650z00_2549);
													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1754z00_2550;

														BgL_arg1754z00_2550 =
															CDR(((obj_t) BgL_l1646z00_2545));
														{
															obj_t BgL_tail1649z00_5001;
															obj_t BgL_l1646z00_5000;

															BgL_l1646z00_5000 = BgL_arg1754z00_2550;
															BgL_tail1649z00_5001 = BgL_newtail1650z00_2549;
															BgL_tail1649z00_2546 = BgL_tail1649z00_5001;
															BgL_l1646z00_2545 = BgL_l1646z00_5000;
															goto BgL_zc3z04anonymousza31752ze3z87_2547;
														}
													}
												}
										}
									}
									{	/* SawJvm/funcall.scm 74 */

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg1745z00_2537;

											{	/* SawJvm/funcall.scm 76 */
												obj_t BgL_arg1469z00_3896;

												BgL_arg1469z00_3896 = SYMBOL_TO_STRING(BgL_namez00_91);
												BgL_arg1745z00_2537 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_3896);
											}
											BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_namez00_91, CNST_TABLE_REF(((long) 0)),
												CNST_TABLE_REF(((long) 1)), BgL_trz00_2534,
												BgL_arg1745z00_2537, BgL_talz00_2535);
										}
										BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_namez00_91);
										BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_pz00_2536, BNIL);
										{	/* SawJvm/funcall.scm 80 */
											obj_t BgL_arg1746z00_2538;

											{	/* SawJvm/funcall.scm 80 */
												obj_t BgL_arg1749z00_2539;

												{	/* SawJvm/funcall.scm 80 */
													obj_t BgL_arg1750z00_2540;

													BgL_arg1750z00_2540 = CAR(((obj_t) BgL_pz00_2536));
													BgL_arg1749z00_2539 =
														MAKE_YOUNG_PAIR(BgL_arg1750z00_2540, BNIL);
												}
												BgL_arg1746z00_2538 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
													BgL_arg1749z00_2539);
											}
											BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_arg1746z00_2538);
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
											CNST_TABLE_REF(((long) 3)));
										BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00
											(BgL_mez00_90, BgL_funsz00_92, BgL_trz00_2534,
											BgL_pz00_2536, BgL_talz00_2535);
										return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-type~0 */
	obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t BgL_tz00_2558)
	{
		{	/* SawJvm/funcall.scm 50 */
			{	/* SawJvm/funcall.scm 46 */
				bool_t BgL_test2366z00_5019;

				{	/* SawJvm/funcall.scm 46 */
					obj_t BgL_classz00_3809;

					BgL_classz00_3809 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_tz00_2558))
						{	/* SawJvm/funcall.scm 46 */
							BgL_objectz00_bglt BgL_arg1820z00_3811;

							BgL_arg1820z00_3811 = (BgL_objectz00_bglt) (BgL_tz00_2558);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 46 */
									long BgL_idxz00_3817;

									BgL_idxz00_3817 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3811);
									BgL_test2366z00_5019 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3817 + ((long) 2))) == BgL_classz00_3809);
								}
							else
								{	/* SawJvm/funcall.scm 46 */
									bool_t BgL_res2260z00_3839;

									{	/* SawJvm/funcall.scm 46 */
										obj_t BgL_oclassz00_3825;

										{	/* SawJvm/funcall.scm 46 */
											long BgL_arg1828z00_3831;

											{	/* SawJvm/funcall.scm 46 */
												long BgL_arg1829z00_3832;

												BgL_arg1829z00_3832 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3811);
												BgL_arg1828z00_3831 =
													(BgL_arg1829z00_3832 - OBJECT_TYPE);
											}
											BgL_oclassz00_3825 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3831);
										}
										{	/* SawJvm/funcall.scm 46 */
											bool_t BgL__ortest_1111z00_3826;

											BgL__ortest_1111z00_3826 =
												(BgL_classz00_3809 == BgL_oclassz00_3825);
											if (BgL__ortest_1111z00_3826)
												{	/* SawJvm/funcall.scm 46 */
													BgL_res2260z00_3839 = BgL__ortest_1111z00_3826;
												}
											else
												{	/* SawJvm/funcall.scm 46 */
													long BgL_odepthz00_3827;

													BgL_odepthz00_3827 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3825);
													if ((((long) 2) < BgL_odepthz00_3827))
														{	/* SawJvm/funcall.scm 46 */
															obj_t BgL_arg1816z00_3829;

															BgL_arg1816z00_3829 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3825,
																((long) 2));
															BgL_res2260z00_3839 =
																(BgL_arg1816z00_3829 == BgL_classz00_3809);
														}
													else
														{	/* SawJvm/funcall.scm 46 */
															BgL_res2260z00_3839 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2366z00_5019 = BgL_res2260z00_3839;
								}
						}
					else
						{	/* SawJvm/funcall.scm 46 */
							BgL_test2366z00_5019 = ((bool_t) 0);
						}
				}
				if (BgL_test2366z00_5019)
					{	/* SawJvm/funcall.scm 46 */
						return
							((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_2558))))->BgL_typez00));
					}
				else
					{	/* SawJvm/funcall.scm 48 */
						bool_t BgL_test2371z00_5043;

						{	/* SawJvm/funcall.scm 48 */
							obj_t BgL_classz00_3841;

							BgL_classz00_3841 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_tz00_2558))
								{	/* SawJvm/funcall.scm 48 */
									BgL_objectz00_bglt BgL_arg1820z00_3843;

									BgL_arg1820z00_3843 = (BgL_objectz00_bglt) (BgL_tz00_2558);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/funcall.scm 48 */
											long BgL_idxz00_3849;

											BgL_idxz00_3849 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3843);
											BgL_test2371z00_5043 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3849 + ((long) 1))) == BgL_classz00_3841);
										}
									else
										{	/* SawJvm/funcall.scm 48 */
											bool_t BgL_res2261z00_3871;

											{	/* SawJvm/funcall.scm 48 */
												obj_t BgL_oclassz00_3857;

												{	/* SawJvm/funcall.scm 48 */
													long BgL_arg1828z00_3863;

													{	/* SawJvm/funcall.scm 48 */
														long BgL_arg1829z00_3864;

														BgL_arg1829z00_3864 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3843);
														BgL_arg1828z00_3863 =
															(BgL_arg1829z00_3864 - OBJECT_TYPE);
													}
													BgL_oclassz00_3857 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3863);
												}
												{	/* SawJvm/funcall.scm 48 */
													bool_t BgL__ortest_1111z00_3858;

													BgL__ortest_1111z00_3858 =
														(BgL_classz00_3841 == BgL_oclassz00_3857);
													if (BgL__ortest_1111z00_3858)
														{	/* SawJvm/funcall.scm 48 */
															BgL_res2261z00_3871 = BgL__ortest_1111z00_3858;
														}
													else
														{	/* SawJvm/funcall.scm 48 */
															long BgL_odepthz00_3859;

															BgL_odepthz00_3859 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3857);
															if ((((long) 1) < BgL_odepthz00_3859))
																{	/* SawJvm/funcall.scm 48 */
																	obj_t BgL_arg1816z00_3861;

																	BgL_arg1816z00_3861 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3857,
																		((long) 1));
																	BgL_res2261z00_3871 =
																		(BgL_arg1816z00_3861 == BgL_classz00_3841);
																}
															else
																{	/* SawJvm/funcall.scm 48 */
																	BgL_res2261z00_3871 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2371z00_5043 = BgL_res2261z00_3871;
										}
								}
							else
								{	/* SawJvm/funcall.scm 48 */
									BgL_test2371z00_5043 = ((bool_t) 0);
								}
						}
						if (BgL_test2371z00_5043)
							{	/* SawJvm/funcall.scm 48 */
								return BgL_tz00_2558;
							}
						else
							{	/* SawJvm/funcall.scm 48 */
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
									BGl_string2270z00zzsaw_jvm_funcallz00, BgL_tz00_2558);
		}}}}

	}



/* funcall-light-switch */
	bool_t BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_94, obj_t BgL_funsz00_95, obj_t BgL_trz00_96, obj_t BgL_pz00_97,
		obj_t BgL_talz00_98)
	{
		{	/* SawJvm/funcall.scm 85 */
			{
				obj_t BgL_tz00_2666;
				obj_t BgL_lz00_2683;

				{	/* SawJvm/funcall.scm 113 */
					obj_t BgL_thisz00_2626;

					BgL_thisz00_2626 = CAR(((obj_t) BgL_pz00_97));
					{	/* SawJvm/funcall.scm 113 */
						obj_t BgL_iza2za2_2627;

						BgL_lz00_2683 = BgL_funsz00_95;
						if (NULLP(BgL_funsz00_95))
							{	/* SawJvm/funcall.scm 96 */
								BgL_iza2za2_2627 = BNIL;
							}
						else
							{	/* SawJvm/funcall.scm 96 */
								obj_t BgL_head1653z00_2687;

								BgL_head1653z00_2687 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1651z00_2689;
									obj_t BgL_tail1654z00_2690;

									BgL_l1651z00_2689 = BgL_funsz00_95;
									BgL_tail1654z00_2690 = BgL_head1653z00_2687;
								BgL_zc3z04anonymousza31872ze3z87_2691:
									if (NULLP(BgL_l1651z00_2689))
										{	/* SawJvm/funcall.scm 96 */
											BgL_iza2za2_2627 = CDR(BgL_head1653z00_2687);
										}
									else
										{	/* SawJvm/funcall.scm 96 */
											obj_t BgL_newtail1655z00_2693;

											{	/* SawJvm/funcall.scm 96 */
												int BgL_arg1875z00_2695;

												{	/* SawJvm/funcall.scm 96 */
													BgL_globalz00_bglt BgL_oz00_3905;

													BgL_oz00_3905 =
														((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		CAR(
																			((obj_t) BgL_l1651z00_2689)))))->
															BgL_variablez00));
													{
														BgL_indexedz00_bglt BgL_auxz00_5078;

														{
															obj_t BgL_auxz00_5079;

															{	/* SawJvm/funcall.scm 96 */
																BgL_objectz00_bglt BgL_tmpz00_5080;

																BgL_tmpz00_5080 =
																	((BgL_objectz00_bglt) BgL_oz00_3905);
																BgL_auxz00_5079 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5080);
															}
															BgL_auxz00_5078 =
																((BgL_indexedz00_bglt) BgL_auxz00_5079);
														}
														BgL_arg1875z00_2695 =
															(((BgL_indexedz00_bglt)
																COBJECT(BgL_auxz00_5078))->BgL_indexz00);
												}}
												BgL_newtail1655z00_2693 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1875z00_2695), BNIL);
											}
											SET_CDR(BgL_tail1654z00_2690, BgL_newtail1655z00_2693);
											{	/* SawJvm/funcall.scm 96 */
												obj_t BgL_arg1874z00_2694;

												BgL_arg1874z00_2694 = CDR(((obj_t) BgL_l1651z00_2689));
												{
													obj_t BgL_tail1654z00_5091;
													obj_t BgL_l1651z00_5090;

													BgL_l1651z00_5090 = BgL_arg1874z00_2694;
													BgL_tail1654z00_5091 = BgL_newtail1655z00_2693;
													BgL_tail1654z00_2690 = BgL_tail1654z00_5091;
													BgL_l1651z00_2689 = BgL_l1651z00_5090;
													goto BgL_zc3z04anonymousza31872ze3z87_2691;
												}
											}
										}
								}
							}
						{	/* SawJvm/funcall.scm 114 */
							obj_t BgL_labsz00_2628;

							BgL_labsz00_2628 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(((long) 0),
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_iza2za2_2627,
									BGl_zc3zd2envz11zz__r4_numbers_6_5z00));
							{	/* SawJvm/funcall.scm 115 */

								{	/* SawJvm/funcall.scm 118 */
									obj_t BgL_arg1817z00_2629;

									{	/* SawJvm/funcall.scm 118 */
										obj_t BgL_arg1819z00_2630;

										{	/* SawJvm/funcall.scm 118 */
											obj_t BgL_arg1821z00_2631;

											BgL_arg1821z00_2631 =
												MAKE_YOUNG_PAIR(BINT(((long) 0)),
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_labsz00_2628, BNIL));
											BgL_arg1819z00_2630 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
												BgL_arg1821z00_2631);
										}
										BgL_arg1817z00_2629 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)),
											BgL_arg1819z00_2630);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1817z00_2629);
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 20)));
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2271z00zzsaw_jvm_funcallz00);
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2272z00zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 122 */
									obj_t BgL_arg1830z00_2633;

									{	/* SawJvm/funcall.scm 122 */
										obj_t BgL_arg1833z00_2634;

										BgL_arg1833z00_2634 =
											MAKE_YOUNG_PAIR(BgL_thisz00_2626, BNIL);
										BgL_arg1830z00_2633 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
											BgL_arg1833z00_2634);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1830z00_2633);
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 22)));
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									CNST_TABLE_REF(((long) 23)));
								{
									obj_t BgL_l1656z00_2636;

									BgL_l1656z00_2636 = BgL_funsz00_95;
								BgL_zc3z04anonymousza31834ze3z87_2637:
									if (PAIRP(BgL_l1656z00_2636))
										{	/* SawJvm/funcall.scm 125 */
											{	/* SawJvm/funcall.scm 126 */
												obj_t BgL_fz00_2639;

												BgL_fz00_2639 = CAR(BgL_l1656z00_2636);
												{	/* SawJvm/funcall.scm 126 */
													BgL_variablez00_bglt BgL_gz00_2640;

													BgL_gz00_2640 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_fz00_2639)))->
														BgL_variablez00);
													{	/* SawJvm/funcall.scm 127 */
														obj_t BgL_arg1836z00_2641;

														{	/* SawJvm/funcall.scm 127 */
															int BgL_arg1837z00_2642;

															{
																BgL_indexedz00_bglt BgL_auxz00_5119;

																{
																	obj_t BgL_auxz00_5120;

																	{	/* SawJvm/funcall.scm 127 */
																		BgL_objectz00_bglt BgL_tmpz00_5121;

																		BgL_tmpz00_5121 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_2640));
																		BgL_auxz00_5120 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5121);
																	}
																	BgL_auxz00_5119 =
																		((BgL_indexedz00_bglt) BgL_auxz00_5120);
																}
																BgL_arg1837z00_2642 =
																	(((BgL_indexedz00_bglt)
																		COBJECT(BgL_auxz00_5119))->BgL_indexz00);
															}
															BgL_arg1836z00_2641 =
																BGl_Lze70ze7zzsaw_jvm_funcallz00(
																(long) (BgL_arg1837z00_2642));
														}
														BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1836z00_2641);
													}
													{	/* SawJvm/funcall.scm 128 */
														obj_t BgL_arg1844z00_2644;

														BgL_arg1844z00_2644 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2640))))->
																			BgL_valuez00))))->BgL_argsz00);
														{	/* SawJvm/funcall.scm 129 */
															obj_t BgL_zc3z04anonymousza31848ze3z87_4415;

															BgL_zc3z04anonymousza31848ze3z87_4415 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_funcallz00,
																(int) (((long) 3)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31848ze3z87_4415,
																(int) (((long) 0)), ((obj_t) BgL_mez00_94));
															{	/* SawJvm/funcall.scm 128 */
																obj_t BgL_list1845z00_2645;

																{	/* SawJvm/funcall.scm 128 */
																	obj_t BgL_arg1846z00_2646;

																	{	/* SawJvm/funcall.scm 128 */
																		obj_t BgL_arg1847z00_2647;

																		BgL_arg1847z00_2647 =
																			MAKE_YOUNG_PAIR(BgL_arg1844z00_2644,
																			BNIL);
																		BgL_arg1846z00_2646 =
																			MAKE_YOUNG_PAIR(BgL_pz00_97,
																			BgL_arg1847z00_2647);
																	}
																	BgL_list1845z00_2645 =
																		MAKE_YOUNG_PAIR(BgL_talz00_98,
																		BgL_arg1846z00_2646);
																}
																BGl_forzd2eachzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31848ze3z87_4415,
																	BgL_list1845z00_2645);
													}}}
													{	/* SawJvm/funcall.scm 134 */
														BgL_globalz00_bglt BgL_arg1860z00_2662;

														BgL_arg1860z00_2662 =
															BGl_globalzd2entryzd2zzbackend_cplibz00(
															((BgL_globalz00_bglt) BgL_gz00_2640));
														BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1860z00_2662);
													}
													BgL_tz00_2666 = BgL_trz00_96;
													{	/* SawJvm/funcall.scm 88 */
														obj_t BgL_arg1864z00_2668;

														if ((BgL_tz00_2666 == CNST_TABLE_REF(((long) 5))))
															{	/* SawJvm/funcall.scm 88 */
																BgL_arg1864z00_2668 =
																	CNST_TABLE_REF(((long) 6));
															}
														else
															{	/* SawJvm/funcall.scm 88 */
																bool_t BgL_test2380z00_5152;

																{	/* SawJvm/funcall.scm 88 */
																	bool_t BgL__ortest_1193z00_2679;

																	BgL__ortest_1193z00_2679 =
																		(BgL_tz00_2666 ==
																		CNST_TABLE_REF(((long) 7)));
																	if (BgL__ortest_1193z00_2679)
																		{	/* SawJvm/funcall.scm 88 */
																			BgL_test2380z00_5152 =
																				BgL__ortest_1193z00_2679;
																		}
																	else
																		{	/* SawJvm/funcall.scm 88 */
																			bool_t BgL__ortest_1194z00_2680;

																			BgL__ortest_1194z00_2680 =
																				(BgL_tz00_2666 ==
																				CNST_TABLE_REF(((long) 8)));
																			if (BgL__ortest_1194z00_2680)
																				{	/* SawJvm/funcall.scm 88 */
																					BgL_test2380z00_5152 =
																						BgL__ortest_1194z00_2680;
																				}
																			else
																				{	/* SawJvm/funcall.scm 88 */
																					bool_t BgL__ortest_1195z00_2681;

																					BgL__ortest_1195z00_2681 =
																						(BgL_tz00_2666 ==
																						CNST_TABLE_REF(((long) 9)));
																					if (BgL__ortest_1195z00_2681)
																						{	/* SawJvm/funcall.scm 88 */
																							BgL_test2380z00_5152 =
																								BgL__ortest_1195z00_2681;
																						}
																					else
																						{	/* SawJvm/funcall.scm 88 */
																							bool_t BgL__ortest_1196z00_2682;

																							BgL__ortest_1196z00_2682 =
																								(BgL_tz00_2666 ==
																								CNST_TABLE_REF(((long) 10)));
																							if (BgL__ortest_1196z00_2682)
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2380z00_5152 =
																										BgL__ortest_1196z00_2682;
																								}
																							else
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2380z00_5152 =
																										(BgL_tz00_2666 ==
																										CNST_TABLE_REF(((long)
																												11)));
																}}}}}
																if (BgL_test2380z00_5152)
																	{	/* SawJvm/funcall.scm 88 */
																		BgL_arg1864z00_2668 =
																			CNST_TABLE_REF(((long) 12));
																	}
																else
																	{	/* SawJvm/funcall.scm 88 */
																		if (
																			(BgL_tz00_2666 ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* SawJvm/funcall.scm 88 */
																				BgL_arg1864z00_2668 =
																					CNST_TABLE_REF(((long) 14));
																			}
																		else
																			{	/* SawJvm/funcall.scm 88 */
																				if (
																					(BgL_tz00_2666 ==
																						CNST_TABLE_REF(((long) 15))))
																					{	/* SawJvm/funcall.scm 88 */
																						BgL_arg1864z00_2668 =
																							CNST_TABLE_REF(((long) 16));
																					}
																				else
																					{	/* SawJvm/funcall.scm 88 */
																						if (
																							(BgL_tz00_2666 ==
																								CNST_TABLE_REF(((long) 17))))
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1864z00_2668 =
																									CNST_TABLE_REF(((long) 18));
																							}
																						else
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1864z00_2668 =
																									CNST_TABLE_REF(((long) 19));
															}}}}}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1864z00_2668);
											}}}
											{
												obj_t BgL_l1656z00_5182;

												BgL_l1656z00_5182 = CDR(BgL_l1656z00_2636);
												BgL_l1656z00_2636 = BgL_l1656z00_5182;
												goto BgL_zc3z04anonymousza31834ze3z87_2637;
											}
										}
									else
										{	/* SawJvm/funcall.scm 125 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-labs~2 */
	obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long BgL_iz00_2705,
		obj_t BgL_lz00_2706)
	{
		{	/* SawJvm/funcall.scm 103 */
			if (NULLP(BgL_lz00_2706))
				{	/* SawJvm/funcall.scm 100 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 100 */
					if ((BgL_iz00_2705 == (long) CINT(CAR(((obj_t) BgL_lz00_2706)))))
						{	/* SawJvm/funcall.scm 102 */
							obj_t BgL_arg1885z00_2711;
							obj_t BgL_arg1886z00_2712;

							BgL_arg1885z00_2711 =
								BGl_Lze70ze7zzsaw_jvm_funcallz00(BgL_iz00_2705);
							{	/* SawJvm/funcall.scm 102 */
								long BgL_arg1887z00_2713;
								obj_t BgL_arg1888z00_2714;

								BgL_arg1887z00_2713 = (BgL_iz00_2705 + ((long) 1));
								BgL_arg1888z00_2714 = CDR(((obj_t) BgL_lz00_2706));
								BgL_arg1886z00_2712 =
									BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(BgL_arg1887z00_2713,
									BgL_arg1888z00_2714);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1885z00_2711, BgL_arg1886z00_2712);
						}
					else
						{	/* SawJvm/funcall.scm 103 */
							obj_t BgL_arg1889z00_2715;

							BgL_arg1889z00_2715 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(
								(BgL_iz00_2705 + ((long) 1)), BgL_lz00_2706);
							return
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg1889z00_2715);
		}}}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2699)
	{
		{	/* SawJvm/funcall.scm 97 */
			{	/* SawJvm/funcall.scm 97 */
				obj_t BgL_arg1879z00_2701;

				{	/* SawJvm/funcall.scm 97 */
					obj_t BgL_arg1880z00_2702;

					{	/* SawJvm/funcall.scm 97 */

						BgL_arg1880z00_2702 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
							(BgL_nz00_2699, ((long) 10));
					}
					BgL_arg1879z00_2701 =
						string_append(BGl_string2273z00zzsaw_jvm_funcallz00,
						BgL_arg1880z00_2702);
				}
				return bstring_to_symbol(BgL_arg1879z00_2701);
			}
		}

	}



/* &<@anonymous:1848> */
	obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4416, obj_t BgL_tz00_4418, obj_t BgL_vz00_4419,
		obj_t BgL_az00_4420)
	{
		{	/* SawJvm/funcall.scm 128 */
			{	/* SawJvm/funcall.scm 129 */
				BgL_jvmz00_bglt BgL_mez00_4417;

				BgL_mez00_4417 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4416, (int) (((long) 0))));
				{
					obj_t BgL_tz00_4513;
					obj_t BgL_vz00_4514;

					{	/* SawJvm/funcall.scm 129 */
						obj_t BgL_taz00_4522;

						{	/* SawJvm/funcall.scm 129 */
							bool_t BgL_test2390z00_5207;

							{	/* SawJvm/funcall.scm 129 */
								obj_t BgL_classz00_4523;

								BgL_classz00_4523 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_az00_4420))
									{	/* SawJvm/funcall.scm 129 */
										BgL_objectz00_bglt BgL_arg1820z00_4524;

										BgL_arg1820z00_4524 = (BgL_objectz00_bglt) (BgL_az00_4420);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawJvm/funcall.scm 129 */
												long BgL_idxz00_4525;

												BgL_idxz00_4525 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4524);
												BgL_test2390z00_5207 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4525 + ((long) 2))) ==
													BgL_classz00_4523);
											}
										else
											{	/* SawJvm/funcall.scm 129 */
												bool_t BgL_res2262z00_4528;

												{	/* SawJvm/funcall.scm 129 */
													obj_t BgL_oclassz00_4529;

													{	/* SawJvm/funcall.scm 129 */
														long BgL_arg1828z00_4530;

														{	/* SawJvm/funcall.scm 129 */
															long BgL_arg1829z00_4531;

															BgL_arg1829z00_4531 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4524);
															BgL_arg1828z00_4530 =
																(BgL_arg1829z00_4531 - OBJECT_TYPE);
														}
														BgL_oclassz00_4529 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4530);
													}
													{	/* SawJvm/funcall.scm 129 */
														bool_t BgL__ortest_1111z00_4532;

														BgL__ortest_1111z00_4532 =
															(BgL_classz00_4523 == BgL_oclassz00_4529);
														if (BgL__ortest_1111z00_4532)
															{	/* SawJvm/funcall.scm 129 */
																BgL_res2262z00_4528 = BgL__ortest_1111z00_4532;
															}
														else
															{	/* SawJvm/funcall.scm 129 */
																long BgL_odepthz00_4533;

																BgL_odepthz00_4533 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4529);
																if ((((long) 2) < BgL_odepthz00_4533))
																	{	/* SawJvm/funcall.scm 129 */
																		obj_t BgL_arg1816z00_4534;

																		BgL_arg1816z00_4534 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4529, ((long) 2));
																		BgL_res2262z00_4528 =
																			(BgL_arg1816z00_4534 ==
																			BgL_classz00_4523);
																	}
																else
																	{	/* SawJvm/funcall.scm 129 */
																		BgL_res2262z00_4528 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2390z00_5207 = BgL_res2262z00_4528;
											}
									}
								else
									{	/* SawJvm/funcall.scm 129 */
										BgL_test2390z00_5207 = ((bool_t) 0);
									}
							}
							if (BgL_test2390z00_5207)
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4522 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_az00_4420))))->
											BgL_typez00));
								}
							else
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4522 = BgL_az00_4420;
								}
						}
						BgL_tz00_4513 = BgL_tz00_4418;
						BgL_vz00_4514 = BgL_vz00_4419;
						{	/* SawJvm/funcall.scm 106 */
							obj_t BgL_arg1894z00_4515;

							{	/* SawJvm/funcall.scm 106 */
								obj_t BgL_arg1898z00_4516;
								obj_t BgL_arg1899z00_4517;

								{	/* SawJvm/funcall.scm 106 */
									bool_t BgL_test2395z00_5231;

									{	/* SawJvm/funcall.scm 106 */
										bool_t BgL__ortest_1197z00_4518;

										BgL__ortest_1197z00_4518 =
											(BgL_tz00_4513 == CNST_TABLE_REF(((long) 7)));
										if (BgL__ortest_1197z00_4518)
											{	/* SawJvm/funcall.scm 106 */
												BgL_test2395z00_5231 = BgL__ortest_1197z00_4518;
											}
										else
											{	/* SawJvm/funcall.scm 106 */
												bool_t BgL__ortest_1198z00_4519;

												BgL__ortest_1198z00_4519 =
													(BgL_tz00_4513 == CNST_TABLE_REF(((long) 8)));
												if (BgL__ortest_1198z00_4519)
													{	/* SawJvm/funcall.scm 106 */
														BgL_test2395z00_5231 = BgL__ortest_1198z00_4519;
													}
												else
													{	/* SawJvm/funcall.scm 106 */
														bool_t BgL__ortest_1199z00_4520;

														BgL__ortest_1199z00_4520 =
															(BgL_tz00_4513 == CNST_TABLE_REF(((long) 9)));
														if (BgL__ortest_1199z00_4520)
															{	/* SawJvm/funcall.scm 106 */
																BgL_test2395z00_5231 = BgL__ortest_1199z00_4520;
															}
														else
															{	/* SawJvm/funcall.scm 106 */
																bool_t BgL__ortest_1200z00_4521;

																BgL__ortest_1200z00_4521 =
																	(BgL_tz00_4513 ==
																	CNST_TABLE_REF(((long) 10)));
																if (BgL__ortest_1200z00_4521)
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2395z00_5231 =
																			BgL__ortest_1200z00_4521;
																	}
																else
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2395z00_5231 =
																			(BgL_tz00_4513 ==
																			CNST_TABLE_REF(((long) 11)));
									}}}}}
									if (BgL_test2395z00_5231)
										{	/* SawJvm/funcall.scm 106 */
											BgL_arg1898z00_4516 = CNST_TABLE_REF(((long) 24));
										}
									else
										{	/* SawJvm/funcall.scm 106 */
											if ((BgL_tz00_4513 == CNST_TABLE_REF(((long) 13))))
												{	/* SawJvm/funcall.scm 106 */
													BgL_arg1898z00_4516 = CNST_TABLE_REF(((long) 25));
												}
											else
												{	/* SawJvm/funcall.scm 106 */
													if ((BgL_tz00_4513 == CNST_TABLE_REF(((long) 15))))
														{	/* SawJvm/funcall.scm 106 */
															BgL_arg1898z00_4516 = CNST_TABLE_REF(((long) 26));
														}
													else
														{	/* SawJvm/funcall.scm 106 */
															if (
																(BgL_tz00_4513 == CNST_TABLE_REF(((long) 17))))
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1898z00_4516 =
																		CNST_TABLE_REF(((long) 27));
																}
															else
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1898z00_4516 =
																		CNST_TABLE_REF(((long) 2));
								}}}}}
								BgL_arg1899z00_4517 = MAKE_YOUNG_PAIR(BgL_vz00_4514, BNIL);
								BgL_arg1894z00_4515 =
									MAKE_YOUNG_PAIR(BgL_arg1898z00_4516, BgL_arg1899z00_4517);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4417,
								BgL_arg1894z00_4515);
						}
						{	/* SawJvm/funcall.scm 131 */
							bool_t BgL_test2403z00_5263;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_taz00_4522)))
								{	/* SawJvm/funcall.scm 131 */
									if ((BgL_taz00_4522 == BGl_za2objza2z00zztype_cachez00))
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2403z00_5263 = ((bool_t) 0);
										}
									else
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2403z00_5263 = ((bool_t) 1);
										}
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									BgL_test2403z00_5263 = ((bool_t) 0);
								}
							if (BgL_test2403z00_5263)
								{	/* SawJvm/funcall.scm 132 */
									obj_t BgL_arg1851z00_4535;

									{	/* SawJvm/funcall.scm 132 */
										obj_t BgL_arg1854z00_4536;

										{	/* SawJvm/funcall.scm 132 */
											obj_t BgL_arg1856z00_4537;

											BgL_arg1856z00_4537 =
												BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_4417,
												((BgL_typez00_bglt) BgL_taz00_4522));
											BgL_arg1854z00_4536 =
												MAKE_YOUNG_PAIR(BgL_arg1856z00_4537, BNIL);
										}
										BgL_arg1851z00_4535 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 28)),
											BgL_arg1854z00_4536);
									}
									return
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4417,
										BgL_arg1851z00_4535);
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_99)
	{
		{	/* SawJvm/funcall.scm 141 */
			{	/* SawJvm/funcall.scm 142 */
				obj_t BgL_pz00_2743;

				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg1910z00_2763;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg1912z00_2764;

						BgL_arg1912z00_2764 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_mez00_99)))->BgL_functionsz00);
						BgL_arg1910z00_2763 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg1912z00_2764);
					}
					BgL_pz00_2743 = bgl_reverse_bang(BgL_arg1910z00_2763);
				}
				{	/* SawJvm/funcall.scm 144 */
					long BgL_nz00_2744;

					BgL_nz00_2744 = ((long) 0);
					{
						obj_t BgL_l1658z00_2746;

						BgL_l1658z00_2746 = BgL_pz00_2743;
					BgL_zc3z04anonymousza31904ze3z87_2747:
						if (PAIRP(BgL_l1658z00_2746))
							{	/* SawJvm/funcall.scm 145 */
								{	/* SawJvm/funcall.scm 146 */
									obj_t BgL_varz00_2749;

									BgL_varz00_2749 = CAR(BgL_l1658z00_2746);
									{	/* SawJvm/funcall.scm 146 */
										BgL_indexedz00_bglt BgL_wide1203z00_2752;

										BgL_wide1203z00_2752 =
											((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_indexedz00_bgl))));
										{	/* SawJvm/funcall.scm 146 */
											obj_t BgL_auxz00_5287;
											BgL_objectz00_bglt BgL_tmpz00_5283;

											BgL_auxz00_5287 = ((obj_t) BgL_wide1203z00_2752);
											BgL_tmpz00_5283 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2749)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5283, BgL_auxz00_5287);
										}
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2749)));
										{	/* SawJvm/funcall.scm 146 */
											long BgL_arg1906z00_2753;

											BgL_arg1906z00_2753 =
												BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2749))),
												BgL_arg1906z00_2753);
										}
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2749)));
									}
									{
										BgL_indexedz00_bglt BgL_auxz00_5301;

										{
											obj_t BgL_auxz00_5302;

											{	/* SawJvm/funcall.scm 146 */
												BgL_objectz00_bglt BgL_tmpz00_5303;

												BgL_tmpz00_5303 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2749)));
												BgL_auxz00_5302 = BGL_OBJECT_WIDENING(BgL_tmpz00_5303);
											}
											BgL_auxz00_5301 = ((BgL_indexedz00_bglt) BgL_auxz00_5302);
										}
										((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5301))->
												BgL_indexz00) = ((int) (int) (BgL_nz00_2744)), BUNSPEC);
									}
									((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_2749));
									{	/* SawJvm/funcall.scm 147 */
										BgL_globalz00_bglt BgL_tmp1205z00_2755;

										BgL_tmp1205z00_2755 =
											BGl_globalzd2entryzd2zzbackend_cplibz00(
											((BgL_globalz00_bglt) BgL_varz00_2749));
										{	/* SawJvm/funcall.scm 147 */
											BgL_indexedz00_bglt BgL_wide1207z00_2757;

											BgL_wide1207z00_2757 =
												((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_indexedz00_bgl))));
											{	/* SawJvm/funcall.scm 147 */
												obj_t BgL_auxz00_5319;
												BgL_objectz00_bglt BgL_tmpz00_5316;

												BgL_auxz00_5319 = ((obj_t) BgL_wide1207z00_2757);
												BgL_tmpz00_5316 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_tmp1205z00_2755));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5316,
													BgL_auxz00_5319);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1205z00_2755));
											{	/* SawJvm/funcall.scm 147 */
												long BgL_arg1907z00_2758;

												BgL_arg1907z00_2758 =
													BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1205z00_2755)),
													BgL_arg1907z00_2758);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1205z00_2755));
										}
										{
											BgL_indexedz00_bglt BgL_auxz00_5330;

											{
												obj_t BgL_auxz00_5331;

												{	/* SawJvm/funcall.scm 147 */
													BgL_objectz00_bglt BgL_tmpz00_5332;

													BgL_tmpz00_5332 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1205z00_2755));
													BgL_auxz00_5331 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5332);
												}
												BgL_auxz00_5330 =
													((BgL_indexedz00_bglt) BgL_auxz00_5331);
											}
											((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5330))->
													BgL_indexz00) =
												((int) (int) (BgL_nz00_2744)), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_tmp1205z00_2755);
									}
									BgL_nz00_2744 = (BgL_nz00_2744 + ((long) 1));
								}
								{
									obj_t BgL_l1658z00_5341;

									BgL_l1658z00_5341 = CDR(BgL_l1658z00_2746);
									BgL_l1658z00_2746 = BgL_l1658z00_5341;
									goto BgL_zc3z04anonymousza31904ze3z87_2747;
								}
							}
						else
							{	/* SawJvm/funcall.scm 145 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_2743))
					{	/* SawJvm/funcall.scm 150 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 150 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 0),
							BgL_pz00_2743);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 1),
							BgL_pz00_2743);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 2),
							BgL_pz00_2743);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 3),
							BgL_pz00_2743);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, ((long) 4),
							BgL_pz00_2743);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_99,
							BgL_pz00_2743);
					}
			}
		}

	}



/* &module-funcall/apply */
	obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4425, obj_t BgL_mez00_4426)
	{
		{	/* SawJvm/funcall.scm 141 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4426));
		}

	}



/* is-light-procedure? */
	bool_t BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_103, obj_t BgL_gz00_104)
	{
		{	/* SawJvm/funcall.scm 164 */
			{	/* SawJvm/funcall.scm 165 */
				BgL_valuez00_bglt BgL_vz00_2769;

				BgL_vz00_2769 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_104))))->BgL_valuez00);
				{	/* SawJvm/funcall.scm 166 */
					bool_t BgL_test2408z00_5356;

					{	/* SawJvm/funcall.scm 166 */
						obj_t BgL_classz00_3975;

						BgL_classz00_3975 = BGl_sfunz00zzast_varz00;
						{	/* SawJvm/funcall.scm 166 */
							BgL_objectz00_bglt BgL_arg1820z00_3977;

							{	/* SawJvm/funcall.scm 166 */
								obj_t BgL_tmpz00_5357;

								BgL_tmpz00_5357 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2769));
								BgL_arg1820z00_3977 = (BgL_objectz00_bglt) (BgL_tmpz00_5357);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 166 */
									long BgL_idxz00_3983;

									BgL_idxz00_3983 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3977);
									BgL_test2408z00_5356 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3983 + ((long) 3))) == BgL_classz00_3975);
								}
							else
								{	/* SawJvm/funcall.scm 166 */
									bool_t BgL_res2263z00_4005;

									{	/* SawJvm/funcall.scm 166 */
										obj_t BgL_oclassz00_3991;

										{	/* SawJvm/funcall.scm 166 */
											long BgL_arg1828z00_3997;

											{	/* SawJvm/funcall.scm 166 */
												long BgL_arg1829z00_3998;

												BgL_arg1829z00_3998 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3977);
												BgL_arg1828z00_3997 =
													(BgL_arg1829z00_3998 - OBJECT_TYPE);
											}
											BgL_oclassz00_3991 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3997);
										}
										{	/* SawJvm/funcall.scm 166 */
											bool_t BgL__ortest_1111z00_3992;

											BgL__ortest_1111z00_3992 =
												(BgL_classz00_3975 == BgL_oclassz00_3991);
											if (BgL__ortest_1111z00_3992)
												{	/* SawJvm/funcall.scm 166 */
													BgL_res2263z00_4005 = BgL__ortest_1111z00_3992;
												}
											else
												{	/* SawJvm/funcall.scm 166 */
													long BgL_odepthz00_3993;

													BgL_odepthz00_3993 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3991);
													if ((((long) 3) < BgL_odepthz00_3993))
														{	/* SawJvm/funcall.scm 166 */
															obj_t BgL_arg1816z00_3995;

															BgL_arg1816z00_3995 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3991,
																((long) 3));
															BgL_res2263z00_4005 =
																(BgL_arg1816z00_3995 == BgL_classz00_3975);
														}
													else
														{	/* SawJvm/funcall.scm 166 */
															BgL_res2263z00_4005 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2408z00_5356 = BgL_res2263z00_4005;
								}
						}
					}
					if (BgL_test2408z00_5356)
						{	/* SawJvm/funcall.scm 166 */
							return
								(
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_vz00_2769)))->BgL_strengthz00) ==
								CNST_TABLE_REF(((long) 29)));
						}
					else
						{	/* SawJvm/funcall.scm 166 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_105,
		long BgL_iz00_106, obj_t BgL_procsz00_107)
	{
		{	/* SawJvm/funcall.scm 172 */
			{	/* SawJvm/funcall.scm 184 */
				obj_t BgL_needz00_2774;

				if (NULLP(BgL_procsz00_107))
					{	/* SawJvm/funcall.scm 184 */
						BgL_needz00_2774 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 184 */
						obj_t BgL_head1663z00_2803;

						{	/* SawJvm/funcall.scm 184 */
							bool_t BgL_arg1934z00_2815;

							{	/* SawJvm/funcall.scm 184 */
								obj_t BgL_arg1936z00_2816;

								BgL_arg1936z00_2816 = CAR(((obj_t) BgL_procsz00_107));
								BgL_arg1934z00_2815 =
									BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
									BgL_mez00_105, BgL_arg1936z00_2816);
							}
							BgL_head1663z00_2803 =
								MAKE_YOUNG_PAIR(BBOOL(BgL_arg1934z00_2815), BNIL);
						}
						{	/* SawJvm/funcall.scm 184 */
							obj_t BgL_g1666z00_2804;

							BgL_g1666z00_2804 = CDR(((obj_t) BgL_procsz00_107));
							{
								obj_t BgL_l1661z00_2806;
								obj_t BgL_tail1664z00_2807;

								BgL_l1661z00_2806 = BgL_g1666z00_2804;
								BgL_tail1664z00_2807 = BgL_head1663z00_2803;
							BgL_zc3z04anonymousza31929ze3z87_2808:
								if (NULLP(BgL_l1661z00_2806))
									{	/* SawJvm/funcall.scm 184 */
										BgL_needz00_2774 = BgL_head1663z00_2803;
									}
								else
									{	/* SawJvm/funcall.scm 184 */
										obj_t BgL_newtail1665z00_2810;

										{	/* SawJvm/funcall.scm 184 */
											bool_t BgL_arg1932z00_2812;

											{	/* SawJvm/funcall.scm 184 */
												obj_t BgL_arg1933z00_2813;

												BgL_arg1933z00_2813 = CAR(((obj_t) BgL_l1661z00_2806));
												BgL_arg1932z00_2812 =
													BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
													BgL_mez00_105, BgL_arg1933z00_2813);
											}
											BgL_newtail1665z00_2810 =
												MAKE_YOUNG_PAIR(BBOOL(BgL_arg1932z00_2812), BNIL);
										}
										SET_CDR(BgL_tail1664z00_2807, BgL_newtail1665z00_2810);
										{	/* SawJvm/funcall.scm 184 */
											obj_t BgL_arg1931z00_2811;

											BgL_arg1931z00_2811 = CDR(((obj_t) BgL_l1661z00_2806));
											{
												obj_t BgL_tail1664z00_5401;
												obj_t BgL_l1661z00_5400;

												BgL_l1661z00_5400 = BgL_arg1931z00_2811;
												BgL_tail1664z00_5401 = BgL_newtail1665z00_2810;
												BgL_tail1664z00_2807 = BgL_tail1664z00_5401;
												BgL_l1661z00_2806 = BgL_l1661z00_5400;
												goto BgL_zc3z04anonymousza31929ze3z87_2808;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 185 */
					bool_t BgL_test2414z00_5402;

					{
						obj_t BgL_l1667z00_2793;

						BgL_l1667z00_2793 = BgL_needz00_2774;
					BgL_zc3z04anonymousza31926ze3z87_2794:
						if (NULLP(BgL_l1667z00_2793))
							{	/* SawJvm/funcall.scm 185 */
								BgL_test2414z00_5402 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 185 */
								bool_t BgL_test2416z00_5405;

								if (CBOOL(CAR(((obj_t) BgL_l1667z00_2793))))
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2416z00_5405 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2416z00_5405 = ((bool_t) 1);
									}
								if (BgL_test2416z00_5405)
									{
										obj_t BgL_l1667z00_5410;

										BgL_l1667z00_5410 = CDR(((obj_t) BgL_l1667z00_2793));
										BgL_l1667z00_2793 = BgL_l1667z00_5410;
										goto BgL_zc3z04anonymousza31926ze3z87_2794;
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2414z00_5402 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2414z00_5402)
						{	/* SawJvm/funcall.scm 185 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 186 */
							obj_t BgL_fnamez00_2785;

							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_arg1925z00_2789;

								{	/* SawJvm/funcall.scm 186 */

									BgL_arg1925z00_2789 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_106, ((long) 10));
								}
								BgL_fnamez00_2785 =
									string_append(BGl_string2274z00zzsaw_jvm_funcallz00,
									BgL_arg1925z00_2789);
							}
							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_pz00_2786;

								{	/* SawJvm/funcall.scm 187 */
									obj_t BgL_arg1924z00_2788;

									BgL_arg1924z00_2788 =
										BGl_nameze70ze7zzsaw_jvm_funcallz00(BgL_iz00_106);
									BgL_pz00_2786 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 30)),
										BgL_arg1924z00_2788);
								}
								{	/* SawJvm/funcall.scm 187 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_105,
										bstring_to_symbol(BgL_fnamez00_2785));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_105,
										BgL_pz00_2786, BNIL);
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(((long) 31)));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										CNST_TABLE_REF(((long) 3)));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_105,
										BgL_iz00_106, BgL_needz00_2774, BgL_procsz00_107,
										BgL_fnamez00_2785, BgL_pz00_2786);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_105);
								}
							}
						}
				}
			}
		}

	}



/* needed?~0 */
	bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long BgL_iz00_4482,
		BgL_jvmz00_bglt BgL_mez00_4481, obj_t BgL_pz00_2817)
	{
		{	/* SawJvm/funcall.scm 182 */
			{	/* SawJvm/funcall.scm 174 */
				bool_t BgL_test2418z00_5427;

				{	/* SawJvm/funcall.scm 174 */
					BgL_globalz00_bglt BgL_arg1941z00_2828;

					BgL_arg1941z00_2828 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_2817));
					BgL_test2418z00_5427 =
						BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4481,
						((obj_t) BgL_arg1941z00_2828));
				}
				if (BgL_test2418z00_5427)
					{	/* SawJvm/funcall.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* SawJvm/funcall.scm 175 */
						obj_t BgL_arityz00_2820;

						BgL_arityz00_2820 =
							BGl_globalzd2arityzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_2817));
						if (CBOOL(BgL_arityz00_2820))
							{	/* SawJvm/funcall.scm 177 */
								bool_t BgL__ortest_1210z00_2821;

								if (((long) CINT(BgL_arityz00_2820) >= ((long) 0)))
									{	/* SawJvm/funcall.scm 177 */
										if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_2817))
											{	/* SawJvm/funcall.scm 178 */
												if (INTEGERP(BgL_arityz00_2820))
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1210z00_2821 =
															((long) CINT(BgL_arityz00_2820) <= BgL_iz00_4482);
													}
												else
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1210z00_2821 =
															BGl_2zc3zd3z10zz__r4_numbers_6_5z00
															(BgL_arityz00_2820, BINT(BgL_iz00_4482));
													}
											}
										else
											{	/* SawJvm/funcall.scm 178 */
												BgL__ortest_1210z00_2821 =
													((long) CINT(BgL_arityz00_2820) == BgL_iz00_4482);
									}}
								else
									{	/* SawJvm/funcall.scm 177 */
										BgL__ortest_1210z00_2821 = ((bool_t) 0);
									}
								if (BgL__ortest_1210z00_2821)
									{	/* SawJvm/funcall.scm 177 */
										return BgL__ortest_1210z00_2821;
									}
								else
									{	/* SawJvm/funcall.scm 177 */
										if (((long) CINT(BgL_arityz00_2820) < ((long) 0)))
											{	/* SawJvm/funcall.scm 181 */
												obj_t BgL_b1660z00_2823;

												{	/* SawJvm/funcall.scm 181 */
													obj_t BgL_za72za7_4014;

													BgL_za72za7_4014 = BINT(BgL_iz00_4482);
													{	/* SawJvm/funcall.scm 181 */
														obj_t BgL_resz00_4015;

														BgL_resz00_4015 = BINT(((long) 0));
														{	/* SawJvm/funcall.scm 181 */
															bool_t BgL_test2425z00_5455;

															{	/* SawJvm/funcall.scm 181 */
																obj_t BgL_tmpz00_5456;

																BgL_tmpz00_5456 = BINT(((long) -1));
																BgL_test2425z00_5455 =
																	BGL_SUBFX_OV(BgL_tmpz00_5456,
																	BgL_za72za7_4014, BgL_resz00_4015);
															}
															if (BgL_test2425z00_5455)
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1660z00_2823 =
																		bgl_bignum_sub(CNST_TABLE_REF(((long) 32)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_za72za7_4014)));
																}
															else
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1660z00_2823 = BgL_resz00_4015;
																}
														}
													}
												}
												{	/* SawJvm/funcall.scm 181 */
													bool_t BgL_test2426z00_5463;

													if (INTEGERP(BgL_arityz00_2820))
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2426z00_5463 =
																INTEGERP(BgL_b1660z00_2823);
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2426z00_5463 = ((bool_t) 0);
														}
													if (BgL_test2426z00_5463)
														{	/* SawJvm/funcall.scm 181 */
															return
																(
																(long) CINT(BgL_arityz00_2820) >=
																(long) CINT(BgL_b1660z00_2823));
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															return
																BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																(BgL_arityz00_2820, BgL_b1660z00_2823);
														}
												}
											}
										else
											{	/* SawJvm/funcall.scm 181 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawJvm/funcall.scm 176 */
								return (BgL_iz00_4482 <= ((long) 1));
		}}}}

	}



/* name~0 */
	obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2829)
	{
		{	/* SawJvm/funcall.scm 183 */
			if ((BgL_nz00_2829 == ((long) 0)))
				{	/* SawJvm/funcall.scm 183 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 183 */
					obj_t BgL_arg1944z00_2832;
					obj_t BgL_arg1945z00_2833;

					{	/* SawJvm/funcall.scm 183 */

						{	/* SawJvm/funcall.scm 183 */

							BgL_arg1944z00_2832 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg1945z00_2833 =
						BGl_nameze70ze7zzsaw_jvm_funcallz00((BgL_nz00_2829 - ((long) 1)));
					return MAKE_YOUNG_PAIR(BgL_arg1944z00_2832, BgL_arg1945z00_2833);
				}
		}

	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_108,
		long BgL_iz00_109, obj_t BgL_needz00_110, obj_t BgL_procsz00_111,
		obj_t BgL_fnamez00_112, obj_t BgL_paramsz00_113)
	{
		{	/* SawJvm/funcall.scm 196 */
			{	/* SawJvm/funcall.scm 203 */
				obj_t BgL_labsz00_2840;

				BgL_labsz00_2840 =
					BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_110,
					BgL_procsz00_111);
				{	/* SawJvm/funcall.scm 204 */
					obj_t BgL_arg1947z00_2841;

					{	/* SawJvm/funcall.scm 204 */
						obj_t BgL_arg1948z00_2842;

						{	/* SawJvm/funcall.scm 204 */
							obj_t BgL_arg1949z00_2843;

							BgL_arg1949z00_2843 =
								MAKE_YOUNG_PAIR(BINT(((long) 0)),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_2840, BNIL));
							BgL_arg1948z00_2842 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg1949z00_2843);
						}
						BgL_arg1947z00_2841 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg1948z00_2842);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1947z00_2841);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_108,
					CNST_TABLE_REF(((long) 20)));
				{
					obj_t BgL_l1670z00_2846;

					BgL_l1670z00_2846 = BgL_paramsz00_113;
				BgL_zc3z04anonymousza31951ze3z87_2847:
					if (PAIRP(BgL_l1670z00_2846))
						{	/* SawJvm/funcall.scm 206 */
							{	/* SawJvm/funcall.scm 206 */
								obj_t BgL_vz00_2849;

								BgL_vz00_2849 = CAR(BgL_l1670z00_2846);
								{	/* SawJvm/funcall.scm 206 */
									obj_t BgL_arg1953z00_2850;

									{	/* SawJvm/funcall.scm 206 */
										obj_t BgL_arg1954z00_2851;

										BgL_arg1954z00_2851 = MAKE_YOUNG_PAIR(BgL_vz00_2849, BNIL);
										BgL_arg1953z00_2850 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
											BgL_arg1954z00_2851);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
										BgL_arg1953z00_2850);
							}}
							{
								obj_t BgL_l1670z00_5496;

								BgL_l1670z00_5496 = CDR(BgL_l1670z00_2846);
								BgL_l1670z00_2846 = BgL_l1670z00_5496;
								goto BgL_zc3z04anonymousza31951ze3z87_2847;
							}
						}
					else
						{	/* SawJvm/funcall.scm 206 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/funcall.scm 207 */
					obj_t BgL_arg1956z00_2854;

					{	/* SawJvm/funcall.scm 207 */
						obj_t BgL_arg1957z00_2855;

						BgL_arg1957z00_2855 =
							MAKE_YOUNG_PAIR(bstring_to_symbol(string_append
								(BGl_string2275z00zzsaw_jvm_funcallz00, BgL_fnamez00_112)),
							BNIL);
						BgL_arg1956z00_2854 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)), BgL_arg1957z00_2855);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1956z00_2854);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
					CNST_TABLE_REF(((long) 19)));
				{	/* SawJvm/funcall.scm 210 */
					obj_t BgL_zc3z04anonymousza31964ze3z87_4427;

					BgL_zc3z04anonymousza31964ze3z87_4427 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31964ze3z87_4427,
						(int) (((long) 0)), ((obj_t) BgL_mez00_108));
					PROCEDURE_SET(BgL_zc3z04anonymousza31964ze3z87_4427,
						(int) (((long) 1)), BINT(BgL_iz00_109));
					PROCEDURE_SET(BgL_zc3z04anonymousza31964ze3z87_4427,
						(int) (((long) 2)), BgL_paramsz00_113);
					{	/* SawJvm/funcall.scm 209 */
						obj_t BgL_list1961z00_2859;

						{	/* SawJvm/funcall.scm 209 */
							obj_t BgL_arg1962z00_2860;

							{	/* SawJvm/funcall.scm 209 */
								obj_t BgL_arg1963z00_2861;

								BgL_arg1963z00_2861 = MAKE_YOUNG_PAIR(BgL_procsz00_111, BNIL);
								BgL_arg1962z00_2860 =
									MAKE_YOUNG_PAIR(BgL_labsz00_2840, BgL_arg1963z00_2861);
							}
							BgL_list1961z00_2859 =
								MAKE_YOUNG_PAIR(BgL_needz00_110, BgL_arg1962z00_2860);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza31964ze3z87_4427, BgL_list1961z00_2859);
					}
				}
			}
		}

	}



/* get-labs~1 */
	obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long BgL_iz00_2873,
		obj_t BgL_nsz00_2874, obj_t BgL_psz00_2875)
	{
		{	/* SawJvm/funcall.scm 202 */
			{
				long BgL_nz00_2867;

				if (NULLP(BgL_nsz00_2874))
					{	/* SawJvm/funcall.scm 199 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 201 */
						obj_t BgL_arg1970z00_2878;
						obj_t BgL_arg1971z00_2879;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_2874))))
							{	/* SawJvm/funcall.scm 201 */
								BgL_nz00_2867 = BgL_iz00_2873;
								{	/* SawJvm/funcall.scm 197 */
									obj_t BgL_arg1966z00_2869;

									{	/* SawJvm/funcall.scm 197 */
										obj_t BgL_arg1967z00_2870;

										{	/* SawJvm/funcall.scm 197 */

											BgL_arg1967z00_2870 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_2867, ((long) 10));
										}
										BgL_arg1966z00_2869 =
											string_append(BGl_string2273z00zzsaw_jvm_funcallz00,
											BgL_arg1967z00_2870);
									}
									BgL_arg1970z00_2878 = bstring_to_symbol(BgL_arg1966z00_2869);
							}}
						else
							{	/* SawJvm/funcall.scm 201 */
								BgL_arg1970z00_2878 = CNST_TABLE_REF(((long) 20));
							}
						{	/* SawJvm/funcall.scm 202 */
							long BgL_arg1973z00_2881;
							obj_t BgL_arg1974z00_2882;
							obj_t BgL_arg1975z00_2883;

							BgL_arg1973z00_2881 = (BgL_iz00_2873 + ((long) 1));
							BgL_arg1974z00_2882 = CDR(((obj_t) BgL_nsz00_2874));
							BgL_arg1975z00_2883 = CDR(((obj_t) BgL_psz00_2875));
							BgL_arg1971z00_2879 =
								BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(BgL_arg1973z00_2881,
								BgL_arg1974z00_2882, BgL_arg1975z00_2883);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1970z00_2878, BgL_arg1971z00_2879);
					}
			}
		}

	}



/* &<@anonymous:1964> */
	obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4428, obj_t BgL_nzf3zf3_4432, obj_t BgL_labz00_4433,
		obj_t BgL_pz00_4434)
	{
		{	/* SawJvm/funcall.scm 209 */
			{	/* SawJvm/funcall.scm 210 */
				BgL_jvmz00_bglt BgL_mez00_4429;
				long BgL_iz00_4430;
				obj_t BgL_paramsz00_4431;

				BgL_mez00_4429 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4428, (int) (((long) 0))));
				BgL_iz00_4430 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4428, (int) (((long) 1))));
				BgL_paramsz00_4431 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4428, (int) (((long) 2))));
				if (CBOOL(BgL_nzf3zf3_4432))
					{	/* SawJvm/funcall.scm 210 */
						return
							BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4429),
							BINT(BgL_iz00_4430), BgL_labz00_4433, BgL_pz00_4434,
							BgL_paramsz00_4431);
					}
				else
					{	/* SawJvm/funcall.scm 210 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_114,
		obj_t BgL_iz00_115, obj_t BgL_labz00_116, obj_t BgL_pz00_117,
		obj_t BgL_paramsz00_118)
	{
		{	/* SawJvm/funcall.scm 216 */
			{	/* SawJvm/funcall.scm 217 */
				obj_t BgL_arityz00_2886;

				BgL_arityz00_2886 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_pz00_117));
				{	/* SawJvm/funcall.scm 217 */
					BgL_globalz00_bglt BgL_entryz00_2887;

					BgL_entryz00_2887 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_117));
					{	/* SawJvm/funcall.scm 218 */

						{
							obj_t BgL_nz00_3011;
							obj_t BgL_iz00_3005;

							BGl_labelz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), BgL_labz00_116);
							if ((BgL_arityz00_2886 == BFALSE))
								{	/* SawJvm/funcall.scm 228 */
									{
										obj_t BgL_l1672z00_2891;

										BgL_l1672z00_2891 = BgL_paramsz00_118;
									BgL_zc3z04anonymousza31976ze3z87_2892:
										if (PAIRP(BgL_l1672z00_2891))
											{	/* SawJvm/funcall.scm 229 */
												{	/* SawJvm/funcall.scm 229 */
													obj_t BgL_vz00_2894;

													BgL_vz00_2894 = CAR(BgL_l1672z00_2891);
													{	/* SawJvm/funcall.scm 229 */
														obj_t BgL_arg1978z00_2895;

														{	/* SawJvm/funcall.scm 229 */
															obj_t BgL_arg1979z00_2896;

															BgL_arg1979z00_2896 =
																MAKE_YOUNG_PAIR(BgL_vz00_2894, BNIL);
															BgL_arg1978z00_2895 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
																BgL_arg1979z00_2896);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1978z00_2895);
												}}
												{
													obj_t BgL_l1672z00_5568;

													BgL_l1672z00_5568 = CDR(BgL_l1672z00_2891);
													BgL_l1672z00_2891 = BgL_l1672z00_5568;
													goto BgL_zc3z04anonymousza31976ze3z87_2892;
												}
											}
										else
											{	/* SawJvm/funcall.scm 229 */
												((bool_t) 1);
											}
									}
									if (((long) CINT(BgL_iz00_115) == ((long) 0)))
										{	/* SawJvm/funcall.scm 230 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												CNST_TABLE_REF(((long) 35)));
											{	/* SawJvm/funcall.scm 232 */
												obj_t BgL_arg1982z00_2900;

												{	/* SawJvm/funcall.scm 232 */
													obj_t BgL_arg1983z00_2901;

													{	/* SawJvm/funcall.scm 232 */
														obj_t BgL_arg1984z00_2902;

														BgL_arg1984z00_2902 =
															BGl_declarezd2globalzd2zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															((BgL_globalz00_bglt) BgL_pz00_117));
														BgL_arg1983z00_2901 =
															MAKE_YOUNG_PAIR(BgL_arg1984z00_2902, BNIL);
													}
													BgL_arg1982z00_2900 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 36)),
														BgL_arg1983z00_2901);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													((BgL_jvmz00_bglt) BgL_mez00_114),
													BgL_arg1982z00_2900);
										}}
									else
										{	/* SawJvm/funcall.scm 233 */
											obj_t BgL_arg1985z00_2903;

											{	/* SawJvm/funcall.scm 233 */
												obj_t BgL_arg1986z00_2904;

												{	/* SawJvm/funcall.scm 233 */
													obj_t BgL_arg1987z00_2905;

													BgL_arg1987z00_2905 =
														BGl_declarezd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														((BgL_globalz00_bglt) BgL_pz00_117));
													BgL_arg1986z00_2904 =
														MAKE_YOUNG_PAIR(BgL_arg1987z00_2905, BNIL);
												}
												BgL_arg1985z00_2903 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 37)),
													BgL_arg1986z00_2904);
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), BgL_arg1985z00_2903);
								}}
							else
								{	/* SawJvm/funcall.scm 228 */
									if (((long) CINT(BgL_arityz00_2886) >= ((long) 0)))
										{	/* SawJvm/funcall.scm 234 */
											if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_117))
												{	/* SawJvm/funcall.scm 235 */
													{
														obj_t BgL_l1674z00_2910;

														BgL_l1674z00_2910 = BgL_paramsz00_118;
													BgL_zc3z04anonymousza31990ze3z87_2911:
														if (PAIRP(BgL_l1674z00_2910))
															{	/* SawJvm/funcall.scm 237 */
																{	/* SawJvm/funcall.scm 237 */
																	obj_t BgL_vz00_2913;

																	BgL_vz00_2913 = CAR(BgL_l1674z00_2910);
																	{	/* SawJvm/funcall.scm 237 */
																		obj_t BgL_arg1992z00_2914;

																		{	/* SawJvm/funcall.scm 237 */
																			obj_t BgL_arg1993z00_2915;

																			BgL_arg1993z00_2915 =
																				MAKE_YOUNG_PAIR(BgL_vz00_2913, BNIL);
																			BgL_arg1992z00_2914 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						2)), BgL_arg1993z00_2915);
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_114),
																			BgL_arg1992z00_2914);
																}}
																{
																	obj_t BgL_l1674z00_5605;

																	BgL_l1674z00_5605 = CDR(BgL_l1674z00_2910);
																	BgL_l1674z00_2910 = BgL_l1674z00_5605;
																	goto BgL_zc3z04anonymousza31990ze3z87_2911;
																}
															}
														else
															{	/* SawJvm/funcall.scm 237 */
																((bool_t) 1);
															}
													}
													{	/* SawJvm/funcall.scm 238 */
														obj_t BgL_arg1995z00_2918;

														{	/* SawJvm/funcall.scm 238 */
															obj_t BgL_arg1996z00_2919;

															{	/* SawJvm/funcall.scm 238 */
																obj_t BgL_tmpz00_5607;

																BgL_iz00_3005 = BgL_iz00_115;
																{	/* SawJvm/funcall.scm 220 */
																	obj_t BgL_arg2047z00_3007;

																	{	/* SawJvm/funcall.scm 220 */
																		obj_t BgL_arg2048z00_3008;

																		{	/* SawJvm/funcall.scm 220 */

																			BgL_arg2048z00_3008 =
																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																				((long) CINT(BgL_iz00_3005),
																				((long) 10));
																		}
																		BgL_arg2047z00_3007 =
																			string_append
																			(BGl_string2276z00zzsaw_jvm_funcallz00,
																			BgL_arg2048z00_3008);
																	}
																	BgL_tmpz00_5607 =
																		bstring_to_symbol(BgL_arg2047z00_3007);
																}
																BgL_arg1996z00_2919 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_5607, BNIL);
															}
															BgL_arg1995z00_2918 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 38)),
																BgL_arg1996z00_2919);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1995z00_2918);
													}
													BGl_callzd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														BgL_entryz00_2887);
												}
											else
												{	/* SawJvm/funcall.scm 240 */
													obj_t BgL_argsz00_2921;

													BgL_argsz00_2921 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_entryz00_2887)))->
																		BgL_valuez00))))->BgL_argsz00);
													{	/* SawJvm/funcall.scm 240 */
														obj_t BgL_typesz00_2922;

														if (NULLP(BgL_argsz00_2921))
															{	/* SawJvm/funcall.scm 241 */
																BgL_typesz00_2922 = BNIL;
															}
														else
															{	/* SawJvm/funcall.scm 241 */
																obj_t BgL_head1678z00_2940;

																{	/* SawJvm/funcall.scm 241 */
																	BgL_typez00_bglt BgL_arg2013z00_2952;

																	BgL_arg2013z00_2952 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_argsz00_2921))))))->
																		BgL_typez00);
																	BgL_head1678z00_2940 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg2013z00_2952), BNIL);
																}
																{	/* SawJvm/funcall.scm 241 */
																	obj_t BgL_g1681z00_2941;

																	BgL_g1681z00_2941 =
																		CDR(((obj_t) BgL_argsz00_2921));
																	{
																		obj_t BgL_l1676z00_2943;
																		obj_t BgL_tail1679z00_2944;

																		BgL_l1676z00_2943 = BgL_g1681z00_2941;
																		BgL_tail1679z00_2944 = BgL_head1678z00_2940;
																	BgL_zc3z04anonymousza32008ze3z87_2945:
																		if (NULLP(BgL_l1676z00_2943))
																			{	/* SawJvm/funcall.scm 241 */
																				BgL_typesz00_2922 =
																					BgL_head1678z00_2940;
																			}
																		else
																			{	/* SawJvm/funcall.scm 241 */
																				obj_t BgL_newtail1680z00_2947;

																				{	/* SawJvm/funcall.scm 241 */
																					BgL_typez00_bglt BgL_arg2011z00_2949;

																					BgL_arg2011z00_2949 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_l1676z00_2943))))))->
																						BgL_typez00);
																					BgL_newtail1680z00_2947 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg2011z00_2949), BNIL);
																				}
																				SET_CDR(BgL_tail1679z00_2944,
																					BgL_newtail1680z00_2947);
																				{	/* SawJvm/funcall.scm 241 */
																					obj_t BgL_arg2010z00_2948;

																					BgL_arg2010z00_2948 =
																						CDR(((obj_t) BgL_l1676z00_2943));
																					{
																						obj_t BgL_tail1679z00_5647;
																						obj_t BgL_l1676z00_5646;

																						BgL_l1676z00_5646 =
																							BgL_arg2010z00_2948;
																						BgL_tail1679z00_5647 =
																							BgL_newtail1680z00_2947;
																						BgL_tail1679z00_2944 =
																							BgL_tail1679z00_5647;
																						BgL_l1676z00_2943 =
																							BgL_l1676z00_5646;
																						goto
																							BgL_zc3z04anonymousza32008ze3z87_2945;
																					}
																				}
																			}
																	}
																}
															}
														{	/* SawJvm/funcall.scm 241 */

															{
																obj_t BgL_ll1682z00_2924;
																obj_t BgL_ll1683z00_2925;

																BgL_ll1682z00_2924 = BgL_paramsz00_118;
																BgL_ll1683z00_2925 = BgL_typesz00_2922;
															BgL_zc3z04anonymousza31998ze3z87_2926:
																if (NULLP(BgL_ll1682z00_2924))
																	{	/* SawJvm/funcall.scm 242 */
																		((bool_t) 1);
																	}
																else
																	{	/* SawJvm/funcall.scm 242 */
																		{	/* SawJvm/funcall.scm 243 */
																			obj_t BgL_vz00_2928;
																			obj_t BgL_tz00_2929;

																			BgL_vz00_2928 =
																				CAR(((obj_t) BgL_ll1682z00_2924));
																			BgL_tz00_2929 =
																				CAR(((obj_t) BgL_ll1683z00_2925));
																			{	/* SawJvm/funcall.scm 243 */
																				obj_t BgL_arg2000z00_2930;

																				{	/* SawJvm/funcall.scm 243 */
																					obj_t BgL_arg2001z00_2931;

																					BgL_arg2001z00_2931 =
																						MAKE_YOUNG_PAIR(BgL_vz00_2928,
																						BNIL);
																					BgL_arg2000z00_2930 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 2)),
																						BgL_arg2001z00_2931);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg2000z00_2930);
																			}
																			if (
																				(BgL_tz00_2929 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* SawJvm/funcall.scm 244 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 245 */
																					obj_t BgL_arg2002z00_2932;

																					{	/* SawJvm/funcall.scm 245 */
																						obj_t BgL_arg2003z00_2933;

																						{	/* SawJvm/funcall.scm 245 */
																							obj_t BgL_arg2004z00_2934;

																							BgL_arg2004z00_2934 =
																								BGl_compilezd2typezd2zzsaw_jvm_outz00
																								(((BgL_jvmz00_bglt)
																									BgL_mez00_114),
																								((BgL_typez00_bglt)
																									BgL_tz00_2929));
																							BgL_arg2003z00_2933 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2004z00_2934, BNIL);
																						}
																						BgL_arg2002z00_2932 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg2003z00_2933);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_114),
																						BgL_arg2002z00_2932);
																		}}
																		{	/* SawJvm/funcall.scm 242 */
																			obj_t BgL_arg2005z00_2935;
																			obj_t BgL_arg2006z00_2936;

																			BgL_arg2005z00_2935 =
																				CDR(((obj_t) BgL_ll1682z00_2924));
																			BgL_arg2006z00_2936 =
																				CDR(((obj_t) BgL_ll1683z00_2925));
																			{
																				obj_t BgL_ll1683z00_5674;
																				obj_t BgL_ll1682z00_5673;

																				BgL_ll1682z00_5673 =
																					BgL_arg2005z00_2935;
																				BgL_ll1683z00_5674 =
																					BgL_arg2006z00_2936;
																				BgL_ll1683z00_2925 = BgL_ll1683z00_5674;
																				BgL_ll1682z00_2924 = BgL_ll1682z00_5673;
																				goto
																					BgL_zc3z04anonymousza31998ze3z87_2926;
																			}
																		}
																	}
															}
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2887);
														}
													}
												}
										}
									else
										{	/* SawJvm/funcall.scm 234 */
											{	/* SawJvm/funcall.scm 249 */
												obj_t BgL_argsz00_2955;

												BgL_argsz00_2955 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_entryz00_2887)))->BgL_valuez00))))->
													BgL_argsz00);
												{	/* SawJvm/funcall.scm 249 */
													obj_t BgL_typesz00_2956;

													if (NULLP(BgL_argsz00_2955))
														{	/* SawJvm/funcall.scm 250 */
															BgL_typesz00_2956 = BNIL;
														}
													else
														{	/* SawJvm/funcall.scm 250 */
															obj_t BgL_head1687z00_2987;

															{	/* SawJvm/funcall.scm 250 */
																BgL_typez00_bglt BgL_arg2041z00_2999;

																BgL_arg2041z00_2999 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_2955))))))->
																	BgL_typez00);
																BgL_head1687z00_2987 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2041z00_2999),
																	BNIL);
															}
															{	/* SawJvm/funcall.scm 250 */
																obj_t BgL_g1690z00_2988;

																BgL_g1690z00_2988 =
																	CDR(((obj_t) BgL_argsz00_2955));
																{
																	obj_t BgL_l1685z00_2990;
																	obj_t BgL_tail1688z00_2991;

																	BgL_l1685z00_2990 = BgL_g1690z00_2988;
																	BgL_tail1688z00_2991 = BgL_head1687z00_2987;
																BgL_zc3z04anonymousza32034ze3z87_2992:
																	if (NULLP(BgL_l1685z00_2990))
																		{	/* SawJvm/funcall.scm 250 */
																			BgL_typesz00_2956 = BgL_head1687z00_2987;
																		}
																	else
																		{	/* SawJvm/funcall.scm 250 */
																			obj_t BgL_newtail1689z00_2994;

																			{	/* SawJvm/funcall.scm 250 */
																				BgL_typez00_bglt BgL_arg2039z00_2996;

																				BgL_arg2039z00_2996 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_l1685z00_2990))))))->
																					BgL_typez00);
																				BgL_newtail1689z00_2994 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_arg2039z00_2996), BNIL);
																			}
																			SET_CDR(BgL_tail1688z00_2991,
																				BgL_newtail1689z00_2994);
																			{	/* SawJvm/funcall.scm 250 */
																				obj_t BgL_arg2037z00_2995;

																				BgL_arg2037z00_2995 =
																					CDR(((obj_t) BgL_l1685z00_2990));
																				{
																					obj_t BgL_tail1688z00_5705;
																					obj_t BgL_l1685z00_5704;

																					BgL_l1685z00_5704 =
																						BgL_arg2037z00_2995;
																					BgL_tail1688z00_5705 =
																						BgL_newtail1689z00_2994;
																					BgL_tail1688z00_2991 =
																						BgL_tail1688z00_5705;
																					BgL_l1685z00_2990 = BgL_l1685z00_5704;
																					goto
																						BgL_zc3z04anonymousza32034ze3z87_2992;
																				}
																			}
																		}
																}
															}
														}
													{	/* SawJvm/funcall.scm 250 */

														{	/* SawJvm/funcall.scm 251 */
															obj_t BgL_g1213z00_2957;

															BgL_g1213z00_2957 =
																BGl_zd2zd2zz__r4_numbers_6_5z00
																(BgL_arityz00_2886, BNIL);
															{
																obj_t BgL_iz00_2959;
																obj_t BgL_paramsz00_2960;
																obj_t BgL_typesz00_2961;

																BgL_iz00_2959 = BgL_g1213z00_2957;
																BgL_paramsz00_2960 = BgL_paramsz00_118;
																BgL_typesz00_2961 = BgL_typesz00_2956;
															BgL_zc3z04anonymousza32016ze3z87_2962:
																if (((long) CINT(BgL_iz00_2959) == ((long) 0)))
																	{
																		obj_t BgL_l1691z00_2965;

																		BgL_l1691z00_2965 = BgL_paramsz00_2960;
																	BgL_zc3z04anonymousza32018ze3z87_2966:
																		if (PAIRP(BgL_l1691z00_2965))
																			{	/* SawJvm/funcall.scm 255 */
																				{	/* SawJvm/funcall.scm 255 */
																					obj_t BgL_vz00_2968;

																					BgL_vz00_2968 =
																						CAR(BgL_l1691z00_2965);
																					{	/* SawJvm/funcall.scm 255 */
																						obj_t BgL_arg2020z00_2969;

																						{	/* SawJvm/funcall.scm 255 */
																							obj_t BgL_arg2021z00_2970;

																							BgL_arg2021z00_2970 =
																								MAKE_YOUNG_PAIR(BgL_vz00_2968,
																								BNIL);
																							BgL_arg2020z00_2969 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 2)),
																								BgL_arg2021z00_2970);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00(
																							((BgL_jvmz00_bglt) BgL_mez00_114),
																							BgL_arg2020z00_2969);
																				}}
																				{
																					obj_t BgL_l1691z00_5718;

																					BgL_l1691z00_5718 =
																						CDR(BgL_l1691z00_2965);
																					BgL_l1691z00_2965 = BgL_l1691z00_5718;
																					goto
																						BgL_zc3z04anonymousza32018ze3z87_2966;
																				}
																			}
																		else
																			{	/* SawJvm/funcall.scm 255 */
																				((bool_t) 1);
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 256 */
																		obj_t BgL_vz00_2973;
																		obj_t BgL_tz00_2974;

																		BgL_vz00_2973 =
																			CAR(((obj_t) BgL_paramsz00_2960));
																		BgL_tz00_2974 =
																			CAR(((obj_t) BgL_typesz00_2961));
																		{	/* SawJvm/funcall.scm 258 */
																			obj_t BgL_arg2023z00_2975;

																			{	/* SawJvm/funcall.scm 258 */
																				obj_t BgL_arg2024z00_2976;

																				BgL_arg2024z00_2976 =
																					MAKE_YOUNG_PAIR(BgL_vz00_2973, BNIL);
																				BgL_arg2023z00_2975 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							2)), BgL_arg2024z00_2976);
																			}
																			BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_114),
																				BgL_arg2023z00_2975);
																		}
																		if (
																			(BgL_tz00_2974 ==
																				BGl_za2objza2z00zztype_cachez00))
																			{	/* SawJvm/funcall.scm 259 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 260 */
																				obj_t BgL_arg2025z00_2977;

																				{	/* SawJvm/funcall.scm 260 */
																					obj_t BgL_arg2026z00_2978;

																					{	/* SawJvm/funcall.scm 260 */
																						obj_t BgL_arg2028z00_2979;

																						BgL_arg2028z00_2979 =
																							BGl_compilezd2typezd2zzsaw_jvm_outz00
																							(((BgL_jvmz00_bglt)
																								BgL_mez00_114),
																							((BgL_typez00_bglt)
																								BgL_tz00_2974));
																						BgL_arg2026z00_2978 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2028z00_2979, BNIL);
																					}
																					BgL_arg2025z00_2977 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 28)),
																						BgL_arg2026z00_2978);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg2025z00_2977);
																			}
																		{	/* SawJvm/funcall.scm 261 */
																			long BgL_arg2029z00_2980;
																			obj_t BgL_arg2030z00_2981;
																			obj_t BgL_arg2031z00_2982;

																			BgL_arg2029z00_2980 =
																				(
																				(long) CINT(BgL_iz00_2959) -
																				((long) 1));
																			BgL_arg2030z00_2981 =
																				CDR(((obj_t) BgL_paramsz00_2960));
																			BgL_arg2031z00_2982 =
																				CDR(((obj_t) BgL_typesz00_2961));
																			{
																				obj_t BgL_typesz00_5748;
																				obj_t BgL_paramsz00_5747;
																				obj_t BgL_iz00_5745;

																				BgL_iz00_5745 =
																					BINT(BgL_arg2029z00_2980);
																				BgL_paramsz00_5747 =
																					BgL_arg2030z00_2981;
																				BgL_typesz00_5748 = BgL_arg2031z00_2982;
																				BgL_typesz00_2961 = BgL_typesz00_5748;
																				BgL_paramsz00_2960 = BgL_paramsz00_5747;
																				BgL_iz00_2959 = BgL_iz00_5745;
																				goto
																					BgL_zc3z04anonymousza32016ze3z87_2962;
																			}
																		}
																	}
															}
														}
													}
												}
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												CNST_TABLE_REF(((long) 39)));
											{	/* SawJvm/funcall.scm 263 */
												obj_t BgL_arg2044z00_3002;

												{	/* SawJvm/funcall.scm 263 */
													obj_t BgL_b1693z00_3003;

													if (INTEGERP(BgL_arityz00_2886))
														{	/* SawJvm/funcall.scm 263 */
															obj_t BgL_resz00_4085;

															BgL_resz00_4085 = BINT(((long) 0));
															{	/* SawJvm/funcall.scm 263 */
																bool_t BgL_test2449z00_5755;

																{	/* SawJvm/funcall.scm 263 */
																	obj_t BgL_tmpz00_5756;

																	BgL_tmpz00_5756 = BINT(((long) 1));
																	BgL_test2449z00_5755 =
																		BGL_ADDFX_OV(BgL_tmpz00_5756,
																		BgL_arityz00_2886, BgL_resz00_4085);
																}
																if (BgL_test2449z00_5755)
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1693z00_3003 =
																			bgl_bignum_add(CNST_TABLE_REF(((long)
																					40)),
																			bgl_long_to_bignum((long)
																				CINT(BgL_arityz00_2886)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1693z00_3003 = BgL_resz00_4085;
																	}
															}
														}
													else
														{	/* SawJvm/funcall.scm 263 */
															BgL_b1693z00_3003 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long)
																		1)), BgL_arityz00_2886);
														}
													{	/* SawJvm/funcall.scm 263 */
														bool_t BgL_test2450z00_5765;

														if (INTEGERP(BgL_iz00_115))
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2450z00_5765 =
																	INTEGERP(BgL_b1693z00_3003);
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2450z00_5765 = ((bool_t) 0);
															}
														if (BgL_test2450z00_5765)
															{	/* SawJvm/funcall.scm 263 */
																obj_t BgL_resz00_4095;

																BgL_resz00_4095 = BINT(((long) 0));
																if (BGL_ADDFX_OV(BgL_iz00_115,
																		BgL_b1693z00_3003, BgL_resz00_4095))
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2044z00_3002 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_iz00_115)),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_b1693z00_3003)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2044z00_3002 = BgL_resz00_4095;
																	}
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_arg2044z00_3002 =
																	BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_115,
																	BgL_b1693z00_3003);
															}
													}
												}
												BgL_nz00_3011 = BgL_arg2044z00_3002;
											BgL_zc3z04anonymousza32049ze3z87_3012:
												{	/* SawJvm/funcall.scm 222 */
													bool_t BgL_test2453z00_5778;

													if (INTEGERP(BgL_nz00_3011))
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2453z00_5778 =
																((long) CINT(BgL_nz00_3011) == ((long) 0));
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2453z00_5778 =
																BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_3011,
																BINT(((long) 0)));
														}
													if (BgL_test2453z00_5778)
														{	/* SawJvm/funcall.scm 222 */
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2887);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																CNST_TABLE_REF(((long) 34)));
															{	/* SawJvm/funcall.scm 225 */
																long BgL_arg2051z00_3014;

																BgL_arg2051z00_3014 =
																	((long) CINT(BgL_nz00_3011) - ((long) 1));
																{
																	obj_t BgL_nz00_5792;

																	BgL_nz00_5792 = BINT(BgL_arg2051z00_3014);
																	BgL_nz00_3011 = BgL_nz00_5792;
																	goto BgL_zc3z04anonymousza32049ze3z87_3012;
																}
															}
														}
												}
											}
										}
								}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), CNST_TABLE_REF(((long) 19)));
		}}}}}

	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_119, obj_t BgL_procsz00_120)
	{
		{	/* SawJvm/funcall.scm 269 */
			{	/* SawJvm/funcall.scm 274 */
				obj_t BgL_needz00_3018;

				if (NULLP(BgL_procsz00_120))
					{	/* SawJvm/funcall.scm 274 */
						BgL_needz00_3018 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 274 */
						obj_t BgL_head1696z00_3040;

						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_arg2067z00_3052;

							{	/* SawJvm/funcall.scm 274 */
								obj_t BgL_arg2068z00_3053;

								BgL_arg2068z00_3053 = CAR(((obj_t) BgL_procsz00_120));
								BgL_arg2067z00_3052 =
									BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
									(BgL_mez00_119, BgL_arg2068z00_3053);
							}
							BgL_head1696z00_3040 = MAKE_YOUNG_PAIR(BgL_arg2067z00_3052, BNIL);
						}
						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_g1699z00_3041;

							BgL_g1699z00_3041 = CDR(((obj_t) BgL_procsz00_120));
							{
								obj_t BgL_l1694z00_3043;
								obj_t BgL_tail1697z00_3044;

								BgL_l1694z00_3043 = BgL_g1699z00_3041;
								BgL_tail1697z00_3044 = BgL_head1696z00_3040;
							BgL_zc3z04anonymousza32061ze3z87_3045:
								if (NULLP(BgL_l1694z00_3043))
									{	/* SawJvm/funcall.scm 274 */
										BgL_needz00_3018 = BgL_head1696z00_3040;
									}
								else
									{	/* SawJvm/funcall.scm 274 */
										obj_t BgL_newtail1698z00_3047;

										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2065z00_3049;

											{	/* SawJvm/funcall.scm 274 */
												obj_t BgL_arg2066z00_3050;

												BgL_arg2066z00_3050 = CAR(((obj_t) BgL_l1694z00_3043));
												BgL_arg2065z00_3049 =
													BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
													(BgL_mez00_119, BgL_arg2066z00_3050);
											}
											BgL_newtail1698z00_3047 =
												MAKE_YOUNG_PAIR(BgL_arg2065z00_3049, BNIL);
										}
										SET_CDR(BgL_tail1697z00_3044, BgL_newtail1698z00_3047);
										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2063z00_3048;

											BgL_arg2063z00_3048 = CDR(((obj_t) BgL_l1694z00_3043));
											{
												obj_t BgL_tail1697z00_5815;
												obj_t BgL_l1694z00_5814;

												BgL_l1694z00_5814 = BgL_arg2063z00_3048;
												BgL_tail1697z00_5815 = BgL_newtail1698z00_3047;
												BgL_tail1697z00_3044 = BgL_tail1697z00_5815;
												BgL_l1694z00_3043 = BgL_l1694z00_5814;
												goto BgL_zc3z04anonymousza32061ze3z87_3045;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 275 */
					bool_t BgL_test2457z00_5816;

					{
						obj_t BgL_l1700z00_3030;

						BgL_l1700z00_3030 = BgL_needz00_3018;
					BgL_zc3z04anonymousza32058ze3z87_3031:
						if (NULLP(BgL_l1700z00_3030))
							{	/* SawJvm/funcall.scm 275 */
								BgL_test2457z00_5816 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 275 */
								bool_t BgL_test2459z00_5819;

								if (CBOOL(CAR(((obj_t) BgL_l1700z00_3030))))
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2459z00_5819 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2459z00_5819 = ((bool_t) 1);
									}
								if (BgL_test2459z00_5819)
									{
										obj_t BgL_l1700z00_5824;

										BgL_l1700z00_5824 = CDR(((obj_t) BgL_l1700z00_3030));
										BgL_l1700z00_3030 = BgL_l1700z00_5824;
										goto BgL_zc3z04anonymousza32058ze3z87_3031;
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2457z00_5816 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2457z00_5816)
						{	/* SawJvm/funcall.scm 275 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 275 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 41)));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 42)), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								CNST_TABLE_REF(((long) 3)));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_119,
								BgL_needz00_3018, BgL_procsz00_120);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_119);
						}
				}
			}
		}

	}



/* xx_global-arity~0 */
	obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_4480, obj_t BgL_pz00_3054)
	{
		{	/* SawJvm/funcall.scm 273 */
			if (BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4480,
					BgL_pz00_3054))
				{	/* SawJvm/funcall.scm 271 */
					return BFALSE;
				}
			else
				{	/* SawJvm/funcall.scm 272 */
					bool_t BgL_test2462z00_5841;

					{	/* SawJvm/funcall.scm 272 */
						BgL_globalz00_bglt BgL_arg2071z00_3058;

						BgL_arg2071z00_3058 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_3054));
						BgL_test2462z00_5841 =
							BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00
							(BgL_mez00_4480, ((obj_t) BgL_arg2071z00_3058));
					}
					if (BgL_test2462z00_5841)
						{	/* SawJvm/funcall.scm 272 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 272 */
							return
								BGl_globalzd2arityzd2zzbackend_cplibz00(
								((BgL_globalz00_bglt) BgL_pz00_3054));
						}
				}
		}

	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_121, obj_t BgL_needz00_122, obj_t BgL_procsz00_123)
	{
		{	/* SawJvm/funcall.scm 284 */
			{	/* SawJvm/funcall.scm 291 */
				obj_t BgL_labsz00_3062;

				BgL_labsz00_3062 =
					BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_122,
					BgL_procsz00_123);
				{	/* SawJvm/funcall.scm 292 */
					obj_t BgL_arg2072z00_3063;

					{	/* SawJvm/funcall.scm 292 */
						obj_t BgL_arg2073z00_3064;

						{	/* SawJvm/funcall.scm 292 */
							obj_t BgL_arg2074z00_3065;

							BgL_arg2074z00_3065 =
								MAKE_YOUNG_PAIR(BINT(((long) 0)),
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_3062, BNIL));
							BgL_arg2073z00_3064 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
								BgL_arg2074z00_3065);
						}
						BgL_arg2072z00_3063 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg2073z00_3064);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, BgL_arg2072z00_3063);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 20)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 43)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 44)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					CNST_TABLE_REF(((long) 19)));
				{	/* SawJvm/funcall.scm 297 */
					obj_t BgL_zc3z04anonymousza32082ze3z87_4435;

					BgL_zc3z04anonymousza32082ze3z87_4435 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32082ze3z87_4435,
						(int) (((long) 0)), ((obj_t) BgL_mez00_121));
					{	/* SawJvm/funcall.scm 297 */
						obj_t BgL_list2079z00_3068;

						{	/* SawJvm/funcall.scm 297 */
							obj_t BgL_arg2080z00_3069;

							{	/* SawJvm/funcall.scm 297 */
								obj_t BgL_arg2081z00_3070;

								BgL_arg2081z00_3070 = MAKE_YOUNG_PAIR(BgL_procsz00_123, BNIL);
								BgL_arg2080z00_3069 =
									MAKE_YOUNG_PAIR(BgL_labsz00_3062, BgL_arg2081z00_3070);
							}
							BgL_list2079z00_3068 =
								MAKE_YOUNG_PAIR(BgL_needz00_122, BgL_arg2080z00_3069);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza32082ze3z87_4435, BgL_list2079z00_3068);
					}
				}
			}
		}

	}



/* get-labs~0 */
	obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long BgL_iz00_3082,
		obj_t BgL_nsz00_3083, obj_t BgL_psz00_3084)
	{
		{	/* SawJvm/funcall.scm 290 */
			{
				long BgL_nz00_3076;

				if (NULLP(BgL_nsz00_3083))
					{	/* SawJvm/funcall.scm 287 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 289 */
						obj_t BgL_arg2088z00_3087;
						obj_t BgL_arg2089z00_3088;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_3083))))
							{	/* SawJvm/funcall.scm 289 */
								BgL_nz00_3076 = BgL_iz00_3082;
								{	/* SawJvm/funcall.scm 285 */
									obj_t BgL_arg2084z00_3078;

									{	/* SawJvm/funcall.scm 285 */
										obj_t BgL_arg2085z00_3079;

										{	/* SawJvm/funcall.scm 285 */

											BgL_arg2085z00_3079 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_3076, ((long) 10));
										}
										BgL_arg2084z00_3078 =
											string_append(BGl_string2273z00zzsaw_jvm_funcallz00,
											BgL_arg2085z00_3079);
									}
									BgL_arg2088z00_3087 = bstring_to_symbol(BgL_arg2084z00_3078);
							}}
						else
							{	/* SawJvm/funcall.scm 289 */
								BgL_arg2088z00_3087 = CNST_TABLE_REF(((long) 20));
							}
						{	/* SawJvm/funcall.scm 290 */
							long BgL_arg2091z00_3090;
							obj_t BgL_arg2092z00_3091;
							obj_t BgL_arg2093z00_3092;

							BgL_arg2091z00_3090 = (BgL_iz00_3082 + ((long) 1));
							BgL_arg2092z00_3091 = CDR(((obj_t) BgL_nsz00_3083));
							BgL_arg2093z00_3092 = CDR(((obj_t) BgL_psz00_3084));
							BgL_arg2089z00_3088 =
								BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(BgL_arg2091z00_3090,
								BgL_arg2092z00_3091, BgL_arg2093z00_3092);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2088z00_3087, BgL_arg2089z00_3088);
					}
			}
		}

	}



/* &<@anonymous:2082> */
	obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4436, obj_t BgL_nzf3zf3_4438, obj_t BgL_labz00_4439,
		obj_t BgL_pz00_4440)
	{
		{	/* SawJvm/funcall.scm 297 */
			{	/* SawJvm/funcall.scm 297 */
				BgL_jvmz00_bglt BgL_mez00_4437;

				BgL_mez00_4437 =
					((BgL_jvmz00_bglt)
					PROCEDURE_REF(BgL_envz00_4436, (int) (((long) 0))));
				if (CBOOL(BgL_nzf3zf3_4438))
					{	/* SawJvm/funcall.scm 297 */
						return
							BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4437), BgL_labz00_4439, BgL_pz00_4440);
					}
				else
					{	/* SawJvm/funcall.scm 297 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_124,
		obj_t BgL_labz00_125, obj_t BgL_pz00_126)
	{
		{	/* SawJvm/funcall.scm 302 */
			{
				obj_t BgL_mez00_3120;
				obj_t BgL_nz00_3121;
				bool_t BgL_fixedarityzf3zf3_3122;
				obj_t BgL_typesz00_3123;

				{	/* SawJvm/funcall.scm 328 */
					obj_t BgL_arityz00_3096;

					BgL_arityz00_3096 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_126));
					{	/* SawJvm/funcall.scm 328 */
						BgL_globalz00_bglt BgL_entryz00_3097;

						BgL_entryz00_3097 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_126));
						{	/* SawJvm/funcall.scm 329 */
							obj_t BgL_argsz00_3098;

							BgL_argsz00_3098 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_entryz00_3097)))->
												BgL_valuez00))))->BgL_argsz00);
							{	/* SawJvm/funcall.scm 330 */
								obj_t BgL_typesz00_3099;

								{	/* SawJvm/funcall.scm 331 */
									obj_t BgL_l1703z00_3103;

									BgL_l1703z00_3103 = CDR(((obj_t) BgL_argsz00_3098));
									if (NULLP(BgL_l1703z00_3103))
										{	/* SawJvm/funcall.scm 331 */
											BgL_typesz00_3099 = BNIL;
										}
									else
										{	/* SawJvm/funcall.scm 331 */
											obj_t BgL_head1705z00_3105;

											{	/* SawJvm/funcall.scm 331 */
												BgL_typez00_bglt BgL_arg2103z00_3117;

												BgL_arg2103z00_3117 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_l1703z00_3103))))))->
													BgL_typez00);
												BgL_head1705z00_3105 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2103z00_3117), BNIL);
											}
											{	/* SawJvm/funcall.scm 331 */
												obj_t BgL_g1708z00_3106;

												BgL_g1708z00_3106 = CDR(((obj_t) BgL_l1703z00_3103));
												{
													obj_t BgL_l1703z00_3108;
													obj_t BgL_tail1706z00_3109;

													BgL_l1703z00_3108 = BgL_g1708z00_3106;
													BgL_tail1706z00_3109 = BgL_head1705z00_3105;
												BgL_zc3z04anonymousza32098ze3z87_3110:
													if (NULLP(BgL_l1703z00_3108))
														{	/* SawJvm/funcall.scm 331 */
															BgL_typesz00_3099 = BgL_head1705z00_3105;
														}
													else
														{	/* SawJvm/funcall.scm 331 */
															obj_t BgL_newtail1707z00_3112;

															{	/* SawJvm/funcall.scm 331 */
																BgL_typez00_bglt BgL_arg2101z00_3114;

																BgL_arg2101z00_3114 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_l1703z00_3108))))))->
																	BgL_typez00);
																BgL_newtail1707z00_3112 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2101z00_3114),
																	BNIL);
															}
															SET_CDR(BgL_tail1706z00_3109,
																BgL_newtail1707z00_3112);
															{	/* SawJvm/funcall.scm 331 */
																obj_t BgL_arg2100z00_3113;

																BgL_arg2100z00_3113 =
																	CDR(((obj_t) BgL_l1703z00_3108));
																{
																	obj_t BgL_tail1706z00_5933;
																	obj_t BgL_l1703z00_5932;

																	BgL_l1703z00_5932 = BgL_arg2100z00_3113;
																	BgL_tail1706z00_5933 =
																		BgL_newtail1707z00_3112;
																	BgL_tail1706z00_3109 = BgL_tail1706z00_5933;
																	BgL_l1703z00_3108 = BgL_l1703z00_5932;
																	goto BgL_zc3z04anonymousza32098ze3z87_3110;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/funcall.scm 331 */

									BGl_labelz00zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_labz00_125);
									{	/* SawJvm/funcall.scm 333 */
										bool_t BgL_test2468z00_5936;

										if (INTEGERP(BgL_arityz00_3096))
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2468z00_5936 =
													((long) CINT(BgL_arityz00_3096) >= ((long) 0));
											}
										else
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2468z00_5936 =
													BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_3096,
													BINT(((long) 0)));
											}
										if (BgL_test2468z00_5936)
											{	/* SawJvm/funcall.scm 333 */
												if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00
													(BgL_pz00_126))
													{	/* SawJvm/funcall.scm 334 */
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(((long) 43)));
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															CNST_TABLE_REF(((long) 50)));
													}
												else
													{	/* SawJvm/funcall.scm 334 */
														BgL_mez00_3120 = BgL_mez00_124;
														BgL_nz00_3121 = BgL_arityz00_3096;
														BgL_fixedarityzf3zf3_3122 = ((bool_t) 1);
														BgL_typesz00_3123 = BgL_typesz00_3099;
													BgL_zc3z04anonymousza32106ze3z87_3124:
														if (((long) CINT(BgL_nz00_3121) == ((long) 0)))
															{	/* SawJvm/funcall.scm 305 */
																if (BgL_fixedarityzf3zf3_3122)
																	{	/* SawJvm/funcall.scm 306 */
																		BFALSE;
																	}
																else
																	{	/* SawJvm/funcall.scm 306 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 43)));
															}}
														else
															{	/* SawJvm/funcall.scm 305 */
																if (((long) CINT(BgL_nz00_3121) == ((long) 1)))
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 45)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 46)));
																		{	/* SawJvm/funcall.scm 312 */
																			bool_t BgL_test2474z00_5970;

																			{	/* SawJvm/funcall.scm 312 */
																				obj_t BgL_arg2115z00_3133;

																				BgL_arg2115z00_3133 =
																					CAR(((obj_t) BgL_typesz00_3123));
																				BgL_test2474z00_5970 =
																					(BgL_arg2115z00_3133 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2474z00_5970)
																				{	/* SawJvm/funcall.scm 312 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 313 */
																					obj_t BgL_arg2111z00_3129;

																					{	/* SawJvm/funcall.scm 313 */
																						obj_t BgL_arg2112z00_3130;

																						{	/* SawJvm/funcall.scm 313 */
																							obj_t BgL_arg2113z00_3131;

																							{	/* SawJvm/funcall.scm 313 */
																								obj_t BgL_arg2114z00_3132;

																								BgL_arg2114z00_3132 =
																									CAR(
																									((obj_t) BgL_typesz00_3123));
																								BgL_arg2113z00_3131 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3120),
																									((BgL_typez00_bglt)
																										BgL_arg2114z00_3132));
																							}
																							BgL_arg2112z00_3130 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2113z00_3131, BNIL);
																						}
																						BgL_arg2111z00_3129 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg2112z00_3130);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3120),
																						BgL_arg2111z00_3129);
																		}}
																		if (BgL_fixedarityzf3zf3_3122)
																			{	/* SawJvm/funcall.scm 314 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 314 */
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3120),
																					CNST_TABLE_REF(((long) 43)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3120),
																					CNST_TABLE_REF(((long) 45)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3120),
																					CNST_TABLE_REF(((long) 47)));
																	}}
																else
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 45)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 48)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 47)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 49)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3120),
																			CNST_TABLE_REF(((long) 46)));
																		{	/* SawJvm/funcall.scm 325 */
																			bool_t BgL_test2476z00_6012;

																			{	/* SawJvm/funcall.scm 325 */
																				obj_t BgL_arg2122z00_3140;

																				BgL_arg2122z00_3140 =
																					CAR(((obj_t) BgL_typesz00_3123));
																				BgL_test2476z00_6012 =
																					(BgL_arg2122z00_3140 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2476z00_6012)
																				{	/* SawJvm/funcall.scm 325 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 326 */
																					obj_t BgL_arg2118z00_3136;

																					{	/* SawJvm/funcall.scm 326 */
																						obj_t BgL_arg2119z00_3137;

																						{	/* SawJvm/funcall.scm 326 */
																							obj_t BgL_arg2120z00_3138;

																							{	/* SawJvm/funcall.scm 326 */
																								obj_t BgL_arg2121z00_3139;

																								BgL_arg2121z00_3139 =
																									CAR(
																									((obj_t) BgL_typesz00_3123));
																								BgL_arg2120z00_3138 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3120),
																									((BgL_typez00_bglt)
																										BgL_arg2121z00_3139));
																							}
																							BgL_arg2119z00_3137 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2120z00_3138, BNIL);
																						}
																						BgL_arg2118z00_3136 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 28)),
																							BgL_arg2119z00_3137);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3120),
																						BgL_arg2118z00_3136);
																		}}
																		{	/* SawJvm/funcall.scm 327 */
																			obj_t BgL_arg2123z00_3141;
																			obj_t BgL_arg2124z00_3142;

																			if (INTEGERP(BgL_nz00_3121))
																				{	/* SawJvm/funcall.scm 327 */
																					obj_t BgL_resz00_4123;

																					BgL_resz00_4123 = BINT(((long) 0));
																					{	/* SawJvm/funcall.scm 327 */
																						bool_t BgL_test2478z00_6029;

																						{	/* SawJvm/funcall.scm 327 */
																							obj_t BgL_tmpz00_6030;

																							BgL_tmpz00_6030 =
																								BINT(((long) 1));
																							BgL_test2478z00_6029 =
																								BGL_SUBFX_OV(BgL_nz00_3121,
																								BgL_tmpz00_6030,
																								BgL_resz00_4123);
																						}
																						if (BgL_test2478z00_6029)
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2123z00_3141 =
																									bgl_bignum_sub
																									(bgl_long_to_bignum((long)
																										CINT(BgL_nz00_3121)),
																									CNST_TABLE_REF(((long) 40)));
																							}
																						else
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2123z00_3141 =
																									BgL_resz00_4123;
																							}
																					}
																				}
																			else
																				{	/* SawJvm/funcall.scm 327 */
																					BgL_arg2123z00_3141 =
																						BGl_2zd2zd2zz__r4_numbers_6_5z00
																						(BgL_nz00_3121, BINT(((long) 1)));
																				}
																			BgL_arg2124z00_3142 =
																				CDR(((obj_t) BgL_typesz00_3123));
																			{
																				obj_t BgL_typesz00_6042;
																				obj_t BgL_nz00_6041;

																				BgL_nz00_6041 = BgL_arg2123z00_3141;
																				BgL_typesz00_6042 = BgL_arg2124z00_3142;
																				BgL_typesz00_3123 = BgL_typesz00_6042;
																				BgL_nz00_3121 = BgL_nz00_6041;
																				goto
																					BgL_zc3z04anonymousza32106ze3z87_3124;
																			}
																		}
																	}
															}
													}
											}
										else
											{	/* SawJvm/funcall.scm 338 */
												obj_t BgL_arg2096z00_3102;

												if (INTEGERP(BgL_arityz00_3096))
													{	/* SawJvm/funcall.scm 338 */
														obj_t BgL_resz00_4145;

														BgL_resz00_4145 = BINT(((long) 0));
														{	/* SawJvm/funcall.scm 338 */
															bool_t BgL_test2480z00_6046;

															{	/* SawJvm/funcall.scm 338 */
																obj_t BgL_tmpz00_6047;

																BgL_tmpz00_6047 = BINT(((long) -1));
																BgL_test2480z00_6046 =
																	BGL_SUBFX_OV(BgL_tmpz00_6047,
																	BgL_arityz00_3096, BgL_resz00_4145);
															}
															if (BgL_test2480z00_6046)
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2096z00_3102 =
																		bgl_bignum_sub(CNST_TABLE_REF(((long) 32)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_arityz00_3096)));
																}
															else
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2096z00_3102 = BgL_resz00_4145;
																}
														}
													}
												else
													{	/* SawJvm/funcall.scm 338 */
														BgL_arg2096z00_3102 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT(((long)
																	-1)), BgL_arityz00_3096);
													}
												{
													obj_t BgL_typesz00_6059;
													bool_t BgL_fixedarityzf3zf3_6058;
													obj_t BgL_nz00_6057;
													obj_t BgL_mez00_6056;

													BgL_mez00_6056 = BgL_mez00_124;
													BgL_nz00_6057 = BgL_arg2096z00_3102;
													BgL_fixedarityzf3zf3_6058 = ((bool_t) 0);
													BgL_typesz00_6059 = BgL_typesz00_3099;
													BgL_typesz00_3123 = BgL_typesz00_6059;
													BgL_fixedarityzf3zf3_3122 = BgL_fixedarityzf3zf3_6058;
													BgL_nz00_3121 = BgL_nz00_6057;
													BgL_mez00_3120 = BgL_mez00_6056;
													goto BgL_zc3z04anonymousza32106ze3z87_3124;
												}
											}
									}
									BGl_callzd2globalzd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_entryz00_3097);
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124),
										CNST_TABLE_REF(((long) 19)));
		}}}}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 19 */
				obj_t BgL_arg2130z00_3148;
				obj_t BgL_arg2131z00_3149;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1709z00_3191;

					BgL_v1709z00_3191 = create_vector(((long) 1));
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2143z00_3192;

						BgL_arg2143z00_3192 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									51)), BGl_proc2278z00zzsaw_jvm_funcallz00,
							BGl_proc2277z00zzsaw_jvm_funcallz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 11)));
						VECTOR_SET(BgL_v1709z00_3191, ((long) 0), BgL_arg2143z00_3192);
					}
					BgL_arg2130z00_3148 = BgL_v1709z00_3191;
				}
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1710z00_3202;

					BgL_v1710z00_3202 = create_vector(((long) 0));
					BgL_arg2131z00_3149 = BgL_v1710z00_3202;
				}
				return (BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 52)),
						CNST_TABLE_REF(((long) 53)), BGl_globalz00zzast_varz00,
						((long) 1316), BGl_proc2282z00zzsaw_jvm_funcallz00,
						BGl_proc2281z00zzsaw_jvm_funcallz00, BFALSE,
						BGl_proc2280z00zzsaw_jvm_funcallz00,
						BGl_proc2279z00zzsaw_jvm_funcallz00, BgL_arg2130z00_3148,
						BgL_arg2131z00_3149), BUNSPEC);
		}}

	}



/* &lambda2138 */
	BgL_globalz00_bglt BGl_z62lambda2138z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4447, obj_t BgL_o1181z00_4448)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_arg2139z00_4539;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_arg2141z00_4540;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2142z00_4541;

						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg1828z00_4542;

							{	/* SawJvm/funcall.scm 19 */
								long BgL_arg1829z00_4543;

								BgL_arg1829z00_4543 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1181z00_4448)));
								BgL_arg1828z00_4542 = (BgL_arg1829z00_4543 - OBJECT_TYPE);
							}
							BgL_arg2142z00_4541 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4542);
						}
						BgL_arg2141z00_4540 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2142z00_4541);
					}
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_tmpz00_6080;

						BgL_tmpz00_6080 = ((obj_t) BgL_arg2141z00_4540);
						BgL_arg2139z00_4539 = BGL_CLASS_NUM(BgL_tmpz00_6080);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1181z00_4448)), BgL_arg2139z00_4539);
			}
			{	/* SawJvm/funcall.scm 19 */
				BgL_objectz00_bglt BgL_tmpz00_6086;

				BgL_tmpz00_6086 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4448));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6086, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4448));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4448));
		}

	}



/* &<@anonymous:2137> */
	obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4449, obj_t BgL_new1180z00_4450)
	{
		{	/* SawJvm/funcall.scm 19 */
			{
				BgL_globalz00_bglt BgL_auxz00_6094;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4450))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 54))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6102;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4545;

						BgL_classz00_4545 = BGl_typez00zztype_typez00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1113z00_4546;

							BgL__ortest_1113z00_4546 = BGL_CLASS_NIL(BgL_classz00_4545);
							if (CBOOL(BgL__ortest_1113z00_4546))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6102 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4546);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6102 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4545));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4450))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6102), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6112;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4547;

						BgL_classz00_4547 = BGl_valuez00zzast_varz00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1113z00_4548;

							BgL__ortest_1113z00_4548 = BGL_CLASS_NIL(BgL_classz00_4547);
							if (CBOOL(BgL__ortest_1113z00_4548))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6112 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4548);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6112 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4547));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4450))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6112), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4450))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 54))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2283z00zzsaw_jvm_funcallz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4450))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_6171;

					{
						obj_t BgL_auxz00_6172;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6173;

							BgL_tmpz00_6173 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1180z00_4450));
							BgL_auxz00_6172 = BGL_OBJECT_WIDENING(BgL_tmpz00_6173);
						}
						BgL_auxz00_6171 = ((BgL_indexedz00_bglt) BgL_auxz00_6172);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6171))->BgL_indexz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				BgL_auxz00_6094 = ((BgL_globalz00_bglt) BgL_new1180z00_4450);
				return ((obj_t) BgL_auxz00_6094);
			}
		}

	}



/* &lambda2135 */
	BgL_globalz00_bglt BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4451, obj_t BgL_o1177z00_4452)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				BgL_indexedz00_bglt BgL_wide1179z00_4550;

				BgL_wide1179z00_4550 =
					((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_auxz00_6187;
					BgL_objectz00_bglt BgL_tmpz00_6183;

					BgL_auxz00_6187 = ((obj_t) BgL_wide1179z00_4550);
					BgL_tmpz00_6183 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4452)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6183, BgL_auxz00_6187);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4452)));
				{	/* SawJvm/funcall.scm 19 */
					long BgL_arg2136z00_4551;

					BgL_arg2136z00_4551 =
						BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1177z00_4452))),
						BgL_arg2136z00_4551);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4452)));
			}
		}

	}



/* &lambda2132 */
	BgL_globalz00_bglt BGl_z62lambda2132z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4453, obj_t BgL_id1156z00_4454, obj_t BgL_name1157z00_4455,
		obj_t BgL_type1158z00_4456, obj_t BgL_value1159z00_4457,
		obj_t BgL_access1160z00_4458, obj_t BgL_fastzd2alpha1161zd2_4459,
		obj_t BgL_removable1162z00_4460, obj_t BgL_occurrence1163z00_4461,
		obj_t BgL_occurrencew1164z00_4462, obj_t BgL_userzf31165zf3_4463,
		obj_t BgL_module1166z00_4464, obj_t BgL_import1167z00_4465,
		obj_t BgL_evaluablezf31168zf3_4466, obj_t BgL_evalzf31169zf3_4467,
		obj_t BgL_library1170z00_4468, obj_t BgL_pragma1171z00_4469,
		obj_t BgL_src1172z00_4470, obj_t BgL_jvmzd2typezd2name1173z00_4471,
		obj_t BgL_init1174z00_4472, obj_t BgL_alias1175z00_4473,
		obj_t BgL_index1176z00_4474)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_occurrence1163z00_4555;
				long BgL_occurrencew1164z00_4556;
				bool_t BgL_userzf31165zf3_4557;
				bool_t BgL_evaluablezf31168zf3_4559;
				bool_t BgL_evalzf31169zf3_4560;
				int BgL_index1176z00_4562;

				BgL_occurrence1163z00_4555 = (long) CINT(BgL_occurrence1163z00_4461);
				BgL_occurrencew1164z00_4556 = (long) CINT(BgL_occurrencew1164z00_4462);
				BgL_userzf31165zf3_4557 = CBOOL(BgL_userzf31165zf3_4463);
				BgL_evaluablezf31168zf3_4559 = CBOOL(BgL_evaluablezf31168zf3_4466);
				BgL_evalzf31169zf3_4560 = CBOOL(BgL_evalzf31169zf3_4467);
				BgL_index1176z00_4562 = CINT(BgL_index1176z00_4474);
				{	/* SawJvm/funcall.scm 19 */
					BgL_globalz00_bglt BgL_new1219z00_4563;

					{	/* SawJvm/funcall.scm 19 */
						BgL_globalz00_bglt BgL_tmp1217z00_4564;
						BgL_indexedz00_bglt BgL_wide1218z00_4565;

						{
							BgL_globalz00_bglt BgL_auxz00_6207;

							{	/* SawJvm/funcall.scm 19 */
								BgL_globalz00_bglt BgL_new1216z00_4566;

								BgL_new1216z00_4566 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* SawJvm/funcall.scm 19 */
									long BgL_arg2134z00_4567;

									BgL_arg2134z00_4567 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1216z00_4566),
										BgL_arg2134z00_4567);
								}
								{	/* SawJvm/funcall.scm 19 */
									BgL_objectz00_bglt BgL_tmpz00_6212;

									BgL_tmpz00_6212 = ((BgL_objectz00_bglt) BgL_new1216z00_4566);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6212, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1216z00_4566);
								BgL_auxz00_6207 = BgL_new1216z00_4566;
							}
							BgL_tmp1217z00_4564 = ((BgL_globalz00_bglt) BgL_auxz00_6207);
						}
						BgL_wide1218z00_4565 =
							((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_indexedz00_bgl))));
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL_auxz00_6220;
							BgL_objectz00_bglt BgL_tmpz00_6218;

							BgL_auxz00_6220 = ((obj_t) BgL_wide1218z00_4565);
							BgL_tmpz00_6218 = ((BgL_objectz00_bglt) BgL_tmp1217z00_4564);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6218, BgL_auxz00_6220);
						}
						((BgL_objectz00_bglt) BgL_tmp1217z00_4564);
						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg2133z00_4568;

							BgL_arg2133z00_4568 =
								BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1217z00_4564),
								BgL_arg2133z00_4568);
						}
						BgL_new1219z00_4563 = ((BgL_globalz00_bglt) BgL_tmp1217z00_4564);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1219z00_4563)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1156z00_4454)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_namez00) =
						((obj_t) BgL_name1157z00_4455), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_4456)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1159z00_4457)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_accessz00) =
						((obj_t) BgL_access1160z00_4458), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1161zd2_4459), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_removablez00) =
						((obj_t) BgL_removable1162z00_4460), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_occurrencez00) =
						((long) BgL_occurrence1163z00_4555), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1164z00_4556), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1219z00_4563)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31165zf3_4557), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1166z00_4464)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_importz00) =
						((obj_t) BgL_import1167z00_4465), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31168zf3_4559), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31169zf3_4560), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_libraryz00) =
						((obj_t) BgL_library1170z00_4468), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1171z00_4469), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_srcz00) =
						((obj_t) BgL_src1172z00_4470), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_jvmzd2typezd2name1173z00_4471)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_initz00) =
						((obj_t) BgL_init1174z00_4472), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1219z00_4563)))->BgL_aliasz00) =
						((obj_t) BgL_alias1175z00_4473), BUNSPEC);
					{
						BgL_indexedz00_bglt BgL_auxz00_6273;

						{
							obj_t BgL_auxz00_6274;

							{	/* SawJvm/funcall.scm 19 */
								BgL_objectz00_bglt BgL_tmpz00_6275;

								BgL_tmpz00_6275 = ((BgL_objectz00_bglt) BgL_new1219z00_4563);
								BgL_auxz00_6274 = BGL_OBJECT_WIDENING(BgL_tmpz00_6275);
							}
							BgL_auxz00_6273 = ((BgL_indexedz00_bglt) BgL_auxz00_6274);
						}
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6273))->BgL_indexz00) =
							((int) BgL_index1176z00_4562), BUNSPEC);
					}
					return BgL_new1219z00_4563;
				}
			}
		}

	}



/* &lambda2147 */
	obj_t BGl_z62lambda2147z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4475,
		obj_t BgL_oz00_4476, obj_t BgL_vz00_4477)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_vz00_4570;

				BgL_vz00_4570 = CINT(BgL_vz00_4477);
				{
					BgL_indexedz00_bglt BgL_auxz00_6281;

					{
						obj_t BgL_auxz00_6282;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6283;

							BgL_tmpz00_6283 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4476));
							BgL_auxz00_6282 = BGL_OBJECT_WIDENING(BgL_tmpz00_6283);
						}
						BgL_auxz00_6281 = ((BgL_indexedz00_bglt) BgL_auxz00_6282);
					}
					return
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6281))->BgL_indexz00) =
						((int) BgL_vz00_4570), BUNSPEC);
		}}}

	}



/* &lambda2146 */
	obj_t BGl_z62lambda2146z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4478,
		obj_t BgL_oz00_4479)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_tmpz00_6289;

				{
					BgL_indexedz00_bglt BgL_auxz00_6290;

					{
						obj_t BgL_auxz00_6291;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6292;

							BgL_tmpz00_6292 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4479));
							BgL_auxz00_6291 = BGL_OBJECT_WIDENING(BgL_tmpz00_6292);
						}
						BgL_auxz00_6290 = ((BgL_indexedz00_bglt) BgL_auxz00_6291);
					}
					BgL_tmpz00_6289 =
						(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6290))->BgL_indexz00);
				}
				return BINT(BgL_tmpz00_6289);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 321177283),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(((long) 401547344),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2284z00zzsaw_jvm_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
