/*===========================================================================*/
/*   (SawJvm/inline.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31935ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31872ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31688ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31878ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31820ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31642ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31626ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31742ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	static obj_t
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31834ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31664ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31932ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31681ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31755ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31836ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31950ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31683ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31675ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t __cnst[184];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2260za7,
		BGl_z62zc3z04anonymousza31875ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2261za7,
		BGl_z62zc3z04anonymousza31878ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2262za7,
		BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2263za7,
		BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2264za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2265za7,
		BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2266za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2267za7,
		BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2268za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2269za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2270za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2271za7,
		BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2272za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2273za7,
		BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2274za7,
		BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2275za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2277za7,
		BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2278za7,
		BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2279za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2280za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2282za7,
		BGl_z62zc3z04anonymousza31926ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2283za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2284za7,
		BGl_z62zc3z04anonymousza31932ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2285za7,
		BGl_z62zc3z04anonymousza31935ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2286za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2287za7,
		BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2288za7,
		BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2289za7,
		BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2290za7,
		BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2291za7,
		BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2292za7,
		BGl_z62zc3z04anonymousza31950ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2293za7,
		BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2294za7,
		BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2295za7,
		BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2296za7,
		BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2297za7,
		BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2299za7,
		BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2300za7,
		BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2301za7,
		BGl_z62zc3z04anonymousza31626ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2302za7,
		BGl_z62zc3z04anonymousza31642ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2predicatezf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2pred2303z00,
		BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2304za7,
		BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2305za7,
		BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2306za7,
		BGl_z62zc3z04anonymousza31652ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2307za7,
		BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2308za7,
		BGl_z62zc3z04anonymousza31664ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2310za7,
		BGl_z62zc3z04anonymousza31675ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2311za7,
		BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2313za7,
		BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2314za7,
		BGl_z62zc3z04anonymousza31681ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2316za7,
		BGl_z62zc3z04anonymousza31683ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2317za7,
		BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2318za7,
		BGl_z62zc3z04anonymousza31688ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2319za7,
		BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2320za7,
		BGl_z62zc3z04anonymousza31697ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2255z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2255za700za7za7s2321za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2322za7,
		BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2323za7,
		BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2256z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2256za700za7za7s2324za7, "Cannot find inlined functions", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2325za7,
		BGl_z62zc3z04anonymousza31737ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2257z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2257za700za7za7s2326za7, "saw_jvm_inline", 14);
	      DEFINE_STRING(BGl_string2258z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2258za700za7za7s2327za7,
		"(iconst_0) SawJvm (putfield procarity) (putfield procenv) (putfield procindex) (invokespecial init) (dup) (new me) (anewarray obj) (instanceof bbool) goto (getstatic faux) (getstatic vrai) not-inlined (instanceof bchar) getstatic bchar_allocated (getfield bchar_value) getfield bchar_value (instanceof bint) (instanceof belong) (i2s) (i2b) (getfield bint_value) if_icmpne if_icmpeq if_icmple if_icmpgt if_icmplt if_icmpge (iadd) (isub) (imul) (idiv) (irem) (ior) (ixor) (ineg) (iconst_1) (instanceof real) (getfield real_value) (i2d) (d2i) (l2d) (d2l) ifne ifeq (dcmpl) ifle ifgt iflt ifge (dcmpg) (dadd) (dsub) (dmul) (ddiv) (dneg) if_acmpne if_acmpeq (getstatic *nil*) (instanceof (vector byte)) ok (iand) (sipush 255) (baload) (bastore) (arraylength) (newarray byte) (instanceof symbol) (getfield symbol_string) (putfield ccar) (getfield ccar) (instanceof pair) (getfield car) (getfield cdr) (putfield car) (putfield cdr) (instanceof extended_pair) (getfield cer) (putfield cer) (instanceof (vector obj)) (instanceof proc"
		"edure) no-value (aastore) (aaload) (getfield procenv) procedure-ref procedure-set! c-procedure? $vector? $set-cer! $cer $epair? $set-cdr! $set-car! $cdr $car $pair? cell-ref cell-set! c-symbol->string c-symbol? $make-string/wo-fill $string-length $string-set! $string-ref $bstring->string $string->bstring $string? $null? c-negfl c-/fl c-*fl c--fl c-+fl c->=fl c->fl c-<=fl c-<fl c-=fl $flonum->llong $llong->flonum $flonum->elong $elong->flonum $flonum->fixnum $fixnum->flonum $real->double c-flonum? c-bitnot c-bitxor c-bitand c-bitor c-remainderfx c-quotientfx c-/fx c-*fx c--fx c-+fx c-oddfx? c-evenfx? c->=fx c->fx c-<=fx c-<fx c-=fx $bint->int $long->int $int->long $bint->long $short->int $int->byte $int->short char->integer c-elong? c-fixnum? c-char>=? c-char>? c-char<=? c-char<? c-char=? $uchar->char $bchar->uchar $bchar->char $uchar->bchar c-char? c-eq? c-boxed-eq? $bool->bbool saw_jvm_inline_predicate $obj->bool c-boolean? procedure-el-set! procedure-el-ref saw_jvm_inline_function make-el-procedure make-l-p"
		"rocedure make-va-procedure make-fx-procedure cnst-table-set! saw_jvm_inline_function_args cnst-table-ref (%exit long->bint $cons c-write-char) ",
		2191);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2328za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2329za7,
		BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2330za7,
		BGl_z62zc3z04anonymousza31742ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2331za7,
		BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2332za7,
		BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2333za7,
		BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2334za7,
		BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2335za7,
		BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2336za7,
		BGl_z62zc3z04anonymousza31755ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2337za7,
		BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2338za7,
		BGl_z62zc3z04anonymousza31766ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2339za7,
		BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31779ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2341za7,
		BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2342za7,
		BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2343za7,
		BGl_z62zc3z04anonymousza31813ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2344za7,
		BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2345za7,
		BGl_z62zc3z04anonymousza31820ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2346za7,
		BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2347za7,
		BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2348za7,
		BGl_z62zc3z04anonymousza31834ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2349za7,
		BGl_z62zc3z04anonymousza31836ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2350za7,
		BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2351za7,
		BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2353za7,
		BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2354za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2355za7,
		BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2356za7,
		BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2357za7,
		BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2358za7,
		BGl_z62zc3z04anonymousza31860ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2359za7,
		BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2360za7,
		BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2361za7,
		BGl_z62zc3z04anonymousza31869ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2362za7,
		BGl_z62zc3z04anonymousza31872ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2jvmzd2inlineszd2envzd2zzsaw_jvm_inlinez00,
		BgL_bgl_za762checkza7d2jvmza7d2363za7,
		BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzd2withzd2argszf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2364z00,
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2365z00,
		BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long
		BgL_checksumz00_4201, char *BgL_fromz00_4202)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					BGl_cnstzd2initzd2zzsaw_jvm_inlinez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			{	/* SawJvm/inline.scm 1 */
				obj_t BgL_cportz00_4107;

				{	/* SawJvm/inline.scm 1 */
					obj_t BgL_stringz00_4114;

					BgL_stringz00_4114 = BGl_string2258z00zzsaw_jvm_inlinez00;
					{	/* SawJvm/inline.scm 1 */
						obj_t BgL_startz00_4115;

						BgL_startz00_4115 = BINT(((long) 0));
						{	/* SawJvm/inline.scm 1 */
							obj_t BgL_endz00_4116;

							BgL_endz00_4116 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4114)));
							{	/* SawJvm/inline.scm 1 */

								BgL_cportz00_4107 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4114, BgL_startz00_4115, BgL_endz00_4116);
				}}}}
				{
					long BgL_iz00_4108;

					BgL_iz00_4108 = ((long) 183);
				BgL_loopz00_4109:
					if ((BgL_iz00_4108 == ((long) -1)))
						{	/* SawJvm/inline.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/inline.scm 1 */
							{	/* SawJvm/inline.scm 1 */
								obj_t BgL_arg2259z00_4110;

								{	/* SawJvm/inline.scm 1 */

									{	/* SawJvm/inline.scm 1 */
										obj_t BgL_locationz00_4112;

										BgL_locationz00_4112 = BBOOL(((bool_t) 0));
										{	/* SawJvm/inline.scm 1 */

											BgL_arg2259z00_4110 =
												BGl_readz00zz__readerz00(BgL_cportz00_4107,
												BgL_locationz00_4112);
										}
									}
								}
								{	/* SawJvm/inline.scm 1 */
									int BgL_tmpz00_4230;

									BgL_tmpz00_4230 = (int) (BgL_iz00_4108);
									CNST_TABLE_SET(BgL_tmpz00_4230, BgL_arg2259z00_4110);
							}}
							{	/* SawJvm/inline.scm 1 */
								int BgL_auxz00_4113;

								BgL_auxz00_4113 = (int) ((BgL_iz00_4108 - ((long) 1)));
								{
									long BgL_iz00_4235;

									BgL_iz00_4235 = (long) (BgL_auxz00_4113);
									BgL_iz00_4108 = BgL_iz00_4235;
									goto BgL_loopz00_4109;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BNIL;
			BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = CNST_TABLE_REF(((long) 0));
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2157z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2158z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2159z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2160z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 6)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2161z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2162z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 9)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2163z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2164z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2165z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 12)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2166z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2167z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2168z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2169z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2170z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2171z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2172z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 20)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2173z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2174z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 22)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2175z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 23)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2176z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 24)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2177z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 25)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2178z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 26)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2179z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 27)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2180z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2181z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2182z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2183z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 31)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2184z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 32)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2185z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 33)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2186z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2187z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2188z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2189z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2190z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 38)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2191z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 39)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2192z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2193z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 41)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2194z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2195z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 38)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2196z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 39)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2197z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2198z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 41)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2199z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 42)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2200z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 43)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2201z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 44)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2202z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 45)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2203z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 46)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2204z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 47)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2205z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 48)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2206z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 49)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2207z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 50)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2208z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 51)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2209z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 52)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2210z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 53)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2211z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 54)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2212z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 55)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2213z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 56)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2214z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 57)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2215z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 58)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2216z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 59)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2217z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 60)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2218z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 61)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2219z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 62)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2220z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 63)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2221z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 64)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2222z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 65)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2223z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 66)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2224z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 67)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2225z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 68)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2226z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 69)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2227z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 70)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2228z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 71)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2229z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 72)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2230z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 72)),
				CNST_TABLE_REF(((long) 13)), BGl_proc2231z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 73)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2232z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 74)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2233z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 75)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2234z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 76)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2235z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 77)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2236z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 78)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2237z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 79)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2238z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 80)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2239z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 81)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2240z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 82)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2241z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 83)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2242z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 84)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2243z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 85)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2244z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 86)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2245z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 87)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2246z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 88)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2247z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 89)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2248z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 90)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2249z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 91)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2250z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 92)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2251z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 93)),
				CNST_TABLE_REF(((long) 8)), BGl_proc2252z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 94)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2253z00zzsaw_jvm_inlinez00);
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 95)),
				CNST_TABLE_REF(((long) 2)), BGl_proc2254z00zzsaw_jvm_inlinez00);
		}

	}



/* &<@anonymous:1997> */
	obj_t BGl_z62zc3z04anonymousza31997ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3847, obj_t BgL_mez00_3848, obj_t BgL_argsz00_3849)
	{
		{	/* SawJvm/inline.scm 548 */
			{	/* SawJvm/inline.scm 549 */
				obj_t BgL_arg1998z00_4118;

				BgL_arg1998z00_4118 = CAR(((obj_t) BgL_argsz00_3849));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3848), BgL_arg1998z00_4118);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3848), CNST_TABLE_REF(((long) 96)));
			{	/* SawJvm/inline.scm 551 */
				obj_t BgL_arg1999z00_4119;

				{	/* SawJvm/inline.scm 551 */
					obj_t BgL_pairz00_4120;

					BgL_pairz00_4120 = CDR(((obj_t) BgL_argsz00_3849));
					BgL_arg1999z00_4119 = CAR(BgL_pairz00_4120);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3848), BgL_arg1999z00_4119);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3848), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1992> */
	obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3850, obj_t BgL_mez00_3851, obj_t BgL_argsz00_3852)
	{
		{	/* SawJvm/inline.scm 540 */
			{	/* SawJvm/inline.scm 541 */
				obj_t BgL_arg1993z00_4121;

				BgL_arg1993z00_4121 = CAR(((obj_t) BgL_argsz00_3852));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3851), BgL_arg1993z00_4121);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3851), CNST_TABLE_REF(((long) 96)));
			{	/* SawJvm/inline.scm 543 */
				obj_t BgL_arg1994z00_4122;

				{	/* SawJvm/inline.scm 543 */
					obj_t BgL_pairz00_4123;

					BgL_pairz00_4123 = CDR(((obj_t) BgL_argsz00_3852));
					BgL_arg1994z00_4122 = CAR(BgL_pairz00_4123);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3851), BgL_arg1994z00_4122);
			}
			{	/* SawJvm/inline.scm 544 */
				obj_t BgL_arg1995z00_4124;

				{	/* SawJvm/inline.scm 544 */
					obj_t BgL_pairz00_4125;

					{	/* SawJvm/inline.scm 544 */
						obj_t BgL_pairz00_4126;

						BgL_pairz00_4126 = CDR(((obj_t) BgL_argsz00_3852));
						BgL_pairz00_4125 = CDR(BgL_pairz00_4126);
					}
					BgL_arg1995z00_4124 = CAR(BgL_pairz00_4125);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3851), BgL_arg1995z00_4124);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3851), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1990> */
	obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3853, obj_t BgL_mez00_3854)
	{
		{	/* SawJvm/inline.scm 537 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3854), CNST_TABLE_REF(((long) 100)));
		}

	}



/* &<@anonymous:1988> */
	obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3855, obj_t BgL_mez00_3856)
	{
		{	/* SawJvm/inline.scm 519 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3856), CNST_TABLE_REF(((long) 101)));
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3857, obj_t BgL_mez00_3858)
	{
		{	/* SawJvm/inline.scm 512 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3858), CNST_TABLE_REF(((long) 102)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1984> */
	obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3859, obj_t BgL_mez00_3860)
	{
		{	/* SawJvm/inline.scm 509 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3860), CNST_TABLE_REF(((long) 103)));
		}

	}



/* &<@anonymous:1982> */
	obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3861, obj_t BgL_mez00_3862)
	{
		{	/* SawJvm/inline.scm 506 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3862), CNST_TABLE_REF(((long) 104)));
		}

	}



/* &<@anonymous:1980> */
	obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3863, obj_t BgL_mez00_3864)
	{
		{	/* SawJvm/inline.scm 499 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3864), CNST_TABLE_REF(((long) 105)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1978> */
	obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3865, obj_t BgL_mez00_3866)
	{
		{	/* SawJvm/inline.scm 495 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3866), CNST_TABLE_REF(((long) 106)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3867, obj_t BgL_mez00_3868)
	{
		{	/* SawJvm/inline.scm 492 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3868), CNST_TABLE_REF(((long) 107)));
		}

	}



/* &<@anonymous:1974> */
	obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3869, obj_t BgL_mez00_3870)
	{
		{	/* SawJvm/inline.scm 489 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3870), CNST_TABLE_REF(((long) 108)));
		}

	}



/* &<@anonymous:1972> */
	obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3871, obj_t BgL_mez00_3872)
	{
		{	/* SawJvm/inline.scm 486 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3872), CNST_TABLE_REF(((long) 109)));
		}

	}



/* &<@anonymous:1970> */
	obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3873, obj_t BgL_mez00_3874)
	{
		{	/* SawJvm/inline.scm 470 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3874), CNST_TABLE_REF(((long) 110)));
		}

	}



/* &<@anonymous:1968> */
	obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3875, obj_t BgL_mez00_3876)
	{
		{	/* SawJvm/inline.scm 466 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3876), CNST_TABLE_REF(((long) 111)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1966> */
	obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3877, obj_t BgL_mez00_3878)
	{
		{	/* SawJvm/inline.scm 460 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3878), CNST_TABLE_REF(((long) 112)));
		}

	}



/* &<@anonymous:1964> */
	obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3879, obj_t BgL_mez00_3880)
	{
		{	/* SawJvm/inline.scm 457 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3880), CNST_TABLE_REF(((long) 113)));
		}

	}



/* &<@anonymous:1962> */
	obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3881, obj_t BgL_mez00_3882)
	{
		{	/* SawJvm/inline.scm 438 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3882), CNST_TABLE_REF(((long) 114)));
		}

	}



/* &<@anonymous:1960> */
	obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3883, obj_t BgL_mez00_3884)
	{
		{	/* SawJvm/inline.scm 435 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3884), CNST_TABLE_REF(((long) 115)));
		}

	}



/* &<@anonymous:1958> */
	obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3885, obj_t BgL_mez00_3886)
	{
		{	/* SawJvm/inline.scm 431 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3886), CNST_TABLE_REF(((long) 116)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1956> */
	obj_t BGl_z62zc3z04anonymousza31956ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3887, obj_t BgL_mez00_3888)
	{
		{	/* SawJvm/inline.scm 426 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3888), CNST_TABLE_REF(((long) 117)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3888), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3888), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3889, obj_t BgL_mez00_3890)
	{
		{	/* SawJvm/inline.scm 423 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1952> */
	obj_t BGl_z62zc3z04anonymousza31952ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3891, obj_t BgL_mez00_3892)
	{
		{	/* SawJvm/inline.scm 420 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1950> */
	obj_t BGl_z62zc3z04anonymousza31950ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3893, obj_t BgL_mez00_3894)
	{
		{	/* SawJvm/inline.scm 417 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3894), CNST_TABLE_REF(((long) 121)));
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3895, obj_t BgL_mez00_3896, obj_t BgL_onzf3zf3_3897,
		obj_t BgL_labz00_3898)
	{
		{	/* SawJvm/inline.scm 392 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3896), CNST_TABLE_REF(((long) 122)));
			{	/* SawJvm/inline.scm 394 */
				obj_t BgL_arg1948z00_4127;

				if (CBOOL(BgL_onzf3zf3_3897))
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1948z00_4127 = CNST_TABLE_REF(((long) 123));
					}
				else
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1948z00_4127 = CNST_TABLE_REF(((long) 124));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3896), BgL_arg1948z00_4127,
					BgL_labz00_3898);
			}
		}

	}



/* &<@anonymous:1945> */
	obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3899, obj_t BgL_mez00_3900)
	{
		{	/* SawJvm/inline.scm 388 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3900), CNST_TABLE_REF(((long) 122)));
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3900,
				CNST_TABLE_REF(((long) 123)));
		}

	}



/* &<@anonymous:1943> */
	obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3901, obj_t BgL_mez00_3902)
	{
		{	/* SawJvm/inline.scm 380 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3902), CNST_TABLE_REF(((long) 125)));
		}

	}



/* &<@anonymous:1941> */
	obj_t BGl_z62zc3z04anonymousza31941ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3903, obj_t BgL_mez00_3904)
	{
		{	/* SawJvm/inline.scm 379 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3904), CNST_TABLE_REF(((long) 126)));
		}

	}



/* &<@anonymous:1939> */
	obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3905, obj_t BgL_mez00_3906)
	{
		{	/* SawJvm/inline.scm 378 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3906), CNST_TABLE_REF(((long) 127)));
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3907, obj_t BgL_mez00_3908)
	{
		{	/* SawJvm/inline.scm 377 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3908), CNST_TABLE_REF(((long) 128)));
		}

	}



/* &<@anonymous:1935> */
	obj_t BGl_z62zc3z04anonymousza31935ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3909, obj_t BgL_mez00_3910)
	{
		{	/* SawJvm/inline.scm 376 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3910), CNST_TABLE_REF(((long) 129)));
		}

	}



/* &<@anonymous:1932> */
	obj_t BGl_z62zc3z04anonymousza31932ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3911, obj_t BgL_mez00_3912, obj_t BgL_onzf3zf3_3913,
		obj_t BgL_labz00_3914)
	{
		{	/* SawJvm/inline.scm 372 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3912), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 374 */
				obj_t BgL_arg1933z00_4128;

				if (CBOOL(BgL_onzf3zf3_3913))
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1933z00_4128 = CNST_TABLE_REF(((long) 131));
					}
				else
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1933z00_4128 = CNST_TABLE_REF(((long) 132));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3912), BgL_arg1933z00_4128,
					BgL_labz00_3914);
			}
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3915, obj_t BgL_mez00_3916, obj_t BgL_onzf3zf3_3917,
		obj_t BgL_labz00_3918)
	{
		{	/* SawJvm/inline.scm 368 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3916), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 370 */
				obj_t BgL_arg1930z00_4129;

				if (CBOOL(BgL_onzf3zf3_3917))
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1930z00_4129 = CNST_TABLE_REF(((long) 133));
					}
				else
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1930z00_4129 = CNST_TABLE_REF(((long) 134));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3916), BgL_arg1930z00_4129,
					BgL_labz00_3918);
			}
		}

	}



/* &<@anonymous:1926> */
	obj_t BGl_z62zc3z04anonymousza31926ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3919, obj_t BgL_mez00_3920, obj_t BgL_onzf3zf3_3921,
		obj_t BgL_labz00_3922)
	{
		{	/* SawJvm/inline.scm 364 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3920), CNST_TABLE_REF(((long) 135)));
			{	/* SawJvm/inline.scm 366 */
				obj_t BgL_arg1927z00_4130;

				if (CBOOL(BgL_onzf3zf3_3921))
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1927z00_4130 = CNST_TABLE_REF(((long) 134));
					}
				else
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1927z00_4130 = CNST_TABLE_REF(((long) 133));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3920), BgL_arg1927z00_4130,
					BgL_labz00_3922);
			}
		}

	}



/* &<@anonymous:1922> */
	obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3923, obj_t BgL_mez00_3924, obj_t BgL_onzf3zf3_3925,
		obj_t BgL_labz00_3926)
	{
		{	/* SawJvm/inline.scm 360 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3924), CNST_TABLE_REF(((long) 135)));
			{	/* SawJvm/inline.scm 362 */
				obj_t BgL_arg1924z00_4131;

				if (CBOOL(BgL_onzf3zf3_3925))
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1924z00_4131 = CNST_TABLE_REF(((long) 132));
					}
				else
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1924z00_4131 = CNST_TABLE_REF(((long) 131));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3924), BgL_arg1924z00_4131,
					BgL_labz00_3926);
			}
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3927, obj_t BgL_mez00_3928, obj_t BgL_onzf3zf3_3929,
		obj_t BgL_labz00_3930)
	{
		{	/* SawJvm/inline.scm 356 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3928), CNST_TABLE_REF(((long) 130)));
			{	/* SawJvm/inline.scm 358 */
				obj_t BgL_arg1920z00_4132;

				if (CBOOL(BgL_onzf3zf3_3929))
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1920z00_4132 = CNST_TABLE_REF(((long) 136));
					}
				else
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1920z00_4132 = CNST_TABLE_REF(((long) 137));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3928), BgL_arg1920z00_4132,
					BgL_labz00_3930);
			}
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3931, obj_t BgL_mez00_3932)
	{
		{	/* SawJvm/inline.scm 353 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3932), CNST_TABLE_REF(((long) 138)));
		}

	}



/* &<@anonymous:1915> */
	obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3933, obj_t BgL_mez00_3934)
	{
		{	/* SawJvm/inline.scm 350 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3934), CNST_TABLE_REF(((long) 139)));
		}

	}



/* &<@anonymous:1913> */
	obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3935, obj_t BgL_mez00_3936)
	{
		{	/* SawJvm/inline.scm 347 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3936), CNST_TABLE_REF(((long) 138)));
		}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3937, obj_t BgL_mez00_3938)
	{
		{	/* SawJvm/inline.scm 344 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3938), CNST_TABLE_REF(((long) 139)));
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3939, obj_t BgL_mez00_3940)
	{
		{	/* SawJvm/inline.scm 341 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3940), CNST_TABLE_REF(((long) 140)));
		}

	}



/* &<@anonymous:1907> */
	obj_t BGl_z62zc3z04anonymousza31907ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3941, obj_t BgL_mez00_3942)
	{
		{	/* SawJvm/inline.scm 338 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3942), CNST_TABLE_REF(((long) 141)));
		}

	}



/* &<@anonymous:1905> */
	obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3943, obj_t BgL_mez00_3944)
	{
		{	/* SawJvm/inline.scm 335 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3944), CNST_TABLE_REF(((long) 142)));
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3945, obj_t BgL_mez00_3946)
	{
		{	/* SawJvm/inline.scm 332 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3946), CNST_TABLE_REF(((long) 143)));
		}

	}



/* &<@anonymous:1901> */
	obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3947, obj_t BgL_mez00_3948)
	{
		{	/* SawJvm/inline.scm 324 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3948), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3948), CNST_TABLE_REF(((long) 145)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3948), CNST_TABLE_REF(((long) 146)));
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3949, obj_t BgL_mez00_3950)
	{
		{	/* SawJvm/inline.scm 323 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3950), CNST_TABLE_REF(((long) 146)));
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3951, obj_t BgL_mez00_3952)
	{
		{	/* SawJvm/inline.scm 322 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3952), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3953, obj_t BgL_mez00_3954)
	{
		{	/* SawJvm/inline.scm 321 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3954), CNST_TABLE_REF(((long) 147)));
		}

	}



/* &<@anonymous:1891> */
	obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3955, obj_t BgL_mez00_3956)
	{
		{	/* SawJvm/inline.scm 320 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3956), CNST_TABLE_REF(((long) 148)));
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3957, obj_t BgL_mez00_3958)
	{
		{	/* SawJvm/inline.scm 319 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3958), CNST_TABLE_REF(((long) 149)));
		}

	}



/* &<@anonymous:1887> */
	obj_t BGl_z62zc3z04anonymousza31887ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3959, obj_t BgL_mez00_3960)
	{
		{	/* SawJvm/inline.scm 318 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3960), CNST_TABLE_REF(((long) 149)));
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3961, obj_t BgL_mez00_3962)
	{
		{	/* SawJvm/inline.scm 317 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3962), CNST_TABLE_REF(((long) 150)));
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3963, obj_t BgL_mez00_3964)
	{
		{	/* SawJvm/inline.scm 316 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3964), CNST_TABLE_REF(((long) 151)));
		}

	}



/* &<@anonymous:1881> */
	obj_t BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3965, obj_t BgL_mez00_3966)
	{
		{	/* SawJvm/inline.scm 315 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3966), CNST_TABLE_REF(((long) 152)));
		}

	}



/* &<@anonymous:1878> */
	obj_t BGl_z62zc3z04anonymousza31878ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3967, obj_t BgL_mez00_3968, obj_t BgL_onzf3zf3_3969,
		obj_t BgL_labz00_3970)
	{
		{	/* SawJvm/inline.scm 310 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3968), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3968), CNST_TABLE_REF(((long) 119)));
			{	/* SawJvm/inline.scm 313 */
				obj_t BgL_arg1879z00_4133;

				if (CBOOL(BgL_onzf3zf3_3969))
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1879z00_4133 = CNST_TABLE_REF(((long) 137));
					}
				else
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1879z00_4133 = CNST_TABLE_REF(((long) 136));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3968), BgL_arg1879z00_4133,
					BgL_labz00_3970);
			}
		}

	}



/* &<@anonymous:1875> */
	obj_t BGl_z62zc3z04anonymousza31875ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3971, obj_t BgL_mez00_3972, obj_t BgL_onzf3zf3_3973,
		obj_t BgL_labz00_3974)
	{
		{	/* SawJvm/inline.scm 305 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3972), CNST_TABLE_REF(((long) 144)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3972), CNST_TABLE_REF(((long) 119)));
			{	/* SawJvm/inline.scm 308 */
				obj_t BgL_arg1876z00_4134;

				if (CBOOL(BgL_onzf3zf3_3973))
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1876z00_4134 = CNST_TABLE_REF(((long) 136));
					}
				else
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1876z00_4134 = CNST_TABLE_REF(((long) 137));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3972), BgL_arg1876z00_4134,
					BgL_labz00_3974);
			}
		}

	}



/* &<@anonymous:1872> */
	obj_t BGl_z62zc3z04anonymousza31872ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3975, obj_t BgL_mez00_3976, obj_t BgL_onzf3zf3_3977,
		obj_t BgL_labz00_3978)
	{
		{	/* SawJvm/inline.scm 302 */
			{	/* SawJvm/inline.scm 303 */
				obj_t BgL_arg1873z00_4135;

				if (CBOOL(BgL_onzf3zf3_3977))
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1873z00_4135 = CNST_TABLE_REF(((long) 153));
					}
				else
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1873z00_4135 = CNST_TABLE_REF(((long) 154));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3976), BgL_arg1873z00_4135,
					BgL_labz00_3978);
			}
		}

	}



/* &<@anonymous:1869> */
	obj_t BGl_z62zc3z04anonymousza31869ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3979, obj_t BgL_mez00_3980, obj_t BgL_onzf3zf3_3981,
		obj_t BgL_labz00_3982)
	{
		{	/* SawJvm/inline.scm 299 */
			{	/* SawJvm/inline.scm 300 */
				obj_t BgL_arg1870z00_4136;

				if (CBOOL(BgL_onzf3zf3_3981))
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1870z00_4136 = CNST_TABLE_REF(((long) 155));
					}
				else
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1870z00_4136 = CNST_TABLE_REF(((long) 156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3980), BgL_arg1870z00_4136,
					BgL_labz00_3982);
			}
		}

	}



/* &<@anonymous:1866> */
	obj_t BGl_z62zc3z04anonymousza31866ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3983, obj_t BgL_mez00_3984, obj_t BgL_onzf3zf3_3985,
		obj_t BgL_labz00_3986)
	{
		{	/* SawJvm/inline.scm 296 */
			{	/* SawJvm/inline.scm 297 */
				obj_t BgL_arg1867z00_4137;

				if (CBOOL(BgL_onzf3zf3_3985))
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1867z00_4137 = CNST_TABLE_REF(((long) 156));
					}
				else
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1867z00_4137 = CNST_TABLE_REF(((long) 155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3984), BgL_arg1867z00_4137,
					BgL_labz00_3986);
			}
		}

	}



/* &<@anonymous:1863> */
	obj_t BGl_z62zc3z04anonymousza31863ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3987, obj_t BgL_mez00_3988, obj_t BgL_onzf3zf3_3989,
		obj_t BgL_labz00_3990)
	{
		{	/* SawJvm/inline.scm 293 */
			{	/* SawJvm/inline.scm 294 */
				obj_t BgL_arg1864z00_4138;

				if (CBOOL(BgL_onzf3zf3_3989))
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1864z00_4138 = CNST_TABLE_REF(((long) 154));
					}
				else
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1864z00_4138 = CNST_TABLE_REF(((long) 153));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3988), BgL_arg1864z00_4138,
					BgL_labz00_3990);
			}
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3991, obj_t BgL_mez00_3992, obj_t BgL_onzf3zf3_3993,
		obj_t BgL_labz00_3994)
	{
		{	/* SawJvm/inline.scm 290 */
			{	/* SawJvm/inline.scm 291 */
				obj_t BgL_arg1861z00_4139;

				if (CBOOL(BgL_onzf3zf3_3993))
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1861z00_4139 = CNST_TABLE_REF(((long) 157));
					}
				else
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1861z00_4139 = CNST_TABLE_REF(((long) 158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3992), BgL_arg1861z00_4139,
					BgL_labz00_3994);
			}
		}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3995, obj_t BgL_mez00_3996)
	{
		{	/* SawJvm/inline.scm 287 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3996,
				CNST_TABLE_REF(((long) 153)));
		}

	}



/* &<@anonymous:1855> */
	obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3997, obj_t BgL_mez00_3998)
	{
		{	/* SawJvm/inline.scm 284 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3998,
				CNST_TABLE_REF(((long) 155)));
		}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3999, obj_t BgL_mez00_4000)
	{
		{	/* SawJvm/inline.scm 281 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4000,
				CNST_TABLE_REF(((long) 156)));
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4001, obj_t BgL_mez00_4002)
	{
		{	/* SawJvm/inline.scm 278 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4002,
				CNST_TABLE_REF(((long) 154)));
		}

	}



/* &<@anonymous:1847> */
	obj_t BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4003, obj_t BgL_mez00_4004)
	{
		{	/* SawJvm/inline.scm 275 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4004,
				CNST_TABLE_REF(((long) 157)));
		}

	}



/* &<@anonymous:1845> */
	obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4005, obj_t BgL_mez00_4006)
	{
		{	/* SawJvm/inline.scm 262 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4006), CNST_TABLE_REF(((long) 159)));
		}

	}



/* &<@anonymous:1841> */
	obj_t BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4007, obj_t BgL_mez00_4008)
	{
		{	/* SawJvm/inline.scm 259 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1838> */
	obj_t BGl_z62zc3z04anonymousza31838ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4009, obj_t BgL_mez00_4010)
	{
		{	/* SawJvm/inline.scm 256 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1836> */
	obj_t BGl_z62zc3z04anonymousza31836ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4011, obj_t BgL_mez00_4012)
	{
		{	/* SawJvm/inline.scm 250 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4012), CNST_TABLE_REF(((long) 159)));
		}

	}



/* &<@anonymous:1834> */
	obj_t BGl_z62zc3z04anonymousza31834ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4013, obj_t BgL_mez00_4014)
	{
		{	/* SawJvm/inline.scm 247 */
			return CNST_TABLE_REF(((long) 120));
		}

	}



/* &<@anonymous:1831> */
	obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4015, obj_t BgL_mez00_4016)
	{
		{	/* SawJvm/inline.scm 244 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4016), CNST_TABLE_REF(((long) 160)));
		}

	}



/* &<@anonymous:1822> */
	obj_t BGl_z62zc3z04anonymousza31822ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4017, obj_t BgL_mez00_4018)
	{
		{	/* SawJvm/inline.scm 241 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4018), CNST_TABLE_REF(((long) 161)));
		}

	}



/* &<@anonymous:1820> */
	obj_t BGl_z62zc3z04anonymousza31820ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4019, obj_t BgL_mez00_4020)
	{
		{	/* SawJvm/inline.scm 237 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4020), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4020), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1818> */
	obj_t BGl_z62zc3z04anonymousza31818ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4021, obj_t BgL_mez00_4022)
	{
		{	/* SawJvm/inline.scm 234 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4022), CNST_TABLE_REF(((long) 162)));
		}

	}



/* &<@anonymous:1813> */
	obj_t BGl_z62zc3z04anonymousza31813ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4023, obj_t BgL_mez00_4024)
	{
		{	/* SawJvm/inline.scm 231 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4024), CNST_TABLE_REF(((long) 163)));
		}

	}



/* &<@anonymous:1790> */
	obj_t BGl_z62zc3z04anonymousza31790ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4025, obj_t BgL_mez00_4026, obj_t BgL_onzf3zf3_4027,
		obj_t BgL_labz00_4028)
	{
		{	/* SawJvm/inline.scm 225 */
			{	/* SawJvm/inline.scm 226 */
				obj_t BgL_arg1811z00_4140;

				if (CBOOL(BgL_onzf3zf3_4027))
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1811z00_4140 = CNST_TABLE_REF(((long) 153));
					}
				else
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1811z00_4140 = CNST_TABLE_REF(((long) 154));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4026), BgL_arg1811z00_4140,
					BgL_labz00_4028);
			}
		}

	}



/* &<@anonymous:1786> */
	obj_t BGl_z62zc3z04anonymousza31786ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4029, obj_t BgL_mez00_4030, obj_t BgL_onzf3zf3_4031,
		obj_t BgL_labz00_4032)
	{
		{	/* SawJvm/inline.scm 222 */
			{	/* SawJvm/inline.scm 223 */
				obj_t BgL_arg1787z00_4141;

				if (CBOOL(BgL_onzf3zf3_4031))
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1787z00_4141 = CNST_TABLE_REF(((long) 155));
					}
				else
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1787z00_4141 = CNST_TABLE_REF(((long) 156));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4030), BgL_arg1787z00_4141,
					BgL_labz00_4032);
			}
		}

	}



/* &<@anonymous:1779> */
	obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4033, obj_t BgL_mez00_4034, obj_t BgL_onzf3zf3_4035,
		obj_t BgL_labz00_4036)
	{
		{	/* SawJvm/inline.scm 219 */
			{	/* SawJvm/inline.scm 220 */
				obj_t BgL_arg1781z00_4142;

				if (CBOOL(BgL_onzf3zf3_4035))
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1781z00_4142 = CNST_TABLE_REF(((long) 156));
					}
				else
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1781z00_4142 = CNST_TABLE_REF(((long) 155));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4034), BgL_arg1781z00_4142,
					BgL_labz00_4036);
			}
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4037, obj_t BgL_mez00_4038, obj_t BgL_onzf3zf3_4039,
		obj_t BgL_labz00_4040)
	{
		{	/* SawJvm/inline.scm 216 */
			{	/* SawJvm/inline.scm 217 */
				obj_t BgL_arg1777z00_4143;

				if (CBOOL(BgL_onzf3zf3_4039))
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1777z00_4143 = CNST_TABLE_REF(((long) 154));
					}
				else
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1777z00_4143 = CNST_TABLE_REF(((long) 153));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4038), BgL_arg1777z00_4143,
					BgL_labz00_4040);
			}
		}

	}



/* &<@anonymous:1766> */
	obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4041, obj_t BgL_mez00_4042, obj_t BgL_onzf3zf3_4043,
		obj_t BgL_labz00_4044)
	{
		{	/* SawJvm/inline.scm 213 */
			{	/* SawJvm/inline.scm 214 */
				obj_t BgL_arg1769z00_4144;

				if (CBOOL(BgL_onzf3zf3_4043))
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1769z00_4144 = CNST_TABLE_REF(((long) 157));
					}
				else
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1769z00_4144 = CNST_TABLE_REF(((long) 158));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4042), BgL_arg1769z00_4144,
					BgL_labz00_4044);
			}
		}

	}



/* &<@anonymous:1764> */
	obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4045, obj_t BgL_mez00_4046)
	{
		{	/* SawJvm/inline.scm 210 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4046), CNST_TABLE_REF(((long) 160)));
		}

	}



/* &<@anonymous:1755> */
	obj_t BGl_z62zc3z04anonymousza31755ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4047, obj_t BgL_mez00_4048)
	{
		{	/* SawJvm/inline.scm 205 */
			{	/* SawJvm/inline.scm 206 */
				obj_t BgL_arg1756z00_4145;

				{	/* SawJvm/inline.scm 206 */
					obj_t BgL_arg1757z00_4146;

					BgL_arg1757z00_4146 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 164)), BNIL);
					BgL_arg1756z00_4145 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 165)), BgL_arg1757z00_4146);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4048), BgL_arg1756z00_4145);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4048), CNST_TABLE_REF(((long) 118)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4048), CNST_TABLE_REF(((long) 119)));
		}

	}



/* &<@anonymous:1753> */
	obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4049, obj_t BgL_mez00_4050)
	{
		{	/* SawJvm/inline.scm 202 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4050), CNST_TABLE_REF(((long) 166)));
		}

	}



/* &<@anonymous:1746> */
	obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4051, obj_t BgL_mez00_4052, obj_t BgL_argsz00_4053)
	{
		{	/* SawJvm/inline.scm 195 */
			{	/* SawJvm/inline.scm 196 */
				obj_t BgL_arg1749z00_4147;

				{	/* SawJvm/inline.scm 196 */
					obj_t BgL_arg1750z00_4148;

					BgL_arg1750z00_4148 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 167)), BNIL);
					BgL_arg1749z00_4147 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1750z00_4148);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4052), BgL_arg1749z00_4147);
			}
			{	/* SawJvm/inline.scm 197 */
				obj_t BgL_arg1751z00_4149;

				BgL_arg1751z00_4149 = CAR(((obj_t) BgL_argsz00_4053));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4052), BgL_arg1751z00_4149);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4052), CNST_TABLE_REF(((long) 118)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4052), CNST_TABLE_REF(((long) 119)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4052), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1742> */
	obj_t BGl_z62zc3z04anonymousza31742ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4054, obj_t BgL_mez00_4055)
	{
		{	/* SawJvm/inline.scm 192 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4055), CNST_TABLE_REF(((long) 169)));
		}

	}



/* &<@anonymous:1737> */
	obj_t BGl_z62zc3z04anonymousza31737ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4056, obj_t BgL_mez00_4057, obj_t BgL_onzf3zf3_4058,
		obj_t BgL_labz00_4059)
	{
		{	/* SawJvm/inline.scm 184 */
			if (CBOOL(BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00))
				{	/* SawJvm/inline.scm 186 */
					obj_t BgL_arg1738z00_4150;

					if (CBOOL(BgL_onzf3zf3_4058))
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1738z00_4150 = CNST_TABLE_REF(((long) 123));
						}
					else
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1738z00_4150 = CNST_TABLE_REF(((long) 124));
						}
					return
						BGl_branchz00zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_4057), BgL_arg1738z00_4150,
						BgL_labz00_4059);
				}
			else
				{	/* SawJvm/inline.scm 185 */
					return CNST_TABLE_REF(((long) 170));
		}}

	}



/* &<@anonymous:1732> */
	obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4060, obj_t BgL_mez00_4061, obj_t BgL_onzf3zf3_4062,
		obj_t BgL_labz00_4063)
	{
		{	/* SawJvm/inline.scm 181 */
			{	/* SawJvm/inline.scm 182 */
				obj_t BgL_arg1734z00_4151;

				if (CBOOL(BgL_onzf3zf3_4062))
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1734z00_4151 = CNST_TABLE_REF(((long) 123));
					}
				else
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1734z00_4151 = CNST_TABLE_REF(((long) 124));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4061), BgL_arg1734z00_4151,
					BgL_labz00_4063);
			}
		}

	}



/* &<@anonymous:1697> */
	obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4064, obj_t BgL_mez00_4065, obj_t BgL_argsz00_4066)
	{
		{	/* SawJvm/inline.scm 166 */
			{	/* SawJvm/inline.scm 167 */
				obj_t BgL_funz00_4152;

				{	/* SawJvm/inline.scm 167 */
					obj_t BgL_arg1730z00_4153;

					BgL_arg1730z00_4153 = CAR(((obj_t) BgL_argsz00_4066));
					BgL_funz00_4152 =
						BGl_skipzd2movzd2zzsaw_jvm_inlinez00(BgL_arg1730z00_4153);
				}
				{	/* SawJvm/inline.scm 168 */
					bool_t BgL_test2389z00_4953;

					{	/* SawJvm/inline.scm 168 */
						obj_t BgL_classz00_4154;

						BgL_classz00_4154 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_funz00_4152))
							{	/* SawJvm/inline.scm 168 */
								BgL_objectz00_bglt BgL_arg1820z00_4155;

								BgL_arg1820z00_4155 = (BgL_objectz00_bglt) (BgL_funz00_4152);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/inline.scm 168 */
										long BgL_idxz00_4156;

										BgL_idxz00_4156 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4155);
										BgL_test2389z00_4953 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4156 + ((long) 3))) == BgL_classz00_4154);
									}
								else
									{	/* SawJvm/inline.scm 168 */
										bool_t BgL_res2151z00_4159;

										{	/* SawJvm/inline.scm 168 */
											obj_t BgL_oclassz00_4160;

											{	/* SawJvm/inline.scm 168 */
												long BgL_arg1828z00_4161;

												{	/* SawJvm/inline.scm 168 */
													long BgL_arg1829z00_4162;

													BgL_arg1829z00_4162 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4155);
													BgL_arg1828z00_4161 =
														(BgL_arg1829z00_4162 - OBJECT_TYPE);
												}
												BgL_oclassz00_4160 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4161);
											}
											{	/* SawJvm/inline.scm 168 */
												bool_t BgL__ortest_1111z00_4163;

												BgL__ortest_1111z00_4163 =
													(BgL_classz00_4154 == BgL_oclassz00_4160);
												if (BgL__ortest_1111z00_4163)
													{	/* SawJvm/inline.scm 168 */
														BgL_res2151z00_4159 = BgL__ortest_1111z00_4163;
													}
												else
													{	/* SawJvm/inline.scm 168 */
														long BgL_odepthz00_4164;

														BgL_odepthz00_4164 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4160);
														if ((((long) 3) < BgL_odepthz00_4164))
															{	/* SawJvm/inline.scm 168 */
																obj_t BgL_arg1816z00_4165;

																BgL_arg1816z00_4165 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4160,
																	((long) 3));
																BgL_res2151z00_4159 =
																	(BgL_arg1816z00_4165 == BgL_classz00_4154);
															}
														else
															{	/* SawJvm/inline.scm 168 */
																BgL_res2151z00_4159 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2389z00_4953 = BgL_res2151z00_4159;
									}
							}
						else
							{	/* SawJvm/inline.scm 168 */
								BgL_test2389z00_4953 = ((bool_t) 0);
							}
					}
					if (BgL_test2389z00_4953)
						{	/* SawJvm/inline.scm 168 */
							if (CBOOL(
									(((BgL_atomz00_bglt) COBJECT(
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt) BgL_funz00_4152)))->
													BgL_constantz00)))->BgL_valuez00)))
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4065),
										CNST_TABLE_REF(((long) 171)));
								}
							else
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4065),
										CNST_TABLE_REF(((long) 172)));
						}}
					else
						{	/* SawJvm/inline.scm 172 */
							obj_t BgL_l1z00_4166;
							obj_t BgL_l2z00_4167;

							BgL_l1z00_4166 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2255z00zzsaw_jvm_inlinez00);
							BgL_l2z00_4167 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2255z00zzsaw_jvm_inlinez00);
							{	/* SawJvm/inline.scm 173 */
								obj_t BgL_arg1712z00_4168;

								BgL_arg1712z00_4168 = CAR(((obj_t) BgL_argsz00_4066));
								BGl_genzd2exprzd2zzsaw_jvm_codez00(
									((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_arg1712z00_4168);
							}
							{	/* SawJvm/inline.scm 174 */
								obj_t BgL_arg1720z00_4169;

								{	/* SawJvm/inline.scm 174 */
									obj_t BgL_arg1721z00_4170;

									BgL_arg1721z00_4170 = MAKE_YOUNG_PAIR(BgL_l1z00_4166, BNIL);
									BgL_arg1720z00_4169 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 136)),
										BgL_arg1721z00_4170);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_arg1720z00_4169);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4065),
								CNST_TABLE_REF(((long) 171)));
							{	/* SawJvm/inline.scm 176 */
								obj_t BgL_arg1723z00_4171;

								{	/* SawJvm/inline.scm 176 */
									obj_t BgL_arg1728z00_4172;

									BgL_arg1728z00_4172 = MAKE_YOUNG_PAIR(BgL_l2z00_4167, BNIL);
									BgL_arg1723z00_4171 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 173)),
										BgL_arg1728z00_4172);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_arg1723z00_4171);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_l1z00_4166);
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4065),
								CNST_TABLE_REF(((long) 172)));
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_l2z00_4167);
						}
				}
			}
		}

	}



/* &<@anonymous:1688> */
	obj_t BGl_z62zc3z04anonymousza31688ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4067, obj_t BgL_mez00_4068, obj_t BgL_onzf3zf3_4069,
		obj_t BgL_labz00_4070)
	{
		{	/* SawJvm/inline.scm 162 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4068), CNST_TABLE_REF(((long) 172)));
			{	/* SawJvm/inline.scm 164 */
				obj_t BgL_arg1692z00_4173;

				if (CBOOL(BgL_onzf3zf3_4069))
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1692z00_4173 = CNST_TABLE_REF(((long) 124));
					}
				else
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1692z00_4173 = CNST_TABLE_REF(((long) 123));
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4068), BgL_arg1692z00_4173,
					BgL_labz00_4070);
			}
		}

	}



/* &<@anonymous:1683> */
	obj_t BGl_z62zc3z04anonymousza31683ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4071, obj_t BgL_mez00_4072)
	{
		{	/* SawJvm/inline.scm 159 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(((long) 174)));
		}

	}



/* &<@anonymous:1681> */
	obj_t BGl_z62zc3z04anonymousza31681ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4073, obj_t BgL_mez00_4074)
	{
		{	/* SawJvm/inline.scm 151 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4074), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4075, obj_t BgL_mez00_4076)
	{
		{	/* SawJvm/inline.scm 148 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4076), CNST_TABLE_REF(((long) 97)));
		}

	}



/* &<@anonymous:1675> */
	obj_t BGl_z62zc3z04anonymousza31675ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4077, obj_t BgL_mez00_4078)
	{
		{	/* SawJvm/inline.scm 145 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4078), CNST_TABLE_REF(((long) 175)));
		}

	}



/* &<@anonymous:1664> */
	obj_t BGl_z62zc3z04anonymousza31664ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4079, obj_t BgL_mez00_4080, obj_t BgL_argsz00_4081)
	{
		{	/* SawJvm/inline.scm 133 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 138 */
				obj_t BgL_arg1672z00_4174;

				BgL_arg1672z00_4174 = CAR(((obj_t) BgL_argsz00_4081));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4080), BgL_arg1672z00_4174);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 141 */
				obj_t BgL_arg1673z00_4175;

				{	/* SawJvm/inline.scm 141 */
					obj_t BgL_pairz00_4176;

					BgL_pairz00_4176 = CDR(((obj_t) BgL_argsz00_4081));
					BgL_arg1673z00_4175 = CAR(BgL_pairz00_4176);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4080), BgL_arg1673z00_4175);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1652> */
	obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4082, obj_t BgL_mez00_4083, obj_t BgL_argsz00_4084)
	{
		{	/* SawJvm/inline.scm 118 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 123 */
				obj_t BgL_arg1653z00_4177;

				BgL_arg1653z00_4177 = CAR(((obj_t) BgL_argsz00_4084));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4083), BgL_arg1653z00_4177);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 126 */
				obj_t BgL_arg1661z00_4178;

				{	/* SawJvm/inline.scm 126 */
					obj_t BgL_pairz00_4179;

					BgL_pairz00_4179 = CDR(((obj_t) BgL_argsz00_4084));
					BgL_arg1661z00_4178 = CAR(BgL_pairz00_4179);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4083), BgL_arg1661z00_4178);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 129 */
				obj_t BgL_arg1662z00_4180;

				{	/* SawJvm/inline.scm 129 */
					obj_t BgL_pairz00_4181;

					{	/* SawJvm/inline.scm 129 */
						obj_t BgL_pairz00_4182;

						BgL_pairz00_4182 = CDR(((obj_t) BgL_argsz00_4084));
						BgL_pairz00_4181 = CDR(BgL_pairz00_4182);
					}
					BgL_arg1662z00_4180 = CAR(BgL_pairz00_4181);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4083), BgL_arg1662z00_4180);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4083), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1642> */
	obj_t BGl_z62zc3z04anonymousza31642ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4085, obj_t BgL_mez00_4086, obj_t BgL_argsz00_4087)
	{
		{	/* SawJvm/inline.scm 103 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 176)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 177)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 178)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 108 */
				obj_t BgL_arg1645z00_4183;

				BgL_arg1645z00_4183 = CAR(((obj_t) BgL_argsz00_4087));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4086), BgL_arg1645z00_4183);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 179)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 111 */
				obj_t BgL_arg1646z00_4184;

				{	/* SawJvm/inline.scm 111 */
					obj_t BgL_pairz00_4185;

					BgL_pairz00_4185 = CDR(((obj_t) BgL_argsz00_4087));
					BgL_arg1646z00_4184 = CAR(BgL_pairz00_4185);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4086), BgL_arg1646z00_4184);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 181)));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 177)));
			{	/* SawJvm/inline.scm 114 */
				obj_t BgL_arg1648z00_4186;

				{	/* SawJvm/inline.scm 114 */
					obj_t BgL_pairz00_4187;

					{	/* SawJvm/inline.scm 114 */
						obj_t BgL_pairz00_4188;

						BgL_pairz00_4188 = CDR(((obj_t) BgL_argsz00_4087));
						BgL_pairz00_4187 = CDR(BgL_pairz00_4188);
					}
					BgL_arg1648z00_4186 = CAR(BgL_pairz00_4187);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4086), BgL_arg1648z00_4186);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 175)));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4086), CNST_TABLE_REF(((long) 180)));
		}

	}



/* &<@anonymous:1626> */
	obj_t BGl_z62zc3z04anonymousza31626ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4088, obj_t BgL_mez00_4089, obj_t BgL_argsz00_4090)
	{
		{	/* SawJvm/inline.scm 96 */
			{	/* SawJvm/inline.scm 97 */
				obj_t BgL_arg1629z00_4189;

				{	/* SawJvm/inline.scm 97 */
					obj_t BgL_arg1630z00_4190;

					{	/* SawJvm/inline.scm 97 */
						obj_t BgL_arg1632z00_4191;

						{	/* SawJvm/inline.scm 97 */
							obj_t BgL_arg1635z00_4192;

							BgL_arg1635z00_4192 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1632z00_4191 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4089),
								((BgL_globalz00_bglt) BgL_arg1635z00_4192));
						}
						BgL_arg1630z00_4190 = MAKE_YOUNG_PAIR(BgL_arg1632z00_4191, BNIL);
					}
					BgL_arg1629z00_4189 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1630z00_4190);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4089), BgL_arg1629z00_4189);
			}
			{	/* SawJvm/inline.scm 98 */
				obj_t BgL_arg1636z00_4193;

				BgL_arg1636z00_4193 = CAR(((obj_t) BgL_argsz00_4090));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4089), BgL_arg1636z00_4193);
			}
			{	/* SawJvm/inline.scm 99 */
				obj_t BgL_arg1639z00_4194;

				{	/* SawJvm/inline.scm 99 */
					obj_t BgL_pairz00_4195;

					BgL_pairz00_4195 = CDR(((obj_t) BgL_argsz00_4090));
					BgL_arg1639z00_4194 = CAR(BgL_pairz00_4195);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4089), BgL_arg1639z00_4194);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4089), CNST_TABLE_REF(((long) 98)));
			return CNST_TABLE_REF(((long) 99));
		}

	}



/* &<@anonymous:1599> */
	obj_t BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4091, obj_t BgL_mez00_4092, obj_t BgL_argsz00_4093)
	{
		{	/* SawJvm/inline.scm 91 */
			{	/* SawJvm/inline.scm 92 */
				obj_t BgL_arg1600z00_4196;

				{	/* SawJvm/inline.scm 92 */
					obj_t BgL_arg1610z00_4197;

					{	/* SawJvm/inline.scm 92 */
						obj_t BgL_arg1614z00_4198;

						{	/* SawJvm/inline.scm 92 */
							obj_t BgL_arg1615z00_4199;

							BgL_arg1615z00_4199 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1614z00_4198 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4092),
								((BgL_globalz00_bglt) BgL_arg1615z00_4199));
						}
						BgL_arg1610z00_4197 = MAKE_YOUNG_PAIR(BgL_arg1614z00_4198, BNIL);
					}
					BgL_arg1600z00_4196 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 168)), BgL_arg1610z00_4197);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4092), BgL_arg1600z00_4196);
			}
			{	/* SawJvm/inline.scm 93 */
				obj_t BgL_arg1616z00_4200;

				BgL_arg1616z00_4200 = CAR(((obj_t) BgL_argsz00_4093));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4092), BgL_arg1616z00_4200);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4092), CNST_TABLE_REF(((long) 97)));
		}

	}



/* check-jvm-inlines */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 24 */
			{	/* SawJvm/inline.scm 25 */
				obj_t BgL_unresolvedz00_2902;

				{	/* SawJvm/inline.scm 25 */
					obj_t BgL_hook1593z00_2904;

					BgL_hook1593z00_2904 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1590z00_2906;
						obj_t BgL_h1591z00_2907;

						BgL_l1590z00_2906 = BNIL;
						BgL_h1591z00_2907 = BgL_hook1593z00_2904;
					BgL_zc3z04anonymousza32004ze3z87_2908:
						if (NULLP(BgL_l1590z00_2906))
							{	/* SawJvm/inline.scm 25 */
								BgL_unresolvedz00_2902 = CDR(BgL_hook1593z00_2904);
							}
						else
							{	/* SawJvm/inline.scm 25 */
								bool_t BgL_test2397z00_5197;

								if (CBOOL(BGl_findzd2globalzd2zzast_envz00(CAR(
												((obj_t) BgL_l1590z00_2906)), BNIL)))
									{	/* SawJvm/inline.scm 25 */
										BgL_test2397z00_5197 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/inline.scm 25 */
										BgL_test2397z00_5197 = ((bool_t) 1);
									}
								if (BgL_test2397z00_5197)
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_nh1592z00_2915;

										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2011z00_2917;

											BgL_arg2011z00_2917 = CAR(((obj_t) BgL_l1590z00_2906));
											BgL_nh1592z00_2915 =
												MAKE_YOUNG_PAIR(BgL_arg2011z00_2917, BNIL);
										}
										SET_CDR(BgL_h1591z00_2907, BgL_nh1592z00_2915);
										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2010z00_2916;

											BgL_arg2010z00_2916 = CDR(((obj_t) BgL_l1590z00_2906));
											{
												obj_t BgL_h1591z00_5210;
												obj_t BgL_l1590z00_5209;

												BgL_l1590z00_5209 = BgL_arg2010z00_2916;
												BgL_h1591z00_5210 = BgL_nh1592z00_2915;
												BgL_h1591z00_2907 = BgL_h1591z00_5210;
												BgL_l1590z00_2906 = BgL_l1590z00_5209;
												goto BgL_zc3z04anonymousza32004ze3z87_2908;
											}
										}
									}
								else
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_arg2012z00_2918;

										BgL_arg2012z00_2918 = CDR(((obj_t) BgL_l1590z00_2906));
										{
											obj_t BgL_l1590z00_5213;

											BgL_l1590z00_5213 = BgL_arg2012z00_2918;
											BgL_l1590z00_2906 = BgL_l1590z00_5213;
											goto BgL_zc3z04anonymousza32004ze3z87_2908;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_unresolvedz00_2902))
					{	/* SawJvm/inline.scm 27 */
						return
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 182)),
							BGl_string2256z00zzsaw_jvm_inlinez00, BgL_unresolvedz00_2902);
					}
				else
					{	/* SawJvm/inline.scm 27 */
						return BFALSE;
					}
			}
		}

	}



/* &check-jvm-inlines */
	obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4094)
	{
		{	/* SawJvm/inline.scm 24 */
			return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
		}

	}



/* inline-call? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* SawJvm/inline.scm 35 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_3))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 37 */
					obj_t BgL_funz00_2924;

					BgL_funz00_2924 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_idz00),
						CNST_TABLE_REF(((long) 8)));
					if (CBOOL(BgL_funz00_2924))
						{	/* SawJvm/inline.scm 38 */
							return
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_funz00_2924)) (BgL_funz00_2924,
								((obj_t) BgL_mez00_3), BEOA);
						}
					else
						{	/* SawJvm/inline.scm 38 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 36 */
					return BFALSE;
				}
		}

	}



/* &inline-call? */
	obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t BgL_envz00_4095,
		obj_t BgL_mez00_4096, obj_t BgL_varz00_4097)
	{
		{	/* SawJvm/inline.scm 35 */
			return
				BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4096),
				((BgL_globalz00_bglt) BgL_varz00_4097));
		}

	}



/* inline-call-with-args? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt
		BgL_mez00_5, BgL_globalz00_bglt BgL_varz00_6, obj_t BgL_argsz00_7)
	{
		{	/* SawJvm/inline.scm 52 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_5))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 54 */
					obj_t BgL_funz00_2929;

					BgL_funz00_2929 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_6)))->BgL_idz00),
						CNST_TABLE_REF(((long) 2)));
					if (CBOOL(BgL_funz00_2929))
						{	/* SawJvm/inline.scm 55 */
							return
								((obj_t(*)(obj_t, obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_funz00_2929)) (BgL_funz00_2929,
								((obj_t) BgL_mez00_5), BgL_argsz00_7, BEOA);
						}
					else
						{	/* SawJvm/inline.scm 55 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 53 */
					return BFALSE;
				}
		}

	}



/* &inline-call-with-args? */
	obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4098, obj_t BgL_mez00_4099, obj_t BgL_varz00_4100,
		obj_t BgL_argsz00_4101)
	{
		{	/* SawJvm/inline.scm 52 */
			return
				BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4099),
				((BgL_globalz00_bglt) BgL_varz00_4100), BgL_argsz00_4101);
		}

	}



/* inline-predicate? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_8,
		BgL_globalz00_bglt BgL_varz00_9, obj_t BgL_onzf3zf3_10, obj_t BgL_labz00_11)
	{
		{	/* SawJvm/inline.scm 66 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_8))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 68 */
					obj_t BgL_funz00_3585;

					BgL_funz00_3585 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_9)))->BgL_idz00),
						CNST_TABLE_REF(((long) 13)));
					if (CBOOL(BgL_funz00_3585))
						{	/* SawJvm/inline.scm 69 */
							return
								((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_funz00_3585)) (BgL_funz00_3585,
								((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11, BEOA);
						}
					else
						{	/* SawJvm/inline.scm 69 */
							return CNST_TABLE_REF(((long) 170));
				}}
			else
				{	/* SawJvm/inline.scm 67 */
					return BFALSE;
				}
		}

	}



/* &inline-predicate? */
	obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4102, obj_t BgL_mez00_4103, obj_t BgL_varz00_4104,
		obj_t BgL_onzf3zf3_4105, obj_t BgL_labz00_4106)
	{
		{	/* SawJvm/inline.scm 66 */
			return
				BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4103),
				((BgL_globalz00_bglt) BgL_varz00_4104), BgL_onzf3zf3_4105,
				BgL_labz00_4106);
		}

	}



/* skip-mov */
	obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t BgL_argz00_12)
	{
		{	/* SawJvm/inline.scm 80 */
		BGl_skipzd2movzd2zzsaw_jvm_inlinez00:
			{	/* SawJvm/inline.scm 81 */
				bool_t BgL_test2406z00_5276;

				{	/* SawJvm/inline.scm 81 */
					obj_t BgL_classz00_3590;

					BgL_classz00_3590 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_argz00_12))
						{	/* SawJvm/inline.scm 81 */
							BgL_objectz00_bglt BgL_arg1820z00_3592;

							BgL_arg1820z00_3592 = (BgL_objectz00_bglt) (BgL_argz00_12);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/inline.scm 81 */
									long BgL_idxz00_3598;

									BgL_idxz00_3598 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3592);
									BgL_test2406z00_5276 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3598 + ((long) 1))) == BgL_classz00_3590);
								}
							else
								{	/* SawJvm/inline.scm 81 */
									bool_t BgL_res2152z00_3620;

									{	/* SawJvm/inline.scm 81 */
										obj_t BgL_oclassz00_3606;

										{	/* SawJvm/inline.scm 81 */
											long BgL_arg1828z00_3612;

											{	/* SawJvm/inline.scm 81 */
												long BgL_arg1829z00_3613;

												BgL_arg1829z00_3613 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3592);
												BgL_arg1828z00_3612 =
													(BgL_arg1829z00_3613 - OBJECT_TYPE);
											}
											BgL_oclassz00_3606 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3612);
										}
										{	/* SawJvm/inline.scm 81 */
											bool_t BgL__ortest_1111z00_3607;

											BgL__ortest_1111z00_3607 =
												(BgL_classz00_3590 == BgL_oclassz00_3606);
											if (BgL__ortest_1111z00_3607)
												{	/* SawJvm/inline.scm 81 */
													BgL_res2152z00_3620 = BgL__ortest_1111z00_3607;
												}
											else
												{	/* SawJvm/inline.scm 81 */
													long BgL_odepthz00_3608;

													BgL_odepthz00_3608 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3606);
													if ((((long) 1) < BgL_odepthz00_3608))
														{	/* SawJvm/inline.scm 81 */
															obj_t BgL_arg1816z00_3610;

															BgL_arg1816z00_3610 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3606,
																((long) 1));
															BgL_res2152z00_3620 =
																(BgL_arg1816z00_3610 == BgL_classz00_3590);
														}
													else
														{	/* SawJvm/inline.scm 81 */
															BgL_res2152z00_3620 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2406z00_5276 = BgL_res2152z00_3620;
								}
						}
					else
						{	/* SawJvm/inline.scm 81 */
							BgL_test2406z00_5276 = ((bool_t) 0);
						}
				}
				if (BgL_test2406z00_5276)
					{	/* SawJvm/inline.scm 82 */
						BgL_rtl_funz00_bglt BgL_funz00_2935;

						BgL_funz00_2935 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_funz00);
						{	/* SawJvm/inline.scm 83 */
							bool_t BgL_test2411z00_5298;

							{	/* SawJvm/inline.scm 83 */
								obj_t BgL_classz00_3622;

								BgL_classz00_3622 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawJvm/inline.scm 83 */
									BgL_objectz00_bglt BgL_arg1820z00_3624;

									{	/* SawJvm/inline.scm 83 */
										obj_t BgL_tmpz00_5299;

										BgL_tmpz00_5299 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2935));
										BgL_arg1820z00_3624 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5299);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/inline.scm 83 */
											long BgL_idxz00_3630;

											BgL_idxz00_3630 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3624);
											BgL_test2411z00_5298 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3630 + ((long) 3))) == BgL_classz00_3622);
										}
									else
										{	/* SawJvm/inline.scm 83 */
											bool_t BgL_res2153z00_3652;

											{	/* SawJvm/inline.scm 83 */
												obj_t BgL_oclassz00_3638;

												{	/* SawJvm/inline.scm 83 */
													long BgL_arg1828z00_3644;

													{	/* SawJvm/inline.scm 83 */
														long BgL_arg1829z00_3645;

														BgL_arg1829z00_3645 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3624);
														BgL_arg1828z00_3644 =
															(BgL_arg1829z00_3645 - OBJECT_TYPE);
													}
													BgL_oclassz00_3638 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3644);
												}
												{	/* SawJvm/inline.scm 83 */
													bool_t BgL__ortest_1111z00_3639;

													BgL__ortest_1111z00_3639 =
														(BgL_classz00_3622 == BgL_oclassz00_3638);
													if (BgL__ortest_1111z00_3639)
														{	/* SawJvm/inline.scm 83 */
															BgL_res2153z00_3652 = BgL__ortest_1111z00_3639;
														}
													else
														{	/* SawJvm/inline.scm 83 */
															long BgL_odepthz00_3640;

															BgL_odepthz00_3640 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3638);
															if ((((long) 3) < BgL_odepthz00_3640))
																{	/* SawJvm/inline.scm 83 */
																	obj_t BgL_arg1816z00_3642;

																	BgL_arg1816z00_3642 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3638,
																		((long) 3));
																	BgL_res2153z00_3652 =
																		(BgL_arg1816z00_3642 == BgL_classz00_3622);
																}
															else
																{	/* SawJvm/inline.scm 83 */
																	BgL_res2153z00_3652 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2411z00_5298 = BgL_res2153z00_3652;
										}
								}
							}
							if (BgL_test2411z00_5298)
								{	/* SawJvm/inline.scm 84 */
									obj_t BgL_arg2022z00_2937;

									{	/* SawJvm/inline.scm 84 */
										obj_t BgL_pairz00_3654;

										BgL_pairz00_3654 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_argsz00);
										BgL_arg2022z00_2937 = CAR(BgL_pairz00_3654);
									}
									{
										obj_t BgL_argz00_5322;

										BgL_argz00_5322 = BgL_arg2022z00_2937;
										BgL_argz00_12 = BgL_argz00_5322;
										goto BGl_skipzd2movzd2zzsaw_jvm_inlinez00;
									}
								}
							else
								{	/* SawJvm/inline.scm 83 */
									return ((obj_t) BgL_funz00_2935);
								}
						}
					}
				else
					{	/* SawJvm/inline.scm 81 */
						return BgL_argz00_12;
					}
			}
		}

	}



/* compute-boolean */
	obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t BgL_mez00_13,
		obj_t BgL_copz00_14)
	{
		{	/* SawJvm/inline.scm 265 */
			{	/* SawJvm/inline.scm 267 */
				obj_t BgL_l1z00_2939;
				obj_t BgL_l2z00_2940;

				BgL_l1z00_2939 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2255z00zzsaw_jvm_inlinez00);
				BgL_l2z00_2940 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2255z00zzsaw_jvm_inlinez00);
				{	/* SawJvm/inline.scm 268 */
					obj_t BgL_arg2024z00_2941;

					{	/* SawJvm/inline.scm 268 */
						obj_t BgL_arg2025z00_2942;

						BgL_arg2025z00_2942 = MAKE_YOUNG_PAIR(BgL_l1z00_2939, BNIL);
						BgL_arg2024z00_2941 =
							MAKE_YOUNG_PAIR(BgL_copz00_14, BgL_arg2025z00_2942);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2024z00_2941);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(((long) 183)));
				{	/* SawJvm/inline.scm 270 */
					obj_t BgL_arg2026z00_2943;

					{	/* SawJvm/inline.scm 270 */
						obj_t BgL_arg2028z00_2944;

						BgL_arg2028z00_2944 = MAKE_YOUNG_PAIR(BgL_l2z00_2940, BNIL);
						BgL_arg2026z00_2943 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 173)),
							BgL_arg2028z00_2944);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2026z00_2943);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l1z00_2939);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(((long) 144)));
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l2z00_2940);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 441641707),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(((long) 44765844),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2257z00zzsaw_jvm_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
