/*===========================================================================*/
/*   (SawMill/defs.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/defs.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_retblockz00_bglt;

	typedef struct BgL_rtl_retz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                 *BgL_rtl_retz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


	BGL_EXPORTED_DECL bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2656z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_insz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2497z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62lambda2498z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2660z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funcallz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2661z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2667z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2669z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt, obj_t);
	static obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32592ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2677z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2678z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2684z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	static BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2686z62zzsaw_defsz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1959z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1961z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2694z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2696z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda1967z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1968z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_setfieldz00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static BgL_rtl_funcallz00_bglt
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectz00zzsaw_defsz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1973z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1978z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1979z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62dumpzd2funzd2rtl_fun1792z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32790ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_makeboxz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1985z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1986z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, obj_t, BgL_rtl_funz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32105ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32775ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1992z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1993z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	static BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1999z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt, obj_t);
	static obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32688ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_movz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retblockz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_switch1804z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt,
		BgL_blockz00_bglt);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt);
	static BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_jumpexitz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_switchz00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_EXPORTED_DEF obj_t BGl_rtl_goz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_instanceofz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_setfieldz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt, obj_t);
	static obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifne1808z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dump1780z62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32799ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt
		BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2101z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2103z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void);
	static BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifeq1806z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_storegz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32520ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2111z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2113z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32253ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62dumpzd2funzd2rtl_mov1796z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2121z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2129z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2130z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt);
	static obj_t BGl_z62lambda2134z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2135z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_getfieldz00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2304z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2142z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2305z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2144z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2309z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_rtl_failzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_failz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2310z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2150z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2151z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2314z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, int);
	static obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2315z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32419ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2158z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt);
	static BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2321z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2324z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32347ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2166z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2167z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2331z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2332z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2173z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2336z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2337z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_globalrefz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_protectedz00_bglt
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2503z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2504z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2343z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2181z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2182z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2345z62zzsaw_defsz00(obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2189z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_retblockz00_bglt
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt,
		BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt, obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2353z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2191z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2354z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2517z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2358z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2359z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2197z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2198z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32650ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2365z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2528z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2367z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_effectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static BgL_rtl_newz00_bglt BGl_z62lambda2530z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2373z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2374z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2539z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2379z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt);
	static BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2540z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2380z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2705z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2707z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32369ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2386z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2549z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2388z62zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2717z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2718z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2395z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2558z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2396z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2fun1788zb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2560z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32727ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2725z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2567z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2568z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
	static obj_t BGl_z62lambda2732z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32493ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2733z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2575z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2739z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2578z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t);
	static obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt);
	static obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62dumpzd2rtl_reg1787zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_go1810z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32761ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2740z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32672ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2746z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_newz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2747z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2587z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_pragmaz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static BgL_rtl_protectedz00_bglt
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2590z62zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2754z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2756z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2597z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2598z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadfun1800z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	static BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxrefz00zzsaw_defsz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt,
		BgL_atomz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2773z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2774z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2rtl_reg1779zb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2781z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2782z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_rtl_purezd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2788z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	static obj_t BGl_z62lambda2789z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vlengthz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_purez00zzsaw_defsz00 = BUNSPEC;
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_defsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2797z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt);
	static obj_t BGl_z62lambda2798z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt);
	static obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32783ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt
		BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	static obj_t BGl_z62dumpzd2rtl_ins1785zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_regz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vallocz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_cast_nullz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadfunz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_retz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	static obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32029ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2rtl_ins1777zb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	BGL_EXPORTED_DECL int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnez00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2000z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_funz00_bglt BGl_z62lambda2007z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2009z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_rtl_callzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retz00_bglt
		BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_callz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2016z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadg1798z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_selectz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2017z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt);
	static obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2026z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	static BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t, BgL_atomz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt
		BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2036z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2038z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_rtl_castzd2nilzd2zzsaw_defsz00(void);
	static BgL_rtl_purez00_bglt BGl_z62lambda2204z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_returnz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2206z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2044z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2045z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_applyz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_debugzd2sawzd2zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt);
	static BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2214z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2052z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2216z62zzsaw_defsz00(obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2block1783zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32620ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32442ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_movz00_bglt BGl_z62lambda2224z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2062z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt);
	static BgL_rtl_movz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2064z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadgz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_retblockz00_bglt
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadiz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DEF obj_t BGl_rtl_notseqz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2234z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2073z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2236z62zzsaw_defsz00(obj_t);
	static BgL_rtl_retblockz00_bglt BGl_z62lambda2075z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void);
	static obj_t BGl_z62zc3z04anonymousza32711ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2403z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_atomz00_bglt BGl_z62lambda2242z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2405z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2243z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62lambda2084z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_retz00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2249z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_castz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t);
	static BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadi1794z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2415z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2417z62zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2093z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2094z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_globalz00_bglt BGl_z62lambda2257z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2258z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32284ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2426z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2264z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_pragma1814z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2266z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_call1812z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32390ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2272z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_getfieldz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2273z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2437z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2439z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt, obj_t);
	static obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2602z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2603z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2280z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2282z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2608z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2609z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2447z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2448z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2288z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2289z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2616z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt,
		obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2618z62zzsaw_defsz00(obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2457z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2296z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2459z62zzsaw_defsz00(obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2298z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_globalr1802z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2627z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2465z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2466z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt, obj_t);
	static BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2630z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32734ze3ze5zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2471z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2637z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2638z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectedz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2477z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2478z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza32719ze3ze5zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2645z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2647z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2486z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2488z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void);
	static obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	static obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2655z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t __cnst[82];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo3408z00,
		BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3409za7,
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73410z00,
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7f3411z00, BGl_z62rtl_protectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3412z00,
		BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2formatzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23413z00,
		BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2nilza7b3414za7, BGl_z62blockzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2ni3415z00, BGl_z62rtl_castzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23416z00,
		BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2ni3417z00, BGl_z62rtl_callzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2marginzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2margin3418z00, BGl_z62dumpzd2marginzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzsaw_defsz00,
		BgL_bgl_za762lambda1968za7623419z00, BGl_z62lambda1968z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzsaw_defsz00,
		BgL_bgl_za762lambda1967za7623420z00, BGl_z62lambda1967z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzsaw_defsz00,
		BgL_bgl_za762lambda1973za7623421z00, BGl_z62lambda1973z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2nil3422z00, BGl_z62rtl_inszd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3423z00,
		BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7b3424za7, BGl_z62rtl_gozd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_valloczd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_va3425z00,
		BGl_z62makezd2rtl_valloczb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3426z00,
		BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73427z00,
		BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3428z00, BGl_z62rtl_applyzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzsaw_defsz00,
		BgL_bgl_za762lambda1972za7623429z00, BGl_z62lambda1972z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3430za7,
		BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzsaw_defsz00,
		BgL_bgl_za762lambda1979za7623431z00, BGl_z62lambda1979z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzsaw_defsz00,
		BgL_bgl_za762lambda1978za7623432z00, BGl_z62lambda1978z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3433za7,
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3434za7,
		BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_castzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3435z00, BGl_z62makezd2rtl_castzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzsaw_defsz00,
		BgL_bgl_za762lambda1986za7623436z00, BGl_z62lambda1986z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzsaw_defsz00,
		BgL_bgl_za762lambda1985za7623437z00, BGl_z62lambda1985z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3438za7,
		BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzsaw_defsz00,
		BgL_bgl_za762lambda1993za7623439z00, BGl_z62lambda1993z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzsaw_defsz00,
		BgL_bgl_za762lambda1992za7623440z00, BGl_z62lambda1992z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3441z00,
		BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23442z00,
		BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3443z00, BGl_z62rtl_inszd2argszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23444z00,
		BGl_z62rtl_storegzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3445za7,
		BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzsaw_defsz00,
		BgL_bgl_za762lambda2000za7623446z00, BGl_z62lambda2000z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3447za7,
		BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzsaw_defsz00,
		BgL_bgl_za762lambda1999za7623448z00, BGl_z62lambda1999z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3449za7,
		BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzsaw_defsz00,
		BgL_bgl_za762lambda1961za7623450z00, BGl_z62lambda1961z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzsaw_defsz00,
		BgL_bgl_za762lambda1959za7623451z00, BGl_z62lambda1959z62zzsaw_defsz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3452za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzsaw_defsz00,
		BgL_bgl_za762lambda2017za7623453z00, BGl_z62lambda2017z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzsaw_defsz00,
		BgL_bgl_za762lambda2016za7623454z00, BGl_z62lambda2016z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3455za7,
		BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2ni3456z00, BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7f3za7913457za7, BGl_z62rtl_funzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3458z00, BGl_z62rtl_regzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectedzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3459za7,
		BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzsaw_defsz00,
		BgL_bgl_za762lambda2009za7623460z00, BGl_z62lambda2009z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzsaw_defsz00,
		BgL_bgl_za762lambda2007za7623461z00, BGl_z62lambda2007z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3462za7,
		BGl_z62zc3z04anonymousza32029ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23463z00,
		BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzsaw_defsz00,
		BgL_bgl_za762lambda2026za7623464z00, BGl_z62lambda2026z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzsaw_defsz00,
		BgL_bgl_za762lambda2024za7623465z00, BGl_z62lambda2024z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzsaw_defsz00,
		BgL_bgl_za762lambda2045za7623466z00, BGl_z62lambda2045z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzsaw_defsz00,
		BgL_bgl_za762lambda2044za7623467z00, BGl_z62lambda2044z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2z52spillzd2setz12zd2envz92zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523468za7,
		BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3469za7,
		BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzsaw_defsz00,
		BgL_bgl_za762lambda2038za7623470z00, BGl_z62lambda2038z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzsaw_defsz00,
		BgL_bgl_za762lambda2036za7623471z00, BGl_z62lambda2036z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2nil3472z00, BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2argszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3473z00,
		BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3474z00,
		BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2blockza73475za7, BGl_z62makezd2blockzb0zzsaw_defsz00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23476z00,
		BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_selectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3477z00,
		BGl_z62makezd2rtl_selectzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzsaw_defsz00,
		BgL_bgl_za762lambda2597za7623478z00, BGl_z62lambda2597z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzsaw_defsz00,
		BgL_bgl_za762lambda2603za7623479z00, BGl_z62lambda2603z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzsaw_defsz00,
		BgL_bgl_za762lambda2602za7623480z00, BGl_z62lambda2602z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3481za7,
		BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza73482za7,
		BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzsaw_defsz00,
		BgL_bgl_za762lambda2609za7623483z00, BGl_z62lambda2609z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzsaw_defsz00,
		BgL_bgl_za762lambda2054za7623484z00, BGl_z62lambda2054z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzsaw_defsz00,
		BgL_bgl_za762lambda2608za7623485z00, BGl_z62lambda2608z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzsaw_defsz00,
		BgL_bgl_za762lambda2052za7623486z00, BGl_z62lambda2052z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3487za7,
		BGl_z62zc3z04anonymousza32592ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3488za7,
		BGl_z62zc3z04anonymousza32066ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzsaw_defsz00,
		BgL_bgl_za762lambda2590za7623489z00, BGl_z62lambda2590z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzsaw_defsz00,
		BgL_bgl_za762lambda2064za7623490z00, BGl_z62lambda2064z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzsaw_defsz00,
		BgL_bgl_za762lambda2587za7623491z00, BGl_z62lambda2587z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzsaw_defsz00,
		BgL_bgl_za762lambda2062za7623492z00, BGl_z62lambda2062z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3493za7,
		BGl_z62zc3z04anonymousza32620ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3494za7,
		BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzsaw_defsz00,
		BgL_bgl_za762lambda2618za7623495z00, BGl_z62lambda2618z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzsaw_defsz00,
		BgL_bgl_za762lambda2075za7623496z00, BGl_z62lambda2075z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzsaw_defsz00,
		BgL_bgl_za762lambda2073za7623497z00, BGl_z62lambda2073z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzsaw_defsz00,
		BgL_bgl_za762lambda2094za7623498z00, BGl_z62lambda2094z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7f33499z00, BGl_z62rtl_selectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3500za7,
		BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vlengthzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vl3501z00,
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2fromtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3502z00,
		BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3503za7, BGl_z62rtl_protectedzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argsza2zd2envza2zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3504z00,
		BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3505z00,
		BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzsaw_defsz00,
		BgL_bgl_za762lambda2616za7623506z00, BGl_z62lambda2616z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzsaw_defsz00,
		BgL_bgl_za762lambda2638za7623507z00, BGl_z62lambda2638z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzsaw_defsz00,
		BgL_bgl_za762lambda2637za7623508z00, BGl_z62lambda2637z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzsaw_defsz00,
		BgL_bgl_za762lambda2093za7623509z00, BGl_z62lambda2093z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3400z00zzsaw_defsz00,
		BgL_bgl_string3400za700za7za7s3510za7, "%", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3511za7,
		BGl_z62zc3z04anonymousza32633ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3512za7,
		BGl_z62zc3z04anonymousza32088ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3401z00zzsaw_defsz00,
		BgL_bgl_string3401za700za7za7s3513za7, "$", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzsaw_defsz00,
		BgL_bgl_za762lambda2630za7623514z00, BGl_z62lambda2630z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzsaw_defsz00,
		BgL_bgl_za762lambda2086za7623515z00, BGl_z62lambda2086z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3516z00,
		BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3402z00zzsaw_defsz00,
		BgL_bgl_string3402za700za7za7s3517za7, "@", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzsaw_defsz00,
		BgL_bgl_za762lambda2627za7623518z00, BGl_z62lambda2627z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzsaw_defsz00,
		BgL_bgl_za762lambda2084za7623519z00, BGl_z62lambda2084z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_globalrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_gl3520z00,
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3403z00zzsaw_defsz00,
		BgL_bgl_string3403za700za7za7s3521za7, "saw_defs", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzsaw_defsz00,
		BgL_bgl_za762lambda2656za7623522z00, BGl_z62lambda2656z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3523za7,
		BGl_z62zc3z04anonymousza32105ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3404z00zzsaw_defsz00,
		BgL_bgl_string3404za700za7za7s3524za7,
		"_ block first succs preds int label rtl_ins args fun dest %spill rtl_protected rtl_protect rtl_cast_null rtl_cast fromtype totype rtl_pragma format rtl_funcall rtl_lightfuncall rettype funs symbol rtl_apply rtl_call rtl_new pair-nil constr rtl_boxset rtl_vset rtl_setfield rtl_storeg rtl_effect rtl_boxref rtl_makebox rtl_instanceof rtl_vlength rtl_vref rtl_valloc vtype rtl_getfield objtype bstring rtl_globalref rtl_loadfun rtl_loadg rtl_loadi constant rtl_mov rtl_nop rtl_pure rtl_go rtl_ifne rtl_ifeq then rtl_switch labels rtl_select patterns rtl_if rtl_notseq rtl_ret to rtl_retblock rtl_fail rtl_jumpexit rtl_return rtl_last rtl_fun loc saw_defs rtl_reg hardware key name onexpr? obj var type #(\"\" \" \" \"  \" \"   \" \"    \" \"     \" \"      \" \"       \") ",
		755);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzsaw_defsz00,
		BgL_bgl_za762lambda2655za7623525z00, BGl_z62lambda2655z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzsaw_defsz00,
		BgL_bgl_za762lambda2103za7623526z00, BGl_z62lambda2103z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzsaw_defsz00,
		BgL_bgl_za762lambda2661za7623527z00, BGl_z62lambda2661z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzsaw_defsz00,
		BgL_bgl_za762lambda2101za7623528z00, BGl_z62lambda2101z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzsaw_defsz00,
		BgL_bgl_za762lambda2660za7623529z00, BGl_z62lambda2660z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3530za7,
		BGl_z62zc3z04anonymousza32115ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzsaw_defsz00,
		BgL_bgl_za762lambda2113za7623531z00, BGl_z62lambda2113z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzsaw_defsz00,
		BgL_bgl_za762lambda2111za7623532z00, BGl_z62lambda2111z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7f3za73533za7, BGl_z62rtl_applyzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3534z00,
		BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23535z00,
		BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3536za7,
		BGl_z62zc3z04anonymousza32650ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzsaw_defsz00,
		BgL_bgl_za762lambda2647za7623537z00, BGl_z62lambda2647z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzsaw_defsz00,
		BgL_bgl_za762lambda2645za7623538z00, BGl_z62lambda2645z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzsaw_defsz00,
		BgL_bgl_za762lambda2130za7623539z00, BGl_z62lambda2130z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzsaw_defsz00,
		BgL_bgl_za762lambda2678za7623540z00, BGl_z62lambda2678z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzsaw_defsz00,
		BgL_bgl_za762lambda2129za7623541z00, BGl_z62lambda2129z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzsaw_defsz00,
		BgL_bgl_za762lambda2677za7623542z00, BGl_z62lambda2677z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzsaw_defsz00,
		BgL_bgl_za762lambda2135za7623543z00, BGl_z62lambda2135z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2hardwarezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2har3544z00,
		BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3545za7,
		BGl_z62zc3z04anonymousza32672ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzsaw_defsz00,
		BgL_bgl_za762lambda2134za7623546z00, BGl_z62lambda2134z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzsaw_defsz00,
		BgL_bgl_za762lambda2669za7623547z00, BGl_z62lambda2669z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3548za7,
		BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzsaw_defsz00,
		BgL_bgl_za762lambda2667za7623549z00, BGl_z62lambda2667z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzsaw_defsz00,
		BgL_bgl_za762lambda2123za7623550z00, BGl_z62lambda2123z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3551za7,
		BGl_z62zc3z04anonymousza32688ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzsaw_defsz00,
		BgL_bgl_za762lambda2121za7623552z00, BGl_z62lambda2121z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzsaw_defsz00,
		BgL_bgl_za762lambda2686za7623553z00, BGl_z62lambda2686z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzsaw_defsz00,
		BgL_bgl_za762lambda2151za7623554z00, BGl_z62lambda2151z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzsaw_defsz00,
		BgL_bgl_za762lambda2150za7623555z00, BGl_z62lambda2150z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3556za7,
		BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3097z00zzsaw_defsz00,
		BgL_bgl_string3097za700za7za7s3557za7, "BIGLOOTRACE", 11);
	      DEFINE_STRING(BGl_string3098z00zzsaw_defsz00,
		BgL_bgl_string3098za700za7za7s3558za7, "bbv", 3);
	      DEFINE_STRING(BGl_string3099z00zzsaw_defsz00,
		BgL_bgl_string3099za700za7za7s3559za7, "+-- ", 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7f3za7913560za7, BGl_z62rtl_inszf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_returnzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3561z00,
		BGl_z62makezd2rtl_returnzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3562z00,
		BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc3563z00, BGl_z62rtl_funzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzsaw_defsz00,
		BgL_bgl_za762lambda2684za7623564z00, BGl_z62lambda2684z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3565za7,
		BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzsaw_defsz00,
		BgL_bgl_za762lambda2696za7623566z00, BGl_z62lambda2696z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzsaw_defsz00,
		BgL_bgl_za762lambda2144za7623567z00, BGl_z62lambda2144z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzsaw_defsz00,
		BgL_bgl_za762lambda2694za7623568z00, BGl_z62lambda2694z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzsaw_defsz00,
		BgL_bgl_za762lambda2142za7623569z00, BGl_z62lambda2142z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3570za7,
		BGl_z62zc3z04anonymousza32719ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzsaw_defsz00,
		BgL_bgl_za762lambda2167za7623571z00, BGl_z62lambda2167z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzsaw_defsz00,
		BgL_bgl_za762lambda2718za7623572z00, BGl_z62lambda2718z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzsaw_defsz00,
		BgL_bgl_za762lambda2166za7623573z00, BGl_z62lambda2166z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzsaw_defsz00,
		BgL_bgl_za762lambda2717za7623574z00, BGl_z62lambda2717z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3575za7,
		BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3576za7,
		BGl_z62zc3z04anonymousza32727ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzsaw_defsz00,
		BgL_bgl_za762lambda2160za7623577z00, BGl_z62lambda2160z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzsaw_defsz00,
		BgL_bgl_za762lambda2726za7623578z00, BGl_z62lambda2726z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzsaw_defsz00,
		BgL_bgl_za762lambda2158za7623579z00, BGl_z62lambda2158z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzsaw_defsz00,
		BgL_bgl_za762lambda2725za7623580z00, BGl_z62lambda2725z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzsaw_defsz00,
		BgL_bgl_za762lambda2182za7623581z00, BGl_z62lambda2182z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzsaw_defsz00,
		BgL_bgl_za762lambda2181za7623582z00, BGl_z62lambda2181z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3583za7,
		BGl_z62zc3z04anonymousza32177ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7f3za7913584za7, BGl_z62rtl_newzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3585z00,
		BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3586z00,
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3587za7,
		BGl_z62zc3z04anonymousza32734ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzsaw_defsz00,
		BgL_bgl_za762lambda2733za7623588z00, BGl_z62lambda2733z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzsaw_defsz00,
		BgL_bgl_za762lambda2732za7623589z00, BGl_z62lambda2732z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzsaw_defsz00,
		BgL_bgl_za762lambda2175za7623590z00, BGl_z62lambda2175z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzsaw_defsz00,
		BgL_bgl_za762lambda2740za7623591z00, BGl_z62lambda2740z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzsaw_defsz00,
		BgL_bgl_za762lambda2173za7623592z00, BGl_z62lambda2173z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzsaw_defsz00,
		BgL_bgl_za762lambda2739za7623593z00, BGl_z62lambda2739z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzsaw_defsz00,
		BgL_bgl_za762lambda2198za7623594z00, BGl_z62lambda2198z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzsaw_defsz00,
		BgL_bgl_za762lambda2747za7623595z00, BGl_z62lambda2747z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzsaw_defsz00,
		BgL_bgl_za762lambda2197za7623596z00, BGl_z62lambda2197z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzsaw_defsz00,
		BgL_bgl_za762lambda2746za7623597z00, BGl_z62lambda2746z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3598za7,
		BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3347z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3599za7,
		BGl_z62zc3z04anonymousza32711ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzsaw_defsz00,
		BgL_bgl_za762lambda2191za7623600z00, BGl_z62lambda2191z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzsaw_defsz00,
		BgL_bgl_za762lambda2707za7623601z00, BGl_z62lambda2707z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzsaw_defsz00,
		BgL_bgl_za762lambda2189za7623602z00, BGl_z62lambda2189z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzsaw_defsz00,
		BgL_bgl_za762lambda2705za7623603z00, BGl_z62lambda2705z62zzsaw_defsz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3604za7,
		BGl_z62zc3z04anonymousza32208ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzsaw_defsz00,
		BgL_bgl_za762lambda2206za7623605z00, BGl_z62lambda2206z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzsaw_defsz00,
		BgL_bgl_za762lambda2204za7623606z00, BGl_z62lambda2204z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2destzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des3607z00, BGl_z62rtl_inszd2destzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3608z00,
		BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nil3609z00, BGl_z62rtl_regzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3610za7,
		BGl_z62zc3z04anonymousza32775ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzsaw_defsz00,
		BgL_bgl_za762lambda2774za7623611z00, BGl_z62lambda2774z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzsaw_defsz00,
		BgL_bgl_za762lambda2773za7623612z00, BGl_z62lambda2773z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3613za7,
		BGl_z62zc3z04anonymousza32218ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3614za7,
		BGl_z62zc3z04anonymousza32783ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzsaw_defsz00,
		BgL_bgl_za762lambda2216za7623615z00, BGl_z62lambda2216z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzsaw_defsz00,
		BgL_bgl_za762lambda2782za7623616z00, BGl_z62lambda2782z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzsaw_defsz00,
		BgL_bgl_za762lambda2214za7623617z00, BGl_z62lambda2214z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzsaw_defsz00,
		BgL_bgl_za762lambda2781za7623618z00, BGl_z62lambda2781z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3619za7,
		BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3620za7,
		BGl_z62zc3z04anonymousza32790ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzsaw_defsz00,
		BgL_bgl_za762lambda2226za7623621z00, BGl_z62lambda2226z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzsaw_defsz00,
		BgL_bgl_za762lambda2789za7623622z00, BGl_z62lambda2789z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzsaw_defsz00,
		BgL_bgl_za762lambda2224za7623623z00, BGl_z62lambda2224z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzsaw_defsz00,
		BgL_bgl_za762lambda2788za7623624z00, BGl_z62lambda2788z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzsaw_defsz00,
		BgL_bgl_za762lambda2243za7623625z00, BGl_z62lambda2243z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3626za7,
		BGl_z62zc3z04anonymousza32799ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzsaw_defsz00,
		BgL_bgl_za762lambda2242za7623627z00, BGl_z62lambda2242z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3628za7,
		BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2nil3629z00, BGl_z62rtl_movzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzsaw_defsz00,
		BgL_bgl_za762lambda2236za7623630z00, BGl_z62lambda2236z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73631z00,
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzsaw_defsz00,
		BgL_bgl_za762lambda2798za7623632z00, BGl_z62lambda2798z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzsaw_defsz00,
		BgL_bgl_za762lambda2797za7623633z00, BGl_z62lambda2797z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3634za7,
		BGl_z62zc3z04anonymousza32761ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzsaw_defsz00,
		BgL_bgl_za762lambda2756za7623635z00, BGl_z62lambda2756z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzsaw_defsz00,
		BgL_bgl_za762lambda2754za7623636z00, BGl_z62lambda2754z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzsaw_defsz00,
		BgL_bgl_za762dump1780za762za7za73637z00, BGl_z62dump1780z62zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2fun1783638z00, BGl_z62dumpzd2fun1788zb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3639z00,
		BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7f3640z00, BGl_z62rtl_loadfunzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3641z00, BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3642z00,
		BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_i3643z00,
		BGl_z62shapezd2rtl_ins1777zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_r3644z00,
		BGl_z62shapezd2rtl_reg1779zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2block13645z00,
		BGl_z62dumpzd2block1783zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_in3646z00,
		BGl_z62dumpzd2rtl_ins1785zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_re3647z00,
		BGl_z62dumpzd2rtl_reg1787zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23648z00,
		BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23649za7,
		BGl_z62dumpzd2funzd2rtl_fun1792z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23650za7,
		BGl_z62dumpzd2funzd2rtl_loadi1794z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadfunzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3651z00,
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23652za7,
		BGl_z62dumpzd2funzd2rtl_mov1796z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retblockzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73653z00,
		BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23654za7,
		BGl_z62dumpzd2funzd2rtl_loadg1798z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23655za7,
		BGl_z62dumpzd2funzd2rtl_loadfun1800z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23656za7,
		BGl_z62dumpzd2funzd2rtl_globalr1802z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23657za7,
		BGl_z62dumpzd2funzd2rtl_switch1804z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23658za7,
		BGl_z62dumpzd2funzd2rtl_ifeq1806z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23659za7,
		BGl_z62dumpzd2funzd2rtl_ifne1808z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7f3za793660za7, BGl_z62rtl_ifnezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23661za7,
		BGl_z62dumpzd2funzd2rtl_go1810z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3388z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23662za7,
		BGl_z62dumpzd2funzd2rtl_call1812z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ni3663z00, BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23664za7,
		BGl_z62dumpzd2funzd2rtl_pragma1814z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7f3za73665za7, BGl_z62rtl_loadgzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3666za7,
		BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vs3667z00, BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3668z00,
		BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_gozd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_go3669z00, BGl_z62makezd2rtl_gozb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23670z00,
		BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3671za7,
		BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23672z00,
		BGl_z62rtl_selectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7f33673z00, BGl_z62rtl_pragmazf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3674za7,
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23675z00,
		BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73676za7,
		BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2onexprzf3zd2setz12zd2envz33zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3677z00,
		BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7f3678z00, BGl_z62rtl_funcallzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3679za7,
		BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23680z00,
		BGl_z62rtl_valloczd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7f3za791za73681z00, BGl_z62rtl_ifzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3682z00,
		BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3683z00,
		BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73684z00, BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3685z00, BGl_z62rtl_newzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23686z00,
		BGl_z62rtl_storegzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3687za7,
		BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23688z00,
		BGl_z62rtl_returnzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7f33689z00, BGl_z62rtl_effectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3690za7,
		BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2predszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3691z00,
		BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3692z00,
		BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23693z00,
		BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2firstzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first3694z00,
		BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7f3695z00, BGl_z62rtl_vlengthzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3696za7,
		BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2n3697z00, BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7f3za7913698za7, BGl_z62rtl_regzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3699z00, BGl_z62rtl_failzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23700z00,
		BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifnezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3701z00, BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3702za7,
		BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_getfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ge3703z00,
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funcallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3704z00,
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_applyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ap3705z00,
		BGl_z62makezd2rtl_applyzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2totypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to3706z00,
		BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3707z00, BGl_z62rtl_inszd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73708z00,
		BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3709za7, BGl_z62rtl_instanceofzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7f3za7913710za7, BGl_z62rtl_retzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2labelszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23711z00,
		BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3712z00, BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2constrzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3713z00,
		BGl_z62rtl_newzd2constrzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762blockza7f3za791za7za73714za7, BGl_z62blockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2z52spillzd2envz52zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523715za7,
		BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_pragmazd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3716z00,
		BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23717z00,
		BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3718z00,
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_movzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc3719z00,
		BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7f3za793720za7, BGl_z62rtl_failzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7f3za73721za7, BGl_z62rtl_loadizf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifeqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3722z00, BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7f3za7913723za7, BGl_z62rtl_movzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3724z00, BGl_z62makezd2rtl_funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_setfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3725z00,
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3726za7,
		BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23727z00,
		BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3728z00,
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2nil3729z00, BGl_z62rtl_funzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7b03730za7, BGl_z62dumpzd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3731za7,
		BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73732z00,
		BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadgzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3733z00,
		BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23734z00,
		BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73735z00,
		BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3736z00,
		BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_retzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3737z00,
		BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3738z00, BGl_z62rtl_loadizd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectedzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3739z00,
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23740z00,
		BGl_z62rtl_switchzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73741za7, BGl_z62rtl_gozd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23742z00,
		BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3743z00, BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7f33744z00, BGl_z62rtl_switchzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3745z00,
		BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_newzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ne3746z00, BGl_z62makezd2rtl_newzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v3747z00,
		BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2succszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3748z00,
		BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2n3749z00, BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23750z00,
		BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3751z00,
		BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23752z00,
		BGl_z62rtl_valloczd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23753z00,
		BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2constantzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3754z00,
		BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23755z00,
		BGl_z62rtl_returnzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3756za7,
		BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3100z00zzsaw_defsz00,
		BgL_bgl_string3100za700za7za7s3757za7, " ", 1);
	      DEFINE_STRING(BGl_string3101z00zzsaw_defsz00,
		BgL_bgl_string3101za700za7za7s3758za7, "| args:", 7);
	      DEFINE_STRING(BGl_string3102z00zzsaw_defsz00,
		BgL_bgl_string3102za700za7za7s3759za7, "| Basic blocks: ", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2loc3760z00, BGl_z62rtl_retzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3103z00zzsaw_defsz00,
		BgL_bgl_string3103za700za7za7s3761za7, "(", 1);
	      DEFINE_STRING(BGl_string3104z00zzsaw_defsz00,
		BgL_bgl_string3104za700za7za7s3762za7, ")", 1);
	      DEFINE_STRING(BGl_string3105z00zzsaw_defsz00,
		BgL_bgl_string3105za700za7za7s3763za7, " {", 2);
	      DEFINE_STRING(BGl_string3106z00zzsaw_defsz00,
		BgL_bgl_string3106za700za7za7s3764za7, "}", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23765z00,
		BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73766z00,
		BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3767z00, BGl_z62rtl_callzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73768z00,
		BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_lastzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_la3769z00, BGl_z62makezd2rtl_lastzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7f3za7913770za7, BGl_z62rtl_nopzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3771za7,
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23772z00,
		BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_makeboxzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ma3773z00,
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73774z00,
		BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23775z00,
		BGl_z62rtl_effectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3776z00,
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2nil3777z00, BGl_z62rtl_newzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23778z00,
		BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23779z00,
		BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza762za7za7saw_3780z00, BGl_z62dumpz62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzsaw_defsz00,
		BgL_bgl_za762lambda2234za7623781z00, BGl_z62lambda2234z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzsaw_defsz00,
		BgL_bgl_za762lambda2258za7623782z00, BGl_z62lambda2258z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzsaw_defsz00,
		BgL_bgl_za762lambda2257za7623783z00, BGl_z62lambda2257z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadizd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3784z00,
		BGl_z62makezd2rtl_loadizb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3785za7,
		BGl_z62zc3z04anonymousza32253ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzsaw_defsz00,
		BgL_bgl_za762lambda2251za7623786z00, BGl_z62lambda2251z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzsaw_defsz00,
		BgL_bgl_za762lambda2249za7623787z00, BGl_z62lambda2249z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzsaw_defsz00,
		BgL_bgl_za762lambda2273za7623788z00, BGl_z62lambda2273z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23789z00,
		BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzsaw_defsz00,
		BgL_bgl_za762lambda2272za7623790z00, BGl_z62lambda2272z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3791za7,
		BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2funzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3792z00,
		BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzsaw_defsz00,
		BgL_bgl_za762lambda2266za7623793z00, BGl_z62lambda2266z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7f33794z00, BGl_z62rtl_valloczf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73795z00, BGl_z62rtl_getfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2onexprzf3zd2envzf3zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3796z00,
		BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7f3za793797za7, BGl_z62rtl_castzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23798z00,
		BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzsaw_defsz00,
		BgL_bgl_za762lambda2264za7623799z00, BGl_z62lambda2264z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzsaw_defsz00,
		BgL_bgl_za762lambda2289za7623800z00, BGl_z62lambda2289z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7f33801z00, BGl_z62rtl_boxsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzsaw_defsz00,
		BgL_bgl_za762lambda2288za7623802z00, BGl_z62lambda2288z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3803za7,
		BGl_z62zc3z04anonymousza32284ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzsaw_defsz00,
		BgL_bgl_za762lambda2282za7623804z00, BGl_z62lambda2282z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzsaw_defsz00,
		BgL_bgl_za762lambda2280za7623805z00, BGl_z62lambda2280z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_effectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ef3806z00,
		BGl_z62makezd2rtl_effectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzsaw_defsz00,
		BgL_bgl_za762lambda2305za7623807z00, BGl_z62lambda2305z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzsaw_defsz00,
		BgL_bgl_za762lambda2304za7623808z00, BGl_z62lambda2304z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzsaw_defsz00,
		BgL_bgl_za762lambda2310za7623809z00, BGl_z62lambda2310z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzsaw_defsz00,
		BgL_bgl_za762lambda2309za7623810z00, BGl_z62lambda2309z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtlzd2dumpzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtlza7d2dumpza7b03811za7, BGl_z62rtlzd2dumpzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23812z00,
		BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_failzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fa3813z00, BGl_z62makezd2rtl_failzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo3814z00, BGl_z62rtl_purezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3815z00,
		BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_applyzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3816z00,
		BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_makeboxzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3817z00,
		BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzsaw_defsz00,
		BgL_bgl_za762lambda2315za7623818z00, BGl_z62lambda2315z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzsaw_defsz00,
		BgL_bgl_za762lambda2314za7623819z00, BGl_z62lambda2314z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3820za7,
		BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzsaw_defsz00,
		BgL_bgl_za762lambda2298za7623821z00, BGl_z62lambda2298z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzsaw_defsz00,
		BgL_bgl_za762lambda2296za7623822z00, BGl_z62lambda2296z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73823z00,
		BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzsaw_defsz00,
		BgL_bgl_za762lambda2332za7623824z00, BGl_z62lambda2332z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzsaw_defsz00,
		BgL_bgl_za762lambda2331za7623825z00, BGl_z62lambda2331z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzsaw_defsz00,
		BgL_bgl_za762lambda2337za7623826z00, BGl_z62lambda2337z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzsaw_defsz00,
		BgL_bgl_za762lambda2336za7623827z00, BGl_z62lambda2336z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3828za7,
		BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_movzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_mo3829z00, BGl_z62makezd2rtl_movzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_failzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3830z00,
		BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th3831z00, BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funcallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3832z00,
		BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3833z00, BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzsaw_defsz00,
		BgL_bgl_za762lambda2324za7623834z00, BGl_z62lambda2324z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzsaw_defsz00,
		BgL_bgl_za762lambda2321za7623835z00, BGl_z62lambda2321z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzsaw_defsz00,
		BgL_bgl_za762lambda2354za7623836z00, BGl_z62lambda2354z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3837za7,
		BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzsaw_defsz00,
		BgL_bgl_za762lambda2353za7623838z00, BGl_z62lambda2353z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzsaw_defsz00,
		BgL_bgl_za762lambda2359za7623839z00, BGl_z62lambda2359z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzsaw_defsz00,
		BgL_bgl_za762lambda2358za7623840z00, BGl_z62lambda2358z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza73841za7, BGl_z62rtl_ifzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73842z00,
		BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3843za7,
		BGl_z62zc3z04anonymousza32347ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzsaw_defsz00,
		BgL_bgl_za762lambda2345za7623844z00, BGl_z62lambda2345z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzsaw_defsz00,
		BgL_bgl_za762lambda2343za7623845z00, BGl_z62lambda2343z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzsaw_defsz00,
		BgL_bgl_za762lambda2374za7623846z00, BGl_z62lambda2374z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7f3za793847za7, BGl_z62rtl_vsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2ni3848z00, BGl_z62rtl_failzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpza2zd2envz70zzsaw_defsz00,
		BgL_bgl_za762dumpza7a2za7c0za7za7s3849za7, BGl_z62dumpza2zc0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3850za7,
		BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzsaw_defsz00,
		BgL_bgl_za762lambda2373za7623851z00, BGl_z62lambda2373z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzsaw_defsz00,
		BgL_bgl_za762lambda2380za7623852z00, BGl_z62lambda2380z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzsaw_defsz00,
		BgL_bgl_za762lambda2379za7623853z00, BGl_z62lambda2379z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3854za7,
		BGl_z62zc3z04anonymousza32369ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3855za7,
		BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzsaw_defsz00,
		BgL_bgl_za762lambda2367za7623856z00, BGl_z62lambda2367z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzsaw_defsz00,
		BgL_bgl_za762lambda2365za7623857z00, BGl_z62lambda2365z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7f3za793858za7, BGl_z62rtl_purezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzsaw_defsz00,
		BgL_bgl_za762lambda2396za7623859z00, BGl_z62lambda2396z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzsaw_defsz00,
		BgL_bgl_za762lambda2395za7623860z00, BGl_z62lambda2395z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3861za7,
		BGl_z62zc3z04anonymousza32390ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzsaw_defsz00,
		BgL_bgl_za762lambda2388za7623862z00, BGl_z62lambda2388z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2succszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3863z00, BGl_z62blockzd2succszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_effectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23864z00,
		BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ni3865z00, BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzsaw_defsz00,
		BgL_bgl_za762lambda2386za7623866z00, BGl_z62lambda2386z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3867za7,
		BGl_z62zc3z04anonymousza32408ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzsaw_defsz00,
		BgL_bgl_za762lambda2405za7623868z00, BGl_z62lambda2405z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3869z00, BGl_z62rtl_newzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzsaw_defsz00,
		BgL_bgl_za762lambda2403za7623870z00, BGl_z62lambda2403z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3871za7,
		BGl_z62zc3z04anonymousza32419ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzsaw_defsz00,
		BgL_bgl_za762lambda2417za7623872z00, BGl_z62lambda2417z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzsaw_defsz00,
		BgL_bgl_za762lambda2415za7623873z00, BGl_z62lambda2415z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3874za7,
		BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzsaw_defsz00,
		BgL_bgl_za762lambda2428za7623875z00, BGl_z62lambda2428z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7f33876z00, BGl_z62rtl_returnzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzsaw_defsz00,
		BgL_bgl_za762lambda2426za7623877z00, BGl_z62lambda2426z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73878z00,
		BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3879z00,
		BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3880z00, BGl_z62makezd2rtl_retzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzsaw_defsz00,
		BgL_bgl_za762lambda2448za7623881z00, BGl_z62lambda2448z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzsaw_defsz00,
		BgL_bgl_za762lambda2447za7623882z00, BGl_z62lambda2447z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3883za7,
		BGl_z62zc3z04anonymousza32442ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzsaw_defsz00,
		BgL_bgl_za762lambda2439za7623884z00, BGl_z62lambda2439z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzsaw_defsz00,
		BgL_bgl_za762lambda2437za7623885z00, BGl_z62lambda2437z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzsaw_defsz00,
		BgL_bgl_za762lambda2466za7623886z00, BGl_z62lambda2466z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzsaw_defsz00,
		BgL_bgl_za762lambda2465za7623887z00, BGl_z62lambda2465z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzsaw_defsz00,
		BgL_bgl_za762lambda2471za7623888z00, BGl_z62lambda2471z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzsaw_defsz00,
		BgL_bgl_za762lambda2470za7623889z00, BGl_z62lambda2470z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzsaw_defsz00,
		BgL_bgl_za762lambda2478za7623890z00, BGl_z62lambda2478z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3891z00,
		BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3892z00, BGl_z62rtl_regzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzsaw_defsz00,
		BgL_bgl_za762lambda2477za7623893z00, BGl_z62lambda2477z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3894za7,
		BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzsaw_defsz00,
		BgL_bgl_za762lambda2459za7623895z00, BGl_z62lambda2459z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzsaw_defsz00,
		BgL_bgl_za762lambda2457za7623896z00, BGl_z62lambda2457z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzsaw_defsz00,
		BgL_bgl_za762lambda2498za7623897z00, BGl_z62lambda2498z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_switchzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_sw3898z00,
		BGl_z62makezd2rtl_switchzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzsaw_defsz00,
		BgL_bgl_za762lambda2497za7623899z00, BGl_z62lambda2497z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzsaw_defsz00,
		BgL_bgl_za762lambda2504za7623900z00, BGl_z62lambda2504z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzsaw_defsz00,
		BgL_bgl_za762lambda2503za7623901z00, BGl_z62lambda2503z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3365z00zzsaw_defsz00,
		BgL_bgl_string3365za700za7za7s3902za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3903za7,
		BGl_z62zc3z04anonymousza32493ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzsaw_defsz00,
		BgL_bgl_za762lambda2488za7623904z00, BGl_z62lambda2488z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3367z00zzsaw_defsz00,
		BgL_bgl_string3367za700za7za7s3905za7, "dump1780", 8);
	      DEFINE_STRING(BGl_string3369z00zzsaw_defsz00,
		BgL_bgl_string3369za700za7za7s3906za7, "dump-fun1788", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3907z00,
		BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2labelzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label3908z00, BGl_z62blockzd2labelzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73909z00,
		BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7f33910z00, BGl_z62rtl_storegzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3911z00,
		BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzsaw_defsz00,
		BgL_bgl_za762lambda2486za7623912z00, BGl_z62lambda2486z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3913za7,
		BGl_z62zc3z04anonymousza32520ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzsaw_defsz00,
		BgL_bgl_za762lambda2517za7623914z00, BGl_z62lambda2517z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzsaw_defsz00,
		BgL_bgl_za762lambda2515za7623915z00, BGl_z62lambda2515z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3371z00zzsaw_defsz00,
		BgL_bgl_string3371za700za7za7s3916za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzsaw_defsz00,
		BgL_bgl_za762lambda2540za7623917z00, BGl_z62lambda2540z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzsaw_defsz00,
		BgL_bgl_za762lambda2539za7623918z00, BGl_z62lambda2539z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_notseqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23919z00,
		BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73920z00,
		BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzsaw_defsz00,
		BgL_bgl_za762lambda2549za7623921z00, BGl_z62lambda2549z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3374z00zzsaw_defsz00,
		BgL_bgl_string3374za700za7za7s3922za7, "dump", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzsaw_defsz00,
		BgL_bgl_za762lambda2548za7623923z00, BGl_z62lambda2548z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3924za7,
		BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzsaw_defsz00,
		BgL_bgl_za762lambda2530za7623925z00, BGl_z62lambda2530z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3378z00zzsaw_defsz00,
		BgL_bgl_string3378za700za7za7s3926za7, "dump-fun", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2predszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3927z00, BGl_z62blockzd2predszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d3928z00,
		BGl_z62rtl_protectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2formatzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23929z00,
		BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3930z00, BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7f3za793931za7, BGl_z62rtl_lastzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2inszd2rhszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2insza7d23932za7,
		BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzsaw_defsz00,
		BgL_bgl_za762lambda2528za7623933z00, BGl_z62lambda2528z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzsaw_defsz00,
		BgL_bgl_za762lambda2568za7623934z00, BGl_z62lambda2568z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzsaw_defsz00,
		BgL_bgl_za762lambda2567za7623935z00, BGl_z62lambda2567z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3936za7,
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzsaw_defsz00,
		BgL_bgl_za762lambda2560za7623937z00, BGl_z62lambda2560z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzsaw_defsz00,
		BgL_bgl_za762lambda2558za7623938z00, BGl_z62lambda2558z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3939za7,
		BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzsaw_defsz00,
		BgL_bgl_za762lambda2578za7623940z00, BGl_z62lambda2578z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzsaw_defsz00,
		BgL_bgl_za762lambda2575za7623941z00, BGl_z62lambda2575z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzsaw_defsz00,
		BgL_bgl_za762lambda2598za7623942z00, BGl_z62lambda2598z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73943z00,
		BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3944za7,
		BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7f33945z00, BGl_z62rtl_notseqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2constantzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3946z00,
		BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73947z00,
		BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3390z00zzsaw_defsz00,
		BgL_bgl_string3390za700za7za7s3948za7, " (go ", 5);
	      DEFINE_STRING(BGl_string3391z00zzsaw_defsz00,
		BgL_bgl_string3391za700za7za7s3949za7, "::", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7d3950za7,
		BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3392z00zzsaw_defsz00,
		BgL_bgl_string3392za700za7za7s3951za7, "[", 1);
	      DEFINE_STRING(BGl_string3393z00zzsaw_defsz00,
		BgL_bgl_string3393za700za7za7s3952za7, " <- ", 4);
	      DEFINE_STRING(BGl_string3394z00zzsaw_defsz00,
		BgL_bgl_string3394za700za7za7s3953za7, " (", 2);
	      DEFINE_STRING(BGl_string3395z00zzsaw_defsz00,
		BgL_bgl_string3395za700za7za7s3954za7, "]", 1);
	      DEFINE_STRING(BGl_string3396z00zzsaw_defsz00,
		BgL_bgl_string3396za700za7za7s3955za7, ":preds ", 7);
	      DEFINE_STRING(BGl_string3397z00zzsaw_defsz00,
		BgL_bgl_string3397za700za7za7s3956za7, ":succs ", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73957z00,
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3398z00zzsaw_defsz00,
		BgL_bgl_string3398za700za7za7s3958za7, "\n )\n", 4);
	      DEFINE_STRING(BGl_string3399z00zzsaw_defsz00,
		BgL_bgl_string3399za700za7za7s3959za7, "*", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2labelszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23960z00,
		BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3961z00, BGl_z62rtl_castzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2n3962z00, BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_jumpexitzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73963z00,
		BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3964z00,
		BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_retblockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3965z00,
		BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2nilza73966za7, BGl_z62rtl_gozd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3967z00, BGl_z62rtl_callzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2ni3968z00, BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retblockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_retblockza73969z00, BGl_z62rtl_retblockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3970z00, BGl_z62rtl_inszd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3971z00,
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lightfuncallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3972za7,
		BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vr3973z00, BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_jumpexitzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ju3974z00,
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3975z00,
		BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3976za7,
		BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2toza73977za7, BGl_z62rtl_retzd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7f3za791za73978z00, BGl_z62rtl_gozf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7f3za793979za7, BGl_z62rtl_callzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo3980z00, BGl_z62rtl_lastzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73981z00,
		BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2fromtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3982z00,
		BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23983z00,
		BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc3984z00, BGl_z62rtl_nopzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_retzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_retza7d2nil3985z00, BGl_z62rtl_retzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_notseqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no3986z00,
		BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_cast_nullzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3987z00,
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3988z00,
		BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_nopzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no3989z00, BGl_z62makezd2rtl_nopzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th3990z00, BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7f3za793991za7, BGl_z62rtl_ifeqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23992z00,
		BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_lightfuncallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_li3993z00,
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2constrzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3994z00,
		BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3995z00,
		BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3996za7, BGl_z62rtl_globalrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73997z00, BGl_z62rtl_setfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73998z00,
		BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3999z00, BGl_z62makezd2rtl_ifzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4000z00,
		BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d24001z00,
		BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_purezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pu4002z00, BGl_z62makezd2rtl_purezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re4003z00, BGl_z62makezd2rtl_regzb0zzsaw_defsz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4004za7,
		BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_purezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo4005z00,
		BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc4006za7,
		BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4007z00,
		BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24008z00,
		BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza74009za7,
		BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza74010z00,
		BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2totypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to4011z00,
		BGl_z62rtl_castzd2totypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_storegzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_st4012z00,
		BGl_z62makezd2rtl_storegzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7f34013z00, BGl_z62rtl_boxrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d24014z00,
		BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d24015z00,
		BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2ni4016z00, BGl_z62rtl_purezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_instanceofzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4017z00,
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th4018z00,
		BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null4019za7, BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74020z00,
		BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_nopzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc4021z00,
		BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2keyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2key4022z00, BGl_z62rtl_regzd2keyzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4023z00,
		BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th4024z00,
		BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc4025z00, BGl_z62rtl_movzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2nilza74026za7, BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d24027z00,
		BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza74028z00,
		BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7f3za794029za7, BGl_z62rtl_vrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d24030z00,
		BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4031z00,
		BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4032za7,
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nam4033z00, BGl_z62rtl_regzd2namezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc4034z00,
		BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2firstzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first4035z00, BGl_z62blockzd2firstzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lastzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo4036z00,
		BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d24037z00,
		BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2basiczd2blockszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2basicza74038za7,
		BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2destzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des4039z00,
		BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref4040za7,
		BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo4041z00, BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d4042z00,
		BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2labelzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label4043z00,
		BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_inszd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in4044z00, BGl_z62makezd2rtl_inszb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d24045z00,
		BGl_z62rtl_switchzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty4046z00, BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d24047z00,
		BGl_z62rtl_selectzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo4048za7,
		BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d24049z00,
		BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d4050z00,
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2ni4051z00, BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v4052z00, BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7f4053z00, BGl_z62rtl_makeboxzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_callzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca4054z00, BGl_z62makezd2rtl_callzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_rtl_insz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funcallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_makeboxz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lightfuncallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_movz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retblockz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_jumpexitz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_switchz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_goz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_instanceofz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_setfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_storegz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_failz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_globalrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_effectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_newz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_pragmaz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifeqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vlengthz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_purez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_regz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vallocz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_cast_nullz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadfunz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_retz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_nopz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifnez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_callz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_selectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lastz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_returnz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_applyz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_debugzd2sawzd2zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadgz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadiz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_notseqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_castz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_getfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectedz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_blockz00zzsaw_defsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long
		BgL_checksumz00_9774, char *BgL_fromz00_9775)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_defsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_defsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_defsz00();
					BGl_cnstzd2initzd2zzsaw_defsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_defsz00();
					BGl_objectzd2initzd2zzsaw_defsz00();
					BGl_genericzd2initzd2zzsaw_defsz00();
					BGl_methodzd2initzd2zzsaw_defsz00();
					return BGl_toplevelzd2initzd2zzsaw_defsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_defs");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 1 */
				obj_t BgL_cportz00_8450;

				{	/* SawMill/defs.scm 1 */
					obj_t BgL_stringz00_8457;

					BgL_stringz00_8457 = BGl_string3404z00zzsaw_defsz00;
					{	/* SawMill/defs.scm 1 */
						obj_t BgL_startz00_8458;

						BgL_startz00_8458 = BINT(((long) 0));
						{	/* SawMill/defs.scm 1 */
							obj_t BgL_endz00_8459;

							BgL_endz00_8459 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8457)));
							{	/* SawMill/defs.scm 1 */

								BgL_cportz00_8450 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8457, BgL_startz00_8458, BgL_endz00_8459);
				}}}}
				{
					long BgL_iz00_8451;

					BgL_iz00_8451 = ((long) 81);
				BgL_loopz00_8452:
					if ((BgL_iz00_8451 == ((long) -1)))
						{	/* SawMill/defs.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/defs.scm 1 */
							{	/* SawMill/defs.scm 1 */
								obj_t BgL_arg3407z00_8453;

								{	/* SawMill/defs.scm 1 */

									{	/* SawMill/defs.scm 1 */
										obj_t BgL_locationz00_8455;

										BgL_locationz00_8455 = BBOOL(((bool_t) 0));
										{	/* SawMill/defs.scm 1 */

											BgL_arg3407z00_8453 =
												BGl_readz00zz__readerz00(BgL_cportz00_8450,
												BgL_locationz00_8455);
										}
									}
								}
								{	/* SawMill/defs.scm 1 */
									int BgL_tmpz00_9810;

									BgL_tmpz00_9810 = (int) (BgL_iz00_8451);
									CNST_TABLE_SET(BgL_tmpz00_9810, BgL_arg3407z00_8453);
							}}
							{	/* SawMill/defs.scm 1 */
								int BgL_auxz00_8456;

								BgL_auxz00_8456 = (int) ((BgL_iz00_8451 - ((long) 1)));
								{
									long BgL_iz00_9815;

									BgL_iz00_9815 = (long) (BgL_auxz00_8456);
									BgL_iz00_8451 = BgL_iz00_9815;
									goto BgL_loopz00_8452;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 99 */
				obj_t BgL_ez00_1881;

				BgL_ez00_1881 = BGl_getenvz00zz__osz00(BGl_string3097z00zzsaw_defsz00);
				if (STRINGP(BgL_ez00_1881))
					{	/* SawMill/defs.scm 101 */

						BGl_debugzd2sawzd2zzsaw_defsz00 =
							BGl_stringzd2indexzd2zz__r4_strings_6_7z00
							(BGl_string3098z00zzsaw_defsz00, BgL_ez00_1881, BINT(((long) 0)));
					}
				else
					{	/* SawMill/defs.scm 100 */
						BGl_debugzd2sawzd2zzsaw_defsz00 = BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1886;

				BgL_headz00_1886 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1887;
					obj_t BgL_tailz00_1888;

					BgL_prevz00_1887 = BgL_headz00_1886;
					BgL_tailz00_1888 = BgL_l1z00_1;
				BgL_loopz00_1889:
					if (PAIRP(BgL_tailz00_1888))
						{
							obj_t BgL_newzd2prevzd2_1891;

							BgL_newzd2prevzd2_1891 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1888), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1887, BgL_newzd2prevzd2_1891);
							{
								obj_t BgL_tailz00_9830;
								obj_t BgL_prevz00_9829;

								BgL_prevz00_9829 = BgL_newzd2prevzd2_1891;
								BgL_tailz00_9830 = CDR(BgL_tailz00_1888);
								BgL_tailz00_1888 = BgL_tailz00_9830;
								BgL_prevz00_1887 = BgL_prevz00_9829;
								goto BgL_loopz00_1889;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1886);
				}
			}
		}

	}



/* make-rtl_reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt BgL_type1506z00_3,
		obj_t BgL_var1507z00_4, obj_t BgL_onexprzf31508zf3_5,
		obj_t BgL_name1509z00_6, obj_t BgL_key1510z00_7,
		obj_t BgL_hardware1511z00_8)
	{
		{	/* SawMill/defs.sch 529 */
			{	/* SawMill/defs.sch 529 */
				BgL_rtl_regz00_bglt BgL_new1345z00_8461;

				{	/* SawMill/defs.sch 529 */
					BgL_rtl_regz00_bglt BgL_new1344z00_8462;

					BgL_new1344z00_8462 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.sch 529 */
						long BgL_arg1821z00_8463;

						BgL_arg1821z00_8463 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1344z00_8462), BgL_arg1821z00_8463);
					}
					{	/* SawMill/defs.sch 529 */
						BgL_objectz00_bglt BgL_tmpz00_9837;

						BgL_tmpz00_9837 = ((BgL_objectz00_bglt) BgL_new1344z00_8462);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9837, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1344z00_8462);
					BgL_new1345z00_8461 = BgL_new1344z00_8462;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1506z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->BgL_varz00) =
					((obj_t) BgL_var1507z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31508zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->BgL_namez00) =
					((obj_t) BgL_name1509z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->BgL_keyz00) =
					((obj_t) BgL_key1510z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1345z00_8461))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1511z00_8), BUNSPEC);
				return BgL_new1345z00_8461;
			}
		}

	}



/* &make-rtl_reg */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t
		BgL_envz00_6711, obj_t BgL_type1506z00_6712, obj_t BgL_var1507z00_6713,
		obj_t BgL_onexprzf31508zf3_6714, obj_t BgL_name1509z00_6715,
		obj_t BgL_key1510z00_6716, obj_t BgL_hardware1511z00_6717)
	{
		{	/* SawMill/defs.sch 529 */
			return
				BGl_makezd2rtl_regzd2zzsaw_defsz00(
				((BgL_typez00_bglt) BgL_type1506z00_6712), BgL_var1507z00_6713,
				BgL_onexprzf31508zf3_6714, BgL_name1509z00_6715, BgL_key1510z00_6716,
				BgL_hardware1511z00_6717);
		}

	}



/* rtl_reg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t BgL_objz00_9)
	{
		{	/* SawMill/defs.sch 530 */
			{	/* SawMill/defs.sch 530 */
				obj_t BgL_classz00_8464;

				BgL_classz00_8464 = BGl_rtl_regz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_9))
					{	/* SawMill/defs.sch 530 */
						BgL_objectz00_bglt BgL_arg1820z00_8465;

						BgL_arg1820z00_8465 = (BgL_objectz00_bglt) (BgL_objz00_9);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 530 */
								long BgL_idxz00_8466;

								BgL_idxz00_8466 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8465);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8466 + ((long) 1))) == BgL_classz00_8464);
							}
						else
							{	/* SawMill/defs.sch 530 */
								bool_t BgL_res3035z00_8469;

								{	/* SawMill/defs.sch 530 */
									obj_t BgL_oclassz00_8470;

									{	/* SawMill/defs.sch 530 */
										long BgL_arg1828z00_8471;

										{	/* SawMill/defs.sch 530 */
											long BgL_arg1829z00_8472;

											BgL_arg1829z00_8472 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8465);
											BgL_arg1828z00_8471 = (BgL_arg1829z00_8472 - OBJECT_TYPE);
										}
										BgL_oclassz00_8470 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8471);
									}
									{	/* SawMill/defs.sch 530 */
										bool_t BgL__ortest_1111z00_8473;

										BgL__ortest_1111z00_8473 =
											(BgL_classz00_8464 == BgL_oclassz00_8470);
										if (BgL__ortest_1111z00_8473)
											{	/* SawMill/defs.sch 530 */
												BgL_res3035z00_8469 = BgL__ortest_1111z00_8473;
											}
										else
											{	/* SawMill/defs.sch 530 */
												long BgL_odepthz00_8474;

												BgL_odepthz00_8474 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8470);
												if ((((long) 1) < BgL_odepthz00_8474))
													{	/* SawMill/defs.sch 530 */
														obj_t BgL_arg1816z00_8475;

														BgL_arg1816z00_8475 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8470,
															((long) 1));
														BgL_res3035z00_8469 =
															(BgL_arg1816z00_8475 == BgL_classz00_8464);
													}
												else
													{	/* SawMill/defs.sch 530 */
														BgL_res3035z00_8469 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3035z00_8469;
							}
					}
				else
					{	/* SawMill/defs.sch 530 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg? */
	obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t BgL_envz00_6718,
		obj_t BgL_objz00_6719)
	{
		{	/* SawMill/defs.sch 530 */
			return BBOOL(BGl_rtl_regzf3zf3zzsaw_defsz00(BgL_objz00_6719));
		}

	}



/* rtl_reg-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 531 */
			{	/* SawMill/defs.sch 531 */
				obj_t BgL_classz00_4148;

				BgL_classz00_4148 = BGl_rtl_regz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 531 */
					obj_t BgL__ortest_1113z00_4149;

					BgL__ortest_1113z00_4149 = BGL_CLASS_NIL(BgL_classz00_4148);
					if (CBOOL(BgL__ortest_1113z00_4149))
						{	/* SawMill/defs.sch 531 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_4149);
						}
					else
						{	/* SawMill/defs.sch 531 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4148));
						}
				}
			}
		}

	}



/* &rtl_reg-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6720)
	{
		{	/* SawMill/defs.sch 531 */
			return BGl_rtl_regzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_reg-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_10)
	{
		{	/* SawMill/defs.sch 532 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_10))->BgL_hardwarez00);
		}

	}



/* &rtl_reg-hardware */
	obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t BgL_envz00_6721,
		obj_t BgL_oz00_6722)
	{
		{	/* SawMill/defs.sch 532 */
			return
				BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6722));
		}

	}



/* rtl_reg-key */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_13)
	{
		{	/* SawMill/defs.sch 534 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_13))->BgL_keyz00);
		}

	}



/* &rtl_reg-key */
	obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t BgL_envz00_6723,
		obj_t BgL_oz00_6724)
	{
		{	/* SawMill/defs.sch 534 */
			return
				BGl_rtl_regzd2keyzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6724));
		}

	}



/* rtl_reg-name */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/defs.sch 536 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_16))->BgL_namez00);
		}

	}



/* &rtl_reg-name */
	obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_6725,
		obj_t BgL_oz00_6726)
	{
		{	/* SawMill/defs.sch 536 */
			return
				BGl_rtl_regzd2namezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6726));
		}

	}



/* rtl_reg-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/defs.sch 538 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_19))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg-onexpr? */
	obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t BgL_envz00_6727,
		obj_t BgL_oz00_6728)
	{
		{	/* SawMill/defs.sch 538 */
			return
				BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6728));
		}

	}



/* rtl_reg-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/defs.sch 539 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_20))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &rtl_reg-onexpr?-set! */
	obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t
		BgL_envz00_6729, obj_t BgL_oz00_6730, obj_t BgL_vz00_6731)
	{
		{	/* SawMill/defs.sch 539 */
			return
				BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6730), BgL_vz00_6731);
		}

	}



/* rtl_reg-var */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/defs.sch 540 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_22))->BgL_varz00);
		}

	}



/* &rtl_reg-var */
	obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t BgL_envz00_6732,
		obj_t BgL_oz00_6733)
	{
		{	/* SawMill/defs.sch 540 */
			return
				BGl_rtl_regzd2varzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6733));
		}

	}



/* rtl_reg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_23,
		obj_t BgL_vz00_24)
	{
		{	/* SawMill/defs.sch 541 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_23))->BgL_varz00) =
				((obj_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &rtl_reg-var-set! */
	obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6734,
		obj_t BgL_oz00_6735, obj_t BgL_vz00_6736)
	{
		{	/* SawMill/defs.sch 541 */
			return
				BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6735), BgL_vz00_6736);
		}

	}



/* rtl_reg-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/defs.sch 542 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_25))->BgL_typez00);
		}

	}



/* &rtl_reg-type */
	BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_6737,
		obj_t BgL_oz00_6738)
	{
		{	/* SawMill/defs.sch 542 */
			return
				BGl_rtl_regzd2typezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6738));
		}

	}



/* rtl_reg-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_26,
		BgL_typez00_bglt BgL_vz00_27)
	{
		{	/* SawMill/defs.sch 543 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_26))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_27), BUNSPEC);
		}

	}



/* &rtl_reg-type-set! */
	obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6739,
		obj_t BgL_oz00_6740, obj_t BgL_vz00_6741)
	{
		{	/* SawMill/defs.sch 543 */
			return
				BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6740),
				((BgL_typez00_bglt) BgL_vz00_6741));
		}

	}



/* make-rtl_fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t
		BgL_loc1503z00_28)
	{
		{	/* SawMill/defs.sch 546 */
			{	/* SawMill/defs.sch 546 */
				BgL_rtl_funz00_bglt BgL_new1347z00_8476;

				{	/* SawMill/defs.sch 546 */
					BgL_rtl_funz00_bglt BgL_new1346z00_8477;

					BgL_new1346z00_8477 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.sch 546 */
						long BgL_arg1822z00_8478;

						BgL_arg1822z00_8478 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1346z00_8477), BgL_arg1822z00_8478);
					}
					BgL_new1347z00_8476 = BgL_new1346z00_8477;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1347z00_8476))->BgL_locz00) =
					((obj_t) BgL_loc1503z00_28), BUNSPEC);
				return BgL_new1347z00_8476;
			}
		}

	}



/* &make-rtl_fun */
	BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t
		BgL_envz00_6742, obj_t BgL_loc1503z00_6743)
	{
		{	/* SawMill/defs.sch 546 */
			return BGl_makezd2rtl_funzd2zzsaw_defsz00(BgL_loc1503z00_6743);
		}

	}



/* rtl_fun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t BgL_objz00_29)
	{
		{	/* SawMill/defs.sch 547 */
			{	/* SawMill/defs.sch 547 */
				obj_t BgL_classz00_8479;

				BgL_classz00_8479 = BGl_rtl_funz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_29))
					{	/* SawMill/defs.sch 547 */
						BgL_objectz00_bglt BgL_arg1820z00_8480;

						BgL_arg1820z00_8480 = (BgL_objectz00_bglt) (BgL_objz00_29);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 547 */
								long BgL_idxz00_8481;

								BgL_idxz00_8481 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8480);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8481 + ((long) 1))) == BgL_classz00_8479);
							}
						else
							{	/* SawMill/defs.sch 547 */
								bool_t BgL_res3036z00_8484;

								{	/* SawMill/defs.sch 547 */
									obj_t BgL_oclassz00_8485;

									{	/* SawMill/defs.sch 547 */
										long BgL_arg1828z00_8486;

										{	/* SawMill/defs.sch 547 */
											long BgL_arg1829z00_8487;

											BgL_arg1829z00_8487 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8480);
											BgL_arg1828z00_8486 = (BgL_arg1829z00_8487 - OBJECT_TYPE);
										}
										BgL_oclassz00_8485 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8486);
									}
									{	/* SawMill/defs.sch 547 */
										bool_t BgL__ortest_1111z00_8488;

										BgL__ortest_1111z00_8488 =
											(BgL_classz00_8479 == BgL_oclassz00_8485);
										if (BgL__ortest_1111z00_8488)
											{	/* SawMill/defs.sch 547 */
												BgL_res3036z00_8484 = BgL__ortest_1111z00_8488;
											}
										else
											{	/* SawMill/defs.sch 547 */
												long BgL_odepthz00_8489;

												BgL_odepthz00_8489 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8485);
												if ((((long) 1) < BgL_odepthz00_8489))
													{	/* SawMill/defs.sch 547 */
														obj_t BgL_arg1816z00_8490;

														BgL_arg1816z00_8490 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8485,
															((long) 1));
														BgL_res3036z00_8484 =
															(BgL_arg1816z00_8490 == BgL_classz00_8479);
													}
												else
													{	/* SawMill/defs.sch 547 */
														BgL_res3036z00_8484 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3036z00_8484;
							}
					}
				else
					{	/* SawMill/defs.sch 547 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fun? */
	obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t BgL_envz00_6744,
		obj_t BgL_objz00_6745)
	{
		{	/* SawMill/defs.sch 547 */
			return BBOOL(BGl_rtl_funzf3zf3zzsaw_defsz00(BgL_objz00_6745));
		}

	}



/* rtl_fun-nil */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 548 */
			{	/* SawMill/defs.sch 548 */
				obj_t BgL_classz00_4187;

				BgL_classz00_4187 = BGl_rtl_funz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 548 */
					obj_t BgL__ortest_1113z00_4188;

					BgL__ortest_1113z00_4188 = BGL_CLASS_NIL(BgL_classz00_4187);
					if (CBOOL(BgL__ortest_1113z00_4188))
						{	/* SawMill/defs.sch 548 */
							return ((BgL_rtl_funz00_bglt) BgL__ortest_1113z00_4188);
						}
					else
						{	/* SawMill/defs.sch 548 */
							return
								((BgL_rtl_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4187));
						}
				}
			}
		}

	}



/* &rtl_fun-nil */
	BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6746)
	{
		{	/* SawMill/defs.sch 548 */
			return BGl_rtl_funzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fun-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_30)
	{
		{	/* SawMill/defs.sch 549 */
			return (((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_30))->BgL_locz00);
		}

	}



/* &rtl_fun-loc */
	obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6747,
		obj_t BgL_oz00_6748)
	{
		{	/* SawMill/defs.sch 549 */
			return
				BGl_rtl_funzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6748));
		}

	}



/* rtl_fun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* SawMill/defs.sch 550 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_31))->BgL_locz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &rtl_fun-loc-set! */
	obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6749,
		obj_t BgL_oz00_6750, obj_t BgL_vz00_6751)
	{
		{	/* SawMill/defs.sch 550 */
			return
				BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6750), BgL_vz00_6751);
		}

	}



/* make-rtl_last */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t BgL_loc1501z00_33)
	{
		{	/* SawMill/defs.sch 553 */
			{	/* SawMill/defs.sch 553 */
				BgL_rtl_lastz00_bglt BgL_new1349z00_8491;

				{	/* SawMill/defs.sch 553 */
					BgL_rtl_lastz00_bglt BgL_new1348z00_8492;

					BgL_new1348z00_8492 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.sch 553 */
						long BgL_arg1830z00_8493;

						BgL_arg1830z00_8493 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1348z00_8492), BgL_arg1830z00_8493);
					}
					BgL_new1349z00_8491 = BgL_new1348z00_8492;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1349z00_8491)))->BgL_locz00) =
					((obj_t) BgL_loc1501z00_33), BUNSPEC);
				return BgL_new1349z00_8491;
			}
		}

	}



/* &make-rtl_last */
	BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t
		BgL_envz00_6752, obj_t BgL_loc1501z00_6753)
	{
		{	/* SawMill/defs.sch 553 */
			return BGl_makezd2rtl_lastzd2zzsaw_defsz00(BgL_loc1501z00_6753);
		}

	}



/* rtl_last? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t BgL_objz00_34)
	{
		{	/* SawMill/defs.sch 554 */
			{	/* SawMill/defs.sch 554 */
				obj_t BgL_classz00_8494;

				BgL_classz00_8494 = BGl_rtl_lastz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_34))
					{	/* SawMill/defs.sch 554 */
						BgL_objectz00_bglt BgL_arg1820z00_8495;

						BgL_arg1820z00_8495 = (BgL_objectz00_bglt) (BgL_objz00_34);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 554 */
								long BgL_idxz00_8496;

								BgL_idxz00_8496 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8495);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8496 + ((long) 2))) == BgL_classz00_8494);
							}
						else
							{	/* SawMill/defs.sch 554 */
								bool_t BgL_res3037z00_8499;

								{	/* SawMill/defs.sch 554 */
									obj_t BgL_oclassz00_8500;

									{	/* SawMill/defs.sch 554 */
										long BgL_arg1828z00_8501;

										{	/* SawMill/defs.sch 554 */
											long BgL_arg1829z00_8502;

											BgL_arg1829z00_8502 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8495);
											BgL_arg1828z00_8501 = (BgL_arg1829z00_8502 - OBJECT_TYPE);
										}
										BgL_oclassz00_8500 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8501);
									}
									{	/* SawMill/defs.sch 554 */
										bool_t BgL__ortest_1111z00_8503;

										BgL__ortest_1111z00_8503 =
											(BgL_classz00_8494 == BgL_oclassz00_8500);
										if (BgL__ortest_1111z00_8503)
											{	/* SawMill/defs.sch 554 */
												BgL_res3037z00_8499 = BgL__ortest_1111z00_8503;
											}
										else
											{	/* SawMill/defs.sch 554 */
												long BgL_odepthz00_8504;

												BgL_odepthz00_8504 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8500);
												if ((((long) 2) < BgL_odepthz00_8504))
													{	/* SawMill/defs.sch 554 */
														obj_t BgL_arg1816z00_8505;

														BgL_arg1816z00_8505 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8500,
															((long) 2));
														BgL_res3037z00_8499 =
															(BgL_arg1816z00_8505 == BgL_classz00_8494);
													}
												else
													{	/* SawMill/defs.sch 554 */
														BgL_res3037z00_8499 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3037z00_8499;
							}
					}
				else
					{	/* SawMill/defs.sch 554 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_last? */
	obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t BgL_envz00_6754,
		obj_t BgL_objz00_6755)
	{
		{	/* SawMill/defs.sch 554 */
			return BBOOL(BGl_rtl_lastzf3zf3zzsaw_defsz00(BgL_objz00_6755));
		}

	}



/* rtl_last-nil */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt BGl_rtl_lastzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 555 */
			{	/* SawMill/defs.sch 555 */
				obj_t BgL_classz00_4226;

				BgL_classz00_4226 = BGl_rtl_lastz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 555 */
					obj_t BgL__ortest_1113z00_4227;

					BgL__ortest_1113z00_4227 = BGL_CLASS_NIL(BgL_classz00_4226);
					if (CBOOL(BgL__ortest_1113z00_4227))
						{	/* SawMill/defs.sch 555 */
							return ((BgL_rtl_lastz00_bglt) BgL__ortest_1113z00_4227);
						}
					else
						{	/* SawMill/defs.sch 555 */
							return
								((BgL_rtl_lastz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4226));
						}
				}
			}
		}

	}



/* &rtl_last-nil */
	BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6756)
	{
		{	/* SawMill/defs.sch 555 */
			return BGl_rtl_lastzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_last-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_35)
	{
		{	/* SawMill/defs.sch 556 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_35)))->BgL_locz00);
		}

	}



/* &rtl_last-loc */
	obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6757,
		obj_t BgL_oz00_6758)
	{
		{	/* SawMill/defs.sch 556 */
			return
				BGl_rtl_lastzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6758));
		}

	}



/* rtl_last-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_36, obj_t BgL_vz00_37)
	{
		{	/* SawMill/defs.sch 557 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_36)))->BgL_locz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}

	}



/* &rtl_last-loc-set! */
	obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6759,
		obj_t BgL_oz00_6760, obj_t BgL_vz00_6761)
	{
		{	/* SawMill/defs.sch 557 */
			return
				BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6760), BgL_vz00_6761);
		}

	}



/* make-rtl_return */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t BgL_loc1498z00_38,
		BgL_typez00_bglt BgL_type1499z00_39)
	{
		{	/* SawMill/defs.sch 560 */
			{	/* SawMill/defs.sch 560 */
				BgL_rtl_returnz00_bglt BgL_new1351z00_8506;

				{	/* SawMill/defs.sch 560 */
					BgL_rtl_returnz00_bglt BgL_new1350z00_8507;

					BgL_new1350z00_8507 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.sch 560 */
						long BgL_arg1833z00_8508;

						BgL_arg1833z00_8508 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1350z00_8507), BgL_arg1833z00_8508);
					}
					BgL_new1351z00_8506 = BgL_new1350z00_8507;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1351z00_8506)))->BgL_locz00) =
					((obj_t) BgL_loc1498z00_38), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1351z00_8506))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1499z00_39), BUNSPEC);
				return BgL_new1351z00_8506;
			}
		}

	}



/* &make-rtl_return */
	BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t
		BgL_envz00_6762, obj_t BgL_loc1498z00_6763, obj_t BgL_type1499z00_6764)
	{
		{	/* SawMill/defs.sch 560 */
			return
				BGl_makezd2rtl_returnzd2zzsaw_defsz00(BgL_loc1498z00_6763,
				((BgL_typez00_bglt) BgL_type1499z00_6764));
		}

	}



/* rtl_return? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t BgL_objz00_40)
	{
		{	/* SawMill/defs.sch 561 */
			{	/* SawMill/defs.sch 561 */
				obj_t BgL_classz00_8509;

				BgL_classz00_8509 = BGl_rtl_returnz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_40))
					{	/* SawMill/defs.sch 561 */
						BgL_objectz00_bglt BgL_arg1820z00_8510;

						BgL_arg1820z00_8510 = (BgL_objectz00_bglt) (BgL_objz00_40);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 561 */
								long BgL_idxz00_8511;

								BgL_idxz00_8511 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8510);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8511 + ((long) 3))) == BgL_classz00_8509);
							}
						else
							{	/* SawMill/defs.sch 561 */
								bool_t BgL_res3038z00_8514;

								{	/* SawMill/defs.sch 561 */
									obj_t BgL_oclassz00_8515;

									{	/* SawMill/defs.sch 561 */
										long BgL_arg1828z00_8516;

										{	/* SawMill/defs.sch 561 */
											long BgL_arg1829z00_8517;

											BgL_arg1829z00_8517 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8510);
											BgL_arg1828z00_8516 = (BgL_arg1829z00_8517 - OBJECT_TYPE);
										}
										BgL_oclassz00_8515 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8516);
									}
									{	/* SawMill/defs.sch 561 */
										bool_t BgL__ortest_1111z00_8518;

										BgL__ortest_1111z00_8518 =
											(BgL_classz00_8509 == BgL_oclassz00_8515);
										if (BgL__ortest_1111z00_8518)
											{	/* SawMill/defs.sch 561 */
												BgL_res3038z00_8514 = BgL__ortest_1111z00_8518;
											}
										else
											{	/* SawMill/defs.sch 561 */
												long BgL_odepthz00_8519;

												BgL_odepthz00_8519 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8515);
												if ((((long) 3) < BgL_odepthz00_8519))
													{	/* SawMill/defs.sch 561 */
														obj_t BgL_arg1816z00_8520;

														BgL_arg1816z00_8520 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8515,
															((long) 3));
														BgL_res3038z00_8514 =
															(BgL_arg1816z00_8520 == BgL_classz00_8509);
													}
												else
													{	/* SawMill/defs.sch 561 */
														BgL_res3038z00_8514 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3038z00_8514;
							}
					}
				else
					{	/* SawMill/defs.sch 561 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_return? */
	obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t BgL_envz00_6765,
		obj_t BgL_objz00_6766)
	{
		{	/* SawMill/defs.sch 561 */
			return BBOOL(BGl_rtl_returnzf3zf3zzsaw_defsz00(BgL_objz00_6766));
		}

	}



/* rtl_return-nil */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 562 */
			{	/* SawMill/defs.sch 562 */
				obj_t BgL_classz00_4265;

				BgL_classz00_4265 = BGl_rtl_returnz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 562 */
					obj_t BgL__ortest_1113z00_4266;

					BgL__ortest_1113z00_4266 = BGL_CLASS_NIL(BgL_classz00_4265);
					if (CBOOL(BgL__ortest_1113z00_4266))
						{	/* SawMill/defs.sch 562 */
							return ((BgL_rtl_returnz00_bglt) BgL__ortest_1113z00_4266);
						}
					else
						{	/* SawMill/defs.sch 562 */
							return
								((BgL_rtl_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4265));
						}
				}
			}
		}

	}



/* &rtl_return-nil */
	BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6767)
	{
		{	/* SawMill/defs.sch 562 */
			return BGl_rtl_returnzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_41)
	{
		{	/* SawMill/defs.sch 563 */
			return (((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_41))->BgL_typez00);
		}

	}



/* &rtl_return-type */
	BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6768, obj_t BgL_oz00_6769)
	{
		{	/* SawMill/defs.sch 563 */
			return
				BGl_rtl_returnzd2typezd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6769));
		}

	}



/* rtl_return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_42, BgL_typez00_bglt BgL_vz00_43)
	{
		{	/* SawMill/defs.sch 564 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_42))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_43), BUNSPEC);
		}

	}



/* &rtl_return-type-set! */
	obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6770,
		obj_t BgL_oz00_6771, obj_t BgL_vz00_6772)
	{
		{	/* SawMill/defs.sch 564 */
			return
				BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6771),
				((BgL_typez00_bglt) BgL_vz00_6772));
		}

	}



/* rtl_return-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_44)
	{
		{	/* SawMill/defs.sch 565 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_44)))->BgL_locz00);
		}

	}



/* &rtl_return-loc */
	obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6773,
		obj_t BgL_oz00_6774)
	{
		{	/* SawMill/defs.sch 565 */
			return
				BGl_rtl_returnzd2loczd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6774));
		}

	}



/* rtl_return-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_45, obj_t BgL_vz00_46)
	{
		{	/* SawMill/defs.sch 566 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_45)))->BgL_locz00) =
				((obj_t) BgL_vz00_46), BUNSPEC);
		}

	}



/* &rtl_return-loc-set! */
	obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6775,
		obj_t BgL_oz00_6776, obj_t BgL_vz00_6777)
	{
		{	/* SawMill/defs.sch 566 */
			return
				BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6776), BgL_vz00_6777);
		}

	}



/* make-rtl_jumpexit */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t BgL_loc1496z00_47)
	{
		{	/* SawMill/defs.sch 569 */
			{	/* SawMill/defs.sch 569 */
				BgL_rtl_jumpexitz00_bglt BgL_new1353z00_8521;

				{	/* SawMill/defs.sch 569 */
					BgL_rtl_jumpexitz00_bglt BgL_new1352z00_8522;

					BgL_new1352z00_8522 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.sch 569 */
						long BgL_arg1835z00_8523;

						BgL_arg1835z00_8523 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1352z00_8522), BgL_arg1835z00_8523);
					}
					BgL_new1353z00_8521 = BgL_new1352z00_8522;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1353z00_8521)))->BgL_locz00) =
					((obj_t) BgL_loc1496z00_47), BUNSPEC);
				return BgL_new1353z00_8521;
			}
		}

	}



/* &make-rtl_jumpexit */
	BgL_rtl_jumpexitz00_bglt BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t
		BgL_envz00_6778, obj_t BgL_loc1496z00_6779)
	{
		{	/* SawMill/defs.sch 569 */
			return BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(BgL_loc1496z00_6779);
		}

	}



/* rtl_jumpexit? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_48)
	{
		{	/* SawMill/defs.sch 570 */
			{	/* SawMill/defs.sch 570 */
				obj_t BgL_classz00_8524;

				BgL_classz00_8524 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_48))
					{	/* SawMill/defs.sch 570 */
						BgL_objectz00_bglt BgL_arg1820z00_8525;

						BgL_arg1820z00_8525 = (BgL_objectz00_bglt) (BgL_objz00_48);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 570 */
								long BgL_idxz00_8526;

								BgL_idxz00_8526 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8525);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8526 + ((long) 3))) == BgL_classz00_8524);
							}
						else
							{	/* SawMill/defs.sch 570 */
								bool_t BgL_res3039z00_8529;

								{	/* SawMill/defs.sch 570 */
									obj_t BgL_oclassz00_8530;

									{	/* SawMill/defs.sch 570 */
										long BgL_arg1828z00_8531;

										{	/* SawMill/defs.sch 570 */
											long BgL_arg1829z00_8532;

											BgL_arg1829z00_8532 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8525);
											BgL_arg1828z00_8531 = (BgL_arg1829z00_8532 - OBJECT_TYPE);
										}
										BgL_oclassz00_8530 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8531);
									}
									{	/* SawMill/defs.sch 570 */
										bool_t BgL__ortest_1111z00_8533;

										BgL__ortest_1111z00_8533 =
											(BgL_classz00_8524 == BgL_oclassz00_8530);
										if (BgL__ortest_1111z00_8533)
											{	/* SawMill/defs.sch 570 */
												BgL_res3039z00_8529 = BgL__ortest_1111z00_8533;
											}
										else
											{	/* SawMill/defs.sch 570 */
												long BgL_odepthz00_8534;

												BgL_odepthz00_8534 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8530);
												if ((((long) 3) < BgL_odepthz00_8534))
													{	/* SawMill/defs.sch 570 */
														obj_t BgL_arg1816z00_8535;

														BgL_arg1816z00_8535 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8530,
															((long) 3));
														BgL_res3039z00_8529 =
															(BgL_arg1816z00_8535 == BgL_classz00_8524);
													}
												else
													{	/* SawMill/defs.sch 570 */
														BgL_res3039z00_8529 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3039z00_8529;
							}
					}
				else
					{	/* SawMill/defs.sch 570 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_jumpexit? */
	obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t BgL_envz00_6780,
		obj_t BgL_objz00_6781)
	{
		{	/* SawMill/defs.sch 570 */
			return BBOOL(BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(BgL_objz00_6781));
		}

	}



/* rtl_jumpexit-nil */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 571 */
			{	/* SawMill/defs.sch 571 */
				obj_t BgL_classz00_4304;

				BgL_classz00_4304 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 571 */
					obj_t BgL__ortest_1113z00_4305;

					BgL__ortest_1113z00_4305 = BGL_CLASS_NIL(BgL_classz00_4304);
					if (CBOOL(BgL__ortest_1113z00_4305))
						{	/* SawMill/defs.sch 571 */
							return ((BgL_rtl_jumpexitz00_bglt) BgL__ortest_1113z00_4305);
						}
					else
						{	/* SawMill/defs.sch 571 */
							return
								((BgL_rtl_jumpexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4304));
						}
				}
			}
		}

	}



/* &rtl_jumpexit-nil */
	BgL_rtl_jumpexitz00_bglt BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6782)
	{
		{	/* SawMill/defs.sch 571 */
			return BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_jumpexit-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/defs.sch 572 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &rtl_jumpexit-loc */
	obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6783,
		obj_t BgL_oz00_6784)
	{
		{	/* SawMill/defs.sch 572 */
			return
				BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6784));
		}

	}



/* rtl_jumpexit-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* SawMill/defs.sch 573 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_50)))->BgL_locz00) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_jumpexit-loc-set! */
	obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6785, obj_t BgL_oz00_6786, obj_t BgL_vz00_6787)
	{
		{	/* SawMill/defs.sch 573 */
			return
				BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6786), BgL_vz00_6787);
		}

	}



/* make-rtl_fail */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t BgL_loc1494z00_52)
	{
		{	/* SawMill/defs.sch 576 */
			{	/* SawMill/defs.sch 576 */
				BgL_rtl_failz00_bglt BgL_new1355z00_8536;

				{	/* SawMill/defs.sch 576 */
					BgL_rtl_failz00_bglt BgL_new1354z00_8537;

					BgL_new1354z00_8537 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.sch 576 */
						long BgL_arg1836z00_8538;

						BgL_arg1836z00_8538 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1354z00_8537), BgL_arg1836z00_8538);
					}
					BgL_new1355z00_8536 = BgL_new1354z00_8537;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1355z00_8536)))->BgL_locz00) =
					((obj_t) BgL_loc1494z00_52), BUNSPEC);
				return BgL_new1355z00_8536;
			}
		}

	}



/* &make-rtl_fail */
	BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t
		BgL_envz00_6788, obj_t BgL_loc1494z00_6789)
	{
		{	/* SawMill/defs.sch 576 */
			return BGl_makezd2rtl_failzd2zzsaw_defsz00(BgL_loc1494z00_6789);
		}

	}



/* rtl_fail? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t BgL_objz00_53)
	{
		{	/* SawMill/defs.sch 577 */
			{	/* SawMill/defs.sch 577 */
				obj_t BgL_classz00_8539;

				BgL_classz00_8539 = BGl_rtl_failz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_53))
					{	/* SawMill/defs.sch 577 */
						BgL_objectz00_bglt BgL_arg1820z00_8540;

						BgL_arg1820z00_8540 = (BgL_objectz00_bglt) (BgL_objz00_53);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 577 */
								long BgL_idxz00_8541;

								BgL_idxz00_8541 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8540);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8541 + ((long) 3))) == BgL_classz00_8539);
							}
						else
							{	/* SawMill/defs.sch 577 */
								bool_t BgL_res3040z00_8544;

								{	/* SawMill/defs.sch 577 */
									obj_t BgL_oclassz00_8545;

									{	/* SawMill/defs.sch 577 */
										long BgL_arg1828z00_8546;

										{	/* SawMill/defs.sch 577 */
											long BgL_arg1829z00_8547;

											BgL_arg1829z00_8547 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8540);
											BgL_arg1828z00_8546 = (BgL_arg1829z00_8547 - OBJECT_TYPE);
										}
										BgL_oclassz00_8545 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8546);
									}
									{	/* SawMill/defs.sch 577 */
										bool_t BgL__ortest_1111z00_8548;

										BgL__ortest_1111z00_8548 =
											(BgL_classz00_8539 == BgL_oclassz00_8545);
										if (BgL__ortest_1111z00_8548)
											{	/* SawMill/defs.sch 577 */
												BgL_res3040z00_8544 = BgL__ortest_1111z00_8548;
											}
										else
											{	/* SawMill/defs.sch 577 */
												long BgL_odepthz00_8549;

												BgL_odepthz00_8549 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8545);
												if ((((long) 3) < BgL_odepthz00_8549))
													{	/* SawMill/defs.sch 577 */
														obj_t BgL_arg1816z00_8550;

														BgL_arg1816z00_8550 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8545,
															((long) 3));
														BgL_res3040z00_8544 =
															(BgL_arg1816z00_8550 == BgL_classz00_8539);
													}
												else
													{	/* SawMill/defs.sch 577 */
														BgL_res3040z00_8544 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3040z00_8544;
							}
					}
				else
					{	/* SawMill/defs.sch 577 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fail? */
	obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t BgL_envz00_6790,
		obj_t BgL_objz00_6791)
	{
		{	/* SawMill/defs.sch 577 */
			return BBOOL(BGl_rtl_failzf3zf3zzsaw_defsz00(BgL_objz00_6791));
		}

	}



/* rtl_fail-nil */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt BGl_rtl_failzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 578 */
			{	/* SawMill/defs.sch 578 */
				obj_t BgL_classz00_4343;

				BgL_classz00_4343 = BGl_rtl_failz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 578 */
					obj_t BgL__ortest_1113z00_4344;

					BgL__ortest_1113z00_4344 = BGL_CLASS_NIL(BgL_classz00_4343);
					if (CBOOL(BgL__ortest_1113z00_4344))
						{	/* SawMill/defs.sch 578 */
							return ((BgL_rtl_failz00_bglt) BgL__ortest_1113z00_4344);
						}
					else
						{	/* SawMill/defs.sch 578 */
							return
								((BgL_rtl_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4343));
						}
				}
			}
		}

	}



/* &rtl_fail-nil */
	BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6792)
	{
		{	/* SawMill/defs.sch 578 */
			return BGl_rtl_failzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_54)
	{
		{	/* SawMill/defs.sch 579 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_54)))->BgL_locz00);
		}

	}



/* &rtl_fail-loc */
	obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6793,
		obj_t BgL_oz00_6794)
	{
		{	/* SawMill/defs.sch 579 */
			return
				BGl_rtl_failzd2loczd2zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6794));
		}

	}



/* rtl_fail-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_55, obj_t BgL_vz00_56)
	{
		{	/* SawMill/defs.sch 580 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_55)))->BgL_locz00) =
				((obj_t) BgL_vz00_56), BUNSPEC);
		}

	}



/* &rtl_fail-loc-set! */
	obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6795,
		obj_t BgL_oz00_6796, obj_t BgL_vz00_6797)
	{
		{	/* SawMill/defs.sch 580 */
			return
				BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6796), BgL_vz00_6797);
		}

	}



/* make-rtl_retblock */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_makezd2rtl_retblockzd2zzsaw_defsz00(obj_t BgL_loc1490z00_57)
	{
		{	/* SawMill/defs.sch 583 */
			{	/* SawMill/defs.sch 583 */
				BgL_rtl_retblockz00_bglt BgL_new1357z00_8551;

				{	/* SawMill/defs.sch 583 */
					BgL_rtl_retblockz00_bglt BgL_new1356z00_8552;

					BgL_new1356z00_8552 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.sch 583 */
						long BgL_arg1837z00_8553;

						BgL_arg1837z00_8553 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1356z00_8552), BgL_arg1837z00_8553);
					}
					BgL_new1357z00_8551 = BgL_new1356z00_8552;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1357z00_8551)))->BgL_locz00) =
					((obj_t) BgL_loc1490z00_57), BUNSPEC);
				return BgL_new1357z00_8551;
			}
		}

	}



/* &make-rtl_retblock */
	BgL_rtl_retblockz00_bglt BGl_z62makezd2rtl_retblockzb0zzsaw_defsz00(obj_t
		BgL_envz00_6798, obj_t BgL_loc1490z00_6799)
	{
		{	/* SawMill/defs.sch 583 */
			return BGl_makezd2rtl_retblockzd2zzsaw_defsz00(BgL_loc1490z00_6799);
		}

	}



/* rtl_retblock? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retblockzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_58)
	{
		{	/* SawMill/defs.sch 584 */
			{	/* SawMill/defs.sch 584 */
				obj_t BgL_classz00_8554;

				BgL_classz00_8554 = BGl_rtl_retblockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_58))
					{	/* SawMill/defs.sch 584 */
						BgL_objectz00_bglt BgL_arg1820z00_8555;

						BgL_arg1820z00_8555 = (BgL_objectz00_bglt) (BgL_objz00_58);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 584 */
								long BgL_idxz00_8556;

								BgL_idxz00_8556 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8555);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8556 + ((long) 2))) == BgL_classz00_8554);
							}
						else
							{	/* SawMill/defs.sch 584 */
								bool_t BgL_res3041z00_8559;

								{	/* SawMill/defs.sch 584 */
									obj_t BgL_oclassz00_8560;

									{	/* SawMill/defs.sch 584 */
										long BgL_arg1828z00_8561;

										{	/* SawMill/defs.sch 584 */
											long BgL_arg1829z00_8562;

											BgL_arg1829z00_8562 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8555);
											BgL_arg1828z00_8561 = (BgL_arg1829z00_8562 - OBJECT_TYPE);
										}
										BgL_oclassz00_8560 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8561);
									}
									{	/* SawMill/defs.sch 584 */
										bool_t BgL__ortest_1111z00_8563;

										BgL__ortest_1111z00_8563 =
											(BgL_classz00_8554 == BgL_oclassz00_8560);
										if (BgL__ortest_1111z00_8563)
											{	/* SawMill/defs.sch 584 */
												BgL_res3041z00_8559 = BgL__ortest_1111z00_8563;
											}
										else
											{	/* SawMill/defs.sch 584 */
												long BgL_odepthz00_8564;

												BgL_odepthz00_8564 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8560);
												if ((((long) 2) < BgL_odepthz00_8564))
													{	/* SawMill/defs.sch 584 */
														obj_t BgL_arg1816z00_8565;

														BgL_arg1816z00_8565 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8560,
															((long) 2));
														BgL_res3041z00_8559 =
															(BgL_arg1816z00_8565 == BgL_classz00_8554);
													}
												else
													{	/* SawMill/defs.sch 584 */
														BgL_res3041z00_8559 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3041z00_8559;
							}
					}
				else
					{	/* SawMill/defs.sch 584 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_retblock? */
	obj_t BGl_z62rtl_retblockzf3z91zzsaw_defsz00(obj_t BgL_envz00_6800,
		obj_t BgL_objz00_6801)
	{
		{	/* SawMill/defs.sch 584 */
			return BBOOL(BGl_rtl_retblockzf3zf3zzsaw_defsz00(BgL_objz00_6801));
		}

	}



/* rtl_retblock-nil */
	BGL_EXPORTED_DEF BgL_rtl_retblockz00_bglt
		BGl_rtl_retblockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 585 */
			{	/* SawMill/defs.sch 585 */
				obj_t BgL_classz00_4382;

				BgL_classz00_4382 = BGl_rtl_retblockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 585 */
					obj_t BgL__ortest_1113z00_4383;

					BgL__ortest_1113z00_4383 = BGL_CLASS_NIL(BgL_classz00_4382);
					if (CBOOL(BgL__ortest_1113z00_4383))
						{	/* SawMill/defs.sch 585 */
							return ((BgL_rtl_retblockz00_bglt) BgL__ortest_1113z00_4383);
						}
					else
						{	/* SawMill/defs.sch 585 */
							return
								((BgL_rtl_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4382));
						}
				}
			}
		}

	}



/* &rtl_retblock-nil */
	BgL_rtl_retblockz00_bglt BGl_z62rtl_retblockzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6802)
	{
		{	/* SawMill/defs.sch 585 */
			return BGl_rtl_retblockzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_retblock-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2zzsaw_defsz00(BgL_rtl_retblockz00_bglt BgL_oz00_59)
	{
		{	/* SawMill/defs.sch 586 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_59)))->BgL_locz00);
		}

	}



/* &rtl_retblock-loc */
	obj_t BGl_z62rtl_retblockzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6803,
		obj_t BgL_oz00_6804)
	{
		{	/* SawMill/defs.sch 586 */
			return
				BGl_rtl_retblockzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_6804));
		}

	}



/* rtl_retblock-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retblockz00_bglt
		BgL_oz00_60, obj_t BgL_vz00_61)
	{
		{	/* SawMill/defs.sch 587 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_60)))->BgL_locz00) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &rtl_retblock-loc-set! */
	obj_t BGl_z62rtl_retblockzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6805, obj_t BgL_oz00_6806, obj_t BgL_vz00_6807)
	{
		{	/* SawMill/defs.sch 587 */
			return
				BGl_rtl_retblockzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retblockz00_bglt) BgL_oz00_6806), BgL_vz00_6807);
		}

	}



/* make-rtl_ret */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_makezd2rtl_retzd2zzsaw_defsz00(obj_t
		BgL_loc1486z00_62, BgL_blockz00_bglt BgL_to1487z00_63)
	{
		{	/* SawMill/defs.sch 590 */
			{	/* SawMill/defs.sch 590 */
				BgL_rtl_retz00_bglt BgL_new1359z00_8566;

				{	/* SawMill/defs.sch 590 */
					BgL_rtl_retz00_bglt BgL_new1358z00_8567;

					BgL_new1358z00_8567 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.sch 590 */
						long BgL_arg1840z00_8568;

						BgL_arg1840z00_8568 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1358z00_8567), BgL_arg1840z00_8568);
					}
					BgL_new1359z00_8566 = BgL_new1358z00_8567;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1359z00_8566)))->BgL_locz00) =
					((obj_t) BgL_loc1486z00_62), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1359z00_8566))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1487z00_63), BUNSPEC);
				return BgL_new1359z00_8566;
			}
		}

	}



/* &make-rtl_ret */
	BgL_rtl_retz00_bglt BGl_z62makezd2rtl_retzb0zzsaw_defsz00(obj_t
		BgL_envz00_6808, obj_t BgL_loc1486z00_6809, obj_t BgL_to1487z00_6810)
	{
		{	/* SawMill/defs.sch 590 */
			return
				BGl_makezd2rtl_retzd2zzsaw_defsz00(BgL_loc1486z00_6809,
				((BgL_blockz00_bglt) BgL_to1487z00_6810));
		}

	}



/* rtl_ret? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_retzf3zf3zzsaw_defsz00(obj_t BgL_objz00_64)
	{
		{	/* SawMill/defs.sch 591 */
			{	/* SawMill/defs.sch 591 */
				obj_t BgL_classz00_8569;

				BgL_classz00_8569 = BGl_rtl_retz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_64))
					{	/* SawMill/defs.sch 591 */
						BgL_objectz00_bglt BgL_arg1820z00_8570;

						BgL_arg1820z00_8570 = (BgL_objectz00_bglt) (BgL_objz00_64);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 591 */
								long BgL_idxz00_8571;

								BgL_idxz00_8571 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8570);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8571 + ((long) 3))) == BgL_classz00_8569);
							}
						else
							{	/* SawMill/defs.sch 591 */
								bool_t BgL_res3042z00_8574;

								{	/* SawMill/defs.sch 591 */
									obj_t BgL_oclassz00_8575;

									{	/* SawMill/defs.sch 591 */
										long BgL_arg1828z00_8576;

										{	/* SawMill/defs.sch 591 */
											long BgL_arg1829z00_8577;

											BgL_arg1829z00_8577 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8570);
											BgL_arg1828z00_8576 = (BgL_arg1829z00_8577 - OBJECT_TYPE);
										}
										BgL_oclassz00_8575 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8576);
									}
									{	/* SawMill/defs.sch 591 */
										bool_t BgL__ortest_1111z00_8578;

										BgL__ortest_1111z00_8578 =
											(BgL_classz00_8569 == BgL_oclassz00_8575);
										if (BgL__ortest_1111z00_8578)
											{	/* SawMill/defs.sch 591 */
												BgL_res3042z00_8574 = BgL__ortest_1111z00_8578;
											}
										else
											{	/* SawMill/defs.sch 591 */
												long BgL_odepthz00_8579;

												BgL_odepthz00_8579 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8575);
												if ((((long) 3) < BgL_odepthz00_8579))
													{	/* SawMill/defs.sch 591 */
														obj_t BgL_arg1816z00_8580;

														BgL_arg1816z00_8580 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8575,
															((long) 3));
														BgL_res3042z00_8574 =
															(BgL_arg1816z00_8580 == BgL_classz00_8569);
													}
												else
													{	/* SawMill/defs.sch 591 */
														BgL_res3042z00_8574 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3042z00_8574;
							}
					}
				else
					{	/* SawMill/defs.sch 591 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ret? */
	obj_t BGl_z62rtl_retzf3z91zzsaw_defsz00(obj_t BgL_envz00_6811,
		obj_t BgL_objz00_6812)
	{
		{	/* SawMill/defs.sch 591 */
			return BBOOL(BGl_rtl_retzf3zf3zzsaw_defsz00(BgL_objz00_6812));
		}

	}



/* rtl_ret-nil */
	BGL_EXPORTED_DEF BgL_rtl_retz00_bglt BGl_rtl_retzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 592 */
			{	/* SawMill/defs.sch 592 */
				obj_t BgL_classz00_4421;

				BgL_classz00_4421 = BGl_rtl_retz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 592 */
					obj_t BgL__ortest_1113z00_4422;

					BgL__ortest_1113z00_4422 = BGL_CLASS_NIL(BgL_classz00_4421);
					if (CBOOL(BgL__ortest_1113z00_4422))
						{	/* SawMill/defs.sch 592 */
							return ((BgL_rtl_retz00_bglt) BgL__ortest_1113z00_4422);
						}
					else
						{	/* SawMill/defs.sch 592 */
							return
								((BgL_rtl_retz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4421));
						}
				}
			}
		}

	}



/* &rtl_ret-nil */
	BgL_rtl_retz00_bglt BGl_z62rtl_retzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6813)
	{
		{	/* SawMill/defs.sch 592 */
			return BGl_rtl_retzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ret-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_retzd2tozd2zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_65)
	{
		{	/* SawMill/defs.sch 593 */
			return (((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_65))->BgL_toz00);
		}

	}



/* &rtl_ret-to */
	BgL_blockz00_bglt BGl_z62rtl_retzd2tozb0zzsaw_defsz00(obj_t BgL_envz00_6814,
		obj_t BgL_oz00_6815)
	{
		{	/* SawMill/defs.sch 593 */
			return
				BGl_rtl_retzd2tozd2zzsaw_defsz00(((BgL_rtl_retz00_bglt) BgL_oz00_6815));
		}

	}



/* rtl_ret-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_66,
		BgL_blockz00_bglt BgL_vz00_67)
	{
		{	/* SawMill/defs.sch 594 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_oz00_66))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_67), BUNSPEC);
		}

	}



/* &rtl_ret-to-set! */
	obj_t BGl_z62rtl_retzd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6816,
		obj_t BgL_oz00_6817, obj_t BgL_vz00_6818)
	{
		{	/* SawMill/defs.sch 594 */
			return
				BGl_rtl_retzd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6817),
				((BgL_blockz00_bglt) BgL_vz00_6818));
		}

	}



/* rtl_ret-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_retzd2loczd2zzsaw_defsz00(BgL_rtl_retz00_bglt
		BgL_oz00_68)
	{
		{	/* SawMill/defs.sch 595 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_68)))->BgL_locz00);
		}

	}



/* &rtl_ret-loc */
	obj_t BGl_z62rtl_retzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6819,
		obj_t BgL_oz00_6820)
	{
		{	/* SawMill/defs.sch 595 */
			return
				BGl_rtl_retzd2loczd2zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6820));
		}

	}



/* rtl_ret-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_retz00_bglt BgL_oz00_69,
		obj_t BgL_vz00_70)
	{
		{	/* SawMill/defs.sch 596 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_69)))->BgL_locz00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &rtl_ret-loc-set! */
	obj_t BGl_z62rtl_retzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6821,
		obj_t BgL_oz00_6822, obj_t BgL_vz00_6823)
	{
		{	/* SawMill/defs.sch 596 */
			return
				BGl_rtl_retzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_retz00_bglt) BgL_oz00_6822), BgL_vz00_6823);
		}

	}



/* make-rtl_notseq */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t BgL_loc1483z00_71)
	{
		{	/* SawMill/defs.sch 599 */
			{	/* SawMill/defs.sch 599 */
				BgL_rtl_notseqz00_bglt BgL_new1361z00_8581;

				{	/* SawMill/defs.sch 599 */
					BgL_rtl_notseqz00_bglt BgL_new1360z00_8582;

					BgL_new1360z00_8582 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.sch 599 */
						long BgL_arg1844z00_8583;

						BgL_arg1844z00_8583 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1360z00_8582), BgL_arg1844z00_8583);
					}
					BgL_new1361z00_8581 = BgL_new1360z00_8582;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1361z00_8581)))->BgL_locz00) =
					((obj_t) BgL_loc1483z00_71), BUNSPEC);
				return BgL_new1361z00_8581;
			}
		}

	}



/* &make-rtl_notseq */
	BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6824, obj_t BgL_loc1483z00_6825)
	{
		{	/* SawMill/defs.sch 599 */
			return BGl_makezd2rtl_notseqzd2zzsaw_defsz00(BgL_loc1483z00_6825);
		}

	}



/* rtl_notseq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_72)
	{
		{	/* SawMill/defs.sch 600 */
			{	/* SawMill/defs.sch 600 */
				obj_t BgL_classz00_8584;

				BgL_classz00_8584 = BGl_rtl_notseqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_72))
					{	/* SawMill/defs.sch 600 */
						BgL_objectz00_bglt BgL_arg1820z00_8585;

						BgL_arg1820z00_8585 = (BgL_objectz00_bglt) (BgL_objz00_72);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 600 */
								long BgL_idxz00_8586;

								BgL_idxz00_8586 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8585);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8586 + ((long) 2))) == BgL_classz00_8584);
							}
						else
							{	/* SawMill/defs.sch 600 */
								bool_t BgL_res3043z00_8589;

								{	/* SawMill/defs.sch 600 */
									obj_t BgL_oclassz00_8590;

									{	/* SawMill/defs.sch 600 */
										long BgL_arg1828z00_8591;

										{	/* SawMill/defs.sch 600 */
											long BgL_arg1829z00_8592;

											BgL_arg1829z00_8592 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8585);
											BgL_arg1828z00_8591 = (BgL_arg1829z00_8592 - OBJECT_TYPE);
										}
										BgL_oclassz00_8590 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8591);
									}
									{	/* SawMill/defs.sch 600 */
										bool_t BgL__ortest_1111z00_8593;

										BgL__ortest_1111z00_8593 =
											(BgL_classz00_8584 == BgL_oclassz00_8590);
										if (BgL__ortest_1111z00_8593)
											{	/* SawMill/defs.sch 600 */
												BgL_res3043z00_8589 = BgL__ortest_1111z00_8593;
											}
										else
											{	/* SawMill/defs.sch 600 */
												long BgL_odepthz00_8594;

												BgL_odepthz00_8594 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8590);
												if ((((long) 2) < BgL_odepthz00_8594))
													{	/* SawMill/defs.sch 600 */
														obj_t BgL_arg1816z00_8595;

														BgL_arg1816z00_8595 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8590,
															((long) 2));
														BgL_res3043z00_8589 =
															(BgL_arg1816z00_8595 == BgL_classz00_8584);
													}
												else
													{	/* SawMill/defs.sch 600 */
														BgL_res3043z00_8589 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3043z00_8589;
							}
					}
				else
					{	/* SawMill/defs.sch 600 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_notseq? */
	obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6826,
		obj_t BgL_objz00_6827)
	{
		{	/* SawMill/defs.sch 600 */
			return BBOOL(BGl_rtl_notseqzf3zf3zzsaw_defsz00(BgL_objz00_6827));
		}

	}



/* rtl_notseq-nil */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 601 */
			{	/* SawMill/defs.sch 601 */
				obj_t BgL_classz00_4460;

				BgL_classz00_4460 = BGl_rtl_notseqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 601 */
					obj_t BgL__ortest_1113z00_4461;

					BgL__ortest_1113z00_4461 = BGL_CLASS_NIL(BgL_classz00_4460);
					if (CBOOL(BgL__ortest_1113z00_4461))
						{	/* SawMill/defs.sch 601 */
							return ((BgL_rtl_notseqz00_bglt) BgL__ortest_1113z00_4461);
						}
					else
						{	/* SawMill/defs.sch 601 */
							return
								((BgL_rtl_notseqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4460));
						}
				}
			}
		}

	}



/* &rtl_notseq-nil */
	BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6828)
	{
		{	/* SawMill/defs.sch 601 */
			return BGl_rtl_notseqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_notseq-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt BgL_oz00_73)
	{
		{	/* SawMill/defs.sch 602 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_73)))->BgL_locz00);
		}

	}



/* &rtl_notseq-loc */
	obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6829,
		obj_t BgL_oz00_6830)
	{
		{	/* SawMill/defs.sch 602 */
			return
				BGl_rtl_notseqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6830));
		}

	}



/* rtl_notseq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* SawMill/defs.sch 603 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_74)))->BgL_locz00) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &rtl_notseq-loc-set! */
	obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6831,
		obj_t BgL_oz00_6832, obj_t BgL_vz00_6833)
	{
		{	/* SawMill/defs.sch 603 */
			return
				BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6832), BgL_vz00_6833);
		}

	}



/* make-rtl_if */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t
		BgL_loc1481z00_76)
	{
		{	/* SawMill/defs.sch 606 */
			{	/* SawMill/defs.sch 606 */
				BgL_rtl_ifz00_bglt BgL_new1363z00_8596;

				{	/* SawMill/defs.sch 606 */
					BgL_rtl_ifz00_bglt BgL_new1362z00_8597;

					BgL_new1362z00_8597 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.sch 606 */
						long BgL_arg1845z00_8598;

						BgL_arg1845z00_8598 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1362z00_8597), BgL_arg1845z00_8598);
					}
					BgL_new1363z00_8596 = BgL_new1362z00_8597;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1363z00_8596)))->BgL_locz00) =
					((obj_t) BgL_loc1481z00_76), BUNSPEC);
				return BgL_new1363z00_8596;
			}
		}

	}



/* &make-rtl_if */
	BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t BgL_envz00_6834,
		obj_t BgL_loc1481z00_6835)
	{
		{	/* SawMill/defs.sch 606 */
			return BGl_makezd2rtl_ifzd2zzsaw_defsz00(BgL_loc1481z00_6835);
		}

	}



/* rtl_if? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t BgL_objz00_77)
	{
		{	/* SawMill/defs.sch 607 */
			{	/* SawMill/defs.sch 607 */
				obj_t BgL_classz00_8599;

				BgL_classz00_8599 = BGl_rtl_ifz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_77))
					{	/* SawMill/defs.sch 607 */
						BgL_objectz00_bglt BgL_arg1820z00_8600;

						BgL_arg1820z00_8600 = (BgL_objectz00_bglt) (BgL_objz00_77);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 607 */
								long BgL_idxz00_8601;

								BgL_idxz00_8601 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8600);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8601 + ((long) 3))) == BgL_classz00_8599);
							}
						else
							{	/* SawMill/defs.sch 607 */
								bool_t BgL_res3044z00_8604;

								{	/* SawMill/defs.sch 607 */
									obj_t BgL_oclassz00_8605;

									{	/* SawMill/defs.sch 607 */
										long BgL_arg1828z00_8606;

										{	/* SawMill/defs.sch 607 */
											long BgL_arg1829z00_8607;

											BgL_arg1829z00_8607 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8600);
											BgL_arg1828z00_8606 = (BgL_arg1829z00_8607 - OBJECT_TYPE);
										}
										BgL_oclassz00_8605 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8606);
									}
									{	/* SawMill/defs.sch 607 */
										bool_t BgL__ortest_1111z00_8608;

										BgL__ortest_1111z00_8608 =
											(BgL_classz00_8599 == BgL_oclassz00_8605);
										if (BgL__ortest_1111z00_8608)
											{	/* SawMill/defs.sch 607 */
												BgL_res3044z00_8604 = BgL__ortest_1111z00_8608;
											}
										else
											{	/* SawMill/defs.sch 607 */
												long BgL_odepthz00_8609;

												BgL_odepthz00_8609 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8605);
												if ((((long) 3) < BgL_odepthz00_8609))
													{	/* SawMill/defs.sch 607 */
														obj_t BgL_arg1816z00_8610;

														BgL_arg1816z00_8610 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8605,
															((long) 3));
														BgL_res3044z00_8604 =
															(BgL_arg1816z00_8610 == BgL_classz00_8599);
													}
												else
													{	/* SawMill/defs.sch 607 */
														BgL_res3044z00_8604 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3044z00_8604;
							}
					}
				else
					{	/* SawMill/defs.sch 607 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_if? */
	obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t BgL_envz00_6836,
		obj_t BgL_objz00_6837)
	{
		{	/* SawMill/defs.sch 607 */
			return BBOOL(BGl_rtl_ifzf3zf3zzsaw_defsz00(BgL_objz00_6837));
		}

	}



/* rtl_if-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 608 */
			{	/* SawMill/defs.sch 608 */
				obj_t BgL_classz00_4499;

				BgL_classz00_4499 = BGl_rtl_ifz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 608 */
					obj_t BgL__ortest_1113z00_4500;

					BgL__ortest_1113z00_4500 = BGL_CLASS_NIL(BgL_classz00_4499);
					if (CBOOL(BgL__ortest_1113z00_4500))
						{	/* SawMill/defs.sch 608 */
							return ((BgL_rtl_ifz00_bglt) BgL__ortest_1113z00_4500);
						}
					else
						{	/* SawMill/defs.sch 608 */
							return
								((BgL_rtl_ifz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4499));
						}
				}
			}
		}

	}



/* &rtl_if-nil */
	BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6838)
	{
		{	/* SawMill/defs.sch 608 */
			return BGl_rtl_ifzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_if-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt
		BgL_oz00_78)
	{
		{	/* SawMill/defs.sch 609 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_78)))->BgL_locz00);
		}

	}



/* &rtl_if-loc */
	obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6839,
		obj_t BgL_oz00_6840)
	{
		{	/* SawMill/defs.sch 609 */
			return
				BGl_rtl_ifzd2loczd2zzsaw_defsz00(((BgL_rtl_ifz00_bglt) BgL_oz00_6840));
		}

	}



/* rtl_if-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt BgL_oz00_79,
		obj_t BgL_vz00_80)
	{
		{	/* SawMill/defs.sch 610 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_79)))->BgL_locz00) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}

	}



/* &rtl_if-loc-set! */
	obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6841,
		obj_t BgL_oz00_6842, obj_t BgL_vz00_6843)
	{
		{	/* SawMill/defs.sch 610 */
			return
				BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifz00_bglt) BgL_oz00_6842), BgL_vz00_6843);
		}

	}



/* make-rtl_select */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t BgL_loc1477z00_81,
		BgL_typez00_bglt BgL_type1478z00_82, obj_t BgL_patterns1479z00_83)
	{
		{	/* SawMill/defs.sch 613 */
			{	/* SawMill/defs.sch 613 */
				BgL_rtl_selectz00_bglt BgL_new1365z00_8611;

				{	/* SawMill/defs.sch 613 */
					BgL_rtl_selectz00_bglt BgL_new1364z00_8612;

					BgL_new1364z00_8612 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.sch 613 */
						long BgL_arg1846z00_8613;

						BgL_arg1846z00_8613 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1364z00_8612), BgL_arg1846z00_8613);
					}
					BgL_new1365z00_8611 = BgL_new1364z00_8612;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1365z00_8611)))->BgL_locz00) =
					((obj_t) BgL_loc1477z00_81), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1365z00_8611))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1478z00_82), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1365z00_8611))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1479z00_83), BUNSPEC);
				return BgL_new1365z00_8611;
			}
		}

	}



/* &make-rtl_select */
	BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t
		BgL_envz00_6844, obj_t BgL_loc1477z00_6845, obj_t BgL_type1478z00_6846,
		obj_t BgL_patterns1479z00_6847)
	{
		{	/* SawMill/defs.sch 613 */
			return
				BGl_makezd2rtl_selectzd2zzsaw_defsz00(BgL_loc1477z00_6845,
				((BgL_typez00_bglt) BgL_type1478z00_6846), BgL_patterns1479z00_6847);
		}

	}



/* rtl_select? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t BgL_objz00_84)
	{
		{	/* SawMill/defs.sch 614 */
			{	/* SawMill/defs.sch 614 */
				obj_t BgL_classz00_8614;

				BgL_classz00_8614 = BGl_rtl_selectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_84))
					{	/* SawMill/defs.sch 614 */
						BgL_objectz00_bglt BgL_arg1820z00_8615;

						BgL_arg1820z00_8615 = (BgL_objectz00_bglt) (BgL_objz00_84);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 614 */
								long BgL_idxz00_8616;

								BgL_idxz00_8616 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8615);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8616 + ((long) 3))) == BgL_classz00_8614);
							}
						else
							{	/* SawMill/defs.sch 614 */
								bool_t BgL_res3045z00_8619;

								{	/* SawMill/defs.sch 614 */
									obj_t BgL_oclassz00_8620;

									{	/* SawMill/defs.sch 614 */
										long BgL_arg1828z00_8621;

										{	/* SawMill/defs.sch 614 */
											long BgL_arg1829z00_8622;

											BgL_arg1829z00_8622 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8615);
											BgL_arg1828z00_8621 = (BgL_arg1829z00_8622 - OBJECT_TYPE);
										}
										BgL_oclassz00_8620 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8621);
									}
									{	/* SawMill/defs.sch 614 */
										bool_t BgL__ortest_1111z00_8623;

										BgL__ortest_1111z00_8623 =
											(BgL_classz00_8614 == BgL_oclassz00_8620);
										if (BgL__ortest_1111z00_8623)
											{	/* SawMill/defs.sch 614 */
												BgL_res3045z00_8619 = BgL__ortest_1111z00_8623;
											}
										else
											{	/* SawMill/defs.sch 614 */
												long BgL_odepthz00_8624;

												BgL_odepthz00_8624 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8620);
												if ((((long) 3) < BgL_odepthz00_8624))
													{	/* SawMill/defs.sch 614 */
														obj_t BgL_arg1816z00_8625;

														BgL_arg1816z00_8625 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8620,
															((long) 3));
														BgL_res3045z00_8619 =
															(BgL_arg1816z00_8625 == BgL_classz00_8614);
													}
												else
													{	/* SawMill/defs.sch 614 */
														BgL_res3045z00_8619 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3045z00_8619;
							}
					}
				else
					{	/* SawMill/defs.sch 614 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_select? */
	obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t BgL_envz00_6848,
		obj_t BgL_objz00_6849)
	{
		{	/* SawMill/defs.sch 614 */
			return BBOOL(BGl_rtl_selectzf3zf3zzsaw_defsz00(BgL_objz00_6849));
		}

	}



/* rtl_select-nil */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 615 */
			{	/* SawMill/defs.sch 615 */
				obj_t BgL_classz00_4538;

				BgL_classz00_4538 = BGl_rtl_selectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 615 */
					obj_t BgL__ortest_1113z00_4539;

					BgL__ortest_1113z00_4539 = BGL_CLASS_NIL(BgL_classz00_4538);
					if (CBOOL(BgL__ortest_1113z00_4539))
						{	/* SawMill/defs.sch 615 */
							return ((BgL_rtl_selectz00_bglt) BgL__ortest_1113z00_4539);
						}
					else
						{	/* SawMill/defs.sch 615 */
							return
								((BgL_rtl_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4538));
						}
				}
			}
		}

	}



/* &rtl_select-nil */
	BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6850)
	{
		{	/* SawMill/defs.sch 615 */
			return BGl_rtl_selectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_select-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_85)
	{
		{	/* SawMill/defs.sch 616 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_85))->BgL_patternsz00);
		}

	}



/* &rtl_select-patterns */
	obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6851,
		obj_t BgL_oz00_6852)
	{
		{	/* SawMill/defs.sch 616 */
			return
				BGl_rtl_selectzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6852));
		}

	}



/* rtl_select-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* SawMill/defs.sch 617 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_86))->BgL_patternsz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &rtl_select-patterns-set! */
	obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6853, obj_t BgL_oz00_6854, obj_t BgL_vz00_6855)
	{
		{	/* SawMill/defs.sch 617 */
			return
				BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6854), BgL_vz00_6855);
		}

	}



/* rtl_select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_88)
	{
		{	/* SawMill/defs.sch 618 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_88))->BgL_typez00);
		}

	}



/* &rtl_select-type */
	BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6856, obj_t BgL_oz00_6857)
	{
		{	/* SawMill/defs.sch 618 */
			return
				BGl_rtl_selectzd2typezd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6857));
		}

	}



/* rtl_select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_89, BgL_typez00_bglt BgL_vz00_90)
	{
		{	/* SawMill/defs.sch 619 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_89))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_90), BUNSPEC);
		}

	}



/* &rtl_select-type-set! */
	obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6858,
		obj_t BgL_oz00_6859, obj_t BgL_vz00_6860)
	{
		{	/* SawMill/defs.sch 619 */
			return
				BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6859),
				((BgL_typez00_bglt) BgL_vz00_6860));
		}

	}



/* rtl_select-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_91)
	{
		{	/* SawMill/defs.sch 620 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_91)))->BgL_locz00);
		}

	}



/* &rtl_select-loc */
	obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6861,
		obj_t BgL_oz00_6862)
	{
		{	/* SawMill/defs.sch 620 */
			return
				BGl_rtl_selectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6862));
		}

	}



/* rtl_select-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_92, obj_t BgL_vz00_93)
	{
		{	/* SawMill/defs.sch 621 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_92)))->BgL_locz00) =
				((obj_t) BgL_vz00_93), BUNSPEC);
		}

	}



/* &rtl_select-loc-set! */
	obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6863,
		obj_t BgL_oz00_6864, obj_t BgL_vz00_6865)
	{
		{	/* SawMill/defs.sch 621 */
			return
				BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6864), BgL_vz00_6865);
		}

	}



/* make-rtl_switch */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t BgL_loc1472z00_94,
		BgL_typez00_bglt BgL_type1473z00_95, obj_t BgL_patterns1474z00_96,
		obj_t BgL_labels1475z00_97)
	{
		{	/* SawMill/defs.sch 624 */
			{	/* SawMill/defs.sch 624 */
				BgL_rtl_switchz00_bglt BgL_new1367z00_8626;

				{	/* SawMill/defs.sch 624 */
					BgL_rtl_switchz00_bglt BgL_new1366z00_8627;

					BgL_new1366z00_8627 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.sch 624 */
						long BgL_arg1847z00_8628;

						BgL_arg1847z00_8628 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1366z00_8627), BgL_arg1847z00_8628);
					}
					BgL_new1367z00_8626 = BgL_new1366z00_8627;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1367z00_8626)))->BgL_locz00) =
					((obj_t) BgL_loc1472z00_94), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1367z00_8626)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1473z00_95), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1367z00_8626)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1474z00_96), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1367z00_8626))->
						BgL_labelsz00) = ((obj_t) BgL_labels1475z00_97), BUNSPEC);
				return BgL_new1367z00_8626;
			}
		}

	}



/* &make-rtl_switch */
	BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t
		BgL_envz00_6866, obj_t BgL_loc1472z00_6867, obj_t BgL_type1473z00_6868,
		obj_t BgL_patterns1474z00_6869, obj_t BgL_labels1475z00_6870)
	{
		{	/* SawMill/defs.sch 624 */
			return
				BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_loc1472z00_6867,
				((BgL_typez00_bglt) BgL_type1473z00_6868), BgL_patterns1474z00_6869,
				BgL_labels1475z00_6870);
		}

	}



/* rtl_switch? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t BgL_objz00_98)
	{
		{	/* SawMill/defs.sch 625 */
			{	/* SawMill/defs.sch 625 */
				obj_t BgL_classz00_8629;

				BgL_classz00_8629 = BGl_rtl_switchz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_98))
					{	/* SawMill/defs.sch 625 */
						BgL_objectz00_bglt BgL_arg1820z00_8630;

						BgL_arg1820z00_8630 = (BgL_objectz00_bglt) (BgL_objz00_98);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 625 */
								long BgL_idxz00_8631;

								BgL_idxz00_8631 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8630);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8631 + ((long) 4))) == BgL_classz00_8629);
							}
						else
							{	/* SawMill/defs.sch 625 */
								bool_t BgL_res3046z00_8634;

								{	/* SawMill/defs.sch 625 */
									obj_t BgL_oclassz00_8635;

									{	/* SawMill/defs.sch 625 */
										long BgL_arg1828z00_8636;

										{	/* SawMill/defs.sch 625 */
											long BgL_arg1829z00_8637;

											BgL_arg1829z00_8637 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8630);
											BgL_arg1828z00_8636 = (BgL_arg1829z00_8637 - OBJECT_TYPE);
										}
										BgL_oclassz00_8635 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8636);
									}
									{	/* SawMill/defs.sch 625 */
										bool_t BgL__ortest_1111z00_8638;

										BgL__ortest_1111z00_8638 =
											(BgL_classz00_8629 == BgL_oclassz00_8635);
										if (BgL__ortest_1111z00_8638)
											{	/* SawMill/defs.sch 625 */
												BgL_res3046z00_8634 = BgL__ortest_1111z00_8638;
											}
										else
											{	/* SawMill/defs.sch 625 */
												long BgL_odepthz00_8639;

												BgL_odepthz00_8639 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8635);
												if ((((long) 4) < BgL_odepthz00_8639))
													{	/* SawMill/defs.sch 625 */
														obj_t BgL_arg1816z00_8640;

														BgL_arg1816z00_8640 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8635,
															((long) 4));
														BgL_res3046z00_8634 =
															(BgL_arg1816z00_8640 == BgL_classz00_8629);
													}
												else
													{	/* SawMill/defs.sch 625 */
														BgL_res3046z00_8634 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3046z00_8634;
							}
					}
				else
					{	/* SawMill/defs.sch 625 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_switch? */
	obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t BgL_envz00_6871,
		obj_t BgL_objz00_6872)
	{
		{	/* SawMill/defs.sch 625 */
			return BBOOL(BGl_rtl_switchzf3zf3zzsaw_defsz00(BgL_objz00_6872));
		}

	}



/* rtl_switch-nil */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 626 */
			{	/* SawMill/defs.sch 626 */
				obj_t BgL_classz00_4577;

				BgL_classz00_4577 = BGl_rtl_switchz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 626 */
					obj_t BgL__ortest_1113z00_4578;

					BgL__ortest_1113z00_4578 = BGL_CLASS_NIL(BgL_classz00_4577);
					if (CBOOL(BgL__ortest_1113z00_4578))
						{	/* SawMill/defs.sch 626 */
							return ((BgL_rtl_switchz00_bglt) BgL__ortest_1113z00_4578);
						}
					else
						{	/* SawMill/defs.sch 626 */
							return
								((BgL_rtl_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4577));
						}
				}
			}
		}

	}



/* &rtl_switch-nil */
	BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6873)
	{
		{	/* SawMill/defs.sch 626 */
			return BGl_rtl_switchzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_switch-labels */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_99)
	{
		{	/* SawMill/defs.sch 627 */
			return (((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_99))->BgL_labelsz00);
		}

	}



/* &rtl_switch-labels */
	obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t BgL_envz00_6874,
		obj_t BgL_oz00_6875)
	{
		{	/* SawMill/defs.sch 627 */
			return
				BGl_rtl_switchzd2labelszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6875));
		}

	}



/* rtl_switch-labels-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_100, obj_t BgL_vz00_101)
	{
		{	/* SawMill/defs.sch 628 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_100))->BgL_labelsz00) =
				((obj_t) BgL_vz00_101), BUNSPEC);
		}

	}



/* &rtl_switch-labels-set! */
	obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6876, obj_t BgL_oz00_6877, obj_t BgL_vz00_6878)
	{
		{	/* SawMill/defs.sch 628 */
			return
				BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6877), BgL_vz00_6878);
		}

	}



/* rtl_switch-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_102)
	{
		{	/* SawMill/defs.sch 629 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_102)))->BgL_patternsz00);
		}

	}



/* &rtl_switch-patterns */
	obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6879,
		obj_t BgL_oz00_6880)
	{
		{	/* SawMill/defs.sch 629 */
			return
				BGl_rtl_switchzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6880));
		}

	}



/* rtl_switch-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_103, obj_t BgL_vz00_104)
	{
		{	/* SawMill/defs.sch 630 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_103)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_104), BUNSPEC);
		}

	}



/* &rtl_switch-patterns-set! */
	obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6881, obj_t BgL_oz00_6882, obj_t BgL_vz00_6883)
	{
		{	/* SawMill/defs.sch 630 */
			return
				BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6882), BgL_vz00_6883);
		}

	}



/* rtl_switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_105)
	{
		{	/* SawMill/defs.sch 631 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_105)))->BgL_typez00);
		}

	}



/* &rtl_switch-type */
	BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6884, obj_t BgL_oz00_6885)
	{
		{	/* SawMill/defs.sch 631 */
			return
				BGl_rtl_switchzd2typezd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6885));
		}

	}



/* rtl_switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_106, BgL_typez00_bglt BgL_vz00_107)
	{
		{	/* SawMill/defs.sch 632 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_106)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_107), BUNSPEC);
		}

	}



/* &rtl_switch-type-set! */
	obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6886,
		obj_t BgL_oz00_6887, obj_t BgL_vz00_6888)
	{
		{	/* SawMill/defs.sch 632 */
			return
				BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6887),
				((BgL_typez00_bglt) BgL_vz00_6888));
		}

	}



/* rtl_switch-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_108)
	{
		{	/* SawMill/defs.sch 633 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_108)))->BgL_locz00);
		}

	}



/* &rtl_switch-loc */
	obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6889,
		obj_t BgL_oz00_6890)
	{
		{	/* SawMill/defs.sch 633 */
			return
				BGl_rtl_switchzd2loczd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6890));
		}

	}



/* rtl_switch-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* SawMill/defs.sch 634 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_109)))->BgL_locz00) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &rtl_switch-loc-set! */
	obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6891,
		obj_t BgL_oz00_6892, obj_t BgL_vz00_6893)
	{
		{	/* SawMill/defs.sch 634 */
			return
				BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6892), BgL_vz00_6893);
		}

	}



/* make-rtl_ifeq */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t BgL_loc1468z00_111,
		BgL_blockz00_bglt BgL_then1469z00_112)
	{
		{	/* SawMill/defs.sch 637 */
			{	/* SawMill/defs.sch 637 */
				BgL_rtl_ifeqz00_bglt BgL_new1370z00_8641;

				{	/* SawMill/defs.sch 637 */
					BgL_rtl_ifeqz00_bglt BgL_new1368z00_8642;

					BgL_new1368z00_8642 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.sch 637 */
						long BgL_arg1848z00_8643;

						BgL_arg1848z00_8643 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1368z00_8642), BgL_arg1848z00_8643);
					}
					BgL_new1370z00_8641 = BgL_new1368z00_8642;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1370z00_8641)))->BgL_locz00) =
					((obj_t) BgL_loc1468z00_111), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1370z00_8641))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1469z00_112), BUNSPEC);
				return BgL_new1370z00_8641;
			}
		}

	}



/* &make-rtl_ifeq */
	BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6894, obj_t BgL_loc1468z00_6895, obj_t BgL_then1469z00_6896)
	{
		{	/* SawMill/defs.sch 637 */
			return
				BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_loc1468z00_6895,
				((BgL_blockz00_bglt) BgL_then1469z00_6896));
		}

	}



/* rtl_ifeq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_113)
	{
		{	/* SawMill/defs.sch 638 */
			{	/* SawMill/defs.sch 638 */
				obj_t BgL_classz00_8644;

				BgL_classz00_8644 = BGl_rtl_ifeqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_113))
					{	/* SawMill/defs.sch 638 */
						BgL_objectz00_bglt BgL_arg1820z00_8645;

						BgL_arg1820z00_8645 = (BgL_objectz00_bglt) (BgL_objz00_113);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 638 */
								long BgL_idxz00_8646;

								BgL_idxz00_8646 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8645);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8646 + ((long) 3))) == BgL_classz00_8644);
							}
						else
							{	/* SawMill/defs.sch 638 */
								bool_t BgL_res3047z00_8649;

								{	/* SawMill/defs.sch 638 */
									obj_t BgL_oclassz00_8650;

									{	/* SawMill/defs.sch 638 */
										long BgL_arg1828z00_8651;

										{	/* SawMill/defs.sch 638 */
											long BgL_arg1829z00_8652;

											BgL_arg1829z00_8652 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8645);
											BgL_arg1828z00_8651 = (BgL_arg1829z00_8652 - OBJECT_TYPE);
										}
										BgL_oclassz00_8650 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8651);
									}
									{	/* SawMill/defs.sch 638 */
										bool_t BgL__ortest_1111z00_8653;

										BgL__ortest_1111z00_8653 =
											(BgL_classz00_8644 == BgL_oclassz00_8650);
										if (BgL__ortest_1111z00_8653)
											{	/* SawMill/defs.sch 638 */
												BgL_res3047z00_8649 = BgL__ortest_1111z00_8653;
											}
										else
											{	/* SawMill/defs.sch 638 */
												long BgL_odepthz00_8654;

												BgL_odepthz00_8654 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8650);
												if ((((long) 3) < BgL_odepthz00_8654))
													{	/* SawMill/defs.sch 638 */
														obj_t BgL_arg1816z00_8655;

														BgL_arg1816z00_8655 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8650,
															((long) 3));
														BgL_res3047z00_8649 =
															(BgL_arg1816z00_8655 == BgL_classz00_8644);
													}
												else
													{	/* SawMill/defs.sch 638 */
														BgL_res3047z00_8649 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3047z00_8649;
							}
					}
				else
					{	/* SawMill/defs.sch 638 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifeq? */
	obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6897,
		obj_t BgL_objz00_6898)
	{
		{	/* SawMill/defs.sch 638 */
			return BBOOL(BGl_rtl_ifeqzf3zf3zzsaw_defsz00(BgL_objz00_6898));
		}

	}



/* rtl_ifeq-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 639 */
			{	/* SawMill/defs.sch 639 */
				obj_t BgL_classz00_4616;

				BgL_classz00_4616 = BGl_rtl_ifeqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 639 */
					obj_t BgL__ortest_1113z00_4617;

					BgL__ortest_1113z00_4617 = BGL_CLASS_NIL(BgL_classz00_4616);
					if (CBOOL(BgL__ortest_1113z00_4617))
						{	/* SawMill/defs.sch 639 */
							return ((BgL_rtl_ifeqz00_bglt) BgL__ortest_1113z00_4617);
						}
					else
						{	/* SawMill/defs.sch 639 */
							return
								((BgL_rtl_ifeqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4616));
						}
				}
			}
		}

	}



/* &rtl_ifeq-nil */
	BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6899)
	{
		{	/* SawMill/defs.sch 639 */
			return BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifeq-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt BgL_oz00_114)
	{
		{	/* SawMill/defs.sch 640 */
			return (((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_114))->BgL_thenz00);
		}

	}



/* &rtl_ifeq-then */
	BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6900, obj_t BgL_oz00_6901)
	{
		{	/* SawMill/defs.sch 640 */
			return
				BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6901));
		}

	}



/* rtl_ifeq-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_115, BgL_blockz00_bglt BgL_vz00_116)
	{
		{	/* SawMill/defs.sch 641 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_115))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_116), BUNSPEC);
		}

	}



/* &rtl_ifeq-then-set! */
	obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6902,
		obj_t BgL_oz00_6903, obj_t BgL_vz00_6904)
	{
		{	/* SawMill/defs.sch 641 */
			return
				BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6903),
				((BgL_blockz00_bglt) BgL_vz00_6904));
		}

	}



/* rtl_ifeq-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_117)
	{
		{	/* SawMill/defs.sch 642 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_117)))->BgL_locz00);
		}

	}



/* &rtl_ifeq-loc */
	obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6905,
		obj_t BgL_oz00_6906)
	{
		{	/* SawMill/defs.sch 642 */
			return
				BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6906));
		}

	}



/* rtl_ifeq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_118, obj_t BgL_vz00_119)
	{
		{	/* SawMill/defs.sch 643 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_118)))->BgL_locz00) =
				((obj_t) BgL_vz00_119), BUNSPEC);
		}

	}



/* &rtl_ifeq-loc-set! */
	obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6907,
		obj_t BgL_oz00_6908, obj_t BgL_vz00_6909)
	{
		{	/* SawMill/defs.sch 643 */
			return
				BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6908), BgL_vz00_6909);
		}

	}



/* make-rtl_ifne */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t BgL_loc1465z00_120,
		BgL_blockz00_bglt BgL_then1466z00_121)
	{
		{	/* SawMill/defs.sch 646 */
			{	/* SawMill/defs.sch 646 */
				BgL_rtl_ifnez00_bglt BgL_new1372z00_8656;

				{	/* SawMill/defs.sch 646 */
					BgL_rtl_ifnez00_bglt BgL_new1371z00_8657;

					BgL_new1371z00_8657 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.sch 646 */
						long BgL_arg1849z00_8658;

						BgL_arg1849z00_8658 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1371z00_8657), BgL_arg1849z00_8658);
					}
					BgL_new1372z00_8656 = BgL_new1371z00_8657;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1372z00_8656)))->BgL_locz00) =
					((obj_t) BgL_loc1465z00_120), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1372z00_8656))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1466z00_121), BUNSPEC);
				return BgL_new1372z00_8656;
			}
		}

	}



/* &make-rtl_ifne */
	BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t
		BgL_envz00_6910, obj_t BgL_loc1465z00_6911, obj_t BgL_then1466z00_6912)
	{
		{	/* SawMill/defs.sch 646 */
			return
				BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_loc1465z00_6911,
				((BgL_blockz00_bglt) BgL_then1466z00_6912));
		}

	}



/* rtl_ifne? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t BgL_objz00_122)
	{
		{	/* SawMill/defs.sch 647 */
			{	/* SawMill/defs.sch 647 */
				obj_t BgL_classz00_8659;

				BgL_classz00_8659 = BGl_rtl_ifnez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_122))
					{	/* SawMill/defs.sch 647 */
						BgL_objectz00_bglt BgL_arg1820z00_8660;

						BgL_arg1820z00_8660 = (BgL_objectz00_bglt) (BgL_objz00_122);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 647 */
								long BgL_idxz00_8661;

								BgL_idxz00_8661 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8660);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8661 + ((long) 3))) == BgL_classz00_8659);
							}
						else
							{	/* SawMill/defs.sch 647 */
								bool_t BgL_res3048z00_8664;

								{	/* SawMill/defs.sch 647 */
									obj_t BgL_oclassz00_8665;

									{	/* SawMill/defs.sch 647 */
										long BgL_arg1828z00_8666;

										{	/* SawMill/defs.sch 647 */
											long BgL_arg1829z00_8667;

											BgL_arg1829z00_8667 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8660);
											BgL_arg1828z00_8666 = (BgL_arg1829z00_8667 - OBJECT_TYPE);
										}
										BgL_oclassz00_8665 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8666);
									}
									{	/* SawMill/defs.sch 647 */
										bool_t BgL__ortest_1111z00_8668;

										BgL__ortest_1111z00_8668 =
											(BgL_classz00_8659 == BgL_oclassz00_8665);
										if (BgL__ortest_1111z00_8668)
											{	/* SawMill/defs.sch 647 */
												BgL_res3048z00_8664 = BgL__ortest_1111z00_8668;
											}
										else
											{	/* SawMill/defs.sch 647 */
												long BgL_odepthz00_8669;

												BgL_odepthz00_8669 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8665);
												if ((((long) 3) < BgL_odepthz00_8669))
													{	/* SawMill/defs.sch 647 */
														obj_t BgL_arg1816z00_8670;

														BgL_arg1816z00_8670 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8665,
															((long) 3));
														BgL_res3048z00_8664 =
															(BgL_arg1816z00_8670 == BgL_classz00_8659);
													}
												else
													{	/* SawMill/defs.sch 647 */
														BgL_res3048z00_8664 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3048z00_8664;
							}
					}
				else
					{	/* SawMill/defs.sch 647 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifne? */
	obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t BgL_envz00_6913,
		obj_t BgL_objz00_6914)
	{
		{	/* SawMill/defs.sch 647 */
			return BBOOL(BGl_rtl_ifnezf3zf3zzsaw_defsz00(BgL_objz00_6914));
		}

	}



/* rtl_ifne-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt BGl_rtl_ifnezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 648 */
			{	/* SawMill/defs.sch 648 */
				obj_t BgL_classz00_4655;

				BgL_classz00_4655 = BGl_rtl_ifnez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 648 */
					obj_t BgL__ortest_1113z00_4656;

					BgL__ortest_1113z00_4656 = BGL_CLASS_NIL(BgL_classz00_4655);
					if (CBOOL(BgL__ortest_1113z00_4656))
						{	/* SawMill/defs.sch 648 */
							return ((BgL_rtl_ifnez00_bglt) BgL__ortest_1113z00_4656);
						}
					else
						{	/* SawMill/defs.sch 648 */
							return
								((BgL_rtl_ifnez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4655));
						}
				}
			}
		}

	}



/* &rtl_ifne-nil */
	BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6915)
	{
		{	/* SawMill/defs.sch 648 */
			return BGl_rtl_ifnezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifne-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt BgL_oz00_123)
	{
		{	/* SawMill/defs.sch 649 */
			return (((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_123))->BgL_thenz00);
		}

	}



/* &rtl_ifne-then */
	BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6916, obj_t BgL_oz00_6917)
	{
		{	/* SawMill/defs.sch 649 */
			return
				BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6917));
		}

	}



/* rtl_ifne-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_124, BgL_blockz00_bglt BgL_vz00_125)
	{
		{	/* SawMill/defs.sch 650 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_124))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_125), BUNSPEC);
		}

	}



/* &rtl_ifne-then-set! */
	obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6918,
		obj_t BgL_oz00_6919, obj_t BgL_vz00_6920)
	{
		{	/* SawMill/defs.sch 650 */
			return
				BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6919),
				((BgL_blockz00_bglt) BgL_vz00_6920));
		}

	}



/* rtl_ifne-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_126)
	{
		{	/* SawMill/defs.sch 651 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_126)))->BgL_locz00);
		}

	}



/* &rtl_ifne-loc */
	obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6921,
		obj_t BgL_oz00_6922)
	{
		{	/* SawMill/defs.sch 651 */
			return
				BGl_rtl_ifnezd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6922));
		}

	}



/* rtl_ifne-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_127, obj_t BgL_vz00_128)
	{
		{	/* SawMill/defs.sch 652 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_127)))->BgL_locz00) =
				((obj_t) BgL_vz00_128), BUNSPEC);
		}

	}



/* &rtl_ifne-loc-set! */
	obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6923,
		obj_t BgL_oz00_6924, obj_t BgL_vz00_6925)
	{
		{	/* SawMill/defs.sch 652 */
			return
				BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6924), BgL_vz00_6925);
		}

	}



/* make-rtl_go */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t
		BgL_loc1462z00_129, BgL_blockz00_bglt BgL_to1463z00_130)
	{
		{	/* SawMill/defs.sch 655 */
			{	/* SawMill/defs.sch 655 */
				BgL_rtl_goz00_bglt BgL_new1374z00_8671;

				{	/* SawMill/defs.sch 655 */
					BgL_rtl_goz00_bglt BgL_new1373z00_8672;

					BgL_new1373z00_8672 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.sch 655 */
						long BgL_arg1850z00_8673;

						BgL_arg1850z00_8673 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1373z00_8672), BgL_arg1850z00_8673);
					}
					BgL_new1374z00_8671 = BgL_new1373z00_8672;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1374z00_8671)))->BgL_locz00) =
					((obj_t) BgL_loc1462z00_129), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1374z00_8671))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1463z00_130), BUNSPEC);
				return BgL_new1374z00_8671;
			}
		}

	}



/* &make-rtl_go */
	BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t BgL_envz00_6926,
		obj_t BgL_loc1462z00_6927, obj_t BgL_to1463z00_6928)
	{
		{	/* SawMill/defs.sch 655 */
			return
				BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_loc1462z00_6927,
				((BgL_blockz00_bglt) BgL_to1463z00_6928));
		}

	}



/* rtl_go? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t BgL_objz00_131)
	{
		{	/* SawMill/defs.sch 656 */
			{	/* SawMill/defs.sch 656 */
				obj_t BgL_classz00_8674;

				BgL_classz00_8674 = BGl_rtl_goz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_131))
					{	/* SawMill/defs.sch 656 */
						BgL_objectz00_bglt BgL_arg1820z00_8675;

						BgL_arg1820z00_8675 = (BgL_objectz00_bglt) (BgL_objz00_131);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 656 */
								long BgL_idxz00_8676;

								BgL_idxz00_8676 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8675);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8676 + ((long) 3))) == BgL_classz00_8674);
							}
						else
							{	/* SawMill/defs.sch 656 */
								bool_t BgL_res3049z00_8679;

								{	/* SawMill/defs.sch 656 */
									obj_t BgL_oclassz00_8680;

									{	/* SawMill/defs.sch 656 */
										long BgL_arg1828z00_8681;

										{	/* SawMill/defs.sch 656 */
											long BgL_arg1829z00_8682;

											BgL_arg1829z00_8682 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8675);
											BgL_arg1828z00_8681 = (BgL_arg1829z00_8682 - OBJECT_TYPE);
										}
										BgL_oclassz00_8680 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8681);
									}
									{	/* SawMill/defs.sch 656 */
										bool_t BgL__ortest_1111z00_8683;

										BgL__ortest_1111z00_8683 =
											(BgL_classz00_8674 == BgL_oclassz00_8680);
										if (BgL__ortest_1111z00_8683)
											{	/* SawMill/defs.sch 656 */
												BgL_res3049z00_8679 = BgL__ortest_1111z00_8683;
											}
										else
											{	/* SawMill/defs.sch 656 */
												long BgL_odepthz00_8684;

												BgL_odepthz00_8684 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8680);
												if ((((long) 3) < BgL_odepthz00_8684))
													{	/* SawMill/defs.sch 656 */
														obj_t BgL_arg1816z00_8685;

														BgL_arg1816z00_8685 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8680,
															((long) 3));
														BgL_res3049z00_8679 =
															(BgL_arg1816z00_8685 == BgL_classz00_8674);
													}
												else
													{	/* SawMill/defs.sch 656 */
														BgL_res3049z00_8679 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3049z00_8679;
							}
					}
				else
					{	/* SawMill/defs.sch 656 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_go? */
	obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t BgL_envz00_6929,
		obj_t BgL_objz00_6930)
	{
		{	/* SawMill/defs.sch 656 */
			return BBOOL(BGl_rtl_gozf3zf3zzsaw_defsz00(BgL_objz00_6930));
		}

	}



/* rtl_go-nil */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 657 */
			{	/* SawMill/defs.sch 657 */
				obj_t BgL_classz00_4694;

				BgL_classz00_4694 = BGl_rtl_goz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 657 */
					obj_t BgL__ortest_1113z00_4695;

					BgL__ortest_1113z00_4695 = BGL_CLASS_NIL(BgL_classz00_4694);
					if (CBOOL(BgL__ortest_1113z00_4695))
						{	/* SawMill/defs.sch 657 */
							return ((BgL_rtl_goz00_bglt) BgL__ortest_1113z00_4695);
						}
					else
						{	/* SawMill/defs.sch 657 */
							return
								((BgL_rtl_goz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4694));
						}
				}
			}
		}

	}



/* &rtl_go-nil */
	BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6931)
	{
		{	/* SawMill/defs.sch 657 */
			return BGl_rtl_gozd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_go-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_132)
	{
		{	/* SawMill/defs.sch 658 */
			return (((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_132))->BgL_toz00);
		}

	}



/* &rtl_go-to */
	BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t BgL_envz00_6932,
		obj_t BgL_oz00_6933)
	{
		{	/* SawMill/defs.sch 658 */
			return
				BGl_rtl_gozd2tozd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6933));
		}

	}



/* rtl_go-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_133,
		BgL_blockz00_bglt BgL_vz00_134)
	{
		{	/* SawMill/defs.sch 659 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_133))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_134), BUNSPEC);
		}

	}



/* &rtl_go-to-set! */
	obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6934,
		obj_t BgL_oz00_6935, obj_t BgL_vz00_6936)
	{
		{	/* SawMill/defs.sch 659 */
			return
				BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6935),
				((BgL_blockz00_bglt) BgL_vz00_6936));
		}

	}



/* rtl_go-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt
		BgL_oz00_135)
	{
		{	/* SawMill/defs.sch 660 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_135)))->BgL_locz00);
		}

	}



/* &rtl_go-loc */
	obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6937,
		obj_t BgL_oz00_6938)
	{
		{	/* SawMill/defs.sch 660 */
			return
				BGl_rtl_gozd2loczd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6938));
		}

	}



/* rtl_go-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_136,
		obj_t BgL_vz00_137)
	{
		{	/* SawMill/defs.sch 661 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_136)))->BgL_locz00) =
				((obj_t) BgL_vz00_137), BUNSPEC);
		}

	}



/* &rtl_go-loc-set! */
	obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6939,
		obj_t BgL_oz00_6940, obj_t BgL_vz00_6941)
	{
		{	/* SawMill/defs.sch 661 */
			return
				BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6940), BgL_vz00_6941);
		}

	}



/* make-rtl_pure */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t BgL_loc1459z00_138)
	{
		{	/* SawMill/defs.sch 664 */
			{	/* SawMill/defs.sch 664 */
				BgL_rtl_purez00_bglt BgL_new1376z00_8686;

				{	/* SawMill/defs.sch 664 */
					BgL_rtl_purez00_bglt BgL_new1375z00_8687;

					BgL_new1375z00_8687 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.sch 664 */
						long BgL_arg1851z00_8688;

						BgL_arg1851z00_8688 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1375z00_8687), BgL_arg1851z00_8688);
					}
					BgL_new1376z00_8686 = BgL_new1375z00_8687;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1376z00_8686)))->BgL_locz00) =
					((obj_t) BgL_loc1459z00_138), BUNSPEC);
				return BgL_new1376z00_8686;
			}
		}

	}



/* &make-rtl_pure */
	BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t
		BgL_envz00_6942, obj_t BgL_loc1459z00_6943)
	{
		{	/* SawMill/defs.sch 664 */
			return BGl_makezd2rtl_purezd2zzsaw_defsz00(BgL_loc1459z00_6943);
		}

	}



/* rtl_pure? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t BgL_objz00_139)
	{
		{	/* SawMill/defs.sch 665 */
			{	/* SawMill/defs.sch 665 */
				obj_t BgL_classz00_8689;

				BgL_classz00_8689 = BGl_rtl_purez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_139))
					{	/* SawMill/defs.sch 665 */
						BgL_objectz00_bglt BgL_arg1820z00_8690;

						BgL_arg1820z00_8690 = (BgL_objectz00_bglt) (BgL_objz00_139);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 665 */
								long BgL_idxz00_8691;

								BgL_idxz00_8691 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8690);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8691 + ((long) 2))) == BgL_classz00_8689);
							}
						else
							{	/* SawMill/defs.sch 665 */
								bool_t BgL_res3050z00_8694;

								{	/* SawMill/defs.sch 665 */
									obj_t BgL_oclassz00_8695;

									{	/* SawMill/defs.sch 665 */
										long BgL_arg1828z00_8696;

										{	/* SawMill/defs.sch 665 */
											long BgL_arg1829z00_8697;

											BgL_arg1829z00_8697 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8690);
											BgL_arg1828z00_8696 = (BgL_arg1829z00_8697 - OBJECT_TYPE);
										}
										BgL_oclassz00_8695 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8696);
									}
									{	/* SawMill/defs.sch 665 */
										bool_t BgL__ortest_1111z00_8698;

										BgL__ortest_1111z00_8698 =
											(BgL_classz00_8689 == BgL_oclassz00_8695);
										if (BgL__ortest_1111z00_8698)
											{	/* SawMill/defs.sch 665 */
												BgL_res3050z00_8694 = BgL__ortest_1111z00_8698;
											}
										else
											{	/* SawMill/defs.sch 665 */
												long BgL_odepthz00_8699;

												BgL_odepthz00_8699 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8695);
												if ((((long) 2) < BgL_odepthz00_8699))
													{	/* SawMill/defs.sch 665 */
														obj_t BgL_arg1816z00_8700;

														BgL_arg1816z00_8700 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8695,
															((long) 2));
														BgL_res3050z00_8694 =
															(BgL_arg1816z00_8700 == BgL_classz00_8689);
													}
												else
													{	/* SawMill/defs.sch 665 */
														BgL_res3050z00_8694 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3050z00_8694;
							}
					}
				else
					{	/* SawMill/defs.sch 665 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pure? */
	obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t BgL_envz00_6944,
		obj_t BgL_objz00_6945)
	{
		{	/* SawMill/defs.sch 665 */
			return BBOOL(BGl_rtl_purezf3zf3zzsaw_defsz00(BgL_objz00_6945));
		}

	}



/* rtl_pure-nil */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt BGl_rtl_purezd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 666 */
			{	/* SawMill/defs.sch 666 */
				obj_t BgL_classz00_4733;

				BgL_classz00_4733 = BGl_rtl_purez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 666 */
					obj_t BgL__ortest_1113z00_4734;

					BgL__ortest_1113z00_4734 = BGL_CLASS_NIL(BgL_classz00_4733);
					if (CBOOL(BgL__ortest_1113z00_4734))
						{	/* SawMill/defs.sch 666 */
							return ((BgL_rtl_purez00_bglt) BgL__ortest_1113z00_4734);
						}
					else
						{	/* SawMill/defs.sch 666 */
							return
								((BgL_rtl_purez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4733));
						}
				}
			}
		}

	}



/* &rtl_pure-nil */
	BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6946)
	{
		{	/* SawMill/defs.sch 666 */
			return BGl_rtl_purezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pure-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_140)
	{
		{	/* SawMill/defs.sch 667 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_140)))->BgL_locz00);
		}

	}



/* &rtl_pure-loc */
	obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6947,
		obj_t BgL_oz00_6948)
	{
		{	/* SawMill/defs.sch 667 */
			return
				BGl_rtl_purezd2loczd2zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6948));
		}

	}



/* rtl_pure-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_141, obj_t BgL_vz00_142)
	{
		{	/* SawMill/defs.sch 668 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_141)))->BgL_locz00) =
				((obj_t) BgL_vz00_142), BUNSPEC);
		}

	}



/* &rtl_pure-loc-set! */
	obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6949,
		obj_t BgL_oz00_6950, obj_t BgL_vz00_6951)
	{
		{	/* SawMill/defs.sch 668 */
			return
				BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6950), BgL_vz00_6951);
		}

	}



/* make-rtl_nop */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t
		BgL_loc1457z00_143)
	{
		{	/* SawMill/defs.sch 671 */
			{	/* SawMill/defs.sch 671 */
				BgL_rtl_nopz00_bglt BgL_new1378z00_8701;

				{	/* SawMill/defs.sch 671 */
					BgL_rtl_nopz00_bglt BgL_new1377z00_8702;

					BgL_new1377z00_8702 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.sch 671 */
						long BgL_arg1854z00_8703;

						BgL_arg1854z00_8703 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1377z00_8702), BgL_arg1854z00_8703);
					}
					BgL_new1378z00_8701 = BgL_new1377z00_8702;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1378z00_8701)))->BgL_locz00) =
					((obj_t) BgL_loc1457z00_143), BUNSPEC);
				return BgL_new1378z00_8701;
			}
		}

	}



/* &make-rtl_nop */
	BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t
		BgL_envz00_6952, obj_t BgL_loc1457z00_6953)
	{
		{	/* SawMill/defs.sch 671 */
			return BGl_makezd2rtl_nopzd2zzsaw_defsz00(BgL_loc1457z00_6953);
		}

	}



/* rtl_nop? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t BgL_objz00_144)
	{
		{	/* SawMill/defs.sch 672 */
			{	/* SawMill/defs.sch 672 */
				obj_t BgL_classz00_8704;

				BgL_classz00_8704 = BGl_rtl_nopz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_144))
					{	/* SawMill/defs.sch 672 */
						BgL_objectz00_bglt BgL_arg1820z00_8705;

						BgL_arg1820z00_8705 = (BgL_objectz00_bglt) (BgL_objz00_144);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 672 */
								long BgL_idxz00_8706;

								BgL_idxz00_8706 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8705);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8706 + ((long) 3))) == BgL_classz00_8704);
							}
						else
							{	/* SawMill/defs.sch 672 */
								bool_t BgL_res3051z00_8709;

								{	/* SawMill/defs.sch 672 */
									obj_t BgL_oclassz00_8710;

									{	/* SawMill/defs.sch 672 */
										long BgL_arg1828z00_8711;

										{	/* SawMill/defs.sch 672 */
											long BgL_arg1829z00_8712;

											BgL_arg1829z00_8712 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8705);
											BgL_arg1828z00_8711 = (BgL_arg1829z00_8712 - OBJECT_TYPE);
										}
										BgL_oclassz00_8710 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8711);
									}
									{	/* SawMill/defs.sch 672 */
										bool_t BgL__ortest_1111z00_8713;

										BgL__ortest_1111z00_8713 =
											(BgL_classz00_8704 == BgL_oclassz00_8710);
										if (BgL__ortest_1111z00_8713)
											{	/* SawMill/defs.sch 672 */
												BgL_res3051z00_8709 = BgL__ortest_1111z00_8713;
											}
										else
											{	/* SawMill/defs.sch 672 */
												long BgL_odepthz00_8714;

												BgL_odepthz00_8714 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8710);
												if ((((long) 3) < BgL_odepthz00_8714))
													{	/* SawMill/defs.sch 672 */
														obj_t BgL_arg1816z00_8715;

														BgL_arg1816z00_8715 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8710,
															((long) 3));
														BgL_res3051z00_8709 =
															(BgL_arg1816z00_8715 == BgL_classz00_8704);
													}
												else
													{	/* SawMill/defs.sch 672 */
														BgL_res3051z00_8709 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3051z00_8709;
							}
					}
				else
					{	/* SawMill/defs.sch 672 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_nop? */
	obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t BgL_envz00_6954,
		obj_t BgL_objz00_6955)
	{
		{	/* SawMill/defs.sch 672 */
			return BBOOL(BGl_rtl_nopzf3zf3zzsaw_defsz00(BgL_objz00_6955));
		}

	}



/* rtl_nop-nil */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 673 */
			{	/* SawMill/defs.sch 673 */
				obj_t BgL_classz00_4772;

				BgL_classz00_4772 = BGl_rtl_nopz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 673 */
					obj_t BgL__ortest_1113z00_4773;

					BgL__ortest_1113z00_4773 = BGL_CLASS_NIL(BgL_classz00_4772);
					if (CBOOL(BgL__ortest_1113z00_4773))
						{	/* SawMill/defs.sch 673 */
							return ((BgL_rtl_nopz00_bglt) BgL__ortest_1113z00_4773);
						}
					else
						{	/* SawMill/defs.sch 673 */
							return
								((BgL_rtl_nopz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4772));
						}
				}
			}
		}

	}



/* &rtl_nop-nil */
	BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6956)
	{
		{	/* SawMill/defs.sch 673 */
			return BGl_rtl_nopzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_nop-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt
		BgL_oz00_145)
	{
		{	/* SawMill/defs.sch 674 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_145)))->BgL_locz00);
		}

	}



/* &rtl_nop-loc */
	obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6957,
		obj_t BgL_oz00_6958)
	{
		{	/* SawMill/defs.sch 674 */
			return
				BGl_rtl_nopzd2loczd2zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6958));
		}

	}



/* rtl_nop-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt BgL_oz00_146,
		obj_t BgL_vz00_147)
	{
		{	/* SawMill/defs.sch 675 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_146)))->BgL_locz00) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &rtl_nop-loc-set! */
	obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6959,
		obj_t BgL_oz00_6960, obj_t BgL_vz00_6961)
	{
		{	/* SawMill/defs.sch 675 */
			return
				BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6960), BgL_vz00_6961);
		}

	}



/* make-rtl_mov */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t
		BgL_loc1453z00_148)
	{
		{	/* SawMill/defs.sch 678 */
			{	/* SawMill/defs.sch 678 */
				BgL_rtl_movz00_bglt BgL_new1380z00_8716;

				{	/* SawMill/defs.sch 678 */
					BgL_rtl_movz00_bglt BgL_new1379z00_8717;

					BgL_new1379z00_8717 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.sch 678 */
						long BgL_arg1856z00_8718;

						BgL_arg1856z00_8718 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1379z00_8717), BgL_arg1856z00_8718);
					}
					BgL_new1380z00_8716 = BgL_new1379z00_8717;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1380z00_8716)))->BgL_locz00) =
					((obj_t) BgL_loc1453z00_148), BUNSPEC);
				return BgL_new1380z00_8716;
			}
		}

	}



/* &make-rtl_mov */
	BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t
		BgL_envz00_6962, obj_t BgL_loc1453z00_6963)
	{
		{	/* SawMill/defs.sch 678 */
			return BGl_makezd2rtl_movzd2zzsaw_defsz00(BgL_loc1453z00_6963);
		}

	}



/* rtl_mov? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t BgL_objz00_149)
	{
		{	/* SawMill/defs.sch 679 */
			{	/* SawMill/defs.sch 679 */
				obj_t BgL_classz00_8719;

				BgL_classz00_8719 = BGl_rtl_movz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_149))
					{	/* SawMill/defs.sch 679 */
						BgL_objectz00_bglt BgL_arg1820z00_8720;

						BgL_arg1820z00_8720 = (BgL_objectz00_bglt) (BgL_objz00_149);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 679 */
								long BgL_idxz00_8721;

								BgL_idxz00_8721 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8720);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8721 + ((long) 3))) == BgL_classz00_8719);
							}
						else
							{	/* SawMill/defs.sch 679 */
								bool_t BgL_res3052z00_8724;

								{	/* SawMill/defs.sch 679 */
									obj_t BgL_oclassz00_8725;

									{	/* SawMill/defs.sch 679 */
										long BgL_arg1828z00_8726;

										{	/* SawMill/defs.sch 679 */
											long BgL_arg1829z00_8727;

											BgL_arg1829z00_8727 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8720);
											BgL_arg1828z00_8726 = (BgL_arg1829z00_8727 - OBJECT_TYPE);
										}
										BgL_oclassz00_8725 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8726);
									}
									{	/* SawMill/defs.sch 679 */
										bool_t BgL__ortest_1111z00_8728;

										BgL__ortest_1111z00_8728 =
											(BgL_classz00_8719 == BgL_oclassz00_8725);
										if (BgL__ortest_1111z00_8728)
											{	/* SawMill/defs.sch 679 */
												BgL_res3052z00_8724 = BgL__ortest_1111z00_8728;
											}
										else
											{	/* SawMill/defs.sch 679 */
												long BgL_odepthz00_8729;

												BgL_odepthz00_8729 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8725);
												if ((((long) 3) < BgL_odepthz00_8729))
													{	/* SawMill/defs.sch 679 */
														obj_t BgL_arg1816z00_8730;

														BgL_arg1816z00_8730 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8725,
															((long) 3));
														BgL_res3052z00_8724 =
															(BgL_arg1816z00_8730 == BgL_classz00_8719);
													}
												else
													{	/* SawMill/defs.sch 679 */
														BgL_res3052z00_8724 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3052z00_8724;
							}
					}
				else
					{	/* SawMill/defs.sch 679 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_mov? */
	obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t BgL_envz00_6964,
		obj_t BgL_objz00_6965)
	{
		{	/* SawMill/defs.sch 679 */
			return BBOOL(BGl_rtl_movzf3zf3zzsaw_defsz00(BgL_objz00_6965));
		}

	}



/* rtl_mov-nil */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 680 */
			{	/* SawMill/defs.sch 680 */
				obj_t BgL_classz00_4811;

				BgL_classz00_4811 = BGl_rtl_movz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 680 */
					obj_t BgL__ortest_1113z00_4812;

					BgL__ortest_1113z00_4812 = BGL_CLASS_NIL(BgL_classz00_4811);
					if (CBOOL(BgL__ortest_1113z00_4812))
						{	/* SawMill/defs.sch 680 */
							return ((BgL_rtl_movz00_bglt) BgL__ortest_1113z00_4812);
						}
					else
						{	/* SawMill/defs.sch 680 */
							return
								((BgL_rtl_movz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4811));
						}
				}
			}
		}

	}



/* &rtl_mov-nil */
	BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6966)
	{
		{	/* SawMill/defs.sch 680 */
			return BGl_rtl_movzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_mov-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt
		BgL_oz00_150)
	{
		{	/* SawMill/defs.sch 681 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_150)))->BgL_locz00);
		}

	}



/* &rtl_mov-loc */
	obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6967,
		obj_t BgL_oz00_6968)
	{
		{	/* SawMill/defs.sch 681 */
			return
				BGl_rtl_movzd2loczd2zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6968));
		}

	}



/* rtl_mov-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt BgL_oz00_151,
		obj_t BgL_vz00_152)
	{
		{	/* SawMill/defs.sch 682 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_151)))->BgL_locz00) =
				((obj_t) BgL_vz00_152), BUNSPEC);
		}

	}



/* &rtl_mov-loc-set! */
	obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6969,
		obj_t BgL_oz00_6970, obj_t BgL_vz00_6971)
	{
		{	/* SawMill/defs.sch 682 */
			return
				BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6970), BgL_vz00_6971);
		}

	}



/* make-rtl_loadi */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t BgL_loc1450z00_153,
		BgL_atomz00_bglt BgL_constant1451z00_154)
	{
		{	/* SawMill/defs.sch 685 */
			{	/* SawMill/defs.sch 685 */
				BgL_rtl_loadiz00_bglt BgL_new1382z00_8731;

				{	/* SawMill/defs.sch 685 */
					BgL_rtl_loadiz00_bglt BgL_new1381z00_8732;

					BgL_new1381z00_8732 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.sch 685 */
						long BgL_arg1857z00_8733;

						BgL_arg1857z00_8733 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1381z00_8732), BgL_arg1857z00_8733);
					}
					BgL_new1382z00_8731 = BgL_new1381z00_8732;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1382z00_8731)))->BgL_locz00) =
					((obj_t) BgL_loc1450z00_153), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1382z00_8731))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) BgL_constant1451z00_154), BUNSPEC);
				return BgL_new1382z00_8731;
			}
		}

	}



/* &make-rtl_loadi */
	BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t
		BgL_envz00_6972, obj_t BgL_loc1450z00_6973, obj_t BgL_constant1451z00_6974)
	{
		{	/* SawMill/defs.sch 685 */
			return
				BGl_makezd2rtl_loadizd2zzsaw_defsz00(BgL_loc1450z00_6973,
				((BgL_atomz00_bglt) BgL_constant1451z00_6974));
		}

	}



/* rtl_loadi? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t BgL_objz00_155)
	{
		{	/* SawMill/defs.sch 686 */
			{	/* SawMill/defs.sch 686 */
				obj_t BgL_classz00_8734;

				BgL_classz00_8734 = BGl_rtl_loadiz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_155))
					{	/* SawMill/defs.sch 686 */
						BgL_objectz00_bglt BgL_arg1820z00_8735;

						BgL_arg1820z00_8735 = (BgL_objectz00_bglt) (BgL_objz00_155);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 686 */
								long BgL_idxz00_8736;

								BgL_idxz00_8736 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8735);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8736 + ((long) 3))) == BgL_classz00_8734);
							}
						else
							{	/* SawMill/defs.sch 686 */
								bool_t BgL_res3053z00_8739;

								{	/* SawMill/defs.sch 686 */
									obj_t BgL_oclassz00_8740;

									{	/* SawMill/defs.sch 686 */
										long BgL_arg1828z00_8741;

										{	/* SawMill/defs.sch 686 */
											long BgL_arg1829z00_8742;

											BgL_arg1829z00_8742 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8735);
											BgL_arg1828z00_8741 = (BgL_arg1829z00_8742 - OBJECT_TYPE);
										}
										BgL_oclassz00_8740 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8741);
									}
									{	/* SawMill/defs.sch 686 */
										bool_t BgL__ortest_1111z00_8743;

										BgL__ortest_1111z00_8743 =
											(BgL_classz00_8734 == BgL_oclassz00_8740);
										if (BgL__ortest_1111z00_8743)
											{	/* SawMill/defs.sch 686 */
												BgL_res3053z00_8739 = BgL__ortest_1111z00_8743;
											}
										else
											{	/* SawMill/defs.sch 686 */
												long BgL_odepthz00_8744;

												BgL_odepthz00_8744 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8740);
												if ((((long) 3) < BgL_odepthz00_8744))
													{	/* SawMill/defs.sch 686 */
														obj_t BgL_arg1816z00_8745;

														BgL_arg1816z00_8745 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8740,
															((long) 3));
														BgL_res3053z00_8739 =
															(BgL_arg1816z00_8745 == BgL_classz00_8734);
													}
												else
													{	/* SawMill/defs.sch 686 */
														BgL_res3053z00_8739 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3053z00_8739;
							}
					}
				else
					{	/* SawMill/defs.sch 686 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadi? */
	obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t BgL_envz00_6975,
		obj_t BgL_objz00_6976)
	{
		{	/* SawMill/defs.sch 686 */
			return BBOOL(BGl_rtl_loadizf3zf3zzsaw_defsz00(BgL_objz00_6976));
		}

	}



/* rtl_loadi-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_rtl_loadizd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 687 */
			{	/* SawMill/defs.sch 687 */
				obj_t BgL_classz00_4850;

				BgL_classz00_4850 = BGl_rtl_loadiz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 687 */
					obj_t BgL__ortest_1113z00_4851;

					BgL__ortest_1113z00_4851 = BGL_CLASS_NIL(BgL_classz00_4850);
					if (CBOOL(BgL__ortest_1113z00_4851))
						{	/* SawMill/defs.sch 687 */
							return ((BgL_rtl_loadiz00_bglt) BgL__ortest_1113z00_4851);
						}
					else
						{	/* SawMill/defs.sch 687 */
							return
								((BgL_rtl_loadiz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4850));
						}
				}
			}
		}

	}



/* &rtl_loadi-nil */
	BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6977)
	{
		{	/* SawMill/defs.sch 687 */
			return BGl_rtl_loadizd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadi-constant */
	BGL_EXPORTED_DEF BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_156)
	{
		{	/* SawMill/defs.sch 688 */
			return (((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_156))->BgL_constantz00);
		}

	}



/* &rtl_loadi-constant */
	BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t
		BgL_envz00_6978, obj_t BgL_oz00_6979)
	{
		{	/* SawMill/defs.sch 688 */
			return
				BGl_rtl_loadizd2constantzd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6979));
		}

	}



/* rtl_loadi-constant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_157, BgL_atomz00_bglt BgL_vz00_158)
	{
		{	/* SawMill/defs.sch 689 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_157))->BgL_constantz00) =
				((BgL_atomz00_bglt) BgL_vz00_158), BUNSPEC);
		}

	}



/* &rtl_loadi-constant-set! */
	obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6980, obj_t BgL_oz00_6981, obj_t BgL_vz00_6982)
	{
		{	/* SawMill/defs.sch 689 */
			return
				BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6981),
				((BgL_atomz00_bglt) BgL_vz00_6982));
		}

	}



/* rtl_loadi-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_159)
	{
		{	/* SawMill/defs.sch 690 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_159)))->BgL_locz00);
		}

	}



/* &rtl_loadi-loc */
	obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6983,
		obj_t BgL_oz00_6984)
	{
		{	/* SawMill/defs.sch 690 */
			return
				BGl_rtl_loadizd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6984));
		}

	}



/* rtl_loadi-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_160, obj_t BgL_vz00_161)
	{
		{	/* SawMill/defs.sch 691 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_160)))->BgL_locz00) =
				((obj_t) BgL_vz00_161), BUNSPEC);
		}

	}



/* &rtl_loadi-loc-set! */
	obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6985,
		obj_t BgL_oz00_6986, obj_t BgL_vz00_6987)
	{
		{	/* SawMill/defs.sch 691 */
			return
				BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6986), BgL_vz00_6987);
		}

	}



/* make-rtl_loadg */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t BgL_loc1445z00_162,
		BgL_globalz00_bglt BgL_var1447z00_163)
	{
		{	/* SawMill/defs.sch 694 */
			{	/* SawMill/defs.sch 694 */
				BgL_rtl_loadgz00_bglt BgL_new1384z00_8746;

				{	/* SawMill/defs.sch 694 */
					BgL_rtl_loadgz00_bglt BgL_new1383z00_8747;

					BgL_new1383z00_8747 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.sch 694 */
						long BgL_arg1859z00_8748;

						BgL_arg1859z00_8748 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1383z00_8747), BgL_arg1859z00_8748);
					}
					BgL_new1384z00_8746 = BgL_new1383z00_8747;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1384z00_8746)))->BgL_locz00) =
					((obj_t) BgL_loc1445z00_162), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1384z00_8746))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1447z00_163), BUNSPEC);
				return BgL_new1384z00_8746;
			}
		}

	}



/* &make-rtl_loadg */
	BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t
		BgL_envz00_6988, obj_t BgL_loc1445z00_6989, obj_t BgL_var1447z00_6990)
	{
		{	/* SawMill/defs.sch 694 */
			return
				BGl_makezd2rtl_loadgzd2zzsaw_defsz00(BgL_loc1445z00_6989,
				((BgL_globalz00_bglt) BgL_var1447z00_6990));
		}

	}



/* rtl_loadg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t BgL_objz00_164)
	{
		{	/* SawMill/defs.sch 695 */
			{	/* SawMill/defs.sch 695 */
				obj_t BgL_classz00_8749;

				BgL_classz00_8749 = BGl_rtl_loadgz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_164))
					{	/* SawMill/defs.sch 695 */
						BgL_objectz00_bglt BgL_arg1820z00_8750;

						BgL_arg1820z00_8750 = (BgL_objectz00_bglt) (BgL_objz00_164);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 695 */
								long BgL_idxz00_8751;

								BgL_idxz00_8751 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8750);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8751 + ((long) 3))) == BgL_classz00_8749);
							}
						else
							{	/* SawMill/defs.sch 695 */
								bool_t BgL_res3054z00_8754;

								{	/* SawMill/defs.sch 695 */
									obj_t BgL_oclassz00_8755;

									{	/* SawMill/defs.sch 695 */
										long BgL_arg1828z00_8756;

										{	/* SawMill/defs.sch 695 */
											long BgL_arg1829z00_8757;

											BgL_arg1829z00_8757 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8750);
											BgL_arg1828z00_8756 = (BgL_arg1829z00_8757 - OBJECT_TYPE);
										}
										BgL_oclassz00_8755 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8756);
									}
									{	/* SawMill/defs.sch 695 */
										bool_t BgL__ortest_1111z00_8758;

										BgL__ortest_1111z00_8758 =
											(BgL_classz00_8749 == BgL_oclassz00_8755);
										if (BgL__ortest_1111z00_8758)
											{	/* SawMill/defs.sch 695 */
												BgL_res3054z00_8754 = BgL__ortest_1111z00_8758;
											}
										else
											{	/* SawMill/defs.sch 695 */
												long BgL_odepthz00_8759;

												BgL_odepthz00_8759 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8755);
												if ((((long) 3) < BgL_odepthz00_8759))
													{	/* SawMill/defs.sch 695 */
														obj_t BgL_arg1816z00_8760;

														BgL_arg1816z00_8760 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8755,
															((long) 3));
														BgL_res3054z00_8754 =
															(BgL_arg1816z00_8760 == BgL_classz00_8749);
													}
												else
													{	/* SawMill/defs.sch 695 */
														BgL_res3054z00_8754 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3054z00_8754;
							}
					}
				else
					{	/* SawMill/defs.sch 695 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadg? */
	obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t BgL_envz00_6991,
		obj_t BgL_objz00_6992)
	{
		{	/* SawMill/defs.sch 695 */
			return BBOOL(BGl_rtl_loadgzf3zf3zzsaw_defsz00(BgL_objz00_6992));
		}

	}



/* rtl_loadg-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_rtl_loadgzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 696 */
			{	/* SawMill/defs.sch 696 */
				obj_t BgL_classz00_4889;

				BgL_classz00_4889 = BGl_rtl_loadgz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 696 */
					obj_t BgL__ortest_1113z00_4890;

					BgL__ortest_1113z00_4890 = BGL_CLASS_NIL(BgL_classz00_4889);
					if (CBOOL(BgL__ortest_1113z00_4890))
						{	/* SawMill/defs.sch 696 */
							return ((BgL_rtl_loadgz00_bglt) BgL__ortest_1113z00_4890);
						}
					else
						{	/* SawMill/defs.sch 696 */
							return
								((BgL_rtl_loadgz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4889));
						}
				}
			}
		}

	}



/* &rtl_loadg-nil */
	BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6993)
	{
		{	/* SawMill/defs.sch 696 */
			return BGl_rtl_loadgzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_165)
	{
		{	/* SawMill/defs.sch 697 */
			return (((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_165))->BgL_varz00);
		}

	}



/* &rtl_loadg-var */
	BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_6994, obj_t BgL_oz00_6995)
	{
		{	/* SawMill/defs.sch 697 */
			return
				BGl_rtl_loadgzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6995));
		}

	}



/* rtl_loadg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_166, BgL_globalz00_bglt BgL_vz00_167)
	{
		{	/* SawMill/defs.sch 698 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_166))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_167), BUNSPEC);
		}

	}



/* &rtl_loadg-var-set! */
	obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6996,
		obj_t BgL_oz00_6997, obj_t BgL_vz00_6998)
	{
		{	/* SawMill/defs.sch 698 */
			return
				BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6997),
				((BgL_globalz00_bglt) BgL_vz00_6998));
		}

	}



/* rtl_loadg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_168)
	{
		{	/* SawMill/defs.sch 699 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_168)))->BgL_locz00);
		}

	}



/* &rtl_loadg-loc */
	obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6999,
		obj_t BgL_oz00_7000)
	{
		{	/* SawMill/defs.sch 699 */
			return
				BGl_rtl_loadgzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7000));
		}

	}



/* rtl_loadg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_169, obj_t BgL_vz00_170)
	{
		{	/* SawMill/defs.sch 700 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_169)))->BgL_locz00) =
				((obj_t) BgL_vz00_170), BUNSPEC);
		}

	}



/* &rtl_loadg-loc-set! */
	obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7001,
		obj_t BgL_oz00_7002, obj_t BgL_vz00_7003)
	{
		{	/* SawMill/defs.sch 700 */
			return
				BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_7002), BgL_vz00_7003);
		}

	}



/* make-rtl_loadfun */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t BgL_loc1441z00_171,
		BgL_globalz00_bglt BgL_var1442z00_172)
	{
		{	/* SawMill/defs.sch 703 */
			{	/* SawMill/defs.sch 703 */
				BgL_rtl_loadfunz00_bglt BgL_new1386z00_8761;

				{	/* SawMill/defs.sch 703 */
					BgL_rtl_loadfunz00_bglt BgL_new1385z00_8762;

					BgL_new1385z00_8762 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.sch 703 */
						long BgL_arg1860z00_8763;

						BgL_arg1860z00_8763 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1385z00_8762), BgL_arg1860z00_8763);
					}
					BgL_new1386z00_8761 = BgL_new1385z00_8762;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1386z00_8761)))->BgL_locz00) =
					((obj_t) BgL_loc1441z00_171), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1386z00_8761))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1442z00_172), BUNSPEC);
				return BgL_new1386z00_8761;
			}
		}

	}



/* &make-rtl_loadfun */
	BgL_rtl_loadfunz00_bglt BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t
		BgL_envz00_7004, obj_t BgL_loc1441z00_7005, obj_t BgL_var1442z00_7006)
	{
		{	/* SawMill/defs.sch 703 */
			return
				BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(BgL_loc1441z00_7005,
				((BgL_globalz00_bglt) BgL_var1442z00_7006));
		}

	}



/* rtl_loadfun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_173)
	{
		{	/* SawMill/defs.sch 704 */
			{	/* SawMill/defs.sch 704 */
				obj_t BgL_classz00_8764;

				BgL_classz00_8764 = BGl_rtl_loadfunz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_173))
					{	/* SawMill/defs.sch 704 */
						BgL_objectz00_bglt BgL_arg1820z00_8765;

						BgL_arg1820z00_8765 = (BgL_objectz00_bglt) (BgL_objz00_173);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 704 */
								long BgL_idxz00_8766;

								BgL_idxz00_8766 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8765);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8766 + ((long) 3))) == BgL_classz00_8764);
							}
						else
							{	/* SawMill/defs.sch 704 */
								bool_t BgL_res3055z00_8769;

								{	/* SawMill/defs.sch 704 */
									obj_t BgL_oclassz00_8770;

									{	/* SawMill/defs.sch 704 */
										long BgL_arg1828z00_8771;

										{	/* SawMill/defs.sch 704 */
											long BgL_arg1829z00_8772;

											BgL_arg1829z00_8772 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8765);
											BgL_arg1828z00_8771 = (BgL_arg1829z00_8772 - OBJECT_TYPE);
										}
										BgL_oclassz00_8770 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8771);
									}
									{	/* SawMill/defs.sch 704 */
										bool_t BgL__ortest_1111z00_8773;

										BgL__ortest_1111z00_8773 =
											(BgL_classz00_8764 == BgL_oclassz00_8770);
										if (BgL__ortest_1111z00_8773)
											{	/* SawMill/defs.sch 704 */
												BgL_res3055z00_8769 = BgL__ortest_1111z00_8773;
											}
										else
											{	/* SawMill/defs.sch 704 */
												long BgL_odepthz00_8774;

												BgL_odepthz00_8774 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8770);
												if ((((long) 3) < BgL_odepthz00_8774))
													{	/* SawMill/defs.sch 704 */
														obj_t BgL_arg1816z00_8775;

														BgL_arg1816z00_8775 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8770,
															((long) 3));
														BgL_res3055z00_8769 =
															(BgL_arg1816z00_8775 == BgL_classz00_8764);
													}
												else
													{	/* SawMill/defs.sch 704 */
														BgL_res3055z00_8769 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3055z00_8769;
							}
					}
				else
					{	/* SawMill/defs.sch 704 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadfun? */
	obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t BgL_envz00_7007,
		obj_t BgL_objz00_7008)
	{
		{	/* SawMill/defs.sch 704 */
			return BBOOL(BGl_rtl_loadfunzf3zf3zzsaw_defsz00(BgL_objz00_7008));
		}

	}



/* rtl_loadfun-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 705 */
			{	/* SawMill/defs.sch 705 */
				obj_t BgL_classz00_4928;

				BgL_classz00_4928 = BGl_rtl_loadfunz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 705 */
					obj_t BgL__ortest_1113z00_4929;

					BgL__ortest_1113z00_4929 = BGL_CLASS_NIL(BgL_classz00_4928);
					if (CBOOL(BgL__ortest_1113z00_4929))
						{	/* SawMill/defs.sch 705 */
							return ((BgL_rtl_loadfunz00_bglt) BgL__ortest_1113z00_4929);
						}
					else
						{	/* SawMill/defs.sch 705 */
							return
								((BgL_rtl_loadfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4928));
						}
				}
			}
		}

	}



/* &rtl_loadfun-nil */
	BgL_rtl_loadfunz00_bglt BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7009)
	{
		{	/* SawMill/defs.sch 705 */
			return BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadfun-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_174)
	{
		{	/* SawMill/defs.sch 706 */
			return (((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_174))->BgL_varz00);
		}

	}



/* &rtl_loadfun-var */
	BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7010, obj_t BgL_oz00_7011)
	{
		{	/* SawMill/defs.sch 706 */
			return
				BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7011));
		}

	}



/* rtl_loadfun-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_175, BgL_globalz00_bglt BgL_vz00_176)
	{
		{	/* SawMill/defs.sch 707 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_175))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_176), BUNSPEC);
		}

	}



/* &rtl_loadfun-var-set! */
	obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7012,
		obj_t BgL_oz00_7013, obj_t BgL_vz00_7014)
	{
		{	/* SawMill/defs.sch 707 */
			return
				BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7013),
				((BgL_globalz00_bglt) BgL_vz00_7014));
		}

	}



/* rtl_loadfun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_177)
	{
		{	/* SawMill/defs.sch 708 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_177)))->BgL_locz00);
		}

	}



/* &rtl_loadfun-loc */
	obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7015,
		obj_t BgL_oz00_7016)
	{
		{	/* SawMill/defs.sch 708 */
			return
				BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7016));
		}

	}



/* rtl_loadfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_178, obj_t BgL_vz00_179)
	{
		{	/* SawMill/defs.sch 709 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_178)))->BgL_locz00) =
				((obj_t) BgL_vz00_179), BUNSPEC);
		}

	}



/* &rtl_loadfun-loc-set! */
	obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7017,
		obj_t BgL_oz00_7018, obj_t BgL_vz00_7019)
	{
		{	/* SawMill/defs.sch 709 */
			return
				BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_7018), BgL_vz00_7019);
		}

	}



/* make-rtl_globalref */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t BgL_loc1437z00_180,
		BgL_globalz00_bglt BgL_var1438z00_181)
	{
		{	/* SawMill/defs.sch 712 */
			{	/* SawMill/defs.sch 712 */
				BgL_rtl_globalrefz00_bglt BgL_new1388z00_8776;

				{	/* SawMill/defs.sch 712 */
					BgL_rtl_globalrefz00_bglt BgL_new1387z00_8777;

					BgL_new1387z00_8777 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.sch 712 */
						long BgL_arg1861z00_8778;

						BgL_arg1861z00_8778 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1387z00_8777), BgL_arg1861z00_8778);
					}
					BgL_new1388z00_8776 = BgL_new1387z00_8777;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1388z00_8776)))->BgL_locz00) =
					((obj_t) BgL_loc1437z00_180), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1388z00_8776))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1438z00_181), BUNSPEC);
				return BgL_new1388z00_8776;
			}
		}

	}



/* &make-rtl_globalref */
	BgL_rtl_globalrefz00_bglt BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7020, obj_t BgL_loc1437z00_7021, obj_t BgL_var1438z00_7022)
	{
		{	/* SawMill/defs.sch 712 */
			return
				BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(BgL_loc1437z00_7021,
				((BgL_globalz00_bglt) BgL_var1438z00_7022));
		}

	}



/* rtl_globalref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_182)
	{
		{	/* SawMill/defs.sch 713 */
			{	/* SawMill/defs.sch 713 */
				obj_t BgL_classz00_8779;

				BgL_classz00_8779 = BGl_rtl_globalrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_182))
					{	/* SawMill/defs.sch 713 */
						BgL_objectz00_bglt BgL_arg1820z00_8780;

						BgL_arg1820z00_8780 = (BgL_objectz00_bglt) (BgL_objz00_182);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 713 */
								long BgL_idxz00_8781;

								BgL_idxz00_8781 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8780);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8781 + ((long) 3))) == BgL_classz00_8779);
							}
						else
							{	/* SawMill/defs.sch 713 */
								bool_t BgL_res3056z00_8784;

								{	/* SawMill/defs.sch 713 */
									obj_t BgL_oclassz00_8785;

									{	/* SawMill/defs.sch 713 */
										long BgL_arg1828z00_8786;

										{	/* SawMill/defs.sch 713 */
											long BgL_arg1829z00_8787;

											BgL_arg1829z00_8787 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8780);
											BgL_arg1828z00_8786 = (BgL_arg1829z00_8787 - OBJECT_TYPE);
										}
										BgL_oclassz00_8785 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8786);
									}
									{	/* SawMill/defs.sch 713 */
										bool_t BgL__ortest_1111z00_8788;

										BgL__ortest_1111z00_8788 =
											(BgL_classz00_8779 == BgL_oclassz00_8785);
										if (BgL__ortest_1111z00_8788)
											{	/* SawMill/defs.sch 713 */
												BgL_res3056z00_8784 = BgL__ortest_1111z00_8788;
											}
										else
											{	/* SawMill/defs.sch 713 */
												long BgL_odepthz00_8789;

												BgL_odepthz00_8789 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8785);
												if ((((long) 3) < BgL_odepthz00_8789))
													{	/* SawMill/defs.sch 713 */
														obj_t BgL_arg1816z00_8790;

														BgL_arg1816z00_8790 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8785,
															((long) 3));
														BgL_res3056z00_8784 =
															(BgL_arg1816z00_8790 == BgL_classz00_8779);
													}
												else
													{	/* SawMill/defs.sch 713 */
														BgL_res3056z00_8784 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3056z00_8784;
							}
					}
				else
					{	/* SawMill/defs.sch 713 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_globalref? */
	obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7023,
		obj_t BgL_objz00_7024)
	{
		{	/* SawMill/defs.sch 713 */
			return BBOOL(BGl_rtl_globalrefzf3zf3zzsaw_defsz00(BgL_objz00_7024));
		}

	}



/* rtl_globalref-nil */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 714 */
			{	/* SawMill/defs.sch 714 */
				obj_t BgL_classz00_4967;

				BgL_classz00_4967 = BGl_rtl_globalrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 714 */
					obj_t BgL__ortest_1113z00_4968;

					BgL__ortest_1113z00_4968 = BGL_CLASS_NIL(BgL_classz00_4967);
					if (CBOOL(BgL__ortest_1113z00_4968))
						{	/* SawMill/defs.sch 714 */
							return ((BgL_rtl_globalrefz00_bglt) BgL__ortest_1113z00_4968);
						}
					else
						{	/* SawMill/defs.sch 714 */
							return
								((BgL_rtl_globalrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4967));
						}
				}
			}
		}

	}



/* &rtl_globalref-nil */
	BgL_rtl_globalrefz00_bglt BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7025)
	{
		{	/* SawMill/defs.sch 714 */
			return BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_globalref-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_183)
	{
		{	/* SawMill/defs.sch 715 */
			return (((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_183))->BgL_varz00);
		}

	}



/* &rtl_globalref-var */
	BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7026, obj_t BgL_oz00_7027)
	{
		{	/* SawMill/defs.sch 715 */
			return
				BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7027));
		}

	}



/* rtl_globalref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_184, BgL_globalz00_bglt BgL_vz00_185)
	{
		{	/* SawMill/defs.sch 716 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_184))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_185), BUNSPEC);
		}

	}



/* &rtl_globalref-var-set! */
	obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7028, obj_t BgL_oz00_7029, obj_t BgL_vz00_7030)
	{
		{	/* SawMill/defs.sch 716 */
			return
				BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7029),
				((BgL_globalz00_bglt) BgL_vz00_7030));
		}

	}



/* rtl_globalref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_186)
	{
		{	/* SawMill/defs.sch 717 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_186)))->BgL_locz00);
		}

	}



/* &rtl_globalref-loc */
	obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7031,
		obj_t BgL_oz00_7032)
	{
		{	/* SawMill/defs.sch 717 */
			return
				BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7032));
		}

	}



/* rtl_globalref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_187, obj_t BgL_vz00_188)
	{
		{	/* SawMill/defs.sch 718 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_187)))->BgL_locz00) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}

	}



/* &rtl_globalref-loc-set! */
	obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7033, obj_t BgL_oz00_7034, obj_t BgL_vz00_7035)
	{
		{	/* SawMill/defs.sch 718 */
			return
				BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_7034), BgL_vz00_7035);
		}

	}



/* make-rtl_getfield */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t BgL_loc1431z00_189,
		obj_t BgL_name1432z00_190, BgL_typez00_bglt BgL_objtype1433z00_191,
		BgL_typez00_bglt BgL_type1434z00_192)
	{
		{	/* SawMill/defs.sch 721 */
			{	/* SawMill/defs.sch 721 */
				BgL_rtl_getfieldz00_bglt BgL_new1390z00_8791;

				{	/* SawMill/defs.sch 721 */
					BgL_rtl_getfieldz00_bglt BgL_new1389z00_8792;

					BgL_new1389z00_8792 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.sch 721 */
						long BgL_arg1862z00_8793;

						BgL_arg1862z00_8793 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1389z00_8792), BgL_arg1862z00_8793);
					}
					BgL_new1390z00_8791 = BgL_new1389z00_8792;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1390z00_8791)))->BgL_locz00) =
					((obj_t) BgL_loc1431z00_189), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1390z00_8791))->
						BgL_namez00) = ((obj_t) BgL_name1432z00_190), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1390z00_8791))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1433z00_191), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1390z00_8791))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1434z00_192), BUNSPEC);
				return BgL_new1390z00_8791;
			}
		}

	}



/* &make-rtl_getfield */
	BgL_rtl_getfieldz00_bglt BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7036, obj_t BgL_loc1431z00_7037, obj_t BgL_name1432z00_7038,
		obj_t BgL_objtype1433z00_7039, obj_t BgL_type1434z00_7040)
	{
		{	/* SawMill/defs.sch 721 */
			return
				BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(BgL_loc1431z00_7037,
				BgL_name1432z00_7038, ((BgL_typez00_bglt) BgL_objtype1433z00_7039),
				((BgL_typez00_bglt) BgL_type1434z00_7040));
		}

	}



/* rtl_getfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_193)
	{
		{	/* SawMill/defs.sch 722 */
			{	/* SawMill/defs.sch 722 */
				obj_t BgL_classz00_8794;

				BgL_classz00_8794 = BGl_rtl_getfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_193))
					{	/* SawMill/defs.sch 722 */
						BgL_objectz00_bglt BgL_arg1820z00_8795;

						BgL_arg1820z00_8795 = (BgL_objectz00_bglt) (BgL_objz00_193);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 722 */
								long BgL_idxz00_8796;

								BgL_idxz00_8796 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8795);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8796 + ((long) 3))) == BgL_classz00_8794);
							}
						else
							{	/* SawMill/defs.sch 722 */
								bool_t BgL_res3057z00_8799;

								{	/* SawMill/defs.sch 722 */
									obj_t BgL_oclassz00_8800;

									{	/* SawMill/defs.sch 722 */
										long BgL_arg1828z00_8801;

										{	/* SawMill/defs.sch 722 */
											long BgL_arg1829z00_8802;

											BgL_arg1829z00_8802 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8795);
											BgL_arg1828z00_8801 = (BgL_arg1829z00_8802 - OBJECT_TYPE);
										}
										BgL_oclassz00_8800 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8801);
									}
									{	/* SawMill/defs.sch 722 */
										bool_t BgL__ortest_1111z00_8803;

										BgL__ortest_1111z00_8803 =
											(BgL_classz00_8794 == BgL_oclassz00_8800);
										if (BgL__ortest_1111z00_8803)
											{	/* SawMill/defs.sch 722 */
												BgL_res3057z00_8799 = BgL__ortest_1111z00_8803;
											}
										else
											{	/* SawMill/defs.sch 722 */
												long BgL_odepthz00_8804;

												BgL_odepthz00_8804 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8800);
												if ((((long) 3) < BgL_odepthz00_8804))
													{	/* SawMill/defs.sch 722 */
														obj_t BgL_arg1816z00_8805;

														BgL_arg1816z00_8805 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8800,
															((long) 3));
														BgL_res3057z00_8799 =
															(BgL_arg1816z00_8805 == BgL_classz00_8794);
													}
												else
													{	/* SawMill/defs.sch 722 */
														BgL_res3057z00_8799 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3057z00_8799;
							}
					}
				else
					{	/* SawMill/defs.sch 722 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_getfield? */
	obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7041,
		obj_t BgL_objz00_7042)
	{
		{	/* SawMill/defs.sch 722 */
			return BBOOL(BGl_rtl_getfieldzf3zf3zzsaw_defsz00(BgL_objz00_7042));
		}

	}



/* rtl_getfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 723 */
			{	/* SawMill/defs.sch 723 */
				obj_t BgL_classz00_5006;

				BgL_classz00_5006 = BGl_rtl_getfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 723 */
					obj_t BgL__ortest_1113z00_5007;

					BgL__ortest_1113z00_5007 = BGL_CLASS_NIL(BgL_classz00_5006);
					if (CBOOL(BgL__ortest_1113z00_5007))
						{	/* SawMill/defs.sch 723 */
							return ((BgL_rtl_getfieldz00_bglt) BgL__ortest_1113z00_5007);
						}
					else
						{	/* SawMill/defs.sch 723 */
							return
								((BgL_rtl_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5006));
						}
				}
			}
		}

	}



/* &rtl_getfield-nil */
	BgL_rtl_getfieldz00_bglt BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7043)
	{
		{	/* SawMill/defs.sch 723 */
			return BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_194)
	{
		{	/* SawMill/defs.sch 724 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_194))->BgL_typez00);
		}

	}



/* &rtl_getfield-type */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7044, obj_t BgL_oz00_7045)
	{
		{	/* SawMill/defs.sch 724 */
			return
				BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7045));
		}

	}



/* rtl_getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_195, BgL_typez00_bglt BgL_vz00_196)
	{
		{	/* SawMill/defs.sch 725 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_195))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_196), BUNSPEC);
		}

	}



/* &rtl_getfield-type-set! */
	obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7046, obj_t BgL_oz00_7047, obj_t BgL_vz00_7048)
	{
		{	/* SawMill/defs.sch 725 */
			return
				BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7047),
				((BgL_typez00_bglt) BgL_vz00_7048));
		}

	}



/* rtl_getfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_197)
	{
		{	/* SawMill/defs.sch 726 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_197))->BgL_objtypez00);
		}

	}



/* &rtl_getfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7049, obj_t BgL_oz00_7050)
	{
		{	/* SawMill/defs.sch 726 */
			return
				BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7050));
		}

	}



/* rtl_getfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_198, BgL_typez00_bglt BgL_vz00_199)
	{
		{	/* SawMill/defs.sch 727 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_198))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_199), BUNSPEC);
		}

	}



/* &rtl_getfield-objtype-set! */
	obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7051, obj_t BgL_oz00_7052, obj_t BgL_vz00_7053)
	{
		{	/* SawMill/defs.sch 727 */
			return
				BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7052),
				((BgL_typez00_bglt) BgL_vz00_7053));
		}

	}



/* rtl_getfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_200)
	{
		{	/* SawMill/defs.sch 728 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_200))->BgL_namez00);
		}

	}



/* &rtl_getfield-name */
	obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7054,
		obj_t BgL_oz00_7055)
	{
		{	/* SawMill/defs.sch 728 */
			return
				BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7055));
		}

	}



/* rtl_getfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_201, obj_t BgL_vz00_202)
	{
		{	/* SawMill/defs.sch 729 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_201))->BgL_namez00) =
				((obj_t) BgL_vz00_202), BUNSPEC);
		}

	}



/* &rtl_getfield-name-set! */
	obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7056, obj_t BgL_oz00_7057, obj_t BgL_vz00_7058)
	{
		{	/* SawMill/defs.sch 729 */
			return
				BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7057), BgL_vz00_7058);
		}

	}



/* rtl_getfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_203)
	{
		{	/* SawMill/defs.sch 730 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_203)))->BgL_locz00);
		}

	}



/* &rtl_getfield-loc */
	obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7059,
		obj_t BgL_oz00_7060)
	{
		{	/* SawMill/defs.sch 730 */
			return
				BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7060));
		}

	}



/* rtl_getfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_204, obj_t BgL_vz00_205)
	{
		{	/* SawMill/defs.sch 731 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_204)))->BgL_locz00) =
				((obj_t) BgL_vz00_205), BUNSPEC);
		}

	}



/* &rtl_getfield-loc-set! */
	obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7061, obj_t BgL_oz00_7062, obj_t BgL_vz00_7063)
	{
		{	/* SawMill/defs.sch 731 */
			return
				BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_7062), BgL_vz00_7063);
		}

	}



/* make-rtl_valloc */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t BgL_loc1426z00_206,
		BgL_typez00_bglt BgL_type1428z00_207, BgL_typez00_bglt BgL_vtype1429z00_208)
	{
		{	/* SawMill/defs.sch 734 */
			{	/* SawMill/defs.sch 734 */
				BgL_rtl_vallocz00_bglt BgL_new1392z00_8806;

				{	/* SawMill/defs.sch 734 */
					BgL_rtl_vallocz00_bglt BgL_new1391z00_8807;

					BgL_new1391z00_8807 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.sch 734 */
						long BgL_arg1864z00_8808;

						BgL_arg1864z00_8808 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1391z00_8807), BgL_arg1864z00_8808);
					}
					BgL_new1392z00_8806 = BgL_new1391z00_8807;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1392z00_8806)))->BgL_locz00) =
					((obj_t) BgL_loc1426z00_206), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1392z00_8806))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1428z00_207), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1392z00_8806))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1429z00_208), BUNSPEC);
				return BgL_new1392z00_8806;
			}
		}

	}



/* &make-rtl_valloc */
	BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t
		BgL_envz00_7064, obj_t BgL_loc1426z00_7065, obj_t BgL_type1428z00_7066,
		obj_t BgL_vtype1429z00_7067)
	{
		{	/* SawMill/defs.sch 734 */
			return
				BGl_makezd2rtl_valloczd2zzsaw_defsz00(BgL_loc1426z00_7065,
				((BgL_typez00_bglt) BgL_type1428z00_7066),
				((BgL_typez00_bglt) BgL_vtype1429z00_7067));
		}

	}



/* rtl_valloc? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_209)
	{
		{	/* SawMill/defs.sch 735 */
			{	/* SawMill/defs.sch 735 */
				obj_t BgL_classz00_8809;

				BgL_classz00_8809 = BGl_rtl_vallocz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_209))
					{	/* SawMill/defs.sch 735 */
						BgL_objectz00_bglt BgL_arg1820z00_8810;

						BgL_arg1820z00_8810 = (BgL_objectz00_bglt) (BgL_objz00_209);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 735 */
								long BgL_idxz00_8811;

								BgL_idxz00_8811 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8810);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8811 + ((long) 3))) == BgL_classz00_8809);
							}
						else
							{	/* SawMill/defs.sch 735 */
								bool_t BgL_res3058z00_8814;

								{	/* SawMill/defs.sch 735 */
									obj_t BgL_oclassz00_8815;

									{	/* SawMill/defs.sch 735 */
										long BgL_arg1828z00_8816;

										{	/* SawMill/defs.sch 735 */
											long BgL_arg1829z00_8817;

											BgL_arg1829z00_8817 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8810);
											BgL_arg1828z00_8816 = (BgL_arg1829z00_8817 - OBJECT_TYPE);
										}
										BgL_oclassz00_8815 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8816);
									}
									{	/* SawMill/defs.sch 735 */
										bool_t BgL__ortest_1111z00_8818;

										BgL__ortest_1111z00_8818 =
											(BgL_classz00_8809 == BgL_oclassz00_8815);
										if (BgL__ortest_1111z00_8818)
											{	/* SawMill/defs.sch 735 */
												BgL_res3058z00_8814 = BgL__ortest_1111z00_8818;
											}
										else
											{	/* SawMill/defs.sch 735 */
												long BgL_odepthz00_8819;

												BgL_odepthz00_8819 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8815);
												if ((((long) 3) < BgL_odepthz00_8819))
													{	/* SawMill/defs.sch 735 */
														obj_t BgL_arg1816z00_8820;

														BgL_arg1816z00_8820 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8815,
															((long) 3));
														BgL_res3058z00_8814 =
															(BgL_arg1816z00_8820 == BgL_classz00_8809);
													}
												else
													{	/* SawMill/defs.sch 735 */
														BgL_res3058z00_8814 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3058z00_8814;
							}
					}
				else
					{	/* SawMill/defs.sch 735 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_valloc? */
	obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t BgL_envz00_7068,
		obj_t BgL_objz00_7069)
	{
		{	/* SawMill/defs.sch 735 */
			return BBOOL(BGl_rtl_valloczf3zf3zzsaw_defsz00(BgL_objz00_7069));
		}

	}



/* rtl_valloc-nil */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 736 */
			{	/* SawMill/defs.sch 736 */
				obj_t BgL_classz00_5045;

				BgL_classz00_5045 = BGl_rtl_vallocz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 736 */
					obj_t BgL__ortest_1113z00_5046;

					BgL__ortest_1113z00_5046 = BGL_CLASS_NIL(BgL_classz00_5045);
					if (CBOOL(BgL__ortest_1113z00_5046))
						{	/* SawMill/defs.sch 736 */
							return ((BgL_rtl_vallocz00_bglt) BgL__ortest_1113z00_5046);
						}
					else
						{	/* SawMill/defs.sch 736 */
							return
								((BgL_rtl_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5045));
						}
				}
			}
		}

	}



/* &rtl_valloc-nil */
	BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7070)
	{
		{	/* SawMill/defs.sch 736 */
			return BGl_rtl_valloczd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_valloc-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_210)
	{
		{	/* SawMill/defs.sch 737 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_210))->BgL_vtypez00);
		}

	}



/* &rtl_valloc-vtype */
	BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7071, obj_t BgL_oz00_7072)
	{
		{	/* SawMill/defs.sch 737 */
			return
				BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7072));
		}

	}



/* rtl_valloc-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_211, BgL_typez00_bglt BgL_vz00_212)
	{
		{	/* SawMill/defs.sch 738 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_211))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_212), BUNSPEC);
		}

	}



/* &rtl_valloc-vtype-set! */
	obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7073, obj_t BgL_oz00_7074, obj_t BgL_vz00_7075)
	{
		{	/* SawMill/defs.sch 738 */
			return
				BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7074),
				((BgL_typez00_bglt) BgL_vz00_7075));
		}

	}



/* rtl_valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_213)
	{
		{	/* SawMill/defs.sch 739 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_213))->BgL_typez00);
		}

	}



/* &rtl_valloc-type */
	BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7076, obj_t BgL_oz00_7077)
	{
		{	/* SawMill/defs.sch 739 */
			return
				BGl_rtl_valloczd2typezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7077));
		}

	}



/* rtl_valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_214, BgL_typez00_bglt BgL_vz00_215)
	{
		{	/* SawMill/defs.sch 740 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_214))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_215), BUNSPEC);
		}

	}



/* &rtl_valloc-type-set! */
	obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7078,
		obj_t BgL_oz00_7079, obj_t BgL_vz00_7080)
	{
		{	/* SawMill/defs.sch 740 */
			return
				BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7079),
				((BgL_typez00_bglt) BgL_vz00_7080));
		}

	}



/* rtl_valloc-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_216)
	{
		{	/* SawMill/defs.sch 741 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_216)))->BgL_locz00);
		}

	}



/* &rtl_valloc-loc */
	obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7081,
		obj_t BgL_oz00_7082)
	{
		{	/* SawMill/defs.sch 741 */
			return
				BGl_rtl_valloczd2loczd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7082));
		}

	}



/* rtl_valloc-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_217, obj_t BgL_vz00_218)
	{
		{	/* SawMill/defs.sch 742 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_217)))->BgL_locz00) =
				((obj_t) BgL_vz00_218), BUNSPEC);
		}

	}



/* &rtl_valloc-loc-set! */
	obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7083,
		obj_t BgL_oz00_7084, obj_t BgL_vz00_7085)
	{
		{	/* SawMill/defs.sch 742 */
			return
				BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_7084), BgL_vz00_7085);
		}

	}



/* make-rtl_vref */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t BgL_loc1422z00_219,
		BgL_typez00_bglt BgL_type1423z00_220, BgL_typez00_bglt BgL_vtype1424z00_221)
	{
		{	/* SawMill/defs.sch 745 */
			{	/* SawMill/defs.sch 745 */
				BgL_rtl_vrefz00_bglt BgL_new1394z00_8821;

				{	/* SawMill/defs.sch 745 */
					BgL_rtl_vrefz00_bglt BgL_new1393z00_8822;

					BgL_new1393z00_8822 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.sch 745 */
						long BgL_arg1865z00_8823;

						BgL_arg1865z00_8823 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1393z00_8822), BgL_arg1865z00_8823);
					}
					BgL_new1394z00_8821 = BgL_new1393z00_8822;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1394z00_8821)))->BgL_locz00) =
					((obj_t) BgL_loc1422z00_219), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1394z00_8821))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1423z00_220), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1394z00_8821))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1424z00_221), BUNSPEC);
				return BgL_new1394z00_8821;
			}
		}

	}



/* &make-rtl_vref */
	BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7086, obj_t BgL_loc1422z00_7087, obj_t BgL_type1423z00_7088,
		obj_t BgL_vtype1424z00_7089)
	{
		{	/* SawMill/defs.sch 745 */
			return
				BGl_makezd2rtl_vrefzd2zzsaw_defsz00(BgL_loc1422z00_7087,
				((BgL_typez00_bglt) BgL_type1423z00_7088),
				((BgL_typez00_bglt) BgL_vtype1424z00_7089));
		}

	}



/* rtl_vref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t BgL_objz00_222)
	{
		{	/* SawMill/defs.sch 746 */
			{	/* SawMill/defs.sch 746 */
				obj_t BgL_classz00_8824;

				BgL_classz00_8824 = BGl_rtl_vrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_222))
					{	/* SawMill/defs.sch 746 */
						BgL_objectz00_bglt BgL_arg1820z00_8825;

						BgL_arg1820z00_8825 = (BgL_objectz00_bglt) (BgL_objz00_222);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 746 */
								long BgL_idxz00_8826;

								BgL_idxz00_8826 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8825);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8826 + ((long) 3))) == BgL_classz00_8824);
							}
						else
							{	/* SawMill/defs.sch 746 */
								bool_t BgL_res3059z00_8829;

								{	/* SawMill/defs.sch 746 */
									obj_t BgL_oclassz00_8830;

									{	/* SawMill/defs.sch 746 */
										long BgL_arg1828z00_8831;

										{	/* SawMill/defs.sch 746 */
											long BgL_arg1829z00_8832;

											BgL_arg1829z00_8832 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8825);
											BgL_arg1828z00_8831 = (BgL_arg1829z00_8832 - OBJECT_TYPE);
										}
										BgL_oclassz00_8830 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8831);
									}
									{	/* SawMill/defs.sch 746 */
										bool_t BgL__ortest_1111z00_8833;

										BgL__ortest_1111z00_8833 =
											(BgL_classz00_8824 == BgL_oclassz00_8830);
										if (BgL__ortest_1111z00_8833)
											{	/* SawMill/defs.sch 746 */
												BgL_res3059z00_8829 = BgL__ortest_1111z00_8833;
											}
										else
											{	/* SawMill/defs.sch 746 */
												long BgL_odepthz00_8834;

												BgL_odepthz00_8834 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8830);
												if ((((long) 3) < BgL_odepthz00_8834))
													{	/* SawMill/defs.sch 746 */
														obj_t BgL_arg1816z00_8835;

														BgL_arg1816z00_8835 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8830,
															((long) 3));
														BgL_res3059z00_8829 =
															(BgL_arg1816z00_8835 == BgL_classz00_8824);
													}
												else
													{	/* SawMill/defs.sch 746 */
														BgL_res3059z00_8829 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3059z00_8829;
							}
					}
				else
					{	/* SawMill/defs.sch 746 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vref? */
	obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7090,
		obj_t BgL_objz00_7091)
	{
		{	/* SawMill/defs.sch 746 */
			return BBOOL(BGl_rtl_vrefzf3zf3zzsaw_defsz00(BgL_objz00_7091));
		}

	}



/* rtl_vref-nil */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt BGl_rtl_vrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 747 */
			{	/* SawMill/defs.sch 747 */
				obj_t BgL_classz00_5084;

				BgL_classz00_5084 = BGl_rtl_vrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 747 */
					obj_t BgL__ortest_1113z00_5085;

					BgL__ortest_1113z00_5085 = BGL_CLASS_NIL(BgL_classz00_5084);
					if (CBOOL(BgL__ortest_1113z00_5085))
						{	/* SawMill/defs.sch 747 */
							return ((BgL_rtl_vrefz00_bglt) BgL__ortest_1113z00_5085);
						}
					else
						{	/* SawMill/defs.sch 747 */
							return
								((BgL_rtl_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5084));
						}
				}
			}
		}

	}



/* &rtl_vref-nil */
	BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7092)
	{
		{	/* SawMill/defs.sch 747 */
			return BGl_rtl_vrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_223)
	{
		{	/* SawMill/defs.sch 748 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_223))->BgL_vtypez00);
		}

	}



/* &rtl_vref-vtype */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7093, obj_t BgL_oz00_7094)
	{
		{	/* SawMill/defs.sch 748 */
			return
				BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7094));
		}

	}



/* rtl_vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_224, BgL_typez00_bglt BgL_vz00_225)
	{
		{	/* SawMill/defs.sch 749 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_224))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_225), BUNSPEC);
		}

	}



/* &rtl_vref-vtype-set! */
	obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7095,
		obj_t BgL_oz00_7096, obj_t BgL_vz00_7097)
	{
		{	/* SawMill/defs.sch 749 */
			return
				BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7096),
				((BgL_typez00_bglt) BgL_vz00_7097));
		}

	}



/* rtl_vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_226)
	{
		{	/* SawMill/defs.sch 750 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_226))->BgL_typez00);
		}

	}



/* &rtl_vref-type */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7098,
		obj_t BgL_oz00_7099)
	{
		{	/* SawMill/defs.sch 750 */
			return
				BGl_rtl_vrefzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7099));
		}

	}



/* rtl_vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_227, BgL_typez00_bglt BgL_vz00_228)
	{
		{	/* SawMill/defs.sch 751 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_227))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_228), BUNSPEC);
		}

	}



/* &rtl_vref-type-set! */
	obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7100,
		obj_t BgL_oz00_7101, obj_t BgL_vz00_7102)
	{
		{	/* SawMill/defs.sch 751 */
			return
				BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7101),
				((BgL_typez00_bglt) BgL_vz00_7102));
		}

	}



/* rtl_vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_229)
	{
		{	/* SawMill/defs.sch 752 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_229)))->BgL_locz00);
		}

	}



/* &rtl_vref-loc */
	obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7103,
		obj_t BgL_oz00_7104)
	{
		{	/* SawMill/defs.sch 752 */
			return
				BGl_rtl_vrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7104));
		}

	}



/* rtl_vref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_230, obj_t BgL_vz00_231)
	{
		{	/* SawMill/defs.sch 753 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_230)))->BgL_locz00) =
				((obj_t) BgL_vz00_231), BUNSPEC);
		}

	}



/* &rtl_vref-loc-set! */
	obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106, obj_t BgL_vz00_7107)
	{
		{	/* SawMill/defs.sch 753 */
			return
				BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_7106), BgL_vz00_7107);
		}

	}



/* make-rtl_vlength */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t BgL_loc1418z00_232,
		BgL_typez00_bglt BgL_type1419z00_233, BgL_typez00_bglt BgL_vtype1420z00_234)
	{
		{	/* SawMill/defs.sch 756 */
			{	/* SawMill/defs.sch 756 */
				BgL_rtl_vlengthz00_bglt BgL_new1396z00_8836;

				{	/* SawMill/defs.sch 756 */
					BgL_rtl_vlengthz00_bglt BgL_new1395z00_8837;

					BgL_new1395z00_8837 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.sch 756 */
						long BgL_arg1866z00_8838;

						BgL_arg1866z00_8838 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1395z00_8837), BgL_arg1866z00_8838);
					}
					BgL_new1396z00_8836 = BgL_new1395z00_8837;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1396z00_8836)))->BgL_locz00) =
					((obj_t) BgL_loc1418z00_232), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1396z00_8836))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1419z00_233), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1396z00_8836))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1420z00_234), BUNSPEC);
				return BgL_new1396z00_8836;
			}
		}

	}



/* &make-rtl_vlength */
	BgL_rtl_vlengthz00_bglt BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t
		BgL_envz00_7108, obj_t BgL_loc1418z00_7109, obj_t BgL_type1419z00_7110,
		obj_t BgL_vtype1420z00_7111)
	{
		{	/* SawMill/defs.sch 756 */
			return
				BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(BgL_loc1418z00_7109,
				((BgL_typez00_bglt) BgL_type1419z00_7110),
				((BgL_typez00_bglt) BgL_vtype1420z00_7111));
		}

	}



/* rtl_vlength? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_235)
	{
		{	/* SawMill/defs.sch 757 */
			{	/* SawMill/defs.sch 757 */
				obj_t BgL_classz00_8839;

				BgL_classz00_8839 = BGl_rtl_vlengthz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_235))
					{	/* SawMill/defs.sch 757 */
						BgL_objectz00_bglt BgL_arg1820z00_8840;

						BgL_arg1820z00_8840 = (BgL_objectz00_bglt) (BgL_objz00_235);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 757 */
								long BgL_idxz00_8841;

								BgL_idxz00_8841 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8840);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8841 + ((long) 3))) == BgL_classz00_8839);
							}
						else
							{	/* SawMill/defs.sch 757 */
								bool_t BgL_res3060z00_8844;

								{	/* SawMill/defs.sch 757 */
									obj_t BgL_oclassz00_8845;

									{	/* SawMill/defs.sch 757 */
										long BgL_arg1828z00_8846;

										{	/* SawMill/defs.sch 757 */
											long BgL_arg1829z00_8847;

											BgL_arg1829z00_8847 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8840);
											BgL_arg1828z00_8846 = (BgL_arg1829z00_8847 - OBJECT_TYPE);
										}
										BgL_oclassz00_8845 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8846);
									}
									{	/* SawMill/defs.sch 757 */
										bool_t BgL__ortest_1111z00_8848;

										BgL__ortest_1111z00_8848 =
											(BgL_classz00_8839 == BgL_oclassz00_8845);
										if (BgL__ortest_1111z00_8848)
											{	/* SawMill/defs.sch 757 */
												BgL_res3060z00_8844 = BgL__ortest_1111z00_8848;
											}
										else
											{	/* SawMill/defs.sch 757 */
												long BgL_odepthz00_8849;

												BgL_odepthz00_8849 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8845);
												if ((((long) 3) < BgL_odepthz00_8849))
													{	/* SawMill/defs.sch 757 */
														obj_t BgL_arg1816z00_8850;

														BgL_arg1816z00_8850 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8845,
															((long) 3));
														BgL_res3060z00_8844 =
															(BgL_arg1816z00_8850 == BgL_classz00_8839);
													}
												else
													{	/* SawMill/defs.sch 757 */
														BgL_res3060z00_8844 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3060z00_8844;
							}
					}
				else
					{	/* SawMill/defs.sch 757 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vlength? */
	obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t BgL_envz00_7112,
		obj_t BgL_objz00_7113)
	{
		{	/* SawMill/defs.sch 757 */
			return BBOOL(BGl_rtl_vlengthzf3zf3zzsaw_defsz00(BgL_objz00_7113));
		}

	}



/* rtl_vlength-nil */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 758 */
			{	/* SawMill/defs.sch 758 */
				obj_t BgL_classz00_5123;

				BgL_classz00_5123 = BGl_rtl_vlengthz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 758 */
					obj_t BgL__ortest_1113z00_5124;

					BgL__ortest_1113z00_5124 = BGL_CLASS_NIL(BgL_classz00_5123);
					if (CBOOL(BgL__ortest_1113z00_5124))
						{	/* SawMill/defs.sch 758 */
							return ((BgL_rtl_vlengthz00_bglt) BgL__ortest_1113z00_5124);
						}
					else
						{	/* SawMill/defs.sch 758 */
							return
								((BgL_rtl_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5123));
						}
				}
			}
		}

	}



/* &rtl_vlength-nil */
	BgL_rtl_vlengthz00_bglt BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7114)
	{
		{	/* SawMill/defs.sch 758 */
			return BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_236)
	{
		{	/* SawMill/defs.sch 759 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_236))->BgL_vtypez00);
		}

	}



/* &rtl_vlength-vtype */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7115, obj_t BgL_oz00_7116)
	{
		{	/* SawMill/defs.sch 759 */
			return
				BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7116));
		}

	}



/* rtl_vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_237, BgL_typez00_bglt BgL_vz00_238)
	{
		{	/* SawMill/defs.sch 760 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_237))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_238), BUNSPEC);
		}

	}



/* &rtl_vlength-vtype-set! */
	obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7117, obj_t BgL_oz00_7118, obj_t BgL_vz00_7119)
	{
		{	/* SawMill/defs.sch 760 */
			return
				BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7118),
				((BgL_typez00_bglt) BgL_vz00_7119));
		}

	}



/* rtl_vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_239)
	{
		{	/* SawMill/defs.sch 761 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_239))->BgL_typez00);
		}

	}



/* &rtl_vlength-type */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7120, obj_t BgL_oz00_7121)
	{
		{	/* SawMill/defs.sch 761 */
			return
				BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7121));
		}

	}



/* rtl_vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_240, BgL_typez00_bglt BgL_vz00_241)
	{
		{	/* SawMill/defs.sch 762 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_240))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_241), BUNSPEC);
		}

	}



/* &rtl_vlength-type-set! */
	obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7122, obj_t BgL_oz00_7123, obj_t BgL_vz00_7124)
	{
		{	/* SawMill/defs.sch 762 */
			return
				BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7123),
				((BgL_typez00_bglt) BgL_vz00_7124));
		}

	}



/* rtl_vlength-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_242)
	{
		{	/* SawMill/defs.sch 763 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_242)))->BgL_locz00);
		}

	}



/* &rtl_vlength-loc */
	obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7125,
		obj_t BgL_oz00_7126)
	{
		{	/* SawMill/defs.sch 763 */
			return
				BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7126));
		}

	}



/* rtl_vlength-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* SawMill/defs.sch 764 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_243)))->BgL_locz00) =
				((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &rtl_vlength-loc-set! */
	obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7127,
		obj_t BgL_oz00_7128, obj_t BgL_vz00_7129)
	{
		{	/* SawMill/defs.sch 764 */
			return
				BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_7128), BgL_vz00_7129);
		}

	}



/* make-rtl_instanceof */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t BgL_loc1415z00_245,
		BgL_typez00_bglt BgL_type1416z00_246)
	{
		{	/* SawMill/defs.sch 767 */
			{	/* SawMill/defs.sch 767 */
				BgL_rtl_instanceofz00_bglt BgL_new1398z00_8851;

				{	/* SawMill/defs.sch 767 */
					BgL_rtl_instanceofz00_bglt BgL_new1397z00_8852;

					BgL_new1397z00_8852 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.sch 767 */
						long BgL_arg1867z00_8853;

						BgL_arg1867z00_8853 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1397z00_8852), BgL_arg1867z00_8853);
					}
					BgL_new1398z00_8851 = BgL_new1397z00_8852;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1398z00_8851)))->BgL_locz00) =
					((obj_t) BgL_loc1415z00_245), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1398z00_8851))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1416z00_246), BUNSPEC);
				return BgL_new1398z00_8851;
			}
		}

	}



/* &make-rtl_instanceof */
	BgL_rtl_instanceofz00_bglt BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t
		BgL_envz00_7130, obj_t BgL_loc1415z00_7131, obj_t BgL_type1416z00_7132)
	{
		{	/* SawMill/defs.sch 767 */
			return
				BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(BgL_loc1415z00_7131,
				((BgL_typez00_bglt) BgL_type1416z00_7132));
		}

	}



/* rtl_instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_247)
	{
		{	/* SawMill/defs.sch 768 */
			{	/* SawMill/defs.sch 768 */
				obj_t BgL_classz00_8854;

				BgL_classz00_8854 = BGl_rtl_instanceofz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_247))
					{	/* SawMill/defs.sch 768 */
						BgL_objectz00_bglt BgL_arg1820z00_8855;

						BgL_arg1820z00_8855 = (BgL_objectz00_bglt) (BgL_objz00_247);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 768 */
								long BgL_idxz00_8856;

								BgL_idxz00_8856 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8855);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8856 + ((long) 3))) == BgL_classz00_8854);
							}
						else
							{	/* SawMill/defs.sch 768 */
								bool_t BgL_res3061z00_8859;

								{	/* SawMill/defs.sch 768 */
									obj_t BgL_oclassz00_8860;

									{	/* SawMill/defs.sch 768 */
										long BgL_arg1828z00_8861;

										{	/* SawMill/defs.sch 768 */
											long BgL_arg1829z00_8862;

											BgL_arg1829z00_8862 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8855);
											BgL_arg1828z00_8861 = (BgL_arg1829z00_8862 - OBJECT_TYPE);
										}
										BgL_oclassz00_8860 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8861);
									}
									{	/* SawMill/defs.sch 768 */
										bool_t BgL__ortest_1111z00_8863;

										BgL__ortest_1111z00_8863 =
											(BgL_classz00_8854 == BgL_oclassz00_8860);
										if (BgL__ortest_1111z00_8863)
											{	/* SawMill/defs.sch 768 */
												BgL_res3061z00_8859 = BgL__ortest_1111z00_8863;
											}
										else
											{	/* SawMill/defs.sch 768 */
												long BgL_odepthz00_8864;

												BgL_odepthz00_8864 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8860);
												if ((((long) 3) < BgL_odepthz00_8864))
													{	/* SawMill/defs.sch 768 */
														obj_t BgL_arg1816z00_8865;

														BgL_arg1816z00_8865 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8860,
															((long) 3));
														BgL_res3061z00_8859 =
															(BgL_arg1816z00_8865 == BgL_classz00_8854);
													}
												else
													{	/* SawMill/defs.sch 768 */
														BgL_res3061z00_8859 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3061z00_8859;
							}
					}
				else
					{	/* SawMill/defs.sch 768 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_instanceof? */
	obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t BgL_envz00_7133,
		obj_t BgL_objz00_7134)
	{
		{	/* SawMill/defs.sch 768 */
			return BBOOL(BGl_rtl_instanceofzf3zf3zzsaw_defsz00(BgL_objz00_7134));
		}

	}



/* rtl_instanceof-nil */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 769 */
			{	/* SawMill/defs.sch 769 */
				obj_t BgL_classz00_5162;

				BgL_classz00_5162 = BGl_rtl_instanceofz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 769 */
					obj_t BgL__ortest_1113z00_5163;

					BgL__ortest_1113z00_5163 = BGL_CLASS_NIL(BgL_classz00_5162);
					if (CBOOL(BgL__ortest_1113z00_5163))
						{	/* SawMill/defs.sch 769 */
							return ((BgL_rtl_instanceofz00_bglt) BgL__ortest_1113z00_5163);
						}
					else
						{	/* SawMill/defs.sch 769 */
							return
								((BgL_rtl_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5162));
						}
				}
			}
		}

	}



/* &rtl_instanceof-nil */
	BgL_rtl_instanceofz00_bglt BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7135)
	{
		{	/* SawMill/defs.sch 769 */
			return BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_248)
	{
		{	/* SawMill/defs.sch 770 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_248))->BgL_typez00);
		}

	}



/* &rtl_instanceof-type */
	BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7136, obj_t BgL_oz00_7137)
	{
		{	/* SawMill/defs.sch 770 */
			return
				BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7137));
		}

	}



/* rtl_instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt BgL_oz00_249, BgL_typez00_bglt BgL_vz00_250)
	{
		{	/* SawMill/defs.sch 771 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_249))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_250), BUNSPEC);
		}

	}



/* &rtl_instanceof-type-set! */
	obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7138, obj_t BgL_oz00_7139, obj_t BgL_vz00_7140)
	{
		{	/* SawMill/defs.sch 771 */
			return
				BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7139),
				((BgL_typez00_bglt) BgL_vz00_7140));
		}

	}



/* rtl_instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_251)
	{
		{	/* SawMill/defs.sch 772 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_251)))->BgL_locz00);
		}

	}



/* &rtl_instanceof-loc */
	obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142)
	{
		{	/* SawMill/defs.sch 772 */
			return
				BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7142));
		}

	}



/* rtl_instanceof-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_252, obj_t BgL_vz00_253)
	{
		{	/* SawMill/defs.sch 773 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_252)))->BgL_locz00) =
				((obj_t) BgL_vz00_253), BUNSPEC);
		}

	}



/* &rtl_instanceof-loc-set! */
	obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7143, obj_t BgL_oz00_7144, obj_t BgL_vz00_7145)
	{
		{	/* SawMill/defs.sch 773 */
			return
				BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_7144), BgL_vz00_7145);
		}

	}



/* make-rtl_makebox */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t BgL_loc1413z00_254)
	{
		{	/* SawMill/defs.sch 776 */
			{	/* SawMill/defs.sch 776 */
				BgL_rtl_makeboxz00_bglt BgL_new1400z00_8866;

				{	/* SawMill/defs.sch 776 */
					BgL_rtl_makeboxz00_bglt BgL_new1399z00_8867;

					BgL_new1399z00_8867 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.sch 776 */
						long BgL_arg1868z00_8868;

						BgL_arg1868z00_8868 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1399z00_8867), BgL_arg1868z00_8868);
					}
					BgL_new1400z00_8866 = BgL_new1399z00_8867;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1400z00_8866)))->BgL_locz00) =
					((obj_t) BgL_loc1413z00_254), BUNSPEC);
				return BgL_new1400z00_8866;
			}
		}

	}



/* &make-rtl_makebox */
	BgL_rtl_makeboxz00_bglt BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t
		BgL_envz00_7146, obj_t BgL_loc1413z00_7147)
	{
		{	/* SawMill/defs.sch 776 */
			return BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(BgL_loc1413z00_7147);
		}

	}



/* rtl_makebox? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_255)
	{
		{	/* SawMill/defs.sch 777 */
			{	/* SawMill/defs.sch 777 */
				obj_t BgL_classz00_8869;

				BgL_classz00_8869 = BGl_rtl_makeboxz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_255))
					{	/* SawMill/defs.sch 777 */
						BgL_objectz00_bglt BgL_arg1820z00_8870;

						BgL_arg1820z00_8870 = (BgL_objectz00_bglt) (BgL_objz00_255);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 777 */
								long BgL_idxz00_8871;

								BgL_idxz00_8871 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8870);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8871 + ((long) 3))) == BgL_classz00_8869);
							}
						else
							{	/* SawMill/defs.sch 777 */
								bool_t BgL_res3062z00_8874;

								{	/* SawMill/defs.sch 777 */
									obj_t BgL_oclassz00_8875;

									{	/* SawMill/defs.sch 777 */
										long BgL_arg1828z00_8876;

										{	/* SawMill/defs.sch 777 */
											long BgL_arg1829z00_8877;

											BgL_arg1829z00_8877 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8870);
											BgL_arg1828z00_8876 = (BgL_arg1829z00_8877 - OBJECT_TYPE);
										}
										BgL_oclassz00_8875 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8876);
									}
									{	/* SawMill/defs.sch 777 */
										bool_t BgL__ortest_1111z00_8878;

										BgL__ortest_1111z00_8878 =
											(BgL_classz00_8869 == BgL_oclassz00_8875);
										if (BgL__ortest_1111z00_8878)
											{	/* SawMill/defs.sch 777 */
												BgL_res3062z00_8874 = BgL__ortest_1111z00_8878;
											}
										else
											{	/* SawMill/defs.sch 777 */
												long BgL_odepthz00_8879;

												BgL_odepthz00_8879 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8875);
												if ((((long) 3) < BgL_odepthz00_8879))
													{	/* SawMill/defs.sch 777 */
														obj_t BgL_arg1816z00_8880;

														BgL_arg1816z00_8880 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8875,
															((long) 3));
														BgL_res3062z00_8874 =
															(BgL_arg1816z00_8880 == BgL_classz00_8869);
													}
												else
													{	/* SawMill/defs.sch 777 */
														BgL_res3062z00_8874 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3062z00_8874;
							}
					}
				else
					{	/* SawMill/defs.sch 777 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_makebox? */
	obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t BgL_envz00_7148,
		obj_t BgL_objz00_7149)
	{
		{	/* SawMill/defs.sch 777 */
			return BBOOL(BGl_rtl_makeboxzf3zf3zzsaw_defsz00(BgL_objz00_7149));
		}

	}



/* rtl_makebox-nil */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 778 */
			{	/* SawMill/defs.sch 778 */
				obj_t BgL_classz00_5201;

				BgL_classz00_5201 = BGl_rtl_makeboxz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 778 */
					obj_t BgL__ortest_1113z00_5202;

					BgL__ortest_1113z00_5202 = BGL_CLASS_NIL(BgL_classz00_5201);
					if (CBOOL(BgL__ortest_1113z00_5202))
						{	/* SawMill/defs.sch 778 */
							return ((BgL_rtl_makeboxz00_bglt) BgL__ortest_1113z00_5202);
						}
					else
						{	/* SawMill/defs.sch 778 */
							return
								((BgL_rtl_makeboxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5201));
						}
				}
			}
		}

	}



/* &rtl_makebox-nil */
	BgL_rtl_makeboxz00_bglt BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7150)
	{
		{	/* SawMill/defs.sch 778 */
			return BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_makebox-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt BgL_oz00_256)
	{
		{	/* SawMill/defs.sch 779 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_256)))->BgL_locz00);
		}

	}



/* &rtl_makebox-loc */
	obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7151,
		obj_t BgL_oz00_7152)
	{
		{	/* SawMill/defs.sch 779 */
			return
				BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7152));
		}

	}



/* rtl_makebox-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt
		BgL_oz00_257, obj_t BgL_vz00_258)
	{
		{	/* SawMill/defs.sch 780 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_257)))->BgL_locz00) =
				((obj_t) BgL_vz00_258), BUNSPEC);
		}

	}



/* &rtl_makebox-loc-set! */
	obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7153,
		obj_t BgL_oz00_7154, obj_t BgL_vz00_7155)
	{
		{	/* SawMill/defs.sch 780 */
			return
				BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_7154), BgL_vz00_7155);
		}

	}



/* make-rtl_boxref */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t BgL_loc1410z00_259)
	{
		{	/* SawMill/defs.sch 783 */
			{	/* SawMill/defs.sch 783 */
				BgL_rtl_boxrefz00_bglt BgL_new1402z00_8881;

				{	/* SawMill/defs.sch 783 */
					BgL_rtl_boxrefz00_bglt BgL_new1401z00_8882;

					BgL_new1401z00_8882 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.sch 783 */
						long BgL_arg1870z00_8883;

						BgL_arg1870z00_8883 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1401z00_8882), BgL_arg1870z00_8883);
					}
					BgL_new1402z00_8881 = BgL_new1401z00_8882;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1402z00_8881)))->BgL_locz00) =
					((obj_t) BgL_loc1410z00_259), BUNSPEC);
				return BgL_new1402z00_8881;
			}
		}

	}



/* &make-rtl_boxref */
	BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_7156, obj_t BgL_loc1410z00_7157)
	{
		{	/* SawMill/defs.sch 783 */
			return BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(BgL_loc1410z00_7157);
		}

	}



/* rtl_boxref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_260)
	{
		{	/* SawMill/defs.sch 784 */
			{	/* SawMill/defs.sch 784 */
				obj_t BgL_classz00_8884;

				BgL_classz00_8884 = BGl_rtl_boxrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_260))
					{	/* SawMill/defs.sch 784 */
						BgL_objectz00_bglt BgL_arg1820z00_8885;

						BgL_arg1820z00_8885 = (BgL_objectz00_bglt) (BgL_objz00_260);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 784 */
								long BgL_idxz00_8886;

								BgL_idxz00_8886 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8885);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8886 + ((long) 3))) == BgL_classz00_8884);
							}
						else
							{	/* SawMill/defs.sch 784 */
								bool_t BgL_res3063z00_8889;

								{	/* SawMill/defs.sch 784 */
									obj_t BgL_oclassz00_8890;

									{	/* SawMill/defs.sch 784 */
										long BgL_arg1828z00_8891;

										{	/* SawMill/defs.sch 784 */
											long BgL_arg1829z00_8892;

											BgL_arg1829z00_8892 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8885);
											BgL_arg1828z00_8891 = (BgL_arg1829z00_8892 - OBJECT_TYPE);
										}
										BgL_oclassz00_8890 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8891);
									}
									{	/* SawMill/defs.sch 784 */
										bool_t BgL__ortest_1111z00_8893;

										BgL__ortest_1111z00_8893 =
											(BgL_classz00_8884 == BgL_oclassz00_8890);
										if (BgL__ortest_1111z00_8893)
											{	/* SawMill/defs.sch 784 */
												BgL_res3063z00_8889 = BgL__ortest_1111z00_8893;
											}
										else
											{	/* SawMill/defs.sch 784 */
												long BgL_odepthz00_8894;

												BgL_odepthz00_8894 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8890);
												if ((((long) 3) < BgL_odepthz00_8894))
													{	/* SawMill/defs.sch 784 */
														obj_t BgL_arg1816z00_8895;

														BgL_arg1816z00_8895 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8890,
															((long) 3));
														BgL_res3063z00_8889 =
															(BgL_arg1816z00_8895 == BgL_classz00_8884);
													}
												else
													{	/* SawMill/defs.sch 784 */
														BgL_res3063z00_8889 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3063z00_8889;
							}
					}
				else
					{	/* SawMill/defs.sch 784 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxref? */
	obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_7158,
		obj_t BgL_objz00_7159)
	{
		{	/* SawMill/defs.sch 784 */
			return BBOOL(BGl_rtl_boxrefzf3zf3zzsaw_defsz00(BgL_objz00_7159));
		}

	}



/* rtl_boxref-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 785 */
			{	/* SawMill/defs.sch 785 */
				obj_t BgL_classz00_5240;

				BgL_classz00_5240 = BGl_rtl_boxrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 785 */
					obj_t BgL__ortest_1113z00_5241;

					BgL__ortest_1113z00_5241 = BGL_CLASS_NIL(BgL_classz00_5240);
					if (CBOOL(BgL__ortest_1113z00_5241))
						{	/* SawMill/defs.sch 785 */
							return ((BgL_rtl_boxrefz00_bglt) BgL__ortest_1113z00_5241);
						}
					else
						{	/* SawMill/defs.sch 785 */
							return
								((BgL_rtl_boxrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5240));
						}
				}
			}
		}

	}



/* &rtl_boxref-nil */
	BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7160)
	{
		{	/* SawMill/defs.sch 785 */
			return BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt BgL_oz00_261)
	{
		{	/* SawMill/defs.sch 786 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_261)))->BgL_locz00);
		}

	}



/* &rtl_boxref-loc */
	obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7161,
		obj_t BgL_oz00_7162)
	{
		{	/* SawMill/defs.sch 786 */
			return
				BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7162));
		}

	}



/* rtl_boxref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt
		BgL_oz00_262, obj_t BgL_vz00_263)
	{
		{	/* SawMill/defs.sch 787 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_262)))->BgL_locz00) =
				((obj_t) BgL_vz00_263), BUNSPEC);
		}

	}



/* &rtl_boxref-loc-set! */
	obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7163,
		obj_t BgL_oz00_7164, obj_t BgL_vz00_7165)
	{
		{	/* SawMill/defs.sch 787 */
			return
				BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_7164), BgL_vz00_7165);
		}

	}



/* make-rtl_effect */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t BgL_loc1407z00_264)
	{
		{	/* SawMill/defs.sch 790 */
			{	/* SawMill/defs.sch 790 */
				BgL_rtl_effectz00_bglt BgL_new1404z00_8896;

				{	/* SawMill/defs.sch 790 */
					BgL_rtl_effectz00_bglt BgL_new1403z00_8897;

					BgL_new1403z00_8897 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.sch 790 */
						long BgL_arg1871z00_8898;

						BgL_arg1871z00_8898 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1403z00_8897), BgL_arg1871z00_8898);
					}
					BgL_new1404z00_8896 = BgL_new1403z00_8897;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1404z00_8896)))->BgL_locz00) =
					((obj_t) BgL_loc1407z00_264), BUNSPEC);
				return BgL_new1404z00_8896;
			}
		}

	}



/* &make-rtl_effect */
	BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7166, obj_t BgL_loc1407z00_7167)
	{
		{	/* SawMill/defs.sch 790 */
			return BGl_makezd2rtl_effectzd2zzsaw_defsz00(BgL_loc1407z00_7167);
		}

	}



/* rtl_effect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_265)
	{
		{	/* SawMill/defs.sch 791 */
			{	/* SawMill/defs.sch 791 */
				obj_t BgL_classz00_8899;

				BgL_classz00_8899 = BGl_rtl_effectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_265))
					{	/* SawMill/defs.sch 791 */
						BgL_objectz00_bglt BgL_arg1820z00_8900;

						BgL_arg1820z00_8900 = (BgL_objectz00_bglt) (BgL_objz00_265);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 791 */
								long BgL_idxz00_8901;

								BgL_idxz00_8901 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8900);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8901 + ((long) 2))) == BgL_classz00_8899);
							}
						else
							{	/* SawMill/defs.sch 791 */
								bool_t BgL_res3064z00_8904;

								{	/* SawMill/defs.sch 791 */
									obj_t BgL_oclassz00_8905;

									{	/* SawMill/defs.sch 791 */
										long BgL_arg1828z00_8906;

										{	/* SawMill/defs.sch 791 */
											long BgL_arg1829z00_8907;

											BgL_arg1829z00_8907 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8900);
											BgL_arg1828z00_8906 = (BgL_arg1829z00_8907 - OBJECT_TYPE);
										}
										BgL_oclassz00_8905 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8906);
									}
									{	/* SawMill/defs.sch 791 */
										bool_t BgL__ortest_1111z00_8908;

										BgL__ortest_1111z00_8908 =
											(BgL_classz00_8899 == BgL_oclassz00_8905);
										if (BgL__ortest_1111z00_8908)
											{	/* SawMill/defs.sch 791 */
												BgL_res3064z00_8904 = BgL__ortest_1111z00_8908;
											}
										else
											{	/* SawMill/defs.sch 791 */
												long BgL_odepthz00_8909;

												BgL_odepthz00_8909 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8905);
												if ((((long) 2) < BgL_odepthz00_8909))
													{	/* SawMill/defs.sch 791 */
														obj_t BgL_arg1816z00_8910;

														BgL_arg1816z00_8910 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8905,
															((long) 2));
														BgL_res3064z00_8904 =
															(BgL_arg1816z00_8910 == BgL_classz00_8899);
													}
												else
													{	/* SawMill/defs.sch 791 */
														BgL_res3064z00_8904 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3064z00_8904;
							}
					}
				else
					{	/* SawMill/defs.sch 791 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_effect? */
	obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7168,
		obj_t BgL_objz00_7169)
	{
		{	/* SawMill/defs.sch 791 */
			return BBOOL(BGl_rtl_effectzf3zf3zzsaw_defsz00(BgL_objz00_7169));
		}

	}



/* rtl_effect-nil */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 792 */
			{	/* SawMill/defs.sch 792 */
				obj_t BgL_classz00_5279;

				BgL_classz00_5279 = BGl_rtl_effectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 792 */
					obj_t BgL__ortest_1113z00_5280;

					BgL__ortest_1113z00_5280 = BGL_CLASS_NIL(BgL_classz00_5279);
					if (CBOOL(BgL__ortest_1113z00_5280))
						{	/* SawMill/defs.sch 792 */
							return ((BgL_rtl_effectz00_bglt) BgL__ortest_1113z00_5280);
						}
					else
						{	/* SawMill/defs.sch 792 */
							return
								((BgL_rtl_effectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5279));
						}
				}
			}
		}

	}



/* &rtl_effect-nil */
	BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7170)
	{
		{	/* SawMill/defs.sch 792 */
			return BGl_rtl_effectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt BgL_oz00_266)
	{
		{	/* SawMill/defs.sch 793 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_266)))->BgL_locz00);
		}

	}



/* &rtl_effect-loc */
	obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7171,
		obj_t BgL_oz00_7172)
	{
		{	/* SawMill/defs.sch 793 */
			return
				BGl_rtl_effectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7172));
		}

	}



/* rtl_effect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt
		BgL_oz00_267, obj_t BgL_vz00_268)
	{
		{	/* SawMill/defs.sch 794 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_267)))->BgL_locz00) =
				((obj_t) BgL_vz00_268), BUNSPEC);
		}

	}



/* &rtl_effect-loc-set! */
	obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7173,
		obj_t BgL_oz00_7174, obj_t BgL_vz00_7175)
	{
		{	/* SawMill/defs.sch 794 */
			return
				BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_7174), BgL_vz00_7175);
		}

	}



/* make-rtl_storeg */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t BgL_loc1404z00_269,
		BgL_globalz00_bglt BgL_var1405z00_270)
	{
		{	/* SawMill/defs.sch 797 */
			{	/* SawMill/defs.sch 797 */
				BgL_rtl_storegz00_bglt BgL_new1407z00_8911;

				{	/* SawMill/defs.sch 797 */
					BgL_rtl_storegz00_bglt BgL_new1405z00_8912;

					BgL_new1405z00_8912 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.sch 797 */
						long BgL_arg1873z00_8913;

						BgL_arg1873z00_8913 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1405z00_8912), BgL_arg1873z00_8913);
					}
					BgL_new1407z00_8911 = BgL_new1405z00_8912;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1407z00_8911)))->BgL_locz00) =
					((obj_t) BgL_loc1404z00_269), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1407z00_8911))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1405z00_270), BUNSPEC);
				return BgL_new1407z00_8911;
			}
		}

	}



/* &make-rtl_storeg */
	BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t
		BgL_envz00_7176, obj_t BgL_loc1404z00_7177, obj_t BgL_var1405z00_7178)
	{
		{	/* SawMill/defs.sch 797 */
			return
				BGl_makezd2rtl_storegzd2zzsaw_defsz00(BgL_loc1404z00_7177,
				((BgL_globalz00_bglt) BgL_var1405z00_7178));
		}

	}



/* rtl_storeg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_271)
	{
		{	/* SawMill/defs.sch 798 */
			{	/* SawMill/defs.sch 798 */
				obj_t BgL_classz00_8914;

				BgL_classz00_8914 = BGl_rtl_storegz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_271))
					{	/* SawMill/defs.sch 798 */
						BgL_objectz00_bglt BgL_arg1820z00_8915;

						BgL_arg1820z00_8915 = (BgL_objectz00_bglt) (BgL_objz00_271);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 798 */
								long BgL_idxz00_8916;

								BgL_idxz00_8916 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8915);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8916 + ((long) 3))) == BgL_classz00_8914);
							}
						else
							{	/* SawMill/defs.sch 798 */
								bool_t BgL_res3065z00_8919;

								{	/* SawMill/defs.sch 798 */
									obj_t BgL_oclassz00_8920;

									{	/* SawMill/defs.sch 798 */
										long BgL_arg1828z00_8921;

										{	/* SawMill/defs.sch 798 */
											long BgL_arg1829z00_8922;

											BgL_arg1829z00_8922 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8915);
											BgL_arg1828z00_8921 = (BgL_arg1829z00_8922 - OBJECT_TYPE);
										}
										BgL_oclassz00_8920 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8921);
									}
									{	/* SawMill/defs.sch 798 */
										bool_t BgL__ortest_1111z00_8923;

										BgL__ortest_1111z00_8923 =
											(BgL_classz00_8914 == BgL_oclassz00_8920);
										if (BgL__ortest_1111z00_8923)
											{	/* SawMill/defs.sch 798 */
												BgL_res3065z00_8919 = BgL__ortest_1111z00_8923;
											}
										else
											{	/* SawMill/defs.sch 798 */
												long BgL_odepthz00_8924;

												BgL_odepthz00_8924 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8920);
												if ((((long) 3) < BgL_odepthz00_8924))
													{	/* SawMill/defs.sch 798 */
														obj_t BgL_arg1816z00_8925;

														BgL_arg1816z00_8925 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8920,
															((long) 3));
														BgL_res3065z00_8919 =
															(BgL_arg1816z00_8925 == BgL_classz00_8914);
													}
												else
													{	/* SawMill/defs.sch 798 */
														BgL_res3065z00_8919 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3065z00_8919;
							}
					}
				else
					{	/* SawMill/defs.sch 798 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_storeg? */
	obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t BgL_envz00_7179,
		obj_t BgL_objz00_7180)
	{
		{	/* SawMill/defs.sch 798 */
			return BBOOL(BGl_rtl_storegzf3zf3zzsaw_defsz00(BgL_objz00_7180));
		}

	}



/* rtl_storeg-nil */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 799 */
			{	/* SawMill/defs.sch 799 */
				obj_t BgL_classz00_5318;

				BgL_classz00_5318 = BGl_rtl_storegz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 799 */
					obj_t BgL__ortest_1113z00_5319;

					BgL__ortest_1113z00_5319 = BGL_CLASS_NIL(BgL_classz00_5318);
					if (CBOOL(BgL__ortest_1113z00_5319))
						{	/* SawMill/defs.sch 799 */
							return ((BgL_rtl_storegz00_bglt) BgL__ortest_1113z00_5319);
						}
					else
						{	/* SawMill/defs.sch 799 */
							return
								((BgL_rtl_storegz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5318));
						}
				}
			}
		}

	}



/* &rtl_storeg-nil */
	BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7181)
	{
		{	/* SawMill/defs.sch 799 */
			return BGl_rtl_storegzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_storeg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_272)
	{
		{	/* SawMill/defs.sch 800 */
			return (((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_272))->BgL_varz00);
		}

	}



/* &rtl_storeg-var */
	BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7182, obj_t BgL_oz00_7183)
	{
		{	/* SawMill/defs.sch 800 */
			return
				BGl_rtl_storegzd2varzd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7183));
		}

	}



/* rtl_storeg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_273, BgL_globalz00_bglt BgL_vz00_274)
	{
		{	/* SawMill/defs.sch 801 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_273))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_274), BUNSPEC);
		}

	}



/* &rtl_storeg-var-set! */
	obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7184,
		obj_t BgL_oz00_7185, obj_t BgL_vz00_7186)
	{
		{	/* SawMill/defs.sch 801 */
			return
				BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7185),
				((BgL_globalz00_bglt) BgL_vz00_7186));
		}

	}



/* rtl_storeg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_275)
	{
		{	/* SawMill/defs.sch 802 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_275)))->BgL_locz00);
		}

	}



/* &rtl_storeg-loc */
	obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7187,
		obj_t BgL_oz00_7188)
	{
		{	/* SawMill/defs.sch 802 */
			return
				BGl_rtl_storegzd2loczd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7188));
		}

	}



/* rtl_storeg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* SawMill/defs.sch 803 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_276)))->BgL_locz00) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &rtl_storeg-loc-set! */
	obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7189,
		obj_t BgL_oz00_7190, obj_t BgL_vz00_7191)
	{
		{	/* SawMill/defs.sch 803 */
			return
				BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_7190), BgL_vz00_7191);
		}

	}



/* make-rtl_setfield */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t BgL_loc1399z00_278,
		obj_t BgL_name1400z00_279, BgL_typez00_bglt BgL_objtype1401z00_280,
		BgL_typez00_bglt BgL_type1402z00_281)
	{
		{	/* SawMill/defs.sch 806 */
			{	/* SawMill/defs.sch 806 */
				BgL_rtl_setfieldz00_bglt BgL_new1409z00_8926;

				{	/* SawMill/defs.sch 806 */
					BgL_rtl_setfieldz00_bglt BgL_new1408z00_8927;

					BgL_new1408z00_8927 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.sch 806 */
						long BgL_arg1874z00_8928;

						BgL_arg1874z00_8928 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1408z00_8927), BgL_arg1874z00_8928);
					}
					BgL_new1409z00_8926 = BgL_new1408z00_8927;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1409z00_8926)))->BgL_locz00) =
					((obj_t) BgL_loc1399z00_278), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1409z00_8926))->
						BgL_namez00) = ((obj_t) BgL_name1400z00_279), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1409z00_8926))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1401z00_280), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1409z00_8926))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1402z00_281), BUNSPEC);
				return BgL_new1409z00_8926;
			}
		}

	}



/* &make-rtl_setfield */
	BgL_rtl_setfieldz00_bglt BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_7192, obj_t BgL_loc1399z00_7193, obj_t BgL_name1400z00_7194,
		obj_t BgL_objtype1401z00_7195, obj_t BgL_type1402z00_7196)
	{
		{	/* SawMill/defs.sch 806 */
			return
				BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(BgL_loc1399z00_7193,
				BgL_name1400z00_7194, ((BgL_typez00_bglt) BgL_objtype1401z00_7195),
				((BgL_typez00_bglt) BgL_type1402z00_7196));
		}

	}



/* rtl_setfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_282)
	{
		{	/* SawMill/defs.sch 807 */
			{	/* SawMill/defs.sch 807 */
				obj_t BgL_classz00_8929;

				BgL_classz00_8929 = BGl_rtl_setfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_282))
					{	/* SawMill/defs.sch 807 */
						BgL_objectz00_bglt BgL_arg1820z00_8930;

						BgL_arg1820z00_8930 = (BgL_objectz00_bglt) (BgL_objz00_282);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 807 */
								long BgL_idxz00_8931;

								BgL_idxz00_8931 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8930);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8931 + ((long) 3))) == BgL_classz00_8929);
							}
						else
							{	/* SawMill/defs.sch 807 */
								bool_t BgL_res3066z00_8934;

								{	/* SawMill/defs.sch 807 */
									obj_t BgL_oclassz00_8935;

									{	/* SawMill/defs.sch 807 */
										long BgL_arg1828z00_8936;

										{	/* SawMill/defs.sch 807 */
											long BgL_arg1829z00_8937;

											BgL_arg1829z00_8937 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8930);
											BgL_arg1828z00_8936 = (BgL_arg1829z00_8937 - OBJECT_TYPE);
										}
										BgL_oclassz00_8935 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8936);
									}
									{	/* SawMill/defs.sch 807 */
										bool_t BgL__ortest_1111z00_8938;

										BgL__ortest_1111z00_8938 =
											(BgL_classz00_8929 == BgL_oclassz00_8935);
										if (BgL__ortest_1111z00_8938)
											{	/* SawMill/defs.sch 807 */
												BgL_res3066z00_8934 = BgL__ortest_1111z00_8938;
											}
										else
											{	/* SawMill/defs.sch 807 */
												long BgL_odepthz00_8939;

												BgL_odepthz00_8939 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8935);
												if ((((long) 3) < BgL_odepthz00_8939))
													{	/* SawMill/defs.sch 807 */
														obj_t BgL_arg1816z00_8940;

														BgL_arg1816z00_8940 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8935,
															((long) 3));
														BgL_res3066z00_8934 =
															(BgL_arg1816z00_8940 == BgL_classz00_8929);
													}
												else
													{	/* SawMill/defs.sch 807 */
														BgL_res3066z00_8934 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3066z00_8934;
							}
					}
				else
					{	/* SawMill/defs.sch 807 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_setfield? */
	obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_7197,
		obj_t BgL_objz00_7198)
	{
		{	/* SawMill/defs.sch 807 */
			return BBOOL(BGl_rtl_setfieldzf3zf3zzsaw_defsz00(BgL_objz00_7198));
		}

	}



/* rtl_setfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 808 */
			{	/* SawMill/defs.sch 808 */
				obj_t BgL_classz00_5357;

				BgL_classz00_5357 = BGl_rtl_setfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 808 */
					obj_t BgL__ortest_1113z00_5358;

					BgL__ortest_1113z00_5358 = BGL_CLASS_NIL(BgL_classz00_5357);
					if (CBOOL(BgL__ortest_1113z00_5358))
						{	/* SawMill/defs.sch 808 */
							return ((BgL_rtl_setfieldz00_bglt) BgL__ortest_1113z00_5358);
						}
					else
						{	/* SawMill/defs.sch 808 */
							return
								((BgL_rtl_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5357));
						}
				}
			}
		}

	}



/* &rtl_setfield-nil */
	BgL_rtl_setfieldz00_bglt BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7199)
	{
		{	/* SawMill/defs.sch 808 */
			return BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_283)
	{
		{	/* SawMill/defs.sch 809 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_283))->BgL_typez00);
		}

	}



/* &rtl_setfield-type */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7200, obj_t BgL_oz00_7201)
	{
		{	/* SawMill/defs.sch 809 */
			return
				BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7201));
		}

	}



/* rtl_setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_284, BgL_typez00_bglt BgL_vz00_285)
	{
		{	/* SawMill/defs.sch 810 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_284))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_285), BUNSPEC);
		}

	}



/* &rtl_setfield-type-set! */
	obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7202, obj_t BgL_oz00_7203, obj_t BgL_vz00_7204)
	{
		{	/* SawMill/defs.sch 810 */
			return
				BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7203),
				((BgL_typez00_bglt) BgL_vz00_7204));
		}

	}



/* rtl_setfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_286)
	{
		{	/* SawMill/defs.sch 811 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_286))->BgL_objtypez00);
		}

	}



/* &rtl_setfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7205, obj_t BgL_oz00_7206)
	{
		{	/* SawMill/defs.sch 811 */
			return
				BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7206));
		}

	}



/* rtl_setfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_287, BgL_typez00_bglt BgL_vz00_288)
	{
		{	/* SawMill/defs.sch 812 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_287))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_288), BUNSPEC);
		}

	}



/* &rtl_setfield-objtype-set! */
	obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7207, obj_t BgL_oz00_7208, obj_t BgL_vz00_7209)
	{
		{	/* SawMill/defs.sch 812 */
			return
				BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7208),
				((BgL_typez00_bglt) BgL_vz00_7209));
		}

	}



/* rtl_setfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_289)
	{
		{	/* SawMill/defs.sch 813 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_289))->BgL_namez00);
		}

	}



/* &rtl_setfield-name */
	obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7210,
		obj_t BgL_oz00_7211)
	{
		{	/* SawMill/defs.sch 813 */
			return
				BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7211));
		}

	}



/* rtl_setfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_290, obj_t BgL_vz00_291)
	{
		{	/* SawMill/defs.sch 814 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_290))->BgL_namez00) =
				((obj_t) BgL_vz00_291), BUNSPEC);
		}

	}



/* &rtl_setfield-name-set! */
	obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7212, obj_t BgL_oz00_7213, obj_t BgL_vz00_7214)
	{
		{	/* SawMill/defs.sch 814 */
			return
				BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7213), BgL_vz00_7214);
		}

	}



/* rtl_setfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_292)
	{
		{	/* SawMill/defs.sch 815 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_292)))->BgL_locz00);
		}

	}



/* &rtl_setfield-loc */
	obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7215,
		obj_t BgL_oz00_7216)
	{
		{	/* SawMill/defs.sch 815 */
			return
				BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7216));
		}

	}



/* rtl_setfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_293, obj_t BgL_vz00_294)
	{
		{	/* SawMill/defs.sch 816 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_293)))->BgL_locz00) =
				((obj_t) BgL_vz00_294), BUNSPEC);
		}

	}



/* &rtl_setfield-loc-set! */
	obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7217, obj_t BgL_oz00_7218, obj_t BgL_vz00_7219)
	{
		{	/* SawMill/defs.sch 816 */
			return
				BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_7218), BgL_vz00_7219);
		}

	}



/* make-rtl_vset */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t BgL_loc1395z00_295,
		BgL_typez00_bglt BgL_type1396z00_296, BgL_typez00_bglt BgL_vtype1397z00_297)
	{
		{	/* SawMill/defs.sch 819 */
			{	/* SawMill/defs.sch 819 */
				BgL_rtl_vsetz00_bglt BgL_new1411z00_8941;

				{	/* SawMill/defs.sch 819 */
					BgL_rtl_vsetz00_bglt BgL_new1410z00_8942;

					BgL_new1410z00_8942 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.sch 819 */
						long BgL_arg1875z00_8943;

						BgL_arg1875z00_8943 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1410z00_8942), BgL_arg1875z00_8943);
					}
					BgL_new1411z00_8941 = BgL_new1410z00_8942;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1411z00_8941)))->BgL_locz00) =
					((obj_t) BgL_loc1395z00_295), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1411z00_8941))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1396z00_296), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1411z00_8941))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1397z00_297), BUNSPEC);
				return BgL_new1411z00_8941;
			}
		}

	}



/* &make-rtl_vset */
	BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7220, obj_t BgL_loc1395z00_7221, obj_t BgL_type1396z00_7222,
		obj_t BgL_vtype1397z00_7223)
	{
		{	/* SawMill/defs.sch 819 */
			return
				BGl_makezd2rtl_vsetzd2zzsaw_defsz00(BgL_loc1395z00_7221,
				((BgL_typez00_bglt) BgL_type1396z00_7222),
				((BgL_typez00_bglt) BgL_vtype1397z00_7223));
		}

	}



/* rtl_vset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t BgL_objz00_298)
	{
		{	/* SawMill/defs.sch 820 */
			{	/* SawMill/defs.sch 820 */
				obj_t BgL_classz00_8944;

				BgL_classz00_8944 = BGl_rtl_vsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_298))
					{	/* SawMill/defs.sch 820 */
						BgL_objectz00_bglt BgL_arg1820z00_8945;

						BgL_arg1820z00_8945 = (BgL_objectz00_bglt) (BgL_objz00_298);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 820 */
								long BgL_idxz00_8946;

								BgL_idxz00_8946 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8945);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8946 + ((long) 3))) == BgL_classz00_8944);
							}
						else
							{	/* SawMill/defs.sch 820 */
								bool_t BgL_res3067z00_8949;

								{	/* SawMill/defs.sch 820 */
									obj_t BgL_oclassz00_8950;

									{	/* SawMill/defs.sch 820 */
										long BgL_arg1828z00_8951;

										{	/* SawMill/defs.sch 820 */
											long BgL_arg1829z00_8952;

											BgL_arg1829z00_8952 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8945);
											BgL_arg1828z00_8951 = (BgL_arg1829z00_8952 - OBJECT_TYPE);
										}
										BgL_oclassz00_8950 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8951);
									}
									{	/* SawMill/defs.sch 820 */
										bool_t BgL__ortest_1111z00_8953;

										BgL__ortest_1111z00_8953 =
											(BgL_classz00_8944 == BgL_oclassz00_8950);
										if (BgL__ortest_1111z00_8953)
											{	/* SawMill/defs.sch 820 */
												BgL_res3067z00_8949 = BgL__ortest_1111z00_8953;
											}
										else
											{	/* SawMill/defs.sch 820 */
												long BgL_odepthz00_8954;

												BgL_odepthz00_8954 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8950);
												if ((((long) 3) < BgL_odepthz00_8954))
													{	/* SawMill/defs.sch 820 */
														obj_t BgL_arg1816z00_8955;

														BgL_arg1816z00_8955 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8950,
															((long) 3));
														BgL_res3067z00_8949 =
															(BgL_arg1816z00_8955 == BgL_classz00_8944);
													}
												else
													{	/* SawMill/defs.sch 820 */
														BgL_res3067z00_8949 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3067z00_8949;
							}
					}
				else
					{	/* SawMill/defs.sch 820 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vset? */
	obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7224,
		obj_t BgL_objz00_7225)
	{
		{	/* SawMill/defs.sch 820 */
			return BBOOL(BGl_rtl_vsetzf3zf3zzsaw_defsz00(BgL_objz00_7225));
		}

	}



/* rtl_vset-nil */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt BGl_rtl_vsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 821 */
			{	/* SawMill/defs.sch 821 */
				obj_t BgL_classz00_5396;

				BgL_classz00_5396 = BGl_rtl_vsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 821 */
					obj_t BgL__ortest_1113z00_5397;

					BgL__ortest_1113z00_5397 = BGL_CLASS_NIL(BgL_classz00_5396);
					if (CBOOL(BgL__ortest_1113z00_5397))
						{	/* SawMill/defs.sch 821 */
							return ((BgL_rtl_vsetz00_bglt) BgL__ortest_1113z00_5397);
						}
					else
						{	/* SawMill/defs.sch 821 */
							return
								((BgL_rtl_vsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5396));
						}
				}
			}
		}

	}



/* &rtl_vset-nil */
	BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7226)
	{
		{	/* SawMill/defs.sch 821 */
			return BGl_rtl_vsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vset-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_299)
	{
		{	/* SawMill/defs.sch 822 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_299))->BgL_vtypez00);
		}

	}



/* &rtl_vset-vtype */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7227, obj_t BgL_oz00_7228)
	{
		{	/* SawMill/defs.sch 822 */
			return
				BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7228));
		}

	}



/* rtl_vset-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_300, BgL_typez00_bglt BgL_vz00_301)
	{
		{	/* SawMill/defs.sch 823 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_300))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_301), BUNSPEC);
		}

	}



/* &rtl_vset-vtype-set! */
	obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7229,
		obj_t BgL_oz00_7230, obj_t BgL_vz00_7231)
	{
		{	/* SawMill/defs.sch 823 */
			return
				BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7230),
				((BgL_typez00_bglt) BgL_vz00_7231));
		}

	}



/* rtl_vset-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_302)
	{
		{	/* SawMill/defs.sch 824 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_302))->BgL_typez00);
		}

	}



/* &rtl_vset-type */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7232,
		obj_t BgL_oz00_7233)
	{
		{	/* SawMill/defs.sch 824 */
			return
				BGl_rtl_vsetzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7233));
		}

	}



/* rtl_vset-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_303, BgL_typez00_bglt BgL_vz00_304)
	{
		{	/* SawMill/defs.sch 825 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_303))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_304), BUNSPEC);
		}

	}



/* &rtl_vset-type-set! */
	obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7234,
		obj_t BgL_oz00_7235, obj_t BgL_vz00_7236)
	{
		{	/* SawMill/defs.sch 825 */
			return
				BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7235),
				((BgL_typez00_bglt) BgL_vz00_7236));
		}

	}



/* rtl_vset-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_305)
	{
		{	/* SawMill/defs.sch 826 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_305)))->BgL_locz00);
		}

	}



/* &rtl_vset-loc */
	obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7237,
		obj_t BgL_oz00_7238)
	{
		{	/* SawMill/defs.sch 826 */
			return
				BGl_rtl_vsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7238));
		}

	}



/* rtl_vset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_306, obj_t BgL_vz00_307)
	{
		{	/* SawMill/defs.sch 827 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_306)))->BgL_locz00) =
				((obj_t) BgL_vz00_307), BUNSPEC);
		}

	}



/* &rtl_vset-loc-set! */
	obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7239,
		obj_t BgL_oz00_7240, obj_t BgL_vz00_7241)
	{
		{	/* SawMill/defs.sch 827 */
			return
				BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7240), BgL_vz00_7241);
		}

	}



/* make-rtl_boxset */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t BgL_loc1392z00_308)
	{
		{	/* SawMill/defs.sch 830 */
			{	/* SawMill/defs.sch 830 */
				BgL_rtl_boxsetz00_bglt BgL_new1413z00_8956;

				{	/* SawMill/defs.sch 830 */
					BgL_rtl_boxsetz00_bglt BgL_new1412z00_8957;

					BgL_new1412z00_8957 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.sch 830 */
						long BgL_arg1876z00_8958;

						BgL_arg1876z00_8958 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1412z00_8957), BgL_arg1876z00_8958);
					}
					BgL_new1413z00_8956 = BgL_new1412z00_8957;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1413z00_8956)))->BgL_locz00) =
					((obj_t) BgL_loc1392z00_308), BUNSPEC);
				return BgL_new1413z00_8956;
			}
		}

	}



/* &make-rtl_boxset */
	BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7242, obj_t BgL_loc1392z00_7243)
	{
		{	/* SawMill/defs.sch 830 */
			return BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(BgL_loc1392z00_7243);
		}

	}



/* rtl_boxset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_309)
	{
		{	/* SawMill/defs.sch 831 */
			{	/* SawMill/defs.sch 831 */
				obj_t BgL_classz00_8959;

				BgL_classz00_8959 = BGl_rtl_boxsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_309))
					{	/* SawMill/defs.sch 831 */
						BgL_objectz00_bglt BgL_arg1820z00_8960;

						BgL_arg1820z00_8960 = (BgL_objectz00_bglt) (BgL_objz00_309);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 831 */
								long BgL_idxz00_8961;

								BgL_idxz00_8961 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8960);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8961 + ((long) 3))) == BgL_classz00_8959);
							}
						else
							{	/* SawMill/defs.sch 831 */
								bool_t BgL_res3068z00_8964;

								{	/* SawMill/defs.sch 831 */
									obj_t BgL_oclassz00_8965;

									{	/* SawMill/defs.sch 831 */
										long BgL_arg1828z00_8966;

										{	/* SawMill/defs.sch 831 */
											long BgL_arg1829z00_8967;

											BgL_arg1829z00_8967 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8960);
											BgL_arg1828z00_8966 = (BgL_arg1829z00_8967 - OBJECT_TYPE);
										}
										BgL_oclassz00_8965 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8966);
									}
									{	/* SawMill/defs.sch 831 */
										bool_t BgL__ortest_1111z00_8968;

										BgL__ortest_1111z00_8968 =
											(BgL_classz00_8959 == BgL_oclassz00_8965);
										if (BgL__ortest_1111z00_8968)
											{	/* SawMill/defs.sch 831 */
												BgL_res3068z00_8964 = BgL__ortest_1111z00_8968;
											}
										else
											{	/* SawMill/defs.sch 831 */
												long BgL_odepthz00_8969;

												BgL_odepthz00_8969 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8965);
												if ((((long) 3) < BgL_odepthz00_8969))
													{	/* SawMill/defs.sch 831 */
														obj_t BgL_arg1816z00_8970;

														BgL_arg1816z00_8970 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8965,
															((long) 3));
														BgL_res3068z00_8964 =
															(BgL_arg1816z00_8970 == BgL_classz00_8959);
													}
												else
													{	/* SawMill/defs.sch 831 */
														BgL_res3068z00_8964 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3068z00_8964;
							}
					}
				else
					{	/* SawMill/defs.sch 831 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxset? */
	obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7244,
		obj_t BgL_objz00_7245)
	{
		{	/* SawMill/defs.sch 831 */
			return BBOOL(BGl_rtl_boxsetzf3zf3zzsaw_defsz00(BgL_objz00_7245));
		}

	}



/* rtl_boxset-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 832 */
			{	/* SawMill/defs.sch 832 */
				obj_t BgL_classz00_5435;

				BgL_classz00_5435 = BGl_rtl_boxsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 832 */
					obj_t BgL__ortest_1113z00_5436;

					BgL__ortest_1113z00_5436 = BGL_CLASS_NIL(BgL_classz00_5435);
					if (CBOOL(BgL__ortest_1113z00_5436))
						{	/* SawMill/defs.sch 832 */
							return ((BgL_rtl_boxsetz00_bglt) BgL__ortest_1113z00_5436);
						}
					else
						{	/* SawMill/defs.sch 832 */
							return
								((BgL_rtl_boxsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5435));
						}
				}
			}
		}

	}



/* &rtl_boxset-nil */
	BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7246)
	{
		{	/* SawMill/defs.sch 832 */
			return BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxset-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt BgL_oz00_310)
	{
		{	/* SawMill/defs.sch 833 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_310)))->BgL_locz00);
		}

	}



/* &rtl_boxset-loc */
	obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7247,
		obj_t BgL_oz00_7248)
	{
		{	/* SawMill/defs.sch 833 */
			return
				BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7248));
		}

	}



/* rtl_boxset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt
		BgL_oz00_311, obj_t BgL_vz00_312)
	{
		{	/* SawMill/defs.sch 834 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_311)))->BgL_locz00) =
				((obj_t) BgL_vz00_312), BUNSPEC);
		}

	}



/* &rtl_boxset-loc-set! */
	obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7249,
		obj_t BgL_oz00_7250, obj_t BgL_vz00_7251)
	{
		{	/* SawMill/defs.sch 834 */
			return
				BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7250), BgL_vz00_7251);
		}

	}



/* make-rtl_new */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t
		BgL_loc1388z00_313, BgL_typez00_bglt BgL_type1389z00_314,
		obj_t BgL_constr1390z00_315)
	{
		{	/* SawMill/defs.sch 837 */
			{	/* SawMill/defs.sch 837 */
				BgL_rtl_newz00_bglt BgL_new1415z00_8971;

				{	/* SawMill/defs.sch 837 */
					BgL_rtl_newz00_bglt BgL_new1414z00_8972;

					BgL_new1414z00_8972 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.sch 837 */
						long BgL_arg1877z00_8973;

						BgL_arg1877z00_8973 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1414z00_8972), BgL_arg1877z00_8973);
					}
					BgL_new1415z00_8971 = BgL_new1414z00_8972;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1415z00_8971)))->BgL_locz00) =
					((obj_t) BgL_loc1388z00_313), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1415z00_8971))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1389z00_314), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1415z00_8971))->BgL_constrz00) =
					((obj_t) BgL_constr1390z00_315), BUNSPEC);
				return BgL_new1415z00_8971;
			}
		}

	}



/* &make-rtl_new */
	BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t
		BgL_envz00_7252, obj_t BgL_loc1388z00_7253, obj_t BgL_type1389z00_7254,
		obj_t BgL_constr1390z00_7255)
	{
		{	/* SawMill/defs.sch 837 */
			return
				BGl_makezd2rtl_newzd2zzsaw_defsz00(BgL_loc1388z00_7253,
				((BgL_typez00_bglt) BgL_type1389z00_7254), BgL_constr1390z00_7255);
		}

	}



/* rtl_new? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t BgL_objz00_316)
	{
		{	/* SawMill/defs.sch 838 */
			{	/* SawMill/defs.sch 838 */
				obj_t BgL_classz00_8974;

				BgL_classz00_8974 = BGl_rtl_newz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_316))
					{	/* SawMill/defs.sch 838 */
						BgL_objectz00_bglt BgL_arg1820z00_8975;

						BgL_arg1820z00_8975 = (BgL_objectz00_bglt) (BgL_objz00_316);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 838 */
								long BgL_idxz00_8976;

								BgL_idxz00_8976 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8975);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8976 + ((long) 2))) == BgL_classz00_8974);
							}
						else
							{	/* SawMill/defs.sch 838 */
								bool_t BgL_res3069z00_8979;

								{	/* SawMill/defs.sch 838 */
									obj_t BgL_oclassz00_8980;

									{	/* SawMill/defs.sch 838 */
										long BgL_arg1828z00_8981;

										{	/* SawMill/defs.sch 838 */
											long BgL_arg1829z00_8982;

											BgL_arg1829z00_8982 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8975);
											BgL_arg1828z00_8981 = (BgL_arg1829z00_8982 - OBJECT_TYPE);
										}
										BgL_oclassz00_8980 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8981);
									}
									{	/* SawMill/defs.sch 838 */
										bool_t BgL__ortest_1111z00_8983;

										BgL__ortest_1111z00_8983 =
											(BgL_classz00_8974 == BgL_oclassz00_8980);
										if (BgL__ortest_1111z00_8983)
											{	/* SawMill/defs.sch 838 */
												BgL_res3069z00_8979 = BgL__ortest_1111z00_8983;
											}
										else
											{	/* SawMill/defs.sch 838 */
												long BgL_odepthz00_8984;

												BgL_odepthz00_8984 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8980);
												if ((((long) 2) < BgL_odepthz00_8984))
													{	/* SawMill/defs.sch 838 */
														obj_t BgL_arg1816z00_8985;

														BgL_arg1816z00_8985 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8980,
															((long) 2));
														BgL_res3069z00_8979 =
															(BgL_arg1816z00_8985 == BgL_classz00_8974);
													}
												else
													{	/* SawMill/defs.sch 838 */
														BgL_res3069z00_8979 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3069z00_8979;
							}
					}
				else
					{	/* SawMill/defs.sch 838 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_new? */
	obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t BgL_envz00_7256,
		obj_t BgL_objz00_7257)
	{
		{	/* SawMill/defs.sch 838 */
			return BBOOL(BGl_rtl_newzf3zf3zzsaw_defsz00(BgL_objz00_7257));
		}

	}



/* rtl_new-nil */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 839 */
			{	/* SawMill/defs.sch 839 */
				obj_t BgL_classz00_5474;

				BgL_classz00_5474 = BGl_rtl_newz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 839 */
					obj_t BgL__ortest_1113z00_5475;

					BgL__ortest_1113z00_5475 = BGL_CLASS_NIL(BgL_classz00_5474);
					if (CBOOL(BgL__ortest_1113z00_5475))
						{	/* SawMill/defs.sch 839 */
							return ((BgL_rtl_newz00_bglt) BgL__ortest_1113z00_5475);
						}
					else
						{	/* SawMill/defs.sch 839 */
							return
								((BgL_rtl_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5474));
						}
				}
			}
		}

	}



/* &rtl_new-nil */
	BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7258)
	{
		{	/* SawMill/defs.sch 839 */
			return BGl_rtl_newzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_new-constr */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_317)
	{
		{	/* SawMill/defs.sch 840 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_317))->BgL_constrz00);
		}

	}



/* &rtl_new-constr */
	obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t BgL_envz00_7259,
		obj_t BgL_oz00_7260)
	{
		{	/* SawMill/defs.sch 840 */
			return
				BGl_rtl_newzd2constrzd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7260));
		}

	}



/* rtl_new-constr-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_318, obj_t BgL_vz00_319)
	{
		{	/* SawMill/defs.sch 841 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_318))->BgL_constrz00) =
				((obj_t) BgL_vz00_319), BUNSPEC);
		}

	}



/* &rtl_new-constr-set! */
	obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7261,
		obj_t BgL_oz00_7262, obj_t BgL_vz00_7263)
	{
		{	/* SawMill/defs.sch 841 */
			return
				BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7262), BgL_vz00_7263);
		}

	}



/* rtl_new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_320)
	{
		{	/* SawMill/defs.sch 842 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_320))->BgL_typez00);
		}

	}



/* &rtl_new-type */
	BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7264,
		obj_t BgL_oz00_7265)
	{
		{	/* SawMill/defs.sch 842 */
			return
				BGl_rtl_newzd2typezd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7265));
		}

	}



/* rtl_new-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_321, BgL_typez00_bglt BgL_vz00_322)
	{
		{	/* SawMill/defs.sch 843 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_321))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_322), BUNSPEC);
		}

	}



/* &rtl_new-type-set! */
	obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7266,
		obj_t BgL_oz00_7267, obj_t BgL_vz00_7268)
	{
		{	/* SawMill/defs.sch 843 */
			return
				BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7267),
				((BgL_typez00_bglt) BgL_vz00_7268));
		}

	}



/* rtl_new-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_323)
	{
		{	/* SawMill/defs.sch 844 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_323)))->BgL_locz00);
		}

	}



/* &rtl_new-loc */
	obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7269,
		obj_t BgL_oz00_7270)
	{
		{	/* SawMill/defs.sch 844 */
			return
				BGl_rtl_newzd2loczd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7270));
		}

	}



/* rtl_new-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_324,
		obj_t BgL_vz00_325)
	{
		{	/* SawMill/defs.sch 845 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_324)))->BgL_locz00) =
				((obj_t) BgL_vz00_325), BUNSPEC);
		}

	}



/* &rtl_new-loc-set! */
	obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7271,
		obj_t BgL_oz00_7272, obj_t BgL_vz00_7273)
	{
		{	/* SawMill/defs.sch 845 */
			return
				BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7272), BgL_vz00_7273);
		}

	}



/* make-rtl_call */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t BgL_loc1385z00_326,
		BgL_globalz00_bglt BgL_var1386z00_327)
	{
		{	/* SawMill/defs.sch 848 */
			{	/* SawMill/defs.sch 848 */
				BgL_rtl_callz00_bglt BgL_new1417z00_8986;

				{	/* SawMill/defs.sch 848 */
					BgL_rtl_callz00_bglt BgL_new1416z00_8987;

					BgL_new1416z00_8987 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.sch 848 */
						long BgL_arg1879z00_8988;

						BgL_arg1879z00_8988 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1416z00_8987), BgL_arg1879z00_8988);
					}
					BgL_new1417z00_8986 = BgL_new1416z00_8987;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1417z00_8986)))->BgL_locz00) =
					((obj_t) BgL_loc1385z00_326), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1417z00_8986))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1386z00_327), BUNSPEC);
				return BgL_new1417z00_8986;
			}
		}

	}



/* &make-rtl_call */
	BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t
		BgL_envz00_7274, obj_t BgL_loc1385z00_7275, obj_t BgL_var1386z00_7276)
	{
		{	/* SawMill/defs.sch 848 */
			return
				BGl_makezd2rtl_callzd2zzsaw_defsz00(BgL_loc1385z00_7275,
				((BgL_globalz00_bglt) BgL_var1386z00_7276));
		}

	}



/* rtl_call? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t BgL_objz00_328)
	{
		{	/* SawMill/defs.sch 849 */
			{	/* SawMill/defs.sch 849 */
				obj_t BgL_classz00_8989;

				BgL_classz00_8989 = BGl_rtl_callz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_328))
					{	/* SawMill/defs.sch 849 */
						BgL_objectz00_bglt BgL_arg1820z00_8990;

						BgL_arg1820z00_8990 = (BgL_objectz00_bglt) (BgL_objz00_328);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 849 */
								long BgL_idxz00_8991;

								BgL_idxz00_8991 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_8990);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8991 + ((long) 2))) == BgL_classz00_8989);
							}
						else
							{	/* SawMill/defs.sch 849 */
								bool_t BgL_res3070z00_8994;

								{	/* SawMill/defs.sch 849 */
									obj_t BgL_oclassz00_8995;

									{	/* SawMill/defs.sch 849 */
										long BgL_arg1828z00_8996;

										{	/* SawMill/defs.sch 849 */
											long BgL_arg1829z00_8997;

											BgL_arg1829z00_8997 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_8990);
											BgL_arg1828z00_8996 = (BgL_arg1829z00_8997 - OBJECT_TYPE);
										}
										BgL_oclassz00_8995 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_8996);
									}
									{	/* SawMill/defs.sch 849 */
										bool_t BgL__ortest_1111z00_8998;

										BgL__ortest_1111z00_8998 =
											(BgL_classz00_8989 == BgL_oclassz00_8995);
										if (BgL__ortest_1111z00_8998)
											{	/* SawMill/defs.sch 849 */
												BgL_res3070z00_8994 = BgL__ortest_1111z00_8998;
											}
										else
											{	/* SawMill/defs.sch 849 */
												long BgL_odepthz00_8999;

												BgL_odepthz00_8999 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8995);
												if ((((long) 2) < BgL_odepthz00_8999))
													{	/* SawMill/defs.sch 849 */
														obj_t BgL_arg1816z00_9000;

														BgL_arg1816z00_9000 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8995,
															((long) 2));
														BgL_res3070z00_8994 =
															(BgL_arg1816z00_9000 == BgL_classz00_8989);
													}
												else
													{	/* SawMill/defs.sch 849 */
														BgL_res3070z00_8994 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3070z00_8994;
							}
					}
				else
					{	/* SawMill/defs.sch 849 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_call? */
	obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t BgL_envz00_7277,
		obj_t BgL_objz00_7278)
	{
		{	/* SawMill/defs.sch 849 */
			return BBOOL(BGl_rtl_callzf3zf3zzsaw_defsz00(BgL_objz00_7278));
		}

	}



/* rtl_call-nil */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt BGl_rtl_callzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 850 */
			{	/* SawMill/defs.sch 850 */
				obj_t BgL_classz00_5513;

				BgL_classz00_5513 = BGl_rtl_callz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 850 */
					obj_t BgL__ortest_1113z00_5514;

					BgL__ortest_1113z00_5514 = BGL_CLASS_NIL(BgL_classz00_5513);
					if (CBOOL(BgL__ortest_1113z00_5514))
						{	/* SawMill/defs.sch 850 */
							return ((BgL_rtl_callz00_bglt) BgL__ortest_1113z00_5514);
						}
					else
						{	/* SawMill/defs.sch 850 */
							return
								((BgL_rtl_callz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5513));
						}
				}
			}
		}

	}



/* &rtl_call-nil */
	BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7279)
	{
		{	/* SawMill/defs.sch 850 */
			return BGl_rtl_callzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_call-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt BgL_oz00_329)
	{
		{	/* SawMill/defs.sch 851 */
			return (((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_329))->BgL_varz00);
		}

	}



/* &rtl_call-var */
	BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7280, obj_t BgL_oz00_7281)
	{
		{	/* SawMill/defs.sch 851 */
			return
				BGl_rtl_callzd2varzd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7281));
		}

	}



/* rtl_call-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_330, BgL_globalz00_bglt BgL_vz00_331)
	{
		{	/* SawMill/defs.sch 852 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_330))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_331), BUNSPEC);
		}

	}



/* &rtl_call-var-set! */
	obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7282,
		obj_t BgL_oz00_7283, obj_t BgL_vz00_7284)
	{
		{	/* SawMill/defs.sch 852 */
			return
				BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7283),
				((BgL_globalz00_bglt) BgL_vz00_7284));
		}

	}



/* rtl_call-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_332)
	{
		{	/* SawMill/defs.sch 853 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_332)))->BgL_locz00);
		}

	}



/* &rtl_call-loc */
	obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7285,
		obj_t BgL_oz00_7286)
	{
		{	/* SawMill/defs.sch 853 */
			return
				BGl_rtl_callzd2loczd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7286));
		}

	}



/* rtl_call-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_333, obj_t BgL_vz00_334)
	{
		{	/* SawMill/defs.sch 854 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_333)))->BgL_locz00) =
				((obj_t) BgL_vz00_334), BUNSPEC);
		}

	}



/* &rtl_call-loc-set! */
	obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7287,
		obj_t BgL_oz00_7288, obj_t BgL_vz00_7289)
	{
		{	/* SawMill/defs.sch 854 */
			return
				BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7288), BgL_vz00_7289);
		}

	}



/* make-rtl_apply */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t BgL_loc1382z00_335)
	{
		{	/* SawMill/defs.sch 857 */
			{	/* SawMill/defs.sch 857 */
				BgL_rtl_applyz00_bglt BgL_new1419z00_9001;

				{	/* SawMill/defs.sch 857 */
					BgL_rtl_applyz00_bglt BgL_new1418z00_9002;

					BgL_new1418z00_9002 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.sch 857 */
						long BgL_arg1880z00_9003;

						BgL_arg1880z00_9003 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1418z00_9002), BgL_arg1880z00_9003);
					}
					BgL_new1419z00_9001 = BgL_new1418z00_9002;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1419z00_9001)))->BgL_locz00) =
					((obj_t) BgL_loc1382z00_335), BUNSPEC);
				return BgL_new1419z00_9001;
			}
		}

	}



/* &make-rtl_apply */
	BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t
		BgL_envz00_7290, obj_t BgL_loc1382z00_7291)
	{
		{	/* SawMill/defs.sch 857 */
			return BGl_makezd2rtl_applyzd2zzsaw_defsz00(BgL_loc1382z00_7291);
		}

	}



/* rtl_apply? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t BgL_objz00_336)
	{
		{	/* SawMill/defs.sch 858 */
			{	/* SawMill/defs.sch 858 */
				obj_t BgL_classz00_9004;

				BgL_classz00_9004 = BGl_rtl_applyz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_336))
					{	/* SawMill/defs.sch 858 */
						BgL_objectz00_bglt BgL_arg1820z00_9005;

						BgL_arg1820z00_9005 = (BgL_objectz00_bglt) (BgL_objz00_336);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 858 */
								long BgL_idxz00_9006;

								BgL_idxz00_9006 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9005);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9006 + ((long) 2))) == BgL_classz00_9004);
							}
						else
							{	/* SawMill/defs.sch 858 */
								bool_t BgL_res3071z00_9009;

								{	/* SawMill/defs.sch 858 */
									obj_t BgL_oclassz00_9010;

									{	/* SawMill/defs.sch 858 */
										long BgL_arg1828z00_9011;

										{	/* SawMill/defs.sch 858 */
											long BgL_arg1829z00_9012;

											BgL_arg1829z00_9012 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9005);
											BgL_arg1828z00_9011 = (BgL_arg1829z00_9012 - OBJECT_TYPE);
										}
										BgL_oclassz00_9010 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9011);
									}
									{	/* SawMill/defs.sch 858 */
										bool_t BgL__ortest_1111z00_9013;

										BgL__ortest_1111z00_9013 =
											(BgL_classz00_9004 == BgL_oclassz00_9010);
										if (BgL__ortest_1111z00_9013)
											{	/* SawMill/defs.sch 858 */
												BgL_res3071z00_9009 = BgL__ortest_1111z00_9013;
											}
										else
											{	/* SawMill/defs.sch 858 */
												long BgL_odepthz00_9014;

												BgL_odepthz00_9014 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9010);
												if ((((long) 2) < BgL_odepthz00_9014))
													{	/* SawMill/defs.sch 858 */
														obj_t BgL_arg1816z00_9015;

														BgL_arg1816z00_9015 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9010,
															((long) 2));
														BgL_res3071z00_9009 =
															(BgL_arg1816z00_9015 == BgL_classz00_9004);
													}
												else
													{	/* SawMill/defs.sch 858 */
														BgL_res3071z00_9009 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3071z00_9009;
							}
					}
				else
					{	/* SawMill/defs.sch 858 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_apply? */
	obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t BgL_envz00_7292,
		obj_t BgL_objz00_7293)
	{
		{	/* SawMill/defs.sch 858 */
			return BBOOL(BGl_rtl_applyzf3zf3zzsaw_defsz00(BgL_objz00_7293));
		}

	}



/* rtl_apply-nil */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_rtl_applyzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 859 */
			{	/* SawMill/defs.sch 859 */
				obj_t BgL_classz00_5552;

				BgL_classz00_5552 = BGl_rtl_applyz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 859 */
					obj_t BgL__ortest_1113z00_5553;

					BgL__ortest_1113z00_5553 = BGL_CLASS_NIL(BgL_classz00_5552);
					if (CBOOL(BgL__ortest_1113z00_5553))
						{	/* SawMill/defs.sch 859 */
							return ((BgL_rtl_applyz00_bglt) BgL__ortest_1113z00_5553);
						}
					else
						{	/* SawMill/defs.sch 859 */
							return
								((BgL_rtl_applyz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5552));
						}
				}
			}
		}

	}



/* &rtl_apply-nil */
	BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7294)
	{
		{	/* SawMill/defs.sch 859 */
			return BGl_rtl_applyzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_apply-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt BgL_oz00_337)
	{
		{	/* SawMill/defs.sch 860 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_337)))->BgL_locz00);
		}

	}



/* &rtl_apply-loc */
	obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7295,
		obj_t BgL_oz00_7296)
	{
		{	/* SawMill/defs.sch 860 */
			return
				BGl_rtl_applyzd2loczd2zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7296));
		}

	}



/* rtl_apply-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt
		BgL_oz00_338, obj_t BgL_vz00_339)
	{
		{	/* SawMill/defs.sch 861 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_338)))->BgL_locz00) =
				((obj_t) BgL_vz00_339), BUNSPEC);
		}

	}



/* &rtl_apply-loc-set! */
	obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298, obj_t BgL_vz00_7299)
	{
		{	/* SawMill/defs.sch 861 */
			return
				BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7298), BgL_vz00_7299);
		}

	}



/* make-rtl_lightfuncall */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t BgL_loc1377z00_340,
		obj_t BgL_name1378z00_341, obj_t BgL_funs1379z00_342,
		obj_t BgL_rettype1380z00_343)
	{
		{	/* SawMill/defs.sch 864 */
			{	/* SawMill/defs.sch 864 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1421z00_9016;

				{	/* SawMill/defs.sch 864 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1420z00_9017;

					BgL_new1420z00_9017 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.sch 864 */
						long BgL_arg1882z00_9018;

						BgL_arg1882z00_9018 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1420z00_9017), BgL_arg1882z00_9018);
					}
					BgL_new1421z00_9016 = BgL_new1420z00_9017;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1421z00_9016)))->BgL_locz00) =
					((obj_t) BgL_loc1377z00_340), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1421z00_9016))->
						BgL_namez00) = ((obj_t) BgL_name1378z00_341), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1421z00_9016))->
						BgL_funsz00) = ((obj_t) BgL_funs1379z00_342), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1421z00_9016))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1380z00_343), BUNSPEC);
				return BgL_new1421z00_9016;
			}
		}

	}



/* &make-rtl_lightfuncall */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t BgL_envz00_7300,
		obj_t BgL_loc1377z00_7301, obj_t BgL_name1378z00_7302,
		obj_t BgL_funs1379z00_7303, obj_t BgL_rettype1380z00_7304)
	{
		{	/* SawMill/defs.sch 864 */
			return
				BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(BgL_loc1377z00_7301,
				BgL_name1378z00_7302, BgL_funs1379z00_7303, BgL_rettype1380z00_7304);
		}

	}



/* rtl_lightfuncall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_344)
	{
		{	/* SawMill/defs.sch 865 */
			{	/* SawMill/defs.sch 865 */
				obj_t BgL_classz00_9019;

				BgL_classz00_9019 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_344))
					{	/* SawMill/defs.sch 865 */
						BgL_objectz00_bglt BgL_arg1820z00_9020;

						BgL_arg1820z00_9020 = (BgL_objectz00_bglt) (BgL_objz00_344);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 865 */
								long BgL_idxz00_9021;

								BgL_idxz00_9021 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9020);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9021 + ((long) 2))) == BgL_classz00_9019);
							}
						else
							{	/* SawMill/defs.sch 865 */
								bool_t BgL_res3072z00_9024;

								{	/* SawMill/defs.sch 865 */
									obj_t BgL_oclassz00_9025;

									{	/* SawMill/defs.sch 865 */
										long BgL_arg1828z00_9026;

										{	/* SawMill/defs.sch 865 */
											long BgL_arg1829z00_9027;

											BgL_arg1829z00_9027 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9020);
											BgL_arg1828z00_9026 = (BgL_arg1829z00_9027 - OBJECT_TYPE);
										}
										BgL_oclassz00_9025 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9026);
									}
									{	/* SawMill/defs.sch 865 */
										bool_t BgL__ortest_1111z00_9028;

										BgL__ortest_1111z00_9028 =
											(BgL_classz00_9019 == BgL_oclassz00_9025);
										if (BgL__ortest_1111z00_9028)
											{	/* SawMill/defs.sch 865 */
												BgL_res3072z00_9024 = BgL__ortest_1111z00_9028;
											}
										else
											{	/* SawMill/defs.sch 865 */
												long BgL_odepthz00_9029;

												BgL_odepthz00_9029 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9025);
												if ((((long) 2) < BgL_odepthz00_9029))
													{	/* SawMill/defs.sch 865 */
														obj_t BgL_arg1816z00_9030;

														BgL_arg1816z00_9030 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9025,
															((long) 2));
														BgL_res3072z00_9024 =
															(BgL_arg1816z00_9030 == BgL_classz00_9019);
													}
												else
													{	/* SawMill/defs.sch 865 */
														BgL_res3072z00_9024 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3072z00_9024;
							}
					}
				else
					{	/* SawMill/defs.sch 865 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_lightfuncall? */
	obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7305,
		obj_t BgL_objz00_7306)
	{
		{	/* SawMill/defs.sch 865 */
			return BBOOL(BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(BgL_objz00_7306));
		}

	}



/* rtl_lightfuncall-nil */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 866 */
			{	/* SawMill/defs.sch 866 */
				obj_t BgL_classz00_5591;

				BgL_classz00_5591 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 866 */
					obj_t BgL__ortest_1113z00_5592;

					BgL__ortest_1113z00_5592 = BGL_CLASS_NIL(BgL_classz00_5591);
					if (CBOOL(BgL__ortest_1113z00_5592))
						{	/* SawMill/defs.sch 866 */
							return ((BgL_rtl_lightfuncallz00_bglt) BgL__ortest_1113z00_5592);
						}
					else
						{	/* SawMill/defs.sch 866 */
							return
								((BgL_rtl_lightfuncallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5591));
						}
				}
			}
		}

	}



/* &rtl_lightfuncall-nil */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7307)
	{
		{	/* SawMill/defs.sch 866 */
			return BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_lightfuncall-rettype */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_345)
	{
		{	/* SawMill/defs.sch 867 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_345))->
				BgL_rettypez00);
		}

	}



/* &rtl_lightfuncall-rettype */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t BgL_envz00_7308,
		obj_t BgL_oz00_7309)
	{
		{	/* SawMill/defs.sch 867 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7309));
		}

	}



/* rtl_lightfuncall-rettype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_346, obj_t BgL_vz00_347)
	{
		{	/* SawMill/defs.sch 868 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_346))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_347), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-rettype-set! */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7310, obj_t BgL_oz00_7311, obj_t BgL_vz00_7312)
	{
		{	/* SawMill/defs.sch 868 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7311), BgL_vz00_7312);
		}

	}



/* rtl_lightfuncall-funs */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_348)
	{
		{	/* SawMill/defs.sch 869 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_348))->BgL_funsz00);
		}

	}



/* &rtl_lightfuncall-funs */
	obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t BgL_envz00_7313,
		obj_t BgL_oz00_7314)
	{
		{	/* SawMill/defs.sch 869 */
			return
				BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7314));
		}

	}



/* rtl_lightfuncall-funs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_349, obj_t BgL_vz00_350)
	{
		{	/* SawMill/defs.sch 870 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_349))->BgL_funsz00) =
				((obj_t) BgL_vz00_350), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-funs-set! */
	obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7315, obj_t BgL_oz00_7316, obj_t BgL_vz00_7317)
	{
		{	/* SawMill/defs.sch 870 */
			return
				BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7316), BgL_vz00_7317);
		}

	}



/* rtl_lightfuncall-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_351)
	{
		{	/* SawMill/defs.sch 871 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_351))->BgL_namez00);
		}

	}



/* &rtl_lightfuncall-name */
	obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7318,
		obj_t BgL_oz00_7319)
	{
		{	/* SawMill/defs.sch 871 */
			return
				BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7319));
		}

	}



/* rtl_lightfuncall-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_352, obj_t BgL_vz00_353)
	{
		{	/* SawMill/defs.sch 872 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_352))->BgL_namez00) =
				((obj_t) BgL_vz00_353), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-name-set! */
	obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7320, obj_t BgL_oz00_7321, obj_t BgL_vz00_7322)
	{
		{	/* SawMill/defs.sch 872 */
			return
				BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7321), BgL_vz00_7322);
		}

	}



/* rtl_lightfuncall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_354)
	{
		{	/* SawMill/defs.sch 873 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_354)))->BgL_locz00);
		}

	}



/* &rtl_lightfuncall-loc */
	obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7323,
		obj_t BgL_oz00_7324)
	{
		{	/* SawMill/defs.sch 873 */
			return
				BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7324));
		}

	}



/* rtl_lightfuncall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_355, obj_t BgL_vz00_356)
	{
		{	/* SawMill/defs.sch 874 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_355)))->BgL_locz00) =
				((obj_t) BgL_vz00_356), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-loc-set! */
	obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7325, obj_t BgL_oz00_7326, obj_t BgL_vz00_7327)
	{
		{	/* SawMill/defs.sch 874 */
			return
				BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7326), BgL_vz00_7327);
		}

	}



/* make-rtl_funcall */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t BgL_loc1374z00_357)
	{
		{	/* SawMill/defs.sch 877 */
			{	/* SawMill/defs.sch 877 */
				BgL_rtl_funcallz00_bglt BgL_new1423z00_9031;

				{	/* SawMill/defs.sch 877 */
					BgL_rtl_funcallz00_bglt BgL_new1422z00_9032;

					BgL_new1422z00_9032 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.sch 877 */
						long BgL_arg1883z00_9033;

						BgL_arg1883z00_9033 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1422z00_9032), BgL_arg1883z00_9033);
					}
					BgL_new1423z00_9031 = BgL_new1422z00_9032;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1423z00_9031)))->BgL_locz00) =
					((obj_t) BgL_loc1374z00_357), BUNSPEC);
				return BgL_new1423z00_9031;
			}
		}

	}



/* &make-rtl_funcall */
	BgL_rtl_funcallz00_bglt BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t
		BgL_envz00_7328, obj_t BgL_loc1374z00_7329)
	{
		{	/* SawMill/defs.sch 877 */
			return BGl_makezd2rtl_funcallzd2zzsaw_defsz00(BgL_loc1374z00_7329);
		}

	}



/* rtl_funcall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_358)
	{
		{	/* SawMill/defs.sch 878 */
			{	/* SawMill/defs.sch 878 */
				obj_t BgL_classz00_9034;

				BgL_classz00_9034 = BGl_rtl_funcallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_358))
					{	/* SawMill/defs.sch 878 */
						BgL_objectz00_bglt BgL_arg1820z00_9035;

						BgL_arg1820z00_9035 = (BgL_objectz00_bglt) (BgL_objz00_358);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 878 */
								long BgL_idxz00_9036;

								BgL_idxz00_9036 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9035);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9036 + ((long) 2))) == BgL_classz00_9034);
							}
						else
							{	/* SawMill/defs.sch 878 */
								bool_t BgL_res3073z00_9039;

								{	/* SawMill/defs.sch 878 */
									obj_t BgL_oclassz00_9040;

									{	/* SawMill/defs.sch 878 */
										long BgL_arg1828z00_9041;

										{	/* SawMill/defs.sch 878 */
											long BgL_arg1829z00_9042;

											BgL_arg1829z00_9042 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9035);
											BgL_arg1828z00_9041 = (BgL_arg1829z00_9042 - OBJECT_TYPE);
										}
										BgL_oclassz00_9040 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9041);
									}
									{	/* SawMill/defs.sch 878 */
										bool_t BgL__ortest_1111z00_9043;

										BgL__ortest_1111z00_9043 =
											(BgL_classz00_9034 == BgL_oclassz00_9040);
										if (BgL__ortest_1111z00_9043)
											{	/* SawMill/defs.sch 878 */
												BgL_res3073z00_9039 = BgL__ortest_1111z00_9043;
											}
										else
											{	/* SawMill/defs.sch 878 */
												long BgL_odepthz00_9044;

												BgL_odepthz00_9044 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9040);
												if ((((long) 2) < BgL_odepthz00_9044))
													{	/* SawMill/defs.sch 878 */
														obj_t BgL_arg1816z00_9045;

														BgL_arg1816z00_9045 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9040,
															((long) 2));
														BgL_res3073z00_9039 =
															(BgL_arg1816z00_9045 == BgL_classz00_9034);
													}
												else
													{	/* SawMill/defs.sch 878 */
														BgL_res3073z00_9039 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3073z00_9039;
							}
					}
				else
					{	/* SawMill/defs.sch 878 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_funcall? */
	obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7330,
		obj_t BgL_objz00_7331)
	{
		{	/* SawMill/defs.sch 878 */
			return BBOOL(BGl_rtl_funcallzf3zf3zzsaw_defsz00(BgL_objz00_7331));
		}

	}



/* rtl_funcall-nil */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 879 */
			{	/* SawMill/defs.sch 879 */
				obj_t BgL_classz00_5630;

				BgL_classz00_5630 = BGl_rtl_funcallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 879 */
					obj_t BgL__ortest_1113z00_5631;

					BgL__ortest_1113z00_5631 = BGL_CLASS_NIL(BgL_classz00_5630);
					if (CBOOL(BgL__ortest_1113z00_5631))
						{	/* SawMill/defs.sch 879 */
							return ((BgL_rtl_funcallz00_bglt) BgL__ortest_1113z00_5631);
						}
					else
						{	/* SawMill/defs.sch 879 */
							return
								((BgL_rtl_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5630));
						}
				}
			}
		}

	}



/* &rtl_funcall-nil */
	BgL_rtl_funcallz00_bglt BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7332)
	{
		{	/* SawMill/defs.sch 879 */
			return BGl_rtl_funcallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_funcall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt BgL_oz00_359)
	{
		{	/* SawMill/defs.sch 880 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_359)))->BgL_locz00);
		}

	}



/* &rtl_funcall-loc */
	obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7333,
		obj_t BgL_oz00_7334)
	{
		{	/* SawMill/defs.sch 880 */
			return
				BGl_rtl_funcallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7334));
		}

	}



/* rtl_funcall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt
		BgL_oz00_360, obj_t BgL_vz00_361)
	{
		{	/* SawMill/defs.sch 881 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_360)))->BgL_locz00) =
				((obj_t) BgL_vz00_361), BUNSPEC);
		}

	}



/* &rtl_funcall-loc-set! */
	obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7335,
		obj_t BgL_oz00_7336, obj_t BgL_vz00_7337)
	{
		{	/* SawMill/defs.sch 881 */
			return
				BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7336), BgL_vz00_7337);
		}

	}



/* make-rtl_pragma */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t BgL_loc1371z00_362,
		obj_t BgL_format1372z00_363)
	{
		{	/* SawMill/defs.sch 884 */
			{	/* SawMill/defs.sch 884 */
				BgL_rtl_pragmaz00_bglt BgL_new1425z00_9046;

				{	/* SawMill/defs.sch 884 */
					BgL_rtl_pragmaz00_bglt BgL_new1424z00_9047;

					BgL_new1424z00_9047 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.sch 884 */
						long BgL_arg1884z00_9048;

						BgL_arg1884z00_9048 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1424z00_9047), BgL_arg1884z00_9048);
					}
					BgL_new1425z00_9046 = BgL_new1424z00_9047;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1425z00_9046)))->BgL_locz00) =
					((obj_t) BgL_loc1371z00_362), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1425z00_9046))->
						BgL_formatz00) = ((obj_t) BgL_format1372z00_363), BUNSPEC);
				return BgL_new1425z00_9046;
			}
		}

	}



/* &make-rtl_pragma */
	BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t
		BgL_envz00_7338, obj_t BgL_loc1371z00_7339, obj_t BgL_format1372z00_7340)
	{
		{	/* SawMill/defs.sch 884 */
			return
				BGl_makezd2rtl_pragmazd2zzsaw_defsz00(BgL_loc1371z00_7339,
				BgL_format1372z00_7340);
		}

	}



/* rtl_pragma? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_364)
	{
		{	/* SawMill/defs.sch 885 */
			{	/* SawMill/defs.sch 885 */
				obj_t BgL_classz00_9049;

				BgL_classz00_9049 = BGl_rtl_pragmaz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_364))
					{	/* SawMill/defs.sch 885 */
						BgL_objectz00_bglt BgL_arg1820z00_9050;

						BgL_arg1820z00_9050 = (BgL_objectz00_bglt) (BgL_objz00_364);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 885 */
								long BgL_idxz00_9051;

								BgL_idxz00_9051 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9050);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9051 + ((long) 2))) == BgL_classz00_9049);
							}
						else
							{	/* SawMill/defs.sch 885 */
								bool_t BgL_res3074z00_9054;

								{	/* SawMill/defs.sch 885 */
									obj_t BgL_oclassz00_9055;

									{	/* SawMill/defs.sch 885 */
										long BgL_arg1828z00_9056;

										{	/* SawMill/defs.sch 885 */
											long BgL_arg1829z00_9057;

											BgL_arg1829z00_9057 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9050);
											BgL_arg1828z00_9056 = (BgL_arg1829z00_9057 - OBJECT_TYPE);
										}
										BgL_oclassz00_9055 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9056);
									}
									{	/* SawMill/defs.sch 885 */
										bool_t BgL__ortest_1111z00_9058;

										BgL__ortest_1111z00_9058 =
											(BgL_classz00_9049 == BgL_oclassz00_9055);
										if (BgL__ortest_1111z00_9058)
											{	/* SawMill/defs.sch 885 */
												BgL_res3074z00_9054 = BgL__ortest_1111z00_9058;
											}
										else
											{	/* SawMill/defs.sch 885 */
												long BgL_odepthz00_9059;

												BgL_odepthz00_9059 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9055);
												if ((((long) 2) < BgL_odepthz00_9059))
													{	/* SawMill/defs.sch 885 */
														obj_t BgL_arg1816z00_9060;

														BgL_arg1816z00_9060 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9055,
															((long) 2));
														BgL_res3074z00_9054 =
															(BgL_arg1816z00_9060 == BgL_classz00_9049);
													}
												else
													{	/* SawMill/defs.sch 885 */
														BgL_res3074z00_9054 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3074z00_9054;
							}
					}
				else
					{	/* SawMill/defs.sch 885 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pragma? */
	obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t BgL_envz00_7341,
		obj_t BgL_objz00_7342)
	{
		{	/* SawMill/defs.sch 885 */
			return BBOOL(BGl_rtl_pragmazf3zf3zzsaw_defsz00(BgL_objz00_7342));
		}

	}



/* rtl_pragma-nil */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 886 */
			{	/* SawMill/defs.sch 886 */
				obj_t BgL_classz00_5669;

				BgL_classz00_5669 = BGl_rtl_pragmaz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 886 */
					obj_t BgL__ortest_1113z00_5670;

					BgL__ortest_1113z00_5670 = BGL_CLASS_NIL(BgL_classz00_5669);
					if (CBOOL(BgL__ortest_1113z00_5670))
						{	/* SawMill/defs.sch 886 */
							return ((BgL_rtl_pragmaz00_bglt) BgL__ortest_1113z00_5670);
						}
					else
						{	/* SawMill/defs.sch 886 */
							return
								((BgL_rtl_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5669));
						}
				}
			}
		}

	}



/* &rtl_pragma-nil */
	BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7343)
	{
		{	/* SawMill/defs.sch 886 */
			return BGl_rtl_pragmazd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pragma-format */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_365)
	{
		{	/* SawMill/defs.sch 887 */
			return (((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_365))->BgL_formatz00);
		}

	}



/* &rtl_pragma-format */
	obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t BgL_envz00_7344,
		obj_t BgL_oz00_7345)
	{
		{	/* SawMill/defs.sch 887 */
			return
				BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7345));
		}

	}



/* rtl_pragma-format-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_366, obj_t BgL_vz00_367)
	{
		{	/* SawMill/defs.sch 888 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_366))->BgL_formatz00) =
				((obj_t) BgL_vz00_367), BUNSPEC);
		}

	}



/* &rtl_pragma-format-set! */
	obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7346, obj_t BgL_oz00_7347, obj_t BgL_vz00_7348)
	{
		{	/* SawMill/defs.sch 888 */
			return
				BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7347), BgL_vz00_7348);
		}

	}



/* rtl_pragma-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_368)
	{
		{	/* SawMill/defs.sch 889 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_368)))->BgL_locz00);
		}

	}



/* &rtl_pragma-loc */
	obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7349,
		obj_t BgL_oz00_7350)
	{
		{	/* SawMill/defs.sch 889 */
			return
				BGl_rtl_pragmazd2loczd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7350));
		}

	}



/* rtl_pragma-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_369, obj_t BgL_vz00_370)
	{
		{	/* SawMill/defs.sch 890 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_369)))->BgL_locz00) =
				((obj_t) BgL_vz00_370), BUNSPEC);
		}

	}



/* &rtl_pragma-loc-set! */
	obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7351,
		obj_t BgL_oz00_7352, obj_t BgL_vz00_7353)
	{
		{	/* SawMill/defs.sch 890 */
			return
				BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7352), BgL_vz00_7353);
		}

	}



/* make-rtl_cast */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t BgL_loc1367z00_371,
		BgL_typez00_bglt BgL_totype1368z00_372,
		BgL_typez00_bglt BgL_fromtype1369z00_373)
	{
		{	/* SawMill/defs.sch 893 */
			{	/* SawMill/defs.sch 893 */
				BgL_rtl_castz00_bglt BgL_new1427z00_9061;

				{	/* SawMill/defs.sch 893 */
					BgL_rtl_castz00_bglt BgL_new1426z00_9062;

					BgL_new1426z00_9062 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.sch 893 */
						long BgL_arg1885z00_9063;

						BgL_arg1885z00_9063 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1426z00_9062), BgL_arg1885z00_9063);
					}
					BgL_new1427z00_9061 = BgL_new1426z00_9062;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1427z00_9061)))->BgL_locz00) =
					((obj_t) BgL_loc1367z00_371), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1427z00_9061))->
						BgL_totypez00) =
					((BgL_typez00_bglt) BgL_totype1368z00_372), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1427z00_9061))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) BgL_fromtype1369z00_373), BUNSPEC);
				return BgL_new1427z00_9061;
			}
		}

	}



/* &make-rtl_cast */
	BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t
		BgL_envz00_7354, obj_t BgL_loc1367z00_7355, obj_t BgL_totype1368z00_7356,
		obj_t BgL_fromtype1369z00_7357)
	{
		{	/* SawMill/defs.sch 893 */
			return
				BGl_makezd2rtl_castzd2zzsaw_defsz00(BgL_loc1367z00_7355,
				((BgL_typez00_bglt) BgL_totype1368z00_7356),
				((BgL_typez00_bglt) BgL_fromtype1369z00_7357));
		}

	}



/* rtl_cast? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t BgL_objz00_374)
	{
		{	/* SawMill/defs.sch 894 */
			{	/* SawMill/defs.sch 894 */
				obj_t BgL_classz00_9064;

				BgL_classz00_9064 = BGl_rtl_castz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_374))
					{	/* SawMill/defs.sch 894 */
						BgL_objectz00_bglt BgL_arg1820z00_9065;

						BgL_arg1820z00_9065 = (BgL_objectz00_bglt) (BgL_objz00_374);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 894 */
								long BgL_idxz00_9066;

								BgL_idxz00_9066 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9065);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9066 + ((long) 2))) == BgL_classz00_9064);
							}
						else
							{	/* SawMill/defs.sch 894 */
								bool_t BgL_res3075z00_9069;

								{	/* SawMill/defs.sch 894 */
									obj_t BgL_oclassz00_9070;

									{	/* SawMill/defs.sch 894 */
										long BgL_arg1828z00_9071;

										{	/* SawMill/defs.sch 894 */
											long BgL_arg1829z00_9072;

											BgL_arg1829z00_9072 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9065);
											BgL_arg1828z00_9071 = (BgL_arg1829z00_9072 - OBJECT_TYPE);
										}
										BgL_oclassz00_9070 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9071);
									}
									{	/* SawMill/defs.sch 894 */
										bool_t BgL__ortest_1111z00_9073;

										BgL__ortest_1111z00_9073 =
											(BgL_classz00_9064 == BgL_oclassz00_9070);
										if (BgL__ortest_1111z00_9073)
											{	/* SawMill/defs.sch 894 */
												BgL_res3075z00_9069 = BgL__ortest_1111z00_9073;
											}
										else
											{	/* SawMill/defs.sch 894 */
												long BgL_odepthz00_9074;

												BgL_odepthz00_9074 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9070);
												if ((((long) 2) < BgL_odepthz00_9074))
													{	/* SawMill/defs.sch 894 */
														obj_t BgL_arg1816z00_9075;

														BgL_arg1816z00_9075 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9070,
															((long) 2));
														BgL_res3075z00_9069 =
															(BgL_arg1816z00_9075 == BgL_classz00_9064);
													}
												else
													{	/* SawMill/defs.sch 894 */
														BgL_res3075z00_9069 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3075z00_9069;
							}
					}
				else
					{	/* SawMill/defs.sch 894 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast? */
	obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t BgL_envz00_7358,
		obj_t BgL_objz00_7359)
	{
		{	/* SawMill/defs.sch 894 */
			return BBOOL(BGl_rtl_castzf3zf3zzsaw_defsz00(BgL_objz00_7359));
		}

	}



/* rtl_cast-nil */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt BGl_rtl_castzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 895 */
			{	/* SawMill/defs.sch 895 */
				obj_t BgL_classz00_5708;

				BgL_classz00_5708 = BGl_rtl_castz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 895 */
					obj_t BgL__ortest_1113z00_5709;

					BgL__ortest_1113z00_5709 = BGL_CLASS_NIL(BgL_classz00_5708);
					if (CBOOL(BgL__ortest_1113z00_5709))
						{	/* SawMill/defs.sch 895 */
							return ((BgL_rtl_castz00_bglt) BgL__ortest_1113z00_5709);
						}
					else
						{	/* SawMill/defs.sch 895 */
							return
								((BgL_rtl_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5708));
						}
				}
			}
		}

	}



/* &rtl_cast-nil */
	BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7360)
	{
		{	/* SawMill/defs.sch 895 */
			return BGl_rtl_castzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast-fromtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_375)
	{
		{	/* SawMill/defs.sch 896 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_375))->BgL_fromtypez00);
		}

	}



/* &rtl_cast-fromtype */
	BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7361, obj_t BgL_oz00_7362)
	{
		{	/* SawMill/defs.sch 896 */
			return
				BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7362));
		}

	}



/* rtl_cast-fromtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_376, BgL_typez00_bglt BgL_vz00_377)
	{
		{	/* SawMill/defs.sch 897 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_376))->BgL_fromtypez00) =
				((BgL_typez00_bglt) BgL_vz00_377), BUNSPEC);
		}

	}



/* &rtl_cast-fromtype-set! */
	obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7363, obj_t BgL_oz00_7364, obj_t BgL_vz00_7365)
	{
		{	/* SawMill/defs.sch 897 */
			return
				BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7364),
				((BgL_typez00_bglt) BgL_vz00_7365));
		}

	}



/* rtl_cast-totype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_378)
	{
		{	/* SawMill/defs.sch 898 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_378))->BgL_totypez00);
		}

	}



/* &rtl_cast-totype */
	BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7366, obj_t BgL_oz00_7367)
	{
		{	/* SawMill/defs.sch 898 */
			return
				BGl_rtl_castzd2totypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7367));
		}

	}



/* rtl_cast-totype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_379, BgL_typez00_bglt BgL_vz00_380)
	{
		{	/* SawMill/defs.sch 899 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_379))->BgL_totypez00) =
				((BgL_typez00_bglt) BgL_vz00_380), BUNSPEC);
		}

	}



/* &rtl_cast-totype-set! */
	obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7368,
		obj_t BgL_oz00_7369, obj_t BgL_vz00_7370)
	{
		{	/* SawMill/defs.sch 899 */
			return
				BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7369),
				((BgL_typez00_bglt) BgL_vz00_7370));
		}

	}



/* rtl_cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_381)
	{
		{	/* SawMill/defs.sch 900 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_381)))->BgL_locz00);
		}

	}



/* &rtl_cast-loc */
	obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7371,
		obj_t BgL_oz00_7372)
	{
		{	/* SawMill/defs.sch 900 */
			return
				BGl_rtl_castzd2loczd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7372));
		}

	}



/* rtl_cast-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_382, obj_t BgL_vz00_383)
	{
		{	/* SawMill/defs.sch 901 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_382)))->BgL_locz00) =
				((obj_t) BgL_vz00_383), BUNSPEC);
		}

	}



/* &rtl_cast-loc-set! */
	obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7373,
		obj_t BgL_oz00_7374, obj_t BgL_vz00_7375)
	{
		{	/* SawMill/defs.sch 901 */
			return
				BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7374), BgL_vz00_7375);
		}

	}



/* make-rtl_cast_null */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t BgL_loc1364z00_384,
		BgL_typez00_bglt BgL_type1365z00_385)
	{
		{	/* SawMill/defs.sch 904 */
			{	/* SawMill/defs.sch 904 */
				BgL_rtl_cast_nullz00_bglt BgL_new1430z00_9076;

				{	/* SawMill/defs.sch 904 */
					BgL_rtl_cast_nullz00_bglt BgL_new1429z00_9077;

					BgL_new1429z00_9077 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.sch 904 */
						long BgL_arg1886z00_9078;

						BgL_arg1886z00_9078 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1429z00_9077), BgL_arg1886z00_9078);
					}
					BgL_new1430z00_9076 = BgL_new1429z00_9077;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1430z00_9076)))->BgL_locz00) =
					((obj_t) BgL_loc1364z00_384), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1430z00_9076))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1365z00_385), BUNSPEC);
				return BgL_new1430z00_9076;
			}
		}

	}



/* &make-rtl_cast_null */
	BgL_rtl_cast_nullz00_bglt BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t
		BgL_envz00_7376, obj_t BgL_loc1364z00_7377, obj_t BgL_type1365z00_7378)
	{
		{	/* SawMill/defs.sch 904 */
			return
				BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(BgL_loc1364z00_7377,
				((BgL_typez00_bglt) BgL_type1365z00_7378));
		}

	}



/* rtl_cast_null? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_386)
	{
		{	/* SawMill/defs.sch 905 */
			{	/* SawMill/defs.sch 905 */
				obj_t BgL_classz00_9079;

				BgL_classz00_9079 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_386))
					{	/* SawMill/defs.sch 905 */
						BgL_objectz00_bglt BgL_arg1820z00_9080;

						BgL_arg1820z00_9080 = (BgL_objectz00_bglt) (BgL_objz00_386);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 905 */
								long BgL_idxz00_9081;

								BgL_idxz00_9081 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9080);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9081 + ((long) 2))) == BgL_classz00_9079);
							}
						else
							{	/* SawMill/defs.sch 905 */
								bool_t BgL_res3076z00_9084;

								{	/* SawMill/defs.sch 905 */
									obj_t BgL_oclassz00_9085;

									{	/* SawMill/defs.sch 905 */
										long BgL_arg1828z00_9086;

										{	/* SawMill/defs.sch 905 */
											long BgL_arg1829z00_9087;

											BgL_arg1829z00_9087 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9080);
											BgL_arg1828z00_9086 = (BgL_arg1829z00_9087 - OBJECT_TYPE);
										}
										BgL_oclassz00_9085 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9086);
									}
									{	/* SawMill/defs.sch 905 */
										bool_t BgL__ortest_1111z00_9088;

										BgL__ortest_1111z00_9088 =
											(BgL_classz00_9079 == BgL_oclassz00_9085);
										if (BgL__ortest_1111z00_9088)
											{	/* SawMill/defs.sch 905 */
												BgL_res3076z00_9084 = BgL__ortest_1111z00_9088;
											}
										else
											{	/* SawMill/defs.sch 905 */
												long BgL_odepthz00_9089;

												BgL_odepthz00_9089 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9085);
												if ((((long) 2) < BgL_odepthz00_9089))
													{	/* SawMill/defs.sch 905 */
														obj_t BgL_arg1816z00_9090;

														BgL_arg1816z00_9090 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9085,
															((long) 2));
														BgL_res3076z00_9084 =
															(BgL_arg1816z00_9090 == BgL_classz00_9079);
													}
												else
													{	/* SawMill/defs.sch 905 */
														BgL_res3076z00_9084 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3076z00_9084;
							}
					}
				else
					{	/* SawMill/defs.sch 905 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast_null? */
	obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t BgL_envz00_7379,
		obj_t BgL_objz00_7380)
	{
		{	/* SawMill/defs.sch 905 */
			return BBOOL(BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(BgL_objz00_7380));
		}

	}



/* rtl_cast_null-nil */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 906 */
			{	/* SawMill/defs.sch 906 */
				obj_t BgL_classz00_5747;

				BgL_classz00_5747 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 906 */
					obj_t BgL__ortest_1113z00_5748;

					BgL__ortest_1113z00_5748 = BGL_CLASS_NIL(BgL_classz00_5747);
					if (CBOOL(BgL__ortest_1113z00_5748))
						{	/* SawMill/defs.sch 906 */
							return ((BgL_rtl_cast_nullz00_bglt) BgL__ortest_1113z00_5748);
						}
					else
						{	/* SawMill/defs.sch 906 */
							return
								((BgL_rtl_cast_nullz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5747));
						}
				}
			}
		}

	}



/* &rtl_cast_null-nil */
	BgL_rtl_cast_nullz00_bglt BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7381)
	{
		{	/* SawMill/defs.sch 906 */
			return BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast_null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_387)
	{
		{	/* SawMill/defs.sch 907 */
			return (((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_387))->BgL_typez00);
		}

	}



/* &rtl_cast_null-type */
	BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7382, obj_t BgL_oz00_7383)
	{
		{	/* SawMill/defs.sch 907 */
			return
				BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7383));
		}

	}



/* rtl_cast_null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_388, BgL_typez00_bglt BgL_vz00_389)
	{
		{	/* SawMill/defs.sch 908 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_388))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_389), BUNSPEC);
		}

	}



/* &rtl_cast_null-type-set! */
	obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7384, obj_t BgL_oz00_7385, obj_t BgL_vz00_7386)
	{
		{	/* SawMill/defs.sch 908 */
			return
				BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7385),
				((BgL_typez00_bglt) BgL_vz00_7386));
		}

	}



/* rtl_cast_null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_390)
	{
		{	/* SawMill/defs.sch 909 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_390)))->BgL_locz00);
		}

	}



/* &rtl_cast_null-loc */
	obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7387,
		obj_t BgL_oz00_7388)
	{
		{	/* SawMill/defs.sch 909 */
			return
				BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7388));
		}

	}



/* rtl_cast_null-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_391, obj_t BgL_vz00_392)
	{
		{	/* SawMill/defs.sch 910 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_391)))->BgL_locz00) =
				((obj_t) BgL_vz00_392), BUNSPEC);
		}

	}



/* &rtl_cast_null-loc-set! */
	obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7389, obj_t BgL_oz00_7390, obj_t BgL_vz00_7391)
	{
		{	/* SawMill/defs.sch 910 */
			return
				BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7390), BgL_vz00_7391);
		}

	}



/* make-rtl_protect */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t BgL_loc1361z00_393)
	{
		{	/* SawMill/defs.sch 913 */
			{	/* SawMill/defs.sch 913 */
				BgL_rtl_protectz00_bglt BgL_new1432z00_9091;

				{	/* SawMill/defs.sch 913 */
					BgL_rtl_protectz00_bglt BgL_new1431z00_9092;

					BgL_new1431z00_9092 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.sch 913 */
						long BgL_arg1887z00_9093;

						BgL_arg1887z00_9093 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1431z00_9092), BgL_arg1887z00_9093);
					}
					BgL_new1432z00_9091 = BgL_new1431z00_9092;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1432z00_9091)))->BgL_locz00) =
					((obj_t) BgL_loc1361z00_393), BUNSPEC);
				return BgL_new1432z00_9091;
			}
		}

	}



/* &make-rtl_protect */
	BgL_rtl_protectz00_bglt BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7392, obj_t BgL_loc1361z00_7393)
	{
		{	/* SawMill/defs.sch 913 */
			return BGl_makezd2rtl_protectzd2zzsaw_defsz00(BgL_loc1361z00_7393);
		}

	}



/* rtl_protect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_394)
	{
		{	/* SawMill/defs.sch 914 */
			{	/* SawMill/defs.sch 914 */
				obj_t BgL_classz00_9094;

				BgL_classz00_9094 = BGl_rtl_protectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_394))
					{	/* SawMill/defs.sch 914 */
						BgL_objectz00_bglt BgL_arg1820z00_9095;

						BgL_arg1820z00_9095 = (BgL_objectz00_bglt) (BgL_objz00_394);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 914 */
								long BgL_idxz00_9096;

								BgL_idxz00_9096 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9095);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9096 + ((long) 2))) == BgL_classz00_9094);
							}
						else
							{	/* SawMill/defs.sch 914 */
								bool_t BgL_res3077z00_9099;

								{	/* SawMill/defs.sch 914 */
									obj_t BgL_oclassz00_9100;

									{	/* SawMill/defs.sch 914 */
										long BgL_arg1828z00_9101;

										{	/* SawMill/defs.sch 914 */
											long BgL_arg1829z00_9102;

											BgL_arg1829z00_9102 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9095);
											BgL_arg1828z00_9101 = (BgL_arg1829z00_9102 - OBJECT_TYPE);
										}
										BgL_oclassz00_9100 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9101);
									}
									{	/* SawMill/defs.sch 914 */
										bool_t BgL__ortest_1111z00_9103;

										BgL__ortest_1111z00_9103 =
											(BgL_classz00_9094 == BgL_oclassz00_9100);
										if (BgL__ortest_1111z00_9103)
											{	/* SawMill/defs.sch 914 */
												BgL_res3077z00_9099 = BgL__ortest_1111z00_9103;
											}
										else
											{	/* SawMill/defs.sch 914 */
												long BgL_odepthz00_9104;

												BgL_odepthz00_9104 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9100);
												if ((((long) 2) < BgL_odepthz00_9104))
													{	/* SawMill/defs.sch 914 */
														obj_t BgL_arg1816z00_9105;

														BgL_arg1816z00_9105 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9100,
															((long) 2));
														BgL_res3077z00_9099 =
															(BgL_arg1816z00_9105 == BgL_classz00_9094);
													}
												else
													{	/* SawMill/defs.sch 914 */
														BgL_res3077z00_9099 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3077z00_9099;
							}
					}
				else
					{	/* SawMill/defs.sch 914 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protect? */
	obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7394,
		obj_t BgL_objz00_7395)
	{
		{	/* SawMill/defs.sch 914 */
			return BBOOL(BGl_rtl_protectzf3zf3zzsaw_defsz00(BgL_objz00_7395));
		}

	}



/* rtl_protect-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 915 */
			{	/* SawMill/defs.sch 915 */
				obj_t BgL_classz00_5786;

				BgL_classz00_5786 = BGl_rtl_protectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 915 */
					obj_t BgL__ortest_1113z00_5787;

					BgL__ortest_1113z00_5787 = BGL_CLASS_NIL(BgL_classz00_5786);
					if (CBOOL(BgL__ortest_1113z00_5787))
						{	/* SawMill/defs.sch 915 */
							return ((BgL_rtl_protectz00_bglt) BgL__ortest_1113z00_5787);
						}
					else
						{	/* SawMill/defs.sch 915 */
							return
								((BgL_rtl_protectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5786));
						}
				}
			}
		}

	}



/* &rtl_protect-nil */
	BgL_rtl_protectz00_bglt BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7396)
	{
		{	/* SawMill/defs.sch 915 */
			return BGl_rtl_protectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt BgL_oz00_395)
	{
		{	/* SawMill/defs.sch 916 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_395)))->BgL_locz00);
		}

	}



/* &rtl_protect-loc */
	obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7397,
		obj_t BgL_oz00_7398)
	{
		{	/* SawMill/defs.sch 916 */
			return
				BGl_rtl_protectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7398));
		}

	}



/* rtl_protect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt
		BgL_oz00_396, obj_t BgL_vz00_397)
	{
		{	/* SawMill/defs.sch 917 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_396)))->BgL_locz00) =
				((obj_t) BgL_vz00_397), BUNSPEC);
		}

	}



/* &rtl_protect-loc-set! */
	obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7399,
		obj_t BgL_oz00_7400, obj_t BgL_vz00_7401)
	{
		{	/* SawMill/defs.sch 917 */
			return
				BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7400), BgL_vz00_7401);
		}

	}



/* make-rtl_protected */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t BgL_loc1358z00_398)
	{
		{	/* SawMill/defs.sch 920 */
			{	/* SawMill/defs.sch 920 */
				BgL_rtl_protectedz00_bglt BgL_new1434z00_9106;

				{	/* SawMill/defs.sch 920 */
					BgL_rtl_protectedz00_bglt BgL_new1433z00_9107;

					BgL_new1433z00_9107 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.sch 920 */
						long BgL_arg1888z00_9108;

						BgL_arg1888z00_9108 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1433z00_9107), BgL_arg1888z00_9108);
					}
					BgL_new1434z00_9106 = BgL_new1433z00_9107;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1434z00_9106)))->BgL_locz00) =
					((obj_t) BgL_loc1358z00_398), BUNSPEC);
				return BgL_new1434z00_9106;
			}
		}

	}



/* &make-rtl_protected */
	BgL_rtl_protectedz00_bglt BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t
		BgL_envz00_7402, obj_t BgL_loc1358z00_7403)
	{
		{	/* SawMill/defs.sch 920 */
			return BGl_makezd2rtl_protectedzd2zzsaw_defsz00(BgL_loc1358z00_7403);
		}

	}



/* rtl_protected? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_399)
	{
		{	/* SawMill/defs.sch 921 */
			{	/* SawMill/defs.sch 921 */
				obj_t BgL_classz00_9109;

				BgL_classz00_9109 = BGl_rtl_protectedz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_399))
					{	/* SawMill/defs.sch 921 */
						BgL_objectz00_bglt BgL_arg1820z00_9110;

						BgL_arg1820z00_9110 = (BgL_objectz00_bglt) (BgL_objz00_399);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 921 */
								long BgL_idxz00_9111;

								BgL_idxz00_9111 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9110);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9111 + ((long) 2))) == BgL_classz00_9109);
							}
						else
							{	/* SawMill/defs.sch 921 */
								bool_t BgL_res3078z00_9114;

								{	/* SawMill/defs.sch 921 */
									obj_t BgL_oclassz00_9115;

									{	/* SawMill/defs.sch 921 */
										long BgL_arg1828z00_9116;

										{	/* SawMill/defs.sch 921 */
											long BgL_arg1829z00_9117;

											BgL_arg1829z00_9117 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9110);
											BgL_arg1828z00_9116 = (BgL_arg1829z00_9117 - OBJECT_TYPE);
										}
										BgL_oclassz00_9115 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9116);
									}
									{	/* SawMill/defs.sch 921 */
										bool_t BgL__ortest_1111z00_9118;

										BgL__ortest_1111z00_9118 =
											(BgL_classz00_9109 == BgL_oclassz00_9115);
										if (BgL__ortest_1111z00_9118)
											{	/* SawMill/defs.sch 921 */
												BgL_res3078z00_9114 = BgL__ortest_1111z00_9118;
											}
										else
											{	/* SawMill/defs.sch 921 */
												long BgL_odepthz00_9119;

												BgL_odepthz00_9119 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9115);
												if ((((long) 2) < BgL_odepthz00_9119))
													{	/* SawMill/defs.sch 921 */
														obj_t BgL_arg1816z00_9120;

														BgL_arg1816z00_9120 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9115,
															((long) 2));
														BgL_res3078z00_9114 =
															(BgL_arg1816z00_9120 == BgL_classz00_9109);
													}
												else
													{	/* SawMill/defs.sch 921 */
														BgL_res3078z00_9114 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3078z00_9114;
							}
					}
				else
					{	/* SawMill/defs.sch 921 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protected? */
	obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t BgL_envz00_7404,
		obj_t BgL_objz00_7405)
	{
		{	/* SawMill/defs.sch 921 */
			return BBOOL(BGl_rtl_protectedzf3zf3zzsaw_defsz00(BgL_objz00_7405));
		}

	}



/* rtl_protected-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 922 */
			{	/* SawMill/defs.sch 922 */
				obj_t BgL_classz00_5825;

				BgL_classz00_5825 = BGl_rtl_protectedz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 922 */
					obj_t BgL__ortest_1113z00_5826;

					BgL__ortest_1113z00_5826 = BGL_CLASS_NIL(BgL_classz00_5825);
					if (CBOOL(BgL__ortest_1113z00_5826))
						{	/* SawMill/defs.sch 922 */
							return ((BgL_rtl_protectedz00_bglt) BgL__ortest_1113z00_5826);
						}
					else
						{	/* SawMill/defs.sch 922 */
							return
								((BgL_rtl_protectedz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5825));
						}
				}
			}
		}

	}



/* &rtl_protected-nil */
	BgL_rtl_protectedz00_bglt BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7406)
	{
		{	/* SawMill/defs.sch 922 */
			return BGl_rtl_protectedzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protected-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_400)
	{
		{	/* SawMill/defs.sch 923 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_400)))->BgL_locz00);
		}

	}



/* &rtl_protected-loc */
	obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7407,
		obj_t BgL_oz00_7408)
	{
		{	/* SawMill/defs.sch 923 */
			return
				BGl_rtl_protectedzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7408));
		}

	}



/* rtl_protected-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_401, obj_t BgL_vz00_402)
	{
		{	/* SawMill/defs.sch 924 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_401)))->BgL_locz00) =
				((obj_t) BgL_vz00_402), BUNSPEC);
		}

	}



/* &rtl_protected-loc-set! */
	obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7409, obj_t BgL_oz00_7410, obj_t BgL_vz00_7411)
	{
		{	/* SawMill/defs.sch 924 */
			return
				BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7410), BgL_vz00_7411);
		}

	}



/* make-rtl_ins */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t
		BgL_loc1352z00_403, obj_t BgL_z52spill1353z52_404,
		obj_t BgL_dest1354z00_405, BgL_rtl_funz00_bglt BgL_fun1355z00_406,
		obj_t BgL_args1356z00_407)
	{
		{	/* SawMill/defs.sch 927 */
			{	/* SawMill/defs.sch 927 */
				BgL_rtl_insz00_bglt BgL_new1436z00_9121;

				{	/* SawMill/defs.sch 927 */
					BgL_rtl_insz00_bglt BgL_new1435z00_9122;

					BgL_new1435z00_9122 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.sch 927 */
						long BgL_arg1889z00_9123;

						BgL_arg1889z00_9123 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1435z00_9122), BgL_arg1889z00_9123);
					}
					{	/* SawMill/defs.sch 927 */
						BgL_objectz00_bglt BgL_tmpz00_12101;

						BgL_tmpz00_12101 = ((BgL_objectz00_bglt) BgL_new1435z00_9122);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12101, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1435z00_9122);
					BgL_new1436z00_9121 = BgL_new1435z00_9122;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1436z00_9121))->BgL_locz00) =
					((obj_t) BgL_loc1352z00_403), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1436z00_9121))->
						BgL_z52spillz52) = ((obj_t) BgL_z52spill1353z52_404), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1436z00_9121))->BgL_destz00) =
					((obj_t) BgL_dest1354z00_405), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1436z00_9121))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1355z00_406), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1436z00_9121))->BgL_argsz00) =
					((obj_t) BgL_args1356z00_407), BUNSPEC);
				return BgL_new1436z00_9121;
			}
		}

	}



/* &make-rtl_ins */
	BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t
		BgL_envz00_7412, obj_t BgL_loc1352z00_7413, obj_t BgL_z52spill1353z52_7414,
		obj_t BgL_dest1354z00_7415, obj_t BgL_fun1355z00_7416,
		obj_t BgL_args1356z00_7417)
	{
		{	/* SawMill/defs.sch 927 */
			return
				BGl_makezd2rtl_inszd2zzsaw_defsz00(BgL_loc1352z00_7413,
				BgL_z52spill1353z52_7414, BgL_dest1354z00_7415,
				((BgL_rtl_funz00_bglt) BgL_fun1355z00_7416), BgL_args1356z00_7417);
		}

	}



/* rtl_ins? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t BgL_objz00_408)
	{
		{	/* SawMill/defs.sch 928 */
			{	/* SawMill/defs.sch 928 */
				obj_t BgL_classz00_9124;

				BgL_classz00_9124 = BGl_rtl_insz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_408))
					{	/* SawMill/defs.sch 928 */
						BgL_objectz00_bglt BgL_arg1820z00_9125;

						BgL_arg1820z00_9125 = (BgL_objectz00_bglt) (BgL_objz00_408);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 928 */
								long BgL_idxz00_9126;

								BgL_idxz00_9126 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9125);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9126 + ((long) 1))) == BgL_classz00_9124);
							}
						else
							{	/* SawMill/defs.sch 928 */
								bool_t BgL_res3079z00_9129;

								{	/* SawMill/defs.sch 928 */
									obj_t BgL_oclassz00_9130;

									{	/* SawMill/defs.sch 928 */
										long BgL_arg1828z00_9131;

										{	/* SawMill/defs.sch 928 */
											long BgL_arg1829z00_9132;

											BgL_arg1829z00_9132 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9125);
											BgL_arg1828z00_9131 = (BgL_arg1829z00_9132 - OBJECT_TYPE);
										}
										BgL_oclassz00_9130 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9131);
									}
									{	/* SawMill/defs.sch 928 */
										bool_t BgL__ortest_1111z00_9133;

										BgL__ortest_1111z00_9133 =
											(BgL_classz00_9124 == BgL_oclassz00_9130);
										if (BgL__ortest_1111z00_9133)
											{	/* SawMill/defs.sch 928 */
												BgL_res3079z00_9129 = BgL__ortest_1111z00_9133;
											}
										else
											{	/* SawMill/defs.sch 928 */
												long BgL_odepthz00_9134;

												BgL_odepthz00_9134 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9130);
												if ((((long) 1) < BgL_odepthz00_9134))
													{	/* SawMill/defs.sch 928 */
														obj_t BgL_arg1816z00_9135;

														BgL_arg1816z00_9135 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9130,
															((long) 1));
														BgL_res3079z00_9129 =
															(BgL_arg1816z00_9135 == BgL_classz00_9124);
													}
												else
													{	/* SawMill/defs.sch 928 */
														BgL_res3079z00_9129 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3079z00_9129;
							}
					}
				else
					{	/* SawMill/defs.sch 928 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins? */
	obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t BgL_envz00_7418,
		obj_t BgL_objz00_7419)
	{
		{	/* SawMill/defs.sch 928 */
			return BBOOL(BGl_rtl_inszf3zf3zzsaw_defsz00(BgL_objz00_7419));
		}

	}



/* rtl_ins-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 929 */
			{	/* SawMill/defs.sch 929 */
				obj_t BgL_classz00_5865;

				BgL_classz00_5865 = BGl_rtl_insz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 929 */
					obj_t BgL__ortest_1113z00_5866;

					BgL__ortest_1113z00_5866 = BGL_CLASS_NIL(BgL_classz00_5865);
					if (CBOOL(BgL__ortest_1113z00_5866))
						{	/* SawMill/defs.sch 929 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1113z00_5866);
						}
					else
						{	/* SawMill/defs.sch 929 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5865));
						}
				}
			}
		}

	}



/* &rtl_ins-nil */
	BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7420)
	{
		{	/* SawMill/defs.sch 929 */
			return BGl_rtl_inszd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ins-args */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_409)
	{
		{	/* SawMill/defs.sch 930 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_409))->BgL_argsz00);
		}

	}



/* &rtl_ins-args */
	obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t BgL_envz00_7421,
		obj_t BgL_oz00_7422)
	{
		{	/* SawMill/defs.sch 930 */
			return
				BGl_rtl_inszd2argszd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7422));
		}

	}



/* rtl_ins-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_410, obj_t BgL_vz00_411)
	{
		{	/* SawMill/defs.sch 931 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_410))->BgL_argsz00) =
				((obj_t) BgL_vz00_411), BUNSPEC);
		}

	}



/* &rtl_ins-args-set! */
	obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7423,
		obj_t BgL_oz00_7424, obj_t BgL_vz00_7425)
	{
		{	/* SawMill/defs.sch 931 */
			return
				BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7424), BgL_vz00_7425);
		}

	}



/* rtl_ins-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_412)
	{
		{	/* SawMill/defs.sch 932 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_412))->BgL_funz00);
		}

	}



/* &rtl_ins-fun */
	BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t
		BgL_envz00_7426, obj_t BgL_oz00_7427)
	{
		{	/* SawMill/defs.sch 932 */
			return
				BGl_rtl_inszd2funzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7427));
		}

	}



/* rtl_ins-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_413,
		BgL_rtl_funz00_bglt BgL_vz00_414)
	{
		{	/* SawMill/defs.sch 933 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_413))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_414), BUNSPEC);
		}

	}



/* &rtl_ins-fun-set! */
	obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7428,
		obj_t BgL_oz00_7429, obj_t BgL_vz00_7430)
	{
		{	/* SawMill/defs.sch 933 */
			return
				BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7429),
				((BgL_rtl_funz00_bglt) BgL_vz00_7430));
		}

	}



/* rtl_ins-dest */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_415)
	{
		{	/* SawMill/defs.sch 934 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_415))->BgL_destz00);
		}

	}



/* &rtl_ins-dest */
	obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t BgL_envz00_7431,
		obj_t BgL_oz00_7432)
	{
		{	/* SawMill/defs.sch 934 */
			return
				BGl_rtl_inszd2destzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7432));
		}

	}



/* rtl_ins-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_416, obj_t BgL_vz00_417)
	{
		{	/* SawMill/defs.sch 935 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_416))->BgL_destz00) =
				((obj_t) BgL_vz00_417), BUNSPEC);
		}

	}



/* &rtl_ins-dest-set! */
	obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7433,
		obj_t BgL_oz00_7434, obj_t BgL_vz00_7435)
	{
		{	/* SawMill/defs.sch 935 */
			return
				BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7434), BgL_vz00_7435);
		}

	}



/* rtl_ins-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_418)
	{
		{	/* SawMill/defs.sch 936 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_418))->BgL_z52spillz52);
		}

	}



/* &rtl_ins-%spill */
	obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t BgL_envz00_7436,
		obj_t BgL_oz00_7437)
	{
		{	/* SawMill/defs.sch 936 */
			return
				BGl_rtl_inszd2z52spillz80zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7437));
		}

	}



/* rtl_ins-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_419, obj_t BgL_vz00_420)
	{
		{	/* SawMill/defs.sch 937 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_419))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_420), BUNSPEC);
		}

	}



/* &rtl_ins-%spill-set! */
	obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t
		BgL_envz00_7438, obj_t BgL_oz00_7439, obj_t BgL_vz00_7440)
	{
		{	/* SawMill/defs.sch 937 */
			return
				BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7439), BgL_vz00_7440);
		}

	}



/* rtl_ins-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_421)
	{
		{	/* SawMill/defs.sch 938 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_421))->BgL_locz00);
		}

	}



/* &rtl_ins-loc */
	obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7441,
		obj_t BgL_oz00_7442)
	{
		{	/* SawMill/defs.sch 938 */
			return
				BGl_rtl_inszd2loczd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7442));
		}

	}



/* rtl_ins-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_422,
		obj_t BgL_vz00_423)
	{
		{	/* SawMill/defs.sch 939 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_422))->BgL_locz00) =
				((obj_t) BgL_vz00_423), BUNSPEC);
		}

	}



/* &rtl_ins-loc-set! */
	obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7443,
		obj_t BgL_oz00_7444, obj_t BgL_vz00_7445)
	{
		{	/* SawMill/defs.sch 939 */
			return
				BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7444), BgL_vz00_7445);
		}

	}



/* make-block */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int
		BgL_label1347z00_424, obj_t BgL_preds1348z00_425,
		obj_t BgL_succs1349z00_426, obj_t BgL_first1350z00_427)
	{
		{	/* SawMill/defs.sch 942 */
			{	/* SawMill/defs.sch 942 */
				BgL_blockz00_bglt BgL_new1438z00_9136;

				{	/* SawMill/defs.sch 942 */
					BgL_blockz00_bglt BgL_new1437z00_9137;

					BgL_new1437z00_9137 =
						((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockz00_bgl))));
					{	/* SawMill/defs.sch 942 */
						long BgL_arg1890z00_9138;

						BgL_arg1890z00_9138 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1437z00_9137), BgL_arg1890z00_9138);
					}
					{	/* SawMill/defs.sch 942 */
						BgL_objectz00_bglt BgL_tmpz00_12175;

						BgL_tmpz00_12175 = ((BgL_objectz00_bglt) BgL_new1437z00_9137);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12175, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1437z00_9137);
					BgL_new1438z00_9136 = BgL_new1437z00_9137;
				}
				((((BgL_blockz00_bglt) COBJECT(BgL_new1438z00_9136))->BgL_labelz00) =
					((int) BgL_label1347z00_424), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1438z00_9136))->BgL_predsz00) =
					((obj_t) BgL_preds1348z00_425), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1438z00_9136))->BgL_succsz00) =
					((obj_t) BgL_succs1349z00_426), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1438z00_9136))->BgL_firstz00) =
					((obj_t) BgL_first1350z00_427), BUNSPEC);
				return BgL_new1438z00_9136;
			}
		}

	}



/* &make-block */
	BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t BgL_envz00_7446,
		obj_t BgL_label1347z00_7447, obj_t BgL_preds1348z00_7448,
		obj_t BgL_succs1349z00_7449, obj_t BgL_first1350z00_7450)
	{
		{	/* SawMill/defs.sch 942 */
			return
				BGl_makezd2blockzd2zzsaw_defsz00(CINT(BgL_label1347z00_7447),
				BgL_preds1348z00_7448, BgL_succs1349z00_7449, BgL_first1350z00_7450);
		}

	}



/* block? */
	BGL_EXPORTED_DEF bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t BgL_objz00_428)
	{
		{	/* SawMill/defs.sch 943 */
			{	/* SawMill/defs.sch 943 */
				obj_t BgL_classz00_9139;

				BgL_classz00_9139 = BGl_blockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_428))
					{	/* SawMill/defs.sch 943 */
						BgL_objectz00_bglt BgL_arg1820z00_9140;

						BgL_arg1820z00_9140 = (BgL_objectz00_bglt) (BgL_objz00_428);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/defs.sch 943 */
								long BgL_idxz00_9141;

								BgL_idxz00_9141 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_9140);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9141 + ((long) 1))) == BgL_classz00_9139);
							}
						else
							{	/* SawMill/defs.sch 943 */
								bool_t BgL_res3080z00_9144;

								{	/* SawMill/defs.sch 943 */
									obj_t BgL_oclassz00_9145;

									{	/* SawMill/defs.sch 943 */
										long BgL_arg1828z00_9146;

										{	/* SawMill/defs.sch 943 */
											long BgL_arg1829z00_9147;

											BgL_arg1829z00_9147 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_9140);
											BgL_arg1828z00_9146 = (BgL_arg1829z00_9147 - OBJECT_TYPE);
										}
										BgL_oclassz00_9145 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_9146);
									}
									{	/* SawMill/defs.sch 943 */
										bool_t BgL__ortest_1111z00_9148;

										BgL__ortest_1111z00_9148 =
											(BgL_classz00_9139 == BgL_oclassz00_9145);
										if (BgL__ortest_1111z00_9148)
											{	/* SawMill/defs.sch 943 */
												BgL_res3080z00_9144 = BgL__ortest_1111z00_9148;
											}
										else
											{	/* SawMill/defs.sch 943 */
												long BgL_odepthz00_9149;

												BgL_odepthz00_9149 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9145);
												if ((((long) 1) < BgL_odepthz00_9149))
													{	/* SawMill/defs.sch 943 */
														obj_t BgL_arg1816z00_9150;

														BgL_arg1816z00_9150 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9145,
															((long) 1));
														BgL_res3080z00_9144 =
															(BgL_arg1816z00_9150 == BgL_classz00_9139);
													}
												else
													{	/* SawMill/defs.sch 943 */
														BgL_res3080z00_9144 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3080z00_9144;
							}
					}
				else
					{	/* SawMill/defs.sch 943 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &block? */
	obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t BgL_envz00_7451,
		obj_t BgL_objz00_7452)
	{
		{	/* SawMill/defs.sch 943 */
			return BBOOL(BGl_blockzf3zf3zzsaw_defsz00(BgL_objz00_7452));
		}

	}



/* block-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.sch 944 */
			{	/* SawMill/defs.sch 944 */
				obj_t BgL_classz00_5905;

				BgL_classz00_5905 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 944 */
					obj_t BgL__ortest_1113z00_5906;

					BgL__ortest_1113z00_5906 = BGL_CLASS_NIL(BgL_classz00_5905);
					if (CBOOL(BgL__ortest_1113z00_5906))
						{	/* SawMill/defs.sch 944 */
							return ((BgL_blockz00_bglt) BgL__ortest_1113z00_5906);
						}
					else
						{	/* SawMill/defs.sch 944 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5905));
						}
				}
			}
		}

	}



/* &block-nil */
	BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7453)
	{
		{	/* SawMill/defs.sch 944 */
			return BGl_blockzd2nilzd2zzsaw_defsz00();
		}

	}



/* block-first */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_429)
	{
		{	/* SawMill/defs.sch 945 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_429))->BgL_firstz00);
		}

	}



/* &block-first */
	obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t BgL_envz00_7454,
		obj_t BgL_oz00_7455)
	{
		{	/* SawMill/defs.sch 945 */
			return
				BGl_blockzd2firstzd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7455));
		}

	}



/* block-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_430,
		obj_t BgL_vz00_431)
	{
		{	/* SawMill/defs.sch 946 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_430))->BgL_firstz00) =
				((obj_t) BgL_vz00_431), BUNSPEC);
		}

	}



/* &block-first-set! */
	obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7456,
		obj_t BgL_oz00_7457, obj_t BgL_vz00_7458)
	{
		{	/* SawMill/defs.sch 946 */
			return
				BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7457), BgL_vz00_7458);
		}

	}



/* block-succs */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_432)
	{
		{	/* SawMill/defs.sch 947 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_432))->BgL_succsz00);
		}

	}



/* &block-succs */
	obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t BgL_envz00_7459,
		obj_t BgL_oz00_7460)
	{
		{	/* SawMill/defs.sch 947 */
			return
				BGl_blockzd2succszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7460));
		}

	}



/* block-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_433,
		obj_t BgL_vz00_434)
	{
		{	/* SawMill/defs.sch 948 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_433))->BgL_succsz00) =
				((obj_t) BgL_vz00_434), BUNSPEC);
		}

	}



/* &block-succs-set! */
	obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7461,
		obj_t BgL_oz00_7462, obj_t BgL_vz00_7463)
	{
		{	/* SawMill/defs.sch 948 */
			return
				BGl_blockzd2succszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7462), BgL_vz00_7463);
		}

	}



/* block-preds */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_435)
	{
		{	/* SawMill/defs.sch 949 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_435))->BgL_predsz00);
		}

	}



/* &block-preds */
	obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t BgL_envz00_7464,
		obj_t BgL_oz00_7465)
	{
		{	/* SawMill/defs.sch 949 */
			return
				BGl_blockzd2predszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7465));
		}

	}



/* block-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_436,
		obj_t BgL_vz00_437)
	{
		{	/* SawMill/defs.sch 950 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_436))->BgL_predsz00) =
				((obj_t) BgL_vz00_437), BUNSPEC);
		}

	}



/* &block-preds-set! */
	obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7466,
		obj_t BgL_oz00_7467, obj_t BgL_vz00_7468)
	{
		{	/* SawMill/defs.sch 950 */
			return
				BGl_blockzd2predszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7467), BgL_vz00_7468);
		}

	}



/* block-label */
	BGL_EXPORTED_DEF int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_438)
	{
		{	/* SawMill/defs.sch 951 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_438))->BgL_labelz00);
		}

	}



/* &block-label */
	obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t BgL_envz00_7469,
		obj_t BgL_oz00_7470)
	{
		{	/* SawMill/defs.sch 951 */
			return
				BINT(BGl_blockzd2labelzd2zzsaw_defsz00(
					((BgL_blockz00_bglt) BgL_oz00_7470)));
		}

	}



/* block-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_439,
		int BgL_vz00_440)
	{
		{	/* SawMill/defs.sch 952 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_439))->BgL_labelz00) =
				((int) BgL_vz00_440), BUNSPEC);
		}

	}



/* &block-label-set! */
	obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7471,
		obj_t BgL_oz00_7472, obj_t BgL_vz00_7473)
	{
		{	/* SawMill/defs.sch 952 */
			return
				BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7472), CINT(BgL_vz00_7473));
		}

	}



/* rtl_ins-args* */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_insz00_441)
	{
		{	/* SawMill/defs.scm 106 */
			{	/* SawMill/defs.scm 107 */
				obj_t BgL_g1439z00_2032;

				BgL_g1439z00_2032 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_441))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2035;
					obj_t BgL_resz00_2036;

					BgL_argsz00_2035 = BgL_g1439z00_2032;
					BgL_resz00_2036 = BNIL;
				BgL_zc3z04anonymousza31891ze3z87_2037:
					if (NULLP(BgL_argsz00_2035))
						{	/* SawMill/defs.scm 110 */
							return BgL_resz00_2036;
						}
					else
						{	/* SawMill/defs.scm 112 */
							bool_t BgL_test4290z00_12242;

							{	/* SawMill/defs.scm 112 */
								obj_t BgL_arg1912z00_2052;

								BgL_arg1912z00_2052 = CAR(((obj_t) BgL_argsz00_2035));
								{	/* SawMill/defs.scm 112 */
									obj_t BgL_classz00_5909;

									BgL_classz00_5909 = BGl_rtl_regz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_arg1912z00_2052))
										{	/* SawMill/defs.scm 112 */
											BgL_objectz00_bglt BgL_arg1820z00_5911;

											BgL_arg1820z00_5911 =
												(BgL_objectz00_bglt) (BgL_arg1912z00_2052);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/defs.scm 112 */
													long BgL_idxz00_5917;

													BgL_idxz00_5917 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5911);
													BgL_test4290z00_12242 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5917 + ((long) 1))) ==
														BgL_classz00_5909);
												}
											else
												{	/* SawMill/defs.scm 112 */
													bool_t BgL_res3081z00_5939;

													{	/* SawMill/defs.scm 112 */
														obj_t BgL_oclassz00_5925;

														{	/* SawMill/defs.scm 112 */
															long BgL_arg1828z00_5931;

															{	/* SawMill/defs.scm 112 */
																long BgL_arg1829z00_5932;

																BgL_arg1829z00_5932 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5911);
																BgL_arg1828z00_5931 =
																	(BgL_arg1829z00_5932 - OBJECT_TYPE);
															}
															BgL_oclassz00_5925 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_5931);
														}
														{	/* SawMill/defs.scm 112 */
															bool_t BgL__ortest_1111z00_5926;

															BgL__ortest_1111z00_5926 =
																(BgL_classz00_5909 == BgL_oclassz00_5925);
															if (BgL__ortest_1111z00_5926)
																{	/* SawMill/defs.scm 112 */
																	BgL_res3081z00_5939 =
																		BgL__ortest_1111z00_5926;
																}
															else
																{	/* SawMill/defs.scm 112 */
																	long BgL_odepthz00_5927;

																	BgL_odepthz00_5927 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5925);
																	if ((((long) 1) < BgL_odepthz00_5927))
																		{	/* SawMill/defs.scm 112 */
																			obj_t BgL_arg1816z00_5929;

																			BgL_arg1816z00_5929 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5925, ((long) 1));
																			BgL_res3081z00_5939 =
																				(BgL_arg1816z00_5929 ==
																				BgL_classz00_5909);
																		}
																	else
																		{	/* SawMill/defs.scm 112 */
																			BgL_res3081z00_5939 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4290z00_12242 = BgL_res3081z00_5939;
												}
										}
									else
										{	/* SawMill/defs.scm 112 */
											BgL_test4290z00_12242 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4290z00_12242)
								{	/* SawMill/defs.scm 113 */
									obj_t BgL_arg1898z00_2041;
									obj_t BgL_arg1899z00_2042;

									BgL_arg1898z00_2041 = CDR(((obj_t) BgL_argsz00_2035));
									{	/* SawMill/defs.scm 113 */
										obj_t BgL_arg1900z00_2043;

										BgL_arg1900z00_2043 = CAR(((obj_t) BgL_argsz00_2035));
										BgL_arg1899z00_2042 =
											MAKE_YOUNG_PAIR(BgL_arg1900z00_2043, BgL_resz00_2036);
									}
									{
										obj_t BgL_resz00_12270;
										obj_t BgL_argsz00_12269;

										BgL_argsz00_12269 = BgL_arg1898z00_2041;
										BgL_resz00_12270 = BgL_arg1899z00_2042;
										BgL_resz00_2036 = BgL_resz00_12270;
										BgL_argsz00_2035 = BgL_argsz00_12269;
										goto BgL_zc3z04anonymousza31891ze3z87_2037;
									}
								}
							else
								{	/* SawMill/defs.scm 114 */
									bool_t BgL_test4295z00_12271;

									{	/* SawMill/defs.scm 114 */
										obj_t BgL_arg1910z00_2051;

										BgL_arg1910z00_2051 = CAR(((obj_t) BgL_argsz00_2035));
										{	/* SawMill/defs.scm 114 */
											obj_t BgL_classz00_5943;

											BgL_classz00_5943 = BGl_rtl_insz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg1910z00_2051))
												{	/* SawMill/defs.scm 114 */
													BgL_objectz00_bglt BgL_arg1820z00_5945;

													BgL_arg1820z00_5945 =
														(BgL_objectz00_bglt) (BgL_arg1910z00_2051);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/defs.scm 114 */
															long BgL_idxz00_5951;

															BgL_idxz00_5951 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5945);
															BgL_test4295z00_12271 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5951 + ((long) 1))) ==
																BgL_classz00_5943);
														}
													else
														{	/* SawMill/defs.scm 114 */
															bool_t BgL_res3082z00_5973;

															{	/* SawMill/defs.scm 114 */
																obj_t BgL_oclassz00_5959;

																{	/* SawMill/defs.scm 114 */
																	long BgL_arg1828z00_5965;

																	{	/* SawMill/defs.scm 114 */
																		long BgL_arg1829z00_5966;

																		BgL_arg1829z00_5966 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5945);
																		BgL_arg1828z00_5965 =
																			(BgL_arg1829z00_5966 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5959 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_5965);
																}
																{	/* SawMill/defs.scm 114 */
																	bool_t BgL__ortest_1111z00_5960;

																	BgL__ortest_1111z00_5960 =
																		(BgL_classz00_5943 == BgL_oclassz00_5959);
																	if (BgL__ortest_1111z00_5960)
																		{	/* SawMill/defs.scm 114 */
																			BgL_res3082z00_5973 =
																				BgL__ortest_1111z00_5960;
																		}
																	else
																		{	/* SawMill/defs.scm 114 */
																			long BgL_odepthz00_5961;

																			BgL_odepthz00_5961 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5959);
																			if ((((long) 1) < BgL_odepthz00_5961))
																				{	/* SawMill/defs.scm 114 */
																					obj_t BgL_arg1816z00_5963;

																					BgL_arg1816z00_5963 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5959, ((long) 1));
																					BgL_res3082z00_5973 =
																						(BgL_arg1816z00_5963 ==
																						BgL_classz00_5943);
																				}
																			else
																				{	/* SawMill/defs.scm 114 */
																					BgL_res3082z00_5973 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test4295z00_12271 = BgL_res3082z00_5973;
														}
												}
											else
												{	/* SawMill/defs.scm 114 */
													BgL_test4295z00_12271 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test4295z00_12271)
										{	/* SawMill/defs.scm 115 */
											obj_t BgL_arg1903z00_2046;
											obj_t BgL_arg1904z00_2047;

											BgL_arg1903z00_2046 = CDR(((obj_t) BgL_argsz00_2035));
											{	/* SawMill/defs.scm 115 */
												obj_t BgL_arg1906z00_2048;

												{	/* SawMill/defs.scm 115 */
													obj_t BgL_arg1907z00_2049;

													BgL_arg1907z00_2049 = CAR(((obj_t) BgL_argsz00_2035));
													BgL_arg1906z00_2048 =
														BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
														((BgL_rtl_insz00_bglt) BgL_arg1907z00_2049));
												}
												BgL_arg1904z00_2047 =
													BGl_appendzd221011zd2zzsaw_defsz00
													(BgL_arg1906z00_2048, BgL_resz00_2036);
											}
											{
												obj_t BgL_resz00_12301;
												obj_t BgL_argsz00_12300;

												BgL_argsz00_12300 = BgL_arg1903z00_2046;
												BgL_resz00_12301 = BgL_arg1904z00_2047;
												BgL_resz00_2036 = BgL_resz00_12301;
												BgL_argsz00_2035 = BgL_argsz00_12300;
												goto BgL_zc3z04anonymousza31891ze3z87_2037;
											}
										}
									else
										{	/* SawMill/defs.scm 117 */
											obj_t BgL_arg1908z00_2050;

											BgL_arg1908z00_2050 = CDR(((obj_t) BgL_argsz00_2035));
											{
												obj_t BgL_argsz00_12304;

												BgL_argsz00_12304 = BgL_arg1908z00_2050;
												BgL_argsz00_2035 = BgL_argsz00_12304;
												goto BgL_zc3z04anonymousza31891ze3z87_2037;
											}
										}
								}
						}
				}
			}
		}

	}



/* &rtl_ins-args* */
	obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t BgL_envz00_7474,
		obj_t BgL_insz00_7475)
	{
		{	/* SawMill/defs.scm 106 */
			return
				BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_insz00_7475));
		}

	}



/* dump-basic-blocks */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t
		BgL_idz00_444, obj_t BgL_vz00_445, obj_t BgL_paramsz00_446,
		obj_t BgL_lz00_447)
	{
		{	/* SawMill/defs.scm 156 */
			{	/* SawMill/defs.scm 157 */
				obj_t BgL_port1649z00_2054;

				BgL_port1649z00_2054 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 157 */
					obj_t BgL_tmpz00_12307;

					BgL_tmpz00_12307 = ((obj_t) BgL_port1649z00_2054);
					bgl_display_string(BGl_string3099z00zzsaw_defsz00, BgL_tmpz00_12307);
				}
				bgl_display_obj(BgL_idz00_444, BgL_port1649z00_2054);
				{	/* SawMill/defs.scm 157 */
					obj_t BgL_tmpz00_12311;

					BgL_tmpz00_12311 = ((obj_t) BgL_port1649z00_2054);
					bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_12311);
				}
				bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_vz00_445),
					BgL_port1649z00_2054);
				{	/* SawMill/defs.scm 157 */
					obj_t BgL_tmpz00_12316;

					BgL_tmpz00_12316 = ((obj_t) BgL_port1649z00_2054);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_12316);
			}}
			bgl_display_string(BGl_string3101z00zzsaw_defsz00,
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			if (NULLP(BgL_paramsz00_446))
				{	/* SawMill/defs.scm 159 */
					BNIL;
				}
			else
				{	/* SawMill/defs.scm 159 */
					obj_t BgL_head1652z00_2058;

					BgL_head1652z00_2058 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1650z00_2060;
						obj_t BgL_tail1653z00_2061;

						BgL_l1650z00_2060 = BgL_paramsz00_446;
						BgL_tail1653z00_2061 = BgL_head1652z00_2058;
					BgL_zc3z04anonymousza31916ze3z87_2062:
						if (NULLP(BgL_l1650z00_2060))
							{	/* SawMill/defs.scm 159 */
								CDR(BgL_head1652z00_2058);
							}
						else
							{	/* SawMill/defs.scm 159 */
								obj_t BgL_newtail1654z00_2064;

								{	/* SawMill/defs.scm 159 */
									obj_t BgL_arg1919z00_2066;

									{	/* SawMill/defs.scm 159 */
										obj_t BgL_az00_2067;

										BgL_az00_2067 = CAR(((obj_t) BgL_l1650z00_2060));
										bgl_display_string(BGl_string3100z00zzsaw_defsz00,
											BGl_za2tracezd2portza2zd2zztools_tracez00);
										BgL_arg1919z00_2066 =
											BGl_dumpz00zzsaw_defsz00(BgL_az00_2067,
											BGl_za2tracezd2portza2zd2zztools_tracez00,
											(int) (((long) 0)));
									}
									BgL_newtail1654z00_2064 =
										MAKE_YOUNG_PAIR(BgL_arg1919z00_2066, BNIL);
								}
								SET_CDR(BgL_tail1653z00_2061, BgL_newtail1654z00_2064);
								{	/* SawMill/defs.scm 159 */
									obj_t BgL_arg1918z00_2065;

									BgL_arg1918z00_2065 = CDR(((obj_t) BgL_l1650z00_2060));
									{
										obj_t BgL_tail1653z00_12336;
										obj_t BgL_l1650z00_12335;

										BgL_l1650z00_12335 = BgL_arg1918z00_2065;
										BgL_tail1653z00_12336 = BgL_newtail1654z00_2064;
										BgL_tail1653z00_2061 = BgL_tail1653z00_12336;
										BgL_l1650z00_2060 = BgL_l1650z00_12335;
										goto BgL_zc3z04anonymousza31916ze3z87_2062;
									}
								}
							}
					}
				}
			bgl_display_char(((unsigned char) 10),
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			{	/* SawMill/defs.scm 164 */
				obj_t BgL_port1655z00_2069;

				BgL_port1655z00_2069 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 164 */
					obj_t BgL_tmpz00_12338;

					BgL_tmpz00_12338 = ((obj_t) BgL_port1655z00_2069);
					bgl_display_string(BGl_string3102z00zzsaw_defsz00, BgL_tmpz00_12338);
				}
				{	/* SawMill/defs.scm 164 */
					obj_t BgL_tmpz00_12341;

					BgL_tmpz00_12341 = ((obj_t) BgL_port1655z00_2069);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_12341);
			}}
			{
				obj_t BgL_l1656z00_2071;

				{	/* SawMill/defs.scm 165 */
					bool_t BgL_tmpz00_12344;

					BgL_l1656z00_2071 = BgL_lz00_447;
				BgL_zc3z04anonymousza31920ze3z87_2072:
					if (PAIRP(BgL_l1656z00_2071))
						{	/* SawMill/defs.scm 165 */
							{	/* SawMill/defs.scm 166 */
								obj_t BgL_bz00_2074;

								BgL_bz00_2074 = CAR(BgL_l1656z00_2071);
								{	/* SawMill/defs.scm 166 */
									obj_t BgL_portz00_5995;

									BgL_portz00_5995 = BGl_za2tracezd2portza2zd2zztools_tracez00;
									BGl_dumpz00zzsaw_defsz00(BgL_bz00_2074, BgL_portz00_5995,
										(int) (((long) 0)));
									bgl_display_char(((unsigned char) 10), BgL_portz00_5995);
								}
								bgl_display_char(((unsigned char) 10),
									BGl_za2tracezd2portza2zd2zztools_tracez00);
							}
							{
								obj_t BgL_l1656z00_12352;

								BgL_l1656z00_12352 = CDR(BgL_l1656z00_2071);
								BgL_l1656z00_2071 = BgL_l1656z00_12352;
								goto BgL_zc3z04anonymousza31920ze3z87_2072;
							}
						}
					else
						{	/* SawMill/defs.scm 165 */
							BgL_tmpz00_12344 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_12344);
				}
			}
		}

	}



/* &dump-basic-blocks */
	obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t BgL_envz00_7476,
		obj_t BgL_idz00_7477, obj_t BgL_vz00_7478, obj_t BgL_paramsz00_7479,
		obj_t BgL_lz00_7480)
	{
		{	/* SawMill/defs.scm 156 */
			return
				BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(BgL_idz00_7477, BgL_vz00_7478,
				BgL_paramsz00_7479, BgL_lz00_7480);
		}

	}



/* rtl-dump */
	BGL_EXPORTED_DEF obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t BgL_objz00_448,
		obj_t BgL_portz00_449)
	{
		{	/* SawMill/defs.scm 173 */
			BGl_dumpz00zzsaw_defsz00(BgL_objz00_448, BgL_portz00_449,
				(int) (((long) 0)));
			return bgl_display_char(((unsigned char) 10), BgL_portz00_449);
		}

	}



/* &rtl-dump */
	obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t BgL_envz00_7481,
		obj_t BgL_objz00_7482, obj_t BgL_portz00_7483)
	{
		{	/* SawMill/defs.scm 173 */
			return BGl_rtlzd2dumpzd2zzsaw_defsz00(BgL_objz00_7482, BgL_portz00_7483);
		}

	}



/* dump-margin */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t BgL_pz00_450,
		int BgL_mz00_451)
	{
		{	/* SawMill/defs.scm 180 */
			{	/* SawMill/defs.scm 181 */
				obj_t BgL_mgsz00_2077;

				BgL_mgsz00_2077 = CNST_TABLE_REF(((long) 0));
				if (((long) (BgL_mz00_451) < VECTOR_LENGTH(BgL_mgsz00_2077)))
					{	/* SawMill/defs.scm 182 */
						return
							bgl_display_obj(VECTOR_REF(BgL_mgsz00_2077,
								(long) (BgL_mz00_451)), BgL_pz00_450);
					}
				else
					{	/* SawMill/defs.scm 182 */
						return
							bgl_display_obj(make_string(
								(long) (BgL_mz00_451), ((unsigned char) ' ')), BgL_pz00_450);
		}}}

	}



/* &dump-margin */
	obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t BgL_envz00_7484,
		obj_t BgL_pz00_7485, obj_t BgL_mz00_7486)
	{
		{	/* SawMill/defs.scm 180 */
			return
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7485, CINT(BgL_mz00_7486));
		}

	}



/* dump* */
	BGL_EXPORTED_DEF obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t BgL_oz00_455,
		obj_t BgL_pz00_456, int BgL_mz00_457)
	{
		{	/* SawMill/defs.scm 207 */
			if (NULLP(BgL_oz00_455))
				{	/* SawMill/defs.scm 209 */
					return BUNSPEC;
				}
			else
				{	/* SawMill/defs.scm 209 */
					if (NULLP(CDR(((obj_t) BgL_oz00_455))))
						{	/* SawMill/defs.scm 212 */
							obj_t BgL_arg1932z00_2086;

							BgL_arg1932z00_2086 = CAR(((obj_t) BgL_oz00_455));
							BGL_TAIL return
								BGl_dumpz00zzsaw_defsz00(BgL_arg1932z00_2086, BgL_pz00_456,
								BgL_mz00_457);
						}
					else
						{
							obj_t BgL_oz00_2088;

							{	/* SawMill/defs.scm 214 */
								bool_t BgL_tmpz00_12382;

								BgL_oz00_2088 = BgL_oz00_455;
							BgL_zc3z04anonymousza31933ze3z87_2089:
								{	/* SawMill/defs.scm 215 */
									obj_t BgL_arg1934z00_2090;

									BgL_arg1934z00_2090 = CAR(((obj_t) BgL_oz00_2088));
									BGl_dumpz00zzsaw_defsz00(BgL_arg1934z00_2090, BgL_pz00_456,
										BgL_mz00_457);
								}
								{	/* SawMill/defs.scm 216 */
									bool_t BgL_test4306z00_12386;

									{	/* SawMill/defs.scm 216 */
										obj_t BgL_tmpz00_12387;

										BgL_tmpz00_12387 = CDR(((obj_t) BgL_oz00_2088));
										BgL_test4306z00_12386 = PAIRP(BgL_tmpz00_12387);
									}
									if (BgL_test4306z00_12386)
										{	/* SawMill/defs.scm 216 */
											bgl_display_char(((unsigned char) 10), BgL_pz00_456);
											BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_456,
												BgL_mz00_457);
											{	/* SawMill/defs.scm 219 */
												obj_t BgL_arg1938z00_2093;

												BgL_arg1938z00_2093 = CDR(((obj_t) BgL_oz00_2088));
												{
													obj_t BgL_oz00_12395;

													BgL_oz00_12395 = BgL_arg1938z00_2093;
													BgL_oz00_2088 = BgL_oz00_12395;
													goto BgL_zc3z04anonymousza31933ze3z87_2089;
												}
											}
										}
									else
										{	/* SawMill/defs.scm 216 */
											BgL_tmpz00_12382 = ((bool_t) 0);
										}
								}
								return BBOOL(BgL_tmpz00_12382);
							}
						}
				}
		}

	}



/* &dump* */
	obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t BgL_envz00_7487,
		obj_t BgL_oz00_7488, obj_t BgL_pz00_7489, obj_t BgL_mz00_7490)
	{
		{	/* SawMill/defs.scm 207 */
			return
				BGl_dumpza2za2zzsaw_defsz00(BgL_oz00_7488, BgL_pz00_7489,
				CINT(BgL_mz00_7490));
		}

	}



/* dump-args */
	bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t BgL_argsz00_458,
		obj_t BgL_pz00_459)
	{
		{	/* SawMill/defs.scm 224 */
			{
				obj_t BgL_argsz00_2098;

				BgL_argsz00_2098 = BgL_argsz00_458;
			BgL_zc3z04anonymousza31941ze3z87_2099:
				if (PAIRP(BgL_argsz00_2098))
					{	/* SawMill/defs.scm 227 */
						obj_t BgL_az00_2101;

						BgL_az00_2101 = CAR(BgL_argsz00_2098);
						{	/* SawMill/defs.scm 229 */
							bool_t BgL_test4308z00_12402;

							{	/* SawMill/defs.scm 229 */
								obj_t BgL_classz00_6013;

								BgL_classz00_6013 = BGl_rtl_regz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_az00_2101))
									{	/* SawMill/defs.scm 229 */
										BgL_objectz00_bglt BgL_arg1820z00_6015;

										BgL_arg1820z00_6015 = (BgL_objectz00_bglt) (BgL_az00_2101);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/defs.scm 229 */
												long BgL_idxz00_6021;

												BgL_idxz00_6021 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6015);
												BgL_test4308z00_12402 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6021 + ((long) 1))) ==
													BgL_classz00_6013);
											}
										else
											{	/* SawMill/defs.scm 229 */
												bool_t BgL_res3083z00_6043;

												{	/* SawMill/defs.scm 229 */
													obj_t BgL_oclassz00_6029;

													{	/* SawMill/defs.scm 229 */
														long BgL_arg1828z00_6035;

														{	/* SawMill/defs.scm 229 */
															long BgL_arg1829z00_6036;

															BgL_arg1829z00_6036 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6015);
															BgL_arg1828z00_6035 =
																(BgL_arg1829z00_6036 - OBJECT_TYPE);
														}
														BgL_oclassz00_6029 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_6035);
													}
													{	/* SawMill/defs.scm 229 */
														bool_t BgL__ortest_1111z00_6030;

														BgL__ortest_1111z00_6030 =
															(BgL_classz00_6013 == BgL_oclassz00_6029);
														if (BgL__ortest_1111z00_6030)
															{	/* SawMill/defs.scm 229 */
																BgL_res3083z00_6043 = BgL__ortest_1111z00_6030;
															}
														else
															{	/* SawMill/defs.scm 229 */
																long BgL_odepthz00_6031;

																BgL_odepthz00_6031 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_6029);
																if ((((long) 1) < BgL_odepthz00_6031))
																	{	/* SawMill/defs.scm 229 */
																		obj_t BgL_arg1816z00_6033;

																		BgL_arg1816z00_6033 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_6029, ((long) 1));
																		BgL_res3083z00_6043 =
																			(BgL_arg1816z00_6033 ==
																			BgL_classz00_6013);
																	}
																else
																	{	/* SawMill/defs.scm 229 */
																		BgL_res3083z00_6043 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test4308z00_12402 = BgL_res3083z00_6043;
											}
									}
								else
									{	/* SawMill/defs.scm 229 */
										BgL_test4308z00_12402 = ((bool_t) 0);
									}
							}
							if (BgL_test4308z00_12402)
								{	/* SawMill/defs.scm 229 */
									{	/* SawMill/defs.scm 230 */
										obj_t BgL_tmpz00_12422;

										BgL_tmpz00_12422 = ((obj_t) BgL_pz00_459);
										bgl_display_string(BGl_string3100z00zzsaw_defsz00,
											BgL_tmpz00_12422);
									}
									BGl_dumpz00zzsaw_defsz00(BgL_az00_2101, BgL_pz00_459,
										(int) (((long) 0)));
								}
							else
								{	/* SawMill/defs.scm 232 */
									bool_t BgL_test4313z00_12427;

									{	/* SawMill/defs.scm 232 */
										obj_t BgL_classz00_6046;

										BgL_classz00_6046 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_az00_2101))
											{	/* SawMill/defs.scm 232 */
												BgL_objectz00_bglt BgL_arg1820z00_6048;

												BgL_arg1820z00_6048 =
													(BgL_objectz00_bglt) (BgL_az00_2101);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/defs.scm 232 */
														long BgL_idxz00_6054;

														BgL_idxz00_6054 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6048);
														BgL_test4313z00_12427 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6054 + ((long) 1))) ==
															BgL_classz00_6046);
													}
												else
													{	/* SawMill/defs.scm 232 */
														bool_t BgL_res3084z00_6076;

														{	/* SawMill/defs.scm 232 */
															obj_t BgL_oclassz00_6062;

															{	/* SawMill/defs.scm 232 */
																long BgL_arg1828z00_6068;

																{	/* SawMill/defs.scm 232 */
																	long BgL_arg1829z00_6069;

																	BgL_arg1829z00_6069 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6048);
																	BgL_arg1828z00_6068 =
																		(BgL_arg1829z00_6069 - OBJECT_TYPE);
																}
																BgL_oclassz00_6062 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_6068);
															}
															{	/* SawMill/defs.scm 232 */
																bool_t BgL__ortest_1111z00_6063;

																BgL__ortest_1111z00_6063 =
																	(BgL_classz00_6046 == BgL_oclassz00_6062);
																if (BgL__ortest_1111z00_6063)
																	{	/* SawMill/defs.scm 232 */
																		BgL_res3084z00_6076 =
																			BgL__ortest_1111z00_6063;
																	}
																else
																	{	/* SawMill/defs.scm 232 */
																		long BgL_odepthz00_6064;

																		BgL_odepthz00_6064 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_6062);
																		if ((((long) 1) < BgL_odepthz00_6064))
																			{	/* SawMill/defs.scm 232 */
																				obj_t BgL_arg1816z00_6066;

																				BgL_arg1816z00_6066 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_6062, ((long) 1));
																				BgL_res3084z00_6076 =
																					(BgL_arg1816z00_6066 ==
																					BgL_classz00_6046);
																			}
																		else
																			{	/* SawMill/defs.scm 232 */
																				BgL_res3084z00_6076 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test4313z00_12427 = BgL_res3084z00_6076;
													}
											}
										else
											{	/* SawMill/defs.scm 232 */
												BgL_test4313z00_12427 = ((bool_t) 0);
											}
									}
									if (BgL_test4313z00_12427)
										{	/* SawMill/defs.scm 232 */
											{	/* SawMill/defs.scm 233 */
												obj_t BgL_tmpz00_12447;

												BgL_tmpz00_12447 = ((obj_t) BgL_pz00_459);
												bgl_display_string(BGl_string3100z00zzsaw_defsz00,
													BgL_tmpz00_12447);
											}
											{	/* SawMill/defs.scm 283 */
												obj_t BgL_tmpz00_12450;

												BgL_tmpz00_12450 = ((obj_t) BgL_pz00_459);
												bgl_display_string(BGl_string3103z00zzsaw_defsz00,
													BgL_tmpz00_12450);
											}
											{	/* SawMill/defs.scm 284 */
												BgL_rtl_funz00_bglt BgL_arg1946z00_6081;
												obj_t BgL_arg1947z00_6082;
												obj_t BgL_arg1948z00_6083;

												BgL_arg1946z00_6081 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_az00_2101)))->
													BgL_funz00);
												BgL_arg1947z00_6082 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2101)))->BgL_destz00);
												BgL_arg1948z00_6083 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2101)))->BgL_argsz00);
												BGl_dumpzd2funzd2zzsaw_defsz00(BgL_arg1946z00_6081,
													BgL_arg1947z00_6082, BgL_arg1948z00_6083,
													BgL_pz00_459, BINT(((long) 0)));
											}
											{	/* SawMill/defs.scm 285 */
												obj_t BgL_tmpz00_12461;

												BgL_tmpz00_12461 = ((obj_t) BgL_pz00_459);
												bgl_display_string(BGl_string3104z00zzsaw_defsz00,
													BgL_tmpz00_12461);
										}}
									else
										{	/* SawMill/defs.scm 232 */
											{	/* SawMill/defs.scm 236 */
												obj_t BgL_tmpz00_12464;

												BgL_tmpz00_12464 = ((obj_t) BgL_pz00_459);
												bgl_display_string(BGl_string3100z00zzsaw_defsz00,
													BgL_tmpz00_12464);
											}
											bgl_display_obj(BgL_az00_2101, BgL_pz00_459);
										}
								}
						}
						{
							obj_t BgL_argsz00_12468;

							BgL_argsz00_12468 = CDR(BgL_argsz00_2098);
							BgL_argsz00_2098 = BgL_argsz00_12468;
							goto BgL_zc3z04anonymousza31941ze3z87_2099;
						}
					}
				else
					{	/* SawMill/defs.scm 226 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* dump-ins-rhs */
	BGL_EXPORTED_DEF obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_466,
		obj_t BgL_pz00_467, obj_t BgL_mz00_468)
	{
		{	/* SawMill/defs.scm 281 */
			{	/* SawMill/defs.scm 283 */
				obj_t BgL_tmpz00_12470;

				BgL_tmpz00_12470 = ((obj_t) BgL_pz00_467);
				bgl_display_string(BGl_string3103z00zzsaw_defsz00, BgL_tmpz00_12470);
			}
			BGl_dumpzd2funzd2zzsaw_defsz00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_466))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_466))->BgL_destz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_466))->BgL_argsz00),
				BgL_pz00_467, BgL_mz00_468);
			{	/* SawMill/defs.scm 285 */
				obj_t BgL_tmpz00_12477;

				BgL_tmpz00_12477 = ((obj_t) BgL_pz00_467);
				return
					bgl_display_string(BGl_string3104z00zzsaw_defsz00, BgL_tmpz00_12477);
			}
		}

	}



/* &dump-ins-rhs */
	obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t BgL_envz00_7491,
		obj_t BgL_oz00_7492, obj_t BgL_pz00_7493, obj_t BgL_mz00_7494)
	{
		{	/* SawMill/defs.scm 281 */
			return
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7492), BgL_pz00_7493, BgL_mz00_7494);
		}

	}



/* show-fun */
	obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_472,
		obj_t BgL_destz00_473, obj_t BgL_pz00_474)
	{
		{	/* SawMill/defs.scm 299 */
			{	/* SawMill/defs.scm 300 */
				obj_t BgL_cz00_2110;

				{	/* SawMill/defs.scm 300 */
					obj_t BgL_arg1952z00_2114;

					{	/* SawMill/defs.scm 300 */
						obj_t BgL_arg1953z00_2115;

						{	/* SawMill/defs.scm 300 */
							long BgL_arg1828z00_6096;

							{	/* SawMill/defs.scm 300 */
								long BgL_arg1829z00_6097;

								BgL_arg1829z00_6097 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_472));
								BgL_arg1828z00_6096 = (BgL_arg1829z00_6097 - OBJECT_TYPE);
							}
							BgL_arg1953z00_2115 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_6096);
						}
						BgL_arg1952z00_2114 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1953z00_2115);
					}
					{	/* SawMill/defs.scm 300 */
						obj_t BgL_arg1469z00_6104;

						BgL_arg1469z00_6104 = SYMBOL_TO_STRING(BgL_arg1952z00_2114);
						BgL_cz00_2110 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1469z00_6104);
				}}
				bgl_display_obj(c_substring(BgL_cz00_2110, ((long) 4),
						STRING_LENGTH(BgL_cz00_2110)), BgL_pz00_474);
				{	/* SawMill/defs.scm 302 */
					bool_t BgL_test4318z00_12492;

					if (CBOOL(BgL_destz00_473))
						{	/* SawMill/defs.scm 302 */
							BgL_test4318z00_12492 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
						}
					else
						{	/* SawMill/defs.scm 302 */
							BgL_test4318z00_12492 = ((bool_t) 0);
						}
					if (BgL_test4318z00_12492)
						{	/* SawMill/defs.scm 302 */
							{	/* SawMill/defs.scm 303 */
								obj_t BgL_tmpz00_12496;

								BgL_tmpz00_12496 = ((obj_t) BgL_pz00_474);
								bgl_display_string(BGl_string3105z00zzsaw_defsz00,
									BgL_tmpz00_12496);
							}
							BGl_dumpz00zzsaw_defsz00(BgL_destz00_473, BgL_pz00_474,
								(int) (((long) 0)));
							{	/* SawMill/defs.scm 305 */
								obj_t BgL_tmpz00_12501;

								BgL_tmpz00_12501 = ((obj_t) BgL_pz00_474);
								return
									bgl_display_string(BGl_string3106z00zzsaw_defsz00,
									BgL_tmpz00_12501);
							}
						}
					else
						{	/* SawMill/defs.scm 302 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 12 */
				obj_t BgL_arg1957z00_2119;
				obj_t BgL_arg1958z00_2120;

				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1684z00_2136;

					BgL_v1684z00_2136 = create_vector(((long) 6));
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1964z00_2137;

						BgL_arg1964z00_2137 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3108z00zzsaw_defsz00,
							BGl_proc3107z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1684z00_2136, ((long) 0), BgL_arg1964z00_2137);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1969z00_2147;

						BgL_arg1969z00_2147 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3110z00zzsaw_defsz00,
							BGl_proc3109z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1684z00_2136, ((long) 1), BgL_arg1969z00_2147);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1974z00_2157;

						BgL_arg1974z00_2157 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3113z00zzsaw_defsz00,
							BGl_proc3112z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3111z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1684z00_2136, ((long) 2), BgL_arg1974z00_2157);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1981z00_2170;

						BgL_arg1981z00_2170 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3116z00zzsaw_defsz00,
							BGl_proc3115z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3114z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1684z00_2136, ((long) 3), BgL_arg1981z00_2170);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1988z00_2184;

						BgL_arg1988z00_2184 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3119z00zzsaw_defsz00,
							BGl_proc3118z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3117z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1684z00_2136, ((long) 4), BgL_arg1988z00_2184);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1995z00_2198;

						BgL_arg1995z00_2198 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3122z00zzsaw_defsz00,
							BGl_proc3121z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3120z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1684z00_2136, ((long) 5), BgL_arg1995z00_2198);
					}
					BgL_arg1957z00_2119 = BgL_v1684z00_2136;
				}
				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1685z00_2211;

					BgL_v1685z00_2211 = create_vector(((long) 0));
					BgL_arg1958z00_2120 = BgL_v1685z00_2211;
				}
				BGl_rtl_regz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 24220), BGl_proc3125z00zzsaw_defsz00,
					BGl_proc3124z00zzsaw_defsz00, BFALSE, BGl_proc3123z00zzsaw_defsz00,
					BFALSE, BgL_arg1957z00_2119, BgL_arg1958z00_2120);
			}
			{	/* SawMill/defs.scm 20 */
				obj_t BgL_arg2005z00_2218;
				obj_t BgL_arg2006z00_2219;

				{	/* SawMill/defs.scm 20 */
					obj_t BgL_v1686z00_2230;

					BgL_v1686z00_2230 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 20 */
						obj_t BgL_arg2012z00_2231;

						BgL_arg2012z00_2231 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3128z00zzsaw_defsz00,
							BGl_proc3127z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3126z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1686z00_2230, ((long) 0), BgL_arg2012z00_2231);
					}
					BgL_arg2005z00_2218 = BgL_v1686z00_2230;
				}
				{	/* SawMill/defs.scm 20 */
					obj_t BgL_v1687z00_2244;

					BgL_v1687z00_2244 = create_vector(((long) 0));
					BgL_arg2006z00_2219 = BgL_v1687z00_2244;
				}
				BGl_rtl_funz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 50121), BGl_proc3131z00zzsaw_defsz00,
					BGl_proc3130z00zzsaw_defsz00, BFALSE, BGl_proc3129z00zzsaw_defsz00,
					BFALSE, BgL_arg2005z00_2218, BgL_arg2006z00_2219);
			}
			{	/* SawMill/defs.scm 22 */
				obj_t BgL_arg2022z00_2251;
				obj_t BgL_arg2023z00_2252;

				{	/* SawMill/defs.scm 22 */
					obj_t BgL_v1688z00_2263;

					BgL_v1688z00_2263 = create_vector(((long) 0));
					BgL_arg2022z00_2251 = BgL_v1688z00_2263;
				}
				{	/* SawMill/defs.scm 22 */
					obj_t BgL_v1689z00_2264;

					BgL_v1689z00_2264 = create_vector(((long) 0));
					BgL_arg2023z00_2252 = BgL_v1689z00_2264;
				}
				BGl_rtl_lastz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 46348), BGl_proc3134z00zzsaw_defsz00,
					BGl_proc3133z00zzsaw_defsz00, BFALSE, BGl_proc3132z00zzsaw_defsz00,
					BFALSE, BgL_arg2022z00_2251, BgL_arg2023z00_2252);
			}
			{	/* SawMill/defs.scm 23 */
				obj_t BgL_arg2034z00_2271;
				obj_t BgL_arg2035z00_2272;

				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1690z00_2284;

					BgL_v1690z00_2284 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 23 */
						obj_t BgL_arg2041z00_2285;

						BgL_arg2041z00_2285 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3136z00zzsaw_defsz00,
							BGl_proc3135z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1690z00_2284, ((long) 0), BgL_arg2041z00_2285);
					}
					BgL_arg2034z00_2271 = BgL_v1690z00_2284;
				}
				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1691z00_2295;

					BgL_v1691z00_2295 = create_vector(((long) 0));
					BgL_arg2035z00_2272 = BgL_v1691z00_2295;
				}
				BGl_rtl_returnz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 2933), BGl_proc3139z00zzsaw_defsz00,
					BGl_proc3138z00zzsaw_defsz00, BFALSE, BGl_proc3137z00zzsaw_defsz00,
					BFALSE, BgL_arg2034z00_2271, BgL_arg2035z00_2272);
			}
			{	/* SawMill/defs.scm 24 */
				obj_t BgL_arg2050z00_2302;
				obj_t BgL_arg2051z00_2303;

				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1692z00_2314;

					BgL_v1692z00_2314 = create_vector(((long) 0));
					BgL_arg2050z00_2302 = BgL_v1692z00_2314;
				}
				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1693z00_2315;

					BgL_v1693z00_2315 = create_vector(((long) 0));
					BgL_arg2051z00_2303 = BgL_v1693z00_2315;
				}
				BGl_rtl_jumpexitz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 2291), BGl_proc3142z00zzsaw_defsz00,
					BGl_proc3141z00zzsaw_defsz00, BFALSE, BGl_proc3140z00zzsaw_defsz00,
					BFALSE, BgL_arg2050z00_2302, BgL_arg2051z00_2303);
			}
			{	/* SawMill/defs.scm 25 */
				obj_t BgL_arg2060z00_2322;
				obj_t BgL_arg2061z00_2323;

				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1694z00_2334;

					BgL_v1694z00_2334 = create_vector(((long) 0));
					BgL_arg2060z00_2322 = BgL_v1694z00_2334;
				}
				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1695z00_2335;

					BgL_v1695z00_2335 = create_vector(((long) 0));
					BgL_arg2061z00_2323 = BgL_v1695z00_2335;
				}
				BGl_rtl_failz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 45401), BGl_proc3145z00zzsaw_defsz00,
					BGl_proc3144z00zzsaw_defsz00, BFALSE, BGl_proc3143z00zzsaw_defsz00,
					BFALSE, BgL_arg2060z00_2322, BgL_arg2061z00_2323);
			}
			{	/* SawMill/defs.scm 26 */
				obj_t BgL_arg2071z00_2342;
				obj_t BgL_arg2072z00_2343;

				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1696z00_2354;

					BgL_v1696z00_2354 = create_vector(((long) 0));
					BgL_arg2071z00_2342 = BgL_v1696z00_2354;
				}
				{	/* SawMill/defs.scm 26 */
					obj_t BgL_v1697z00_2355;

					BgL_v1697z00_2355 = create_vector(((long) 0));
					BgL_arg2072z00_2343 = BgL_v1697z00_2355;
				}
				BGl_rtl_retblockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 32430), BGl_proc3148z00zzsaw_defsz00,
					BGl_proc3147z00zzsaw_defsz00, BFALSE, BGl_proc3146z00zzsaw_defsz00,
					BFALSE, BgL_arg2071z00_2342, BgL_arg2072z00_2343);
			}
			{	/* SawMill/defs.scm 27 */
				obj_t BgL_arg2082z00_2362;
				obj_t BgL_arg2083z00_2363;

				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1698z00_2375;

					BgL_v1698z00_2375 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 27 */
						obj_t BgL_arg2089z00_2376;

						BgL_arg2089z00_2376 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3150z00zzsaw_defsz00,
							BGl_proc3149z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1698z00_2375, ((long) 0), BgL_arg2089z00_2376);
					}
					BgL_arg2082z00_2362 = BgL_v1698z00_2375;
				}
				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1699z00_2386;

					BgL_v1699z00_2386 = create_vector(((long) 0));
					BgL_arg2083z00_2363 = BgL_v1699z00_2386;
				}
				BGl_rtl_retz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 18)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 55560), BGl_proc3153z00zzsaw_defsz00,
					BGl_proc3152z00zzsaw_defsz00, BFALSE, BGl_proc3151z00zzsaw_defsz00,
					BFALSE, BgL_arg2082z00_2362, BgL_arg2083z00_2363);
			}
			{	/* SawMill/defs.scm 29 */
				obj_t BgL_arg2099z00_2393;
				obj_t BgL_arg2100z00_2394;

				{	/* SawMill/defs.scm 29 */
					obj_t BgL_v1700z00_2405;

					BgL_v1700z00_2405 = create_vector(((long) 0));
					BgL_arg2099z00_2393 = BgL_v1700z00_2405;
				}
				{	/* SawMill/defs.scm 29 */
					obj_t BgL_v1701z00_2406;

					BgL_v1701z00_2406 = create_vector(((long) 0));
					BgL_arg2100z00_2394 = BgL_v1701z00_2406;
				}
				BGl_rtl_notseqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 57578), BGl_proc3156z00zzsaw_defsz00,
					BGl_proc3155z00zzsaw_defsz00, BFALSE, BGl_proc3154z00zzsaw_defsz00,
					BFALSE, BgL_arg2099z00_2393, BgL_arg2100z00_2394);
			}
			{	/* SawMill/defs.scm 30 */
				obj_t BgL_arg2109z00_2413;
				obj_t BgL_arg2110z00_2414;

				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1702z00_2425;

					BgL_v1702z00_2425 = create_vector(((long) 0));
					BgL_arg2109z00_2413 = BgL_v1702z00_2425;
				}
				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1703z00_2426;

					BgL_v1703z00_2426 = create_vector(((long) 0));
					BgL_arg2110z00_2414 = BgL_v1703z00_2426;
				}
				BGl_rtl_ifz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 31216), BGl_proc3159z00zzsaw_defsz00,
					BGl_proc3158z00zzsaw_defsz00, BFALSE, BGl_proc3157z00zzsaw_defsz00,
					BFALSE, BgL_arg2109z00_2413, BgL_arg2110z00_2414);
			}
			{	/* SawMill/defs.scm 31 */
				obj_t BgL_arg2119z00_2433;
				obj_t BgL_arg2120z00_2434;

				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1704z00_2447;

					BgL_v1704z00_2447 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 31 */
						obj_t BgL_arg2126z00_2448;

						BgL_arg2126z00_2448 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3161z00zzsaw_defsz00,
							BGl_proc3160z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1704z00_2447, ((long) 0), BgL_arg2126z00_2448);
					}
					{	/* SawMill/defs.scm 31 */
						obj_t BgL_arg2131z00_2458;

						BgL_arg2131z00_2458 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc3163z00zzsaw_defsz00,
							BGl_proc3162z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1704z00_2447, ((long) 1), BgL_arg2131z00_2458);
					}
					BgL_arg2119z00_2433 = BgL_v1704z00_2447;
				}
				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1705z00_2468;

					BgL_v1705z00_2468 = create_vector(((long) 0));
					BgL_arg2120z00_2434 = BgL_v1705z00_2468;
				}
				BGl_rtl_selectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 6346), BGl_proc3166z00zzsaw_defsz00,
					BGl_proc3165z00zzsaw_defsz00, BFALSE, BGl_proc3164z00zzsaw_defsz00,
					BFALSE, BgL_arg2119z00_2433, BgL_arg2120z00_2434);
			}
			{	/* SawMill/defs.scm 32 */
				obj_t BgL_arg2139z00_2475;
				obj_t BgL_arg2141z00_2476;

				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1706z00_2490;

					BgL_v1706z00_2490 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2147z00_2491;

						BgL_arg2147z00_2491 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3168z00zzsaw_defsz00,
							BGl_proc3167z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1706z00_2490, ((long) 0), BgL_arg2147z00_2491);
					}
					BgL_arg2139z00_2475 = BgL_v1706z00_2490;
				}
				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1707z00_2501;

					BgL_v1707z00_2501 = create_vector(((long) 0));
					BgL_arg2141z00_2476 = BgL_v1707z00_2501;
				}
				BGl_rtl_switchz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_selectz00zzsaw_defsz00,
					((long) 61548), BGl_proc3171z00zzsaw_defsz00,
					BGl_proc3170z00zzsaw_defsz00, BFALSE, BGl_proc3169z00zzsaw_defsz00,
					BFALSE, BgL_arg2139z00_2475, BgL_arg2141z00_2476);
			}
			{	/* SawMill/defs.scm 33 */
				obj_t BgL_arg2156z00_2508;
				obj_t BgL_arg2157z00_2509;

				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1708z00_2521;

					BgL_v1708z00_2521 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 33 */
						obj_t BgL_arg2163z00_2522;

						BgL_arg2163z00_2522 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc3173z00zzsaw_defsz00,
							BGl_proc3172z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1708z00_2521, ((long) 0), BgL_arg2163z00_2522);
					}
					BgL_arg2156z00_2508 = BgL_v1708z00_2521;
				}
				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1709z00_2532;

					BgL_v1709z00_2532 = create_vector(((long) 0));
					BgL_arg2157z00_2509 = BgL_v1709z00_2532;
				}
				BGl_rtl_ifeqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 50772), BGl_proc3176z00zzsaw_defsz00,
					BGl_proc3175z00zzsaw_defsz00, BFALSE, BGl_proc3174z00zzsaw_defsz00,
					BFALSE, BgL_arg2156z00_2508, BgL_arg2157z00_2509);
			}
			{	/* SawMill/defs.scm 34 */
				obj_t BgL_arg2171z00_2539;
				obj_t BgL_arg2172z00_2540;

				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1710z00_2552;

					BgL_v1710z00_2552 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 34 */
						obj_t BgL_arg2178z00_2553;

						BgL_arg2178z00_2553 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc3178z00zzsaw_defsz00,
							BGl_proc3177z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1710z00_2552, ((long) 0), BgL_arg2178z00_2553);
					}
					BgL_arg2171z00_2539 = BgL_v1710z00_2552;
				}
				{	/* SawMill/defs.scm 34 */
					obj_t BgL_v1711z00_2563;

					BgL_v1711z00_2563 = create_vector(((long) 0));
					BgL_arg2172z00_2540 = BgL_v1711z00_2563;
				}
				BGl_rtl_ifnez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 43703), BGl_proc3181z00zzsaw_defsz00,
					BGl_proc3180z00zzsaw_defsz00, BFALSE, BGl_proc3179z00zzsaw_defsz00,
					BFALSE, BgL_arg2171z00_2539, BgL_arg2172z00_2540);
			}
			{	/* SawMill/defs.scm 35 */
				obj_t BgL_arg2187z00_2570;
				obj_t BgL_arg2188z00_2571;

				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1712z00_2583;

					BgL_v1712z00_2583 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 35 */
						obj_t BgL_arg2194z00_2584;

						BgL_arg2194z00_2584 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc3183z00zzsaw_defsz00,
							BGl_proc3182z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1712z00_2583, ((long) 0), BgL_arg2194z00_2584);
					}
					BgL_arg2187z00_2570 = BgL_v1712z00_2583;
				}
				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1713z00_2594;

					BgL_v1713z00_2594 = create_vector(((long) 0));
					BgL_arg2188z00_2571 = BgL_v1713z00_2594;
				}
				BGl_rtl_goz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 55455), BGl_proc3186z00zzsaw_defsz00,
					BGl_proc3185z00zzsaw_defsz00, BFALSE, BGl_proc3184z00zzsaw_defsz00,
					BFALSE, BgL_arg2187z00_2570, BgL_arg2188z00_2571);
			}
			{	/* SawMill/defs.scm 37 */
				obj_t BgL_arg2202z00_2601;
				obj_t BgL_arg2203z00_2602;

				{	/* SawMill/defs.scm 37 */
					obj_t BgL_v1714z00_2613;

					BgL_v1714z00_2613 = create_vector(((long) 0));
					BgL_arg2202z00_2601 = BgL_v1714z00_2613;
				}
				{	/* SawMill/defs.scm 37 */
					obj_t BgL_v1715z00_2614;

					BgL_v1715z00_2614 = create_vector(((long) 0));
					BgL_arg2203z00_2602 = BgL_v1715z00_2614;
				}
				BGl_rtl_purez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 28820), BGl_proc3189z00zzsaw_defsz00,
					BGl_proc3188z00zzsaw_defsz00, BFALSE, BGl_proc3187z00zzsaw_defsz00,
					BFALSE, BgL_arg2202z00_2601, BgL_arg2203z00_2602);
			}
			{	/* SawMill/defs.scm 38 */
				obj_t BgL_arg2212z00_2621;
				obj_t BgL_arg2213z00_2622;

				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1716z00_2633;

					BgL_v1716z00_2633 = create_vector(((long) 0));
					BgL_arg2212z00_2621 = BgL_v1716z00_2633;
				}
				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1717z00_2634;

					BgL_v1717z00_2634 = create_vector(((long) 0));
					BgL_arg2213z00_2622 = BgL_v1717z00_2634;
				}
				BGl_rtl_nopz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 27632), BGl_proc3192z00zzsaw_defsz00,
					BGl_proc3191z00zzsaw_defsz00, BFALSE, BGl_proc3190z00zzsaw_defsz00,
					BFALSE, BgL_arg2212z00_2621, BgL_arg2213z00_2622);
			}
			{	/* SawMill/defs.scm 39 */
				obj_t BgL_arg2222z00_2641;
				obj_t BgL_arg2223z00_2642;

				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1718z00_2653;

					BgL_v1718z00_2653 = create_vector(((long) 0));
					BgL_arg2222z00_2641 = BgL_v1718z00_2653;
				}
				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1719z00_2654;

					BgL_v1719z00_2654 = create_vector(((long) 0));
					BgL_arg2223z00_2642 = BgL_v1719z00_2654;
				}
				BGl_rtl_movz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 12799), BGl_proc3195z00zzsaw_defsz00,
					BGl_proc3194z00zzsaw_defsz00, BFALSE, BGl_proc3193z00zzsaw_defsz00,
					BFALSE, BgL_arg2222z00_2641, BgL_arg2223z00_2642);
			}
			{	/* SawMill/defs.scm 40 */
				obj_t BgL_arg2232z00_2661;
				obj_t BgL_arg2233z00_2662;

				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1720z00_2674;

					BgL_v1720z00_2674 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 40 */
						obj_t BgL_arg2239z00_2675;

						BgL_arg2239z00_2675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									32)), BGl_proc3197z00zzsaw_defsz00,
							BGl_proc3196z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_atomz00zzast_nodez00);
						VECTOR_SET(BgL_v1720z00_2674, ((long) 0), BgL_arg2239z00_2675);
					}
					BgL_arg2232z00_2661 = BgL_v1720z00_2674;
				}
				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1721z00_2685;

					BgL_v1721z00_2685 = create_vector(((long) 0));
					BgL_arg2233z00_2662 = BgL_v1721z00_2685;
				}
				BGl_rtl_loadiz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 16623), BGl_proc3200z00zzsaw_defsz00,
					BGl_proc3199z00zzsaw_defsz00, BFALSE, BGl_proc3198z00zzsaw_defsz00,
					BFALSE, BgL_arg2232z00_2661, BgL_arg2233z00_2662);
			}
			{	/* SawMill/defs.scm 41 */
				obj_t BgL_arg2247z00_2692;
				obj_t BgL_arg2248z00_2693;

				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1722z00_2705;

					BgL_v1722z00_2705 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 41 */
						obj_t BgL_arg2254z00_2706;

						BgL_arg2254z00_2706 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3202z00zzsaw_defsz00,
							BGl_proc3201z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1722z00_2705, ((long) 0), BgL_arg2254z00_2706);
					}
					BgL_arg2247z00_2692 = BgL_v1722z00_2705;
				}
				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1723z00_2716;

					BgL_v1723z00_2716 = create_vector(((long) 0));
					BgL_arg2248z00_2693 = BgL_v1723z00_2716;
				}
				BGl_rtl_loadgz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 34672), BGl_proc3205z00zzsaw_defsz00,
					BGl_proc3204z00zzsaw_defsz00, BFALSE, BGl_proc3203z00zzsaw_defsz00,
					BFALSE, BgL_arg2247z00_2692, BgL_arg2248z00_2693);
			}
			{	/* SawMill/defs.scm 42 */
				obj_t BgL_arg2262z00_2723;
				obj_t BgL_arg2263z00_2724;

				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1724z00_2736;

					BgL_v1724z00_2736 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2269z00_2737;

						BgL_arg2269z00_2737 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3207z00zzsaw_defsz00,
							BGl_proc3206z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1724z00_2736, ((long) 0), BgL_arg2269z00_2737);
					}
					BgL_arg2262z00_2723 = BgL_v1724z00_2736;
				}
				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1725z00_2747;

					BgL_v1725z00_2747 = create_vector(((long) 0));
					BgL_arg2263z00_2724 = BgL_v1725z00_2747;
				}
				BGl_rtl_loadfunz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 13326), BGl_proc3210z00zzsaw_defsz00,
					BGl_proc3209z00zzsaw_defsz00, BFALSE, BGl_proc3208z00zzsaw_defsz00,
					BFALSE, BgL_arg2262z00_2723, BgL_arg2263z00_2724);
			}
			{	/* SawMill/defs.scm 43 */
				obj_t BgL_arg2277z00_2754;
				obj_t BgL_arg2279z00_2755;

				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1726z00_2767;

					BgL_v1726z00_2767 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 43 */
						obj_t BgL_arg2285z00_2768;

						BgL_arg2285z00_2768 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3212z00zzsaw_defsz00,
							BGl_proc3211z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1726z00_2767, ((long) 0), BgL_arg2285z00_2768);
					}
					BgL_arg2277z00_2754 = BgL_v1726z00_2767;
				}
				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1727z00_2778;

					BgL_v1727z00_2778 = create_vector(((long) 0));
					BgL_arg2279z00_2755 = BgL_v1727z00_2778;
				}
				BGl_rtl_globalrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 36)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 23593), BGl_proc3215z00zzsaw_defsz00,
					BGl_proc3214z00zzsaw_defsz00, BFALSE, BGl_proc3213z00zzsaw_defsz00,
					BFALSE, BgL_arg2277z00_2754, BgL_arg2279z00_2755);
			}
			{	/* SawMill/defs.scm 44 */
				obj_t BgL_arg2294z00_2785;
				obj_t BgL_arg2295z00_2786;

				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1728z00_2800;

					BgL_v1728z00_2800 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2301z00_2801;

						BgL_arg2301z00_2801 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3217z00zzsaw_defsz00,
							BGl_proc3216z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 37)));
						VECTOR_SET(BgL_v1728z00_2800, ((long) 0), BgL_arg2301z00_2801);
					}
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2306z00_2811;

						BgL_arg2306z00_2811 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3219z00zzsaw_defsz00,
							BGl_proc3218z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1728z00_2800, ((long) 1), BgL_arg2306z00_2811);
					}
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2311z00_2821;

						BgL_arg2311z00_2821 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3221z00zzsaw_defsz00,
							BGl_proc3220z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1728z00_2800, ((long) 2), BgL_arg2311z00_2821);
					}
					BgL_arg2294z00_2785 = BgL_v1728z00_2800;
				}
				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1729z00_2831;

					BgL_v1729z00_2831 = create_vector(((long) 0));
					BgL_arg2295z00_2786 = BgL_v1729z00_2831;
				}
				BGl_rtl_getfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 51124), BGl_proc3224z00zzsaw_defsz00,
					BGl_proc3223z00zzsaw_defsz00, BFALSE, BGl_proc3222z00zzsaw_defsz00,
					BFALSE, BgL_arg2294z00_2785, BgL_arg2295z00_2786);
			}
			{	/* SawMill/defs.scm 45 */
				obj_t BgL_arg2319z00_2838;
				obj_t BgL_arg2320z00_2839;

				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1730z00_2852;

					BgL_v1730z00_2852 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2328z00_2853;

						BgL_arg2328z00_2853 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3226z00zzsaw_defsz00,
							BGl_proc3225z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1730z00_2852, ((long) 0), BgL_arg2328z00_2853);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2333z00_2863;

						BgL_arg2333z00_2863 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc3228z00zzsaw_defsz00,
							BGl_proc3227z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1730z00_2852, ((long) 1), BgL_arg2333z00_2863);
					}
					BgL_arg2319z00_2838 = BgL_v1730z00_2852;
				}
				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1731z00_2873;

					BgL_v1731z00_2873 = create_vector(((long) 0));
					BgL_arg2320z00_2839 = BgL_v1731z00_2873;
				}
				BGl_rtl_vallocz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 58150), BGl_proc3231z00zzsaw_defsz00,
					BGl_proc3230z00zzsaw_defsz00, BFALSE, BGl_proc3229z00zzsaw_defsz00,
					BFALSE, BgL_arg2319z00_2838, BgL_arg2320z00_2839);
			}
			{	/* SawMill/defs.scm 46 */
				obj_t BgL_arg2341z00_2880;
				obj_t BgL_arg2342z00_2881;

				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1732z00_2894;

					BgL_v1732z00_2894 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2348z00_2895;

						BgL_arg2348z00_2895 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3233z00zzsaw_defsz00,
							BGl_proc3232z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1732z00_2894, ((long) 0), BgL_arg2348z00_2895);
					}
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2355z00_2905;

						BgL_arg2355z00_2905 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc3235z00zzsaw_defsz00,
							BGl_proc3234z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1732z00_2894, ((long) 1), BgL_arg2355z00_2905);
					}
					BgL_arg2341z00_2880 = BgL_v1732z00_2894;
				}
				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1733z00_2915;

					BgL_v1733z00_2915 = create_vector(((long) 0));
					BgL_arg2342z00_2881 = BgL_v1733z00_2915;
				}
				BGl_rtl_vrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 12596), BGl_proc3238z00zzsaw_defsz00,
					BGl_proc3237z00zzsaw_defsz00, BFALSE, BGl_proc3236z00zzsaw_defsz00,
					BFALSE, BgL_arg2341z00_2880, BgL_arg2342z00_2881);
			}
			{	/* SawMill/defs.scm 47 */
				obj_t BgL_arg2363z00_2922;
				obj_t BgL_arg2364z00_2923;

				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1734z00_2936;

					BgL_v1734z00_2936 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2370z00_2937;

						BgL_arg2370z00_2937 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3240z00zzsaw_defsz00,
							BGl_proc3239z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1734z00_2936, ((long) 0), BgL_arg2370z00_2937);
					}
					{	/* SawMill/defs.scm 47 */
						obj_t BgL_arg2375z00_2947;

						BgL_arg2375z00_2947 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc3242z00zzsaw_defsz00,
							BGl_proc3241z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1734z00_2936, ((long) 1), BgL_arg2375z00_2947);
					}
					BgL_arg2363z00_2922 = BgL_v1734z00_2936;
				}
				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1735z00_2957;

					BgL_v1735z00_2957 = create_vector(((long) 0));
					BgL_arg2364z00_2923 = BgL_v1735z00_2957;
				}
				BGl_rtl_vlengthz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 48015), BGl_proc3245z00zzsaw_defsz00,
					BGl_proc3244z00zzsaw_defsz00, BFALSE, BGl_proc3243z00zzsaw_defsz00,
					BFALSE, BgL_arg2363z00_2922, BgL_arg2364z00_2923);
			}
			{	/* SawMill/defs.scm 48 */
				obj_t BgL_arg2384z00_2964;
				obj_t BgL_arg2385z00_2965;

				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1736z00_2977;

					BgL_v1736z00_2977 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 48 */
						obj_t BgL_arg2391z00_2978;

						BgL_arg2391z00_2978 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3247z00zzsaw_defsz00,
							BGl_proc3246z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1736z00_2977, ((long) 0), BgL_arg2391z00_2978);
					}
					BgL_arg2384z00_2964 = BgL_v1736z00_2977;
				}
				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1737z00_2988;

					BgL_v1737z00_2988 = create_vector(((long) 0));
					BgL_arg2385z00_2965 = BgL_v1737z00_2988;
				}
				BGl_rtl_instanceofz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 47751), BGl_proc3250z00zzsaw_defsz00,
					BGl_proc3249z00zzsaw_defsz00, BFALSE, BGl_proc3248z00zzsaw_defsz00,
					BFALSE, BgL_arg2384z00_2964, BgL_arg2385z00_2965);
			}
			{	/* SawMill/defs.scm 49 */
				obj_t BgL_arg2401z00_2995;
				obj_t BgL_arg2402z00_2996;

				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1738z00_3007;

					BgL_v1738z00_3007 = create_vector(((long) 0));
					BgL_arg2401z00_2995 = BgL_v1738z00_3007;
				}
				{	/* SawMill/defs.scm 49 */
					obj_t BgL_v1739z00_3008;

					BgL_v1739z00_3008 = create_vector(((long) 0));
					BgL_arg2402z00_2996 = BgL_v1739z00_3008;
				}
				BGl_rtl_makeboxz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 45)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 40746), BGl_proc3253z00zzsaw_defsz00,
					BGl_proc3252z00zzsaw_defsz00, BFALSE, BGl_proc3251z00zzsaw_defsz00,
					BFALSE, BgL_arg2401z00_2995, BgL_arg2402z00_2996);
			}
			{	/* SawMill/defs.scm 50 */
				obj_t BgL_arg2412z00_3015;
				obj_t BgL_arg2414z00_3016;

				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1740z00_3027;

					BgL_v1740z00_3027 = create_vector(((long) 0));
					BgL_arg2412z00_3015 = BgL_v1740z00_3027;
				}
				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1741z00_3028;

					BgL_v1741z00_3028 = create_vector(((long) 0));
					BgL_arg2414z00_3016 = BgL_v1741z00_3028;
				}
				BGl_rtl_boxrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 52683), BGl_proc3256z00zzsaw_defsz00,
					BGl_proc3255z00zzsaw_defsz00, BFALSE, BGl_proc3254z00zzsaw_defsz00,
					BFALSE, BgL_arg2412z00_3015, BgL_arg2414z00_3016);
			}
			{	/* SawMill/defs.scm 52 */
				obj_t BgL_arg2423z00_3035;
				obj_t BgL_arg2425z00_3036;

				{	/* SawMill/defs.scm 52 */
					obj_t BgL_v1742z00_3047;

					BgL_v1742z00_3047 = create_vector(((long) 0));
					BgL_arg2423z00_3035 = BgL_v1742z00_3047;
				}
				{	/* SawMill/defs.scm 52 */
					obj_t BgL_v1743z00_3048;

					BgL_v1743z00_3048 = create_vector(((long) 0));
					BgL_arg2425z00_3036 = BgL_v1743z00_3048;
				}
				BGl_rtl_effectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 47)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 9927), BGl_proc3259z00zzsaw_defsz00,
					BGl_proc3258z00zzsaw_defsz00, BFALSE, BGl_proc3257z00zzsaw_defsz00,
					BFALSE, BgL_arg2423z00_3035, BgL_arg2425z00_3036);
			}
			{	/* SawMill/defs.scm 53 */
				obj_t BgL_arg2435z00_3055;
				obj_t BgL_arg2436z00_3056;

				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1744z00_3068;

					BgL_v1744z00_3068 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 53 */
						obj_t BgL_arg2443z00_3069;

						BgL_arg2443z00_3069 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3261z00zzsaw_defsz00,
							BGl_proc3260z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1744z00_3068, ((long) 0), BgL_arg2443z00_3069);
					}
					BgL_arg2435z00_3055 = BgL_v1744z00_3068;
				}
				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1745z00_3079;

					BgL_v1745z00_3079 = create_vector(((long) 0));
					BgL_arg2436z00_3056 = BgL_v1745z00_3079;
				}
				BGl_rtl_storegz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 10162), BGl_proc3264z00zzsaw_defsz00,
					BGl_proc3263z00zzsaw_defsz00, BFALSE, BGl_proc3262z00zzsaw_defsz00,
					BFALSE, BgL_arg2435z00_3055, BgL_arg2436z00_3056);
			}
			{	/* SawMill/defs.scm 54 */
				obj_t BgL_arg2454z00_3086;
				obj_t BgL_arg2456z00_3087;

				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1746z00_3101;

					BgL_v1746z00_3101 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 54 */
						obj_t BgL_arg2462z00_3102;

						BgL_arg2462z00_3102 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3266z00zzsaw_defsz00,
							BGl_proc3265z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 37)));
						VECTOR_SET(BgL_v1746z00_3101, ((long) 0), BgL_arg2462z00_3102);
					}
					{	/* SawMill/defs.scm 54 */
						obj_t BgL_arg2467z00_3112;

						BgL_arg2467z00_3112 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3268z00zzsaw_defsz00,
							BGl_proc3267z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1746z00_3101, ((long) 1), BgL_arg2467z00_3112);
					}
					{	/* SawMill/defs.scm 54 */
						obj_t BgL_arg2473z00_3122;

						BgL_arg2473z00_3122 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3270z00zzsaw_defsz00,
							BGl_proc3269z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1746z00_3101, ((long) 2), BgL_arg2473z00_3122);
					}
					BgL_arg2454z00_3086 = BgL_v1746z00_3101;
				}
				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1747z00_3132;

					BgL_v1747z00_3132 = create_vector(((long) 0));
					BgL_arg2456z00_3087 = BgL_v1747z00_3132;
				}
				BGl_rtl_setfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 44593), BGl_proc3273z00zzsaw_defsz00,
					BGl_proc3272z00zzsaw_defsz00, BFALSE, BGl_proc3271z00zzsaw_defsz00,
					BFALSE, BgL_arg2454z00_3086, BgL_arg2456z00_3087);
			}
			{	/* SawMill/defs.scm 55 */
				obj_t BgL_arg2484z00_3139;
				obj_t BgL_arg2485z00_3140;

				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1748z00_3153;

					BgL_v1748z00_3153 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2494z00_3154;

						BgL_arg2494z00_3154 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3275z00zzsaw_defsz00,
							BGl_proc3274z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1748z00_3153, ((long) 0), BgL_arg2494z00_3154);
					}
					{	/* SawMill/defs.scm 55 */
						obj_t BgL_arg2499z00_3164;

						BgL_arg2499z00_3164 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									40)), BGl_proc3277z00zzsaw_defsz00,
							BGl_proc3276z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1748z00_3153, ((long) 1), BgL_arg2499z00_3164);
					}
					BgL_arg2484z00_3139 = BgL_v1748z00_3153;
				}
				{	/* SawMill/defs.scm 55 */
					obj_t BgL_v1749z00_3174;

					BgL_v1749z00_3174 = create_vector(((long) 0));
					BgL_arg2485z00_3140 = BgL_v1749z00_3174;
				}
				BGl_rtl_vsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 41652), BGl_proc3280z00zzsaw_defsz00,
					BGl_proc3279z00zzsaw_defsz00, BFALSE, BGl_proc3278z00zzsaw_defsz00,
					BFALSE, BgL_arg2484z00_3139, BgL_arg2485z00_3140);
			}
			{	/* SawMill/defs.scm 56 */
				obj_t BgL_arg2513z00_3181;
				obj_t BgL_arg2514z00_3182;

				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1750z00_3193;

					BgL_v1750z00_3193 = create_vector(((long) 0));
					BgL_arg2513z00_3181 = BgL_v1750z00_3193;
				}
				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1751z00_3194;

					BgL_v1751z00_3194 = create_vector(((long) 0));
					BgL_arg2514z00_3182 = BgL_v1751z00_3194;
				}
				BGl_rtl_boxsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 51)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 28043), BGl_proc3283z00zzsaw_defsz00,
					BGl_proc3282z00zzsaw_defsz00, BFALSE, BGl_proc3281z00zzsaw_defsz00,
					BFALSE, BgL_arg2513z00_3181, BgL_arg2514z00_3182);
			}
			{	/* SawMill/defs.scm 58 */
				obj_t BgL_arg2524z00_3201;
				obj_t BgL_arg2527z00_3202;

				{	/* SawMill/defs.scm 58 */
					obj_t BgL_v1752z00_3215;

					BgL_v1752z00_3215 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 58 */
						obj_t BgL_arg2535z00_3216;

						BgL_arg2535z00_3216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3285z00zzsaw_defsz00,
							BGl_proc3284z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1752z00_3215, ((long) 0), BgL_arg2535z00_3216);
					}
					{	/* SawMill/defs.scm 58 */
						obj_t BgL_arg2542z00_3226;

						BgL_arg2542z00_3226 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									52)), BGl_proc3287z00zzsaw_defsz00,
							BGl_proc3286z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1752z00_3215, ((long) 1), BgL_arg2542z00_3226);
					}
					BgL_arg2524z00_3201 = BgL_v1752z00_3215;
				}
				{	/* SawMill/defs.scm 58 */
					obj_t BgL_v1753z00_3236;

					BgL_v1753z00_3236 = create_vector(((long) 0));
					BgL_arg2527z00_3202 = BgL_v1753z00_3236;
				}
				BGl_rtl_newz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 54)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 55659), BGl_proc3290z00zzsaw_defsz00,
					BGl_proc3289z00zzsaw_defsz00, BFALSE, BGl_proc3288z00zzsaw_defsz00,
					BFALSE, BgL_arg2524z00_3201, BgL_arg2527z00_3202);
			}
			{	/* SawMill/defs.scm 59 */
				obj_t BgL_arg2556z00_3243;
				obj_t BgL_arg2557z00_3244;

				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1754z00_3256;

					BgL_v1754z00_3256 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2563z00_3257;

						BgL_arg2563z00_3257 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3292z00zzsaw_defsz00,
							BGl_proc3291z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1754z00_3256, ((long) 0), BgL_arg2563z00_3257);
					}
					BgL_arg2556z00_3243 = BgL_v1754z00_3256;
				}
				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1755z00_3267;

					BgL_v1755z00_3267 = create_vector(((long) 0));
					BgL_arg2557z00_3244 = BgL_v1755z00_3267;
				}
				BGl_rtl_callz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 55)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 39022), BGl_proc3295z00zzsaw_defsz00,
					BGl_proc3294z00zzsaw_defsz00, BFALSE, BGl_proc3293z00zzsaw_defsz00,
					BFALSE, BgL_arg2556z00_3243, BgL_arg2557z00_3244);
			}
			{	/* SawMill/defs.scm 60 */
				obj_t BgL_arg2573z00_3274;
				obj_t BgL_arg2574z00_3275;

				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1756z00_3286;

					BgL_v1756z00_3286 = create_vector(((long) 0));
					BgL_arg2573z00_3274 = BgL_v1756z00_3286;
				}
				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1757z00_3287;

					BgL_v1757z00_3287 = create_vector(((long) 0));
					BgL_arg2574z00_3275 = BgL_v1757z00_3287;
				}
				BGl_rtl_applyz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 56)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 20926), BGl_proc3298z00zzsaw_defsz00,
					BGl_proc3297z00zzsaw_defsz00, BFALSE, BGl_proc3296z00zzsaw_defsz00,
					BFALSE, BgL_arg2573z00_3274, BgL_arg2574z00_3275);
			}
			{	/* SawMill/defs.scm 61 */
				obj_t BgL_arg2584z00_3294;
				obj_t BgL_arg2586z00_3295;

				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1758z00_3309;

					BgL_v1758z00_3309 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 61 */
						obj_t BgL_arg2593z00_3310;

						BgL_arg2593z00_3310 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3300z00zzsaw_defsz00,
							BGl_proc3299z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 57)));
						VECTOR_SET(BgL_v1758z00_3309, ((long) 0), BgL_arg2593z00_3310);
					}
					{	/* SawMill/defs.scm 61 */
						obj_t BgL_arg2599z00_3320;

						BgL_arg2599z00_3320 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc3302z00zzsaw_defsz00,
							BGl_proc3301z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1758z00_3309, ((long) 1), BgL_arg2599z00_3320);
					}
					{	/* SawMill/defs.scm 61 */
						obj_t BgL_arg2604z00_3330;

						BgL_arg2604z00_3330 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc3304z00zzsaw_defsz00,
							BGl_proc3303z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1758z00_3309, ((long) 2), BgL_arg2604z00_3330);
					}
					BgL_arg2584z00_3294 = BgL_v1758z00_3309;
				}
				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1759z00_3340;

					BgL_v1759z00_3340 = create_vector(((long) 0));
					BgL_arg2586z00_3295 = BgL_v1759z00_3340;
				}
				BGl_rtl_lightfuncallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 38185), BGl_proc3307z00zzsaw_defsz00,
					BGl_proc3306z00zzsaw_defsz00, BFALSE, BGl_proc3305z00zzsaw_defsz00,
					BFALSE, BgL_arg2584z00_3294, BgL_arg2586z00_3295);
			}
			{	/* SawMill/defs.scm 62 */
				obj_t BgL_arg2613z00_3347;
				obj_t BgL_arg2615z00_3348;

				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1760z00_3359;

					BgL_v1760z00_3359 = create_vector(((long) 0));
					BgL_arg2613z00_3347 = BgL_v1760z00_3359;
				}
				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1761z00_3360;

					BgL_v1761z00_3360 = create_vector(((long) 0));
					BgL_arg2615z00_3348 = BgL_v1761z00_3360;
				}
				BGl_rtl_funcallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 61)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 41503), BGl_proc3310z00zzsaw_defsz00,
					BGl_proc3309z00zzsaw_defsz00, BFALSE, BGl_proc3308z00zzsaw_defsz00,
					BFALSE, BgL_arg2613z00_3347, BgL_arg2615z00_3348);
			}
			{	/* SawMill/defs.scm 63 */
				obj_t BgL_arg2625z00_3367;
				obj_t BgL_arg2626z00_3368;

				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1762z00_3380;

					BgL_v1762z00_3380 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 63 */
						obj_t BgL_arg2634z00_3381;

						BgL_arg2634z00_3381 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									62)), BGl_proc3312z00zzsaw_defsz00,
							BGl_proc3311z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 37)));
						VECTOR_SET(BgL_v1762z00_3380, ((long) 0), BgL_arg2634z00_3381);
					}
					BgL_arg2625z00_3367 = BgL_v1762z00_3380;
				}
				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1763z00_3391;

					BgL_v1763z00_3391 = create_vector(((long) 0));
					BgL_arg2626z00_3368 = BgL_v1763z00_3391;
				}
				BGl_rtl_pragmaz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 34490), BGl_proc3315z00zzsaw_defsz00,
					BGl_proc3314z00zzsaw_defsz00, BFALSE, BGl_proc3313z00zzsaw_defsz00,
					BFALSE, BgL_arg2625z00_3367, BgL_arg2626z00_3368);
			}
			{	/* SawMill/defs.scm 64 */
				obj_t BgL_arg2643z00_3398;
				obj_t BgL_arg2644z00_3399;

				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1764z00_3412;

					BgL_v1764z00_3412 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 64 */
						obj_t BgL_arg2651z00_3413;

						BgL_arg2651z00_3413 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3317z00zzsaw_defsz00,
							BGl_proc3316z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1764z00_3412, ((long) 0), BgL_arg2651z00_3413);
					}
					{	/* SawMill/defs.scm 64 */
						obj_t BgL_arg2657z00_3423;

						BgL_arg2657z00_3423 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3319z00zzsaw_defsz00,
							BGl_proc3318z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1764z00_3412, ((long) 1), BgL_arg2657z00_3423);
					}
					BgL_arg2643z00_3398 = BgL_v1764z00_3412;
				}
				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1765z00_3433;

					BgL_v1765z00_3433 = create_vector(((long) 0));
					BgL_arg2644z00_3399 = BgL_v1765z00_3433;
				}
				BGl_rtl_castz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 9526), BGl_proc3322z00zzsaw_defsz00,
					BGl_proc3321z00zzsaw_defsz00, BFALSE, BGl_proc3320z00zzsaw_defsz00,
					BFALSE, BgL_arg2643z00_3398, BgL_arg2644z00_3399);
			}
			{	/* SawMill/defs.scm 65 */
				obj_t BgL_arg2665z00_3440;
				obj_t BgL_arg2666z00_3441;

				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1766z00_3453;

					BgL_v1766z00_3453 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 65 */
						obj_t BgL_arg2673z00_3454;

						BgL_arg2673z00_3454 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3324z00zzsaw_defsz00,
							BGl_proc3323z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1766z00_3453, ((long) 0), BgL_arg2673z00_3454);
					}
					BgL_arg2665z00_3440 = BgL_v1766z00_3453;
				}
				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1767z00_3464;

					BgL_v1767z00_3464 = create_vector(((long) 0));
					BgL_arg2666z00_3441 = BgL_v1767z00_3464;
				}
				BGl_rtl_cast_nullz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 56783), BGl_proc3327z00zzsaw_defsz00,
					BGl_proc3326z00zzsaw_defsz00, BFALSE, BGl_proc3325z00zzsaw_defsz00,
					BFALSE, BgL_arg2665z00_3440, BgL_arg2666z00_3441);
			}
			{	/* SawMill/defs.scm 66 */
				obj_t BgL_arg2682z00_3471;
				obj_t BgL_arg2683z00_3472;

				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1768z00_3483;

					BgL_v1768z00_3483 = create_vector(((long) 0));
					BgL_arg2682z00_3471 = BgL_v1768z00_3483;
				}
				{	/* SawMill/defs.scm 66 */
					obj_t BgL_v1769z00_3484;

					BgL_v1769z00_3484 = create_vector(((long) 0));
					BgL_arg2683z00_3472 = BgL_v1769z00_3484;
				}
				BGl_rtl_protectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 68)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 65043), BGl_proc3330z00zzsaw_defsz00,
					BGl_proc3329z00zzsaw_defsz00, BFALSE, BGl_proc3328z00zzsaw_defsz00,
					BFALSE, BgL_arg2682z00_3471, BgL_arg2683z00_3472);
			}
			{	/* SawMill/defs.scm 67 */
				obj_t BgL_arg2692z00_3491;
				obj_t BgL_arg2693z00_3492;

				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1770z00_3503;

					BgL_v1770z00_3503 = create_vector(((long) 0));
					BgL_arg2692z00_3491 = BgL_v1770z00_3503;
				}
				{	/* SawMill/defs.scm 67 */
					obj_t BgL_v1771z00_3504;

					BgL_v1771z00_3504 = create_vector(((long) 0));
					BgL_arg2693z00_3492 = BgL_v1771z00_3504;
				}
				BGl_rtl_protectedz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 69)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 3034), BGl_proc3333z00zzsaw_defsz00,
					BGl_proc3332z00zzsaw_defsz00, BFALSE, BGl_proc3331z00zzsaw_defsz00,
					BFALSE, BgL_arg2692z00_3491, BgL_arg2693z00_3492);
			}
			{	/* SawMill/defs.scm 70 */
				obj_t BgL_arg2703z00_3511;
				obj_t BgL_arg2704z00_3512;

				{	/* SawMill/defs.scm 70 */
					obj_t BgL_v1772z00_3527;

					BgL_v1772z00_3527 = create_vector(((long) 5));
					{	/* SawMill/defs.scm 70 */
						obj_t BgL_arg2713z00_3528;

						BgL_arg2713z00_3528 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3336z00zzsaw_defsz00,
							BGl_proc3335z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3334z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1772z00_3527, ((long) 0), BgL_arg2713z00_3528);
					}
					{	/* SawMill/defs.scm 70 */
						obj_t BgL_arg2721z00_3541;

						BgL_arg2721z00_3541 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									70)), BGl_proc3339z00zzsaw_defsz00,
							BGl_proc3338z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3337z00zzsaw_defsz00, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1772z00_3527, ((long) 1), BgL_arg2721z00_3541);
					}
					{	/* SawMill/defs.scm 70 */
						obj_t BgL_arg2728z00_3554;

						BgL_arg2728z00_3554 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3342z00zzsaw_defsz00,
							BGl_proc3341z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3340z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1772z00_3527, ((long) 2), BgL_arg2728z00_3554);
					}
					{	/* SawMill/defs.scm 70 */
						obj_t BgL_arg2735z00_3567;

						BgL_arg2735z00_3567 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									72)), BGl_proc3344z00zzsaw_defsz00,
							BGl_proc3343z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_rtl_funz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1772z00_3527, ((long) 3), BgL_arg2735z00_3567);
					}
					{	/* SawMill/defs.scm 70 */
						obj_t BgL_arg2742z00_3577;

						BgL_arg2742z00_3577 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									73)), BGl_proc3346z00zzsaw_defsz00,
							BGl_proc3345z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1772z00_3527, ((long) 4), BgL_arg2742z00_3577);
					}
					BgL_arg2703z00_3511 = BgL_v1772z00_3527;
				}
				{	/* SawMill/defs.scm 70 */
					obj_t BgL_v1773z00_3587;

					BgL_v1773z00_3587 = create_vector(((long) 0));
					BgL_arg2704z00_3512 = BgL_v1773z00_3587;
				}
				BGl_rtl_insz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 74)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 17433), BGl_proc3349z00zzsaw_defsz00,
					BGl_proc3348z00zzsaw_defsz00, BFALSE, BGl_proc3347z00zzsaw_defsz00,
					BFALSE, BgL_arg2703z00_3511, BgL_arg2704z00_3512);
			}
			{	/* SawMill/defs.scm 78 */
				obj_t BgL_arg2752z00_3594;
				obj_t BgL_arg2753z00_3595;

				{	/* SawMill/defs.scm 78 */
					obj_t BgL_v1774z00_3609;

					BgL_v1774z00_3609 = create_vector(((long) 4));
					{	/* SawMill/defs.scm 78 */
						obj_t BgL_arg2764z00_3610;

						BgL_arg2764z00_3610 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3352z00zzsaw_defsz00,
							BGl_proc3351z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3350z00zzsaw_defsz00, CNST_TABLE_REF(((long) 76)));
						VECTOR_SET(BgL_v1774z00_3609, ((long) 0), BgL_arg2764z00_3610);
					}
					{	/* SawMill/defs.scm 78 */
						obj_t BgL_arg2777z00_3623;

						BgL_arg2777z00_3623 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3355z00zzsaw_defsz00,
							BGl_proc3354z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3353z00zzsaw_defsz00, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1774z00_3609, ((long) 1), BgL_arg2777z00_3623);
					}
					{	/* SawMill/defs.scm 78 */
						obj_t BgL_arg2784z00_3636;

						BgL_arg2784z00_3636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									78)), BGl_proc3358z00zzsaw_defsz00,
							BGl_proc3357z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3356z00zzsaw_defsz00, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1774z00_3609, ((long) 2), BgL_arg2784z00_3636);
					}
					{	/* SawMill/defs.scm 78 */
						obj_t BgL_arg2791z00_3649;

						BgL_arg2791z00_3649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									79)), BGl_proc3361z00zzsaw_defsz00,
							BGl_proc3360z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3359z00zzsaw_defsz00, CNST_TABLE_REF(((long) 53)));
						VECTOR_SET(BgL_v1774z00_3609, ((long) 3), BgL_arg2791z00_3649);
					}
					BgL_arg2752z00_3594 = BgL_v1774z00_3609;
				}
				{	/* SawMill/defs.scm 78 */
					obj_t BgL_v1775z00_3662;

					BgL_v1775z00_3662 = create_vector(((long) 0));
					BgL_arg2753z00_3595 = BgL_v1775z00_3662;
				}
				return (BGl_blockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 80)),
						CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
						((long) 60935), BGl_proc3364z00zzsaw_defsz00,
						BGl_proc3363z00zzsaw_defsz00, BFALSE, BGl_proc3362z00zzsaw_defsz00,
						BFALSE, BgL_arg2752z00_3594, BgL_arg2753z00_3595), BUNSPEC);
		}}

	}



/* &<@anonymous:2761> */
	obj_t BGl_z62zc3z04anonymousza32761ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7753,
		obj_t BgL_new1343z00_7754)
	{
		{	/* SawMill/defs.scm 78 */
			{
				BgL_blockz00_bglt BgL_auxz00_12919;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1343z00_7754)))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1343z00_7754)))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1343z00_7754)))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1343z00_7754)))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12919 = ((BgL_blockz00_bglt) BgL_new1343z00_7754);
				return ((obj_t) BgL_auxz00_12919);
			}
		}

	}



/* &lambda2756 */
	BgL_blockz00_bglt BGl_z62lambda2756z62zzsaw_defsz00(obj_t BgL_envz00_7755)
	{
		{	/* SawMill/defs.scm 78 */
			{	/* SawMill/defs.scm 78 */
				BgL_blockz00_bglt BgL_new1342z00_9152;

				BgL_new1342z00_9152 =
					((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockz00_bgl))));
				{	/* SawMill/defs.scm 78 */
					long BgL_arg2760z00_9153;

					BgL_arg2760z00_9153 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1342z00_9152), BgL_arg2760z00_9153);
				}
				{	/* SawMill/defs.scm 78 */
					BgL_objectz00_bglt BgL_tmpz00_12935;

					BgL_tmpz00_12935 = ((BgL_objectz00_bglt) BgL_new1342z00_9152);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12935, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1342z00_9152);
				return BgL_new1342z00_9152;
			}
		}

	}



/* &lambda2754 */
	BgL_blockz00_bglt BGl_z62lambda2754z62zzsaw_defsz00(obj_t BgL_envz00_7756,
		obj_t BgL_label1338z00_7757, obj_t BgL_preds1339z00_7758,
		obj_t BgL_succs1340z00_7759, obj_t BgL_first1341z00_7760)
	{
		{	/* SawMill/defs.scm 78 */
			{	/* SawMill/defs.scm 78 */
				int BgL_label1338z00_9154;

				BgL_label1338z00_9154 = CINT(BgL_label1338z00_7757);
				{	/* SawMill/defs.scm 78 */
					BgL_blockz00_bglt BgL_new1542z00_9158;

					{	/* SawMill/defs.scm 78 */
						BgL_blockz00_bglt BgL_new1541z00_9159;

						BgL_new1541z00_9159 =
							((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/defs.scm 78 */
							long BgL_arg2755z00_9160;

							BgL_arg2755z00_9160 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1541z00_9159),
								BgL_arg2755z00_9160);
						}
						{	/* SawMill/defs.scm 78 */
							BgL_objectz00_bglt BgL_tmpz00_12944;

							BgL_tmpz00_12944 = ((BgL_objectz00_bglt) BgL_new1541z00_9159);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12944, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1541z00_9159);
						BgL_new1542z00_9158 = BgL_new1541z00_9159;
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_new1542z00_9158))->BgL_labelz00) =
						((int) BgL_label1338z00_9154), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1542z00_9158))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1339z00_7758)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1542z00_9158))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1340z00_7759)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1542z00_9158))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1341z00_7760)), BUNSPEC);
					return BgL_new1542z00_9158;
				}
			}
		}

	}



/* &<@anonymous:2799> */
	obj_t BGl_z62zc3z04anonymousza32799ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7761)
	{
		{	/* SawMill/defs.scm 78 */
			return BNIL;
		}

	}



/* &lambda2798 */
	obj_t BGl_z62lambda2798z62zzsaw_defsz00(obj_t BgL_envz00_7762,
		obj_t BgL_oz00_7763, obj_t BgL_vz00_7764)
	{
		{	/* SawMill/defs.scm 78 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7763)))->BgL_firstz00) = ((obj_t)
					((obj_t) BgL_vz00_7764)), BUNSPEC);
		}

	}



/* &lambda2797 */
	obj_t BGl_z62lambda2797z62zzsaw_defsz00(obj_t BgL_envz00_7765,
		obj_t BgL_oz00_7766)
	{
		{	/* SawMill/defs.scm 78 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7766)))->BgL_firstz00);
		}

	}



/* &<@anonymous:2790> */
	obj_t BGl_z62zc3z04anonymousza32790ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7767)
	{
		{	/* SawMill/defs.scm 78 */
			return BNIL;
		}

	}



/* &lambda2789 */
	obj_t BGl_z62lambda2789z62zzsaw_defsz00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769, obj_t BgL_vz00_7770)
	{
		{	/* SawMill/defs.scm 78 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7769)))->BgL_succsz00) = ((obj_t)
					((obj_t) BgL_vz00_7770)), BUNSPEC);
		}

	}



/* &lambda2788 */
	obj_t BGl_z62lambda2788z62zzsaw_defsz00(obj_t BgL_envz00_7771,
		obj_t BgL_oz00_7772)
	{
		{	/* SawMill/defs.scm 78 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7772)))->BgL_succsz00);
		}

	}



/* &<@anonymous:2783> */
	obj_t BGl_z62zc3z04anonymousza32783ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7773)
	{
		{	/* SawMill/defs.scm 78 */
			return BNIL;
		}

	}



/* &lambda2782 */
	obj_t BGl_z62lambda2782z62zzsaw_defsz00(obj_t BgL_envz00_7774,
		obj_t BgL_oz00_7775, obj_t BgL_vz00_7776)
	{
		{	/* SawMill/defs.scm 78 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7775)))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_vz00_7776)), BUNSPEC);
		}

	}



/* &lambda2781 */
	obj_t BGl_z62lambda2781z62zzsaw_defsz00(obj_t BgL_envz00_7777,
		obj_t BgL_oz00_7778)
	{
		{	/* SawMill/defs.scm 78 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7778)))->BgL_predsz00);
		}

	}



/* &<@anonymous:2775> */
	obj_t BGl_z62zc3z04anonymousza32775ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7779)
	{
		{	/* SawMill/defs.scm 78 */
			return BINT(((long) 0));
		}

	}



/* &lambda2774 */
	obj_t BGl_z62lambda2774z62zzsaw_defsz00(obj_t BgL_envz00_7780,
		obj_t BgL_oz00_7781, obj_t BgL_vz00_7782)
	{
		{	/* SawMill/defs.scm 78 */
			{	/* SawMill/defs.scm 78 */
				int BgL_vz00_9171;

				BgL_vz00_9171 = CINT(BgL_vz00_7782);
				return
					((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_7781)))->BgL_labelz00) =
					((int) BgL_vz00_9171), BUNSPEC);
		}}

	}



/* &lambda2773 */
	obj_t BGl_z62lambda2773z62zzsaw_defsz00(obj_t BgL_envz00_7783,
		obj_t BgL_oz00_7784)
	{
		{	/* SawMill/defs.scm 78 */
			return
				BINT(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7784)))->BgL_labelz00));
		}

	}



/* &<@anonymous:2711> */
	obj_t BGl_z62zc3z04anonymousza32711ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7785,
		obj_t BgL_new1336z00_7786)
	{
		{	/* SawMill/defs.scm 70 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_12977;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1336z00_7786)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1336z00_7786)))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1336z00_7786)))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_12984;

					{	/* SawMill/defs.scm 70 */
						obj_t BgL_classz00_9174;

						BgL_classz00_9174 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 70 */
							obj_t BgL__ortest_1113z00_9175;

							BgL__ortest_1113z00_9175 = BGL_CLASS_NIL(BgL_classz00_9174);
							if (CBOOL(BgL__ortest_1113z00_9175))
								{	/* SawMill/defs.scm 70 */
									BgL_auxz00_12984 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1113z00_9175);
								}
							else
								{	/* SawMill/defs.scm 70 */
									BgL_auxz00_12984 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9174));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_new1336z00_7786)))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_auxz00_12984), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1336z00_7786)))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12977 = ((BgL_rtl_insz00_bglt) BgL_new1336z00_7786);
				return ((obj_t) BgL_auxz00_12977);
			}
		}

	}



/* &lambda2707 */
	BgL_rtl_insz00_bglt BGl_z62lambda2707z62zzsaw_defsz00(obj_t BgL_envz00_7787)
	{
		{	/* SawMill/defs.scm 70 */
			{	/* SawMill/defs.scm 70 */
				BgL_rtl_insz00_bglt BgL_new1335z00_9176;

				BgL_new1335z00_9176 =
					((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_insz00_bgl))));
				{	/* SawMill/defs.scm 70 */
					long BgL_arg2710z00_9177;

					BgL_arg2710z00_9177 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1335z00_9176), BgL_arg2710z00_9177);
				}
				{	/* SawMill/defs.scm 70 */
					BgL_objectz00_bglt BgL_tmpz00_13001;

					BgL_tmpz00_13001 = ((BgL_objectz00_bglt) BgL_new1335z00_9176);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13001, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1335z00_9176);
				return BgL_new1335z00_9176;
			}
		}

	}



/* &lambda2705 */
	BgL_rtl_insz00_bglt BGl_z62lambda2705z62zzsaw_defsz00(obj_t BgL_envz00_7788,
		obj_t BgL_loc1330z00_7789, obj_t BgL_z52spill1331z52_7790,
		obj_t BgL_dest1332z00_7791, obj_t BgL_fun1333z00_7792,
		obj_t BgL_args1334z00_7793)
	{
		{	/* SawMill/defs.scm 70 */
			{	/* SawMill/defs.scm 70 */
				BgL_rtl_insz00_bglt BgL_new1540z00_9181;

				{	/* SawMill/defs.scm 70 */
					BgL_rtl_insz00_bglt BgL_new1539z00_9182;

					BgL_new1539z00_9182 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.scm 70 */
						long BgL_arg2706z00_9183;

						BgL_arg2706z00_9183 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1539z00_9182), BgL_arg2706z00_9183);
					}
					{	/* SawMill/defs.scm 70 */
						BgL_objectz00_bglt BgL_tmpz00_13009;

						BgL_tmpz00_13009 = ((BgL_objectz00_bglt) BgL_new1539z00_9182);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13009, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1539z00_9182);
					BgL_new1540z00_9181 = BgL_new1539z00_9182;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1540z00_9181))->BgL_locz00) =
					((obj_t) BgL_loc1330z00_7789), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1540z00_9181))->
						BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1331z52_7790)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1540z00_9181))->BgL_destz00) =
					((obj_t) BgL_dest1332z00_7791), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1540z00_9181))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1333z00_7792)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1540z00_9181))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1334z00_7793)), BUNSPEC);
				return BgL_new1540z00_9181;
			}
		}

	}



/* &lambda2747 */
	obj_t BGl_z62lambda2747z62zzsaw_defsz00(obj_t BgL_envz00_7794,
		obj_t BgL_oz00_7795, obj_t BgL_vz00_7796)
	{
		{	/* SawMill/defs.scm 70 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7795)))->BgL_argsz00) = ((obj_t)
					((obj_t) BgL_vz00_7796)), BUNSPEC);
		}

	}



/* &lambda2746 */
	obj_t BGl_z62lambda2746z62zzsaw_defsz00(obj_t BgL_envz00_7797,
		obj_t BgL_oz00_7798)
	{
		{	/* SawMill/defs.scm 70 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7798)))->BgL_argsz00);
		}

	}



/* &lambda2740 */
	obj_t BGl_z62lambda2740z62zzsaw_defsz00(obj_t BgL_envz00_7799,
		obj_t BgL_oz00_7800, obj_t BgL_vz00_7801)
	{
		{	/* SawMill/defs.scm 70 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7800)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_vz00_7801)), BUNSPEC);
		}

	}



/* &lambda2739 */
	BgL_rtl_funz00_bglt BGl_z62lambda2739z62zzsaw_defsz00(obj_t BgL_envz00_7802,
		obj_t BgL_oz00_7803)
	{
		{	/* SawMill/defs.scm 70 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7803)))->BgL_funz00);
		}

	}



/* &<@anonymous:2734> */
	obj_t BGl_z62zc3z04anonymousza32734ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7804)
	{
		{	/* SawMill/defs.scm 70 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2733 */
	obj_t BGl_z62lambda2733z62zzsaw_defsz00(obj_t BgL_envz00_7805,
		obj_t BgL_oz00_7806, obj_t BgL_vz00_7807)
	{
		{	/* SawMill/defs.scm 70 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7806)))->BgL_destz00) =
				((obj_t) BgL_vz00_7807), BUNSPEC);
		}

	}



/* &lambda2732 */
	obj_t BGl_z62lambda2732z62zzsaw_defsz00(obj_t BgL_envz00_7808,
		obj_t BgL_oz00_7809)
	{
		{	/* SawMill/defs.scm 70 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7809)))->BgL_destz00);
		}

	}



/* &<@anonymous:2727> */
	obj_t BGl_z62zc3z04anonymousza32727ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7810)
	{
		{	/* SawMill/defs.scm 70 */
			return BNIL;
		}

	}



/* &lambda2726 */
	obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t BgL_envz00_7811,
		obj_t BgL_oz00_7812, obj_t BgL_vz00_7813)
	{
		{	/* SawMill/defs.scm 70 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7812)))->BgL_z52spillz52) =
				((obj_t) ((obj_t) BgL_vz00_7813)), BUNSPEC);
		}

	}



/* &lambda2725 */
	obj_t BGl_z62lambda2725z62zzsaw_defsz00(obj_t BgL_envz00_7814,
		obj_t BgL_oz00_7815)
	{
		{	/* SawMill/defs.scm 70 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7815)))->BgL_z52spillz52);
		}

	}



/* &<@anonymous:2719> */
	obj_t BGl_z62zc3z04anonymousza32719ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7816)
	{
		{	/* SawMill/defs.scm 70 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2718 */
	obj_t BGl_z62lambda2718z62zzsaw_defsz00(obj_t BgL_envz00_7817,
		obj_t BgL_oz00_7818, obj_t BgL_vz00_7819)
	{
		{	/* SawMill/defs.scm 70 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7818)))->BgL_locz00) =
				((obj_t) BgL_vz00_7819), BUNSPEC);
		}

	}



/* &lambda2717 */
	obj_t BGl_z62lambda2717z62zzsaw_defsz00(obj_t BgL_envz00_7820,
		obj_t BgL_oz00_7821)
	{
		{	/* SawMill/defs.scm 70 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7821)))->BgL_locz00);
		}

	}



/* &<@anonymous:2698> */
	obj_t BGl_z62zc3z04anonymousza32698ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7822,
		obj_t BgL_new1328z00_7823)
	{
		{	/* SawMill/defs.scm 67 */
			{
				BgL_rtl_protectedz00_bglt BgL_auxz00_13046;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectedz00_bglt) BgL_new1328z00_7823))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13046 = ((BgL_rtl_protectedz00_bglt) BgL_new1328z00_7823);
				return ((obj_t) BgL_auxz00_13046);
			}
		}

	}



/* &lambda2696 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2696z62zzsaw_defsz00(obj_t
		BgL_envz00_7824)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectedz00_bglt BgL_new1327z00_9198;

				BgL_new1327z00_9198 =
					((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectedz00_bgl))));
				{	/* SawMill/defs.scm 67 */
					long BgL_arg2697z00_9199;

					BgL_arg2697z00_9199 =
						BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1327z00_9198), BgL_arg2697z00_9199);
				}
				return BgL_new1327z00_9198;
			}
		}

	}



/* &lambda2694 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2694z62zzsaw_defsz00(obj_t
		BgL_envz00_7825, obj_t BgL_loc1326z00_7826)
	{
		{	/* SawMill/defs.scm 67 */
			{	/* SawMill/defs.scm 67 */
				BgL_rtl_protectedz00_bglt BgL_new1538z00_9200;

				{	/* SawMill/defs.scm 67 */
					BgL_rtl_protectedz00_bglt BgL_new1537z00_9201;

					BgL_new1537z00_9201 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.scm 67 */
						long BgL_arg2695z00_9202;

						BgL_arg2695z00_9202 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1537z00_9201), BgL_arg2695z00_9202);
					}
					BgL_new1538z00_9200 = BgL_new1537z00_9201;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1538z00_9200)))->BgL_locz00) =
					((obj_t) BgL_loc1326z00_7826), BUNSPEC);
				return BgL_new1538z00_9200;
			}
		}

	}



/* &<@anonymous:2688> */
	obj_t BGl_z62zc3z04anonymousza32688ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7827,
		obj_t BgL_new1324z00_7828)
	{
		{	/* SawMill/defs.scm 66 */
			{
				BgL_rtl_protectz00_bglt BgL_auxz00_13062;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectz00_bglt) BgL_new1324z00_7828))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13062 = ((BgL_rtl_protectz00_bglt) BgL_new1324z00_7828);
				return ((obj_t) BgL_auxz00_13062);
			}
		}

	}



/* &lambda2686 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2686z62zzsaw_defsz00(obj_t
		BgL_envz00_7829)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_protectz00_bglt BgL_new1323z00_9204;

				BgL_new1323z00_9204 =
					((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectz00_bgl))));
				{	/* SawMill/defs.scm 66 */
					long BgL_arg2687z00_9205;

					BgL_arg2687z00_9205 = BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1323z00_9204), BgL_arg2687z00_9205);
				}
				return BgL_new1323z00_9204;
			}
		}

	}



/* &lambda2684 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2684z62zzsaw_defsz00(obj_t
		BgL_envz00_7830, obj_t BgL_loc1322z00_7831)
	{
		{	/* SawMill/defs.scm 66 */
			{	/* SawMill/defs.scm 66 */
				BgL_rtl_protectz00_bglt BgL_new1536z00_9206;

				{	/* SawMill/defs.scm 66 */
					BgL_rtl_protectz00_bglt BgL_new1535z00_9207;

					BgL_new1535z00_9207 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.scm 66 */
						long BgL_arg2685z00_9208;

						BgL_arg2685z00_9208 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1535z00_9207), BgL_arg2685z00_9208);
					}
					BgL_new1536z00_9206 = BgL_new1535z00_9207;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1536z00_9206)))->BgL_locz00) =
					((obj_t) BgL_loc1322z00_7831), BUNSPEC);
				return BgL_new1536z00_9206;
			}
		}

	}



/* &<@anonymous:2672> */
	obj_t BGl_z62zc3z04anonymousza32672ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7832,
		obj_t BgL_new1320z00_7833)
	{
		{	/* SawMill/defs.scm 65 */
			{
				BgL_rtl_cast_nullz00_bglt BgL_auxz00_13078;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_cast_nullz00_bglt) BgL_new1320z00_7833))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13082;

					{	/* SawMill/defs.scm 65 */
						obj_t BgL_classz00_9210;

						BgL_classz00_9210 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 65 */
							obj_t BgL__ortest_1113z00_9211;

							BgL__ortest_1113z00_9211 = BGL_CLASS_NIL(BgL_classz00_9210);
							if (CBOOL(BgL__ortest_1113z00_9211))
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13082 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9211);
								}
							else
								{	/* SawMill/defs.scm 65 */
									BgL_auxz00_13082 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9210));
								}
						}
					}
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_new1320z00_7833)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13082), BUNSPEC);
				}
				BgL_auxz00_13078 = ((BgL_rtl_cast_nullz00_bglt) BgL_new1320z00_7833);
				return ((obj_t) BgL_auxz00_13078);
			}
		}

	}



/* &lambda2669 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2669z62zzsaw_defsz00(obj_t
		BgL_envz00_7834)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_cast_nullz00_bglt BgL_new1319z00_9212;

				BgL_new1319z00_9212 =
					((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_cast_nullz00_bgl))));
				{	/* SawMill/defs.scm 65 */
					long BgL_arg2671z00_9213;

					BgL_arg2671z00_9213 =
						BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1319z00_9212), BgL_arg2671z00_9213);
				}
				return BgL_new1319z00_9212;
			}
		}

	}



/* &lambda2667 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2667z62zzsaw_defsz00(obj_t
		BgL_envz00_7835, obj_t BgL_loc1317z00_7836, obj_t BgL_type1318z00_7837)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_cast_nullz00_bglt BgL_new1534z00_9215;

				{	/* SawMill/defs.scm 65 */
					BgL_rtl_cast_nullz00_bglt BgL_new1533z00_9216;

					BgL_new1533z00_9216 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.scm 65 */
						long BgL_arg2668z00_9217;

						BgL_arg2668z00_9217 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_9216), BgL_arg2668z00_9217);
					}
					BgL_new1534z00_9215 = BgL_new1533z00_9216;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1534z00_9215)))->BgL_locz00) =
					((obj_t) BgL_loc1317z00_7836), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1534z00_9215))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1318z00_7837)),
					BUNSPEC);
				return BgL_new1534z00_9215;
			}
		}

	}



/* &lambda2678 */
	obj_t BGl_z62lambda2678z62zzsaw_defsz00(obj_t BgL_envz00_7838,
		obj_t BgL_oz00_7839, obj_t BgL_vz00_7840)
	{
		{	/* SawMill/defs.scm 65 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7839)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7840)), BUNSPEC);
		}

	}



/* &lambda2677 */
	BgL_typez00_bglt BGl_z62lambda2677z62zzsaw_defsz00(obj_t BgL_envz00_7841,
		obj_t BgL_oz00_7842)
	{
		{	/* SawMill/defs.scm 65 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7842)))->BgL_typez00);
		}

	}



/* &<@anonymous:2650> */
	obj_t BGl_z62zc3z04anonymousza32650ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7843,
		obj_t BgL_new1315z00_7844)
	{
		{	/* SawMill/defs.scm 64 */
			{
				BgL_rtl_castz00_bglt BgL_auxz00_13110;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_castz00_bglt) BgL_new1315z00_7844))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13114;

					{	/* SawMill/defs.scm 64 */
						obj_t BgL_classz00_9222;

						BgL_classz00_9222 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 64 */
							obj_t BgL__ortest_1113z00_9223;

							BgL__ortest_1113z00_9223 = BGL_CLASS_NIL(BgL_classz00_9222);
							if (CBOOL(BgL__ortest_1113z00_9223))
								{	/* SawMill/defs.scm 64 */
									BgL_auxz00_13114 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9223);
								}
							else
								{	/* SawMill/defs.scm 64 */
									BgL_auxz00_13114 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9222));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1315z00_7844)))->
							BgL_totypez00) = ((BgL_typez00_bglt) BgL_auxz00_13114), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13123;

					{	/* SawMill/defs.scm 64 */
						obj_t BgL_classz00_9224;

						BgL_classz00_9224 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 64 */
							obj_t BgL__ortest_1113z00_9225;

							BgL__ortest_1113z00_9225 = BGL_CLASS_NIL(BgL_classz00_9224);
							if (CBOOL(BgL__ortest_1113z00_9225))
								{	/* SawMill/defs.scm 64 */
									BgL_auxz00_13123 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9225);
								}
							else
								{	/* SawMill/defs.scm 64 */
									BgL_auxz00_13123 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9224));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1315z00_7844)))->
							BgL_fromtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13123), BUNSPEC);
				}
				BgL_auxz00_13110 = ((BgL_rtl_castz00_bglt) BgL_new1315z00_7844);
				return ((obj_t) BgL_auxz00_13110);
			}
		}

	}



/* &lambda2647 */
	BgL_rtl_castz00_bglt BGl_z62lambda2647z62zzsaw_defsz00(obj_t BgL_envz00_7845)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_castz00_bglt BgL_new1314z00_9226;

				BgL_new1314z00_9226 =
					((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_castz00_bgl))));
				{	/* SawMill/defs.scm 64 */
					long BgL_arg2649z00_9227;

					BgL_arg2649z00_9227 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1314z00_9226), BgL_arg2649z00_9227);
				}
				return BgL_new1314z00_9226;
			}
		}

	}



/* &lambda2645 */
	BgL_rtl_castz00_bglt BGl_z62lambda2645z62zzsaw_defsz00(obj_t BgL_envz00_7846,
		obj_t BgL_loc1311z00_7847, obj_t BgL_totype1312z00_7848,
		obj_t BgL_fromtype1313z00_7849)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_castz00_bglt BgL_new1532z00_9230;

				{	/* SawMill/defs.scm 64 */
					BgL_rtl_castz00_bglt BgL_new1531z00_9231;

					BgL_new1531z00_9231 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.scm 64 */
						long BgL_arg2646z00_9232;

						BgL_arg2646z00_9232 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1531z00_9231), BgL_arg2646z00_9232);
					}
					BgL_new1532z00_9230 = BgL_new1531z00_9231;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1532z00_9230)))->BgL_locz00) =
					((obj_t) BgL_loc1311z00_7847), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1532z00_9230))->
						BgL_totypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_totype1312z00_7848)),
					BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1532z00_9230))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_fromtype1313z00_7849)),
					BUNSPEC);
				return BgL_new1532z00_9230;
			}
		}

	}



/* &lambda2661 */
	obj_t BGl_z62lambda2661z62zzsaw_defsz00(obj_t BgL_envz00_7850,
		obj_t BgL_oz00_7851, obj_t BgL_vz00_7852)
	{
		{	/* SawMill/defs.scm 64 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7851)))->BgL_fromtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7852)), BUNSPEC);
		}

	}



/* &lambda2660 */
	BgL_typez00_bglt BGl_z62lambda2660z62zzsaw_defsz00(obj_t BgL_envz00_7853,
		obj_t BgL_oz00_7854)
	{
		{	/* SawMill/defs.scm 64 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7854)))->BgL_fromtypez00);
		}

	}



/* &lambda2656 */
	obj_t BGl_z62lambda2656z62zzsaw_defsz00(obj_t BgL_envz00_7855,
		obj_t BgL_oz00_7856, obj_t BgL_vz00_7857)
	{
		{	/* SawMill/defs.scm 64 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7856)))->BgL_totypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7857)), BUNSPEC);
		}

	}



/* &lambda2655 */
	BgL_typez00_bglt BGl_z62lambda2655z62zzsaw_defsz00(obj_t BgL_envz00_7858,
		obj_t BgL_oz00_7859)
	{
		{	/* SawMill/defs.scm 64 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7859)))->BgL_totypez00);
		}

	}



/* &<@anonymous:2633> */
	obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7860,
		obj_t BgL_new1309z00_7861)
	{
		{	/* SawMill/defs.scm 63 */
			{
				BgL_rtl_pragmaz00_bglt BgL_auxz00_13158;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_pragmaz00_bglt) BgL_new1309z00_7861))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(((BgL_rtl_pragmaz00_bglt)
									BgL_new1309z00_7861)))->BgL_formatz00) =
					((obj_t) BGl_string3365z00zzsaw_defsz00), BUNSPEC);
				BgL_auxz00_13158 = ((BgL_rtl_pragmaz00_bglt) BgL_new1309z00_7861);
				return ((obj_t) BgL_auxz00_13158);
			}
		}

	}



/* &lambda2630 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2630z62zzsaw_defsz00(obj_t
		BgL_envz00_7862)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_pragmaz00_bglt BgL_new1308z00_9240;

				BgL_new1308z00_9240 =
					((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_pragmaz00_bgl))));
				{	/* SawMill/defs.scm 63 */
					long BgL_arg2632z00_9241;

					BgL_arg2632z00_9241 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1308z00_9240), BgL_arg2632z00_9241);
				}
				return BgL_new1308z00_9240;
			}
		}

	}



/* &lambda2627 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2627z62zzsaw_defsz00(obj_t
		BgL_envz00_7863, obj_t BgL_loc1306z00_7864, obj_t BgL_format1307z00_7865)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_pragmaz00_bglt BgL_new1530z00_9243;

				{	/* SawMill/defs.scm 63 */
					BgL_rtl_pragmaz00_bglt BgL_new1529z00_9244;

					BgL_new1529z00_9244 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.scm 63 */
						long BgL_arg2629z00_9245;

						BgL_arg2629z00_9245 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1529z00_9244), BgL_arg2629z00_9245);
					}
					BgL_new1530z00_9243 = BgL_new1529z00_9244;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1530z00_9243)))->BgL_locz00) =
					((obj_t) BgL_loc1306z00_7864), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1530z00_9243))->
						BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1307z00_7865)), BUNSPEC);
				return BgL_new1530z00_9243;
			}
		}

	}



/* &lambda2638 */
	obj_t BGl_z62lambda2638z62zzsaw_defsz00(obj_t BgL_envz00_7866,
		obj_t BgL_oz00_7867, obj_t BgL_vz00_7868)
	{
		{	/* SawMill/defs.scm 63 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_7867)))->BgL_formatz00) =
				((obj_t) ((obj_t) BgL_vz00_7868)), BUNSPEC);
		}

	}



/* &lambda2637 */
	obj_t BGl_z62lambda2637z62zzsaw_defsz00(obj_t BgL_envz00_7869,
		obj_t BgL_oz00_7870)
	{
		{	/* SawMill/defs.scm 63 */
			return
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
						((BgL_rtl_pragmaz00_bglt) BgL_oz00_7870)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2620> */
	obj_t BGl_z62zc3z04anonymousza32620ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7871,
		obj_t BgL_new1304z00_7872)
	{
		{	/* SawMill/defs.scm 62 */
			{
				BgL_rtl_funcallz00_bglt BgL_auxz00_13183;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_funcallz00_bglt) BgL_new1304z00_7872))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13183 = ((BgL_rtl_funcallz00_bglt) BgL_new1304z00_7872);
				return ((obj_t) BgL_auxz00_13183);
			}
		}

	}



/* &lambda2618 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2618z62zzsaw_defsz00(obj_t
		BgL_envz00_7873)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_funcallz00_bglt BgL_new1303z00_9250;

				BgL_new1303z00_9250 =
					((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funcallz00_bgl))));
				{	/* SawMill/defs.scm 62 */
					long BgL_arg2619z00_9251;

					BgL_arg2619z00_9251 = BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1303z00_9250), BgL_arg2619z00_9251);
				}
				return BgL_new1303z00_9250;
			}
		}

	}



/* &lambda2616 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2616z62zzsaw_defsz00(obj_t
		BgL_envz00_7874, obj_t BgL_loc1302z00_7875)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_funcallz00_bglt BgL_new1528z00_9252;

				{	/* SawMill/defs.scm 62 */
					BgL_rtl_funcallz00_bglt BgL_new1527z00_9253;

					BgL_new1527z00_9253 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.scm 62 */
						long BgL_arg2617z00_9254;

						BgL_arg2617z00_9254 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1527z00_9253), BgL_arg2617z00_9254);
					}
					BgL_new1528z00_9252 = BgL_new1527z00_9253;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1528z00_9252)))->BgL_locz00) =
					((obj_t) BgL_loc1302z00_7875), BUNSPEC);
				return BgL_new1528z00_9252;
			}
		}

	}



/* &<@anonymous:2592> */
	obj_t BGl_z62zc3z04anonymousza32592ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7876,
		obj_t BgL_new1300z00_7877)
	{
		{	/* SawMill/defs.scm 61 */
			{
				BgL_rtl_lightfuncallz00_bglt BgL_auxz00_13199;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lightfuncallz00_bglt) BgL_new1300z00_7877))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1300z00_7877)))->
						BgL_namez00) = ((obj_t) CNST_TABLE_REF(((long) 81))), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1300z00_7877)))->
						BgL_funsz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1300z00_7877)))->
						BgL_rettypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13199 = ((BgL_rtl_lightfuncallz00_bglt) BgL_new1300z00_7877);
				return ((obj_t) BgL_auxz00_13199);
			}
		}

	}



/* &lambda2590 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2590z62zzsaw_defsz00(obj_t
		BgL_envz00_7878)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1299z00_9256;

				BgL_new1299z00_9256 =
					((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lightfuncallz00_bgl))));
				{	/* SawMill/defs.scm 61 */
					long BgL_arg2591z00_9257;

					BgL_arg2591z00_9257 =
						BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1299z00_9256), BgL_arg2591z00_9257);
				}
				return BgL_new1299z00_9256;
			}
		}

	}



/* &lambda2587 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2587z62zzsaw_defsz00(obj_t
		BgL_envz00_7879, obj_t BgL_loc1295z00_7880, obj_t BgL_name1296z00_7881,
		obj_t BgL_funs1297z00_7882, obj_t BgL_rettype1298z00_7883)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1526z00_9260;

				{	/* SawMill/defs.scm 61 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1525z00_9261;

					BgL_new1525z00_9261 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.scm 61 */
						long BgL_arg2589z00_9262;

						BgL_arg2589z00_9262 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1525z00_9261), BgL_arg2589z00_9262);
					}
					BgL_new1526z00_9260 = BgL_new1525z00_9261;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1526z00_9260)))->BgL_locz00) =
					((obj_t) BgL_loc1295z00_7880), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1526z00_9260))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1296z00_7881)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1526z00_9260))->
						BgL_funsz00) = ((obj_t) ((obj_t) BgL_funs1297z00_7882)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1526z00_9260))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1298z00_7883), BUNSPEC);
				return BgL_new1526z00_9260;
			}
		}

	}



/* &lambda2609 */
	obj_t BGl_z62lambda2609z62zzsaw_defsz00(obj_t BgL_envz00_7884,
		obj_t BgL_oz00_7885, obj_t BgL_vz00_7886)
	{
		{	/* SawMill/defs.scm 61 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7885)))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_7886), BUNSPEC);
		}

	}



/* &lambda2608 */
	obj_t BGl_z62lambda2608z62zzsaw_defsz00(obj_t BgL_envz00_7887,
		obj_t BgL_oz00_7888)
	{
		{	/* SawMill/defs.scm 61 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7888)))->BgL_rettypez00);
		}

	}



/* &lambda2603 */
	obj_t BGl_z62lambda2603z62zzsaw_defsz00(obj_t BgL_envz00_7889,
		obj_t BgL_oz00_7890, obj_t BgL_vz00_7891)
	{
		{	/* SawMill/defs.scm 61 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7890)))->BgL_funsz00) =
				((obj_t) ((obj_t) BgL_vz00_7891)), BUNSPEC);
		}

	}



/* &lambda2602 */
	obj_t BGl_z62lambda2602z62zzsaw_defsz00(obj_t BgL_envz00_7892,
		obj_t BgL_oz00_7893)
	{
		{	/* SawMill/defs.scm 61 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7893)))->BgL_funsz00);
		}

	}



/* &lambda2598 */
	obj_t BGl_z62lambda2598z62zzsaw_defsz00(obj_t BgL_envz00_7894,
		obj_t BgL_oz00_7895, obj_t BgL_vz00_7896)
	{
		{	/* SawMill/defs.scm 61 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7895)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7896)), BUNSPEC);
		}

	}



/* &lambda2597 */
	obj_t BGl_z62lambda2597z62zzsaw_defsz00(obj_t BgL_envz00_7897,
		obj_t BgL_oz00_7898)
	{
		{	/* SawMill/defs.scm 61 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7898)))->BgL_namez00);
		}

	}



/* &<@anonymous:2580> */
	obj_t BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7899,
		obj_t BgL_new1293z00_7900)
	{
		{	/* SawMill/defs.scm 60 */
			{
				BgL_rtl_applyz00_bglt BgL_auxz00_13241;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_applyz00_bglt) BgL_new1293z00_7900))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13241 = ((BgL_rtl_applyz00_bglt) BgL_new1293z00_7900);
				return ((obj_t) BgL_auxz00_13241);
			}
		}

	}



/* &lambda2578 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2578z62zzsaw_defsz00(obj_t BgL_envz00_7901)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_applyz00_bglt BgL_new1292z00_9272;

				BgL_new1292z00_9272 =
					((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_applyz00_bgl))));
				{	/* SawMill/defs.scm 60 */
					long BgL_arg2579z00_9273;

					BgL_arg2579z00_9273 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1292z00_9272), BgL_arg2579z00_9273);
				}
				return BgL_new1292z00_9272;
			}
		}

	}



/* &lambda2575 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2575z62zzsaw_defsz00(obj_t BgL_envz00_7902,
		obj_t BgL_loc1291z00_7903)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_applyz00_bglt BgL_new1524z00_9274;

				{	/* SawMill/defs.scm 60 */
					BgL_rtl_applyz00_bglt BgL_new1523z00_9275;

					BgL_new1523z00_9275 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.scm 60 */
						long BgL_arg2577z00_9276;

						BgL_arg2577z00_9276 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1523z00_9275), BgL_arg2577z00_9276);
					}
					BgL_new1524z00_9274 = BgL_new1523z00_9275;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1524z00_9274)))->BgL_locz00) =
					((obj_t) BgL_loc1291z00_7903), BUNSPEC);
				return BgL_new1524z00_9274;
			}
		}

	}



/* &<@anonymous:2562> */
	obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7904,
		obj_t BgL_new1289z00_7905)
	{
		{	/* SawMill/defs.scm 59 */
			{
				BgL_rtl_callz00_bglt BgL_auxz00_13257;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_callz00_bglt) BgL_new1289z00_7905))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13261;

					{	/* SawMill/defs.scm 59 */
						obj_t BgL_classz00_9278;

						BgL_classz00_9278 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 59 */
							obj_t BgL__ortest_1113z00_9279;

							BgL__ortest_1113z00_9279 = BGL_CLASS_NIL(BgL_classz00_9278);
							if (CBOOL(BgL__ortest_1113z00_9279))
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_13261 =
										((BgL_globalz00_bglt) BgL__ortest_1113z00_9279);
								}
							else
								{	/* SawMill/defs.scm 59 */
									BgL_auxz00_13261 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9278));
								}
						}
					}
					((((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_new1289z00_7905)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_13261), BUNSPEC);
				}
				BgL_auxz00_13257 = ((BgL_rtl_callz00_bglt) BgL_new1289z00_7905);
				return ((obj_t) BgL_auxz00_13257);
			}
		}

	}



/* &lambda2560 */
	BgL_rtl_callz00_bglt BGl_z62lambda2560z62zzsaw_defsz00(obj_t BgL_envz00_7906)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_callz00_bglt BgL_new1288z00_9280;

				BgL_new1288z00_9280 =
					((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_callz00_bgl))));
				{	/* SawMill/defs.scm 59 */
					long BgL_arg2561z00_9281;

					BgL_arg2561z00_9281 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1288z00_9280), BgL_arg2561z00_9281);
				}
				return BgL_new1288z00_9280;
			}
		}

	}



/* &lambda2558 */
	BgL_rtl_callz00_bglt BGl_z62lambda2558z62zzsaw_defsz00(obj_t BgL_envz00_7907,
		obj_t BgL_loc1286z00_7908, obj_t BgL_var1287z00_7909)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_callz00_bglt BgL_new1522z00_9283;

				{	/* SawMill/defs.scm 59 */
					BgL_rtl_callz00_bglt BgL_new1521z00_9284;

					BgL_new1521z00_9284 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.scm 59 */
						long BgL_arg2559z00_9285;

						BgL_arg2559z00_9285 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1521z00_9284), BgL_arg2559z00_9285);
					}
					BgL_new1522z00_9283 = BgL_new1521z00_9284;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1522z00_9283)))->BgL_locz00) =
					((obj_t) BgL_loc1286z00_7908), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1522z00_9283))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1287z00_7909)),
					BUNSPEC);
				return BgL_new1522z00_9283;
			}
		}

	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzsaw_defsz00(obj_t BgL_envz00_7910,
		obj_t BgL_oz00_7911, obj_t BgL_vz00_7912)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_oz00_7911)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7912)), BUNSPEC);
		}

	}



/* &lambda2567 */
	BgL_globalz00_bglt BGl_z62lambda2567z62zzsaw_defsz00(obj_t BgL_envz00_7913,
		obj_t BgL_oz00_7914)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_callz00_bglt) COBJECT(
						((BgL_rtl_callz00_bglt) BgL_oz00_7914)))->BgL_varz00);
		}

	}



/* &<@anonymous:2534> */
	obj_t BGl_z62zc3z04anonymousza32534ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7915,
		obj_t BgL_new1284z00_7916)
	{
		{	/* SawMill/defs.scm 58 */
			{
				BgL_rtl_newz00_bglt BgL_auxz00_13289;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_newz00_bglt) BgL_new1284z00_7916))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13293;

					{	/* SawMill/defs.scm 58 */
						obj_t BgL_classz00_9290;

						BgL_classz00_9290 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 58 */
							obj_t BgL__ortest_1113z00_9291;

							BgL__ortest_1113z00_9291 = BGL_CLASS_NIL(BgL_classz00_9290);
							if (CBOOL(BgL__ortest_1113z00_9291))
								{	/* SawMill/defs.scm 58 */
									BgL_auxz00_13293 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9291);
								}
							else
								{	/* SawMill/defs.scm 58 */
									BgL_auxz00_13293 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9290));
								}
						}
					}
					((((BgL_rtl_newz00_bglt) COBJECT(
									((BgL_rtl_newz00_bglt) BgL_new1284z00_7916)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13293), BUNSPEC);
				}
				((((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_new1284z00_7916)))->BgL_constrz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_13289 = ((BgL_rtl_newz00_bglt) BgL_new1284z00_7916);
				return ((obj_t) BgL_auxz00_13289);
			}
		}

	}



/* &lambda2530 */
	BgL_rtl_newz00_bglt BGl_z62lambda2530z62zzsaw_defsz00(obj_t BgL_envz00_7917)
	{
		{	/* SawMill/defs.scm 58 */
			{	/* SawMill/defs.scm 58 */
				BgL_rtl_newz00_bglt BgL_new1283z00_9292;

				BgL_new1283z00_9292 =
					((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_newz00_bgl))));
				{	/* SawMill/defs.scm 58 */
					long BgL_arg2533z00_9293;

					BgL_arg2533z00_9293 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1283z00_9292), BgL_arg2533z00_9293);
				}
				return BgL_new1283z00_9292;
			}
		}

	}



/* &lambda2528 */
	BgL_rtl_newz00_bglt BGl_z62lambda2528z62zzsaw_defsz00(obj_t BgL_envz00_7918,
		obj_t BgL_loc1280z00_7919, obj_t BgL_type1281z00_7920,
		obj_t BgL_constr1282z00_7921)
	{
		{	/* SawMill/defs.scm 58 */
			{	/* SawMill/defs.scm 58 */
				BgL_rtl_newz00_bglt BgL_new1520z00_9296;

				{	/* SawMill/defs.scm 58 */
					BgL_rtl_newz00_bglt BgL_new1519z00_9297;

					BgL_new1519z00_9297 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.scm 58 */
						long BgL_arg2529z00_9298;

						BgL_arg2529z00_9298 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1519z00_9297), BgL_arg2529z00_9298);
					}
					BgL_new1520z00_9296 = BgL_new1519z00_9297;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1520z00_9296)))->BgL_locz00) =
					((obj_t) BgL_loc1280z00_7919), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1520z00_9296))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1281z00_7920)),
					BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1520z00_9296))->BgL_constrz00) =
					((obj_t) ((obj_t) BgL_constr1282z00_7921)), BUNSPEC);
				return BgL_new1520z00_9296;
			}
		}

	}



/* &lambda2549 */
	obj_t BGl_z62lambda2549z62zzsaw_defsz00(obj_t BgL_envz00_7922,
		obj_t BgL_oz00_7923, obj_t BgL_vz00_7924)
	{
		{	/* SawMill/defs.scm 58 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7923)))->BgL_constrz00) = ((obj_t)
					((obj_t) BgL_vz00_7924)), BUNSPEC);
		}

	}



/* &lambda2548 */
	obj_t BGl_z62lambda2548z62zzsaw_defsz00(obj_t BgL_envz00_7925,
		obj_t BgL_oz00_7926)
	{
		{	/* SawMill/defs.scm 58 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7926)))->BgL_constrz00);
		}

	}



/* &lambda2540 */
	obj_t BGl_z62lambda2540z62zzsaw_defsz00(obj_t BgL_envz00_7927,
		obj_t BgL_oz00_7928, obj_t BgL_vz00_7929)
	{
		{	/* SawMill/defs.scm 58 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7928)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7929)), BUNSPEC);
		}

	}



/* &lambda2539 */
	BgL_typez00_bglt BGl_z62lambda2539z62zzsaw_defsz00(obj_t BgL_envz00_7930,
		obj_t BgL_oz00_7931)
	{
		{	/* SawMill/defs.scm 58 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7931)))->BgL_typez00);
		}

	}



/* &<@anonymous:2520> */
	obj_t BGl_z62zc3z04anonymousza32520ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7932,
		obj_t BgL_new1278z00_7933)
	{
		{	/* SawMill/defs.scm 56 */
			{
				BgL_rtl_boxsetz00_bglt BgL_auxz00_13330;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxsetz00_bglt) BgL_new1278z00_7933))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13330 = ((BgL_rtl_boxsetz00_bglt) BgL_new1278z00_7933);
				return ((obj_t) BgL_auxz00_13330);
			}
		}

	}



/* &lambda2517 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2517z62zzsaw_defsz00(obj_t
		BgL_envz00_7934)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_boxsetz00_bglt BgL_new1277z00_9306;

				BgL_new1277z00_9306 =
					((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxsetz00_bgl))));
				{	/* SawMill/defs.scm 56 */
					long BgL_arg2519z00_9307;

					BgL_arg2519z00_9307 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1277z00_9306), BgL_arg2519z00_9307);
				}
				return BgL_new1277z00_9306;
			}
		}

	}



/* &lambda2515 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2515z62zzsaw_defsz00(obj_t
		BgL_envz00_7935, obj_t BgL_loc1276z00_7936)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_boxsetz00_bglt BgL_new1518z00_9308;

				{	/* SawMill/defs.scm 56 */
					BgL_rtl_boxsetz00_bglt BgL_new1517z00_9309;

					BgL_new1517z00_9309 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.scm 56 */
						long BgL_arg2516z00_9310;

						BgL_arg2516z00_9310 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_9309), BgL_arg2516z00_9310);
					}
					BgL_new1518z00_9308 = BgL_new1517z00_9309;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1518z00_9308)))->BgL_locz00) =
					((obj_t) BgL_loc1276z00_7936), BUNSPEC);
				return BgL_new1518z00_9308;
			}
		}

	}



/* &<@anonymous:2493> */
	obj_t BGl_z62zc3z04anonymousza32493ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7937,
		obj_t BgL_new1274z00_7938)
	{
		{	/* SawMill/defs.scm 55 */
			{
				BgL_rtl_vsetz00_bglt BgL_auxz00_13346;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vsetz00_bglt) BgL_new1274z00_7938))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13350;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9312;

						BgL_classz00_9312 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1113z00_9313;

							BgL__ortest_1113z00_9313 = BGL_CLASS_NIL(BgL_classz00_9312);
							if (CBOOL(BgL__ortest_1113z00_9313))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13350 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9313);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13350 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9312));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1274z00_7938)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13350), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13359;

					{	/* SawMill/defs.scm 55 */
						obj_t BgL_classz00_9314;

						BgL_classz00_9314 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 55 */
							obj_t BgL__ortest_1113z00_9315;

							BgL__ortest_1113z00_9315 = BGL_CLASS_NIL(BgL_classz00_9314);
							if (CBOOL(BgL__ortest_1113z00_9315))
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13359 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9315);
								}
							else
								{	/* SawMill/defs.scm 55 */
									BgL_auxz00_13359 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9314));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1274z00_7938)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13359), BUNSPEC);
				}
				BgL_auxz00_13346 = ((BgL_rtl_vsetz00_bglt) BgL_new1274z00_7938);
				return ((obj_t) BgL_auxz00_13346);
			}
		}

	}



/* &lambda2488 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2488z62zzsaw_defsz00(obj_t BgL_envz00_7939)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_vsetz00_bglt BgL_new1273z00_9316;

				BgL_new1273z00_9316 =
					((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vsetz00_bgl))));
				{	/* SawMill/defs.scm 55 */
					long BgL_arg2492z00_9317;

					BgL_arg2492z00_9317 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1273z00_9316), BgL_arg2492z00_9317);
				}
				return BgL_new1273z00_9316;
			}
		}

	}



/* &lambda2486 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2486z62zzsaw_defsz00(obj_t BgL_envz00_7940,
		obj_t BgL_loc1270z00_7941, obj_t BgL_type1271z00_7942,
		obj_t BgL_vtype1272z00_7943)
	{
		{	/* SawMill/defs.scm 55 */
			{	/* SawMill/defs.scm 55 */
				BgL_rtl_vsetz00_bglt BgL_new1516z00_9320;

				{	/* SawMill/defs.scm 55 */
					BgL_rtl_vsetz00_bglt BgL_new1515z00_9321;

					BgL_new1515z00_9321 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.scm 55 */
						long BgL_arg2487z00_9322;

						BgL_arg2487z00_9322 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1515z00_9321), BgL_arg2487z00_9322);
					}
					BgL_new1516z00_9320 = BgL_new1515z00_9321;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1516z00_9320)))->BgL_locz00) =
					((obj_t) BgL_loc1270z00_7941), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1516z00_9320))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1271z00_7942)),
					BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1516z00_9320))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1272z00_7943)),
					BUNSPEC);
				return BgL_new1516z00_9320;
			}
		}

	}



/* &lambda2504 */
	obj_t BGl_z62lambda2504z62zzsaw_defsz00(obj_t BgL_envz00_7944,
		obj_t BgL_oz00_7945, obj_t BgL_vz00_7946)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7945)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7946)), BUNSPEC);
		}

	}



/* &lambda2503 */
	BgL_typez00_bglt BGl_z62lambda2503z62zzsaw_defsz00(obj_t BgL_envz00_7947,
		obj_t BgL_oz00_7948)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7948)))->BgL_vtypez00);
		}

	}



/* &lambda2498 */
	obj_t BGl_z62lambda2498z62zzsaw_defsz00(obj_t BgL_envz00_7949,
		obj_t BgL_oz00_7950, obj_t BgL_vz00_7951)
	{
		{	/* SawMill/defs.scm 55 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7950)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7951)), BUNSPEC);
		}

	}



/* &lambda2497 */
	BgL_typez00_bglt BGl_z62lambda2497z62zzsaw_defsz00(obj_t BgL_envz00_7952,
		obj_t BgL_oz00_7953)
	{
		{	/* SawMill/defs.scm 55 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7953)))->BgL_typez00);
		}

	}



/* &<@anonymous:2461> */
	obj_t BGl_z62zc3z04anonymousza32461ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7954,
		obj_t BgL_new1268z00_7955)
	{
		{	/* SawMill/defs.scm 54 */
			{
				BgL_rtl_setfieldz00_bglt BgL_auxz00_13394;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_setfieldz00_bglt) BgL_new1268z00_7955))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(((BgL_rtl_setfieldz00_bglt)
									BgL_new1268z00_7955)))->BgL_namez00) =
					((obj_t) BGl_string3365z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13400;

					{	/* SawMill/defs.scm 54 */
						obj_t BgL_classz00_9330;

						BgL_classz00_9330 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 54 */
							obj_t BgL__ortest_1113z00_9331;

							BgL__ortest_1113z00_9331 = BGL_CLASS_NIL(BgL_classz00_9330);
							if (CBOOL(BgL__ortest_1113z00_9331))
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13400 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9331);
								}
							else
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13400 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9330));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1268z00_7955)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13400), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13409;

					{	/* SawMill/defs.scm 54 */
						obj_t BgL_classz00_9332;

						BgL_classz00_9332 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 54 */
							obj_t BgL__ortest_1113z00_9333;

							BgL__ortest_1113z00_9333 = BGL_CLASS_NIL(BgL_classz00_9332);
							if (CBOOL(BgL__ortest_1113z00_9333))
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13409 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9333);
								}
							else
								{	/* SawMill/defs.scm 54 */
									BgL_auxz00_13409 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9332));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1268z00_7955)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13409), BUNSPEC);
				}
				BgL_auxz00_13394 = ((BgL_rtl_setfieldz00_bglt) BgL_new1268z00_7955);
				return ((obj_t) BgL_auxz00_13394);
			}
		}

	}



/* &lambda2459 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2459z62zzsaw_defsz00(obj_t
		BgL_envz00_7956)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_setfieldz00_bglt BgL_new1266z00_9334;

				BgL_new1266z00_9334 =
					((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_setfieldz00_bgl))));
				{	/* SawMill/defs.scm 54 */
					long BgL_arg2460z00_9335;

					BgL_arg2460z00_9335 = BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1266z00_9334), BgL_arg2460z00_9335);
				}
				return BgL_new1266z00_9334;
			}
		}

	}



/* &lambda2457 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2457z62zzsaw_defsz00(obj_t
		BgL_envz00_7957, obj_t BgL_loc1262z00_7958, obj_t BgL_name1263z00_7959,
		obj_t BgL_objtype1264z00_7960, obj_t BgL_type1265z00_7961)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_setfieldz00_bglt BgL_new1514z00_9339;

				{	/* SawMill/defs.scm 54 */
					BgL_rtl_setfieldz00_bglt BgL_new1513z00_9340;

					BgL_new1513z00_9340 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.scm 54 */
						long BgL_arg2458z00_9341;

						BgL_arg2458z00_9341 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1513z00_9340), BgL_arg2458z00_9341);
					}
					BgL_new1514z00_9339 = BgL_new1513z00_9340;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1514z00_9339)))->BgL_locz00) =
					((obj_t) BgL_loc1262z00_7958), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1514z00_9339))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1263z00_7959)), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1514z00_9339))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1264z00_7960)),
					BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1514z00_9339))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1265z00_7961)),
					BUNSPEC);
				return BgL_new1514z00_9339;
			}
		}

	}



/* &lambda2478 */
	obj_t BGl_z62lambda2478z62zzsaw_defsz00(obj_t BgL_envz00_7962,
		obj_t BgL_oz00_7963, obj_t BgL_vz00_7964)
	{
		{	/* SawMill/defs.scm 54 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7963)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7964)), BUNSPEC);
		}

	}



/* &lambda2477 */
	BgL_typez00_bglt BGl_z62lambda2477z62zzsaw_defsz00(obj_t BgL_envz00_7965,
		obj_t BgL_oz00_7966)
	{
		{	/* SawMill/defs.scm 54 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7966)))->BgL_typez00);
		}

	}



/* &lambda2471 */
	obj_t BGl_z62lambda2471z62zzsaw_defsz00(obj_t BgL_envz00_7967,
		obj_t BgL_oz00_7968, obj_t BgL_vz00_7969)
	{
		{	/* SawMill/defs.scm 54 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7968)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7969)), BUNSPEC);
		}

	}



/* &lambda2470 */
	BgL_typez00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t BgL_envz00_7970,
		obj_t BgL_oz00_7971)
	{
		{	/* SawMill/defs.scm 54 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7971)))->BgL_objtypez00);
		}

	}



/* &lambda2466 */
	obj_t BGl_z62lambda2466z62zzsaw_defsz00(obj_t BgL_envz00_7972,
		obj_t BgL_oz00_7973, obj_t BgL_vz00_7974)
	{
		{	/* SawMill/defs.scm 54 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7973)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7974)), BUNSPEC);
		}

	}



/* &lambda2465 */
	obj_t BGl_z62lambda2465z62zzsaw_defsz00(obj_t BgL_envz00_7975,
		obj_t BgL_oz00_7976)
	{
		{	/* SawMill/defs.scm 54 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7976)))->BgL_namez00);
		}

	}



/* &<@anonymous:2442> */
	obj_t BGl_z62zc3z04anonymousza32442ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7977,
		obj_t BgL_new1260z00_7978)
	{
		{	/* SawMill/defs.scm 53 */
			{
				BgL_rtl_storegz00_bglt BgL_auxz00_13451;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_storegz00_bglt) BgL_new1260z00_7978))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13455;

					{	/* SawMill/defs.scm 53 */
						obj_t BgL_classz00_9352;

						BgL_classz00_9352 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 53 */
							obj_t BgL__ortest_1113z00_9353;

							BgL__ortest_1113z00_9353 = BGL_CLASS_NIL(BgL_classz00_9352);
							if (CBOOL(BgL__ortest_1113z00_9353))
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_13455 =
										((BgL_globalz00_bglt) BgL__ortest_1113z00_9353);
								}
							else
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_13455 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9352));
								}
						}
					}
					((((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_new1260z00_7978)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13455), BUNSPEC);
				}
				BgL_auxz00_13451 = ((BgL_rtl_storegz00_bglt) BgL_new1260z00_7978);
				return ((obj_t) BgL_auxz00_13451);
			}
		}

	}



/* &lambda2439 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2439z62zzsaw_defsz00(obj_t
		BgL_envz00_7979)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_storegz00_bglt BgL_new1259z00_9354;

				BgL_new1259z00_9354 =
					((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_storegz00_bgl))));
				{	/* SawMill/defs.scm 53 */
					long BgL_arg2441z00_9355;

					BgL_arg2441z00_9355 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1259z00_9354), BgL_arg2441z00_9355);
				}
				return BgL_new1259z00_9354;
			}
		}

	}



/* &lambda2437 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2437z62zzsaw_defsz00(obj_t
		BgL_envz00_7980, obj_t BgL_loc1257z00_7981, obj_t BgL_var1258z00_7982)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_storegz00_bglt BgL_new1512z00_9357;

				{	/* SawMill/defs.scm 53 */
					BgL_rtl_storegz00_bglt BgL_new1511z00_9358;

					BgL_new1511z00_9358 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.scm 53 */
						long BgL_arg2438z00_9359;

						BgL_arg2438z00_9359 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1511z00_9358), BgL_arg2438z00_9359);
					}
					BgL_new1512z00_9357 = BgL_new1511z00_9358;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1512z00_9357)))->BgL_locz00) =
					((obj_t) BgL_loc1257z00_7981), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1512z00_9357))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1258z00_7982)),
					BUNSPEC);
				return BgL_new1512z00_9357;
			}
		}

	}



/* &lambda2448 */
	obj_t BGl_z62lambda2448z62zzsaw_defsz00(obj_t BgL_envz00_7983,
		obj_t BgL_oz00_7984, obj_t BgL_vz00_7985)
	{
		{	/* SawMill/defs.scm 53 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(
							((BgL_rtl_storegz00_bglt) BgL_oz00_7984)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7985)), BUNSPEC);
		}

	}



/* &lambda2447 */
	BgL_globalz00_bglt BGl_z62lambda2447z62zzsaw_defsz00(obj_t BgL_envz00_7986,
		obj_t BgL_oz00_7987)
	{
		{	/* SawMill/defs.scm 53 */
			return
				(((BgL_rtl_storegz00_bglt) COBJECT(
						((BgL_rtl_storegz00_bglt) BgL_oz00_7987)))->BgL_varz00);
		}

	}



/* &<@anonymous:2431> */
	obj_t BGl_z62zc3z04anonymousza32431ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7988,
		obj_t BgL_new1255z00_7989)
	{
		{	/* SawMill/defs.scm 52 */
			{
				BgL_rtl_effectz00_bglt BgL_auxz00_13483;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_effectz00_bglt) BgL_new1255z00_7989))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13483 = ((BgL_rtl_effectz00_bglt) BgL_new1255z00_7989);
				return ((obj_t) BgL_auxz00_13483);
			}
		}

	}



/* &lambda2428 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t
		BgL_envz00_7990)
	{
		{	/* SawMill/defs.scm 52 */
			{	/* SawMill/defs.scm 52 */
				BgL_rtl_effectz00_bglt BgL_new1254z00_9364;

				BgL_new1254z00_9364 =
					((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_effectz00_bgl))));
				{	/* SawMill/defs.scm 52 */
					long BgL_arg2430z00_9365;

					BgL_arg2430z00_9365 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1254z00_9364), BgL_arg2430z00_9365);
				}
				return BgL_new1254z00_9364;
			}
		}

	}



/* &lambda2426 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2426z62zzsaw_defsz00(obj_t
		BgL_envz00_7991, obj_t BgL_loc1253z00_7992)
	{
		{	/* SawMill/defs.scm 52 */
			{	/* SawMill/defs.scm 52 */
				BgL_rtl_effectz00_bglt BgL_new1510z00_9366;

				{	/* SawMill/defs.scm 52 */
					BgL_rtl_effectz00_bglt BgL_new1509z00_9367;

					BgL_new1509z00_9367 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.scm 52 */
						long BgL_arg2427z00_9368;

						BgL_arg2427z00_9368 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1509z00_9367), BgL_arg2427z00_9368);
					}
					BgL_new1510z00_9366 = BgL_new1509z00_9367;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1510z00_9366)))->BgL_locz00) =
					((obj_t) BgL_loc1253z00_7992), BUNSPEC);
				return BgL_new1510z00_9366;
			}
		}

	}



/* &<@anonymous:2419> */
	obj_t BGl_z62zc3z04anonymousza32419ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7993,
		obj_t BgL_new1251z00_7994)
	{
		{	/* SawMill/defs.scm 50 */
			{
				BgL_rtl_boxrefz00_bglt BgL_auxz00_13499;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxrefz00_bglt) BgL_new1251z00_7994))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13499 = ((BgL_rtl_boxrefz00_bglt) BgL_new1251z00_7994);
				return ((obj_t) BgL_auxz00_13499);
			}
		}

	}



/* &lambda2417 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2417z62zzsaw_defsz00(obj_t
		BgL_envz00_7995)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_boxrefz00_bglt BgL_new1249z00_9370;

				BgL_new1249z00_9370 =
					((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxrefz00_bgl))));
				{	/* SawMill/defs.scm 50 */
					long BgL_arg2418z00_9371;

					BgL_arg2418z00_9371 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1249z00_9370), BgL_arg2418z00_9371);
				}
				return BgL_new1249z00_9370;
			}
		}

	}



/* &lambda2415 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2415z62zzsaw_defsz00(obj_t
		BgL_envz00_7996, obj_t BgL_loc1248z00_7997)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_boxrefz00_bglt BgL_new1508z00_9372;

				{	/* SawMill/defs.scm 50 */
					BgL_rtl_boxrefz00_bglt BgL_new1507z00_9373;

					BgL_new1507z00_9373 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.scm 50 */
						long BgL_arg2416z00_9374;

						BgL_arg2416z00_9374 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1507z00_9373), BgL_arg2416z00_9374);
					}
					BgL_new1508z00_9372 = BgL_new1507z00_9373;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1508z00_9372)))->BgL_locz00) =
					((obj_t) BgL_loc1248z00_7997), BUNSPEC);
				return BgL_new1508z00_9372;
			}
		}

	}



/* &<@anonymous:2408> */
	obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7998,
		obj_t BgL_new1246z00_7999)
	{
		{	/* SawMill/defs.scm 49 */
			{
				BgL_rtl_makeboxz00_bglt BgL_auxz00_13515;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_makeboxz00_bglt) BgL_new1246z00_7999))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13515 = ((BgL_rtl_makeboxz00_bglt) BgL_new1246z00_7999);
				return ((obj_t) BgL_auxz00_13515);
			}
		}

	}



/* &lambda2405 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2405z62zzsaw_defsz00(obj_t
		BgL_envz00_8000)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_makeboxz00_bglt BgL_new1244z00_9376;

				BgL_new1244z00_9376 =
					((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_makeboxz00_bgl))));
				{	/* SawMill/defs.scm 49 */
					long BgL_arg2407z00_9377;

					BgL_arg2407z00_9377 = BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1244z00_9376), BgL_arg2407z00_9377);
				}
				return BgL_new1244z00_9376;
			}
		}

	}



/* &lambda2403 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2403z62zzsaw_defsz00(obj_t
		BgL_envz00_8001, obj_t BgL_loc1243z00_8002)
	{
		{	/* SawMill/defs.scm 49 */
			{	/* SawMill/defs.scm 49 */
				BgL_rtl_makeboxz00_bglt BgL_new1506z00_9378;

				{	/* SawMill/defs.scm 49 */
					BgL_rtl_makeboxz00_bglt BgL_new1505z00_9379;

					BgL_new1505z00_9379 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.scm 49 */
						long BgL_arg2404z00_9380;

						BgL_arg2404z00_9380 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1505z00_9379), BgL_arg2404z00_9380);
					}
					BgL_new1506z00_9378 = BgL_new1505z00_9379;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1506z00_9378)))->BgL_locz00) =
					((obj_t) BgL_loc1243z00_8002), BUNSPEC);
				return BgL_new1506z00_9378;
			}
		}

	}



/* &<@anonymous:2390> */
	obj_t BGl_z62zc3z04anonymousza32390ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8003,
		obj_t BgL_new1241z00_8004)
	{
		{	/* SawMill/defs.scm 48 */
			{
				BgL_rtl_instanceofz00_bglt BgL_auxz00_13531;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_instanceofz00_bglt) BgL_new1241z00_8004))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13535;

					{	/* SawMill/defs.scm 48 */
						obj_t BgL_classz00_9382;

						BgL_classz00_9382 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 48 */
							obj_t BgL__ortest_1113z00_9383;

							BgL__ortest_1113z00_9383 = BGL_CLASS_NIL(BgL_classz00_9382);
							if (CBOOL(BgL__ortest_1113z00_9383))
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13535 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9383);
								}
							else
								{	/* SawMill/defs.scm 48 */
									BgL_auxz00_13535 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9382));
								}
						}
					}
					((((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_new1241z00_8004)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13535), BUNSPEC);
				}
				BgL_auxz00_13531 = ((BgL_rtl_instanceofz00_bglt) BgL_new1241z00_8004);
				return ((obj_t) BgL_auxz00_13531);
			}
		}

	}



/* &lambda2388 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2388z62zzsaw_defsz00(obj_t
		BgL_envz00_8005)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_instanceofz00_bglt BgL_new1240z00_9384;

				BgL_new1240z00_9384 =
					((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_instanceofz00_bgl))));
				{	/* SawMill/defs.scm 48 */
					long BgL_arg2389z00_9385;

					BgL_arg2389z00_9385 =
						BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1240z00_9384), BgL_arg2389z00_9385);
				}
				return BgL_new1240z00_9384;
			}
		}

	}



/* &lambda2386 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2386z62zzsaw_defsz00(obj_t
		BgL_envz00_8006, obj_t BgL_loc1237z00_8007, obj_t BgL_type1238z00_8008)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_instanceofz00_bglt BgL_new1504z00_9387;

				{	/* SawMill/defs.scm 48 */
					BgL_rtl_instanceofz00_bglt BgL_new1503z00_9388;

					BgL_new1503z00_9388 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.scm 48 */
						long BgL_arg2387z00_9389;

						BgL_arg2387z00_9389 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1503z00_9388), BgL_arg2387z00_9389);
					}
					BgL_new1504z00_9387 = BgL_new1503z00_9388;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1504z00_9387)))->BgL_locz00) =
					((obj_t) BgL_loc1237z00_8007), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1504z00_9387))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1238z00_8008)),
					BUNSPEC);
				return BgL_new1504z00_9387;
			}
		}

	}



/* &lambda2396 */
	obj_t BGl_z62lambda2396z62zzsaw_defsz00(obj_t BgL_envz00_8009,
		obj_t BgL_oz00_8010, obj_t BgL_vz00_8011)
	{
		{	/* SawMill/defs.scm 48 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(
							((BgL_rtl_instanceofz00_bglt) BgL_oz00_8010)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8011)), BUNSPEC);
		}

	}



/* &lambda2395 */
	BgL_typez00_bglt BGl_z62lambda2395z62zzsaw_defsz00(obj_t BgL_envz00_8012,
		obj_t BgL_oz00_8013)
	{
		{	/* SawMill/defs.scm 48 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(
						((BgL_rtl_instanceofz00_bglt) BgL_oz00_8013)))->BgL_typez00);
		}

	}



/* &<@anonymous:2369> */
	obj_t BGl_z62zc3z04anonymousza32369ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8014,
		obj_t BgL_new1235z00_8015)
	{
		{	/* SawMill/defs.scm 47 */
			{
				BgL_rtl_vlengthz00_bglt BgL_auxz00_13563;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vlengthz00_bglt) BgL_new1235z00_8015))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13567;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9394;

						BgL_classz00_9394 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1113z00_9395;

							BgL__ortest_1113z00_9395 = BGL_CLASS_NIL(BgL_classz00_9394);
							if (CBOOL(BgL__ortest_1113z00_9395))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13567 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9395);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13567 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9394));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1235z00_8015)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13567), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13576;

					{	/* SawMill/defs.scm 47 */
						obj_t BgL_classz00_9396;

						BgL_classz00_9396 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 47 */
							obj_t BgL__ortest_1113z00_9397;

							BgL__ortest_1113z00_9397 = BGL_CLASS_NIL(BgL_classz00_9396);
							if (CBOOL(BgL__ortest_1113z00_9397))
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13576 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9397);
								}
							else
								{	/* SawMill/defs.scm 47 */
									BgL_auxz00_13576 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9396));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1235z00_8015)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13576), BUNSPEC);
				}
				BgL_auxz00_13563 = ((BgL_rtl_vlengthz00_bglt) BgL_new1235z00_8015);
				return ((obj_t) BgL_auxz00_13563);
			}
		}

	}



/* &lambda2367 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2367z62zzsaw_defsz00(obj_t
		BgL_envz00_8016)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vlengthz00_bglt BgL_new1234z00_9398;

				BgL_new1234z00_9398 =
					((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vlengthz00_bgl))));
				{	/* SawMill/defs.scm 47 */
					long BgL_arg2368z00_9399;

					BgL_arg2368z00_9399 = BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1234z00_9398), BgL_arg2368z00_9399);
				}
				return BgL_new1234z00_9398;
			}
		}

	}



/* &lambda2365 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2365z62zzsaw_defsz00(obj_t
		BgL_envz00_8017, obj_t BgL_loc1231z00_8018, obj_t BgL_type1232z00_8019,
		obj_t BgL_vtype1233z00_8020)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_vlengthz00_bglt BgL_new1502z00_9402;

				{	/* SawMill/defs.scm 47 */
					BgL_rtl_vlengthz00_bglt BgL_new1501z00_9403;

					BgL_new1501z00_9403 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.scm 47 */
						long BgL_arg2366z00_9404;

						BgL_arg2366z00_9404 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_9403), BgL_arg2366z00_9404);
					}
					BgL_new1502z00_9402 = BgL_new1501z00_9403;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1502z00_9402)))->BgL_locz00) =
					((obj_t) BgL_loc1231z00_8018), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1502z00_9402))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1232z00_8019)),
					BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1502z00_9402))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1233z00_8020)),
					BUNSPEC);
				return BgL_new1502z00_9402;
			}
		}

	}



/* &lambda2380 */
	obj_t BGl_z62lambda2380z62zzsaw_defsz00(obj_t BgL_envz00_8021,
		obj_t BgL_oz00_8022, obj_t BgL_vz00_8023)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8022)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8023)), BUNSPEC);
		}

	}



/* &lambda2379 */
	BgL_typez00_bglt BGl_z62lambda2379z62zzsaw_defsz00(obj_t BgL_envz00_8024,
		obj_t BgL_oz00_8025)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8025)))->BgL_vtypez00);
		}

	}



/* &lambda2374 */
	obj_t BGl_z62lambda2374z62zzsaw_defsz00(obj_t BgL_envz00_8026,
		obj_t BgL_oz00_8027, obj_t BgL_vz00_8028)
	{
		{	/* SawMill/defs.scm 47 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_8027)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8028)), BUNSPEC);
		}

	}



/* &lambda2373 */
	BgL_typez00_bglt BGl_z62lambda2373z62zzsaw_defsz00(obj_t BgL_envz00_8029,
		obj_t BgL_oz00_8030)
	{
		{	/* SawMill/defs.scm 47 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_8030)))->BgL_typez00);
		}

	}



/* &<@anonymous:2347> */
	obj_t BGl_z62zc3z04anonymousza32347ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8031,
		obj_t BgL_new1228z00_8032)
	{
		{	/* SawMill/defs.scm 46 */
			{
				BgL_rtl_vrefz00_bglt BgL_auxz00_13611;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vrefz00_bglt) BgL_new1228z00_8032))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13615;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9412;

						BgL_classz00_9412 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1113z00_9413;

							BgL__ortest_1113z00_9413 = BGL_CLASS_NIL(BgL_classz00_9412);
							if (CBOOL(BgL__ortest_1113z00_9413))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9413);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9412));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1228z00_8032)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13615), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13624;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9414;

						BgL_classz00_9414 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1113z00_9415;

							BgL__ortest_1113z00_9415 = BGL_CLASS_NIL(BgL_classz00_9414);
							if (CBOOL(BgL__ortest_1113z00_9415))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13624 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9415);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13624 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9414));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1228z00_8032)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13624), BUNSPEC);
				}
				BgL_auxz00_13611 = ((BgL_rtl_vrefz00_bglt) BgL_new1228z00_8032);
				return ((obj_t) BgL_auxz00_13611);
			}
		}

	}



/* &lambda2345 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2345z62zzsaw_defsz00(obj_t BgL_envz00_8033)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vrefz00_bglt BgL_new1227z00_9416;

				BgL_new1227z00_9416 =
					((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vrefz00_bgl))));
				{	/* SawMill/defs.scm 46 */
					long BgL_arg2346z00_9417;

					BgL_arg2346z00_9417 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1227z00_9416), BgL_arg2346z00_9417);
				}
				return BgL_new1227z00_9416;
			}
		}

	}



/* &lambda2343 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2343z62zzsaw_defsz00(obj_t BgL_envz00_8034,
		obj_t BgL_loc1224z00_8035, obj_t BgL_type1225z00_8036,
		obj_t BgL_vtype1226z00_8037)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_vrefz00_bglt BgL_new1500z00_9420;

				{	/* SawMill/defs.scm 46 */
					BgL_rtl_vrefz00_bglt BgL_new1499z00_9421;

					BgL_new1499z00_9421 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.scm 46 */
						long BgL_arg2344z00_9422;

						BgL_arg2344z00_9422 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1499z00_9421), BgL_arg2344z00_9422);
					}
					BgL_new1500z00_9420 = BgL_new1499z00_9421;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1500z00_9420)))->BgL_locz00) =
					((obj_t) BgL_loc1224z00_8035), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1500z00_9420))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1225z00_8036)),
					BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1500z00_9420))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1226z00_8037)),
					BUNSPEC);
				return BgL_new1500z00_9420;
			}
		}

	}



/* &lambda2359 */
	obj_t BGl_z62lambda2359z62zzsaw_defsz00(obj_t BgL_envz00_8038,
		obj_t BgL_oz00_8039, obj_t BgL_vz00_8040)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8039)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8040)), BUNSPEC);
		}

	}



/* &lambda2358 */
	BgL_typez00_bglt BGl_z62lambda2358z62zzsaw_defsz00(obj_t BgL_envz00_8041,
		obj_t BgL_oz00_8042)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8042)))->BgL_vtypez00);
		}

	}



/* &lambda2354 */
	obj_t BGl_z62lambda2354z62zzsaw_defsz00(obj_t BgL_envz00_8043,
		obj_t BgL_oz00_8044, obj_t BgL_vz00_8045)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_8044)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8045)), BUNSPEC);
		}

	}



/* &lambda2353 */
	BgL_typez00_bglt BGl_z62lambda2353z62zzsaw_defsz00(obj_t BgL_envz00_8046,
		obj_t BgL_oz00_8047)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_8047)))->BgL_typez00);
		}

	}



/* &<@anonymous:2327> */
	obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8048,
		obj_t BgL_new1222z00_8049)
	{
		{	/* SawMill/defs.scm 45 */
			{
				BgL_rtl_vallocz00_bglt BgL_auxz00_13659;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vallocz00_bglt) BgL_new1222z00_8049))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13663;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9430;

						BgL_classz00_9430 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1113z00_9431;

							BgL__ortest_1113z00_9431 = BGL_CLASS_NIL(BgL_classz00_9430);
							if (CBOOL(BgL__ortest_1113z00_9431))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13663 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9431);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13663 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9430));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1222z00_8049)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13663), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13672;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9432;

						BgL_classz00_9432 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1113z00_9433;

							BgL__ortest_1113z00_9433 = BGL_CLASS_NIL(BgL_classz00_9432);
							if (CBOOL(BgL__ortest_1113z00_9433))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13672 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9433);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13672 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9432));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1222z00_8049)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13672), BUNSPEC);
				}
				BgL_auxz00_13659 = ((BgL_rtl_vallocz00_bglt) BgL_new1222z00_8049);
				return ((obj_t) BgL_auxz00_13659);
			}
		}

	}



/* &lambda2324 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2324z62zzsaw_defsz00(obj_t
		BgL_envz00_8050)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_vallocz00_bglt BgL_new1221z00_9434;

				BgL_new1221z00_9434 =
					((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vallocz00_bgl))));
				{	/* SawMill/defs.scm 45 */
					long BgL_arg2326z00_9435;

					BgL_arg2326z00_9435 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1221z00_9434), BgL_arg2326z00_9435);
				}
				return BgL_new1221z00_9434;
			}
		}

	}



/* &lambda2321 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2321z62zzsaw_defsz00(obj_t
		BgL_envz00_8051, obj_t BgL_loc1218z00_8052, obj_t BgL_type1219z00_8053,
		obj_t BgL_vtype1220z00_8054)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_vallocz00_bglt BgL_new1498z00_9438;

				{	/* SawMill/defs.scm 45 */
					BgL_rtl_vallocz00_bglt BgL_new1497z00_9439;

					BgL_new1497z00_9439 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.scm 45 */
						long BgL_arg2323z00_9440;

						BgL_arg2323z00_9440 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1497z00_9439), BgL_arg2323z00_9440);
					}
					BgL_new1498z00_9438 = BgL_new1497z00_9439;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1498z00_9438)))->BgL_locz00) =
					((obj_t) BgL_loc1218z00_8052), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1498z00_9438))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1219z00_8053)),
					BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1498z00_9438))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1220z00_8054)),
					BUNSPEC);
				return BgL_new1498z00_9438;
			}
		}

	}



/* &lambda2337 */
	obj_t BGl_z62lambda2337z62zzsaw_defsz00(obj_t BgL_envz00_8055,
		obj_t BgL_oz00_8056, obj_t BgL_vz00_8057)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8056)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8057)), BUNSPEC);
		}

	}



/* &lambda2336 */
	BgL_typez00_bglt BGl_z62lambda2336z62zzsaw_defsz00(obj_t BgL_envz00_8058,
		obj_t BgL_oz00_8059)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8059)))->BgL_vtypez00);
		}

	}



/* &lambda2332 */
	obj_t BGl_z62lambda2332z62zzsaw_defsz00(obj_t BgL_envz00_8060,
		obj_t BgL_oz00_8061, obj_t BgL_vz00_8062)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_8061)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8062)), BUNSPEC);
		}

	}



/* &lambda2331 */
	BgL_typez00_bglt BGl_z62lambda2331z62zzsaw_defsz00(obj_t BgL_envz00_8063,
		obj_t BgL_oz00_8064)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_8064)))->BgL_typez00);
		}

	}



/* &<@anonymous:2300> */
	obj_t BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8065,
		obj_t BgL_new1216z00_8066)
	{
		{	/* SawMill/defs.scm 44 */
			{
				BgL_rtl_getfieldz00_bglt BgL_auxz00_13707;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_getfieldz00_bglt) BgL_new1216z00_8066))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(((BgL_rtl_getfieldz00_bglt)
									BgL_new1216z00_8066)))->BgL_namez00) =
					((obj_t) BGl_string3365z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13713;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9448;

						BgL_classz00_9448 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1113z00_9449;

							BgL__ortest_1113z00_9449 = BGL_CLASS_NIL(BgL_classz00_9448);
							if (CBOOL(BgL__ortest_1113z00_9449))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13713 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9449);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13713 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9448));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1216z00_8066)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13713), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13722;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9450;

						BgL_classz00_9450 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1113z00_9451;

							BgL__ortest_1113z00_9451 = BGL_CLASS_NIL(BgL_classz00_9450);
							if (CBOOL(BgL__ortest_1113z00_9451))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13722 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9451);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13722 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9450));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1216z00_8066)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13722), BUNSPEC);
				}
				BgL_auxz00_13707 = ((BgL_rtl_getfieldz00_bglt) BgL_new1216z00_8066);
				return ((obj_t) BgL_auxz00_13707);
			}
		}

	}



/* &lambda2298 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2298z62zzsaw_defsz00(obj_t
		BgL_envz00_8067)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_getfieldz00_bglt BgL_new1215z00_9452;

				BgL_new1215z00_9452 =
					((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_getfieldz00_bgl))));
				{	/* SawMill/defs.scm 44 */
					long BgL_arg2299z00_9453;

					BgL_arg2299z00_9453 = BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1215z00_9452), BgL_arg2299z00_9453);
				}
				return BgL_new1215z00_9452;
			}
		}

	}



/* &lambda2296 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2296z62zzsaw_defsz00(obj_t
		BgL_envz00_8068, obj_t BgL_loc1211z00_8069, obj_t BgL_name1212z00_8070,
		obj_t BgL_objtype1213z00_8071, obj_t BgL_type1214z00_8072)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_getfieldz00_bglt BgL_new1496z00_9457;

				{	/* SawMill/defs.scm 44 */
					BgL_rtl_getfieldz00_bglt BgL_new1495z00_9458;

					BgL_new1495z00_9458 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.scm 44 */
						long BgL_arg2297z00_9459;

						BgL_arg2297z00_9459 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1495z00_9458), BgL_arg2297z00_9459);
					}
					BgL_new1496z00_9457 = BgL_new1495z00_9458;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1496z00_9457)))->BgL_locz00) =
					((obj_t) BgL_loc1211z00_8069), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1496z00_9457))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1212z00_8070)), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1496z00_9457))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1213z00_8071)),
					BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1496z00_9457))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1214z00_8072)),
					BUNSPEC);
				return BgL_new1496z00_9457;
			}
		}

	}



/* &lambda2315 */
	obj_t BGl_z62lambda2315z62zzsaw_defsz00(obj_t BgL_envz00_8073,
		obj_t BgL_oz00_8074, obj_t BgL_vz00_8075)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8074)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8075)), BUNSPEC);
		}

	}



/* &lambda2314 */
	BgL_typez00_bglt BGl_z62lambda2314z62zzsaw_defsz00(obj_t BgL_envz00_8076,
		obj_t BgL_oz00_8077)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8077)))->BgL_typez00);
		}

	}



/* &lambda2310 */
	obj_t BGl_z62lambda2310z62zzsaw_defsz00(obj_t BgL_envz00_8078,
		obj_t BgL_oz00_8079, obj_t BgL_vz00_8080)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8079)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8080)), BUNSPEC);
		}

	}



/* &lambda2309 */
	BgL_typez00_bglt BGl_z62lambda2309z62zzsaw_defsz00(obj_t BgL_envz00_8081,
		obj_t BgL_oz00_8082)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8082)))->BgL_objtypez00);
		}

	}



/* &lambda2305 */
	obj_t BGl_z62lambda2305z62zzsaw_defsz00(obj_t BgL_envz00_8083,
		obj_t BgL_oz00_8084, obj_t BgL_vz00_8085)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_8084)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_8085)), BUNSPEC);
		}

	}



/* &lambda2304 */
	obj_t BGl_z62lambda2304z62zzsaw_defsz00(obj_t BgL_envz00_8086,
		obj_t BgL_oz00_8087)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_8087)))->BgL_namez00);
		}

	}



/* &<@anonymous:2284> */
	obj_t BGl_z62zc3z04anonymousza32284ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8088,
		obj_t BgL_new1209z00_8089)
	{
		{	/* SawMill/defs.scm 43 */
			{
				BgL_rtl_globalrefz00_bglt BgL_auxz00_13764;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_globalrefz00_bglt) BgL_new1209z00_8089))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13768;

					{	/* SawMill/defs.scm 43 */
						obj_t BgL_classz00_9470;

						BgL_classz00_9470 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 43 */
							obj_t BgL__ortest_1113z00_9471;

							BgL__ortest_1113z00_9471 = BGL_CLASS_NIL(BgL_classz00_9470);
							if (CBOOL(BgL__ortest_1113z00_9471))
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13768 =
										((BgL_globalz00_bglt) BgL__ortest_1113z00_9471);
								}
							else
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13768 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9470));
								}
						}
					}
					((((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_new1209z00_8089)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13768), BUNSPEC);
				}
				BgL_auxz00_13764 = ((BgL_rtl_globalrefz00_bglt) BgL_new1209z00_8089);
				return ((obj_t) BgL_auxz00_13764);
			}
		}

	}



/* &lambda2282 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2282z62zzsaw_defsz00(obj_t
		BgL_envz00_8090)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_globalrefz00_bglt BgL_new1208z00_9472;

				BgL_new1208z00_9472 =
					((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_globalrefz00_bgl))));
				{	/* SawMill/defs.scm 43 */
					long BgL_arg2283z00_9473;

					BgL_arg2283z00_9473 =
						BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1208z00_9472), BgL_arg2283z00_9473);
				}
				return BgL_new1208z00_9472;
			}
		}

	}



/* &lambda2280 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2280z62zzsaw_defsz00(obj_t
		BgL_envz00_8091, obj_t BgL_loc1206z00_8092, obj_t BgL_var1207z00_8093)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_globalrefz00_bglt BgL_new1494z00_9475;

				{	/* SawMill/defs.scm 43 */
					BgL_rtl_globalrefz00_bglt BgL_new1493z00_9476;

					BgL_new1493z00_9476 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.scm 43 */
						long BgL_arg2281z00_9477;

						BgL_arg2281z00_9477 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1493z00_9476), BgL_arg2281z00_9477);
					}
					BgL_new1494z00_9475 = BgL_new1493z00_9476;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1494z00_9475)))->BgL_locz00) =
					((obj_t) BgL_loc1206z00_8092), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1494z00_9475))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1207z00_8093)),
					BUNSPEC);
				return BgL_new1494z00_9475;
			}
		}

	}



/* &lambda2289 */
	obj_t BGl_z62lambda2289z62zzsaw_defsz00(obj_t BgL_envz00_8094,
		obj_t BgL_oz00_8095, obj_t BgL_vz00_8096)
	{
		{	/* SawMill/defs.scm 43 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_oz00_8095)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8096)), BUNSPEC);
		}

	}



/* &lambda2288 */
	BgL_globalz00_bglt BGl_z62lambda2288z62zzsaw_defsz00(obj_t BgL_envz00_8097,
		obj_t BgL_oz00_8098)
	{
		{	/* SawMill/defs.scm 43 */
			return
				(((BgL_rtl_globalrefz00_bglt) COBJECT(
						((BgL_rtl_globalrefz00_bglt) BgL_oz00_8098)))->BgL_varz00);
		}

	}



/* &<@anonymous:2268> */
	obj_t BGl_z62zc3z04anonymousza32268ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8099,
		obj_t BgL_new1204z00_8100)
	{
		{	/* SawMill/defs.scm 42 */
			{
				BgL_rtl_loadfunz00_bglt BgL_auxz00_13796;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadfunz00_bglt) BgL_new1204z00_8100))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13800;

					{	/* SawMill/defs.scm 42 */
						obj_t BgL_classz00_9482;

						BgL_classz00_9482 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 42 */
							obj_t BgL__ortest_1113z00_9483;

							BgL__ortest_1113z00_9483 = BGL_CLASS_NIL(BgL_classz00_9482);
							if (CBOOL(BgL__ortest_1113z00_9483))
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13800 =
										((BgL_globalz00_bglt) BgL__ortest_1113z00_9483);
								}
							else
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13800 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9482));
								}
						}
					}
					((((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_new1204z00_8100)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13800), BUNSPEC);
				}
				BgL_auxz00_13796 = ((BgL_rtl_loadfunz00_bglt) BgL_new1204z00_8100);
				return ((obj_t) BgL_auxz00_13796);
			}
		}

	}



/* &lambda2266 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2266z62zzsaw_defsz00(obj_t
		BgL_envz00_8101)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadfunz00_bglt BgL_new1203z00_9484;

				BgL_new1203z00_9484 =
					((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadfunz00_bgl))));
				{	/* SawMill/defs.scm 42 */
					long BgL_arg2267z00_9485;

					BgL_arg2267z00_9485 = BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1203z00_9484), BgL_arg2267z00_9485);
				}
				return BgL_new1203z00_9484;
			}
		}

	}



/* &lambda2264 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2264z62zzsaw_defsz00(obj_t
		BgL_envz00_8102, obj_t BgL_loc1201z00_8103, obj_t BgL_var1202z00_8104)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_loadfunz00_bglt BgL_new1492z00_9487;

				{	/* SawMill/defs.scm 42 */
					BgL_rtl_loadfunz00_bglt BgL_new1491z00_9488;

					BgL_new1491z00_9488 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.scm 42 */
						long BgL_arg2265z00_9489;

						BgL_arg2265z00_9489 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1491z00_9488), BgL_arg2265z00_9489);
					}
					BgL_new1492z00_9487 = BgL_new1491z00_9488;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1492z00_9487)))->BgL_locz00) =
					((obj_t) BgL_loc1201z00_8103), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1492z00_9487))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1202z00_8104)),
					BUNSPEC);
				return BgL_new1492z00_9487;
			}
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzsaw_defsz00(obj_t BgL_envz00_8105,
		obj_t BgL_oz00_8106, obj_t BgL_vz00_8107)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_oz00_8106)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8107)), BUNSPEC);
		}

	}



/* &lambda2272 */
	BgL_globalz00_bglt BGl_z62lambda2272z62zzsaw_defsz00(obj_t BgL_envz00_8108,
		obj_t BgL_oz00_8109)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_loadfunz00_bglt) COBJECT(
						((BgL_rtl_loadfunz00_bglt) BgL_oz00_8109)))->BgL_varz00);
		}

	}



/* &<@anonymous:2253> */
	obj_t BGl_z62zc3z04anonymousza32253ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8110,
		obj_t BgL_new1199z00_8111)
	{
		{	/* SawMill/defs.scm 41 */
			{
				BgL_rtl_loadgz00_bglt BgL_auxz00_13828;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadgz00_bglt) BgL_new1199z00_8111))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13832;

					{	/* SawMill/defs.scm 41 */
						obj_t BgL_classz00_9494;

						BgL_classz00_9494 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 41 */
							obj_t BgL__ortest_1113z00_9495;

							BgL__ortest_1113z00_9495 = BGL_CLASS_NIL(BgL_classz00_9494);
							if (CBOOL(BgL__ortest_1113z00_9495))
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13832 =
										((BgL_globalz00_bglt) BgL__ortest_1113z00_9495);
								}
							else
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13832 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9494));
								}
						}
					}
					((((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_new1199z00_8111)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_13832), BUNSPEC);
				}
				BgL_auxz00_13828 = ((BgL_rtl_loadgz00_bglt) BgL_new1199z00_8111);
				return ((obj_t) BgL_auxz00_13828);
			}
		}

	}



/* &lambda2251 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2251z62zzsaw_defsz00(obj_t BgL_envz00_8112)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadgz00_bglt BgL_new1198z00_9496;

				BgL_new1198z00_9496 =
					((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadgz00_bgl))));
				{	/* SawMill/defs.scm 41 */
					long BgL_arg2252z00_9497;

					BgL_arg2252z00_9497 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1198z00_9496), BgL_arg2252z00_9497);
				}
				return BgL_new1198z00_9496;
			}
		}

	}



/* &lambda2249 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2249z62zzsaw_defsz00(obj_t BgL_envz00_8113,
		obj_t BgL_loc1196z00_8114, obj_t BgL_var1197z00_8115)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_loadgz00_bglt BgL_new1490z00_9499;

				{	/* SawMill/defs.scm 41 */
					BgL_rtl_loadgz00_bglt BgL_new1489z00_9500;

					BgL_new1489z00_9500 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.scm 41 */
						long BgL_arg2250z00_9501;

						BgL_arg2250z00_9501 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1489z00_9500), BgL_arg2250z00_9501);
					}
					BgL_new1490z00_9499 = BgL_new1489z00_9500;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1490z00_9499)))->BgL_locz00) =
					((obj_t) BgL_loc1196z00_8114), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1490z00_9499))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1197z00_8115)),
					BUNSPEC);
				return BgL_new1490z00_9499;
			}
		}

	}



/* &lambda2258 */
	obj_t BGl_z62lambda2258z62zzsaw_defsz00(obj_t BgL_envz00_8116,
		obj_t BgL_oz00_8117, obj_t BgL_vz00_8118)
	{
		{	/* SawMill/defs.scm 41 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(
							((BgL_rtl_loadgz00_bglt) BgL_oz00_8117)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_8118)), BUNSPEC);
		}

	}



/* &lambda2257 */
	BgL_globalz00_bglt BGl_z62lambda2257z62zzsaw_defsz00(obj_t BgL_envz00_8119,
		obj_t BgL_oz00_8120)
	{
		{	/* SawMill/defs.scm 41 */
			return
				(((BgL_rtl_loadgz00_bglt) COBJECT(
						((BgL_rtl_loadgz00_bglt) BgL_oz00_8120)))->BgL_varz00);
		}

	}



/* &<@anonymous:2238> */
	obj_t BGl_z62zc3z04anonymousza32238ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8121,
		obj_t BgL_new1194z00_8122)
	{
		{	/* SawMill/defs.scm 40 */
			{
				BgL_rtl_loadiz00_bglt BgL_auxz00_13860;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadiz00_bglt) BgL_new1194z00_8122))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_13864;

					{	/* SawMill/defs.scm 40 */
						obj_t BgL_classz00_9506;

						BgL_classz00_9506 = BGl_atomz00zzast_nodez00;
						{	/* SawMill/defs.scm 40 */
							obj_t BgL__ortest_1113z00_9507;

							BgL__ortest_1113z00_9507 = BGL_CLASS_NIL(BgL_classz00_9506);
							if (CBOOL(BgL__ortest_1113z00_9507))
								{	/* SawMill/defs.scm 40 */
									BgL_auxz00_13864 =
										((BgL_atomz00_bglt) BgL__ortest_1113z00_9507);
								}
							else
								{	/* SawMill/defs.scm 40 */
									BgL_auxz00_13864 =
										((BgL_atomz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9506));
								}
						}
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_new1194z00_8122)))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_13864), BUNSPEC);
				}
				BgL_auxz00_13860 = ((BgL_rtl_loadiz00_bglt) BgL_new1194z00_8122);
				return ((obj_t) BgL_auxz00_13860);
			}
		}

	}



/* &lambda2236 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2236z62zzsaw_defsz00(obj_t BgL_envz00_8123)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_loadiz00_bglt BgL_new1193z00_9508;

				BgL_new1193z00_9508 =
					((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadiz00_bgl))));
				{	/* SawMill/defs.scm 40 */
					long BgL_arg2237z00_9509;

					BgL_arg2237z00_9509 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1193z00_9508), BgL_arg2237z00_9509);
				}
				return BgL_new1193z00_9508;
			}
		}

	}



/* &lambda2234 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2234z62zzsaw_defsz00(obj_t BgL_envz00_8124,
		obj_t BgL_loc1191z00_8125, obj_t BgL_constant1192z00_8126)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_loadiz00_bglt BgL_new1488z00_9511;

				{	/* SawMill/defs.scm 40 */
					BgL_rtl_loadiz00_bglt BgL_new1487z00_9512;

					BgL_new1487z00_9512 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.scm 40 */
						long BgL_arg2235z00_9513;

						BgL_arg2235z00_9513 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_9512), BgL_arg2235z00_9513);
					}
					BgL_new1488z00_9511 = BgL_new1487z00_9512;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1488z00_9511)))->BgL_locz00) =
					((obj_t) BgL_loc1191z00_8125), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1488z00_9511))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_constant1192z00_8126)),
					BUNSPEC);
				return BgL_new1488z00_9511;
			}
		}

	}



/* &lambda2243 */
	obj_t BGl_z62lambda2243z62zzsaw_defsz00(obj_t BgL_envz00_8127,
		obj_t BgL_oz00_8128, obj_t BgL_vz00_8129)
	{
		{	/* SawMill/defs.scm 40 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_oz00_8128)))->BgL_constantz00) =
				((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_vz00_8129)), BUNSPEC);
		}

	}



/* &lambda2242 */
	BgL_atomz00_bglt BGl_z62lambda2242z62zzsaw_defsz00(obj_t BgL_envz00_8130,
		obj_t BgL_oz00_8131)
	{
		{	/* SawMill/defs.scm 40 */
			return
				(((BgL_rtl_loadiz00_bglt) COBJECT(
						((BgL_rtl_loadiz00_bglt) BgL_oz00_8131)))->BgL_constantz00);
		}

	}



/* &<@anonymous:2228> */
	obj_t BGl_z62zc3z04anonymousza32228ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8132,
		obj_t BgL_new1189z00_8133)
	{
		{	/* SawMill/defs.scm 39 */
			{
				BgL_rtl_movz00_bglt BgL_auxz00_13892;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_movz00_bglt) BgL_new1189z00_8133))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13892 = ((BgL_rtl_movz00_bglt) BgL_new1189z00_8133);
				return ((obj_t) BgL_auxz00_13892);
			}
		}

	}



/* &lambda2226 */
	BgL_rtl_movz00_bglt BGl_z62lambda2226z62zzsaw_defsz00(obj_t BgL_envz00_8134)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_movz00_bglt BgL_new1188z00_9518;

				BgL_new1188z00_9518 =
					((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_movz00_bgl))));
				{	/* SawMill/defs.scm 39 */
					long BgL_arg2227z00_9519;

					BgL_arg2227z00_9519 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1188z00_9518), BgL_arg2227z00_9519);
				}
				return BgL_new1188z00_9518;
			}
		}

	}



/* &lambda2224 */
	BgL_rtl_movz00_bglt BGl_z62lambda2224z62zzsaw_defsz00(obj_t BgL_envz00_8135,
		obj_t BgL_loc1187z00_8136)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_movz00_bglt BgL_new1486z00_9520;

				{	/* SawMill/defs.scm 39 */
					BgL_rtl_movz00_bglt BgL_new1485z00_9521;

					BgL_new1485z00_9521 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.scm 39 */
						long BgL_arg2225z00_9522;

						BgL_arg2225z00_9522 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1485z00_9521), BgL_arg2225z00_9522);
					}
					BgL_new1486z00_9520 = BgL_new1485z00_9521;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1486z00_9520)))->BgL_locz00) =
					((obj_t) BgL_loc1187z00_8136), BUNSPEC);
				return BgL_new1486z00_9520;
			}
		}

	}



/* &<@anonymous:2218> */
	obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8137,
		obj_t BgL_new1185z00_8138)
	{
		{	/* SawMill/defs.scm 38 */
			{
				BgL_rtl_nopz00_bglt BgL_auxz00_13908;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_nopz00_bglt) BgL_new1185z00_8138))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13908 = ((BgL_rtl_nopz00_bglt) BgL_new1185z00_8138);
				return ((obj_t) BgL_auxz00_13908);
			}
		}

	}



/* &lambda2216 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2216z62zzsaw_defsz00(obj_t BgL_envz00_8139)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_nopz00_bglt BgL_new1184z00_9524;

				BgL_new1184z00_9524 =
					((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_nopz00_bgl))));
				{	/* SawMill/defs.scm 38 */
					long BgL_arg2217z00_9525;

					BgL_arg2217z00_9525 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1184z00_9524), BgL_arg2217z00_9525);
				}
				return BgL_new1184z00_9524;
			}
		}

	}



/* &lambda2214 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2214z62zzsaw_defsz00(obj_t BgL_envz00_8140,
		obj_t BgL_loc1183z00_8141)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_nopz00_bglt BgL_new1484z00_9526;

				{	/* SawMill/defs.scm 38 */
					BgL_rtl_nopz00_bglt BgL_new1483z00_9527;

					BgL_new1483z00_9527 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.scm 38 */
						long BgL_arg2215z00_9528;

						BgL_arg2215z00_9528 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1483z00_9527), BgL_arg2215z00_9528);
					}
					BgL_new1484z00_9526 = BgL_new1483z00_9527;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1484z00_9526)))->BgL_locz00) =
					((obj_t) BgL_loc1183z00_8141), BUNSPEC);
				return BgL_new1484z00_9526;
			}
		}

	}



/* &<@anonymous:2208> */
	obj_t BGl_z62zc3z04anonymousza32208ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8142,
		obj_t BgL_new1181z00_8143)
	{
		{	/* SawMill/defs.scm 37 */
			{
				BgL_rtl_purez00_bglt BgL_auxz00_13924;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_purez00_bglt) BgL_new1181z00_8143))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13924 = ((BgL_rtl_purez00_bglt) BgL_new1181z00_8143);
				return ((obj_t) BgL_auxz00_13924);
			}
		}

	}



/* &lambda2206 */
	BgL_rtl_purez00_bglt BGl_z62lambda2206z62zzsaw_defsz00(obj_t BgL_envz00_8144)
	{
		{	/* SawMill/defs.scm 37 */
			{	/* SawMill/defs.scm 37 */
				BgL_rtl_purez00_bglt BgL_new1180z00_9530;

				BgL_new1180z00_9530 =
					((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_purez00_bgl))));
				{	/* SawMill/defs.scm 37 */
					long BgL_arg2207z00_9531;

					BgL_arg2207z00_9531 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_9530), BgL_arg2207z00_9531);
				}
				return BgL_new1180z00_9530;
			}
		}

	}



/* &lambda2204 */
	BgL_rtl_purez00_bglt BGl_z62lambda2204z62zzsaw_defsz00(obj_t BgL_envz00_8145,
		obj_t BgL_loc1179z00_8146)
	{
		{	/* SawMill/defs.scm 37 */
			{	/* SawMill/defs.scm 37 */
				BgL_rtl_purez00_bglt BgL_new1482z00_9532;

				{	/* SawMill/defs.scm 37 */
					BgL_rtl_purez00_bglt BgL_new1481z00_9533;

					BgL_new1481z00_9533 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.scm 37 */
						long BgL_arg2205z00_9534;

						BgL_arg2205z00_9534 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1481z00_9533), BgL_arg2205z00_9534);
					}
					BgL_new1482z00_9532 = BgL_new1481z00_9533;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1482z00_9532)))->BgL_locz00) =
					((obj_t) BgL_loc1179z00_8146), BUNSPEC);
				return BgL_new1482z00_9532;
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8147,
		obj_t BgL_new1177z00_8148)
	{
		{	/* SawMill/defs.scm 35 */
			{
				BgL_rtl_goz00_bglt BgL_auxz00_13940;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_goz00_bglt) BgL_new1177z00_8148))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13944;

					{	/* SawMill/defs.scm 35 */
						obj_t BgL_classz00_9536;

						BgL_classz00_9536 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 35 */
							obj_t BgL__ortest_1113z00_9537;

							BgL__ortest_1113z00_9537 = BGL_CLASS_NIL(BgL_classz00_9536);
							if (CBOOL(BgL__ortest_1113z00_9537))
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_13944 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_9537);
								}
							else
								{	/* SawMill/defs.scm 35 */
									BgL_auxz00_13944 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9536));
								}
						}
					}
					((((BgL_rtl_goz00_bglt) COBJECT(
									((BgL_rtl_goz00_bglt) BgL_new1177z00_8148)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13944), BUNSPEC);
				}
				BgL_auxz00_13940 = ((BgL_rtl_goz00_bglt) BgL_new1177z00_8148);
				return ((obj_t) BgL_auxz00_13940);
			}
		}

	}



/* &lambda2191 */
	BgL_rtl_goz00_bglt BGl_z62lambda2191z62zzsaw_defsz00(obj_t BgL_envz00_8149)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_goz00_bglt BgL_new1176z00_9538;

				BgL_new1176z00_9538 =
					((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_goz00_bgl))));
				{	/* SawMill/defs.scm 35 */
					long BgL_arg2192z00_9539;

					BgL_arg2192z00_9539 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1176z00_9538), BgL_arg2192z00_9539);
				}
				return BgL_new1176z00_9538;
			}
		}

	}



/* &lambda2189 */
	BgL_rtl_goz00_bglt BGl_z62lambda2189z62zzsaw_defsz00(obj_t BgL_envz00_8150,
		obj_t BgL_loc1174z00_8151, obj_t BgL_to1175z00_8152)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_goz00_bglt BgL_new1480z00_9541;

				{	/* SawMill/defs.scm 35 */
					BgL_rtl_goz00_bglt BgL_new1479z00_9542;

					BgL_new1479z00_9542 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.scm 35 */
						long BgL_arg2190z00_9543;

						BgL_arg2190z00_9543 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1479z00_9542), BgL_arg2190z00_9543);
					}
					BgL_new1480z00_9541 = BgL_new1479z00_9542;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1480z00_9541)))->BgL_locz00) =
					((obj_t) BgL_loc1174z00_8151), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1480z00_9541))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1175z00_8152)),
					BUNSPEC);
				return BgL_new1480z00_9541;
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzsaw_defsz00(obj_t BgL_envz00_8153,
		obj_t BgL_oz00_8154, obj_t BgL_vz00_8155)
	{
		{	/* SawMill/defs.scm 35 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(
							((BgL_rtl_goz00_bglt) BgL_oz00_8154)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8155)), BUNSPEC);
		}

	}



/* &lambda2197 */
	BgL_blockz00_bglt BGl_z62lambda2197z62zzsaw_defsz00(obj_t BgL_envz00_8156,
		obj_t BgL_oz00_8157)
	{
		{	/* SawMill/defs.scm 35 */
			return
				(((BgL_rtl_goz00_bglt) COBJECT(
						((BgL_rtl_goz00_bglt) BgL_oz00_8157)))->BgL_toz00);
		}

	}



/* &<@anonymous:2177> */
	obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8158,
		obj_t BgL_new1172z00_8159)
	{
		{	/* SawMill/defs.scm 34 */
			{
				BgL_rtl_ifnez00_bglt BgL_auxz00_13972;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifnez00_bglt) BgL_new1172z00_8159))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13976;

					{	/* SawMill/defs.scm 34 */
						obj_t BgL_classz00_9548;

						BgL_classz00_9548 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 34 */
							obj_t BgL__ortest_1113z00_9549;

							BgL__ortest_1113z00_9549 = BGL_CLASS_NIL(BgL_classz00_9548);
							if (CBOOL(BgL__ortest_1113z00_9549))
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_13976 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_9549);
								}
							else
								{	/* SawMill/defs.scm 34 */
									BgL_auxz00_13976 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9548));
								}
						}
					}
					((((BgL_rtl_ifnez00_bglt) COBJECT(
									((BgL_rtl_ifnez00_bglt) BgL_new1172z00_8159)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13976), BUNSPEC);
				}
				BgL_auxz00_13972 = ((BgL_rtl_ifnez00_bglt) BgL_new1172z00_8159);
				return ((obj_t) BgL_auxz00_13972);
			}
		}

	}



/* &lambda2175 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t BgL_envz00_8160)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifnez00_bglt BgL_new1171z00_9550;

				BgL_new1171z00_9550 =
					((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifnez00_bgl))));
				{	/* SawMill/defs.scm 34 */
					long BgL_arg2176z00_9551;

					BgL_arg2176z00_9551 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_9550), BgL_arg2176z00_9551);
				}
				return BgL_new1171z00_9550;
			}
		}

	}



/* &lambda2173 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2173z62zzsaw_defsz00(obj_t BgL_envz00_8161,
		obj_t BgL_loc1169z00_8162, obj_t BgL_then1170z00_8163)
	{
		{	/* SawMill/defs.scm 34 */
			{	/* SawMill/defs.scm 34 */
				BgL_rtl_ifnez00_bglt BgL_new1478z00_9553;

				{	/* SawMill/defs.scm 34 */
					BgL_rtl_ifnez00_bglt BgL_new1477z00_9554;

					BgL_new1477z00_9554 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.scm 34 */
						long BgL_arg2174z00_9555;

						BgL_arg2174z00_9555 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1477z00_9554), BgL_arg2174z00_9555);
					}
					BgL_new1478z00_9553 = BgL_new1477z00_9554;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1478z00_9553)))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_8162), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1478z00_9553))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1170z00_8163)),
					BUNSPEC);
				return BgL_new1478z00_9553;
			}
		}

	}



/* &lambda2182 */
	obj_t BGl_z62lambda2182z62zzsaw_defsz00(obj_t BgL_envz00_8164,
		obj_t BgL_oz00_8165, obj_t BgL_vz00_8166)
	{
		{	/* SawMill/defs.scm 34 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(
							((BgL_rtl_ifnez00_bglt) BgL_oz00_8165)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8166)), BUNSPEC);
		}

	}



/* &lambda2181 */
	BgL_blockz00_bglt BGl_z62lambda2181z62zzsaw_defsz00(obj_t BgL_envz00_8167,
		obj_t BgL_oz00_8168)
	{
		{	/* SawMill/defs.scm 34 */
			return
				(((BgL_rtl_ifnez00_bglt) COBJECT(
						((BgL_rtl_ifnez00_bglt) BgL_oz00_8168)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2162> */
	obj_t BGl_z62zc3z04anonymousza32162ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8169,
		obj_t BgL_new1167z00_8170)
	{
		{	/* SawMill/defs.scm 33 */
			{
				BgL_rtl_ifeqz00_bglt BgL_auxz00_14004;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifeqz00_bglt) BgL_new1167z00_8170))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14008;

					{	/* SawMill/defs.scm 33 */
						obj_t BgL_classz00_9560;

						BgL_classz00_9560 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 33 */
							obj_t BgL__ortest_1113z00_9561;

							BgL__ortest_1113z00_9561 = BGL_CLASS_NIL(BgL_classz00_9560);
							if (CBOOL(BgL__ortest_1113z00_9561))
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14008 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_9561);
								}
							else
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_14008 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9560));
								}
						}
					}
					((((BgL_rtl_ifeqz00_bglt) COBJECT(
									((BgL_rtl_ifeqz00_bglt) BgL_new1167z00_8170)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14008), BUNSPEC);
				}
				BgL_auxz00_14004 = ((BgL_rtl_ifeqz00_bglt) BgL_new1167z00_8170);
				return ((obj_t) BgL_auxz00_14004);
			}
		}

	}



/* &lambda2160 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2160z62zzsaw_defsz00(obj_t BgL_envz00_8171)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_ifeqz00_bglt BgL_new1166z00_9562;

				BgL_new1166z00_9562 =
					((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifeqz00_bgl))));
				{	/* SawMill/defs.scm 33 */
					long BgL_arg2161z00_9563;

					BgL_arg2161z00_9563 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_9562), BgL_arg2161z00_9563);
				}
				return BgL_new1166z00_9562;
			}
		}

	}



/* &lambda2158 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2158z62zzsaw_defsz00(obj_t BgL_envz00_8172,
		obj_t BgL_loc1164z00_8173, obj_t BgL_then1165z00_8174)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_ifeqz00_bglt BgL_new1476z00_9565;

				{	/* SawMill/defs.scm 33 */
					BgL_rtl_ifeqz00_bglt BgL_new1475z00_9566;

					BgL_new1475z00_9566 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.scm 33 */
						long BgL_arg2159z00_9567;

						BgL_arg2159z00_9567 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1475z00_9566), BgL_arg2159z00_9567);
					}
					BgL_new1476z00_9565 = BgL_new1475z00_9566;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1476z00_9565)))->BgL_locz00) =
					((obj_t) BgL_loc1164z00_8173), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1476z00_9565))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1165z00_8174)),
					BUNSPEC);
				return BgL_new1476z00_9565;
			}
		}

	}



/* &lambda2167 */
	obj_t BGl_z62lambda2167z62zzsaw_defsz00(obj_t BgL_envz00_8175,
		obj_t BgL_oz00_8176, obj_t BgL_vz00_8177)
	{
		{	/* SawMill/defs.scm 33 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(
							((BgL_rtl_ifeqz00_bglt) BgL_oz00_8176)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8177)), BUNSPEC);
		}

	}



/* &lambda2166 */
	BgL_blockz00_bglt BGl_z62lambda2166z62zzsaw_defsz00(obj_t BgL_envz00_8178,
		obj_t BgL_oz00_8179)
	{
		{	/* SawMill/defs.scm 33 */
			return
				(((BgL_rtl_ifeqz00_bglt) COBJECT(
						((BgL_rtl_ifeqz00_bglt) BgL_oz00_8179)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2146> */
	obj_t BGl_z62zc3z04anonymousza32146ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8180,
		obj_t BgL_new1162z00_8181)
	{
		{	/* SawMill/defs.scm 32 */
			{
				BgL_rtl_switchz00_bglt BgL_auxz00_14036;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1162z00_8181))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14040;

					{	/* SawMill/defs.scm 32 */
						obj_t BgL_classz00_9572;

						BgL_classz00_9572 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 32 */
							obj_t BgL__ortest_1113z00_9573;

							BgL__ortest_1113z00_9573 = BGL_CLASS_NIL(BgL_classz00_9572);
							if (CBOOL(BgL__ortest_1113z00_9573))
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14040 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9573);
								}
							else
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_14040 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9572));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_new1162z00_8181))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14040), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1162z00_8181))))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
									BgL_new1162z00_8181)))->BgL_labelsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14036 = ((BgL_rtl_switchz00_bglt) BgL_new1162z00_8181);
				return ((obj_t) BgL_auxz00_14036);
			}
		}

	}



/* &lambda2144 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2144z62zzsaw_defsz00(obj_t
		BgL_envz00_8182)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_switchz00_bglt BgL_new1161z00_9574;

				BgL_new1161z00_9574 =
					((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_switchz00_bgl))));
				{	/* SawMill/defs.scm 32 */
					long BgL_arg2145z00_9575;

					BgL_arg2145z00_9575 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1161z00_9574), BgL_arg2145z00_9575);
				}
				return BgL_new1161z00_9574;
			}
		}

	}



/* &lambda2142 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2142z62zzsaw_defsz00(obj_t
		BgL_envz00_8183, obj_t BgL_loc1157z00_8184, obj_t BgL_type1158z00_8185,
		obj_t BgL_patterns1159z00_8186, obj_t BgL_labels1160z00_8187)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_switchz00_bglt BgL_new1474z00_9577;

				{	/* SawMill/defs.scm 32 */
					BgL_rtl_switchz00_bglt BgL_new1473z00_9578;

					BgL_new1473z00_9578 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.scm 32 */
						long BgL_arg2143z00_9579;

						BgL_arg2143z00_9579 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1473z00_9578), BgL_arg2143z00_9579);
					}
					BgL_new1474z00_9577 = BgL_new1473z00_9578;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1474z00_9577)))->BgL_locz00) =
					((obj_t) BgL_loc1157z00_8184), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1474z00_9577)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_8185)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1474z00_9577)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1159z00_8186), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1474z00_9577))->
						BgL_labelsz00) = ((obj_t) BgL_labels1160z00_8187), BUNSPEC);
				return BgL_new1474z00_9577;
			}
		}

	}



/* &lambda2151 */
	obj_t BGl_z62lambda2151z62zzsaw_defsz00(obj_t BgL_envz00_8188,
		obj_t BgL_oz00_8189, obj_t BgL_vz00_8190)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(
							((BgL_rtl_switchz00_bglt) BgL_oz00_8189)))->BgL_labelsz00) =
				((obj_t) BgL_vz00_8190), BUNSPEC);
		}

	}



/* &lambda2150 */
	obj_t BGl_z62lambda2150z62zzsaw_defsz00(obj_t BgL_envz00_8191,
		obj_t BgL_oz00_8192)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_switchz00_bglt) COBJECT(
						((BgL_rtl_switchz00_bglt) BgL_oz00_8192)))->BgL_labelsz00);
		}

	}



/* &<@anonymous:2125> */
	obj_t BGl_z62zc3z04anonymousza32125ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8193,
		obj_t BgL_new1155z00_8194)
	{
		{	/* SawMill/defs.scm 31 */
			{
				BgL_rtl_selectz00_bglt BgL_auxz00_14077;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_selectz00_bglt) BgL_new1155z00_8194))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14081;

					{	/* SawMill/defs.scm 31 */
						obj_t BgL_classz00_9583;

						BgL_classz00_9583 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 31 */
							obj_t BgL__ortest_1113z00_9584;

							BgL__ortest_1113z00_9584 = BGL_CLASS_NIL(BgL_classz00_9583);
							if (CBOOL(BgL__ortest_1113z00_9584))
								{	/* SawMill/defs.scm 31 */
									BgL_auxz00_14081 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9584);
								}
							else
								{	/* SawMill/defs.scm 31 */
									BgL_auxz00_14081 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9583));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt) BgL_new1155z00_8194)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14081), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt) BgL_new1155z00_8194)))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14077 = ((BgL_rtl_selectz00_bglt) BgL_new1155z00_8194);
				return ((obj_t) BgL_auxz00_14077);
			}
		}

	}



/* &lambda2123 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2123z62zzsaw_defsz00(obj_t
		BgL_envz00_8195)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_selectz00_bglt BgL_new1154z00_9585;

				BgL_new1154z00_9585 =
					((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_selectz00_bgl))));
				{	/* SawMill/defs.scm 31 */
					long BgL_arg2124z00_9586;

					BgL_arg2124z00_9586 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1154z00_9585), BgL_arg2124z00_9586);
				}
				return BgL_new1154z00_9585;
			}
		}

	}



/* &lambda2121 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2121z62zzsaw_defsz00(obj_t
		BgL_envz00_8196, obj_t BgL_loc1151z00_8197, obj_t BgL_type1152z00_8198,
		obj_t BgL_patterns1153z00_8199)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_selectz00_bglt BgL_new1472z00_9588;

				{	/* SawMill/defs.scm 31 */
					BgL_rtl_selectz00_bglt BgL_new1471z00_9589;

					BgL_new1471z00_9589 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.scm 31 */
						long BgL_arg2122z00_9590;

						BgL_arg2122z00_9590 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1471z00_9589), BgL_arg2122z00_9590);
					}
					BgL_new1472z00_9588 = BgL_new1471z00_9589;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1472z00_9588)))->BgL_locz00) =
					((obj_t) BgL_loc1151z00_8197), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1472z00_9588))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1152z00_8198)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1472z00_9588))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1153z00_8199), BUNSPEC);
				return BgL_new1472z00_9588;
			}
		}

	}



/* &lambda2135 */
	obj_t BGl_z62lambda2135z62zzsaw_defsz00(obj_t BgL_envz00_8200,
		obj_t BgL_oz00_8201, obj_t BgL_vz00_8202)
	{
		{	/* SawMill/defs.scm 31 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8201)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_8202), BUNSPEC);
		}

	}



/* &lambda2134 */
	obj_t BGl_z62lambda2134z62zzsaw_defsz00(obj_t BgL_envz00_8203,
		obj_t BgL_oz00_8204)
	{
		{	/* SawMill/defs.scm 31 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8204)))->BgL_patternsz00);
		}

	}



/* &lambda2130 */
	obj_t BGl_z62lambda2130z62zzsaw_defsz00(obj_t BgL_envz00_8205,
		obj_t BgL_oz00_8206, obj_t BgL_vz00_8207)
	{
		{	/* SawMill/defs.scm 31 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_8206)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8207)), BUNSPEC);
		}

	}



/* &lambda2129 */
	BgL_typez00_bglt BGl_z62lambda2129z62zzsaw_defsz00(obj_t BgL_envz00_8208,
		obj_t BgL_oz00_8209)
	{
		{	/* SawMill/defs.scm 31 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_8209)))->BgL_typez00);
		}

	}



/* &<@anonymous:2115> */
	obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8210,
		obj_t BgL_new1149z00_8211)
	{
		{	/* SawMill/defs.scm 30 */
			{
				BgL_rtl_ifz00_bglt BgL_auxz00_14116;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifz00_bglt) BgL_new1149z00_8211))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14116 = ((BgL_rtl_ifz00_bglt) BgL_new1149z00_8211);
				return ((obj_t) BgL_auxz00_14116);
			}
		}

	}



/* &lambda2113 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2113z62zzsaw_defsz00(obj_t BgL_envz00_8212)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_ifz00_bglt BgL_new1148z00_9597;

				BgL_new1148z00_9597 =
					((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifz00_bgl))));
				{	/* SawMill/defs.scm 30 */
					long BgL_arg2114z00_9598;

					BgL_arg2114z00_9598 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1148z00_9597), BgL_arg2114z00_9598);
				}
				return BgL_new1148z00_9597;
			}
		}

	}



/* &lambda2111 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2111z62zzsaw_defsz00(obj_t BgL_envz00_8213,
		obj_t BgL_loc1147z00_8214)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_ifz00_bglt BgL_new1470z00_9599;

				{	/* SawMill/defs.scm 30 */
					BgL_rtl_ifz00_bglt BgL_new1469z00_9600;

					BgL_new1469z00_9600 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.scm 30 */
						long BgL_arg2112z00_9601;

						BgL_arg2112z00_9601 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1469z00_9600), BgL_arg2112z00_9601);
					}
					BgL_new1470z00_9599 = BgL_new1469z00_9600;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1470z00_9599)))->BgL_locz00) =
					((obj_t) BgL_loc1147z00_8214), BUNSPEC);
				return BgL_new1470z00_9599;
			}
		}

	}



/* &<@anonymous:2105> */
	obj_t BGl_z62zc3z04anonymousza32105ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8215,
		obj_t BgL_new1145z00_8216)
	{
		{	/* SawMill/defs.scm 29 */
			{
				BgL_rtl_notseqz00_bglt BgL_auxz00_14132;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_notseqz00_bglt) BgL_new1145z00_8216))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14132 = ((BgL_rtl_notseqz00_bglt) BgL_new1145z00_8216);
				return ((obj_t) BgL_auxz00_14132);
			}
		}

	}



/* &lambda2103 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2103z62zzsaw_defsz00(obj_t
		BgL_envz00_8217)
	{
		{	/* SawMill/defs.scm 29 */
			{	/* SawMill/defs.scm 29 */
				BgL_rtl_notseqz00_bglt BgL_new1144z00_9603;

				BgL_new1144z00_9603 =
					((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_notseqz00_bgl))));
				{	/* SawMill/defs.scm 29 */
					long BgL_arg2104z00_9604;

					BgL_arg2104z00_9604 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1144z00_9603), BgL_arg2104z00_9604);
				}
				return BgL_new1144z00_9603;
			}
		}

	}



/* &lambda2101 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2101z62zzsaw_defsz00(obj_t
		BgL_envz00_8218, obj_t BgL_loc1143z00_8219)
	{
		{	/* SawMill/defs.scm 29 */
			{	/* SawMill/defs.scm 29 */
				BgL_rtl_notseqz00_bglt BgL_new1468z00_9605;

				{	/* SawMill/defs.scm 29 */
					BgL_rtl_notseqz00_bglt BgL_new1467z00_9606;

					BgL_new1467z00_9606 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.scm 29 */
						long BgL_arg2102z00_9607;

						BgL_arg2102z00_9607 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1467z00_9606), BgL_arg2102z00_9607);
					}
					BgL_new1468z00_9605 = BgL_new1467z00_9606;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1468z00_9605)))->BgL_locz00) =
					((obj_t) BgL_loc1143z00_8219), BUNSPEC);
				return BgL_new1468z00_9605;
			}
		}

	}



/* &<@anonymous:2088> */
	obj_t BGl_z62zc3z04anonymousza32088ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8220,
		obj_t BgL_new1141z00_8221)
	{
		{	/* SawMill/defs.scm 27 */
			{
				BgL_rtl_retz00_bglt BgL_auxz00_14148;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retz00_bglt) BgL_new1141z00_8221))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_14152;

					{	/* SawMill/defs.scm 27 */
						obj_t BgL_classz00_9609;

						BgL_classz00_9609 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 27 */
							obj_t BgL__ortest_1113z00_9610;

							BgL__ortest_1113z00_9610 = BGL_CLASS_NIL(BgL_classz00_9609);
							if (CBOOL(BgL__ortest_1113z00_9610))
								{	/* SawMill/defs.scm 27 */
									BgL_auxz00_14152 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_9610);
								}
							else
								{	/* SawMill/defs.scm 27 */
									BgL_auxz00_14152 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9609));
								}
						}
					}
					((((BgL_rtl_retz00_bglt) COBJECT(
									((BgL_rtl_retz00_bglt) BgL_new1141z00_8221)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_14152), BUNSPEC);
				}
				BgL_auxz00_14148 = ((BgL_rtl_retz00_bglt) BgL_new1141z00_8221);
				return ((obj_t) BgL_auxz00_14148);
			}
		}

	}



/* &lambda2086 */
	BgL_rtl_retz00_bglt BGl_z62lambda2086z62zzsaw_defsz00(obj_t BgL_envz00_8222)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retz00_bglt BgL_new1140z00_9611;

				BgL_new1140z00_9611 =
					((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retz00_bgl))));
				{	/* SawMill/defs.scm 27 */
					long BgL_arg2087z00_9612;

					BgL_arg2087z00_9612 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1140z00_9611), BgL_arg2087z00_9612);
				}
				return BgL_new1140z00_9611;
			}
		}

	}



/* &lambda2084 */
	BgL_rtl_retz00_bglt BGl_z62lambda2084z62zzsaw_defsz00(obj_t BgL_envz00_8223,
		obj_t BgL_loc1138z00_8224, obj_t BgL_to1139z00_8225)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_retz00_bglt BgL_new1466z00_9614;

				{	/* SawMill/defs.scm 27 */
					BgL_rtl_retz00_bglt BgL_new1465z00_9615;

					BgL_new1465z00_9615 =
						((BgL_rtl_retz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retz00_bgl))));
					{	/* SawMill/defs.scm 27 */
						long BgL_arg2085z00_9616;

						BgL_arg2085z00_9616 = BGL_CLASS_NUM(BGl_rtl_retz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1465z00_9615), BgL_arg2085z00_9616);
					}
					BgL_new1466z00_9614 = BgL_new1465z00_9615;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1466z00_9614)))->BgL_locz00) =
					((obj_t) BgL_loc1138z00_8224), BUNSPEC);
				((((BgL_rtl_retz00_bglt) COBJECT(BgL_new1466z00_9614))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1139z00_8225)),
					BUNSPEC);
				return BgL_new1466z00_9614;
			}
		}

	}



/* &lambda2094 */
	obj_t BGl_z62lambda2094z62zzsaw_defsz00(obj_t BgL_envz00_8226,
		obj_t BgL_oz00_8227, obj_t BgL_vz00_8228)
	{
		{	/* SawMill/defs.scm 27 */
			return
				((((BgL_rtl_retz00_bglt) COBJECT(
							((BgL_rtl_retz00_bglt) BgL_oz00_8227)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_8228)), BUNSPEC);
		}

	}



/* &lambda2093 */
	BgL_blockz00_bglt BGl_z62lambda2093z62zzsaw_defsz00(obj_t BgL_envz00_8229,
		obj_t BgL_oz00_8230)
	{
		{	/* SawMill/defs.scm 27 */
			return
				(((BgL_rtl_retz00_bglt) COBJECT(
						((BgL_rtl_retz00_bglt) BgL_oz00_8230)))->BgL_toz00);
		}

	}



/* &<@anonymous:2078> */
	obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8231,
		obj_t BgL_new1136z00_8232)
	{
		{	/* SawMill/defs.scm 26 */
			{
				BgL_rtl_retblockz00_bglt BgL_auxz00_14180;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_retblockz00_bglt) BgL_new1136z00_8232))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14180 = ((BgL_rtl_retblockz00_bglt) BgL_new1136z00_8232);
				return ((obj_t) BgL_auxz00_14180);
			}
		}

	}



/* &lambda2075 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2075z62zzsaw_defsz00(obj_t
		BgL_envz00_8233)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_retblockz00_bglt BgL_new1135z00_9621;

				BgL_new1135z00_9621 =
					((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_retblockz00_bgl))));
				{	/* SawMill/defs.scm 26 */
					long BgL_arg2077z00_9622;

					BgL_arg2077z00_9622 = BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1135z00_9621), BgL_arg2077z00_9622);
				}
				return BgL_new1135z00_9621;
			}
		}

	}



/* &lambda2073 */
	BgL_rtl_retblockz00_bglt BGl_z62lambda2073z62zzsaw_defsz00(obj_t
		BgL_envz00_8234, obj_t BgL_loc1134z00_8235)
	{
		{	/* SawMill/defs.scm 26 */
			{	/* SawMill/defs.scm 26 */
				BgL_rtl_retblockz00_bglt BgL_new1464z00_9623;

				{	/* SawMill/defs.scm 26 */
					BgL_rtl_retblockz00_bglt BgL_new1463z00_9624;

					BgL_new1463z00_9624 =
						((BgL_rtl_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_retblockz00_bgl))));
					{	/* SawMill/defs.scm 26 */
						long BgL_arg2074z00_9625;

						BgL_arg2074z00_9625 =
							BGL_CLASS_NUM(BGl_rtl_retblockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1463z00_9624), BgL_arg2074z00_9625);
					}
					BgL_new1464z00_9623 = BgL_new1463z00_9624;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1464z00_9623)))->BgL_locz00) =
					((obj_t) BgL_loc1134z00_8235), BUNSPEC);
				return BgL_new1464z00_9623;
			}
		}

	}



/* &<@anonymous:2066> */
	obj_t BGl_z62zc3z04anonymousza32066ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8236,
		obj_t BgL_new1132z00_8237)
	{
		{	/* SawMill/defs.scm 25 */
			{
				BgL_rtl_failz00_bglt BgL_auxz00_14196;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_failz00_bglt) BgL_new1132z00_8237))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14196 = ((BgL_rtl_failz00_bglt) BgL_new1132z00_8237);
				return ((obj_t) BgL_auxz00_14196);
			}
		}

	}



/* &lambda2064 */
	BgL_rtl_failz00_bglt BGl_z62lambda2064z62zzsaw_defsz00(obj_t BgL_envz00_8238)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_failz00_bglt BgL_new1131z00_9627;

				BgL_new1131z00_9627 =
					((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_failz00_bgl))));
				{	/* SawMill/defs.scm 25 */
					long BgL_arg2065z00_9628;

					BgL_arg2065z00_9628 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1131z00_9627), BgL_arg2065z00_9628);
				}
				return BgL_new1131z00_9627;
			}
		}

	}



/* &lambda2062 */
	BgL_rtl_failz00_bglt BGl_z62lambda2062z62zzsaw_defsz00(obj_t BgL_envz00_8239,
		obj_t BgL_loc1130z00_8240)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_failz00_bglt BgL_new1462z00_9629;

				{	/* SawMill/defs.scm 25 */
					BgL_rtl_failz00_bglt BgL_new1461z00_9630;

					BgL_new1461z00_9630 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.scm 25 */
						long BgL_arg2063z00_9631;

						BgL_arg2063z00_9631 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1461z00_9630), BgL_arg2063z00_9631);
					}
					BgL_new1462z00_9629 = BgL_new1461z00_9630;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1462z00_9629)))->BgL_locz00) =
					((obj_t) BgL_loc1130z00_8240), BUNSPEC);
				return BgL_new1462z00_9629;
			}
		}

	}



/* &<@anonymous:2056> */
	obj_t BGl_z62zc3z04anonymousza32056ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8241,
		obj_t BgL_new1128z00_8242)
	{
		{	/* SawMill/defs.scm 24 */
			{
				BgL_rtl_jumpexitz00_bglt BgL_auxz00_14212;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_jumpexitz00_bglt) BgL_new1128z00_8242))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14212 = ((BgL_rtl_jumpexitz00_bglt) BgL_new1128z00_8242);
				return ((obj_t) BgL_auxz00_14212);
			}
		}

	}



/* &lambda2054 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t
		BgL_envz00_8243)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_jumpexitz00_bglt BgL_new1127z00_9633;

				BgL_new1127z00_9633 =
					((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_jumpexitz00_bgl))));
				{	/* SawMill/defs.scm 24 */
					long BgL_arg2055z00_9634;

					BgL_arg2055z00_9634 = BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1127z00_9633), BgL_arg2055z00_9634);
				}
				return BgL_new1127z00_9633;
			}
		}

	}



/* &lambda2052 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2052z62zzsaw_defsz00(obj_t
		BgL_envz00_8244, obj_t BgL_loc1125z00_8245)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_jumpexitz00_bglt BgL_new1460z00_9635;

				{	/* SawMill/defs.scm 24 */
					BgL_rtl_jumpexitz00_bglt BgL_new1459z00_9636;

					BgL_new1459z00_9636 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.scm 24 */
						long BgL_arg2053z00_9637;

						BgL_arg2053z00_9637 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1459z00_9636), BgL_arg2053z00_9637);
					}
					BgL_new1460z00_9635 = BgL_new1459z00_9636;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1460z00_9635)))->BgL_locz00) =
					((obj_t) BgL_loc1125z00_8245), BUNSPEC);
				return BgL_new1460z00_9635;
			}
		}

	}



/* &<@anonymous:2040> */
	obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8246,
		obj_t BgL_new1123z00_8247)
	{
		{	/* SawMill/defs.scm 23 */
			{
				BgL_rtl_returnz00_bglt BgL_auxz00_14228;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_returnz00_bglt) BgL_new1123z00_8247))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14232;

					{	/* SawMill/defs.scm 23 */
						obj_t BgL_classz00_9639;

						BgL_classz00_9639 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 23 */
							obj_t BgL__ortest_1113z00_9640;

							BgL__ortest_1113z00_9640 = BGL_CLASS_NIL(BgL_classz00_9639);
							if (CBOOL(BgL__ortest_1113z00_9640))
								{	/* SawMill/defs.scm 23 */
									BgL_auxz00_14232 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9640);
								}
							else
								{	/* SawMill/defs.scm 23 */
									BgL_auxz00_14232 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9639));
								}
						}
					}
					((((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_new1123z00_8247)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14232), BUNSPEC);
				}
				BgL_auxz00_14228 = ((BgL_rtl_returnz00_bglt) BgL_new1123z00_8247);
				return ((obj_t) BgL_auxz00_14228);
			}
		}

	}



/* &lambda2038 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2038z62zzsaw_defsz00(obj_t
		BgL_envz00_8248)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_returnz00_bglt BgL_new1122z00_9641;

				BgL_new1122z00_9641 =
					((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_returnz00_bgl))));
				{	/* SawMill/defs.scm 23 */
					long BgL_arg2039z00_9642;

					BgL_arg2039z00_9642 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1122z00_9641), BgL_arg2039z00_9642);
				}
				return BgL_new1122z00_9641;
			}
		}

	}



/* &lambda2036 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2036z62zzsaw_defsz00(obj_t
		BgL_envz00_8249, obj_t BgL_loc1120z00_8250, obj_t BgL_type1121z00_8251)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_returnz00_bglt BgL_new1458z00_9644;

				{	/* SawMill/defs.scm 23 */
					BgL_rtl_returnz00_bglt BgL_new1457z00_9645;

					BgL_new1457z00_9645 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.scm 23 */
						long BgL_arg2037z00_9646;

						BgL_arg2037z00_9646 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1457z00_9645), BgL_arg2037z00_9646);
					}
					BgL_new1458z00_9644 = BgL_new1457z00_9645;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1458z00_9644)))->BgL_locz00) =
					((obj_t) BgL_loc1120z00_8250), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1458z00_9644))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1121z00_8251)),
					BUNSPEC);
				return BgL_new1458z00_9644;
			}
		}

	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zzsaw_defsz00(obj_t BgL_envz00_8252,
		obj_t BgL_oz00_8253, obj_t BgL_vz00_8254)
	{
		{	/* SawMill/defs.scm 23 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_oz00_8253)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8254)), BUNSPEC);
		}

	}



/* &lambda2044 */
	BgL_typez00_bglt BGl_z62lambda2044z62zzsaw_defsz00(obj_t BgL_envz00_8255,
		obj_t BgL_oz00_8256)
	{
		{	/* SawMill/defs.scm 23 */
			return
				(((BgL_rtl_returnz00_bglt) COBJECT(
						((BgL_rtl_returnz00_bglt) BgL_oz00_8256)))->BgL_typez00);
		}

	}



/* &<@anonymous:2029> */
	obj_t BGl_z62zc3z04anonymousza32029ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8257,
		obj_t BgL_new1118z00_8258)
	{
		{	/* SawMill/defs.scm 22 */
			{
				BgL_rtl_lastz00_bglt BgL_auxz00_14260;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lastz00_bglt) BgL_new1118z00_8258))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14260 = ((BgL_rtl_lastz00_bglt) BgL_new1118z00_8258);
				return ((obj_t) BgL_auxz00_14260);
			}
		}

	}



/* &lambda2026 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2026z62zzsaw_defsz00(obj_t BgL_envz00_8259)
	{
		{	/* SawMill/defs.scm 22 */
			{	/* SawMill/defs.scm 22 */
				BgL_rtl_lastz00_bglt BgL_new1117z00_9651;

				BgL_new1117z00_9651 =
					((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lastz00_bgl))));
				{	/* SawMill/defs.scm 22 */
					long BgL_arg2028z00_9652;

					BgL_arg2028z00_9652 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1117z00_9651), BgL_arg2028z00_9652);
				}
				return BgL_new1117z00_9651;
			}
		}

	}



/* &lambda2024 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t BgL_envz00_8260,
		obj_t BgL_loc1116z00_8261)
	{
		{	/* SawMill/defs.scm 22 */
			{	/* SawMill/defs.scm 22 */
				BgL_rtl_lastz00_bglt BgL_new1456z00_9653;

				{	/* SawMill/defs.scm 22 */
					BgL_rtl_lastz00_bglt BgL_new1455z00_9654;

					BgL_new1455z00_9654 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.scm 22 */
						long BgL_arg2025z00_9655;

						BgL_arg2025z00_9655 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1455z00_9654), BgL_arg2025z00_9655);
					}
					BgL_new1456z00_9653 = BgL_new1455z00_9654;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1456z00_9653)))->BgL_locz00) =
					((obj_t) BgL_loc1116z00_8261), BUNSPEC);
				return BgL_new1456z00_9653;
			}
		}

	}



/* &<@anonymous:2011> */
	obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8262,
		obj_t BgL_new1114z00_8263)
	{
		{	/* SawMill/defs.scm 20 */
			{
				BgL_rtl_funz00_bglt BgL_auxz00_14276;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1114z00_8263)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14276 = ((BgL_rtl_funz00_bglt) BgL_new1114z00_8263);
				return ((obj_t) BgL_auxz00_14276);
			}
		}

	}



/* &lambda2009 */
	BgL_rtl_funz00_bglt BGl_z62lambda2009z62zzsaw_defsz00(obj_t BgL_envz00_8264)
	{
		{	/* SawMill/defs.scm 20 */
			{	/* SawMill/defs.scm 20 */
				BgL_rtl_funz00_bglt BgL_new1113z00_9657;

				BgL_new1113z00_9657 =
					((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funz00_bgl))));
				{	/* SawMill/defs.scm 20 */
					long BgL_arg2010z00_9658;

					BgL_arg2010z00_9658 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1113z00_9657), BgL_arg2010z00_9658);
				}
				return BgL_new1113z00_9657;
			}
		}

	}



/* &lambda2007 */
	BgL_rtl_funz00_bglt BGl_z62lambda2007z62zzsaw_defsz00(obj_t BgL_envz00_8265,
		obj_t BgL_loc1112z00_8266)
	{
		{	/* SawMill/defs.scm 20 */
			{	/* SawMill/defs.scm 20 */
				BgL_rtl_funz00_bglt BgL_new1454z00_9659;

				{	/* SawMill/defs.scm 20 */
					BgL_rtl_funz00_bglt BgL_new1453z00_9660;

					BgL_new1453z00_9660 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.scm 20 */
						long BgL_arg2008z00_9661;

						BgL_arg2008z00_9661 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1453z00_9660), BgL_arg2008z00_9661);
					}
					BgL_new1454z00_9659 = BgL_new1453z00_9660;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1454z00_9659))->BgL_locz00) =
					((obj_t) BgL_loc1112z00_8266), BUNSPEC);
				return BgL_new1454z00_9659;
			}
		}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8267)
	{
		{	/* SawMill/defs.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zzsaw_defsz00(obj_t BgL_envz00_8268,
		obj_t BgL_oz00_8269, obj_t BgL_vz00_8270)
	{
		{	/* SawMill/defs.scm 20 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_8269)))->BgL_locz00) =
				((obj_t) BgL_vz00_8270), BUNSPEC);
		}

	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zzsaw_defsz00(obj_t BgL_envz00_8271,
		obj_t BgL_oz00_8272)
	{
		{	/* SawMill/defs.scm 20 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_8272)))->BgL_locz00);
		}

	}



/* &<@anonymous:1963> */
	obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8273,
		obj_t BgL_new1110z00_8274)
	{
		{	/* SawMill/defs.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_14295;

				{
					BgL_typez00_bglt BgL_auxz00_14296;

					{	/* SawMill/defs.scm 12 */
						obj_t BgL_classz00_9665;

						BgL_classz00_9665 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 12 */
							obj_t BgL__ortest_1113z00_9666;

							BgL__ortest_1113z00_9666 = BGL_CLASS_NIL(BgL_classz00_9665);
							if (CBOOL(BgL__ortest_1113z00_9666))
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_14296 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_9666);
								}
							else
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_14296 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9665));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_new1110z00_8274)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14296), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1110z00_8274)))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8274)))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8274)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8274)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8274)))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_14295 = ((BgL_rtl_regz00_bglt) BgL_new1110z00_8274);
				return ((obj_t) BgL_auxz00_14295);
			}
		}

	}



/* &lambda1961 */
	BgL_rtl_regz00_bglt BGl_z62lambda1961z62zzsaw_defsz00(obj_t BgL_envz00_8275)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1109z00_9667;

				BgL_new1109z00_9667 =
					((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_regz00_bgl))));
				{	/* SawMill/defs.scm 12 */
					long BgL_arg1962z00_9668;

					BgL_arg1962z00_9668 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_9667), BgL_arg1962z00_9668);
				}
				{	/* SawMill/defs.scm 12 */
					BgL_objectz00_bglt BgL_tmpz00_14321;

					BgL_tmpz00_14321 = ((BgL_objectz00_bglt) BgL_new1109z00_9667);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14321, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1109z00_9667);
				return BgL_new1109z00_9667;
			}
		}

	}



/* &lambda1959 */
	BgL_rtl_regz00_bglt BGl_z62lambda1959z62zzsaw_defsz00(obj_t BgL_envz00_8276,
		obj_t BgL_type1103z00_8277, obj_t BgL_var1104z00_8278,
		obj_t BgL_onexprzf31105zf3_8279, obj_t BgL_name1106z00_8280,
		obj_t BgL_key1107z00_8281, obj_t BgL_hardware1108z00_8282)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1452z00_9670;

				{	/* SawMill/defs.scm 12 */
					BgL_rtl_regz00_bglt BgL_new1451z00_9671;

					BgL_new1451z00_9671 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.scm 12 */
						long BgL_arg1960z00_9672;

						BgL_arg1960z00_9672 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1451z00_9671), BgL_arg1960z00_9672);
					}
					{	/* SawMill/defs.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_14329;

						BgL_tmpz00_14329 = ((BgL_objectz00_bglt) BgL_new1451z00_9671);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14329, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1451z00_9671);
					BgL_new1452z00_9670 = BgL_new1451z00_9671;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_8277)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->BgL_varz00) =
					((obj_t) BgL_var1104z00_8278), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31105zf3_8279), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->BgL_namez00) =
					((obj_t) BgL_name1106z00_8280), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->BgL_keyz00) =
					((obj_t) BgL_key1107z00_8281), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1452z00_9670))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1108z00_8282), BUNSPEC);
				return BgL_new1452z00_9670;
			}
		}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8283)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zzsaw_defsz00(obj_t BgL_envz00_8284,
		obj_t BgL_oz00_8285, obj_t BgL_vz00_8286)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8285)))->BgL_hardwarez00) =
				((obj_t) BgL_vz00_8286), BUNSPEC);
		}

	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zzsaw_defsz00(obj_t BgL_envz00_8287,
		obj_t BgL_oz00_8288)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8288)))->BgL_hardwarez00);
		}

	}



/* &<@anonymous:1994> */
	obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8289)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 17 */

				{	/* SawMill/defs.scm 17 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zzsaw_defsz00(obj_t BgL_envz00_8290,
		obj_t BgL_oz00_8291, obj_t BgL_vz00_8292)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8291)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8292), BUNSPEC);
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zzsaw_defsz00(obj_t BgL_envz00_8293,
		obj_t BgL_oz00_8294)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8294)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1987> */
	obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8295)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 16 */

				{	/* SawMill/defs.scm 16 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zzsaw_defsz00(obj_t BgL_envz00_8296,
		obj_t BgL_oz00_8297, obj_t BgL_vz00_8298)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8297)))->BgL_namez00) =
				((obj_t) BgL_vz00_8298), BUNSPEC);
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzsaw_defsz00(obj_t BgL_envz00_8299,
		obj_t BgL_oz00_8300)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8300)))->BgL_namez00);
		}

	}



/* &<@anonymous:1980> */
	obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8301)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zzsaw_defsz00(obj_t BgL_envz00_8302,
		obj_t BgL_oz00_8303, obj_t BgL_vz00_8304)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8303)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_8304), BUNSPEC);
		}

	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zzsaw_defsz00(obj_t BgL_envz00_8305,
		obj_t BgL_oz00_8306)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8306)))->BgL_onexprzf3zf3);
		}

	}



/* &lambda1973 */
	obj_t BGl_z62lambda1973z62zzsaw_defsz00(obj_t BgL_envz00_8307,
		obj_t BgL_oz00_8308, obj_t BgL_vz00_8309)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8308)))->BgL_varz00) =
				((obj_t) BgL_vz00_8309), BUNSPEC);
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzsaw_defsz00(obj_t BgL_envz00_8310,
		obj_t BgL_oz00_8311)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8311)))->BgL_varz00);
		}

	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zzsaw_defsz00(obj_t BgL_envz00_8312,
		obj_t BgL_oz00_8313, obj_t BgL_vz00_8314)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8313)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8314)), BUNSPEC);
		}

	}



/* &lambda1967 */
	BgL_typez00_bglt BGl_z62lambda1967z62zzsaw_defsz00(obj_t BgL_envz00_8315,
		obj_t BgL_oz00_8316)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8316)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_proc3366z00zzsaw_defsz00, BFALSE, BGl_string3367z00zzsaw_defsz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_proc3368z00zzsaw_defsz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string3369z00zzsaw_defsz00);
		}

	}



/* &dump-fun1788 */
	obj_t BGl_z62dumpzd2fun1788zb0zzsaw_defsz00(obj_t BgL_envz00_8319,
		obj_t BgL_oz00_8320, obj_t BgL_destz00_8321, obj_t BgL_argsz00_8322,
		obj_t BgL_pz00_8323, obj_t BgL_mz00_8324)
	{
		{	/* SawMill/defs.scm 310 */
			return BUNSPEC;
		}

	}



/* &dump1780 */
	obj_t BGl_z62dump1780z62zzsaw_defsz00(obj_t BgL_envz00_8325,
		obj_t BgL_oz00_8326, obj_t BgL_pz00_8327, obj_t BgL_mz00_8328)
	{
		{	/* SawMill/defs.scm 189 */
			{	/* SawMill/defs.scm 191 */
				int BgL_mz00_9688;

				BgL_mz00_9688 = CINT(BgL_mz00_8328);
				{	/* SawMill/defs.scm 191 */
					bool_t BgL_test4352z00_14372;

					if (STRINGP(BgL_oz00_8326))
						{	/* SawMill/defs.scm 191 */
							BgL_test4352z00_14372 = ((bool_t) 1);
						}
					else
						{	/* SawMill/defs.scm 191 */
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_oz00_8326))
								{	/* SawMill/defs.scm 191 */
									BgL_test4352z00_14372 = ((bool_t) 1);
								}
							else
								{	/* SawMill/defs.scm 191 */
									BgL_test4352z00_14372 = SYMBOLP(BgL_oz00_8326);
								}
						}
					if (BgL_test4352z00_14372)
						{	/* SawMill/defs.scm 191 */
							return bgl_display_obj(BgL_oz00_8326, ((obj_t) BgL_pz00_8327));
						}
					else
						{	/* SawMill/defs.scm 191 */
							if (PAIRP(BgL_oz00_8326))
								{
									obj_t BgL_l1658z00_9690;

									{	/* SawMill/defs.scm 194 */
										bool_t BgL_tmpz00_14382;

										BgL_l1658z00_9690 = BgL_oz00_8326;
									BgL_zc3z04anonymousza32807ze3z87_9689:
										if (PAIRP(BgL_l1658z00_9690))
											{	/* SawMill/defs.scm 194 */
												{	/* SawMill/defs.scm 195 */
													obj_t BgL_oz00_9691;

													BgL_oz00_9691 = CAR(BgL_l1658z00_9690);
													BGl_dumpz00zzsaw_defsz00(BgL_oz00_9691,
														((obj_t) BgL_pz00_8327), BgL_mz00_9688);
													{	/* SawMill/defs.scm 196 */
														obj_t BgL_tmpz00_14388;

														BgL_tmpz00_14388 = ((obj_t) BgL_pz00_8327);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_14388);
													}
													if (((long) (BgL_mz00_9688) > ((long) 0)))
														{	/* SawMill/defs.scm 197 */
															BGl_dumpzd2marginzd2zzsaw_defsz00(
																((obj_t) BgL_pz00_8327), BgL_mz00_9688);
														}
													else
														{	/* SawMill/defs.scm 199 */
															obj_t BgL_tmpz00_14396;

															BgL_tmpz00_14396 = ((obj_t) BgL_pz00_8327);
															bgl_display_char(((unsigned char) 10),
																BgL_tmpz00_14396);
												}}
												{
													obj_t BgL_l1658z00_14399;

													BgL_l1658z00_14399 = CDR(BgL_l1658z00_9690);
													BgL_l1658z00_9690 = BgL_l1658z00_14399;
													goto BgL_zc3z04anonymousza32807ze3z87_9689;
												}
											}
										else
											{	/* SawMill/defs.scm 194 */
												BgL_tmpz00_14382 = ((bool_t) 1);
											}
										return BBOOL(BgL_tmpz00_14382);
									}
								}
							else
								{	/* SawMill/defs.scm 202 */
									obj_t BgL_list2811z00_9692;

									BgL_list2811z00_9692 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_pz00_8327), BNIL);
									return
										BGl_writez00zz__r4_output_6_10_3z00(BgL_oz00_8326,
										BgL_list2811z00_9692);
								}
						}
				}
			}
		}

	}



/* dump */
	BGL_EXPORTED_DEF obj_t BGl_dumpz00zzsaw_defsz00(obj_t BgL_oz00_452,
		obj_t BgL_pz00_453, int BgL_mz00_454)
	{
		{	/* SawMill/defs.scm 189 */
			if (BGL_OBJECTP(BgL_oz00_452))
				{	/* SawMill/defs.scm 189 */
					obj_t BgL_method1781z00_3696;

					{	/* SawMill/defs.scm 189 */
						obj_t BgL_res3089z00_6549;

						{	/* SawMill/defs.scm 189 */
							long BgL_objzd2classzd2numz00_6520;

							BgL_objzd2classzd2numz00_6520 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_452));
							{	/* SawMill/defs.scm 189 */
								obj_t BgL_arg1825z00_6521;

								BgL_arg1825z00_6521 =
									PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00,
									(int) (((long) 1)));
								{	/* SawMill/defs.scm 189 */
									int BgL_offsetz00_6524;

									BgL_offsetz00_6524 = (int) (BgL_objzd2classzd2numz00_6520);
									{	/* SawMill/defs.scm 189 */
										long BgL_offsetz00_6525;

										BgL_offsetz00_6525 =
											((long) (BgL_offsetz00_6524) - OBJECT_TYPE);
										{	/* SawMill/defs.scm 189 */
											long BgL_modz00_6526;

											BgL_modz00_6526 =
												(BgL_offsetz00_6525 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/defs.scm 189 */
												long BgL_restz00_6528;

												BgL_restz00_6528 =
													(BgL_offsetz00_6525 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/defs.scm 189 */

													{	/* SawMill/defs.scm 189 */
														obj_t BgL_bucketz00_6530;

														BgL_bucketz00_6530 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_6521), BgL_modz00_6526);
														BgL_res3089z00_6549 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6530), BgL_restz00_6528);
						}}}}}}}}
						BgL_method1781z00_3696 = BgL_res3089z00_6549;
					}
					return
						((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1781z00_3696)) (BgL_method1781z00_3696,
						BgL_oz00_452, BgL_pz00_453, BINT(BgL_mz00_454), BEOA);
				}
			else
				{	/* SawMill/defs.scm 189 */
					obj_t BgL_fun2816z00_3697;

					BgL_fun2816z00_3697 =
						PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (((long) 0)));
					return
						((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun2816z00_3697)) (BgL_fun2816z00_3697,
						BgL_oz00_452, BgL_pz00_453, BINT(BgL_mz00_454), BEOA);
				}
		}

	}



/* &dump */
	obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t BgL_envz00_8329, obj_t BgL_oz00_8330,
		obj_t BgL_pz00_8331, obj_t BgL_mz00_8332)
	{
		{	/* SawMill/defs.scm 189 */
			return
				BGl_dumpz00zzsaw_defsz00(BgL_oz00_8330, BgL_pz00_8331,
				CINT(BgL_mz00_8332));
		}

	}



/* dump-fun */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_475, obj_t BgL_destz00_476, obj_t BgL_argsz00_477,
		obj_t BgL_pz00_478, obj_t BgL_mz00_479)
	{
		{	/* SawMill/defs.scm 310 */
			{	/* SawMill/defs.scm 310 */
				obj_t BgL_method1790z00_3698;

				{	/* SawMill/defs.scm 310 */
					obj_t BgL_res3095z00_6581;

					{	/* SawMill/defs.scm 310 */
						long BgL_objzd2classzd2numz00_6552;

						BgL_objzd2classzd2numz00_6552 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_475));
						{	/* SawMill/defs.scm 310 */
							obj_t BgL_arg1825z00_6553;

							BgL_arg1825z00_6553 =
								PROCEDURE_REF(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
								(int) (((long) 1)));
							{	/* SawMill/defs.scm 310 */
								int BgL_offsetz00_6556;

								BgL_offsetz00_6556 = (int) (BgL_objzd2classzd2numz00_6552);
								{	/* SawMill/defs.scm 310 */
									long BgL_offsetz00_6557;

									BgL_offsetz00_6557 =
										((long) (BgL_offsetz00_6556) - OBJECT_TYPE);
									{	/* SawMill/defs.scm 310 */
										long BgL_modz00_6558;

										BgL_modz00_6558 =
											(BgL_offsetz00_6557 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/defs.scm 310 */
											long BgL_restz00_6560;

											BgL_restz00_6560 =
												(BgL_offsetz00_6557 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/defs.scm 310 */

												{	/* SawMill/defs.scm 310 */
													obj_t BgL_bucketz00_6562;

													BgL_bucketz00_6562 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_6553), BgL_modz00_6558);
													BgL_res3095z00_6581 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6562), BgL_restz00_6560);
					}}}}}}}}
					BgL_method1790z00_3698 = BgL_res3095z00_6581;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1790z00_3698)) (BgL_method1790z00_3698,
					((obj_t) BgL_oz00_475), BgL_destz00_476, BgL_argsz00_477,
					BgL_pz00_478, BgL_mz00_479, BEOA);
			}
		}

	}



/* &dump-fun */
	obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t BgL_envz00_8333,
		obj_t BgL_oz00_8334, obj_t BgL_destz00_8335, obj_t BgL_argsz00_8336,
		obj_t BgL_pz00_8337, obj_t BgL_mz00_8338)
	{
		{	/* SawMill/defs.scm 310 */
			return
				BGl_dumpzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8334), BgL_destz00_8335,
				BgL_argsz00_8336, BgL_pz00_8337, BgL_mz00_8338);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3370z00zzsaw_defsz00, BGl_string3371z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3372z00zzsaw_defsz00, BGl_string3371z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3373z00zzsaw_defsz00, BGl_string3374z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3375z00zzsaw_defsz00, BGl_string3374z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3376z00zzsaw_defsz00, BGl_string3374z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_proc3377z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc3379z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc3380z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc3381z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc3382z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3383z00zzsaw_defsz00,
				BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_switchz00zzsaw_defsz00,
				BGl_proc3384z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc3385z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc3386z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc3387z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc3388z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc3389z00zzsaw_defsz00, BGl_string3378z00zzsaw_defsz00);
		}

	}



/* &dump-fun-rtl_pragma1814 */
	obj_t BGl_z62dumpzd2funzd2rtl_pragma1814z62zzsaw_defsz00(obj_t
		BgL_envz00_8357, obj_t BgL_oz00_8358, obj_t BgL_destz00_8359,
		obj_t BgL_argsz00_8360, obj_t BgL_pz00_8361, obj_t BgL_mz00_8362)
	{
		{	/* SawMill/defs.scm 428 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_pragmaz00_bglt) BgL_oz00_8358)), BgL_destz00_8359,
				BgL_pz00_8361);
			{	/* SawMill/defs.scm 430 */
				obj_t BgL_tmpz00_14506;

				BgL_tmpz00_14506 = ((obj_t) BgL_pz00_8361);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14506);
			}
			bgl_display_obj(
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_8358)))->BgL_formatz00),
				BgL_pz00_8361);
			{	/* SawMill/defs.scm 432 */
				obj_t BgL_tmpz00_14512;

				BgL_tmpz00_14512 = ((obj_t) BgL_pz00_8361);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14512);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8360, BgL_pz00_8361));
		}

	}



/* &dump-fun-rtl_call1812 */
	obj_t BGl_z62dumpzd2funzd2rtl_call1812z62zzsaw_defsz00(obj_t BgL_envz00_8363,
		obj_t BgL_oz00_8364, obj_t BgL_destz00_8365, obj_t BgL_argsz00_8366,
		obj_t BgL_pz00_8367, obj_t BgL_mz00_8368)
	{
		{	/* SawMill/defs.scm 408 */
			{	/* SawMill/defs.scm 410 */
				obj_t BgL_arg2945z00_9695;

				{	/* SawMill/defs.scm 410 */
					obj_t BgL_ouz00_9696;
					obj_t BgL_oaz00_9697;

					BgL_ouz00_9696 = BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
					BgL_oaz00_9697 = BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
					BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					{	/* SawMill/defs.scm 414 */
						obj_t BgL_rz00_9698;

						{	/* SawMill/defs.scm 414 */
							BgL_globalz00_bglt BgL_arg2946z00_9699;

							BgL_arg2946z00_9699 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_oz00_8364)))->BgL_varz00);
							BgL_rz00_9698 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2946z00_9699));
						}
						BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BgL_ouz00_9696;
						BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BgL_oaz00_9697;
						BgL_arg2945z00_9695 = BgL_rz00_9698;
					}
				}
				bgl_display_obj(BgL_arg2945z00_9695, BgL_pz00_8367);
			}
			{	/* SawMill/defs.scm 419 */
				bool_t BgL_test4359z00_14522;

				if (CBOOL(BgL_destz00_8365))
					{	/* SawMill/defs.scm 419 */
						BgL_test4359z00_14522 = CBOOL(BGl_debugzd2sawzd2zzsaw_defsz00);
					}
				else
					{	/* SawMill/defs.scm 419 */
						BgL_test4359z00_14522 = ((bool_t) 0);
					}
				if (BgL_test4359z00_14522)
					{	/* SawMill/defs.scm 419 */
						{	/* SawMill/defs.scm 420 */
							obj_t BgL_tmpz00_14526;

							BgL_tmpz00_14526 = ((obj_t) BgL_pz00_8367);
							bgl_display_string(BGl_string3105z00zzsaw_defsz00,
								BgL_tmpz00_14526);
						}
						BGl_dumpz00zzsaw_defsz00(BgL_destz00_8365, BgL_pz00_8367,
							(int) (((long) 0)));
						{	/* SawMill/defs.scm 422 */
							obj_t BgL_tmpz00_14531;

							BgL_tmpz00_14531 = ((obj_t) BgL_pz00_8367);
							bgl_display_string(BGl_string3106z00zzsaw_defsz00,
								BgL_tmpz00_14531);
					}}
				else
					{	/* SawMill/defs.scm 419 */
						BFALSE;
					}
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8366, BgL_pz00_8367));
		}

	}



/* &dump-fun-rtl_go1810 */
	obj_t BGl_z62dumpzd2funzd2rtl_go1810z62zzsaw_defsz00(obj_t BgL_envz00_8369,
		obj_t BgL_oz00_8370, obj_t BgL_destz00_8371, obj_t BgL_argsz00_8372,
		obj_t BgL_pz00_8373, obj_t BgL_mz00_8374)
	{
		{	/* SawMill/defs.scm 398 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_goz00_bglt) BgL_oz00_8370)), BgL_destz00_8371,
				BgL_pz00_8373);
			{	/* SawMill/defs.scm 401 */
				obj_t BgL_tmpz00_14539;

				BgL_tmpz00_14539 = ((obj_t) BgL_pz00_8373);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14539);
			}
			{	/* SawMill/defs.scm 402 */
				int BgL_arg2940z00_9701;

				BgL_arg2940z00_9701 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_oz00_8370)))->BgL_toz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2940z00_9701), BgL_pz00_8373);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8372, BgL_pz00_8373));
		}

	}



/* &dump-fun-rtl_ifne1808 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifne1808z62zzsaw_defsz00(obj_t BgL_envz00_8375,
		obj_t BgL_oz00_8376, obj_t BgL_destz00_8377, obj_t BgL_argsz00_8378,
		obj_t BgL_pz00_8379, obj_t BgL_mz00_8380)
	{
		{	/* SawMill/defs.scm 387 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifnez00_bglt) BgL_oz00_8376)), BgL_destz00_8377,
				BgL_pz00_8379);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8378, BgL_pz00_8379);
			{	/* SawMill/defs.scm 391 */
				obj_t BgL_tmpz00_14553;

				BgL_tmpz00_14553 = ((obj_t) BgL_pz00_8379);
				bgl_display_string(BGl_string3390z00zzsaw_defsz00, BgL_tmpz00_14553);
			}
			{	/* SawMill/defs.scm 392 */
				int BgL_arg2938z00_9703;

				BgL_arg2938z00_9703 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_oz00_8376)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2938z00_9703), BgL_pz00_8379);
			}
			{	/* SawMill/defs.scm 393 */
				obj_t BgL_tmpz00_14561;

				BgL_tmpz00_14561 = ((obj_t) BgL_pz00_8379);
				return
					bgl_display_string(BGl_string3104z00zzsaw_defsz00, BgL_tmpz00_14561);
			}
		}

	}



/* &dump-fun-rtl_ifeq1806 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifeq1806z62zzsaw_defsz00(obj_t BgL_envz00_8381,
		obj_t BgL_oz00_8382, obj_t BgL_destz00_8383, obj_t BgL_argsz00_8384,
		obj_t BgL_pz00_8385, obj_t BgL_mz00_8386)
	{
		{	/* SawMill/defs.scm 376 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifeqz00_bglt) BgL_oz00_8382)), BgL_destz00_8383,
				BgL_pz00_8385);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8384, BgL_pz00_8385);
			{	/* SawMill/defs.scm 380 */
				obj_t BgL_tmpz00_14568;

				BgL_tmpz00_14568 = ((obj_t) BgL_pz00_8385);
				bgl_display_string(BGl_string3390z00zzsaw_defsz00, BgL_tmpz00_14568);
			}
			{	/* SawMill/defs.scm 381 */
				int BgL_arg2936z00_9705;

				BgL_arg2936z00_9705 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_oz00_8382)))->BgL_thenz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2936z00_9705), BgL_pz00_8385);
			}
			{	/* SawMill/defs.scm 382 */
				obj_t BgL_tmpz00_14576;

				BgL_tmpz00_14576 = ((obj_t) BgL_pz00_8385);
				return
					bgl_display_string(BGl_string3104z00zzsaw_defsz00, BgL_tmpz00_14576);
			}
		}

	}



/* &dump-fun-rtl_switch1804 */
	obj_t BGl_z62dumpzd2funzd2rtl_switch1804z62zzsaw_defsz00(obj_t
		BgL_envz00_8387, obj_t BgL_oz00_8388, obj_t BgL_destz00_8389,
		obj_t BgL_argsz00_8390, obj_t BgL_pz00_8391, obj_t BgL_mz00_8392)
	{
		{	/* SawMill/defs.scm 366 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_switchz00_bglt) BgL_oz00_8388)), BgL_destz00_8389,
				BgL_pz00_8391);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8390, BgL_pz00_8391);
			{	/* SawMill/defs.scm 370 */
				obj_t BgL_tmpz00_14583;

				BgL_tmpz00_14583 = ((obj_t) BgL_pz00_8391);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14583);
			}
			{	/* SawMill/defs.scm 371 */
				obj_t BgL_arg2913z00_9707;

				{	/* SawMill/defs.scm 371 */
					obj_t BgL_l1678z00_9708;

					BgL_l1678z00_9708 =
						(((BgL_rtl_switchz00_bglt) COBJECT(
								((BgL_rtl_switchz00_bglt) BgL_oz00_8388)))->BgL_labelsz00);
					if (NULLP(BgL_l1678z00_9708))
						{	/* SawMill/defs.scm 371 */
							BgL_arg2913z00_9707 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 371 */
							obj_t BgL_head1680z00_9709;

							{	/* SawMill/defs.scm 371 */
								int BgL_arg2934z00_9710;

								BgL_arg2934z00_9710 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(((obj_t) BgL_l1678z00_9708)))))->BgL_labelz00);
								BgL_head1680z00_9709 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2934z00_9710), BNIL);
							}
							{	/* SawMill/defs.scm 371 */
								obj_t BgL_g1683z00_9711;

								BgL_g1683z00_9711 = CDR(((obj_t) BgL_l1678z00_9708));
								{
									obj_t BgL_l1678z00_9713;
									obj_t BgL_tail1681z00_9714;

									BgL_l1678z00_9713 = BgL_g1683z00_9711;
									BgL_tail1681z00_9714 = BgL_head1680z00_9709;
								BgL_zc3z04anonymousza32915ze3z87_9712:
									if (NULLP(BgL_l1678z00_9713))
										{	/* SawMill/defs.scm 371 */
											BgL_arg2913z00_9707 = BgL_head1680z00_9709;
										}
									else
										{	/* SawMill/defs.scm 371 */
											obj_t BgL_newtail1682z00_9715;

											{	/* SawMill/defs.scm 371 */
												int BgL_arg2924z00_9716;

												BgL_arg2924z00_9716 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1678z00_9713)))))->
													BgL_labelz00);
												BgL_newtail1682z00_9715 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2924z00_9716), BNIL);
											}
											SET_CDR(BgL_tail1681z00_9714, BgL_newtail1682z00_9715);
											{	/* SawMill/defs.scm 371 */
												obj_t BgL_arg2918z00_9717;

												BgL_arg2918z00_9717 = CDR(((obj_t) BgL_l1678z00_9713));
												{
													obj_t BgL_tail1681z00_14610;
													obj_t BgL_l1678z00_14609;

													BgL_l1678z00_14609 = BgL_arg2918z00_9717;
													BgL_tail1681z00_14610 = BgL_newtail1682z00_9715;
													BgL_tail1681z00_9714 = BgL_tail1681z00_14610;
													BgL_l1678z00_9713 = BgL_l1678z00_14609;
													goto BgL_zc3z04anonymousza32915ze3z87_9712;
												}
											}
										}
								}
							}
						}
				}
				return bgl_display_obj(BgL_arg2913z00_9707, BgL_pz00_8391);
			}
		}

	}



/* &dump-fun-rtl_globalr1802 */
	obj_t BGl_z62dumpzd2funzd2rtl_globalr1802z62zzsaw_defsz00(obj_t
		BgL_envz00_8393, obj_t BgL_oz00_8394, obj_t BgL_destz00_8395,
		obj_t BgL_argsz00_8396, obj_t BgL_pz00_8397, obj_t BgL_mz00_8398)
	{
		{	/* SawMill/defs.scm 357 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_globalrefz00_bglt) BgL_oz00_8394)), BgL_destz00_8395,
				BgL_pz00_8397);
			{	/* SawMill/defs.scm 359 */
				obj_t BgL_tmpz00_14615;

				BgL_tmpz00_14615 = ((obj_t) BgL_pz00_8397);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14615);
			}
			{	/* SawMill/defs.scm 360 */
				obj_t BgL_arg2911z00_9719;

				{	/* SawMill/defs.scm 360 */
					BgL_globalz00_bglt BgL_arg2912z00_9720;

					BgL_arg2912z00_9720 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_8394)))->BgL_varz00);
					BgL_arg2911z00_9719 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2912z00_9720));
				}
				bgl_display_obj(BgL_arg2911z00_9719, BgL_pz00_8397);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8396, BgL_pz00_8397));
		}

	}



/* &dump-fun-rtl_loadfun1800 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadfun1800z62zzsaw_defsz00(obj_t
		BgL_envz00_8399, obj_t BgL_oz00_8400, obj_t BgL_destz00_8401,
		obj_t BgL_argsz00_8402, obj_t BgL_pz00_8403, obj_t BgL_mz00_8404)
	{
		{	/* SawMill/defs.scm 348 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadfunz00_bglt) BgL_oz00_8400)), BgL_destz00_8401,
				BgL_pz00_8403);
			{	/* SawMill/defs.scm 350 */
				obj_t BgL_tmpz00_14628;

				BgL_tmpz00_14628 = ((obj_t) BgL_pz00_8403);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14628);
			}
			{	/* SawMill/defs.scm 351 */
				obj_t BgL_arg2909z00_9722;

				{	/* SawMill/defs.scm 351 */
					BgL_globalz00_bglt BgL_arg2910z00_9723;

					BgL_arg2910z00_9723 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_8400)))->BgL_varz00);
					BgL_arg2909z00_9722 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2910z00_9723));
				}
				bgl_display_obj(BgL_arg2909z00_9722, BgL_pz00_8403);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8402, BgL_pz00_8403));
		}

	}



/* &dump-fun-rtl_loadg1798 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadg1798z62zzsaw_defsz00(obj_t BgL_envz00_8405,
		obj_t BgL_oz00_8406, obj_t BgL_destz00_8407, obj_t BgL_argsz00_8408,
		obj_t BgL_pz00_8409, obj_t BgL_mz00_8410)
	{
		{	/* SawMill/defs.scm 339 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadgz00_bglt) BgL_oz00_8406)), BgL_destz00_8407,
				BgL_pz00_8409);
			{	/* SawMill/defs.scm 341 */
				obj_t BgL_tmpz00_14641;

				BgL_tmpz00_14641 = ((obj_t) BgL_pz00_8409);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14641);
			}
			{	/* SawMill/defs.scm 342 */
				obj_t BgL_arg2904z00_9725;

				{	/* SawMill/defs.scm 342 */
					BgL_globalz00_bglt BgL_arg2908z00_9726;

					BgL_arg2908z00_9726 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_oz00_8406)))->BgL_varz00);
					BgL_arg2904z00_9725 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2908z00_9726));
				}
				bgl_display_obj(BgL_arg2904z00_9725, BgL_pz00_8409);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8408, BgL_pz00_8409));
		}

	}



/* &dump-fun-rtl_mov1796 */
	obj_t BGl_z62dumpzd2funzd2rtl_mov1796z62zzsaw_defsz00(obj_t BgL_envz00_8411,
		obj_t BgL_oz00_8412, obj_t BgL_destz00_8413, obj_t BgL_argsz00_8414,
		obj_t BgL_pz00_8415, obj_t BgL_mz00_8416)
	{
		{	/* SawMill/defs.scm 332 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_movz00_bglt) BgL_oz00_8412)), BgL_destz00_8413,
				BgL_pz00_8415);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8414,
					BgL_pz00_8415));
		}

	}



/* &dump-fun-rtl_loadi1794 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadi1794z62zzsaw_defsz00(obj_t BgL_envz00_8417,
		obj_t BgL_oz00_8418, obj_t BgL_destz00_8419, obj_t BgL_argsz00_8420,
		obj_t BgL_pz00_8421, obj_t BgL_mz00_8422)
	{
		{	/* SawMill/defs.scm 323 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadiz00_bglt) BgL_oz00_8418)), BgL_destz00_8419,
				BgL_pz00_8421);
			{	/* SawMill/defs.scm 325 */
				obj_t BgL_tmpz00_14659;

				BgL_tmpz00_14659 = ((obj_t) BgL_pz00_8421);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14659);
			}
			bgl_display_obj(
				(((BgL_atomz00_bglt) COBJECT(
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_oz00_8418)))->
								BgL_constantz00)))->BgL_valuez00), BgL_pz00_8421);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8420,
					BgL_pz00_8421));
		}

	}



/* &dump-fun-rtl_fun1792 */
	obj_t BGl_z62dumpzd2funzd2rtl_fun1792z62zzsaw_defsz00(obj_t BgL_envz00_8423,
		obj_t BgL_oz00_8424, obj_t BgL_destz00_8425, obj_t BgL_argsz00_8426,
		obj_t BgL_pz00_8427, obj_t BgL_mz00_8428)
	{
		{	/* SawMill/defs.scm 316 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8424), BgL_destz00_8425, BgL_pz00_8427);
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8426, BgL_pz00_8427));
		}

	}



/* &dump-rtl_reg1787 */
	obj_t BGl_z62dumpzd2rtl_reg1787zb0zzsaw_defsz00(obj_t BgL_envz00_8429,
		obj_t BgL_oz00_8430, obj_t BgL_pz00_8431, obj_t BgL_mz00_8432)
	{
		{	/* SawMill/defs.scm 290 */
			{	/* SawMill/defs.scm 291 */
				obj_t BgL_arg2893z00_9731;

				BgL_arg2893z00_9731 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_rtl_regz00_bglt) BgL_oz00_8430)));
				bgl_display_obj(BgL_arg2893z00_9731, BgL_pz00_8431);
			}
			if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
				{	/* SawMill/defs.scm 292 */
					{	/* SawMill/defs.scm 293 */
						obj_t BgL_tmpz00_14678;

						BgL_tmpz00_14678 = ((obj_t) BgL_pz00_8431);
						bgl_display_string(BGl_string3391z00zzsaw_defsz00,
							BgL_tmpz00_14678);
					}
					{	/* SawMill/defs.scm 294 */
						obj_t BgL_arg2894z00_9732;

						{	/* SawMill/defs.scm 294 */
							BgL_typez00_bglt BgL_arg2895z00_9733;

							BgL_arg2895z00_9733 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8430)))->BgL_typez00);
							BgL_arg2894z00_9732 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2895z00_9733));
						}
						return bgl_display_obj(BgL_arg2894z00_9732, BgL_pz00_8431);
					}
				}
			else
				{	/* SawMill/defs.scm 292 */
					return BFALSE;
				}
		}

	}



/* &dump-rtl_ins1785 */
	obj_t BGl_z62dumpzd2rtl_ins1785zb0zzsaw_defsz00(obj_t BgL_envz00_8433,
		obj_t BgL_oz00_8434, obj_t BgL_pz00_8435, obj_t BgL_mz00_8436)
	{
		{	/* SawMill/defs.scm 258 */
			{	/* SawMill/defs.scm 260 */
				obj_t BgL_tmpz00_14686;

				BgL_tmpz00_14686 = ((obj_t) BgL_pz00_8435);
				bgl_display_string(BGl_string3392z00zzsaw_defsz00, BgL_tmpz00_14686);
			}
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8434)))->BgL_destz00)))
				{	/* SawMill/defs.scm 261 */
					{	/* SawMill/defs.scm 262 */
						obj_t BgL_tmpz00_14693;

						BgL_tmpz00_14693 = ((obj_t) BgL_pz00_8435);
						bgl_display_string(BGl_string3103z00zzsaw_defsz00,
							BgL_tmpz00_14693);
					}
					BGl_dumpz00zzsaw_defsz00(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_8434)))->BgL_destz00),
						BgL_pz00_8435, CINT(BgL_mz00_8436));
					{	/* SawMill/defs.scm 264 */
						obj_t BgL_tmpz00_14700;

						BgL_tmpz00_14700 = ((obj_t) BgL_pz00_8435);
						bgl_display_string(BGl_string3393z00zzsaw_defsz00,
							BgL_tmpz00_14700);
					}
				}
			else
				{	/* SawMill/defs.scm 261 */
					BFALSE;
				}
			BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_8434), BgL_pz00_8435, BgL_mz00_8436);
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8434)))->BgL_destz00)))
				{	/* SawMill/defs.scm 267 */
					obj_t BgL_tmpz00_14709;

					BgL_tmpz00_14709 = ((obj_t) BgL_pz00_8435);
					bgl_display_string(BGl_string3104z00zzsaw_defsz00, BgL_tmpz00_14709);
				}
			else
				{	/* SawMill/defs.scm 266 */
					BFALSE;
				}
			{	/* SawMill/defs.scm 268 */
				obj_t BgL_tmpz00_14712;

				BgL_tmpz00_14712 = ((obj_t) BgL_pz00_8435);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14712);
			}
			{	/* SawMill/defs.scm 269 */
				obj_t BgL_tmpz00_14715;

				BgL_tmpz00_14715 = ((obj_t) BgL_pz00_8435);
				bgl_display_string(BGl_string3394z00zzsaw_defsz00, BgL_tmpz00_14715);
			}
			if (NULLP(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8434)))->BgL_z52spillz52)))
				{	/* SawMill/defs.scm 270 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/defs.scm 271 */
					obj_t BgL_g1677z00_9735;

					BgL_g1677z00_9735 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8434)))->BgL_z52spillz52);
					{
						obj_t BgL_l1675z00_9737;

						BgL_l1675z00_9737 = BgL_g1677z00_9735;
					BgL_zc3z04anonymousza32886ze3z87_9736:
						if (PAIRP(BgL_l1675z00_9737))
							{	/* SawMill/defs.scm 271 */
								{	/* SawMill/defs.scm 272 */
									obj_t BgL_rz00_9738;

									BgL_rz00_9738 = CAR(BgL_l1675z00_9737);
									bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_rz00_9738),
										BgL_pz00_8435);
									{	/* SawMill/defs.scm 273 */
										obj_t BgL_tmpz00_14729;

										BgL_tmpz00_14729 = ((obj_t) BgL_pz00_8435);
										bgl_display_string(BGl_string3100z00zzsaw_defsz00,
											BgL_tmpz00_14729);
									}
								}
								{
									obj_t BgL_l1675z00_14732;

									BgL_l1675z00_14732 = CDR(BgL_l1675z00_9737);
									BgL_l1675z00_9737 = BgL_l1675z00_14732;
									goto BgL_zc3z04anonymousza32886ze3z87_9736;
								}
							}
						else
							{	/* SawMill/defs.scm 271 */
								((bool_t) 1);
							}
					}
				}
			{	/* SawMill/defs.scm 275 */
				obj_t BgL_tmpz00_14734;

				BgL_tmpz00_14734 = ((obj_t) BgL_pz00_8435);
				bgl_display_string(BGl_string3104z00zzsaw_defsz00, BgL_tmpz00_14734);
			}
			{	/* SawMill/defs.scm 276 */
				obj_t BgL_tmpz00_14737;

				BgL_tmpz00_14737 = ((obj_t) BgL_pz00_8435);
				return
					bgl_display_string(BGl_string3395z00zzsaw_defsz00, BgL_tmpz00_14737);
			}
		}

	}



/* &dump-block1783 */
	obj_t BGl_z62dumpzd2block1783zb0zzsaw_defsz00(obj_t BgL_envz00_8437,
		obj_t BgL_oz00_8438, obj_t BgL_pz00_8439, obj_t BgL_mz00_8440)
	{
		{	/* SawMill/defs.scm 243 */
			{	/* SawMill/defs.scm 245 */
				obj_t BgL_tmpz00_14740;

				BgL_tmpz00_14740 = ((obj_t) BgL_pz00_8439);
				bgl_display_string(BGl_string3103z00zzsaw_defsz00, BgL_tmpz00_14740);
			}
			{	/* SawMill/defs.scm 245 */
				obj_t BgL_arg2843z00_9740;

				BgL_arg2843z00_9740 =
					bgl_typeof(((obj_t) ((BgL_blockz00_bglt) BgL_oz00_8438)));
				bgl_display_obj(BgL_arg2843z00_9740, BgL_pz00_8439);
			}
			{	/* SawMill/defs.scm 245 */
				obj_t BgL_tmpz00_14747;

				BgL_tmpz00_14747 = ((obj_t) BgL_pz00_8439);
				bgl_display_string(BGl_string3100z00zzsaw_defsz00, BgL_tmpz00_14747);
			}
			{	/* SawMill/defs.scm 245 */
				int BgL_arg2845z00_9741;

				BgL_arg2845z00_9741 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8438)))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2845z00_9741), BgL_pz00_8439);
			}
			{	/* SawMill/defs.scm 245 */
				obj_t BgL_tmpz00_14754;

				BgL_tmpz00_14754 = ((obj_t) BgL_pz00_8439);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14754);
			}
			{	/* SawMill/defs.scm 247 */
				long BgL_arg2849z00_9742;

				BgL_arg2849z00_9742 = ((long) CINT(BgL_mz00_8440) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8439,
					(int) (BgL_arg2849z00_9742));
			}
			{	/* SawMill/defs.scm 248 */
				obj_t BgL_tmpz00_14761;

				BgL_tmpz00_14761 = ((obj_t) BgL_pz00_8439);
				bgl_display_string(BGl_string3396z00zzsaw_defsz00, BgL_tmpz00_14761);
			}
			{	/* SawMill/defs.scm 248 */
				obj_t BgL_arg2850z00_9743;

				{	/* SawMill/defs.scm 248 */
					obj_t BgL_l1661z00_9744;

					BgL_l1661z00_9744 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8438)))->BgL_predsz00);
					if (NULLP(BgL_l1661z00_9744))
						{	/* SawMill/defs.scm 248 */
							BgL_arg2850z00_9743 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 248 */
							obj_t BgL_head1663z00_9745;

							{	/* SawMill/defs.scm 248 */
								int BgL_arg2857z00_9746;

								BgL_arg2857z00_9746 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1661z00_9744))))->BgL_labelz00);
								BgL_head1663z00_9745 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2857z00_9746), BNIL);
							}
							{	/* SawMill/defs.scm 248 */
								obj_t BgL_g1666z00_9747;

								BgL_g1666z00_9747 = CDR(BgL_l1661z00_9744);
								{
									obj_t BgL_l1661z00_9749;
									obj_t BgL_tail1664z00_9750;

									BgL_l1661z00_9749 = BgL_g1666z00_9747;
									BgL_tail1664z00_9750 = BgL_head1663z00_9745;
								BgL_zc3z04anonymousza32852ze3z87_9748:
									if (NULLP(BgL_l1661z00_9749))
										{	/* SawMill/defs.scm 248 */
											BgL_arg2850z00_9743 = BgL_head1663z00_9745;
										}
									else
										{	/* SawMill/defs.scm 248 */
											obj_t BgL_newtail1665z00_9751;

											{	/* SawMill/defs.scm 248 */
												int BgL_arg2855z00_9752;

												BgL_arg2855z00_9752 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1661z00_9749)))))->
													BgL_labelz00);
												BgL_newtail1665z00_9751 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2855z00_9752), BNIL);
											}
											SET_CDR(BgL_tail1664z00_9750, BgL_newtail1665z00_9751);
											{	/* SawMill/defs.scm 248 */
												obj_t BgL_arg2854z00_9753;

												BgL_arg2854z00_9753 = CDR(((obj_t) BgL_l1661z00_9749));
												{
													obj_t BgL_tail1664z00_14786;
													obj_t BgL_l1661z00_14785;

													BgL_l1661z00_14785 = BgL_arg2854z00_9753;
													BgL_tail1664z00_14786 = BgL_newtail1665z00_9751;
													BgL_tail1664z00_9750 = BgL_tail1664z00_14786;
													BgL_l1661z00_9749 = BgL_l1661z00_14785;
													goto BgL_zc3z04anonymousza32852ze3z87_9748;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2850z00_9743, BgL_pz00_8439);
			}
			{	/* SawMill/defs.scm 248 */
				obj_t BgL_tmpz00_14788;

				BgL_tmpz00_14788 = ((obj_t) BgL_pz00_8439);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14788);
			}
			{	/* SawMill/defs.scm 249 */
				long BgL_arg2862z00_9754;

				BgL_arg2862z00_9754 = ((long) CINT(BgL_mz00_8440) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8439,
					(int) (BgL_arg2862z00_9754));
			}
			{	/* SawMill/defs.scm 250 */
				obj_t BgL_tmpz00_14795;

				BgL_tmpz00_14795 = ((obj_t) BgL_pz00_8439);
				bgl_display_string(BGl_string3397z00zzsaw_defsz00, BgL_tmpz00_14795);
			}
			{	/* SawMill/defs.scm 250 */
				obj_t BgL_arg2863z00_9755;

				{	/* SawMill/defs.scm 250 */
					obj_t BgL_l1668z00_9756;

					BgL_l1668z00_9756 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8438)))->BgL_succsz00);
					if (NULLP(BgL_l1668z00_9756))
						{	/* SawMill/defs.scm 250 */
							BgL_arg2863z00_9755 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 250 */
							obj_t BgL_head1670z00_9757;

							{	/* SawMill/defs.scm 250 */
								int BgL_arg2873z00_9758;

								BgL_arg2873z00_9758 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1668z00_9756))))->BgL_labelz00);
								BgL_head1670z00_9757 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2873z00_9758), BNIL);
							}
							{	/* SawMill/defs.scm 250 */
								obj_t BgL_g1673z00_9759;

								BgL_g1673z00_9759 = CDR(BgL_l1668z00_9756);
								{
									obj_t BgL_l1668z00_9761;
									obj_t BgL_tail1671z00_9762;

									BgL_l1668z00_9761 = BgL_g1673z00_9759;
									BgL_tail1671z00_9762 = BgL_head1670z00_9757;
								BgL_zc3z04anonymousza32865ze3z87_9760:
									if (NULLP(BgL_l1668z00_9761))
										{	/* SawMill/defs.scm 250 */
											BgL_arg2863z00_9755 = BgL_head1670z00_9757;
										}
									else
										{	/* SawMill/defs.scm 250 */
											obj_t BgL_newtail1672z00_9763;

											{	/* SawMill/defs.scm 250 */
												int BgL_arg2868z00_9764;

												BgL_arg2868z00_9764 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1668z00_9761)))))->
													BgL_labelz00);
												BgL_newtail1672z00_9763 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2868z00_9764), BNIL);
											}
											SET_CDR(BgL_tail1671z00_9762, BgL_newtail1672z00_9763);
											{	/* SawMill/defs.scm 250 */
												obj_t BgL_arg2867z00_9765;

												BgL_arg2867z00_9765 = CDR(((obj_t) BgL_l1668z00_9761));
												{
													obj_t BgL_tail1671z00_14820;
													obj_t BgL_l1668z00_14819;

													BgL_l1668z00_14819 = BgL_arg2867z00_9765;
													BgL_tail1671z00_14820 = BgL_newtail1672z00_9763;
													BgL_tail1671z00_9762 = BgL_tail1671z00_14820;
													BgL_l1668z00_9761 = BgL_l1668z00_14819;
													goto BgL_zc3z04anonymousza32865ze3z87_9760;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2863z00_9755, BgL_pz00_8439);
			}
			{	/* SawMill/defs.scm 250 */
				obj_t BgL_tmpz00_14822;

				BgL_tmpz00_14822 = ((obj_t) BgL_pz00_8439);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14822);
			}
			{	/* SawMill/defs.scm 251 */
				long BgL_arg2875z00_9766;

				BgL_arg2875z00_9766 = ((long) CINT(BgL_mz00_8440) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8439,
					(int) (BgL_arg2875z00_9766));
			}
			{	/* SawMill/defs.scm 252 */
				obj_t BgL_arg2876z00_9767;
				long BgL_arg2877z00_9768;

				BgL_arg2876z00_9767 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8438)))->BgL_firstz00);
				BgL_arg2877z00_9768 = ((long) CINT(BgL_mz00_8440) + ((long) 1));
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2876z00_9767, BgL_pz00_8439,
					(int) (BgL_arg2877z00_9768));
			}
			{	/* SawMill/defs.scm 253 */
				obj_t BgL_tmpz00_14835;

				BgL_tmpz00_14835 = ((obj_t) BgL_pz00_8439);
				return
					bgl_display_string(BGl_string3398z00zzsaw_defsz00, BgL_tmpz00_14835);
			}
		}

	}



/* &shape-rtl_reg1779 */
	obj_t BGl_z62shapezd2rtl_reg1779zb0zzsaw_defsz00(obj_t BgL_envz00_8441,
		obj_t BgL_oz00_8442)
	{
		{	/* SawMill/defs.scm 130 */
			{	/* SawMill/defs.scm 131 */
				obj_t BgL_pz00_9770;

				{	/* SawMill/defs.scm 131 */

					{	/* SawMill/defs.scm 131 */

						BgL_pz00_9770 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->BgL_onexprzf3zf3)))
					{	/* SawMill/defs.scm 134 */
						bgl_display_string(BGl_string3399z00zzsaw_defsz00, BgL_pz00_9770);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->BgL_namez00),
							BgL_pz00_9770);
					}
				else
					{	/* SawMill/defs.scm 134 */
						if (CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->
									BgL_hardwarez00)))
							{	/* SawMill/defs.scm 137 */
								bgl_display_string(BGl_string3400z00zzsaw_defsz00,
									BgL_pz00_9770);
								bgl_display_obj((((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->
										BgL_hardwarez00), BgL_pz00_9770);
							}
						else
							{	/* SawMill/defs.scm 137 */
								if (CBOOL(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->BgL_varz00)))
									{	/* SawMill/defs.scm 141 */
										obj_t BgL_arg2827z00_9771;

										BgL_arg2827z00_9771 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														(((BgL_rtl_regz00_bglt) COBJECT(
																	((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->
															BgL_varz00))))->BgL_idz00);
										bgl_display_obj(BgL_arg2827z00_9771, BgL_pz00_9770);
									}
								else
									{	/* SawMill/defs.scm 140 */
										bgl_display_string(BGl_string3401z00zzsaw_defsz00,
											BgL_pz00_9770);
										bgl_display_obj((((BgL_rtl_regz00_bglt)
													COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->
												BgL_namez00), BgL_pz00_9770);
									}
							}
					}
				if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 145 */
						bgl_display_string(BGl_string3391z00zzsaw_defsz00, BgL_pz00_9770);
						bgl_display_obj(
							(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->
											BgL_typez00)))->BgL_idz00), BgL_pz00_9770);
					}
				else
					{	/* SawMill/defs.scm 145 */
						BFALSE;
					}
				if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 148 */
						bgl_display_string(BGl_string3402z00zzsaw_defsz00, BgL_pz00_9770);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8442)))->BgL_keyz00),
							BgL_pz00_9770);
					}
				else
					{	/* SawMill/defs.scm 148 */
						BFALSE;
					}
				return bgl_close_output_port(BgL_pz00_9770);
			}
		}

	}



/* &shape-rtl_ins1777 */
	obj_t BGl_z62shapezd2rtl_ins1777zb0zzsaw_defsz00(obj_t BgL_envz00_8443,
		obj_t BgL_iz00_8444)
	{
		{	/* SawMill/defs.scm 122 */
			{	/* SawMill/defs.scm 125 */
				obj_t BgL_zc3z04anonymousza32818ze3z87_9773;

				BgL_zc3z04anonymousza32818ze3z87_9773 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32818ze3z87_9773,
					(int) (((long) 0)), ((obj_t) ((BgL_rtl_insz00_bglt) BgL_iz00_8444)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32818ze3z87_9773);
			}
		}

	}



/* &<@anonymous:2818> */
	obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8445,
		obj_t BgL_opz00_8447)
	{
		{	/* SawMill/defs.scm 124 */
			{	/* SawMill/defs.scm 125 */
				BgL_rtl_insz00_bglt BgL_iz00_8446;

				BgL_iz00_8446 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_8445, (int) (((long) 0))));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_iz00_8446), BgL_opz00_8447, (int) (((long) 0)));
		}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00(void)
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string3403z00zzsaw_defsz00));
		}

	}

#ifdef __cplusplus
}
#endif
