/*===========================================================================*/
/*   (SawMill/expr.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/expr.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_iregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_iregz00_bglt;

	typedef struct BgL_pregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_pregz00_bglt;

	typedef struct BgL_inlinedz00_bgl
	{
	}                 *BgL_inlinedz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_setfield1610zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2getfza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_pregz00zzsaw_exprz00 = BUNSPEC;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	static bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_feffectz00_bglt BGl_za2fullza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_apply1612zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1960z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1963z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2loadgza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_boxset1606zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_exprz00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t BGl_z62lambda1970z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1975z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_boxref1604zb0zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1983z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_exprz00(void);
	static BgL_rtl_regz00_bglt BGl_z62lambda1986z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1989z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2vrefza2z00zzsaw_exprz00;
	static BgL_feffectz00_bglt BGl_za2storegza2z00zzsaw_exprz00;
	static obj_t BGl_z62effectszd2rtl_call1622zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_exprz00(void);
	static BgL_feffectz00_bglt BGl_za2noeffectza2z00zzsaw_exprz00;
	static obj_t BGl_z62lambda1996z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1997z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62effectszd2rtl_protect1620zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62usefulz62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2boxrefza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_inlinedz00zzsaw_exprz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_exprz00(void);
	static obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_iregz00zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt);
	static obj_t BGl_z62effectszd2rtl_pragma1618zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2prefza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2009z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2012z62zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static BgL_rtl_insz00_bglt BGl_z62lambda2015z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_loadg1596zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2setfza2z00zzsaw_exprz00;
	static obj_t BGl_xxz00zzsaw_exprz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static obj_t BGl_z62effectszd2rtl_storeg1598zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_vset1602zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_funcall1616zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static long BGl_za2countza2z00zzsaw_exprz00;
	static obj_t BGl_z62effectszd2rtl_vref1600zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_exprz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00(void);
	static obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static BgL_feffectz00_bglt BGl_za2vsetza2z00zzsaw_exprz00;
	static obj_t BGl_z62effects1593z62zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_getfield1608zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_za2boxsetza2z00zzsaw_exprz00;
	static bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62effectszd2rtl_lightfun1614zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt);
	static BgL_feffectz00_bglt BGl_za2psetza2z00zzsaw_exprz00;
	static obj_t BGl_z62acceptzd2foldingzf31591z43zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[28];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzsaw_exprz00,
		BgL_bgl_za762usefulza762za7za7sa2200z00, BGl_z62usefulz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzsaw_exprz00,
		BgL_bgl_za762lambda1971za7622201z00, BGl_z62lambda1971z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzsaw_exprz00,
		BgL_bgl_za762lambda1970za7622202z00, BGl_z62lambda1970z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzsaw_exprz00,
		BgL_bgl_za762lambda1976za7622203z00, BGl_z62lambda1976z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzsaw_exprz00,
		BgL_bgl_za762lambda1975za7622204z00, BGl_z62lambda1975z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzsaw_exprz00,
		BgL_bgl_za762lambda1963za7622205z00, BGl_z62lambda1963z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2206za7,
		BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_exprz00,
		BgL_bgl_za762lambda1960za7622207z00, BGl_z62lambda1960z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_exprz00,
		BgL_bgl_za762lambda1957za7622208z00, BGl_z62lambda1957z62zzsaw_exprz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_exprz00,
		BgL_bgl_za762lambda1997za7622209z00, BGl_z62lambda1997z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_exprz00,
		BgL_bgl_za762lambda1996za7622210z00, BGl_z62lambda1996z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_exprz00,
		BgL_bgl_za762lambda2002za7622211z00, BGl_z62lambda2002z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_exprz00,
		BgL_bgl_za762lambda2001za7622212z00, BGl_z62lambda2001z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2179z00zzsaw_exprz00,
		BgL_bgl_string2179za700za7za7s2213za7, "accept-folding?1591", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_exprz00,
		BgL_bgl_za762lambda1989za7622214z00, BGl_z62lambda1989z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2215za7,
		BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_exprz00,
		BgL_bgl_za762lambda1986za7622216z00, BGl_z62lambda1986z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_exprz00,
		BgL_bgl_za762lambda1983za7622217z00, BGl_z62lambda1983z62zzsaw_exprz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_exprz00,
		BgL_bgl_za762lambda2015za7622218z00, BGl_z62lambda2015z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2181z00zzsaw_exprz00,
		BgL_bgl_string2181za700za7za7s2219za7, "effects1593", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2220za7,
		BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_exprz00,
		BgL_bgl_za762lambda2012za7622221z00, BGl_z62lambda2012z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2183z00zzsaw_exprz00,
		BgL_bgl_string2183za700za7za7s2222za7, "effects", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzsaw_exprz00,
		BgL_bgl_za762lambda2009za7622223z00, BGl_z62lambda2009z62zzsaw_exprz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2224z00,
		BGl_z62acceptzd2foldingzf31591z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_exprz00,
		BgL_bgl_za762effects1593za762225z00, BGl_z62effects1593z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2226z00,
		BGl_z62effectszd2rtl_loadg1596zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2227z00,
		BGl_z62effectszd2rtl_storeg1598zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2228z00,
		BGl_z62effectszd2rtl_vref1600zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2229z00,
		BGl_z62effectszd2rtl_vset1602zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2230z00,
		BGl_z62effectszd2rtl_boxref1604zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2231z00,
		BGl_z62effectszd2rtl_boxset1606zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2232z00,
		BGl_z62effectszd2rtl_getfield1608zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2197z00zzsaw_exprz00,
		BgL_bgl_string2197za700za7za7s2233za7, "saw_expr", 8);
	      DEFINE_STRING(BGl_string2198z00zzsaw_exprz00,
		BgL_bgl_string2198za700za7za7s2234za7,
		"inlined preg saw_expr ireg status obj index (print (global-id var) \" has no effect\") ko ok written readen reset c-write-char c-current-output-port (output-port) $tvector-descr-set! procedure-set! procedure-ref make-fx-procedure foreign $cons (procedure) top (field) (box) (vector) (memory) ",
		290);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2235z00,
		BGl_z62effectszd2rtl_setfield1610zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2236z00,
		BGl_z62effectszd2rtl_apply1612zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2237z00,
		BGl_z62effectszd2rtl_lightfun1614zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2238z00,
		BGl_z62effectszd2rtl_funcall1616zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2239z00,
		BGl_z62effectszd2rtl_pragma1618zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2240z00,
		BGl_z62effectszd2rtl_protect1620zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2241z00,
		BGl_z62effectszd2rtl_call1622zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2buildzd2treezd2envzd2zzsaw_exprz00,
		BgL_bgl_za762preza7d2buildza7d2242za7,
		BGl_z62prezd2buildzd2treez62zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2243z00,
		BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2treezd2envz00zzsaw_exprz00,
		BgL_bgl_za762buildza7d2treeza72244za7, BGl_z62buildzd2treezb0zzsaw_exprz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_effectszd2envzd2zzsaw_exprz00,
		BgL_bgl_za762effectsza762za7za7s2245z00, BGl_z62effectsz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2getfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_pregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2fullza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2loadgza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2storegza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2noeffectza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_inlinedz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_iregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2prefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2setfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2psetza2z00zzsaw_exprz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long
		BgL_checksumz00_4138, char *BgL_fromz00_4139)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_exprz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_exprz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_exprz00();
					BGl_cnstzd2initzd2zzsaw_exprz00();
					BGl_importedzd2moduleszd2initz00zzsaw_exprz00();
					BGl_objectzd2initzd2zzsaw_exprz00();
					BGl_genericzd2initzd2zzsaw_exprz00();
					BGl_methodzd2initzd2zzsaw_exprz00();
					return BGl_toplevelzd2initzd2zzsaw_exprz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_expr");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 1 */
				obj_t BgL_cportz00_4007;

				{	/* SawMill/expr.scm 1 */
					obj_t BgL_stringz00_4014;

					BgL_stringz00_4014 = BGl_string2198z00zzsaw_exprz00;
					{	/* SawMill/expr.scm 1 */
						obj_t BgL_startz00_4015;

						BgL_startz00_4015 = BINT(((long) 0));
						{	/* SawMill/expr.scm 1 */
							obj_t BgL_endz00_4016;

							BgL_endz00_4016 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4014)));
							{	/* SawMill/expr.scm 1 */

								BgL_cportz00_4007 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4014, BgL_startz00_4015, BgL_endz00_4016);
				}}}}
				{
					long BgL_iz00_4008;

					BgL_iz00_4008 = ((long) 27);
				BgL_loopz00_4009:
					if ((BgL_iz00_4008 == ((long) -1)))
						{	/* SawMill/expr.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/expr.scm 1 */
							{	/* SawMill/expr.scm 1 */
								obj_t BgL_arg2199z00_4010;

								{	/* SawMill/expr.scm 1 */

									{	/* SawMill/expr.scm 1 */
										obj_t BgL_locationz00_4012;

										BgL_locationz00_4012 = BBOOL(((bool_t) 0));
										{	/* SawMill/expr.scm 1 */

											BgL_arg2199z00_4010 =
												BGl_readz00zz__readerz00(BgL_cportz00_4007,
												BgL_locationz00_4012);
										}
									}
								}
								{	/* SawMill/expr.scm 1 */
									int BgL_tmpz00_4171;

									BgL_tmpz00_4171 = (int) (BgL_iz00_4008);
									CNST_TABLE_SET(BgL_tmpz00_4171, BgL_arg2199z00_4010);
							}}
							{	/* SawMill/expr.scm 1 */
								int BgL_auxz00_4013;

								BgL_auxz00_4013 = (int) ((BgL_iz00_4008 - ((long) 1)));
								{
									long BgL_iz00_4176;

									BgL_iz00_4176 = (long) (BgL_auxz00_4013);
									BgL_iz00_4008 = BgL_iz00_4176;
									goto BgL_loopz00_4009;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_za2countza2z00zzsaw_exprz00 = ((long) 0);
			{	/* SawMill/expr.scm 218 */
				BgL_feffectz00_bglt BgL_new1227z00_1995;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1226z00_1996;

					BgL_new1226z00_1996 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1625z00_1997;

						BgL_arg1625z00_1997 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_1996), BgL_arg1625z00_1997);
					}
					BgL_new1227z00_1995 = BgL_new1226z00_1996;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1227z00_1995))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1227z00_1995))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2noeffectza2z00zzsaw_exprz00 = BgL_new1227z00_1995;
			}
			{	/* SawMill/expr.scm 219 */
				BgL_feffectz00_bglt BgL_new1229z00_1998;

				{	/* SawMill/expr.scm 219 */
					BgL_feffectz00_bglt BgL_new1228z00_1999;

					BgL_new1228z00_1999 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 219 */
						long BgL_arg1629z00_2000;

						BgL_arg1629z00_2000 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_1999), BgL_arg1629z00_2000);
					}
					BgL_new1229z00_1998 = BgL_new1228z00_1999;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1229z00_1998))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1229z00_1998))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2loadgza2z00zzsaw_exprz00 = BgL_new1229z00_1998;
			}
			{	/* SawMill/expr.scm 220 */
				BgL_feffectz00_bglt BgL_new1231z00_2001;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1230z00_2002;

					BgL_new1230z00_2002 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1630z00_2003;

						BgL_arg1630z00_2003 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_2002), BgL_arg1630z00_2003);
					}
					BgL_new1231z00_2001 = BgL_new1230z00_2002;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1231z00_2001))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1231z00_2001))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				BGl_za2storegza2z00zzsaw_exprz00 = BgL_new1231z00_2001;
			}
			{	/* SawMill/expr.scm 221 */
				BgL_feffectz00_bglt BgL_new1234z00_2004;

				{	/* SawMill/expr.scm 221 */
					BgL_feffectz00_bglt BgL_new1233z00_2005;

					BgL_new1233z00_2005 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 221 */
						long BgL_arg1632z00_2006;

						BgL_arg1632z00_2006 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_2005), BgL_arg1632z00_2006);
					}
					BgL_new1234z00_2004 = BgL_new1233z00_2005;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1234z00_2004))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1234z00_2004))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2vrefza2z00zzsaw_exprz00 = BgL_new1234z00_2004;
			}
			{	/* SawMill/expr.scm 222 */
				BgL_feffectz00_bglt BgL_new1236z00_2007;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1235z00_2008;

					BgL_new1235z00_2008 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1635z00_2009;

						BgL_arg1635z00_2009 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_2008), BgL_arg1635z00_2009);
					}
					BgL_new1236z00_2007 = BgL_new1235z00_2008;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1236z00_2007))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1236z00_2007))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				BGl_za2vsetza2z00zzsaw_exprz00 = BgL_new1236z00_2007;
			}
			{	/* SawMill/expr.scm 223 */
				BgL_feffectz00_bglt BgL_new1238z00_2010;

				{	/* SawMill/expr.scm 223 */
					BgL_feffectz00_bglt BgL_new1237z00_2011;

					BgL_new1237z00_2011 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 223 */
						long BgL_arg1636z00_2012;

						BgL_arg1636z00_2012 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_2011), BgL_arg1636z00_2012);
					}
					BgL_new1238z00_2010 = BgL_new1237z00_2011;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1238z00_2010))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1238z00_2010))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2boxrefza2z00zzsaw_exprz00 = BgL_new1238z00_2010;
			}
			{	/* SawMill/expr.scm 224 */
				BgL_feffectz00_bglt BgL_new1241z00_2013;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1240z00_2014;

					BgL_new1240z00_2014 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1639z00_2015;

						BgL_arg1639z00_2015 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_2014), BgL_arg1639z00_2015);
					}
					BgL_new1241z00_2013 = BgL_new1240z00_2014;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_2013))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1241z00_2013))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				BGl_za2boxsetza2z00zzsaw_exprz00 = BgL_new1241z00_2013;
			}
			{	/* SawMill/expr.scm 225 */
				BgL_feffectz00_bglt BgL_new1243z00_2016;

				{	/* SawMill/expr.scm 225 */
					BgL_feffectz00_bglt BgL_new1242z00_2017;

					BgL_new1242z00_2017 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 225 */
						long BgL_arg1641z00_2018;

						BgL_arg1641z00_2018 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_2017), BgL_arg1641z00_2018);
					}
					BgL_new1243z00_2016 = BgL_new1242z00_2017;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1243z00_2016))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1243z00_2016))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2getfza2z00zzsaw_exprz00 = BgL_new1243z00_2016;
			}
			{	/* SawMill/expr.scm 226 */
				BgL_feffectz00_bglt BgL_new1246z00_2019;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1244z00_2020;

					BgL_new1244z00_2020 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1645z00_2021;

						BgL_arg1645z00_2021 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1244z00_2020), BgL_arg1645z00_2021);
					}
					BgL_new1246z00_2019 = BgL_new1244z00_2020;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1246z00_2019))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1246z00_2019))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				BGl_za2setfza2z00zzsaw_exprz00 = BgL_new1246z00_2019;
			}
			{	/* SawMill/expr.scm 227 */
				BgL_feffectz00_bglt BgL_new1248z00_2022;

				{	/* SawMill/expr.scm 227 */
					BgL_feffectz00_bglt BgL_new1247z00_2023;

					BgL_new1247z00_2023 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 227 */
						long BgL_arg1646z00_2024;

						BgL_arg1646z00_2024 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_2023), BgL_arg1646z00_2024);
					}
					BgL_new1248z00_2022 = BgL_new1247z00_2023;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_2022))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_2022))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				BGl_za2fullza2z00zzsaw_exprz00 = BgL_new1248z00_2022;
			}
			{	/* SawMill/expr.scm 266 */
				BgL_feffectz00_bglt BgL_new1254z00_2025;

				{	/* SawMill/expr.scm 266 */
					BgL_feffectz00_bglt BgL_new1253z00_2026;

					BgL_new1253z00_2026 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 266 */
						long BgL_arg1648z00_2027;

						BgL_arg1648z00_2027 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1253z00_2026), BgL_arg1648z00_2027);
					}
					BgL_new1254z00_2025 = BgL_new1253z00_2026;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1254z00_2025))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1254z00_2025))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2prefza2z00zzsaw_exprz00 = BgL_new1254z00_2025;
			}
			{	/* SawMill/expr.scm 267 */
				BgL_feffectz00_bglt BgL_new1256z00_2028;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1255z00_2029;

					BgL_new1255z00_2029 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1651z00_2030;

						BgL_arg1651z00_2030 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1255z00_2029), BgL_arg1651z00_2030);
					}
					BgL_new1256z00_2028 = BgL_new1255z00_2029;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1256z00_2028))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1256z00_2028))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				BGl_za2psetza2z00zzsaw_exprz00 = BgL_new1256z00_2028;
			}
			{	/* SawMill/expr.scm 269 */
				BgL_feffectz00_bglt BgL_arg1652z00_2031;

				{	/* SawMill/expr.scm 269 */
					BgL_feffectz00_bglt BgL_new1258z00_2032;

					{	/* SawMill/expr.scm 269 */
						BgL_feffectz00_bglt BgL_new1257z00_2033;

						BgL_new1257z00_2033 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 269 */
							long BgL_arg1653z00_2034;

							BgL_arg1653z00_2034 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1257z00_2033),
								BgL_arg1653z00_2034);
						}
						BgL_new1258z00_2032 = BgL_new1257z00_2033;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1258z00_2032))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1258z00_2032))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1652z00_2031 = BgL_new1258z00_2032;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 6)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1652z00_2031));
			}
			{	/* SawMill/expr.scm 270 */
				BgL_feffectz00_bglt BgL_arg1661z00_2035;

				{	/* SawMill/expr.scm 270 */
					BgL_feffectz00_bglt BgL_new1260z00_2036;

					{	/* SawMill/expr.scm 270 */
						BgL_feffectz00_bglt BgL_new1259z00_2037;

						BgL_new1259z00_2037 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 270 */
							long BgL_arg1662z00_2038;

							BgL_arg1662z00_2038 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1259z00_2037),
								BgL_arg1662z00_2038);
						}
						BgL_new1260z00_2036 = BgL_new1259z00_2037;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1260z00_2036))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1260z00_2036))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1661z00_2035 = BgL_new1260z00_2036;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 8)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1661z00_2035));
			}
			{	/* SawMill/expr.scm 271 */
				BgL_feffectz00_bglt BgL_arg1663z00_2039;

				{	/* SawMill/expr.scm 271 */
					BgL_feffectz00_bglt BgL_new1262z00_2040;

					{	/* SawMill/expr.scm 271 */
						BgL_feffectz00_bglt BgL_new1261z00_2041;

						BgL_new1261z00_2041 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 271 */
							long BgL_arg1672z00_2042;

							BgL_arg1672z00_2042 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1261z00_2041),
								BgL_arg1672z00_2042);
						}
						BgL_new1262z00_2040 = BgL_new1261z00_2041;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1262z00_2040))->BgL_readz00) =
						((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1262z00_2040))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1663z00_2039 = BgL_new1262z00_2040;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1663z00_2039));
			}
			{	/* SawMill/expr.scm 272 */
				BgL_feffectz00_bglt BgL_arg1673z00_2043;

				{	/* SawMill/expr.scm 272 */
					BgL_feffectz00_bglt BgL_new1264z00_2044;

					{	/* SawMill/expr.scm 272 */
						BgL_feffectz00_bglt BgL_new1263z00_2045;

						BgL_new1263z00_2045 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 272 */
							long BgL_arg1674z00_2046;

							BgL_arg1674z00_2046 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1263z00_2045),
								BgL_arg1674z00_2046);
						}
						BgL_new1264z00_2044 = BgL_new1263z00_2045;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2044))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2044))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					BgL_arg1673z00_2043 = BgL_new1264z00_2044;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1673z00_2043));
			}
			{	/* SawMill/expr.scm 273 */
				BgL_feffectz00_bglt BgL_arg1677z00_2047;

				{	/* SawMill/expr.scm 273 */
					BgL_feffectz00_bglt BgL_new1266z00_2048;

					{	/* SawMill/expr.scm 273 */
						BgL_feffectz00_bglt BgL_new1265z00_2049;

						BgL_new1265z00_2049 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 273 */
							long BgL_arg1680z00_2050;

							BgL_arg1680z00_2050 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1265z00_2049),
								BgL_arg1680z00_2050);
						}
						BgL_new1266z00_2048 = BgL_new1265z00_2049;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1266z00_2048))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1266z00_2048))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					BgL_arg1677z00_2047 = BgL_new1266z00_2048;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1677z00_2047));
			}
			{	/* SawMill/expr.scm 274 */
				BgL_feffectz00_bglt BgL_arg1682z00_2051;

				{	/* SawMill/expr.scm 274 */
					BgL_feffectz00_bglt BgL_new1269z00_2052;

					{	/* SawMill/expr.scm 274 */
						BgL_feffectz00_bglt BgL_new1268z00_2053;

						BgL_new1268z00_2053 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 274 */
							long BgL_arg1683z00_2054;

							BgL_arg1683z00_2054 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1268z00_2053),
								BgL_arg1683z00_2054);
						}
						BgL_new1269z00_2052 = BgL_new1268z00_2053;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1269z00_2052))->BgL_readz00) =
						((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1269z00_2052))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1682z00_2051 = BgL_new1269z00_2052;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1682z00_2051));
			}
			{	/* SawMill/expr.scm 275 */
				BgL_feffectz00_bglt BgL_arg1687z00_2055;

				{	/* SawMill/expr.scm 275 */
					BgL_feffectz00_bglt BgL_new1271z00_2056;

					{	/* SawMill/expr.scm 275 */
						BgL_feffectz00_bglt BgL_new1270z00_2057;

						BgL_new1270z00_2057 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 275 */
							long BgL_arg1692z00_2058;

							BgL_arg1692z00_2058 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1270z00_2057),
								BgL_arg1692z00_2058);
						}
						BgL_new1271z00_2056 = BgL_new1270z00_2057;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1271z00_2056))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1271z00_2056))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					BgL_arg1687z00_2055 = BgL_new1271z00_2056;
				}
				return
					BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1687z00_2055));
		}}

	}



/* pre-build-tree */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bez00_90,
		obj_t BgL_paramsz00_91, obj_t BgL_lz00_92)
	{
		{	/* SawMill/expr.scm 17 */
			BGl_prezd2markzd2localsz00zzsaw_exprz00(BgL_paramsz00_91, BgL_lz00_92);
			BGl_za2countza2z00zzsaw_exprz00 = ((long) 0);
			{
				obj_t BgL_l1549z00_2086;

				{	/* SawMill/expr.scm 20 */
					bool_t BgL_tmpz00_4339;

					BgL_l1549z00_2086 = BgL_lz00_92;
				BgL_zc3z04anonymousza31722ze3z87_2087:
					if (PAIRP(BgL_l1549z00_2086))
						{	/* SawMill/expr.scm 20 */
							{	/* SawMill/expr.scm 22 */
								obj_t BgL_bz00_2089;

								BgL_bz00_2089 = CAR(BgL_l1549z00_2086);
								{	/* SawMill/expr.scm 22 */
									obj_t BgL_lz00_2090;
									obj_t BgL_movesz00_2091;

									BgL_lz00_2090 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2089)))->BgL_firstz00);
									BgL_movesz00_2091 = BNIL;
									{
										obj_t BgL_l1547z00_2093;

										BgL_l1547z00_2093 = BgL_lz00_2090;
									BgL_zc3z04anonymousza31724ze3z87_2094:
										if (PAIRP(BgL_l1547z00_2093))
											{	/* SawMill/expr.scm 23 */
												{	/* SawMill/expr.scm 23 */
													obj_t BgL_insz00_2096;

													BgL_insz00_2096 = CAR(BgL_l1547z00_2093);
													BgL_movesz00_2091 =
														BGl_prezd2analysezd2zzsaw_exprz00(BgL_bez00_90,
														BgL_movesz00_2091, BgL_insz00_2096);
												}
												{
													obj_t BgL_l1547z00_4349;

													BgL_l1547z00_4349 = CDR(BgL_l1547z00_2093);
													BgL_l1547z00_2093 = BgL_l1547z00_4349;
													goto BgL_zc3z04anonymousza31724ze3z87_2094;
												}
											}
										else
											{	/* SawMill/expr.scm 23 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1549z00_4351;

								BgL_l1549z00_4351 = CDR(BgL_l1549z00_2086);
								BgL_l1549z00_2086 = BgL_l1549z00_4351;
								goto BgL_zc3z04anonymousza31722ze3z87_2087;
							}
						}
					else
						{	/* SawMill/expr.scm 20 */
							BgL_tmpz00_4339 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4339);
				}
			}
		}

	}



/* &pre-build-tree */
	obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t BgL_envz00_3848,
		obj_t BgL_bez00_3849, obj_t BgL_paramsz00_3850, obj_t BgL_lz00_3851)
	{
		{	/* SawMill/expr.scm 17 */
			return
				BGl_prezd2buildzd2treez00zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3849), BgL_paramsz00_3850,
				BgL_lz00_3851);
		}

	}



/* pre-mark-locals */
	bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t BgL_paramsz00_93,
		obj_t BgL_lz00_94)
	{
		{	/* SawMill/expr.scm 27 */
			{	/* SawMill/expr.scm 28 */
				struct bgl_cell BgL_box2250_4005z00;
				obj_t BgL_nz00_4005;

				BgL_nz00_4005 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2250_4005z00);
				{
					obj_t BgL_rz00_2132;
					BgL_blockz00_bglt BgL_bz00_2138;

					{
						obj_t BgL_l1557z00_2108;

						BgL_l1557z00_2108 = BgL_paramsz00_93;
					BgL_zc3z04anonymousza31731ze3z87_2109:
						if (PAIRP(BgL_l1557z00_2108))
							{	/* SawMill/expr.scm 52 */
								BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4005,
									CAR(BgL_l1557z00_2108));
								{
									obj_t BgL_l1557z00_4361;

									BgL_l1557z00_4361 = CDR(BgL_l1557z00_2108);
									BgL_l1557z00_2108 = BgL_l1557z00_4361;
									goto BgL_zc3z04anonymousza31731ze3z87_2109;
								}
							}
						else
							{	/* SawMill/expr.scm 52 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1559z00_2115;

						BgL_l1559z00_2115 = BgL_lz00_94;
					BgL_zc3z04anonymousza31737ze3z87_2116:
						if (PAIRP(BgL_l1559z00_2115))
							{	/* SawMill/expr.scm 53 */
								{	/* SawMill/expr.scm 53 */
									obj_t BgL_arg1741z00_2118;

									BgL_arg1741z00_2118 = CAR(BgL_l1559z00_2115);
									BgL_bz00_2138 = ((BgL_blockz00_bglt) BgL_arg1741z00_2118);
									{	/* SawMill/expr.scm 47 */
										obj_t BgL_g1556z00_2140;

										BgL_g1556z00_2140 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2138))->
											BgL_firstz00);
										{
											obj_t BgL_l1554z00_2142;

											BgL_l1554z00_2142 = BgL_g1556z00_2140;
										BgL_zc3z04anonymousza31753ze3z87_2143:
											if (PAIRP(BgL_l1554z00_2142))
												{	/* SawMill/expr.scm 51 */
													{	/* SawMill/expr.scm 48 */
														obj_t BgL_insz00_2145;

														BgL_insz00_2145 = CAR(BgL_l1554z00_2142);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2145)))->BgL_destz00)))
															{	/* SawMill/expr.scm 49 */
																obj_t BgL_arg1756z00_2148;

																BgL_arg1756z00_2148 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2145)))->BgL_destz00);
																BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4005, BgL_arg1756z00_2148);
															}
														else
															{	/* SawMill/expr.scm 49 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 50 */
															obj_t BgL_g1553z00_2149;

															BgL_g1553z00_2149 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2145)))->
																BgL_argsz00);
															{
																obj_t BgL_l1551z00_2151;

																BgL_l1551z00_2151 = BgL_g1553z00_2149;
															BgL_zc3z04anonymousza31757ze3z87_2152:
																if (PAIRP(BgL_l1551z00_2151))
																	{	/* SawMill/expr.scm 50 */
																		BgL_rz00_2132 = CAR(BgL_l1551z00_2151);
																		{	/* SawMill/expr.scm 37 */
																			obj_t BgL_sz00_2134;

																			BgL_sz00_2134 =
																				BGl_regzd2ze3pregze70zd6zzsaw_exprz00
																				(BgL_nz00_4005, BgL_rz00_2132);
																			if ((BgL_sz00_2134 ==
																					CNST_TABLE_REF(((long) 15))))
																				{	/* SawMill/expr.scm 38 */
																					obj_t BgL_nstatz00_3130;

																					BgL_nstatz00_3130 =
																						CNST_TABLE_REF(((long) 16));
																					{
																						BgL_pregz00_bglt BgL_auxz00_4386;

																						{
																							obj_t BgL_auxz00_4387;

																							{	/* SawMill/expr.scm 29 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4388;
																								BgL_tmpz00_4388 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2132));
																								BgL_auxz00_4387 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4388);
																							}
																							BgL_auxz00_4386 =
																								((BgL_pregz00_bglt)
																								BgL_auxz00_4387);
																						}
																						((((BgL_pregz00_bglt)
																									COBJECT(BgL_auxz00_4386))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3130),
																							BUNSPEC);
																				}}
																			else
																				{	/* SawMill/expr.scm 38 */
																					if (
																						(BgL_sz00_2134 ==
																							CNST_TABLE_REF(((long) 17))))
																						{	/* SawMill/expr.scm 39 */
																							obj_t BgL_nstatz00_3133;

																							BgL_nstatz00_3133 =
																								CNST_TABLE_REF(((long) 18));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4398;
																								{
																									obj_t BgL_auxz00_4399;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4400;
																										BgL_tmpz00_4400 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2132));
																										BgL_auxz00_4399 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4400);
																									}
																									BgL_auxz00_4398 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4399);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4398))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3133),
																									BUNSPEC);
																						}}
																					else
																						{	/* SawMill/expr.scm 40 */
																							obj_t BgL_nstatz00_3136;

																							BgL_nstatz00_3136 =
																								CNST_TABLE_REF(((long) 19));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4407;
																								{
																									obj_t BgL_auxz00_4408;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4409;
																										BgL_tmpz00_4409 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2132));
																										BgL_auxz00_4408 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4409);
																									}
																									BgL_auxz00_4407 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4408);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4407))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3136),
																									BUNSPEC);
																		}}}}
																		{
																			obj_t BgL_l1551z00_4416;

																			BgL_l1551z00_4416 =
																				CDR(BgL_l1551z00_2151);
																			BgL_l1551z00_2151 = BgL_l1551z00_4416;
																			goto
																				BgL_zc3z04anonymousza31757ze3z87_2152;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1554z00_4418;

														BgL_l1554z00_4418 = CDR(BgL_l1554z00_2142);
														BgL_l1554z00_2142 = BgL_l1554z00_4418;
														goto BgL_zc3z04anonymousza31753ze3z87_2143;
													}
												}
											else
												{	/* SawMill/expr.scm 51 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1559z00_4421;

									BgL_l1559z00_4421 = CDR(BgL_l1559z00_2115);
									BgL_l1559z00_2115 = BgL_l1559z00_4421;
									goto BgL_zc3z04anonymousza31737ze3z87_2116;
								}
							}
						else
							{	/* SawMill/expr.scm 53 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->preg~0 */
	obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t BgL_nz00_4002,
		obj_t BgL_rz00_2124)
	{
		{	/* SawMill/expr.scm 35 */
			{	/* SawMill/expr.scm 31 */
				bool_t BgL_test2258z00_4423;

				{	/* SawMill/expr.scm 31 */
					obj_t BgL_classz00_3110;

					BgL_classz00_3110 = BGl_pregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2124))
						{	/* SawMill/expr.scm 31 */
							obj_t BgL_oclassz00_3112;

							{	/* SawMill/expr.scm 31 */
								long BgL_arg1828z00_3114;

								{	/* SawMill/expr.scm 31 */
									long BgL_arg1829z00_3115;

									BgL_arg1829z00_3115 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2124));
									BgL_arg1828z00_3114 = (BgL_arg1829z00_3115 - OBJECT_TYPE);
								}
								BgL_oclassz00_3112 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_3114);
							}
							BgL_test2258z00_4423 = (BgL_oclassz00_3112 == BgL_classz00_3110);
						}
					else
						{	/* SawMill/expr.scm 31 */
							BgL_test2258z00_4423 = ((bool_t) 0);
						}
				}
				if (BgL_test2258z00_4423)
					{
						BgL_pregz00_bglt BgL_auxz00_4431;

						{
							obj_t BgL_auxz00_4432;

							{	/* SawMill/expr.scm 32 */
								BgL_objectz00_bglt BgL_tmpz00_4433;

								BgL_tmpz00_4433 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2124));
								BgL_auxz00_4432 = BGL_OBJECT_WIDENING(BgL_tmpz00_4433);
							}
							BgL_auxz00_4431 = ((BgL_pregz00_bglt) BgL_auxz00_4432);
						}
						return
							(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4431))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 31 */
						{	/* SawMill/expr.scm 33 */
							BgL_pregz00_bglt BgL_wide1202z00_2129;

							BgL_wide1202z00_2129 =
								((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pregz00_bgl))));
							{	/* SawMill/expr.scm 33 */
								obj_t BgL_auxz00_4444;
								BgL_objectz00_bglt BgL_tmpz00_4440;

								BgL_auxz00_4444 = ((obj_t) BgL_wide1202z00_2129);
								BgL_tmpz00_4440 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2124)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4440, BgL_auxz00_4444);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2124)));
							{	/* SawMill/expr.scm 33 */
								long BgL_arg1749z00_2130;

								BgL_arg1749z00_2130 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2124))),
									BgL_arg1749z00_2130);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2124)));
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4458;

							{
								obj_t BgL_auxz00_4459;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4460;

									BgL_tmpz00_4460 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2124)));
									BgL_auxz00_4459 = BGL_OBJECT_WIDENING(BgL_tmpz00_4460);
								}
								BgL_auxz00_4458 = ((BgL_pregz00_bglt) BgL_auxz00_4459);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4458))->BgL_indexz00) =
								((obj_t) CELL_REF(BgL_nz00_4002)), BUNSPEC);
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4467;

							{
								obj_t BgL_auxz00_4468;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4469;

									BgL_tmpz00_4469 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2124)));
									BgL_auxz00_4468 = BGL_OBJECT_WIDENING(BgL_tmpz00_4469);
								}
								BgL_auxz00_4467 = ((BgL_pregz00_bglt) BgL_auxz00_4468);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4467))->BgL_statusz00) =
								((obj_t) CNST_TABLE_REF(((long) 15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2124));
						{	/* SawMill/expr.scm 34 */
							obj_t BgL_auxz00_4003;

							BgL_auxz00_4003 =
								ADDFX(CELL_REF(BgL_nz00_4002), BINT(((long) 1)));
							CELL_SET(BgL_nz00_4002, BgL_auxz00_4003);
						}
						return CNST_TABLE_REF(((long) 15));
		}}}

	}



/* reg->preg/write~0 */
	obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_4004,
		obj_t BgL_rz00_2135)
	{
		{	/* SawMill/expr.scm 45 */
			{	/* SawMill/expr.scm 42 */
				obj_t BgL_sz00_2137;

				BgL_sz00_2137 =
					BGl_regzd2ze3pregze70zd6zzsaw_exprz00(BgL_nz00_4004, BgL_rz00_2135);
				if ((BgL_sz00_2137 == CNST_TABLE_REF(((long) 15))))
					{	/* SawMill/expr.scm 43 */
						obj_t BgL_nstatz00_3139;

						BgL_nstatz00_3139 = CNST_TABLE_REF(((long) 17));
						{
							BgL_pregz00_bglt BgL_auxz00_4487;

							{
								obj_t BgL_auxz00_4488;

								{	/* SawMill/expr.scm 29 */
									BgL_objectz00_bglt BgL_tmpz00_4489;

									BgL_tmpz00_4489 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2135));
									BgL_auxz00_4488 = BGL_OBJECT_WIDENING(BgL_tmpz00_4489);
								}
								BgL_auxz00_4487 = ((BgL_pregz00_bglt) BgL_auxz00_4488);
							}
							return
								((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4487))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3139), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 43 */
						if ((BgL_sz00_2137 == CNST_TABLE_REF(((long) 16))))
							{	/* SawMill/expr.scm 44 */
								obj_t BgL_nstatz00_3142;

								BgL_nstatz00_3142 = CNST_TABLE_REF(((long) 18));
								{
									BgL_pregz00_bglt BgL_auxz00_4499;

									{
										obj_t BgL_auxz00_4500;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4501;

											BgL_tmpz00_4501 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2135));
											BgL_auxz00_4500 = BGL_OBJECT_WIDENING(BgL_tmpz00_4501);
										}
										BgL_auxz00_4499 = ((BgL_pregz00_bglt) BgL_auxz00_4500);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4499))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3142), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 45 */
								obj_t BgL_nstatz00_3145;

								BgL_nstatz00_3145 = CNST_TABLE_REF(((long) 19));
								{
									BgL_pregz00_bglt BgL_auxz00_4508;

									{
										obj_t BgL_auxz00_4509;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4510;

											BgL_tmpz00_4510 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2135));
											BgL_auxz00_4509 = BGL_OBJECT_WIDENING(BgL_tmpz00_4510);
										}
										BgL_auxz00_4508 = ((BgL_pregz00_bglt) BgL_auxz00_4509);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4508))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3145), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* build-tree */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt
		BgL_bez00_95, obj_t BgL_paramsz00_96, obj_t BgL_lz00_97)
	{
		{	/* SawMill/expr.scm 58 */
			{

				BGl_markzd2localszd2zzsaw_exprz00(BgL_paramsz00_96, BgL_lz00_97);
				{
					obj_t BgL_l1563z00_2167;

					{	/* SawMill/expr.scm 72 */
						bool_t BgL_tmpz00_4517;

						BgL_l1563z00_2167 = BgL_lz00_97;
					BgL_zc3z04anonymousza31767ze3z87_2168:
						if (PAIRP(BgL_l1563z00_2167))
							{	/* SawMill/expr.scm 72 */
								{	/* SawMill/expr.scm 73 */
									obj_t BgL_bz00_2170;

									BgL_bz00_2170 = CAR(BgL_l1563z00_2167);
									{	/* SawMill/expr.scm 73 */
										obj_t BgL_lz00_2171;
										obj_t BgL_movesz00_2172;

										BgL_lz00_2171 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2170)))->BgL_firstz00);
										BgL_movesz00_2172 = BNIL;
										{
											obj_t BgL_l1561z00_2174;

											BgL_l1561z00_2174 = BgL_lz00_2171;
										BgL_zc3z04anonymousza31769ze3z87_2175:
											if (PAIRP(BgL_l1561z00_2174))
												{	/* SawMill/expr.scm 74 */
													{	/* SawMill/expr.scm 74 */
														obj_t BgL_insz00_2177;

														BgL_insz00_2177 = CAR(BgL_l1561z00_2174);
														BgL_movesz00_2172 =
															BGl_analysez00zzsaw_exprz00(BgL_bez00_95,
															BgL_movesz00_2172, BgL_insz00_2177);
													}
													{
														obj_t BgL_l1561z00_4527;

														BgL_l1561z00_4527 = CDR(BgL_l1561z00_2174);
														BgL_l1561z00_2174 = BgL_l1561z00_4527;
														goto BgL_zc3z04anonymousza31769ze3z87_2175;
													}
												}
											else
												{	/* SawMill/expr.scm 74 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/expr.scm 76 */
											obj_t BgL_rz00_2180;

											BgL_rz00_2180 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BGl_proc2157z00zzsaw_exprz00, BgL_lz00_2171);
											{	/* SawMill/expr.scm 77 */
												obj_t BgL_arg1777z00_2181;

												if (NULLP(BgL_rz00_2180))
													{	/* SawMill/expr.scm 77 */
														BgL_rtl_insz00_bglt BgL_arg1781z00_2183;

														{	/* SawMill/expr.scm 60 */
															BgL_rtl_insz00_bglt BgL_new1206z00_2188;

															{	/* SawMill/expr.scm 60 */
																BgL_rtl_insz00_bglt BgL_new1205z00_2192;

																BgL_new1205z00_2192 =
																	((BgL_rtl_insz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_insz00_bgl))));
																{	/* SawMill/expr.scm 60 */
																	long BgL_arg1789z00_2193;

																	BgL_arg1789z00_2193 =
																		BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1205z00_2192),
																		BgL_arg1789z00_2193);
																}
																{	/* SawMill/expr.scm 60 */
																	BgL_objectz00_bglt BgL_tmpz00_4536;

																	BgL_tmpz00_4536 =
																		((BgL_objectz00_bglt) BgL_new1205z00_2192);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4536,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1205z00_2192);
																BgL_new1206z00_2188 = BgL_new1205z00_2192;
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1206z00_2188))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1206z00_2188))->
																	BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1206z00_2188))->
																	BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_4543;

																{	/* SawMill/expr.scm 60 */
																	BgL_rtl_nopz00_bglt BgL_new1208z00_2189;

																	{	/* SawMill/expr.scm 60 */
																		BgL_rtl_nopz00_bglt BgL_new1207z00_2190;

																		BgL_new1207z00_2190 =
																			((BgL_rtl_nopz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_nopz00_bgl))));
																		{	/* SawMill/expr.scm 60 */
																			long BgL_arg1787z00_2191;

																			{	/* SawMill/expr.scm 60 */
																				obj_t BgL_classz00_3161;

																				BgL_classz00_3161 =
																					BGl_rtl_nopz00zzsaw_defsz00;
																				BgL_arg1787z00_2191 =
																					BGL_CLASS_NUM(BgL_classz00_3161);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1207z00_2190),
																				BgL_arg1787z00_2191);
																		}
																		BgL_new1208z00_2189 = BgL_new1207z00_2190;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1208z00_2189)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	BgL_auxz00_4543 =
																		((BgL_rtl_funz00_bglt) BgL_new1208z00_2189);
																}
																((((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_new1206z00_2188))->
																		BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_4543),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1206z00_2188))->
																	BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
															BgL_arg1781z00_2183 = BgL_new1206z00_2188;
														}
														{	/* SawMill/expr.scm 77 */
															obj_t BgL_list1782z00_2184;

															BgL_list1782z00_2184 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1781z00_2183), BNIL);
															BgL_arg1777z00_2181 = BgL_list1782z00_2184;
													}}
												else
													{	/* SawMill/expr.scm 77 */
														BgL_arg1777z00_2181 = BgL_rz00_2180;
													}
												((((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_bz00_2170)))->
														BgL_firstz00) =
													((obj_t) BgL_arg1777z00_2181), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1563z00_4557;

									BgL_l1563z00_4557 = CDR(BgL_l1563z00_2167);
									BgL_l1563z00_2167 = BgL_l1563z00_4557;
									goto BgL_zc3z04anonymousza31767ze3z87_2168;
								}
							}
						else
							{	/* SawMill/expr.scm 72 */
								BgL_tmpz00_4517 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4517);
					}
				}
			}
		}

	}



/* &build-tree */
	obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t BgL_envz00_3853,
		obj_t BgL_bez00_3854, obj_t BgL_paramsz00_3855, obj_t BgL_lz00_3856)
	{
		{	/* SawMill/expr.scm 58 */
			return
				BGl_buildzd2treezd2zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3854), BgL_paramsz00_3855,
				BgL_lz00_3856);
		}

	}



/* &useful */
	obj_t BGl_z62usefulz62zzsaw_exprz00(obj_t BgL_envz00_3857,
		obj_t BgL_insz00_3858)
	{
		{	/* SawMill/expr.scm 69 */
			{	/* SawMill/expr.scm 63 */
				bool_t BgL_tmpz00_4562;

				{
					obj_t BgL_insz00_4019;
					obj_t BgL_destz00_4020;

					{	/* SawMill/expr.scm 70 */
						bool_t BgL_test2265z00_4563;

						{	/* SawMill/expr.scm 70 */
							bool_t BgL_test2266z00_4564;

							{	/* SawMill/expr.scm 70 */
								obj_t BgL_classz00_4048;

								BgL_classz00_4048 = BGl_inlinedz00zzsaw_exprz00;
								if (BGL_OBJECTP(BgL_insz00_3858))
									{	/* SawMill/expr.scm 70 */
										obj_t BgL_oclassz00_4049;

										{	/* SawMill/expr.scm 70 */
											long BgL_arg1828z00_4050;

											{	/* SawMill/expr.scm 70 */
												long BgL_arg1829z00_4051;

												BgL_arg1829z00_4051 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_insz00_3858));
												BgL_arg1828z00_4050 =
													(BgL_arg1829z00_4051 - OBJECT_TYPE);
											}
											BgL_oclassz00_4049 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4050);
										}
										BgL_test2266z00_4564 =
											(BgL_oclassz00_4049 == BgL_classz00_4048);
									}
								else
									{	/* SawMill/expr.scm 70 */
										BgL_test2266z00_4564 = ((bool_t) 0);
									}
							}
							if (BgL_test2266z00_4564)
								{	/* SawMill/expr.scm 70 */
									BgL_test2265z00_4563 = ((bool_t) 1);
								}
							else
								{	/* SawMill/expr.scm 70 */
									obj_t BgL_arg1817z00_4052;

									BgL_arg1817z00_4052 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_3858)))->BgL_destz00);
									BgL_insz00_4019 = BgL_insz00_3858;
									BgL_destz00_4020 = BgL_arg1817z00_4052;
								BgL_xzd3xzd3_4018:
									{	/* SawMill/expr.scm 63 */
										BgL_rtl_funz00_bglt BgL_funz00_4021;

										BgL_funz00_4021 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_4019)))->
											BgL_funz00);
										{	/* SawMill/expr.scm 64 */
											bool_t BgL_test2268z00_4576;

											{	/* SawMill/expr.scm 64 */
												obj_t BgL_classz00_4022;

												BgL_classz00_4022 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/expr.scm 64 */
													BgL_objectz00_bglt BgL_arg1820z00_4023;

													{	/* SawMill/expr.scm 64 */
														obj_t BgL_tmpz00_4577;

														BgL_tmpz00_4577 =
															((obj_t) ((BgL_objectz00_bglt) BgL_funz00_4021));
														BgL_arg1820z00_4023 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4577);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/expr.scm 64 */
															long BgL_idxz00_4024;

															BgL_idxz00_4024 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4023);
															BgL_test2268z00_4576 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4024 + ((long) 3))) ==
																BgL_classz00_4022);
														}
													else
														{	/* SawMill/expr.scm 64 */
															bool_t BgL_res2134z00_4027;

															{	/* SawMill/expr.scm 64 */
																obj_t BgL_oclassz00_4028;

																{	/* SawMill/expr.scm 64 */
																	long BgL_arg1828z00_4029;

																	{	/* SawMill/expr.scm 64 */
																		long BgL_arg1829z00_4030;

																		BgL_arg1829z00_4030 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4023);
																		BgL_arg1828z00_4029 =
																			(BgL_arg1829z00_4030 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4028 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4029);
																}
																{	/* SawMill/expr.scm 64 */
																	bool_t BgL__ortest_1111z00_4031;

																	BgL__ortest_1111z00_4031 =
																		(BgL_classz00_4022 == BgL_oclassz00_4028);
																	if (BgL__ortest_1111z00_4031)
																		{	/* SawMill/expr.scm 64 */
																			BgL_res2134z00_4027 =
																				BgL__ortest_1111z00_4031;
																		}
																	else
																		{	/* SawMill/expr.scm 64 */
																			long BgL_odepthz00_4032;

																			BgL_odepthz00_4032 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4028);
																			if ((((long) 3) < BgL_odepthz00_4032))
																				{	/* SawMill/expr.scm 64 */
																					obj_t BgL_arg1816z00_4033;

																					BgL_arg1816z00_4033 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4028, ((long) 3));
																					BgL_res2134z00_4027 =
																						(BgL_arg1816z00_4033 ==
																						BgL_classz00_4022);
																				}
																			else
																				{	/* SawMill/expr.scm 64 */
																					BgL_res2134z00_4027 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2268z00_4576 = BgL_res2134z00_4027;
														}
												}
											}
											if (BgL_test2268z00_4576)
												{	/* SawMill/expr.scm 65 */
													obj_t BgL_argz00_4034;

													{	/* SawMill/expr.scm 65 */
														obj_t BgL_pairz00_4035;

														BgL_pairz00_4035 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_insz00_4019)))->
															BgL_argsz00);
														BgL_argz00_4034 = CAR(BgL_pairz00_4035);
													}
													{	/* SawMill/expr.scm 66 */
														bool_t BgL_test2272z00_4600;

														{	/* SawMill/expr.scm 66 */
															obj_t BgL_classz00_4036;

															BgL_classz00_4036 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_argz00_4034))
																{	/* SawMill/expr.scm 66 */
																	BgL_objectz00_bglt BgL_arg1820z00_4037;

																	BgL_arg1820z00_4037 =
																		(BgL_objectz00_bglt) (BgL_argz00_4034);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawMill/expr.scm 66 */
																			long BgL_idxz00_4038;

																			BgL_idxz00_4038 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_4037);
																			BgL_test2272z00_4600 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4038 + ((long) 1))) ==
																				BgL_classz00_4036);
																		}
																	else
																		{	/* SawMill/expr.scm 66 */
																			bool_t BgL_res2135z00_4041;

																			{	/* SawMill/expr.scm 66 */
																				obj_t BgL_oclassz00_4042;

																				{	/* SawMill/expr.scm 66 */
																					long BgL_arg1828z00_4043;

																					{	/* SawMill/expr.scm 66 */
																						long BgL_arg1829z00_4044;

																						BgL_arg1829z00_4044 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_4037);
																						BgL_arg1828z00_4043 =
																							(BgL_arg1829z00_4044 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4042 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_4043);
																				}
																				{	/* SawMill/expr.scm 66 */
																					bool_t BgL__ortest_1111z00_4045;

																					BgL__ortest_1111z00_4045 =
																						(BgL_classz00_4036 ==
																						BgL_oclassz00_4042);
																					if (BgL__ortest_1111z00_4045)
																						{	/* SawMill/expr.scm 66 */
																							BgL_res2135z00_4041 =
																								BgL__ortest_1111z00_4045;
																						}
																					else
																						{	/* SawMill/expr.scm 66 */
																							long BgL_odepthz00_4046;

																							BgL_odepthz00_4046 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4042);
																							if ((((long) 1) <
																									BgL_odepthz00_4046))
																								{	/* SawMill/expr.scm 66 */
																									obj_t BgL_arg1816z00_4047;

																									BgL_arg1816z00_4047 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4042,
																										((long) 1));
																									BgL_res2135z00_4041 =
																										(BgL_arg1816z00_4047 ==
																										BgL_classz00_4036);
																								}
																							else
																								{	/* SawMill/expr.scm 66 */
																									BgL_res2135z00_4041 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2272z00_4600 =
																				BgL_res2135z00_4041;
																		}
																}
															else
																{	/* SawMill/expr.scm 66 */
																	BgL_test2272z00_4600 = ((bool_t) 0);
																}
														}
														if (BgL_test2272z00_4600)
															{
																obj_t BgL_insz00_4620;

																BgL_insz00_4620 = BgL_argz00_4034;
																BgL_insz00_4019 = BgL_insz00_4620;
																goto BgL_xzd3xzd3_4018;
															}
														else
															{	/* SawMill/expr.scm 66 */
																BgL_test2265z00_4563 =
																	(BgL_argz00_4034 == BgL_destz00_4020);
															}
													}
												}
											else
												{	/* SawMill/expr.scm 64 */
													BgL_test2265z00_4563 = ((bool_t) 0);
												}
										}
									}
								}
						}
						if (BgL_test2265z00_4563)
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4562 = ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4562 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4562);
			}
		}

	}



/* mark-locals */
	bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t BgL_paramsz00_98,
		obj_t BgL_lz00_99)
	{
		{	/* SawMill/expr.scm 80 */
			{	/* SawMill/expr.scm 81 */
				struct bgl_cell BgL_box2277_4000z00;
				obj_t BgL_nz00_4000;

				BgL_nz00_4000 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2277_4000z00);
				{
					obj_t BgL_rz00_2244;
					BgL_blockz00_bglt BgL_bz00_2250;

					{
						obj_t BgL_l1571z00_2220;

						BgL_l1571z00_2220 = BgL_paramsz00_98;
					BgL_zc3z04anonymousza31822ze3z87_2221:
						if (PAIRP(BgL_l1571z00_2220))
							{	/* SawMill/expr.scm 105 */
								BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4000,
									CAR(BgL_l1571z00_2220));
								{
									obj_t BgL_l1571z00_4628;

									BgL_l1571z00_4628 = CDR(BgL_l1571z00_2220);
									BgL_l1571z00_2220 = BgL_l1571z00_4628;
									goto BgL_zc3z04anonymousza31822ze3z87_2221;
								}
							}
						else
							{	/* SawMill/expr.scm 105 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1573z00_2227;

						BgL_l1573z00_2227 = BgL_lz00_99;
					BgL_zc3z04anonymousza31834ze3z87_2228:
						if (PAIRP(BgL_l1573z00_2227))
							{	/* SawMill/expr.scm 106 */
								{	/* SawMill/expr.scm 106 */
									obj_t BgL_arg1836z00_2230;

									BgL_arg1836z00_2230 = CAR(BgL_l1573z00_2227);
									BgL_bz00_2250 = ((BgL_blockz00_bglt) BgL_arg1836z00_2230);
									{	/* SawMill/expr.scm 100 */
										obj_t BgL_g1570z00_2252;

										BgL_g1570z00_2252 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2250))->
											BgL_firstz00);
										{
											obj_t BgL_l1568z00_2254;

											BgL_l1568z00_2254 = BgL_g1570z00_2252;
										BgL_zc3z04anonymousza31848ze3z87_2255:
											if (PAIRP(BgL_l1568z00_2254))
												{	/* SawMill/expr.scm 104 */
													{	/* SawMill/expr.scm 101 */
														obj_t BgL_insz00_2257;

														BgL_insz00_2257 = CAR(BgL_l1568z00_2254);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2257)))->BgL_destz00)))
															{	/* SawMill/expr.scm 102 */
																obj_t BgL_arg1851z00_2260;

																BgL_arg1851z00_2260 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2257)))->BgL_destz00);
																BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4000, BgL_arg1851z00_2260);
															}
														else
															{	/* SawMill/expr.scm 102 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 103 */
															obj_t BgL_g1567z00_2261;

															BgL_g1567z00_2261 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2257)))->
																BgL_argsz00);
															{
																obj_t BgL_l1565z00_2263;

																BgL_l1565z00_2263 = BgL_g1567z00_2261;
															BgL_zc3z04anonymousza31852ze3z87_2264:
																if (PAIRP(BgL_l1565z00_2263))
																	{	/* SawMill/expr.scm 103 */
																		BgL_rz00_2244 = CAR(BgL_l1565z00_2263);
																		{	/* SawMill/expr.scm 90 */
																			obj_t BgL_sz00_2246;

																			BgL_sz00_2246 =
																				BGl_regzd2ze3iregze70zd6zzsaw_exprz00
																				(BgL_nz00_4000, BgL_rz00_2244);
																			if ((BgL_sz00_2246 ==
																					CNST_TABLE_REF(((long) 15))))
																				{	/* SawMill/expr.scm 91 */
																					obj_t BgL_nstatz00_3271;

																					BgL_nstatz00_3271 =
																						CNST_TABLE_REF(((long) 16));
																					{
																						BgL_iregz00_bglt BgL_auxz00_4653;

																						{
																							obj_t BgL_auxz00_4654;

																							{	/* SawMill/expr.scm 82 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4655;
																								BgL_tmpz00_4655 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2244));
																								BgL_auxz00_4654 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4655);
																							}
																							BgL_auxz00_4653 =
																								((BgL_iregz00_bglt)
																								BgL_auxz00_4654);
																						}
																						((((BgL_iregz00_bglt)
																									COBJECT(BgL_auxz00_4653))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3271),
																							BUNSPEC);
																				}}
																			else
																				{	/* SawMill/expr.scm 91 */
																					if (
																						(BgL_sz00_2246 ==
																							CNST_TABLE_REF(((long) 17))))
																						{	/* SawMill/expr.scm 92 */
																							obj_t BgL_nstatz00_3274;

																							BgL_nstatz00_3274 =
																								CNST_TABLE_REF(((long) 18));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4665;
																								{
																									obj_t BgL_auxz00_4666;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4667;
																										BgL_tmpz00_4667 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2244));
																										BgL_auxz00_4666 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4667);
																									}
																									BgL_auxz00_4665 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4666);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4665))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3274),
																									BUNSPEC);
																						}}
																					else
																						{	/* SawMill/expr.scm 93 */
																							obj_t BgL_nstatz00_3277;

																							BgL_nstatz00_3277 =
																								CNST_TABLE_REF(((long) 19));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4674;
																								{
																									obj_t BgL_auxz00_4675;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4676;
																										BgL_tmpz00_4676 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2244));
																										BgL_auxz00_4675 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4676);
																									}
																									BgL_auxz00_4674 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4675);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4674))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3277),
																									BUNSPEC);
																		}}}}
																		{
																			obj_t BgL_l1565z00_4683;

																			BgL_l1565z00_4683 =
																				CDR(BgL_l1565z00_2263);
																			BgL_l1565z00_2263 = BgL_l1565z00_4683;
																			goto
																				BgL_zc3z04anonymousza31852ze3z87_2264;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 103 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1568z00_4685;

														BgL_l1568z00_4685 = CDR(BgL_l1568z00_2254);
														BgL_l1568z00_2254 = BgL_l1568z00_4685;
														goto BgL_zc3z04anonymousza31848ze3z87_2255;
													}
												}
											else
												{	/* SawMill/expr.scm 104 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1573z00_4688;

									BgL_l1573z00_4688 = CDR(BgL_l1573z00_2227);
									BgL_l1573z00_2227 = BgL_l1573z00_4688;
									goto BgL_zc3z04anonymousza31834ze3z87_2228;
								}
							}
						else
							{	/* SawMill/expr.scm 106 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->ireg~0 */
	obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t BgL_nz00_3997,
		obj_t BgL_rz00_2236)
	{
		{	/* SawMill/expr.scm 88 */
			{	/* SawMill/expr.scm 84 */
				bool_t BgL_test2285z00_4690;

				{	/* SawMill/expr.scm 84 */
					obj_t BgL_classz00_3251;

					BgL_classz00_3251 = BGl_iregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2236))
						{	/* SawMill/expr.scm 84 */
							obj_t BgL_oclassz00_3253;

							{	/* SawMill/expr.scm 84 */
								long BgL_arg1828z00_3255;

								{	/* SawMill/expr.scm 84 */
									long BgL_arg1829z00_3256;

									BgL_arg1829z00_3256 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2236));
									BgL_arg1828z00_3255 = (BgL_arg1829z00_3256 - OBJECT_TYPE);
								}
								BgL_oclassz00_3253 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_3255);
							}
							BgL_test2285z00_4690 = (BgL_oclassz00_3253 == BgL_classz00_3251);
						}
					else
						{	/* SawMill/expr.scm 84 */
							BgL_test2285z00_4690 = ((bool_t) 0);
						}
				}
				if (BgL_test2285z00_4690)
					{
						BgL_iregz00_bglt BgL_auxz00_4698;

						{
							obj_t BgL_auxz00_4699;

							{	/* SawMill/expr.scm 85 */
								BgL_objectz00_bglt BgL_tmpz00_4700;

								BgL_tmpz00_4700 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2236));
								BgL_auxz00_4699 = BGL_OBJECT_WIDENING(BgL_tmpz00_4700);
							}
							BgL_auxz00_4698 = ((BgL_iregz00_bglt) BgL_auxz00_4699);
						}
						return
							(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4698))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 84 */
						{	/* SawMill/expr.scm 86 */
							BgL_iregz00_bglt BgL_wide1211z00_2241;

							BgL_wide1211z00_2241 =
								((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_iregz00_bgl))));
							{	/* SawMill/expr.scm 86 */
								obj_t BgL_auxz00_4711;
								BgL_objectz00_bglt BgL_tmpz00_4707;

								BgL_auxz00_4711 = ((obj_t) BgL_wide1211z00_2241);
								BgL_tmpz00_4707 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2236)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4707, BgL_auxz00_4711);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2236)));
							{	/* SawMill/expr.scm 86 */
								long BgL_arg1844z00_2242;

								BgL_arg1844z00_2242 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2236))),
									BgL_arg1844z00_2242);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2236)));
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4725;

							{
								obj_t BgL_auxz00_4726;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4727;

									BgL_tmpz00_4727 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2236)));
									BgL_auxz00_4726 = BGL_OBJECT_WIDENING(BgL_tmpz00_4727);
								}
								BgL_auxz00_4725 = ((BgL_iregz00_bglt) BgL_auxz00_4726);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4725))->BgL_indexz00) =
								((obj_t) CELL_REF(BgL_nz00_3997)), BUNSPEC);
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4734;

							{
								obj_t BgL_auxz00_4735;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4736;

									BgL_tmpz00_4736 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2236)));
									BgL_auxz00_4735 = BGL_OBJECT_WIDENING(BgL_tmpz00_4736);
								}
								BgL_auxz00_4734 = ((BgL_iregz00_bglt) BgL_auxz00_4735);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4734))->BgL_statusz00) =
								((obj_t) CNST_TABLE_REF(((long) 15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2236));
						{	/* SawMill/expr.scm 87 */
							obj_t BgL_auxz00_3998;

							BgL_auxz00_3998 =
								ADDFX(CELL_REF(BgL_nz00_3997), BINT(((long) 1)));
							CELL_SET(BgL_nz00_3997, BgL_auxz00_3998);
						}
						return CNST_TABLE_REF(((long) 15));
		}}}

	}



/* reg->ireg/write~0 */
	obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_3999,
		obj_t BgL_rz00_2247)
	{
		{	/* SawMill/expr.scm 98 */
			{	/* SawMill/expr.scm 95 */
				obj_t BgL_sz00_2249;

				BgL_sz00_2249 =
					BGl_regzd2ze3iregze70zd6zzsaw_exprz00(BgL_nz00_3999, BgL_rz00_2247);
				if ((BgL_sz00_2249 == CNST_TABLE_REF(((long) 15))))
					{	/* SawMill/expr.scm 96 */
						obj_t BgL_nstatz00_3280;

						BgL_nstatz00_3280 = CNST_TABLE_REF(((long) 17));
						{
							BgL_iregz00_bglt BgL_auxz00_4754;

							{
								obj_t BgL_auxz00_4755;

								{	/* SawMill/expr.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4756;

									BgL_tmpz00_4756 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2247));
									BgL_auxz00_4755 = BGL_OBJECT_WIDENING(BgL_tmpz00_4756);
								}
								BgL_auxz00_4754 = ((BgL_iregz00_bglt) BgL_auxz00_4755);
							}
							return
								((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4754))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3280), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 96 */
						if ((BgL_sz00_2249 == CNST_TABLE_REF(((long) 16))))
							{	/* SawMill/expr.scm 97 */
								obj_t BgL_nstatz00_3283;

								BgL_nstatz00_3283 = CNST_TABLE_REF(((long) 18));
								{
									BgL_iregz00_bglt BgL_auxz00_4766;

									{
										obj_t BgL_auxz00_4767;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4768;

											BgL_tmpz00_4768 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2247));
											BgL_auxz00_4767 = BGL_OBJECT_WIDENING(BgL_tmpz00_4768);
										}
										BgL_auxz00_4766 = ((BgL_iregz00_bglt) BgL_auxz00_4767);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4766))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3283), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 98 */
								obj_t BgL_nstatz00_3286;

								BgL_nstatz00_3286 = CNST_TABLE_REF(((long) 19));
								{
									BgL_iregz00_bglt BgL_auxz00_4775;

									{
										obj_t BgL_auxz00_4776;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4777;

											BgL_tmpz00_4777 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2247));
											BgL_auxz00_4776 = BGL_OBJECT_WIDENING(BgL_tmpz00_4777);
										}
										BgL_auxz00_4775 = ((BgL_iregz00_bglt) BgL_auxz00_4776);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4775))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3286), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* pre-analyse */
	obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_100,
		obj_t BgL_movingz00_101, obj_t BgL_insz00_102)
	{
		{	/* SawMill/expr.scm 112 */
			{	/* SawMill/expr.scm 113 */
				obj_t BgL_inszd2effectzd2_2276;
				obj_t BgL_argsz00_2277;

				{	/* SawMill/expr.scm 113 */
					BgL_rtl_funz00_bglt BgL_arg1887z00_2318;

					BgL_arg1887z00_2318 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_funz00);
					BgL_inszd2effectzd2_2276 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1887z00_2318);
				}
				BgL_argsz00_2277 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2298;
					obj_t BgL_rz00_2299;
					obj_t BgL_treez00_2293;
					obj_t BgL_posz00_2294;

					{	/* SawMill/expr.scm 128 */
						obj_t BgL_rz00_2280;
						obj_t BgL_dz00_2281;

						BgL_lz00_2298 = BgL_movingz00_101;
						BgL_rz00_2299 = BNIL;
					BgL_zc3z04anonymousza31872ze3z87_2300:
						if (NULLP(BgL_lz00_2298))
							{	/* SawMill/expr.scm 119 */
								BgL_rz00_2280 = BgL_rz00_2299;
							}
						else
							{	/* SawMill/expr.scm 120 */
								obj_t BgL_g1214z00_2302;

								BgL_g1214z00_2302 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2298)))))->BgL_destz00),
									BgL_argsz00_2277);
								if (CBOOL(BgL_g1214z00_2302))
									{	/* SawMill/expr.scm 120 */
										{	/* SawMill/expr.scm 122 */
											obj_t BgL_arg1874z00_2305;

											BgL_arg1874z00_2305 = CAR(((obj_t) BgL_lz00_2298));
											BgL_treez00_2293 = BgL_arg1874z00_2305;
											BgL_posz00_2294 = BgL_g1214z00_2302;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_100, BgL_insz00_102, BgL_treez00_2293)))
												{	/* SawMill/expr.scm 115 */
													BGl_za2countza2z00zzsaw_exprz00 =
														(((long) 1) + BGl_za2countza2z00zzsaw_exprz00);
													{	/* SawMill/expr.scm 117 */
														obj_t BgL_arg1871z00_2297;

														BgL_arg1871z00_2297 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_treez00_2293)))->
															BgL_destz00);
														((((BgL_rtl_regz00_bglt)
																	COBJECT(((BgL_rtl_regz00_bglt)
																			BgL_arg1871z00_2297)))->
																BgL_onexprzf3zf3) = ((obj_t) BTRUE), BUNSPEC);
												}}
											else
												{	/* SawMill/expr.scm 115 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 123 */
											obj_t BgL_arg1875z00_2306;

											BgL_arg1875z00_2306 = CDR(((obj_t) BgL_lz00_2298));
											{
												obj_t BgL_lz00_4809;

												BgL_lz00_4809 = BgL_arg1875z00_2306;
												BgL_lz00_2298 = BgL_lz00_4809;
												goto BgL_zc3z04anonymousza31872ze3z87_2300;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 124 */
										bool_t BgL_test2292z00_4810;

										{	/* SawMill/expr.scm 124 */
											obj_t BgL_arg1884z00_2313;

											BgL_arg1884z00_2313 = CAR(((obj_t) BgL_lz00_2298));
											BgL_test2292z00_4810 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1884z00_2313,
													BgL_insz00_102, BgL_inszd2effectzd2_2276));
										}
										if (BgL_test2292z00_4810)
											{	/* SawMill/expr.scm 126 */
												obj_t BgL_arg1879z00_2309;

												BgL_arg1879z00_2309 = CDR(((obj_t) BgL_lz00_2298));
												{
													obj_t BgL_lz00_4817;

													BgL_lz00_4817 = BgL_arg1879z00_2309;
													BgL_lz00_2298 = BgL_lz00_4817;
													goto BgL_zc3z04anonymousza31872ze3z87_2300;
												}
											}
										else
											{	/* SawMill/expr.scm 127 */
												obj_t BgL_arg1880z00_2310;
												obj_t BgL_arg1882z00_2311;

												BgL_arg1880z00_2310 = CDR(((obj_t) BgL_lz00_2298));
												{	/* SawMill/expr.scm 127 */
													obj_t BgL_arg1883z00_2312;

													BgL_arg1883z00_2312 = CAR(((obj_t) BgL_lz00_2298));
													BgL_arg1882z00_2311 =
														MAKE_YOUNG_PAIR(BgL_arg1883z00_2312, BgL_rz00_2299);
												}
												{
													obj_t BgL_rz00_4824;
													obj_t BgL_lz00_4823;

													BgL_lz00_4823 = BgL_arg1880z00_2310;
													BgL_rz00_4824 = BgL_arg1882z00_2311;
													BgL_rz00_2299 = BgL_rz00_4824;
													BgL_lz00_2298 = BgL_lz00_4823;
													goto BgL_zc3z04anonymousza31872ze3z87_2300;
												}
											}
									}
							}
						BgL_dz00_2281 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_destz00);
						{	/* SawMill/expr.scm 130 */
							bool_t BgL_test2293z00_4827;

							if (CBOOL(BgL_dz00_2281))
								{	/* SawMill/expr.scm 131 */
									bool_t BgL_test2295z00_4830;

									{	/* SawMill/expr.scm 131 */
										obj_t BgL_arg1868z00_2292;

										{
											BgL_pregz00_bglt BgL_auxz00_4831;

											{
												obj_t BgL_auxz00_4832;

												{	/* SawMill/expr.scm 131 */
													BgL_objectz00_bglt BgL_tmpz00_4833;

													BgL_tmpz00_4833 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2281));
													BgL_auxz00_4832 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4833);
												}
												BgL_auxz00_4831 = ((BgL_pregz00_bglt) BgL_auxz00_4832);
											}
											BgL_arg1868z00_2292 =
												(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4831))->
												BgL_statusz00);
										}
										BgL_test2295z00_4830 =
											(BgL_arg1868z00_2292 == CNST_TABLE_REF(((long) 18)));
									}
									if (BgL_test2295z00_4830)
										{	/* SawMill/expr.scm 132 */
											bool_t BgL_test2296z00_4841;

											{	/* SawMill/expr.scm 132 */
												BgL_rtl_funz00_bglt BgL_arg1867z00_2291;

												BgL_arg1867z00_2291 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_102)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 132 */
													obj_t BgL_classz00_3316;

													BgL_classz00_3316 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 132 */
														BgL_objectz00_bglt BgL_arg1820z00_3318;

														{	/* SawMill/expr.scm 132 */
															obj_t BgL_tmpz00_4844;

															BgL_tmpz00_4844 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1867z00_2291));
															BgL_arg1820z00_3318 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4844);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/expr.scm 132 */
																long BgL_idxz00_3324;

																BgL_idxz00_3324 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3318);
																BgL_test2296z00_4841 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3324 + ((long) 2))) ==
																	BgL_classz00_3316);
															}
														else
															{	/* SawMill/expr.scm 132 */
																bool_t BgL_res2137z00_3346;

																{	/* SawMill/expr.scm 132 */
																	obj_t BgL_oclassz00_3332;

																	{	/* SawMill/expr.scm 132 */
																		long BgL_arg1828z00_3338;

																		{	/* SawMill/expr.scm 132 */
																			long BgL_arg1829z00_3339;

																			BgL_arg1829z00_3339 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3318);
																			BgL_arg1828z00_3338 =
																				(BgL_arg1829z00_3339 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3332 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3338);
																	}
																	{	/* SawMill/expr.scm 132 */
																		bool_t BgL__ortest_1111z00_3333;

																		BgL__ortest_1111z00_3333 =
																			(BgL_classz00_3316 == BgL_oclassz00_3332);
																		if (BgL__ortest_1111z00_3333)
																			{	/* SawMill/expr.scm 132 */
																				BgL_res2137z00_3346 =
																					BgL__ortest_1111z00_3333;
																			}
																		else
																			{	/* SawMill/expr.scm 132 */
																				long BgL_odepthz00_3334;

																				BgL_odepthz00_3334 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3332);
																				if ((((long) 2) < BgL_odepthz00_3334))
																					{	/* SawMill/expr.scm 132 */
																						obj_t BgL_arg1816z00_3336;

																						BgL_arg1816z00_3336 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3332, ((long) 2));
																						BgL_res2137z00_3346 =
																							(BgL_arg1816z00_3336 ==
																							BgL_classz00_3316);
																					}
																				else
																					{	/* SawMill/expr.scm 132 */
																						BgL_res2137z00_3346 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2296z00_4841 = BgL_res2137z00_3346;
															}
													}
												}
											}
											if (BgL_test2296z00_4841)
												{	/* SawMill/expr.scm 132 */
													BgL_test2293z00_4827 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 132 */
													BgL_test2293z00_4827 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 131 */
											BgL_test2293z00_4827 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 130 */
									BgL_test2293z00_4827 = ((bool_t) 0);
								}
							if (BgL_test2293z00_4827)
								{	/* SawMill/expr.scm 130 */
									return MAKE_YOUNG_PAIR(BgL_insz00_102, BgL_rz00_2280);
								}
							else
								{	/* SawMill/expr.scm 130 */
									return BgL_rz00_2280;
								}
						}
					}
				}
			}
		}

	}



/* analyse */
	obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_103,
		obj_t BgL_movingz00_104, obj_t BgL_insz00_105)
	{
		{	/* SawMill/expr.scm 137 */
			{	/* SawMill/expr.scm 139 */
				obj_t BgL_inszd2effectzd2_2319;
				obj_t BgL_argsz00_2320;

				{	/* SawMill/expr.scm 139 */
					BgL_rtl_funz00_bglt BgL_arg1919z00_2366;

					BgL_arg1919z00_2366 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_funz00);
					BgL_inszd2effectzd2_2319 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1919z00_2366);
				}
				BgL_argsz00_2320 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2346;
					obj_t BgL_rz00_2347;
					obj_t BgL_treez00_2336;
					obj_t BgL_posz00_2337;

					{	/* SawMill/expr.scm 157 */
						obj_t BgL_rz00_2323;
						obj_t BgL_dz00_2324;

						BgL_lz00_2346 = BgL_movingz00_104;
						BgL_rz00_2347 = BNIL;
					BgL_zc3z04anonymousza31904ze3z87_2348:
						if (NULLP(BgL_lz00_2346))
							{	/* SawMill/expr.scm 147 */
								BgL_rz00_2323 = BgL_rz00_2347;
							}
						else
							{	/* SawMill/expr.scm 148 */
								obj_t BgL_g1220z00_2350;

								BgL_g1220z00_2350 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2346)))))->BgL_destz00),
									BgL_argsz00_2320);
								if (CBOOL(BgL_g1220z00_2350))
									{	/* SawMill/expr.scm 148 */
										{	/* SawMill/expr.scm 150 */
											obj_t BgL_arg1906z00_2353;

											BgL_arg1906z00_2353 = CAR(((obj_t) BgL_lz00_2346));
											BgL_treez00_2336 = BgL_arg1906z00_2353;
											BgL_posz00_2337 = BgL_g1220z00_2350;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_103, BgL_insz00_105, BgL_treez00_2336)))
												{	/* SawMill/expr.scm 141 */
													{	/* SawMill/expr.scm 143 */
														obj_t BgL_tmpz00_4884;

														BgL_tmpz00_4884 = ((obj_t) BgL_posz00_2337);
														SET_CAR(BgL_tmpz00_4884, BgL_treez00_2336);
													}
													{	/* SawMill/expr.scm 144 */
														bool_t BgL_test2303z00_4887;

														{	/* SawMill/expr.scm 144 */
															obj_t BgL_classz00_3350;

															BgL_classz00_3350 = BGl_inlinedz00zzsaw_exprz00;
															if (BGL_OBJECTP(BgL_treez00_2336))
																{	/* SawMill/expr.scm 144 */
																	obj_t BgL_oclassz00_3352;

																	{	/* SawMill/expr.scm 144 */
																		long BgL_arg1828z00_3354;

																		{	/* SawMill/expr.scm 144 */
																			long BgL_arg1829z00_3355;

																			BgL_arg1829z00_3355 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt)
																					BgL_treez00_2336));
																			BgL_arg1828z00_3354 =
																				(BgL_arg1829z00_3355 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3352 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3354);
																	}
																	BgL_test2303z00_4887 =
																		(BgL_oclassz00_3352 == BgL_classz00_3350);
																}
															else
																{	/* SawMill/expr.scm 144 */
																	BgL_test2303z00_4887 = ((bool_t) 0);
																}
														}
														if (BgL_test2303z00_4887)
															{	/* SawMill/expr.scm 144 */
																BFALSE;
															}
														else
															{	/* SawMill/expr.scm 144 */
																{	/* SawMill/expr.scm 144 */
																	BgL_inlinedz00_bglt BgL_wide1218z00_2343;

																	BgL_wide1218z00_2343 =
																		((BgL_inlinedz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_inlinedz00_bgl))));
																	{	/* SawMill/expr.scm 144 */
																		obj_t BgL_auxz00_4900;
																		BgL_objectz00_bglt BgL_tmpz00_4896;

																		BgL_auxz00_4900 =
																			((obj_t) BgL_wide1218z00_2343);
																		BgL_tmpz00_4896 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_treez00_2336)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4896,
																			BgL_auxz00_4900);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2336)));
																	{	/* SawMill/expr.scm 144 */
																		long BgL_arg1903z00_2344;

																		BgL_arg1903z00_2344 =
																			BGL_CLASS_NUM
																			(BGl_inlinedz00zzsaw_exprz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_rtl_insz00_bglt) (
																						(BgL_rtl_insz00_bglt)
																						BgL_treez00_2336))),
																			BgL_arg1903z00_2344);
																	}
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2336)));
																}
																((obj_t)
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_treez00_2336)));
												}}}
											else
												{	/* SawMill/expr.scm 141 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 151 */
											obj_t BgL_arg1907z00_2354;

											BgL_arg1907z00_2354 = CDR(((obj_t) BgL_lz00_2346));
											{
												obj_t BgL_lz00_4919;

												BgL_lz00_4919 = BgL_arg1907z00_2354;
												BgL_lz00_2346 = BgL_lz00_4919;
												goto BgL_zc3z04anonymousza31904ze3z87_2348;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 152 */
										bool_t BgL_test2305z00_4920;

										{	/* SawMill/expr.scm 152 */
											obj_t BgL_arg1916z00_2361;

											BgL_arg1916z00_2361 = CAR(((obj_t) BgL_lz00_2346));
											BgL_test2305z00_4920 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1916z00_2361,
													BgL_insz00_105, BgL_inszd2effectzd2_2319));
										}
										if (BgL_test2305z00_4920)
											{	/* SawMill/expr.scm 154 */
												obj_t BgL_arg1910z00_2357;

												BgL_arg1910z00_2357 = CDR(((obj_t) BgL_lz00_2346));
												{
													obj_t BgL_lz00_4927;

													BgL_lz00_4927 = BgL_arg1910z00_2357;
													BgL_lz00_2346 = BgL_lz00_4927;
													goto BgL_zc3z04anonymousza31904ze3z87_2348;
												}
											}
										else
											{	/* SawMill/expr.scm 155 */
												obj_t BgL_arg1912z00_2358;
												obj_t BgL_arg1914z00_2359;

												BgL_arg1912z00_2358 = CDR(((obj_t) BgL_lz00_2346));
												{	/* SawMill/expr.scm 155 */
													obj_t BgL_arg1915z00_2360;

													BgL_arg1915z00_2360 = CAR(((obj_t) BgL_lz00_2346));
													BgL_arg1914z00_2359 =
														MAKE_YOUNG_PAIR(BgL_arg1915z00_2360, BgL_rz00_2347);
												}
												{
													obj_t BgL_rz00_4934;
													obj_t BgL_lz00_4933;

													BgL_lz00_4933 = BgL_arg1912z00_2358;
													BgL_rz00_4934 = BgL_arg1914z00_2359;
													BgL_rz00_2347 = BgL_rz00_4934;
													BgL_lz00_2346 = BgL_lz00_4933;
													goto BgL_zc3z04anonymousza31904ze3z87_2348;
												}
											}
									}
							}
						BgL_dz00_2324 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_destz00);
						{	/* SawMill/expr.scm 159 */
							bool_t BgL_test2306z00_4937;

							if (CBOOL(BgL_dz00_2324))
								{	/* SawMill/expr.scm 160 */
									bool_t BgL_test2308z00_4940;

									{	/* SawMill/expr.scm 160 */
										obj_t BgL_arg1899z00_2335;

										{
											BgL_iregz00_bglt BgL_auxz00_4941;

											{
												obj_t BgL_auxz00_4942;

												{	/* SawMill/expr.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_4943;

													BgL_tmpz00_4943 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2324));
													BgL_auxz00_4942 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4943);
												}
												BgL_auxz00_4941 = ((BgL_iregz00_bglt) BgL_auxz00_4942);
											}
											BgL_arg1899z00_2335 =
												(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4941))->
												BgL_statusz00);
										}
										BgL_test2308z00_4940 =
											(BgL_arg1899z00_2335 == CNST_TABLE_REF(((long) 18)));
									}
									if (BgL_test2308z00_4940)
										{	/* SawMill/expr.scm 161 */
											bool_t BgL_test2309z00_4951;

											{	/* SawMill/expr.scm 161 */
												BgL_rtl_funz00_bglt BgL_arg1898z00_2334;

												BgL_arg1898z00_2334 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_105)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 161 */
													obj_t BgL_classz00_3378;

													BgL_classz00_3378 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 161 */
														BgL_objectz00_bglt BgL_arg1820z00_3380;

														{	/* SawMill/expr.scm 161 */
															obj_t BgL_tmpz00_4954;

															BgL_tmpz00_4954 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1898z00_2334));
															BgL_arg1820z00_3380 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4954);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/expr.scm 161 */
																long BgL_idxz00_3386;

																BgL_idxz00_3386 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3380);
																BgL_test2309z00_4951 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3386 + ((long) 2))) ==
																	BgL_classz00_3378);
															}
														else
															{	/* SawMill/expr.scm 161 */
																bool_t BgL_res2138z00_3408;

																{	/* SawMill/expr.scm 161 */
																	obj_t BgL_oclassz00_3394;

																	{	/* SawMill/expr.scm 161 */
																		long BgL_arg1828z00_3400;

																		{	/* SawMill/expr.scm 161 */
																			long BgL_arg1829z00_3401;

																			BgL_arg1829z00_3401 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3380);
																			BgL_arg1828z00_3400 =
																				(BgL_arg1829z00_3401 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3394 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3400);
																	}
																	{	/* SawMill/expr.scm 161 */
																		bool_t BgL__ortest_1111z00_3395;

																		BgL__ortest_1111z00_3395 =
																			(BgL_classz00_3378 == BgL_oclassz00_3394);
																		if (BgL__ortest_1111z00_3395)
																			{	/* SawMill/expr.scm 161 */
																				BgL_res2138z00_3408 =
																					BgL__ortest_1111z00_3395;
																			}
																		else
																			{	/* SawMill/expr.scm 161 */
																				long BgL_odepthz00_3396;

																				BgL_odepthz00_3396 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3394);
																				if ((((long) 2) < BgL_odepthz00_3396))
																					{	/* SawMill/expr.scm 161 */
																						obj_t BgL_arg1816z00_3398;

																						BgL_arg1816z00_3398 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3394, ((long) 2));
																						BgL_res2138z00_3408 =
																							(BgL_arg1816z00_3398 ==
																							BgL_classz00_3378);
																					}
																				else
																					{	/* SawMill/expr.scm 161 */
																						BgL_res2138z00_3408 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2309z00_4951 = BgL_res2138z00_3408;
															}
													}
												}
											}
											if (BgL_test2309z00_4951)
												{	/* SawMill/expr.scm 161 */
													BgL_test2306z00_4937 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 161 */
													BgL_test2306z00_4937 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 160 */
											BgL_test2306z00_4937 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 159 */
									BgL_test2306z00_4937 = ((bool_t) 0);
								}
							if (BgL_test2306z00_4937)
								{	/* SawMill/expr.scm 159 */
									return MAKE_YOUNG_PAIR(BgL_insz00_105, BgL_rz00_2323);
								}
							else
								{	/* SawMill/expr.scm 159 */
									return BgL_rz00_2323;
								}
						}
					}
				}
			}
		}

	}



/* xx */
	obj_t BGl_xxz00zzsaw_exprz00(obj_t BgL_moverz00_112, obj_t BgL_insz00_113,
		obj_t BgL_inszd2effectszd2_114)
	{
		{	/* SawMill/expr.scm 177 */
			{	/* SawMill/expr.scm 178 */
				obj_t BgL__ortest_1222z00_2368;

				BgL__ortest_1222z00_2368 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_113)))->BgL_destz00),
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_argsz00));
				if (CBOOL(BgL__ortest_1222z00_2368))
					{	/* SawMill/expr.scm 178 */
						return BgL__ortest_1222z00_2368;
					}
				else
					{	/* SawMill/expr.scm 179 */
						bool_t BgL__ortest_1223z00_2369;

						{	/* SawMill/expr.scm 179 */
							obj_t BgL_arg1931z00_2394;

							{	/* SawMill/expr.scm 179 */
								BgL_rtl_funz00_bglt BgL_arg1932z00_2395;

								BgL_arg1932z00_2395 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_funz00);
								BgL_arg1931z00_2394 =
									BGl_effectsz00zzsaw_exprz00(BgL_arg1932z00_2395);
							}
							BgL__ortest_1223z00_2369 =
								BGl_matcheffectz00zzsaw_exprz00(BgL_arg1931z00_2394,
								BgL_inszd2effectszd2_114);
						}
						if (BgL__ortest_1223z00_2369)
							{	/* SawMill/expr.scm 179 */
								return BBOOL(BgL__ortest_1223z00_2369);
							}
						else
							{	/* SawMill/expr.scm 180 */
								obj_t BgL_g1583z00_2370;

								{	/* SawMill/expr.scm 181 */
									obj_t BgL_hook1579z00_2379;

									BgL_hook1579z00_2379 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{	/* SawMill/expr.scm 181 */
										obj_t BgL_g1580z00_2380;

										BgL_g1580z00_2380 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->
											BgL_argsz00);
										{
											obj_t BgL_l1576z00_2382;
											obj_t BgL_h1577z00_2383;

											BgL_l1576z00_2382 = BgL_g1580z00_2380;
											BgL_h1577z00_2383 = BgL_hook1579z00_2379;
										BgL_zc3z04anonymousza31923ze3z87_2384:
											if (NULLP(BgL_l1576z00_2382))
												{	/* SawMill/expr.scm 181 */
													BgL_g1583z00_2370 = CDR(BgL_hook1579z00_2379);
												}
											else
												{	/* SawMill/expr.scm 181 */
													bool_t BgL_test2316z00_4994;

													{	/* SawMill/expr.scm 181 */
														obj_t BgL_arg1930z00_2392;

														BgL_arg1930z00_2392 =
															CAR(((obj_t) BgL_l1576z00_2382));
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_classz00_3416;

															BgL_classz00_3416 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg1930z00_2392))
																{	/* SawMill/expr.scm 181 */
																	BgL_objectz00_bglt BgL_arg1820z00_3418;

																	BgL_arg1820z00_3418 =
																		(BgL_objectz00_bglt) (BgL_arg1930z00_2392);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* SawMill/expr.scm 181 */
																			long BgL_idxz00_3424;

																			BgL_idxz00_3424 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_3418);
																			BgL_test2316z00_4994 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3424 + ((long) 1))) ==
																				BgL_classz00_3416);
																		}
																	else
																		{	/* SawMill/expr.scm 181 */
																			bool_t BgL_res2139z00_3446;

																			{	/* SawMill/expr.scm 181 */
																				obj_t BgL_oclassz00_3432;

																				{	/* SawMill/expr.scm 181 */
																					long BgL_arg1828z00_3438;

																					{	/* SawMill/expr.scm 181 */
																						long BgL_arg1829z00_3439;

																						BgL_arg1829z00_3439 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_3418);
																						BgL_arg1828z00_3438 =
																							(BgL_arg1829z00_3439 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3432 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_3438);
																				}
																				{	/* SawMill/expr.scm 181 */
																					bool_t BgL__ortest_1111z00_3433;

																					BgL__ortest_1111z00_3433 =
																						(BgL_classz00_3416 ==
																						BgL_oclassz00_3432);
																					if (BgL__ortest_1111z00_3433)
																						{	/* SawMill/expr.scm 181 */
																							BgL_res2139z00_3446 =
																								BgL__ortest_1111z00_3433;
																						}
																					else
																						{	/* SawMill/expr.scm 181 */
																							long BgL_odepthz00_3434;

																							BgL_odepthz00_3434 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3432);
																							if ((((long) 1) <
																									BgL_odepthz00_3434))
																								{	/* SawMill/expr.scm 181 */
																									obj_t BgL_arg1816z00_3436;

																									BgL_arg1816z00_3436 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3432,
																										((long) 1));
																									BgL_res2139z00_3446 =
																										(BgL_arg1816z00_3436 ==
																										BgL_classz00_3416);
																								}
																							else
																								{	/* SawMill/expr.scm 181 */
																									BgL_res2139z00_3446 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2316z00_4994 =
																				BgL_res2139z00_3446;
																		}
																}
															else
																{	/* SawMill/expr.scm 181 */
																	BgL_test2316z00_4994 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2316z00_4994)
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_nh1578z00_2388;

															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1928z00_2390;

																BgL_arg1928z00_2390 =
																	CAR(((obj_t) BgL_l1576z00_2382));
																BgL_nh1578z00_2388 =
																	MAKE_YOUNG_PAIR(BgL_arg1928z00_2390, BNIL);
															}
															SET_CDR(BgL_h1577z00_2383, BgL_nh1578z00_2388);
															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1927z00_2389;

																BgL_arg1927z00_2389 =
																	CDR(((obj_t) BgL_l1576z00_2382));
																{
																	obj_t BgL_h1577z00_5023;
																	obj_t BgL_l1576z00_5022;

																	BgL_l1576z00_5022 = BgL_arg1927z00_2389;
																	BgL_h1577z00_5023 = BgL_nh1578z00_2388;
																	BgL_h1577z00_2383 = BgL_h1577z00_5023;
																	BgL_l1576z00_2382 = BgL_l1576z00_5022;
																	goto BgL_zc3z04anonymousza31923ze3z87_2384;
																}
															}
														}
													else
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_arg1929z00_2391;

															BgL_arg1929z00_2391 =
																CDR(((obj_t) BgL_l1576z00_2382));
															{
																obj_t BgL_l1576z00_5026;

																BgL_l1576z00_5026 = BgL_arg1929z00_2391;
																BgL_l1576z00_2382 = BgL_l1576z00_5026;
																goto BgL_zc3z04anonymousza31923ze3z87_2384;
															}
														}
												}
										}
									}
								}
								{
									obj_t BgL_l1581z00_2372;

									BgL_l1581z00_2372 = BgL_g1583z00_2370;
								BgL_zc3z04anonymousza31920ze3z87_2373:
									if (NULLP(BgL_l1581z00_2372))
										{	/* SawMill/expr.scm 181 */
											return BFALSE;
										}
									else
										{	/* SawMill/expr.scm 180 */
											obj_t BgL__ortest_1584z00_2375;

											{	/* SawMill/expr.scm 180 */
												obj_t BgL_subz00_2377;

												BgL_subz00_2377 = CAR(((obj_t) BgL_l1581z00_2372));
												BgL__ortest_1584z00_2375 =
													BGl_xxz00zzsaw_exprz00(BgL_subz00_2377,
													BgL_insz00_113, BgL_inszd2effectszd2_114);
											}
											if (CBOOL(BgL__ortest_1584z00_2375))
												{	/* SawMill/expr.scm 181 */
													return BgL__ortest_1584z00_2375;
												}
											else
												{	/* SawMill/expr.scm 181 */
													obj_t BgL_arg1922z00_2376;

													BgL_arg1922z00_2376 =
														CDR(((obj_t) BgL_l1581z00_2372));
													{
														obj_t BgL_l1581z00_5036;

														BgL_l1581z00_5036 = BgL_arg1922z00_2376;
														BgL_l1581z00_2372 = BgL_l1581z00_5036;
														goto BgL_zc3z04anonymousza31920ze3z87_2373;
													}
												}
										}
								}
							}
					}
			}
		}

	}



/* matcheffect */
	bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t BgL_f1z00_115,
		obj_t BgL_f2z00_116)
	{
		{	/* SawMill/expr.scm 199 */
			{	/* SawMill/expr.scm 210 */
				obj_t BgL_w1z00_2400;
				obj_t BgL_w2z00_2401;

				BgL_w1z00_2400 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_writez00);
				BgL_w2z00_2401 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_writez00);
				{	/* SawMill/expr.scm 211 */
					bool_t BgL__ortest_1224z00_2402;

					BgL__ortest_1224z00_2402 =
						BGl_intersectionzf3ze70z14zzsaw_exprz00(BgL_w1z00_2400,
						BgL_w2z00_2401);
					if (BgL__ortest_1224z00_2402)
						{	/* SawMill/expr.scm 211 */
							return BgL__ortest_1224z00_2402;
						}
					else
						{	/* SawMill/expr.scm 212 */
							bool_t BgL__ortest_1225z00_2403;

							BgL__ortest_1225z00_2403 =
								BGl_intersectionzf3ze70z14zzsaw_exprz00(
								(((BgL_feffectz00_bglt) COBJECT(
											((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_readz00),
								BgL_w2z00_2401);
							if (BgL__ortest_1225z00_2403)
								{	/* SawMill/expr.scm 212 */
									return BgL__ortest_1225z00_2403;
								}
							else
								{	/* SawMill/expr.scm 212 */
									BGL_TAIL return
										BGl_intersectionzf3ze70z14zzsaw_exprz00(
										(((BgL_feffectz00_bglt) COBJECT(
													((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_readz00),
										BgL_w1z00_2400);
								}
						}
				}
			}
		}

	}



/* intersection?~0 */
	bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t BgL_l1z00_2414,
		obj_t BgL_l2z00_2415)
	{
		{	/* SawMill/expr.scm 209 */
			{
				obj_t BgL_l1z00_2406;
				obj_t BgL_l2z00_2407;

				if (NULLP(BgL_l1z00_2414))
					{	/* SawMill/expr.scm 205 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/expr.scm 205 */
						if (NULLP(BgL_l2z00_2415))
							{	/* SawMill/expr.scm 206 */
								return ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 206 */
								if ((BgL_l1z00_2414 == CNST_TABLE_REF(((long) 4))))
									{	/* SawMill/expr.scm 207 */
										return ((bool_t) 1);
									}
								else
									{	/* SawMill/expr.scm 207 */
										if ((BgL_l2z00_2415 == CNST_TABLE_REF(((long) 4))))
											{	/* SawMill/expr.scm 208 */
												return ((bool_t) 1);
											}
										else
											{	/* SawMill/expr.scm 208 */
												BgL_l1z00_2406 = BgL_l1z00_2414;
												BgL_l2z00_2407 = BgL_l2z00_2415;
											BgL_zc3z04anonymousza31938ze3z87_2408:
												if (NULLP(BgL_l1z00_2406))
													{	/* SawMill/expr.scm 201 */
														return ((bool_t) 0);
													}
												else
													{	/* SawMill/expr.scm 201 */
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CAR(((obj_t) BgL_l1z00_2406)),
																	BgL_l2z00_2407)))
															{	/* SawMill/expr.scm 202 */
																return ((bool_t) 1);
															}
														else
															{
																obj_t BgL_l1z00_5067;

																BgL_l1z00_5067 = CDR(((obj_t) BgL_l1z00_2406));
																BgL_l1z00_2406 = BgL_l1z00_5067;
																goto BgL_zc3z04anonymousza31938ze3z87_2408;
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* manu-effect */
	obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt BgL_varz00_133)
	{
		{	/* SawMill/expr.scm 252 */
			{	/* SawMill/expr.scm 253 */
				BgL_valuez00_bglt BgL_funz00_2423;

				BgL_funz00_2423 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_133)))->BgL_valuez00);
				{	/* SawMill/expr.scm 254 */
					bool_t BgL_test2331z00_5072;

					{	/* SawMill/expr.scm 254 */
						obj_t BgL_classz00_3465;

						BgL_classz00_3465 = BGl_funz00zzast_varz00;
						{	/* SawMill/expr.scm 254 */
							BgL_objectz00_bglt BgL_arg1820z00_3467;

							{	/* SawMill/expr.scm 254 */
								obj_t BgL_tmpz00_5073;

								BgL_tmpz00_5073 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2423));
								BgL_arg1820z00_3467 = (BgL_objectz00_bglt) (BgL_tmpz00_5073);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/expr.scm 254 */
									long BgL_idxz00_3473;

									BgL_idxz00_3473 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3467);
									BgL_test2331z00_5072 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3473 + ((long) 2))) == BgL_classz00_3465);
								}
							else
								{	/* SawMill/expr.scm 254 */
									bool_t BgL_res2140z00_3495;

									{	/* SawMill/expr.scm 254 */
										obj_t BgL_oclassz00_3481;

										{	/* SawMill/expr.scm 254 */
											long BgL_arg1828z00_3487;

											{	/* SawMill/expr.scm 254 */
												long BgL_arg1829z00_3488;

												BgL_arg1829z00_3488 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3467);
												BgL_arg1828z00_3487 =
													(BgL_arg1829z00_3488 - OBJECT_TYPE);
											}
											BgL_oclassz00_3481 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_3487);
										}
										{	/* SawMill/expr.scm 254 */
											bool_t BgL__ortest_1111z00_3482;

											BgL__ortest_1111z00_3482 =
												(BgL_classz00_3465 == BgL_oclassz00_3481);
											if (BgL__ortest_1111z00_3482)
												{	/* SawMill/expr.scm 254 */
													BgL_res2140z00_3495 = BgL__ortest_1111z00_3482;
												}
											else
												{	/* SawMill/expr.scm 254 */
													long BgL_odepthz00_3483;

													BgL_odepthz00_3483 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3481);
													if ((((long) 2) < BgL_odepthz00_3483))
														{	/* SawMill/expr.scm 254 */
															obj_t BgL_arg1816z00_3485;

															BgL_arg1816z00_3485 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3481,
																((long) 2));
															BgL_res2140z00_3495 =
																(BgL_arg1816z00_3485 == BgL_classz00_3465);
														}
													else
														{	/* SawMill/expr.scm 254 */
															BgL_res2140z00_3495 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2331z00_5072 = BgL_res2140z00_3495;
								}
						}
					}
					if (BgL_test2331z00_5072)
						{	/* SawMill/expr.scm 255 */
							obj_t BgL_effectz00_2425;

							BgL_effectz00_2425 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_2423)))->BgL_effectz00);
							{	/* SawMill/expr.scm 256 */
								bool_t BgL_test2335z00_5095;

								{	/* SawMill/expr.scm 256 */
									obj_t BgL_classz00_3497;

									BgL_classz00_3497 = BGl_feffectz00zzast_varz00;
									if (BGL_OBJECTP(BgL_effectz00_2425))
										{	/* SawMill/expr.scm 256 */
											BgL_objectz00_bglt BgL_arg1820z00_3499;

											BgL_arg1820z00_3499 =
												(BgL_objectz00_bglt) (BgL_effectz00_2425);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/expr.scm 256 */
													long BgL_idxz00_3505;

													BgL_idxz00_3505 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3499);
													BgL_test2335z00_5095 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3505 + ((long) 1))) ==
														BgL_classz00_3497);
												}
											else
												{	/* SawMill/expr.scm 256 */
													bool_t BgL_res2141z00_3527;

													{	/* SawMill/expr.scm 256 */
														obj_t BgL_oclassz00_3513;

														{	/* SawMill/expr.scm 256 */
															long BgL_arg1828z00_3519;

															{	/* SawMill/expr.scm 256 */
																long BgL_arg1829z00_3520;

																BgL_arg1829z00_3520 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3499);
																BgL_arg1828z00_3519 =
																	(BgL_arg1829z00_3520 - OBJECT_TYPE);
															}
															BgL_oclassz00_3513 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_3519);
														}
														{	/* SawMill/expr.scm 256 */
															bool_t BgL__ortest_1111z00_3514;

															BgL__ortest_1111z00_3514 =
																(BgL_classz00_3497 == BgL_oclassz00_3513);
															if (BgL__ortest_1111z00_3514)
																{	/* SawMill/expr.scm 256 */
																	BgL_res2141z00_3527 =
																		BgL__ortest_1111z00_3514;
																}
															else
																{	/* SawMill/expr.scm 256 */
																	long BgL_odepthz00_3515;

																	BgL_odepthz00_3515 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3513);
																	if ((((long) 1) < BgL_odepthz00_3515))
																		{	/* SawMill/expr.scm 256 */
																			obj_t BgL_arg1816z00_3517;

																			BgL_arg1816z00_3517 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3513, ((long) 1));
																			BgL_res2141z00_3527 =
																				(BgL_arg1816z00_3517 ==
																				BgL_classz00_3497);
																		}
																	else
																		{	/* SawMill/expr.scm 256 */
																			BgL_res2141z00_3527 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2335z00_5095 = BgL_res2141z00_3527;
												}
										}
									else
										{	/* SawMill/expr.scm 256 */
											BgL_test2335z00_5095 = ((bool_t) 0);
										}
								}
								if (BgL_test2335z00_5095)
									{	/* SawMill/expr.scm 256 */
										return BgL_effectz00_2425;
									}
								else
									{	/* SawMill/expr.scm 256 */
										CNST_TABLE_REF(((long) 20));
										return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
									}
							}
						}
					else
						{	/* SawMill/expr.scm 254 */
							return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 12 */
				obj_t BgL_arg1955z00_2431;
				obj_t BgL_arg1956z00_2432;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1585z00_2461;

					BgL_v1585z00_2461 = create_vector(((long) 2));
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1967z00_2462;

						BgL_arg1967z00_2462 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2159z00zzsaw_exprz00,
							BGl_proc2158z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1585z00_2461, ((long) 0), BgL_arg1967z00_2462);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1972z00_2472;

						BgL_arg1972z00_2472 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2161z00zzsaw_exprz00,
							BGl_proc2160z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1585z00_2461, ((long) 1), BgL_arg1972z00_2472);
					}
					BgL_arg1955z00_2431 = BgL_v1585z00_2461;
				}
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1586z00_2482;

					BgL_v1586z00_2482 = create_vector(((long) 0));
					BgL_arg1956z00_2432 = BgL_v1586z00_2482;
				}
				BGl_iregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 25)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 43135), BGl_proc2165z00zzsaw_exprz00,
					BGl_proc2164z00zzsaw_exprz00, BFALSE, BGl_proc2163z00zzsaw_exprz00,
					BGl_proc2162z00zzsaw_exprz00, BgL_arg1955z00_2431,
					BgL_arg1956z00_2432);
			}
			{	/* SawMill/expr.scm 13 */
				obj_t BgL_arg1981z00_2491;
				obj_t BgL_arg1982z00_2492;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1587z00_2521;

					BgL_v1587z00_2521 = create_vector(((long) 2));
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1993z00_2522;

						BgL_arg1993z00_2522 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2167z00zzsaw_exprz00,
							BGl_proc2166z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1587z00_2521, ((long) 0), BgL_arg1993z00_2522);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1998z00_2532;

						BgL_arg1998z00_2532 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2169z00zzsaw_exprz00,
							BGl_proc2168z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1587z00_2521, ((long) 1), BgL_arg1998z00_2532);
					}
					BgL_arg1981z00_2491 = BgL_v1587z00_2521;
				}
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1588z00_2542;

					BgL_v1588z00_2542 = create_vector(((long) 0));
					BgL_arg1982z00_2492 = BgL_v1588z00_2542;
				}
				BGl_pregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 25)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 27384), BGl_proc2173z00zzsaw_exprz00,
					BGl_proc2172z00zzsaw_exprz00, BFALSE, BGl_proc2171z00zzsaw_exprz00,
					BGl_proc2170z00zzsaw_exprz00, BgL_arg1981z00_2491,
					BgL_arg1982z00_2492);
			}
			{	/* SawMill/expr.scm 14 */
				obj_t BgL_arg2007z00_2551;
				obj_t BgL_arg2008z00_2552;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1589z00_2578;

					BgL_v1589z00_2578 = create_vector(((long) 0));
					BgL_arg2007z00_2551 = BgL_v1589z00_2578;
				}
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1590z00_2579;

					BgL_v1590z00_2579 = create_vector(((long) 0));
					BgL_arg2008z00_2552 = BgL_v1590z00_2579;
				}
				return (BGl_inlinedz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
						CNST_TABLE_REF(((long) 25)), BGl_rtl_insz00zzsaw_defsz00,
						((long) 5795), BGl_proc2177z00zzsaw_exprz00,
						BGl_proc2176z00zzsaw_exprz00, BFALSE, BGl_proc2175z00zzsaw_exprz00,
						BGl_proc2174z00zzsaw_exprz00, BgL_arg2007z00_2551,
						BgL_arg2008z00_2552), BUNSPEC);
		}}

	}



/* &lambda2015 */
	BgL_rtl_insz00_bglt BGl_z62lambda2015z62zzsaw_exprz00(obj_t BgL_envz00_3879,
		obj_t BgL_o1187z00_3880)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				long BgL_arg2017z00_4054;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_arg2018z00_4055;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_arg2019z00_4056;

						{	/* SawMill/expr.scm 14 */
							long BgL_arg1828z00_4057;

							{	/* SawMill/expr.scm 14 */
								long BgL_arg1829z00_4058;

								BgL_arg1829z00_4058 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1187z00_3880)));
								BgL_arg1828z00_4057 = (BgL_arg1829z00_4058 - OBJECT_TYPE);
							}
							BgL_arg2019z00_4056 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4057);
						}
						BgL_arg2018z00_4055 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2019z00_4056);
					}
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_tmpz00_5155;

						BgL_tmpz00_5155 = ((obj_t) BgL_arg2018z00_4055);
						BgL_arg2017z00_4054 = BGL_CLASS_NUM(BgL_tmpz00_5155);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1187z00_3880)), BgL_arg2017z00_4054);
			}
			{	/* SawMill/expr.scm 14 */
				BgL_objectz00_bglt BgL_tmpz00_5161;

				BgL_tmpz00_5161 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3880));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5161, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3880));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1187z00_3880));
		}

	}



/* &<@anonymous:2014> */
	obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3881,
		obj_t BgL_new1186z00_3882)
	{
		{	/* SawMill/expr.scm 14 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_5169;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1186z00_3882))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1186z00_3882))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1186z00_3882))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_5179;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_classz00_4060;

						BgL_classz00_4060 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/expr.scm 14 */
							obj_t BgL__ortest_1113z00_4061;

							BgL__ortest_1113z00_4061 = BGL_CLASS_NIL(BgL_classz00_4060);
							if (CBOOL(BgL__ortest_1113z00_4061))
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5179 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1113z00_4061);
								}
							else
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5179 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4060));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1186z00_3882))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_5179), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1186z00_3882))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_5169 = ((BgL_rtl_insz00_bglt) BgL_new1186z00_3882);
				return ((obj_t) BgL_auxz00_5169);
			}
		}

	}



/* &lambda2012 */
	BgL_rtl_insz00_bglt BGl_z62lambda2012z62zzsaw_exprz00(obj_t BgL_envz00_3883,
		obj_t BgL_o1183z00_3884)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_inlinedz00_bglt BgL_wide1185z00_4063;

				BgL_wide1185z00_4063 =
					((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_inlinedz00_bgl))));
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_auxz00_5199;
					BgL_objectz00_bglt BgL_tmpz00_5195;

					BgL_auxz00_5199 = ((obj_t) BgL_wide1185z00_4063);
					BgL_tmpz00_5195 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1183z00_3884)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5195, BgL_auxz00_5199);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1183z00_3884)));
				{	/* SawMill/expr.scm 14 */
					long BgL_arg2013z00_4064;

					BgL_arg2013z00_4064 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1183z00_3884))),
						BgL_arg2013z00_4064);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1183z00_3884)));
			}
		}

	}



/* &lambda2009 */
	BgL_rtl_insz00_bglt BGl_z62lambda2009z62zzsaw_exprz00(obj_t BgL_envz00_3885,
		obj_t BgL_loc1178z00_3886, obj_t BgL_z52spill1179z52_3887,
		obj_t BgL_dest1180z00_3888, obj_t BgL_fun1181z00_3889,
		obj_t BgL_args1182z00_3890)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_rtl_insz00_bglt BgL_new1286z00_4068;

				{	/* SawMill/expr.scm 14 */
					BgL_rtl_insz00_bglt BgL_tmp1283z00_4069;
					BgL_inlinedz00_bglt BgL_wide1284z00_4070;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_5213;

						{	/* SawMill/expr.scm 14 */
							BgL_rtl_insz00_bglt BgL_new1282z00_4071;

							BgL_new1282z00_4071 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/expr.scm 14 */
								long BgL_arg2011z00_4072;

								BgL_arg2011z00_4072 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1282z00_4071),
									BgL_arg2011z00_4072);
							}
							{	/* SawMill/expr.scm 14 */
								BgL_objectz00_bglt BgL_tmpz00_5218;

								BgL_tmpz00_5218 = ((BgL_objectz00_bglt) BgL_new1282z00_4071);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5218, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1282z00_4071);
							BgL_auxz00_5213 = BgL_new1282z00_4071;
						}
						BgL_tmp1283z00_4069 = ((BgL_rtl_insz00_bglt) BgL_auxz00_5213);
					}
					BgL_wide1284z00_4070 =
						((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_inlinedz00_bgl))));
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_auxz00_5226;
						BgL_objectz00_bglt BgL_tmpz00_5224;

						BgL_auxz00_5226 = ((obj_t) BgL_wide1284z00_4070);
						BgL_tmpz00_5224 = ((BgL_objectz00_bglt) BgL_tmp1283z00_4069);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5224, BgL_auxz00_5226);
					}
					((BgL_objectz00_bglt) BgL_tmp1283z00_4069);
					{	/* SawMill/expr.scm 14 */
						long BgL_arg2010z00_4073;

						BgL_arg2010z00_4073 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1283z00_4069), BgL_arg2010z00_4073);
					}
					BgL_new1286z00_4068 = ((BgL_rtl_insz00_bglt) BgL_tmp1283z00_4069);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1286z00_4068)))->BgL_locz00) =
					((obj_t) BgL_loc1178z00_3886), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1286z00_4068)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1179z52_3887)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1286z00_4068)))->BgL_destz00) =
					((obj_t) BgL_dest1180z00_3888), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1286z00_4068)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1181z00_3889)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1286z00_4068)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1182z00_3890)), BUNSPEC);
				return BgL_new1286z00_4068;
			}
		}

	}



/* &lambda1989 */
	BgL_rtl_regz00_bglt BGl_z62lambda1989z62zzsaw_exprz00(obj_t BgL_envz00_3891,
		obj_t BgL_o1176z00_3892)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				long BgL_arg1990z00_4075;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_arg1991z00_4076;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1992z00_4077;

						{	/* SawMill/expr.scm 13 */
							long BgL_arg1828z00_4078;

							{	/* SawMill/expr.scm 13 */
								long BgL_arg1829z00_4079;

								BgL_arg1829z00_4079 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1176z00_3892)));
								BgL_arg1828z00_4078 = (BgL_arg1829z00_4079 - OBJECT_TYPE);
							}
							BgL_arg1992z00_4077 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4078);
						}
						BgL_arg1991z00_4076 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1992z00_4077);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_tmpz00_5253;

						BgL_tmpz00_5253 = ((obj_t) BgL_arg1991z00_4076);
						BgL_arg1990z00_4075 = BGL_CLASS_NUM(BgL_tmpz00_5253);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1176z00_3892)), BgL_arg1990z00_4075);
			}
			{	/* SawMill/expr.scm 13 */
				BgL_objectz00_bglt BgL_tmpz00_5259;

				BgL_tmpz00_5259 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1176z00_3892));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5259, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1176z00_3892));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1176z00_3892));
		}

	}



/* &<@anonymous:1988> */
	obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3893,
		obj_t BgL_new1175z00_3894)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5267;

				{
					BgL_typez00_bglt BgL_auxz00_5268;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_classz00_4081;

						BgL_classz00_4081 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 13 */
							obj_t BgL__ortest_1113z00_4082;

							BgL__ortest_1113z00_4082 = BGL_CLASS_NIL(BgL_classz00_4081);
							if (CBOOL(BgL__ortest_1113z00_4082))
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5268 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4082);
								}
							else
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5268 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4081));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1175z00_3894))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5268), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1175z00_3894))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1175z00_3894))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1175z00_3894))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1175z00_3894))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1175z00_3894))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5293;

					{
						obj_t BgL_auxz00_5294;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5295;

							BgL_tmpz00_5295 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1175z00_3894));
							BgL_auxz00_5294 = BGL_OBJECT_WIDENING(BgL_tmpz00_5295);
						}
						BgL_auxz00_5293 = ((BgL_pregz00_bglt) BgL_auxz00_5294);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5293))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5301;

					{
						obj_t BgL_auxz00_5302;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5303;

							BgL_tmpz00_5303 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1175z00_3894));
							BgL_auxz00_5302 = BGL_OBJECT_WIDENING(BgL_tmpz00_5303);
						}
						BgL_auxz00_5301 = ((BgL_pregz00_bglt) BgL_auxz00_5302);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5301))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5267 = ((BgL_rtl_regz00_bglt) BgL_new1175z00_3894);
				return ((obj_t) BgL_auxz00_5267);
			}
		}

	}



/* &lambda1986 */
	BgL_rtl_regz00_bglt BGl_z62lambda1986z62zzsaw_exprz00(obj_t BgL_envz00_3895,
		obj_t BgL_o1172z00_3896)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_pregz00_bglt BgL_wide1174z00_4084;

				BgL_wide1174z00_4084 =
					((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pregz00_bgl))));
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_auxz00_5316;
					BgL_objectz00_bglt BgL_tmpz00_5312;

					BgL_auxz00_5316 = ((obj_t) BgL_wide1174z00_4084);
					BgL_tmpz00_5312 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1172z00_3896)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5312, BgL_auxz00_5316);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1172z00_3896)));
				{	/* SawMill/expr.scm 13 */
					long BgL_arg1987z00_4085;

					BgL_arg1987z00_4085 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1172z00_3896))),
						BgL_arg1987z00_4085);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1172z00_3896)));
			}
		}

	}



/* &lambda1983 */
	BgL_rtl_regz00_bglt BGl_z62lambda1983z62zzsaw_exprz00(obj_t BgL_envz00_3897,
		obj_t BgL_type1164z00_3898, obj_t BgL_var1165z00_3899,
		obj_t BgL_onexprzf31166zf3_3900, obj_t BgL_name1167z00_3901,
		obj_t BgL_key1168z00_3902, obj_t BgL_hardware1169z00_3903,
		obj_t BgL_index1170z00_3904, obj_t BgL_status1171z00_3905)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_rtl_regz00_bglt BgL_new1280z00_4087;

				{	/* SawMill/expr.scm 13 */
					BgL_rtl_regz00_bglt BgL_tmp1278z00_4088;
					BgL_pregz00_bglt BgL_wide1279z00_4089;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5330;

						{	/* SawMill/expr.scm 13 */
							BgL_rtl_regz00_bglt BgL_new1277z00_4090;

							BgL_new1277z00_4090 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 13 */
								long BgL_arg1985z00_4091;

								BgL_arg1985z00_4091 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1277z00_4090),
									BgL_arg1985z00_4091);
							}
							{	/* SawMill/expr.scm 13 */
								BgL_objectz00_bglt BgL_tmpz00_5335;

								BgL_tmpz00_5335 = ((BgL_objectz00_bglt) BgL_new1277z00_4090);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5335, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1277z00_4090);
							BgL_auxz00_5330 = BgL_new1277z00_4090;
						}
						BgL_tmp1278z00_4088 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5330);
					}
					BgL_wide1279z00_4089 =
						((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pregz00_bgl))));
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_auxz00_5343;
						BgL_objectz00_bglt BgL_tmpz00_5341;

						BgL_auxz00_5343 = ((obj_t) BgL_wide1279z00_4089);
						BgL_tmpz00_5341 = ((BgL_objectz00_bglt) BgL_tmp1278z00_4088);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5341, BgL_auxz00_5343);
					}
					((BgL_objectz00_bglt) BgL_tmp1278z00_4088);
					{	/* SawMill/expr.scm 13 */
						long BgL_arg1984z00_4092;

						BgL_arg1984z00_4092 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1278z00_4088), BgL_arg1984z00_4092);
					}
					BgL_new1280z00_4087 = ((BgL_rtl_regz00_bglt) BgL_tmp1278z00_4088);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1280z00_4087)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1164z00_3898)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1280z00_4087)))->BgL_varz00) =
					((obj_t) BgL_var1165z00_3899), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1280z00_4087)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31166zf3_3900), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1280z00_4087)))->BgL_namez00) =
					((obj_t) BgL_name1167z00_3901), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1280z00_4087)))->BgL_keyz00) =
					((obj_t) BgL_key1168z00_3902), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1280z00_4087)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1169z00_3903), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5364;

					{
						obj_t BgL_auxz00_5365;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5366;

							BgL_tmpz00_5366 = ((BgL_objectz00_bglt) BgL_new1280z00_4087);
							BgL_auxz00_5365 = BGL_OBJECT_WIDENING(BgL_tmpz00_5366);
						}
						BgL_auxz00_5364 = ((BgL_pregz00_bglt) BgL_auxz00_5365);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5364))->BgL_indexz00) =
						((obj_t) BgL_index1170z00_3904), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5371;

					{
						obj_t BgL_auxz00_5372;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5373;

							BgL_tmpz00_5373 = ((BgL_objectz00_bglt) BgL_new1280z00_4087);
							BgL_auxz00_5372 = BGL_OBJECT_WIDENING(BgL_tmpz00_5373);
						}
						BgL_auxz00_5371 = ((BgL_pregz00_bglt) BgL_auxz00_5372);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5371))->BgL_statusz00) =
						((obj_t) BgL_status1171z00_3905), BUNSPEC);
				}
				return BgL_new1280z00_4087;
			}
		}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t BgL_envz00_3906,
		obj_t BgL_oz00_3907, obj_t BgL_vz00_3908)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5378;

				{
					obj_t BgL_auxz00_5379;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5380;

						BgL_tmpz00_5380 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3907));
						BgL_auxz00_5379 = BGL_OBJECT_WIDENING(BgL_tmpz00_5380);
					}
					BgL_auxz00_5378 = ((BgL_pregz00_bglt) BgL_auxz00_5379);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5378))->BgL_statusz00) =
					((obj_t) BgL_vz00_3908), BUNSPEC);
			}
		}

	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t BgL_envz00_3909,
		obj_t BgL_oz00_3910)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5386;

				{
					obj_t BgL_auxz00_5387;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5388;

						BgL_tmpz00_5388 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3910));
						BgL_auxz00_5387 = BGL_OBJECT_WIDENING(BgL_tmpz00_5388);
					}
					BgL_auxz00_5386 = ((BgL_pregz00_bglt) BgL_auxz00_5387);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5386))->BgL_statusz00);
			}
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zzsaw_exprz00(obj_t BgL_envz00_3911,
		obj_t BgL_oz00_3912, obj_t BgL_vz00_3913)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5394;

				{
					obj_t BgL_auxz00_5395;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5396;

						BgL_tmpz00_5396 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3912));
						BgL_auxz00_5395 = BGL_OBJECT_WIDENING(BgL_tmpz00_5396);
					}
					BgL_auxz00_5394 = ((BgL_pregz00_bglt) BgL_auxz00_5395);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5394))->BgL_indexz00) =
					((obj_t) BgL_vz00_3913), BUNSPEC);
			}
		}

	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zzsaw_exprz00(obj_t BgL_envz00_3914,
		obj_t BgL_oz00_3915)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5402;

				{
					obj_t BgL_auxz00_5403;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5404;

						BgL_tmpz00_5404 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3915));
						BgL_auxz00_5403 = BGL_OBJECT_WIDENING(BgL_tmpz00_5404);
					}
					BgL_auxz00_5402 = ((BgL_pregz00_bglt) BgL_auxz00_5403);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5402))->BgL_indexz00);
			}
		}

	}



/* &lambda1963 */
	BgL_rtl_regz00_bglt BGl_z62lambda1963z62zzsaw_exprz00(obj_t BgL_envz00_3916,
		obj_t BgL_o1162z00_3917)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				long BgL_arg1964z00_4098;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_arg1965z00_4099;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1966z00_4100;

						{	/* SawMill/expr.scm 12 */
							long BgL_arg1828z00_4101;

							{	/* SawMill/expr.scm 12 */
								long BgL_arg1829z00_4102;

								BgL_arg1829z00_4102 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1162z00_3917)));
								BgL_arg1828z00_4101 = (BgL_arg1829z00_4102 - OBJECT_TYPE);
							}
							BgL_arg1966z00_4100 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4101);
						}
						BgL_arg1965z00_4099 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1966z00_4100);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_tmpz00_5416;

						BgL_tmpz00_5416 = ((obj_t) BgL_arg1965z00_4099);
						BgL_arg1964z00_4098 = BGL_CLASS_NUM(BgL_tmpz00_5416);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1162z00_3917)), BgL_arg1964z00_4098);
			}
			{	/* SawMill/expr.scm 12 */
				BgL_objectz00_bglt BgL_tmpz00_5422;

				BgL_tmpz00_5422 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1162z00_3917));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5422, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1162z00_3917));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1162z00_3917));
		}

	}



/* &<@anonymous:1962> */
	obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3918,
		obj_t BgL_new1161z00_3919)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5430;

				{
					BgL_typez00_bglt BgL_auxz00_5431;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_classz00_4104;

						BgL_classz00_4104 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 12 */
							obj_t BgL__ortest_1113z00_4105;

							BgL__ortest_1113z00_4105 = BGL_CLASS_NIL(BgL_classz00_4104);
							if (CBOOL(BgL__ortest_1113z00_4105))
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5431 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4105);
								}
							else
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5431 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4104));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1161z00_3919))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5431), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1161z00_3919))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1161z00_3919))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1161z00_3919))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1161z00_3919))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1161z00_3919))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5456;

					{
						obj_t BgL_auxz00_5457;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5458;

							BgL_tmpz00_5458 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1161z00_3919));
							BgL_auxz00_5457 = BGL_OBJECT_WIDENING(BgL_tmpz00_5458);
						}
						BgL_auxz00_5456 = ((BgL_iregz00_bglt) BgL_auxz00_5457);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5456))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5464;

					{
						obj_t BgL_auxz00_5465;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5466;

							BgL_tmpz00_5466 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1161z00_3919));
							BgL_auxz00_5465 = BGL_OBJECT_WIDENING(BgL_tmpz00_5466);
						}
						BgL_auxz00_5464 = ((BgL_iregz00_bglt) BgL_auxz00_5465);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5464))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5430 = ((BgL_rtl_regz00_bglt) BgL_new1161z00_3919);
				return ((obj_t) BgL_auxz00_5430);
			}
		}

	}



/* &lambda1960 */
	BgL_rtl_regz00_bglt BGl_z62lambda1960z62zzsaw_exprz00(obj_t BgL_envz00_3920,
		obj_t BgL_o1158z00_3921)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_iregz00_bglt BgL_wide1160z00_4107;

				BgL_wide1160z00_4107 =
					((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_iregz00_bgl))));
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_auxz00_5479;
					BgL_objectz00_bglt BgL_tmpz00_5475;

					BgL_auxz00_5479 = ((obj_t) BgL_wide1160z00_4107);
					BgL_tmpz00_5475 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1158z00_3921)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5475, BgL_auxz00_5479);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1158z00_3921)));
				{	/* SawMill/expr.scm 12 */
					long BgL_arg1961z00_4108;

					BgL_arg1961z00_4108 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1158z00_3921))),
						BgL_arg1961z00_4108);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1158z00_3921)));
			}
		}

	}



/* &lambda1957 */
	BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_exprz00(obj_t BgL_envz00_3922,
		obj_t BgL_type1150z00_3923, obj_t BgL_var1151z00_3924,
		obj_t BgL_onexprzf31152zf3_3925, obj_t BgL_name1153z00_3926,
		obj_t BgL_key1154z00_3927, obj_t BgL_hardware1155z00_3928,
		obj_t BgL_index1156z00_3929, obj_t BgL_status1157z00_3930)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1275z00_4110;

				{	/* SawMill/expr.scm 12 */
					BgL_rtl_regz00_bglt BgL_tmp1273z00_4111;
					BgL_iregz00_bglt BgL_wide1274z00_4112;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5493;

						{	/* SawMill/expr.scm 12 */
							BgL_rtl_regz00_bglt BgL_new1272z00_4113;

							BgL_new1272z00_4113 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 12 */
								long BgL_arg1959z00_4114;

								BgL_arg1959z00_4114 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1272z00_4113),
									BgL_arg1959z00_4114);
							}
							{	/* SawMill/expr.scm 12 */
								BgL_objectz00_bglt BgL_tmpz00_5498;

								BgL_tmpz00_5498 = ((BgL_objectz00_bglt) BgL_new1272z00_4113);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5498, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1272z00_4113);
							BgL_auxz00_5493 = BgL_new1272z00_4113;
						}
						BgL_tmp1273z00_4111 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5493);
					}
					BgL_wide1274z00_4112 =
						((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_iregz00_bgl))));
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_auxz00_5506;
						BgL_objectz00_bglt BgL_tmpz00_5504;

						BgL_auxz00_5506 = ((obj_t) BgL_wide1274z00_4112);
						BgL_tmpz00_5504 = ((BgL_objectz00_bglt) BgL_tmp1273z00_4111);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5504, BgL_auxz00_5506);
					}
					((BgL_objectz00_bglt) BgL_tmp1273z00_4111);
					{	/* SawMill/expr.scm 12 */
						long BgL_arg1958z00_4115;

						BgL_arg1958z00_4115 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1273z00_4111), BgL_arg1958z00_4115);
					}
					BgL_new1275z00_4110 = ((BgL_rtl_regz00_bglt) BgL_tmp1273z00_4111);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1275z00_4110)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1150z00_3923)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1275z00_4110)))->BgL_varz00) =
					((obj_t) BgL_var1151z00_3924), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1275z00_4110)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31152zf3_3925), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1275z00_4110)))->BgL_namez00) =
					((obj_t) BgL_name1153z00_3926), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1275z00_4110)))->BgL_keyz00) =
					((obj_t) BgL_key1154z00_3927), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1275z00_4110)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1155z00_3928), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5527;

					{
						obj_t BgL_auxz00_5528;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5529;

							BgL_tmpz00_5529 = ((BgL_objectz00_bglt) BgL_new1275z00_4110);
							BgL_auxz00_5528 = BGL_OBJECT_WIDENING(BgL_tmpz00_5529);
						}
						BgL_auxz00_5527 = ((BgL_iregz00_bglt) BgL_auxz00_5528);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5527))->BgL_indexz00) =
						((obj_t) BgL_index1156z00_3929), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5534;

					{
						obj_t BgL_auxz00_5535;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5536;

							BgL_tmpz00_5536 = ((BgL_objectz00_bglt) BgL_new1275z00_4110);
							BgL_auxz00_5535 = BGL_OBJECT_WIDENING(BgL_tmpz00_5536);
						}
						BgL_auxz00_5534 = ((BgL_iregz00_bglt) BgL_auxz00_5535);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5534))->BgL_statusz00) =
						((obj_t) BgL_status1157z00_3930), BUNSPEC);
				}
				return BgL_new1275z00_4110;
			}
		}

	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zzsaw_exprz00(obj_t BgL_envz00_3931,
		obj_t BgL_oz00_3932, obj_t BgL_vz00_3933)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5541;

				{
					obj_t BgL_auxz00_5542;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5543;

						BgL_tmpz00_5543 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3932));
						BgL_auxz00_5542 = BGL_OBJECT_WIDENING(BgL_tmpz00_5543);
					}
					BgL_auxz00_5541 = ((BgL_iregz00_bglt) BgL_auxz00_5542);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5541))->BgL_statusz00) =
					((obj_t) BgL_vz00_3933), BUNSPEC);
			}
		}

	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zzsaw_exprz00(obj_t BgL_envz00_3934,
		obj_t BgL_oz00_3935)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5549;

				{
					obj_t BgL_auxz00_5550;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5551;

						BgL_tmpz00_5551 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3935));
						BgL_auxz00_5550 = BGL_OBJECT_WIDENING(BgL_tmpz00_5551);
					}
					BgL_auxz00_5549 = ((BgL_iregz00_bglt) BgL_auxz00_5550);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5549))->BgL_statusz00);
			}
		}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zzsaw_exprz00(obj_t BgL_envz00_3936,
		obj_t BgL_oz00_3937, obj_t BgL_vz00_3938)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5557;

				{
					obj_t BgL_auxz00_5558;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5559;

						BgL_tmpz00_5559 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3937));
						BgL_auxz00_5558 = BGL_OBJECT_WIDENING(BgL_tmpz00_5559);
					}
					BgL_auxz00_5557 = ((BgL_iregz00_bglt) BgL_auxz00_5558);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5557))->BgL_indexz00) =
					((obj_t) BgL_vz00_3938), BUNSPEC);
			}
		}

	}



/* &lambda1970 */
	obj_t BGl_z62lambda1970z62zzsaw_exprz00(obj_t BgL_envz00_3939,
		obj_t BgL_oz00_3940)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5565;

				{
					obj_t BgL_auxz00_5566;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5567;

						BgL_tmpz00_5567 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3940));
						BgL_auxz00_5566 = BGL_OBJECT_WIDENING(BgL_tmpz00_5567);
					}
					BgL_auxz00_5565 = ((BgL_iregz00_bglt) BgL_auxz00_5566);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5565))->BgL_indexz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
				BGl_proc2178z00zzsaw_exprz00, BGl_backendz00zzbackend_backendz00,
				BGl_string2179z00zzsaw_exprz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_proc2180z00zzsaw_exprz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string2181z00zzsaw_exprz00);
		}

	}



/* &effects1593 */
	obj_t BGl_z62effects1593z62zzsaw_exprz00(obj_t BgL_envz00_3943,
		obj_t BgL_funz00_3944)
	{
		{	/* SawMill/expr.scm 229 */
			return ((obj_t) BGl_za2noeffectza2z00zzsaw_exprz00);
		}

	}



/* &accept-folding?1591 */
	obj_t BGl_z62acceptzd2foldingzf31591z43zzsaw_exprz00(obj_t BgL_envz00_3945,
		obj_t BgL_bz00_3946, obj_t BgL_insz00_3947, obj_t BgL_treez00_3948)
	{
		{	/* SawMill/expr.scm 166 */
			return BBOOL(((bool_t) 1));
		}

	}



/* accept-folding? */
	BGL_EXPORTED_DEF obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_106,
		obj_t BgL_insz00_107, obj_t BgL_treez00_108)
	{
		{	/* SawMill/expr.scm 166 */
			{	/* SawMill/expr.scm 166 */
				obj_t BgL_method1592z00_2594;

				{	/* SawMill/expr.scm 166 */
					obj_t BgL_res2146z00_3656;

					{	/* SawMill/expr.scm 166 */
						long BgL_objzd2classzd2numz00_3627;

						BgL_objzd2classzd2numz00_3627 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* SawMill/expr.scm 166 */
							obj_t BgL_arg1825z00_3628;

							BgL_arg1825z00_3628 =
								PROCEDURE_REF(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
								(int) (((long) 1)));
							{	/* SawMill/expr.scm 166 */
								int BgL_offsetz00_3631;

								BgL_offsetz00_3631 = (int) (BgL_objzd2classzd2numz00_3627);
								{	/* SawMill/expr.scm 166 */
									long BgL_offsetz00_3632;

									BgL_offsetz00_3632 =
										((long) (BgL_offsetz00_3631) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 166 */
										long BgL_modz00_3633;

										BgL_modz00_3633 =
											(BgL_offsetz00_3632 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/expr.scm 166 */
											long BgL_restz00_3635;

											BgL_restz00_3635 =
												(BgL_offsetz00_3632 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/expr.scm 166 */

												{	/* SawMill/expr.scm 166 */
													obj_t BgL_bucketz00_3637;

													BgL_bucketz00_3637 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3628), BgL_modz00_3633);
													BgL_res2146z00_3656 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3637), BgL_restz00_3635);
					}}}}}}}}
					BgL_method1592z00_2594 = BgL_res2146z00_3656;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1592z00_2594)) (BgL_method1592z00_2594,
					((obj_t) BgL_bz00_106), BgL_insz00_107, BgL_treez00_108, BEOA);
			}
		}

	}



/* &accept-folding? */
	obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t BgL_envz00_3949,
		obj_t BgL_bz00_3950, obj_t BgL_insz00_3951, obj_t BgL_treez00_3952)
	{
		{	/* SawMill/expr.scm 166 */
			return
				BGl_acceptzd2foldingzf3z21zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bz00_3950), BgL_insz00_3951,
				BgL_treez00_3952);
		}

	}



/* effects */
	obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt BgL_funz00_117)
	{
		{	/* SawMill/expr.scm 229 */
			{	/* SawMill/expr.scm 229 */
				obj_t BgL_method1594z00_2595;

				{	/* SawMill/expr.scm 229 */
					obj_t BgL_res2151z00_3687;

					{	/* SawMill/expr.scm 229 */
						long BgL_objzd2classzd2numz00_3658;

						BgL_objzd2classzd2numz00_3658 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_117));
						{	/* SawMill/expr.scm 229 */
							obj_t BgL_arg1825z00_3659;

							BgL_arg1825z00_3659 =
								PROCEDURE_REF(BGl_effectszd2envzd2zzsaw_exprz00,
								(int) (((long) 1)));
							{	/* SawMill/expr.scm 229 */
								int BgL_offsetz00_3662;

								BgL_offsetz00_3662 = (int) (BgL_objzd2classzd2numz00_3658);
								{	/* SawMill/expr.scm 229 */
									long BgL_offsetz00_3663;

									BgL_offsetz00_3663 =
										((long) (BgL_offsetz00_3662) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 229 */
										long BgL_modz00_3664;

										BgL_modz00_3664 =
											(BgL_offsetz00_3663 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/expr.scm 229 */
											long BgL_restz00_3666;

											BgL_restz00_3666 =
												(BgL_offsetz00_3663 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/expr.scm 229 */

												{	/* SawMill/expr.scm 229 */
													obj_t BgL_bucketz00_3668;

													BgL_bucketz00_3668 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3659), BgL_modz00_3664);
													BgL_res2151z00_3687 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3668), BgL_restz00_3666);
					}}}}}}}}
					BgL_method1594z00_2595 = BgL_res2151z00_3687;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1594z00_2595)) (BgL_method1594z00_2595,
					((obj_t) BgL_funz00_117), BEOA);
			}
		}

	}



/* &effects */
	obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t BgL_envz00_3953,
		obj_t BgL_funz00_3954)
	{
		{	/* SawMill/expr.scm 229 */
			return
				BGl_effectsz00zzsaw_exprz00(((BgL_rtl_funz00_bglt) BgL_funz00_3954));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2182z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_storegz00zzsaw_defsz00,
				BGl_proc2184z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2185z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2186z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxrefz00zzsaw_defsz00,
				BGl_proc2187z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxsetz00zzsaw_defsz00,
				BGl_proc2188z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_getfieldz00zzsaw_defsz00,
				BGl_proc2189z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_setfieldz00zzsaw_defsz00,
				BGl_proc2190z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2191z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2192z00zzsaw_exprz00,
				BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_funcallz00zzsaw_defsz00,
				BGl_proc2193z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc2194z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_protectz00zzsaw_defsz00,
				BGl_proc2195z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2196z00zzsaw_exprz00, BGl_string2183z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_call1622 */
	obj_t BGl_z62effectszd2rtl_call1622zb0zzsaw_exprz00(obj_t BgL_envz00_3969,
		obj_t BgL_funz00_3970)
	{
		{	/* SawMill/expr.scm 244 */
			{	/* SawMill/expr.scm 245 */
				BgL_globalz00_bglt BgL_varz00_4123;

				BgL_varz00_4123 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_3970)))->BgL_varz00);
				{	/* SawMill/expr.scm 246 */
					obj_t BgL__ortest_1249z00_4124;

					BgL__ortest_1249z00_4124 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4123)))->BgL_idz00),
						(((BgL_globalz00_bglt) COBJECT(BgL_varz00_4123))->BgL_modulez00));
					if (CBOOL(BgL__ortest_1249z00_4124))
						{	/* SawMill/expr.scm 246 */
							return BgL__ortest_1249z00_4124;
						}
					else
						{	/* SawMill/expr.scm 246 */
							return BGl_manuzd2effectzd2zzsaw_exprz00(BgL_varz00_4123);
						}
				}
			}
		}

	}



/* &effects-rtl_protect1620 */
	obj_t BGl_z62effectszd2rtl_protect1620zb0zzsaw_exprz00(obj_t BgL_envz00_3971,
		obj_t BgL_funz00_3972)
	{
		{	/* SawMill/expr.scm 242 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_pragma1618 */
	obj_t BGl_z62effectszd2rtl_pragma1618zb0zzsaw_exprz00(obj_t BgL_envz00_3973,
		obj_t BgL_funz00_3974)
	{
		{	/* SawMill/expr.scm 241 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_funcall1616 */
	obj_t BGl_z62effectszd2rtl_funcall1616zb0zzsaw_exprz00(obj_t BgL_envz00_3975,
		obj_t BgL_funz00_3976)
	{
		{	/* SawMill/expr.scm 240 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_lightfun1614 */
	obj_t BGl_z62effectszd2rtl_lightfun1614zb0zzsaw_exprz00(obj_t BgL_envz00_3977,
		obj_t BgL_funz00_3978)
	{
		{	/* SawMill/expr.scm 239 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_apply1612 */
	obj_t BGl_z62effectszd2rtl_apply1612zb0zzsaw_exprz00(obj_t BgL_envz00_3979,
		obj_t BgL_funz00_3980)
	{
		{	/* SawMill/expr.scm 238 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_setfield1610 */
	obj_t BGl_z62effectszd2rtl_setfield1610zb0zzsaw_exprz00(obj_t BgL_envz00_3981,
		obj_t BgL_funz00_3982)
	{
		{	/* SawMill/expr.scm 237 */
			return ((obj_t) BGl_za2setfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_getfield1608 */
	obj_t BGl_z62effectszd2rtl_getfield1608zb0zzsaw_exprz00(obj_t BgL_envz00_3983,
		obj_t BgL_funz00_3984)
	{
		{	/* SawMill/expr.scm 236 */
			return ((obj_t) BGl_za2getfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxset1606 */
	obj_t BGl_z62effectszd2rtl_boxset1606zb0zzsaw_exprz00(obj_t BgL_envz00_3985,
		obj_t BgL_funz00_3986)
	{
		{	/* SawMill/expr.scm 235 */
			return ((obj_t) BGl_za2boxsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxref1604 */
	obj_t BGl_z62effectszd2rtl_boxref1604zb0zzsaw_exprz00(obj_t BgL_envz00_3987,
		obj_t BgL_funz00_3988)
	{
		{	/* SawMill/expr.scm 234 */
			return ((obj_t) BGl_za2boxrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vset1602 */
	obj_t BGl_z62effectszd2rtl_vset1602zb0zzsaw_exprz00(obj_t BgL_envz00_3989,
		obj_t BgL_funz00_3990)
	{
		{	/* SawMill/expr.scm 233 */
			return ((obj_t) BGl_za2vsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vref1600 */
	obj_t BGl_z62effectszd2rtl_vref1600zb0zzsaw_exprz00(obj_t BgL_envz00_3991,
		obj_t BgL_funz00_3992)
	{
		{	/* SawMill/expr.scm 232 */
			return ((obj_t) BGl_za2vrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_storeg1598 */
	obj_t BGl_z62effectszd2rtl_storeg1598zb0zzsaw_exprz00(obj_t BgL_envz00_3993,
		obj_t BgL_funz00_3994)
	{
		{	/* SawMill/expr.scm 231 */
			return ((obj_t) BGl_za2storegza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_loadg1596 */
	obj_t BGl_z62effectszd2rtl_loadg1596zb0zzsaw_exprz00(obj_t BgL_envz00_3995,
		obj_t BgL_funz00_3996)
	{
		{	/* SawMill/expr.scm 230 */
			return ((obj_t) BGl_za2loadgza2z00zzsaw_exprz00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00(void)
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2197z00zzsaw_exprz00));
		}

	}

#ifdef __cplusplus
}
#endif
