/*===========================================================================*/
/*   (SawMill/node2rtl.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/node2rtl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_areaz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_blockz00_bgl *BgL_entryz00;
		struct BgL_blockz00_bgl *BgL_exitz00;
	}              *BgL_areaz00_bglt;

	typedef struct BgL_reversedz00_bgl
	{
	}                  *BgL_reversedz00_bglt;

	typedef struct BgL_rlocalz00_bgl
	{
		obj_t BgL_regz00;
		obj_t BgL_codez00;
	}                *BgL_rlocalz00_bglt;

	typedef struct BgL_retblockzf2tozf2_bgl
	{
		struct BgL_blockz00_bgl *BgL_toz00;
		struct BgL_rtl_regz00_bgl *BgL_dstz00;
	}                       *BgL_retblockzf2tozf2_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt);
	static BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 = BUNSPEC;
	static obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sequence1728z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_retblockzf2tozf2zzsaw_node2rtlz00 = BUNSPEC;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2app1738z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vref1754z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vsetz121756z93zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2atom1720z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62predicatezd2letzd2var1788z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vlength1758z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static bool_t BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00;
	static BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1760z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_reversedz00zzsaw_node2rtlz00 = BUNSPEC;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1736z53zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2valloc1752z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2ze3rtl1717z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt,
		BgL_areaz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2retblock1778z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t, BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt,
		obj_t, BgL_rtl_regz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2appzd2ly1740z53zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_rtl_ifz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62predicatezd2conditiona1786zb0zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62lambda2108z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62predicate1781z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62lambda2110z62zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2getfield1746z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2116z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2117z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2switch1734z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62predicatezd2atom1784zb0zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1732z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2121z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda2129z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_blockz00_bglt BGl_z62lambda2132z62zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2135z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2return1780z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2146z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2149z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_areaz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1724z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setfield1748z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setq1726z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1766z81zzsaw_node2rtlz00(obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void);
	static obj_t BGl_z62lambda2160z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2161z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2165z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2166z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2funcall1742z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2173z62zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static BgL_retblockz00_bglt BGl_z62lambda2176z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_retblockz00_bglt BGl_z62lambda2179z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_rlocalz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt
		BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2new1750z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2cast1762z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2186z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2187z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sync1730z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda2191z62zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2192z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1764z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1774z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2fail1770z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121776z41zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1772z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2var1722z81zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1768z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2pragma1744z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt);
	static obj_t __cnst[19];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza762za72904za7, BGl_z62predicatez62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2905za7,
		BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2901z00zzsaw_node2rtlz00,
		BgL_bgl_string2901za700za7za7s2906za7, "saw_node2rtl", 12);
	      DEFINE_STRING(BGl_string2902z00zzsaw_node2rtlz00,
		BgL_bgl_string2902za700za7za7s2907za7,
		"light elight node->rtl1717 _ retblock/to dst to rlocal code obj reg reversed saw_node2rtl area exit entry __evmeaning_address else procedure ",
		141);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2900z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2l2908z00,
		BGl_z62predicatezd2letzd2var1788z62zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2831z00zzsaw_node2rtlz00,
		BgL_bgl_string2831za700za7za7s2909za7, "switch", 6);
	      DEFINE_STRING(BGl_string2832z00zzsaw_node2rtlz00,
		BgL_bgl_string2832za700za7za7s2910za7, "bad constant", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2833z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2117za7622911z00, BGl_z62lambda2117z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2834z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2116za7622912z00, BGl_z62lambda2116z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2835z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2122za7622913z00, BGl_z62lambda2122z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2836z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2121za7622914z00, BGl_z62lambda2121z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2837z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2915za7,
		BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2838z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2110za7622916z00, BGl_z62lambda2110z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2839z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2108za7622917z00, BGl_z62lambda2108z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2840z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2135za7622918z00, BGl_z62lambda2135z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2841z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2919za7,
		BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2842z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2132za7622920z00, BGl_z62lambda2132z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2843z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2129za7622921z00, BGl_z62lambda2129z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2844z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2161za7622922z00, BGl_z62lambda2161z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2845z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2160za7622923z00, BGl_z62lambda2160z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2846z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2166za7622924z00, BGl_z62lambda2166z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2847z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2165za7622925z00, BGl_z62lambda2165z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2848z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2152za7622926z00, BGl_z62lambda2152z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2849z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2927za7,
		BGl_z62zc3z04anonymousza32151ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2850z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2149za7622928z00, BGl_z62lambda2149z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2851z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2146za7622929z00, BGl_z62lambda2146z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2852z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2187za7622930z00, BGl_z62lambda2187z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2853z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2186za7622931z00, BGl_z62lambda2186z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2854z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2192za7622932z00, BGl_z62lambda2192z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2861z00zzsaw_node2rtlz00,
		BgL_bgl_string2861za700za7za7s2933za7, "node->rtl1717", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2855z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2191za7622934z00, BGl_z62lambda2191z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2856z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2179za7622935z00, BGl_z62lambda2179z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2863z00zzsaw_node2rtlz00,
		BgL_bgl_string2863za700za7za7s2936za7, "predicate1781", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2937za7,
		BGl_z62zc3z04anonymousza32178ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2864z00zzsaw_node2rtlz00,
		BgL_bgl_string2864za700za7za7s2938za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2176za7622939z00, BGl_z62lambda2176z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2173za7622940z00, BGl_z62lambda2173z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string2866z00zzsaw_node2rtlz00,
		BgL_bgl_string2866za700za7za7s2941za7, "node->rtl::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2942za7,
		BGl_z62nodezd2ze3rtl1717z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2862z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicate17812943za7, BGl_z62predicate1781z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2865z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2944za7,
		BGl_z62nodezd2ze3rtlzd2atom1720z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2867z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2945za7,
		BGl_z62nodezd2ze3rtlzd2var1722z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2868z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2946za7,
		BGl_z62nodezd2ze3rtlzd2letzd2var1724z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2869z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2947za7,
		BGl_z62nodezd2ze3rtlzd2setq1726z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2870z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2948za7,
		BGl_z62nodezd2ze3rtlzd2sequence1728z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2871z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2949za7,
		BGl_z62nodezd2ze3rtlzd2sync1730z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2872z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2950za7,
		BGl_z62nodezd2ze3rtlzd2conditiona1732z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2873z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2951za7,
		BGl_z62nodezd2ze3rtlzd2switch1734z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2874z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2952za7,
		BGl_z62nodezd2ze3rtlzd2letzd2fun1736z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2875z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2953za7,
		BGl_z62nodezd2ze3rtlzd2app1738z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2876z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2954za7,
		BGl_z62nodezd2ze3rtlzd2appzd2ly1740z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2877z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2955za7,
		BGl_z62nodezd2ze3rtlzd2funcall1742z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2878z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2956za7,
		BGl_z62nodezd2ze3rtlzd2pragma1744z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2879z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2957za7,
		BGl_z62nodezd2ze3rtlzd2getfield1746z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2880z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2958za7,
		BGl_z62nodezd2ze3rtlzd2setfield1748z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2881z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2959za7,
		BGl_z62nodezd2ze3rtlzd2new1750z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2882z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2960za7,
		BGl_z62nodezd2ze3rtlzd2valloc1752z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2883z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2961za7,
		BGl_z62nodezd2ze3rtlzd2vref1754z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2884z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2962za7,
		BGl_z62nodezd2ze3rtlzd2vsetz121756z93zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2885z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2963za7,
		BGl_z62nodezd2ze3rtlzd2vlength1758z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2886z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2964za7,
		BGl_z62nodezd2ze3rtlzd2instanceof1760z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2887z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2965za7,
		BGl_z62nodezd2ze3rtlzd2cast1762z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2888z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2966za7,
		BGl_z62nodezd2ze3rtlzd2castzd2null1764z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2889z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2967za7,
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1766z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2898z00zzsaw_node2rtlz00,
		BgL_bgl_string2898za700za7za7s2968za7, "predicate::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2890z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2969za7,
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1768z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2891z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2970za7,
		BGl_z62nodezd2ze3rtlzd2fail1770z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2892z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2971za7,
		BGl_z62nodezd2ze3rtlzd2makezd2box1772z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2893z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2972za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1774z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2894z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2973za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121776z41zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2895z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2974za7,
		BGl_z62nodezd2ze3rtlzd2retblock1778z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2896z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2975za7,
		BGl_z62nodezd2ze3rtlzd2return1780z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2897z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2a2976z00,
		BGl_z62predicatezd2atom1784zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2899z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2c2977z00,
		BGl_z62predicatezd2conditiona1786zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762globalza7d2za7e3r2978za7,
		BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2ze3regzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762localza7d2za7e3re2979za7,
		BGl_z62localzd2ze3regz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2tozf2zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_reversedz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_areaz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_rlocalz00zzsaw_node2rtlz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long
		BgL_checksumz00_6332, char *BgL_fromz00_6333)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_node2rtlz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_cnstzd2initzd2zzsaw_node2rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_objectzd2initzd2zzsaw_node2rtlz00();
					BGl_genericzd2initzd2zzsaw_node2rtlz00();
					BGl_methodzd2initzd2zzsaw_node2rtlz00();
					return BGl_toplevelzd2initzd2zzsaw_node2rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_node2rtl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 1 */
				obj_t BgL_cportz00_5736;

				{	/* SawMill/node2rtl.scm 1 */
					obj_t BgL_stringz00_5743;

					BgL_stringz00_5743 = BGl_string2902z00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 1 */
						obj_t BgL_startz00_5744;

						BgL_startz00_5744 = BINT(((long) 0));
						{	/* SawMill/node2rtl.scm 1 */
							obj_t BgL_endz00_5745;

							BgL_endz00_5745 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5743)));
							{	/* SawMill/node2rtl.scm 1 */

								BgL_cportz00_5736 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5743, BgL_startz00_5744, BgL_endz00_5745);
				}}}}
				{
					long BgL_iz00_5737;

					BgL_iz00_5737 = ((long) 18);
				BgL_loopz00_5738:
					if ((BgL_iz00_5737 == ((long) -1)))
						{	/* SawMill/node2rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/node2rtl.scm 1 */
							{	/* SawMill/node2rtl.scm 1 */
								obj_t BgL_arg2903z00_5739;

								{	/* SawMill/node2rtl.scm 1 */

									{	/* SawMill/node2rtl.scm 1 */
										obj_t BgL_locationz00_5741;

										BgL_locationz00_5741 = BBOOL(((bool_t) 0));
										{	/* SawMill/node2rtl.scm 1 */

											BgL_arg2903z00_5739 =
												BGl_readz00zz__readerz00(BgL_cportz00_5736,
												BgL_locationz00_5741);
										}
									}
								}
								{	/* SawMill/node2rtl.scm 1 */
									int BgL_tmpz00_6367;

									BgL_tmpz00_6367 = (int) (BgL_iz00_5737);
									CNST_TABLE_SET(BgL_tmpz00_6367, BgL_arg2903z00_5739);
							}}
							{	/* SawMill/node2rtl.scm 1 */
								int BgL_auxz00_5742;

								BgL_auxz00_5742 = (int) ((BgL_iz00_5737 - ((long) 1)));
								{
									long BgL_iz00_6372;

									BgL_iz00_6372 = (long) (BgL_auxz00_5742);
									BgL_iz00_5737 = BgL_iz00_6372;
									goto BgL_loopz00_5738;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00 = ((bool_t) 0);
			return BUNSPEC;
		}

	}



/* global->rtl */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt BgL_varz00_96)
	{
		{	/* SawMill/node2rtl.scm 34 */
			{	/* SawMill/node2rtl.scm 35 */
				BgL_areaz00_bglt BgL_az00_2250;

				{	/* SawMill/node2rtl.scm 35 */
					BgL_rtl_returnz00_bglt BgL_arg1856z00_2273;
					obj_t BgL_arg1857z00_2274;

					{	/* SawMill/node2rtl.scm 35 */
						BgL_rtl_returnz00_bglt BgL_new1212z00_2276;

						{	/* SawMill/node2rtl.scm 35 */
							BgL_rtl_returnz00_bglt BgL_new1211z00_2277;

							BgL_new1211z00_2277 =
								((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_returnz00_bgl))));
							{	/* SawMill/node2rtl.scm 35 */
								long BgL_arg1859z00_2278;

								BgL_arg1859z00_2278 =
									BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1211z00_2277),
									BgL_arg1859z00_2278);
							}
							BgL_new1212z00_2276 = BgL_new1211z00_2277;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1212z00_2276)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1212z00_2276))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_96)))->
									BgL_typez00)), BUNSPEC);
						BgL_arg1856z00_2273 = BgL_new1212z00_2276;
					}
					BgL_arg1857z00_2274 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_96)))->
										BgL_valuez00))))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 35 */
						obj_t BgL_list1858z00_2275;

						BgL_list1858z00_2275 = MAKE_YOUNG_PAIR(BgL_arg1857z00_2274, BNIL);
						BgL_az00_2250 =
							BGl_callza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1856z00_2273),
							BgL_list1858z00_2275);
				}}
				{	/* SawMill/node2rtl.scm 38 */
					struct bgl_cell BgL_box2982_5733z00;
					BgL_blockz00_bglt BgL_rz00_2251;
					obj_t BgL_nz00_5733;

					BgL_rz00_2251 =
						(((BgL_areaz00_bglt) COBJECT(BgL_az00_2250))->BgL_entryz00);
					BgL_nz00_5733 =
						MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2982_5733z00);
					BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5733,
						((obj_t) BgL_rz00_2251));
					return BgL_rz00_2251;
				}
			}
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t BgL_nz00_5731,
		obj_t BgL_bz00_2254)
	{
		{	/* SawMill/node2rtl.scm 39 */
			{	/* SawMill/node2rtl.scm 40 */
				BgL_reversedz00_bglt BgL_wide1215z00_2258;

				BgL_wide1215z00_2258 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 40 */
					obj_t BgL_auxz00_6400;
					BgL_objectz00_bglt BgL_tmpz00_6396;

					BgL_auxz00_6400 = ((obj_t) BgL_wide1215z00_2258);
					BgL_tmpz00_6396 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2254)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6396, BgL_auxz00_6400);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2254)));
				{	/* SawMill/node2rtl.scm 40 */
					long BgL_arg1846z00_2259;

					BgL_arg1846z00_2259 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_2254))), BgL_arg1846z00_2259);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2254)));
			}
			((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2254));
			{	/* SawMill/node2rtl.scm 41 */
				int BgL_vz00_3965;

				BgL_vz00_3965 = CINT(CELL_REF(BgL_nz00_5731));
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_2254)))->BgL_labelz00) =
					((int) BgL_vz00_3965), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 42 */
				obj_t BgL_auxz00_5732;

				BgL_auxz00_5732 = ADDFX(CELL_REF(BgL_nz00_5731), BINT(((long) 1)));
				CELL_SET(BgL_nz00_5731, BgL_auxz00_5732);
			}
			{	/* SawMill/node2rtl.scm 43 */
				obj_t BgL_g1621z00_2261;

				BgL_g1621z00_2261 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_2254)))->BgL_succsz00);
				{
					obj_t BgL_l1619z00_2263;

					BgL_l1619z00_2263 = BgL_g1621z00_2261;
				BgL_zc3z04anonymousza31847ze3z87_2264:
					if (PAIRP(BgL_l1619z00_2263))
						{	/* SawMill/node2rtl.scm 46 */
							{	/* SawMill/node2rtl.scm 44 */
								obj_t BgL_sz00_2266;

								BgL_sz00_2266 = CAR(BgL_l1619z00_2263);
								{	/* SawMill/node2rtl.scm 44 */
									obj_t BgL_arg1849z00_2267;

									{	/* SawMill/node2rtl.scm 44 */
										obj_t BgL_arg1850z00_2268;

										BgL_arg1850z00_2268 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_sz00_2266)))->BgL_predsz00);
										BgL_arg1849z00_2267 =
											MAKE_YOUNG_PAIR(BgL_bz00_2254, BgL_arg1850z00_2268);
									}
									{	/* SawMill/node2rtl.scm 44 */
										obj_t BgL_vz00_3971;

										BgL_vz00_3971 = BgL_arg1849z00_2267;
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_sz00_2266)))->
												BgL_predsz00) = ((obj_t) BgL_vz00_3971), BUNSPEC);
									}
								}
								{	/* SawMill/node2rtl.scm 45 */
									bool_t BgL_test2984z00_6431;

									{	/* SawMill/node2rtl.scm 45 */
										obj_t BgL_classz00_3972;

										BgL_classz00_3972 = BGl_reversedz00zzsaw_node2rtlz00;
										if (BGL_OBJECTP(BgL_sz00_2266))
											{	/* SawMill/node2rtl.scm 45 */
												obj_t BgL_oclassz00_3974;

												{	/* SawMill/node2rtl.scm 45 */
													long BgL_arg1828z00_3976;

													{	/* SawMill/node2rtl.scm 45 */
														long BgL_arg1829z00_3977;

														BgL_arg1829z00_3977 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt) BgL_sz00_2266));
														BgL_arg1828z00_3976 =
															(BgL_arg1829z00_3977 - OBJECT_TYPE);
													}
													BgL_oclassz00_3974 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3976);
												}
												BgL_test2984z00_6431 =
													(BgL_oclassz00_3974 == BgL_classz00_3972);
											}
										else
											{	/* SawMill/node2rtl.scm 45 */
												BgL_test2984z00_6431 = ((bool_t) 0);
											}
									}
									if (BgL_test2984z00_6431)
										{	/* SawMill/node2rtl.scm 45 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 45 */
											BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5731,
												BgL_sz00_2266);
										}
								}
							}
							{
								obj_t BgL_l1619z00_6440;

								BgL_l1619z00_6440 = CDR(BgL_l1619z00_2263);
								BgL_l1619z00_2263 = BgL_l1619z00_6440;
								goto BgL_zc3z04anonymousza31847ze3z87_2264;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 46 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &global->rtl */
	BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5502, obj_t BgL_varz00_5503)
	{
		{	/* SawMill/node2rtl.scm 34 */
			return
				BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_globalz00_bglt) BgL_varz00_5503));
		}

	}



/* get-global */
	BgL_globalz00_bglt BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt
		BgL_varz00_97)
	{
		{	/* SawMill/node2rtl.scm 49 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_varz00_97));
			if (CBOOL((((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00)))
				{	/* SawMill/node2rtl.scm 53 */
					obj_t BgL_unaliasz00_2282;

					{	/* SawMill/node2rtl.scm 53 */
						obj_t BgL_arg1864z00_2284;
						obj_t BgL_arg1865z00_2285;

						BgL_arg1864z00_2284 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00);
						BgL_arg1865z00_2285 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_modulez00);
						{	/* SawMill/node2rtl.scm 53 */
							obj_t BgL_list1866z00_2286;

							BgL_list1866z00_2286 = MAKE_YOUNG_PAIR(BgL_arg1865z00_2285, BNIL);
							BgL_unaliasz00_2282 =
								BGl_findzd2globalzd2zzast_envz00(BgL_arg1864z00_2284,
								BgL_list1866z00_2286);
						}
					}
					{	/* SawMill/node2rtl.scm 54 */
						bool_t BgL_test2987z00_6453;

						{	/* SawMill/node2rtl.scm 54 */
							obj_t BgL_classz00_3984;

							BgL_classz00_3984 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_unaliasz00_2282))
								{	/* SawMill/node2rtl.scm 54 */
									BgL_objectz00_bglt BgL_arg1820z00_3986;

									BgL_arg1820z00_3986 =
										(BgL_objectz00_bglt) (BgL_unaliasz00_2282);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 54 */
											long BgL_idxz00_3992;

											BgL_idxz00_3992 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3986);
											BgL_test2987z00_6453 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3992 + ((long) 2))) == BgL_classz00_3984);
										}
									else
										{	/* SawMill/node2rtl.scm 54 */
											bool_t BgL_res2788z00_4014;

											{	/* SawMill/node2rtl.scm 54 */
												obj_t BgL_oclassz00_4000;

												{	/* SawMill/node2rtl.scm 54 */
													long BgL_arg1828z00_4006;

													{	/* SawMill/node2rtl.scm 54 */
														long BgL_arg1829z00_4007;

														BgL_arg1829z00_4007 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3986);
														BgL_arg1828z00_4006 =
															(BgL_arg1829z00_4007 - OBJECT_TYPE);
													}
													BgL_oclassz00_4000 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4006);
												}
												{	/* SawMill/node2rtl.scm 54 */
													bool_t BgL__ortest_1111z00_4001;

													BgL__ortest_1111z00_4001 =
														(BgL_classz00_3984 == BgL_oclassz00_4000);
													if (BgL__ortest_1111z00_4001)
														{	/* SawMill/node2rtl.scm 54 */
															BgL_res2788z00_4014 = BgL__ortest_1111z00_4001;
														}
													else
														{	/* SawMill/node2rtl.scm 54 */
															long BgL_odepthz00_4002;

															BgL_odepthz00_4002 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4000);
															if ((((long) 2) < BgL_odepthz00_4002))
																{	/* SawMill/node2rtl.scm 54 */
																	obj_t BgL_arg1816z00_4004;

																	BgL_arg1816z00_4004 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4000,
																		((long) 2));
																	BgL_res2788z00_4014 =
																		(BgL_arg1816z00_4004 == BgL_classz00_3984);
																}
															else
																{	/* SawMill/node2rtl.scm 54 */
																	BgL_res2788z00_4014 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2987z00_6453 = BgL_res2788z00_4014;
										}
								}
							else
								{	/* SawMill/node2rtl.scm 54 */
									BgL_test2987z00_6453 = ((bool_t) 0);
								}
						}
						if (BgL_test2987z00_6453)
							{	/* SawMill/node2rtl.scm 54 */
								BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_unaliasz00_2282));
								return ((BgL_globalz00_bglt) BgL_unaliasz00_2282);
							}
						else
							{	/* SawMill/node2rtl.scm 54 */
								return BgL_varz00_97;
							}
					}
				}
			else
				{	/* SawMill/node2rtl.scm 52 */
					return BgL_varz00_97;
				}
		}

	}



/* new-reg */
	BgL_rtl_regz00_bglt BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_98)
	{
		{	/* SawMill/node2rtl.scm 64 */
			{	/* SawMill/node2rtl.scm 65 */
				bool_t BgL_test2992z00_6476;

				{	/* SawMill/node2rtl.scm 65 */
					obj_t BgL_classz00_4015;

					BgL_classz00_4015 = BGl_varz00zzast_nodez00;
					{	/* SawMill/node2rtl.scm 65 */
						BgL_objectz00_bglt BgL_arg1820z00_4017;

						{	/* SawMill/node2rtl.scm 65 */
							obj_t BgL_tmpz00_6477;

							BgL_tmpz00_6477 = ((obj_t) BgL_ez00_98);
							BgL_arg1820z00_4017 = (BgL_objectz00_bglt) (BgL_tmpz00_6477);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/node2rtl.scm 65 */
								long BgL_idxz00_4023;

								BgL_idxz00_4023 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4017);
								BgL_test2992z00_6476 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4023 + ((long) 2))) == BgL_classz00_4015);
							}
						else
							{	/* SawMill/node2rtl.scm 65 */
								bool_t BgL_res2789z00_4045;

								{	/* SawMill/node2rtl.scm 65 */
									obj_t BgL_oclassz00_4031;

									{	/* SawMill/node2rtl.scm 65 */
										long BgL_arg1828z00_4037;

										{	/* SawMill/node2rtl.scm 65 */
											long BgL_arg1829z00_4038;

											BgL_arg1829z00_4038 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4017);
											BgL_arg1828z00_4037 = (BgL_arg1829z00_4038 - OBJECT_TYPE);
										}
										BgL_oclassz00_4031 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_4037);
									}
									{	/* SawMill/node2rtl.scm 65 */
										bool_t BgL__ortest_1111z00_4032;

										BgL__ortest_1111z00_4032 =
											(BgL_classz00_4015 == BgL_oclassz00_4031);
										if (BgL__ortest_1111z00_4032)
											{	/* SawMill/node2rtl.scm 65 */
												BgL_res2789z00_4045 = BgL__ortest_1111z00_4032;
											}
										else
											{	/* SawMill/node2rtl.scm 65 */
												long BgL_odepthz00_4033;

												BgL_odepthz00_4033 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4031);
												if ((((long) 2) < BgL_odepthz00_4033))
													{	/* SawMill/node2rtl.scm 65 */
														obj_t BgL_arg1816z00_4035;

														BgL_arg1816z00_4035 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4031,
															((long) 2));
														BgL_res2789z00_4045 =
															(BgL_arg1816z00_4035 == BgL_classz00_4015);
													}
												else
													{	/* SawMill/node2rtl.scm 65 */
														BgL_res2789z00_4045 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2992z00_6476 = BgL_res2789z00_4045;
							}
					}
				}
				if (BgL_test2992z00_6476)
					{	/* SawMill/node2rtl.scm 66 */
						bool_t BgL_test2996z00_6496;

						{	/* SawMill/node2rtl.scm 66 */
							BgL_valuez00_bglt BgL_arg1882z00_2304;

							BgL_arg1882z00_2304 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_98)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 66 */
								obj_t BgL_classz00_4048;

								BgL_classz00_4048 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 66 */
									BgL_objectz00_bglt BgL_arg1820z00_4050;

									{	/* SawMill/node2rtl.scm 66 */
										obj_t BgL_tmpz00_6500;

										BgL_tmpz00_6500 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1882z00_2304));
										BgL_arg1820z00_4050 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6500);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 66 */
											long BgL_idxz00_4056;

											BgL_idxz00_4056 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4050);
											BgL_test2996z00_6496 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4056 + ((long) 3))) == BgL_classz00_4048);
										}
									else
										{	/* SawMill/node2rtl.scm 66 */
											bool_t BgL_res2790z00_4078;

											{	/* SawMill/node2rtl.scm 66 */
												obj_t BgL_oclassz00_4064;

												{	/* SawMill/node2rtl.scm 66 */
													long BgL_arg1828z00_4070;

													{	/* SawMill/node2rtl.scm 66 */
														long BgL_arg1829z00_4071;

														BgL_arg1829z00_4071 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4050);
														BgL_arg1828z00_4070 =
															(BgL_arg1829z00_4071 - OBJECT_TYPE);
													}
													BgL_oclassz00_4064 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4070);
												}
												{	/* SawMill/node2rtl.scm 66 */
													bool_t BgL__ortest_1111z00_4065;

													BgL__ortest_1111z00_4065 =
														(BgL_classz00_4048 == BgL_oclassz00_4064);
													if (BgL__ortest_1111z00_4065)
														{	/* SawMill/node2rtl.scm 66 */
															BgL_res2790z00_4078 = BgL__ortest_1111z00_4065;
														}
													else
														{	/* SawMill/node2rtl.scm 66 */
															long BgL_odepthz00_4066;

															BgL_odepthz00_4066 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4064);
															if ((((long) 3) < BgL_odepthz00_4066))
																{	/* SawMill/node2rtl.scm 66 */
																	obj_t BgL_arg1816z00_4068;

																	BgL_arg1816z00_4068 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4064,
																		((long) 3));
																	BgL_res2790z00_4078 =
																		(BgL_arg1816z00_4068 == BgL_classz00_4048);
																}
															else
																{	/* SawMill/node2rtl.scm 66 */
																	BgL_res2790z00_4078 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2996z00_6496 = BgL_res2790z00_4078;
										}
								}
							}
						}
						if (BgL_test2996z00_6496)
							{	/* SawMill/node2rtl.scm 67 */
								BgL_rtl_regz00_bglt BgL_new1219z00_2291;

								{	/* SawMill/node2rtl.scm 68 */
									BgL_rtl_regz00_bglt BgL_new1218z00_2295;

									BgL_new1218z00_2295 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 68 */
										long BgL_arg1875z00_2296;

										BgL_arg1875z00_2296 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1218z00_2295),
											BgL_arg1875z00_2296);
									}
									{	/* SawMill/node2rtl.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_6524;

										BgL_tmpz00_6524 =
											((BgL_objectz00_bglt) BgL_new1218z00_2295);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6524, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1218z00_2295);
									BgL_new1219z00_2291 = BgL_new1218z00_2295;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
										BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long)
													0)))), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6533;

									{	/* SawMill/node2rtl.scm 70 */

										{	/* SawMill/node2rtl.scm 70 */

											BgL_auxz00_6533 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6533), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6536;

									{	/* SawMill/node2rtl.scm 70 */
										obj_t BgL_arg1873z00_2293;

										{	/* SawMill/node2rtl.scm 70 */
											obj_t BgL_arg1874z00_2294;

											{	/* SawMill/node2rtl.scm 70 */
												obj_t BgL_classz00_4083;

												BgL_classz00_4083 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1874z00_2294 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4083);
											}
											BgL_arg1873z00_2293 =
												VECTOR_REF(BgL_arg1874z00_2294, ((long) 4));
										}
										BgL_auxz00_6536 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1873z00_2293);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6536), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1219z00_2291))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1219z00_2291;
							}
						else
							{	/* SawMill/node2rtl.scm 71 */
								BgL_rtl_regz00_bglt BgL_new1221z00_2297;

								{	/* SawMill/node2rtl.scm 72 */
									BgL_rtl_regz00_bglt BgL_new1220z00_2302;

									BgL_new1220z00_2302 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 72 */
										long BgL_arg1880z00_2303;

										BgL_arg1880z00_2303 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1220z00_2302),
											BgL_arg1880z00_2303);
									}
									{	/* SawMill/node2rtl.scm 72 */
										BgL_objectz00_bglt BgL_tmpz00_6546;

										BgL_tmpz00_6546 =
											((BgL_objectz00_bglt) BgL_new1220z00_2302);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6546, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1220z00_2302);
									BgL_new1221z00_2297 = BgL_new1220z00_2302;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_ez00_98)))->BgL_variablez00)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6556;

									{	/* SawMill/node2rtl.scm 74 */

										{	/* SawMill/node2rtl.scm 74 */

											BgL_auxz00_6556 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6556), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6559;

									{	/* SawMill/node2rtl.scm 74 */
										obj_t BgL_arg1877z00_2300;

										{	/* SawMill/node2rtl.scm 74 */
											obj_t BgL_arg1879z00_2301;

											{	/* SawMill/node2rtl.scm 74 */
												obj_t BgL_classz00_4091;

												BgL_classz00_4091 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1879z00_2301 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_4091);
											}
											BgL_arg1877z00_2300 =
												VECTOR_REF(BgL_arg1879z00_2301, ((long) 4));
										}
										BgL_auxz00_6559 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1877z00_2300);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6559), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1221z00_2297))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1221z00_2297;
							}
					}
				else
					{	/* SawMill/node2rtl.scm 75 */
						BgL_rtl_regz00_bglt BgL_new1223z00_2306;

						{	/* SawMill/node2rtl.scm 75 */
							BgL_rtl_regz00_bglt BgL_new1222z00_2310;

							BgL_new1222z00_2310 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/node2rtl.scm 75 */
								long BgL_arg1886z00_2311;

								BgL_arg1886z00_2311 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1222z00_2310),
									BgL_arg1886z00_2311);
							}
							{	/* SawMill/node2rtl.scm 75 */
								BgL_objectz00_bglt BgL_tmpz00_6569;

								BgL_tmpz00_6569 = ((BgL_objectz00_bglt) BgL_new1222z00_2310);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6569, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1222z00_2310);
							BgL_new1223z00_2306 = BgL_new1222z00_2310;
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
								BgL_typez00) =
							((BgL_typez00_bglt) BGl_getzd2typezd2zztype_typeofz00(BgL_ez00_98,
									((bool_t) 0))), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
								BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
								BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
						{
							obj_t BgL_auxz00_6577;

							{	/* SawMill/node2rtl.scm 75 */

								{	/* SawMill/node2rtl.scm 75 */

									BgL_auxz00_6577 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
									BgL_namez00) = ((obj_t) BgL_auxz00_6577), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6580;

							{	/* SawMill/node2rtl.scm 75 */
								obj_t BgL_arg1884z00_2308;

								{	/* SawMill/node2rtl.scm 75 */
									obj_t BgL_arg1885z00_2309;

									{	/* SawMill/node2rtl.scm 75 */
										obj_t BgL_classz00_4097;

										BgL_classz00_4097 = BGl_rtl_regz00zzsaw_defsz00;
										BgL_arg1885z00_2309 =
											BGL_CLASS_ALL_FIELDS(BgL_classz00_4097);
									}
									BgL_arg1884z00_2308 =
										VECTOR_REF(BgL_arg1885z00_2309, ((long) 4));
								}
								BgL_auxz00_6580 =
									BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
									(BgL_arg1884z00_2308);
							}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
									BgL_keyz00) = ((obj_t) BgL_auxz00_6580), BUNSPEC);
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1223z00_2306))->
								BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1223z00_2306;
					}
			}
		}

	}



/* new-ureg */
	BgL_rtl_regz00_bglt BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_varz00_99)
	{
		{	/* SawMill/node2rtl.scm 77 */
			{	/* SawMill/node2rtl.scm 78 */
				BgL_rtl_regz00_bglt BgL_new1226z00_2312;

				{	/* SawMill/node2rtl.scm 78 */
					BgL_rtl_regz00_bglt BgL_new1225z00_2317;

					BgL_new1225z00_2317 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/node2rtl.scm 78 */
						long BgL_arg1891z00_2318;

						BgL_arg1891z00_2318 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1225z00_2317), BgL_arg1891z00_2318);
					}
					{	/* SawMill/node2rtl.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_6590;

						BgL_tmpz00_6590 = ((BgL_objectz00_bglt) BgL_new1225z00_2317);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6590, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1225z00_2317);
					BgL_new1226z00_2312 = BgL_new1225z00_2317;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_variablez00_bglt)
								COBJECT(((BgL_variablez00_bglt) BgL_varz00_99)))->BgL_typez00)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->BgL_varz00) =
					((obj_t) ((obj_t) BgL_varz00_99)), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->
						BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
				{
					obj_t BgL_auxz00_6600;

					{	/* SawMill/node2rtl.scm 78 */
						obj_t BgL_arg1887z00_2313;

						{	/* SawMill/node2rtl.scm 78 */
							obj_t BgL_arg1888z00_2314;

							{	/* SawMill/node2rtl.scm 78 */
								obj_t BgL_classz00_4104;

								BgL_classz00_4104 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1888z00_2314 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4104);
							}
							BgL_arg1887z00_2313 = VECTOR_REF(BgL_arg1888z00_2314, ((long) 3));
						}
						BgL_auxz00_6600 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1887z00_2313);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->BgL_namez00) =
						((obj_t) BgL_auxz00_6600), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_6605;

					{	/* SawMill/node2rtl.scm 78 */
						obj_t BgL_arg1889z00_2315;

						{	/* SawMill/node2rtl.scm 78 */
							obj_t BgL_arg1890z00_2316;

							{	/* SawMill/node2rtl.scm 78 */
								obj_t BgL_classz00_4106;

								BgL_classz00_4106 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1890z00_2316 = BGL_CLASS_ALL_FIELDS(BgL_classz00_4106);
							}
							BgL_arg1889z00_2315 = VECTOR_REF(BgL_arg1890z00_2316, ((long) 4));
						}
						BgL_auxz00_6605 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1889z00_2315);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->BgL_keyz00) =
						((obj_t) BgL_auxz00_6605), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1226z00_2312))->
						BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
				return BgL_new1226z00_2312;
			}
		}

	}



/* local->reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt BgL_varz00_100)
	{
		{	/* SawMill/node2rtl.scm 80 */
			{	/* SawMill/node2rtl.scm 81 */
				bool_t BgL_test3000z00_6611;

				{	/* SawMill/node2rtl.scm 81 */
					obj_t BgL_classz00_4108;

					BgL_classz00_4108 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 81 */
						obj_t BgL_oclassz00_4110;

						{	/* SawMill/node2rtl.scm 81 */
							long BgL_arg1828z00_4112;

							{	/* SawMill/node2rtl.scm 81 */
								long BgL_arg1829z00_4113;

								BgL_arg1829z00_4113 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_varz00_100));
								BgL_arg1828z00_4112 = (BgL_arg1829z00_4113 - OBJECT_TYPE);
							}
							BgL_oclassz00_4110 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4112);
						}
						BgL_test3000z00_6611 = (BgL_oclassz00_4110 == BgL_classz00_4108);
				}}
				if (BgL_test3000z00_6611)
					{
						obj_t BgL_auxz00_6617;

						{
							BgL_rlocalz00_bglt BgL_auxz00_6618;

							{
								obj_t BgL_auxz00_6619;

								{	/* SawMill/node2rtl.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_6620;

									BgL_tmpz00_6620 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6619 = BGL_OBJECT_WIDENING(BgL_tmpz00_6620);
								}
								BgL_auxz00_6618 = ((BgL_rlocalz00_bglt) BgL_auxz00_6619);
							}
							BgL_auxz00_6617 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6618))->BgL_regz00);
						}
						return ((BgL_rtl_regz00_bglt) BgL_auxz00_6617);
					}
				else
					{	/* SawMill/node2rtl.scm 83 */
						BgL_rtl_regz00_bglt BgL_rz00_2320;

						BgL_rz00_2320 = BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_varz00_100);
						{	/* SawMill/node2rtl.scm 84 */
							BgL_rlocalz00_bglt BgL_wide1229z00_2323;

							BgL_wide1229z00_2323 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 84 */
								obj_t BgL_auxz00_6632;
								BgL_objectz00_bglt BgL_tmpz00_6629;

								BgL_auxz00_6632 = ((obj_t) BgL_wide1229z00_2323);
								BgL_tmpz00_6629 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6629, BgL_auxz00_6632);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
							{	/* SawMill/node2rtl.scm 84 */
								long BgL_arg1894z00_2324;

								BgL_arg1894z00_2324 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_100)), BgL_arg1894z00_2324);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6643;

							{
								obj_t BgL_auxz00_6644;

								{	/* SawMill/node2rtl.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6645;

									BgL_tmpz00_6645 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6644 = BGL_OBJECT_WIDENING(BgL_tmpz00_6645);
								}
								BgL_auxz00_6643 = ((BgL_rlocalz00_bglt) BgL_auxz00_6644);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6643))->BgL_regz00) =
								((obj_t) ((obj_t) BgL_rz00_2320)), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6652;

							{
								obj_t BgL_auxz00_6653;

								{	/* SawMill/node2rtl.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6654;

									BgL_tmpz00_6654 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6653 = BGL_OBJECT_WIDENING(BgL_tmpz00_6654);
								}
								BgL_auxz00_6652 = ((BgL_rlocalz00_bglt) BgL_auxz00_6653);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6652))->BgL_codez00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_varz00_100);
						return BgL_rz00_2320;
					}
			}
		}

	}



/* &local->reg */
	BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5504, obj_t BgL_varz00_5505)
	{
		{	/* SawMill/node2rtl.scm 80 */
			return
				BGl_localzd2ze3regz31zzsaw_node2rtlz00(
				((BgL_localz00_bglt) BgL_varz00_5505));
		}

	}



/* bdestination! */
	obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt BgL_bz00_103,
		BgL_rtl_regz00_bglt BgL_regz00_104)
	{
		{	/* SawMill/node2rtl.scm 93 */
			{	/* SawMill/node2rtl.scm 94 */
				obj_t BgL_insz00_2328;

				BgL_insz00_2328 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(BgL_bz00_103))->BgL_firstz00)));
				{	/* SawMill/node2rtl.scm 95 */
					bool_t BgL_test3001z00_6666;

					{	/* SawMill/node2rtl.scm 95 */
						bool_t BgL_test3002z00_6667;

						{	/* SawMill/node2rtl.scm 95 */
							BgL_rtl_funz00_bglt BgL_arg1914z00_2342;

							BgL_arg1914z00_2342 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2328)))->BgL_funz00);
							{	/* SawMill/node2rtl.scm 95 */
								obj_t BgL_classz00_4135;

								BgL_classz00_4135 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawMill/node2rtl.scm 95 */
									BgL_objectz00_bglt BgL_arg1820z00_4137;

									{	/* SawMill/node2rtl.scm 95 */
										obj_t BgL_tmpz00_6670;

										BgL_tmpz00_6670 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1914z00_2342));
										BgL_arg1820z00_4137 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6670);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 95 */
											long BgL_idxz00_4143;

											BgL_idxz00_4143 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4137);
											BgL_test3002z00_6667 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4143 + ((long) 3))) == BgL_classz00_4135);
										}
									else
										{	/* SawMill/node2rtl.scm 95 */
											bool_t BgL_res2791z00_4165;

											{	/* SawMill/node2rtl.scm 95 */
												obj_t BgL_oclassz00_4151;

												{	/* SawMill/node2rtl.scm 95 */
													long BgL_arg1828z00_4157;

													{	/* SawMill/node2rtl.scm 95 */
														long BgL_arg1829z00_4158;

														BgL_arg1829z00_4158 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4137);
														BgL_arg1828z00_4157 =
															(BgL_arg1829z00_4158 - OBJECT_TYPE);
													}
													BgL_oclassz00_4151 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4157);
												}
												{	/* SawMill/node2rtl.scm 95 */
													bool_t BgL__ortest_1111z00_4152;

													BgL__ortest_1111z00_4152 =
														(BgL_classz00_4135 == BgL_oclassz00_4151);
													if (BgL__ortest_1111z00_4152)
														{	/* SawMill/node2rtl.scm 95 */
															BgL_res2791z00_4165 = BgL__ortest_1111z00_4152;
														}
													else
														{	/* SawMill/node2rtl.scm 95 */
															long BgL_odepthz00_4153;

															BgL_odepthz00_4153 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4151);
															if ((((long) 3) < BgL_odepthz00_4153))
																{	/* SawMill/node2rtl.scm 95 */
																	obj_t BgL_arg1816z00_4155;

																	BgL_arg1816z00_4155 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4151,
																		((long) 3));
																	BgL_res2791z00_4165 =
																		(BgL_arg1816z00_4155 == BgL_classz00_4135);
																}
															else
																{	/* SawMill/node2rtl.scm 95 */
																	BgL_res2791z00_4165 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3002z00_6667 = BgL_res2791z00_4165;
										}
								}
							}
						}
						if (BgL_test3002z00_6667)
							{	/* SawMill/node2rtl.scm 96 */
								bool_t BgL_test3006z00_6690;

								{	/* SawMill/node2rtl.scm 96 */
									obj_t BgL_tmpz00_6691;

									{	/* SawMill/node2rtl.scm 96 */
										obj_t BgL_pairz00_4167;

										BgL_pairz00_4167 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2328)))->
											BgL_argsz00);
										BgL_tmpz00_6691 = CAR(BgL_pairz00_4167);
									}
									BgL_test3006z00_6690 =
										(BgL_tmpz00_6691 == ((obj_t) BgL_regz00_104));
								}
								if (BgL_test3006z00_6690)
									{	/* SawMill/node2rtl.scm 96 */
										BgL_test3001z00_6666 = ((bool_t) 0);
									}
								else
									{	/* SawMill/node2rtl.scm 96 */
										BgL_test3001z00_6666 = ((bool_t) 1);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 95 */
								BgL_test3001z00_6666 = ((bool_t) 1);
							}
					}
					if (BgL_test3001z00_6666)
						{	/* SawMill/node2rtl.scm 95 */
							return
								((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2328)))->BgL_destz00) =
								((obj_t) ((obj_t) BgL_regz00_104)), BUNSPEC);
						}
					else
						{	/* SawMill/node2rtl.scm 95 */
							return BFALSE;
						}
				}
			}
		}

	}



/* single* */
	BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_105,
		BgL_rtl_funz00_bglt BgL_funz00_106, obj_t BgL_argsz00_107)
	{
		{	/* SawMill/node2rtl.scm 102 */
			{	/* SawMill/node2rtl.scm 103 */
				BgL_rtl_insz00_bglt BgL_insz00_2345;

				{	/* SawMill/node2rtl.scm 103 */
					BgL_rtl_insz00_bglt BgL_new1233z00_2357;

					{	/* SawMill/node2rtl.scm 103 */
						BgL_rtl_insz00_bglt BgL_new1231z00_2358;

						BgL_new1231z00_2358 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/node2rtl.scm 103 */
							long BgL_arg1922z00_2359;

							BgL_arg1922z00_2359 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1231z00_2358),
								BgL_arg1922z00_2359);
						}
						{	/* SawMill/node2rtl.scm 103 */
							BgL_objectz00_bglt BgL_tmpz00_6704;

							BgL_tmpz00_6704 = ((BgL_objectz00_bglt) BgL_new1231z00_2358);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6704, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1231z00_2358);
						BgL_new1233z00_2357 = BgL_new1231z00_2358;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2357))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2357))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2357))->BgL_destz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2357))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_funz00_106), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1233z00_2357))->BgL_argsz00) =
						((obj_t) BgL_argsz00_107), BUNSPEC);
					BgL_insz00_2345 = BgL_new1233z00_2357;
				}
				{	/* SawMill/node2rtl.scm 104 */
					bool_t BgL_test3007z00_6713;

					{	/* SawMill/node2rtl.scm 104 */
						obj_t BgL_classz00_4173;

						BgL_classz00_4173 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_ez00_105))
							{	/* SawMill/node2rtl.scm 104 */
								BgL_objectz00_bglt BgL_arg1820z00_4175;

								BgL_arg1820z00_4175 = (BgL_objectz00_bglt) (BgL_ez00_105);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 104 */
										long BgL_idxz00_4181;

										BgL_idxz00_4181 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4175);
										BgL_test3007z00_6713 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4181 + ((long) 1))) == BgL_classz00_4173);
									}
								else
									{	/* SawMill/node2rtl.scm 104 */
										bool_t BgL_res2792z00_4203;

										{	/* SawMill/node2rtl.scm 104 */
											obj_t BgL_oclassz00_4189;

											{	/* SawMill/node2rtl.scm 104 */
												long BgL_arg1828z00_4195;

												{	/* SawMill/node2rtl.scm 104 */
													long BgL_arg1829z00_4196;

													BgL_arg1829z00_4196 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4175);
													BgL_arg1828z00_4195 =
														(BgL_arg1829z00_4196 - OBJECT_TYPE);
												}
												BgL_oclassz00_4189 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4195);
											}
											{	/* SawMill/node2rtl.scm 104 */
												bool_t BgL__ortest_1111z00_4190;

												BgL__ortest_1111z00_4190 =
													(BgL_classz00_4173 == BgL_oclassz00_4189);
												if (BgL__ortest_1111z00_4190)
													{	/* SawMill/node2rtl.scm 104 */
														BgL_res2792z00_4203 = BgL__ortest_1111z00_4190;
													}
												else
													{	/* SawMill/node2rtl.scm 104 */
														long BgL_odepthz00_4191;

														BgL_odepthz00_4191 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4189);
														if ((((long) 1) < BgL_odepthz00_4191))
															{	/* SawMill/node2rtl.scm 104 */
																obj_t BgL_arg1816z00_4193;

																BgL_arg1816z00_4193 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4189,
																	((long) 1));
																BgL_res2792z00_4203 =
																	(BgL_arg1816z00_4193 == BgL_classz00_4173);
															}
														else
															{	/* SawMill/node2rtl.scm 104 */
																BgL_res2792z00_4203 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3007z00_6713 = BgL_res2792z00_4203;
									}
							}
						else
							{	/* SawMill/node2rtl.scm 104 */
								BgL_test3007z00_6713 = ((bool_t) 0);
							}
					}
					if (BgL_test3007z00_6713)
						{	/* SawMill/node2rtl.scm 104 */
							{	/* SawMill/node2rtl.scm 105 */
								obj_t BgL_arg1918z00_2347;

								BgL_arg1918z00_2347 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_106))->BgL_locz00) =
									((obj_t) BgL_arg1918z00_2347), BUNSPEC);
							}
							{	/* SawMill/node2rtl.scm 106 */
								obj_t BgL_arg1919z00_2348;

								BgL_arg1919z00_2348 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_2345))->
										BgL_locz00) = ((obj_t) BgL_arg1919z00_2348), BUNSPEC);
							}
						}
					else
						{	/* SawMill/node2rtl.scm 104 */
							BFALSE;
						}
				}
				{	/* SawMill/node2rtl.scm 107 */
					obj_t BgL_lz00_2349;

					BgL_lz00_2349 = MAKE_YOUNG_PAIR(((obj_t) BgL_insz00_2345), BNIL);
					{	/* SawMill/node2rtl.scm 108 */
						BgL_blockz00_bglt BgL_bz00_2350;

						{	/* SawMill/node2rtl.scm 108 */
							BgL_blockz00_bglt BgL_new1235z00_2354;

							{	/* SawMill/node2rtl.scm 108 */
								BgL_blockz00_bglt BgL_new1234z00_2355;

								BgL_new1234z00_2355 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 108 */
									long BgL_arg1921z00_2356;

									BgL_arg1921z00_2356 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1234z00_2355),
										BgL_arg1921z00_2356);
								}
								{	/* SawMill/node2rtl.scm 108 */
									BgL_objectz00_bglt BgL_tmpz00_6745;

									BgL_tmpz00_6745 = ((BgL_objectz00_bglt) BgL_new1234z00_2355);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6745, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1234z00_2355);
								BgL_new1235z00_2354 = BgL_new1234z00_2355;
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2354))->
									BgL_labelz00) = ((int) (int) (((long) 0))), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2354))->
									BgL_predsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2354))->
									BgL_succsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1235z00_2354))->
									BgL_firstz00) = ((obj_t) BgL_lz00_2349), BUNSPEC);
							BgL_bz00_2350 = BgL_new1235z00_2354;
						}
						{	/* SawMill/node2rtl.scm 109 */
							BgL_areaz00_bglt BgL_new1237z00_2351;

							{	/* SawMill/node2rtl.scm 109 */
								BgL_areaz00_bglt BgL_new1236z00_2352;

								BgL_new1236z00_2352 =
									((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_areaz00_bgl))));
								{	/* SawMill/node2rtl.scm 109 */
									long BgL_arg1920z00_2353;

									BgL_arg1920z00_2353 =
										BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1236z00_2352),
										BgL_arg1920z00_2353);
								}
								BgL_new1237z00_2351 = BgL_new1236z00_2352;
							}
							((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2351))->
									BgL_entryz00) = ((BgL_blockz00_bglt) BgL_bz00_2350), BUNSPEC);
							((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2351))->
									BgL_exitz00) = ((BgL_blockz00_bglt) BgL_bz00_2350), BUNSPEC);
							return BgL_new1237z00_2351;
						}
					}
				}
			}
		}

	}



/* unlink */
	BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_az00_113)
	{
		{	/* SawMill/node2rtl.scm 117 */
			{	/* SawMill/node2rtl.scm 118 */
				BgL_areaz00_bglt BgL_new1240z00_2361;

				{	/* SawMill/node2rtl.scm 119 */
					BgL_areaz00_bglt BgL_new1238z00_2368;

					BgL_new1238z00_2368 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 119 */
						long BgL_arg1929z00_2369;

						BgL_arg1929z00_2369 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1238z00_2368), BgL_arg1929z00_2369);
					}
					BgL_new1240z00_2361 = BgL_new1238z00_2368;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1240z00_2361))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_az00_113))->
							BgL_entryz00)), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_6766;

					{	/* SawMill/node2rtl.scm 121 */
						BgL_areaz00_bglt BgL_arg1925z00_2362;

						{	/* SawMill/node2rtl.scm 121 */
							BgL_rtl_nopz00_bglt BgL_arg1926z00_2363;

							{	/* SawMill/node2rtl.scm 121 */
								BgL_rtl_nopz00_bglt BgL_new1242z00_2365;

								{	/* SawMill/node2rtl.scm 121 */
									BgL_rtl_nopz00_bglt BgL_new1241z00_2366;

									BgL_new1241z00_2366 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 121 */
										long BgL_arg1928z00_2367;

										{	/* SawMill/node2rtl.scm 121 */
											obj_t BgL_classz00_4221;

											BgL_classz00_4221 = BGl_rtl_nopz00zzsaw_defsz00;
											BgL_arg1928z00_2367 = BGL_CLASS_NUM(BgL_classz00_4221);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1241z00_2366),
											BgL_arg1928z00_2367);
									}
									BgL_new1242z00_2365 = BgL_new1241z00_2366;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1242z00_2365)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1926z00_2363 = BgL_new1242z00_2365;
							}
							BgL_arg1925z00_2362 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1926z00_2363), BNIL);
						}
						BgL_auxz00_6766 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1925z00_2362))->BgL_exitz00);
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1240z00_2361))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_6766), BUNSPEC);
				}
				return BgL_new1240z00_2361;
			}
		}

	}



/* link */
	BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_b1z00_114,
		BgL_areaz00_bglt BgL_b2z00_115)
	{
		{	/* SawMill/node2rtl.scm 123 */
			{	/* SawMill/node2rtl.scm 124 */
				BgL_blockz00_bglt BgL_arg1930z00_2370;
				BgL_blockz00_bglt BgL_arg1931z00_2371;

				BgL_arg1930z00_2370 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->BgL_exitz00);
				BgL_arg1931z00_2371 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->BgL_entryz00);
				{	/* SawMill/node2rtl.scm 91 */
					obj_t BgL_arg1898z00_4230;

					{	/* SawMill/node2rtl.scm 91 */
						obj_t BgL_arg1899z00_4231;

						BgL_arg1899z00_4231 =
							(((BgL_blockz00_bglt) COBJECT(BgL_arg1930z00_2370))->
							BgL_succsz00);
						BgL_arg1898z00_4230 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1931z00_2371),
							BgL_arg1899z00_4231);
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_arg1930z00_2370))->BgL_succsz00) =
						((obj_t) BgL_arg1898z00_4230), BUNSPEC);
				}
			}
			{	/* SawMill/node2rtl.scm 125 */
				BgL_areaz00_bglt BgL_new1244z00_2372;

				{	/* SawMill/node2rtl.scm 125 */
					BgL_areaz00_bglt BgL_new1243z00_2373;

					BgL_new1243z00_2373 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 125 */
						long BgL_arg1932z00_2374;

						BgL_arg1932z00_2374 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1243z00_2373), BgL_arg1932z00_2374);
					}
					BgL_new1244z00_2372 = BgL_new1243z00_2373;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1244z00_2372))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1244z00_2372))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->
							BgL_exitz00)), BUNSPEC);
				return BgL_new1244z00_2372;
			}
		}

	}



/* link* */
	BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t BgL_lz00_116)
	{
		{	/* SawMill/node2rtl.scm 127 */
			{
				BgL_areaz00_bglt BgL_rz00_2384;
				obj_t BgL_lz00_2385;

				if (NULLP(BgL_lz00_116))
					{	/* SawMill/node2rtl.scm 133 */
						BgL_rtl_nopz00_bglt BgL_arg1934z00_2377;

						{	/* SawMill/node2rtl.scm 133 */
							BgL_rtl_nopz00_bglt BgL_new1247z00_2379;

							{	/* SawMill/node2rtl.scm 133 */
								BgL_rtl_nopz00_bglt BgL_new1246z00_2380;

								BgL_new1246z00_2380 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 133 */
									long BgL_arg1936z00_2381;

									BgL_arg1936z00_2381 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1246z00_2380),
										BgL_arg1936z00_2381);
								}
								BgL_new1247z00_2379 = BgL_new1246z00_2380;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1247z00_2379)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1934z00_2377 = BgL_new1247z00_2379;
						}
						return
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1934z00_2377), BNIL);
					}
				else
					{	/* SawMill/node2rtl.scm 134 */
						obj_t BgL_arg1937z00_2382;
						obj_t BgL_arg1938z00_2383;

						BgL_arg1937z00_2382 = CAR(((obj_t) BgL_lz00_116));
						BgL_arg1938z00_2383 = CDR(((obj_t) BgL_lz00_116));
						BgL_rz00_2384 = ((BgL_areaz00_bglt) BgL_arg1937z00_2382);
						BgL_lz00_2385 = BgL_arg1938z00_2383;
					BgL_zc3z04anonymousza31939ze3z87_2386:
						if (NULLP(BgL_lz00_2385))
							{	/* SawMill/node2rtl.scm 129 */
								return BgL_rz00_2384;
							}
						else
							{	/* SawMill/node2rtl.scm 131 */
								BgL_areaz00_bglt BgL_arg1941z00_2388;
								obj_t BgL_arg1942z00_2389;

								{	/* SawMill/node2rtl.scm 131 */
									obj_t BgL_arg1943z00_2390;

									BgL_arg1943z00_2390 = CAR(((obj_t) BgL_lz00_2385));
									BgL_arg1941z00_2388 =
										BGl_linkz00zzsaw_node2rtlz00(BgL_rz00_2384,
										((BgL_areaz00_bglt) BgL_arg1943z00_2390));
								}
								BgL_arg1942z00_2389 = CDR(((obj_t) BgL_lz00_2385));
								{
									obj_t BgL_lz00_6814;
									BgL_areaz00_bglt BgL_rz00_6813;

									BgL_rz00_6813 = BgL_arg1941z00_2388;
									BgL_lz00_6814 = BgL_arg1942z00_2389;
									BgL_lz00_2385 = BgL_lz00_6814;
									BgL_rz00_2384 = BgL_rz00_6813;
									goto BgL_zc3z04anonymousza31939ze3z87_2386;
								}
							}
					}
			}
		}

	}



/* fork/join */
	BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_117, obj_t BgL_contsz00_118, BgL_rtl_regz00_bglt BgL_rz00_119)
	{
		{	/* SawMill/node2rtl.scm 136 */
			{	/* SawMill/node2rtl.scm 138 */
				BgL_blockz00_bglt BgL_arg1944z00_2392;
				obj_t BgL_arg1945z00_2393;

				BgL_arg1944z00_2392 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_117))->BgL_exitz00);
				if (NULLP(BgL_contsz00_118))
					{	/* SawMill/node2rtl.scm 138 */
						BgL_arg1945z00_2393 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 138 */
						obj_t BgL_head1624z00_2396;

						{	/* SawMill/node2rtl.scm 138 */
							BgL_blockz00_bglt BgL_arg1952z00_2408;

							BgL_arg1952z00_2408 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_contsz00_118)))))->BgL_entryz00);
							BgL_head1624z00_2396 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1952z00_2408), BNIL);
						}
						{	/* SawMill/node2rtl.scm 138 */
							obj_t BgL_g1627z00_2397;

							BgL_g1627z00_2397 = CDR(((obj_t) BgL_contsz00_118));
							{
								obj_t BgL_l1622z00_2399;
								obj_t BgL_tail1625z00_2400;

								BgL_l1622z00_2399 = BgL_g1627z00_2397;
								BgL_tail1625z00_2400 = BgL_head1624z00_2396;
							BgL_zc3z04anonymousza31947ze3z87_2401:
								if (NULLP(BgL_l1622z00_2399))
									{	/* SawMill/node2rtl.scm 138 */
										BgL_arg1945z00_2393 = BgL_head1624z00_2396;
									}
								else
									{	/* SawMill/node2rtl.scm 138 */
										obj_t BgL_newtail1626z00_2403;

										{	/* SawMill/node2rtl.scm 138 */
											BgL_blockz00_bglt BgL_arg1950z00_2405;

											BgL_arg1950z00_2405 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1622z00_2399)))))->BgL_entryz00);
											BgL_newtail1626z00_2403 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1950z00_2405), BNIL);
										}
										SET_CDR(BgL_tail1625z00_2400, BgL_newtail1626z00_2403);
										{	/* SawMill/node2rtl.scm 138 */
											obj_t BgL_arg1949z00_2404;

											BgL_arg1949z00_2404 = CDR(((obj_t) BgL_l1622z00_2399));
											{
												obj_t BgL_tail1625z00_6839;
												obj_t BgL_l1622z00_6838;

												BgL_l1622z00_6838 = BgL_arg1949z00_2404;
												BgL_tail1625z00_6839 = BgL_newtail1626z00_2403;
												BgL_tail1625z00_2400 = BgL_tail1625z00_6839;
												BgL_l1622z00_2399 = BgL_l1622z00_6838;
												goto BgL_zc3z04anonymousza31947ze3z87_2401;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1944z00_2392))->BgL_succsz00) =
					((obj_t) BgL_arg1945z00_2393), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 140 */
				BgL_blockz00_bglt BgL_joinz00_2410;

				{	/* SawMill/node2rtl.scm 140 */
					BgL_areaz00_bglt BgL_arg1958z00_2422;

					{	/* SawMill/node2rtl.scm 140 */
						BgL_rtl_movz00_bglt BgL_arg1959z00_2423;

						{	/* SawMill/node2rtl.scm 140 */
							BgL_rtl_movz00_bglt BgL_new1249z00_2425;

							{	/* SawMill/node2rtl.scm 140 */
								BgL_rtl_movz00_bglt BgL_new1248z00_2426;

								BgL_new1248z00_2426 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 140 */
									long BgL_arg1961z00_2427;

									BgL_arg1961z00_2427 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1248z00_2426),
										BgL_arg1961z00_2427);
								}
								BgL_new1249z00_2425 = BgL_new1248z00_2426;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1249z00_2425)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1959z00_2423 = BgL_new1249z00_2425;
						}
						{	/* SawMill/node2rtl.scm 140 */
							obj_t BgL_list1960z00_2424;

							BgL_list1960z00_2424 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_119), BNIL);
							BgL_arg1958z00_2422 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1959z00_2423),
								BgL_list1960z00_2424);
					}}
					BgL_joinz00_2410 =
						(((BgL_areaz00_bglt) COBJECT(BgL_arg1958z00_2422))->BgL_entryz00);
				}
				{
					obj_t BgL_l1628z00_2412;

					BgL_l1628z00_2412 = BgL_contsz00_118;
				BgL_zc3z04anonymousza31954ze3z87_2413:
					if (PAIRP(BgL_l1628z00_2412))
						{	/* SawMill/node2rtl.scm 141 */
							{	/* SawMill/node2rtl.scm 142 */
								BgL_areaz00_bglt BgL_az00_2415;

								BgL_az00_2415 = ((BgL_areaz00_bglt) CAR(BgL_l1628z00_2412));
								{	/* SawMill/node2rtl.scm 142 */
									BgL_blockz00_bglt BgL_bz00_2416;

									BgL_bz00_2416 =
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_2415))->BgL_exitz00);
									{	/* SawMill/node2rtl.scm 91 */
										obj_t BgL_arg1898z00_4267;

										{	/* SawMill/node2rtl.scm 91 */
											obj_t BgL_arg1899z00_4268;

											BgL_arg1899z00_4268 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2416))->
												BgL_succsz00);
											BgL_arg1898z00_4267 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2410),
												BgL_arg1899z00_4268);
										}
										((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2416))->
												BgL_succsz00) = ((obj_t) BgL_arg1898z00_4267), BUNSPEC);
									}
									BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2416,
										BgL_rz00_119);
								}
							}
							{
								obj_t BgL_l1628z00_6862;

								BgL_l1628z00_6862 = CDR(BgL_l1628z00_2412);
								BgL_l1628z00_2412 = BgL_l1628z00_6862;
								goto BgL_zc3z04anonymousza31954ze3z87_2413;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 141 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/node2rtl.scm 147 */
					BgL_areaz00_bglt BgL_new1252z00_2419;

					{	/* SawMill/node2rtl.scm 147 */
						BgL_areaz00_bglt BgL_new1251z00_2420;

						BgL_new1251z00_2420 =
							((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_areaz00_bgl))));
						{	/* SawMill/node2rtl.scm 147 */
							long BgL_arg1957z00_2421;

							BgL_arg1957z00_2421 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1251z00_2420),
								BgL_arg1957z00_2421);
						}
						BgL_new1252z00_2419 = BgL_new1251z00_2420;
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1252z00_2419))->BgL_entryz00) =
						((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
									COBJECT(BgL_headz00_117))->BgL_entryz00)), BUNSPEC);
					((((BgL_areaz00_bglt) COBJECT(BgL_new1252z00_2419))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_joinz00_2410), BUNSPEC);
					return BgL_new1252z00_2419;
				}
			}
		}

	}



/* join */
	obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t BgL_contsz00_120,
		BgL_rtl_regz00_bglt BgL_xrz00_121)
	{
		{	/* SawMill/node2rtl.scm 149 */
			{	/* SawMill/node2rtl.scm 150 */
				obj_t BgL_rz00_2428;

				BgL_rz00_2428 =
					BGl_findzd2registerzd2zzsaw_node2rtlz00(BgL_contsz00_120,
					BgL_xrz00_121);
				{	/* SawMill/node2rtl.scm 152 */
					BgL_blockz00_bglt BgL_joinz00_2429;

					{	/* SawMill/node2rtl.scm 152 */
						BgL_areaz00_bglt BgL_arg1971z00_2454;

						{	/* SawMill/node2rtl.scm 152 */
							BgL_rtl_movz00_bglt BgL_arg1972z00_2455;

							{	/* SawMill/node2rtl.scm 152 */
								BgL_rtl_movz00_bglt BgL_new1254z00_2457;

								{	/* SawMill/node2rtl.scm 152 */
									BgL_rtl_movz00_bglt BgL_new1253z00_2458;

									BgL_new1253z00_2458 =
										((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_movz00_bgl))));
									{	/* SawMill/node2rtl.scm 152 */
										long BgL_arg1974z00_2459;

										BgL_arg1974z00_2459 =
											BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1253z00_2458),
											BgL_arg1974z00_2459);
									}
									BgL_new1254z00_2457 = BgL_new1253z00_2458;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1254z00_2457)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1972z00_2455 = BgL_new1254z00_2457;
							}
							{	/* SawMill/node2rtl.scm 152 */
								obj_t BgL_list1973z00_2456;

								BgL_list1973z00_2456 = MAKE_YOUNG_PAIR(BgL_rz00_2428, BNIL);
								BgL_arg1971z00_2454 =
									BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
									((BgL_rtl_funz00_bglt) BgL_arg1972z00_2455),
									BgL_list1973z00_2456);
						}}
						BgL_joinz00_2429 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1971z00_2454))->BgL_entryz00);
					}
					{
						obj_t BgL_l1630z00_2431;

						BgL_l1630z00_2431 = BgL_contsz00_120;
					BgL_zc3z04anonymousza31962ze3z87_2432:
						if (PAIRP(BgL_l1630z00_2431))
							{	/* SawMill/node2rtl.scm 153 */
								{	/* SawMill/node2rtl.scm 154 */
									BgL_areaz00_bglt BgL_az00_2434;

									BgL_az00_2434 = ((BgL_areaz00_bglt) CAR(BgL_l1630z00_2431));
									{	/* SawMill/node2rtl.scm 154 */
										BgL_blockz00_bglt BgL_bz00_2435;

										BgL_bz00_2435 =
											(((BgL_areaz00_bglt) COBJECT(BgL_az00_2434))->
											BgL_exitz00);
										{	/* SawMill/node2rtl.scm 91 */
											obj_t BgL_arg1898z00_4286;

											{	/* SawMill/node2rtl.scm 91 */
												obj_t BgL_arg1899z00_4287;

												BgL_arg1899z00_4287 =
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2435))->
													BgL_succsz00);
												BgL_arg1898z00_4286 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2429),
													BgL_arg1899z00_4287);
											}
											((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2435))->
													BgL_succsz00) =
												((obj_t) BgL_arg1898z00_4286), BUNSPEC);
										}
										BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2435,
											((BgL_rtl_regz00_bglt) BgL_rz00_2428));
									}
								}
								{
									obj_t BgL_l1630z00_6893;

									BgL_l1630z00_6893 = CDR(BgL_l1630z00_2431);
									BgL_l1630z00_2431 = BgL_l1630z00_6893;
									goto BgL_zc3z04anonymousza31962ze3z87_2432;
								}
							}
						else
							{	/* SawMill/node2rtl.scm 153 */
								((bool_t) 1);
							}
					}
					if (NULLP(BgL_contsz00_120))
						{	/* SawMill/node2rtl.scm 159 */
							return BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 159 */
							obj_t BgL_head1634z00_2440;

							BgL_head1634z00_2440 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1632z00_2442;
								obj_t BgL_tail1635z00_2443;

								BgL_l1632z00_2442 = BgL_contsz00_120;
								BgL_tail1635z00_2443 = BgL_head1634z00_2440;
							BgL_zc3z04anonymousza31966ze3z87_2444:
								if (NULLP(BgL_l1632z00_2442))
									{	/* SawMill/node2rtl.scm 159 */
										return CDR(BgL_head1634z00_2440);
									}
								else
									{	/* SawMill/node2rtl.scm 159 */
										obj_t BgL_newtail1636z00_2446;

										{	/* SawMill/node2rtl.scm 159 */
											BgL_areaz00_bglt BgL_arg1969z00_2448;

											{	/* SawMill/node2rtl.scm 159 */
												BgL_areaz00_bglt BgL_az00_2449;

												BgL_az00_2449 =
													((BgL_areaz00_bglt) CAR(((obj_t) BgL_l1632z00_2442)));
												{	/* SawMill/node2rtl.scm 160 */
													BgL_areaz00_bglt BgL_new1256z00_2450;

													{	/* SawMill/node2rtl.scm 160 */
														BgL_areaz00_bglt BgL_new1255z00_2451;

														BgL_new1255z00_2451 =
															((BgL_areaz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_areaz00_bgl))));
														{	/* SawMill/node2rtl.scm 160 */
															long BgL_arg1970z00_2452;

															BgL_arg1970z00_2452 =
																BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1255z00_2451),
																BgL_arg1970z00_2452);
														}
														BgL_new1256z00_2450 = BgL_new1255z00_2451;
													}
													((((BgL_areaz00_bglt) COBJECT(BgL_new1256z00_2450))->
															BgL_entryz00) =
														((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
																	COBJECT(BgL_az00_2449))->BgL_entryz00)),
														BUNSPEC);
													((((BgL_areaz00_bglt) COBJECT(BgL_new1256z00_2450))->
															BgL_exitz00) =
														((BgL_blockz00_bglt) BgL_joinz00_2429), BUNSPEC);
													BgL_arg1969z00_2448 = BgL_new1256z00_2450;
											}}
											BgL_newtail1636z00_2446 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1969z00_2448), BNIL);
										}
										SET_CDR(BgL_tail1635z00_2443, BgL_newtail1636z00_2446);
										{	/* SawMill/node2rtl.scm 159 */
											obj_t BgL_arg1968z00_2447;

											BgL_arg1968z00_2447 = CDR(((obj_t) BgL_l1632z00_2442));
											{
												obj_t BgL_tail1635z00_6917;
												obj_t BgL_l1632z00_6916;

												BgL_l1632z00_6916 = BgL_arg1968z00_2447;
												BgL_tail1635z00_6917 = BgL_newtail1636z00_2446;
												BgL_tail1635z00_2443 = BgL_tail1635z00_6917;
												BgL_l1632z00_2442 = BgL_l1632z00_6916;
												goto BgL_zc3z04anonymousza31966ze3z87_2444;
											}
										}
									}
							}
						}
				}
			}
		}

	}



/* fork */
	BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_122, obj_t BgL_joinedz00_123)
	{
		{	/* SawMill/node2rtl.scm 163 */
			{	/* SawMill/node2rtl.scm 165 */
				BgL_blockz00_bglt BgL_arg1975z00_2460;
				obj_t BgL_arg1976z00_2461;

				BgL_arg1975z00_2460 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->BgL_exitz00);
				if (NULLP(BgL_joinedz00_123))
					{	/* SawMill/node2rtl.scm 165 */
						BgL_arg1976z00_2461 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 165 */
						obj_t BgL_head1639z00_2464;

						{	/* SawMill/node2rtl.scm 165 */
							BgL_blockz00_bglt BgL_arg1983z00_2476;

							BgL_arg1983z00_2476 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_joinedz00_123)))))->BgL_entryz00);
							BgL_head1639z00_2464 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1983z00_2476), BNIL);
						}
						{	/* SawMill/node2rtl.scm 165 */
							obj_t BgL_g1642z00_2465;

							BgL_g1642z00_2465 = CDR(((obj_t) BgL_joinedz00_123));
							{
								obj_t BgL_l1637z00_2467;
								obj_t BgL_tail1640z00_2468;

								BgL_l1637z00_2467 = BgL_g1642z00_2465;
								BgL_tail1640z00_2468 = BgL_head1639z00_2464;
							BgL_zc3z04anonymousza31978ze3z87_2469:
								if (NULLP(BgL_l1637z00_2467))
									{	/* SawMill/node2rtl.scm 165 */
										BgL_arg1976z00_2461 = BgL_head1639z00_2464;
									}
								else
									{	/* SawMill/node2rtl.scm 165 */
										obj_t BgL_newtail1641z00_2471;

										{	/* SawMill/node2rtl.scm 165 */
											BgL_blockz00_bglt BgL_arg1981z00_2473;

											BgL_arg1981z00_2473 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1637z00_2467)))))->BgL_entryz00);
											BgL_newtail1641z00_2471 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1981z00_2473), BNIL);
										}
										SET_CDR(BgL_tail1640z00_2468, BgL_newtail1641z00_2471);
										{	/* SawMill/node2rtl.scm 165 */
											obj_t BgL_arg1980z00_2472;

											BgL_arg1980z00_2472 = CDR(((obj_t) BgL_l1637z00_2467));
											{
												obj_t BgL_tail1640z00_6941;
												obj_t BgL_l1637z00_6940;

												BgL_l1637z00_6940 = BgL_arg1980z00_2472;
												BgL_tail1640z00_6941 = BgL_newtail1641z00_2471;
												BgL_tail1640z00_2468 = BgL_tail1640z00_6941;
												BgL_l1637z00_2467 = BgL_l1637z00_6940;
												goto BgL_zc3z04anonymousza31978ze3z87_2469;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1975z00_2460))->BgL_succsz00) =
					((obj_t) BgL_arg1976z00_2461), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 167 */
				BgL_areaz00_bglt BgL_new1258z00_2478;

				{	/* SawMill/node2rtl.scm 167 */
					BgL_areaz00_bglt BgL_new1257z00_2480;

					BgL_new1257z00_2480 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 167 */
						long BgL_arg1986z00_2481;

						BgL_arg1986z00_2481 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1257z00_2480), BgL_arg1986z00_2481);
					}
					BgL_new1258z00_2478 = BgL_new1257z00_2480;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1258z00_2478))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1258z00_2478))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(((BgL_areaz00_bglt)
										CAR(((obj_t) BgL_joinedz00_123)))))->BgL_exitz00)),
					BUNSPEC);
				return BgL_new1258z00_2478;
			}
		}

	}



/* find-register */
	obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t BgL_areasz00_124,
		BgL_rtl_regz00_bglt BgL_regz00_125)
	{
		{	/* SawMill/node2rtl.scm 170 */
			{
				obj_t BgL_az00_2491;

				{
					obj_t BgL_lz00_2484;

					BgL_lz00_2484 = BgL_areasz00_124;
				BgL_zc3z04anonymousza31987ze3z87_2485:
					if (NULLP(BgL_lz00_2484))
						{	/* SawMill/node2rtl.scm 180 */
							return ((obj_t) BgL_regz00_125);
						}
					else
						{	/* SawMill/node2rtl.scm 182 */
							obj_t BgL__ortest_1260z00_2487;

							{	/* SawMill/node2rtl.scm 182 */
								obj_t BgL_arg1990z00_2489;

								BgL_arg1990z00_2489 = CAR(((obj_t) BgL_lz00_2484));
								BgL_az00_2491 = BgL_arg1990z00_2489;
								{	/* SawMill/node2rtl.scm 172 */
									obj_t BgL_insz00_2493;

									BgL_insz00_2493 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_blockz00_bglt) COBJECT(
														(((BgL_areaz00_bglt) COBJECT(
																	((BgL_areaz00_bglt) BgL_az00_2491)))->
															BgL_exitz00)))->BgL_firstz00)));
									{	/* SawMill/node2rtl.scm 173 */
										bool_t BgL_test3023z00_6964;

										{	/* SawMill/node2rtl.scm 173 */
											BgL_rtl_funz00_bglt BgL_arg2002z00_2508;

											BgL_arg2002z00_2508 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2493)))->
												BgL_funz00);
											{	/* SawMill/node2rtl.scm 173 */
												obj_t BgL_classz00_4320;

												BgL_classz00_4320 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/node2rtl.scm 173 */
													BgL_objectz00_bglt BgL_arg1820z00_4322;

													{	/* SawMill/node2rtl.scm 173 */
														obj_t BgL_tmpz00_6967;

														BgL_tmpz00_6967 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg2002z00_2508));
														BgL_arg1820z00_4322 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6967);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 173 */
															long BgL_idxz00_4328;

															BgL_idxz00_4328 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4322);
															BgL_test3023z00_6964 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4328 + ((long) 3))) ==
																BgL_classz00_4320);
														}
													else
														{	/* SawMill/node2rtl.scm 173 */
															bool_t BgL_res2793z00_4350;

															{	/* SawMill/node2rtl.scm 173 */
																obj_t BgL_oclassz00_4336;

																{	/* SawMill/node2rtl.scm 173 */
																	long BgL_arg1828z00_4342;

																	{	/* SawMill/node2rtl.scm 173 */
																		long BgL_arg1829z00_4343;

																		BgL_arg1829z00_4343 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4322);
																		BgL_arg1828z00_4342 =
																			(BgL_arg1829z00_4343 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4336 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4342);
																}
																{	/* SawMill/node2rtl.scm 173 */
																	bool_t BgL__ortest_1111z00_4337;

																	BgL__ortest_1111z00_4337 =
																		(BgL_classz00_4320 == BgL_oclassz00_4336);
																	if (BgL__ortest_1111z00_4337)
																		{	/* SawMill/node2rtl.scm 173 */
																			BgL_res2793z00_4350 =
																				BgL__ortest_1111z00_4337;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 173 */
																			long BgL_odepthz00_4338;

																			BgL_odepthz00_4338 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4336);
																			if ((((long) 3) < BgL_odepthz00_4338))
																				{	/* SawMill/node2rtl.scm 173 */
																					obj_t BgL_arg1816z00_4340;

																					BgL_arg1816z00_4340 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4336, ((long) 3));
																					BgL_res2793z00_4350 =
																						(BgL_arg1816z00_4340 ==
																						BgL_classz00_4320);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 173 */
																					BgL_res2793z00_4350 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3023z00_6964 = BgL_res2793z00_4350;
														}
												}
											}
										}
										if (BgL_test3023z00_6964)
											{	/* SawMill/node2rtl.scm 174 */
												obj_t BgL_rz00_2495;

												{	/* SawMill/node2rtl.scm 174 */
													obj_t BgL_pairz00_4352;

													BgL_pairz00_4352 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2493)))->
														BgL_argsz00);
													BgL_rz00_2495 = CAR(BgL_pairz00_4352);
												}
												{	/* SawMill/node2rtl.scm 175 */
													bool_t BgL_test3027z00_6990;

													if (CBOOL(
															(((BgL_rtl_regz00_bglt) COBJECT(
																		((BgL_rtl_regz00_bglt) BgL_rz00_2495)))->
																BgL_varz00)))
														{	/* SawMill/node2rtl.scm 175 */
															BgL_test3027z00_6990 = ((bool_t) 1);
														}
													else
														{	/* SawMill/node2rtl.scm 175 */
															if (
																(((obj_t)
																		(((BgL_rtl_regz00_bglt) COBJECT(
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2495)))->BgL_typez00)) ==
																	((obj_t) (((BgL_rtl_regz00_bglt)
																				COBJECT(BgL_regz00_125))->
																			BgL_typez00))))
																{	/* SawMill/node2rtl.scm 176 */
																	BgL_test3027z00_6990 = ((bool_t) 0);
																}
															else
																{	/* SawMill/node2rtl.scm 176 */
																	BgL_test3027z00_6990 = ((bool_t) 1);
																}
														}
													if (BgL_test3027z00_6990)
														{	/* SawMill/node2rtl.scm 175 */
															BgL__ortest_1260z00_2487 = BFALSE;
														}
													else
														{	/* SawMill/node2rtl.scm 175 */
															BgL__ortest_1260z00_2487 = BgL_rz00_2495;
														}
												}
											}
										else
											{	/* SawMill/node2rtl.scm 173 */
												BgL__ortest_1260z00_2487 = BFALSE;
											}
									}
								}
							}
							if (CBOOL(BgL__ortest_1260z00_2487))
								{	/* SawMill/node2rtl.scm 182 */
									return BgL__ortest_1260z00_2487;
								}
							else
								{	/* SawMill/node2rtl.scm 183 */
									obj_t BgL_arg1989z00_2488;

									BgL_arg1989z00_2488 = CDR(((obj_t) BgL_lz00_2484));
									{
										obj_t BgL_lz00_7006;

										BgL_lz00_7006 = BgL_arg1989z00_2488;
										BgL_lz00_2484 = BgL_lz00_7006;
										goto BgL_zc3z04anonymousza31987ze3z87_2485;
									}
								}
						}
				}
			}
		}

	}



/* call* */
	BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_128,
		BgL_rtl_funz00_bglt BgL_funz00_129, obj_t BgL_exprsz00_130)
	{
		{	/* SawMill/node2rtl.scm 190 */
			{	/* SawMill/node2rtl.scm 191 */
				obj_t BgL_regsz00_2514;

				if (NULLP(BgL_exprsz00_130))
					{	/* SawMill/node2rtl.scm 191 */
						BgL_regsz00_2514 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 191 */
						obj_t BgL_head1645z00_2537;

						BgL_head1645z00_2537 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1643z00_2539;
							obj_t BgL_tail1646z00_2540;

							BgL_l1643z00_2539 = BgL_exprsz00_130;
							BgL_tail1646z00_2540 = BgL_head1645z00_2537;
						BgL_zc3z04anonymousza32016ze3z87_2541:
							if (NULLP(BgL_l1643z00_2539))
								{	/* SawMill/node2rtl.scm 191 */
									BgL_regsz00_2514 = CDR(BgL_head1645z00_2537);
								}
							else
								{	/* SawMill/node2rtl.scm 191 */
									obj_t BgL_newtail1647z00_2543;

									{	/* SawMill/node2rtl.scm 191 */
										BgL_rtl_regz00_bglt BgL_arg2019z00_2545;

										{	/* SawMill/node2rtl.scm 191 */
											obj_t BgL_ez00_2546;

											BgL_ez00_2546 = CAR(((obj_t) BgL_l1643z00_2539));
											BgL_arg2019z00_2545 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_ez00_2546));
										}
										BgL_newtail1647z00_2543 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2019z00_2545), BNIL);
									}
									SET_CDR(BgL_tail1646z00_2540, BgL_newtail1647z00_2543);
									{	/* SawMill/node2rtl.scm 191 */
										obj_t BgL_arg2018z00_2544;

										BgL_arg2018z00_2544 = CDR(((obj_t) BgL_l1643z00_2539));
										{
											obj_t BgL_tail1646z00_7023;
											obj_t BgL_l1643z00_7022;

											BgL_l1643z00_7022 = BgL_arg2018z00_2544;
											BgL_tail1646z00_7023 = BgL_newtail1647z00_2543;
											BgL_tail1646z00_2540 = BgL_tail1646z00_7023;
											BgL_l1643z00_2539 = BgL_l1643z00_7022;
											goto BgL_zc3z04anonymousza32016ze3z87_2541;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 192 */
					BgL_areaz00_bglt BgL_arg2006z00_2515;
					BgL_areaz00_bglt BgL_arg2007z00_2516;

					{	/* SawMill/node2rtl.scm 192 */
						obj_t BgL_arg2008z00_2517;

						if (NULLP(BgL_exprsz00_130))
							{	/* SawMill/node2rtl.scm 192 */
								BgL_arg2008z00_2517 = BNIL;
							}
						else
							{	/* SawMill/node2rtl.scm 192 */
								obj_t BgL_head1650z00_2521;

								BgL_head1650z00_2521 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1648z00_2523;
									obj_t BgL_ll1649z00_2524;
									obj_t BgL_tail1651z00_2525;

									BgL_ll1648z00_2523 = BgL_exprsz00_130;
									BgL_ll1649z00_2524 = BgL_regsz00_2514;
									BgL_tail1651z00_2525 = BgL_head1650z00_2521;
								BgL_zc3z04anonymousza32010ze3z87_2526:
									if (NULLP(BgL_ll1648z00_2523))
										{	/* SawMill/node2rtl.scm 192 */
											BgL_arg2008z00_2517 = CDR(BgL_head1650z00_2521);
										}
									else
										{	/* SawMill/node2rtl.scm 192 */
											obj_t BgL_newtail1652z00_2528;

											{	/* SawMill/node2rtl.scm 192 */
												BgL_areaz00_bglt BgL_arg2014z00_2531;

												{	/* SawMill/node2rtl.scm 192 */
													obj_t BgL_az00_2532;
													obj_t BgL_rz00_2533;

													BgL_az00_2532 = CAR(((obj_t) BgL_ll1648z00_2523));
													BgL_rz00_2533 = CAR(((obj_t) BgL_ll1649z00_2524));
													{	/* SawMill/node2rtl.scm 192 */
														BgL_areaz00_bglt BgL_res2794z00_4377;

														{	/* SawMill/node2rtl.scm 186 */
															BgL_areaz00_bglt BgL_az00_4372;

															BgL_az00_4372 =
																BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																((BgL_nodez00_bglt) BgL_az00_2532));
															{	/* SawMill/node2rtl.scm 115 */
																BgL_blockz00_bglt BgL_arg1924z00_4375;

																BgL_arg1924z00_4375 =
																	(((BgL_areaz00_bglt) COBJECT(BgL_az00_4372))->
																	BgL_exitz00);
																BGl_bdestinationz12z12zzsaw_node2rtlz00
																	(BgL_arg1924z00_4375,
																	((BgL_rtl_regz00_bglt) BgL_rz00_2533));
															}
															BgL_res2794z00_4377 = BgL_az00_4372;
														}
														BgL_arg2014z00_2531 = BgL_res2794z00_4377;
													}
												}
												BgL_newtail1652z00_2528 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2014z00_2531), BNIL);
											}
											SET_CDR(BgL_tail1651z00_2525, BgL_newtail1652z00_2528);
											{	/* SawMill/node2rtl.scm 192 */
												obj_t BgL_arg2012z00_2529;
												obj_t BgL_arg2013z00_2530;

												BgL_arg2012z00_2529 = CDR(((obj_t) BgL_ll1648z00_2523));
												BgL_arg2013z00_2530 = CDR(((obj_t) BgL_ll1649z00_2524));
												{
													obj_t BgL_tail1651z00_7048;
													obj_t BgL_ll1649z00_7047;
													obj_t BgL_ll1648z00_7046;

													BgL_ll1648z00_7046 = BgL_arg2012z00_2529;
													BgL_ll1649z00_7047 = BgL_arg2013z00_2530;
													BgL_tail1651z00_7048 = BgL_newtail1652z00_2528;
													BgL_tail1651z00_2525 = BgL_tail1651z00_7048;
													BgL_ll1649z00_2524 = BgL_ll1649z00_7047;
													BgL_ll1648z00_2523 = BgL_ll1648z00_7046;
													goto BgL_zc3z04anonymousza32010ze3z87_2526;
												}
											}
										}
								}
							}
						BgL_arg2006z00_2515 =
							BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2008z00_2517);
					}
					BgL_arg2007z00_2516 =
						BGl_singleza2za2zzsaw_node2rtlz00(BgL_ez00_128, BgL_funz00_129,
						BgL_regsz00_2514);
					return BGl_linkz00zzsaw_node2rtlz00(BgL_arg2006z00_2515,
						BgL_arg2007z00_2516);
				}
			}
		}

	}



/* coerce */
	obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t BgL_clausesz00_146)
	{
		{	/* SawMill/node2rtl.scm 272 */
			if (NULLP(BgL_clausesz00_146))
				{	/* SawMill/node2rtl.scm 273 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 273 */
					obj_t BgL_head1687z00_2585;

					BgL_head1687z00_2585 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1685z00_2587;
						obj_t BgL_tail1688z00_2588;

						BgL_l1685z00_2587 = BgL_clausesz00_146;
						BgL_tail1688z00_2588 = BgL_head1687z00_2585;
					BgL_zc3z04anonymousza32037ze3z87_2589:
						if (NULLP(BgL_l1685z00_2587))
							{	/* SawMill/node2rtl.scm 273 */
								return CDR(BgL_head1687z00_2585);
							}
						else
							{	/* SawMill/node2rtl.scm 273 */
								obj_t BgL_newtail1689z00_2591;

								{	/* SawMill/node2rtl.scm 273 */
									obj_t BgL_arg2040z00_2593;

									{	/* SawMill/node2rtl.scm 273 */
										obj_t BgL_cz00_2594;

										BgL_cz00_2594 = CAR(((obj_t) BgL_l1685z00_2587));
										{	/* SawMill/node2rtl.scm 274 */
											obj_t BgL_pz00_2595;

											BgL_pz00_2595 = CAR(((obj_t) BgL_cz00_2594));
											if ((BgL_pz00_2595 == CNST_TABLE_REF(((long) 1))))
												{	/* SawMill/node2rtl.scm 275 */
													BgL_arg2040z00_2593 = BgL_pz00_2595;
												}
											else
												{	/* SawMill/node2rtl.scm 275 */
													if (NULLP(BgL_pz00_2595))
														{	/* SawMill/node2rtl.scm 277 */
															BgL_arg2040z00_2593 = BNIL;
														}
													else
														{	/* SawMill/node2rtl.scm 277 */
															obj_t BgL_head1682z00_2598;

															BgL_head1682z00_2598 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1680z00_2600;
																obj_t BgL_tail1683z00_2601;

																BgL_l1680z00_2600 = BgL_pz00_2595;
																BgL_tail1683z00_2601 = BgL_head1682z00_2598;
															BgL_zc3z04anonymousza32042ze3z87_2602:
																if (NULLP(BgL_l1680z00_2600))
																	{	/* SawMill/node2rtl.scm 277 */
																		BgL_arg2040z00_2593 =
																			CDR(BgL_head1682z00_2598);
																	}
																else
																	{	/* SawMill/node2rtl.scm 277 */
																		obj_t BgL_newtail1684z00_2604;

																		{	/* SawMill/node2rtl.scm 277 */
																			obj_t BgL_arg2045z00_2606;

																			{	/* SawMill/node2rtl.scm 277 */
																				obj_t BgL_nz00_2607;

																				BgL_nz00_2607 =
																					CAR(((obj_t) BgL_l1680z00_2600));
																				if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_2607))
																					{	/* SawMill/node2rtl.scm 278 */
																						BgL_arg2045z00_2606 = BgL_nz00_2607;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 278 */
																						if (CHARP(BgL_nz00_2607))
																							{	/* SawMill/node2rtl.scm 279 */
																								BgL_arg2045z00_2606 =
																									BINT((CCHAR(BgL_nz00_2607)));
																							}
																						else
																							{	/* SawMill/node2rtl.scm 279 */
																								BgL_arg2045z00_2606 =
																									BGl_errorz00zz__errorz00
																									(BGl_string2831z00zzsaw_node2rtlz00,
																									BGl_string2832z00zzsaw_node2rtlz00,
																									BgL_nz00_2607);
																							}
																					}
																			}
																			BgL_newtail1684z00_2604 =
																				MAKE_YOUNG_PAIR(BgL_arg2045z00_2606,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1683z00_2601,
																			BgL_newtail1684z00_2604);
																		{	/* SawMill/node2rtl.scm 277 */
																			obj_t BgL_arg2044z00_2605;

																			BgL_arg2044z00_2605 =
																				CDR(((obj_t) BgL_l1680z00_2600));
																			{
																				obj_t BgL_tail1683z00_7086;
																				obj_t BgL_l1680z00_7085;

																				BgL_l1680z00_7085 = BgL_arg2044z00_2605;
																				BgL_tail1683z00_7086 =
																					BgL_newtail1684z00_2604;
																				BgL_tail1683z00_2601 =
																					BgL_tail1683z00_7086;
																				BgL_l1680z00_2600 = BgL_l1680z00_7085;
																				goto
																					BgL_zc3z04anonymousza32042ze3z87_2602;
																			}
																		}
																	}
															}
														}
												}
										}
									}
									BgL_newtail1689z00_2591 =
										MAKE_YOUNG_PAIR(BgL_arg2040z00_2593, BNIL);
								}
								SET_CDR(BgL_tail1688z00_2588, BgL_newtail1689z00_2591);
								{	/* SawMill/node2rtl.scm 273 */
									obj_t BgL_arg2039z00_2592;

									BgL_arg2039z00_2592 = CDR(((obj_t) BgL_l1685z00_2587));
									{
										obj_t BgL_tail1688z00_7092;
										obj_t BgL_l1685z00_7091;

										BgL_l1685z00_7091 = BgL_arg2039z00_2592;
										BgL_tail1688z00_7092 = BgL_newtail1689z00_2591;
										BgL_tail1688z00_2588 = BgL_tail1688z00_7092;
										BgL_l1685z00_2587 = BgL_l1685z00_7091;
										goto BgL_zc3z04anonymousza32037ze3z87_2589;
									}
								}
							}
					}
				}
		}

	}



/* compile-label-call */
	BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_148, obj_t BgL_argsz00_149)
	{
		{	/* SawMill/node2rtl.scm 290 */
			{	/* SawMill/node2rtl.scm 297 */
				obj_t BgL_regsz00_2613;

				if (NULLP(BgL_argsz00_149))
					{	/* SawMill/node2rtl.scm 297 */
						BgL_regsz00_2613 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 297 */
						obj_t BgL_head1692z00_2663;

						BgL_head1692z00_2663 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1690z00_2665;
							obj_t BgL_tail1693z00_2666;

							BgL_l1690z00_2665 = BgL_argsz00_149;
							BgL_tail1693z00_2666 = BgL_head1692z00_2663;
						BgL_zc3z04anonymousza32076ze3z87_2667:
							if (NULLP(BgL_l1690z00_2665))
								{	/* SawMill/node2rtl.scm 297 */
									BgL_regsz00_2613 = CDR(BgL_head1692z00_2663);
								}
							else
								{	/* SawMill/node2rtl.scm 297 */
									obj_t BgL_newtail1694z00_2669;

									{	/* SawMill/node2rtl.scm 297 */
										BgL_rtl_regz00_bglt BgL_arg2079z00_2671;

										{	/* SawMill/node2rtl.scm 297 */
											obj_t BgL_az00_2672;

											BgL_az00_2672 = CAR(((obj_t) BgL_l1690z00_2665));
											BgL_arg2079z00_2671 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_az00_2672));
										}
										BgL_newtail1694z00_2669 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2079z00_2671), BNIL);
									}
									SET_CDR(BgL_tail1693z00_2666, BgL_newtail1694z00_2669);
									{	/* SawMill/node2rtl.scm 297 */
										obj_t BgL_arg2078z00_2670;

										BgL_arg2078z00_2670 = CDR(((obj_t) BgL_l1690z00_2665));
										{
											obj_t BgL_tail1693z00_7109;
											obj_t BgL_l1690z00_7108;

											BgL_l1690z00_7108 = BgL_arg2078z00_2670;
											BgL_tail1693z00_7109 = BgL_newtail1694z00_2669;
											BgL_tail1693z00_2666 = BgL_tail1693z00_7109;
											BgL_l1690z00_2665 = BgL_l1690z00_7108;
											goto BgL_zc3z04anonymousza32076ze3z87_2667;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 298 */
					obj_t BgL_paramsz00_2614;

					BgL_paramsz00_2614 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_vz00_148)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* SawMill/node2rtl.scm 300 */
						BgL_areaz00_bglt BgL_arg2048z00_2615;
						BgL_areaz00_bglt BgL_arg2050z00_2616;

						{	/* SawMill/node2rtl.scm 300 */
							obj_t BgL_arg2051z00_2617;

							if (NULLP(BgL_argsz00_149))
								{	/* SawMill/node2rtl.scm 300 */
									BgL_arg2051z00_2617 = BNIL;
								}
							else
								{	/* SawMill/node2rtl.scm 300 */
									obj_t BgL_head1697z00_2621;

									BgL_head1697z00_2621 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll1695z00_2623;
										obj_t BgL_ll1696z00_2624;
										obj_t BgL_tail1698z00_2625;

										BgL_ll1695z00_2623 = BgL_argsz00_149;
										BgL_ll1696z00_2624 = BgL_regsz00_2613;
										BgL_tail1698z00_2625 = BgL_head1697z00_2621;
									BgL_zc3z04anonymousza32053ze3z87_2626:
										if (NULLP(BgL_ll1695z00_2623))
											{	/* SawMill/node2rtl.scm 300 */
												BgL_arg2051z00_2617 = CDR(BgL_head1697z00_2621);
											}
										else
											{	/* SawMill/node2rtl.scm 300 */
												obj_t BgL_newtail1699z00_2628;

												{	/* SawMill/node2rtl.scm 300 */
													BgL_areaz00_bglt BgL_arg2057z00_2631;

													{	/* SawMill/node2rtl.scm 300 */
														obj_t BgL_ez00_2632;
														obj_t BgL_rz00_2633;

														BgL_ez00_2632 = CAR(((obj_t) BgL_ll1695z00_2623));
														BgL_rz00_2633 = CAR(((obj_t) BgL_ll1696z00_2624));
														{	/* SawMill/node2rtl.scm 300 */
															BgL_areaz00_bglt BgL_res2796z00_4433;

															{	/* SawMill/node2rtl.scm 186 */
																BgL_areaz00_bglt BgL_az00_4428;

																BgL_az00_4428 =
																	BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																	((BgL_nodez00_bglt) BgL_ez00_2632));
																{	/* SawMill/node2rtl.scm 115 */
																	BgL_blockz00_bglt BgL_arg1924z00_4431;

																	BgL_arg1924z00_4431 =
																		(((BgL_areaz00_bglt)
																			COBJECT(BgL_az00_4428))->BgL_exitz00);
																	BGl_bdestinationz12z12zzsaw_node2rtlz00
																		(BgL_arg1924z00_4431,
																		((BgL_rtl_regz00_bglt) BgL_rz00_2633));
																}
																BgL_res2796z00_4433 = BgL_az00_4428;
															}
															BgL_arg2057z00_2631 = BgL_res2796z00_4433;
														}
													}
													BgL_newtail1699z00_2628 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2057z00_2631), BNIL);
												}
												SET_CDR(BgL_tail1698z00_2625, BgL_newtail1699z00_2628);
												{	/* SawMill/node2rtl.scm 300 */
													obj_t BgL_arg2055z00_2629;
													obj_t BgL_arg2056z00_2630;

													BgL_arg2055z00_2629 =
														CDR(((obj_t) BgL_ll1695z00_2623));
													BgL_arg2056z00_2630 =
														CDR(((obj_t) BgL_ll1696z00_2624));
													{
														obj_t BgL_tail1698z00_7138;
														obj_t BgL_ll1696z00_7137;
														obj_t BgL_ll1695z00_7136;

														BgL_ll1695z00_7136 = BgL_arg2055z00_2629;
														BgL_ll1696z00_7137 = BgL_arg2056z00_2630;
														BgL_tail1698z00_7138 = BgL_newtail1699z00_2628;
														BgL_tail1698z00_2625 = BgL_tail1698z00_7138;
														BgL_ll1696z00_2624 = BgL_ll1696z00_7137;
														BgL_ll1695z00_2623 = BgL_ll1695z00_7136;
														goto BgL_zc3z04anonymousza32053ze3z87_2626;
													}
												}
											}
									}
								}
							BgL_arg2048z00_2615 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2051z00_2617);
						}
						{	/* SawMill/node2rtl.scm 302 */
							BgL_areaz00_bglt BgL_arg2058z00_2635;
							BgL_areaz00_bglt BgL_arg2059z00_2636;

							{	/* SawMill/node2rtl.scm 302 */
								obj_t BgL_arg2060z00_2637;

								{	/* SawMill/node2rtl.scm 302 */
									obj_t BgL_ll1701z00_2638;
									obj_t BgL_ll1702z00_2639;

									BgL_ll1701z00_2638 = bgl_reverse(BgL_regsz00_2613);
									BgL_ll1702z00_2639 = bgl_reverse(BgL_paramsz00_2614);
									if (NULLP(BgL_ll1701z00_2638))
										{	/* SawMill/node2rtl.scm 302 */
											BgL_arg2060z00_2637 = BNIL;
										}
									else
										{	/* SawMill/node2rtl.scm 302 */
											obj_t BgL_head1703z00_2641;

											{	/* SawMill/node2rtl.scm 302 */
												BgL_areaz00_bglt BgL_arg2071z00_2657;

												{	/* SawMill/node2rtl.scm 302 */
													obj_t BgL_arg2072z00_2658;
													obj_t BgL_arg2073z00_2659;

													BgL_arg2072z00_2658 = CAR(BgL_ll1701z00_2638);
													BgL_arg2073z00_2659 =
														CAR(((obj_t) BgL_ll1702z00_2639));
													BgL_arg2071z00_2657 =
														BGl_moveze70ze7zzsaw_node2rtlz00(
														((BgL_rtl_regz00_bglt) BgL_arg2072z00_2658),
														((BgL_localz00_bglt) BgL_arg2073z00_2659));
												}
												BgL_head1703z00_2641 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2071z00_2657), BNIL);
											}
											{	/* SawMill/node2rtl.scm 302 */
												obj_t BgL_g1707z00_2642;
												obj_t BgL_g1708z00_2643;

												BgL_g1707z00_2642 = CDR(BgL_ll1701z00_2638);
												BgL_g1708z00_2643 = CDR(((obj_t) BgL_ll1702z00_2639));
												{
													obj_t BgL_ll1701z00_2645;
													obj_t BgL_ll1702z00_2646;
													obj_t BgL_tail1704z00_2647;

													BgL_ll1701z00_2645 = BgL_g1707z00_2642;
													BgL_ll1702z00_2646 = BgL_g1708z00_2643;
													BgL_tail1704z00_2647 = BgL_head1703z00_2641;
												BgL_zc3z04anonymousza32062ze3z87_2648:
													if (NULLP(BgL_ll1701z00_2645))
														{	/* SawMill/node2rtl.scm 302 */
															BgL_arg2060z00_2637 = BgL_head1703z00_2641;
														}
													else
														{	/* SawMill/node2rtl.scm 302 */
															obj_t BgL_newtail1705z00_2650;

															{	/* SawMill/node2rtl.scm 302 */
																BgL_areaz00_bglt BgL_arg2067z00_2653;

																{	/* SawMill/node2rtl.scm 302 */
																	obj_t BgL_arg2068z00_2654;
																	obj_t BgL_arg2069z00_2655;

																	BgL_arg2068z00_2654 =
																		CAR(((obj_t) BgL_ll1701z00_2645));
																	BgL_arg2069z00_2655 =
																		CAR(((obj_t) BgL_ll1702z00_2646));
																	BgL_arg2067z00_2653 =
																		BGl_moveze70ze7zzsaw_node2rtlz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2068z00_2654),
																		((BgL_localz00_bglt) BgL_arg2069z00_2655));
																}
																BgL_newtail1705z00_2650 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg2067z00_2653), BNIL);
															}
															SET_CDR(BgL_tail1704z00_2647,
																BgL_newtail1705z00_2650);
															{	/* SawMill/node2rtl.scm 302 */
																obj_t BgL_arg2065z00_2651;
																obj_t BgL_arg2066z00_2652;

																BgL_arg2065z00_2651 =
																	CDR(((obj_t) BgL_ll1701z00_2645));
																BgL_arg2066z00_2652 =
																	CDR(((obj_t) BgL_ll1702z00_2646));
																{
																	obj_t BgL_tail1704z00_7173;
																	obj_t BgL_ll1702z00_7172;
																	obj_t BgL_ll1701z00_7171;

																	BgL_ll1701z00_7171 = BgL_arg2065z00_2651;
																	BgL_ll1702z00_7172 = BgL_arg2066z00_2652;
																	BgL_tail1704z00_7173 =
																		BgL_newtail1705z00_2650;
																	BgL_tail1704z00_2647 = BgL_tail1704z00_7173;
																	BgL_ll1702z00_2646 = BgL_ll1702z00_7172;
																	BgL_ll1701z00_2645 = BgL_ll1701z00_7171;
																	goto BgL_zc3z04anonymousza32062ze3z87_2648;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2058z00_2635 =
									BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2060z00_2637);
							}
							BgL_arg2059z00_2636 =
								BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_vz00_148);
							BgL_arg2050z00_2616 =
								BGl_linkz00zzsaw_node2rtlz00(BgL_arg2058z00_2635,
								BgL_arg2059z00_2636);
						}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2048z00_2615,
							BgL_arg2050z00_2616);
					}
				}
			}
		}

	}



/* move~0 */
	BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt
		BgL_rz00_2674, BgL_localz00_bglt BgL_vz00_2675)
	{
		{	/* SawMill/node2rtl.scm 296 */
			{	/* SawMill/node2rtl.scm 294 */
				BgL_areaz00_bglt BgL_az00_2677;

				{	/* SawMill/node2rtl.scm 294 */
					BgL_rtl_movz00_bglt BgL_arg2082z00_2679;

					{	/* SawMill/node2rtl.scm 294 */
						BgL_rtl_movz00_bglt BgL_new1286z00_2681;

						{	/* SawMill/node2rtl.scm 294 */
							BgL_rtl_movz00_bglt BgL_new1284z00_2682;

							BgL_new1284z00_2682 =
								((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_movz00_bgl))));
							{	/* SawMill/node2rtl.scm 294 */
								long BgL_arg2084z00_2683;

								BgL_arg2084z00_2683 =
									BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1284z00_2682),
									BgL_arg2084z00_2683);
							}
							BgL_new1286z00_2681 = BgL_new1284z00_2682;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1286z00_2681)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2082z00_2679 = BgL_new1286z00_2681;
					}
					{	/* SawMill/node2rtl.scm 294 */
						obj_t BgL_list2083z00_2680;

						BgL_list2083z00_2680 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_2674), BNIL);
						BgL_az00_2677 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2082z00_2679),
							BgL_list2083z00_2680);
				}}
				BGl_bdestinationz12z12zzsaw_node2rtlz00(
					(((BgL_areaz00_bglt) COBJECT(BgL_az00_2677))->BgL_exitz00),
					BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_vz00_2675));
				return BgL_az00_2677;
			}
		}

	}



/* local->code */
	BgL_areaz00_bglt BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_150)
	{
		{	/* SawMill/node2rtl.scm 306 */
			{	/* SawMill/node2rtl.scm 307 */
				bool_t BgL_test3048z00_7191;

				{	/* SawMill/node2rtl.scm 307 */
					obj_t BgL_classz00_4446;

					BgL_classz00_4446 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 307 */
						obj_t BgL_oclassz00_4448;

						{	/* SawMill/node2rtl.scm 307 */
							long BgL_arg1828z00_4450;

							{	/* SawMill/node2rtl.scm 307 */
								long BgL_arg1829z00_4451;

								BgL_arg1829z00_4451 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_vz00_150));
								BgL_arg1828z00_4450 = (BgL_arg1829z00_4451 - OBJECT_TYPE);
							}
							BgL_oclassz00_4448 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4450);
						}
						BgL_test3048z00_7191 = (BgL_oclassz00_4448 == BgL_classz00_4446);
				}}
				if (BgL_test3048z00_7191)
					{	/* SawMill/node2rtl.scm 316 */
						obj_t BgL_arg2086z00_2686;

						{
							BgL_rlocalz00_bglt BgL_auxz00_7197;

							{
								obj_t BgL_auxz00_7198;

								{	/* SawMill/node2rtl.scm 316 */
									BgL_objectz00_bglt BgL_tmpz00_7199;

									BgL_tmpz00_7199 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7198 = BGL_OBJECT_WIDENING(BgL_tmpz00_7199);
								}
								BgL_auxz00_7197 = ((BgL_rlocalz00_bglt) BgL_auxz00_7198);
							}
							BgL_arg2086z00_2686 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7197))->BgL_codez00);
						}
						return
							BGl_unlinkz00zzsaw_node2rtlz00(
							((BgL_areaz00_bglt) BgL_arg2086z00_2686));
					}
				else
					{	/* SawMill/node2rtl.scm 309 */
						BgL_areaz00_bglt BgL_nopz00_2687;
						obj_t BgL_bodyz00_2688;

						{	/* SawMill/node2rtl.scm 309 */
							BgL_rtl_nopz00_bglt BgL_arg2089z00_2695;

							{	/* SawMill/node2rtl.scm 309 */
								BgL_rtl_nopz00_bglt BgL_new1288z00_2697;

								{	/* SawMill/node2rtl.scm 309 */
									BgL_rtl_nopz00_bglt BgL_new1287z00_2698;

									BgL_new1287z00_2698 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 309 */
										long BgL_arg2091z00_2699;

										BgL_arg2091z00_2699 =
											BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1287z00_2698),
											BgL_arg2091z00_2699);
									}
									BgL_new1288z00_2697 = BgL_new1287z00_2698;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1288z00_2697)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg2089z00_2695 = BgL_new1288z00_2697;
							}
							BgL_nopz00_2687 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2089z00_2695), BNIL);
						}
						BgL_bodyz00_2688 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_150)))->
											BgL_valuez00))))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 312 */
							BgL_rlocalz00_bglt BgL_wide1291z00_2691;

							BgL_wide1291z00_2691 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 312 */
								obj_t BgL_auxz00_7223;
								BgL_objectz00_bglt BgL_tmpz00_7220;

								BgL_auxz00_7223 = ((obj_t) BgL_wide1291z00_2691);
								BgL_tmpz00_7220 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7220, BgL_auxz00_7223);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
							{	/* SawMill/node2rtl.scm 312 */
								long BgL_arg2087z00_2692;

								BgL_arg2087z00_2692 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_vz00_150)), BgL_arg2087z00_2692);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7234;

							{
								obj_t BgL_auxz00_7235;

								{	/* SawMill/node2rtl.scm 312 */
									BgL_objectz00_bglt BgL_tmpz00_7236;

									BgL_tmpz00_7236 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7235 = BGL_OBJECT_WIDENING(BgL_tmpz00_7236);
								}
								BgL_auxz00_7234 = ((BgL_rlocalz00_bglt) BgL_auxz00_7235);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7234))->BgL_regz00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_7242;

							{
								obj_t BgL_auxz00_7243;

								{	/* SawMill/node2rtl.scm 312 */
									BgL_objectz00_bglt BgL_tmpz00_7244;

									BgL_tmpz00_7244 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_7243 = BGL_OBJECT_WIDENING(BgL_tmpz00_7244);
								}
								BgL_auxz00_7242 = ((BgL_rlocalz00_bglt) BgL_auxz00_7243);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7242))->BgL_codez00) =
								((obj_t) ((obj_t) BgL_nopz00_2687)), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_vz00_150);
						{	/* SawMill/node2rtl.scm 314 */
							BgL_areaz00_bglt BgL_arg2088z00_2694;

							BgL_arg2088z00_2694 =
								BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
								((BgL_nodez00_bglt) BgL_bodyz00_2688));
							return
								BGl_linkz00zzsaw_node2rtlz00(BgL_nopz00_2687,
								BgL_arg2088z00_2694);
						}
					}
			}
		}

	}



/* imperative? */
	obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt BgL_ez00_152,
		BgL_globalz00_bglt BgL_vz00_153, obj_t BgL_argsz00_154)
	{
		{	/* SawMill/node2rtl.scm 329 */
			{	/* SawMill/node2rtl.scm 330 */
				obj_t BgL_idz00_2701;

				BgL_idz00_2701 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_153)))->BgL_idz00);
				if ((BgL_idz00_2701 == CNST_TABLE_REF(((long) 2))))
					{	/* SawMill/node2rtl.scm 333 */
						obj_t BgL_az00_2702;

						{	/* SawMill/node2rtl.scm 333 */
							bool_t BgL_test3050z00_7260;

							{	/* SawMill/node2rtl.scm 333 */
								obj_t BgL_arg2102z00_2713;

								BgL_arg2102z00_2713 = CAR(((obj_t) BgL_argsz00_154));
								{	/* SawMill/node2rtl.scm 333 */
									obj_t BgL_classz00_4473;

									BgL_classz00_4473 = BGl_pragmaz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg2102z00_2713))
										{	/* SawMill/node2rtl.scm 333 */
											BgL_objectz00_bglt BgL_arg1820z00_4475;

											BgL_arg1820z00_4475 =
												(BgL_objectz00_bglt) (BgL_arg2102z00_2713);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 333 */
													long BgL_idxz00_4481;

													BgL_idxz00_4481 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4475);
													BgL_test3050z00_7260 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4481 + ((long) 4))) ==
														BgL_classz00_4473);
												}
											else
												{	/* SawMill/node2rtl.scm 333 */
													bool_t BgL_res2797z00_4503;

													{	/* SawMill/node2rtl.scm 333 */
														obj_t BgL_oclassz00_4489;

														{	/* SawMill/node2rtl.scm 333 */
															long BgL_arg1828z00_4495;

															{	/* SawMill/node2rtl.scm 333 */
																long BgL_arg1829z00_4496;

																BgL_arg1829z00_4496 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4475);
																BgL_arg1828z00_4495 =
																	(BgL_arg1829z00_4496 - OBJECT_TYPE);
															}
															BgL_oclassz00_4489 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4495);
														}
														{	/* SawMill/node2rtl.scm 333 */
															bool_t BgL__ortest_1111z00_4490;

															BgL__ortest_1111z00_4490 =
																(BgL_classz00_4473 == BgL_oclassz00_4489);
															if (BgL__ortest_1111z00_4490)
																{	/* SawMill/node2rtl.scm 333 */
																	BgL_res2797z00_4503 =
																		BgL__ortest_1111z00_4490;
																}
															else
																{	/* SawMill/node2rtl.scm 333 */
																	long BgL_odepthz00_4491;

																	BgL_odepthz00_4491 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4489);
																	if ((((long) 4) < BgL_odepthz00_4491))
																		{	/* SawMill/node2rtl.scm 333 */
																			obj_t BgL_arg1816z00_4493;

																			BgL_arg1816z00_4493 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4489, ((long) 4));
																			BgL_res2797z00_4503 =
																				(BgL_arg1816z00_4493 ==
																				BgL_classz00_4473);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 333 */
																			BgL_res2797z00_4503 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3050z00_7260 = BgL_res2797z00_4503;
												}
										}
									else
										{	/* SawMill/node2rtl.scm 333 */
											BgL_test3050z00_7260 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test3050z00_7260)
								{	/* SawMill/node2rtl.scm 334 */
									obj_t BgL_pairz00_4506;

									BgL_pairz00_4506 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt)
														CAR(((obj_t) BgL_argsz00_154))))))->BgL_exprza2za2);
									BgL_az00_2702 = CAR(BgL_pairz00_4506);
								}
							else
								{	/* SawMill/node2rtl.scm 333 */
									BgL_az00_2702 = CAR(((obj_t) BgL_argsz00_154));
								}
						}
						{	/* SawMill/node2rtl.scm 337 */
							BgL_rtl_globalrefz00_bglt BgL_arg2093z00_2703;

							{	/* SawMill/node2rtl.scm 337 */
								BgL_rtl_globalrefz00_bglt BgL_new1300z00_2705;

								{	/* SawMill/node2rtl.scm 337 */
									BgL_rtl_globalrefz00_bglt BgL_new1299z00_2707;

									BgL_new1299z00_2707 =
										((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_globalrefz00_bgl))));
									{	/* SawMill/node2rtl.scm 337 */
										long BgL_arg2097z00_2708;

										BgL_arg2097z00_2708 =
											BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1299z00_2707),
											BgL_arg2097z00_2708);
									}
									BgL_new1300z00_2705 = BgL_new1299z00_2707;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1300z00_2705)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_7296;

									{	/* SawMill/node2rtl.scm 338 */
										BgL_variablez00_bglt BgL_arg2096z00_2706;

										BgL_arg2096z00_2706 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_az00_2702)))->BgL_variablez00);
										BgL_auxz00_7296 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(
											((BgL_globalz00_bglt) BgL_arg2096z00_2706));
									}
									((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1300z00_2705))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_7296), BUNSPEC);
								}
								BgL_arg2093z00_2703 = BgL_new1300z00_2705;
							}
							return
								((obj_t)
								BGl_callza2za2zzsaw_node2rtlz00(
									((obj_t) BgL_ez00_152),
									((BgL_rtl_funz00_bglt) BgL_arg2093z00_2703), BNIL));
						}
					}
				else
					{	/* SawMill/node2rtl.scm 332 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 19 */
				obj_t BgL_arg2106z00_2717;
				obj_t BgL_arg2107z00_2718;

				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1709z00_2730;

					BgL_v1709z00_2730 = create_vector(((long) 2));
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2113z00_2731;

						BgL_arg2113z00_2731 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2834z00zzsaw_node2rtlz00,
							BGl_proc2833z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1709z00_2730, ((long) 0), BgL_arg2113z00_2731);
					}
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2118z00_2741;

						BgL_arg2118z00_2741 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2836z00zzsaw_node2rtlz00,
							BGl_proc2835z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1709z00_2730, ((long) 1), BgL_arg2118z00_2741);
					}
					BgL_arg2106z00_2717 = BgL_v1709z00_2730;
				}
				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1710z00_2751;

					BgL_v1710z00_2751 = create_vector(((long) 0));
					BgL_arg2107z00_2718 = BgL_v1710z00_2751;
				}
				BGl_areaz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
					CNST_TABLE_REF(((long) 6)), BGl_objectz00zz__objectz00,
					((long) 23170), BGl_proc2839z00zzsaw_node2rtlz00,
					BGl_proc2838z00zzsaw_node2rtlz00, BFALSE,
					BGl_proc2837z00zzsaw_node2rtlz00, BFALSE, BgL_arg2106z00_2717,
					BgL_arg2107z00_2718);
			}
			{	/* SawMill/node2rtl.scm 20 */
				obj_t BgL_arg2127z00_2759;
				obj_t BgL_arg2128z00_2760;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1711z00_2785;

					BgL_v1711z00_2785 = create_vector(((long) 0));
					BgL_arg2127z00_2759 = BgL_v1711z00_2785;
				}
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1712z00_2786;

					BgL_v1712z00_2786 = create_vector(((long) 0));
					BgL_arg2128z00_2760 = BgL_v1712z00_2786;
				}
				BGl_reversedz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 6)), BGl_blockz00zzsaw_defsz00, ((long) 28990),
					BGl_proc2843z00zzsaw_node2rtlz00, BGl_proc2842z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2841z00zzsaw_node2rtlz00,
					BGl_proc2840z00zzsaw_node2rtlz00, BgL_arg2127z00_2759,
					BgL_arg2128z00_2760);
			}
			{	/* SawMill/node2rtl.scm 21 */
				obj_t BgL_arg2144z00_2795;
				obj_t BgL_arg2145z00_2796;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1713z00_2832;

					BgL_v1713z00_2832 = create_vector(((long) 2));
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2157z00_2833;

						BgL_arg2157z00_2833 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2845z00zzsaw_node2rtlz00,
							BGl_proc2844z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1713z00_2832, ((long) 0), BgL_arg2157z00_2833);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2162z00_2843;

						BgL_arg2162z00_2843 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2847z00zzsaw_node2rtlz00,
							BGl_proc2846z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1713z00_2832, ((long) 1), BgL_arg2162z00_2843);
					}
					BgL_arg2144z00_2795 = BgL_v1713z00_2832;
				}
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1714z00_2853;

					BgL_v1714z00_2853 = create_vector(((long) 0));
					BgL_arg2145z00_2796 = BgL_v1714z00_2853;
				}
				BGl_rlocalz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 6)), BGl_localz00zzast_varz00, ((long) 58620),
					BGl_proc2851z00zzsaw_node2rtlz00, BGl_proc2850z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2849z00zzsaw_node2rtlz00,
					BGl_proc2848z00zzsaw_node2rtlz00, BgL_arg2144z00_2795,
					BgL_arg2145z00_2796);
			}
			{	/* SawMill/node2rtl.scm 22 */
				obj_t BgL_arg2171z00_2862;
				obj_t BgL_arg2172z00_2863;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1715z00_2889;

					BgL_v1715z00_2889 = create_vector(((long) 2));
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2183z00_2890;

						BgL_arg2183z00_2890 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									12)), BGl_proc2853z00zzsaw_node2rtlz00,
							BGl_proc2852z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1715z00_2889, ((long) 0), BgL_arg2183z00_2890);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2188z00_2900;

						BgL_arg2188z00_2900 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc2855z00zzsaw_node2rtlz00,
							BGl_proc2854z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_rtl_regz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1715z00_2889, ((long) 1), BgL_arg2188z00_2900);
					}
					BgL_arg2171z00_2862 = BgL_v1715z00_2889;
				}
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_v1716z00_2910;

					BgL_v1716z00_2910 = create_vector(((long) 0));
					BgL_arg2172z00_2863 = BgL_v1716z00_2910;
				}
				return (BGl_retblockzf2tozf2zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
						CNST_TABLE_REF(((long) 6)), BGl_retblockz00zzast_nodez00,
						((long) 53023), BGl_proc2859z00zzsaw_node2rtlz00,
						BGl_proc2858z00zzsaw_node2rtlz00, BFALSE,
						BGl_proc2857z00zzsaw_node2rtlz00, BGl_proc2856z00zzsaw_node2rtlz00,
						BgL_arg2171z00_2862, BgL_arg2172z00_2863), BUNSPEC);
		}}

	}



/* &lambda2179 */
	BgL_retblockz00_bglt BGl_z62lambda2179z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5533, obj_t BgL_o1198z00_5534)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				long BgL_arg2180z00_5748;

				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_arg2181z00_5749;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_arg2182z00_5750;

						{	/* SawMill/node2rtl.scm 22 */
							long BgL_arg1828z00_5751;

							{	/* SawMill/node2rtl.scm 22 */
								long BgL_arg1829z00_5752;

								BgL_arg1829z00_5752 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1198z00_5534)));
								BgL_arg1828z00_5751 = (BgL_arg1829z00_5752 - OBJECT_TYPE);
							}
							BgL_arg2182z00_5750 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5751);
						}
						BgL_arg2181z00_5749 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2182z00_5750);
					}
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_tmpz00_7352;

						BgL_tmpz00_7352 = ((obj_t) BgL_arg2181z00_5749);
						BgL_arg2180z00_5748 = BGL_CLASS_NUM(BgL_tmpz00_7352);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1198z00_5534)), BgL_arg2180z00_5748);
			}
			{	/* SawMill/node2rtl.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_7358;

				BgL_tmpz00_7358 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5534));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7358, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5534));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1198z00_5534));
		}

	}



/* &<@anonymous:2178> */
	obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5535, obj_t BgL_new1197z00_5536)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockz00_bglt BgL_auxz00_7366;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1197z00_5536))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7370;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5754;

						BgL_classz00_5754 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1113z00_5755;

							BgL__ortest_1113z00_5755 = BGL_CLASS_NIL(BgL_classz00_5754);
							if (CBOOL(BgL__ortest_1113z00_5755))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7370 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_5755);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7370 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5754));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1197z00_5536))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_7370), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7380;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5756;

						BgL_classz00_5756 = BGl_nodez00zzast_nodez00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1113z00_5757;

							BgL__ortest_1113z00_5757 = BGL_CLASS_NIL(BgL_classz00_5756);
							if (CBOOL(BgL__ortest_1113z00_5757))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7380 =
										((BgL_nodez00_bglt) BgL__ortest_1113z00_5757);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7380 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5756));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1197z00_5536))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_7380), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7397;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7390;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5758;

						BgL_classz00_5758 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1113z00_5759;

							BgL__ortest_1113z00_5759 = BGL_CLASS_NIL(BgL_classz00_5758);
							if (CBOOL(BgL__ortest_1113z00_5759))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7397 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_5759);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7397 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5758));
								}
						}
					}
					{
						obj_t BgL_auxz00_7391;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7392;

							BgL_tmpz00_7392 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1197z00_5536));
							BgL_auxz00_7391 = BGL_OBJECT_WIDENING(BgL_tmpz00_7392);
						}
						BgL_auxz00_7390 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7391);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7390))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7397), BUNSPEC);
				}
				{
					BgL_rtl_regz00_bglt BgL_auxz00_7412;
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7405;

					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_classz00_5760;

						BgL_classz00_5760 = BGl_rtl_regz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 22 */
							obj_t BgL__ortest_1113z00_5761;

							BgL__ortest_1113z00_5761 = BGL_CLASS_NIL(BgL_classz00_5760);
							if (CBOOL(BgL__ortest_1113z00_5761))
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7412 =
										((BgL_rtl_regz00_bglt) BgL__ortest_1113z00_5761);
								}
							else
								{	/* SawMill/node2rtl.scm 22 */
									BgL_auxz00_7412 =
										((BgL_rtl_regz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5760));
								}
						}
					}
					{
						obj_t BgL_auxz00_7406;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7407;

							BgL_tmpz00_7407 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1197z00_5536));
							BgL_auxz00_7406 = BGL_OBJECT_WIDENING(BgL_tmpz00_7407);
						}
						BgL_auxz00_7405 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7406);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7405))->
							BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_auxz00_7412), BUNSPEC);
				}
				BgL_auxz00_7366 = ((BgL_retblockz00_bglt) BgL_new1197z00_5536);
				return ((obj_t) BgL_auxz00_7366);
			}
		}

	}



/* &lambda2176 */
	BgL_retblockz00_bglt BGl_z62lambda2176z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5537, obj_t BgL_o1194z00_5538)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				BgL_retblockzf2tozf2_bglt BgL_wide1196z00_5763;

				BgL_wide1196z00_5763 =
					((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2tozf2_bgl))));
				{	/* SawMill/node2rtl.scm 22 */
					obj_t BgL_auxz00_7427;
					BgL_objectz00_bglt BgL_tmpz00_7423;

					BgL_auxz00_7427 = ((obj_t) BgL_wide1196z00_5763);
					BgL_tmpz00_7423 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1194z00_5538)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7423, BgL_auxz00_7427);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1194z00_5538)));
				{	/* SawMill/node2rtl.scm 22 */
					long BgL_arg2177z00_5764;

					BgL_arg2177z00_5764 =
						BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1194z00_5538))),
						BgL_arg2177z00_5764);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1194z00_5538)));
			}
		}

	}



/* &lambda2173 */
	BgL_retblockz00_bglt BGl_z62lambda2173z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5539, obj_t BgL_loc1189z00_5540, obj_t BgL_type1190z00_5541,
		obj_t BgL_body1191z00_5542, obj_t BgL_to1192z00_5543,
		obj_t BgL_dst1193z00_5544)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{	/* SawMill/node2rtl.scm 22 */
				BgL_retblockz00_bglt BgL_new1403z00_5769;

				{	/* SawMill/node2rtl.scm 22 */
					BgL_retblockz00_bglt BgL_tmp1401z00_5770;
					BgL_retblockzf2tozf2_bglt BgL_wide1402z00_5771;

					{
						BgL_retblockz00_bglt BgL_auxz00_7441;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_retblockz00_bglt BgL_new1400z00_5772;

							BgL_new1400z00_5772 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* SawMill/node2rtl.scm 22 */
								long BgL_arg2175z00_5773;

								BgL_arg2175z00_5773 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1400z00_5772),
									BgL_arg2175z00_5773);
							}
							{	/* SawMill/node2rtl.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_7446;

								BgL_tmpz00_7446 = ((BgL_objectz00_bglt) BgL_new1400z00_5772);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7446, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1400z00_5772);
							BgL_auxz00_7441 = BgL_new1400z00_5772;
						}
						BgL_tmp1401z00_5770 = ((BgL_retblockz00_bglt) BgL_auxz00_7441);
					}
					BgL_wide1402z00_5771 =
						((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2tozf2_bgl))));
					{	/* SawMill/node2rtl.scm 22 */
						obj_t BgL_auxz00_7454;
						BgL_objectz00_bglt BgL_tmpz00_7452;

						BgL_auxz00_7454 = ((obj_t) BgL_wide1402z00_5771);
						BgL_tmpz00_7452 = ((BgL_objectz00_bglt) BgL_tmp1401z00_5770);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7452, BgL_auxz00_7454);
					}
					((BgL_objectz00_bglt) BgL_tmp1401z00_5770);
					{	/* SawMill/node2rtl.scm 22 */
						long BgL_arg2174z00_5774;

						BgL_arg2174z00_5774 =
							BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1401z00_5770), BgL_arg2174z00_5774);
					}
					BgL_new1403z00_5769 = ((BgL_retblockz00_bglt) BgL_tmp1401z00_5770);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1403z00_5769)))->BgL_locz00) =
					((obj_t) BgL_loc1189z00_5540), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1403z00_5769)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1190z00_5541)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1403z00_5769)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1191z00_5542)),
					BUNSPEC);
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7470;

					{
						obj_t BgL_auxz00_7471;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7472;

							BgL_tmpz00_7472 = ((BgL_objectz00_bglt) BgL_new1403z00_5769);
							BgL_auxz00_7471 = BGL_OBJECT_WIDENING(BgL_tmpz00_7472);
						}
						BgL_auxz00_7470 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7471);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7470))->BgL_toz00) =
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1192z00_5543)),
						BUNSPEC);
				}
				{
					BgL_retblockzf2tozf2_bglt BgL_auxz00_7478;

					{
						obj_t BgL_auxz00_7479;

						{	/* SawMill/node2rtl.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_7480;

							BgL_tmpz00_7480 = ((BgL_objectz00_bglt) BgL_new1403z00_5769);
							BgL_auxz00_7479 = BGL_OBJECT_WIDENING(BgL_tmpz00_7480);
						}
						BgL_auxz00_7478 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7479);
					}
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7478))->
							BgL_dstz00) =
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_dst1193z00_5544)),
						BUNSPEC);
				}
				return BgL_new1403z00_5769;
			}
		}

	}



/* &lambda2192 */
	obj_t BGl_z62lambda2192z62zzsaw_node2rtlz00(obj_t BgL_envz00_5545,
		obj_t BgL_oz00_5546, obj_t BgL_vz00_5547)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7486;

				{
					obj_t BgL_auxz00_7487;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7488;

						BgL_tmpz00_7488 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5546));
						BgL_auxz00_7487 = BGL_OBJECT_WIDENING(BgL_tmpz00_7488);
					}
					BgL_auxz00_7486 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7487);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7486))->
						BgL_dstz00) =
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_vz00_5547)),
					BUNSPEC);
			}
		}

	}



/* &lambda2191 */
	BgL_rtl_regz00_bglt BGl_z62lambda2191z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5548, obj_t BgL_oz00_5549)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7495;

				{
					obj_t BgL_auxz00_7496;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7497;

						BgL_tmpz00_7497 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5549));
						BgL_auxz00_7496 = BGL_OBJECT_WIDENING(BgL_tmpz00_7497);
					}
					BgL_auxz00_7495 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7496);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7495))->BgL_dstz00);
			}
		}

	}



/* &lambda2187 */
	obj_t BGl_z62lambda2187z62zzsaw_node2rtlz00(obj_t BgL_envz00_5550,
		obj_t BgL_oz00_5551, obj_t BgL_vz00_5552)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7503;

				{
					obj_t BgL_auxz00_7504;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7505;

						BgL_tmpz00_7505 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5551));
						BgL_auxz00_7504 = BGL_OBJECT_WIDENING(BgL_tmpz00_7505);
					}
					BgL_auxz00_7503 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7504);
				}
				return
					((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7503))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5552)), BUNSPEC);
			}
		}

	}



/* &lambda2186 */
	BgL_blockz00_bglt BGl_z62lambda2186z62zzsaw_node2rtlz00(obj_t BgL_envz00_5553,
		obj_t BgL_oz00_5554)
	{
		{	/* SawMill/node2rtl.scm 22 */
			{
				BgL_retblockzf2tozf2_bglt BgL_auxz00_7512;

				{
					obj_t BgL_auxz00_7513;

					{	/* SawMill/node2rtl.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_7514;

						BgL_tmpz00_7514 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_5554));
						BgL_auxz00_7513 = BGL_OBJECT_WIDENING(BgL_tmpz00_7514);
					}
					BgL_auxz00_7512 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_7513);
				}
				return
					(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_7512))->BgL_toz00);
			}
		}

	}



/* &lambda2152 */
	BgL_localz00_bglt BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t BgL_envz00_5555,
		obj_t BgL_o1187z00_5556)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_arg2153z00_5782;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_arg2155z00_5783;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2156z00_5784;

						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg1828z00_5785;

							{	/* SawMill/node2rtl.scm 21 */
								long BgL_arg1829z00_5786;

								BgL_arg1829z00_5786 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1187z00_5556)));
								BgL_arg1828z00_5785 = (BgL_arg1829z00_5786 - OBJECT_TYPE);
							}
							BgL_arg2156z00_5784 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5785);
						}
						BgL_arg2155z00_5783 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2156z00_5784);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_tmpz00_7526;

						BgL_tmpz00_7526 = ((obj_t) BgL_arg2155z00_5783);
						BgL_arg2153z00_5782 = BGL_CLASS_NUM(BgL_tmpz00_7526);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1187z00_5556)), BgL_arg2153z00_5782);
			}
			{	/* SawMill/node2rtl.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_7532;

				BgL_tmpz00_7532 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5556));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7532, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5556));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1187z00_5556));
		}

	}



/* &<@anonymous:2151> */
	obj_t BGl_z62zc3z04anonymousza32151ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5557, obj_t BgL_new1186z00_5558)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_7540;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1186z00_5558))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 15))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7548;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5788;

						BgL_classz00_5788 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1113z00_5789;

							BgL__ortest_1113z00_5789 = BGL_CLASS_NIL(BgL_classz00_5788);
							if (CBOOL(BgL__ortest_1113z00_5789))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7548 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_5789);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7548 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5788));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1186z00_5558))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7548), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_7558;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5790;

						BgL_classz00_5790 = BGl_valuez00zzast_varz00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1113z00_5791;

							BgL__ortest_1113z00_5791 = BGL_CLASS_NIL(BgL_classz00_5790);
							if (CBOOL(BgL__ortest_1113z00_5791))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7558 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_5791);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7558 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5790));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1186z00_5558))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_7558), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1186z00_5558))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1186z00_5558))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_rlocalz00_bglt BgL_auxz00_7595;

					{
						obj_t BgL_auxz00_7596;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7597;

							BgL_tmpz00_7597 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1186z00_5558));
							BgL_auxz00_7596 = BGL_OBJECT_WIDENING(BgL_tmpz00_7597);
						}
						BgL_auxz00_7595 = ((BgL_rlocalz00_bglt) BgL_auxz00_7596);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7595))->BgL_regz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rlocalz00_bglt BgL_auxz00_7603;

					{
						obj_t BgL_auxz00_7604;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7605;

							BgL_tmpz00_7605 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1186z00_5558));
							BgL_auxz00_7604 = BGL_OBJECT_WIDENING(BgL_tmpz00_7605);
						}
						BgL_auxz00_7603 = ((BgL_rlocalz00_bglt) BgL_auxz00_7604);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7603))->BgL_codez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7540 = ((BgL_localz00_bglt) BgL_new1186z00_5558);
				return ((obj_t) BgL_auxz00_7540);
			}
		}

	}



/* &lambda2149 */
	BgL_localz00_bglt BGl_z62lambda2149z62zzsaw_node2rtlz00(obj_t BgL_envz00_5559,
		obj_t BgL_o1183z00_5560)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				BgL_rlocalz00_bglt BgL_wide1185z00_5793;

				BgL_wide1185z00_5793 =
					((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rlocalz00_bgl))));
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_auxz00_7618;
					BgL_objectz00_bglt BgL_tmpz00_7614;

					BgL_auxz00_7618 = ((obj_t) BgL_wide1185z00_5793);
					BgL_tmpz00_7614 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5560)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7614, BgL_auxz00_7618);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5560)));
				{	/* SawMill/node2rtl.scm 21 */
					long BgL_arg2150z00_5794;

					BgL_arg2150z00_5794 = BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1183z00_5560))), BgL_arg2150z00_5794);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1183z00_5560)));
			}
		}

	}



/* &lambda2146 */
	BgL_localz00_bglt BGl_z62lambda2146z62zzsaw_node2rtlz00(obj_t BgL_envz00_5561,
		obj_t BgL_id1168z00_5562, obj_t BgL_name1169z00_5563,
		obj_t BgL_type1170z00_5564, obj_t BgL_value1171z00_5565,
		obj_t BgL_access1172z00_5566, obj_t BgL_fastzd2alpha1173zd2_5567,
		obj_t BgL_removable1174z00_5568, obj_t BgL_occurrence1175z00_5569,
		obj_t BgL_occurrencew1176z00_5570, obj_t BgL_userzf31177zf3_5571,
		obj_t BgL_key1178z00_5572, obj_t BgL_valzd2noescape1179zd2_5573,
		obj_t BgL_volatile1180z00_5574, obj_t BgL_reg1181z00_5575,
		obj_t BgL_code1182z00_5576)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_occurrence1175z00_5798;
				long BgL_occurrencew1176z00_5799;
				bool_t BgL_userzf31177zf3_5800;
				long BgL_key1178z00_5801;
				bool_t BgL_volatile1180z00_5802;

				BgL_occurrence1175z00_5798 = (long) CINT(BgL_occurrence1175z00_5569);
				BgL_occurrencew1176z00_5799 = (long) CINT(BgL_occurrencew1176z00_5570);
				BgL_userzf31177zf3_5800 = CBOOL(BgL_userzf31177zf3_5571);
				BgL_key1178z00_5801 = (long) CINT(BgL_key1178z00_5572);
				BgL_volatile1180z00_5802 = CBOOL(BgL_volatile1180z00_5574);
				{	/* SawMill/node2rtl.scm 21 */
					BgL_localz00_bglt BgL_new1398z00_5803;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_localz00_bglt BgL_tmp1396z00_5804;
						BgL_rlocalz00_bglt BgL_wide1397z00_5805;

						{
							BgL_localz00_bglt BgL_auxz00_7637;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_localz00_bglt BgL_new1395z00_5806;

								BgL_new1395z00_5806 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* SawMill/node2rtl.scm 21 */
									long BgL_arg2148z00_5807;

									BgL_arg2148z00_5807 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1395z00_5806),
										BgL_arg2148z00_5807);
								}
								{	/* SawMill/node2rtl.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_7642;

									BgL_tmpz00_7642 = ((BgL_objectz00_bglt) BgL_new1395z00_5806);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7642, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1395z00_5806);
								BgL_auxz00_7637 = BgL_new1395z00_5806;
							}
							BgL_tmp1396z00_5804 = ((BgL_localz00_bglt) BgL_auxz00_7637);
						}
						BgL_wide1397z00_5805 =
							((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rlocalz00_bgl))));
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL_auxz00_7650;
							BgL_objectz00_bglt BgL_tmpz00_7648;

							BgL_auxz00_7650 = ((obj_t) BgL_wide1397z00_5805);
							BgL_tmpz00_7648 = ((BgL_objectz00_bglt) BgL_tmp1396z00_5804);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7648, BgL_auxz00_7650);
						}
						((BgL_objectz00_bglt) BgL_tmp1396z00_5804);
						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg2147z00_5808;

							BgL_arg2147z00_5808 =
								BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1396z00_5804),
								BgL_arg2147z00_5808);
						}
						BgL_new1398z00_5803 = ((BgL_localz00_bglt) BgL_tmp1396z00_5804);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1398z00_5803)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1168z00_5562)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_namez00) =
						((obj_t) BgL_name1169z00_5563), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1170z00_5564)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1171z00_5565)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_accessz00) =
						((obj_t) BgL_access1172z00_5566), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1173zd2_5567), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_removablez00) =
						((obj_t) BgL_removable1174z00_5568), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_occurrencez00) =
						((long) BgL_occurrence1175z00_5798), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1176z00_5799), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1398z00_5803)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31177zf3_5800), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_5803)))->BgL_keyz00) =
						((long) BgL_key1178z00_5801), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_5803)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1179zd2_5573), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1398z00_5803)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1180z00_5802), BUNSPEC);
					{
						BgL_rlocalz00_bglt BgL_auxz00_7687;

						{
							obj_t BgL_auxz00_7688;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7689;

								BgL_tmpz00_7689 = ((BgL_objectz00_bglt) BgL_new1398z00_5803);
								BgL_auxz00_7688 = BGL_OBJECT_WIDENING(BgL_tmpz00_7689);
							}
							BgL_auxz00_7687 = ((BgL_rlocalz00_bglt) BgL_auxz00_7688);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7687))->BgL_regz00) =
							((obj_t) BgL_reg1181z00_5575), BUNSPEC);
					}
					{
						BgL_rlocalz00_bglt BgL_auxz00_7694;

						{
							obj_t BgL_auxz00_7695;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7696;

								BgL_tmpz00_7696 = ((BgL_objectz00_bglt) BgL_new1398z00_5803);
								BgL_auxz00_7695 = BGL_OBJECT_WIDENING(BgL_tmpz00_7696);
							}
							BgL_auxz00_7694 = ((BgL_rlocalz00_bglt) BgL_auxz00_7695);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7694))->BgL_codez00) =
							((obj_t) BgL_code1182z00_5576), BUNSPEC);
					}
					return BgL_new1398z00_5803;
				}
			}
		}

	}



/* &lambda2166 */
	obj_t BGl_z62lambda2166z62zzsaw_node2rtlz00(obj_t BgL_envz00_5577,
		obj_t BgL_oz00_5578, obj_t BgL_vz00_5579)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7701;

				{
					obj_t BgL_auxz00_7702;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7703;

						BgL_tmpz00_7703 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5578));
						BgL_auxz00_7702 = BGL_OBJECT_WIDENING(BgL_tmpz00_7703);
					}
					BgL_auxz00_7701 = ((BgL_rlocalz00_bglt) BgL_auxz00_7702);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7701))->BgL_codez00) =
					((obj_t) BgL_vz00_5579), BUNSPEC);
			}
		}

	}



/* &lambda2165 */
	obj_t BGl_z62lambda2165z62zzsaw_node2rtlz00(obj_t BgL_envz00_5580,
		obj_t BgL_oz00_5581)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7709;

				{
					obj_t BgL_auxz00_7710;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7711;

						BgL_tmpz00_7711 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5581));
						BgL_auxz00_7710 = BGL_OBJECT_WIDENING(BgL_tmpz00_7711);
					}
					BgL_auxz00_7709 = ((BgL_rlocalz00_bglt) BgL_auxz00_7710);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7709))->BgL_codez00);
			}
		}

	}



/* &lambda2161 */
	obj_t BGl_z62lambda2161z62zzsaw_node2rtlz00(obj_t BgL_envz00_5582,
		obj_t BgL_oz00_5583, obj_t BgL_vz00_5584)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7717;

				{
					obj_t BgL_auxz00_7718;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7719;

						BgL_tmpz00_7719 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5583));
						BgL_auxz00_7718 = BGL_OBJECT_WIDENING(BgL_tmpz00_7719);
					}
					BgL_auxz00_7717 = ((BgL_rlocalz00_bglt) BgL_auxz00_7718);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7717))->BgL_regz00) =
					((obj_t) BgL_vz00_5584), BUNSPEC);
			}
		}

	}



/* &lambda2160 */
	obj_t BGl_z62lambda2160z62zzsaw_node2rtlz00(obj_t BgL_envz00_5585,
		obj_t BgL_oz00_5586)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7725;

				{
					obj_t BgL_auxz00_7726;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7727;

						BgL_tmpz00_7727 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5586));
						BgL_auxz00_7726 = BGL_OBJECT_WIDENING(BgL_tmpz00_7727);
					}
					BgL_auxz00_7725 = ((BgL_rlocalz00_bglt) BgL_auxz00_7726);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7725))->BgL_regz00);
			}
		}

	}



/* &lambda2135 */
	BgL_blockz00_bglt BGl_z62lambda2135z62zzsaw_node2rtlz00(obj_t BgL_envz00_5587,
		obj_t BgL_o1166z00_5588)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				long BgL_arg2136z00_5814;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_arg2137z00_5815;

					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_arg2138z00_5816;

						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg1828z00_5817;

							{	/* SawMill/node2rtl.scm 20 */
								long BgL_arg1829z00_5818;

								BgL_arg1829z00_5818 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1166z00_5588)));
								BgL_arg1828z00_5817 = (BgL_arg1829z00_5818 - OBJECT_TYPE);
							}
							BgL_arg2138z00_5816 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5817);
						}
						BgL_arg2137z00_5815 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2138z00_5816);
					}
					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_tmpz00_7739;

						BgL_tmpz00_7739 = ((obj_t) BgL_arg2137z00_5815);
						BgL_arg2136z00_5814 = BGL_CLASS_NUM(BgL_tmpz00_7739);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1166z00_5588)), BgL_arg2136z00_5814);
			}
			{	/* SawMill/node2rtl.scm 20 */
				BgL_objectz00_bglt BgL_tmpz00_7745;

				BgL_tmpz00_7745 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5588));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7745, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5588));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1166z00_5588));
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5589, obj_t BgL_new1165z00_5590)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{
				BgL_blockz00_bglt BgL_auxz00_7753;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1165z00_5590))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5590))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5590))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1165z00_5590))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_7753 = ((BgL_blockz00_bglt) BgL_new1165z00_5590);
				return ((obj_t) BgL_auxz00_7753);
			}
		}

	}



/* &lambda2132 */
	BgL_blockz00_bglt BGl_z62lambda2132z62zzsaw_node2rtlz00(obj_t BgL_envz00_5591,
		obj_t BgL_o1162z00_5592)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				BgL_reversedz00_bglt BgL_wide1164z00_5821;

				BgL_wide1164z00_5821 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_auxz00_7774;
					BgL_objectz00_bglt BgL_tmpz00_7770;

					BgL_auxz00_7774 = ((obj_t) BgL_wide1164z00_5821);
					BgL_tmpz00_7770 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5592)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7770, BgL_auxz00_7774);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5592)));
				{	/* SawMill/node2rtl.scm 20 */
					long BgL_arg2133z00_5822;

					BgL_arg2133z00_5822 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1162z00_5592))), BgL_arg2133z00_5822);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1162z00_5592)));
			}
		}

	}



/* &lambda2129 */
	BgL_blockz00_bglt BGl_z62lambda2129z62zzsaw_node2rtlz00(obj_t BgL_envz00_5593,
		obj_t BgL_label1158z00_5594, obj_t BgL_preds1159z00_5595,
		obj_t BgL_succs1160z00_5596, obj_t BgL_first1161z00_5597)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				int BgL_label1158z00_5823;

				BgL_label1158z00_5823 = CINT(BgL_label1158z00_5594);
				{	/* SawMill/node2rtl.scm 20 */
					BgL_blockz00_bglt BgL_new1393z00_5827;

					{	/* SawMill/node2rtl.scm 20 */
						BgL_blockz00_bglt BgL_tmp1391z00_5828;
						BgL_reversedz00_bglt BgL_wide1392z00_5829;

						{
							BgL_blockz00_bglt BgL_auxz00_7789;

							{	/* SawMill/node2rtl.scm 20 */
								BgL_blockz00_bglt BgL_new1390z00_5830;

								BgL_new1390z00_5830 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 20 */
									long BgL_arg2131z00_5831;

									BgL_arg2131z00_5831 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1390z00_5830),
										BgL_arg2131z00_5831);
								}
								{	/* SawMill/node2rtl.scm 20 */
									BgL_objectz00_bglt BgL_tmpz00_7794;

									BgL_tmpz00_7794 = ((BgL_objectz00_bglt) BgL_new1390z00_5830);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7794, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1390z00_5830);
								BgL_auxz00_7789 = BgL_new1390z00_5830;
							}
							BgL_tmp1391z00_5828 = ((BgL_blockz00_bglt) BgL_auxz00_7789);
						}
						BgL_wide1392z00_5829 =
							((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reversedz00_bgl))));
						{	/* SawMill/node2rtl.scm 20 */
							obj_t BgL_auxz00_7802;
							BgL_objectz00_bglt BgL_tmpz00_7800;

							BgL_auxz00_7802 = ((obj_t) BgL_wide1392z00_5829);
							BgL_tmpz00_7800 = ((BgL_objectz00_bglt) BgL_tmp1391z00_5828);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7800, BgL_auxz00_7802);
						}
						((BgL_objectz00_bglt) BgL_tmp1391z00_5828);
						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg2130z00_5832;

							BgL_arg2130z00_5832 =
								BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1391z00_5828),
								BgL_arg2130z00_5832);
						}
						BgL_new1393z00_5827 = ((BgL_blockz00_bglt) BgL_tmp1391z00_5828);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1393z00_5827)))->BgL_labelz00) =
						((int) BgL_label1158z00_5823), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_5827)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1159z00_5595)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_5827)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1160z00_5596)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1393z00_5827)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1161z00_5597)), BUNSPEC);
					return BgL_new1393z00_5827;
				}
			}
		}

	}



/* &<@anonymous:2112> */
	obj_t BGl_z62zc3z04anonymousza32112ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5598, obj_t BgL_new1156z00_5599)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{
				BgL_areaz00_bglt BgL_auxz00_7821;

				{
					BgL_blockz00_bglt BgL_auxz00_7822;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5834;

						BgL_classz00_5834 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1113z00_5835;

							BgL__ortest_1113z00_5835 = BGL_CLASS_NIL(BgL_classz00_5834);
							if (CBOOL(BgL__ortest_1113z00_5835))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7822 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_5835);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7822 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5834));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1156z00_5599)))->BgL_entryz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7822), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7831;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5836;

						BgL_classz00_5836 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1113z00_5837;

							BgL__ortest_1113z00_5837 = BGL_CLASS_NIL(BgL_classz00_5836);
							if (CBOOL(BgL__ortest_1113z00_5837))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7831 =
										((BgL_blockz00_bglt) BgL__ortest_1113z00_5837);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7831 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5836));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1156z00_5599)))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7831), BUNSPEC);
				}
				BgL_auxz00_7821 = ((BgL_areaz00_bglt) BgL_new1156z00_5599);
				return ((obj_t) BgL_auxz00_7821);
			}
		}

	}



/* &lambda2110 */
	BgL_areaz00_bglt BGl_z62lambda2110z62zzsaw_node2rtlz00(obj_t BgL_envz00_5600)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1155z00_5838;

				BgL_new1155z00_5838 =
					((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_areaz00_bgl))));
				{	/* SawMill/node2rtl.scm 19 */
					long BgL_arg2111z00_5839;

					BgL_arg2111z00_5839 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_5838), BgL_arg2111z00_5839);
				}
				return BgL_new1155z00_5838;
			}
		}

	}



/* &lambda2108 */
	BgL_areaz00_bglt BGl_z62lambda2108z62zzsaw_node2rtlz00(obj_t BgL_envz00_5601,
		obj_t BgL_entry1153z00_5602, obj_t BgL_exit1154z00_5603)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1389z00_5842;

				{	/* SawMill/node2rtl.scm 19 */
					BgL_areaz00_bglt BgL_new1388z00_5843;

					BgL_new1388z00_5843 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 19 */
						long BgL_arg2109z00_5844;

						BgL_arg2109z00_5844 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1388z00_5843), BgL_arg2109z00_5844);
					}
					BgL_new1389z00_5842 = BgL_new1388z00_5843;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1389z00_5842))->BgL_entryz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_entry1153z00_5602)),
					BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1389z00_5842))->BgL_exitz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_exit1154z00_5603)),
					BUNSPEC);
				return BgL_new1389z00_5842;
			}
		}

	}



/* &lambda2122 */
	obj_t BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t BgL_envz00_5604,
		obj_t BgL_oz00_5605, obj_t BgL_vz00_5606)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5605)))->BgL_exitz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5606)), BUNSPEC);
		}

	}



/* &lambda2121 */
	BgL_blockz00_bglt BGl_z62lambda2121z62zzsaw_node2rtlz00(obj_t BgL_envz00_5607,
		obj_t BgL_oz00_5608)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5608)))->BgL_exitz00);
		}

	}



/* &lambda2117 */
	obj_t BGl_z62lambda2117z62zzsaw_node2rtlz00(obj_t BgL_envz00_5609,
		obj_t BgL_oz00_5610, obj_t BgL_vz00_5611)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5610)))->BgL_entryz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5611)), BUNSPEC);
		}

	}



/* &lambda2116 */
	BgL_blockz00_bglt BGl_z62lambda2116z62zzsaw_node2rtlz00(obj_t BgL_envz00_5612,
		obj_t BgL_oz00_5613)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5613)))->BgL_entryz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_proc2860z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2861z00zzsaw_node2rtlz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_proc2862z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2863z00zzsaw_node2rtlz00);
		}

	}



/* &predicate1781 */
	obj_t BGl_z62predicate1781z62zzsaw_node2rtlz00(obj_t BgL_envz00_5616,
		obj_t BgL_ez00_5617, obj_t BgL_joinedz00_5618)
	{
		{	/* SawMill/node2rtl.scm 509 */
			{
				BgL_areaz00_bglt BgL_auxz00_7866;

				{	/* SawMill/node2rtl.scm 510 */
					BgL_areaz00_bglt BgL_arg2195z00_5852;

					{	/* SawMill/node2rtl.scm 510 */
						BgL_rtl_ifz00_bglt BgL_arg2196z00_5853;

						{	/* SawMill/node2rtl.scm 510 */
							BgL_rtl_ifz00_bglt BgL_new1382z00_5854;

							{	/* SawMill/node2rtl.scm 510 */
								BgL_rtl_ifz00_bglt BgL_new1381z00_5855;

								BgL_new1381z00_5855 =
									((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_ifz00_bgl))));
								{	/* SawMill/node2rtl.scm 510 */
									long BgL_arg2198z00_5856;

									BgL_arg2198z00_5856 =
										BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1381z00_5855),
										BgL_arg2198z00_5856);
								}
								BgL_new1382z00_5854 = BgL_new1381z00_5855;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1382z00_5854)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2196z00_5853 = BgL_new1382z00_5854;
						}
						{	/* SawMill/node2rtl.scm 510 */
							obj_t BgL_list2197z00_5857;

							BgL_list2197z00_5857 =
								MAKE_YOUNG_PAIR(
								((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5617)), BNIL);
							BgL_arg2195z00_5852 =
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_nodez00_bglt) BgL_ez00_5617)),
								((BgL_rtl_funz00_bglt) BgL_arg2196z00_5853),
								BgL_list2197z00_5857);
					}}
					BgL_auxz00_7866 =
						BGl_forkz00zzsaw_node2rtlz00(BgL_arg2195z00_5852,
						BgL_joinedz00_5618);
				}
				return ((obj_t) BgL_auxz00_7866);
			}
		}

	}



/* &node->rtl1717 */
	obj_t BGl_z62nodezd2ze3rtl1717z53zzsaw_node2rtlz00(obj_t BgL_envz00_5619,
		obj_t BgL_ez00_5620)
	{
		{	/* SawMill/node2rtl.scm 206 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 16)),
				BGl_string2864z00zzsaw_node2rtlz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5620)));
		}

	}



/* node->rtl */
	BgL_areaz00_bglt BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_137)
	{
		{	/* SawMill/node2rtl.scm 206 */
			{	/* SawMill/node2rtl.scm 206 */
				obj_t BgL_method1718z00_2930;

				{	/* SawMill/node2rtl.scm 206 */
					obj_t BgL_res2802z00_4663;

					{	/* SawMill/node2rtl.scm 206 */
						long BgL_objzd2classzd2numz00_4634;

						BgL_objzd2classzd2numz00_4634 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_137));
						{	/* SawMill/node2rtl.scm 206 */
							obj_t BgL_arg1825z00_4635;

							BgL_arg1825z00_4635 =
								PROCEDURE_REF(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
								(int) (((long) 1)));
							{	/* SawMill/node2rtl.scm 206 */
								int BgL_offsetz00_4638;

								BgL_offsetz00_4638 = (int) (BgL_objzd2classzd2numz00_4634);
								{	/* SawMill/node2rtl.scm 206 */
									long BgL_offsetz00_4639;

									BgL_offsetz00_4639 =
										((long) (BgL_offsetz00_4638) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 206 */
										long BgL_modz00_4640;

										BgL_modz00_4640 =
											(BgL_offsetz00_4639 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/node2rtl.scm 206 */
											long BgL_restz00_4642;

											BgL_restz00_4642 =
												(BgL_offsetz00_4639 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/node2rtl.scm 206 */

												{	/* SawMill/node2rtl.scm 206 */
													obj_t BgL_bucketz00_4644;

													BgL_bucketz00_4644 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4635), BgL_modz00_4640);
													BgL_res2802z00_4663 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4644), BgL_restz00_4642);
					}}}}}}}}
					BgL_method1718z00_2930 = BgL_res2802z00_4663;
				}
				return
					((BgL_areaz00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1718z00_2930)) (BgL_method1718z00_2930,
						((obj_t) BgL_ez00_137), BEOA));
			}
		}

	}



/* &node->rtl */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5621, obj_t BgL_ez00_5622)
	{
		{	/* SawMill/node2rtl.scm 206 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5622));
		}

	}



/* predicate */
	BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_176, obj_t BgL_joinedz00_177)
	{
		{	/* SawMill/node2rtl.scm 509 */
			{	/* SawMill/node2rtl.scm 509 */
				obj_t BgL_method1782z00_2931;

				{	/* SawMill/node2rtl.scm 509 */
					obj_t BgL_res2807z00_4694;

					{	/* SawMill/node2rtl.scm 509 */
						long BgL_objzd2classzd2numz00_4665;

						BgL_objzd2classzd2numz00_4665 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_176));
						{	/* SawMill/node2rtl.scm 509 */
							obj_t BgL_arg1825z00_4666;

							BgL_arg1825z00_4666 =
								PROCEDURE_REF(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
								(int) (((long) 1)));
							{	/* SawMill/node2rtl.scm 509 */
								int BgL_offsetz00_4669;

								BgL_offsetz00_4669 = (int) (BgL_objzd2classzd2numz00_4665);
								{	/* SawMill/node2rtl.scm 509 */
									long BgL_offsetz00_4670;

									BgL_offsetz00_4670 =
										((long) (BgL_offsetz00_4669) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 509 */
										long BgL_modz00_4671;

										BgL_modz00_4671 =
											(BgL_offsetz00_4670 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/node2rtl.scm 509 */
											long BgL_restz00_4673;

											BgL_restz00_4673 =
												(BgL_offsetz00_4670 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/node2rtl.scm 509 */

												{	/* SawMill/node2rtl.scm 509 */
													obj_t BgL_bucketz00_4675;

													BgL_bucketz00_4675 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_4666), BgL_modz00_4671);
													BgL_res2807z00_4694 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4675), BgL_restz00_4673);
					}}}}}}}}
					BgL_method1782z00_2931 = BgL_res2807z00_4694;
				}
				return
					((BgL_areaz00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1782z00_2931)) (BgL_method1782z00_2931,
						((obj_t) BgL_ez00_176), BgL_joinedz00_177, BEOA));
			}
		}

	}



/* &predicate */
	BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t BgL_envz00_5623,
		obj_t BgL_ez00_5624, obj_t BgL_joinedz00_5625)
	{
		{	/* SawMill/node2rtl.scm 509 */
			return
				BGl_predicatez00zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5624), BgL_joinedz00_5625);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2865z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_varz00zzast_nodez00,
				BGl_proc2867z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2868z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_setqz00zzast_nodez00,
				BGl_proc2869z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2870z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_syncz00zzast_nodez00,
				BGl_proc2871z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2872z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_switchz00zzast_nodez00, BGl_proc2873z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2874z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_appz00zzast_nodez00,
				BGl_proc2875z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2876z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2877z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2878z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2879z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2880z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_newz00zzast_nodez00,
				BGl_proc2881z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2882z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2883z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2884z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2885z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2886z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_castz00zzast_nodez00,
				BGl_proc2887z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2888z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2889z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2890z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_failz00zzast_nodez00,
				BGl_proc2891z00zzsaw_node2rtlz00, BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2892z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2893z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2894z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_retblockz00zzast_nodez00, BGl_proc2895z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_returnz00zzast_nodez00, BGl_proc2896z00zzsaw_node2rtlz00,
				BGl_string2866z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2897z00zzsaw_node2rtlz00, BGl_string2898z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2899z00zzsaw_node2rtlz00,
				BGl_string2898z00zzsaw_node2rtlz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2900z00zzsaw_node2rtlz00, BGl_string2898z00zzsaw_node2rtlz00);
		}

	}



/* &predicate-let-var1788 */
	BgL_areaz00_bglt BGl_z62predicatezd2letzd2var1788z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5660, obj_t BgL_ez00_5661, obj_t BgL_lz00_5662)
	{
		{	/* SawMill/node2rtl.scm 525 */
			{	/* SawMill/node2rtl.scm 529 */
				bool_t BgL_test3063z00_7987;

				if (NULLP(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bindingsz00)))
					{	/* SawMill/node2rtl.scm 529 */
						BgL_test3063z00_7987 = ((bool_t) 0);
					}
				else
					{	/* SawMill/node2rtl.scm 529 */
						if (NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->
										BgL_bindingsz00))))
							{	/* SawMill/node2rtl.scm 531 */
								bool_t BgL_test3066z00_7997;

								{	/* SawMill/node2rtl.scm 531 */
									BgL_nodez00_bglt BgL_arg2643z00_5860;

									BgL_arg2643z00_5860 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 531 */
										obj_t BgL_classz00_5861;

										BgL_classz00_5861 = BGl_varz00zzast_nodez00;
										{	/* SawMill/node2rtl.scm 531 */
											BgL_objectz00_bglt BgL_arg1820z00_5862;

											{	/* SawMill/node2rtl.scm 531 */
												obj_t BgL_tmpz00_8000;

												BgL_tmpz00_8000 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2643z00_5860));
												BgL_arg1820z00_5862 =
													(BgL_objectz00_bglt) (BgL_tmpz00_8000);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/node2rtl.scm 531 */
													long BgL_idxz00_5863;

													BgL_idxz00_5863 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5862);
													BgL_test3066z00_7997 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5863 + ((long) 2))) ==
														BgL_classz00_5861);
												}
											else
												{	/* SawMill/node2rtl.scm 531 */
													bool_t BgL_res2821z00_5866;

													{	/* SawMill/node2rtl.scm 531 */
														obj_t BgL_oclassz00_5867;

														{	/* SawMill/node2rtl.scm 531 */
															long BgL_arg1828z00_5868;

															{	/* SawMill/node2rtl.scm 531 */
																long BgL_arg1829z00_5869;

																BgL_arg1829z00_5869 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5862);
																BgL_arg1828z00_5868 =
																	(BgL_arg1829z00_5869 - OBJECT_TYPE);
															}
															BgL_oclassz00_5867 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_5868);
														}
														{	/* SawMill/node2rtl.scm 531 */
															bool_t BgL__ortest_1111z00_5870;

															BgL__ortest_1111z00_5870 =
																(BgL_classz00_5861 == BgL_oclassz00_5867);
															if (BgL__ortest_1111z00_5870)
																{	/* SawMill/node2rtl.scm 531 */
																	BgL_res2821z00_5866 =
																		BgL__ortest_1111z00_5870;
																}
															else
																{	/* SawMill/node2rtl.scm 531 */
																	long BgL_odepthz00_5871;

																	BgL_odepthz00_5871 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5867);
																	if ((((long) 2) < BgL_odepthz00_5871))
																		{	/* SawMill/node2rtl.scm 531 */
																			obj_t BgL_arg1816z00_5872;

																			BgL_arg1816z00_5872 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5867, ((long) 2));
																			BgL_res2821z00_5866 =
																				(BgL_arg1816z00_5872 ==
																				BgL_classz00_5861);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 531 */
																			BgL_res2821z00_5866 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3066z00_7997 = BgL_res2821z00_5866;
												}
										}
									}
								}
								if (BgL_test3066z00_7997)
									{	/* SawMill/node2rtl.scm 532 */
										obj_t BgL_tmpz00_8020;

										{	/* SawMill/node2rtl.scm 532 */
											obj_t BgL_pairz00_5873;

											BgL_pairz00_5873 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->
												BgL_bindingsz00);
											BgL_tmpz00_8020 = CAR(CAR(BgL_pairz00_5873));
										}
										BgL_test3063z00_7987 =
											(BgL_tmpz00_8020 ==
											((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5661)))->BgL_bodyz00))))->
													BgL_variablez00)));
									}
								else
									{	/* SawMill/node2rtl.scm 531 */
										BgL_test3063z00_7987 = ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 530 */
								BgL_test3063z00_7987 = ((bool_t) 0);
							}
					}
				if (BgL_test3063z00_7987)
					{	/* SawMill/node2rtl.scm 534 */
						obj_t BgL_arg2574z00_5874;

						{	/* SawMill/node2rtl.scm 534 */
							obj_t BgL_pairz00_5875;

							BgL_pairz00_5875 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bindingsz00);
							BgL_arg2574z00_5874 = CDR(CAR(BgL_pairz00_5875));
						}
						return
							BGl_predicatez00zzsaw_node2rtlz00(
							((BgL_nodez00_bglt) BgL_arg2574z00_5874), BgL_lz00_5662);
					}
				else
					{	/* SawMill/node2rtl.scm 535 */
						bool_t BgL_test3070z00_8037;

						{	/* SawMill/node2rtl.scm 535 */
							bool_t BgL_test3071z00_8038;

							{	/* SawMill/node2rtl.scm 535 */
								BgL_nodez00_bglt BgL_arg2636z00_5876;

								BgL_arg2636z00_5876 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bodyz00);
								{	/* SawMill/node2rtl.scm 535 */
									obj_t BgL_classz00_5877;

									BgL_classz00_5877 = BGl_conditionalz00zzast_nodez00;
									{	/* SawMill/node2rtl.scm 535 */
										BgL_objectz00_bglt BgL_arg1820z00_5878;

										{	/* SawMill/node2rtl.scm 535 */
											obj_t BgL_tmpz00_8041;

											BgL_tmpz00_8041 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2636z00_5876));
											BgL_arg1820z00_5878 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8041);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/node2rtl.scm 535 */
												long BgL_idxz00_5879;

												BgL_idxz00_5879 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5878);
												BgL_test3071z00_8038 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5879 + ((long) 3))) ==
													BgL_classz00_5877);
											}
										else
											{	/* SawMill/node2rtl.scm 535 */
												bool_t BgL_res2822z00_5882;

												{	/* SawMill/node2rtl.scm 535 */
													obj_t BgL_oclassz00_5883;

													{	/* SawMill/node2rtl.scm 535 */
														long BgL_arg1828z00_5884;

														{	/* SawMill/node2rtl.scm 535 */
															long BgL_arg1829z00_5885;

															BgL_arg1829z00_5885 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5878);
															BgL_arg1828z00_5884 =
																(BgL_arg1829z00_5885 - OBJECT_TYPE);
														}
														BgL_oclassz00_5883 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_5884);
													}
													{	/* SawMill/node2rtl.scm 535 */
														bool_t BgL__ortest_1111z00_5886;

														BgL__ortest_1111z00_5886 =
															(BgL_classz00_5877 == BgL_oclassz00_5883);
														if (BgL__ortest_1111z00_5886)
															{	/* SawMill/node2rtl.scm 535 */
																BgL_res2822z00_5882 = BgL__ortest_1111z00_5886;
															}
														else
															{	/* SawMill/node2rtl.scm 535 */
																long BgL_odepthz00_5887;

																BgL_odepthz00_5887 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5883);
																if ((((long) 3) < BgL_odepthz00_5887))
																	{	/* SawMill/node2rtl.scm 535 */
																		obj_t BgL_arg1816z00_5888;

																		BgL_arg1816z00_5888 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5883, ((long) 3));
																		BgL_res2822z00_5882 =
																			(BgL_arg1816z00_5888 ==
																			BgL_classz00_5877);
																	}
																else
																	{	/* SawMill/node2rtl.scm 535 */
																		BgL_res2822z00_5882 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3071z00_8038 = BgL_res2822z00_5882;
											}
									}
								}
							}
							if (BgL_test3071z00_8038)
								{	/* SawMill/node2rtl.scm 535 */
									if (NULLP(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->
												BgL_bindingsz00)))
										{	/* SawMill/node2rtl.scm 536 */
											BgL_test3070z00_8037 = ((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 536 */
											if (NULLP(CDR(
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->
															BgL_bindingsz00))))
												{	/* SawMill/node2rtl.scm 538 */
													bool_t BgL_test3077z00_8070;

													{	/* SawMill/node2rtl.scm 538 */
														BgL_nodez00_bglt BgL_arg2630z00_5889;

														BgL_arg2630z00_5889 =
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5661)))->BgL_bodyz00))))->
															BgL_testz00);
														{	/* SawMill/node2rtl.scm 538 */
															obj_t BgL_classz00_5890;

															BgL_classz00_5890 = BGl_varz00zzast_nodez00;
															{	/* SawMill/node2rtl.scm 538 */
																BgL_objectz00_bglt BgL_arg1820z00_5891;

																{	/* SawMill/node2rtl.scm 538 */
																	obj_t BgL_tmpz00_8075;

																	BgL_tmpz00_8075 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2630z00_5889));
																	BgL_arg1820z00_5891 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_8075);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/node2rtl.scm 538 */
																		long BgL_idxz00_5892;

																		BgL_idxz00_5892 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_5891);
																		BgL_test3077z00_8070 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5892 + ((long) 2))) ==
																			BgL_classz00_5890);
																	}
																else
																	{	/* SawMill/node2rtl.scm 538 */
																		bool_t BgL_res2823z00_5895;

																		{	/* SawMill/node2rtl.scm 538 */
																			obj_t BgL_oclassz00_5896;

																			{	/* SawMill/node2rtl.scm 538 */
																				long BgL_arg1828z00_5897;

																				{	/* SawMill/node2rtl.scm 538 */
																					long BgL_arg1829z00_5898;

																					BgL_arg1829z00_5898 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_5891);
																					BgL_arg1828z00_5897 =
																						(BgL_arg1829z00_5898 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5896 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_5897);
																			}
																			{	/* SawMill/node2rtl.scm 538 */
																				bool_t BgL__ortest_1111z00_5899;

																				BgL__ortest_1111z00_5899 =
																					(BgL_classz00_5890 ==
																					BgL_oclassz00_5896);
																				if (BgL__ortest_1111z00_5899)
																					{	/* SawMill/node2rtl.scm 538 */
																						BgL_res2823z00_5895 =
																							BgL__ortest_1111z00_5899;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 538 */
																						long BgL_odepthz00_5900;

																						BgL_odepthz00_5900 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5896);
																						if ((((long) 2) <
																								BgL_odepthz00_5900))
																							{	/* SawMill/node2rtl.scm 538 */
																								obj_t BgL_arg1816z00_5901;

																								BgL_arg1816z00_5901 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5896,
																									((long) 2));
																								BgL_res2823z00_5895 =
																									(BgL_arg1816z00_5901 ==
																									BgL_classz00_5890);
																							}
																						else
																							{	/* SawMill/node2rtl.scm 538 */
																								BgL_res2823z00_5895 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3077z00_8070 = BgL_res2823z00_5895;
																	}
															}
														}
													}
													if (BgL_test3077z00_8070)
														{	/* SawMill/node2rtl.scm 539 */
															bool_t BgL_test3081z00_8095;

															{	/* SawMill/node2rtl.scm 539 */
																long BgL_tmpz00_8096;

																{
																	BgL_variablez00_bglt BgL_auxz00_8097;

																	{
																		BgL_localz00_bglt BgL_auxz00_8098;

																		{
																			obj_t BgL_auxz00_8099;

																			{	/* SawMill/node2rtl.scm 539 */
																				obj_t BgL_pairz00_5902;

																				BgL_pairz00_5902 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_ez00_5661)))->
																					BgL_bindingsz00);
																				{	/* SawMill/node2rtl.scm 539 */
																					obj_t BgL_pairz00_5903;

																					BgL_pairz00_5903 =
																						CAR(BgL_pairz00_5902);
																					BgL_auxz00_8099 =
																						CAR(BgL_pairz00_5903);
																			}}
																			BgL_auxz00_8098 =
																				((BgL_localz00_bglt) BgL_auxz00_8099);
																		}
																		BgL_auxz00_8097 =
																			((BgL_variablez00_bglt) BgL_auxz00_8098);
																	}
																	BgL_tmpz00_8096 =
																		(((BgL_variablez00_bglt)
																			COBJECT(BgL_auxz00_8097))->
																		BgL_occurrencez00);
																}
																BgL_test3081z00_8095 =
																	(((long) 1) == BgL_tmpz00_8096);
															}
															if (BgL_test3081z00_8095)
																{	/* SawMill/node2rtl.scm 540 */
																	obj_t BgL_tmpz00_8108;

																	{	/* SawMill/node2rtl.scm 540 */
																		obj_t BgL_pairz00_5904;

																		BgL_pairz00_5904 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5661)))->BgL_bindingsz00);
																		BgL_tmpz00_8108 =
																			CAR(CAR(BgL_pairz00_5904));
																	}
																	BgL_test3070z00_8037 =
																		(BgL_tmpz00_8108 ==
																		((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT((
																											(BgL_conditionalz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_ez00_5661)))->
																												BgL_bodyz00))))->
																								BgL_testz00))))->
																				BgL_variablez00)));
																}
															else
																{	/* SawMill/node2rtl.scm 539 */
																	BgL_test3070z00_8037 = ((bool_t) 0);
																}
														}
													else
														{	/* SawMill/node2rtl.scm 538 */
															BgL_test3070z00_8037 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 537 */
													BgL_test3070z00_8037 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* SawMill/node2rtl.scm 535 */
									BgL_test3070z00_8037 = ((bool_t) 0);
								}
						}
						if (BgL_test3070z00_8037)
							{	/* SawMill/node2rtl.scm 535 */
								{	/* SawMill/node2rtl.scm 542 */
									BgL_nodez00_bglt BgL_arg2611z00_5905;
									obj_t BgL_arg2612z00_5906;

									BgL_arg2611z00_5905 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 542 */
										obj_t BgL_pairz00_5907;

										BgL_pairz00_5907 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->
											BgL_bindingsz00);
										BgL_arg2612z00_5906 = CDR(CAR(BgL_pairz00_5907));
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_arg2611z00_5905)))->
											BgL_testz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_arg2612z00_5906)), BUNSPEC);
								}
								return
									BGl_predicatez00zzsaw_node2rtlz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5661)))->BgL_bodyz00),
									BgL_lz00_5662);
							}
						else
							{	/* SawMill/node2rtl.scm 545 */
								BgL_areaz00_bglt BgL_arg2616z00_5908;

								{	/* SawMill/node2rtl.scm 545 */
									BgL_rtl_ifz00_bglt BgL_arg2617z00_5909;

									{	/* SawMill/node2rtl.scm 545 */
										BgL_rtl_ifz00_bglt BgL_new1387z00_5910;

										{	/* SawMill/node2rtl.scm 545 */
											BgL_rtl_ifz00_bglt BgL_new1386z00_5911;

											BgL_new1386z00_5911 =
												((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_ifz00_bgl))));
											{	/* SawMill/node2rtl.scm 545 */
												long BgL_arg2619z00_5912;

												BgL_arg2619z00_5912 =
													BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1386z00_5911),
													BgL_arg2619z00_5912);
											}
											BgL_new1387z00_5910 = BgL_new1386z00_5911;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1387z00_5910)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2617z00_5909 = BgL_new1387z00_5910;
									}
									{	/* SawMill/node2rtl.scm 545 */
										obj_t BgL_list2618z00_5913;

										BgL_list2618z00_5913 =
											MAKE_YOUNG_PAIR(
											((obj_t) ((BgL_letzd2varzd2_bglt) BgL_ez00_5661)), BNIL);
										BgL_arg2616z00_5908 =
											BGl_callza2za2zzsaw_node2rtlz00(
											((obj_t)
												((BgL_letzd2varzd2_bglt) BgL_ez00_5661)),
											((BgL_rtl_funz00_bglt) BgL_arg2617z00_5909),
											BgL_list2618z00_5913);
								}}
								return
									BGl_forkz00zzsaw_node2rtlz00(BgL_arg2616z00_5908,
									BgL_lz00_5662);
							}
					}
			}
		}

	}



/* &predicate-conditiona1786 */
	BgL_areaz00_bglt BGl_z62predicatezd2conditiona1786zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5663, obj_t BgL_ez00_5664, obj_t BgL_lz00_5665)
	{
		{	/* SawMill/node2rtl.scm 520 */
			{	/* SawMill/node2rtl.scm 522 */
				BgL_nodez00_bglt BgL_arg2542z00_5915;
				obj_t BgL_arg2543z00_5916;

				BgL_arg2542z00_5915 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5664)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 522 */
					BgL_areaz00_bglt BgL_arg2547z00_5917;
					BgL_areaz00_bglt BgL_arg2548z00_5918;

					BgL_arg2547z00_5917 =
						BGl_predicatez00zzsaw_node2rtlz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_5664)))->BgL_truez00),
						BgL_lz00_5665);
					BgL_arg2548z00_5918 =
						BGl_predicatez00zzsaw_node2rtlz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_ez00_5664)))->
							BgL_falsez00), BgL_lz00_5665);
					{	/* SawMill/node2rtl.scm 522 */
						obj_t BgL_list2549z00_5919;

						{	/* SawMill/node2rtl.scm 522 */
							obj_t BgL_arg2551z00_5920;

							BgL_arg2551z00_5920 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2548z00_5918), BNIL);
							BgL_list2549z00_5919 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2547z00_5917), BgL_arg2551z00_5920);
						}
						BgL_arg2543z00_5916 = BgL_list2549z00_5919;
					}
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2542z00_5915,
					BgL_arg2543z00_5916);
			}
		}

	}



/* &predicate-atom1784 */
	BgL_areaz00_bglt BGl_z62predicatezd2atom1784zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5666, obj_t BgL_ez00_5667, obj_t BgL_lz00_5668)
	{
		{	/* SawMill/node2rtl.scm 513 */
			if (CBOOL(
					(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_ez00_5667)))->BgL_valuez00)))
				{	/* SawMill/node2rtl.scm 515 */
					return ((BgL_areaz00_bglt) CAR(((obj_t) BgL_lz00_5668)));
				}
			else
				{	/* SawMill/node2rtl.scm 517 */
					obj_t BgL_pairz00_5922;

					BgL_pairz00_5922 = CDR(((obj_t) BgL_lz00_5668));
					return ((BgL_areaz00_bglt) CAR(BgL_pairz00_5922));
				}
		}

	}



/* &node->rtl-return1780 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2return1780z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5669, obj_t BgL_ez00_5670)
	{
		{	/* SawMill/node2rtl.scm 495 */
			{	/* SawMill/node2rtl.scm 497 */
				BgL_retblockz00_bglt BgL_i1380z00_5924;

				BgL_i1380z00_5924 =
					((BgL_retblockz00_bglt)
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_ez00_5670)))->BgL_blockz00));
				{	/* SawMill/node2rtl.scm 498 */
					BgL_areaz00_bglt BgL_rz00_5925;

					{	/* SawMill/node2rtl.scm 498 */
						BgL_nodez00_bglt BgL_arg2536z00_5926;
						BgL_rtl_regz00_bglt BgL_arg2538z00_5927;

						BgL_arg2536z00_5926 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_ez00_5670)))->BgL_valuez00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8176;

							{
								obj_t BgL_auxz00_8177;

								{	/* SawMill/node2rtl.scm 498 */
									BgL_objectz00_bglt BgL_tmpz00_8178;

									BgL_tmpz00_8178 = ((BgL_objectz00_bglt) BgL_i1380z00_5924);
									BgL_auxz00_8177 = BGL_OBJECT_WIDENING(BgL_tmpz00_8178);
								}
								BgL_auxz00_8176 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8177);
							}
							BgL_arg2538z00_5927 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8176))->
								BgL_dstz00);
						}
						{	/* SawMill/node2rtl.scm 498 */
							BgL_areaz00_bglt BgL_res2819z00_5928;

							{	/* SawMill/node2rtl.scm 186 */
								BgL_areaz00_bglt BgL_az00_5929;

								BgL_az00_5929 =
									BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2536z00_5926);
								BGl_bdestinationz12z12zzsaw_node2rtlz00(
									(((BgL_areaz00_bglt) COBJECT(BgL_az00_5929))->BgL_exitz00),
									BgL_arg2538z00_5927);
								BgL_res2819z00_5928 = BgL_az00_5929;
							}
							BgL_rz00_5925 = BgL_res2819z00_5928;
						}
					}
					{	/* SawMill/node2rtl.scm 499 */
						BgL_blockz00_bglt BgL_arg2534z00_5930;
						BgL_blockz00_bglt BgL_arg2535z00_5931;

						BgL_arg2534z00_5930 =
							(((BgL_areaz00_bglt) COBJECT(BgL_rz00_5925))->BgL_exitz00);
						{
							BgL_retblockzf2tozf2_bglt BgL_auxz00_8187;

							{
								obj_t BgL_auxz00_8188;

								{	/* SawMill/node2rtl.scm 499 */
									BgL_objectz00_bglt BgL_tmpz00_8189;

									BgL_tmpz00_8189 = ((BgL_objectz00_bglt) BgL_i1380z00_5924);
									BgL_auxz00_8188 = BGL_OBJECT_WIDENING(BgL_tmpz00_8189);
								}
								BgL_auxz00_8187 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8188);
							}
							BgL_arg2535z00_5931 =
								(((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8187))->
								BgL_toz00);
						}
						{	/* SawMill/node2rtl.scm 91 */
							obj_t BgL_arg1898z00_5932;

							{	/* SawMill/node2rtl.scm 91 */
								obj_t BgL_arg1899z00_5933;

								BgL_arg1899z00_5933 =
									(((BgL_blockz00_bglt) COBJECT(BgL_arg2534z00_5930))->
									BgL_succsz00);
								BgL_arg1898z00_5932 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2535z00_5931),
									BgL_arg1899z00_5933);
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_arg2534z00_5930))->
									BgL_succsz00) = ((obj_t) BgL_arg1898z00_5932), BUNSPEC);
						}
					}
					return BGl_unlinkz00zzsaw_node2rtlz00(BgL_rz00_5925);
				}
			}
		}

	}



/* &node->rtl-retblock1778 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2retblock1778z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5671, obj_t BgL_ez00_5672)
	{
		{	/* SawMill/node2rtl.scm 479 */
			{	/* SawMill/node2rtl.scm 482 */
				BgL_rtl_regz00_bglt BgL_dstz00_5935;

				BgL_dstz00_5935 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5672)));
				{	/* SawMill/node2rtl.scm 483 */
					BgL_areaz00_bglt BgL_joinz00_5936;

					{	/* SawMill/node2rtl.scm 483 */
						BgL_rtl_movz00_bglt BgL_arg2529z00_5937;

						{	/* SawMill/node2rtl.scm 483 */
							BgL_rtl_movz00_bglt BgL_new1374z00_5938;

							{	/* SawMill/node2rtl.scm 483 */
								BgL_rtl_movz00_bglt BgL_new1373z00_5939;

								BgL_new1373z00_5939 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 483 */
									long BgL_arg2533z00_5940;

									BgL_arg2533z00_5940 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1373z00_5939),
										BgL_arg2533z00_5940);
								}
								BgL_new1374z00_5938 = BgL_new1373z00_5939;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1374z00_5938)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2529z00_5937 = BgL_new1374z00_5938;
						}
						{	/* SawMill/node2rtl.scm 483 */
							obj_t BgL_list2530z00_5941;

							BgL_list2530z00_5941 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_dstz00_5935), BNIL);
							BgL_joinz00_5936 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2529z00_5937),
								BgL_list2530z00_5941);
					}}
					{	/* SawMill/node2rtl.scm 484 */
						BgL_retblockzf2tozf2_bglt BgL_wide1377z00_5942;

						BgL_wide1377z00_5942 =
							((BgL_retblockzf2tozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_retblockzf2tozf2_bgl))));
						{	/* SawMill/node2rtl.scm 484 */
							obj_t BgL_auxz00_8217;
							BgL_objectz00_bglt BgL_tmpz00_8213;

							BgL_auxz00_8217 = ((obj_t) BgL_wide1377z00_5942);
							BgL_tmpz00_8213 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_ez00_5672)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8213, BgL_auxz00_8217);
						}
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5672)));
						{	/* SawMill/node2rtl.scm 484 */
							long BgL_arg2524z00_5943;

							BgL_arg2524z00_5943 =
								BGL_CLASS_NUM(BGl_retblockzf2tozf2zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5672))),
								BgL_arg2524z00_5943);
						}
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5672)));
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8231;

						{
							obj_t BgL_auxz00_8232;

							{	/* SawMill/node2rtl.scm 484 */
								BgL_objectz00_bglt BgL_tmpz00_8233;

								BgL_tmpz00_8233 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5672)));
								BgL_auxz00_8232 = BGL_OBJECT_WIDENING(BgL_tmpz00_8233);
							}
							BgL_auxz00_8231 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8232);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8231))->
								BgL_toz00) =
							((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
										COBJECT(BgL_joinz00_5936))->BgL_entryz00)), BUNSPEC);
					}
					{
						BgL_retblockzf2tozf2_bglt BgL_auxz00_8241;

						{
							obj_t BgL_auxz00_8242;

							{	/* SawMill/node2rtl.scm 484 */
								BgL_objectz00_bglt BgL_tmpz00_8243;

								BgL_tmpz00_8243 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_ez00_5672)));
								BgL_auxz00_8242 = BGL_OBJECT_WIDENING(BgL_tmpz00_8243);
							}
							BgL_auxz00_8241 = ((BgL_retblockzf2tozf2_bglt) BgL_auxz00_8242);
						}
						((((BgL_retblockzf2tozf2_bglt) COBJECT(BgL_auxz00_8241))->
								BgL_dstz00) = ((BgL_rtl_regz00_bglt) BgL_dstz00_5935), BUNSPEC);
					}
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_ez00_5672));
					{	/* SawMill/node2rtl.scm 485 */
						BgL_areaz00_bglt BgL_arg2527z00_5944;

						{	/* SawMill/node2rtl.scm 485 */
							BgL_nodez00_bglt BgL_arg2528z00_5945;

							BgL_arg2528z00_5945 =
								(((BgL_retblockz00_bglt) COBJECT(
										((BgL_retblockz00_bglt) BgL_ez00_5672)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 485 */
								BgL_areaz00_bglt BgL_res2818z00_5946;

								{	/* SawMill/node2rtl.scm 186 */
									BgL_areaz00_bglt BgL_az00_5947;

									BgL_az00_5947 =
										BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_arg2528z00_5945);
									BGl_bdestinationz12z12zzsaw_node2rtlz00(
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_5947))->BgL_exitz00),
										BgL_dstz00_5935);
									BgL_res2818z00_5946 = BgL_az00_5947;
								}
								BgL_arg2527z00_5944 = BgL_res2818z00_5946;
						}}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2527z00_5944,
							BgL_joinz00_5936);
					}
				}
			}
		}

	}



/* &node->rtl-box-set!1776 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121776z41zzsaw_node2rtlz00(obj_t
		BgL_envz00_5673, obj_t BgL_ez00_5674)
	{
		{	/* SawMill/node2rtl.scm 473 */
			{	/* SawMill/node2rtl.scm 475 */
				BgL_areaz00_bglt BgL_arg2511z00_5949;
				BgL_areaz00_bglt BgL_arg2512z00_5950;

				{	/* SawMill/node2rtl.scm 475 */
					BgL_rtl_boxsetz00_bglt BgL_arg2513z00_5951;
					BgL_varz00_bglt BgL_arg2514z00_5952;
					BgL_nodez00_bglt BgL_arg2515z00_5953;

					{	/* SawMill/node2rtl.scm 475 */
						BgL_rtl_boxsetz00_bglt BgL_new1368z00_5954;

						{	/* SawMill/node2rtl.scm 475 */
							BgL_rtl_boxsetz00_bglt BgL_new1367z00_5955;

							BgL_new1367z00_5955 =
								((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_boxsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 475 */
								long BgL_arg2519z00_5956;

								BgL_arg2519z00_5956 =
									BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1367z00_5955),
									BgL_arg2519z00_5956);
							}
							BgL_new1368z00_5954 = BgL_new1367z00_5955;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1368z00_5954)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2513z00_5951 = BgL_new1368z00_5954;
					}
					BgL_arg2514z00_5952 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5674)))->BgL_varz00);
					BgL_arg2515z00_5953 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5674)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 475 */
						obj_t BgL_list2516z00_5957;

						{	/* SawMill/node2rtl.scm 475 */
							obj_t BgL_arg2517z00_5958;

							BgL_arg2517z00_5958 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2515z00_5953), BNIL);
							BgL_list2516z00_5957 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2514z00_5952), BgL_arg2517z00_5958);
						}
						BgL_arg2511z00_5949 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5674)),
							((BgL_rtl_funz00_bglt) BgL_arg2513z00_5951),
							BgL_list2516z00_5957);
				}}
				{	/* SawMill/node2rtl.scm 476 */
					BgL_rtl_nopz00_bglt BgL_arg2521z00_5959;

					{	/* SawMill/node2rtl.scm 476 */
						BgL_rtl_nopz00_bglt BgL_new1371z00_5960;

						{	/* SawMill/node2rtl.scm 476 */
							BgL_rtl_nopz00_bglt BgL_new1370z00_5961;

							BgL_new1370z00_5961 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 476 */
								long BgL_arg2523z00_5962;

								BgL_arg2523z00_5962 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1370z00_5961),
									BgL_arg2523z00_5962);
							}
							BgL_new1371z00_5960 = BgL_new1370z00_5961;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1371z00_5960)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2521z00_5959 = BgL_new1371z00_5960;
					}
					BgL_arg2512z00_5950 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2521z00_5959), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2511z00_5949,
					BgL_arg2512z00_5950);
			}
		}

	}



/* &node->rtl-box-ref1774 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1774z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5675, obj_t BgL_ez00_5676)
	{
		{	/* SawMill/node2rtl.scm 468 */
			{	/* SawMill/node2rtl.scm 470 */
				BgL_rtl_boxrefz00_bglt BgL_arg2500z00_5964;
				BgL_varz00_bglt BgL_arg2502z00_5965;

				{	/* SawMill/node2rtl.scm 470 */
					BgL_rtl_boxrefz00_bglt BgL_new1365z00_5966;

					{	/* SawMill/node2rtl.scm 470 */
						BgL_rtl_boxrefz00_bglt BgL_new1364z00_5967;

						BgL_new1364z00_5967 =
							((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_boxrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 470 */
							long BgL_arg2508z00_5968;

							BgL_arg2508z00_5968 =
								BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1364z00_5967),
								BgL_arg2508z00_5968);
						}
						BgL_new1365z00_5966 = BgL_new1364z00_5967;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1365z00_5966)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2500z00_5964 = BgL_new1365z00_5966;
				}
				BgL_arg2502z00_5965 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5676)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 470 */
					obj_t BgL_list2503z00_5969;

					BgL_list2503z00_5969 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2502z00_5965), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5676)),
						((BgL_rtl_funz00_bglt) BgL_arg2500z00_5964), BgL_list2503z00_5969);
				}
			}
		}

	}



/* &node->rtl-make-box1772 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1772z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5677, obj_t BgL_ez00_5678)
	{
		{	/* SawMill/node2rtl.scm 463 */
			{	/* SawMill/node2rtl.scm 465 */
				BgL_rtl_makeboxz00_bglt BgL_arg2495z00_5971;
				BgL_nodez00_bglt BgL_arg2496z00_5972;

				{	/* SawMill/node2rtl.scm 465 */
					BgL_rtl_makeboxz00_bglt BgL_new1362z00_5973;

					{	/* SawMill/node2rtl.scm 465 */
						BgL_rtl_makeboxz00_bglt BgL_new1361z00_5974;

						BgL_new1361z00_5974 =
							((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_makeboxz00_bgl))));
						{	/* SawMill/node2rtl.scm 465 */
							long BgL_arg2499z00_5975;

							BgL_arg2499z00_5975 =
								BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1361z00_5974),
								BgL_arg2499z00_5975);
						}
						BgL_new1362z00_5973 = BgL_new1361z00_5974;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1362z00_5973)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2495z00_5971 = BgL_new1362z00_5973;
				}
				BgL_arg2496z00_5972 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5678)))->BgL_valuez00);
				{	/* SawMill/node2rtl.scm 465 */
					obj_t BgL_list2497z00_5976;

					BgL_list2497z00_5976 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2496z00_5972), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5678)),
						((BgL_rtl_funz00_bglt) BgL_arg2495z00_5971), BgL_list2497z00_5976);
				}
			}
		}

	}



/* &node->rtl-fail1770 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2fail1770z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5679, obj_t BgL_ez00_5680)
	{
		{	/* SawMill/node2rtl.scm 458 */
			{	/* SawMill/node2rtl.scm 460 */
				BgL_areaz00_bglt BgL_arg2482z00_5978;

				{	/* SawMill/node2rtl.scm 460 */
					BgL_rtl_failz00_bglt BgL_arg2484z00_5979;
					BgL_nodez00_bglt BgL_arg2485z00_5980;
					BgL_nodez00_bglt BgL_arg2487z00_5981;
					BgL_nodez00_bglt BgL_arg2488z00_5982;

					{	/* SawMill/node2rtl.scm 460 */
						BgL_rtl_failz00_bglt BgL_new1359z00_5983;

						{	/* SawMill/node2rtl.scm 460 */
							BgL_rtl_failz00_bglt BgL_new1358z00_5984;

							BgL_new1358z00_5984 =
								((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_failz00_bgl))));
							{	/* SawMill/node2rtl.scm 460 */
								long BgL_arg2494z00_5985;

								BgL_arg2494z00_5985 =
									BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1358z00_5984),
									BgL_arg2494z00_5985);
							}
							BgL_new1359z00_5983 = BgL_new1358z00_5984;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1359z00_5983)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2484z00_5979 = BgL_new1359z00_5983;
					}
					BgL_arg2485z00_5980 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5680)))->BgL_procz00);
					BgL_arg2487z00_5981 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5680)))->BgL_msgz00);
					BgL_arg2488z00_5982 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5680)))->BgL_objz00);
					{	/* SawMill/node2rtl.scm 460 */
						obj_t BgL_list2489z00_5986;

						{	/* SawMill/node2rtl.scm 460 */
							obj_t BgL_arg2492z00_5987;

							{	/* SawMill/node2rtl.scm 460 */
								obj_t BgL_arg2493z00_5988;

								BgL_arg2493z00_5988 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2488z00_5982), BNIL);
								BgL_arg2492z00_5987 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2487z00_5981), BgL_arg2493z00_5988);
							}
							BgL_list2489z00_5986 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2485z00_5980), BgL_arg2492z00_5987);
						}
						BgL_arg2482z00_5978 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_failz00_bglt) BgL_ez00_5680)),
							((BgL_rtl_funz00_bglt) BgL_arg2484z00_5979),
							BgL_list2489z00_5986);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2482z00_5978);
			}
		}

	}



/* &node->rtl-jump-ex-it1768 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1768z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5681, obj_t BgL_ez00_5682)
	{
		{	/* SawMill/node2rtl.scm 453 */
			{	/* SawMill/node2rtl.scm 455 */
				BgL_areaz00_bglt BgL_arg2473z00_5990;

				{	/* SawMill/node2rtl.scm 455 */
					BgL_rtl_jumpexitz00_bglt BgL_arg2474z00_5991;
					BgL_nodez00_bglt BgL_arg2476z00_5992;
					BgL_nodez00_bglt BgL_arg2477z00_5993;

					{	/* SawMill/node2rtl.scm 455 */
						BgL_rtl_jumpexitz00_bglt BgL_new1356z00_5994;

						{	/* SawMill/node2rtl.scm 455 */
							BgL_rtl_jumpexitz00_bglt BgL_new1355z00_5995;

							BgL_new1355z00_5995 =
								((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_jumpexitz00_bgl))));
							{	/* SawMill/node2rtl.scm 455 */
								long BgL_arg2481z00_5996;

								BgL_arg2481z00_5996 =
									BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1355z00_5995),
									BgL_arg2481z00_5996);
							}
							BgL_new1356z00_5994 = BgL_new1355z00_5995;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1356z00_5994)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2474z00_5991 = BgL_new1356z00_5994;
					}
					BgL_arg2476z00_5992 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5682)))->BgL_exitz00);
					BgL_arg2477z00_5993 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5682)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 455 */
						obj_t BgL_list2478z00_5997;

						{	/* SawMill/node2rtl.scm 455 */
							obj_t BgL_arg2479z00_5998;

							BgL_arg2479z00_5998 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2477z00_5993), BNIL);
							BgL_list2478z00_5997 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2476z00_5992), BgL_arg2479z00_5998);
						}
						BgL_arg2473z00_5990 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5682)),
							((BgL_rtl_funz00_bglt) BgL_arg2474z00_5991),
							BgL_list2478z00_5997);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2473z00_5990);
			}
		}

	}



/* &node->rtl-set-ex-it1766 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1766z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5683, obj_t BgL_ez00_5684)
	{
		{	/* SawMill/node2rtl.scm 445 */
			{	/* SawMill/node2rtl.scm 447 */
				BgL_areaz00_bglt BgL_arg2460z00_6000;
				BgL_areaz00_bglt BgL_arg2461z00_6001;

				{	/* SawMill/node2rtl.scm 447 */
					BgL_areaz00_bglt BgL_az00_6002;

					{	/* SawMill/node2rtl.scm 447 */
						BgL_rtl_protectz00_bglt BgL_arg2465z00_6003;

						{	/* SawMill/node2rtl.scm 447 */
							BgL_rtl_protectz00_bglt BgL_new1351z00_6004;

							{	/* SawMill/node2rtl.scm 447 */
								BgL_rtl_protectz00_bglt BgL_new1350z00_6005;

								BgL_new1350z00_6005 =
									((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_protectz00_bgl))));
								{	/* SawMill/node2rtl.scm 447 */
									long BgL_arg2467z00_6006;

									BgL_arg2467z00_6006 =
										BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1350z00_6005),
										BgL_arg2467z00_6006);
								}
								BgL_new1351z00_6004 = BgL_new1350z00_6005;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1351z00_6004)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2465z00_6003 = BgL_new1351z00_6004;
						}
						BgL_az00_6002 =
							BGl_singleza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5684)),
							((BgL_rtl_funz00_bglt) BgL_arg2465z00_6003), BNIL);
					}
					{	/* SawMill/node2rtl.scm 448 */
						BgL_rtl_regz00_bglt BgL_arg2462z00_6007;

						{	/* SawMill/node2rtl.scm 448 */
							BgL_variablez00_bglt BgL_arg2463z00_6008;

							BgL_arg2463z00_6008 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
													((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5684)))->
											BgL_varz00)))->BgL_variablez00);
							BgL_arg2462z00_6007 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
									BgL_arg2463z00_6008));
						}
						BGl_bdestinationz12z12zzsaw_node2rtlz00(
							(((BgL_areaz00_bglt) COBJECT(BgL_az00_6002))->BgL_exitz00),
							BgL_arg2462z00_6007);
					}
					BgL_arg2460z00_6000 = BgL_az00_6002;
				}
				{	/* SawMill/node2rtl.scm 450 */
					BgL_rtl_protectedz00_bglt BgL_arg2468z00_6009;
					BgL_nodez00_bglt BgL_arg2469z00_6010;

					{	/* SawMill/node2rtl.scm 450 */
						BgL_rtl_protectedz00_bglt BgL_new1353z00_6011;

						{	/* SawMill/node2rtl.scm 450 */
							BgL_rtl_protectedz00_bglt BgL_new1352z00_6012;

							BgL_new1352z00_6012 =
								((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_protectedz00_bgl))));
							{	/* SawMill/node2rtl.scm 450 */
								long BgL_arg2471z00_6013;

								BgL_arg2471z00_6013 =
									BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1352z00_6012),
									BgL_arg2471z00_6013);
							}
							BgL_new1353z00_6011 = BgL_new1352z00_6012;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1353z00_6011)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2468z00_6009 = BgL_new1353z00_6011;
					}
					BgL_arg2469z00_6010 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5684)))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 450 */
						obj_t BgL_list2470z00_6014;

						BgL_list2470z00_6014 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2469z00_6010), BNIL);
						BgL_arg2461z00_6001 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5684)),
							((BgL_rtl_funz00_bglt) BgL_arg2468z00_6009),
							BgL_list2470z00_6014);
				}}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2460z00_6000,
					BgL_arg2461z00_6001);
			}
		}

	}



/* &node->rtl-cast-null1764 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1764z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5685, obj_t BgL_ez00_5686)
	{
		{	/* SawMill/node2rtl.scm 440 */
			{	/* SawMill/node2rtl.scm 442 */
				BgL_rtl_cast_nullz00_bglt BgL_arg2457z00_6016;

				{	/* SawMill/node2rtl.scm 442 */
					BgL_rtl_cast_nullz00_bglt BgL_new1348z00_6017;

					{	/* SawMill/node2rtl.scm 442 */
						BgL_rtl_cast_nullz00_bglt BgL_new1347z00_6018;

						BgL_new1347z00_6018 =
							((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_cast_nullz00_bgl))));
						{	/* SawMill/node2rtl.scm 442 */
							long BgL_arg2458z00_6019;

							BgL_arg2458z00_6019 =
								BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1347z00_6018),
								BgL_arg2458z00_6019);
						}
						BgL_new1348z00_6017 = BgL_new1347z00_6018;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1348z00_6017)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1348z00_6017))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_ez00_5686))))->BgL_typez00)), BUNSPEC);
					BgL_arg2457z00_6016 = BgL_new1348z00_6017;
				}
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_castzd2nullzd2_bglt) BgL_ez00_5686)),
					((BgL_rtl_funz00_bglt) BgL_arg2457z00_6016), BNIL);
			}
		}

	}



/* &node->rtl-cast1762 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2cast1762z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5687, obj_t BgL_ez00_5688)
	{
		{	/* SawMill/node2rtl.scm 433 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_5688)))->BgL_argz00));
		}

	}



/* &node->rtl-instanceof1760 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1760z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5689, obj_t BgL_ez00_5690)
	{
		{	/* SawMill/node2rtl.scm 428 */
			{	/* SawMill/node2rtl.scm 430 */
				BgL_rtl_instanceofz00_bglt BgL_arg2451z00_6022;
				obj_t BgL_arg2452z00_6023;

				{	/* SawMill/node2rtl.scm 430 */
					BgL_rtl_instanceofz00_bglt BgL_new1344z00_6024;

					{	/* SawMill/node2rtl.scm 430 */
						BgL_rtl_instanceofz00_bglt BgL_new1343z00_6025;

						BgL_new1343z00_6025 =
							((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_instanceofz00_bgl))));
						{	/* SawMill/node2rtl.scm 430 */
							long BgL_arg2454z00_6026;

							BgL_arg2454z00_6026 =
								BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1343z00_6025),
								BgL_arg2454z00_6026);
						}
						BgL_new1344z00_6024 = BgL_new1343z00_6025;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1344z00_6024)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1344z00_6024))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_instanceofz00_bglt)
									COBJECT(((BgL_instanceofz00_bglt) BgL_ez00_5690)))->
								BgL_classz00)), BUNSPEC);
					BgL_arg2451z00_6022 = BgL_new1344z00_6024;
				}
				BgL_arg2452z00_6023 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_5690))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_instanceofz00_bglt) BgL_ez00_5690)),
					((BgL_rtl_funz00_bglt) BgL_arg2451z00_6022), BgL_arg2452z00_6023);
			}
		}

	}



/* &node->rtl-vlength1758 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vlength1758z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5691, obj_t BgL_ez00_5692)
	{
		{	/* SawMill/node2rtl.scm 423 */
			{	/* SawMill/node2rtl.scm 425 */
				BgL_rtl_vlengthz00_bglt BgL_arg2447z00_6028;
				obj_t BgL_arg2448z00_6029;

				{	/* SawMill/node2rtl.scm 425 */
					BgL_rtl_vlengthz00_bglt BgL_new1341z00_6030;

					{	/* SawMill/node2rtl.scm 425 */
						BgL_rtl_vlengthz00_bglt BgL_new1340z00_6031;

						BgL_new1340z00_6031 =
							((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vlengthz00_bgl))));
						{	/* SawMill/node2rtl.scm 425 */
							long BgL_arg2450z00_6032;

							BgL_arg2450z00_6032 =
								BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1340z00_6031),
								BgL_arg2450z00_6032);
						}
						BgL_new1341z00_6030 = BgL_new1340z00_6031;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1341z00_6030)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1341z00_6030))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
										COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5692)))->
									BgL_ftypez00))), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1341z00_6030))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
									COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5692)))->
								BgL_vtypez00)), BUNSPEC);
					BgL_arg2447z00_6028 = BgL_new1341z00_6030;
				}
				BgL_arg2448z00_6029 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_5692))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vlengthz00_bglt) BgL_ez00_5692)),
					((BgL_rtl_funz00_bglt) BgL_arg2447z00_6028), BgL_arg2448z00_6029);
			}
		}

	}



/* &node->rtl-vset!1756 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vsetz121756z93zzsaw_node2rtlz00(obj_t
		BgL_envz00_5693, obj_t BgL_ez00_5694)
	{
		{	/* SawMill/node2rtl.scm 417 */
			{	/* SawMill/node2rtl.scm 419 */
				BgL_areaz00_bglt BgL_arg2437z00_6034;
				BgL_areaz00_bglt BgL_arg2438z00_6035;

				{	/* SawMill/node2rtl.scm 419 */
					BgL_rtl_vsetz00_bglt BgL_arg2439z00_6036;
					obj_t BgL_arg2441z00_6037;

					{	/* SawMill/node2rtl.scm 419 */
						BgL_rtl_vsetz00_bglt BgL_new1336z00_6038;

						{	/* SawMill/node2rtl.scm 419 */
							BgL_rtl_vsetz00_bglt BgL_new1335z00_6039;

							BgL_new1335z00_6039 =
								((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_vsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 419 */
								long BgL_arg2442z00_6040;

								BgL_arg2442z00_6040 =
									BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1335z00_6039),
									BgL_arg2442z00_6040);
							}
							BgL_new1336z00_6038 = BgL_new1335z00_6039;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1336z00_6038)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1336z00_6038))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5694)))->
									BgL_ftypez00)), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1336z00_6038))->
								BgL_vtypez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5694)))->
									BgL_vtypez00)), BUNSPEC);
						BgL_arg2439z00_6036 = BgL_new1336z00_6038;
					}
					BgL_arg2441z00_6037 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_ez00_5694))))->BgL_exprza2za2);
					BgL_arg2437z00_6034 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_vsetz12z12_bglt) BgL_ez00_5694)),
						((BgL_rtl_funz00_bglt) BgL_arg2439z00_6036), BgL_arg2441z00_6037);
				}
				{	/* SawMill/node2rtl.scm 420 */
					BgL_rtl_nopz00_bglt BgL_arg2443z00_6041;

					{	/* SawMill/node2rtl.scm 420 */
						BgL_rtl_nopz00_bglt BgL_new1338z00_6042;

						{	/* SawMill/node2rtl.scm 420 */
							BgL_rtl_nopz00_bglt BgL_new1337z00_6043;

							BgL_new1337z00_6043 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 420 */
								long BgL_arg2446z00_6044;

								BgL_arg2446z00_6044 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1337z00_6043),
									BgL_arg2446z00_6044);
							}
							BgL_new1338z00_6042 = BgL_new1337z00_6043;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1338z00_6042)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2443z00_6041 = BgL_new1338z00_6042;
					}
					BgL_arg2438z00_6035 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2443z00_6041), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2437z00_6034,
					BgL_arg2438z00_6035);
			}
		}

	}



/* &node->rtl-vref1754 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vref1754z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5695, obj_t BgL_ez00_5696)
	{
		{	/* SawMill/node2rtl.scm 412 */
			{	/* SawMill/node2rtl.scm 414 */
				BgL_rtl_vrefz00_bglt BgL_arg2434z00_6046;
				obj_t BgL_arg2435z00_6047;

				{	/* SawMill/node2rtl.scm 414 */
					BgL_rtl_vrefz00_bglt BgL_new1333z00_6048;

					{	/* SawMill/node2rtl.scm 414 */
						BgL_rtl_vrefz00_bglt BgL_new1332z00_6049;

						BgL_new1332z00_6049 =
							((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 414 */
							long BgL_arg2436z00_6050;

							BgL_arg2436z00_6050 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1332z00_6049),
								BgL_arg2436z00_6050);
						}
						BgL_new1333z00_6048 = BgL_new1332z00_6049;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1333z00_6048)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1333z00_6048))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5696)))->BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1333z00_6048))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5696)))->BgL_vtypez00)), BUNSPEC);
					BgL_arg2434z00_6046 = BgL_new1333z00_6048;
				}
				BgL_arg2435z00_6047 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_5696))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vrefz00_bglt) BgL_ez00_5696)),
					((BgL_rtl_funz00_bglt) BgL_arg2434z00_6046), BgL_arg2435z00_6047);
			}
		}

	}



/* &node->rtl-valloc1752 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2valloc1752z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5697, obj_t BgL_ez00_5698)
	{
		{	/* SawMill/node2rtl.scm 406 */
			{	/* SawMill/node2rtl.scm 408 */
				BgL_rtl_vallocz00_bglt BgL_arg2430z00_6052;
				obj_t BgL_arg2432z00_6053;

				{	/* SawMill/node2rtl.scm 408 */
					BgL_rtl_vallocz00_bglt BgL_new1330z00_6054;

					{	/* SawMill/node2rtl.scm 408 */
						BgL_rtl_vallocz00_bglt BgL_new1329z00_6055;

						BgL_new1329z00_6055 =
							((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vallocz00_bgl))));
						{	/* SawMill/node2rtl.scm 408 */
							long BgL_arg2433z00_6056;

							BgL_arg2433z00_6056 =
								BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1329z00_6055),
								BgL_arg2433z00_6056);
						}
						BgL_new1330z00_6054 = BgL_new1329z00_6055;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1330z00_6054)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1330z00_6054))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vallocz00_bglt)
									COBJECT(((BgL_vallocz00_bglt) BgL_ez00_5698)))->
								BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1330z00_6054))->
							BgL_vtypez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_vallocz00_bglt) BgL_ez00_5698)), ((bool_t) 0))),
						BUNSPEC);
					BgL_arg2430z00_6052 = BgL_new1330z00_6054;
				}
				BgL_arg2432z00_6053 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_5698))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vallocz00_bglt) BgL_ez00_5698)),
					((BgL_rtl_funz00_bglt) BgL_arg2430z00_6052), BgL_arg2432z00_6053);
			}
		}

	}



/* &node->rtl-new1750 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2new1750z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5699, obj_t BgL_ez00_5700)
	{
		{	/* SawMill/node2rtl.scm 400 */
			{	/* SawMill/node2rtl.scm 402 */
				BgL_rtl_newz00_bglt BgL_arg2426z00_6058;
				obj_t BgL_arg2427z00_6059;

				{	/* SawMill/node2rtl.scm 402 */
					BgL_rtl_newz00_bglt BgL_new1327z00_6060;

					{	/* SawMill/node2rtl.scm 402 */
						BgL_rtl_newz00_bglt BgL_new1326z00_6061;

						BgL_new1326z00_6061 =
							((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_newz00_bgl))));
						{	/* SawMill/node2rtl.scm 402 */
							long BgL_arg2428z00_6062;

							BgL_arg2428z00_6062 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1326z00_6061),
								BgL_arg2428z00_6062);
						}
						BgL_new1327z00_6060 = BgL_new1326z00_6061;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1327z00_6060)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1327z00_6060))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_newz00_bglt) BgL_ez00_5700)), ((bool_t) 0))), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1327z00_6060))->
							BgL_constrz00) =
						((obj_t) (((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt)
											BgL_ez00_5700)))->BgL_argszd2typezd2)), BUNSPEC);
					BgL_arg2426z00_6058 = BgL_new1327z00_6060;
				}
				BgL_arg2427z00_6059 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_ez00_5700))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_newz00_bglt) BgL_ez00_5700)),
					((BgL_rtl_funz00_bglt) BgL_arg2426z00_6058), BgL_arg2427z00_6059);
			}
		}

	}



/* &node->rtl-setfield1748 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setfield1748z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5701, obj_t BgL_ez00_5702)
	{
		{	/* SawMill/node2rtl.scm 391 */
			{	/* SawMill/node2rtl.scm 393 */
				BgL_areaz00_bglt BgL_arg2416z00_6064;
				BgL_areaz00_bglt BgL_arg2418z00_6065;

				{	/* SawMill/node2rtl.scm 393 */
					BgL_rtl_setfieldz00_bglt BgL_arg2420z00_6066;
					obj_t BgL_arg2421z00_6067;

					{	/* SawMill/node2rtl.scm 393 */
						BgL_rtl_setfieldz00_bglt BgL_new1322z00_6068;

						{	/* SawMill/node2rtl.scm 393 */
							BgL_rtl_setfieldz00_bglt BgL_new1321z00_6069;

							BgL_new1321z00_6069 =
								((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_setfieldz00_bgl))));
							{	/* SawMill/node2rtl.scm 393 */
								long BgL_arg2422z00_6070;

								BgL_arg2422z00_6070 =
									BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1321z00_6069),
									BgL_arg2422z00_6070);
							}
							BgL_new1322z00_6068 = BgL_new1321z00_6069;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1322z00_6068)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1322z00_6068))->
								BgL_namez00) =
							((obj_t) (((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
												BgL_ez00_5702)))->BgL_fnamez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1322z00_6068))->
								BgL_objtypez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5702)))->
									BgL_otypez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1322z00_6068))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5702)))->
									BgL_ftypez00)), BUNSPEC);
						BgL_arg2420z00_6066 = BgL_new1322z00_6068;
					}
					BgL_arg2421z00_6067 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_ez00_5702))))->BgL_exprza2za2);
					BgL_arg2416z00_6064 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_setfieldz00_bglt) BgL_ez00_5702)),
						((BgL_rtl_funz00_bglt) BgL_arg2420z00_6066), BgL_arg2421z00_6067);
				}
				{	/* SawMill/node2rtl.scm 397 */
					BgL_rtl_nopz00_bglt BgL_arg2423z00_6071;

					{	/* SawMill/node2rtl.scm 397 */
						BgL_rtl_nopz00_bglt BgL_new1324z00_6072;

						{	/* SawMill/node2rtl.scm 397 */
							BgL_rtl_nopz00_bglt BgL_new1323z00_6073;

							BgL_new1323z00_6073 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 397 */
								long BgL_arg2425z00_6074;

								BgL_arg2425z00_6074 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1323z00_6073),
									BgL_arg2425z00_6074);
							}
							BgL_new1324z00_6072 = BgL_new1323z00_6073;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1324z00_6072)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2423z00_6071 = BgL_new1324z00_6072;
					}
					BgL_arg2418z00_6065 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2423z00_6071), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2416z00_6064,
					BgL_arg2418z00_6065);
			}
		}

	}



/* &node->rtl-getfield1746 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2getfield1746z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5703, obj_t BgL_ez00_5704)
	{
		{	/* SawMill/node2rtl.scm 383 */
			{	/* SawMill/node2rtl.scm 385 */
				BgL_rtl_getfieldz00_bglt BgL_arg2412z00_6076;
				obj_t BgL_arg2414z00_6077;

				{	/* SawMill/node2rtl.scm 385 */
					BgL_rtl_getfieldz00_bglt BgL_new1319z00_6078;

					{	/* SawMill/node2rtl.scm 385 */
						BgL_rtl_getfieldz00_bglt BgL_new1318z00_6079;

						BgL_new1318z00_6079 =
							((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_getfieldz00_bgl))));
						{	/* SawMill/node2rtl.scm 385 */
							long BgL_arg2415z00_6080;

							BgL_arg2415z00_6080 =
								BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1318z00_6079),
								BgL_arg2415z00_6080);
						}
						BgL_new1319z00_6078 = BgL_new1318z00_6079;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1319z00_6078)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1319z00_6078))->
							BgL_namez00) =
						((obj_t) (((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
											BgL_ez00_5704)))->BgL_fnamez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1319z00_6078))->
							BgL_objtypez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5704)))->
								BgL_otypez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1319z00_6078))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5704)))->
								BgL_ftypez00)), BUNSPEC);
					BgL_arg2412z00_6076 = BgL_new1319z00_6078;
				}
				BgL_arg2414z00_6077 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_5704))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_getfieldz00_bglt) BgL_ez00_5704)),
					((BgL_rtl_funz00_bglt) BgL_arg2412z00_6076), BgL_arg2414z00_6077);
			}
		}

	}



/* &node->rtl-pragma1744 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2pragma1744z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5705, obj_t BgL_ez00_5706)
	{
		{	/* SawMill/node2rtl.scm 372 */
			{	/* SawMill/node2rtl.scm 374 */
				bool_t BgL_test3083z00_8580;

				if (
					(STRING_LENGTH(
							(((BgL_pragmaz00_bglt) COBJECT(
										((BgL_pragmaz00_bglt) BgL_ez00_5706)))->BgL_formatz00)) ==
						((long) 0)))
					{	/* SawMill/node2rtl.scm 374 */
						if (NULLP(
								(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5706))))->
									BgL_exprza2za2)))
							{	/* SawMill/node2rtl.scm 375 */
								BgL_test3083z00_8580 = ((bool_t) 0);
							}
						else
							{	/* SawMill/node2rtl.scm 376 */
								bool_t BgL_test3086z00_8591;

								{	/* SawMill/node2rtl.scm 376 */
									obj_t BgL_tmpz00_8592;

									{	/* SawMill/node2rtl.scm 376 */
										obj_t BgL_pairz00_6082;

										BgL_pairz00_6082 =
											(((BgL_externz00_bglt) COBJECT(
													((BgL_externz00_bglt)
														((BgL_pragmaz00_bglt) BgL_ez00_5706))))->
											BgL_exprza2za2);
										BgL_tmpz00_8592 = CDR(BgL_pairz00_6082);
									}
									BgL_test3086z00_8591 = NULLP(BgL_tmpz00_8592);
								}
								if (BgL_test3086z00_8591)
									{	/* SawMill/node2rtl.scm 377 */
										obj_t BgL_arg2404z00_6083;

										{	/* SawMill/node2rtl.scm 377 */
											obj_t BgL_pairz00_6084;

											BgL_pairz00_6084 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_pragmaz00_bglt) BgL_ez00_5706))))->
												BgL_exprza2za2);
											BgL_arg2404z00_6083 = CAR(BgL_pairz00_6084);
										}
										{	/* SawMill/node2rtl.scm 377 */
											obj_t BgL_classz00_6085;

											BgL_classz00_6085 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2404z00_6083))
												{	/* SawMill/node2rtl.scm 377 */
													BgL_objectz00_bglt BgL_arg1820z00_6086;

													BgL_arg1820z00_6086 =
														(BgL_objectz00_bglt) (BgL_arg2404z00_6083);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/node2rtl.scm 377 */
															long BgL_idxz00_6087;

															BgL_idxz00_6087 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6086);
															BgL_test3083z00_8580 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6087 + ((long) 2))) ==
																BgL_classz00_6085);
														}
													else
														{	/* SawMill/node2rtl.scm 377 */
															bool_t BgL_res2817z00_6090;

															{	/* SawMill/node2rtl.scm 377 */
																obj_t BgL_oclassz00_6091;

																{	/* SawMill/node2rtl.scm 377 */
																	long BgL_arg1828z00_6092;

																	{	/* SawMill/node2rtl.scm 377 */
																		long BgL_arg1829z00_6093;

																		BgL_arg1829z00_6093 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6086);
																		BgL_arg1828z00_6092 =
																			(BgL_arg1829z00_6093 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6091 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_6092);
																}
																{	/* SawMill/node2rtl.scm 377 */
																	bool_t BgL__ortest_1111z00_6094;

																	BgL__ortest_1111z00_6094 =
																		(BgL_classz00_6085 == BgL_oclassz00_6091);
																	if (BgL__ortest_1111z00_6094)
																		{	/* SawMill/node2rtl.scm 377 */
																			BgL_res2817z00_6090 =
																				BgL__ortest_1111z00_6094;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 377 */
																			long BgL_odepthz00_6095;

																			BgL_odepthz00_6095 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_6091);
																			if ((((long) 2) < BgL_odepthz00_6095))
																				{	/* SawMill/node2rtl.scm 377 */
																					obj_t BgL_arg1816z00_6096;

																					BgL_arg1816z00_6096 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_6091, ((long) 2));
																					BgL_res2817z00_6090 =
																						(BgL_arg1816z00_6096 ==
																						BgL_classz00_6085);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 377 */
																					BgL_res2817z00_6090 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3083z00_8580 = BgL_res2817z00_6090;
														}
												}
											else
												{	/* SawMill/node2rtl.scm 377 */
													BgL_test3083z00_8580 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* SawMill/node2rtl.scm 376 */
										BgL_test3083z00_8580 = ((bool_t) 0);
									}
							}
					}
				else
					{	/* SawMill/node2rtl.scm 374 */
						BgL_test3083z00_8580 = ((bool_t) 0);
					}
				if (BgL_test3083z00_8580)
					{	/* SawMill/node2rtl.scm 378 */
						obj_t BgL_fmtz00_6097;

						{
							BgL_variablez00_bglt BgL_auxz00_8621;

							{
								BgL_varz00_bglt BgL_auxz00_8622;

								{	/* SawMill/node2rtl.scm 378 */
									obj_t BgL_pairz00_6098;

									BgL_pairz00_6098 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt) BgL_ez00_5706))))->
										BgL_exprza2za2);
									BgL_auxz00_8622 = ((BgL_varz00_bglt) CAR(BgL_pairz00_6098));
								}
								BgL_auxz00_8621 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_8622))->
									BgL_variablez00);
							}
							BgL_fmtz00_6097 =
								(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_8621))->
								BgL_namez00);
						}
						{	/* SawMill/node2rtl.scm 379 */
							BgL_rtl_pragmaz00_bglt BgL_arg2391z00_6099;
							obj_t BgL_arg2393z00_6100;

							{	/* SawMill/node2rtl.scm 379 */
								BgL_rtl_pragmaz00_bglt BgL_new1314z00_6101;

								{	/* SawMill/node2rtl.scm 379 */
									BgL_rtl_pragmaz00_bglt BgL_new1313z00_6102;

									BgL_new1313z00_6102 =
										((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_pragmaz00_bgl))));
									{	/* SawMill/node2rtl.scm 379 */
										long BgL_arg2394z00_6103;

										BgL_arg2394z00_6103 =
											BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1313z00_6102),
											BgL_arg2394z00_6103);
									}
									BgL_new1314z00_6101 = BgL_new1313z00_6102;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1314z00_6101)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1314z00_6101))->
										BgL_formatz00) = ((obj_t) BgL_fmtz00_6097), BUNSPEC);
								BgL_arg2391z00_6099 = BgL_new1314z00_6101;
							}
							{	/* SawMill/node2rtl.scm 379 */
								obj_t BgL_pairz00_6104;

								BgL_pairz00_6104 =
									(((BgL_externz00_bglt) COBJECT(
											((BgL_externz00_bglt)
												((BgL_pragmaz00_bglt) BgL_ez00_5706))))->
									BgL_exprza2za2);
								BgL_arg2393z00_6100 = CDR(BgL_pairz00_6104);
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_pragmaz00_bglt) BgL_ez00_5706)),
								((BgL_rtl_funz00_bglt) BgL_arg2391z00_6099),
								BgL_arg2393z00_6100);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 380 */
						BgL_rtl_pragmaz00_bglt BgL_arg2401z00_6105;
						obj_t BgL_arg2402z00_6106;

						{	/* SawMill/node2rtl.scm 380 */
							BgL_rtl_pragmaz00_bglt BgL_new1316z00_6107;

							{	/* SawMill/node2rtl.scm 380 */
								BgL_rtl_pragmaz00_bglt BgL_new1315z00_6108;

								BgL_new1315z00_6108 =
									((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_pragmaz00_bgl))));
								{	/* SawMill/node2rtl.scm 380 */
									long BgL_arg2403z00_6109;

									BgL_arg2403z00_6109 =
										BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1315z00_6108),
										BgL_arg2403z00_6109);
								}
								BgL_new1316z00_6107 = BgL_new1315z00_6108;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1316z00_6107)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1316z00_6107))->
									BgL_formatz00) =
								((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
													BgL_ez00_5706)))->BgL_formatz00)), BUNSPEC);
							BgL_arg2401z00_6105 = BgL_new1316z00_6107;
						}
						BgL_arg2402z00_6106 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_ez00_5706))))->BgL_exprza2za2);
						return
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_pragmaz00_bglt) BgL_ez00_5706)),
							((BgL_rtl_funz00_bglt) BgL_arg2401z00_6105), BgL_arg2402z00_6106);
					}
			}
		}

	}



/* &node->rtl-funcall1742 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2funcall1742z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5707, obj_t BgL_ez00_5708)
	{
		{	/* SawMill/node2rtl.scm 347 */
			{	/* SawMill/node2rtl.scm 354 */
				obj_t BgL_argsz00_6111;

				BgL_argsz00_6111 =
					BGl_argszd21ze70z35zzsaw_node2rtlz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5708)))->BgL_argsz00));
				{	/* SawMill/node2rtl.scm 355 */
					obj_t BgL_casezd2valuezd2_6112;

					BgL_casezd2valuezd2_6112 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5708)))->BgL_strengthz00);
					if ((BgL_casezd2valuezd2_6112 == CNST_TABLE_REF(((long) 17))))
						{	/* SawMill/node2rtl.scm 358 */
							BgL_rtl_callz00_bglt BgL_arg2358z00_6113;

							{	/* SawMill/node2rtl.scm 358 */
								BgL_rtl_callz00_bglt BgL_new1306z00_6114;

								{	/* SawMill/node2rtl.scm 358 */
									BgL_rtl_callz00_bglt BgL_new1305z00_6115;

									BgL_new1305z00_6115 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawMill/node2rtl.scm 358 */
										long BgL_arg2361z00_6116;

										BgL_arg2361z00_6116 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1305z00_6115),
											BgL_arg2361z00_6116);
									}
									BgL_new1306z00_6114 = BgL_new1305z00_6115;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1306z00_6114)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_8675;

									{	/* SawMill/node2rtl.scm 358 */
										BgL_variablez00_bglt BgL_arg2359z00_6117;

										BgL_arg2359z00_6117 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt)
														(((BgL_funcallz00_bglt) COBJECT(
																	((BgL_funcallz00_bglt) BgL_ez00_5708)))->
															BgL_funz00))))->BgL_variablez00);
										BgL_auxz00_8675 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(((BgL_globalz00_bglt)
												BgL_arg2359z00_6117));
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1306z00_6114))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_8675), BUNSPEC);
								}
								BgL_arg2358z00_6113 = BgL_new1306z00_6114;
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_funcallz00_bglt) BgL_ez00_5708)),
								((BgL_rtl_funz00_bglt) BgL_arg2358z00_6113), BgL_argsz00_6111);
						}
					else
						{	/* SawMill/node2rtl.scm 355 */
							if ((BgL_casezd2valuezd2_6112 == CNST_TABLE_REF(((long) 18))))
								{	/* SawMill/node2rtl.scm 362 */
									BgL_rtl_lightfuncallz00_bglt BgL_arg2363z00_6118;

									{	/* SawMill/node2rtl.scm 362 */
										BgL_rtl_lightfuncallz00_bglt BgL_new1309z00_6119;

										{	/* SawMill/node2rtl.scm 362 */
											BgL_rtl_lightfuncallz00_bglt BgL_new1308z00_6120;

											BgL_new1308z00_6120 =
												((BgL_rtl_lightfuncallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_lightfuncallz00_bgl))));
											{	/* SawMill/node2rtl.scm 362 */
												long BgL_arg2364z00_6121;

												BgL_arg2364z00_6121 =
													BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1308z00_6120),
													BgL_arg2364z00_6121);
											}
											BgL_new1309z00_6119 = BgL_new1308z00_6120;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1309z00_6119)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_8696;

											{	/* SawMill/node2rtl.scm 364 */

												{	/* SawMill/node2rtl.scm 364 */

													BgL_auxz00_8696 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_lightfuncallz00_bglt)
														COBJECT(BgL_new1309z00_6119))->BgL_namez00) =
												((obj_t) BgL_auxz00_8696), BUNSPEC);
										}
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1309z00_6119))->BgL_funsz00) =
											((obj_t) (((BgL_funcallz00_bglt)
														COBJECT(((BgL_funcallz00_bglt) BgL_ez00_5708)))->
													BgL_functionsz00)), BUNSPEC);
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1309z00_6119))->BgL_rettypez00) =
											((obj_t) ((obj_t)
													BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_ez00_5708)),
														((bool_t) 0)))), BUNSPEC);
										BgL_arg2363z00_6118 = BgL_new1309z00_6119;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5708)),
										((BgL_rtl_funz00_bglt) BgL_arg2363z00_6118),
										BgL_argsz00_6111);
								}
							else
								{	/* SawMill/node2rtl.scm 369 */
									BgL_rtl_funcallz00_bglt BgL_arg2365z00_6122;

									{	/* SawMill/node2rtl.scm 369 */
										BgL_rtl_funcallz00_bglt BgL_new1311z00_6123;

										{	/* SawMill/node2rtl.scm 369 */
											BgL_rtl_funcallz00_bglt BgL_new1310z00_6124;

											BgL_new1310z00_6124 =
												((BgL_rtl_funcallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_funcallz00_bgl))));
											{	/* SawMill/node2rtl.scm 369 */
												long BgL_arg2366z00_6125;

												BgL_arg2366z00_6125 =
													BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1310z00_6124),
													BgL_arg2366z00_6125);
											}
											BgL_new1311z00_6123 = BgL_new1310z00_6124;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1311z00_6123)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2365z00_6122 = BgL_new1311z00_6123;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5708)),
										((BgL_rtl_funz00_bglt) BgL_arg2365z00_6122),
										BgL_argsz00_6111);
								}
						}
				}
			}
		}

	}



/* args-1~0 */
	obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t BgL_argsz00_3209)
	{
		{	/* SawMill/node2rtl.scm 351 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_3209))))
				{	/* SawMill/node2rtl.scm 349 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 351 */
					obj_t BgL_arg2371z00_3213;
					obj_t BgL_arg2372z00_3214;

					BgL_arg2371z00_3213 = CAR(((obj_t) BgL_argsz00_3209));
					{	/* SawMill/node2rtl.scm 351 */
						obj_t BgL_arg2373z00_3215;

						BgL_arg2373z00_3215 = CDR(((obj_t) BgL_argsz00_3209));
						BgL_arg2372z00_3214 =
							BGl_argszd21ze70z35zzsaw_node2rtlz00(BgL_arg2373z00_3215);
					}
					return MAKE_YOUNG_PAIR(BgL_arg2371z00_3213, BgL_arg2372z00_3214);
				}
		}

	}



/* &node->rtl-app-ly1740 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2appzd2ly1740z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5709, obj_t BgL_ez00_5710)
	{
		{	/* SawMill/node2rtl.scm 342 */
			{	/* SawMill/node2rtl.scm 344 */
				BgL_rtl_applyz00_bglt BgL_arg2348z00_6127;
				BgL_nodez00_bglt BgL_arg2350z00_6128;
				BgL_nodez00_bglt BgL_arg2352z00_6129;

				{	/* SawMill/node2rtl.scm 344 */
					BgL_rtl_applyz00_bglt BgL_new1303z00_6130;

					{	/* SawMill/node2rtl.scm 344 */
						BgL_rtl_applyz00_bglt BgL_new1302z00_6131;

						BgL_new1302z00_6131 =
							((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_applyz00_bgl))));
						{	/* SawMill/node2rtl.scm 344 */
							long BgL_arg2356z00_6132;

							BgL_arg2356z00_6132 =
								BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1302z00_6131),
								BgL_arg2356z00_6132);
						}
						BgL_new1303z00_6130 = BgL_new1302z00_6131;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1303z00_6130)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2348z00_6127 = BgL_new1303z00_6130;
				}
				BgL_arg2350z00_6128 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5710)))->BgL_funz00);
				BgL_arg2352z00_6129 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5710)))->BgL_argz00);
				{	/* SawMill/node2rtl.scm 344 */
					obj_t BgL_list2353z00_6133;

					{	/* SawMill/node2rtl.scm 344 */
						obj_t BgL_arg2355z00_6134;

						BgL_arg2355z00_6134 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2352z00_6129), BNIL);
						BgL_list2353z00_6133 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg2350z00_6128), BgL_arg2355z00_6134);
					}
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5710)),
						((BgL_rtl_funz00_bglt) BgL_arg2348z00_6127), BgL_list2353z00_6133);
				}
			}
		}

	}



/* &node->rtl-app1738 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2app1738z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5711, obj_t BgL_ez00_5712)
	{
		{	/* SawMill/node2rtl.scm 319 */
			{	/* SawMill/node2rtl.scm 321 */
				BgL_variablez00_bglt BgL_vz00_6136;

				BgL_vz00_6136 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5712)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/node2rtl.scm 322 */
					bool_t BgL_test3094z00_8752;

					{	/* SawMill/node2rtl.scm 322 */
						obj_t BgL_classz00_6137;

						BgL_classz00_6137 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 322 */
							BgL_objectz00_bglt BgL_arg1820z00_6138;

							{	/* SawMill/node2rtl.scm 322 */
								obj_t BgL_tmpz00_8753;

								BgL_tmpz00_8753 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_6136));
								BgL_arg1820z00_6138 = (BgL_objectz00_bglt) (BgL_tmpz00_8753);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 322 */
									long BgL_idxz00_6139;

									BgL_idxz00_6139 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6138);
									BgL_test3094z00_8752 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6139 + ((long) 2))) == BgL_classz00_6137);
								}
							else
								{	/* SawMill/node2rtl.scm 322 */
									bool_t BgL_res2816z00_6142;

									{	/* SawMill/node2rtl.scm 322 */
										obj_t BgL_oclassz00_6143;

										{	/* SawMill/node2rtl.scm 322 */
											long BgL_arg1828z00_6144;

											{	/* SawMill/node2rtl.scm 322 */
												long BgL_arg1829z00_6145;

												BgL_arg1829z00_6145 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6138);
												BgL_arg1828z00_6144 =
													(BgL_arg1829z00_6145 - OBJECT_TYPE);
											}
											BgL_oclassz00_6143 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_6144);
										}
										{	/* SawMill/node2rtl.scm 322 */
											bool_t BgL__ortest_1111z00_6146;

											BgL__ortest_1111z00_6146 =
												(BgL_classz00_6137 == BgL_oclassz00_6143);
											if (BgL__ortest_1111z00_6146)
												{	/* SawMill/node2rtl.scm 322 */
													BgL_res2816z00_6142 = BgL__ortest_1111z00_6146;
												}
											else
												{	/* SawMill/node2rtl.scm 322 */
													long BgL_odepthz00_6147;

													BgL_odepthz00_6147 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6143);
													if ((((long) 2) < BgL_odepthz00_6147))
														{	/* SawMill/node2rtl.scm 322 */
															obj_t BgL_arg1816z00_6148;

															BgL_arg1816z00_6148 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6143,
																((long) 2));
															BgL_res2816z00_6142 =
																(BgL_arg1816z00_6148 == BgL_classz00_6137);
														}
													else
														{	/* SawMill/node2rtl.scm 322 */
															BgL_res2816z00_6142 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3094z00_8752 = BgL_res2816z00_6142;
								}
						}
					}
					if (BgL_test3094z00_8752)
						{	/* SawMill/node2rtl.scm 323 */
							obj_t BgL_arg2339z00_6149;

							BgL_arg2339z00_6149 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5712)))->BgL_argsz00);
							return
								BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_vz00_6136), BgL_arg2339z00_6149);
						}
					else
						{	/* SawMill/node2rtl.scm 324 */
							obj_t BgL__ortest_1294z00_6150;

							{	/* SawMill/node2rtl.scm 324 */
								obj_t BgL_arg2346z00_6151;

								BgL_arg2346z00_6151 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_ez00_5712)))->BgL_argsz00);
								BgL__ortest_1294z00_6150 =
									BGl_imperativezf3zf3zzsaw_node2rtlz00(
									((BgL_appz00_bglt) BgL_ez00_5712),
									((BgL_globalz00_bglt) BgL_vz00_6136), BgL_arg2346z00_6151);
							}
							if (CBOOL(BgL__ortest_1294z00_6150))
								{	/* SawMill/node2rtl.scm 324 */
									return ((BgL_areaz00_bglt) BgL__ortest_1294z00_6150);
								}
							else
								{	/* SawMill/node2rtl.scm 327 */
									BgL_rtl_callz00_bglt BgL_arg2343z00_6152;
									obj_t BgL_arg2344z00_6153;

									{	/* SawMill/node2rtl.scm 327 */
										BgL_rtl_callz00_bglt BgL_new1298z00_6154;

										{	/* SawMill/node2rtl.scm 327 */
											BgL_rtl_callz00_bglt BgL_new1297z00_6155;

											BgL_new1297z00_6155 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawMill/node2rtl.scm 327 */
												long BgL_arg2345z00_6156;

												BgL_arg2345z00_6156 =
													BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1297z00_6155),
													BgL_arg2345z00_6156);
											}
											BgL_new1298z00_6154 = BgL_new1297z00_6155;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1298z00_6154)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1298z00_6154))->
												BgL_varz00) =
											((BgL_globalz00_bglt)
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
														(BgL_globalz00_bglt) BgL_vz00_6136))), BUNSPEC);
										BgL_arg2343z00_6152 = BgL_new1298z00_6154;
									}
									BgL_arg2344z00_6153 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_ez00_5712)))->BgL_argsz00);
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_appz00_bglt) BgL_ez00_5712)),
										((BgL_rtl_funz00_bglt) BgL_arg2343z00_6152),
										BgL_arg2344z00_6153);
								}
						}
				}
			}
		}

	}



/* &node->rtl-let-fun1736 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1736z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5713, obj_t BgL_ez00_5714)
	{
		{	/* SawMill/node2rtl.scm 285 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_ez00_5714)))->BgL_bodyz00));
		}

	}



/* &node->rtl-switch1734 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2switch1734z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5715, obj_t BgL_ez00_5716)
	{
		{	/* SawMill/node2rtl.scm 264 */
			{	/* SawMill/node2rtl.scm 266 */
				BgL_areaz00_bglt BgL_arg2320z00_6159;
				obj_t BgL_arg2321z00_6160;
				BgL_rtl_regz00_bglt BgL_arg2323z00_6161;

				{	/* SawMill/node2rtl.scm 266 */
					BgL_rtl_selectz00_bglt BgL_arg2324z00_6162;
					BgL_nodez00_bglt BgL_arg2326z00_6163;

					{	/* SawMill/node2rtl.scm 266 */
						BgL_rtl_selectz00_bglt BgL_new1282z00_6164;

						{	/* SawMill/node2rtl.scm 266 */
							BgL_rtl_selectz00_bglt BgL_new1281z00_6165;

							BgL_new1281z00_6165 =
								((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_selectz00_bgl))));
							{	/* SawMill/node2rtl.scm 266 */
								long BgL_arg2329z00_6166;

								BgL_arg2329z00_6166 =
									BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1281z00_6165),
									BgL_arg2329z00_6166);
							}
							BgL_new1282z00_6164 = BgL_new1281z00_6165;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1282z00_6164)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1282z00_6164))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_switchz00_bglt)
										COBJECT(((BgL_switchz00_bglt) BgL_ez00_5716)))->
									BgL_itemzd2typezd2)), BUNSPEC);
						{
							obj_t BgL_auxz00_8812;

							{	/* SawMill/node2rtl.scm 267 */
								obj_t BgL_arg2328z00_6167;

								BgL_arg2328z00_6167 =
									(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_ez00_5716)))->BgL_clausesz00);
								BgL_auxz00_8812 =
									BGl_coercez00zzsaw_node2rtlz00(BgL_arg2328z00_6167);
							}
							((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1282z00_6164))->
									BgL_patternsz00) = ((obj_t) BgL_auxz00_8812), BUNSPEC);
						}
						BgL_arg2324z00_6162 = BgL_new1282z00_6164;
					}
					BgL_arg2326z00_6163 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5716)))->BgL_testz00);
					{	/* SawMill/node2rtl.scm 266 */
						obj_t BgL_list2327z00_6168;

						BgL_list2327z00_6168 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2326z00_6163), BNIL);
						BgL_arg2320z00_6159 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_switchz00_bglt) BgL_ez00_5716)),
							((BgL_rtl_funz00_bglt) BgL_arg2324z00_6162),
							BgL_list2327z00_6168);
				}}
				{	/* SawMill/node2rtl.scm 269 */
					obj_t BgL_l1675z00_6169;

					BgL_l1675z00_6169 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5716)))->BgL_clausesz00);
					if (NULLP(BgL_l1675z00_6169))
						{	/* SawMill/node2rtl.scm 269 */
							BgL_arg2321z00_6160 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 269 */
							obj_t BgL_head1677z00_6170;

							BgL_head1677z00_6170 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1675z00_6172;
								obj_t BgL_tail1678z00_6173;

								BgL_l1675z00_6172 = BgL_l1675z00_6169;
								BgL_tail1678z00_6173 = BgL_head1677z00_6170;
							BgL_zc3z04anonymousza32331ze3z87_6171:
								if (NULLP(BgL_l1675z00_6172))
									{	/* SawMill/node2rtl.scm 269 */
										BgL_arg2321z00_6160 = CDR(BgL_head1677z00_6170);
									}
								else
									{	/* SawMill/node2rtl.scm 269 */
										obj_t BgL_newtail1679z00_6174;

										{	/* SawMill/node2rtl.scm 269 */
											BgL_areaz00_bglt BgL_arg2334z00_6175;

											{	/* SawMill/node2rtl.scm 269 */
												obj_t BgL_cz00_6176;

												BgL_cz00_6176 = CAR(((obj_t) BgL_l1675z00_6172));
												{	/* SawMill/node2rtl.scm 269 */
													obj_t BgL_arg2335z00_6177;

													BgL_arg2335z00_6177 = CDR(((obj_t) BgL_cz00_6176));
													BgL_arg2334z00_6175 =
														BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
														((BgL_nodez00_bglt) BgL_arg2335z00_6177));
												}
											}
											BgL_newtail1679z00_6174 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2334z00_6175), BNIL);
										}
										SET_CDR(BgL_tail1678z00_6173, BgL_newtail1679z00_6174);
										{	/* SawMill/node2rtl.scm 269 */
											obj_t BgL_arg2333z00_6178;

											BgL_arg2333z00_6178 = CDR(((obj_t) BgL_l1675z00_6172));
											{
												obj_t BgL_tail1678z00_8845;
												obj_t BgL_l1675z00_8844;

												BgL_l1675z00_8844 = BgL_arg2333z00_6178;
												BgL_tail1678z00_8845 = BgL_newtail1679z00_6174;
												BgL_tail1678z00_6173 = BgL_tail1678z00_8845;
												BgL_l1675z00_6172 = BgL_l1675z00_8844;
												goto BgL_zc3z04anonymousza32331ze3z87_6171;
											}
										}
									}
							}
						}
				}
				BgL_arg2323z00_6161 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_ez00_5716)));
				return
					BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_arg2320z00_6159,
					BgL_arg2321z00_6160, BgL_arg2323z00_6161);
			}
		}

	}



/* &node->rtl-conditiona1732 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1732z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5717, obj_t BgL_ez00_5718)
	{
		{	/* SawMill/node2rtl.scm 258 */
			{	/* SawMill/node2rtl.scm 260 */
				BgL_nodez00_bglt BgL_arg2310z00_6180;
				obj_t BgL_arg2311z00_6181;

				BgL_arg2310z00_6180 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5718)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 260 */
					obj_t BgL_arg2312z00_6182;
					BgL_rtl_regz00_bglt BgL_arg2313z00_6183;

					{	/* SawMill/node2rtl.scm 260 */
						BgL_areaz00_bglt BgL_arg2314z00_6184;
						BgL_areaz00_bglt BgL_arg2315z00_6185;

						BgL_arg2314z00_6184 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5718)))->BgL_truez00));
						BgL_arg2315z00_6185 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5718)))->BgL_falsez00));
						{	/* SawMill/node2rtl.scm 260 */
							obj_t BgL_list2316z00_6186;

							{	/* SawMill/node2rtl.scm 260 */
								obj_t BgL_arg2317z00_6187;

								BgL_arg2317z00_6187 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2315z00_6185), BNIL);
								BgL_list2316z00_6186 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2314z00_6184), BgL_arg2317z00_6187);
							}
							BgL_arg2312z00_6182 = BgL_list2316z00_6186;
						}
					}
					BgL_arg2313z00_6183 =
						BGl_newzd2regzd2zzsaw_node2rtlz00(
						((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_ez00_5718)));
					BgL_arg2311z00_6181 =
						BGl_joinz00zzsaw_node2rtlz00(BgL_arg2312z00_6182,
						BgL_arg2313z00_6183);
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2310z00_6180,
					BgL_arg2311z00_6181);
			}
		}

	}



/* &node->rtl-sync1730 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sync1730z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5719, obj_t BgL_ez00_5720)
	{
		{	/* SawMill/node2rtl.scm 254 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
				(BGl_synczd2ze3sequencez31zzsync_nodez00(((BgL_syncz00_bglt)
						BgL_ez00_5720)));
		}

	}



/* &node->rtl-sequence1728 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sequence1728z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5721, obj_t BgL_ez00_5722)
	{
		{	/* SawMill/node2rtl.scm 249 */
			{	/* SawMill/node2rtl.scm 251 */
				obj_t BgL_arg2303z00_6190;

				{	/* SawMill/node2rtl.scm 251 */
					obj_t BgL_l1670z00_6191;

					BgL_l1670z00_6191 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_ez00_5722)))->BgL_nodesz00);
					if (NULLP(BgL_l1670z00_6191))
						{	/* SawMill/node2rtl.scm 251 */
							BgL_arg2303z00_6190 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 251 */
							obj_t BgL_head1672z00_6192;

							BgL_head1672z00_6192 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1670z00_6194;
								obj_t BgL_tail1673z00_6195;

								BgL_l1670z00_6194 = BgL_l1670z00_6191;
								BgL_tail1673z00_6195 = BgL_head1672z00_6192;
							BgL_zc3z04anonymousza32305ze3z87_6193:
								if (NULLP(BgL_l1670z00_6194))
									{	/* SawMill/node2rtl.scm 251 */
										BgL_arg2303z00_6190 = CDR(BgL_head1672z00_6192);
									}
								else
									{	/* SawMill/node2rtl.scm 251 */
										obj_t BgL_newtail1674z00_6196;

										{	/* SawMill/node2rtl.scm 251 */
											BgL_areaz00_bglt BgL_arg2308z00_6197;

											{	/* SawMill/node2rtl.scm 251 */
												obj_t BgL_ez00_6198;

												BgL_ez00_6198 = CAR(((obj_t) BgL_l1670z00_6194));
												BgL_arg2308z00_6197 =
													BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
													((BgL_nodez00_bglt) BgL_ez00_6198));
											}
											BgL_newtail1674z00_6196 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2308z00_6197), BNIL);
										}
										SET_CDR(BgL_tail1673z00_6195, BgL_newtail1674z00_6196);
										{	/* SawMill/node2rtl.scm 251 */
											obj_t BgL_arg2307z00_6199;

											BgL_arg2307z00_6199 = CDR(((obj_t) BgL_l1670z00_6194));
											{
												obj_t BgL_tail1673z00_8888;
												obj_t BgL_l1670z00_8887;

												BgL_l1670z00_8887 = BgL_arg2307z00_6199;
												BgL_tail1673z00_8888 = BgL_newtail1674z00_6196;
												BgL_tail1673z00_6195 = BgL_tail1673z00_8888;
												BgL_l1670z00_6194 = BgL_l1670z00_8887;
												goto BgL_zc3z04anonymousza32305ze3z87_6193;
											}
										}
									}
							}
						}
				}
				return BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2303z00_6190);
			}
		}

	}



/* &node->rtl-setq1726 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setq1726z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5723, obj_t BgL_ez00_5724)
	{
		{	/* SawMill/node2rtl.scm 240 */
			{	/* SawMill/node2rtl.scm 242 */
				BgL_varz00_bglt BgL_i1273z00_6201;

				BgL_i1273z00_6201 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_5724)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 243 */
					BgL_areaz00_bglt BgL_arg2285z00_6202;
					BgL_areaz00_bglt BgL_arg2286z00_6203;

					{	/* SawMill/node2rtl.scm 243 */
						bool_t BgL_test3103z00_8892;

						{	/* SawMill/node2rtl.scm 243 */
							BgL_variablez00_bglt BgL_arg2299z00_6204;

							BgL_arg2299z00_6204 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1273z00_6201))->
								BgL_variablez00);
							{	/* SawMill/node2rtl.scm 243 */
								obj_t BgL_classz00_6205;

								BgL_classz00_6205 = BGl_globalz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 243 */
									BgL_objectz00_bglt BgL_arg1820z00_6206;

									{	/* SawMill/node2rtl.scm 243 */
										obj_t BgL_tmpz00_8894;

										BgL_tmpz00_8894 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2299z00_6204));
										BgL_arg1820z00_6206 =
											(BgL_objectz00_bglt) (BgL_tmpz00_8894);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 243 */
											long BgL_idxz00_6207;

											BgL_idxz00_6207 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6206);
											BgL_test3103z00_8892 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6207 + ((long) 2))) == BgL_classz00_6205);
										}
									else
										{	/* SawMill/node2rtl.scm 243 */
											bool_t BgL_res2813z00_6210;

											{	/* SawMill/node2rtl.scm 243 */
												obj_t BgL_oclassz00_6211;

												{	/* SawMill/node2rtl.scm 243 */
													long BgL_arg1828z00_6212;

													{	/* SawMill/node2rtl.scm 243 */
														long BgL_arg1829z00_6213;

														BgL_arg1829z00_6213 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6206);
														BgL_arg1828z00_6212 =
															(BgL_arg1829z00_6213 - OBJECT_TYPE);
													}
													BgL_oclassz00_6211 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_6212);
												}
												{	/* SawMill/node2rtl.scm 243 */
													bool_t BgL__ortest_1111z00_6214;

													BgL__ortest_1111z00_6214 =
														(BgL_classz00_6205 == BgL_oclassz00_6211);
													if (BgL__ortest_1111z00_6214)
														{	/* SawMill/node2rtl.scm 243 */
															BgL_res2813z00_6210 = BgL__ortest_1111z00_6214;
														}
													else
														{	/* SawMill/node2rtl.scm 243 */
															long BgL_odepthz00_6215;

															BgL_odepthz00_6215 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6211);
															if ((((long) 2) < BgL_odepthz00_6215))
																{	/* SawMill/node2rtl.scm 243 */
																	obj_t BgL_arg1816z00_6216;

																	BgL_arg1816z00_6216 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6211,
																		((long) 2));
																	BgL_res2813z00_6210 =
																		(BgL_arg1816z00_6216 == BgL_classz00_6205);
																}
															else
																{	/* SawMill/node2rtl.scm 243 */
																	BgL_res2813z00_6210 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3103z00_8892 = BgL_res2813z00_6210;
										}
								}
							}
						}
						if (BgL_test3103z00_8892)
							{	/* SawMill/node2rtl.scm 244 */
								BgL_rtl_storegz00_bglt BgL_arg2289z00_6217;
								BgL_nodez00_bglt BgL_arg2290z00_6218;

								{	/* SawMill/node2rtl.scm 244 */
									BgL_rtl_storegz00_bglt BgL_new1275z00_6219;

									{	/* SawMill/node2rtl.scm 244 */
										BgL_rtl_storegz00_bglt BgL_new1274z00_6220;

										BgL_new1274z00_6220 =
											((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_storegz00_bgl))));
										{	/* SawMill/node2rtl.scm 244 */
											long BgL_arg2294z00_6221;

											BgL_arg2294z00_6221 =
												BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1274z00_6220),
												BgL_arg2294z00_6221);
										}
										BgL_new1275z00_6219 = BgL_new1274z00_6220;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1275z00_6219)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_8920;

										{	/* SawMill/node2rtl.scm 244 */
											BgL_variablez00_bglt BgL_arg2292z00_6222;

											BgL_arg2292z00_6222 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1273z00_6201))->
												BgL_variablez00);
											BgL_auxz00_8920 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2292z00_6222));
										}
										((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1275z00_6219))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_8920), BUNSPEC);
									}
									BgL_arg2289z00_6217 = BgL_new1275z00_6219;
								}
								BgL_arg2290z00_6218 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5724)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 244 */
									obj_t BgL_list2291z00_6223;

									BgL_list2291z00_6223 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2290z00_6218), BNIL);
									BgL_arg2285z00_6202 =
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_setqz00_bglt) BgL_ez00_5724)),
										((BgL_rtl_funz00_bglt) BgL_arg2289z00_6217),
										BgL_list2291z00_6223);
							}}
						else
							{	/* SawMill/node2rtl.scm 245 */
								BgL_nodez00_bglt BgL_arg2295z00_6224;
								BgL_rtl_regz00_bglt BgL_arg2297z00_6225;

								BgL_arg2295z00_6224 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5724)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 245 */
									BgL_variablez00_bglt BgL_arg2298z00_6226;

									BgL_arg2298z00_6226 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1273z00_6201))->
										BgL_variablez00);
									BgL_arg2297z00_6225 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
											BgL_arg2298z00_6226));
								}
								{	/* SawMill/node2rtl.scm 245 */
									BgL_areaz00_bglt BgL_res2814z00_6227;

									{	/* SawMill/node2rtl.scm 186 */
										BgL_areaz00_bglt BgL_az00_6228;

										BgL_az00_6228 =
											BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
											(BgL_arg2295z00_6224);
										BGl_bdestinationz12z12zzsaw_node2rtlz00((((BgL_areaz00_bglt)
													COBJECT(BgL_az00_6228))->BgL_exitz00),
											BgL_arg2297z00_6225);
										BgL_res2814z00_6227 = BgL_az00_6228;
									}
									BgL_arg2285z00_6202 = BgL_res2814z00_6227;
								}
							}
					}
					{	/* SawMill/node2rtl.scm 246 */
						BgL_rtl_nopz00_bglt BgL_arg2300z00_6229;

						{	/* SawMill/node2rtl.scm 246 */
							BgL_rtl_nopz00_bglt BgL_new1277z00_6230;

							{	/* SawMill/node2rtl.scm 246 */
								BgL_rtl_nopz00_bglt BgL_new1276z00_6231;

								BgL_new1276z00_6231 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 246 */
									long BgL_arg2302z00_6232;

									BgL_arg2302z00_6232 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1276z00_6231),
										BgL_arg2302z00_6232);
								}
								BgL_new1277z00_6230 = BgL_new1276z00_6231;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1277z00_6230)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2300z00_6229 = BgL_new1277z00_6230;
						}
						BgL_arg2286z00_6203 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2300z00_6229), BNIL);
					}
					return
						BGl_linkz00zzsaw_node2rtlz00(BgL_arg2285z00_6202,
						BgL_arg2286z00_6203);
				}
			}
		}

	}



/* &node->rtl-let-var1724 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1724z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5725, obj_t BgL_ez00_5726)
	{
		{	/* SawMill/node2rtl.scm 223 */
			{	/* SawMill/node2rtl.scm 226 */
				bool_t BgL_test3107z00_8950;

				{	/* SawMill/node2rtl.scm 226 */
					bool_t BgL_test3108z00_8951;

					{	/* SawMill/node2rtl.scm 226 */
						BgL_nodez00_bglt BgL_arg2283z00_6234;

						BgL_arg2283z00_6234 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 226 */
							obj_t BgL_classz00_6235;

							BgL_classz00_6235 = BGl_conditionalz00zzast_nodez00;
							{	/* SawMill/node2rtl.scm 226 */
								BgL_objectz00_bglt BgL_arg1820z00_6236;

								{	/* SawMill/node2rtl.scm 226 */
									obj_t BgL_tmpz00_8954;

									BgL_tmpz00_8954 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2283z00_6234));
									BgL_arg1820z00_6236 = (BgL_objectz00_bglt) (BgL_tmpz00_8954);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/node2rtl.scm 226 */
										long BgL_idxz00_6237;

										BgL_idxz00_6237 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6236);
										BgL_test3108z00_8951 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6237 + ((long) 3))) == BgL_classz00_6235);
									}
								else
									{	/* SawMill/node2rtl.scm 226 */
										bool_t BgL_res2810z00_6240;

										{	/* SawMill/node2rtl.scm 226 */
											obj_t BgL_oclassz00_6241;

											{	/* SawMill/node2rtl.scm 226 */
												long BgL_arg1828z00_6242;

												{	/* SawMill/node2rtl.scm 226 */
													long BgL_arg1829z00_6243;

													BgL_arg1829z00_6243 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6236);
													BgL_arg1828z00_6242 =
														(BgL_arg1829z00_6243 - OBJECT_TYPE);
												}
												BgL_oclassz00_6241 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_6242);
											}
											{	/* SawMill/node2rtl.scm 226 */
												bool_t BgL__ortest_1111z00_6244;

												BgL__ortest_1111z00_6244 =
													(BgL_classz00_6235 == BgL_oclassz00_6241);
												if (BgL__ortest_1111z00_6244)
													{	/* SawMill/node2rtl.scm 226 */
														BgL_res2810z00_6240 = BgL__ortest_1111z00_6244;
													}
												else
													{	/* SawMill/node2rtl.scm 226 */
														long BgL_odepthz00_6245;

														BgL_odepthz00_6245 =
															BGL_CLASS_DEPTH(BgL_oclassz00_6241);
														if ((((long) 3) < BgL_odepthz00_6245))
															{	/* SawMill/node2rtl.scm 226 */
																obj_t BgL_arg1816z00_6246;

																BgL_arg1816z00_6246 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6241,
																	((long) 3));
																BgL_res2810z00_6240 =
																	(BgL_arg1816z00_6246 == BgL_classz00_6235);
															}
														else
															{	/* SawMill/node2rtl.scm 226 */
																BgL_res2810z00_6240 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3108z00_8951 = BgL_res2810z00_6240;
									}
							}
						}
					}
					if (BgL_test3108z00_8951)
						{	/* SawMill/node2rtl.scm 226 */
							if (NULLP(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->
										BgL_bindingsz00)))
								{	/* SawMill/node2rtl.scm 227 */
									BgL_test3107z00_8950 = ((bool_t) 0);
								}
							else
								{	/* SawMill/node2rtl.scm 227 */
									if (NULLP(CDR(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->
													BgL_bindingsz00))))
										{	/* SawMill/node2rtl.scm 229 */
											bool_t BgL_test3114z00_8983;

											{	/* SawMill/node2rtl.scm 229 */
												BgL_nodez00_bglt BgL_arg2277z00_6247;

												BgL_arg2277z00_6247 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5726)))->BgL_bodyz00))))->
													BgL_testz00);
												{	/* SawMill/node2rtl.scm 229 */
													obj_t BgL_classz00_6248;

													BgL_classz00_6248 = BGl_varz00zzast_nodez00;
													{	/* SawMill/node2rtl.scm 229 */
														BgL_objectz00_bglt BgL_arg1820z00_6249;

														{	/* SawMill/node2rtl.scm 229 */
															obj_t BgL_tmpz00_8988;

															BgL_tmpz00_8988 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2277z00_6247));
															BgL_arg1820z00_6249 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8988);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/node2rtl.scm 229 */
																long BgL_idxz00_6250;

																BgL_idxz00_6250 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_6249);
																BgL_test3114z00_8983 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6250 + ((long) 2))) ==
																	BgL_classz00_6248);
															}
														else
															{	/* SawMill/node2rtl.scm 229 */
																bool_t BgL_res2811z00_6253;

																{	/* SawMill/node2rtl.scm 229 */
																	obj_t BgL_oclassz00_6254;

																	{	/* SawMill/node2rtl.scm 229 */
																		long BgL_arg1828z00_6255;

																		{	/* SawMill/node2rtl.scm 229 */
																			long BgL_arg1829z00_6256;

																			BgL_arg1829z00_6256 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_6249);
																			BgL_arg1828z00_6255 =
																				(BgL_arg1829z00_6256 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6254 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_6255);
																	}
																	{	/* SawMill/node2rtl.scm 229 */
																		bool_t BgL__ortest_1111z00_6257;

																		BgL__ortest_1111z00_6257 =
																			(BgL_classz00_6248 == BgL_oclassz00_6254);
																		if (BgL__ortest_1111z00_6257)
																			{	/* SawMill/node2rtl.scm 229 */
																				BgL_res2811z00_6253 =
																					BgL__ortest_1111z00_6257;
																			}
																		else
																			{	/* SawMill/node2rtl.scm 229 */
																				long BgL_odepthz00_6258;

																				BgL_odepthz00_6258 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_6254);
																				if ((((long) 2) < BgL_odepthz00_6258))
																					{	/* SawMill/node2rtl.scm 229 */
																						obj_t BgL_arg1816z00_6259;

																						BgL_arg1816z00_6259 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_6254, ((long) 2));
																						BgL_res2811z00_6253 =
																							(BgL_arg1816z00_6259 ==
																							BgL_classz00_6248);
																					}
																				else
																					{	/* SawMill/node2rtl.scm 229 */
																						BgL_res2811z00_6253 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3114z00_8983 = BgL_res2811z00_6253;
															}
													}
												}
											}
											if (BgL_test3114z00_8983)
												{	/* SawMill/node2rtl.scm 230 */
													bool_t BgL_test3118z00_9008;

													{	/* SawMill/node2rtl.scm 230 */
														long BgL_tmpz00_9009;

														{
															BgL_variablez00_bglt BgL_auxz00_9010;

															{
																BgL_localz00_bglt BgL_auxz00_9011;

																{
																	obj_t BgL_auxz00_9012;

																	{	/* SawMill/node2rtl.scm 230 */
																		obj_t BgL_pairz00_6260;

																		BgL_pairz00_6260 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5726)))->BgL_bindingsz00);
																		{	/* SawMill/node2rtl.scm 230 */
																			obj_t BgL_pairz00_6261;

																			BgL_pairz00_6261 = CAR(BgL_pairz00_6260);
																			BgL_auxz00_9012 = CAR(BgL_pairz00_6261);
																	}}
																	BgL_auxz00_9011 =
																		((BgL_localz00_bglt) BgL_auxz00_9012);
																}
																BgL_auxz00_9010 =
																	((BgL_variablez00_bglt) BgL_auxz00_9011);
															}
															BgL_tmpz00_9009 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_9010))->BgL_occurrencez00);
														}
														BgL_test3118z00_9008 =
															(((long) 1) == BgL_tmpz00_9009);
													}
													if (BgL_test3118z00_9008)
														{	/* SawMill/node2rtl.scm 231 */
															obj_t BgL_tmpz00_9021;

															{	/* SawMill/node2rtl.scm 231 */
																obj_t BgL_pairz00_6262;

																BgL_pairz00_6262 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5726)))->BgL_bindingsz00);
																BgL_tmpz00_9021 = CAR(CAR(BgL_pairz00_6262));
															}
															BgL_test3107z00_8950 =
																(BgL_tmpz00_9021 ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					(((BgL_conditionalz00_bglt) COBJECT(
																								((BgL_conditionalz00_bglt)
																									(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_ez00_5726)))->
																										BgL_bodyz00))))->
																						BgL_testz00))))->BgL_variablez00)));
														}
													else
														{	/* SawMill/node2rtl.scm 230 */
															BgL_test3107z00_8950 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 229 */
													BgL_test3107z00_8950 = ((bool_t) 0);
												}
										}
									else
										{	/* SawMill/node2rtl.scm 228 */
											BgL_test3107z00_8950 = ((bool_t) 0);
										}
								}
						}
					else
						{	/* SawMill/node2rtl.scm 226 */
							BgL_test3107z00_8950 = ((bool_t) 0);
						}
				}
				if (BgL_test3107z00_8950)
					{	/* SawMill/node2rtl.scm 226 */
						{	/* SawMill/node2rtl.scm 232 */
							BgL_nodez00_bglt BgL_arg2253z00_6263;
							obj_t BgL_arg2254z00_6264;

							BgL_arg2253z00_6263 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 232 */
								obj_t BgL_pairz00_6265;

								BgL_pairz00_6265 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->
									BgL_bindingsz00);
								BgL_arg2254z00_6264 = CDR(CAR(BgL_pairz00_6265));
							}
							((((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_arg2253z00_6263)))->
									BgL_testz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg2254z00_6264)),
								BUNSPEC);
						}
						return
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->BgL_bodyz00));
					}
				else
					{	/* SawMill/node2rtl.scm 235 */
						BgL_areaz00_bglt BgL_arg2257z00_6266;
						BgL_areaz00_bglt BgL_arg2258z00_6267;

						{	/* SawMill/node2rtl.scm 235 */
							obj_t BgL_arg2259z00_6268;

							{	/* SawMill/node2rtl.scm 235 */
								obj_t BgL_l1665z00_6269;

								BgL_l1665z00_6269 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->
									BgL_bindingsz00);
								if (NULLP(BgL_l1665z00_6269))
									{	/* SawMill/node2rtl.scm 235 */
										BgL_arg2259z00_6268 = BNIL;
									}
								else
									{	/* SawMill/node2rtl.scm 235 */
										obj_t BgL_head1667z00_6270;

										BgL_head1667z00_6270 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1665z00_6272;
											obj_t BgL_tail1668z00_6273;

											BgL_l1665z00_6272 = BgL_l1665z00_6269;
											BgL_tail1668z00_6273 = BgL_head1667z00_6270;
										BgL_zc3z04anonymousza32261ze3z87_6271:
											if (NULLP(BgL_l1665z00_6272))
												{	/* SawMill/node2rtl.scm 235 */
													BgL_arg2259z00_6268 = CDR(BgL_head1667z00_6270);
												}
											else
												{	/* SawMill/node2rtl.scm 235 */
													obj_t BgL_newtail1669z00_6274;

													{	/* SawMill/node2rtl.scm 235 */
														BgL_areaz00_bglt BgL_arg2264z00_6275;

														{	/* SawMill/node2rtl.scm 235 */
															obj_t BgL_bz00_6276;

															BgL_bz00_6276 = CAR(((obj_t) BgL_l1665z00_6272));
															{	/* SawMill/node2rtl.scm 235 */
																obj_t BgL_arg2265z00_6277;
																BgL_rtl_regz00_bglt BgL_arg2266z00_6278;

																BgL_arg2265z00_6277 =
																	CDR(((obj_t) BgL_bz00_6276));
																{	/* SawMill/node2rtl.scm 235 */
																	obj_t BgL_arg2267z00_6279;

																	BgL_arg2267z00_6279 =
																		CAR(((obj_t) BgL_bz00_6276));
																	BgL_arg2266z00_6278 =
																		BGl_localzd2ze3regz31zzsaw_node2rtlz00(
																		((BgL_localz00_bglt) BgL_arg2267z00_6279));
																}
																{	/* SawMill/node2rtl.scm 235 */
																	BgL_areaz00_bglt BgL_res2812z00_6280;

																	{	/* SawMill/node2rtl.scm 186 */
																		BgL_areaz00_bglt BgL_az00_6281;

																		BgL_az00_6281 =
																			BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																			((BgL_nodez00_bglt) BgL_arg2265z00_6277));
																		BGl_bdestinationz12z12zzsaw_node2rtlz00(
																			(((BgL_areaz00_bglt)
																					COBJECT(BgL_az00_6281))->BgL_exitz00),
																			BgL_arg2266z00_6278);
																		BgL_res2812z00_6280 = BgL_az00_6281;
																	}
																	BgL_arg2264z00_6275 = BgL_res2812z00_6280;
																}
															}
														}
														BgL_newtail1669z00_6274 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2264z00_6275), BNIL);
													}
													SET_CDR(BgL_tail1668z00_6273,
														BgL_newtail1669z00_6274);
													{	/* SawMill/node2rtl.scm 235 */
														obj_t BgL_arg2263z00_6282;

														BgL_arg2263z00_6282 =
															CDR(((obj_t) BgL_l1665z00_6272));
														{
															obj_t BgL_tail1668z00_9072;
															obj_t BgL_l1665z00_9071;

															BgL_l1665z00_9071 = BgL_arg2263z00_6282;
															BgL_tail1668z00_9072 = BgL_newtail1669z00_6274;
															BgL_tail1668z00_6273 = BgL_tail1668z00_9072;
															BgL_l1665z00_6272 = BgL_l1665z00_9071;
															goto BgL_zc3z04anonymousza32261ze3z87_6271;
														}
													}
												}
										}
									}
							}
							BgL_arg2257z00_6266 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2259z00_6268);
						}
						BgL_arg2258z00_6267 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5726)))->BgL_bodyz00));
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2257z00_6266,
							BgL_arg2258z00_6267);
					}
			}
		}

	}



/* &node->rtl-var1722 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2var1722z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5727, obj_t BgL_ez00_5728)
	{
		{	/* SawMill/node2rtl.scm 213 */
			{	/* SawMill/node2rtl.scm 215 */
				bool_t BgL_test3121z00_9078;

				{	/* SawMill/node2rtl.scm 215 */
					BgL_variablez00_bglt BgL_arg2223z00_6284;

					BgL_arg2223z00_6284 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_ez00_5728)))->BgL_variablez00);
					{	/* SawMill/node2rtl.scm 215 */
						obj_t BgL_classz00_6285;

						BgL_classz00_6285 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 215 */
							BgL_objectz00_bglt BgL_arg1820z00_6286;

							{	/* SawMill/node2rtl.scm 215 */
								obj_t BgL_tmpz00_9081;

								BgL_tmpz00_9081 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2223z00_6284));
								BgL_arg1820z00_6286 = (BgL_objectz00_bglt) (BgL_tmpz00_9081);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/node2rtl.scm 215 */
									long BgL_idxz00_6287;

									BgL_idxz00_6287 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6286);
									BgL_test3121z00_9078 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6287 + ((long) 2))) == BgL_classz00_6285);
								}
							else
								{	/* SawMill/node2rtl.scm 215 */
									bool_t BgL_res2808z00_6290;

									{	/* SawMill/node2rtl.scm 215 */
										obj_t BgL_oclassz00_6291;

										{	/* SawMill/node2rtl.scm 215 */
											long BgL_arg1828z00_6292;

											{	/* SawMill/node2rtl.scm 215 */
												long BgL_arg1829z00_6293;

												BgL_arg1829z00_6293 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6286);
												BgL_arg1828z00_6292 =
													(BgL_arg1829z00_6293 - OBJECT_TYPE);
											}
											BgL_oclassz00_6291 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_6292);
										}
										{	/* SawMill/node2rtl.scm 215 */
											bool_t BgL__ortest_1111z00_6294;

											BgL__ortest_1111z00_6294 =
												(BgL_classz00_6285 == BgL_oclassz00_6291);
											if (BgL__ortest_1111z00_6294)
												{	/* SawMill/node2rtl.scm 215 */
													BgL_res2808z00_6290 = BgL__ortest_1111z00_6294;
												}
											else
												{	/* SawMill/node2rtl.scm 215 */
													long BgL_odepthz00_6295;

													BgL_odepthz00_6295 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6291);
													if ((((long) 2) < BgL_odepthz00_6295))
														{	/* SawMill/node2rtl.scm 215 */
															obj_t BgL_arg1816z00_6296;

															BgL_arg1816z00_6296 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6291,
																((long) 2));
															BgL_res2808z00_6290 =
																(BgL_arg1816z00_6296 == BgL_classz00_6285);
														}
													else
														{	/* SawMill/node2rtl.scm 215 */
															BgL_res2808z00_6290 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3121z00_9078 = BgL_res2808z00_6290;
								}
						}
					}
				}
				if (BgL_test3121z00_9078)
					{	/* SawMill/node2rtl.scm 216 */
						BgL_rtl_movz00_bglt BgL_arg2204z00_6297;
						BgL_rtl_regz00_bglt BgL_arg2205z00_6298;

						{	/* SawMill/node2rtl.scm 216 */
							BgL_rtl_movz00_bglt BgL_new1265z00_6299;

							{	/* SawMill/node2rtl.scm 216 */
								BgL_rtl_movz00_bglt BgL_new1264z00_6300;

								BgL_new1264z00_6300 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 216 */
									long BgL_arg2208z00_6301;

									BgL_arg2208z00_6301 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1264z00_6300),
										BgL_arg2208z00_6301);
								}
								BgL_new1265z00_6299 = BgL_new1264z00_6300;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1265z00_6299)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2204z00_6297 = BgL_new1265z00_6299;
						}
						{	/* SawMill/node2rtl.scm 216 */
							BgL_variablez00_bglt BgL_arg2209z00_6302;

							BgL_arg2209z00_6302 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_ez00_5728)))->BgL_variablez00);
							BgL_arg2205z00_6298 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_arg2209z00_6302));
						}
						{	/* SawMill/node2rtl.scm 216 */
							obj_t BgL_list2207z00_6303;

							BgL_list2207z00_6303 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2205z00_6298), BNIL);
							return
								BGl_singleza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_varz00_bglt) BgL_ez00_5728)),
								((BgL_rtl_funz00_bglt) BgL_arg2204z00_6297),
								BgL_list2207z00_6303);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 217 */
						bool_t BgL_test3125z00_9117;

						{	/* SawMill/node2rtl.scm 217 */
							BgL_valuez00_bglt BgL_arg2221z00_6304;

							BgL_arg2221z00_6304 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_5728)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 217 */
								obj_t BgL_classz00_6305;

								BgL_classz00_6305 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 217 */
									BgL_objectz00_bglt BgL_arg1820z00_6306;

									{	/* SawMill/node2rtl.scm 217 */
										obj_t BgL_tmpz00_9121;

										BgL_tmpz00_9121 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2221z00_6304));
										BgL_arg1820z00_6306 =
											(BgL_objectz00_bglt) (BgL_tmpz00_9121);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/node2rtl.scm 217 */
											long BgL_idxz00_6307;

											BgL_idxz00_6307 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_6306);
											BgL_test3125z00_9117 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6307 + ((long) 3))) == BgL_classz00_6305);
										}
									else
										{	/* SawMill/node2rtl.scm 217 */
											bool_t BgL_res2809z00_6310;

											{	/* SawMill/node2rtl.scm 217 */
												obj_t BgL_oclassz00_6311;

												{	/* SawMill/node2rtl.scm 217 */
													long BgL_arg1828z00_6312;

													{	/* SawMill/node2rtl.scm 217 */
														long BgL_arg1829z00_6313;

														BgL_arg1829z00_6313 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_6306);
														BgL_arg1828z00_6312 =
															(BgL_arg1829z00_6313 - OBJECT_TYPE);
													}
													BgL_oclassz00_6311 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_6312);
												}
												{	/* SawMill/node2rtl.scm 217 */
													bool_t BgL__ortest_1111z00_6314;

													BgL__ortest_1111z00_6314 =
														(BgL_classz00_6305 == BgL_oclassz00_6311);
													if (BgL__ortest_1111z00_6314)
														{	/* SawMill/node2rtl.scm 217 */
															BgL_res2809z00_6310 = BgL__ortest_1111z00_6314;
														}
													else
														{	/* SawMill/node2rtl.scm 217 */
															long BgL_odepthz00_6315;

															BgL_odepthz00_6315 =
																BGL_CLASS_DEPTH(BgL_oclassz00_6311);
															if ((((long) 3) < BgL_odepthz00_6315))
																{	/* SawMill/node2rtl.scm 217 */
																	obj_t BgL_arg1816z00_6316;

																	BgL_arg1816z00_6316 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6311,
																		((long) 3));
																	BgL_res2809z00_6310 =
																		(BgL_arg1816z00_6316 == BgL_classz00_6305);
																}
															else
																{	/* SawMill/node2rtl.scm 217 */
																	BgL_res2809z00_6310 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test3125z00_9117 = BgL_res2809z00_6310;
										}
								}
							}
						}
						if (BgL_test3125z00_9117)
							{	/* SawMill/node2rtl.scm 218 */
								BgL_rtl_loadfunz00_bglt BgL_arg2213z00_6317;

								{	/* SawMill/node2rtl.scm 218 */
									BgL_rtl_loadfunz00_bglt BgL_new1268z00_6318;

									{	/* SawMill/node2rtl.scm 218 */
										BgL_rtl_loadfunz00_bglt BgL_new1266z00_6319;

										BgL_new1266z00_6319 =
											((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadfunz00_bgl))));
										{	/* SawMill/node2rtl.scm 218 */
											long BgL_arg2216z00_6320;

											BgL_arg2216z00_6320 =
												BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1266z00_6319),
												BgL_arg2216z00_6320);
										}
										BgL_new1268z00_6318 = BgL_new1266z00_6319;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1268z00_6318)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9147;

										{	/* SawMill/node2rtl.scm 218 */
											BgL_variablez00_bglt BgL_arg2215z00_6321;

											BgL_arg2215z00_6321 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5728)))->
												BgL_variablez00);
											BgL_auxz00_9147 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2215z00_6321));
										}
										((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1268z00_6318))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9147), BUNSPEC);
									}
									BgL_arg2213z00_6317 = BgL_new1268z00_6318;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5728)),
									((BgL_rtl_funz00_bglt) BgL_arg2213z00_6317), BNIL);
							}
						else
							{	/* SawMill/node2rtl.scm 220 */
								BgL_rtl_loadgz00_bglt BgL_arg2217z00_6322;

								{	/* SawMill/node2rtl.scm 220 */
									BgL_rtl_loadgz00_bglt BgL_new1270z00_6323;

									{	/* SawMill/node2rtl.scm 220 */
										BgL_rtl_loadgz00_bglt BgL_new1269z00_6324;

										BgL_new1269z00_6324 =
											((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadgz00_bgl))));
										{	/* SawMill/node2rtl.scm 220 */
											long BgL_arg2220z00_6325;

											BgL_arg2220z00_6325 =
												BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1269z00_6324),
												BgL_arg2220z00_6325);
										}
										BgL_new1270z00_6323 = BgL_new1269z00_6324;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1270z00_6323)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_9163;

										{	/* SawMill/node2rtl.scm 220 */
											BgL_variablez00_bglt BgL_arg2219z00_6326;

											BgL_arg2219z00_6326 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5728)))->
												BgL_variablez00);
											BgL_auxz00_9163 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2219z00_6326));
										}
										((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1270z00_6323))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_9163), BUNSPEC);
									}
									BgL_arg2217z00_6322 = BgL_new1270z00_6323;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5728)),
									((BgL_rtl_funz00_bglt) BgL_arg2217z00_6322), BNIL);
							}
					}
			}
		}

	}



/* &node->rtl-atom1720 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2atom1720z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5729, obj_t BgL_ez00_5730)
	{
		{	/* SawMill/node2rtl.scm 209 */
			{	/* SawMill/node2rtl.scm 210 */
				BgL_rtl_loadiz00_bglt BgL_arg2199z00_6328;

				{	/* SawMill/node2rtl.scm 210 */
					BgL_rtl_loadiz00_bglt BgL_new1262z00_6329;

					{	/* SawMill/node2rtl.scm 210 */
						BgL_rtl_loadiz00_bglt BgL_new1261z00_6330;

						BgL_new1261z00_6330 =
							((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_loadiz00_bgl))));
						{	/* SawMill/node2rtl.scm 210 */
							long BgL_arg2201z00_6331;

							BgL_arg2201z00_6331 =
								BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1261z00_6330),
								BgL_arg2201z00_6331);
						}
						BgL_new1262z00_6329 = BgL_new1261z00_6330;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1262z00_6329)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1262z00_6329))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_ez00_5730)), BUNSPEC);
					BgL_arg2199z00_6328 = BgL_new1262z00_6329;
				}
				return
					BGl_singleza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_atomz00_bglt) BgL_ez00_5730)),
					((BgL_rtl_funz00_bglt) BgL_arg2199z00_6328), BNIL);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00(void)
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsync_nodez00(((long) 421078394),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2901z00zzsaw_node2rtlz00));
		}

	}

#ifdef __cplusplus
}
#endif
