/*===========================================================================*/
/*   (SawMill/regalloc.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/regalloc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockzf2razf2_bgl
	{
		obj_t BgL_lastz00;
	}                    *BgL_blockzf2razf2_bglt;

	typedef struct BgL_rtl_inszf2razf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_spillz00;
	}                      *BgL_rtl_inszf2razf2_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2579z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2586z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
		BUNSPEC;
	static obj_t
		BGl_z62dumpzd2rtl_inszf2ra1770z42zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00;
	extern obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t
		BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2(void);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t
		BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2(void);
	static obj_t BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static obj_t
		BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetzd2filterzd2zzsaw_regsetz00(obj_t, BgL_regsetz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t
		BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	extern bool_t BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_rtl_insz00_bglt, obj_t, obj_t);
	static bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t make_vector(long, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2(void);
	extern bool_t BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32038ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	static obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern BgL_regsetz00_bglt BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t,
		obj_t);
	static obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t);
	static obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	static obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t,
		long, long);
	static obj_t
		BGl_z62zc3z04anonymousza32515ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32192ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void);
	static obj_t
		BGl_z62rtlzd2siza7ezd2rtl_ins1768zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2(void);
	extern BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt);
	extern obj_t
		BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	static obj_t
		BGl_z62typezd2interferencez121761za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static obj_t BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static obj_t
		BGl_z62protectzd2interference1758zb0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2509z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	static bool_t
		BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2513z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2516z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	extern obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t
		BGl_z62rtlzd2siza7ezd2block1766zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda2525z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2526z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00;
	extern bool_t BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2536z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62rtlzd2siza7e1763z17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2549z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32548ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t
		BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2894z00,
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2allocationzd2envz00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762registerza7d2al2895z00,
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string2828z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2828za700za7za7s2896za7, "\n", 1);
	      DEFINE_STRING(BGl_string2829z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2829za700za7za7s2897za7, "        no reg. alloc. ", 23);
	      DEFINE_STRING(BGl_string2830z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2830za700za7za7s2898za7, "blacklist", 9);
	      DEFINE_STRING(BGl_string2831z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2831za700za7za7s2899za7, "too large [~a/~a]", 17);
	      DEFINE_STRING(BGl_string2832z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2832za700za7za7s2900za7, " instrs]:\n", 10);
	      DEFINE_STRING(BGl_string2833z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2833za700za7za7s2901za7, " [size=", 7);
	      DEFINE_STRING(BGl_string2834z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2834za700za7za7s2902za7, "        reg. alloc. ", 20);
	      DEFINE_STRING(BGl_string2835z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2835za700za7za7s2903za7, "          number of registers... ",
		33);
	      DEFINE_STRING(BGl_string2836z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2836za700za7za7s2904za7, "          number of parameters... ",
		34);
	      DEFINE_STRING(BGl_string2837z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2837za700za7za7s2905za7,
		"          number of temporaries... ", 35);
	      DEFINE_STRING(BGl_string2838z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2838za700za7za7s2906za7, "          liveness..", 20);
	      DEFINE_STRING(BGl_string2839z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2839za700za7za7s2907za7, ".", 1);
	      DEFINE_STRING(BGl_string2840z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2840za700za7za7s2908za7, " done\n", 6);
	      DEFINE_STRING(BGl_string2841z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2841za700za7za7s2909za7, "          graph interference... ",
		32);
	      DEFINE_STRING(BGl_string2842z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2842za700za7za7s2910za7, "done\n", 5);
	      DEFINE_STRING(BGl_string2843z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2843za700za7za7s2911za7,
		"          removed useless dest. registers... ", 45);
	      DEFINE_STRING(BGl_string2845z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2845za700za7za7s2912za7, " registers\n", 11);
	      DEFINE_STRING(BGl_string2846z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2846za700za7za7s2913za7, ")", 1);
	      DEFINE_STRING(BGl_string2847z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2847za700za7za7s2914za7, " (of ", 5);
	      DEFINE_STRING(BGl_string2848z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2848za700za7za7s2915za7, "          stack coloring... ", 28);
	      DEFINE_STRING(BGl_string2849z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2849za700za7za7s2916za7, " spills", 7);
	      DEFINE_STRING(BGl_string2850z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2850za700za7za7s2917za7, " regs, ", 7);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2844z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2918za7,
		BGl_z62zc3z04anonymousza32192ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2851z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2851za700za7za7s2919za7, " temps -> ", 10);
	      DEFINE_STRING(BGl_string2852z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2852za700za7za7s2920za7, " h-regs, ", 9);
	      DEFINE_STRING(BGl_string2853z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2853za700za7za7s2921za7, "          register coloring... ",
		31);
	      DEFINE_STRING(BGl_string2854z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2854za700za7za7s2922za7, " removed\n", 9);
	      DEFINE_STRING(BGl_string2855z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2855za700za7za7s2923za7, "          move... ", 18);
	extern obj_t BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2856z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2526za7622924z00,
		BGl_z62lambda2526z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2857z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2525za7622925z00,
		BGl_z62lambda2525z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2516za7622926z00,
		BGl_z62lambda2516z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2927za7,
		BGl_z62zc3z04anonymousza32515ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2513za7622928z00,
		BGl_z62lambda2513z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2861z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2509za7622929z00,
		BGl_z62lambda2509z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2862z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2930za7,
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2863z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2561za7622931z00,
		BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2864z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2560za7622932z00,
		BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2865z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2933za7,
		BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2866z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2569za7622934z00,
		BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2867z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2568za7622935z00,
		BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2868z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2936za7,
		BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2869z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2579za7622937z00,
		BGl_z62lambda2579z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2879z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2879za700za7za7s2938za7, "protect-interference1758", 24);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2870z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2578za7622939z00,
		BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2871z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2940za7,
		BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2872z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2586za7622941z00,
		BGl_z62lambda2586z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2873z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2585za7622942z00,
		BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2874z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2549za7622943z00,
		BGl_z62lambda2549z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2881z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2881za700za7za7s2944za7, "type-interference!1761", 22);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2875z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2945za7,
		BGl_z62zc3z04anonymousza32548ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2876z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2543za7622946z00,
		BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2883z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2883za700za7za7s2947za7, "rtl-size1763", 12);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2877z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2536za7622948z00,
		BGl_z62lambda2536z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 9);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2878z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2949z00,
		BGl_z62protectzd2interference1758zb0zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2885z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2885za700za7za7s2950za7, "rtl-size", 8);
	      DEFINE_STRING(BGl_string2888z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2888za700za7za7s2951za7, "dump", 4);
	      DEFINE_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2889za700za7za7s2952za7, "saw_register-allocation", 23);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2880z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf2953z00,
		BGl_z62typezd2interferencez121761za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2882z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7e12954za7,
		BGl_z62rtlzd2siza7e1763z17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2890z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2890za700za7za7s2955za7,
		"rtl_ins/ra spill in out obj def saw_register-allocation block/ra pair-nil last ",
		79);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2884z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72956z00,
		BGl_z62rtlzd2siza7ezd2block1766zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2886z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72957z00,
		BGl_z62rtlzd2siza7ezd2rtl_ins1768zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2887z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762dumpza7d2rtl_in2958z00,
		BGl_z62dumpzd2rtl_inszf2ra1770z42zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf2959z00,
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72960z00,
		BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2));
		     ADD_ROOT((void *) (&BGl_blockzf2razf2zzsaw_registerzd2allocationzd2));
		   
			 ADD_ROOT((void *) (&BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long
		BgL_checksumz00_5807, char *BgL_fromz00_5808)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2();
					return BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_register-allocation");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 15 */
				obj_t BgL_cportz00_5638;

				{	/* SawMill/regalloc.scm 15 */
					obj_t BgL_stringz00_5645;

					BgL_stringz00_5645 = BGl_string2890z00zzsaw_registerzd2allocationzd2;
					{	/* SawMill/regalloc.scm 15 */
						obj_t BgL_startz00_5646;

						BgL_startz00_5646 = BINT(((long) 0));
						{	/* SawMill/regalloc.scm 15 */
							obj_t BgL_endz00_5647;

							BgL_endz00_5647 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5645)));
							{	/* SawMill/regalloc.scm 15 */

								BgL_cportz00_5638 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5645, BgL_startz00_5646, BgL_endz00_5647);
				}}}}
				{
					long BgL_iz00_5639;

					BgL_iz00_5639 = ((long) 9);
				BgL_loopz00_5640:
					if ((BgL_iz00_5639 == ((long) -1)))
						{	/* SawMill/regalloc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/regalloc.scm 15 */
							{	/* SawMill/regalloc.scm 15 */
								obj_t BgL_arg2893z00_5641;

								{	/* SawMill/regalloc.scm 15 */

									{	/* SawMill/regalloc.scm 15 */
										obj_t BgL_locationz00_5643;

										BgL_locationz00_5643 = BBOOL(((bool_t) 0));
										{	/* SawMill/regalloc.scm 15 */

											BgL_arg2893z00_5641 =
												BGl_readz00zz__readerz00(BgL_cportz00_5638,
												BgL_locationz00_5643);
										}
									}
								}
								{	/* SawMill/regalloc.scm 15 */
									int BgL_tmpz00_5845;

									BgL_tmpz00_5845 = (int) (BgL_iz00_5639);
									CNST_TABLE_SET(BgL_tmpz00_5845, BgL_arg2893z00_5641);
							}}
							{	/* SawMill/regalloc.scm 15 */
								int BgL_auxz00_5644;

								BgL_auxz00_5644 = (int) ((BgL_iz00_5639 - ((long) 1)));
								{
									long BgL_iz00_5850;

									BgL_iz00_5850 = (long) (BgL_auxz00_5644);
									BgL_iz00_5639 = BgL_iz00_5850;
									goto BgL_loopz00_5640;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2030;

				BgL_headz00_2030 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2031;
					obj_t BgL_tailz00_2032;

					BgL_prevz00_2031 = BgL_headz00_2030;
					BgL_tailz00_2032 = BgL_l1z00_1;
				BgL_loopz00_2033:
					if (PAIRP(BgL_tailz00_2032))
						{
							obj_t BgL_newzd2prevzd2_2035;

							BgL_newzd2prevzd2_2035 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2032), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2031, BgL_newzd2prevzd2_2035);
							{
								obj_t BgL_tailz00_5860;
								obj_t BgL_prevz00_5859;

								BgL_prevz00_5859 = BgL_newzd2prevzd2_2035;
								BgL_tailz00_5860 = CDR(BgL_tailz00_2032);
								BgL_tailz00_2032 = BgL_tailz00_5860;
								BgL_prevz00_2031 = BgL_prevz00_5859;
								goto BgL_loopz00_2033;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2030);
				}
			}
		}

	}



/* register-allocation */
	BGL_EXPORTED_DEF obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_61, BgL_globalz00_bglt BgL_globalz00_62,
		obj_t BgL_paramsz00_63, obj_t BgL_blocksz00_64)
	{
		{	/* SawMill/regalloc.scm 50 */
			{
				obj_t BgL_msgz00_2062;

				{	/* SawMill/regalloc.scm 55 */
					obj_t BgL_idz00_2051;

					BgL_idz00_2051 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_62)))->BgL_idz00);
					if (CBOOL
						(BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00))
						{	/* SawMill/regalloc.scm 56 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2051,
										BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00)))
								{	/* SawMill/regalloc.scm 58 */
									BgL_msgz00_2062 =
										BGl_string2830z00zzsaw_registerzd2allocationzd2;
								BgL_zc3z04anonymousza31823ze3z87_2063:
									{	/* SawMill/regalloc.scm 53 */
										obj_t BgL_list1824z00_2064;

										{	/* SawMill/regalloc.scm 53 */
											obj_t BgL_arg1830z00_2065;

											{	/* SawMill/regalloc.scm 53 */
												obj_t BgL_arg1833z00_2066;

												BgL_arg1833z00_2066 =
													MAKE_YOUNG_PAIR
													(BGl_string2828z00zzsaw_registerzd2allocationzd2,
													BNIL);
												BgL_arg1830z00_2065 =
													MAKE_YOUNG_PAIR(BgL_msgz00_2062, BgL_arg1833z00_2066);
											}
											BgL_list1824z00_2064 =
												MAKE_YOUNG_PAIR
												(BGl_string2829z00zzsaw_registerzd2allocationzd2,
												BgL_arg1830z00_2065);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1824z00_2064);
								}}
							else
								{	/* SawMill/regalloc.scm 58 */
									if (PAIRP
										(BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00))
										{	/* SawMill/regalloc.scm 60 */
											BBOOL
												(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
												(BgL_backz00_61, BgL_globalz00_62, BgL_paramsz00_63,
													BgL_blocksz00_64));
										}
									else
										{	/* SawMill/regalloc.scm 60 */
											if (
												((long)
													CINT
													(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00)
													< ((long) 0)))
												{	/* SawMill/regalloc.scm 62 */
													BBOOL
														(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
														(BgL_backz00_61, BgL_globalz00_62, BgL_paramsz00_63,
															BgL_blocksz00_64));
												}
											else
												{	/* SawMill/regalloc.scm 64 */
													bool_t BgL_test2968z00_5884;

													{	/* SawMill/regalloc.scm 64 */
														obj_t BgL_arg1822z00_2061;

														BgL_arg1822z00_2061 =
															BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
															(BgL_blocksz00_64);
														BgL_test2968z00_5884 =
															((long) CINT(BgL_arg1822z00_2061) >=
															(long)
															CINT
															(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00));
													}
													if (BgL_test2968z00_5884)
														{	/* SawMill/regalloc.scm 67 */
															obj_t BgL_arg1817z00_2057;

															{	/* SawMill/regalloc.scm 67 */
																obj_t BgL_arg1819z00_2058;

																BgL_arg1819z00_2058 =
																	BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
																	(BgL_blocksz00_64);
																{	/* SawMill/regalloc.scm 66 */
																	obj_t BgL_list1820z00_2059;

																	{	/* SawMill/regalloc.scm 66 */
																		obj_t BgL_arg1821z00_2060;

																		BgL_arg1821z00_2060 =
																			MAKE_YOUNG_PAIR
																			(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00,
																			BNIL);
																		BgL_list1820z00_2059 =
																			MAKE_YOUNG_PAIR(BgL_arg1819z00_2058,
																			BgL_arg1821z00_2060);
																	}
																	BgL_arg1817z00_2057 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2831z00zzsaw_registerzd2allocationzd2,
																		BgL_list1820z00_2059);
																}
															}
															{
																obj_t BgL_msgz00_5893;

																BgL_msgz00_5893 = BgL_arg1817z00_2057;
																BgL_msgz00_2062 = BgL_msgz00_5893;
																goto BgL_zc3z04anonymousza31823ze3z87_2063;
															}
														}
													else
														{	/* SawMill/regalloc.scm 64 */
															BBOOL
																(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
																(BgL_backz00_61, BgL_globalz00_62,
																	BgL_paramsz00_63, BgL_blocksz00_64));
														}
												}
										}
								}
						}
					else
						{	/* SawMill/regalloc.scm 56 */
							BFALSE;
						}
					return BgL_blocksz00_64;
				}
			}
		}

	}



/* &register-allocation */
	obj_t BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5457, obj_t BgL_backz00_5458, obj_t BgL_globalz00_5459,
		obj_t BgL_paramsz00_5460, obj_t BgL_blocksz00_5461)
	{
		{	/* SawMill/regalloc.scm 50 */
			return
				BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_5458),
				((BgL_globalz00_bglt) BgL_globalz00_5459), BgL_paramsz00_5460,
				BgL_blocksz00_5461);
		}

	}



/* %register-allocation */
	bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_65, BgL_globalz00_bglt BgL_globalz00_66,
		obj_t BgL_paramsz00_67, obj_t BgL_blocksz00_68)
	{
		{	/* SawMill/regalloc.scm 75 */
			{	/* SawMill/regalloc.scm 77 */
				obj_t BgL_arg1835z00_2068;
				obj_t BgL_arg1836z00_2069;

				BgL_arg1835z00_2068 =
					BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_66));
				BgL_arg1836z00_2069 =
					BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 76 */
					obj_t BgL_list1837z00_2070;

					{	/* SawMill/regalloc.scm 76 */
						obj_t BgL_arg1840z00_2071;

						{	/* SawMill/regalloc.scm 76 */
							obj_t BgL_arg1844z00_2072;

							{	/* SawMill/regalloc.scm 76 */
								obj_t BgL_arg1845z00_2073;

								{	/* SawMill/regalloc.scm 76 */
									obj_t BgL_arg1846z00_2074;

									BgL_arg1846z00_2074 =
										MAKE_YOUNG_PAIR
										(BGl_string2832z00zzsaw_registerzd2allocationzd2, BNIL);
									BgL_arg1845z00_2073 =
										MAKE_YOUNG_PAIR(BgL_arg1836z00_2069, BgL_arg1846z00_2074);
								}
								BgL_arg1844z00_2072 =
									MAKE_YOUNG_PAIR
									(BGl_string2833z00zzsaw_registerzd2allocationzd2,
									BgL_arg1845z00_2073);
							}
							BgL_arg1840z00_2071 =
								MAKE_YOUNG_PAIR(BgL_arg1835z00_2068, BgL_arg1844z00_2072);
						}
						BgL_list1837z00_2070 =
							MAKE_YOUNG_PAIR(BGl_string2834z00zzsaw_registerzd2allocationzd2,
							BgL_arg1840z00_2071);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1837z00_2070);
			}}
			BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2
				(BgL_blocksz00_68);
			{	/* SawMill/regalloc.scm 81 */
				obj_t BgL_cregsz00_2075;

				BgL_cregsz00_2075 =
					BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 81 */
					obj_t BgL_hregsz00_2076;

					{	/* SawMill/regalloc.scm 82 */
						obj_t BgL_arg1892z00_2137;

						BgL_arg1892z00_2137 =
							(((BgL_backendz00_bglt) COBJECT(BgL_backz00_65))->
							BgL_registersz00);
						{	/* SawMill/regalloc.scm 82 */
							obj_t BgL_list1893z00_2138;

							BgL_list1893z00_2138 = MAKE_YOUNG_PAIR(BgL_arg1892z00_2137, BNIL);
							BgL_hregsz00_2076 =
								BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
								(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
								BgL_list1893z00_2138);
					}}
					{	/* SawMill/regalloc.scm 82 */
						obj_t BgL_pregsz00_2077;

						{	/* SawMill/regalloc.scm 83 */
							obj_t BgL_hook1550z00_2123;

							BgL_hook1550z00_2123 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1547z00_2125;
								obj_t BgL_h1548z00_2126;

								BgL_l1547z00_2125 = BgL_paramsz00_67;
								BgL_h1548z00_2126 = BgL_hook1550z00_2123;
							BgL_zc3z04anonymousza31884ze3z87_2127:
								if (NULLP(BgL_l1547z00_2125))
									{	/* SawMill/regalloc.scm 83 */
										BgL_pregsz00_2077 = CDR(BgL_hook1550z00_2123);
									}
								else
									{	/* SawMill/regalloc.scm 83 */
										bool_t BgL_test2970z00_5918;

										{	/* SawMill/regalloc.scm 83 */
											obj_t BgL_arg1891z00_2135;

											BgL_arg1891z00_2135 = CAR(((obj_t) BgL_l1547z00_2125));
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_classz00_3877;

												BgL_classz00_3877 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
												if (BGL_OBJECTP(BgL_arg1891z00_2135))
													{	/* SawMill/regalloc.scm 83 */
														BgL_objectz00_bglt BgL_arg1820z00_3879;

														BgL_arg1820z00_3879 =
															(BgL_objectz00_bglt) (BgL_arg1891z00_2135);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 83 */
																long BgL_idxz00_3885;

																BgL_idxz00_3885 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3879);
																BgL_test2970z00_5918 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3885 + ((long) 2))) ==
																	BgL_classz00_3877);
															}
														else
															{	/* SawMill/regalloc.scm 83 */
																bool_t BgL_res2776z00_3907;

																{	/* SawMill/regalloc.scm 83 */
																	obj_t BgL_oclassz00_3893;

																	{	/* SawMill/regalloc.scm 83 */
																		long BgL_arg1828z00_3899;

																		{	/* SawMill/regalloc.scm 83 */
																			long BgL_arg1829z00_3900;

																			BgL_arg1829z00_3900 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3879);
																			BgL_arg1828z00_3899 =
																				(BgL_arg1829z00_3900 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3893 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3899);
																	}
																	{	/* SawMill/regalloc.scm 83 */
																		bool_t BgL__ortest_1111z00_3894;

																		BgL__ortest_1111z00_3894 =
																			(BgL_classz00_3877 == BgL_oclassz00_3893);
																		if (BgL__ortest_1111z00_3894)
																			{	/* SawMill/regalloc.scm 83 */
																				BgL_res2776z00_3907 =
																					BgL__ortest_1111z00_3894;
																			}
																		else
																			{	/* SawMill/regalloc.scm 83 */
																				long BgL_odepthz00_3895;

																				BgL_odepthz00_3895 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3893);
																				if ((((long) 2) < BgL_odepthz00_3895))
																					{	/* SawMill/regalloc.scm 83 */
																						obj_t BgL_arg1816z00_3897;

																						BgL_arg1816z00_3897 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3893, ((long) 2));
																						BgL_res2776z00_3907 =
																							(BgL_arg1816z00_3897 ==
																							BgL_classz00_3877);
																					}
																				else
																					{	/* SawMill/regalloc.scm 83 */
																						BgL_res2776z00_3907 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2970z00_5918 = BgL_res2776z00_3907;
															}
													}
												else
													{	/* SawMill/regalloc.scm 83 */
														BgL_test2970z00_5918 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test2970z00_5918)
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_nh1549z00_2131;

												{	/* SawMill/regalloc.scm 83 */
													obj_t BgL_arg1889z00_2133;

													BgL_arg1889z00_2133 =
														CAR(((obj_t) BgL_l1547z00_2125));
													BgL_nh1549z00_2131 =
														MAKE_YOUNG_PAIR(BgL_arg1889z00_2133, BNIL);
												}
												SET_CDR(BgL_h1548z00_2126, BgL_nh1549z00_2131);
												{	/* SawMill/regalloc.scm 83 */
													obj_t BgL_arg1888z00_2132;

													BgL_arg1888z00_2132 =
														CDR(((obj_t) BgL_l1547z00_2125));
													{
														obj_t BgL_h1548z00_5947;
														obj_t BgL_l1547z00_5946;

														BgL_l1547z00_5946 = BgL_arg1888z00_2132;
														BgL_h1548z00_5947 = BgL_nh1549z00_2131;
														BgL_h1548z00_2126 = BgL_h1548z00_5947;
														BgL_l1547z00_2125 = BgL_l1547z00_5946;
														goto BgL_zc3z04anonymousza31884ze3z87_2127;
													}
												}
											}
										else
											{	/* SawMill/regalloc.scm 83 */
												obj_t BgL_arg1890z00_2134;

												BgL_arg1890z00_2134 = CDR(((obj_t) BgL_l1547z00_2125));
												{
													obj_t BgL_l1547z00_5950;

													BgL_l1547z00_5950 = BgL_arg1890z00_2134;
													BgL_l1547z00_2125 = BgL_l1547z00_5950;
													goto BgL_zc3z04anonymousza31884ze3z87_2127;
												}
											}
									}
							}
						}
						{	/* SawMill/regalloc.scm 83 */
							obj_t BgL_regsz00_2078;

							BgL_regsz00_2078 =
								BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
								(BgL_hregsz00_2076, BgL_cregsz00_2075);
							{	/* SawMill/regalloc.scm 84 */

								if (NULLP(BgL_cregsz00_2075))
									{	/* SawMill/regalloc.scm 85 */
										BFALSE;
									}
								else
									{	/* SawMill/regalloc.scm 85 */
										{
											obj_t BgL_l1551z00_2081;

											BgL_l1551z00_2081 = BgL_regsz00_2078;
										BgL_zc3z04anonymousza31848ze3z87_2082:
											if (PAIRP(BgL_l1551z00_2081))
												{	/* SawMill/regalloc.scm 87 */
													{	/* SawMill/regalloc.scm 88 */
														obj_t BgL_rz00_2084;

														BgL_rz00_2084 = CAR(BgL_l1551z00_2081);
														{
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_5957;

															{
																obj_t BgL_auxz00_5958;

																{	/* SawMill/regalloc.scm 89 */
																	BgL_objectz00_bglt BgL_tmpz00_5959;

																	BgL_tmpz00_5959 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_regz00_bglt) BgL_rz00_2084));
																	BgL_auxz00_5958 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5959);
																}
																BgL_auxz00_5957 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5958);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_5957))->
																	BgL_interferez00) =
																((obj_t) ((obj_t)
																		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																		(BgL_regsz00_2078))), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1551z00_5967;

														BgL_l1551z00_5967 = CDR(BgL_l1551z00_2081);
														BgL_l1551z00_2081 = BgL_l1551z00_5967;
														goto BgL_zc3z04anonymousza31848ze3z87_2082;
													}
												}
											else
												{	/* SawMill/regalloc.scm 87 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/regalloc.scm 91 */
											long BgL_arg1851z00_2088;

											BgL_arg1851z00_2088 = bgl_list_length(BgL_hregsz00_2076);
											{	/* SawMill/regalloc.scm 91 */
												obj_t BgL_list1852z00_2089;

												{	/* SawMill/regalloc.scm 91 */
													obj_t BgL_arg1854z00_2090;

													{	/* SawMill/regalloc.scm 91 */
														obj_t BgL_arg1856z00_2091;

														BgL_arg1856z00_2091 =
															MAKE_YOUNG_PAIR
															(BGl_string2828z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1854z00_2090 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1851z00_2088),
															BgL_arg1856z00_2091);
													}
													BgL_list1852z00_2089 =
														MAKE_YOUNG_PAIR
														(BGl_string2835z00zzsaw_registerzd2allocationzd2,
														BgL_arg1854z00_2090);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1852z00_2089);
										}}
										{	/* SawMill/regalloc.scm 92 */
											long BgL_arg1857z00_2092;

											BgL_arg1857z00_2092 = bgl_list_length(BgL_pregsz00_2077);
											{	/* SawMill/regalloc.scm 92 */
												obj_t BgL_list1858z00_2093;

												{	/* SawMill/regalloc.scm 92 */
													obj_t BgL_arg1859z00_2094;

													{	/* SawMill/regalloc.scm 92 */
														obj_t BgL_arg1860z00_2095;

														BgL_arg1860z00_2095 =
															MAKE_YOUNG_PAIR
															(BGl_string2828z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1859z00_2094 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1857z00_2092),
															BgL_arg1860z00_2095);
													}
													BgL_list1858z00_2093 =
														MAKE_YOUNG_PAIR
														(BGl_string2836z00zzsaw_registerzd2allocationzd2,
														BgL_arg1859z00_2094);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1858z00_2093);
										}}
										{	/* SawMill/regalloc.scm 93 */
											long BgL_arg1861z00_2096;

											BgL_arg1861z00_2096 = bgl_list_length(BgL_cregsz00_2075);
											{	/* SawMill/regalloc.scm 93 */
												obj_t BgL_list1862z00_2097;

												{	/* SawMill/regalloc.scm 93 */
													obj_t BgL_arg1864z00_2098;

													{	/* SawMill/regalloc.scm 93 */
														obj_t BgL_arg1865z00_2099;

														BgL_arg1865z00_2099 =
															MAKE_YOUNG_PAIR
															(BGl_string2828z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1864z00_2098 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1861z00_2096),
															BgL_arg1865z00_2099);
													}
													BgL_list1862z00_2097 =
														MAKE_YOUNG_PAIR
														(BGl_string2837z00zzsaw_registerzd2allocationzd2,
														BgL_arg1864z00_2098);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1862z00_2097);
										}}
										BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2078);
										BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2078);
										BGl_livenessz12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_pregsz00_2077);
										BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2076);
										BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_pregsz00_2077);
										BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_blocksz00_68);
										BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_regsz00_2078);
										BGl_interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2078);
										BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68);
										BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2077, BgL_hregsz00_2076, BgL_cregsz00_2075);
										BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2076, BgL_blocksz00_68);
										BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2077, BgL_cregsz00_2075, BgL_blocksz00_68);
										if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >
												((long) 1)))
											{	/* SawMill/regalloc.scm 121 */
												BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2
													(BgL_blocksz00_68);
											}
										else
											{	/* SawMill/regalloc.scm 121 */
												BFALSE;
											}
									}
								{
									obj_t BgL_l1553z00_2102;

									BgL_l1553z00_2102 = BgL_regsz00_2078;
								BgL_zc3z04anonymousza31867ze3z87_2103:
									if (PAIRP(BgL_l1553z00_2102))
										{	/* SawMill/regalloc.scm 126 */
											{	/* SawMill/regalloc.scm 126 */
												obj_t BgL_o1555z00_2105;

												BgL_o1555z00_2105 = CAR(BgL_l1553z00_2102);
												{	/* SawMill/regalloc.scm 126 */
													long BgL_arg1870z00_2106;

													{	/* SawMill/regalloc.scm 126 */
														obj_t BgL_arg1871z00_2107;

														{	/* SawMill/regalloc.scm 126 */
															obj_t BgL_arg1873z00_2108;

															{	/* SawMill/regalloc.scm 126 */
																long BgL_arg1828z00_3918;

																{	/* SawMill/regalloc.scm 126 */
																	long BgL_arg1829z00_3919;

																	BgL_arg1829z00_3919 =
																		BGL_OBJECT_CLASS_NUM(
																		((BgL_objectz00_bglt) BgL_o1555z00_2105));
																	BgL_arg1828z00_3918 =
																		(BgL_arg1829z00_3919 - OBJECT_TYPE);
																}
																BgL_arg1873z00_2108 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3918);
															}
															BgL_arg1871z00_2107 =
																BGl_classzd2superzd2zz__objectz00
																(BgL_arg1873z00_2108);
														}
														{	/* SawMill/regalloc.scm 126 */
															obj_t BgL_tmpz00_6014;

															BgL_tmpz00_6014 = ((obj_t) BgL_arg1871z00_2107);
															BgL_arg1870z00_2106 =
																BGL_CLASS_NUM(BgL_tmpz00_6014);
													}}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_o1555z00_2105),
														BgL_arg1870z00_2106);
												}
												{	/* SawMill/regalloc.scm 126 */
													BgL_objectz00_bglt BgL_tmpz00_6019;

													BgL_tmpz00_6019 =
														((BgL_objectz00_bglt) BgL_o1555z00_2105);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6019, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_o1555z00_2105);
												BgL_o1555z00_2105;
											}
											{
												obj_t BgL_l1553z00_6023;

												BgL_l1553z00_6023 = CDR(BgL_l1553z00_2102);
												BgL_l1553z00_2102 = BgL_l1553z00_6023;
												goto BgL_zc3z04anonymousza31867ze3z87_2103;
											}
										}
									else
										{	/* SawMill/regalloc.scm 126 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1556z00_2112;

									BgL_l1556z00_2112 = BgL_pregsz00_2077;
								BgL_zc3z04anonymousza31875ze3z87_2113:
									if (PAIRP(BgL_l1556z00_2112))
										{	/* SawMill/regalloc.scm 127 */
											{	/* SawMill/regalloc.scm 127 */
												obj_t BgL_rz00_2115;

												BgL_rz00_2115 = CAR(BgL_l1556z00_2112);
												{	/* SawMill/regalloc.scm 127 */
													bool_t BgL_test2980z00_6028;

													{	/* SawMill/regalloc.scm 127 */
														obj_t BgL_classz00_3931;

														BgL_classz00_3931 =
															BGl_rtl_regzf2razf2zzsaw_regsetz00;
														if (BGL_OBJECTP(BgL_rz00_2115))
															{	/* SawMill/regalloc.scm 127 */
																BgL_objectz00_bglt BgL_arg1820z00_3933;

																BgL_arg1820z00_3933 =
																	(BgL_objectz00_bglt) (BgL_rz00_2115);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/regalloc.scm 127 */
																		long BgL_idxz00_3939;

																		BgL_idxz00_3939 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_3933);
																		BgL_test2980z00_6028 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3939 + ((long) 2))) ==
																			BgL_classz00_3931);
																	}
																else
																	{	/* SawMill/regalloc.scm 127 */
																		bool_t BgL_res2777z00_3961;

																		{	/* SawMill/regalloc.scm 127 */
																			obj_t BgL_oclassz00_3947;

																			{	/* SawMill/regalloc.scm 127 */
																				long BgL_arg1828z00_3953;

																				{	/* SawMill/regalloc.scm 127 */
																					long BgL_arg1829z00_3954;

																					BgL_arg1829z00_3954 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_3933);
																					BgL_arg1828z00_3953 =
																						(BgL_arg1829z00_3954 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3947 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_3953);
																			}
																			{	/* SawMill/regalloc.scm 127 */
																				bool_t BgL__ortest_1111z00_3948;

																				BgL__ortest_1111z00_3948 =
																					(BgL_classz00_3931 ==
																					BgL_oclassz00_3947);
																				if (BgL__ortest_1111z00_3948)
																					{	/* SawMill/regalloc.scm 127 */
																						BgL_res2777z00_3961 =
																							BgL__ortest_1111z00_3948;
																					}
																				else
																					{	/* SawMill/regalloc.scm 127 */
																						long BgL_odepthz00_3949;

																						BgL_odepthz00_3949 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3947);
																						if ((((long) 2) <
																								BgL_odepthz00_3949))
																							{	/* SawMill/regalloc.scm 127 */
																								obj_t BgL_arg1816z00_3951;

																								BgL_arg1816z00_3951 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3947,
																									((long) 2));
																								BgL_res2777z00_3961 =
																									(BgL_arg1816z00_3951 ==
																									BgL_classz00_3931);
																							}
																						else
																							{	/* SawMill/regalloc.scm 127 */
																								BgL_res2777z00_3961 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2980z00_6028 = BgL_res2777z00_3961;
																	}
															}
														else
															{	/* SawMill/regalloc.scm 127 */
																BgL_test2980z00_6028 = ((bool_t) 0);
															}
													}
													if (BgL_test2980z00_6028)
														{	/* SawMill/regalloc.scm 127 */
															{	/* SawMill/regalloc.scm 127 */
																long BgL_arg1879z00_2118;

																{	/* SawMill/regalloc.scm 127 */
																	obj_t BgL_arg1880z00_2119;

																	{	/* SawMill/regalloc.scm 127 */
																		obj_t BgL_arg1882z00_2120;

																		{	/* SawMill/regalloc.scm 127 */
																			long BgL_arg1828z00_3963;

																			{	/* SawMill/regalloc.scm 127 */
																				long BgL_arg1829z00_3964;

																				BgL_arg1829z00_3964 =
																					BGL_OBJECT_CLASS_NUM(
																					((BgL_objectz00_bglt) BgL_rz00_2115));
																				BgL_arg1828z00_3963 =
																					(BgL_arg1829z00_3964 - OBJECT_TYPE);
																			}
																			BgL_arg1882z00_2120 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_3963);
																		}
																		BgL_arg1880z00_2119 =
																			BGl_classzd2superzd2zz__objectz00
																			(BgL_arg1882z00_2120);
																	}
																	{	/* SawMill/regalloc.scm 127 */
																		obj_t BgL_tmpz00_6053;

																		BgL_tmpz00_6053 =
																			((obj_t) BgL_arg1880z00_2119);
																		BgL_arg1879z00_2118 =
																			BGL_CLASS_NUM(BgL_tmpz00_6053);
																}}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_rz00_2115),
																	BgL_arg1879z00_2118);
															}
															{	/* SawMill/regalloc.scm 127 */
																BgL_objectz00_bglt BgL_tmpz00_6058;

																BgL_tmpz00_6058 =
																	((BgL_objectz00_bglt) BgL_rz00_2115);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6058,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_rz00_2115);
															BgL_rz00_2115;
														}
													else
														{	/* SawMill/regalloc.scm 127 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l1556z00_6062;

												BgL_l1556z00_6062 = CDR(BgL_l1556z00_2112);
												BgL_l1556z00_2112 = BgL_l1556z00_6062;
												goto BgL_zc3z04anonymousza31875ze3z87_2113;
											}
										}
									else
										{	/* SawMill/regalloc.scm 127 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* widen-ra! */
	bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_69,
		obj_t BgL_regsz00_70)
	{
		{	/* SawMill/regalloc.scm 135 */
			{
				obj_t BgL_oz00_2201;
				obj_t BgL_oz00_2243;

				{
					obj_t BgL_l1585z00_2144;

					BgL_l1585z00_2144 = BgL_oz00_69;
				BgL_zc3z04anonymousza31894ze3z87_2145:
					if (PAIRP(BgL_l1585z00_2144))
						{	/* SawMill/regalloc.scm 163 */
							BgL_oz00_2243 = CAR(BgL_l1585z00_2144);
							{	/* SawMill/regalloc.scm 159 */
								obj_t BgL_lastz00_2246;

								BgL_lastz00_2246 =
									bgl_reverse(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2243)))->BgL_firstz00));
								{	/* SawMill/regalloc.scm 160 */
									obj_t BgL_g1584z00_2247;

									BgL_g1584z00_2247 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2243)))->BgL_firstz00);
									{
										obj_t BgL_l1582z00_2249;

										BgL_l1582z00_2249 = BgL_g1584z00_2247;
									BgL_zc3z04anonymousza31954ze3z87_2250:
										if (PAIRP(BgL_l1582z00_2249))
											{	/* SawMill/regalloc.scm 160 */
												BgL_oz00_2201 = CAR(BgL_l1582z00_2249);
												{	/* SawMill/regalloc.scm 149 */
													BgL_rtl_inszf2razf2_bglt BgL_wide1199z00_2206;

													BgL_wide1199z00_2206 =
														((BgL_rtl_inszf2razf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_inszf2razf2_bgl))));
													{	/* SawMill/regalloc.scm 149 */
														obj_t BgL_auxz00_6078;
														BgL_objectz00_bglt BgL_tmpz00_6074;

														BgL_auxz00_6078 = ((obj_t) BgL_wide1199z00_2206);
														BgL_tmpz00_6074 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6074,
															BgL_auxz00_6078);
													}
													((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
													{	/* SawMill/regalloc.scm 149 */
														long BgL_arg1930z00_2207;

														BgL_arg1930z00_2207 =
															BGL_CLASS_NUM
															(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
																		BgL_oz00_2201))), BgL_arg1930z00_2207);
													}
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
												}
												{
													obj_t BgL_auxz00_6100;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6092;

													{	/* SawMill/regalloc.scm 150 */
														bool_t BgL_test2987z00_6101;

														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_oz00_2201)))->
																	BgL_destz00)))
															{	/* SawMill/regalloc.scm 150 */
																BgL_test2987z00_6101 =
																	CBOOL(
																	(((BgL_rtl_regz00_bglt) COBJECT(
																				((BgL_rtl_regz00_bglt)
																					(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_oz00_2201)))->
																						BgL_destz00))))->BgL_onexprzf3zf3));
															}
														else
															{	/* SawMill/regalloc.scm 150 */
																BgL_test2987z00_6101 = ((bool_t) 1);
															}
														if (BgL_test2987z00_6101)
															{	/* SawMill/regalloc.scm 150 */
																BgL_auxz00_6100 =
																	((obj_t)
																	BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																	(BgL_regsz00_70));
															}
														else
															{	/* SawMill/regalloc.scm 152 */
																obj_t BgL_arg1934z00_2212;

																{	/* SawMill/regalloc.scm 152 */
																	BgL_rtl_regz00_bglt BgL_arg1936z00_2213;

																	{	/* SawMill/regalloc.scm 152 */
																		obj_t BgL_arg1938z00_2215;

																		BgL_arg1938z00_2215 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_oz00_2201)))->BgL_destz00);
																		BgL_arg1936z00_2213 =
																			BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																			(((BgL_rtl_regz00_bglt)
																				BgL_arg1938z00_2215));
																	}
																	{	/* SawMill/regalloc.scm 152 */
																		obj_t BgL_list1937z00_2214;

																		BgL_list1937z00_2214 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1936z00_2213), BNIL);
																		BgL_arg1934z00_2212 = BgL_list1937z00_2214;
																	}
																}
																BgL_auxz00_6100 =
																	((obj_t)
																	BGl_listzd2ze3regsetz31zzsaw_regsetz00
																	(BgL_arg1934z00_2212, BgL_regsz00_70));
															}
													}
													{
														obj_t BgL_auxz00_6093;

														{	/* SawMill/regalloc.scm 150 */
															BgL_objectz00_bglt BgL_tmpz00_6094;

															BgL_tmpz00_6094 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
															BgL_auxz00_6093 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6094);
														}
														BgL_auxz00_6092 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6093);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6092))->BgL_defz00) =
														((obj_t) BgL_auxz00_6100), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6122;

													{
														obj_t BgL_auxz00_6123;

														{	/* SawMill/regalloc.scm 154 */
															BgL_objectz00_bglt BgL_tmpz00_6124;

															BgL_tmpz00_6124 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
															BgL_auxz00_6123 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6124);
														}
														BgL_auxz00_6122 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6123);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6122))->BgL_outz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_6141;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6133;

													{	/* SawMill/regalloc.scm 153 */
														obj_t BgL_arg1940z00_2218;

														{	/* SawMill/regalloc.scm 153 */
															obj_t BgL_l1573z00_2219;

															BgL_l1573z00_2219 =
																BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
																(BgL_oz00_2201);
															if (NULLP(BgL_l1573z00_2219))
																{	/* SawMill/regalloc.scm 153 */
																	BgL_arg1940z00_2218 = BNIL;
																}
															else
																{	/* SawMill/regalloc.scm 153 */
																	obj_t BgL_head1575z00_2221;

																	{	/* SawMill/regalloc.scm 153 */
																		BgL_rtl_regz00_bglt BgL_arg1947z00_2233;

																		{	/* SawMill/regalloc.scm 153 */
																			obj_t BgL_arg1948z00_2234;

																			BgL_arg1948z00_2234 =
																				CAR(((obj_t) BgL_l1573z00_2219));
																			BgL_arg1947z00_2233 =
																				BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																				(((BgL_rtl_regz00_bglt)
																					BgL_arg1948z00_2234));
																		}
																		BgL_head1575z00_2221 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1947z00_2233), BNIL);
																	}
																	{	/* SawMill/regalloc.scm 153 */
																		obj_t BgL_g1578z00_2222;

																		BgL_g1578z00_2222 =
																			CDR(((obj_t) BgL_l1573z00_2219));
																		{
																			obj_t BgL_l1573z00_2224;
																			obj_t BgL_tail1576z00_2225;

																			BgL_l1573z00_2224 = BgL_g1578z00_2222;
																			BgL_tail1576z00_2225 =
																				BgL_head1575z00_2221;
																		BgL_zc3z04anonymousza31942ze3z87_2226:
																			if (NULLP(BgL_l1573z00_2224))
																				{	/* SawMill/regalloc.scm 153 */
																					BgL_arg1940z00_2218 =
																						BgL_head1575z00_2221;
																				}
																			else
																				{	/* SawMill/regalloc.scm 153 */
																					obj_t BgL_newtail1577z00_2228;

																					{	/* SawMill/regalloc.scm 153 */
																						BgL_rtl_regz00_bglt
																							BgL_arg1945z00_2230;
																						{	/* SawMill/regalloc.scm 153 */
																							obj_t BgL_arg1946z00_2231;

																							BgL_arg1946z00_2231 =
																								CAR(
																								((obj_t) BgL_l1573z00_2224));
																							BgL_arg1945z00_2230 =
																								BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																								(((BgL_rtl_regz00_bglt)
																									BgL_arg1946z00_2231));
																						}
																						BgL_newtail1577z00_2228 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1945z00_2230),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1576z00_2225,
																						BgL_newtail1577z00_2228);
																					{	/* SawMill/regalloc.scm 153 */
																						obj_t BgL_arg1944z00_2229;

																						BgL_arg1944z00_2229 =
																							CDR(((obj_t) BgL_l1573z00_2224));
																						{
																							obj_t BgL_tail1576z00_6165;
																							obj_t BgL_l1573z00_6164;

																							BgL_l1573z00_6164 =
																								BgL_arg1944z00_2229;
																							BgL_tail1576z00_6165 =
																								BgL_newtail1577z00_2228;
																							BgL_tail1576z00_2225 =
																								BgL_tail1576z00_6165;
																							BgL_l1573z00_2224 =
																								BgL_l1573z00_6164;
																							goto
																								BgL_zc3z04anonymousza31942ze3z87_2226;
																						}
																					}
																				}
																		}
																	}
																}
														}
														BgL_auxz00_6141 =
															((obj_t)
															BGl_listzd2ze3regsetz31zzsaw_regsetz00
															(BgL_arg1940z00_2218, BgL_regsz00_70));
													}
													{
														obj_t BgL_auxz00_6134;

														{	/* SawMill/regalloc.scm 153 */
															BgL_objectz00_bglt BgL_tmpz00_6135;

															BgL_tmpz00_6135 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
															BgL_auxz00_6134 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6135);
														}
														BgL_auxz00_6133 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6134);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6133))->BgL_inz00) =
														((obj_t) BgL_auxz00_6141), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6169;

													{
														obj_t BgL_auxz00_6170;

														{	/* SawMill/regalloc.scm 155 */
															BgL_objectz00_bglt BgL_tmpz00_6171;

															BgL_tmpz00_6171 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2201)));
															BgL_auxz00_6170 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6171);
														}
														BgL_auxz00_6169 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6170);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6169))->BgL_spillz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_2201));
												{	/* SawMill/regalloc.scm 156 */
													obj_t BgL_g1581z00_2235;

													BgL_g1581z00_2235 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2201)))->
														BgL_argsz00);
													{
														obj_t BgL_l1579z00_2237;

														BgL_l1579z00_2237 = BgL_g1581z00_2235;
													BgL_zc3z04anonymousza31949ze3z87_2238:
														if (PAIRP(BgL_l1579z00_2237))
															{	/* SawMill/regalloc.scm 156 */
																BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
																	(BgL_regsz00_70, CAR(BgL_l1579z00_2237));
																{
																	obj_t BgL_l1579z00_6188;

																	BgL_l1579z00_6188 = CDR(BgL_l1579z00_2237);
																	BgL_l1579z00_2237 = BgL_l1579z00_6188;
																	goto BgL_zc3z04anonymousza31949ze3z87_2238;
																}
															}
														else
															{	/* SawMill/regalloc.scm 156 */
																((bool_t) 1);
															}
													}
												}
												{
													obj_t BgL_l1582z00_6191;

													BgL_l1582z00_6191 = CDR(BgL_l1582z00_2249);
													BgL_l1582z00_2249 = BgL_l1582z00_6191;
													goto BgL_zc3z04anonymousza31954ze3z87_2250;
												}
											}
										else
											{	/* SawMill/regalloc.scm 160 */
												((bool_t) 1);
											}
									}
								}
								{	/* SawMill/regalloc.scm 161 */
									BgL_blockzf2razf2_bglt BgL_wide1205z00_2257;

									BgL_wide1205z00_2257 =
										((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_blockzf2razf2_bgl))));
									{	/* SawMill/regalloc.scm 161 */
										obj_t BgL_auxz00_6198;
										BgL_objectz00_bglt BgL_tmpz00_6194;

										BgL_auxz00_6198 = ((obj_t) BgL_wide1205z00_2257);
										BgL_tmpz00_6194 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2243)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6194, BgL_auxz00_6198);
									}
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2243)));
									{	/* SawMill/regalloc.scm 161 */
										long BgL_arg1958z00_2258;

										BgL_arg1958z00_2258 =
											BGL_CLASS_NUM
											(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_blockz00_bglt) ((BgL_blockz00_bglt)
														BgL_oz00_2243))), BgL_arg1958z00_2258);
									}
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2243)));
								}
								{
									BgL_blockzf2razf2_bglt BgL_auxz00_6212;

									{
										obj_t BgL_auxz00_6213;

										{	/* SawMill/regalloc.scm 162 */
											BgL_objectz00_bglt BgL_tmpz00_6214;

											BgL_tmpz00_6214 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_oz00_2243)));
											BgL_auxz00_6213 = BGL_OBJECT_WIDENING(BgL_tmpz00_6214);
										}
										BgL_auxz00_6212 =
											((BgL_blockzf2razf2_bglt) BgL_auxz00_6213);
									}
									((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6212))->
											BgL_lastz00) = ((obj_t) BgL_lastz00_2246), BUNSPEC);
								}
								((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2243));
							}
							{
								obj_t BgL_l1585z00_6224;

								BgL_l1585z00_6224 = CDR(BgL_l1585z00_2144);
								BgL_l1585z00_2144 = BgL_l1585z00_6224;
								goto BgL_zc3z04anonymousza31894ze3z87_2145;
							}
						}
					else
						{	/* SawMill/regalloc.scm 163 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* get-args~0 */
	obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_2150)
	{
		{	/* SawMill/regalloc.scm 137 */
			{	/* SawMill/regalloc.scm 137 */
				obj_t BgL_hook1562z00_2152;

				BgL_hook1562z00_2152 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawMill/regalloc.scm 137 */
					obj_t BgL_g1563z00_2153;

					BgL_g1563z00_2153 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_2150));
					{
						obj_t BgL_l1559z00_2155;
						obj_t BgL_h1560z00_2156;

						BgL_l1559z00_2155 = BgL_g1563z00_2153;
						BgL_h1560z00_2156 = BgL_hook1562z00_2152;
					BgL_zc3z04anonymousza31901ze3z87_2157:
						if (NULLP(BgL_l1559z00_2155))
							{	/* SawMill/regalloc.scm 137 */
								return CDR(BgL_hook1562z00_2152);
							}
						else
							{	/* SawMill/regalloc.scm 137 */
								bool_t BgL_test2993z00_6232;

								{	/* SawMill/regalloc.scm 137 */
									obj_t BgL_arg1910z00_2165;

									BgL_arg1910z00_2165 = CAR(((obj_t) BgL_l1559z00_2155));
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_classz00_3977;

										BgL_classz00_3977 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
										if (BGL_OBJECTP(BgL_arg1910z00_2165))
											{	/* SawMill/regalloc.scm 137 */
												BgL_objectz00_bglt BgL_arg1820z00_3979;

												BgL_arg1820z00_3979 =
													(BgL_objectz00_bglt) (BgL_arg1910z00_2165);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 137 */
														long BgL_idxz00_3985;

														BgL_idxz00_3985 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3979);
														BgL_test2993z00_6232 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3985 + ((long) 2))) ==
															BgL_classz00_3977);
													}
												else
													{	/* SawMill/regalloc.scm 137 */
														bool_t BgL_res2778z00_4007;

														{	/* SawMill/regalloc.scm 137 */
															obj_t BgL_oclassz00_3993;

															{	/* SawMill/regalloc.scm 137 */
																long BgL_arg1828z00_3999;

																{	/* SawMill/regalloc.scm 137 */
																	long BgL_arg1829z00_4000;

																	BgL_arg1829z00_4000 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3979);
																	BgL_arg1828z00_3999 =
																		(BgL_arg1829z00_4000 - OBJECT_TYPE);
																}
																BgL_oclassz00_3993 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3999);
															}
															{	/* SawMill/regalloc.scm 137 */
																bool_t BgL__ortest_1111z00_3994;

																BgL__ortest_1111z00_3994 =
																	(BgL_classz00_3977 == BgL_oclassz00_3993);
																if (BgL__ortest_1111z00_3994)
																	{	/* SawMill/regalloc.scm 137 */
																		BgL_res2778z00_4007 =
																			BgL__ortest_1111z00_3994;
																	}
																else
																	{	/* SawMill/regalloc.scm 137 */
																		long BgL_odepthz00_3995;

																		BgL_odepthz00_3995 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3993);
																		if ((((long) 2) < BgL_odepthz00_3995))
																			{	/* SawMill/regalloc.scm 137 */
																				obj_t BgL_arg1816z00_3997;

																				BgL_arg1816z00_3997 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3993, ((long) 2));
																				BgL_res2778z00_4007 =
																					(BgL_arg1816z00_3997 ==
																					BgL_classz00_3977);
																			}
																		else
																			{	/* SawMill/regalloc.scm 137 */
																				BgL_res2778z00_4007 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2993z00_6232 = BgL_res2778z00_4007;
													}
											}
										else
											{	/* SawMill/regalloc.scm 137 */
												BgL_test2993z00_6232 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2993z00_6232)
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_nh1561z00_2161;

										{	/* SawMill/regalloc.scm 137 */
											obj_t BgL_arg1907z00_2163;

											BgL_arg1907z00_2163 = CAR(((obj_t) BgL_l1559z00_2155));
											BgL_nh1561z00_2161 =
												MAKE_YOUNG_PAIR(BgL_arg1907z00_2163, BNIL);
										}
										SET_CDR(BgL_h1560z00_2156, BgL_nh1561z00_2161);
										{	/* SawMill/regalloc.scm 137 */
											obj_t BgL_arg1906z00_2162;

											BgL_arg1906z00_2162 = CDR(((obj_t) BgL_l1559z00_2155));
											{
												obj_t BgL_h1560z00_6261;
												obj_t BgL_l1559z00_6260;

												BgL_l1559z00_6260 = BgL_arg1906z00_2162;
												BgL_h1560z00_6261 = BgL_nh1561z00_2161;
												BgL_h1560z00_2156 = BgL_h1560z00_6261;
												BgL_l1559z00_2155 = BgL_l1559z00_6260;
												goto BgL_zc3z04anonymousza31901ze3z87_2157;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 137 */
										obj_t BgL_arg1908z00_2164;

										BgL_arg1908z00_2164 = CDR(((obj_t) BgL_l1559z00_2155));
										{
											obj_t BgL_l1559z00_6264;

											BgL_l1559z00_6264 = BgL_arg1908z00_2164;
											BgL_l1559z00_2155 = BgL_l1559z00_6264;
											goto BgL_zc3z04anonymousza31901ze3z87_2157;
										}
									}
							}
					}
				}
			}
		}

	}



/* args-widen-ra!~0 */
	bool_t BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t
		BgL_regsz00_5636, obj_t BgL_oz00_2167)
	{
		{	/* SawMill/regalloc.scm 146 */
			{	/* SawMill/regalloc.scm 139 */
				bool_t BgL_test2998z00_6265;

				{	/* SawMill/regalloc.scm 139 */
					obj_t BgL_classz00_4012;

					BgL_classz00_4012 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2167))
						{	/* SawMill/regalloc.scm 139 */
							BgL_objectz00_bglt BgL_arg1820z00_4014;

							BgL_arg1820z00_4014 = (BgL_objectz00_bglt) (BgL_oz00_2167);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regalloc.scm 139 */
									long BgL_idxz00_4020;

									BgL_idxz00_4020 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4014);
									BgL_test2998z00_6265 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4020 + ((long) 1))) == BgL_classz00_4012);
								}
							else
								{	/* SawMill/regalloc.scm 139 */
									bool_t BgL_res2779z00_4042;

									{	/* SawMill/regalloc.scm 139 */
										obj_t BgL_oclassz00_4028;

										{	/* SawMill/regalloc.scm 139 */
											long BgL_arg1828z00_4034;

											{	/* SawMill/regalloc.scm 139 */
												long BgL_arg1829z00_4035;

												BgL_arg1829z00_4035 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4014);
												BgL_arg1828z00_4034 =
													(BgL_arg1829z00_4035 - OBJECT_TYPE);
											}
											BgL_oclassz00_4028 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4034);
										}
										{	/* SawMill/regalloc.scm 139 */
											bool_t BgL__ortest_1111z00_4029;

											BgL__ortest_1111z00_4029 =
												(BgL_classz00_4012 == BgL_oclassz00_4028);
											if (BgL__ortest_1111z00_4029)
												{	/* SawMill/regalloc.scm 139 */
													BgL_res2779z00_4042 = BgL__ortest_1111z00_4029;
												}
											else
												{	/* SawMill/regalloc.scm 139 */
													long BgL_odepthz00_4030;

													BgL_odepthz00_4030 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4028);
													if ((((long) 1) < BgL_odepthz00_4030))
														{	/* SawMill/regalloc.scm 139 */
															obj_t BgL_arg1816z00_4032;

															BgL_arg1816z00_4032 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4028,
																((long) 1));
															BgL_res2779z00_4042 =
																(BgL_arg1816z00_4032 == BgL_classz00_4012);
														}
													else
														{	/* SawMill/regalloc.scm 139 */
															BgL_res2779z00_4042 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2998z00_6265 = BgL_res2779z00_4042;
								}
						}
					else
						{	/* SawMill/regalloc.scm 139 */
							BgL_test2998z00_6265 = ((bool_t) 0);
						}
				}
				if (BgL_test2998z00_6265)
					{	/* SawMill/regalloc.scm 139 */
						{	/* SawMill/regalloc.scm 141 */
							BgL_rtl_inszf2razf2_bglt BgL_wide1194z00_2173;

							BgL_wide1194z00_2173 =
								((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_inszf2razf2_bgl))));
							{	/* SawMill/regalloc.scm 141 */
								obj_t BgL_auxz00_6290;
								BgL_objectz00_bglt BgL_tmpz00_6286;

								BgL_auxz00_6290 = ((obj_t) BgL_wide1194z00_2173);
								BgL_tmpz00_6286 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6286, BgL_auxz00_6290);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
							{	/* SawMill/regalloc.scm 141 */
								long BgL_arg1914z00_2174;

								BgL_arg1914z00_2174 =
									BGL_CLASS_NUM
									(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
												BgL_oz00_2167))), BgL_arg1914z00_2174);
							}
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6304;

							{
								obj_t BgL_auxz00_6305;

								{	/* SawMill/regalloc.scm 142 */
									BgL_objectz00_bglt BgL_tmpz00_6306;

									BgL_tmpz00_6306 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
									BgL_auxz00_6305 = BGL_OBJECT_WIDENING(BgL_tmpz00_6306);
								}
								BgL_auxz00_6304 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6305);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6304))->
									BgL_defz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5636))), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6315;

							{
								obj_t BgL_auxz00_6316;

								{	/* SawMill/regalloc.scm 144 */
									BgL_objectz00_bglt BgL_tmpz00_6317;

									BgL_tmpz00_6317 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
									BgL_auxz00_6316 = BGL_OBJECT_WIDENING(BgL_tmpz00_6317);
								}
								BgL_auxz00_6315 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6316);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6315))->
									BgL_outz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5636))), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6334;
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6326;

							{	/* SawMill/regalloc.scm 143 */
								obj_t BgL_arg1915z00_2176;

								{	/* SawMill/regalloc.scm 143 */
									obj_t BgL_l1564z00_2177;

									BgL_l1564z00_2177 =
										BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
										(BgL_oz00_2167);
									if (NULLP(BgL_l1564z00_2177))
										{	/* SawMill/regalloc.scm 143 */
											BgL_arg1915z00_2176 = BNIL;
										}
									else
										{	/* SawMill/regalloc.scm 143 */
											obj_t BgL_head1566z00_2179;

											{	/* SawMill/regalloc.scm 143 */
												BgL_rtl_regz00_bglt BgL_arg1922z00_2191;

												{	/* SawMill/regalloc.scm 143 */
													obj_t BgL_arg1924z00_2192;

													BgL_arg1924z00_2192 =
														CAR(((obj_t) BgL_l1564z00_2177));
													BgL_arg1922z00_2191 =
														BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
														(((BgL_rtl_regz00_bglt) BgL_arg1924z00_2192));
												}
												BgL_head1566z00_2179 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1922z00_2191), BNIL);
											}
											{	/* SawMill/regalloc.scm 143 */
												obj_t BgL_g1569z00_2180;

												BgL_g1569z00_2180 = CDR(((obj_t) BgL_l1564z00_2177));
												{
													obj_t BgL_l1564z00_2182;
													obj_t BgL_tail1567z00_2183;

													BgL_l1564z00_2182 = BgL_g1569z00_2180;
													BgL_tail1567z00_2183 = BgL_head1566z00_2179;
												BgL_zc3z04anonymousza31917ze3z87_2184:
													if (NULLP(BgL_l1564z00_2182))
														{	/* SawMill/regalloc.scm 143 */
															BgL_arg1915z00_2176 = BgL_head1566z00_2179;
														}
													else
														{	/* SawMill/regalloc.scm 143 */
															obj_t BgL_newtail1568z00_2186;

															{	/* SawMill/regalloc.scm 143 */
																BgL_rtl_regz00_bglt BgL_arg1920z00_2188;

																{	/* SawMill/regalloc.scm 143 */
																	obj_t BgL_arg1921z00_2189;

																	BgL_arg1921z00_2189 =
																		CAR(((obj_t) BgL_l1564z00_2182));
																	BgL_arg1920z00_2188 =
																		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																		(((BgL_rtl_regz00_bglt)
																			BgL_arg1921z00_2189));
																}
																BgL_newtail1568z00_2186 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1920z00_2188), BNIL);
															}
															SET_CDR(BgL_tail1567z00_2183,
																BgL_newtail1568z00_2186);
															{	/* SawMill/regalloc.scm 143 */
																obj_t BgL_arg1919z00_2187;

																BgL_arg1919z00_2187 =
																	CDR(((obj_t) BgL_l1564z00_2182));
																{
																	obj_t BgL_tail1567z00_6358;
																	obj_t BgL_l1564z00_6357;

																	BgL_l1564z00_6357 = BgL_arg1919z00_2187;
																	BgL_tail1567z00_6358 =
																		BgL_newtail1568z00_2186;
																	BgL_tail1567z00_2183 = BgL_tail1567z00_6358;
																	BgL_l1564z00_2182 = BgL_l1564z00_6357;
																	goto BgL_zc3z04anonymousza31917ze3z87_2184;
																}
															}
														}
												}
											}
										}
								}
								BgL_auxz00_6334 =
									((obj_t)
									BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_arg1915z00_2176,
										BgL_regsz00_5636));
							}
							{
								obj_t BgL_auxz00_6327;

								{	/* SawMill/regalloc.scm 143 */
									BgL_objectz00_bglt BgL_tmpz00_6328;

									BgL_tmpz00_6328 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
									BgL_auxz00_6327 = BGL_OBJECT_WIDENING(BgL_tmpz00_6328);
								}
								BgL_auxz00_6326 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6327);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6326))->
									BgL_inz00) = ((obj_t) BgL_auxz00_6334), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6362;

							{
								obj_t BgL_auxz00_6363;

								{	/* SawMill/regalloc.scm 145 */
									BgL_objectz00_bglt BgL_tmpz00_6364;

									BgL_tmpz00_6364 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2167)));
									BgL_auxz00_6363 = BGL_OBJECT_WIDENING(BgL_tmpz00_6364);
								}
								BgL_auxz00_6362 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6363);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6362))->
									BgL_spillz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5636))), BUNSPEC);
						}
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2167));
						{	/* SawMill/regalloc.scm 146 */
							obj_t BgL_g1572z00_2193;

							BgL_g1572z00_2193 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_oz00_2167)))->BgL_argsz00);
							{
								obj_t BgL_l1570z00_2195;

								BgL_l1570z00_2195 = BgL_g1572z00_2193;
							BgL_zc3z04anonymousza31925ze3z87_2196:
								if (PAIRP(BgL_l1570z00_2195))
									{	/* SawMill/regalloc.scm 146 */
										BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
											(BgL_regsz00_5636, CAR(BgL_l1570z00_2195));
										{
											obj_t BgL_l1570z00_6381;

											BgL_l1570z00_6381 = CDR(BgL_l1570z00_2195);
											BgL_l1570z00_2195 = BgL_l1570z00_6381;
											goto BgL_zc3z04anonymousza31925ze3z87_2196;
										}
									}
								else
									{	/* SawMill/regalloc.scm 146 */
										return ((bool_t) 1);
									}
							}
						}
					}
				else
					{	/* SawMill/regalloc.scm 139 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* liveness! */
	obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t BgL_blocksz00_71,
		obj_t BgL_argsz00_72)
	{
		{	/* SawMill/regalloc.scm 171 */
			{	/* SawMill/regalloc.scm 172 */
				obj_t BgL_list1960z00_2265;

				BgL_list1960z00_2265 =
					MAKE_YOUNG_PAIR(BGl_string2838z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list1960z00_2265);
			}
			if (NULLP(BgL_blocksz00_71))
				{	/* SawMill/regalloc.scm 175 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/regalloc.scm 176 */
					obj_t BgL_inssz00_2267;

					BgL_inssz00_2267 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) CAR(BgL_blocksz00_71))))->BgL_firstz00);
					if (NULLP(BgL_inssz00_2267))
						{	/* SawMill/regalloc.scm 177 */
							((bool_t) 0);
						}
					else
						{	/* SawMill/regalloc.scm 178 */
							obj_t BgL_insz00_2269;

							BgL_insz00_2269 = CAR(BgL_inssz00_2267);
							{
								obj_t BgL_l1587z00_2272;

								BgL_l1587z00_2272 = BgL_argsz00_72;
							BgL_zc3z04anonymousza31963ze3z87_2273:
								if (PAIRP(BgL_l1587z00_2272))
									{	/* SawMill/regalloc.scm 180 */
										{	/* SawMill/regalloc.scm 180 */
											obj_t BgL_az00_2275;

											BgL_az00_2275 = CAR(BgL_l1587z00_2272);
											{	/* SawMill/regalloc.scm 180 */
												obj_t BgL_arg1965z00_2276;

												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6397;

													{
														obj_t BgL_auxz00_6398;

														{	/* SawMill/regalloc.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_6399;

															BgL_tmpz00_6399 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_insz00_2269));
															BgL_auxz00_6398 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6399);
														}
														BgL_auxz00_6397 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6398);
													}
													BgL_arg1965z00_2276 =
														(((BgL_rtl_inszf2razf2_bglt)
															COBJECT(BgL_auxz00_6397))->BgL_inz00);
												}
												BGl_regsetzd2addz12zc0zzsaw_regsetz00(
													((BgL_regsetz00_bglt) BgL_arg1965z00_2276),
													((BgL_rtl_regz00_bglt) BgL_az00_2275));
											}
										}
										{
											obj_t BgL_l1587z00_6408;

											BgL_l1587z00_6408 = CDR(BgL_l1587z00_2272);
											BgL_l1587z00_2272 = BgL_l1587z00_6408;
											goto BgL_zc3z04anonymousza31963ze3z87_2273;
										}
									}
								else
									{	/* SawMill/regalloc.scm 180 */
										((bool_t) 1);
									}
							}
						}
				}
			{
				long BgL_iz00_2281;

				BgL_iz00_2281 = ((long) 0);
			BgL_zc3z04anonymousza31968ze3z87_2282:
				{	/* SawMill/regalloc.scm 183 */
					obj_t BgL_list1969z00_2283;

					{	/* SawMill/regalloc.scm 183 */
						obj_t BgL_arg1970z00_2284;

						BgL_arg1970z00_2284 = MAKE_YOUNG_PAIR(BINT(BgL_iz00_2281), BNIL);
						BgL_list1969z00_2283 =
							MAKE_YOUNG_PAIR(BGl_string2839z00zzsaw_registerzd2allocationzd2,
							BgL_arg1970z00_2284);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list1969z00_2283);
				}
				{
					obj_t BgL_bsz00_2286;
					obj_t BgL_tz00_2287;

					BgL_bsz00_2286 = BgL_blocksz00_71;
					BgL_tz00_2287 = BFALSE;
				BgL_zc3z04anonymousza31971ze3z87_2288:
					if (NULLP(BgL_bsz00_2286))
						{	/* SawMill/regalloc.scm 186 */
							if (CBOOL(BgL_tz00_2287))
								{
									long BgL_iz00_6419;

									BgL_iz00_6419 = (BgL_iz00_2281 + ((long) 1));
									BgL_iz00_2281 = BgL_iz00_6419;
									goto BgL_zc3z04anonymousza31968ze3z87_2282;
								}
							else
								{	/* SawMill/regalloc.scm 187 */
									((bool_t) 0);
								}
						}
					else
						{	/* SawMill/regalloc.scm 190 */
							obj_t BgL_arg1974z00_2291;
							obj_t BgL_arg1975z00_2292;

							BgL_arg1974z00_2291 = CDR(((obj_t) BgL_bsz00_2286));
							{	/* SawMill/regalloc.scm 190 */
								obj_t BgL__ortest_1208z00_2293;

								{	/* SawMill/regalloc.scm 190 */
									obj_t BgL_arg1976z00_2294;

									BgL_arg1976z00_2294 = CAR(((obj_t) BgL_bsz00_2286));
									BgL__ortest_1208z00_2293 =
										BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2
										(BgL_arg1976z00_2294);
								}
								if (CBOOL(BgL__ortest_1208z00_2293))
									{	/* SawMill/regalloc.scm 190 */
										BgL_arg1975z00_2292 = BgL__ortest_1208z00_2293;
									}
								else
									{	/* SawMill/regalloc.scm 190 */
										BgL_arg1975z00_2292 = BgL_tz00_2287;
									}
							}
							{
								obj_t BgL_tz00_6429;
								obj_t BgL_bsz00_6428;

								BgL_bsz00_6428 = BgL_arg1974z00_2291;
								BgL_tz00_6429 = BgL_arg1975z00_2292;
								BgL_tz00_2287 = BgL_tz00_6429;
								BgL_bsz00_2286 = BgL_bsz00_6428;
								goto BgL_zc3z04anonymousza31971ze3z87_2288;
							}
						}
				}
			}
			{	/* SawMill/regalloc.scm 191 */
				obj_t BgL_list1977z00_2297;

				BgL_list1977z00_2297 =
					MAKE_YOUNG_PAIR(BGl_string2840z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
					BgL_list1977z00_2297);
		}}

	}



/* liveness-block! */
	obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blockz00_73)
	{
		{	/* SawMill/regalloc.scm 196 */
			{	/* SawMill/regalloc.scm 198 */
				obj_t BgL_g1210z00_2299;

				{	/* SawMill/regalloc.scm 199 */
					obj_t BgL_l1589z00_2346;

					BgL_l1589z00_2346 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_blockz00_73))))->BgL_succsz00);
					if (NULLP(BgL_l1589z00_2346))
						{	/* SawMill/regalloc.scm 199 */
							BgL_g1210z00_2299 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 199 */
							obj_t BgL_head1591z00_2348;

							BgL_head1591z00_2348 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1589z00_2350;
								obj_t BgL_tail1592z00_2351;

								BgL_l1589z00_2350 = BgL_l1589z00_2346;
								BgL_tail1592z00_2351 = BgL_head1591z00_2348;
							BgL_zc3z04anonymousza32006ze3z87_2352:
								if (NULLP(BgL_l1589z00_2350))
									{	/* SawMill/regalloc.scm 199 */
										BgL_g1210z00_2299 = CDR(BgL_head1591z00_2348);
									}
								else
									{	/* SawMill/regalloc.scm 199 */
										obj_t BgL_newtail1593z00_2354;

										{	/* SawMill/regalloc.scm 199 */
											obj_t BgL_arg2010z00_2356;

											{	/* SawMill/regalloc.scm 199 */
												obj_t BgL_pairz00_4096;

												BgL_pairz00_4096 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1589z00_2350)))))->
													BgL_firstz00);
												BgL_arg2010z00_2356 = CAR(BgL_pairz00_4096);
											}
											BgL_newtail1593z00_2354 =
												MAKE_YOUNG_PAIR(BgL_arg2010z00_2356, BNIL);
										}
										SET_CDR(BgL_tail1592z00_2351, BgL_newtail1593z00_2354);
										{	/* SawMill/regalloc.scm 199 */
											obj_t BgL_arg2008z00_2355;

											BgL_arg2008z00_2355 = CDR(((obj_t) BgL_l1589z00_2350));
											{
												obj_t BgL_tail1592z00_6452;
												obj_t BgL_l1589z00_6451;

												BgL_l1589z00_6451 = BgL_arg2008z00_2355;
												BgL_tail1592z00_6452 = BgL_newtail1593z00_2354;
												BgL_tail1592z00_2351 = BgL_tail1592z00_6452;
												BgL_l1589z00_2350 = BgL_l1589z00_6451;
												goto BgL_zc3z04anonymousza32006ze3z87_2352;
											}
										}
									}
							}
						}
				}
				{
					obj_t BgL_inssz00_2302;
					obj_t BgL_succz00_2303;
					obj_t BgL_tz00_2304;

					{	/* SawMill/regalloc.scm 198 */
						obj_t BgL_arg1978z00_2301;

						{
							BgL_blockzf2razf2_bglt BgL_auxz00_6453;

							{
								obj_t BgL_auxz00_6454;

								{	/* SawMill/regalloc.scm 198 */
									BgL_objectz00_bglt BgL_tmpz00_6455;

									BgL_tmpz00_6455 =
										((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_blockz00_73));
									BgL_auxz00_6454 = BGL_OBJECT_WIDENING(BgL_tmpz00_6455);
								}
								BgL_auxz00_6453 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_6454);
							}
							BgL_arg1978z00_2301 =
								(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6453))->
								BgL_lastz00);
						}
						BgL_inssz00_2302 = BgL_arg1978z00_2301;
						BgL_succz00_2303 = BgL_g1210z00_2299;
						BgL_tz00_2304 = BFALSE;
					BgL_zc3z04anonymousza31979ze3z87_2305:
						if (PAIRP(BgL_inssz00_2302))
							{	/* SawMill/regalloc.scm 202 */
								BgL_rtl_insz00_bglt BgL_i1211z00_2307;

								BgL_i1211z00_2307 =
									((BgL_rtl_insz00_bglt) CAR(BgL_inssz00_2302));
								{	/* SawMill/regalloc.scm 203 */
									obj_t BgL_uz00_5470;

									{	/* SawMill/regalloc.scm 204 */
										obj_t BgL_cellvalz00_6465;

										{	/* SawMill/regalloc.scm 204 */
											bool_t BgL_test3015z00_6466;

											{	/* SawMill/regalloc.scm 204 */
												obj_t BgL_classz00_4100;

												BgL_classz00_4100 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_succz00_2303))
													{	/* SawMill/regalloc.scm 204 */
														BgL_objectz00_bglt BgL_arg1820z00_4102;

														BgL_arg1820z00_4102 =
															(BgL_objectz00_bglt) (BgL_succz00_2303);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 204 */
																long BgL_idxz00_4108;

																BgL_idxz00_4108 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4102);
																BgL_test3015z00_6466 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4108 + ((long) 1))) ==
																	BgL_classz00_4100);
															}
														else
															{	/* SawMill/regalloc.scm 204 */
																bool_t BgL_res2781z00_4130;

																{	/* SawMill/regalloc.scm 204 */
																	obj_t BgL_oclassz00_4116;

																	{	/* SawMill/regalloc.scm 204 */
																		long BgL_arg1828z00_4122;

																		{	/* SawMill/regalloc.scm 204 */
																			long BgL_arg1829z00_4123;

																			BgL_arg1829z00_4123 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4102);
																			BgL_arg1828z00_4122 =
																				(BgL_arg1829z00_4123 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4116 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4122);
																	}
																	{	/* SawMill/regalloc.scm 204 */
																		bool_t BgL__ortest_1111z00_4117;

																		BgL__ortest_1111z00_4117 =
																			(BgL_classz00_4100 == BgL_oclassz00_4116);
																		if (BgL__ortest_1111z00_4117)
																			{	/* SawMill/regalloc.scm 204 */
																				BgL_res2781z00_4130 =
																					BgL__ortest_1111z00_4117;
																			}
																		else
																			{	/* SawMill/regalloc.scm 204 */
																				long BgL_odepthz00_4118;

																				BgL_odepthz00_4118 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4116);
																				if ((((long) 1) < BgL_odepthz00_4118))
																					{	/* SawMill/regalloc.scm 204 */
																						obj_t BgL_arg1816z00_4120;

																						BgL_arg1816z00_4120 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4116, ((long) 1));
																						BgL_res2781z00_4130 =
																							(BgL_arg1816z00_4120 ==
																							BgL_classz00_4100);
																					}
																				else
																					{	/* SawMill/regalloc.scm 204 */
																						BgL_res2781z00_4130 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3015z00_6466 = BgL_res2781z00_4130;
															}
													}
												else
													{	/* SawMill/regalloc.scm 204 */
														BgL_test3015z00_6466 = ((bool_t) 0);
													}
											}
											if (BgL_test3015z00_6466)
												{	/* SawMill/regalloc.scm 205 */
													obj_t BgL_arg1992z00_2324;
													obj_t BgL_arg1993z00_2325;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6486;

														{
															obj_t BgL_auxz00_6487;

															{	/* SawMill/regalloc.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6488;

																BgL_tmpz00_6488 =
																	((BgL_objectz00_bglt) BgL_i1211z00_2307);
																BgL_auxz00_6487 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6488);
															}
															BgL_auxz00_6486 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6487);
														}
														BgL_arg1992z00_2324 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6486))->BgL_outz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6493;

														{
															obj_t BgL_auxz00_6494;

															{	/* SawMill/regalloc.scm 205 */
																BgL_objectz00_bglt BgL_tmpz00_6495;

																BgL_tmpz00_6495 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_succz00_2303));
																BgL_auxz00_6494 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6495);
															}
															BgL_auxz00_6493 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6494);
														}
														BgL_arg1993z00_2325 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6493))->BgL_inz00);
													}
													BgL_cellvalz00_6465 =
														BBOOL(BGl_regsetzd2unionz12zc0zzsaw_regsetz00(
															((BgL_regsetz00_bglt) BgL_arg1992z00_2324),
															((BgL_regsetz00_bglt) BgL_arg1993z00_2325)));
												}
											else
												{	/* SawMill/regalloc.scm 204 */
													if (PAIRP(BgL_succz00_2303))
														{	/* SawMill/regalloc.scm 207 */
															obj_t BgL_arg1995z00_2327;
															obj_t BgL_arg1996z00_2328;

															{
																BgL_rtl_inszf2razf2_bglt BgL_auxz00_6507;

																{
																	obj_t BgL_auxz00_6508;

																	{	/* SawMill/regalloc.scm 207 */
																		BgL_objectz00_bglt BgL_tmpz00_6509;

																		BgL_tmpz00_6509 =
																			((BgL_objectz00_bglt) BgL_i1211z00_2307);
																		BgL_auxz00_6508 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6509);
																	}
																	BgL_auxz00_6507 =
																		((BgL_rtl_inszf2razf2_bglt)
																		BgL_auxz00_6508);
																}
																BgL_arg1995z00_2327 =
																	(((BgL_rtl_inszf2razf2_bglt)
																		COBJECT(BgL_auxz00_6507))->BgL_outz00);
															}
															{	/* SawMill/regalloc.scm 207 */
																obj_t BgL_head1597z00_2331;

																{	/* SawMill/regalloc.scm 207 */
																	obj_t BgL_arg2003z00_2343;

																	{	/* SawMill/regalloc.scm 207 */
																		BgL_rtl_insz00_bglt BgL_oz00_4136;

																		BgL_oz00_4136 =
																			((BgL_rtl_insz00_bglt)
																			CAR(BgL_succz00_2303));
																		{
																			BgL_rtl_inszf2razf2_bglt BgL_auxz00_6516;

																			{
																				obj_t BgL_auxz00_6517;

																				{	/* SawMill/regalloc.scm 207 */
																					BgL_objectz00_bglt BgL_tmpz00_6518;

																					BgL_tmpz00_6518 =
																						((BgL_objectz00_bglt)
																						BgL_oz00_4136);
																					BgL_auxz00_6517 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_6518);
																				}
																				BgL_auxz00_6516 =
																					((BgL_rtl_inszf2razf2_bglt)
																					BgL_auxz00_6517);
																			}
																			BgL_arg2003z00_2343 =
																				(((BgL_rtl_inszf2razf2_bglt)
																					COBJECT(BgL_auxz00_6516))->BgL_inz00);
																		}
																	}
																	BgL_head1597z00_2331 =
																		MAKE_YOUNG_PAIR(BgL_arg2003z00_2343, BNIL);
																}
																{	/* SawMill/regalloc.scm 207 */
																	obj_t BgL_g1600z00_2332;

																	BgL_g1600z00_2332 = CDR(BgL_succz00_2303);
																	{
																		obj_t BgL_l1595z00_2334;
																		obj_t BgL_tail1598z00_2335;

																		BgL_l1595z00_2334 = BgL_g1600z00_2332;
																		BgL_tail1598z00_2335 = BgL_head1597z00_2331;
																	BgL_zc3z04anonymousza31998ze3z87_2336:
																		if (NULLP(BgL_l1595z00_2334))
																			{	/* SawMill/regalloc.scm 207 */
																				BgL_arg1996z00_2328 =
																					BgL_head1597z00_2331;
																			}
																		else
																			{	/* SawMill/regalloc.scm 207 */
																				obj_t BgL_newtail1599z00_2338;

																				{	/* SawMill/regalloc.scm 207 */
																					obj_t BgL_arg2001z00_2340;

																					{	/* SawMill/regalloc.scm 207 */
																						BgL_rtl_insz00_bglt BgL_oz00_4140;

																						BgL_oz00_4140 =
																							((BgL_rtl_insz00_bglt)
																							CAR(((obj_t) BgL_l1595z00_2334)));
																						{
																							BgL_rtl_inszf2razf2_bglt
																								BgL_auxz00_6530;
																							{
																								obj_t BgL_auxz00_6531;

																								{	/* SawMill/regalloc.scm 207 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6532;
																									BgL_tmpz00_6532 =
																										((BgL_objectz00_bglt)
																										BgL_oz00_4140);
																									BgL_auxz00_6531 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_6532);
																								}
																								BgL_auxz00_6530 =
																									((BgL_rtl_inszf2razf2_bglt)
																									BgL_auxz00_6531);
																							}
																							BgL_arg2001z00_2340 =
																								(((BgL_rtl_inszf2razf2_bglt)
																									COBJECT(BgL_auxz00_6530))->
																								BgL_inz00);
																						}
																					}
																					BgL_newtail1599z00_2338 =
																						MAKE_YOUNG_PAIR(BgL_arg2001z00_2340,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1598z00_2335,
																					BgL_newtail1599z00_2338);
																				{	/* SawMill/regalloc.scm 207 */
																					obj_t BgL_arg2000z00_2339;

																					BgL_arg2000z00_2339 =
																						CDR(((obj_t) BgL_l1595z00_2334));
																					{
																						obj_t BgL_tail1598z00_6542;
																						obj_t BgL_l1595z00_6541;

																						BgL_l1595z00_6541 =
																							BgL_arg2000z00_2339;
																						BgL_tail1598z00_6542 =
																							BgL_newtail1599z00_2338;
																						BgL_tail1598z00_2335 =
																							BgL_tail1598z00_6542;
																						BgL_l1595z00_2334 =
																							BgL_l1595z00_6541;
																						goto
																							BgL_zc3z04anonymousza31998ze3z87_2336;
																					}
																				}
																			}
																	}
																}
															}
															BgL_cellvalz00_6465 =
																BBOOL(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00
																(((BgL_regsetz00_bglt) BgL_arg1995z00_2327),
																	BgL_arg1996z00_2328));
														}
													else
														{	/* SawMill/regalloc.scm 206 */
															BgL_cellvalz00_6465 = BFALSE;
														}
												}
										}
										BgL_uz00_5470 = MAKE_CELL(BgL_cellvalz00_6465);
									}
									{	/* SawMill/regalloc.scm 210 */
										obj_t BgL_arg1982z00_2310;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_6546;

											{
												obj_t BgL_auxz00_6547;

												{	/* SawMill/regalloc.scm 210 */
													BgL_objectz00_bglt BgL_tmpz00_6548;

													BgL_tmpz00_6548 =
														((BgL_objectz00_bglt) BgL_i1211z00_2307);
													BgL_auxz00_6547 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6548);
												}
												BgL_auxz00_6546 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6547);
											}
											BgL_arg1982z00_2310 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6546))->
												BgL_outz00);
										}
										{	/* SawMill/regalloc.scm 211 */
											obj_t BgL_zc3z04anonymousza31983ze3z87_5464;

											BgL_zc3z04anonymousza31983ze3z87_5464 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_registerzd2allocationzd2,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31983ze3z87_5464,
												(int) (((long) 0)), ((obj_t) BgL_i1211z00_2307));
											PROCEDURE_SET(BgL_zc3z04anonymousza31983ze3z87_5464,
												(int) (((long) 1)), ((obj_t) BgL_uz00_5470));
											BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
												(BgL_zc3z04anonymousza31983ze3z87_5464,
												((BgL_regsetz00_bglt) BgL_arg1982z00_2310));
									}}
									{	/* SawMill/regalloc.scm 214 */
										obj_t BgL_arg1988z00_2319;
										obj_t BgL_arg1989z00_2320;
										obj_t BgL_arg1990z00_2321;

										BgL_arg1988z00_2319 = CDR(BgL_inssz00_2302);
										BgL_arg1989z00_2320 = CAR(BgL_inssz00_2302);
										if (CBOOL(BgL_tz00_2304))
											{	/* SawMill/regalloc.scm 214 */
												BgL_arg1990z00_2321 = BgL_tz00_2304;
											}
										else
											{	/* SawMill/regalloc.scm 214 */
												BgL_arg1990z00_2321 = CELL_REF(BgL_uz00_5470);
											}
										{
											obj_t BgL_tz00_6570;
											obj_t BgL_succz00_6569;
											obj_t BgL_inssz00_6568;

											BgL_inssz00_6568 = BgL_arg1988z00_2319;
											BgL_succz00_6569 = BgL_arg1989z00_2320;
											BgL_tz00_6570 = BgL_arg1990z00_2321;
											BgL_tz00_2304 = BgL_tz00_6570;
											BgL_succz00_2303 = BgL_succz00_6569;
											BgL_inssz00_2302 = BgL_inssz00_6568;
											goto BgL_zc3z04anonymousza31979ze3z87_2305;
										}
									}
								}
							}
						else
							{	/* SawMill/regalloc.scm 201 */
								return BgL_tz00_2304;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1983> */
	obj_t BGl_z62zc3z04anonymousza31983ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5465, obj_t BgL_rz00_5468)
	{
		{	/* SawMill/regalloc.scm 210 */
			{	/* SawMill/regalloc.scm 211 */
				BgL_rtl_insz00_bglt BgL_i1211z00_5466;
				obj_t BgL_uz00_5467;

				BgL_i1211z00_5466 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5465, (int) (((long) 0))));
				BgL_uz00_5467 = PROCEDURE_REF(BgL_envz00_5465, (int) (((long) 1)));
				{	/* SawMill/regalloc.scm 211 */
					bool_t BgL_test3023z00_6576;

					{	/* SawMill/regalloc.scm 211 */
						obj_t BgL_arg1987z00_5649;

						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6577;

							{
								obj_t BgL_auxz00_6578;

								{	/* SawMill/regalloc.scm 211 */
									BgL_objectz00_bglt BgL_tmpz00_6579;

									BgL_tmpz00_6579 = ((BgL_objectz00_bglt) BgL_i1211z00_5466);
									BgL_auxz00_6578 = BGL_OBJECT_WIDENING(BgL_tmpz00_6579);
								}
								BgL_auxz00_6577 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6578);
							}
							BgL_arg1987z00_5649 =
								(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6577))->
								BgL_defz00);
						}
						BgL_test3023z00_6576 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_rz00_5468),
							((BgL_regsetz00_bglt) BgL_arg1987z00_5649));
					}
					if (BgL_test3023z00_6576)
						{	/* SawMill/regalloc.scm 211 */
							return BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 212 */
							obj_t BgL_auxz00_5650;

							{	/* SawMill/regalloc.scm 212 */
								bool_t BgL__ortest_1212z00_5651;

								{	/* SawMill/regalloc.scm 212 */
									obj_t BgL_arg1986z00_5652;

									{
										BgL_rtl_inszf2razf2_bglt BgL_auxz00_6587;

										{
											obj_t BgL_auxz00_6588;

											{	/* SawMill/regalloc.scm 212 */
												BgL_objectz00_bglt BgL_tmpz00_6589;

												BgL_tmpz00_6589 =
													((BgL_objectz00_bglt) BgL_i1211z00_5466);
												BgL_auxz00_6588 = BGL_OBJECT_WIDENING(BgL_tmpz00_6589);
											}
											BgL_auxz00_6587 =
												((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6588);
										}
										BgL_arg1986z00_5652 =
											(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6587))->
											BgL_inz00);
									}
									BgL__ortest_1212z00_5651 =
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg1986z00_5652),
										((BgL_rtl_regz00_bglt) BgL_rz00_5468));
								}
								if (BgL__ortest_1212z00_5651)
									{	/* SawMill/regalloc.scm 212 */
										BgL_auxz00_5650 = BBOOL(BgL__ortest_1212z00_5651);
									}
								else
									{	/* SawMill/regalloc.scm 212 */
										BgL_auxz00_5650 = CELL_REF(BgL_uz00_5467);
									}
							}
							return CELL_SET(BgL_uz00_5467, BgL_auxz00_5650);
						}
				}
			}
		}

	}



/* hardware-mutual-interference! */
	bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t BgL_regsz00_76)
	{
		{	/* SawMill/regalloc.scm 237 */
			{
				obj_t BgL_rz00_2361;

				BgL_rz00_2361 = BgL_regsz00_76;
			BgL_zc3z04anonymousza32012ze3z87_2362:
				if (PAIRP(BgL_rz00_2361))
					{	/* SawMill/regalloc.scm 240 */
						obj_t BgL_r1z00_2364;

						BgL_r1z00_2364 = CAR(BgL_rz00_2361);
						{	/* SawMill/regalloc.scm 241 */
							obj_t BgL_g1610z00_2365;

							BgL_g1610z00_2365 = CDR(BgL_rz00_2361);
							{
								obj_t BgL_l1608z00_2367;

								BgL_l1608z00_2367 = BgL_g1610z00_2365;
							BgL_zc3z04anonymousza32014ze3z87_2368:
								if (PAIRP(BgL_l1608z00_2367))
									{	/* SawMill/regalloc.scm 241 */
										BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
											(BgL_r1z00_2364, CAR(BgL_l1608z00_2367));
										{
											obj_t BgL_l1608z00_6607;

											BgL_l1608z00_6607 = CDR(BgL_l1608z00_2367);
											BgL_l1608z00_2367 = BgL_l1608z00_6607;
											goto BgL_zc3z04anonymousza32014ze3z87_2368;
										}
									}
								else
									{	/* SawMill/regalloc.scm 241 */
										((bool_t) 1);
									}
							}
						}
						{
							obj_t BgL_rz00_6609;

							BgL_rz00_6609 = CDR(BgL_rz00_2361);
							BgL_rz00_2361 = BgL_rz00_6609;
							goto BgL_zc3z04anonymousza32012ze3z87_2362;
						}
					}
				else
					{	/* SawMill/regalloc.scm 239 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* hardware-parameters-interference! */
	bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_77, obj_t BgL_pregsz00_78)
	{
		{	/* SawMill/regalloc.scm 254 */
			{	/* SawMill/regalloc.scm 256 */
				obj_t BgL_g1615z00_2376;

				BgL_g1615z00_2376 =
					(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->BgL_registersz00);
				{
					obj_t BgL_l1613z00_2378;

					BgL_l1613z00_2378 = BgL_g1615z00_2376;
				BgL_zc3z04anonymousza32019ze3z87_2379:
					if (PAIRP(BgL_l1613z00_2378))
						{	/* SawMill/regalloc.scm 256 */
							{	/* SawMill/regalloc.scm 257 */
								obj_t BgL_rz00_2381;

								BgL_rz00_2381 = CAR(BgL_l1613z00_2378);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_rz00_2381,
											(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->
												BgL_pregistersz00))))
									{	/* SawMill/regalloc.scm 257 */
										((bool_t) 0);
									}
								else
									{
										obj_t BgL_l1611z00_2385;

										BgL_l1611z00_2385 = BgL_pregsz00_78;
									BgL_zc3z04anonymousza32023ze3z87_2386:
										if (PAIRP(BgL_l1611z00_2385))
											{	/* SawMill/regalloc.scm 258 */
												BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
													(CAR(BgL_l1611z00_2385), BgL_rz00_2381);
												{
													obj_t BgL_l1611z00_6623;

													BgL_l1611z00_6623 = CDR(BgL_l1611z00_2385);
													BgL_l1611z00_2385 = BgL_l1611z00_6623;
													goto BgL_zc3z04anonymousza32023ze3z87_2386;
												}
											}
										else
											{	/* SawMill/regalloc.scm 258 */
												((bool_t) 1);
											}
									}
							}
							{
								obj_t BgL_l1613z00_6625;

								BgL_l1613z00_6625 = CDR(BgL_l1613z00_2378);
								BgL_l1613z00_2378 = BgL_l1613z00_6625;
								goto BgL_zc3z04anonymousza32019ze3z87_2379;
							}
						}
					else
						{	/* SawMill/regalloc.scm 256 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* hardware-interference! */
	bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_79, obj_t BgL_oz00_80)
	{
		{	/* SawMill/regalloc.scm 269 */
			{
				obj_t BgL_oz00_2523;

				{
					obj_t BgL_l1637z00_2397;

					BgL_l1637z00_2397 = BgL_oz00_80;
				BgL_zc3z04anonymousza32029ze3z87_2398:
					if (PAIRP(BgL_l1637z00_2397))
						{	/* SawMill/regalloc.scm 317 */
							BgL_oz00_2523 = CAR(BgL_l1637z00_2397);
							{	/* SawMill/regalloc.scm 313 */
								obj_t BgL_g1636z00_2525;

								BgL_g1636z00_2525 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oz00_2523)))->BgL_firstz00);
								{
									obj_t BgL_l1634z00_2527;

									BgL_l1634z00_2527 = BgL_g1636z00_2525;
								BgL_zc3z04anonymousza32109ze3z87_2528:
									if (PAIRP(BgL_l1634z00_2527))
										{	/* SawMill/regalloc.scm 316 */
											{	/* SawMill/regalloc.scm 314 */
												obj_t BgL_oz00_2530;

												BgL_oz00_2530 = CAR(BgL_l1634z00_2527);
												{	/* SawMill/regalloc.scm 315 */
													obj_t BgL_arg2111z00_2532;
													obj_t BgL_arg2112z00_2533;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6634;

														{
															obj_t BgL_auxz00_6635;

															{	/* SawMill/regalloc.scm 315 */
																BgL_objectz00_bglt BgL_tmpz00_6636;

																BgL_tmpz00_6636 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2530));
																BgL_auxz00_6635 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6636);
															}
															BgL_auxz00_6634 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6635);
														}
														BgL_arg2111z00_2532 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6634))->BgL_inz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6642;

														{
															obj_t BgL_auxz00_6643;

															{	/* SawMill/regalloc.scm 315 */
																BgL_objectz00_bglt BgL_tmpz00_6644;

																BgL_tmpz00_6644 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2530));
																BgL_auxz00_6643 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6644);
															}
															BgL_auxz00_6642 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6643);
														}
														BgL_arg2112z00_2533 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6642))->BgL_outz00);
													}
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_79,
														((BgL_rtl_insz00_bglt) BgL_oz00_2530),
														BgL_arg2111z00_2532, BgL_arg2112z00_2533);
												}
											}
											{
												obj_t BgL_l1634z00_6652;

												BgL_l1634z00_6652 = CDR(BgL_l1634z00_2527);
												BgL_l1634z00_2527 = BgL_l1634z00_6652;
												goto BgL_zc3z04anonymousza32109ze3z87_2528;
											}
										}
									else
										{	/* SawMill/regalloc.scm 316 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1637z00_6655;

								BgL_l1637z00_6655 = CDR(BgL_l1637z00_2397);
								BgL_l1637z00_2397 = BgL_l1637z00_6655;
								goto BgL_zc3z04anonymousza32029ze3z87_2398;
							}
						}
					else
						{	/* SawMill/regalloc.scm 317 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* ins-hardware-interference!~0 */
	bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_5635, BgL_rtl_insz00_bglt BgL_oz00_2403,
		obj_t BgL_inz00_2404, obj_t BgL_outz00_2405)
	{
		{	/* SawMill/regalloc.scm 311 */
			{	/* SawMill/regalloc.scm 271 */
				obj_t BgL_resetz00_2407;

				BgL_resetz00_2407 =
					BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
					(BgL_backz00_5635, ((obj_t) BgL_oz00_2403));
				{	/* SawMill/regalloc.scm 272 */
					obj_t BgL_spillz00_2408;
					obj_t BgL_rdestz00_2409;
					obj_t BgL_a0z00_2410;
					obj_t BgL_a1z00_2411;

					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4159;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6659;

							BgL_tmpz00_6659 = (int) (((long) 1));
							BgL_tmpz00_4159 = BGL_MVALUES_VAL(BgL_tmpz00_6659);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6662;

							BgL_tmpz00_6662 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6662, BUNSPEC);
						}
						BgL_spillz00_2408 = BgL_tmpz00_4159;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4160;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6665;

							BgL_tmpz00_6665 = (int) (((long) 2));
							BgL_tmpz00_4160 = BGL_MVALUES_VAL(BgL_tmpz00_6665);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6668;

							BgL_tmpz00_6668 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6668, BUNSPEC);
						}
						BgL_rdestz00_2409 = BgL_tmpz00_4160;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4161;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6671;

							BgL_tmpz00_6671 = (int) (((long) 3));
							BgL_tmpz00_4161 = BGL_MVALUES_VAL(BgL_tmpz00_6671);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6674;

							BgL_tmpz00_6674 = (int) (((long) 3));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6674, BUNSPEC);
						}
						BgL_a0z00_2410 = BgL_tmpz00_4161;
					}
					{	/* SawMill/regalloc.scm 281 */
						obj_t BgL_tmpz00_4162;

						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6677;

							BgL_tmpz00_6677 = (int) (((long) 4));
							BgL_tmpz00_4162 = BGL_MVALUES_VAL(BgL_tmpz00_6677);
						}
						{	/* SawMill/regalloc.scm 281 */
							int BgL_tmpz00_6680;

							BgL_tmpz00_6680 = (int) (((long) 4));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6680, BUNSPEC);
						}
						BgL_a1z00_2411 = BgL_tmpz00_4162;
					}
					if (NULLP(BgL_resetz00_2407))
						{	/* SawMill/regalloc.scm 273 */
							BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 273 */
							{	/* SawMill/regalloc.scm 275 */
								obj_t BgL_zc3z04anonymousza32038ze3z87_5473;

								BgL_zc3z04anonymousza32038ze3z87_5473 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32038ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32038ze3z87_5473,
									(int) (((long) 0)), BgL_resetz00_2407);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32038ze3z87_5473,
									((BgL_regsetz00_bglt) BgL_inz00_2404));
							}
							{	/* SawMill/regalloc.scm 279 */
								obj_t BgL_zc3z04anonymousza32043ze3z87_5472;

								BgL_zc3z04anonymousza32043ze3z87_5472 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32043ze3z87_5472,
									(int) (((long) 0)), BgL_resetz00_2407);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32043ze3z87_5472,
									((BgL_regsetz00_bglt) BgL_outz00_2405));
						}}
					{	/* SawMill/regalloc.scm 285 */
						bool_t BgL_test3033z00_6699;

						if (PAIRP(BgL_rdestz00_2409))
							{	/* SawMill/regalloc.scm 285 */
								obj_t BgL_arg2056z00_2451;

								BgL_arg2056z00_2451 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->BgL_destz00);
								{	/* SawMill/regalloc.scm 285 */
									obj_t BgL_classz00_4167;

									BgL_classz00_4167 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									if (BGL_OBJECTP(BgL_arg2056z00_2451))
										{	/* SawMill/regalloc.scm 285 */
											BgL_objectz00_bglt BgL_arg1820z00_4169;

											BgL_arg1820z00_4169 =
												(BgL_objectz00_bglt) (BgL_arg2056z00_2451);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawMill/regalloc.scm 285 */
													long BgL_idxz00_4175;

													BgL_idxz00_4175 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4169);
													BgL_test3033z00_6699 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4175 + ((long) 2))) ==
														BgL_classz00_4167);
												}
											else
												{	/* SawMill/regalloc.scm 285 */
													bool_t BgL_res2782z00_4197;

													{	/* SawMill/regalloc.scm 285 */
														obj_t BgL_oclassz00_4183;

														{	/* SawMill/regalloc.scm 285 */
															long BgL_arg1828z00_4189;

															{	/* SawMill/regalloc.scm 285 */
																long BgL_arg1829z00_4190;

																BgL_arg1829z00_4190 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4169);
																BgL_arg1828z00_4189 =
																	(BgL_arg1829z00_4190 - OBJECT_TYPE);
															}
															BgL_oclassz00_4183 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4189);
														}
														{	/* SawMill/regalloc.scm 285 */
															bool_t BgL__ortest_1111z00_4184;

															BgL__ortest_1111z00_4184 =
																(BgL_classz00_4167 == BgL_oclassz00_4183);
															if (BgL__ortest_1111z00_4184)
																{	/* SawMill/regalloc.scm 285 */
																	BgL_res2782z00_4197 =
																		BgL__ortest_1111z00_4184;
																}
															else
																{	/* SawMill/regalloc.scm 285 */
																	long BgL_odepthz00_4185;

																	BgL_odepthz00_4185 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4183);
																	if ((((long) 2) < BgL_odepthz00_4185))
																		{	/* SawMill/regalloc.scm 285 */
																			obj_t BgL_arg1816z00_4187;

																			BgL_arg1816z00_4187 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4183, ((long) 2));
																			BgL_res2782z00_4197 =
																				(BgL_arg1816z00_4187 ==
																				BgL_classz00_4167);
																		}
																	else
																		{	/* SawMill/regalloc.scm 285 */
																			BgL_res2782z00_4197 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3033z00_6699 = BgL_res2782z00_4197;
												}
										}
									else
										{	/* SawMill/regalloc.scm 285 */
											BgL_test3033z00_6699 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								BgL_test3033z00_6699 = ((bool_t) 0);
							}
						if (BgL_test3033z00_6699)
							{	/* SawMill/regalloc.scm 286 */
								obj_t BgL_g1622z00_2440;

								BgL_g1622z00_2440 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5635))->
									BgL_registersz00);
								{
									obj_t BgL_l1620z00_2442;

									BgL_l1620z00_2442 = BgL_g1622z00_2440;
								BgL_zc3z04anonymousza32050ze3z87_2443:
									if (PAIRP(BgL_l1620z00_2442))
										{	/* SawMill/regalloc.scm 286 */
											{	/* SawMill/regalloc.scm 287 */
												obj_t BgL_rz00_2445;

												BgL_rz00_2445 = CAR(BgL_l1620z00_2442);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2445, BgL_rdestz00_2409)))
													{	/* SawMill/regalloc.scm 287 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 288 */
														obj_t BgL_arg2053z00_2447;

														BgL_arg2053z00_2447 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
															BgL_destz00);
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_arg2053z00_2447, BgL_rz00_2445);
													}
											}
											{
												obj_t BgL_l1620z00_6733;

												BgL_l1620z00_6733 = CDR(BgL_l1620z00_2442);
												BgL_l1620z00_2442 = BgL_l1620z00_6733;
												goto BgL_zc3z04anonymousza32050ze3z87_2443;
											}
										}
									else
										{	/* SawMill/regalloc.scm 286 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 291 */
						bool_t BgL_test3041z00_6735;

						if (PAIRP(BgL_a0z00_2410))
							{	/* SawMill/regalloc.scm 291 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 291 */
										BgL_test3041z00_6735 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 291 */
										obj_t BgL_arg2071z00_2472;

										{	/* SawMill/regalloc.scm 291 */
											obj_t BgL_pairz00_4200;

											BgL_pairz00_4200 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
												BgL_argsz00);
											BgL_arg2071z00_2472 = CAR(BgL_pairz00_4200);
										}
										{	/* SawMill/regalloc.scm 291 */
											obj_t BgL_classz00_4201;

											BgL_classz00_4201 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
											if (BGL_OBJECTP(BgL_arg2071z00_2472))
												{	/* SawMill/regalloc.scm 291 */
													BgL_objectz00_bglt BgL_arg1820z00_4203;

													BgL_arg1820z00_4203 =
														(BgL_objectz00_bglt) (BgL_arg2071z00_2472);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* SawMill/regalloc.scm 291 */
															long BgL_idxz00_4209;

															BgL_idxz00_4209 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4203);
															BgL_test3041z00_6735 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4209 + ((long) 2))) ==
																BgL_classz00_4201);
														}
													else
														{	/* SawMill/regalloc.scm 291 */
															bool_t BgL_res2783z00_4231;

															{	/* SawMill/regalloc.scm 291 */
																obj_t BgL_oclassz00_4217;

																{	/* SawMill/regalloc.scm 291 */
																	long BgL_arg1828z00_4223;

																	{	/* SawMill/regalloc.scm 291 */
																		long BgL_arg1829z00_4224;

																		BgL_arg1829z00_4224 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4203);
																		BgL_arg1828z00_4223 =
																			(BgL_arg1829z00_4224 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4217 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4223);
																}
																{	/* SawMill/regalloc.scm 291 */
																	bool_t BgL__ortest_1111z00_4218;

																	BgL__ortest_1111z00_4218 =
																		(BgL_classz00_4201 == BgL_oclassz00_4217);
																	if (BgL__ortest_1111z00_4218)
																		{	/* SawMill/regalloc.scm 291 */
																			BgL_res2783z00_4231 =
																				BgL__ortest_1111z00_4218;
																		}
																	else
																		{	/* SawMill/regalloc.scm 291 */
																			long BgL_odepthz00_4219;

																			BgL_odepthz00_4219 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4217);
																			if ((((long) 2) < BgL_odepthz00_4219))
																				{	/* SawMill/regalloc.scm 291 */
																					obj_t BgL_arg1816z00_4221;

																					BgL_arg1816z00_4221 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4217, ((long) 2));
																					BgL_res2783z00_4231 =
																						(BgL_arg1816z00_4221 ==
																						BgL_classz00_4201);
																				}
																			else
																				{	/* SawMill/regalloc.scm 291 */
																					BgL_res2783z00_4231 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3041z00_6735 = BgL_res2783z00_4231;
														}
												}
											else
												{	/* SawMill/regalloc.scm 291 */
													BgL_test3041z00_6735 = ((bool_t) 0);
												}
										}
									}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								BgL_test3041z00_6735 = ((bool_t) 0);
							}
						if (BgL_test3041z00_6735)
							{	/* SawMill/regalloc.scm 292 */
								obj_t BgL_g1625z00_2459;

								BgL_g1625z00_2459 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5635))->
									BgL_registersz00);
								{
									obj_t BgL_l1623z00_2461;

									BgL_l1623z00_2461 = BgL_g1625z00_2459;
								BgL_zc3z04anonymousza32064ze3z87_2462:
									if (PAIRP(BgL_l1623z00_2461))
										{	/* SawMill/regalloc.scm 292 */
											{	/* SawMill/regalloc.scm 293 */
												obj_t BgL_rz00_2464;

												BgL_rz00_2464 = CAR(BgL_l1623z00_2461);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2464, BgL_a0z00_2410)))
													{	/* SawMill/regalloc.scm 293 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 294 */
														obj_t BgL_arg2067z00_2466;

														{	/* SawMill/regalloc.scm 294 */
															obj_t BgL_pairz00_4233;

															BgL_pairz00_4233 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
																BgL_argsz00);
															BgL_arg2067z00_2466 = CAR(BgL_pairz00_4233);
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2464, BgL_arg2067z00_2466);
													}
											}
											{
												obj_t BgL_l1623z00_6775;

												BgL_l1623z00_6775 = CDR(BgL_l1623z00_2461);
												BgL_l1623z00_2461 = BgL_l1623z00_6775;
												goto BgL_zc3z04anonymousza32064ze3z87_2462;
											}
										}
									else
										{	/* SawMill/regalloc.scm 292 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 297 */
						bool_t BgL_test3050z00_6777;

						if (PAIRP(BgL_a1z00_2411))
							{	/* SawMill/regalloc.scm 297 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 298 */
										BgL_test3050z00_6777 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 298 */
										bool_t BgL_test3053z00_6784;

										{	/* SawMill/regalloc.scm 298 */
											obj_t BgL_tmpz00_6785;

											{	/* SawMill/regalloc.scm 298 */
												obj_t BgL_pairz00_4235;

												BgL_pairz00_4235 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
													BgL_argsz00);
												BgL_tmpz00_6785 = CDR(BgL_pairz00_4235);
											}
											BgL_test3053z00_6784 = PAIRP(BgL_tmpz00_6785);
										}
										if (BgL_test3053z00_6784)
											{	/* SawMill/regalloc.scm 299 */
												obj_t BgL_arg2094z00_2501;

												{	/* SawMill/regalloc.scm 299 */
													obj_t BgL_pairz00_4236;

													BgL_pairz00_4236 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
														BgL_argsz00);
													BgL_arg2094z00_2501 = CAR(CDR(BgL_pairz00_4236));
												}
												{	/* SawMill/regalloc.scm 299 */
													obj_t BgL_classz00_4240;

													BgL_classz00_4240 =
														BGl_rtl_regzf2razf2zzsaw_regsetz00;
													if (BGL_OBJECTP(BgL_arg2094z00_2501))
														{	/* SawMill/regalloc.scm 299 */
															BgL_objectz00_bglt BgL_arg1820z00_4242;

															BgL_arg1820z00_4242 =
																(BgL_objectz00_bglt) (BgL_arg2094z00_2501);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawMill/regalloc.scm 299 */
																	long BgL_idxz00_4248;

																	BgL_idxz00_4248 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4242);
																	BgL_test3050z00_6777 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4248 + ((long) 2))) ==
																		BgL_classz00_4240);
																}
															else
																{	/* SawMill/regalloc.scm 299 */
																	bool_t BgL_res2784z00_4270;

																	{	/* SawMill/regalloc.scm 299 */
																		obj_t BgL_oclassz00_4256;

																		{	/* SawMill/regalloc.scm 299 */
																			long BgL_arg1828z00_4262;

																			{	/* SawMill/regalloc.scm 299 */
																				long BgL_arg1829z00_4263;

																				BgL_arg1829z00_4263 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4242);
																				BgL_arg1828z00_4262 =
																					(BgL_arg1829z00_4263 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4256 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4262);
																		}
																		{	/* SawMill/regalloc.scm 299 */
																			bool_t BgL__ortest_1111z00_4257;

																			BgL__ortest_1111z00_4257 =
																				(BgL_classz00_4240 ==
																				BgL_oclassz00_4256);
																			if (BgL__ortest_1111z00_4257)
																				{	/* SawMill/regalloc.scm 299 */
																					BgL_res2784z00_4270 =
																						BgL__ortest_1111z00_4257;
																				}
																			else
																				{	/* SawMill/regalloc.scm 299 */
																					long BgL_odepthz00_4258;

																					BgL_odepthz00_4258 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4256);
																					if ((((long) 2) < BgL_odepthz00_4258))
																						{	/* SawMill/regalloc.scm 299 */
																							obj_t BgL_arg1816z00_4260;

																							BgL_arg1816z00_4260 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4256,
																								((long) 2));
																							BgL_res2784z00_4270 =
																								(BgL_arg1816z00_4260 ==
																								BgL_classz00_4240);
																						}
																					else
																						{	/* SawMill/regalloc.scm 299 */
																							BgL_res2784z00_4270 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3050z00_6777 = BgL_res2784z00_4270;
																}
														}
													else
														{	/* SawMill/regalloc.scm 299 */
															BgL_test3050z00_6777 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawMill/regalloc.scm 298 */
												BgL_test3050z00_6777 = ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawMill/regalloc.scm 297 */
								BgL_test3050z00_6777 = ((bool_t) 0);
							}
						if (BgL_test3050z00_6777)
							{	/* SawMill/regalloc.scm 300 */
								obj_t BgL_g1628z00_2487;

								BgL_g1628z00_2487 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5635))->
									BgL_registersz00);
								{
									obj_t BgL_l1626z00_2489;

									BgL_l1626z00_2489 = BgL_g1628z00_2487;
								BgL_zc3z04anonymousza32088ze3z87_2490:
									if (PAIRP(BgL_l1626z00_2489))
										{	/* SawMill/regalloc.scm 300 */
											{	/* SawMill/regalloc.scm 301 */
												obj_t BgL_rz00_2492;

												BgL_rz00_2492 = CAR(BgL_l1626z00_2489);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2492, BgL_a1z00_2411)))
													{	/* SawMill/regalloc.scm 301 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 302 */
														obj_t BgL_arg2091z00_2494;

														{	/* SawMill/regalloc.scm 302 */
															obj_t BgL_pairz00_4272;

															BgL_pairz00_4272 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->
																BgL_argsz00);
															BgL_arg2091z00_2494 = CAR(CDR(BgL_pairz00_4272));
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2492, BgL_arg2091z00_2494);
													}
											}
											{
												obj_t BgL_l1626z00_6825;

												BgL_l1626z00_6825 = CDR(BgL_l1626z00_2489);
												BgL_l1626z00_2489 = BgL_l1626z00_6825;
												goto BgL_zc3z04anonymousza32088ze3z87_2490;
											}
										}
									else
										{	/* SawMill/regalloc.scm 300 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 297 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 305 */
						obj_t BgL_g1631z00_2506;

						BgL_g1631z00_2506 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2403)))->BgL_argsz00);
						{
							obj_t BgL_l1629z00_2508;

							BgL_l1629z00_2508 = BgL_g1631z00_2506;
						BgL_zc3z04anonymousza32100ze3z87_2509:
							if (PAIRP(BgL_l1629z00_2508))
								{	/* SawMill/regalloc.scm 305 */
									{	/* SawMill/regalloc.scm 306 */
										obj_t BgL_az00_2511;

										BgL_az00_2511 = CAR(BgL_l1629z00_2508);
										{	/* SawMill/regalloc.scm 306 */
											bool_t BgL_test3061z00_6832;

											{	/* SawMill/regalloc.scm 306 */
												obj_t BgL_classz00_4278;

												BgL_classz00_4278 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_az00_2511))
													{	/* SawMill/regalloc.scm 306 */
														BgL_objectz00_bglt BgL_arg1820z00_4280;

														BgL_arg1820z00_4280 =
															(BgL_objectz00_bglt) (BgL_az00_2511);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 306 */
																long BgL_idxz00_4286;

																BgL_idxz00_4286 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4280);
																BgL_test3061z00_6832 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4286 + ((long) 1))) ==
																	BgL_classz00_4278);
															}
														else
															{	/* SawMill/regalloc.scm 306 */
																bool_t BgL_res2785z00_4308;

																{	/* SawMill/regalloc.scm 306 */
																	obj_t BgL_oclassz00_4294;

																	{	/* SawMill/regalloc.scm 306 */
																		long BgL_arg1828z00_4300;

																		{	/* SawMill/regalloc.scm 306 */
																			long BgL_arg1829z00_4301;

																			BgL_arg1829z00_4301 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4280);
																			BgL_arg1828z00_4300 =
																				(BgL_arg1829z00_4301 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4294 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4300);
																	}
																	{	/* SawMill/regalloc.scm 306 */
																		bool_t BgL__ortest_1111z00_4295;

																		BgL__ortest_1111z00_4295 =
																			(BgL_classz00_4278 == BgL_oclassz00_4294);
																		if (BgL__ortest_1111z00_4295)
																			{	/* SawMill/regalloc.scm 306 */
																				BgL_res2785z00_4308 =
																					BgL__ortest_1111z00_4295;
																			}
																		else
																			{	/* SawMill/regalloc.scm 306 */
																				long BgL_odepthz00_4296;

																				BgL_odepthz00_4296 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4294);
																				if ((((long) 1) < BgL_odepthz00_4296))
																					{	/* SawMill/regalloc.scm 306 */
																						obj_t BgL_arg1816z00_4298;

																						BgL_arg1816z00_4298 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4294, ((long) 1));
																						BgL_res2785z00_4308 =
																							(BgL_arg1816z00_4298 ==
																							BgL_classz00_4278);
																					}
																				else
																					{	/* SawMill/regalloc.scm 306 */
																						BgL_res2785z00_4308 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3061z00_6832 = BgL_res2785z00_4308;
															}
													}
												else
													{	/* SawMill/regalloc.scm 306 */
														BgL_test3061z00_6832 = ((bool_t) 0);
													}
											}
											if (BgL_test3061z00_6832)
												{	/* SawMill/regalloc.scm 306 */
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_5635,
														((BgL_rtl_insz00_bglt) BgL_az00_2511),
														BgL_inz00_2404, BgL_outz00_2405);
												}
											else
												{	/* SawMill/regalloc.scm 306 */
													((bool_t) 0);
												}
										}
									}
									{
										obj_t BgL_l1629z00_6854;

										BgL_l1629z00_6854 = CDR(BgL_l1629z00_2508);
										BgL_l1629z00_2508 = BgL_l1629z00_6854;
										goto BgL_zc3z04anonymousza32100ze3z87_2509;
									}
								}
							else
								{	/* SawMill/regalloc.scm 305 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1632z00_2516;

						BgL_l1632z00_2516 = BgL_spillz00_2408;
					BgL_zc3z04anonymousza32104ze3z87_2517:
						if (PAIRP(BgL_l1632z00_2516))
							{	/* SawMill/regalloc.scm 309 */
								{	/* SawMill/regalloc.scm 310 */
									obj_t BgL_rz00_2519;

									BgL_rz00_2519 = CAR(BgL_l1632z00_2516);
									{	/* SawMill/regalloc.scm 310 */
										obj_t BgL_arg2106z00_2520;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_6859;

											{
												obj_t BgL_auxz00_6860;

												{	/* SawMill/regalloc.scm 310 */
													BgL_objectz00_bglt BgL_tmpz00_6861;

													BgL_tmpz00_6861 =
														((BgL_objectz00_bglt) BgL_oz00_2403);
													BgL_auxz00_6860 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6861);
												}
												BgL_auxz00_6859 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6860);
											}
											BgL_arg2106z00_2520 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6859))->
												BgL_spillz00);
										}
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
											((BgL_regsetz00_bglt) BgL_arg2106z00_2520),
											((BgL_rtl_regz00_bglt) BgL_rz00_2519));
									}
								}
								{
									obj_t BgL_l1632z00_6869;

									BgL_l1632z00_6869 = CDR(BgL_l1632z00_2516);
									BgL_l1632z00_2516 = BgL_l1632z00_6869;
									goto BgL_zc3z04anonymousza32104ze3z87_2517;
								}
							}
						else
							{	/* SawMill/regalloc.scm 309 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2043> */
	obj_t BGl_z62zc3z04anonymousza32043ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5474, obj_t BgL_r1z00_5476)
	{
		{	/* SawMill/regalloc.scm 278 */
			{	/* SawMill/regalloc.scm 279 */
				obj_t BgL_resetz00_5475;

				BgL_resetz00_5475 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5474, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 279 */
					bool_t BgL_tmpz00_6874;

					{
						obj_t BgL_l1618z00_5654;

						BgL_l1618z00_5654 = BgL_resetz00_5475;
					BgL_zc3z04anonymousza32044ze3z87_5653:
						if (PAIRP(BgL_l1618z00_5654))
							{	/* SawMill/regalloc.scm 279 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5476, CAR(BgL_l1618z00_5654));
								{
									obj_t BgL_l1618z00_6879;

									BgL_l1618z00_6879 = CDR(BgL_l1618z00_5654);
									BgL_l1618z00_5654 = BgL_l1618z00_6879;
									goto BgL_zc3z04anonymousza32044ze3z87_5653;
								}
							}
						else
							{	/* SawMill/regalloc.scm 279 */
								BgL_tmpz00_6874 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_6874);
				}
			}
		}

	}



/* &<@anonymous:2038> */
	obj_t BGl_z62zc3z04anonymousza32038ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5477, obj_t BgL_r1z00_5479)
	{
		{	/* SawMill/regalloc.scm 274 */
			{	/* SawMill/regalloc.scm 275 */
				obj_t BgL_resetz00_5478;

				BgL_resetz00_5478 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5477, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 275 */
					bool_t BgL_tmpz00_6885;

					{
						obj_t BgL_l1616z00_5656;

						BgL_l1616z00_5656 = BgL_resetz00_5478;
					BgL_zc3z04anonymousza32039ze3z87_5655:
						if (PAIRP(BgL_l1616z00_5656))
							{	/* SawMill/regalloc.scm 275 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5479, CAR(BgL_l1616z00_5656));
								{
									obj_t BgL_l1616z00_6890;

									BgL_l1616z00_6890 = CDR(BgL_l1616z00_5656);
									BgL_l1616z00_5656 = BgL_l1616z00_6890;
									goto BgL_zc3z04anonymousza32039ze3z87_5655;
								}
							}
						else
							{	/* SawMill/regalloc.scm 275 */
								BgL_tmpz00_6885 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_6885);
				}
			}
		}

	}



/* interference! */
	obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_83, obj_t BgL_regsz00_84)
	{
		{	/* SawMill/regalloc.scm 350 */
			{	/* SawMill/regalloc.scm 351 */
				obj_t BgL_list2114z00_2538;

				BgL_list2114z00_2538 =
					MAKE_YOUNG_PAIR(BGl_string2841z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list2114z00_2538);
			}
			{
				obj_t BgL_l1645z00_2540;

				BgL_l1645z00_2540 = BgL_blocksz00_83;
			BgL_zc3z04anonymousza32115ze3z87_2541:
				if (PAIRP(BgL_l1645z00_2540))
					{	/* SawMill/regalloc.scm 353 */
						{	/* SawMill/regalloc.scm 354 */
							obj_t BgL_bz00_2543;

							BgL_bz00_2543 = CAR(BgL_l1645z00_2540);
							{	/* SawMill/regalloc.scm 354 */
								obj_t BgL_g1644z00_2544;

								BgL_g1644z00_2544 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2543)))->BgL_firstz00);
								{
									obj_t BgL_l1642z00_2546;

									BgL_l1642z00_2546 = BgL_g1644z00_2544;
								BgL_zc3z04anonymousza32117ze3z87_2547:
									if (PAIRP(BgL_l1642z00_2546))
										{	/* SawMill/regalloc.scm 354 */
											{	/* SawMill/regalloc.scm 354 */
												obj_t BgL_iz00_2549;

												BgL_iz00_2549 = CAR(BgL_l1642z00_2546);
												BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_insz00_bglt) BgL_iz00_2549));
											}
											{
												obj_t BgL_l1642z00_6906;

												BgL_l1642z00_6906 = CDR(BgL_l1642z00_2546);
												BgL_l1642z00_2546 = BgL_l1642z00_6906;
												goto BgL_zc3z04anonymousza32117ze3z87_2547;
											}
										}
									else
										{	/* SawMill/regalloc.scm 354 */
											((bool_t) 1);
										}
								}
							}
						}
						{
							obj_t BgL_l1645z00_6908;

							BgL_l1645z00_6908 = CDR(BgL_l1645z00_2540);
							BgL_l1645z00_2540 = BgL_l1645z00_6908;
							goto BgL_zc3z04anonymousza32115ze3z87_2541;
						}
					}
				else
					{	/* SawMill/regalloc.scm 353 */
						((bool_t) 1);
					}
			}
			{	/* SawMill/regalloc.scm 356 */
				obj_t BgL_list2121z00_2554;

				BgL_list2121z00_2554 =
					MAKE_YOUNG_PAIR(BGl_string2842z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
					BgL_list2121z00_2554);
		}}

	}



/* interfere-ins! */
	obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_insz00_bglt
		BgL_iz00_85)
	{
		{	/* SawMill/regalloc.scm 361 */
			{	/* SawMill/regalloc.scm 364 */
				obj_t BgL_arg2123z00_2557;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_6913;

					{
						obj_t BgL_auxz00_6914;

						{	/* SawMill/regalloc.scm 363 */
							BgL_objectz00_bglt BgL_tmpz00_6915;

							BgL_tmpz00_6915 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_6914 = BGL_OBJECT_WIDENING(BgL_tmpz00_6915);
						}
						BgL_auxz00_6913 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6914);
					}
					BgL_arg2123z00_2557 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6913))->BgL_inz00);
				}
				{	/* SawMill/regalloc.scm 366 */
					obj_t BgL_zc3z04anonymousza32124ze3z87_5483;

					BgL_zc3z04anonymousza32124ze3z87_5483 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32124ze3z87_5483,
						(int) (((long) 0)), ((obj_t) BgL_iz00_85));
					BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32124ze3z87_5483,
						((BgL_regsetz00_bglt) BgL_arg2123z00_2557));
			}}
			{	/* SawMill/regalloc.scm 371 */
				obj_t BgL_arg2130z00_2567;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_6928;

					{
						obj_t BgL_auxz00_6929;

						{	/* SawMill/regalloc.scm 370 */
							BgL_objectz00_bglt BgL_tmpz00_6930;

							BgL_tmpz00_6930 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_6929 = BGL_OBJECT_WIDENING(BgL_tmpz00_6930);
						}
						BgL_auxz00_6928 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6929);
					}
					BgL_arg2130z00_2567 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6928))->BgL_outz00);
				}
				{	/* SawMill/regalloc.scm 373 */
					obj_t BgL_zc3z04anonymousza32131ze3z87_5481;

					BgL_zc3z04anonymousza32131ze3z87_5481 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_5481,
						(int) (((long) 0)), ((obj_t) BgL_iz00_85));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32131ze3z87_5481,
						((BgL_regsetz00_bglt) BgL_arg2130z00_2567));
				}
			}
		}

	}



/* &<@anonymous:2131> */
	obj_t BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5484, obj_t BgL_r1z00_5486)
	{
		{	/* SawMill/regalloc.scm 371 */
			{	/* SawMill/regalloc.scm 373 */
				BgL_rtl_insz00_bglt BgL_i1220z00_5485;

				BgL_i1220z00_5485 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5484, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 373 */
					obj_t BgL_arg2133z00_5657;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_6946;

						{
							obj_t BgL_auxz00_6947;

							{	/* SawMill/regalloc.scm 372 */
								BgL_objectz00_bglt BgL_tmpz00_6948;

								BgL_tmpz00_6948 = ((BgL_objectz00_bglt) BgL_i1220z00_5485);
								BgL_auxz00_6947 = BGL_OBJECT_WIDENING(BgL_tmpz00_6948);
							}
							BgL_auxz00_6946 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6947);
						}
						BgL_arg2133z00_5657 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6946))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 374 */
						obj_t BgL_zc3z04anonymousza32134ze3z87_5658;

						BgL_zc3z04anonymousza32134ze3z87_5658 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32134ze3z87_5658,
							(int) (((long) 0)), BgL_r1z00_5486);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32134ze3z87_5658,
							((BgL_regsetz00_bglt) BgL_arg2133z00_5657));
					}
				}
			}
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5487, obj_t BgL_r2z00_5489)
	{
		{	/* SawMill/regalloc.scm 373 */
			{	/* SawMill/regalloc.scm 374 */
				obj_t BgL_r1z00_5488;

				BgL_r1z00_5488 = PROCEDURE_REF(BgL_envz00_5487, (int) (((long) 0)));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5488, BgL_r2z00_5489));
			}
		}

	}



/* &<@anonymous:2124> */
	obj_t BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5490, obj_t BgL_r1z00_5492)
	{
		{	/* SawMill/regalloc.scm 364 */
			{	/* SawMill/regalloc.scm 366 */
				BgL_rtl_insz00_bglt BgL_i1220z00_5491;

				BgL_i1220z00_5491 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5490, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 366 */
					obj_t BgL_arg2126z00_5659;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_6967;

						{
							obj_t BgL_auxz00_6968;

							{	/* SawMill/regalloc.scm 365 */
								BgL_objectz00_bglt BgL_tmpz00_6969;

								BgL_tmpz00_6969 = ((BgL_objectz00_bglt) BgL_i1220z00_5491);
								BgL_auxz00_6968 = BGL_OBJECT_WIDENING(BgL_tmpz00_6969);
							}
							BgL_auxz00_6967 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6968);
						}
						BgL_arg2126z00_5659 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6967))->
							BgL_inz00);
					}
					{	/* SawMill/regalloc.scm 367 */
						obj_t BgL_zc3z04anonymousza32127ze3z87_5660;

						BgL_zc3z04anonymousza32127ze3z87_5660 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_5660,
							(int) (((long) 0)), BgL_r1z00_5492);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32127ze3z87_5660,
							((BgL_regsetz00_bglt) BgL_arg2126z00_5659));
					}
				}
			}
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5493, obj_t BgL_r2z00_5495)
	{
		{	/* SawMill/regalloc.scm 366 */
			{	/* SawMill/regalloc.scm 367 */
				obj_t BgL_r1z00_5494;

				BgL_r1z00_5494 = PROCEDURE_REF(BgL_envz00_5493, (int) (((long) 0)));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5494, BgL_r2z00_5495));
			}
		}

	}



/* interfere-reg! */
	bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_r1z00_86, obj_t BgL_r2z00_87)
	{
		{	/* SawMill/regalloc.scm 381 */
			{	/* SawMill/regalloc.scm 382 */
				bool_t BgL_test3071z00_6985;

				if ((BgL_r1z00_86 == BgL_r2z00_87))
					{	/* SawMill/regalloc.scm 382 */
						BgL_test3071z00_6985 = ((bool_t) 1);
					}
				else
					{	/* SawMill/regalloc.scm 382 */
						obj_t BgL_arg2139z00_2580;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_6988;

							{
								obj_t BgL_auxz00_6989;

								{	/* SawMill/regalloc.scm 382 */
									BgL_objectz00_bglt BgL_tmpz00_6990;

									BgL_tmpz00_6990 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_r1z00_86));
									BgL_auxz00_6989 = BGL_OBJECT_WIDENING(BgL_tmpz00_6990);
								}
								BgL_auxz00_6988 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6989);
							}
							BgL_arg2139z00_2580 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6988))->
								BgL_interferez00);
						}
						BgL_test3071z00_6985 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_r2z00_87),
							((BgL_regsetz00_bglt) BgL_arg2139z00_2580));
					}
				if (BgL_test3071z00_6985)
					{	/* SawMill/regalloc.scm 382 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/regalloc.scm 382 */
						{	/* SawMill/regalloc.scm 383 */
							obj_t BgL_arg2137z00_2578;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_6999;

								{
									obj_t BgL_auxz00_7000;

									{	/* SawMill/regalloc.scm 383 */
										BgL_objectz00_bglt BgL_tmpz00_7001;

										BgL_tmpz00_7001 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r1z00_86));
										BgL_auxz00_7000 = BGL_OBJECT_WIDENING(BgL_tmpz00_7001);
									}
									BgL_auxz00_6999 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7000);
								}
								BgL_arg2137z00_2578 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6999))->
									BgL_interferez00);
							}
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2137z00_2578),
								((BgL_rtl_regz00_bglt) BgL_r2z00_87));
						}
						{	/* SawMill/regalloc.scm 384 */
							obj_t BgL_arg2138z00_2579;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7010;

								{
									obj_t BgL_auxz00_7011;

									{	/* SawMill/regalloc.scm 384 */
										BgL_objectz00_bglt BgL_tmpz00_7012;

										BgL_tmpz00_7012 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r2z00_87));
										BgL_auxz00_7011 = BGL_OBJECT_WIDENING(BgL_tmpz00_7012);
									}
									BgL_auxz00_7010 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7011);
								}
								BgL_arg2138z00_2579 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7010))->
									BgL_interferez00);
							}
							return
								BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2138z00_2579),
								((BgL_rtl_regz00_bglt) BgL_r1z00_86));
						}
					}
			}
		}

	}



/* cleanup-dest! */
	obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_88)
	{
		{	/* SawMill/regalloc.scm 389 */
			{	/* SawMill/regalloc.scm 390 */
				obj_t BgL_list2140z00_2581;

				BgL_list2140z00_2581 =
					MAKE_YOUNG_PAIR(BGl_string2843z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list2140z00_2581);
			}
			{	/* SawMill/regalloc.scm 391 */
				long BgL_nz00_2582;

				BgL_nz00_2582 = ((long) 0);
				{
					obj_t BgL_l1650z00_2584;

					BgL_l1650z00_2584 = BgL_blocksz00_88;
				BgL_zc3z04anonymousza32141ze3z87_2585:
					if (PAIRP(BgL_l1650z00_2584))
						{	/* SawMill/regalloc.scm 392 */
							{	/* SawMill/regalloc.scm 393 */
								obj_t BgL_bz00_2587;

								BgL_bz00_2587 = CAR(BgL_l1650z00_2584);
								{	/* SawMill/regalloc.scm 393 */
									obj_t BgL_g1649z00_2588;

									BgL_g1649z00_2588 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2587)))->BgL_firstz00);
									{
										obj_t BgL_l1647z00_2590;

										BgL_l1647z00_2590 = BgL_g1649z00_2588;
									BgL_zc3z04anonymousza32143ze3z87_2591:
										if (PAIRP(BgL_l1647z00_2590))
											{	/* SawMill/regalloc.scm 399 */
												{	/* SawMill/regalloc.scm 394 */
													obj_t BgL_iz00_2593;

													BgL_iz00_2593 = CAR(BgL_l1647z00_2590);
													{	/* SawMill/regalloc.scm 395 */
														bool_t BgL_test3075z00_7032;

														{	/* SawMill/regalloc.scm 395 */
															obj_t BgL_arg2152z00_2602;

															BgL_arg2152z00_2602 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_2593))))->
																BgL_destz00);
															{	/* SawMill/regalloc.scm 395 */
																obj_t BgL_classz00_4339;

																BgL_classz00_4339 =
																	BGl_rtl_regzf2razf2zzsaw_regsetz00;
																if (BGL_OBJECTP(BgL_arg2152z00_2602))
																	{	/* SawMill/regalloc.scm 395 */
																		BgL_objectz00_bglt BgL_arg1820z00_4341;

																		BgL_arg1820z00_4341 =
																			(BgL_objectz00_bglt)
																			(BgL_arg2152z00_2602);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* SawMill/regalloc.scm 395 */
																				long BgL_idxz00_4347;

																				BgL_idxz00_4347 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_4341);
																				BgL_test3075z00_7032 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4347 + ((long) 2))) ==
																					BgL_classz00_4339);
																			}
																		else
																			{	/* SawMill/regalloc.scm 395 */
																				bool_t BgL_res2786z00_4369;

																				{	/* SawMill/regalloc.scm 395 */
																					obj_t BgL_oclassz00_4355;

																					{	/* SawMill/regalloc.scm 395 */
																						long BgL_arg1828z00_4361;

																						{	/* SawMill/regalloc.scm 395 */
																							long BgL_arg1829z00_4362;

																							BgL_arg1829z00_4362 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_4341);
																							BgL_arg1828z00_4361 =
																								(BgL_arg1829z00_4362 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4355 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_4361);
																					}
																					{	/* SawMill/regalloc.scm 395 */
																						bool_t BgL__ortest_1111z00_4356;

																						BgL__ortest_1111z00_4356 =
																							(BgL_classz00_4339 ==
																							BgL_oclassz00_4355);
																						if (BgL__ortest_1111z00_4356)
																							{	/* SawMill/regalloc.scm 395 */
																								BgL_res2786z00_4369 =
																									BgL__ortest_1111z00_4356;
																							}
																						else
																							{	/* SawMill/regalloc.scm 395 */
																								long BgL_odepthz00_4357;

																								BgL_odepthz00_4357 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4355);
																								if ((((long) 2) <
																										BgL_odepthz00_4357))
																									{	/* SawMill/regalloc.scm 395 */
																										obj_t BgL_arg1816z00_4359;

																										BgL_arg1816z00_4359 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4355,
																											((long) 2));
																										BgL_res2786z00_4369 =
																											(BgL_arg1816z00_4359 ==
																											BgL_classz00_4339);
																									}
																								else
																									{	/* SawMill/regalloc.scm 395 */
																										BgL_res2786z00_4369 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test3075z00_7032 =
																					BgL_res2786z00_4369;
																			}
																	}
																else
																	{	/* SawMill/regalloc.scm 395 */
																		BgL_test3075z00_7032 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test3075z00_7032)
															{	/* SawMill/regalloc.scm 396 */
																bool_t BgL_test3080z00_7055;

																{	/* SawMill/regalloc.scm 396 */
																	obj_t BgL_arg2150z00_2600;
																	obj_t BgL_arg2151z00_2601;

																	BgL_arg2150z00_2600 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2593))))->BgL_destz00);
																	{
																		BgL_rtl_inszf2razf2_bglt BgL_auxz00_7059;

																		{
																			obj_t BgL_auxz00_7060;

																			{	/* SawMill/regalloc.scm 396 */
																				BgL_objectz00_bglt BgL_tmpz00_7061;

																				BgL_tmpz00_7061 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2593));
																				BgL_auxz00_7060 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7061);
																			}
																			BgL_auxz00_7059 =
																				((BgL_rtl_inszf2razf2_bglt)
																				BgL_auxz00_7060);
																		}
																		BgL_arg2151z00_2601 =
																			(((BgL_rtl_inszf2razf2_bglt)
																				COBJECT(BgL_auxz00_7059))->BgL_outz00);
																	}
																	BgL_test3080z00_7055 =
																		BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2150z00_2600),
																		((BgL_regsetz00_bglt) BgL_arg2151z00_2601));
																}
																if (BgL_test3080z00_7055)
																	{	/* SawMill/regalloc.scm 396 */
																		BFALSE;
																	}
																else
																	{	/* SawMill/regalloc.scm 396 */
																		BgL_nz00_2582 =
																			(BgL_nz00_2582 + ((long) 1));
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_2593))))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
															}}
														else
															{	/* SawMill/regalloc.scm 395 */
																BFALSE;
															}
													}
												}
												{
													obj_t BgL_l1647z00_7074;

													BgL_l1647z00_7074 = CDR(BgL_l1647z00_2590);
													BgL_l1647z00_2590 = BgL_l1647z00_7074;
													goto BgL_zc3z04anonymousza32143ze3z87_2591;
												}
											}
										else
											{	/* SawMill/regalloc.scm 399 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1650z00_7076;

								BgL_l1650z00_7076 = CDR(BgL_l1650z00_2584);
								BgL_l1650z00_2584 = BgL_l1650z00_7076;
								goto BgL_zc3z04anonymousza32141ze3z87_2585;
							}
						}
					else
						{	/* SawMill/regalloc.scm 392 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/regalloc.scm 401 */
					obj_t BgL_list2156z00_2607;

					{	/* SawMill/regalloc.scm 401 */
						obj_t BgL_arg2157z00_2608;

						BgL_arg2157z00_2608 =
							MAKE_YOUNG_PAIR(BGl_string2828z00zzsaw_registerzd2allocationzd2,
							BNIL);
						BgL_list2156z00_2607 =
							MAKE_YOUNG_PAIR(BINT(BgL_nz00_2582), BgL_arg2157z00_2608);
					}
					return
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list2156z00_2607);
		}}}

	}



/* register-coloring */
	obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_89, obj_t BgL_hregsz00_90, obj_t BgL_cregsz00_91)
	{
		{	/* SawMill/regalloc.scm 406 */
			{	/* SawMill/regalloc.scm 408 */
				obj_t BgL_g1654z00_2609;

				{	/* SawMill/regalloc.scm 411 */
					obj_t BgL_list2162z00_2619;

					{	/* SawMill/regalloc.scm 411 */
						obj_t BgL_arg2163z00_2620;

						{	/* SawMill/regalloc.scm 411 */
							obj_t BgL_arg2164z00_2621;

							BgL_arg2164z00_2621 = MAKE_YOUNG_PAIR(BgL_cregsz00_91, BNIL);
							BgL_arg2163z00_2620 =
								MAKE_YOUNG_PAIR(BgL_hregsz00_90, BgL_arg2164z00_2621);
						}
						BgL_list2162z00_2619 =
							MAKE_YOUNG_PAIR(BgL_pregsz00_89, BgL_arg2163z00_2620);
					}
					BgL_g1654z00_2609 =
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2162z00_2619);
				}
				{
					obj_t BgL_l1652z00_2611;

					BgL_l1652z00_2611 = BgL_g1654z00_2609;
				BgL_zc3z04anonymousza32158ze3z87_2612:
					if (PAIRP(BgL_l1652z00_2611))
						{	/* SawMill/regalloc.scm 411 */
							{	/* SawMill/regalloc.scm 409 */
								obj_t BgL_rz00_2614;

								BgL_rz00_2614 = CAR(BgL_l1652z00_2611);
								{
									obj_t BgL_auxz00_7097;
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7090;

									{	/* SawMill/regalloc.scm 410 */
										obj_t BgL_arg2160z00_2616;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7098;

											{
												obj_t BgL_auxz00_7099;

												{	/* SawMill/regalloc.scm 410 */
													BgL_objectz00_bglt BgL_tmpz00_7100;

													BgL_tmpz00_7100 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_2614));
													BgL_auxz00_7099 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7100);
												}
												BgL_auxz00_7098 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7099);
											}
											BgL_arg2160z00_2616 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7098))->
												BgL_interferez00);
										}
										BgL_auxz00_7097 =
											((obj_t)
											BGl_duplicatezd2regsetzd2zzsaw_regsetz00(
												((BgL_regsetz00_bglt) BgL_arg2160z00_2616)));
									}
									{
										obj_t BgL_auxz00_7091;

										{	/* SawMill/regalloc.scm 410 */
											BgL_objectz00_bglt BgL_tmpz00_7092;

											BgL_tmpz00_7092 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2614));
											BgL_auxz00_7091 = BGL_OBJECT_WIDENING(BgL_tmpz00_7092);
										}
										BgL_auxz00_7090 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7091);
									}
									((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7090))->
											BgL_interfere2z00) = ((obj_t) BgL_auxz00_7097), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1652z00_7110;

								BgL_l1652z00_7110 = CDR(BgL_l1652z00_2611);
								BgL_l1652z00_2611 = BgL_l1652z00_7110;
								goto BgL_zc3z04anonymousza32158ze3z87_2612;
							}
						}
					else
						{	/* SawMill/regalloc.scm 411 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawMill/regalloc.scm 413 */
				obj_t BgL_cregsz00_2622;

				{	/* SawMill/regalloc.scm 413 */
					obj_t BgL_hook1659z00_2626;

					BgL_hook1659z00_2626 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1656z00_2628;
						obj_t BgL_h1657z00_2629;

						BgL_l1656z00_2628 = BgL_cregsz00_91;
						BgL_h1657z00_2629 = BgL_hook1659z00_2626;
					BgL_zc3z04anonymousza32168ze3z87_2630:
						if (NULLP(BgL_l1656z00_2628))
							{	/* SawMill/regalloc.scm 413 */
								BgL_cregsz00_2622 = CDR(BgL_hook1659z00_2626);
							}
						else
							{	/* SawMill/regalloc.scm 413 */
								bool_t BgL_test3083z00_7116;

								{	/* SawMill/regalloc.scm 413 */
									obj_t BgL_arg2175z00_2640;

									{	/* SawMill/regalloc.scm 413 */
										BgL_rtl_regz00_bglt BgL_oz00_4380;

										BgL_oz00_4380 =
											((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_l1656z00_2628)));
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7120;

											{
												obj_t BgL_auxz00_7121;

												{	/* SawMill/regalloc.scm 413 */
													BgL_objectz00_bglt BgL_tmpz00_7122;

													BgL_tmpz00_7122 =
														((BgL_objectz00_bglt) BgL_oz00_4380);
													BgL_auxz00_7121 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7122);
												}
												BgL_auxz00_7120 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7121);
											}
											BgL_arg2175z00_2640 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7120))->
												BgL_colorz00);
										}
									}
									BgL_test3083z00_7116 = (BgL_arg2175z00_2640 == BFALSE);
								}
								if (BgL_test3083z00_7116)
									{	/* SawMill/regalloc.scm 413 */
										obj_t BgL_nh1658z00_2635;

										{	/* SawMill/regalloc.scm 413 */
											obj_t BgL_arg2173z00_2637;

											BgL_arg2173z00_2637 = CAR(((obj_t) BgL_l1656z00_2628));
											BgL_nh1658z00_2635 =
												MAKE_YOUNG_PAIR(BgL_arg2173z00_2637, BNIL);
										}
										SET_CDR(BgL_h1657z00_2629, BgL_nh1658z00_2635);
										{	/* SawMill/regalloc.scm 413 */
											obj_t BgL_arg2172z00_2636;

											BgL_arg2172z00_2636 = CDR(((obj_t) BgL_l1656z00_2628));
											{
												obj_t BgL_h1657z00_7135;
												obj_t BgL_l1656z00_7134;

												BgL_l1656z00_7134 = BgL_arg2172z00_2636;
												BgL_h1657z00_7135 = BgL_nh1658z00_2635;
												BgL_h1657z00_2629 = BgL_h1657z00_7135;
												BgL_l1656z00_2628 = BgL_l1656z00_7134;
												goto BgL_zc3z04anonymousza32168ze3z87_2630;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 413 */
										obj_t BgL_arg2174z00_2638;

										BgL_arg2174z00_2638 = CDR(((obj_t) BgL_l1656z00_2628));
										{
											obj_t BgL_l1656z00_7138;

											BgL_l1656z00_7138 = BgL_arg2174z00_2638;
											BgL_l1656z00_2628 = BgL_l1656z00_7138;
											goto BgL_zc3z04anonymousza32168ze3z87_2630;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_cregsz00_2622))
					{	/* SawMill/regalloc.scm 414 */
						if (NULLP(BgL_hregsz00_90))
							{	/* SawMill/regalloc.scm 416 */
								return
									BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_cregsz00_2622);
							}
						else
							{	/* SawMill/regalloc.scm 416 */
								return
									BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_hregsz00_90, BgL_cregsz00_2622);
							}
					}
				else
					{	/* SawMill/regalloc.scm 414 */
						return BFALSE;
					}
			}
		}

	}



/* register-stack-coloring */
	obj_t BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_92, obj_t BgL_cregsz00_93)
	{
		{	/* SawMill/regalloc.scm 424 */
			{
				obj_t BgL_registersz00_2731;
				obj_t BgL_siza7eza7_2732;

				{	/* SawMill/regalloc.scm 451 */
					obj_t BgL_colorsz00_2643;

					BgL_colorsz00_2643 =
						make_vector(bgl_list_length
						(BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_pregsz00_92, BgL_cregsz00_93)), BFALSE);
					{
						obj_t BgL_interferez00_2703;
						long BgL_maxz00_2704;

						{
							long BgL_minz00_2686;
							obj_t BgL_stackz00_2687;

							{	/* SawMill/regalloc.scm 474 */
								long BgL_nz00_2646;

								BgL_nz00_2646 = ((long) 0);
								{
									obj_t BgL_l1669z00_2648;

									BgL_l1669z00_2648 = BgL_pregsz00_92;
								BgL_zc3z04anonymousza32176ze3z87_2649:
									if (PAIRP(BgL_l1669z00_2648))
										{	/* SawMill/regalloc.scm 475 */
											{	/* SawMill/regalloc.scm 476 */
												obj_t BgL_rz00_2651;

												BgL_rz00_2651 = CAR(BgL_l1669z00_2648);
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_rz00_2651));
												{	/* SawMill/regalloc.scm 477 */
													obj_t BgL_vz00_4460;

													BgL_vz00_4460 = BINT(BgL_nz00_2646);
													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7154;

														{
															obj_t BgL_auxz00_7155;

															{	/* SawMill/regalloc.scm 477 */
																BgL_objectz00_bglt BgL_tmpz00_7156;

																BgL_tmpz00_7156 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2651));
																BgL_auxz00_7155 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7156);
															}
															BgL_auxz00_7154 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7155);
														}
														((((BgL_rtl_regzf2razf2_bglt)
																	COBJECT(BgL_auxz00_7154))->BgL_colorz00) =
															((obj_t) BgL_vz00_4460), BUNSPEC);
													}
												}
												BgL_nz00_2646 = (BgL_nz00_2646 + ((long) 1));
											}
											{
												obj_t BgL_l1669z00_7163;

												BgL_l1669z00_7163 = CDR(BgL_l1669z00_2648);
												BgL_l1669z00_2648 = BgL_l1669z00_7163;
												goto BgL_zc3z04anonymousza32176ze3z87_2649;
											}
										}
									else
										{	/* SawMill/regalloc.scm 475 */
											((bool_t) 1);
										}
								}
							}
							{	/* SawMill/regalloc.scm 481 */
								long BgL_minz00_2654;
								obj_t BgL_sregsz00_2655;

								BgL_minz00_2654 = bgl_list_length(BgL_pregsz00_92);
								BgL_sregsz00_2655 =
									BGl_sortz00zz__r4_vectors_6_8z00(BgL_cregsz00_93,
									BGl_proc2844z00zzsaw_registerzd2allocationzd2);
								{
									obj_t BgL_regsz00_2658;
									obj_t BgL_stackz00_2659;
									obj_t BgL_siza7eza7_2660;

									BgL_regsz00_2658 = BgL_sregsz00_2655;
									BgL_stackz00_2659 = BNIL;
									BgL_siza7eza7_2660 = BINT(((long) 0));
								BgL_zc3z04anonymousza32179ze3z87_2661:
									if (NULLP(BgL_regsz00_2658))
										{	/* SawMill/regalloc.scm 490 */
											long BgL_nz00_2663;

											BgL_minz00_2686 = BgL_minz00_2654;
											BgL_stackz00_2687 = BgL_stackz00_2659;
											{
												obj_t BgL_stackz00_2690;
												long BgL_maxz00_2691;

												BgL_stackz00_2690 = BgL_stackz00_2687;
												BgL_maxz00_2691 = BgL_minz00_2686;
											BgL_zc3z04anonymousza32196ze3z87_2692:
												if (PAIRP(BgL_stackz00_2690))
													{	/* SawMill/regalloc.scm 469 */
														BgL_rtl_regz00_bglt BgL_i1225z00_2694;

														BgL_i1225z00_2694 =
															((BgL_rtl_regz00_bglt) CAR(BgL_stackz00_2690));
														{
															obj_t BgL_auxz00_7179;
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_7173;

															{	/* SawMill/regalloc.scm 470 */
																obj_t BgL_arg2198z00_2695;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7180;

																	{
																		obj_t BgL_auxz00_7181;

																		{	/* SawMill/regalloc.scm 470 */
																			BgL_objectz00_bglt BgL_tmpz00_7182;

																			BgL_tmpz00_7182 =
																				((BgL_objectz00_bglt)
																				BgL_i1225z00_2694);
																			BgL_auxz00_7181 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7182);
																		}
																		BgL_auxz00_7180 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7181);
																	}
																	BgL_arg2198z00_2695 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7180))->
																		BgL_interferez00);
																}
																{	/* SawMill/regalloc.scm 470 */
																	long BgL_tmpz00_7187;

																	BgL_interferez00_2703 = BgL_arg2198z00_2695;
																	BgL_maxz00_2704 = BgL_maxz00_2691;
																	{	/* SawMill/regalloc.scm 453 */

																		BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00
																			(BgL_colorsz00_2643, BFALSE, ((long) 0),
																			VECTOR_LENGTH(BgL_colorsz00_2643));
																	}
																	{	/* SawMill/regalloc.scm 455 */
																		obj_t BgL_zc3z04anonymousza32206ze3z87_5497;

																		BgL_zc3z04anonymousza32206ze3z87_5497 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_registerzd2allocationzd2,
																			(int) (((long) 1)), (int) (((long) 1)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32206ze3z87_5497,
																			(int) (((long) 0)), BgL_colorsz00_2643);
																		BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
																			(BgL_zc3z04anonymousza32206ze3z87_5497,
																			((BgL_regsetz00_bglt)
																				BgL_interferez00_2703));
																	}
																	if (
																		(VECTOR_LENGTH(BgL_colorsz00_2643) ==
																			BgL_maxz00_2704))
																		{	/* SawMill/regalloc.scm 459 */
																			BgL_tmpz00_7187 = BgL_maxz00_2704;
																		}
																	else
																		{
																			long BgL_iz00_4444;

																			BgL_iz00_4444 = ((long) 0);
																		BgL_loopz00_4443:
																			if (CBOOL(VECTOR_REF(BgL_colorsz00_2643,
																						BgL_iz00_4444)))
																				{
																					long BgL_iz00_7203;

																					BgL_iz00_7203 =
																						(BgL_iz00_4444 + ((long) 1));
																					BgL_iz00_4444 = BgL_iz00_7203;
																					goto BgL_loopz00_4443;
																				}
																			else
																				{	/* SawMill/regalloc.scm 462 */
																					BgL_tmpz00_7187 = BgL_iz00_4444;
																				}
																		}
																	BgL_auxz00_7179 = BINT(BgL_tmpz00_7187);
																}
															}
															{
																obj_t BgL_auxz00_7174;

																{	/* SawMill/regalloc.scm 470 */
																	BgL_objectz00_bglt BgL_tmpz00_7175;

																	BgL_tmpz00_7175 =
																		((BgL_objectz00_bglt) BgL_i1225z00_2694);
																	BgL_auxz00_7174 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7175);
																}
																BgL_auxz00_7173 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7174);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7173))->BgL_colorz00) =
																((obj_t) BgL_auxz00_7179), BUNSPEC);
														}
														{	/* SawMill/regalloc.scm 471 */
															obj_t BgL_arg2199z00_2696;
															long BgL_arg2200z00_2697;

															BgL_arg2199z00_2696 = CDR(BgL_stackz00_2690);
															{	/* SawMill/regalloc.scm 471 */
																bool_t BgL_test3091z00_7208;

																{	/* SawMill/regalloc.scm 471 */
																	obj_t BgL_arg2203z00_2700;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_7209;

																		{
																			obj_t BgL_auxz00_7210;

																			{	/* SawMill/regalloc.scm 471 */
																				BgL_objectz00_bglt BgL_tmpz00_7211;

																				BgL_tmpz00_7211 =
																					((BgL_objectz00_bglt)
																					BgL_i1225z00_2694);
																				BgL_auxz00_7210 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7211);
																			}
																			BgL_auxz00_7209 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_7210);
																		}
																		BgL_arg2203z00_2700 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_7209))->
																			BgL_colorz00);
																	}
																	BgL_test3091z00_7208 =
																		(
																		(long) CINT(BgL_arg2203z00_2700) ==
																		BgL_maxz00_2691);
																}
																if (BgL_test3091z00_7208)
																	{	/* SawMill/regalloc.scm 471 */
																		BgL_arg2200z00_2697 =
																			(BgL_maxz00_2691 + ((long) 1));
																	}
																else
																	{	/* SawMill/regalloc.scm 471 */
																		BgL_arg2200z00_2697 = BgL_maxz00_2691;
																	}
															}
															{
																long BgL_maxz00_7220;
																obj_t BgL_stackz00_7219;

																BgL_stackz00_7219 = BgL_arg2199z00_2696;
																BgL_maxz00_7220 = BgL_arg2200z00_2697;
																BgL_maxz00_2691 = BgL_maxz00_7220;
																BgL_stackz00_2690 = BgL_stackz00_7219;
																goto BgL_zc3z04anonymousza32196ze3z87_2692;
															}
														}
													}
												else
													{	/* SawMill/regalloc.scm 468 */
														BgL_nz00_2663 = BgL_maxz00_2691;
													}
											}
											{	/* SawMill/regalloc.scm 492 */
												obj_t BgL_arg2181z00_2664;

												{	/* SawMill/regalloc.scm 492 */
													long BgL_a1671z00_2671;

													BgL_a1671z00_2671 = bgl_list_length(BgL_pregsz00_92);
													{	/* SawMill/regalloc.scm 492 */
														long BgL_b1672z00_2672;

														BgL_b1672z00_2672 =
															bgl_list_length(BgL_cregsz00_93);
														{	/* SawMill/regalloc.scm 492 */

															{	/* SawMill/regalloc.scm 492 */
																obj_t BgL_za71za7_4478;
																obj_t BgL_za72za7_4479;

																BgL_za71za7_4478 = BINT(BgL_a1671z00_2671);
																BgL_za72za7_4479 = BINT(BgL_b1672z00_2672);
																{	/* SawMill/regalloc.scm 492 */
																	obj_t BgL_resz00_4480;

																	BgL_resz00_4480 = BINT(((long) 0));
																	if (BGL_ADDFX_OV(BgL_za71za7_4478,
																			BgL_za72za7_4479, BgL_resz00_4480))
																		{	/* SawMill/regalloc.scm 492 */
																			BgL_arg2181z00_2664 =
																				bgl_bignum_add(bgl_long_to_bignum(
																					(long) CINT(BgL_za71za7_4478)),
																				bgl_long_to_bignum(
																					(long) CINT(BgL_za72za7_4479)));
																		}
																	else
																		{	/* SawMill/regalloc.scm 492 */
																			BgL_arg2181z00_2664 = BgL_resz00_4480;
																		}
																}
															}
														}
													}
												}
												{	/* SawMill/regalloc.scm 491 */
													obj_t BgL_list2182z00_2665;

													{	/* SawMill/regalloc.scm 491 */
														obj_t BgL_arg2183z00_2666;

														{	/* SawMill/regalloc.scm 491 */
															obj_t BgL_arg2184z00_2667;

															{	/* SawMill/regalloc.scm 491 */
																obj_t BgL_arg2185z00_2668;

																{	/* SawMill/regalloc.scm 491 */
																	obj_t BgL_arg2187z00_2669;

																	{	/* SawMill/regalloc.scm 491 */
																		obj_t BgL_arg2188z00_2670;

																		BgL_arg2188z00_2670 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2845z00zzsaw_registerzd2allocationzd2,
																			BNIL);
																		BgL_arg2187z00_2669 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2846z00zzsaw_registerzd2allocationzd2,
																			BgL_arg2188z00_2670);
																	}
																	BgL_arg2185z00_2668 =
																		MAKE_YOUNG_PAIR(BgL_arg2181z00_2664,
																		BgL_arg2187z00_2669);
																}
																BgL_arg2184z00_2667 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2847z00zzsaw_registerzd2allocationzd2,
																	BgL_arg2185z00_2668);
															}
															BgL_arg2183z00_2666 =
																MAKE_YOUNG_PAIR(BINT(BgL_nz00_2663),
																BgL_arg2184z00_2667);
														}
														BgL_list2182z00_2665 =
															MAKE_YOUNG_PAIR
															(BGl_string2848z00zzsaw_registerzd2allocationzd2,
															BgL_arg2183z00_2666);
													}
													return
														BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
														BgL_list2182z00_2665);
										}}}
									else
										{	/* SawMill/regalloc.scm 494 */
											obj_t BgL_regz00_2674;

											BgL_registersz00_2731 = BgL_regsz00_2658;
											BgL_siza7eza7_2732 = BgL_siza7eza7_2660;
											{	/* SawMill/regalloc.scm 426 */
												long BgL_g1223z00_2734;

												{	/* SawMill/regalloc.scm 428 */
													int BgL_arg2239z00_2771;

													{	/* SawMill/regalloc.scm 428 */
														BgL_rtl_regz00_bglt BgL_regz00_4387;

														BgL_regz00_4387 =
															((BgL_rtl_regz00_bglt)
															CAR(((obj_t) BgL_registersz00_2731)));
														{	/* SawMill/regalloc.scm 591 */
															obj_t BgL_arg2297z00_4388;

															{
																BgL_rtl_regzf2razf2_bglt BgL_auxz00_7245;

																{
																	obj_t BgL_auxz00_7246;

																	{	/* SawMill/regalloc.scm 591 */
																		BgL_objectz00_bglt BgL_tmpz00_7247;

																		BgL_tmpz00_7247 =
																			((BgL_objectz00_bglt) BgL_regz00_4387);
																		BgL_auxz00_7246 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7247);
																	}
																	BgL_auxz00_7245 =
																		((BgL_rtl_regzf2razf2_bglt)
																		BgL_auxz00_7246);
																}
																BgL_arg2297z00_4388 =
																	(((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7245))->
																	BgL_interfere2z00);
															}
															BgL_arg2239z00_2771 =
																(((BgL_regsetz00_bglt) COBJECT(
																		((BgL_regsetz00_bglt)
																			BgL_arg2297z00_4388)))->BgL_lengthz00);
													}}
													BgL_g1223z00_2734 =
														((long) (BgL_arg2239z00_2771) + ((long) 1));
												}
												{
													obj_t BgL_regsz00_2736;
													obj_t BgL_minz00_2737;
													long BgL_mvalz00_2738;
													obj_t BgL_prevz00_2739;

													BgL_regsz00_2736 = BgL_registersz00_2731;
													BgL_minz00_2737 = BFALSE;
													BgL_mvalz00_2738 = BgL_g1223z00_2734;
													BgL_prevz00_2739 = BFALSE;
												BgL_zc3z04anonymousza32220ze3z87_2740:
													if (NULLP(BgL_regsz00_2736))
														{	/* SawMill/regalloc.scm 432 */
															int BgL_val1_1661z00_2743;
															obj_t BgL_val2_1662z00_2744;

															{	/* SawMill/regalloc.scm 591 */
																obj_t BgL_arg2297z00_4394;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7258;

																	{
																		obj_t BgL_auxz00_7259;

																		{	/* SawMill/regalloc.scm 591 */
																			BgL_objectz00_bglt BgL_tmpz00_7260;

																			BgL_tmpz00_7260 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_regz00_bglt)
																					BgL_minz00_2737));
																			BgL_auxz00_7259 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7260);
																		}
																		BgL_auxz00_7258 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7259);
																	}
																	BgL_arg2297z00_4394 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7258))->
																		BgL_interfere2z00);
																}
																BgL_val1_1661z00_2743 =
																	(((BgL_regsetz00_bglt) COBJECT(
																			((BgL_regsetz00_bglt)
																				BgL_arg2297z00_4394)))->BgL_lengthz00);
															}
															BgL_val2_1662z00_2744 =
																bgl_remq_bang(BgL_minz00_2737,
																BgL_registersz00_2731);
															{	/* SawMill/regalloc.scm 432 */
																int BgL_tmpz00_7269;

																BgL_tmpz00_7269 = (int) (((long) 3));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7269);
															}
															{	/* SawMill/regalloc.scm 432 */
																obj_t BgL_auxz00_7274;
																int BgL_tmpz00_7272;

																BgL_auxz00_7274 = BINT(BgL_val1_1661z00_2743);
																BgL_tmpz00_7272 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7272,
																	BgL_auxz00_7274);
															}
															{	/* SawMill/regalloc.scm 432 */
																int BgL_tmpz00_7277;

																BgL_tmpz00_7277 = (int) (((long) 2));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7277,
																	BgL_val2_1662z00_2744);
															}
															BgL_regz00_2674 = BgL_minz00_2737;
														}
													else
														{	/* SawMill/regalloc.scm 433 */
															bool_t BgL_test3094z00_7280;

															{	/* SawMill/regalloc.scm 433 */
																int BgL_arg2237z00_2768;

																{	/* SawMill/regalloc.scm 433 */
																	BgL_rtl_regz00_bglt BgL_regz00_4399;

																	BgL_regz00_4399 =
																		((BgL_rtl_regz00_bglt)
																		CAR(((obj_t) BgL_regsz00_2736)));
																	{	/* SawMill/regalloc.scm 591 */
																		obj_t BgL_arg2297z00_4400;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7284;

																			{
																				obj_t BgL_auxz00_7285;

																				{	/* SawMill/regalloc.scm 591 */
																					BgL_objectz00_bglt BgL_tmpz00_7286;

																					BgL_tmpz00_7286 =
																						((BgL_objectz00_bglt)
																						BgL_regz00_4399);
																					BgL_auxz00_7285 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7286);
																				}
																				BgL_auxz00_7284 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7285);
																			}
																			BgL_arg2297z00_4400 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7284))->
																				BgL_interfere2z00);
																		}
																		BgL_arg2237z00_2768 =
																			(((BgL_regsetz00_bglt) COBJECT(
																					((BgL_regsetz00_bglt)
																						BgL_arg2297z00_4400)))->
																			BgL_lengthz00);
																}}
																BgL_test3094z00_7280 =
																	(
																	(long) (BgL_arg2237z00_2768) <
																	(long) CINT(BgL_siza7eza7_2732));
															}
															if (BgL_test3094z00_7280)
																{	/* SawMill/regalloc.scm 434 */
																	obj_t BgL_regz00_2748;

																	BgL_regz00_2748 =
																		CAR(((obj_t) BgL_regsz00_2736));
																	{	/* SawMill/regalloc.scm 434 */
																		int BgL_sza7za7_2749;

																		{	/* SawMill/regalloc.scm 591 */
																			obj_t BgL_arg2297z00_4408;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7298;
																				{
																					obj_t BgL_auxz00_7299;

																					{	/* SawMill/regalloc.scm 591 */
																						BgL_objectz00_bglt BgL_tmpz00_7300;

																						BgL_tmpz00_7300 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2748));
																						BgL_auxz00_7299 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7300);
																					}
																					BgL_auxz00_7298 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7299);
																				}
																				BgL_arg2297z00_4408 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7298))->
																					BgL_interfere2z00);
																			}
																			BgL_sza7za7_2749 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2297z00_4408)))->
																				BgL_lengthz00);
																		}
																		{	/* SawMill/regalloc.scm 435 */

																			if (PAIRP(BgL_prevz00_2739))
																				{	/* SawMill/regalloc.scm 436 */
																					{	/* SawMill/regalloc.scm 438 */
																						obj_t BgL_arg2226z00_2751;

																						BgL_arg2226z00_2751 =
																							CDR(((obj_t) BgL_regsz00_2736));
																						SET_CDR(BgL_prevz00_2739,
																							BgL_arg2226z00_2751);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						int BgL_tmpz00_7313;

																						BgL_tmpz00_7313 =
																							(int) (((long) 3));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7313);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						obj_t BgL_auxz00_7318;
																						int BgL_tmpz00_7316;

																						BgL_auxz00_7318 =
																							BINT(BgL_sza7za7_2749);
																						BgL_tmpz00_7316 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7316,
																							BgL_auxz00_7318);
																					}
																					{	/* SawMill/regalloc.scm 439 */
																						int BgL_tmpz00_7321;

																						BgL_tmpz00_7321 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7321,
																							BgL_registersz00_2731);
																					}
																					BgL_regz00_2674 = BgL_regz00_2748;
																				}
																			else
																				{	/* SawMill/regalloc.scm 440 */
																					obj_t BgL_val2_1668z00_2757;

																					BgL_val2_1668z00_2757 =
																						CDR(((obj_t) BgL_regsz00_2736));
																					{	/* SawMill/regalloc.scm 440 */
																						int BgL_tmpz00_7326;

																						BgL_tmpz00_7326 =
																							(int) (((long) 3));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7326);
																					}
																					{	/* SawMill/regalloc.scm 440 */
																						obj_t BgL_auxz00_7331;
																						int BgL_tmpz00_7329;

																						BgL_auxz00_7331 =
																							BINT(BgL_sza7za7_2749);
																						BgL_tmpz00_7329 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7329,
																							BgL_auxz00_7331);
																					}
																					{	/* SawMill/regalloc.scm 440 */
																						int BgL_tmpz00_7334;

																						BgL_tmpz00_7334 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7334,
																							BgL_val2_1668z00_2757);
																					}
																					BgL_regz00_2674 = BgL_regz00_2748;
																}}}}
															else
																{	/* SawMill/regalloc.scm 441 */
																	bool_t BgL_test3096z00_7337;

																	{	/* SawMill/regalloc.scm 441 */
																		int BgL_arg2235z00_2766;

																		{	/* SawMill/regalloc.scm 441 */
																			BgL_rtl_regz00_bglt BgL_regz00_4416;

																			BgL_regz00_4416 =
																				((BgL_rtl_regz00_bglt)
																				CAR(((obj_t) BgL_regsz00_2736)));
																			{	/* SawMill/regalloc.scm 591 */
																				obj_t BgL_arg2297z00_4417;

																				{
																					BgL_rtl_regzf2razf2_bglt
																						BgL_auxz00_7341;
																					{
																						obj_t BgL_auxz00_7342;

																						{	/* SawMill/regalloc.scm 591 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_7343;
																							BgL_tmpz00_7343 =
																								((BgL_objectz00_bglt)
																								BgL_regz00_4416);
																							BgL_auxz00_7342 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_7343);
																						}
																						BgL_auxz00_7341 =
																							((BgL_rtl_regzf2razf2_bglt)
																							BgL_auxz00_7342);
																					}
																					BgL_arg2297z00_4417 =
																						(((BgL_rtl_regzf2razf2_bglt)
																							COBJECT(BgL_auxz00_7341))->
																						BgL_interfere2z00);
																				}
																				BgL_arg2235z00_2766 =
																					(((BgL_regsetz00_bglt) COBJECT(
																							((BgL_regsetz00_bglt)
																								BgL_arg2297z00_4417)))->
																					BgL_lengthz00);
																		}}
																		BgL_test3096z00_7337 =
																			(
																			(long) (BgL_arg2235z00_2766) <
																			BgL_mvalz00_2738);
																	}
																	if (BgL_test3096z00_7337)
																		{	/* SawMill/regalloc.scm 442 */
																			obj_t BgL_arg2230z00_2761;
																			obj_t BgL_arg2231z00_2762;
																			int BgL_arg2232z00_2763;

																			BgL_arg2230z00_2761 =
																				CDR(((obj_t) BgL_regsz00_2736));
																			BgL_arg2231z00_2762 =
																				CAR(((obj_t) BgL_regsz00_2736));
																			{	/* SawMill/regalloc.scm 444 */
																				BgL_rtl_regz00_bglt BgL_regz00_4426;

																				BgL_regz00_4426 =
																					((BgL_rtl_regz00_bglt)
																					CAR(((obj_t) BgL_regsz00_2736)));
																				{	/* SawMill/regalloc.scm 591 */
																					obj_t BgL_arg2297z00_4427;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_7359;
																						{
																							obj_t BgL_auxz00_7360;

																							{	/* SawMill/regalloc.scm 591 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_7361;
																								BgL_tmpz00_7361 =
																									((BgL_objectz00_bglt)
																									BgL_regz00_4426);
																								BgL_auxz00_7360 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_7361);
																							}
																							BgL_auxz00_7359 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_7360);
																						}
																						BgL_arg2297z00_4427 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_7359))->
																							BgL_interfere2z00);
																					}
																					BgL_arg2232z00_2763 =
																						(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2297z00_4427)))->
																						BgL_lengthz00);
																			}}
																			{
																				obj_t BgL_prevz00_7372;
																				long BgL_mvalz00_7370;
																				obj_t BgL_minz00_7369;
																				obj_t BgL_regsz00_7368;

																				BgL_regsz00_7368 = BgL_arg2230z00_2761;
																				BgL_minz00_7369 = BgL_arg2231z00_2762;
																				BgL_mvalz00_7370 =
																					(long) (BgL_arg2232z00_2763);
																				BgL_prevz00_7372 = BgL_regsz00_2736;
																				BgL_prevz00_2739 = BgL_prevz00_7372;
																				BgL_mvalz00_2738 = BgL_mvalz00_7370;
																				BgL_minz00_2737 = BgL_minz00_7369;
																				BgL_regsz00_2736 = BgL_regsz00_7368;
																				goto
																					BgL_zc3z04anonymousza32220ze3z87_2740;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 447 */
																			obj_t BgL_arg2234z00_2765;

																			BgL_arg2234z00_2765 =
																				CDR(((obj_t) BgL_regsz00_2736));
																			{
																				obj_t BgL_prevz00_7376;
																				obj_t BgL_regsz00_7375;

																				BgL_regsz00_7375 = BgL_arg2234z00_2765;
																				BgL_prevz00_7376 = BgL_regsz00_2736;
																				BgL_prevz00_2739 = BgL_prevz00_7376;
																				BgL_regsz00_2736 = BgL_regsz00_7375;
																				goto
																					BgL_zc3z04anonymousza32220ze3z87_2740;
																			}
																		}
																}
														}
												}
											}
											{	/* SawMill/regalloc.scm 495 */
												obj_t BgL_nsiza7eza7_2675;
												obj_t BgL_regsz00_2676;

												{	/* SawMill/regalloc.scm 496 */
													obj_t BgL_tmpz00_4488;

													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7377;

														BgL_tmpz00_7377 = (int) (((long) 1));
														BgL_tmpz00_4488 = BGL_MVALUES_VAL(BgL_tmpz00_7377);
													}
													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7380;

														BgL_tmpz00_7380 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7380, BUNSPEC);
													}
													BgL_nsiza7eza7_2675 = BgL_tmpz00_4488;
												}
												{	/* SawMill/regalloc.scm 496 */
													obj_t BgL_tmpz00_4489;

													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7383;

														BgL_tmpz00_7383 = (int) (((long) 2));
														BgL_tmpz00_4489 = BGL_MVALUES_VAL(BgL_tmpz00_7383);
													}
													{	/* SawMill/regalloc.scm 496 */
														int BgL_tmpz00_7386;

														BgL_tmpz00_7386 = (int) (((long) 2));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7386, BUNSPEC);
													}
													BgL_regsz00_2676 = BgL_tmpz00_4489;
												}
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_regz00_2674));
												{	/* SawMill/regalloc.scm 497 */
													obj_t BgL_arg2190z00_2677;

													BgL_arg2190z00_2677 =
														MAKE_YOUNG_PAIR(BgL_regz00_2674, BgL_stackz00_2659);
													{
														obj_t BgL_siza7eza7_7394;
														obj_t BgL_stackz00_7393;
														obj_t BgL_regsz00_7392;

														BgL_regsz00_7392 = BgL_regsz00_2676;
														BgL_stackz00_7393 = BgL_arg2190z00_2677;
														BgL_siza7eza7_7394 = BgL_nsiza7eza7_2675;
														BgL_siza7eza7_2660 = BgL_siza7eza7_7394;
														BgL_stackz00_2659 = BgL_stackz00_7393;
														BgL_regsz00_2658 = BgL_regsz00_7392;
														goto BgL_zc3z04anonymousza32179ze3z87_2661;
													}
												}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2192> */
	obj_t BGl_z62zc3z04anonymousza32192ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5498, obj_t BgL_r1z00_5499, obj_t BgL_r2z00_5500)
	{
		{	/* SawMill/regalloc.scm 483 */
			{	/* SawMill/regalloc.scm 484 */
				bool_t BgL_tmpz00_7396;

				{	/* SawMill/regalloc.scm 484 */
					int BgL_arg2193z00_5661;
					int BgL_arg2194z00_5662;

					{	/* SawMill/regalloc.scm 591 */
						obj_t BgL_arg2297z00_5663;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7397;

							{
								obj_t BgL_auxz00_7398;

								{	/* SawMill/regalloc.scm 591 */
									BgL_objectz00_bglt BgL_tmpz00_7399;

									BgL_tmpz00_7399 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r1z00_5499));
									BgL_auxz00_7398 = BGL_OBJECT_WIDENING(BgL_tmpz00_7399);
								}
								BgL_auxz00_7397 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7398);
							}
							BgL_arg2297z00_5663 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7397))->
								BgL_interfere2z00);
						}
						BgL_arg2193z00_5661 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2297z00_5663)))->BgL_lengthz00);
					}
					{	/* SawMill/regalloc.scm 591 */
						obj_t BgL_arg2297z00_5664;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7407;

							{
								obj_t BgL_auxz00_7408;

								{	/* SawMill/regalloc.scm 591 */
									BgL_objectz00_bglt BgL_tmpz00_7409;

									BgL_tmpz00_7409 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5500));
									BgL_auxz00_7408 = BGL_OBJECT_WIDENING(BgL_tmpz00_7409);
								}
								BgL_auxz00_7407 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7408);
							}
							BgL_arg2297z00_5664 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7407))->
								BgL_interfere2z00);
						}
						BgL_arg2194z00_5662 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2297z00_5664)))->BgL_lengthz00);
					}
					BgL_tmpz00_7396 =
						((long) (BgL_arg2193z00_5661) < (long) (BgL_arg2194z00_5662));
				}
				return BBOOL(BgL_tmpz00_7396);
			}
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5501, obj_t BgL_rz00_5503)
	{
		{	/* SawMill/regalloc.scm 454 */
			{	/* SawMill/regalloc.scm 455 */
				obj_t BgL_colorsz00_5502;

				BgL_colorsz00_5502 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5501, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 456 */
					bool_t BgL_test3097z00_7424;

					{	/* SawMill/regalloc.scm 456 */
						obj_t BgL_arg2210z00_5665;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7425;

							{
								obj_t BgL_auxz00_7426;

								{	/* SawMill/regalloc.scm 456 */
									BgL_objectz00_bglt BgL_tmpz00_7427;

									BgL_tmpz00_7427 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_5503));
									BgL_auxz00_7426 = BGL_OBJECT_WIDENING(BgL_tmpz00_7427);
								}
								BgL_auxz00_7425 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7426);
							}
							BgL_arg2210z00_5665 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7425))->
								BgL_colorz00);
						}
						BgL_test3097z00_7424 = INTEGERP(BgL_arg2210z00_5665);
					}
					if (BgL_test3097z00_7424)
						{	/* SawMill/regalloc.scm 457 */
							obj_t BgL_arg2209z00_5666;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7434;

								{
									obj_t BgL_auxz00_7435;

									{	/* SawMill/regalloc.scm 457 */
										BgL_objectz00_bglt BgL_tmpz00_7436;

										BgL_tmpz00_7436 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_5503));
										BgL_auxz00_7435 = BGL_OBJECT_WIDENING(BgL_tmpz00_7436);
									}
									BgL_auxz00_7434 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7435);
								}
								BgL_arg2209z00_5666 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7434))->
									BgL_colorz00);
							}
							{	/* SawMill/regalloc.scm 457 */
								long BgL_kz00_5667;

								BgL_kz00_5667 = (long) CINT(BgL_arg2209z00_5666);
								return
									VECTOR_SET(
									((obj_t) BgL_colorsz00_5502), BgL_kz00_5667, BTRUE);
							}
						}
					else
						{	/* SawMill/regalloc.scm 456 */
							return BFALSE;
						}
				}
			}
		}

	}



/* register-hardware-coloring */
	obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_94, obj_t BgL_hregsz00_95, obj_t BgL_cregsz00_96)
	{
		{	/* SawMill/regalloc.scm 502 */
			{
				obj_t BgL_stackz00_2877;
				obj_t BgL_rz00_2843;
				obj_t BgL_regsz00_2821;
				obj_t BgL_regsz00_2807;
				int BgL_kz00_2808;

				{	/* SawMill/regalloc.scm 542 */
					long BgL_kz00_2778;

					BgL_kz00_2778 = bgl_list_length(BgL_hregsz00_95);
					{
						obj_t BgL_regsz00_2781;
						obj_t BgL_stackz00_2782;
						long BgL_sz00_2783;
						long BgL_nz00_2784;

						BgL_regsz00_2781 = BgL_cregsz00_96;
						BgL_stackz00_2782 = BNIL;
						BgL_sz00_2783 = ((long) 0);
						BgL_nz00_2784 = ((long) 0);
					BgL_zc3z04anonymousza32241ze3z87_2785:
						if (NULLP(BgL_regsz00_2781))
							{	/* SawMill/regalloc.scm 565 */
								BgL_stackz00_2877 = BgL_stackz00_2782;
								{
									obj_t BgL_l1683z00_2880;

									BgL_l1683z00_2880 = BgL_stackz00_2877;
								BgL_zc3z04anonymousza32291ze3z87_2881:
									if (PAIRP(BgL_l1683z00_2880))
										{	/* SawMill/regalloc.scm 541 */
											BgL_rz00_2843 = CAR(BgL_l1683z00_2880);
											{	/* SawMill/regalloc.scm 526 */
												obj_t BgL_nrz00_2846;

												{
													obj_t BgL_l1680z00_2854;

													BgL_l1680z00_2854 = BgL_hregsz00_95;
												BgL_zc3z04anonymousza32280ze3z87_2855:
													if (NULLP(BgL_l1680z00_2854))
														{	/* SawMill/regalloc.scm 526 */
															BgL_nrz00_2846 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 527 */
															obj_t BgL__ortest_1682z00_2857;

															{	/* SawMill/regalloc.scm 527 */
																obj_t BgL_regz00_2859;

																BgL_regz00_2859 =
																	CAR(((obj_t) BgL_l1680z00_2854));
																{	/* SawMill/regalloc.scm 527 */
																	bool_t BgL_test3101z00_7454;

																	{	/* SawMill/regalloc.scm 527 */
																		obj_t BgL_arg2289z00_2875;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7455;

																			{
																				obj_t BgL_auxz00_7456;

																				{	/* SawMill/regalloc.scm 527 */
																					BgL_objectz00_bglt BgL_tmpz00_7457;

																					BgL_tmpz00_7457 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_rz00_2843));
																					BgL_auxz00_7456 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7457);
																				}
																				BgL_auxz00_7455 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7456);
																			}
																			BgL_arg2289z00_2875 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7455))->
																				BgL_interferez00);
																		}
																		BgL_test3101z00_7454 =
																			BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																			((BgL_rtl_regz00_bglt) BgL_regz00_2859),
																			((BgL_regsetz00_bglt)
																				BgL_arg2289z00_2875));
																	}
																	if (BgL_test3101z00_7454)
																		{	/* SawMill/regalloc.scm 527 */
																			BgL__ortest_1682z00_2857 = BFALSE;
																		}
																	else
																		{	/* SawMill/regalloc.scm 528 */
																			bool_t BgL_test3102z00_7466;

																			{	/* SawMill/regalloc.scm 528 */
																				obj_t BgL_g1678z00_2864;

																				{	/* SawMill/regalloc.scm 530 */
																					obj_t BgL_arg2288z00_2874;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_7467;
																						{
																							obj_t BgL_auxz00_7468;

																							{	/* SawMill/regalloc.scm 530 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_7469;
																								BgL_tmpz00_7469 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2843));
																								BgL_auxz00_7468 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_7469);
																							}
																							BgL_auxz00_7467 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_7468);
																						}
																						BgL_arg2288z00_2874 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_7467))->
																							BgL_interferez00);
																					}
																					BgL_g1678z00_2864 =
																						BGl_regsetzd2ze3listz31zzsaw_regsetz00
																						(((BgL_regsetz00_bglt)
																							BgL_arg2288z00_2874));
																				}
																				{
																					obj_t BgL_l1676z00_2866;

																					BgL_l1676z00_2866 = BgL_g1678z00_2864;
																				BgL_zc3z04anonymousza32284ze3z87_2867:
																					if (NULLP(BgL_l1676z00_2866))
																						{	/* SawMill/regalloc.scm 530 */
																							BgL_test3102z00_7466 =
																								((bool_t) 0);
																						}
																					else
																						{	/* SawMill/regalloc.scm 529 */
																							bool_t BgL__ortest_1679z00_2869;

																							{	/* SawMill/regalloc.scm 529 */
																								obj_t BgL_arg2287z00_2872;

																								{	/* SawMill/regalloc.scm 529 */
																									BgL_rtl_regz00_bglt
																										BgL_oz00_4520;
																									BgL_oz00_4520 =
																										((BgL_rtl_regz00_bglt)
																										CAR(((obj_t)
																												BgL_l1676z00_2866)));
																									{
																										BgL_rtl_regzf2razf2_bglt
																											BgL_auxz00_7482;
																										{
																											obj_t BgL_auxz00_7483;

																											{	/* SawMill/regalloc.scm 529 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_7484;
																												BgL_tmpz00_7484 =
																													((BgL_objectz00_bglt)
																													BgL_oz00_4520);
																												BgL_auxz00_7483 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_7484);
																											}
																											BgL_auxz00_7482 =
																												(
																												(BgL_rtl_regzf2razf2_bglt)
																												BgL_auxz00_7483);
																										}
																										BgL_arg2287z00_2872 =
																											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7482))->BgL_colorz00);
																									}
																								}
																								BgL__ortest_1679z00_2869 =
																									(BgL_arg2287z00_2872 ==
																									BgL_regz00_2859);
																							}
																							if (BgL__ortest_1679z00_2869)
																								{	/* SawMill/regalloc.scm 530 */
																									BgL_test3102z00_7466 =
																										BgL__ortest_1679z00_2869;
																								}
																							else
																								{	/* SawMill/regalloc.scm 530 */
																									obj_t BgL_arg2286z00_2870;

																									BgL_arg2286z00_2870 =
																										CDR(
																										((obj_t)
																											BgL_l1676z00_2866));
																									{
																										obj_t BgL_l1676z00_7493;

																										BgL_l1676z00_7493 =
																											BgL_arg2286z00_2870;
																										BgL_l1676z00_2866 =
																											BgL_l1676z00_7493;
																										goto
																											BgL_zc3z04anonymousza32284ze3z87_2867;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test3102z00_7466)
																				{	/* SawMill/regalloc.scm 528 */
																					BgL__ortest_1682z00_2857 = BFALSE;
																				}
																			else
																				{	/* SawMill/regalloc.scm 531 */
																					bool_t BgL_test3105z00_7494;

																					{	/* SawMill/regalloc.scm 533 */
																						obj_t BgL_arg2283z00_2863;

																						{
																							BgL_rtl_regzf2razf2_bglt
																								BgL_auxz00_7495;
																							{
																								obj_t BgL_auxz00_7496;

																								{	/* SawMill/regalloc.scm 533 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_7497;
																									BgL_tmpz00_7497 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_regz00_bglt)
																											BgL_regz00_2859));
																									BgL_auxz00_7496 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_7497);
																								}
																								BgL_auxz00_7495 =
																									((BgL_rtl_regzf2razf2_bglt)
																									BgL_auxz00_7496);
																							}
																							BgL_arg2283z00_2863 =
																								(((BgL_rtl_regzf2razf2_bglt)
																									COBJECT(BgL_auxz00_7495))->
																								BgL_interfere2z00);
																						}
																						BgL_test3105z00_7494 =
																							BGl_regsetzd2memberzf3z21zzsaw_regsetz00
																							(((BgL_rtl_regz00_bglt)
																								BgL_rz00_2843),
																							((BgL_regsetz00_bglt)
																								BgL_arg2283z00_2863));
																					}
																					if (BgL_test3105z00_7494)
																						{	/* SawMill/regalloc.scm 531 */
																							BgL__ortest_1682z00_2857 = BFALSE;
																						}
																					else
																						{	/* SawMill/regalloc.scm 531 */
																							BgL__ortest_1682z00_2857 =
																								BgL_regz00_2859;
																						}
																				}
																		}
																}
															}
															if (CBOOL(BgL__ortest_1682z00_2857))
																{	/* SawMill/regalloc.scm 526 */
																	BgL_nrz00_2846 = BgL__ortest_1682z00_2857;
																}
															else
																{	/* SawMill/regalloc.scm 526 */
																	obj_t BgL_arg2282z00_2858;

																	BgL_arg2282z00_2858 =
																		CDR(((obj_t) BgL_l1680z00_2854));
																	{
																		obj_t BgL_l1680z00_7510;

																		BgL_l1680z00_7510 = BgL_arg2282z00_2858;
																		BgL_l1680z00_2854 = BgL_l1680z00_7510;
																		goto BgL_zc3z04anonymousza32280ze3z87_2855;
																	}
																}
														}
												}
												{	/* SawMill/regalloc.scm 536 */
													obj_t BgL_arg2277z00_2848;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7511;

														{
															obj_t BgL_auxz00_7512;

															{	/* SawMill/regalloc.scm 538 */
																BgL_objectz00_bglt BgL_tmpz00_7513;

																BgL_tmpz00_7513 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2843));
																BgL_auxz00_7512 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7513);
															}
															BgL_auxz00_7511 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7512);
														}
														BgL_arg2277z00_2848 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7511))->BgL_interferez00);
													}
													{	/* SawMill/regalloc.scm 537 */
														obj_t BgL_zc3z04anonymousza32278ze3z87_5504;

														BgL_zc3z04anonymousza32278ze3z87_5504 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_registerzd2allocationzd2,
															(int) (((long) 1)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3z04anonymousza32278ze3z87_5504,
															(int) (((long) 0)), BgL_nrz00_2846);
														BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
															(BgL_zc3z04anonymousza32278ze3z87_5504,
															((BgL_regsetz00_bglt) BgL_arg2277z00_2848));
												}}
												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_7526;

													{
														obj_t BgL_auxz00_7527;

														{	/* SawMill/regalloc.scm 539 */
															BgL_objectz00_bglt BgL_tmpz00_7528;

															BgL_tmpz00_7528 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2843));
															BgL_auxz00_7527 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7528);
														}
														BgL_auxz00_7526 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7527);
													}
													((((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7526))->BgL_colorz00) =
														((obj_t) BgL_nrz00_2846), BUNSPEC);
											}}
											{
												obj_t BgL_l1683z00_7535;

												BgL_l1683z00_7535 = CDR(BgL_l1683z00_2880);
												BgL_l1683z00_2880 = BgL_l1683z00_7535;
												goto BgL_zc3z04anonymousza32291ze3z87_2881;
											}
										}
									else
										{	/* SawMill/regalloc.scm 541 */
											((bool_t) 1);
										}
								}
								{	/* SawMill/regalloc.scm 570 */
									long BgL_arg2243z00_2787;

									BgL_arg2243z00_2787 = bgl_list_length(BgL_cregsz00_96);
									{	/* SawMill/regalloc.scm 568 */
										obj_t BgL_list2244z00_2788;

										{	/* SawMill/regalloc.scm 568 */
											obj_t BgL_arg2245z00_2789;

											{	/* SawMill/regalloc.scm 568 */
												obj_t BgL_arg2246z00_2790;

												{	/* SawMill/regalloc.scm 568 */
													obj_t BgL_arg2247z00_2791;

													{	/* SawMill/regalloc.scm 568 */
														obj_t BgL_arg2248z00_2792;

														{	/* SawMill/regalloc.scm 568 */
															obj_t BgL_arg2249z00_2793;

															{	/* SawMill/regalloc.scm 568 */
																obj_t BgL_arg2250z00_2794;

																{	/* SawMill/regalloc.scm 568 */
																	obj_t BgL_arg2251z00_2795;

																	{	/* SawMill/regalloc.scm 568 */
																		obj_t BgL_arg2252z00_2796;

																		{	/* SawMill/regalloc.scm 568 */
																			obj_t BgL_arg2253z00_2797;

																			BgL_arg2253z00_2797 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2828z00zzsaw_registerzd2allocationzd2,
																				BNIL);
																			BgL_arg2252z00_2796 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2849z00zzsaw_registerzd2allocationzd2,
																				BgL_arg2253z00_2797);
																		}
																		BgL_arg2251z00_2795 =
																			MAKE_YOUNG_PAIR(BINT(BgL_sz00_2783),
																			BgL_arg2252z00_2796);
																	}
																	BgL_arg2250z00_2794 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2850z00zzsaw_registerzd2allocationzd2,
																		BgL_arg2251z00_2795);
																}
																BgL_arg2249z00_2793 =
																	MAKE_YOUNG_PAIR(BINT(BgL_nz00_2784),
																	BgL_arg2250z00_2794);
															}
															BgL_arg2248z00_2792 =
																MAKE_YOUNG_PAIR
																(BGl_string2851z00zzsaw_registerzd2allocationzd2,
																BgL_arg2249z00_2793);
														}
														BgL_arg2247z00_2791 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2243z00_2787),
															BgL_arg2248z00_2792);
													}
													BgL_arg2246z00_2790 =
														MAKE_YOUNG_PAIR
														(BGl_string2852z00zzsaw_registerzd2allocationzd2,
														BgL_arg2247z00_2791);
												}
												BgL_arg2245z00_2789 =
													MAKE_YOUNG_PAIR(BINT(BgL_kz00_2778),
													BgL_arg2246z00_2790);
											}
											BgL_list2244z00_2788 =
												MAKE_YOUNG_PAIR
												(BGl_string2853z00zzsaw_registerzd2allocationzd2,
												BgL_arg2245z00_2789);
										}
										return
											BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
											BgL_list2244z00_2788);
							}}}
						else
							{	/* SawMill/regalloc.scm 573 */
								obj_t BgL_srz00_2798;

								BgL_regsz00_2807 = BgL_regsz00_2781;
								BgL_kz00_2808 = (int) (BgL_kz00_2778);
								{
									obj_t BgL_l1673z00_2811;

									BgL_l1673z00_2811 = BgL_regsz00_2807;
								BgL_zc3z04anonymousza32260ze3z87_2812:
									if (NULLP(BgL_l1673z00_2811))
										{	/* SawMill/regalloc.scm 504 */
											BgL_srz00_2798 = BFALSE;
										}
									else
										{	/* SawMill/regalloc.scm 505 */
											obj_t BgL__ortest_1675z00_2814;

											{	/* SawMill/regalloc.scm 505 */
												obj_t BgL_rz00_2816;

												BgL_rz00_2816 = CAR(((obj_t) BgL_l1673z00_2811));
												{	/* SawMill/regalloc.scm 505 */
													obj_t BgL__andtest_1227z00_2817;

													BgL__andtest_1227z00_2817 =
														(((BgL_rtl_regz00_bglt) COBJECT(
																((BgL_rtl_regz00_bglt) BgL_rz00_2816)))->
														BgL_hardwarez00);
													if (CBOOL(BgL__andtest_1227z00_2817))
														{	/* SawMill/regalloc.scm 505 */
															BgL__ortest_1675z00_2814 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 506 */
															bool_t BgL_test3109z00_7562;

															{	/* SawMill/regalloc.scm 506 */
																int BgL_arg2263z00_2819;

																{	/* SawMill/regalloc.scm 591 */
																	obj_t BgL_arg2297z00_4493;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_7563;

																		{
																			obj_t BgL_auxz00_7564;

																			{	/* SawMill/regalloc.scm 591 */
																				BgL_objectz00_bglt BgL_tmpz00_7565;

																				BgL_tmpz00_7565 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2816));
																				BgL_auxz00_7564 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7565);
																			}
																			BgL_auxz00_7563 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_7564);
																		}
																		BgL_arg2297z00_4493 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_7563))->
																			BgL_interfere2z00);
																	}
																	BgL_arg2263z00_2819 =
																		(((BgL_regsetz00_bglt) COBJECT(
																				((BgL_regsetz00_bglt)
																					BgL_arg2297z00_4493)))->
																		BgL_lengthz00);
																}
																BgL_test3109z00_7562 =
																	(
																	(long) (BgL_arg2263z00_2819) <
																	(long) (BgL_kz00_2808));
															}
															if (BgL_test3109z00_7562)
																{	/* SawMill/regalloc.scm 506 */
																	BgL__ortest_1675z00_2814 = BgL_rz00_2816;
																}
															else
																{	/* SawMill/regalloc.scm 506 */
																	BgL__ortest_1675z00_2814 = BFALSE;
																}
														}
												}
											}
											if (CBOOL(BgL__ortest_1675z00_2814))
												{	/* SawMill/regalloc.scm 504 */
													BgL_srz00_2798 = BgL__ortest_1675z00_2814;
												}
											else
												{	/* SawMill/regalloc.scm 504 */
													obj_t BgL_arg2262z00_2815;

													BgL_arg2262z00_2815 =
														CDR(((obj_t) BgL_l1673z00_2811));
													{
														obj_t BgL_l1673z00_7580;

														BgL_l1673z00_7580 = BgL_arg2262z00_2815;
														BgL_l1673z00_2811 = BgL_l1673z00_7580;
														goto BgL_zc3z04anonymousza32260ze3z87_2812;
													}
												}
										}
								}
								if (CBOOL(BgL_srz00_2798))
									{	/* SawMill/regalloc.scm 574 */
										BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
											((BgL_rtl_regz00_bglt) BgL_srz00_2798));
										{	/* SawMill/regalloc.scm 578 */
											obj_t BgL_arg2254z00_2799;
											obj_t BgL_arg2255z00_2800;
											long BgL_arg2256z00_2801;

											BgL_arg2254z00_2799 =
												bgl_remq(BgL_srz00_2798, BgL_regsz00_2781);
											BgL_arg2255z00_2800 =
												MAKE_YOUNG_PAIR(BgL_srz00_2798, BgL_stackz00_2782);
											BgL_arg2256z00_2801 = (((long) 1) + BgL_nz00_2784);
											{
												long BgL_nz00_7591;
												obj_t BgL_stackz00_7590;
												obj_t BgL_regsz00_7589;

												BgL_regsz00_7589 = BgL_arg2254z00_2799;
												BgL_stackz00_7590 = BgL_arg2255z00_2800;
												BgL_nz00_7591 = BgL_arg2256z00_2801;
												BgL_nz00_2784 = BgL_nz00_7591;
												BgL_stackz00_2782 = BgL_stackz00_7590;
												BgL_regsz00_2781 = BgL_regsz00_7589;
												goto BgL_zc3z04anonymousza32241ze3z87_2785;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 580 */
										BgL_rtl_regz00_bglt BgL_rz00_2802;

										BgL_regsz00_2821 = BgL_regsz00_2781;
										{
											obj_t BgL_regz00_2836;

											{
												obj_t BgL_regsz00_2825;
												obj_t BgL_regz00_2826;
												double BgL_msz00_2827;

												{
													obj_t BgL_auxz00_7592;

													BgL_regsz00_2825 = BgL_regsz00_2821;
													BgL_regz00_2826 = BUNSPEC;
													BgL_msz00_2827 = ((double) 0.0);
												BgL_zc3z04anonymousza32265ze3z87_2828:
													if (NULLP(BgL_regsz00_2825))
														{	/* SawMill/regalloc.scm 517 */
															BgL_auxz00_7592 = BgL_regz00_2826;
														}
													else
														{	/* SawMill/regalloc.scm 519 */
															obj_t BgL_rz00_2830;

															BgL_rz00_2830 = CAR(((obj_t) BgL_regsz00_2825));
															{	/* SawMill/regalloc.scm 519 */
																double BgL_sz00_2831;

																BgL_regz00_2836 = BgL_rz00_2830;
																{	/* SawMill/regalloc.scm 512 */
																	double BgL_arg2271z00_2838;
																	double BgL_arg2272z00_2839;

																	{	/* SawMill/regalloc.scm 512 */
																		int BgL_arg2273z00_2840;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7597;

																			{
																				obj_t BgL_auxz00_7598;

																				{	/* SawMill/regalloc.scm 512 */
																					BgL_objectz00_bglt BgL_tmpz00_7599;

																					BgL_tmpz00_7599 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_regz00_2836));
																					BgL_auxz00_7598 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7599);
																				}
																				BgL_auxz00_7597 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7598);
																			}
																			BgL_arg2273z00_2840 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7597))->
																				BgL_occurrencesz00);
																		}
																		BgL_arg2271z00_2838 =
																			(double) ((long) (BgL_arg2273z00_2840));
																	}
																	{	/* SawMill/regalloc.scm 513 */
																		int BgL_arg2274z00_2841;

																		{	/* SawMill/regalloc.scm 591 */
																			obj_t BgL_arg2297z00_4504;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7607;
																				{
																					obj_t BgL_auxz00_7608;

																					{	/* SawMill/regalloc.scm 591 */
																						BgL_objectz00_bglt BgL_tmpz00_7609;

																						BgL_tmpz00_7609 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2836));
																						BgL_auxz00_7608 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7609);
																					}
																					BgL_auxz00_7607 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7608);
																				}
																				BgL_arg2297z00_4504 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7607))->
																					BgL_interfere2z00);
																			}
																			BgL_arg2274z00_2841 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2297z00_4504)))->
																				BgL_lengthz00);
																		}
																		BgL_arg2272z00_2839 =
																			(double) ((long) (BgL_arg2274z00_2841));
																	}
																	BgL_sz00_2831 =
																		(BgL_arg2271z00_2838 / BgL_arg2272z00_2839);
																}
																{	/* SawMill/regalloc.scm 520 */

																	if ((BgL_sz00_2831 > BgL_msz00_2827))
																		{	/* SawMill/regalloc.scm 522 */
																			obj_t BgL_arg2268z00_2833;

																			BgL_arg2268z00_2833 =
																				CDR(((obj_t) BgL_regsz00_2825));
																			{
																				double BgL_msz00_7626;
																				obj_t BgL_regz00_7625;
																				obj_t BgL_regsz00_7624;

																				BgL_regsz00_7624 = BgL_arg2268z00_2833;
																				BgL_regz00_7625 = BgL_rz00_2830;
																				BgL_msz00_7626 = BgL_sz00_2831;
																				BgL_msz00_2827 = BgL_msz00_7626;
																				BgL_regz00_2826 = BgL_regz00_7625;
																				BgL_regsz00_2825 = BgL_regsz00_7624;
																				goto
																					BgL_zc3z04anonymousza32265ze3z87_2828;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 523 */
																			obj_t BgL_arg2269z00_2834;

																			BgL_arg2269z00_2834 =
																				CDR(((obj_t) BgL_regsz00_2825));
																			{
																				obj_t BgL_regsz00_7629;

																				BgL_regsz00_7629 = BgL_arg2269z00_2834;
																				BgL_regsz00_2825 = BgL_regsz00_7629;
																				goto
																					BgL_zc3z04anonymousza32265ze3z87_2828;
																			}
																		}
																}
															}
														}
													BgL_rz00_2802 =
														((BgL_rtl_regz00_bglt) BgL_auxz00_7592);
												}
											}
										}
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7631;

											{
												obj_t BgL_auxz00_7632;

												{	/* SawMill/regalloc.scm 582 */
													BgL_objectz00_bglt BgL_tmpz00_7633;

													BgL_tmpz00_7633 =
														((BgL_objectz00_bglt) BgL_rz00_2802);
													BgL_auxz00_7632 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7633);
												}
												BgL_auxz00_7631 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7632);
											}
											((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7631))->
													BgL_colorz00) = ((obj_t) BUNSPEC), BUNSPEC);
										}
										{	/* SawMill/regalloc.scm 583 */
											obj_t BgL_arg2257z00_2804;
											long BgL_arg2258z00_2805;

											BgL_arg2257z00_2804 =
												bgl_remq(((obj_t) BgL_rz00_2802), BgL_regsz00_2781);
											BgL_arg2258z00_2805 = (((long) 1) + BgL_sz00_2783);
											{
												long BgL_sz00_7642;
												obj_t BgL_regsz00_7641;

												BgL_regsz00_7641 = BgL_arg2257z00_2804;
												BgL_sz00_7642 = BgL_arg2258z00_2805;
												BgL_sz00_2783 = BgL_sz00_7642;
												BgL_regsz00_2781 = BgL_regsz00_7641;
												goto BgL_zc3z04anonymousza32241ze3z87_2785;
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2278> */
	obj_t BGl_z62zc3z04anonymousza32278ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5505, obj_t BgL_riz00_5507)
	{
		{	/* SawMill/regalloc.scm 536 */
			{	/* SawMill/regalloc.scm 537 */
				obj_t BgL_nrz00_5506;

				BgL_nrz00_5506 = PROCEDURE_REF(BgL_envz00_5505, (int) (((long) 0)));
				{	/* SawMill/regalloc.scm 537 */
					bool_t BgL_tmpz00_7645;

					{	/* SawMill/regalloc.scm 537 */
						obj_t BgL_arg2279z00_5668;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7646;

							{
								obj_t BgL_auxz00_7647;

								{	/* SawMill/regalloc.scm 537 */
									BgL_objectz00_bglt BgL_tmpz00_7648;

									BgL_tmpz00_7648 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_nrz00_5506));
									BgL_auxz00_7647 = BGL_OBJECT_WIDENING(BgL_tmpz00_7648);
								}
								BgL_auxz00_7646 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7647);
							}
							BgL_arg2279z00_5668 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7646))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_7645 =
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2279z00_5668),
							((BgL_rtl_regz00_bglt) BgL_riz00_5507));
					}
					return BBOOL(BgL_tmpz00_7645);
				}
			}
		}

	}



/* simplify-reg! */
	obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_rz00_98)
	{
		{	/* SawMill/regalloc.scm 599 */
			{	/* SawMill/regalloc.scm 601 */
				obj_t BgL_arg2299z00_2893;

				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7658;

					{
						obj_t BgL_auxz00_7659;

						{	/* SawMill/regalloc.scm 601 */
							BgL_objectz00_bglt BgL_tmpz00_7660;

							BgL_tmpz00_7660 = ((BgL_objectz00_bglt) BgL_rz00_98);
							BgL_auxz00_7659 = BGL_OBJECT_WIDENING(BgL_tmpz00_7660);
						}
						BgL_auxz00_7658 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7659);
					}
					BgL_arg2299z00_2893 =
						(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7658))->
						BgL_interfere2z00);
				}
				{	/* SawMill/regalloc.scm 602 */
					obj_t BgL_zc3z04anonymousza32300ze3z87_5508;

					BgL_zc3z04anonymousza32300ze3z87_5508 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_5508,
						(int) (((long) 0)), ((obj_t) BgL_rz00_98));
					PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_5508,
						(int) (((long) 1)), ((obj_t) BgL_rz00_98));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32300ze3z87_5508,
						((BgL_regsetz00_bglt) BgL_arg2299z00_2893));
				}
			}
		}

	}



/* &<@anonymous:2300> */
	obj_t BGl_z62zc3z04anonymousza32300ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5509, obj_t BgL_r2z00_5512)
	{
		{	/* SawMill/regalloc.scm 601 */
			{	/* SawMill/regalloc.scm 602 */
				BgL_rtl_regz00_bglt BgL_rz00_5510;
				BgL_rtl_regz00_bglt BgL_i1235z00_5511;

				BgL_rz00_5510 =
					((BgL_rtl_regz00_bglt)
					PROCEDURE_REF(BgL_envz00_5509, (int) (((long) 0))));
				BgL_i1235z00_5511 =
					((BgL_rtl_regz00_bglt)
					PROCEDURE_REF(BgL_envz00_5509, (int) (((long) 1))));
				{	/* SawMill/regalloc.scm 602 */
					bool_t BgL_tmpz00_7682;

					{	/* SawMill/regalloc.scm 602 */
						obj_t BgL_arg2301z00_5669;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7683;

							{
								obj_t BgL_auxz00_7684;

								{	/* SawMill/regalloc.scm 602 */
									BgL_objectz00_bglt BgL_tmpz00_7685;

									BgL_tmpz00_7685 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5512));
									BgL_auxz00_7684 = BGL_OBJECT_WIDENING(BgL_tmpz00_7685);
								}
								BgL_auxz00_7683 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7684);
							}
							BgL_arg2301z00_5669 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7683))->
								BgL_interfere2z00);
						}
						BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2301z00_5669), BgL_rz00_5510);
					}
					{	/* SawMill/regalloc.scm 603 */
						obj_t BgL_arg2302z00_5670;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7693;

							{
								obj_t BgL_auxz00_7694;

								{	/* SawMill/regalloc.scm 603 */
									BgL_objectz00_bglt BgL_tmpz00_7695;

									BgL_tmpz00_7695 = ((BgL_objectz00_bglt) BgL_i1235z00_5511);
									BgL_auxz00_7694 = BGL_OBJECT_WIDENING(BgL_tmpz00_7695);
								}
								BgL_auxz00_7693 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7694);
							}
							BgL_arg2302z00_5670 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7693))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_7682 =
							BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2302z00_5670),
							((BgL_rtl_regz00_bglt) BgL_r2z00_5512));
					}
					return BBOOL(BgL_tmpz00_7682);
				}
			}
		}

	}



/* rtl-map-registers! */
	obj_t BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_99, obj_t BgL_cregsz00_100, obj_t BgL_blocksz00_101)
	{
		{	/* SawMill/regalloc.scm 614 */
			{	/* SawMill/regalloc.scm 615 */
				obj_t BgL_colorsz00_2899;

				BgL_colorsz00_2899 =
					make_vector(
					(bgl_list_length(BgL_pregsz00_99) +
						bgl_list_length(BgL_cregsz00_100)), BUNSPEC);
				{	/* SawMill/regalloc.scm 621 */
					struct bgl_cell BgL_box3114_5633z00;
					obj_t BgL_mappingz00_5633;

					BgL_mappingz00_5633 = MAKE_CELL_STACK(BNIL, BgL_box3114_5633z00);
					{	/* SawMill/regalloc.scm 616 */
						obj_t BgL_g1699z00_2903;

						BgL_g1699z00_2903 =
							BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_cregsz00_100, BgL_pregsz00_99);
						{
							obj_t BgL_l1697z00_2905;

							BgL_l1697z00_2905 = BgL_g1699z00_2903;
						BgL_zc3z04anonymousza32303ze3z87_2906:
							if (PAIRP(BgL_l1697z00_2905))
								{	/* SawMill/regalloc.scm 620 */
									{	/* SawMill/regalloc.scm 617 */
										obj_t BgL_rz00_2908;

										BgL_rz00_2908 = CAR(BgL_l1697z00_2905);
										{	/* SawMill/regalloc.scm 618 */
											bool_t BgL_test3116z00_7712;

											{	/* SawMill/regalloc.scm 618 */
												obj_t BgL_arg2308z00_2913;

												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_7713;

													{
														obj_t BgL_auxz00_7714;

														{	/* SawMill/regalloc.scm 618 */
															BgL_objectz00_bglt BgL_tmpz00_7715;

															BgL_tmpz00_7715 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2908));
															BgL_auxz00_7714 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7715);
														}
														BgL_auxz00_7713 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7714);
													}
													BgL_arg2308z00_2913 =
														(((BgL_rtl_regzf2razf2_bglt)
															COBJECT(BgL_auxz00_7713))->BgL_colorz00);
												}
												BgL_test3116z00_7712 = INTEGERP(BgL_arg2308z00_2913);
											}
											if (BgL_test3116z00_7712)
												{	/* SawMill/regalloc.scm 619 */
													obj_t BgL_arg2307z00_2912;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7722;

														{
															obj_t BgL_auxz00_7723;

															{	/* SawMill/regalloc.scm 619 */
																BgL_objectz00_bglt BgL_tmpz00_7724;

																BgL_tmpz00_7724 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2908));
																BgL_auxz00_7723 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7724);
															}
															BgL_auxz00_7722 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7723);
														}
														BgL_arg2307z00_2912 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7722))->BgL_colorz00);
													}
													VECTOR_SET(BgL_colorsz00_2899,
														(long) CINT(BgL_arg2307z00_2912), BgL_rz00_2908);
												}
											else
												{	/* SawMill/regalloc.scm 618 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1697z00_7732;

										BgL_l1697z00_7732 = CDR(BgL_l1697z00_2905);
										BgL_l1697z00_2905 = BgL_l1697z00_7732;
										goto BgL_zc3z04anonymousza32303ze3z87_2906;
									}
								}
							else
								{	/* SawMill/regalloc.scm 620 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1715z00_2917;

						BgL_l1715z00_2917 = BgL_blocksz00_101;
					BgL_zc3z04anonymousza32310ze3z87_2918:
						if (PAIRP(BgL_l1715z00_2917))
							{	/* SawMill/regalloc.scm 660 */
								{	/* SawMill/regalloc.scm 661 */
									obj_t BgL_bz00_2920;

									BgL_bz00_2920 = CAR(BgL_l1715z00_2917);
									{	/* SawMill/regalloc.scm 661 */
										obj_t BgL_g1714z00_2921;

										BgL_g1714z00_2921 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2920)))->BgL_firstz00);
										{
											obj_t BgL_l1712z00_2923;

											BgL_l1712z00_2923 = BgL_g1714z00_2921;
										BgL_zc3z04anonymousza32312ze3z87_2924:
											if (PAIRP(BgL_l1712z00_2923))
												{	/* SawMill/regalloc.scm 667 */
													{	/* SawMill/regalloc.scm 662 */
														obj_t BgL_iz00_2926;

														BgL_iz00_2926 = CAR(BgL_l1712z00_2923);
														{	/* SawMill/regalloc.scm 663 */
															bool_t BgL_test3119z00_7742;

															{	/* SawMill/regalloc.scm 663 */
																obj_t BgL_arg2317z00_2931;

																BgL_arg2317z00_2931 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2926))))->BgL_destz00);
																{	/* SawMill/regalloc.scm 663 */
																	obj_t BgL_classz00_4721;

																	BgL_classz00_4721 =
																		BGl_rtl_regzf2razf2zzsaw_regsetz00;
																	if (BGL_OBJECTP(BgL_arg2317z00_2931))
																		{	/* SawMill/regalloc.scm 663 */
																			BgL_objectz00_bglt BgL_arg1820z00_4723;

																			BgL_arg1820z00_4723 =
																				(BgL_objectz00_bglt)
																				(BgL_arg2317z00_2931);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* SawMill/regalloc.scm 663 */
																					long BgL_idxz00_4729;

																					BgL_idxz00_4729 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1820z00_4723);
																					BgL_test3119z00_7742 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4729 + ((long) 2))) ==
																						BgL_classz00_4721);
																				}
																			else
																				{	/* SawMill/regalloc.scm 663 */
																					bool_t BgL_res2792z00_4751;

																					{	/* SawMill/regalloc.scm 663 */
																						obj_t BgL_oclassz00_4737;

																						{	/* SawMill/regalloc.scm 663 */
																							long BgL_arg1828z00_4743;

																							{	/* SawMill/regalloc.scm 663 */
																								long BgL_arg1829z00_4744;

																								BgL_arg1829z00_4744 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1820z00_4723);
																								BgL_arg1828z00_4743 =
																									(BgL_arg1829z00_4744 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4737 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1828z00_4743);
																						}
																						{	/* SawMill/regalloc.scm 663 */
																							bool_t BgL__ortest_1111z00_4738;

																							BgL__ortest_1111z00_4738 =
																								(BgL_classz00_4721 ==
																								BgL_oclassz00_4737);
																							if (BgL__ortest_1111z00_4738)
																								{	/* SawMill/regalloc.scm 663 */
																									BgL_res2792z00_4751 =
																										BgL__ortest_1111z00_4738;
																								}
																							else
																								{	/* SawMill/regalloc.scm 663 */
																									long BgL_odepthz00_4739;

																									BgL_odepthz00_4739 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4737);
																									if ((((long) 2) <
																											BgL_odepthz00_4739))
																										{	/* SawMill/regalloc.scm 663 */
																											obj_t BgL_arg1816z00_4741;

																											BgL_arg1816z00_4741 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4737,
																												((long) 2));
																											BgL_res2792z00_4751 =
																												(BgL_arg1816z00_4741 ==
																												BgL_classz00_4721);
																										}
																									else
																										{	/* SawMill/regalloc.scm 663 */
																											BgL_res2792z00_4751 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test3119z00_7742 =
																						BgL_res2792z00_4751;
																				}
																		}
																	else
																		{	/* SawMill/regalloc.scm 663 */
																			BgL_test3119z00_7742 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test3119z00_7742)
																{
																	obj_t BgL_auxz00_7765;

																	{	/* SawMill/regalloc.scm 664 */
																		obj_t BgL_arg2316z00_2930;

																		BgL_arg2316z00_2930 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2926))))->BgL_destz00);
																		BgL_auxz00_7765 =
																			BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																			(BgL_colorsz00_2899, BgL_mappingz00_5633,
																			BgL_arg2316z00_2930);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2926))))->BgL_destz00) =
																		((obj_t) BgL_auxz00_7765), BUNSPEC);
																}
															else
																{	/* SawMill/regalloc.scm 663 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_auxz00_7773;

															{	/* SawMill/regalloc.scm 665 */
																obj_t BgL_l1700z00_2932;

																BgL_l1700z00_2932 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2926))))->BgL_z52spillz52);
																if (NULLP(BgL_l1700z00_2932))
																	{	/* SawMill/regalloc.scm 665 */
																		BgL_auxz00_7773 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 665 */
																		obj_t BgL_head1702z00_2934;

																		{	/* SawMill/regalloc.scm 665 */
																			obj_t BgL_arg2326z00_2946;

																			{	/* SawMill/regalloc.scm 665 */
																				obj_t BgL_arg2328z00_2947;

																				BgL_arg2328z00_2947 =
																					CAR(BgL_l1700z00_2932);
																				BgL_arg2326z00_2946 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2899,
																					BgL_mappingz00_5633,
																					BgL_arg2328z00_2947);
																			}
																			BgL_head1702z00_2934 =
																				MAKE_YOUNG_PAIR(BgL_arg2326z00_2946,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 665 */
																			obj_t BgL_g1705z00_2935;

																			BgL_g1705z00_2935 =
																				CDR(BgL_l1700z00_2932);
																			{
																				obj_t BgL_l1700z00_2937;
																				obj_t BgL_tail1703z00_2938;

																				BgL_l1700z00_2937 = BgL_g1705z00_2935;
																				BgL_tail1703z00_2938 =
																					BgL_head1702z00_2934;
																			BgL_zc3z04anonymousza32319ze3z87_2939:
																				if (NULLP(BgL_l1700z00_2937))
																					{	/* SawMill/regalloc.scm 665 */
																						BgL_auxz00_7773 =
																							BgL_head1702z00_2934;
																					}
																				else
																					{	/* SawMill/regalloc.scm 665 */
																						obj_t BgL_newtail1704z00_2941;

																						{	/* SawMill/regalloc.scm 665 */
																							obj_t BgL_arg2323z00_2943;

																							{	/* SawMill/regalloc.scm 665 */
																								obj_t BgL_arg2324z00_2944;

																								BgL_arg2324z00_2944 =
																									CAR(
																									((obj_t) BgL_l1700z00_2937));
																								BgL_arg2323z00_2943 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2899,
																									BgL_mappingz00_5633,
																									BgL_arg2324z00_2944);
																							}
																							BgL_newtail1704z00_2941 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2323z00_2943, BNIL);
																						}
																						SET_CDR(BgL_tail1703z00_2938,
																							BgL_newtail1704z00_2941);
																						{	/* SawMill/regalloc.scm 665 */
																							obj_t BgL_arg2321z00_2942;

																							BgL_arg2321z00_2942 =
																								CDR(
																								((obj_t) BgL_l1700z00_2937));
																							{
																								obj_t BgL_tail1703z00_7795;
																								obj_t BgL_l1700z00_7794;

																								BgL_l1700z00_7794 =
																									BgL_arg2321z00_2942;
																								BgL_tail1703z00_7795 =
																									BgL_newtail1704z00_2941;
																								BgL_tail1703z00_2938 =
																									BgL_tail1703z00_7795;
																								BgL_l1700z00_2937 =
																									BgL_l1700z00_7794;
																								goto
																									BgL_zc3z04anonymousza32319ze3z87_2939;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2926))))->BgL_z52spillz52) =
																((obj_t) BgL_auxz00_7773), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_7797;

															{	/* SawMill/regalloc.scm 666 */
																obj_t BgL_l1706z00_2948;

																BgL_l1706z00_2948 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2926))))->BgL_argsz00);
																if (NULLP(BgL_l1706z00_2948))
																	{	/* SawMill/regalloc.scm 666 */
																		BgL_auxz00_7797 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 666 */
																		obj_t BgL_head1708z00_2950;

																		{	/* SawMill/regalloc.scm 666 */
																			obj_t BgL_arg2335z00_2962;

																			{	/* SawMill/regalloc.scm 666 */
																				obj_t BgL_arg2337z00_2963;

																				BgL_arg2337z00_2963 =
																					CAR(BgL_l1706z00_2948);
																				BgL_arg2335z00_2962 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2899,
																					BgL_mappingz00_5633,
																					BgL_arg2337z00_2963);
																			}
																			BgL_head1708z00_2950 =
																				MAKE_YOUNG_PAIR(BgL_arg2335z00_2962,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 666 */
																			obj_t BgL_g1711z00_2951;

																			BgL_g1711z00_2951 =
																				CDR(BgL_l1706z00_2948);
																			{
																				obj_t BgL_l1706z00_2953;
																				obj_t BgL_tail1709z00_2954;

																				BgL_l1706z00_2953 = BgL_g1711z00_2951;
																				BgL_tail1709z00_2954 =
																					BgL_head1708z00_2950;
																			BgL_zc3z04anonymousza32330ze3z87_2955:
																				if (NULLP(BgL_l1706z00_2953))
																					{	/* SawMill/regalloc.scm 666 */
																						BgL_auxz00_7797 =
																							BgL_head1708z00_2950;
																					}
																				else
																					{	/* SawMill/regalloc.scm 666 */
																						obj_t BgL_newtail1710z00_2957;

																						{	/* SawMill/regalloc.scm 666 */
																							obj_t BgL_arg2333z00_2959;

																							{	/* SawMill/regalloc.scm 666 */
																								obj_t BgL_arg2334z00_2960;

																								BgL_arg2334z00_2960 =
																									CAR(
																									((obj_t) BgL_l1706z00_2953));
																								BgL_arg2333z00_2959 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2899,
																									BgL_mappingz00_5633,
																									BgL_arg2334z00_2960);
																							}
																							BgL_newtail1710z00_2957 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2333z00_2959, BNIL);
																						}
																						SET_CDR(BgL_tail1709z00_2954,
																							BgL_newtail1710z00_2957);
																						{	/* SawMill/regalloc.scm 666 */
																							obj_t BgL_arg2332z00_2958;

																							BgL_arg2332z00_2958 =
																								CDR(
																								((obj_t) BgL_l1706z00_2953));
																							{
																								obj_t BgL_tail1709z00_7819;
																								obj_t BgL_l1706z00_7818;

																								BgL_l1706z00_7818 =
																									BgL_arg2332z00_2958;
																								BgL_tail1709z00_7819 =
																									BgL_newtail1710z00_2957;
																								BgL_tail1709z00_2954 =
																									BgL_tail1709z00_7819;
																								BgL_l1706z00_2953 =
																									BgL_l1706z00_7818;
																								goto
																									BgL_zc3z04anonymousza32330ze3z87_2955;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2926))))->BgL_argsz00) =
																((obj_t) BgL_auxz00_7797), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1712z00_7821;

														BgL_l1712z00_7821 = CDR(BgL_l1712z00_2923);
														BgL_l1712z00_2923 = BgL_l1712z00_7821;
														goto BgL_zc3z04anonymousza32312ze3z87_2924;
													}
												}
											else
												{	/* SawMill/regalloc.scm 667 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1715z00_7823;

									BgL_l1715z00_7823 = CDR(BgL_l1715z00_2917);
									BgL_l1715z00_2917 = BgL_l1715z00_7823;
									goto BgL_zc3z04anonymousza32310ze3z87_2918;
								}
							}
						else
							{	/* SawMill/regalloc.scm 660 */
								((bool_t) 1);
							}
					}
					return BgL_blocksz00_101;
				}
			}
		}

	}



/* map-register~0 */
	obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t
		BgL_colorsz00_5631, obj_t BgL_mappingz00_5630, obj_t BgL_oz00_2992)
	{
		{	/* SawMill/regalloc.scm 659 */
			{
				BgL_typez00_bglt BgL_tyz00_2968;
				BgL_rtl_regz00_bglt BgL_rz00_2969;

				{	/* SawMill/regalloc.scm 642 */
					bool_t BgL_test3128z00_7825;

					{	/* SawMill/regalloc.scm 642 */
						obj_t BgL_classz00_4601;

						BgL_classz00_4601 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
						if (BGL_OBJECTP(BgL_oz00_2992))
							{	/* SawMill/regalloc.scm 642 */
								BgL_objectz00_bglt BgL_arg1820z00_4603;

								BgL_arg1820z00_4603 = (BgL_objectz00_bglt) (BgL_oz00_2992);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/regalloc.scm 642 */
										long BgL_idxz00_4609;

										BgL_idxz00_4609 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4603);
										BgL_test3128z00_7825 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4609 + ((long) 2))) == BgL_classz00_4601);
									}
								else
									{	/* SawMill/regalloc.scm 642 */
										bool_t BgL_res2789z00_4631;

										{	/* SawMill/regalloc.scm 642 */
											obj_t BgL_oclassz00_4617;

											{	/* SawMill/regalloc.scm 642 */
												long BgL_arg1828z00_4623;

												{	/* SawMill/regalloc.scm 642 */
													long BgL_arg1829z00_4624;

													BgL_arg1829z00_4624 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4603);
													BgL_arg1828z00_4623 =
														(BgL_arg1829z00_4624 - OBJECT_TYPE);
												}
												BgL_oclassz00_4617 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_4623);
											}
											{	/* SawMill/regalloc.scm 642 */
												bool_t BgL__ortest_1111z00_4618;

												BgL__ortest_1111z00_4618 =
													(BgL_classz00_4601 == BgL_oclassz00_4617);
												if (BgL__ortest_1111z00_4618)
													{	/* SawMill/regalloc.scm 642 */
														BgL_res2789z00_4631 = BgL__ortest_1111z00_4618;
													}
												else
													{	/* SawMill/regalloc.scm 642 */
														long BgL_odepthz00_4619;

														BgL_odepthz00_4619 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4617);
														if ((((long) 2) < BgL_odepthz00_4619))
															{	/* SawMill/regalloc.scm 642 */
																obj_t BgL_arg1816z00_4621;

																BgL_arg1816z00_4621 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4617,
																	((long) 2));
																BgL_res2789z00_4631 =
																	(BgL_arg1816z00_4621 == BgL_classz00_4601);
															}
														else
															{	/* SawMill/regalloc.scm 642 */
																BgL_res2789z00_4631 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3128z00_7825 = BgL_res2789z00_4631;
									}
							}
						else
							{	/* SawMill/regalloc.scm 642 */
								BgL_test3128z00_7825 = ((bool_t) 0);
							}
					}
					if (BgL_test3128z00_7825)
						{	/* SawMill/regalloc.scm 644 */
							BgL_typez00_bglt BgL_arg2350z00_2995;
							obj_t BgL_arg2352z00_2996;

							BgL_arg2350z00_2995 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_2992)))->BgL_typez00);
							{	/* SawMill/regalloc.scm 647 */
								bool_t BgL_test3133z00_7847;

								{	/* SawMill/regalloc.scm 647 */
									obj_t BgL_arg2361z00_3004;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_7848;

										{
											obj_t BgL_auxz00_7849;

											{	/* SawMill/regalloc.scm 647 */
												BgL_objectz00_bglt BgL_tmpz00_7850;

												BgL_tmpz00_7850 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_oz00_2992));
												BgL_auxz00_7849 = BGL_OBJECT_WIDENING(BgL_tmpz00_7850);
											}
											BgL_auxz00_7848 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7849);
										}
										BgL_arg2361z00_3004 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7848))->
											BgL_colorz00);
									}
									BgL_test3133z00_7847 = INTEGERP(BgL_arg2361z00_3004);
								}
								if (BgL_test3133z00_7847)
									{	/* SawMill/regalloc.scm 648 */
										obj_t BgL_arg2357z00_3000;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7857;

											{
												obj_t BgL_auxz00_7858;

												{	/* SawMill/regalloc.scm 648 */
													BgL_objectz00_bglt BgL_tmpz00_7859;

													BgL_tmpz00_7859 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_oz00_2992));
													BgL_auxz00_7858 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7859);
												}
												BgL_auxz00_7857 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7858);
											}
											BgL_arg2357z00_3000 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7857))->
												BgL_colorz00);
										}
										BgL_arg2352z00_2996 =
											VECTOR_REF(BgL_colorsz00_5631,
											(long) CINT(BgL_arg2357z00_3000));
									}
								else
									{	/* SawMill/regalloc.scm 649 */
										bool_t BgL_test3134z00_7867;

										{	/* SawMill/regalloc.scm 649 */
											obj_t BgL_arg2360z00_3003;

											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_7868;

												{
													obj_t BgL_auxz00_7869;

													{	/* SawMill/regalloc.scm 649 */
														BgL_objectz00_bglt BgL_tmpz00_7870;

														BgL_tmpz00_7870 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_2992));
														BgL_auxz00_7869 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7870);
													}
													BgL_auxz00_7868 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7869);
												}
												BgL_arg2360z00_3003 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_7868))->BgL_colorz00);
											}
											{	/* SawMill/regalloc.scm 649 */
												obj_t BgL_classz00_4638;

												BgL_classz00_4638 = BGl_rtl_regz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_arg2360z00_3003))
													{	/* SawMill/regalloc.scm 649 */
														BgL_objectz00_bglt BgL_arg1820z00_4640;

														BgL_arg1820z00_4640 =
															(BgL_objectz00_bglt) (BgL_arg2360z00_3003);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 649 */
																long BgL_idxz00_4646;

																BgL_idxz00_4646 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4640);
																BgL_test3134z00_7867 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4646 + ((long) 1))) ==
																	BgL_classz00_4638);
															}
														else
															{	/* SawMill/regalloc.scm 649 */
																bool_t BgL_res2790z00_4668;

																{	/* SawMill/regalloc.scm 649 */
																	obj_t BgL_oclassz00_4654;

																	{	/* SawMill/regalloc.scm 649 */
																		long BgL_arg1828z00_4660;

																		{	/* SawMill/regalloc.scm 649 */
																			long BgL_arg1829z00_4661;

																			BgL_arg1829z00_4661 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4640);
																			BgL_arg1828z00_4660 =
																				(BgL_arg1829z00_4661 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4654 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4660);
																	}
																	{	/* SawMill/regalloc.scm 649 */
																		bool_t BgL__ortest_1111z00_4655;

																		BgL__ortest_1111z00_4655 =
																			(BgL_classz00_4638 == BgL_oclassz00_4654);
																		if (BgL__ortest_1111z00_4655)
																			{	/* SawMill/regalloc.scm 649 */
																				BgL_res2790z00_4668 =
																					BgL__ortest_1111z00_4655;
																			}
																		else
																			{	/* SawMill/regalloc.scm 649 */
																				long BgL_odepthz00_4656;

																				BgL_odepthz00_4656 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4654);
																				if ((((long) 1) < BgL_odepthz00_4656))
																					{	/* SawMill/regalloc.scm 649 */
																						obj_t BgL_arg1816z00_4658;

																						BgL_arg1816z00_4658 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4654, ((long) 1));
																						BgL_res2790z00_4668 =
																							(BgL_arg1816z00_4658 ==
																							BgL_classz00_4638);
																					}
																				else
																					{	/* SawMill/regalloc.scm 649 */
																						BgL_res2790z00_4668 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3134z00_7867 = BgL_res2790z00_4668;
															}
													}
												else
													{	/* SawMill/regalloc.scm 649 */
														BgL_test3134z00_7867 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test3134z00_7867)
											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_7895;

												{
													obj_t BgL_auxz00_7896;

													{	/* SawMill/regalloc.scm 650 */
														BgL_objectz00_bglt BgL_tmpz00_7897;

														BgL_tmpz00_7897 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_2992));
														BgL_auxz00_7896 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7897);
													}
													BgL_auxz00_7895 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7896);
												}
												BgL_arg2352z00_2996 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_7895))->BgL_colorz00);
											}
										else
											{	/* SawMill/regalloc.scm 649 */
												BgL_arg2352z00_2996 = BgL_oz00_2992;
											}
									}
							}
							BgL_tyz00_2968 = BgL_arg2350z00_2995;
							BgL_rz00_2969 = ((BgL_rtl_regz00_bglt) BgL_arg2352z00_2996);
							{	/* SawMill/regalloc.scm 624 */
								bool_t BgL_test3139z00_7903;

								{	/* SawMill/regalloc.scm 624 */
									obj_t BgL_classz00_4548;

									BgL_classz00_4548 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									{	/* SawMill/regalloc.scm 624 */
										BgL_objectz00_bglt BgL_arg1820z00_4550;

										{	/* SawMill/regalloc.scm 624 */
											obj_t BgL_tmpz00_7904;

											BgL_tmpz00_7904 = ((obj_t) BgL_rz00_2969);
											BgL_arg1820z00_4550 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7904);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 624 */
												long BgL_idxz00_4556;

												BgL_idxz00_4556 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4550);
												BgL_test3139z00_7903 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4556 + ((long) 2))) ==
													BgL_classz00_4548);
											}
										else
											{	/* SawMill/regalloc.scm 624 */
												bool_t BgL_res2788z00_4578;

												{	/* SawMill/regalloc.scm 624 */
													obj_t BgL_oclassz00_4564;

													{	/* SawMill/regalloc.scm 624 */
														long BgL_arg1828z00_4570;

														{	/* SawMill/regalloc.scm 624 */
															long BgL_arg1829z00_4571;

															BgL_arg1829z00_4571 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4550);
															BgL_arg1828z00_4570 =
																(BgL_arg1829z00_4571 - OBJECT_TYPE);
														}
														BgL_oclassz00_4564 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4570);
													}
													{	/* SawMill/regalloc.scm 624 */
														bool_t BgL__ortest_1111z00_4565;

														BgL__ortest_1111z00_4565 =
															(BgL_classz00_4548 == BgL_oclassz00_4564);
														if (BgL__ortest_1111z00_4565)
															{	/* SawMill/regalloc.scm 624 */
																BgL_res2788z00_4578 = BgL__ortest_1111z00_4565;
															}
														else
															{	/* SawMill/regalloc.scm 624 */
																long BgL_odepthz00_4566;

																BgL_odepthz00_4566 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4564);
																if ((((long) 2) < BgL_odepthz00_4566))
																	{	/* SawMill/regalloc.scm 624 */
																		obj_t BgL_arg1816z00_4568;

																		BgL_arg1816z00_4568 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4564, ((long) 2));
																		BgL_res2788z00_4578 =
																			(BgL_arg1816z00_4568 ==
																			BgL_classz00_4548);
																	}
																else
																	{	/* SawMill/regalloc.scm 624 */
																		BgL_res2788z00_4578 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3139z00_7903 = BgL_res2788z00_4578;
											}
									}
								}
								if (BgL_test3139z00_7903)
									{	/* SawMill/regalloc.scm 624 */
										if (CBOOL(
												(((BgL_rtl_regz00_bglt) COBJECT(BgL_rz00_2969))->
													BgL_hardwarez00)))
											{	/* SawMill/regalloc.scm 626 */
												if (
													(((obj_t) BgL_tyz00_2968) ==
														BGl_za2objza2z00zztype_cachez00))
													{	/* SawMill/regalloc.scm 628 */
														return ((obj_t) BgL_rz00_2969);
													}
												else
													{	/* SawMill/regalloc.scm 631 */
														obj_t BgL_kz00_2973;

														BgL_kz00_2973 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_rz00_2969),
															((obj_t) BgL_tyz00_2968));
														{	/* SawMill/regalloc.scm 632 */
															obj_t BgL_cz00_2974;

															BgL_cz00_2974 =
																BGl_assocz00zz__r4_pairs_and_lists_6_3z00
																(BgL_kz00_2973, CELL_REF(BgL_mappingz00_5630));
															if (PAIRP(BgL_cz00_2974))
																{	/* SawMill/regalloc.scm 633 */
																	return CDR(BgL_cz00_2974);
																}
															else
																{	/* SawMill/regalloc.scm 635 */
																	BgL_rtl_regz00_bglt BgL_newrz00_2976;

																	{	/* SawMill/regalloc.scm 635 */
																		BgL_rtl_regz00_bglt BgL_new1237z00_2979;

																		{	/* SawMill/regalloc.scm 637 */
																			BgL_rtl_regz00_bglt BgL_tmp1247z00_2987;
																			BgL_rtl_regzf2razf2_bglt
																				BgL_wide1248z00_2988;
																			{
																				BgL_rtl_regz00_bglt BgL_auxz00_7937;

																				{	/* SawMill/regalloc.scm 637 */
																					BgL_rtl_regz00_bglt
																						BgL_new1246z00_2990;
																					BgL_new1246z00_2990 =
																						((BgL_rtl_regz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_regz00_bgl))));
																					{	/* SawMill/regalloc.scm 637 */
																						long BgL_arg2346z00_2991;

																						BgL_arg2346z00_2991 =
																							BGL_CLASS_NUM
																							(BGl_rtl_regz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1246z00_2990),
																							BgL_arg2346z00_2991);
																					}
																					{	/* SawMill/regalloc.scm 637 */
																						BgL_objectz00_bglt BgL_tmpz00_7942;

																						BgL_tmpz00_7942 =
																							((BgL_objectz00_bglt)
																							BgL_new1246z00_2990);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_7942, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1246z00_2990);
																					BgL_auxz00_7937 = BgL_new1246z00_2990;
																				}
																				BgL_tmp1247z00_2987 =
																					((BgL_rtl_regz00_bglt)
																					BgL_auxz00_7937);
																			}
																			BgL_wide1248z00_2988 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_regzf2razf2_bgl))));
																			{	/* SawMill/regalloc.scm 637 */
																				obj_t BgL_auxz00_7950;
																				BgL_objectz00_bglt BgL_tmpz00_7948;

																				BgL_auxz00_7950 =
																					((obj_t) BgL_wide1248z00_2988);
																				BgL_tmpz00_7948 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1247z00_2987);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7948,
																					BgL_auxz00_7950);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1247z00_2987);
																			{	/* SawMill/regalloc.scm 637 */
																				long BgL_arg2345z00_2989;

																				BgL_arg2345z00_2989 =
																					BGL_CLASS_NUM
																					(BGl_rtl_regzf2razf2zzsaw_regsetz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1247z00_2987),
																					BgL_arg2345z00_2989);
																			}
																			BgL_new1237z00_2979 =
																				((BgL_rtl_regz00_bglt)
																				BgL_tmp1247z00_2987);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1237z00_2979)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_tyz00_2968),
																			BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1237z00_2979)))->
																				BgL_varz00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2969))->
																					BgL_varz00)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1237z00_2979)))->
																				BgL_onexprzf3zf3) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2969))->
																					BgL_onexprzf3zf3)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1237z00_2979)))->
																				BgL_namez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2969))->
																					BgL_namez00)), BUNSPEC);
																		{
																			obj_t BgL_auxz00_7969;

																			{	/* SawMill/regalloc.scm 636 */

																				{	/* SawMill/regalloc.scm 636 */

																					BgL_auxz00_7969 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																			}}
																			((((BgL_rtl_regz00_bglt) COBJECT(
																							((BgL_rtl_regz00_bglt)
																								BgL_new1237z00_2979)))->
																					BgL_keyz00) =
																				((obj_t) BgL_auxz00_7969), BUNSPEC);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1237z00_2979)))->
																				BgL_hardwarez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2969))->
																					BgL_hardwarez00)), BUNSPEC);
																		{
																			int BgL_auxz00_7982;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7976;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7983;
																				{
																					obj_t BgL_auxz00_7984;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_7985;

																						BgL_tmpz00_7985 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_7984 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7985);
																					}
																					BgL_auxz00_7983 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7984);
																				}
																				BgL_auxz00_7982 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7983))->
																					BgL_numz00);
																			}
																			{
																				obj_t BgL_auxz00_7977;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_7978;

																					BgL_tmpz00_7978 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_7977 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7978);
																				}
																				BgL_auxz00_7976 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7977);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7976))->
																					BgL_numz00) =
																				((int) BgL_auxz00_7982), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_7998;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7992;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7999;
																				{
																					obj_t BgL_auxz00_8000;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8001;

																						BgL_tmpz00_8001 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_8000 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8001);
																					}
																					BgL_auxz00_7999 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8000);
																				}
																				BgL_auxz00_7998 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7999))->
																					BgL_colorz00);
																			}
																			{
																				obj_t BgL_auxz00_7993;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_7994;

																					BgL_tmpz00_7994 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_7993 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7994);
																				}
																				BgL_auxz00_7992 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7993);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7992))->
																					BgL_colorz00) =
																				((obj_t) BgL_auxz00_7998), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8014;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8008;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8015;
																				{
																					obj_t BgL_auxz00_8016;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8017;

																						BgL_tmpz00_8017 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_8016 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8017);
																					}
																					BgL_auxz00_8015 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8016);
																				}
																				BgL_auxz00_8014 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8015))->
																					BgL_coalescez00);
																			}
																			{
																				obj_t BgL_auxz00_8009;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8010;

																					BgL_tmpz00_8010 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_8009 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8010);
																				}
																				BgL_auxz00_8008 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8009);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8008))->
																					BgL_coalescez00) =
																				((obj_t) BgL_auxz00_8014), BUNSPEC);
																		}
																		{
																			int BgL_auxz00_8030;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8024;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8031;
																				{
																					obj_t BgL_auxz00_8032;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8033;

																						BgL_tmpz00_8033 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_8032 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8033);
																					}
																					BgL_auxz00_8031 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8032);
																				}
																				BgL_auxz00_8030 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8031))->
																					BgL_occurrencesz00);
																			}
																			{
																				obj_t BgL_auxz00_8025;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8026;

																					BgL_tmpz00_8026 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_8025 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8026);
																				}
																				BgL_auxz00_8024 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8025);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8024))->
																					BgL_occurrencesz00) =
																				((int) BgL_auxz00_8030), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8046;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8040;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8047;
																				{
																					obj_t BgL_auxz00_8048;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8049;

																						BgL_tmpz00_8049 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_8048 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8049);
																					}
																					BgL_auxz00_8047 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8048);
																				}
																				BgL_auxz00_8046 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8047))->
																					BgL_interferez00);
																			}
																			{
																				obj_t BgL_auxz00_8041;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8042;

																					BgL_tmpz00_8042 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_8041 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8042);
																				}
																				BgL_auxz00_8040 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8041);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8040))->
																					BgL_interferez00) =
																				((obj_t) BgL_auxz00_8046), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8062;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8056;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8063;
																				{
																					obj_t BgL_auxz00_8064;

																					{	/* SawMill/regalloc.scm 636 */
																						BgL_objectz00_bglt BgL_tmpz00_8065;

																						BgL_tmpz00_8065 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2969));
																						BgL_auxz00_8064 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8065);
																					}
																					BgL_auxz00_8063 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8064);
																				}
																				BgL_auxz00_8062 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8063))->
																					BgL_interfere2z00);
																			}
																			{
																				obj_t BgL_auxz00_8057;

																				{	/* SawMill/regalloc.scm 636 */
																					BgL_objectz00_bglt BgL_tmpz00_8058;

																					BgL_tmpz00_8058 =
																						((BgL_objectz00_bglt)
																						BgL_new1237z00_2979);
																					BgL_auxz00_8057 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8058);
																				}
																				BgL_auxz00_8056 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8057);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8056))->
																					BgL_interfere2z00) =
																				((obj_t) BgL_auxz00_8062), BUNSPEC);
																		}
																		BgL_newrz00_2976 = BgL_new1237z00_2979;
																	}
																	{	/* SawMill/regalloc.scm 638 */
																		obj_t BgL_auxz00_5632;

																		{	/* SawMill/regalloc.scm 638 */
																			obj_t BgL_arg2344z00_2977;

																			BgL_arg2344z00_2977 =
																				MAKE_YOUNG_PAIR(BgL_kz00_2973,
																				((obj_t) BgL_newrz00_2976));
																			BgL_auxz00_5632 =
																				MAKE_YOUNG_PAIR(BgL_arg2344z00_2977,
																				CELL_REF(BgL_mappingz00_5630));
																		}
																		CELL_SET(BgL_mappingz00_5630,
																			BgL_auxz00_5632);
																	}
																	return ((obj_t) BgL_newrz00_2976);
																}
														}
													}
											}
										else
											{	/* SawMill/regalloc.scm 626 */
												return ((obj_t) BgL_rz00_2969);
											}
									}
								else
									{	/* SawMill/regalloc.scm 624 */
										return ((obj_t) BgL_rz00_2969);
									}
							}
						}
					else
						{	/* SawMill/regalloc.scm 653 */
							bool_t BgL_test3146z00_8079;

							{	/* SawMill/regalloc.scm 653 */
								obj_t BgL_classz00_4670;

								BgL_classz00_4670 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_oz00_2992))
									{	/* SawMill/regalloc.scm 653 */
										BgL_objectz00_bglt BgL_arg1820z00_4672;

										BgL_arg1820z00_4672 = (BgL_objectz00_bglt) (BgL_oz00_2992);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 653 */
												long BgL_idxz00_4678;

												BgL_idxz00_4678 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4672);
												BgL_test3146z00_8079 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4678 + ((long) 1))) ==
													BgL_classz00_4670);
											}
										else
											{	/* SawMill/regalloc.scm 653 */
												bool_t BgL_res2791z00_4700;

												{	/* SawMill/regalloc.scm 653 */
													obj_t BgL_oclassz00_4686;

													{	/* SawMill/regalloc.scm 653 */
														long BgL_arg1828z00_4692;

														{	/* SawMill/regalloc.scm 653 */
															long BgL_arg1829z00_4693;

															BgL_arg1829z00_4693 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4672);
															BgL_arg1828z00_4692 =
																(BgL_arg1829z00_4693 - OBJECT_TYPE);
														}
														BgL_oclassz00_4686 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4692);
													}
													{	/* SawMill/regalloc.scm 653 */
														bool_t BgL__ortest_1111z00_4687;

														BgL__ortest_1111z00_4687 =
															(BgL_classz00_4670 == BgL_oclassz00_4686);
														if (BgL__ortest_1111z00_4687)
															{	/* SawMill/regalloc.scm 653 */
																BgL_res2791z00_4700 = BgL__ortest_1111z00_4687;
															}
														else
															{	/* SawMill/regalloc.scm 653 */
																long BgL_odepthz00_4688;

																BgL_odepthz00_4688 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4686);
																if ((((long) 1) < BgL_odepthz00_4688))
																	{	/* SawMill/regalloc.scm 653 */
																		obj_t BgL_arg1816z00_4690;

																		BgL_arg1816z00_4690 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4686, ((long) 1));
																		BgL_res2791z00_4700 =
																			(BgL_arg1816z00_4690 ==
																			BgL_classz00_4670);
																	}
																else
																	{	/* SawMill/regalloc.scm 653 */
																		BgL_res2791z00_4700 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3146z00_8079 = BgL_res2791z00_4700;
											}
									}
								else
									{	/* SawMill/regalloc.scm 653 */
										BgL_test3146z00_8079 = ((bool_t) 0);
									}
							}
							if (BgL_test3146z00_8079)
								{	/* SawMill/regalloc.scm 653 */
									{
										obj_t BgL_auxz00_8099;

										{	/* SawMill/regalloc.scm 655 */
											obj_t BgL_l1685z00_3007;

											BgL_l1685z00_3007 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2992)))->
												BgL_z52spillz52);
											if (NULLP(BgL_l1685z00_3007))
												{	/* SawMill/regalloc.scm 655 */
													BgL_auxz00_8099 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 655 */
													obj_t BgL_head1687z00_3009;

													{	/* SawMill/regalloc.scm 655 */
														obj_t BgL_arg2369z00_3021;

														{	/* SawMill/regalloc.scm 655 */
															obj_t BgL_arg2370z00_3022;

															BgL_arg2370z00_3022 = CAR(BgL_l1685z00_3007);
															BgL_arg2369z00_3021 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_5631, BgL_mappingz00_5630,
																BgL_arg2370z00_3022);
														}
														BgL_head1687z00_3009 =
															MAKE_YOUNG_PAIR(BgL_arg2369z00_3021, BNIL);
													}
													{	/* SawMill/regalloc.scm 655 */
														obj_t BgL_g1690z00_3010;

														BgL_g1690z00_3010 = CDR(BgL_l1685z00_3007);
														{
															obj_t BgL_l1685z00_3012;
															obj_t BgL_tail1688z00_3013;

															BgL_l1685z00_3012 = BgL_g1690z00_3010;
															BgL_tail1688z00_3013 = BgL_head1687z00_3009;
														BgL_zc3z04anonymousza32364ze3z87_3014:
															if (NULLP(BgL_l1685z00_3012))
																{	/* SawMill/regalloc.scm 655 */
																	BgL_auxz00_8099 = BgL_head1687z00_3009;
																}
															else
																{	/* SawMill/regalloc.scm 655 */
																	obj_t BgL_newtail1689z00_3016;

																	{	/* SawMill/regalloc.scm 655 */
																		obj_t BgL_arg2367z00_3018;

																		{	/* SawMill/regalloc.scm 655 */
																			obj_t BgL_arg2368z00_3019;

																			BgL_arg2368z00_3019 =
																				CAR(((obj_t) BgL_l1685z00_3012));
																			BgL_arg2367z00_3018 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_5631,
																				BgL_mappingz00_5630,
																				BgL_arg2368z00_3019);
																		}
																		BgL_newtail1689z00_3016 =
																			MAKE_YOUNG_PAIR(BgL_arg2367z00_3018,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1688z00_3013,
																		BgL_newtail1689z00_3016);
																	{	/* SawMill/regalloc.scm 655 */
																		obj_t BgL_arg2366z00_3017;

																		BgL_arg2366z00_3017 =
																			CDR(((obj_t) BgL_l1685z00_3012));
																		{
																			obj_t BgL_tail1688z00_8119;
																			obj_t BgL_l1685z00_8118;

																			BgL_l1685z00_8118 = BgL_arg2366z00_3017;
																			BgL_tail1688z00_8119 =
																				BgL_newtail1689z00_3016;
																			BgL_tail1688z00_3013 =
																				BgL_tail1688z00_8119;
																			BgL_l1685z00_3012 = BgL_l1685z00_8118;
																			goto
																				BgL_zc3z04anonymousza32364ze3z87_3014;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2992)))->
												BgL_z52spillz52) = ((obj_t) BgL_auxz00_8099), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_8121;

										{	/* SawMill/regalloc.scm 656 */
											obj_t BgL_l1691z00_3023;

											BgL_l1691z00_3023 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2992)))->
												BgL_argsz00);
											if (NULLP(BgL_l1691z00_3023))
												{	/* SawMill/regalloc.scm 656 */
													BgL_auxz00_8121 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 656 */
													obj_t BgL_head1693z00_3025;

													{	/* SawMill/regalloc.scm 656 */
														obj_t BgL_arg2378z00_3037;

														{	/* SawMill/regalloc.scm 656 */
															obj_t BgL_arg2379z00_3038;

															BgL_arg2379z00_3038 = CAR(BgL_l1691z00_3023);
															BgL_arg2378z00_3037 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_5631, BgL_mappingz00_5630,
																BgL_arg2379z00_3038);
														}
														BgL_head1693z00_3025 =
															MAKE_YOUNG_PAIR(BgL_arg2378z00_3037, BNIL);
													}
													{	/* SawMill/regalloc.scm 656 */
														obj_t BgL_g1696z00_3026;

														BgL_g1696z00_3026 = CDR(BgL_l1691z00_3023);
														{
															obj_t BgL_l1691z00_3028;
															obj_t BgL_tail1694z00_3029;

															BgL_l1691z00_3028 = BgL_g1696z00_3026;
															BgL_tail1694z00_3029 = BgL_head1693z00_3025;
														BgL_zc3z04anonymousza32372ze3z87_3030:
															if (NULLP(BgL_l1691z00_3028))
																{	/* SawMill/regalloc.scm 656 */
																	BgL_auxz00_8121 = BgL_head1693z00_3025;
																}
															else
																{	/* SawMill/regalloc.scm 656 */
																	obj_t BgL_newtail1695z00_3032;

																	{	/* SawMill/regalloc.scm 656 */
																		obj_t BgL_arg2375z00_3034;

																		{	/* SawMill/regalloc.scm 656 */
																			obj_t BgL_arg2376z00_3035;

																			BgL_arg2376z00_3035 =
																				CAR(((obj_t) BgL_l1691z00_3028));
																			BgL_arg2375z00_3034 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_5631,
																				BgL_mappingz00_5630,
																				BgL_arg2376z00_3035);
																		}
																		BgL_newtail1695z00_3032 =
																			MAKE_YOUNG_PAIR(BgL_arg2375z00_3034,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1694z00_3029,
																		BgL_newtail1695z00_3032);
																	{	/* SawMill/regalloc.scm 656 */
																		obj_t BgL_arg2374z00_3033;

																		BgL_arg2374z00_3033 =
																			CDR(((obj_t) BgL_l1691z00_3028));
																		{
																			obj_t BgL_tail1694z00_8141;
																			obj_t BgL_l1691z00_8140;

																			BgL_l1691z00_8140 = BgL_arg2374z00_3033;
																			BgL_tail1694z00_8141 =
																				BgL_newtail1695z00_3032;
																			BgL_tail1694z00_3029 =
																				BgL_tail1694z00_8141;
																			BgL_l1691z00_3028 = BgL_l1691z00_8140;
																			goto
																				BgL_zc3z04anonymousza32372ze3z87_3030;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2992)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_8121), BUNSPEC);
									}
									return BgL_oz00_2992;
								}
							else
								{	/* SawMill/regalloc.scm 653 */
									return BgL_oz00_2992;
								}
						}
				}
			}
		}

	}



/* remove-nop-move! */
	obj_t BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_102)
	{
		{	/* SawMill/regalloc.scm 676 */
			{	/* SawMill/regalloc.scm 704 */
				obj_t BgL_nz00_3047;

				{	/* SawMill/regalloc.scm 704 */
					obj_t BgL_runner2398z00_3067;

					if (NULLP(BgL_blocksz00_102))
						{	/* SawMill/regalloc.scm 704 */
							BgL_runner2398z00_3067 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 704 */
							obj_t BgL_head1719z00_3053;

							{	/* SawMill/regalloc.scm 704 */
								long BgL_arg2396z00_3065;

								{	/* SawMill/regalloc.scm 704 */
									obj_t BgL_arg2397z00_3066;

									BgL_arg2397z00_3066 = CAR(((obj_t) BgL_blocksz00_102));
									BgL_arg2396z00_3065 =
										BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2
										(BgL_arg2397z00_3066);
								}
								BgL_head1719z00_3053 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2396z00_3065), BNIL);
							}
							{	/* SawMill/regalloc.scm 704 */
								obj_t BgL_g1722z00_3054;

								BgL_g1722z00_3054 = CDR(((obj_t) BgL_blocksz00_102));
								{
									obj_t BgL_l1717z00_3056;
									obj_t BgL_tail1720z00_3057;

									BgL_l1717z00_3056 = BgL_g1722z00_3054;
									BgL_tail1720z00_3057 = BgL_head1719z00_3053;
								BgL_zc3z04anonymousza32389ze3z87_3058:
									if (NULLP(BgL_l1717z00_3056))
										{	/* SawMill/regalloc.scm 704 */
											BgL_runner2398z00_3067 = BgL_head1719z00_3053;
										}
									else
										{	/* SawMill/regalloc.scm 704 */
											obj_t BgL_newtail1721z00_3060;

											{	/* SawMill/regalloc.scm 704 */
												long BgL_arg2393z00_3062;

												{	/* SawMill/regalloc.scm 704 */
													obj_t BgL_arg2394z00_3063;

													BgL_arg2394z00_3063 =
														CAR(((obj_t) BgL_l1717z00_3056));
													BgL_arg2393z00_3062 =
														BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2
														(BgL_arg2394z00_3063);
												}
												BgL_newtail1721z00_3060 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2393z00_3062), BNIL);
											}
											SET_CDR(BgL_tail1720z00_3057, BgL_newtail1721z00_3060);
											{	/* SawMill/regalloc.scm 704 */
												obj_t BgL_arg2391z00_3061;

												BgL_arg2391z00_3061 = CDR(((obj_t) BgL_l1717z00_3056));
												{
													obj_t BgL_tail1720z00_8163;
													obj_t BgL_l1717z00_8162;

													BgL_l1717z00_8162 = BgL_arg2391z00_3061;
													BgL_tail1720z00_8163 = BgL_newtail1721z00_3060;
													BgL_tail1720z00_3057 = BgL_tail1720z00_8163;
													BgL_l1717z00_3056 = BgL_l1717z00_8162;
													goto BgL_zc3z04anonymousza32389ze3z87_3058;
												}
											}
										}
								}
							}
						}
					BgL_nz00_3047 =
						BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2398z00_3067);
				}
				{	/* SawMill/regalloc.scm 705 */
					obj_t BgL_list2384z00_3048;

					{	/* SawMill/regalloc.scm 705 */
						obj_t BgL_arg2385z00_3049;

						{	/* SawMill/regalloc.scm 705 */
							obj_t BgL_arg2387z00_3050;

							BgL_arg2387z00_3050 =
								MAKE_YOUNG_PAIR(BGl_string2854z00zzsaw_registerzd2allocationzd2,
								BNIL);
							BgL_arg2385z00_3049 =
								MAKE_YOUNG_PAIR(BgL_nz00_3047, BgL_arg2387z00_3050);
						}
						BgL_list2384z00_3048 =
							MAKE_YOUNG_PAIR(BGl_string2855z00zzsaw_registerzd2allocationzd2,
							BgL_arg2385z00_3049);
					}
					return
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list2384z00_3048);
		}}}

	}



/* remove-block!~0 */
	long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t
		BgL_bz00_3081)
	{
		{	/* SawMill/regalloc.scm 703 */
			{
				obj_t BgL_iz00_3068;

				{	/* SawMill/regalloc.scm 684 */
					obj_t BgL_g1256z00_3083;

					BgL_g1256z00_3083 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_3081)))->BgL_firstz00);
					{
						obj_t BgL_insz00_3085;
						obj_t BgL_prevz00_3086;
						long BgL_nz00_3087;

						BgL_insz00_3085 = BgL_g1256z00_3083;
						BgL_prevz00_3086 = BFALSE;
						BgL_nz00_3087 = ((long) 0);
					BgL_zc3z04anonymousza32409ze3z87_3088:
						if (PAIRP(BgL_insz00_3085))
							{	/* SawMill/regalloc.scm 688 */
								bool_t BgL_test3158z00_8174;

								BgL_iz00_3068 = CAR(BgL_insz00_3085);
								{	/* SawMill/regalloc.scm 679 */
									bool_t BgL_test3159z00_8175;

									{	/* SawMill/regalloc.scm 679 */
										BgL_rtl_funz00_bglt BgL_arg2407z00_3080;

										BgL_arg2407z00_3080 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_3068))))->
											BgL_funz00);
										{	/* SawMill/regalloc.scm 679 */
											obj_t BgL_classz00_4764;

											BgL_classz00_4764 = BGl_rtl_movz00zzsaw_defsz00;
											{	/* SawMill/regalloc.scm 679 */
												BgL_objectz00_bglt BgL_arg1820z00_4766;

												{	/* SawMill/regalloc.scm 679 */
													obj_t BgL_tmpz00_8179;

													BgL_tmpz00_8179 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2407z00_3080));
													BgL_arg1820z00_4766 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8179);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 679 */
														long BgL_idxz00_4772;

														BgL_idxz00_4772 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4766);
														BgL_test3159z00_8175 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4772 + ((long) 3))) ==
															BgL_classz00_4764);
													}
												else
													{	/* SawMill/regalloc.scm 679 */
														bool_t BgL_res2793z00_4794;

														{	/* SawMill/regalloc.scm 679 */
															obj_t BgL_oclassz00_4780;

															{	/* SawMill/regalloc.scm 679 */
																long BgL_arg1828z00_4786;

																{	/* SawMill/regalloc.scm 679 */
																	long BgL_arg1829z00_4787;

																	BgL_arg1829z00_4787 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4766);
																	BgL_arg1828z00_4786 =
																		(BgL_arg1829z00_4787 - OBJECT_TYPE);
																}
																BgL_oclassz00_4780 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4786);
															}
															{	/* SawMill/regalloc.scm 679 */
																bool_t BgL__ortest_1111z00_4781;

																BgL__ortest_1111z00_4781 =
																	(BgL_classz00_4764 == BgL_oclassz00_4780);
																if (BgL__ortest_1111z00_4781)
																	{	/* SawMill/regalloc.scm 679 */
																		BgL_res2793z00_4794 =
																			BgL__ortest_1111z00_4781;
																	}
																else
																	{	/* SawMill/regalloc.scm 679 */
																		long BgL_odepthz00_4782;

																		BgL_odepthz00_4782 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4780);
																		if ((((long) 3) < BgL_odepthz00_4782))
																			{	/* SawMill/regalloc.scm 679 */
																				obj_t BgL_arg1816z00_4784;

																				BgL_arg1816z00_4784 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4780, ((long) 3));
																				BgL_res2793z00_4794 =
																					(BgL_arg1816z00_4784 ==
																					BgL_classz00_4764);
																			}
																		else
																			{	/* SawMill/regalloc.scm 679 */
																				BgL_res2793z00_4794 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3159z00_8175 = BgL_res2793z00_4794;
													}
											}
										}
									}
									if (BgL_test3159z00_8175)
										{	/* SawMill/regalloc.scm 679 */
											if (NULLP(
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_3068))))->
														BgL_argsz00)))
												{	/* SawMill/regalloc.scm 680 */
													BgL_test3158z00_8174 = ((bool_t) 0);
												}
											else
												{	/* SawMill/regalloc.scm 681 */
													bool_t BgL_test3164z00_8204;

													{	/* SawMill/regalloc.scm 681 */
														obj_t BgL_tmpz00_8205;

														{	/* SawMill/regalloc.scm 681 */
															obj_t BgL_pairz00_4795;

															BgL_pairz00_4795 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_3068))))->
																BgL_argsz00);
															BgL_tmpz00_8205 = CDR(BgL_pairz00_4795);
														}
														BgL_test3164z00_8204 = NULLP(BgL_tmpz00_8205);
													}
													if (BgL_test3164z00_8204)
														{	/* SawMill/regalloc.scm 682 */
															obj_t BgL_tmpz00_8211;

															{	/* SawMill/regalloc.scm 682 */
																obj_t BgL_pairz00_4796;

																BgL_pairz00_4796 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3068))))->BgL_argsz00);
																BgL_tmpz00_8211 = CAR(BgL_pairz00_4796);
															}
															BgL_test3158z00_8174 =
																(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3068))))->BgL_destz00) ==
																BgL_tmpz00_8211);
														}
													else
														{	/* SawMill/regalloc.scm 681 */
															BgL_test3158z00_8174 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* SawMill/regalloc.scm 679 */
											BgL_test3158z00_8174 = ((bool_t) 0);
										}
								}
								if (BgL_test3158z00_8174)
									{	/* SawMill/regalloc.scm 689 */
										BgL_rtl_insz00_bglt BgL_i1257z00_3092;

										BgL_i1257z00_3092 =
											((BgL_rtl_insz00_bglt) CAR(BgL_insz00_3085));
										if (PAIRP(BgL_prevz00_3086))
											{	/* SawMill/regalloc.scm 691 */
												{	/* SawMill/regalloc.scm 692 */
													obj_t BgL_tmpz00_8225;

													BgL_tmpz00_8225 = CDR(BgL_insz00_3085);
													SET_CDR(BgL_prevz00_3086, BgL_tmpz00_8225);
												}
												{
													long BgL_nz00_8230;
													obj_t BgL_insz00_8228;

													BgL_insz00_8228 = CDR(BgL_insz00_3085);
													BgL_nz00_8230 = (((long) 1) + BgL_nz00_3087);
													BgL_nz00_3087 = BgL_nz00_8230;
													BgL_insz00_3085 = BgL_insz00_8228;
													goto BgL_zc3z04anonymousza32409ze3z87_3088;
												}
											}
										else
											{	/* SawMill/regalloc.scm 691 */
												if (NULLP(CDR(BgL_insz00_3085)))
													{	/* SawMill/regalloc.scm 694 */
														{
															BgL_rtl_funz00_bglt BgL_auxz00_8235;

															{	/* SawMill/regalloc.scm 695 */
																BgL_rtl_nopz00_bglt BgL_new1259z00_3099;

																{	/* SawMill/regalloc.scm 695 */
																	BgL_rtl_nopz00_bglt BgL_new1258z00_3100;

																	BgL_new1258z00_3100 =
																		((BgL_rtl_nopz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_nopz00_bgl))));
																	{	/* SawMill/regalloc.scm 695 */
																		long BgL_arg2420z00_3101;

																		{	/* SawMill/regalloc.scm 695 */
																			obj_t BgL_classz00_4805;

																			BgL_classz00_4805 =
																				BGl_rtl_nopz00zzsaw_defsz00;
																			BgL_arg2420z00_3101 =
																				BGL_CLASS_NUM(BgL_classz00_4805);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1258z00_3100),
																			BgL_arg2420z00_3101);
																	}
																	BgL_new1259z00_3099 = BgL_new1258z00_3100;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1259z00_3099)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_auxz00_8235 =
																	((BgL_rtl_funz00_bglt) BgL_new1259z00_3099);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_i1257z00_3092)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_8235),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_i1257z00_3092)))->BgL_destz00) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_i1257z00_3092)))->BgL_argsz00) =
															((obj_t) BNIL), BUNSPEC);
														return (((long) 1) + BgL_nz00_3087);
													}
												else
													{	/* SawMill/regalloc.scm 694 */
														{	/* SawMill/regalloc.scm 700 */
															obj_t BgL_arg2421z00_3102;

															BgL_arg2421z00_3102 = CDR(BgL_insz00_3085);
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_bz00_3081)))->
																	BgL_firstz00) =
																((obj_t) ((obj_t) BgL_arg2421z00_3102)),
																BUNSPEC);
														}
														{
															long BgL_nz00_8256;
															obj_t BgL_insz00_8254;

															BgL_insz00_8254 = CDR(BgL_insz00_3085);
															BgL_nz00_8256 = (((long) 1) + BgL_nz00_3087);
															BgL_nz00_3087 = BgL_nz00_8256;
															BgL_insz00_3085 = BgL_insz00_8254;
															goto BgL_zc3z04anonymousza32409ze3z87_3088;
														}
													}
											}
									}
								else
									{
										obj_t BgL_prevz00_8260;
										obj_t BgL_insz00_8258;

										BgL_insz00_8258 = CDR(BgL_insz00_3085);
										BgL_prevz00_8260 = BgL_insz00_3085;
										BgL_prevz00_3086 = BgL_prevz00_8260;
										BgL_insz00_3085 = BgL_insz00_8258;
										goto BgL_zc3z04anonymousza32409ze3z87_3088;
									}
							}
						else
							{	/* SawMill/regalloc.scm 687 */
								return BgL_nz00_3087;
							}
					}
				}
			}
		}

	}



/* funcall-spill! */
	obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_hregsz00_103, obj_t BgL_blocksz00_104)
	{
		{	/* SawMill/regalloc.scm 715 */
			{
				obj_t BgL_bz00_3150;

				if (NULLP(BgL_hregsz00_103))
					{	/* SawMill/regalloc.scm 734 */
						return BgL_blocksz00_104;
					}
				else
					{
						obj_t BgL_l1729z00_3116;

						{	/* SawMill/regalloc.scm 736 */
							bool_t BgL_tmpz00_8263;

							BgL_l1729z00_3116 = BgL_blocksz00_104;
						BgL_zc3z04anonymousza32429ze3z87_3117:
							if (PAIRP(BgL_l1729z00_3116))
								{	/* SawMill/regalloc.scm 736 */
									BgL_bz00_3150 = CAR(BgL_l1729z00_3116);
									{	/* SawMill/regalloc.scm 733 */
										obj_t BgL_g1728z00_3153;

										BgL_g1728z00_3153 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_3150)))->BgL_firstz00);
										{
											obj_t BgL_l1726z00_3155;

											BgL_l1726z00_3155 = BgL_g1728z00_3153;
										BgL_zc3z04anonymousza32450ze3z87_3156:
											if (PAIRP(BgL_l1726z00_3155))
												{	/* SawMill/regalloc.scm 733 */
													{	/* SawMill/regalloc.scm 733 */
														obj_t BgL_arg2452z00_3158;

														BgL_arg2452z00_3158 = CAR(BgL_l1726z00_3155);
														BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
															(((BgL_rtl_insz00_bglt) BgL_arg2452z00_3158));
													}
													{
														obj_t BgL_l1726z00_8273;

														BgL_l1726z00_8273 = CDR(BgL_l1726z00_3155);
														BgL_l1726z00_3155 = BgL_l1726z00_8273;
														goto BgL_zc3z04anonymousza32450ze3z87_3156;
													}
												}
											else
												{	/* SawMill/regalloc.scm 733 */
													((bool_t) 1);
												}
										}
									}
									{
										obj_t BgL_l1729z00_8276;

										BgL_l1729z00_8276 = CDR(BgL_l1729z00_3116);
										BgL_l1729z00_3116 = BgL_l1729z00_8276;
										goto BgL_zc3z04anonymousza32429ze3z87_3117;
									}
								}
							else
								{	/* SawMill/regalloc.scm 736 */
									BgL_tmpz00_8263 = ((bool_t) 1);
								}
							return BBOOL(BgL_tmpz00_8263);
						}
					}
			}
		}

	}



/* ins-funcall-spill!~0 */
	bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt BgL_iz00_3125)
	{
		{	/* SawMill/regalloc.scm 730 */
			{	/* SawMill/regalloc.scm 721 */
				obj_t BgL_aspillz00_3128;

				{	/* SawMill/regalloc.scm 722 */
					obj_t BgL_arg2439z00_3131;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_8279;

						{
							obj_t BgL_auxz00_8280;

							{	/* SawMill/regalloc.scm 721 */
								BgL_objectz00_bglt BgL_tmpz00_8281;

								BgL_tmpz00_8281 = ((BgL_objectz00_bglt) BgL_iz00_3125);
								BgL_auxz00_8280 = BGL_OBJECT_WIDENING(BgL_tmpz00_8281);
							}
							BgL_auxz00_8279 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8280);
						}
						BgL_arg2439z00_3131 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8279))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 723 */
						obj_t BgL_zc3z04anonymousza32440ze3z87_5513;

						BgL_zc3z04anonymousza32440ze3z87_5513 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32440ze3z87_5513,
							(int) (((long) 0)), ((obj_t) BgL_iz00_3125));
						BgL_aspillz00_3128 =
							BGl_regsetzd2filterzd2zzsaw_regsetz00
							(BgL_zc3z04anonymousza32440ze3z87_5513,
							((BgL_regsetz00_bglt) BgL_arg2439z00_3131));
				}}
				if (NULLP(BgL_aspillz00_3128))
					{	/* SawMill/regalloc.scm 728 */
						BFALSE;
					}
				else
					{	/* SawMill/regalloc.scm 729 */
						obj_t BgL_vz00_4889;

						BgL_vz00_4889 = BgL_aspillz00_3128;
						((((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_3125)))->BgL_z52spillz52) =
							((obj_t) BgL_vz00_4889), BUNSPEC);
					}
			}
			{	/* SawMill/regalloc.scm 730 */
				obj_t BgL_g1725z00_3142;

				BgL_g1725z00_3142 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_iz00_3125)))->BgL_argsz00);
				{
					obj_t BgL_l1723z00_3144;

					BgL_l1723z00_3144 = BgL_g1725z00_3142;
				BgL_zc3z04anonymousza32445ze3z87_3145:
					if (PAIRP(BgL_l1723z00_3144))
						{	/* SawMill/regalloc.scm 730 */
							{	/* SawMill/regalloc.scm 730 */
								obj_t BgL_arg2447z00_3147;

								BgL_arg2447z00_3147 = CAR(BgL_l1723z00_3144);
								{	/* SawMill/regalloc.scm 717 */
									bool_t BgL_test3172z00_8303;

									{	/* SawMill/regalloc.scm 717 */
										obj_t BgL_classz00_4892;

										BgL_classz00_4892 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2447z00_3147))
											{	/* SawMill/regalloc.scm 717 */
												BgL_objectz00_bglt BgL_arg1820z00_4894;

												BgL_arg1820z00_4894 =
													(BgL_objectz00_bglt) (BgL_arg2447z00_3147);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 717 */
														long BgL_idxz00_4900;

														BgL_idxz00_4900 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4894);
														BgL_test3172z00_8303 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4900 + ((long) 1))) ==
															BgL_classz00_4892);
													}
												else
													{	/* SawMill/regalloc.scm 717 */
														bool_t BgL_res2796z00_4922;

														{	/* SawMill/regalloc.scm 717 */
															obj_t BgL_oclassz00_4908;

															{	/* SawMill/regalloc.scm 717 */
																long BgL_arg1828z00_4914;

																{	/* SawMill/regalloc.scm 717 */
																	long BgL_arg1829z00_4915;

																	BgL_arg1829z00_4915 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4894);
																	BgL_arg1828z00_4914 =
																		(BgL_arg1829z00_4915 - OBJECT_TYPE);
																}
																BgL_oclassz00_4908 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4914);
															}
															{	/* SawMill/regalloc.scm 717 */
																bool_t BgL__ortest_1111z00_4909;

																BgL__ortest_1111z00_4909 =
																	(BgL_classz00_4892 == BgL_oclassz00_4908);
																if (BgL__ortest_1111z00_4909)
																	{	/* SawMill/regalloc.scm 717 */
																		BgL_res2796z00_4922 =
																			BgL__ortest_1111z00_4909;
																	}
																else
																	{	/* SawMill/regalloc.scm 717 */
																		long BgL_odepthz00_4910;

																		BgL_odepthz00_4910 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4908);
																		if ((((long) 1) < BgL_odepthz00_4910))
																			{	/* SawMill/regalloc.scm 717 */
																				obj_t BgL_arg1816z00_4912;

																				BgL_arg1816z00_4912 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4908, ((long) 1));
																				BgL_res2796z00_4922 =
																					(BgL_arg1816z00_4912 ==
																					BgL_classz00_4892);
																			}
																		else
																			{	/* SawMill/regalloc.scm 717 */
																				BgL_res2796z00_4922 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3172z00_8303 = BgL_res2796z00_4922;
													}
											}
										else
											{	/* SawMill/regalloc.scm 717 */
												BgL_test3172z00_8303 = ((bool_t) 0);
											}
									}
									if (BgL_test3172z00_8303)
										{	/* SawMill/regalloc.scm 717 */
											BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
												(((BgL_rtl_insz00_bglt) BgL_arg2447z00_3147));
										}
									else
										{	/* SawMill/regalloc.scm 717 */
											((bool_t) 0);
										}
								}
							}
							{
								obj_t BgL_l1723z00_8325;

								BgL_l1723z00_8325 = CDR(BgL_l1723z00_3144);
								BgL_l1723z00_3144 = BgL_l1723z00_8325;
								goto BgL_zc3z04anonymousza32445ze3z87_3145;
							}
						}
					else
						{	/* SawMill/regalloc.scm 730 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &<@anonymous:2440> */
	obj_t BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5514, obj_t BgL_rz00_5516)
	{
		{	/* SawMill/regalloc.scm 722 */
			{	/* SawMill/regalloc.scm 723 */
				BgL_rtl_insz00_bglt BgL_i1260z00_5515;

				BgL_i1260z00_5515 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5514, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 723 */
					bool_t BgL_tmpz00_8330;

					{	/* SawMill/regalloc.scm 723 */
						bool_t BgL_test3177z00_8331;

						{	/* SawMill/regalloc.scm 723 */
							obj_t BgL_arg2444z00_5671;

							{
								BgL_rtl_inszf2razf2_bglt BgL_auxz00_8332;

								{
									obj_t BgL_auxz00_8333;

									{	/* SawMill/regalloc.scm 723 */
										BgL_objectz00_bglt BgL_tmpz00_8334;

										BgL_tmpz00_8334 = ((BgL_objectz00_bglt) BgL_i1260z00_5515);
										BgL_auxz00_8333 = BGL_OBJECT_WIDENING(BgL_tmpz00_8334);
									}
									BgL_auxz00_8332 =
										((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8333);
								}
								BgL_arg2444z00_5671 =
									(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8332))->
									BgL_defz00);
							}
							BgL_test3177z00_8331 =
								BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
								((BgL_rtl_regz00_bglt) BgL_rz00_5516),
								((BgL_regsetz00_bglt) BgL_arg2444z00_5671));
						}
						if (BgL_test3177z00_8331)
							{	/* SawMill/regalloc.scm 723 */
								BgL_tmpz00_8330 = ((bool_t) 0);
							}
						else
							{	/* SawMill/regalloc.scm 725 */
								bool_t BgL_test3178z00_8342;

								{	/* SawMill/regalloc.scm 725 */
									obj_t BgL_arg2443z00_5672;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_8343;

										{
											obj_t BgL_auxz00_8344;

											{	/* SawMill/regalloc.scm 725 */
												BgL_objectz00_bglt BgL_tmpz00_8345;

												BgL_tmpz00_8345 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_5516));
												BgL_auxz00_8344 = BGL_OBJECT_WIDENING(BgL_tmpz00_8345);
											}
											BgL_auxz00_8343 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8344);
										}
										BgL_arg2443z00_5672 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8343))->
											BgL_colorz00);
									}
									{	/* SawMill/regalloc.scm 725 */
										obj_t BgL_classz00_5673;

										BgL_classz00_5673 = BGl_rtl_regz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2443z00_5672))
											{	/* SawMill/regalloc.scm 725 */
												BgL_objectz00_bglt BgL_arg1820z00_5674;

												BgL_arg1820z00_5674 =
													(BgL_objectz00_bglt) (BgL_arg2443z00_5672);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawMill/regalloc.scm 725 */
														long BgL_idxz00_5675;

														BgL_idxz00_5675 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5674);
														BgL_test3178z00_8342 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5675 + ((long) 1))) ==
															BgL_classz00_5673);
													}
												else
													{	/* SawMill/regalloc.scm 725 */
														bool_t BgL_res2795z00_5678;

														{	/* SawMill/regalloc.scm 725 */
															obj_t BgL_oclassz00_5679;

															{	/* SawMill/regalloc.scm 725 */
																long BgL_arg1828z00_5680;

																{	/* SawMill/regalloc.scm 725 */
																	long BgL_arg1829z00_5681;

																	BgL_arg1829z00_5681 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5674);
																	BgL_arg1828z00_5680 =
																		(BgL_arg1829z00_5681 - OBJECT_TYPE);
																}
																BgL_oclassz00_5679 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_5680);
															}
															{	/* SawMill/regalloc.scm 725 */
																bool_t BgL__ortest_1111z00_5682;

																BgL__ortest_1111z00_5682 =
																	(BgL_classz00_5673 == BgL_oclassz00_5679);
																if (BgL__ortest_1111z00_5682)
																	{	/* SawMill/regalloc.scm 725 */
																		BgL_res2795z00_5678 =
																			BgL__ortest_1111z00_5682;
																	}
																else
																	{	/* SawMill/regalloc.scm 725 */
																		long BgL_odepthz00_5683;

																		BgL_odepthz00_5683 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_5679);
																		if ((((long) 1) < BgL_odepthz00_5683))
																			{	/* SawMill/regalloc.scm 725 */
																				obj_t BgL_arg1816z00_5684;

																				BgL_arg1816z00_5684 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_5679, ((long) 1));
																				BgL_res2795z00_5678 =
																					(BgL_arg1816z00_5684 ==
																					BgL_classz00_5673);
																			}
																		else
																			{	/* SawMill/regalloc.scm 725 */
																				BgL_res2795z00_5678 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test3178z00_8342 = BgL_res2795z00_5678;
													}
											}
										else
											{	/* SawMill/regalloc.scm 725 */
												BgL_test3178z00_8342 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3178z00_8342)
									{	/* SawMill/regalloc.scm 726 */
										obj_t BgL_arg2441z00_5685;
										obj_t BgL_arg2442z00_5686;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_8370;

											{
												obj_t BgL_auxz00_8371;

												{	/* SawMill/regalloc.scm 726 */
													BgL_objectz00_bglt BgL_tmpz00_8372;

													BgL_tmpz00_8372 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_5516));
													BgL_auxz00_8371 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8372);
												}
												BgL_auxz00_8370 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8371);
											}
											BgL_arg2441z00_5685 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8370))->
												BgL_colorz00);
										}
										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_8378;

											{
												obj_t BgL_auxz00_8379;

												{	/* SawMill/regalloc.scm 726 */
													BgL_objectz00_bglt BgL_tmpz00_8380;

													BgL_tmpz00_8380 =
														((BgL_objectz00_bglt) BgL_i1260z00_5515);
													BgL_auxz00_8379 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8380);
												}
												BgL_auxz00_8378 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8379);
											}
											BgL_arg2442z00_5686 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8378))->
												BgL_spillz00);
										}
										BgL_tmpz00_8330 =
											BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
											((BgL_rtl_regz00_bglt) BgL_arg2441z00_5685),
											((BgL_regsetz00_bglt) BgL_arg2442z00_5686));
									}
								else
									{	/* SawMill/regalloc.scm 725 */
										BgL_tmpz00_8330 = ((bool_t) 0);
									}
							}
					}
					return BBOOL(BgL_tmpz00_8330);
				}
			}
		}

	}



/* cleanup-move-tree! */
	bool_t BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_105)
	{
		{	/* SawMill/regalloc.scm 743 */
			{
				obj_t BgL_iz00_3203;
				obj_t BgL_bz00_3222;

				{
					obj_t BgL_l1746z00_3169;

					BgL_l1746z00_3169 = BgL_blocksz00_105;
				BgL_zc3z04anonymousza32455ze3z87_3170:
					if (PAIRP(BgL_l1746z00_3169))
						{	/* SawMill/regalloc.scm 767 */
							BgL_bz00_3222 = CAR(BgL_l1746z00_3169);
							{	/* SawMill/regalloc.scm 765 */
								obj_t BgL_g1745z00_3225;

								BgL_g1745z00_3225 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_3222)))->BgL_firstz00);
								{
									obj_t BgL_l1743z00_3227;

									BgL_l1743z00_3227 = BgL_g1745z00_3225;
								BgL_zc3z04anonymousza32490ze3z87_3228:
									if (PAIRP(BgL_l1743z00_3227))
										{	/* SawMill/regalloc.scm 765 */
											BgL_iz00_3203 = CAR(BgL_l1743z00_3227);
											{
												obj_t BgL_auxz00_8395;

												{	/* SawMill/regalloc.scm 760 */
													obj_t BgL_l1737z00_3206;

													BgL_l1737z00_3206 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3203)))->
														BgL_argsz00);
													if (NULLP(BgL_l1737z00_3206))
														{	/* SawMill/regalloc.scm 760 */
															BgL_auxz00_8395 = BNIL;
														}
													else
														{	/* SawMill/regalloc.scm 760 */
															obj_t BgL_head1739z00_3208;

															{	/* SawMill/regalloc.scm 760 */
																obj_t BgL_arg2487z00_3220;

																{	/* SawMill/regalloc.scm 760 */
																	obj_t BgL_arg2488z00_3221;

																	BgL_arg2488z00_3221 = CAR(BgL_l1737z00_3206);
																	BgL_arg2487z00_3220 =
																		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																		(BgL_arg2488z00_3221);
																}
																BgL_head1739z00_3208 =
																	MAKE_YOUNG_PAIR(BgL_arg2487z00_3220, BNIL);
															}
															{	/* SawMill/regalloc.scm 760 */
																obj_t BgL_g1742z00_3209;

																BgL_g1742z00_3209 = CDR(BgL_l1737z00_3206);
																{
																	obj_t BgL_l1737z00_3211;
																	obj_t BgL_tail1740z00_3212;

																	BgL_l1737z00_3211 = BgL_g1742z00_3209;
																	BgL_tail1740z00_3212 = BgL_head1739z00_3208;
																BgL_zc3z04anonymousza32480ze3z87_3213:
																	if (NULLP(BgL_l1737z00_3211))
																		{	/* SawMill/regalloc.scm 760 */
																			BgL_auxz00_8395 = BgL_head1739z00_3208;
																		}
																	else
																		{	/* SawMill/regalloc.scm 760 */
																			obj_t BgL_newtail1741z00_3215;

																			{	/* SawMill/regalloc.scm 760 */
																				obj_t BgL_arg2484z00_3217;

																				{	/* SawMill/regalloc.scm 760 */
																					obj_t BgL_arg2485z00_3218;

																					BgL_arg2485z00_3218 =
																						CAR(((obj_t) BgL_l1737z00_3211));
																					BgL_arg2484z00_3217 =
																						BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																						(BgL_arg2485z00_3218);
																				}
																				BgL_newtail1741z00_3215 =
																					MAKE_YOUNG_PAIR(BgL_arg2484z00_3217,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1740z00_3212,
																				BgL_newtail1741z00_3215);
																			{	/* SawMill/regalloc.scm 760 */
																				obj_t BgL_arg2482z00_3216;

																				BgL_arg2482z00_3216 =
																					CDR(((obj_t) BgL_l1737z00_3211));
																				{
																					obj_t BgL_tail1740z00_8415;
																					obj_t BgL_l1737z00_8414;

																					BgL_l1737z00_8414 =
																						BgL_arg2482z00_3216;
																					BgL_tail1740z00_8415 =
																						BgL_newtail1741z00_3215;
																					BgL_tail1740z00_3212 =
																						BgL_tail1740z00_8415;
																					BgL_l1737z00_3211 = BgL_l1737z00_8414;
																					goto
																						BgL_zc3z04anonymousza32480ze3z87_3213;
																				}
																			}
																		}
																}
															}
														}
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3203)))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_8395), BUNSPEC);
											}
											BgL_iz00_3203;
											{
												obj_t BgL_l1743z00_8418;

												BgL_l1743z00_8418 = CDR(BgL_l1743z00_3227);
												BgL_l1743z00_3227 = BgL_l1743z00_8418;
												goto BgL_zc3z04anonymousza32490ze3z87_3228;
											}
										}
									else
										{	/* SawMill/regalloc.scm 765 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1746z00_8421;

								BgL_l1746z00_8421 = CDR(BgL_l1746z00_3169);
								BgL_l1746z00_3169 = BgL_l1746z00_8421;
								goto BgL_zc3z04anonymousza32455ze3z87_3170;
							}
						}
					else
						{	/* SawMill/regalloc.scm 767 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* args-cleanup-move-tree!~0 */
	obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t BgL_az00_3179)
	{
		{	/* SawMill/regalloc.scm 756 */
			{	/* SawMill/regalloc.scm 750 */
				bool_t BgL_test3187z00_8423;

				{	/* SawMill/regalloc.scm 750 */
					obj_t BgL_classz00_4928;

					BgL_classz00_4928 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_3179))
						{	/* SawMill/regalloc.scm 750 */
							BgL_objectz00_bglt BgL_arg1820z00_4930;

							BgL_arg1820z00_4930 = (BgL_objectz00_bglt) (BgL_az00_3179);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regalloc.scm 750 */
									long BgL_idxz00_4936;

									BgL_idxz00_4936 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4930);
									BgL_test3187z00_8423 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4936 + ((long) 1))) == BgL_classz00_4928);
								}
							else
								{	/* SawMill/regalloc.scm 750 */
									bool_t BgL_res2797z00_4958;

									{	/* SawMill/regalloc.scm 750 */
										obj_t BgL_oclassz00_4944;

										{	/* SawMill/regalloc.scm 750 */
											long BgL_arg1828z00_4950;

											{	/* SawMill/regalloc.scm 750 */
												long BgL_arg1829z00_4951;

												BgL_arg1829z00_4951 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4930);
												BgL_arg1828z00_4950 =
													(BgL_arg1829z00_4951 - OBJECT_TYPE);
											}
											BgL_oclassz00_4944 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4950);
										}
										{	/* SawMill/regalloc.scm 750 */
											bool_t BgL__ortest_1111z00_4945;

											BgL__ortest_1111z00_4945 =
												(BgL_classz00_4928 == BgL_oclassz00_4944);
											if (BgL__ortest_1111z00_4945)
												{	/* SawMill/regalloc.scm 750 */
													BgL_res2797z00_4958 = BgL__ortest_1111z00_4945;
												}
											else
												{	/* SawMill/regalloc.scm 750 */
													long BgL_odepthz00_4946;

													BgL_odepthz00_4946 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4944);
													if ((((long) 1) < BgL_odepthz00_4946))
														{	/* SawMill/regalloc.scm 750 */
															obj_t BgL_arg1816z00_4948;

															BgL_arg1816z00_4948 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4944,
																((long) 1));
															BgL_res2797z00_4958 =
																(BgL_arg1816z00_4948 == BgL_classz00_4928);
														}
													else
														{	/* SawMill/regalloc.scm 750 */
															BgL_res2797z00_4958 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test3187z00_8423 = BgL_res2797z00_4958;
								}
						}
					else
						{	/* SawMill/regalloc.scm 750 */
							BgL_test3187z00_8423 = ((bool_t) 0);
						}
				}
				if (BgL_test3187z00_8423)
					{	/* SawMill/regalloc.scm 750 */
						{
							obj_t BgL_auxz00_8443;

							{	/* SawMill/regalloc.scm 752 */
								obj_t BgL_l1731z00_3183;

								BgL_l1731z00_3183 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3179)))->BgL_argsz00);
								if (NULLP(BgL_l1731z00_3183))
									{	/* SawMill/regalloc.scm 752 */
										BgL_auxz00_8443 = BNIL;
									}
								else
									{	/* SawMill/regalloc.scm 752 */
										obj_t BgL_head1733z00_3185;

										{	/* SawMill/regalloc.scm 752 */
											obj_t BgL_arg2470z00_3197;

											{	/* SawMill/regalloc.scm 752 */
												obj_t BgL_arg2471z00_3198;

												BgL_arg2471z00_3198 = CAR(BgL_l1731z00_3183);
												BgL_arg2470z00_3197 =
													BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
													(BgL_arg2471z00_3198);
											}
											BgL_head1733z00_3185 =
												MAKE_YOUNG_PAIR(BgL_arg2470z00_3197, BNIL);
										}
										{	/* SawMill/regalloc.scm 752 */
											obj_t BgL_g1736z00_3186;

											BgL_g1736z00_3186 = CDR(BgL_l1731z00_3183);
											{
												obj_t BgL_l1731z00_3188;
												obj_t BgL_tail1734z00_3189;

												BgL_l1731z00_3188 = BgL_g1736z00_3186;
												BgL_tail1734z00_3189 = BgL_head1733z00_3185;
											BgL_zc3z04anonymousza32465ze3z87_3190:
												if (NULLP(BgL_l1731z00_3188))
													{	/* SawMill/regalloc.scm 752 */
														BgL_auxz00_8443 = BgL_head1733z00_3185;
													}
												else
													{	/* SawMill/regalloc.scm 752 */
														obj_t BgL_newtail1735z00_3192;

														{	/* SawMill/regalloc.scm 752 */
															obj_t BgL_arg2468z00_3194;

															{	/* SawMill/regalloc.scm 752 */
																obj_t BgL_arg2469z00_3195;

																BgL_arg2469z00_3195 =
																	CAR(((obj_t) BgL_l1731z00_3188));
																BgL_arg2468z00_3194 =
																	BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																	(BgL_arg2469z00_3195);
															}
															BgL_newtail1735z00_3192 =
																MAKE_YOUNG_PAIR(BgL_arg2468z00_3194, BNIL);
														}
														SET_CDR(BgL_tail1734z00_3189,
															BgL_newtail1735z00_3192);
														{	/* SawMill/regalloc.scm 752 */
															obj_t BgL_arg2467z00_3193;

															BgL_arg2467z00_3193 =
																CDR(((obj_t) BgL_l1731z00_3188));
															{
																obj_t BgL_tail1734z00_8463;
																obj_t BgL_l1731z00_8462;

																BgL_l1731z00_8462 = BgL_arg2467z00_3193;
																BgL_tail1734z00_8463 = BgL_newtail1735z00_3192;
																BgL_tail1734z00_3189 = BgL_tail1734z00_8463;
																BgL_l1731z00_3188 = BgL_l1731z00_8462;
																goto BgL_zc3z04anonymousza32465ze3z87_3190;
															}
														}
													}
											}
										}
									}
							}
							((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3179)))->BgL_argsz00) =
								((obj_t) BgL_auxz00_8443), BUNSPEC);
						}
						{	/* SawMill/regalloc.scm 753 */
							bool_t BgL_test3194z00_8465;

							{	/* SawMill/regalloc.scm 753 */
								BgL_rtl_funz00_bglt BgL_arg2477z00_3202;

								BgL_arg2477z00_3202 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3179)))->BgL_funz00);
								{	/* SawMill/regalloc.scm 753 */
									obj_t BgL_classz00_4964;

									BgL_classz00_4964 = BGl_rtl_movz00zzsaw_defsz00;
									{	/* SawMill/regalloc.scm 753 */
										BgL_objectz00_bglt BgL_arg1820z00_4966;

										{	/* SawMill/regalloc.scm 753 */
											obj_t BgL_tmpz00_8468;

											BgL_tmpz00_8468 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2477z00_3202));
											BgL_arg1820z00_4966 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8468);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/regalloc.scm 753 */
												long BgL_idxz00_4972;

												BgL_idxz00_4972 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4966);
												BgL_test3194z00_8465 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4972 + ((long) 3))) ==
													BgL_classz00_4964);
											}
										else
											{	/* SawMill/regalloc.scm 753 */
												bool_t BgL_res2798z00_4994;

												{	/* SawMill/regalloc.scm 753 */
													obj_t BgL_oclassz00_4980;

													{	/* SawMill/regalloc.scm 753 */
														long BgL_arg1828z00_4986;

														{	/* SawMill/regalloc.scm 753 */
															long BgL_arg1829z00_4987;

															BgL_arg1829z00_4987 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4966);
															BgL_arg1828z00_4986 =
																(BgL_arg1829z00_4987 - OBJECT_TYPE);
														}
														BgL_oclassz00_4980 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4986);
													}
													{	/* SawMill/regalloc.scm 753 */
														bool_t BgL__ortest_1111z00_4981;

														BgL__ortest_1111z00_4981 =
															(BgL_classz00_4964 == BgL_oclassz00_4980);
														if (BgL__ortest_1111z00_4981)
															{	/* SawMill/regalloc.scm 753 */
																BgL_res2798z00_4994 = BgL__ortest_1111z00_4981;
															}
														else
															{	/* SawMill/regalloc.scm 753 */
																long BgL_odepthz00_4982;

																BgL_odepthz00_4982 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4980);
																if ((((long) 3) < BgL_odepthz00_4982))
																	{	/* SawMill/regalloc.scm 753 */
																		obj_t BgL_arg1816z00_4984;

																		BgL_arg1816z00_4984 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4980, ((long) 3));
																		BgL_res2798z00_4994 =
																			(BgL_arg1816z00_4984 ==
																			BgL_classz00_4964);
																	}
																else
																	{	/* SawMill/regalloc.scm 753 */
																		BgL_res2798z00_4994 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3194z00_8465 = BgL_res2798z00_4994;
											}
									}
								}
							}
							if (BgL_test3194z00_8465)
								{	/* SawMill/regalloc.scm 754 */
									obj_t BgL_pairz00_4995;

									BgL_pairz00_4995 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_3179)))->BgL_argsz00);
									return CAR(BgL_pairz00_4995);
								}
							else
								{	/* SawMill/regalloc.scm 753 */
									return BgL_az00_3179;
								}
						}
					}
				else
					{	/* SawMill/regalloc.scm 750 */
						return BgL_az00_3179;
					}
			}
		}

	}



/* use-register! */
	BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_regz00_106)
	{
		{	/* SawMill/regalloc.scm 776 */
			{
				int BgL_auxz00_8497;
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_8491;

				{	/* SawMill/regalloc.scm 778 */
					int BgL_arg2494z00_3238;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_8498;

						{
							obj_t BgL_auxz00_8499;

							{	/* SawMill/regalloc.scm 778 */
								BgL_objectz00_bglt BgL_tmpz00_8500;

								BgL_tmpz00_8500 = ((BgL_objectz00_bglt) BgL_regz00_106);
								BgL_auxz00_8499 = BGL_OBJECT_WIDENING(BgL_tmpz00_8500);
							}
							BgL_auxz00_8498 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8499);
						}
						BgL_arg2494z00_3238 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8498))->
							BgL_occurrencesz00);
					}
					BgL_auxz00_8497 = (int) ((((long) 1) + (long) (BgL_arg2494z00_3238)));
				}
				{
					obj_t BgL_auxz00_8492;

					{	/* SawMill/regalloc.scm 778 */
						BgL_objectz00_bglt BgL_tmpz00_8493;

						BgL_tmpz00_8493 = ((BgL_objectz00_bglt) BgL_regz00_106);
						BgL_auxz00_8492 = BGL_OBJECT_WIDENING(BgL_tmpz00_8493);
					}
					BgL_auxz00_8491 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8492);
				}
				((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8491))->
						BgL_occurrencesz00) = ((int) BgL_auxz00_8497), BUNSPEC);
			}
			return BgL_regz00_106;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 34 */
				obj_t BgL_arg2502z00_3243;
				obj_t BgL_arg2508z00_3244;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1754z00_3270;

					BgL_v1754z00_3270 = create_vector(((long) 1));
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2522z00_3271;

						BgL_arg2522z00_3271 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2857z00zzsaw_registerzd2allocationzd2,
							BGl_proc2856z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1754z00_3270, ((long) 0), BgL_arg2522z00_3271);
					}
					BgL_arg2502z00_3243 = BgL_v1754z00_3270;
				}
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1755z00_3281;

					BgL_v1755z00_3281 = create_vector(((long) 0));
					BgL_arg2508z00_3244 = BgL_v1755z00_3281;
				}
				BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00, ((long) 29229),
					BGl_proc2861z00zzsaw_registerzd2allocationzd2,
					BGl_proc2860z00zzsaw_registerzd2allocationzd2, BFALSE,
					BGl_proc2859z00zzsaw_registerzd2allocationzd2,
					BGl_proc2858z00zzsaw_registerzd2allocationzd2, BgL_arg2502z00_3243,
					BgL_arg2508z00_3244);
			}
			{	/* SawMill/regalloc.scm 37 */
				obj_t BgL_arg2534z00_3290;
				obj_t BgL_arg2535z00_3291;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1756z00_3321;

					BgL_v1756z00_3321 = create_vector(((long) 4));
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2556z00_3322;

						BgL_arg2556z00_3322 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2864z00zzsaw_registerzd2allocationzd2,
							BGl_proc2863z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2862z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1756z00_3321, ((long) 0), BgL_arg2556z00_3322);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2563z00_3335;

						BgL_arg2563z00_3335 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2867z00zzsaw_registerzd2allocationzd2,
							BGl_proc2866z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2865z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1756z00_3321, ((long) 1), BgL_arg2563z00_3335);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2572z00_3348;

						BgL_arg2572z00_3348 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2870z00zzsaw_registerzd2allocationzd2,
							BGl_proc2869z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2868z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1756z00_3321, ((long) 2), BgL_arg2572z00_3348);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2581z00_3361;

						BgL_arg2581z00_3361 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2873z00zzsaw_registerzd2allocationzd2,
							BGl_proc2872z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2871z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1756z00_3321, ((long) 3), BgL_arg2581z00_3361);
					}
					BgL_arg2534z00_3290 = BgL_v1756z00_3321;
				}
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1757z00_3374;

					BgL_v1757z00_3374 = create_vector(((long) 0));
					BgL_arg2535z00_3291 = BgL_v1757z00_3374;
				}
				return (BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
						CNST_TABLE_REF(((long) 3)), BGl_rtl_insz00zzsaw_defsz00,
						((long) 22325), BGl_proc2877z00zzsaw_registerzd2allocationzd2,
						BGl_proc2876z00zzsaw_registerzd2allocationzd2, BFALSE,
						BGl_proc2875z00zzsaw_registerzd2allocationzd2,
						BGl_proc2874z00zzsaw_registerzd2allocationzd2, BgL_arg2534z00_3290,
						BgL_arg2535z00_3291), BUNSPEC);
		}}

	}



/* &lambda2549 */
	BgL_rtl_insz00_bglt BGl_z62lambda2549z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5539, obj_t BgL_o1176z00_5540)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				long BgL_arg2551z00_5688;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_arg2552z00_5689;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2555z00_5690;

						{	/* SawMill/regalloc.scm 37 */
							long BgL_arg1828z00_5691;

							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg1829z00_5692;

								BgL_arg1829z00_5692 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1176z00_5540)));
								BgL_arg1828z00_5691 = (BgL_arg1829z00_5692 - OBJECT_TYPE);
							}
							BgL_arg2555z00_5690 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5691);
						}
						BgL_arg2552z00_5689 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2555z00_5690);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_tmpz00_8545;

						BgL_tmpz00_8545 = ((obj_t) BgL_arg2552z00_5689);
						BgL_arg2551z00_5688 = BGL_CLASS_NUM(BgL_tmpz00_8545);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1176z00_5540)), BgL_arg2551z00_5688);
			}
			{	/* SawMill/regalloc.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_8551;

				BgL_tmpz00_8551 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5540));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8551, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5540));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1176z00_5540));
		}

	}



/* &<@anonymous:2548> */
	obj_t BGl_z62zc3z04anonymousza32548ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5541, obj_t BgL_new1175z00_5542)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_8559;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1175z00_5542))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1175z00_5542))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1175z00_5542))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_8569;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_classz00_5694;

						BgL_classz00_5694 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/regalloc.scm 37 */
							obj_t BgL__ortest_1113z00_5695;

							BgL__ortest_1113z00_5695 = BGL_CLASS_NIL(BgL_classz00_5694);
							if (CBOOL(BgL__ortest_1113z00_5695))
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_8569 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1113z00_5695);
								}
							else
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_8569 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5694));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1175z00_5542))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_8569), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1175z00_5542))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8582;

					{
						obj_t BgL_auxz00_8583;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8584;

							BgL_tmpz00_8584 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5542));
							BgL_auxz00_8583 = BGL_OBJECT_WIDENING(BgL_tmpz00_8584);
						}
						BgL_auxz00_8582 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8583);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8582))->BgL_defz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8590;

					{
						obj_t BgL_auxz00_8591;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8592;

							BgL_tmpz00_8592 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5542));
							BgL_auxz00_8591 = BGL_OBJECT_WIDENING(BgL_tmpz00_8592);
						}
						BgL_auxz00_8590 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8591);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8590))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8598;

					{
						obj_t BgL_auxz00_8599;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8600;

							BgL_tmpz00_8600 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5542));
							BgL_auxz00_8599 = BGL_OBJECT_WIDENING(BgL_tmpz00_8600);
						}
						BgL_auxz00_8598 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8599);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8598))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8606;

					{
						obj_t BgL_auxz00_8607;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8608;

							BgL_tmpz00_8608 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1175z00_5542));
							BgL_auxz00_8607 = BGL_OBJECT_WIDENING(BgL_tmpz00_8608);
						}
						BgL_auxz00_8606 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8607);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8606))->
							BgL_spillz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_8559 = ((BgL_rtl_insz00_bglt) BgL_new1175z00_5542);
				return ((obj_t) BgL_auxz00_8559);
			}
		}

	}



/* &lambda2543 */
	BgL_rtl_insz00_bglt BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5543, obj_t BgL_o1172z00_5544)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_inszf2razf2_bglt BgL_wide1174z00_5697;

				BgL_wide1174z00_5697 =
					((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_auxz00_8621;
					BgL_objectz00_bglt BgL_tmpz00_8617;

					BgL_auxz00_8621 = ((obj_t) BgL_wide1174z00_5697);
					BgL_tmpz00_8617 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5544)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8617, BgL_auxz00_8621);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5544)));
				{	/* SawMill/regalloc.scm 37 */
					long BgL_arg2547z00_5698;

					BgL_arg2547z00_5698 =
						BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1172z00_5544))),
						BgL_arg2547z00_5698);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1172z00_5544)));
			}
		}

	}



/* &lambda2536 */
	BgL_rtl_insz00_bglt BGl_z62lambda2536z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5545, obj_t BgL_loc1163z00_5546, obj_t BgL_z52spill1164z52_5547,
		obj_t BgL_dest1165z00_5548, obj_t BgL_fun1166z00_5549,
		obj_t BgL_args1167z00_5550, obj_t BgL_def1168z00_5551,
		obj_t BgL_out1169z00_5552, obj_t BgL_in1170z00_5553,
		obj_t BgL_spill1171z00_5554)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_insz00_bglt BgL_new1279z00_5702;

				{	/* SawMill/regalloc.scm 37 */
					BgL_rtl_insz00_bglt BgL_tmp1277z00_5703;
					BgL_rtl_inszf2razf2_bglt BgL_wide1278z00_5704;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_8635;

						{	/* SawMill/regalloc.scm 37 */
							BgL_rtl_insz00_bglt BgL_new1276z00_5705;

							BgL_new1276z00_5705 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg2542z00_5706;

								BgL_arg2542z00_5706 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1276z00_5705),
									BgL_arg2542z00_5706);
							}
							{	/* SawMill/regalloc.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_8640;

								BgL_tmpz00_8640 = ((BgL_objectz00_bglt) BgL_new1276z00_5705);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8640, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1276z00_5705);
							BgL_auxz00_8635 = BgL_new1276z00_5705;
						}
						BgL_tmp1277z00_5703 = ((BgL_rtl_insz00_bglt) BgL_auxz00_8635);
					}
					BgL_wide1278z00_5704 =
						((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2razf2_bgl))));
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_auxz00_8648;
						BgL_objectz00_bglt BgL_tmpz00_8646;

						BgL_auxz00_8648 = ((obj_t) BgL_wide1278z00_5704);
						BgL_tmpz00_8646 = ((BgL_objectz00_bglt) BgL_tmp1277z00_5703);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8646, BgL_auxz00_8648);
					}
					((BgL_objectz00_bglt) BgL_tmp1277z00_5703);
					{	/* SawMill/regalloc.scm 37 */
						long BgL_arg2538z00_5707;

						BgL_arg2538z00_5707 =
							BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1277z00_5703), BgL_arg2538z00_5707);
					}
					BgL_new1279z00_5702 = ((BgL_rtl_insz00_bglt) BgL_tmp1277z00_5703);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1279z00_5702)))->BgL_locz00) =
					((obj_t) BgL_loc1163z00_5546), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1279z00_5702)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1164z52_5547)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1279z00_5702)))->BgL_destz00) =
					((obj_t) BgL_dest1165z00_5548), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1279z00_5702)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1166z00_5549)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1279z00_5702)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1167z00_5550)), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8669;

					{
						obj_t BgL_auxz00_8670;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8671;

							BgL_tmpz00_8671 = ((BgL_objectz00_bglt) BgL_new1279z00_5702);
							BgL_auxz00_8670 = BGL_OBJECT_WIDENING(BgL_tmpz00_8671);
						}
						BgL_auxz00_8669 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8670);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8669))->BgL_defz00) =
						((obj_t) BgL_def1168z00_5551), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8676;

					{
						obj_t BgL_auxz00_8677;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8678;

							BgL_tmpz00_8678 = ((BgL_objectz00_bglt) BgL_new1279z00_5702);
							BgL_auxz00_8677 = BGL_OBJECT_WIDENING(BgL_tmpz00_8678);
						}
						BgL_auxz00_8676 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8677);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8676))->BgL_outz00) =
						((obj_t) BgL_out1169z00_5552), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8683;

					{
						obj_t BgL_auxz00_8684;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8685;

							BgL_tmpz00_8685 = ((BgL_objectz00_bglt) BgL_new1279z00_5702);
							BgL_auxz00_8684 = BGL_OBJECT_WIDENING(BgL_tmpz00_8685);
						}
						BgL_auxz00_8683 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8684);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8683))->BgL_inz00) =
						((obj_t) BgL_in1170z00_5553), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8690;

					{
						obj_t BgL_auxz00_8691;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8692;

							BgL_tmpz00_8692 = ((BgL_objectz00_bglt) BgL_new1279z00_5702);
							BgL_auxz00_8691 = BGL_OBJECT_WIDENING(BgL_tmpz00_8692);
						}
						BgL_auxz00_8690 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8691);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8690))->
							BgL_spillz00) = ((obj_t) BgL_spill1171z00_5554), BUNSPEC);
				}
				return BgL_new1279z00_5702;
			}
		}

	}



/* &<@anonymous:2587> */
	obj_t BGl_z62zc3z04anonymousza32587ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5555)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2586 */
	obj_t BGl_z62lambda2586z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5556, obj_t BgL_oz00_5557, obj_t BgL_vz00_5558)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8697;

				{
					obj_t BgL_auxz00_8698;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8699;

						BgL_tmpz00_8699 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5557));
						BgL_auxz00_8698 = BGL_OBJECT_WIDENING(BgL_tmpz00_8699);
					}
					BgL_auxz00_8697 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8698);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8697))->
						BgL_spillz00) = ((obj_t) BgL_vz00_5558), BUNSPEC);
			}
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5559, obj_t BgL_oz00_5560)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8705;

				{
					obj_t BgL_auxz00_8706;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8707;

						BgL_tmpz00_8707 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5560));
						BgL_auxz00_8706 = BGL_OBJECT_WIDENING(BgL_tmpz00_8707);
					}
					BgL_auxz00_8705 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8706);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8705))->BgL_spillz00);
			}
		}

	}



/* &<@anonymous:2580> */
	obj_t BGl_z62zc3z04anonymousza32580ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5561)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2579 */
	obj_t BGl_z62lambda2579z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5562, obj_t BgL_oz00_5563, obj_t BgL_vz00_5564)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8713;

				{
					obj_t BgL_auxz00_8714;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8715;

						BgL_tmpz00_8715 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5563));
						BgL_auxz00_8714 = BGL_OBJECT_WIDENING(BgL_tmpz00_8715);
					}
					BgL_auxz00_8713 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8714);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8713))->BgL_inz00) =
					((obj_t) BgL_vz00_5564), BUNSPEC);
			}
		}

	}



/* &lambda2578 */
	obj_t BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5565, obj_t BgL_oz00_5566)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8721;

				{
					obj_t BgL_auxz00_8722;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8723;

						BgL_tmpz00_8723 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5566));
						BgL_auxz00_8722 = BGL_OBJECT_WIDENING(BgL_tmpz00_8723);
					}
					BgL_auxz00_8721 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8722);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8721))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2570> */
	obj_t BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5567)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2569 */
	obj_t BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5568, obj_t BgL_oz00_5569, obj_t BgL_vz00_5570)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8729;

				{
					obj_t BgL_auxz00_8730;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8731;

						BgL_tmpz00_8731 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5569));
						BgL_auxz00_8730 = BGL_OBJECT_WIDENING(BgL_tmpz00_8731);
					}
					BgL_auxz00_8729 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8730);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8729))->BgL_outz00) =
					((obj_t) BgL_vz00_5570), BUNSPEC);
			}
		}

	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5571, obj_t BgL_oz00_5572)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8737;

				{
					obj_t BgL_auxz00_8738;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8739;

						BgL_tmpz00_8739 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5572));
						BgL_auxz00_8738 = BGL_OBJECT_WIDENING(BgL_tmpz00_8739);
					}
					BgL_auxz00_8737 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8738);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8737))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2562> */
	obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5573)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2561 */
	obj_t BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5574, obj_t BgL_oz00_5575, obj_t BgL_vz00_5576)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8745;

				{
					obj_t BgL_auxz00_8746;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8747;

						BgL_tmpz00_8747 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5575));
						BgL_auxz00_8746 = BGL_OBJECT_WIDENING(BgL_tmpz00_8747);
					}
					BgL_auxz00_8745 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8746);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8745))->BgL_defz00) =
					((obj_t) BgL_vz00_5576), BUNSPEC);
			}
		}

	}



/* &lambda2560 */
	obj_t BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5577, obj_t BgL_oz00_5578)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8753;

				{
					obj_t BgL_auxz00_8754;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8755;

						BgL_tmpz00_8755 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5578));
						BgL_auxz00_8754 = BGL_OBJECT_WIDENING(BgL_tmpz00_8755);
					}
					BgL_auxz00_8753 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8754);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8753))->BgL_defz00);
			}
		}

	}



/* &lambda2516 */
	BgL_blockz00_bglt BGl_z62lambda2516z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5579, obj_t BgL_o1161z00_5580)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				long BgL_arg2517z00_5717;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_arg2519z00_5718;

					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2521z00_5719;

						{	/* SawMill/regalloc.scm 34 */
							long BgL_arg1828z00_5720;

							{	/* SawMill/regalloc.scm 34 */
								long BgL_arg1829z00_5721;

								BgL_arg1829z00_5721 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1161z00_5580)));
								BgL_arg1828z00_5720 = (BgL_arg1829z00_5721 - OBJECT_TYPE);
							}
							BgL_arg2521z00_5719 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_5720);
						}
						BgL_arg2519z00_5718 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2521z00_5719);
					}
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_tmpz00_8767;

						BgL_tmpz00_8767 = ((obj_t) BgL_arg2519z00_5718);
						BgL_arg2517z00_5717 = BGL_CLASS_NUM(BgL_tmpz00_8767);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1161z00_5580)), BgL_arg2517z00_5717);
			}
			{	/* SawMill/regalloc.scm 34 */
				BgL_objectz00_bglt BgL_tmpz00_8773;

				BgL_tmpz00_8773 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_5580));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8773, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_5580));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1161z00_5580));
		}

	}



/* &<@anonymous:2515> */
	obj_t BGl_z62zc3z04anonymousza32515ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5581, obj_t BgL_new1160z00_5582)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockz00_bglt BgL_auxz00_8781;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1160z00_5582))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_5582))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_5582))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1160z00_5582))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_blockzf2razf2_bglt BgL_auxz00_8795;

					{
						obj_t BgL_auxz00_8796;

						{	/* SawMill/regalloc.scm 34 */
							BgL_objectz00_bglt BgL_tmpz00_8797;

							BgL_tmpz00_8797 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1160z00_5582));
							BgL_auxz00_8796 = BGL_OBJECT_WIDENING(BgL_tmpz00_8797);
						}
						BgL_auxz00_8795 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8796);
					}
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8795))->BgL_lastz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_8781 = ((BgL_blockz00_bglt) BgL_new1160z00_5582);
				return ((obj_t) BgL_auxz00_8781);
			}
		}

	}



/* &lambda2513 */
	BgL_blockz00_bglt BGl_z62lambda2513z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5583, obj_t BgL_o1157z00_5584)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				BgL_blockzf2razf2_bglt BgL_wide1159z00_5724;

				BgL_wide1159z00_5724 =
					((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockzf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_auxz00_8810;
					BgL_objectz00_bglt BgL_tmpz00_8806;

					BgL_auxz00_8810 = ((obj_t) BgL_wide1159z00_5724);
					BgL_tmpz00_8806 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_5584)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8806, BgL_auxz00_8810);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_5584)));
				{	/* SawMill/regalloc.scm 34 */
					long BgL_arg2514z00_5725;

					BgL_arg2514z00_5725 =
						BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1157z00_5584))), BgL_arg2514z00_5725);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1157z00_5584)));
			}
		}

	}



/* &lambda2509 */
	BgL_blockz00_bglt BGl_z62lambda2509z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5585, obj_t BgL_label1152z00_5586, obj_t BgL_preds1153z00_5587,
		obj_t BgL_succs1154z00_5588, obj_t BgL_first1155z00_5589,
		obj_t BgL_last1156z00_5590)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				int BgL_label1152z00_5726;

				BgL_label1152z00_5726 = CINT(BgL_label1152z00_5586);
				{	/* SawMill/regalloc.scm 34 */
					BgL_blockz00_bglt BgL_new1274z00_5731;

					{	/* SawMill/regalloc.scm 34 */
						BgL_blockz00_bglt BgL_tmp1272z00_5732;
						BgL_blockzf2razf2_bglt BgL_wide1273z00_5733;

						{
							BgL_blockz00_bglt BgL_auxz00_8825;

							{	/* SawMill/regalloc.scm 34 */
								BgL_blockz00_bglt BgL_new1271z00_5734;

								BgL_new1271z00_5734 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/regalloc.scm 34 */
									long BgL_arg2512z00_5735;

									BgL_arg2512z00_5735 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1271z00_5734),
										BgL_arg2512z00_5735);
								}
								{	/* SawMill/regalloc.scm 34 */
									BgL_objectz00_bglt BgL_tmpz00_8830;

									BgL_tmpz00_8830 = ((BgL_objectz00_bglt) BgL_new1271z00_5734);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8830, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1271z00_5734);
								BgL_auxz00_8825 = BgL_new1271z00_5734;
							}
							BgL_tmp1272z00_5732 = ((BgL_blockz00_bglt) BgL_auxz00_8825);
						}
						BgL_wide1273z00_5733 =
							((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockzf2razf2_bgl))));
						{	/* SawMill/regalloc.scm 34 */
							obj_t BgL_auxz00_8838;
							BgL_objectz00_bglt BgL_tmpz00_8836;

							BgL_auxz00_8838 = ((obj_t) BgL_wide1273z00_5733);
							BgL_tmpz00_8836 = ((BgL_objectz00_bglt) BgL_tmp1272z00_5732);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8836, BgL_auxz00_8838);
						}
						((BgL_objectz00_bglt) BgL_tmp1272z00_5732);
						{	/* SawMill/regalloc.scm 34 */
							long BgL_arg2511z00_5736;

							BgL_arg2511z00_5736 =
								BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1272z00_5732),
								BgL_arg2511z00_5736);
						}
						BgL_new1274z00_5731 = ((BgL_blockz00_bglt) BgL_tmp1272z00_5732);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1274z00_5731)))->BgL_labelz00) =
						((int) BgL_label1152z00_5726), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1274z00_5731)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1153z00_5587)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1274z00_5731)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1154z00_5588)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1274z00_5731)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1155z00_5589)), BUNSPEC);
					{
						BgL_blockzf2razf2_bglt BgL_auxz00_8857;

						{
							obj_t BgL_auxz00_8858;

							{	/* SawMill/regalloc.scm 34 */
								BgL_objectz00_bglt BgL_tmpz00_8859;

								BgL_tmpz00_8859 = ((BgL_objectz00_bglt) BgL_new1274z00_5731);
								BgL_auxz00_8858 = BGL_OBJECT_WIDENING(BgL_tmpz00_8859);
							}
							BgL_auxz00_8857 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8858);
						}
						((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8857))->
								BgL_lastz00) =
							((obj_t) ((obj_t) BgL_last1156z00_5590)), BUNSPEC);
					}
					return BgL_new1274z00_5731;
				}
			}
		}

	}



/* &lambda2526 */
	obj_t BGl_z62lambda2526z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5591, obj_t BgL_oz00_5592, obj_t BgL_vz00_5593)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_8865;

				{
					obj_t BgL_auxz00_8866;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_8867;

						BgL_tmpz00_8867 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5592));
						BgL_auxz00_8866 = BGL_OBJECT_WIDENING(BgL_tmpz00_8867);
					}
					BgL_auxz00_8865 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8866);
				}
				return
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8865))->BgL_lastz00) =
					((obj_t) ((obj_t) BgL_vz00_5593)), BUNSPEC);
			}
		}

	}



/* &lambda2525 */
	obj_t BGl_z62lambda2525z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5594, obj_t BgL_oz00_5595)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_8874;

				{
					obj_t BgL_auxz00_8875;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_8876;

						BgL_tmpz00_8876 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5595));
						BgL_auxz00_8875 = BGL_OBJECT_WIDENING(BgL_tmpz00_8876);
					}
					BgL_auxz00_8874 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8875);
				}
				return
					(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8874))->BgL_lastz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2878z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2879z00zzsaw_registerzd2allocationzd2);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2880z00zzsaw_registerzd2allocationzd2,
				BGl_backendz00zzbackend_backendz00,
				BGl_string2881z00zzsaw_registerzd2allocationzd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_proc2882z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2883z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &rtl-size1763 */
	obj_t BGl_z62rtlzd2siza7e1763z17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5599, obj_t BgL_oz00_5600)
	{
		{	/* SawMill/regalloc.scm 784 */
			if (PAIRP(BgL_oz00_5600))
				{	/* SawMill/regalloc.scm 786 */
					obj_t BgL_runner2633z00_5740;

					{	/* SawMill/regalloc.scm 786 */
						obj_t BgL_head1750z00_5741;

						BgL_head1750z00_5741 =
							MAKE_YOUNG_PAIR(BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
							(CAR(BgL_oz00_5600)), BNIL);
						{	/* SawMill/regalloc.scm 786 */
							obj_t BgL_g1753z00_5742;

							BgL_g1753z00_5742 = CDR(BgL_oz00_5600);
							{
								obj_t BgL_l1748z00_5744;
								obj_t BgL_tail1751z00_5745;

								BgL_l1748z00_5744 = BgL_g1753z00_5742;
								BgL_tail1751z00_5745 = BgL_head1750z00_5741;
							BgL_zc3z04anonymousza32624ze3z87_5743:
								if (NULLP(BgL_l1748z00_5744))
									{	/* SawMill/regalloc.scm 786 */
										BgL_runner2633z00_5740 = BgL_head1750z00_5741;
									}
								else
									{	/* SawMill/regalloc.scm 786 */
										obj_t BgL_newtail1752z00_5746;

										{	/* SawMill/regalloc.scm 786 */
											obj_t BgL_arg2627z00_5747;

											{	/* SawMill/regalloc.scm 786 */
												obj_t BgL_arg2629z00_5748;

												BgL_arg2629z00_5748 = CAR(((obj_t) BgL_l1748z00_5744));
												BgL_arg2627z00_5747 =
													BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
													(BgL_arg2629z00_5748);
											}
											BgL_newtail1752z00_5746 =
												MAKE_YOUNG_PAIR(BgL_arg2627z00_5747, BNIL);
										}
										SET_CDR(BgL_tail1751z00_5745, BgL_newtail1752z00_5746);
										{	/* SawMill/regalloc.scm 786 */
											obj_t BgL_arg2626z00_5749;

											BgL_arg2626z00_5749 = CDR(((obj_t) BgL_l1748z00_5744));
											{
												obj_t BgL_tail1751z00_8901;
												obj_t BgL_l1748z00_8900;

												BgL_l1748z00_8900 = BgL_arg2626z00_5749;
												BgL_tail1751z00_8901 = BgL_newtail1752z00_5746;
												BgL_tail1751z00_5745 = BgL_tail1751z00_8901;
												BgL_l1748z00_5744 = BgL_l1748z00_8900;
												goto BgL_zc3z04anonymousza32624ze3z87_5743;
											}
										}
									}
							}
						}
					}
					return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2633z00_5740);
				}
			else
				{	/* SawMill/regalloc.scm 785 */
					return BINT(((long) 1));
		}}

	}



/* &type-interference!1761 */
	obj_t BGl_z62typezd2interferencez121761za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5601, obj_t BgL_backz00_5602, obj_t BgL_regsz00_5603)
	{
		{	/* SawMill/regalloc.scm 326 */
			{	/* SawMill/regalloc.scm 327 */
				bool_t BgL_tmpz00_8904;

				if (NULLP(((obj_t) BgL_regsz00_5603)))
					{	/* SawMill/regalloc.scm 327 */
						BgL_tmpz00_8904 = ((bool_t) 0);
					}
				else
					{
						obj_t BgL_regsz00_5753;

						BgL_regsz00_5753 = ((obj_t) BgL_regsz00_5603);
					BgL_loopz00_5752:
						{	/* SawMill/regalloc.scm 329 */
							bool_t BgL_test3202z00_8908;

							{	/* SawMill/regalloc.scm 329 */
								obj_t BgL_tmpz00_8909;

								BgL_tmpz00_8909 = CDR(((obj_t) BgL_regsz00_5753));
								BgL_test3202z00_8908 = PAIRP(BgL_tmpz00_8909);
							}
							if (BgL_test3202z00_8908)
								{	/* SawMill/regalloc.scm 330 */
									obj_t BgL_r1z00_5754;

									BgL_r1z00_5754 = CAR(((obj_t) BgL_regsz00_5753));
									{	/* SawMill/regalloc.scm 330 */
										BgL_typez00_bglt BgL_t1z00_5755;

										BgL_t1z00_5755 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_r1z00_5754)))->
											BgL_typez00);
										{	/* SawMill/regalloc.scm 331 */

											{	/* SawMill/regalloc.scm 332 */
												bool_t BgL_test3203z00_8917;

												{	/* SawMill/regalloc.scm 332 */
													obj_t BgL_classz00_5756;

													BgL_classz00_5756 = BGl_typez00zztype_typez00;
													{	/* SawMill/regalloc.scm 332 */
														BgL_objectz00_bglt BgL_arg1820z00_5757;

														{	/* SawMill/regalloc.scm 332 */
															obj_t BgL_tmpz00_8918;

															BgL_tmpz00_8918 =
																((obj_t) ((BgL_objectz00_bglt) BgL_t1z00_5755));
															BgL_arg1820z00_5757 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8918);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/regalloc.scm 332 */
																long BgL_idxz00_5758;

																BgL_idxz00_5758 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_5757);
																BgL_test3203z00_8917 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5758 + ((long) 1))) ==
																	BgL_classz00_5756);
															}
														else
															{	/* SawMill/regalloc.scm 332 */
																bool_t BgL_res2800z00_5761;

																{	/* SawMill/regalloc.scm 332 */
																	obj_t BgL_oclassz00_5762;

																	{	/* SawMill/regalloc.scm 332 */
																		long BgL_arg1828z00_5763;

																		{	/* SawMill/regalloc.scm 332 */
																			long BgL_arg1829z00_5764;

																			BgL_arg1829z00_5764 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_5757);
																			BgL_arg1828z00_5763 =
																				(BgL_arg1829z00_5764 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5762 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_5763);
																	}
																	{	/* SawMill/regalloc.scm 332 */
																		bool_t BgL__ortest_1111z00_5765;

																		BgL__ortest_1111z00_5765 =
																			(BgL_classz00_5756 == BgL_oclassz00_5762);
																		if (BgL__ortest_1111z00_5765)
																			{	/* SawMill/regalloc.scm 332 */
																				BgL_res2800z00_5761 =
																					BgL__ortest_1111z00_5765;
																			}
																		else
																			{	/* SawMill/regalloc.scm 332 */
																				long BgL_odepthz00_5766;

																				BgL_odepthz00_5766 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5762);
																				if ((((long) 1) < BgL_odepthz00_5766))
																					{	/* SawMill/regalloc.scm 332 */
																						obj_t BgL_arg1816z00_5767;

																						BgL_arg1816z00_5767 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5762, ((long) 1));
																						BgL_res2800z00_5761 =
																							(BgL_arg1816z00_5767 ==
																							BgL_classz00_5756);
																					}
																				else
																					{	/* SawMill/regalloc.scm 332 */
																						BgL_res2800z00_5761 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3203z00_8917 = BgL_res2800z00_5761;
															}
													}
												}
												if (BgL_test3203z00_8917)
													{	/* SawMill/regalloc.scm 333 */
														obj_t BgL_g1641z00_5768;

														BgL_g1641z00_5768 = CDR(((obj_t) BgL_regsz00_5753));
														{
															obj_t BgL_l1639z00_5770;

															BgL_l1639z00_5770 = BgL_g1641z00_5768;
														BgL_zc3z04anonymousza32614ze3z87_5769:
															if (PAIRP(BgL_l1639z00_5770))
																{	/* SawMill/regalloc.scm 341 */
																	{	/* SawMill/regalloc.scm 334 */
																		obj_t BgL_r2z00_5771;

																		BgL_r2z00_5771 = CAR(BgL_l1639z00_5770);
																		{	/* SawMill/regalloc.scm 334 */
																			BgL_typez00_bglt BgL_t2z00_5772;

																			BgL_t2z00_5772 =
																				(((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_r2z00_5771)))->BgL_typez00);
																			{	/* SawMill/regalloc.scm 335 */
																				bool_t BgL_test3208z00_8945;

																				if (
																					(((obj_t) BgL_t1z00_5755) ==
																						((obj_t) BgL_t2z00_5772)))
																					{	/* SawMill/regalloc.scm 335 */
																						BgL_test3208z00_8945 = ((bool_t) 1);
																					}
																				else
																					{	/* SawMill/regalloc.scm 336 */
																						bool_t BgL_test3210z00_8950;

																						if (
																							(((obj_t) BgL_t1z00_5755) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3210z00_8950 =
																									BGl_bigloozd2typezf3z21zztype_typez00
																									(BgL_t2z00_5772);
																							}
																						else
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3210z00_8950 =
																									((bool_t) 0);
																							}
																						if (BgL_test3210z00_8950)
																							{	/* SawMill/regalloc.scm 336 */
																								BgL_test3208z00_8945 =
																									((bool_t) 1);
																							}
																						else
																							{	/* SawMill/regalloc.scm 336 */
																								if (
																									(((obj_t) BgL_t2z00_5772) ==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* SawMill/regalloc.scm 338 */
																										BgL_test3208z00_8945 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t1z00_5755);
																									}
																								else
																									{	/* SawMill/regalloc.scm 338 */
																										BgL_test3208z00_8945 =
																											((bool_t) 0);
																									}
																							}
																					}
																				if (BgL_test3208z00_8945)
																					{	/* SawMill/regalloc.scm 335 */
																						((bool_t) 0);
																					}
																				else
																					{	/* SawMill/regalloc.scm 335 */
																						BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																							(BgL_r1z00_5754, BgL_r2z00_5771);
																					}
																			}
																		}
																	}
																	{
																		obj_t BgL_l1639z00_8960;

																		BgL_l1639z00_8960 = CDR(BgL_l1639z00_5770);
																		BgL_l1639z00_5770 = BgL_l1639z00_8960;
																		goto BgL_zc3z04anonymousza32614ze3z87_5769;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 341 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* SawMill/regalloc.scm 332 */
														((bool_t) 0);
													}
											}
											{	/* SawMill/regalloc.scm 342 */
												obj_t BgL_arg2619z00_5773;

												BgL_arg2619z00_5773 = CDR(((obj_t) BgL_regsz00_5753));
												{
													obj_t BgL_regsz00_8964;

													BgL_regsz00_8964 = BgL_arg2619z00_5773;
													BgL_regsz00_5753 = BgL_regsz00_8964;
													goto BgL_loopz00_5752;
												}
											}
										}
									}
								}
							else
								{	/* SawMill/regalloc.scm 329 */
									BgL_tmpz00_8904 = ((bool_t) 0);
								}
						}
					}
				return BBOOL(BgL_tmpz00_8904);
			}
		}

	}



/* &protect-interference1758 */
	obj_t BGl_z62protectzd2interference1758zb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5604, obj_t BgL_oz00_5605, obj_t BgL_regsz00_5606)
	{
		{	/* SawMill/regalloc.scm 222 */
			{	/* SawMill/regalloc.scm 224 */
				bool_t BgL_tmpz00_8967;

				{
					obj_t BgL_oz00_5781;
					obj_t BgL_oz00_5777;

					{
						obj_t BgL_l1606z00_5800;

						BgL_l1606z00_5800 = BgL_oz00_5605;
					BgL_zc3z04anonymousza32590ze3z87_5799:
						if (PAIRP(BgL_l1606z00_5800))
							{	/* SawMill/regalloc.scm 230 */
								BgL_oz00_5777 = CAR(BgL_l1606z00_5800);
								{	/* SawMill/regalloc.scm 229 */
									obj_t BgL_g1605z00_5778;

									BgL_g1605z00_5778 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_5777)))->BgL_firstz00);
									{
										obj_t BgL_l1603z00_5780;

										BgL_l1603z00_5780 = BgL_g1605z00_5778;
									BgL_zc3z04anonymousza32604ze3z87_5779:
										if (PAIRP(BgL_l1603z00_5780))
											{	/* SawMill/regalloc.scm 229 */
												BgL_oz00_5781 = CAR(BgL_l1603z00_5780);
												{	/* SawMill/regalloc.scm 225 */
													bool_t BgL_test3215z00_8974;

													{	/* SawMill/regalloc.scm 225 */
														BgL_rtl_funz00_bglt BgL_arg2602z00_5782;

														BgL_arg2602z00_5782 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_5781)))->
															BgL_funz00);
														{	/* SawMill/regalloc.scm 225 */
															obj_t BgL_classz00_5783;

															BgL_classz00_5783 =
																BGl_rtl_protectz00zzsaw_defsz00;
															{	/* SawMill/regalloc.scm 225 */
																BgL_objectz00_bglt BgL_arg1820z00_5784;

																{	/* SawMill/regalloc.scm 225 */
																	obj_t BgL_tmpz00_8977;

																	BgL_tmpz00_8977 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2602z00_5782));
																	BgL_arg1820z00_5784 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_8977);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* SawMill/regalloc.scm 225 */
																		long BgL_idxz00_5785;

																		BgL_idxz00_5785 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_5784);
																		BgL_test3215z00_8974 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5785 + ((long) 2))) ==
																			BgL_classz00_5783);
																	}
																else
																	{	/* SawMill/regalloc.scm 225 */
																		bool_t BgL_res2799z00_5788;

																		{	/* SawMill/regalloc.scm 225 */
																			obj_t BgL_oclassz00_5789;

																			{	/* SawMill/regalloc.scm 225 */
																				long BgL_arg1828z00_5790;

																				{	/* SawMill/regalloc.scm 225 */
																					long BgL_arg1829z00_5791;

																					BgL_arg1829z00_5791 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_5784);
																					BgL_arg1828z00_5790 =
																						(BgL_arg1829z00_5791 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5789 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_5790);
																			}
																			{	/* SawMill/regalloc.scm 225 */
																				bool_t BgL__ortest_1111z00_5792;

																				BgL__ortest_1111z00_5792 =
																					(BgL_classz00_5783 ==
																					BgL_oclassz00_5789);
																				if (BgL__ortest_1111z00_5792)
																					{	/* SawMill/regalloc.scm 225 */
																						BgL_res2799z00_5788 =
																							BgL__ortest_1111z00_5792;
																					}
																				else
																					{	/* SawMill/regalloc.scm 225 */
																						long BgL_odepthz00_5793;

																						BgL_odepthz00_5793 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5789);
																						if ((((long) 2) <
																								BgL_odepthz00_5793))
																							{	/* SawMill/regalloc.scm 225 */
																								obj_t BgL_arg1816z00_5794;

																								BgL_arg1816z00_5794 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5789,
																									((long) 2));
																								BgL_res2799z00_5788 =
																									(BgL_arg1816z00_5794 ==
																									BgL_classz00_5783);
																							}
																						else
																							{	/* SawMill/regalloc.scm 225 */
																								BgL_res2799z00_5788 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3215z00_8974 = BgL_res2799z00_5788;
																	}
															}
														}
													}
													if (BgL_test3215z00_8974)
														{
															obj_t BgL_l1601z00_5796;

															BgL_l1601z00_5796 = ((obj_t) BgL_regsz00_5606);
														BgL_zc3z04anonymousza32598ze3z87_5795:
															if (PAIRP(BgL_l1601z00_5796))
																{	/* SawMill/regalloc.scm 227 */
																	{	/* SawMill/regalloc.scm 227 */
																		obj_t BgL_rz00_5797;

																		BgL_rz00_5797 = CAR(BgL_l1601z00_5796);
																		{	/* SawMill/regalloc.scm 227 */
																			obj_t BgL_arg2600z00_5798;

																			BgL_arg2600z00_5798 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_oz00_5781)))->BgL_destz00);
																			BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																				(BgL_arg2600z00_5798, BgL_rz00_5797);
																		}
																	}
																	{
																		obj_t BgL_l1601z00_9003;

																		BgL_l1601z00_9003 = CDR(BgL_l1601z00_5796);
																		BgL_l1601z00_5796 = BgL_l1601z00_9003;
																		goto BgL_zc3z04anonymousza32598ze3z87_5795;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 227 */
																	((bool_t) 1);
																}
														}
													else
														{	/* SawMill/regalloc.scm 225 */
															((bool_t) 0);
														}
												}
												{
													obj_t BgL_l1603z00_9007;

													BgL_l1603z00_9007 = CDR(BgL_l1603z00_5780);
													BgL_l1603z00_5780 = BgL_l1603z00_9007;
													goto BgL_zc3z04anonymousza32604ze3z87_5779;
												}
											}
										else
											{	/* SawMill/regalloc.scm 229 */
												((bool_t) 1);
											}
									}
								}
								{
									obj_t BgL_l1606z00_9010;

									BgL_l1606z00_9010 = CDR(BgL_l1606z00_5800);
									BgL_l1606z00_5800 = BgL_l1606z00_9010;
									goto BgL_zc3z04anonymousza32590ze3z87_5799;
								}
							}
						else
							{	/* SawMill/regalloc.scm 230 */
								BgL_tmpz00_8967 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_8967);
			}
		}

	}



/* protect-interference! */
	obj_t BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_oz00_74, obj_t BgL_regsz00_75)
	{
		{	/* SawMill/regalloc.scm 222 */
			if (BGL_OBJECTP(BgL_oz00_74))
				{	/* SawMill/regalloc.scm 222 */
					obj_t BgL_method1760z00_3473;

					{	/* SawMill/regalloc.scm 222 */
						obj_t BgL_res2805z00_5195;

						{	/* SawMill/regalloc.scm 222 */
							long BgL_objzd2classzd2numz00_5166;

							BgL_objzd2classzd2numz00_5166 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_74));
							{	/* SawMill/regalloc.scm 222 */
								obj_t BgL_arg1825z00_5167;

								BgL_arg1825z00_5167 =
									PROCEDURE_REF
									(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)));
								{	/* SawMill/regalloc.scm 222 */
									int BgL_offsetz00_5170;

									BgL_offsetz00_5170 = (int) (BgL_objzd2classzd2numz00_5166);
									{	/* SawMill/regalloc.scm 222 */
										long BgL_offsetz00_5171;

										BgL_offsetz00_5171 =
											((long) (BgL_offsetz00_5170) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 222 */
											long BgL_modz00_5172;

											BgL_modz00_5172 =
												(BgL_offsetz00_5171 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/regalloc.scm 222 */
												long BgL_restz00_5174;

												BgL_restz00_5174 =
													(BgL_offsetz00_5171 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/regalloc.scm 222 */

													{	/* SawMill/regalloc.scm 222 */
														obj_t BgL_bucketz00_5176;

														BgL_bucketz00_5176 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_5167), BgL_modz00_5172);
														BgL_res2805z00_5195 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5176), BgL_restz00_5174);
						}}}}}}}}
						BgL_method1760z00_3473 = BgL_res2805z00_5195;
					}
					return
						((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1760z00_3473)) (BgL_method1760z00_3473,
						BgL_oz00_74, BgL_regsz00_75, BEOA);
				}
			else
				{	/* SawMill/regalloc.scm 222 */
					obj_t BgL_fun2635z00_3474;

					BgL_fun2635z00_3474 =
						PROCEDURE_REF
						(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
						(int) (((long) 0)));
					return ((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun2635z00_3474)) (BgL_fun2635z00_3474,
						BgL_oz00_74, BgL_regsz00_75, BEOA);
				}
		}

	}



/* &protect-interference! */
	obj_t BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5607, obj_t BgL_oz00_5608, obj_t BgL_regsz00_5609)
	{
		{	/* SawMill/regalloc.scm 222 */
			return
				BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
				(BgL_oz00_5608, BgL_regsz00_5609);
		}

	}



/* type-interference! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_81, obj_t BgL_regsz00_82)
	{
		{	/* SawMill/regalloc.scm 326 */
			{	/* SawMill/regalloc.scm 326 */
				obj_t BgL_method1762z00_3475;

				{	/* SawMill/regalloc.scm 326 */
					obj_t BgL_res2811z00_5227;

					{	/* SawMill/regalloc.scm 326 */
						long BgL_objzd2classzd2numz00_5198;

						BgL_objzd2classzd2numz00_5198 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_backz00_81));
						{	/* SawMill/regalloc.scm 326 */
							obj_t BgL_arg1825z00_5199;

							BgL_arg1825z00_5199 =
								PROCEDURE_REF
								(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
								(int) (((long) 1)));
							{	/* SawMill/regalloc.scm 326 */
								int BgL_offsetz00_5202;

								BgL_offsetz00_5202 = (int) (BgL_objzd2classzd2numz00_5198);
								{	/* SawMill/regalloc.scm 326 */
									long BgL_offsetz00_5203;

									BgL_offsetz00_5203 =
										((long) (BgL_offsetz00_5202) - OBJECT_TYPE);
									{	/* SawMill/regalloc.scm 326 */
										long BgL_modz00_5204;

										BgL_modz00_5204 =
											(BgL_offsetz00_5203 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/regalloc.scm 326 */
											long BgL_restz00_5206;

											BgL_restz00_5206 =
												(BgL_offsetz00_5203 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/regalloc.scm 326 */

												{	/* SawMill/regalloc.scm 326 */
													obj_t BgL_bucketz00_5208;

													BgL_bucketz00_5208 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_5199), BgL_modz00_5204);
													BgL_res2811z00_5227 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5208), BgL_restz00_5206);
					}}}}}}}}
					BgL_method1762z00_3475 = BgL_res2811z00_5227;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1762z00_3475)) (BgL_method1762z00_3475,
					((obj_t) BgL_backz00_81), BgL_regsz00_82, BEOA);
			}
		}

	}



/* &type-interference! */
	obj_t BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5610, obj_t BgL_backz00_5611, obj_t BgL_regsz00_5612)
	{
		{	/* SawMill/regalloc.scm 326 */
			return
				BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_5611), BgL_regsz00_5612);
		}

	}



/* rtl-size */
	obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_107)
	{
		{	/* SawMill/regalloc.scm 784 */
			if (BGL_OBJECTP(BgL_oz00_107))
				{	/* SawMill/regalloc.scm 784 */
					obj_t BgL_method1764z00_3477;

					{	/* SawMill/regalloc.scm 784 */
						obj_t BgL_res2816z00_5258;

						{	/* SawMill/regalloc.scm 784 */
							long BgL_objzd2classzd2numz00_5229;

							BgL_objzd2classzd2numz00_5229 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_107));
							{	/* SawMill/regalloc.scm 784 */
								obj_t BgL_arg1825z00_5230;

								BgL_arg1825z00_5230 =
									PROCEDURE_REF
									(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)));
								{	/* SawMill/regalloc.scm 784 */
									int BgL_offsetz00_5233;

									BgL_offsetz00_5233 = (int) (BgL_objzd2classzd2numz00_5229);
									{	/* SawMill/regalloc.scm 784 */
										long BgL_offsetz00_5234;

										BgL_offsetz00_5234 =
											((long) (BgL_offsetz00_5233) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 784 */
											long BgL_modz00_5235;

											BgL_modz00_5235 =
												(BgL_offsetz00_5234 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/regalloc.scm 784 */
												long BgL_restz00_5237;

												BgL_restz00_5237 =
													(BgL_offsetz00_5234 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/regalloc.scm 784 */

													{	/* SawMill/regalloc.scm 784 */
														obj_t BgL_bucketz00_5239;

														BgL_bucketz00_5239 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_5230), BgL_modz00_5235);
														BgL_res2816z00_5258 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5239), BgL_restz00_5237);
						}}}}}}}}
						BgL_method1764z00_3477 = BgL_res2816z00_5258;
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1764z00_3477)) (BgL_method1764z00_3477,
						BgL_oz00_107, BEOA);
				}
			else
				{	/* SawMill/regalloc.scm 784 */
					obj_t BgL_fun2637z00_3478;

					BgL_fun2637z00_3478 =
						PROCEDURE_REF
						(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
						(int) (((long) 0)));
					return ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun2637z00_3478)) (BgL_fun2637z00_3478,
						BgL_oz00_107, BEOA);
				}
		}

	}



/* &rtl-size */
	obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5613, obj_t BgL_oz00_5614)
	{
		{	/* SawMill/regalloc.scm 784 */
			return BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_oz00_5614);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_blockz00zzsaw_defsz00,
				BGl_proc2884z00zzsaw_registerzd2allocationzd2,
				BGl_string2885z00zzsaw_registerzd2allocationzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc2886z00zzsaw_registerzd2allocationzd2,
				BGl_string2885z00zzsaw_registerzd2allocationzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2,
				BGl_proc2887z00zzsaw_registerzd2allocationzd2,
				BGl_string2888z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &dump-rtl_ins/ra1770 */
	obj_t BGl_z62dumpzd2rtl_inszf2ra1770z42zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5622, obj_t BgL_oz00_5623, obj_t BgL_pz00_5624,
		obj_t BgL_mz00_5625)
	{
		{	/* SawMill/regalloc.scm 801 */
			{

				{	/* SawMill/regalloc.scm 801 */
					obj_t BgL_nextzd2method1769zd2_5803;

					BgL_nextzd2method1769zd2_5803 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt) BgL_oz00_5623)),
						BGl_dumpzd2envzd2zzsaw_defsz00,
						BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1769zd2_5803))
						(BgL_nextzd2method1769zd2_5803,
						((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_5623)), BgL_pz00_5624,
						BgL_mz00_5625, BEOA);
				}
				return BNIL;
			}
		}

	}



/* &rtl-size-rtl_ins1768 */
	obj_t BGl_z62rtlzd2siza7ezd2rtl_ins1768zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5626, obj_t BgL_oz00_5627)
	{
		{	/* SawMill/regalloc.scm 794 */
			{	/* SawMill/regalloc.scm 795 */
				long BgL_tmpz00_9138;

				{	/* SawMill/regalloc.scm 796 */
					obj_t BgL_arg2640z00_5805;

					BgL_arg2640z00_5805 =
						BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_5627)))->BgL_argsz00));
					BgL_tmpz00_9138 = (((long) 1) + (long) CINT(BgL_arg2640z00_5805));
				}
				return BINT(BgL_tmpz00_9138);
			}
		}

	}



/* &rtl-size-block1766 */
	obj_t BGl_z62rtlzd2siza7ezd2block1766zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5628, obj_t BgL_oz00_5629)
	{
		{	/* SawMill/regalloc.scm 790 */
			return
				BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_5629)))->BgL_firstz00));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2(void)
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2889z00zzsaw_registerzd2allocationzd2));
		}

	}

#ifdef __cplusplus
}
#endif
