/*===========================================================================*/
/*   (Stackable/walk.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Stackable/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_appzf2depthzf2_bgl
	{
		long BgL_depthz00;
	}                     *BgL_appzf2depthzf2_bglt;

	typedef struct BgL_localzf2depthzf2_bgl
	{
		long BgL_depthz00;
		obj_t BgL_ownerz00;
	}                       *BgL_localzf2depthzf2_bglt;


	static obj_t BGl_z62escapez12zd2app1496za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1772z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1779z62zzstackable_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzstackable_walkz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31782ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1783z62zzstackable_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62depthzd2letzd2setzd2exzd2it1522z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62stackablezd2app1481zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzstackable_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_localzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzstackable_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_appzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	static obj_t BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	static obj_t
		BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62shapezd2localzf2depth1462z42zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt, bool_t,
		long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_z62escapez12zd2closure1500za2zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initzd2stackablezd2app1526z62zzstackable_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_zc3z04anonymousza32085ze3ze70z60zzstackable_walkz00(obj_t);
	static obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62escapez121486z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2ze3sexpzd2appzf2depth1464z73zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62liftzd2letz121507za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2escapezd2makezd2box1506zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1510za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2fun1518zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t);
	static obj_t BGl_escapez12z12zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62stackable1465z62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2local1492za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2var1514z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62depthzd2let1511zb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2escapezd2app1504z62zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzstackable_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_z62stackablezd2closure1471zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00(void);
	static obj_t BGl_z62initzd2stackable1523zb0zzstackable_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t);
	static obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2global1489za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62depthzd2letzd2app1520z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2node1494za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2var1516zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt);
	static obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62initzd2stackablezd2closu1530z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2escape1501zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1813z62zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62lambda1814z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1822z62zzstackable_walkz00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda1742z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1823z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62initzd2stackablezd2makezd21528zb0zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62stackablezd2var1469zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda1747z62zzstackable_walkz00(obj_t, obj_t);
	static bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62stackablezd2setq1473zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_appz00_bglt BGl_z62lambda1751z62zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1758z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1759z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2310z00zzstackable_walkz00,
		BgL_bgl_string2310za700za7za7s2394za7, "Stackable", 9);
	      DEFINE_STRING(BGl_string2311z00zzstackable_walkz00,
		BgL_bgl_string2311za700za7za7s2395za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2312z00zzstackable_walkz00,
		BgL_bgl_string2312za700za7za7s2396za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2313z00zzstackable_walkz00,
		BgL_bgl_string2313za700za7za7s2397za7, " error", 6);
	      DEFINE_STRING(BGl_string2314z00zzstackable_walkz00,
		BgL_bgl_string2314za700za7za7s2398za7, "s", 1);
	      DEFINE_STRING(BGl_string2315z00zzstackable_walkz00,
		BgL_bgl_string2315za700za7za7s2399za7, "", 0);
	      DEFINE_STRING(BGl_string2316z00zzstackable_walkz00,
		BgL_bgl_string2316za700za7za7s2400za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2317z00zzstackable_walkz00,
		BgL_bgl_string2317za700za7za7s2401za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzstackable_walkz00,
		BgL_bgl_za762lambda1759za7622402z00,
		BGl_z62lambda1759z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzstackable_walkz00,
		BgL_bgl_za762lambda1758za7622403z00,
		BGl_z62lambda1758z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzstackable_walkz00,
		BgL_bgl_za762lambda1751za7622404z00,
		BGl_z62lambda1751z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2405za7,
		BGl_z62zc3z04anonymousza31750ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzstackable_walkz00,
		BgL_bgl_za762lambda1747za7622406z00,
		BGl_z62lambda1747z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzstackable_walkz00,
		BgL_bgl_za762lambda1742za7622407z00,
		BGl_z62lambda1742z62zzstackable_walkz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzstackable_walkz00,
		BgL_bgl_za762lambda1814za7622408z00,
		BGl_z62lambda1814z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzstackable_walkz00,
		BgL_bgl_za762lambda1813za7622409z00,
		BGl_z62lambda1813z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzstackable_walkz00,
		BgL_bgl_za762lambda1823za7622410z00,
		BGl_z62lambda1823z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2333z00zzstackable_walkz00,
		BgL_bgl_string2333za700za7za7s2411za7, "stackable1465", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzstackable_walkz00,
		BgL_bgl_za762lambda1822za7622412z00,
		BGl_z62lambda1822z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzstackable_walkz00,
		BgL_bgl_za762lambda1783za7622413z00,
		BGl_z62lambda1783z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2335z00zzstackable_walkz00,
		BgL_bgl_string2335za700za7za7s2414za7, "escape!1486", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2415za7,
		BGl_z62zc3z04anonymousza31782ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2337z00zzstackable_walkz00,
		BgL_bgl_string2337za700za7za7s2416za7, "node-escape1501", 15);
	      DEFINE_STRING(BGl_string2339z00zzstackable_walkz00,
		BgL_bgl_string2339za700za7za7s2417za7, "lift-let!1507", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzstackable_walkz00,
		BgL_bgl_za762lambda1779za7622418z00,
		BGl_z62lambda1779z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzstackable_walkz00,
		BgL_bgl_za762lambda1772za7622419z00,
		BGl_z62lambda1772z62zzstackable_walkz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzstackable_walkz00,
		BgL_bgl_za762stackable14652420za7,
		BGl_z62stackable1465z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzstackable_walkz00,
		BgL_bgl_za762escapeza71214862421z00,
		BGl_z62escapez121486z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2341z00zzstackable_walkz00,
		BgL_bgl_string2341za700za7za7s2422za7, "depth-let1511", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2423z00,
		BGl_z62nodezd2escape1501zb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2343z00zzstackable_walkz00,
		BgL_bgl_string2343za700za7za7s2424za7, "init-stackable1523", 18);
	      DEFINE_STRING(BGl_string2344z00zzstackable_walkz00,
		BgL_bgl_string2344za700za7za7s2425za7, "ESCAPE! should not be here ", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122426za7,
		BGl_z62liftzd2letz121507za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2345z00zzstackable_walkz00,
		BgL_bgl_string2345za700za7za7s2427za7, ":", 1);
	      DEFINE_STRING(BGl_string2346z00zzstackable_walkz00,
		BgL_bgl_string2346za700za7za7s2428za7, ",", 1);
	      DEFINE_STRING(BGl_string2347z00zzstackable_walkz00,
		BgL_bgl_string2347za700za7za7s2429za7, "Stackable/walk.scm", 18);
	      DEFINE_STRING(BGl_string2349z00zzstackable_walkz00,
		BgL_bgl_string2349za700za7za7s2430za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2let152431z00,
		BGl_z62depthzd2let1511zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2432z00,
		BGl_z62initzd2stackable1523zb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2351z00zzstackable_walkz00,
		BgL_bgl_string2351za700za7za7s2433za7, "node->sexp", 10);
	      DEFINE_STRING(BGl_string2353z00zzstackable_walkz00,
		BgL_bgl_string2353za700za7za7s2434za7, "stackable", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzstackable_walkz00,
		BgL_bgl_za762shapeza7d2local2435z00,
		BGl_z62shapezd2localzf2depth1462z42zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2za7e3sex2436za7,
		BGl_z62nodezd2ze3sexpzd2appzf2depth1464z73zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2v2437z00,
		BGl_z62stackablezd2var1469zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2438z00,
		BGl_z62stackablezd2closure1471zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2439z00,
		BGl_z62stackablezd2setq1473zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2440z00,
		BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2363z00zzstackable_walkz00,
		BgL_bgl_string2363za700za7za7s2441za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2442z00,
		BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2443z00,
		BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2a2444z00,
		BGl_z62stackablezd2app1481zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2369z00zzstackable_walkz00,
		BgL_bgl_string2369za700za7za7s2445za7, "escape!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2f2446z00,
		BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2447z00,
		BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2g2448za7,
		BGl_z62escapez12zd2global1489za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2l2449za7,
		BGl_z62escapez12zd2local1492za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2371z00zzstackable_walkz00,
		BgL_bgl_string2371za700za7za7s2450za7, "node-escape", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2n2451za7,
		BGl_z62escapez12zd2node1494za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2a2452za7,
		BGl_z62escapez12zd2app1496za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2m2453za7,
		BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2374z00zzstackable_walkz00,
		BgL_bgl_string2374za700za7za7s2454za7, "lift-let!::node", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2c2455za7,
		BGl_z62escapez12zd2closure1500za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2376z00zzstackable_walkz00,
		BgL_bgl_string2376za700za7za7s2456za7, "depth-let", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2457z00,
		BGl_z62nodezd2escapezd2app1504z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2458z00,
		BGl_z62nodezd2escapezd2makezd2box1506zb0zzstackable_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122459za7,
		BGl_z62liftzd2letz12zd2letzd2var1510za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2460za7,
		BGl_z62depthzd2letzd2var1514z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2382z00zzstackable_walkz00,
		BgL_bgl_string2382za700za7za7s2461za7, "init-stackable", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2462za7,
		BGl_z62depthzd2letzd2letzd2var1516zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2463za7,
		BGl_z62depthzd2letzd2letzd2fun1518zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2385z00zzstackable_walkz00,
		BgL_bgl_string2385za700za7za7s2464za7, "\n", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2465za7,
		BGl_z62depthzd2letzd2app1520z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2386z00zzstackable_walkz00,
		BgL_bgl_string2386za700za7za7s2466za7, " ", 1);
	      DEFINE_STRING(BGl_string2387z00zzstackable_walkz00,
		BgL_bgl_string2387za700za7za7s2467za7, "<-", 2);
	      DEFINE_STRING(BGl_string2388z00zzstackable_walkz00,
		BgL_bgl_string2388za700za7za7s2468za7, "      lifting binding ", 22);
	      DEFINE_STRING(BGl_string2389z00zzstackable_walkz00,
		BgL_bgl_string2389za700za7za7s2469za7, "[~a]", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2470za7,
		BGl_z62depthzd2letzd2setzd2exzd2it1522z62zzstackable_walkz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2471z00,
		BGl_z62initzd2stackablezd2app1526z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2472z00,
		BGl_z62initzd2stackablezd2makezd21528zb0zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2390z00zzstackable_walkz00,
		BgL_bgl_string2390za700za7za7s2473za7, "[~a]~a", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2474z00,
		BGl_z62initzd2stackablezd2closu1530z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2391z00zzstackable_walkz00,
		BgL_bgl_string2391za700za7za7s2475za7, "stackable_walk", 14);
	      DEFINE_STRING(BGl_string2392z00zzstackable_walkz00,
		BgL_bgl_string2392za700za7za7s2476za7,
		"* ($make-stack-cell $acons) foreign _ local/depth obj owner stackable_walk app/depth long depth pass-started ",
		109);
	      DEFINE_STATIC_BGL_GENERIC(BGl_stackablezd2envzd2zzstackable_walkz00,
		BgL_bgl_za762stackableza762za72477za7,
		BGl_z62stackablez62zzstackable_walkz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stackablezd2walkz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2w2478z00,
		BGl_z62stackablezd2walkz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122479za7,
		BGl_z62liftzd2letz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2480z00,
		BGl_z62nodezd2escapezb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_depthzd2letzd2envz00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7b2481za7,
		BGl_z62depthzd2letzb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzstackable_walkz00,
		BgL_bgl_za762escapeza712za770za72482z00,
		BGl_z62escapez12z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2483z00,
		BGl_z62initzd2stackablezb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2depthzf2zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_appzf2depthzf2zzstackable_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long
		BgL_checksumz00_5111, char *BgL_fromz00_5112)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzstackable_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzstackable_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzstackable_walkz00();
					BGl_libraryzd2moduleszd2initz00zzstackable_walkz00();
					BGl_cnstzd2initzd2zzstackable_walkz00();
					BGl_importedzd2moduleszd2initz00zzstackable_walkz00();
					BGl_objectzd2initzd2zzstackable_walkz00();
					BGl_genericzd2initzd2zzstackable_walkz00();
					BGl_methodzd2initzd2zzstackable_walkz00();
					return BGl_toplevelzd2initzd2zzstackable_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"stackable_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 16 */
				obj_t BgL_cportz00_4659;

				{	/* Stackable/walk.scm 16 */
					obj_t BgL_stringz00_4666;

					BgL_stringz00_4666 = BGl_string2392z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 16 */
						obj_t BgL_startz00_4667;

						BgL_startz00_4667 = BINT(((long) 0));
						{	/* Stackable/walk.scm 16 */
							obj_t BgL_endz00_4668;

							BgL_endz00_4668 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4666)));
							{	/* Stackable/walk.scm 16 */

								BgL_cportz00_4659 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4666, BgL_startz00_4667, BgL_endz00_4668);
				}}}}
				{
					long BgL_iz00_4660;

					BgL_iz00_4660 = ((long) 11);
				BgL_loopz00_4661:
					if ((BgL_iz00_4660 == ((long) -1)))
						{	/* Stackable/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Stackable/walk.scm 16 */
							{	/* Stackable/walk.scm 16 */
								obj_t BgL_arg2393z00_4662;

								{	/* Stackable/walk.scm 16 */

									{	/* Stackable/walk.scm 16 */
										obj_t BgL_locationz00_4664;

										BgL_locationz00_4664 = BBOOL(((bool_t) 0));
										{	/* Stackable/walk.scm 16 */

											BgL_arg2393z00_4662 =
												BGl_readz00zz__readerz00(BgL_cportz00_4659,
												BgL_locationz00_4664);
										}
									}
								}
								{	/* Stackable/walk.scm 16 */
									int BgL_tmpz00_5147;

									BgL_tmpz00_5147 = (int) (BgL_iz00_4660);
									CNST_TABLE_SET(BgL_tmpz00_5147, BgL_arg2393z00_4662);
							}}
							{	/* Stackable/walk.scm 16 */
								int BgL_auxz00_4665;

								BgL_auxz00_4665 = (int) ((BgL_iz00_4660 - ((long) 1)));
								{
									long BgL_iz00_5152;

									BgL_iz00_5152 = (long) (BgL_auxz00_4665);
									BgL_iz00_4660 = BgL_iz00_5152;
									goto BgL_loopz00_4661;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* stackable-walk! */
	BGL_EXPORTED_DEF obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t
		BgL_globalsz00_19)
	{
		{	/* Stackable/walk.scm 68 */
			if (CBOOL(BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 69 */
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_list1571z00_1705;

						{	/* Stackable/walk.scm 71 */
							obj_t BgL_arg1572z00_1706;

							{	/* Stackable/walk.scm 71 */
								obj_t BgL_arg1580z00_1707;

								BgL_arg1580z00_1707 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1572z00_1706 =
									MAKE_YOUNG_PAIR(BGl_string2310z00zzstackable_walkz00,
									BgL_arg1580z00_1707);
							}
							BgL_list1571z00_1705 =
								MAKE_YOUNG_PAIR(BGl_string2311z00zzstackable_walkz00,
								BgL_arg1572z00_1706);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1571z00_1705);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2310z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_g1167z00_1708;

						BgL_g1167z00_1708 = BNIL;
						{
							obj_t BgL_hooksz00_1711;
							obj_t BgL_hnamesz00_1712;

							BgL_hooksz00_1711 = BgL_g1167z00_1708;
							BgL_hnamesz00_1712 = BNIL;
						BgL_zc3z04anonymousza31581ze3z87_1713:
							if (NULLP(BgL_hooksz00_1711))
								{	/* Stackable/walk.scm 71 */
									CNST_TABLE_REF(((long) 0));
								}
							else
								{	/* Stackable/walk.scm 71 */
									bool_t BgL_test2488z00_5167;

									{	/* Stackable/walk.scm 71 */
										obj_t BgL_fun1599z00_1720;

										BgL_fun1599z00_1720 = CAR(((obj_t) BgL_hooksz00_1711));
										BgL_test2488z00_5167 =
											CBOOL(
											((obj_t(*)(obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun1599z00_1720))
											(BgL_fun1599z00_1720, BEOA));
									}
									if (BgL_test2488z00_5167)
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1588z00_1717;
											obj_t BgL_arg1590z00_1718;

											BgL_arg1588z00_1717 = CDR(((obj_t) BgL_hooksz00_1711));
											BgL_arg1590z00_1718 = CDR(((obj_t) BgL_hnamesz00_1712));
											{
												obj_t BgL_hnamesz00_5179;
												obj_t BgL_hooksz00_5178;

												BgL_hooksz00_5178 = BgL_arg1588z00_1717;
												BgL_hnamesz00_5179 = BgL_arg1590z00_1718;
												BgL_hnamesz00_1712 = BgL_hnamesz00_5179;
												BgL_hooksz00_1711 = BgL_hooksz00_5178;
												goto BgL_zc3z04anonymousza31581ze3z87_1713;
											}
										}
									else
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1598z00_1719;

											BgL_arg1598z00_1719 = CAR(((obj_t) BgL_hnamesz00_1712));
											BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2310z00zzstackable_walkz00,
												BGl_string2312z00zzstackable_walkz00,
												BgL_arg1598z00_1719);
										}
								}
						}
					}
					{
						obj_t BgL_l1399z00_1724;

						BgL_l1399z00_1724 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31601ze3z87_1725:
						if (PAIRP(BgL_l1399z00_1724))
							{	/* Stackable/walk.scm 72 */
								{	/* Stackable/walk.scm 72 */
									obj_t BgL_arg1610z00_1727;

									BgL_arg1610z00_1727 = CAR(BgL_l1399z00_1724);
									BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1610z00_1727));
								}
								{
									obj_t BgL_l1399z00_5188;

									BgL_l1399z00_5188 = CDR(BgL_l1399z00_1724);
									BgL_l1399z00_1724 = BgL_l1399z00_5188;
									goto BgL_zc3z04anonymousza31601ze3z87_1725;
								}
							}
						else
							{	/* Stackable/walk.scm 72 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1401z00_1731;

						BgL_l1401z00_1731 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31615ze3z87_1732:
						if (PAIRP(BgL_l1401z00_1731))
							{	/* Stackable/walk.scm 73 */
								{	/* Stackable/walk.scm 73 */
									obj_t BgL_arg1625z00_1734;

									BgL_arg1625z00_1734 = CAR(BgL_l1401z00_1731);
									BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1625z00_1734));
								}
								{
									obj_t BgL_l1401z00_5195;

									BgL_l1401z00_5195 = CDR(BgL_l1401z00_1731);
									BgL_l1401z00_1731 = BgL_l1401z00_5195;
									goto BgL_zc3z04anonymousza31615ze3z87_1732;
								}
							}
						else
							{	/* Stackable/walk.scm 73 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1403z00_1738;

						BgL_l1403z00_1738 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31630ze3z87_1739:
						if (PAIRP(BgL_l1403z00_1738))
							{	/* Stackable/walk.scm 74 */
								{	/* Stackable/walk.scm 74 */
									obj_t BgL_arg1635z00_1741;

									BgL_arg1635z00_1741 = CAR(BgL_l1403z00_1738);
									{	/* Stackable/walk.scm 529 */
										BgL_sfunz00_bglt BgL_i1260z00_3157;

										BgL_i1260z00_3157 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_arg1635z00_1741)))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 530 */
											obj_t BgL_arg1728z00_3158;

											BgL_arg1728z00_3158 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1260z00_3157))->
												BgL_bodyz00);
											BGl_initzd2stackablezd2zzstackable_walkz00((
													(BgL_nodez00_bglt) BgL_arg1728z00_3158));
										}
									}
								}
								{
									obj_t BgL_l1403z00_5206;

									BgL_l1403z00_5206 = CDR(BgL_l1403z00_1738);
									BgL_l1403z00_1738 = BgL_l1403z00_5206;
									goto BgL_zc3z04anonymousza31630ze3z87_1739;
								}
							}
						else
							{	/* Stackable/walk.scm 74 */
								((bool_t) 1);
							}
					}
					{	/* Stackable/walk.scm 75 */
						obj_t BgL_g1169z00_1744;

						BgL_g1169z00_1744 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_ctxz00_1746;

							BgL_ctxz00_1746 = BgL_g1169z00_1744;
						BgL_zc3z04anonymousza31637ze3z87_1747:
							if (CBOOL(CAR(BgL_ctxz00_1746)))
								{	/* Stackable/walk.scm 76 */
									((bool_t) 0);
								}
							else
								{	/* Stackable/walk.scm 76 */
									SET_CAR(BgL_ctxz00_1746, BTRUE);
									SET_CDR(BgL_ctxz00_1746, BNIL);
									{
										obj_t BgL_l1405z00_1750;

										BgL_l1405z00_1750 = BgL_globalsz00_19;
									BgL_zc3z04anonymousza31639ze3z87_1751:
										if (PAIRP(BgL_l1405z00_1750))
											{	/* Stackable/walk.scm 79 */
												{	/* Stackable/walk.scm 79 */
													obj_t BgL_gz00_1753;

													BgL_gz00_1753 = CAR(BgL_l1405z00_1750);
													BGl_varzd2stackablezd2zzstackable_walkz00(
														((BgL_variablez00_bglt) BgL_gz00_1753),
														BgL_ctxz00_1746);
												}
												{
													obj_t BgL_l1405z00_5219;

													BgL_l1405z00_5219 = CDR(BgL_l1405z00_1750);
													BgL_l1405z00_1750 = BgL_l1405z00_5219;
													goto BgL_zc3z04anonymousza31639ze3z87_1751;
												}
											}
										else
											{	/* Stackable/walk.scm 79 */
												((bool_t) 1);
											}
									}
									{

										goto BgL_zc3z04anonymousza31637ze3z87_1747;
									}
								}
						}
					}
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							((long) 0)))
						{	/* Stackable/walk.scm 81 */
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_port1407z00_1759;

								{	/* Stackable/walk.scm 81 */
									obj_t BgL_tmpz00_5224;

									BgL_tmpz00_5224 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1407z00_1759 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5224);
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port1407z00_1759);
								bgl_display_string(BGl_string2313z00zzstackable_walkz00,
									BgL_port1407z00_1759);
								{	/* Stackable/walk.scm 81 */
									obj_t BgL_arg1645z00_1760;

									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2495z00_5229;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Stackable/walk.scm 81 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Stackable/walk.scm 81 */
														BgL_test2495z00_5229 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> ((long) 1));
													}
												else
													{	/* Stackable/walk.scm 81 */
														BgL_test2495z00_5229 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
											}}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_test2495z00_5229 = ((bool_t) 0);
											}
										if (BgL_test2495z00_5229)
											{	/* Stackable/walk.scm 81 */
												BgL_arg1645z00_1760 =
													BGl_string2314z00zzstackable_walkz00;
											}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_arg1645z00_1760 =
													BGl_string2315z00zzstackable_walkz00;
											}
									}
									bgl_display_obj(BgL_arg1645z00_1760, BgL_port1407z00_1759);
								}
								bgl_display_string(BGl_string2316z00zzstackable_walkz00,
									BgL_port1407z00_1759);
								bgl_display_char(((unsigned char) 10), BgL_port1407z00_1759);
							}
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_list1649z00_1764;

								BgL_list1649z00_1764 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
								BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1649z00_1764);
							}
						}
					else
						{	/* Stackable/walk.scm 81 */
							obj_t BgL_g1170z00_1765;

							BgL_g1170z00_1765 = BNIL;
							{
								obj_t BgL_hooksz00_1768;
								obj_t BgL_hnamesz00_1769;

								BgL_hooksz00_1768 = BgL_g1170z00_1765;
								BgL_hnamesz00_1769 = BNIL;
							BgL_zc3z04anonymousza31650ze3z87_1770:
								if (NULLP(BgL_hooksz00_1768))
									{	/* Stackable/walk.scm 81 */
										return BgL_globalsz00_19;
									}
								else
									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2499z00_5246;

										{	/* Stackable/walk.scm 81 */
											obj_t BgL_fun1664z00_1777;

											BgL_fun1664z00_1777 = CAR(((obj_t) BgL_hooksz00_1768));
											BgL_test2499z00_5246 =
												CBOOL(
												((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fun1664z00_1777))
												(BgL_fun1664z00_1777, BEOA));
										}
										if (BgL_test2499z00_5246)
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1661z00_1774;
												obj_t BgL_arg1662z00_1775;

												BgL_arg1661z00_1774 = CDR(((obj_t) BgL_hooksz00_1768));
												BgL_arg1662z00_1775 = CDR(((obj_t) BgL_hnamesz00_1769));
												{
													obj_t BgL_hnamesz00_5258;
													obj_t BgL_hooksz00_5257;

													BgL_hooksz00_5257 = BgL_arg1661z00_1774;
													BgL_hnamesz00_5258 = BgL_arg1662z00_1775;
													BgL_hnamesz00_1769 = BgL_hnamesz00_5258;
													BgL_hooksz00_1768 = BgL_hooksz00_5257;
													goto BgL_zc3z04anonymousza31650ze3z87_1770;
												}
											}
										else
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1663z00_1776;

												BgL_arg1663z00_1776 = CAR(((obj_t) BgL_hnamesz00_1769));
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string2317z00zzstackable_walkz00,
													BgL_arg1663z00_1776);
											}
									}
							}
						}
				}
			else
				{	/* Stackable/walk.scm 69 */
					return BgL_globalsz00_19;
				}
		}

	}



/* &stackable-walk! */
	obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t BgL_envz00_4412,
		obj_t BgL_globalsz00_4413)
	{
		{	/* Stackable/walk.scm 68 */
			return BGl_stackablezd2walkz12zc0zzstackable_walkz00(BgL_globalsz00_4413);
		}

	}



/* import? */
	bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt BgL_varz00_20)
	{
		{	/* Stackable/walk.scm 87 */
			{	/* Stackable/walk.scm 88 */
				bool_t BgL_test2500z00_5263;

				{	/* Stackable/walk.scm 88 */
					obj_t BgL_classz00_3178;

					BgL_classz00_3178 = BGl_globalz00zzast_varz00;
					{	/* Stackable/walk.scm 88 */
						BgL_objectz00_bglt BgL_arg1820z00_3180;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_tmpz00_5264;

							BgL_tmpz00_5264 = ((obj_t) BgL_varz00_20);
							BgL_arg1820z00_3180 = (BgL_objectz00_bglt) (BgL_tmpz00_5264);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Stackable/walk.scm 88 */
								long BgL_idxz00_3186;

								BgL_idxz00_3186 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3180);
								BgL_test2500z00_5263 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3186 + ((long) 2))) == BgL_classz00_3178);
							}
						else
							{	/* Stackable/walk.scm 88 */
								bool_t BgL_res2251z00_3208;

								{	/* Stackable/walk.scm 88 */
									obj_t BgL_oclassz00_3194;

									{	/* Stackable/walk.scm 88 */
										long BgL_arg1828z00_3200;

										{	/* Stackable/walk.scm 88 */
											long BgL_arg1829z00_3201;

											BgL_arg1829z00_3201 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3180);
											BgL_arg1828z00_3200 = (BgL_arg1829z00_3201 - OBJECT_TYPE);
										}
										BgL_oclassz00_3194 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_3200);
									}
									{	/* Stackable/walk.scm 88 */
										bool_t BgL__ortest_1111z00_3195;

										BgL__ortest_1111z00_3195 =
											(BgL_classz00_3178 == BgL_oclassz00_3194);
										if (BgL__ortest_1111z00_3195)
											{	/* Stackable/walk.scm 88 */
												BgL_res2251z00_3208 = BgL__ortest_1111z00_3195;
											}
										else
											{	/* Stackable/walk.scm 88 */
												long BgL_odepthz00_3196;

												BgL_odepthz00_3196 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3194);
												if ((((long) 2) < BgL_odepthz00_3196))
													{	/* Stackable/walk.scm 88 */
														obj_t BgL_arg1816z00_3198;

														BgL_arg1816z00_3198 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3194,
															((long) 2));
														BgL_res2251z00_3208 =
															(BgL_arg1816z00_3198 == BgL_classz00_3178);
													}
												else
													{	/* Stackable/walk.scm 88 */
														BgL_res2251z00_3208 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2500z00_5263 = BgL_res2251z00_3208;
							}
					}
				}
				if (BgL_test2500z00_5263)
					{	/* Stackable/walk.scm 88 */
						bool_t BgL_test2504z00_5283;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_arg1674z00_1783;

							BgL_arg1674z00_1783 =
								(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_varz00_20)))->BgL_modulez00);
							BgL_test2504z00_5283 =
								(BgL_arg1674z00_1783 == BGl_za2moduleza2z00zzmodule_modulez00);
						}
						if (BgL_test2504z00_5283)
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Stackable/walk.scm 88 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* var-stackable */
	obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_21, obj_t BgL_ctxz00_22)
	{
		{	/* Stackable/walk.scm 93 */
			{	/* Stackable/walk.scm 94 */
				bool_t BgL_test2505z00_5287;

				if (BGl_importzf3zf3zzstackable_walkz00(BgL_varz00_21))
					{	/* Stackable/walk.scm 94 */
						BgL_test2505z00_5287 = ((bool_t) 0);
					}
				else
					{	/* Stackable/walk.scm 94 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_varz00_21), CDR(BgL_ctxz00_22))))
							{	/* Stackable/walk.scm 94 */
								BgL_test2505z00_5287 = ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 94 */
								BgL_test2505z00_5287 = ((bool_t) 1);
							}
					}
				if (BgL_test2505z00_5287)
					{	/* Stackable/walk.scm 94 */
						{	/* Stackable/walk.scm 96 */
							obj_t BgL_arg1682z00_1789;

							{	/* Stackable/walk.scm 96 */
								obj_t BgL_arg1683z00_1790;

								BgL_arg1683z00_1790 = CDR(BgL_ctxz00_22);
								BgL_arg1682z00_1789 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_21), BgL_arg1683z00_1790);
							}
							SET_CDR(BgL_ctxz00_22, BgL_arg1682z00_1789);
						}
						{	/* Stackable/walk.scm 98 */
							BgL_sfunz00_bglt BgL_i1176z00_1792;

							BgL_i1176z00_1792 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->
									BgL_valuez00));
							{	/* Stackable/walk.scm 99 */
								bool_t BgL_test2508z00_5301;

								{	/* Stackable/walk.scm 99 */
									obj_t BgL_arg1698z00_1800;

									BgL_arg1698z00_1800 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1176z00_1792))->
										BgL_bodyz00);
									{	/* Stackable/walk.scm 99 */
										obj_t BgL_classz00_3213;

										BgL_classz00_3213 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1698z00_1800))
											{	/* Stackable/walk.scm 99 */
												BgL_objectz00_bglt BgL_arg1820z00_3215;

												BgL_arg1820z00_3215 =
													(BgL_objectz00_bglt) (BgL_arg1698z00_1800);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 99 */
														long BgL_idxz00_3221;

														BgL_idxz00_3221 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3215);
														BgL_test2508z00_5301 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3221 + ((long) 1))) ==
															BgL_classz00_3213);
													}
												else
													{	/* Stackable/walk.scm 99 */
														bool_t BgL_res2252z00_3243;

														{	/* Stackable/walk.scm 99 */
															obj_t BgL_oclassz00_3229;

															{	/* Stackable/walk.scm 99 */
																long BgL_arg1828z00_3235;

																{	/* Stackable/walk.scm 99 */
																	long BgL_arg1829z00_3236;

																	BgL_arg1829z00_3236 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3215);
																	BgL_arg1828z00_3235 =
																		(BgL_arg1829z00_3236 - OBJECT_TYPE);
																}
																BgL_oclassz00_3229 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3235);
															}
															{	/* Stackable/walk.scm 99 */
																bool_t BgL__ortest_1111z00_3230;

																BgL__ortest_1111z00_3230 =
																	(BgL_classz00_3213 == BgL_oclassz00_3229);
																if (BgL__ortest_1111z00_3230)
																	{	/* Stackable/walk.scm 99 */
																		BgL_res2252z00_3243 =
																			BgL__ortest_1111z00_3230;
																	}
																else
																	{	/* Stackable/walk.scm 99 */
																		long BgL_odepthz00_3231;

																		BgL_odepthz00_3231 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3229);
																		if ((((long) 1) < BgL_odepthz00_3231))
																			{	/* Stackable/walk.scm 99 */
																				obj_t BgL_arg1816z00_3233;

																				BgL_arg1816z00_3233 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3229, ((long) 1));
																				BgL_res2252z00_3243 =
																					(BgL_arg1816z00_3233 ==
																					BgL_classz00_3213);
																			}
																		else
																			{	/* Stackable/walk.scm 99 */
																				BgL_res2252z00_3243 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2508z00_5301 = BgL_res2252z00_3243;
													}
											}
										else
											{	/* Stackable/walk.scm 99 */
												BgL_test2508z00_5301 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2508z00_5301)
									{	/* Stackable/walk.scm 100 */
										bool_t BgL_test2513z00_5322;

										{	/* Stackable/walk.scm 100 */
											obj_t BgL_classz00_3244;

											BgL_classz00_3244 = BGl_globalz00zzast_varz00;
											{	/* Stackable/walk.scm 100 */
												BgL_objectz00_bglt BgL_arg1820z00_3246;

												{	/* Stackable/walk.scm 100 */
													obj_t BgL_tmpz00_5323;

													BgL_tmpz00_5323 = ((obj_t) BgL_varz00_21);
													BgL_arg1820z00_3246 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5323);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 100 */
														long BgL_idxz00_3252;

														BgL_idxz00_3252 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3246);
														BgL_test2513z00_5322 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3252 + ((long) 2))) ==
															BgL_classz00_3244);
													}
												else
													{	/* Stackable/walk.scm 100 */
														bool_t BgL_res2253z00_3274;

														{	/* Stackable/walk.scm 100 */
															obj_t BgL_oclassz00_3260;

															{	/* Stackable/walk.scm 100 */
																long BgL_arg1828z00_3266;

																{	/* Stackable/walk.scm 100 */
																	long BgL_arg1829z00_3267;

																	BgL_arg1829z00_3267 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3246);
																	BgL_arg1828z00_3266 =
																		(BgL_arg1829z00_3267 - OBJECT_TYPE);
																}
																BgL_oclassz00_3260 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3266);
															}
															{	/* Stackable/walk.scm 100 */
																bool_t BgL__ortest_1111z00_3261;

																BgL__ortest_1111z00_3261 =
																	(BgL_classz00_3244 == BgL_oclassz00_3260);
																if (BgL__ortest_1111z00_3261)
																	{	/* Stackable/walk.scm 100 */
																		BgL_res2253z00_3274 =
																			BgL__ortest_1111z00_3261;
																	}
																else
																	{	/* Stackable/walk.scm 100 */
																		long BgL_odepthz00_3262;

																		BgL_odepthz00_3262 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3260);
																		if ((((long) 2) < BgL_odepthz00_3262))
																			{	/* Stackable/walk.scm 100 */
																				obj_t BgL_arg1816z00_3264;

																				BgL_arg1816z00_3264 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3260, ((long) 2));
																				BgL_res2253z00_3274 =
																					(BgL_arg1816z00_3264 ==
																					BgL_classz00_3244);
																			}
																		else
																			{	/* Stackable/walk.scm 100 */
																				BgL_res2253z00_3274 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2513z00_5322 = BgL_res2253z00_3274;
													}
											}
										}
										if (BgL_test2513z00_5322)
											{	/* Stackable/walk.scm 101 */
												obj_t BgL_arg1692z00_1796;

												BgL_arg1692z00_1796 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1176z00_1792))->
													BgL_bodyz00);
												return
													BGl_stackablez00zzstackable_walkz00((
														(BgL_nodez00_bglt) BgL_arg1692z00_1796),
													((bool_t) 1), ((long) 0), BgL_ctxz00_22);
											}
										else
											{	/* Stackable/walk.scm 103 */
												obj_t BgL_arg1696z00_1798;
												long BgL_arg1697z00_1799;

												BgL_arg1696z00_1798 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1176z00_1792))->
													BgL_bodyz00);
												{
													BgL_localzf2depthzf2_bglt BgL_auxz00_5346;

													{
														obj_t BgL_auxz00_5347;

														{	/* Stackable/walk.scm 103 */
															BgL_objectz00_bglt BgL_tmpz00_5348;

															BgL_tmpz00_5348 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_21));
															BgL_auxz00_5347 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5348);
														}
														BgL_auxz00_5346 =
															((BgL_localzf2depthzf2_bglt) BgL_auxz00_5347);
													}
													BgL_arg1697z00_1799 =
														(((BgL_localzf2depthzf2_bglt)
															COBJECT(BgL_auxz00_5346))->BgL_depthz00);
												}
												return
													BGl_stackablez00zzstackable_walkz00(
													((BgL_nodez00_bglt) BgL_arg1696z00_1798),
													((bool_t) 1), BgL_arg1697z00_1799, BgL_ctxz00_22);
											}
									}
								else
									{	/* Stackable/walk.scm 99 */
										return BFALSE;
									}
							}
						}
					}
				else
					{	/* Stackable/walk.scm 94 */
						return BFALSE;
					}
			}
		}

	}



/* global-lift-let! */
	obj_t BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_83)
	{
		{	/* Stackable/walk.scm 379 */
			{	/* Stackable/walk.scm 381 */
				BgL_sfunz00_bglt BgL_i1209z00_1805;

				BgL_i1209z00_1805 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_83))->BgL_valuez00));
				{
					obj_t BgL_auxz00_5358;

					{	/* Stackable/walk.scm 382 */
						obj_t BgL_arg1711z00_1806;

						BgL_arg1711z00_1806 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1209z00_1805))->BgL_bodyz00);
						BgL_auxz00_5358 =
							((obj_t)
							BGl_liftzd2letz12zc0zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg1711z00_1806)));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(BgL_i1209z00_1805))->BgL_bodyz00) =
						((obj_t) BgL_auxz00_5358), BUNSPEC);
				}
			}
		}

	}



/* global-depth-let! */
	obj_t BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_86)
	{
		{	/* Stackable/walk.scm 442 */
			{	/* Stackable/walk.scm 444 */
				BgL_sfunz00_bglt BgL_i1225z00_1808;

				BgL_i1225z00_1808 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_86))->BgL_valuez00));
				{	/* Stackable/walk.scm 445 */
					obj_t BgL_g1447z00_1809;

					BgL_g1447z00_1809 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1225z00_1808))->BgL_argsz00);
					{
						obj_t BgL_l1445z00_1811;

						BgL_l1445z00_1811 = BgL_g1447z00_1809;
					BgL_zc3z04anonymousza31712ze3z87_1812:
						if (PAIRP(BgL_l1445z00_1811))
							{	/* Stackable/walk.scm 445 */
								{	/* Stackable/walk.scm 446 */
									obj_t BgL_az00_1814;

									BgL_az00_1814 = CAR(BgL_l1445z00_1811);
									{	/* Stackable/walk.scm 446 */
										BgL_localzf2depthzf2_bglt BgL_wide1228z00_1817;

										BgL_wide1228z00_1817 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 446 */
											obj_t BgL_auxz00_5375;
											BgL_objectz00_bglt BgL_tmpz00_5371;

											BgL_auxz00_5375 = ((obj_t) BgL_wide1228z00_1817);
											BgL_tmpz00_5371 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_az00_1814)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5371, BgL_auxz00_5375);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1814)));
										{	/* Stackable/walk.scm 446 */
											long BgL_arg1720z00_1818;

											BgL_arg1720z00_1818 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1814))),
												BgL_arg1720z00_1818);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1814)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5389;

										{
											obj_t BgL_auxz00_5390;

											{	/* Stackable/walk.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_5391;

												BgL_tmpz00_5391 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1814)));
												BgL_auxz00_5390 = BGL_OBJECT_WIDENING(BgL_tmpz00_5391);
											}
											BgL_auxz00_5389 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5390);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5389))->
												BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5398;

										{
											obj_t BgL_auxz00_5399;

											{	/* Stackable/walk.scm 447 */
												BgL_objectz00_bglt BgL_tmpz00_5400;

												BgL_tmpz00_5400 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1814)));
												BgL_auxz00_5399 = BGL_OBJECT_WIDENING(BgL_tmpz00_5400);
											}
											BgL_auxz00_5398 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5399);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5398))->
												BgL_ownerz00) =
											((obj_t) ((obj_t) BgL_varz00_86)), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_az00_1814));
								}
								{
									obj_t BgL_l1445z00_5410;

									BgL_l1445z00_5410 = CDR(BgL_l1445z00_1811);
									BgL_l1445z00_1811 = BgL_l1445z00_5410;
									goto BgL_zc3z04anonymousza31712ze3z87_1812;
								}
							}
						else
							{	/* Stackable/walk.scm 445 */
								((bool_t) 1);
							}
					}
				}
				{	/* Stackable/walk.scm 450 */
					obj_t BgL_arg1723z00_1822;

					BgL_arg1723z00_1822 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1225z00_1808))->BgL_bodyz00);
					return
						BGl_depthzd2letzd2zzstackable_walkz00(
						((BgL_nodez00_bglt) BgL_arg1723z00_1822),
						BINT(((long) 0)), ((obj_t) BgL_varz00_86));
		}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 38 */
				obj_t BgL_arg1738z00_1830;
				obj_t BgL_arg1741z00_1831;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1457z00_1860;

					BgL_v1457z00_1860 = create_vector(((long) 1));
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1755z00_1861;

						BgL_arg1755z00_1861 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2319z00zzstackable_walkz00,
							BGl_proc2318z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1457z00_1860, ((long) 0), BgL_arg1755z00_1861);
					}
					BgL_arg1738z00_1830 = BgL_v1457z00_1860;
				}
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1458z00_1871;

					BgL_v1458z00_1871 = create_vector(((long) 0));
					BgL_arg1741z00_1831 = BgL_v1458z00_1871;
				}
				BGl_appzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_appz00zzast_nodez00, ((long) 17275),
					BGl_proc2323z00zzstackable_walkz00,
					BGl_proc2322z00zzstackable_walkz00, BFALSE,
					BGl_proc2321z00zzstackable_walkz00,
					BGl_proc2320z00zzstackable_walkz00, BgL_arg1738z00_1830,
					BgL_arg1741z00_1831);
			}
			{	/* Stackable/walk.scm 40 */
				obj_t BgL_arg1770z00_1880;
				obj_t BgL_arg1771z00_1881;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1459z00_1917;

					BgL_v1459z00_1917 = create_vector(((long) 2));
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1790z00_1918;

						BgL_arg1790z00_1918 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2325z00zzstackable_walkz00,
							BGl_proc2324z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1459z00_1917, ((long) 0), BgL_arg1790z00_1918);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1817z00_1928;

						BgL_arg1817z00_1928 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2327z00zzstackable_walkz00,
							BGl_proc2326z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1459z00_1917, ((long) 1), BgL_arg1817z00_1928);
					}
					BgL_arg1770z00_1880 = BgL_v1459z00_1917;
				}
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1460z00_1938;

					BgL_v1460z00_1938 = create_vector(((long) 0));
					BgL_arg1771z00_1881 = BgL_v1460z00_1938;
				}
				return (BGl_localzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 2096),
						BGl_proc2331z00zzstackable_walkz00,
						BGl_proc2330z00zzstackable_walkz00, BFALSE,
						BGl_proc2329z00zzstackable_walkz00,
						BGl_proc2328z00zzstackable_walkz00, BgL_arg1770z00_1880,
						BgL_arg1771z00_1881), BUNSPEC);
		}}

	}



/* &lambda1783 */
	BgL_localz00_bglt BGl_z62lambda1783z62zzstackable_walkz00(obj_t
		BgL_envz00_4428, obj_t BgL_o1140z00_4429)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_arg1785z00_4671;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_arg1787z00_4672;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1789z00_4673;

						{	/* Stackable/walk.scm 40 */
							long BgL_arg1828z00_4674;

							{	/* Stackable/walk.scm 40 */
								long BgL_arg1829z00_4675;

								BgL_arg1829z00_4675 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1140z00_4429)));
								BgL_arg1828z00_4674 = (BgL_arg1829z00_4675 - OBJECT_TYPE);
							}
							BgL_arg1789z00_4673 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4674);
						}
						BgL_arg1787z00_4672 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1789z00_4673);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_tmpz00_5445;

						BgL_tmpz00_5445 = ((obj_t) BgL_arg1787z00_4672);
						BgL_arg1785z00_4671 = BGL_CLASS_NUM(BgL_tmpz00_5445);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1140z00_4429)), BgL_arg1785z00_4671);
			}
			{	/* Stackable/walk.scm 40 */
				BgL_objectz00_bglt BgL_tmpz00_5451;

				BgL_tmpz00_5451 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4429));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5451, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4429));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1140z00_4429));
		}

	}



/* &<@anonymous:1782> */
	obj_t BGl_z62zc3z04anonymousza31782ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4430, obj_t BgL_new1139z00_4431)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localz00_bglt BgL_auxz00_5459;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1139z00_4431))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 8))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5467;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4677;

						BgL_classz00_4677 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1113z00_4678;

							BgL__ortest_1113z00_4678 = BGL_CLASS_NIL(BgL_classz00_4677);
							if (CBOOL(BgL__ortest_1113z00_4678))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5467 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4678);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5467 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4677));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1139z00_4431))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5467), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_5477;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4679;

						BgL_classz00_4679 = BGl_valuez00zzast_varz00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1113z00_4680;

							BgL__ortest_1113z00_4680 = BGL_CLASS_NIL(BgL_classz00_4679);
							if (CBOOL(BgL__ortest_1113z00_4680))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5477 =
										((BgL_valuez00_bglt) BgL__ortest_1113z00_4680);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5477 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4679));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1139z00_4431))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_5477), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1139z00_4431))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1139z00_4431))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5514;

					{
						obj_t BgL_auxz00_5515;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5516;

							BgL_tmpz00_5516 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1139z00_4431));
							BgL_auxz00_5515 = BGL_OBJECT_WIDENING(BgL_tmpz00_5516);
						}
						BgL_auxz00_5514 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5515);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5514))->
							BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5522;

					{
						obj_t BgL_auxz00_5523;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5524;

							BgL_tmpz00_5524 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1139z00_4431));
							BgL_auxz00_5523 = BGL_OBJECT_WIDENING(BgL_tmpz00_5524);
						}
						BgL_auxz00_5522 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5523);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5522))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5459 = ((BgL_localz00_bglt) BgL_new1139z00_4431);
				return ((obj_t) BgL_auxz00_5459);
			}
		}

	}



/* &lambda1779 */
	BgL_localz00_bglt BGl_z62lambda1779z62zzstackable_walkz00(obj_t
		BgL_envz00_4432, obj_t BgL_o1136z00_4433)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				BgL_localzf2depthzf2_bglt BgL_wide1138z00_4682;

				BgL_wide1138z00_4682 =
					((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_auxz00_5537;
					BgL_objectz00_bglt BgL_tmpz00_5533;

					BgL_auxz00_5537 = ((obj_t) BgL_wide1138z00_4682);
					BgL_tmpz00_5533 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4433)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5533, BgL_auxz00_5537);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4433)));
				{	/* Stackable/walk.scm 40 */
					long BgL_arg1781z00_4683;

					BgL_arg1781z00_4683 =
						BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1136z00_4433))), BgL_arg1781z00_4683);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1136z00_4433)));
			}
		}

	}



/* &lambda1772 */
	BgL_localz00_bglt BGl_z62lambda1772z62zzstackable_walkz00(obj_t
		BgL_envz00_4434, obj_t BgL_id1121z00_4435, obj_t BgL_name1122z00_4436,
		obj_t BgL_type1123z00_4437, obj_t BgL_value1124z00_4438,
		obj_t BgL_access1125z00_4439, obj_t BgL_fastzd2alpha1126zd2_4440,
		obj_t BgL_removable1127z00_4441, obj_t BgL_occurrence1128z00_4442,
		obj_t BgL_occurrencew1129z00_4443, obj_t BgL_userzf31130zf3_4444,
		obj_t BgL_key1131z00_4445, obj_t BgL_valzd2noescape1132zd2_4446,
		obj_t BgL_volatile1133z00_4447, obj_t BgL_depth1134z00_4448,
		obj_t BgL_owner1135z00_4449)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_occurrence1128z00_4687;
				long BgL_occurrencew1129z00_4688;
				bool_t BgL_userzf31130zf3_4689;
				long BgL_key1131z00_4690;
				bool_t BgL_volatile1133z00_4691;
				long BgL_depth1134z00_4692;

				BgL_occurrence1128z00_4687 = (long) CINT(BgL_occurrence1128z00_4442);
				BgL_occurrencew1129z00_4688 = (long) CINT(BgL_occurrencew1129z00_4443);
				BgL_userzf31130zf3_4689 = CBOOL(BgL_userzf31130zf3_4444);
				BgL_key1131z00_4690 = (long) CINT(BgL_key1131z00_4445);
				BgL_volatile1133z00_4691 = CBOOL(BgL_volatile1133z00_4447);
				BgL_depth1134z00_4692 = (long) CINT(BgL_depth1134z00_4448);
				{	/* Stackable/walk.scm 40 */
					BgL_localz00_bglt BgL_new1273z00_4693;

					{	/* Stackable/walk.scm 40 */
						BgL_localz00_bglt BgL_tmp1271z00_4694;
						BgL_localzf2depthzf2_bglt BgL_wide1272z00_4695;

						{
							BgL_localz00_bglt BgL_auxz00_5557;

							{	/* Stackable/walk.scm 40 */
								BgL_localz00_bglt BgL_new1270z00_4696;

								BgL_new1270z00_4696 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Stackable/walk.scm 40 */
									long BgL_arg1778z00_4697;

									BgL_arg1778z00_4697 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1270z00_4696),
										BgL_arg1778z00_4697);
								}
								{	/* Stackable/walk.scm 40 */
									BgL_objectz00_bglt BgL_tmpz00_5562;

									BgL_tmpz00_5562 = ((BgL_objectz00_bglt) BgL_new1270z00_4696);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5562, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1270z00_4696);
								BgL_auxz00_5557 = BgL_new1270z00_4696;
							}
							BgL_tmp1271z00_4694 = ((BgL_localz00_bglt) BgL_auxz00_5557);
						}
						BgL_wide1272z00_4695 =
							((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 40 */
							obj_t BgL_auxz00_5570;
							BgL_objectz00_bglt BgL_tmpz00_5568;

							BgL_auxz00_5570 = ((obj_t) BgL_wide1272z00_4695);
							BgL_tmpz00_5568 = ((BgL_objectz00_bglt) BgL_tmp1271z00_4694);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5568, BgL_auxz00_5570);
						}
						((BgL_objectz00_bglt) BgL_tmp1271z00_4694);
						{	/* Stackable/walk.scm 40 */
							long BgL_arg1777z00_4698;

							BgL_arg1777z00_4698 =
								BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1271z00_4694),
								BgL_arg1777z00_4698);
						}
						BgL_new1273z00_4693 = ((BgL_localz00_bglt) BgL_tmp1271z00_4694);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1273z00_4693)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1121z00_4435)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_namez00) =
						((obj_t) BgL_name1122z00_4436), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1123z00_4437)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1124z00_4438)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_accessz00) =
						((obj_t) BgL_access1125z00_4439), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1126zd2_4440), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_removablez00) =
						((obj_t) BgL_removable1127z00_4441), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_occurrencez00) =
						((long) BgL_occurrence1128z00_4687), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1129z00_4688), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1273z00_4693)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31130zf3_4689), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4693)))->BgL_keyz00) =
						((long) BgL_key1131z00_4690), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4693)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1132zd2_4446), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1273z00_4693)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1133z00_4691), BUNSPEC);
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5607;

						{
							obj_t BgL_auxz00_5608;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5609;

								BgL_tmpz00_5609 = ((BgL_objectz00_bglt) BgL_new1273z00_4693);
								BgL_auxz00_5608 = BGL_OBJECT_WIDENING(BgL_tmpz00_5609);
							}
							BgL_auxz00_5607 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5608);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5607))->
								BgL_depthz00) = ((long) BgL_depth1134z00_4692), BUNSPEC);
					}
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5614;

						{
							obj_t BgL_auxz00_5615;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5616;

								BgL_tmpz00_5616 = ((BgL_objectz00_bglt) BgL_new1273z00_4693);
								BgL_auxz00_5615 = BGL_OBJECT_WIDENING(BgL_tmpz00_5616);
							}
							BgL_auxz00_5614 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5615);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5614))->
								BgL_ownerz00) = ((obj_t) BgL_owner1135z00_4449), BUNSPEC);
					}
					return BgL_new1273z00_4693;
				}
			}
		}

	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zzstackable_walkz00(obj_t BgL_envz00_4450,
		obj_t BgL_oz00_4451, obj_t BgL_vz00_4452)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5621;

				{
					obj_t BgL_auxz00_5622;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5623;

						BgL_tmpz00_5623 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4451));
						BgL_auxz00_5622 = BGL_OBJECT_WIDENING(BgL_tmpz00_5623);
					}
					BgL_auxz00_5621 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5622);
				}
				return
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5621))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_4452), BUNSPEC);
			}
		}

	}



/* &lambda1822 */
	obj_t BGl_z62lambda1822z62zzstackable_walkz00(obj_t BgL_envz00_4453,
		obj_t BgL_oz00_4454)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5629;

				{
					obj_t BgL_auxz00_5630;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5631;

						BgL_tmpz00_5631 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4454));
						BgL_auxz00_5630 = BGL_OBJECT_WIDENING(BgL_tmpz00_5631);
					}
					BgL_auxz00_5629 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5630);
				}
				return
					(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5629))->
					BgL_ownerz00);
			}
		}

	}



/* &lambda1814 */
	obj_t BGl_z62lambda1814z62zzstackable_walkz00(obj_t BgL_envz00_4455,
		obj_t BgL_oz00_4456, obj_t BgL_vz00_4457)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_vz00_4702;

				BgL_vz00_4702 = (long) CINT(BgL_vz00_4457);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5638;

					{
						obj_t BgL_auxz00_5639;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5640;

							BgL_tmpz00_5640 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4456));
							BgL_auxz00_5639 = BGL_OBJECT_WIDENING(BgL_tmpz00_5640);
						}
						BgL_auxz00_5638 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5639);
					}
					return
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5638))->
							BgL_depthz00) = ((long) BgL_vz00_4702), BUNSPEC);
		}}}

	}



/* &lambda1813 */
	obj_t BGl_z62lambda1813z62zzstackable_walkz00(obj_t BgL_envz00_4458,
		obj_t BgL_oz00_4459)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_tmpz00_5646;

				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5647;

					{
						obj_t BgL_auxz00_5648;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5649;

							BgL_tmpz00_5649 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4459));
							BgL_auxz00_5648 = BGL_OBJECT_WIDENING(BgL_tmpz00_5649);
						}
						BgL_auxz00_5647 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5648);
					}
					BgL_tmpz00_5646 =
						(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5647))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5646);
			}
		}

	}



/* &lambda1751 */
	BgL_appz00_bglt BGl_z62lambda1751z62zzstackable_walkz00(obj_t BgL_envz00_4460,
		obj_t BgL_o1119z00_4461)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_arg1752z00_4705;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_arg1753z00_4706;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1754z00_4707;

						{	/* Stackable/walk.scm 38 */
							long BgL_arg1828z00_4708;

							{	/* Stackable/walk.scm 38 */
								long BgL_arg1829z00_4709;

								BgL_arg1829z00_4709 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4461)));
								BgL_arg1828z00_4708 = (BgL_arg1829z00_4709 - OBJECT_TYPE);
							}
							BgL_arg1754z00_4707 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_4708);
						}
						BgL_arg1753z00_4706 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1754z00_4707);
					}
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_tmpz00_5662;

						BgL_tmpz00_5662 = ((obj_t) BgL_arg1753z00_4706);
						BgL_arg1752z00_4705 = BGL_CLASS_NUM(BgL_tmpz00_5662);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1119z00_4461)), BgL_arg1752z00_4705);
			}
			{	/* Stackable/walk.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_5668;

				BgL_tmpz00_5668 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4461));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5668, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4461));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1119z00_4461));
		}

	}



/* &<@anonymous:1750> */
	obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4462, obj_t BgL_new1118z00_4463)
	{
		{	/* Stackable/walk.scm 38 */
			{
				BgL_appz00_bglt BgL_auxz00_5676;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4463))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5680;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4711;

						BgL_classz00_4711 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1113z00_4712;

							BgL__ortest_1113z00_4712 = BGL_CLASS_NIL(BgL_classz00_4711);
							if (CBOOL(BgL__ortest_1113z00_4712))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5680 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_4712);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5680 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4711));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1118z00_4463))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5680), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4463))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1118z00_4463))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_5696;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4713;

						BgL_classz00_4713 = BGl_varz00zzast_nodez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1113z00_4714;

							BgL__ortest_1113z00_4714 = BGL_CLASS_NIL(BgL_classz00_4713);
							if (CBOOL(BgL__ortest_1113z00_4714))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5696 =
										((BgL_varz00_bglt) BgL__ortest_1113z00_4714);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5696 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4713));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1118z00_4463))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_5696), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1118z00_4463))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1118z00_4463))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5712;

					{
						obj_t BgL_auxz00_5713;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5714;

							BgL_tmpz00_5714 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1118z00_4463));
							BgL_auxz00_5713 = BGL_OBJECT_WIDENING(BgL_tmpz00_5714);
						}
						BgL_auxz00_5712 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5713);
					}
					((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5712))->
							BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_5676 = ((BgL_appz00_bglt) BgL_new1118z00_4463);
				return ((obj_t) BgL_auxz00_5676);
			}
		}

	}



/* &lambda1747 */
	BgL_appz00_bglt BGl_z62lambda1747z62zzstackable_walkz00(obj_t BgL_envz00_4464,
		obj_t BgL_o1115z00_4465)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				BgL_appzf2depthzf2_bglt BgL_wide1117z00_4716;

				BgL_wide1117z00_4716 =
					((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_auxz00_5727;
					BgL_objectz00_bglt BgL_tmpz00_5723;

					BgL_auxz00_5727 = ((obj_t) BgL_wide1117z00_4716);
					BgL_tmpz00_5723 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4465)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5723, BgL_auxz00_5727);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4465)));
				{	/* Stackable/walk.scm 38 */
					long BgL_arg1749z00_4717;

					BgL_arg1749z00_4717 =
						BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1115z00_4465))), BgL_arg1749z00_4717);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1115z00_4465)));
			}
		}

	}



/* &lambda1742 */
	BgL_appz00_bglt BGl_z62lambda1742z62zzstackable_walkz00(obj_t BgL_envz00_4466,
		obj_t BgL_loc1107z00_4467, obj_t BgL_type1108z00_4468,
		obj_t BgL_sidezd2effect1109zd2_4469, obj_t BgL_key1110z00_4470,
		obj_t BgL_fun1111z00_4471, obj_t BgL_args1112z00_4472,
		obj_t BgL_stackable1113z00_4473, obj_t BgL_depth1114z00_4474)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_depth1114z00_4720;

				BgL_depth1114z00_4720 = (long) CINT(BgL_depth1114z00_4474);
				{	/* Stackable/walk.scm 38 */
					BgL_appz00_bglt BgL_new1268z00_4721;

					{	/* Stackable/walk.scm 38 */
						BgL_appz00_bglt BgL_tmp1265z00_4722;
						BgL_appzf2depthzf2_bglt BgL_wide1266z00_4723;

						{
							BgL_appz00_bglt BgL_auxz00_5742;

							{	/* Stackable/walk.scm 38 */
								BgL_appz00_bglt BgL_new1264z00_4724;

								BgL_new1264z00_4724 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Stackable/walk.scm 38 */
									long BgL_arg1746z00_4725;

									BgL_arg1746z00_4725 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1264z00_4724),
										BgL_arg1746z00_4725);
								}
								{	/* Stackable/walk.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_5747;

									BgL_tmpz00_5747 = ((BgL_objectz00_bglt) BgL_new1264z00_4724);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5747, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1264z00_4724);
								BgL_auxz00_5742 = BgL_new1264z00_4724;
							}
							BgL_tmp1265z00_4722 = ((BgL_appz00_bglt) BgL_auxz00_5742);
						}
						BgL_wide1266z00_4723 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 38 */
							obj_t BgL_auxz00_5755;
							BgL_objectz00_bglt BgL_tmpz00_5753;

							BgL_auxz00_5755 = ((obj_t) BgL_wide1266z00_4723);
							BgL_tmpz00_5753 = ((BgL_objectz00_bglt) BgL_tmp1265z00_4722);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5753, BgL_auxz00_5755);
						}
						((BgL_objectz00_bglt) BgL_tmp1265z00_4722);
						{	/* Stackable/walk.scm 38 */
							long BgL_arg1745z00_4726;

							BgL_arg1745z00_4726 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1265z00_4722),
								BgL_arg1745z00_4726);
						}
						BgL_new1268z00_4721 = ((BgL_appz00_bglt) BgL_tmp1265z00_4722);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1268z00_4721)))->BgL_locz00) =
						((obj_t) BgL_loc1107z00_4467), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1268z00_4721)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1108z00_4468)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1268z00_4721)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1109zd2_4469), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1268z00_4721)))->BgL_keyz00) =
						((obj_t) BgL_key1110z00_4470), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4721)))->BgL_funz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1111z00_4471)),
						BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4721)))->BgL_argsz00) =
						((obj_t) BgL_args1112z00_4472), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1268z00_4721)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1113z00_4473), BUNSPEC);
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_5779;

						{
							obj_t BgL_auxz00_5780;

							{	/* Stackable/walk.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_5781;

								BgL_tmpz00_5781 = ((BgL_objectz00_bglt) BgL_new1268z00_4721);
								BgL_auxz00_5780 = BGL_OBJECT_WIDENING(BgL_tmpz00_5781);
							}
							BgL_auxz00_5779 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5780);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5779))->
								BgL_depthz00) = ((long) BgL_depth1114z00_4720), BUNSPEC);
					}
					return BgL_new1268z00_4721;
				}
			}
		}

	}



/* &lambda1759 */
	obj_t BGl_z62lambda1759z62zzstackable_walkz00(obj_t BgL_envz00_4475,
		obj_t BgL_oz00_4476, obj_t BgL_vz00_4477)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_vz00_4728;

				BgL_vz00_4728 = (long) CINT(BgL_vz00_4477);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5787;

					{
						obj_t BgL_auxz00_5788;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5789;

							BgL_tmpz00_5789 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4476));
							BgL_auxz00_5788 = BGL_OBJECT_WIDENING(BgL_tmpz00_5789);
						}
						BgL_auxz00_5787 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5788);
					}
					return
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5787))->
							BgL_depthz00) = ((long) BgL_vz00_4728), BUNSPEC);
		}}}

	}



/* &lambda1758 */
	obj_t BGl_z62lambda1758z62zzstackable_walkz00(obj_t BgL_envz00_4478,
		obj_t BgL_oz00_4479)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_tmpz00_5795;

				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5796;

					{
						obj_t BgL_auxz00_5797;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5798;

							BgL_tmpz00_5798 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4479));
							BgL_auxz00_5797 = BGL_OBJECT_WIDENING(BgL_tmpz00_5798);
						}
						BgL_auxz00_5796 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5797);
					}
					BgL_tmpz00_5795 =
						(((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5796))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5795);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_proc2332z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2333z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_proc2334z00zzstackable_walkz00, BFALSE,
				BGl_string2335z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_proc2336z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2337z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_proc2338z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2339z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_proc2340z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2341z00zzstackable_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_proc2342z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2343z00zzstackable_walkz00);
		}

	}



/* &init-stackable1523 */
	obj_t BGl_z62initzd2stackable1523zb0zzstackable_walkz00(obj_t BgL_envz00_4502,
		obj_t BgL_nodez00_4503)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4503),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
		}

	}



/* &depth-let1511 */
	obj_t BGl_z62depthzd2let1511zb0zzstackable_walkz00(obj_t BgL_envz00_4504,
		obj_t BgL_nodez00_4505, obj_t BgL_depthz00_4506, obj_t BgL_funz00_4507)
	{
		{	/* Stackable/walk.scm 455 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4505),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4506,
					BgL_funz00_4507);
			}
		}

	}



/* &lift-let!1507 */
	obj_t BGl_z62liftzd2letz121507za2zzstackable_walkz00(obj_t BgL_envz00_4508,
		obj_t BgL_nodez00_4509)
	{
		{	/* Stackable/walk.scm 387 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4509),
					BGl_liftzd2letz12zd2envz12zzstackable_walkz00));
		}

	}



/* &node-escape1501 */
	obj_t BGl_z62nodezd2escape1501zb0zzstackable_walkz00(obj_t BgL_envz00_4510,
		obj_t BgL_nodez00_4511, obj_t BgL_ctxz00_4512)
	{
		{	/* Stackable/walk.scm 355 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4511),
					BGl_nodezd2escapezd2envz00zzstackable_walkz00, BgL_ctxz00_4512);
			}
		}

	}



/* &escape!1486 */
	obj_t BGl_z62escapez121486z70zzstackable_walkz00(obj_t BgL_envz00_4513,
		obj_t BgL_nodez00_4514, obj_t BgL_ctxz00_4515)
	{
		{	/* Stackable/walk.scm 296 */
			{	/* Stackable/walk.scm 297 */
				obj_t BgL_arg1836z00_4737;
				obj_t BgL_arg1837z00_4738;

				{	/* Stackable/walk.scm 297 */
					obj_t BgL_tmpz00_5820;

					BgL_tmpz00_5820 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1836z00_4737 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5820);
				}
				BgL_arg1837z00_4738 = BGl_shapez00zztools_shapez00(BgL_nodez00_4514);
				{	/* Stackable/walk.scm 297 */
					obj_t BgL_list1838z00_4739;

					{	/* Stackable/walk.scm 297 */
						obj_t BgL_arg1840z00_4740;

						{	/* Stackable/walk.scm 297 */
							obj_t BgL_arg1844z00_4741;

							{	/* Stackable/walk.scm 297 */
								obj_t BgL_arg1845z00_4742;

								{	/* Stackable/walk.scm 297 */
									obj_t BgL_arg1846z00_4743;

									{	/* Stackable/walk.scm 297 */
										obj_t BgL_arg1847z00_4744;

										BgL_arg1847z00_4744 =
											MAKE_YOUNG_PAIR(BgL_arg1837z00_4738, BNIL);
										BgL_arg1846z00_4743 =
											MAKE_YOUNG_PAIR(BGl_string2344z00zzstackable_walkz00,
											BgL_arg1847z00_4744);
									}
									BgL_arg1845z00_4742 =
										MAKE_YOUNG_PAIR(BGl_string2345z00zzstackable_walkz00,
										BgL_arg1846z00_4743);
								}
								BgL_arg1844z00_4741 =
									MAKE_YOUNG_PAIR(BINT(((long) 297)), BgL_arg1845z00_4742);
							}
							BgL_arg1840z00_4740 =
								MAKE_YOUNG_PAIR(BGl_string2346z00zzstackable_walkz00,
								BgL_arg1844z00_4741);
						}
						BgL_list1838z00_4739 =
							MAKE_YOUNG_PAIR(BGl_string2347z00zzstackable_walkz00,
							BgL_arg1840z00_4740);
					}
					BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1836z00_4737,
						BgL_list1838z00_4739);
			}}
			return BUNSPEC;
		}

	}



/* &stackable1465 */
	obj_t BGl_z62stackable1465z62zzstackable_walkz00(obj_t BgL_envz00_4516,
		obj_t BgL_nodez00_4517, obj_t BgL_escpz00_4518, obj_t BgL_depthz00_4519,
		obj_t BgL_ctxz00_4520)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				bool_t BgL_escpz00_4746;
				long BgL_depthz00_4747;

				BgL_escpz00_4746 = CBOOL(BgL_escpz00_4518);
				BgL_depthz00_4747 = (long) CINT(BgL_depthz00_4519);
				{

					BgL_escpz00_4746 = ((bool_t) 1);
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_4517),
						BGl_stackablezd2envzd2zzstackable_walkz00, BBOOL(BgL_escpz00_4746),
						BINT(BgL_depthz00_4747), ((obj_t) BgL_ctxz00_4520));
				}
			}
		}

	}



/* stackable */
	obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_23,
		bool_t BgL_escpz00_24, long BgL_depthz00_25, obj_t BgL_ctxz00_26)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				obj_t BgL_method1467z00_2049;

				{	/* Stackable/walk.scm 113 */
					obj_t BgL_res2258z00_3394;

					{	/* Stackable/walk.scm 113 */
						long BgL_objzd2classzd2numz00_3365;

						BgL_objzd2classzd2numz00_3365 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Stackable/walk.scm 113 */
							obj_t BgL_arg1825z00_3366;

							BgL_arg1825z00_3366 =
								PROCEDURE_REF(BGl_stackablezd2envzd2zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 113 */
								int BgL_offsetz00_3369;

								BgL_offsetz00_3369 = (int) (BgL_objzd2classzd2numz00_3365);
								{	/* Stackable/walk.scm 113 */
									long BgL_offsetz00_3370;

									BgL_offsetz00_3370 =
										((long) (BgL_offsetz00_3369) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 113 */
										long BgL_modz00_3371;

										BgL_modz00_3371 =
											(BgL_offsetz00_3370 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 113 */
											long BgL_restz00_3373;

											BgL_restz00_3373 =
												(BgL_offsetz00_3370 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 113 */

												{	/* Stackable/walk.scm 113 */
													obj_t BgL_bucketz00_3375;

													BgL_bucketz00_3375 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3366), BgL_modz00_3371);
													BgL_res2258z00_3394 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3375), BgL_restz00_3373);
					}}}}}}}}
					BgL_method1467z00_2049 = BgL_res2258z00_3394;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1467z00_2049)) (BgL_method1467z00_2049,
					((obj_t) BgL_nodez00_23), BBOOL(BgL_escpz00_24),
					BINT(BgL_depthz00_25), BgL_ctxz00_26, BEOA);
			}
		}

	}



/* &stackable */
	obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t BgL_envz00_4497,
		obj_t BgL_nodez00_4498, obj_t BgL_escpz00_4499, obj_t BgL_depthz00_4500,
		obj_t BgL_ctxz00_4501)
	{
		{	/* Stackable/walk.scm 113 */
			return
				BGl_stackablez00zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4498),
				CBOOL(BgL_escpz00_4499),
				(long) CINT(BgL_depthz00_4500), BgL_ctxz00_4501);
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzstackable_walkz00(obj_t BgL_nodez00_63,
		obj_t BgL_ctxz00_64)
	{
		{	/* Stackable/walk.scm 296 */
			if (BGL_OBJECTP(BgL_nodez00_63))
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_method1487z00_2051;

					{	/* Stackable/walk.scm 296 */
						obj_t BgL_res2263z00_3425;

						{	/* Stackable/walk.scm 296 */
							long BgL_objzd2classzd2numz00_3396;

							BgL_objzd2classzd2numz00_3396 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_63));
							{	/* Stackable/walk.scm 296 */
								obj_t BgL_arg1825z00_3397;

								BgL_arg1825z00_3397 =
									PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
									(int) (((long) 1)));
								{	/* Stackable/walk.scm 296 */
									int BgL_offsetz00_3400;

									BgL_offsetz00_3400 = (int) (BgL_objzd2classzd2numz00_3396);
									{	/* Stackable/walk.scm 296 */
										long BgL_offsetz00_3401;

										BgL_offsetz00_3401 =
											((long) (BgL_offsetz00_3400) - OBJECT_TYPE);
										{	/* Stackable/walk.scm 296 */
											long BgL_modz00_3402;

											BgL_modz00_3402 =
												(BgL_offsetz00_3401 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* Stackable/walk.scm 296 */
												long BgL_restz00_3404;

												BgL_restz00_3404 =
													(BgL_offsetz00_3401 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* Stackable/walk.scm 296 */

													{	/* Stackable/walk.scm 296 */
														obj_t BgL_bucketz00_3406;

														BgL_bucketz00_3406 =
															VECTOR_REF(
															((obj_t) BgL_arg1825z00_3397), BgL_modz00_3402);
														BgL_res2263z00_3425 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_3406), BgL_restz00_3404);
						}}}}}}}}
						BgL_method1487z00_2051 = BgL_res2263z00_3425;
					}
					return
						((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1487z00_2051)) (BgL_method1487z00_2051,
						BgL_nodez00_63, BgL_ctxz00_64, BEOA);
				}
			else
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_fun1869z00_2052;

					BgL_fun1869z00_2052 =
						PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
						(int) (((long) 0)));
					return
						((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_fun1869z00_2052)) (BgL_fun1869z00_2052,
						BgL_nodez00_63, BgL_ctxz00_64, BEOA);
				}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t BgL_envz00_4521,
		obj_t BgL_nodez00_4522, obj_t BgL_ctxz00_4523)
	{
		{	/* Stackable/walk.scm 296 */
			return
				BGl_escapez12z12zzstackable_walkz00(BgL_nodez00_4522, BgL_ctxz00_4523);
		}

	}



/* node-escape */
	obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_77,
		obj_t BgL_ctxz00_78)
	{
		{	/* Stackable/walk.scm 355 */
			{	/* Stackable/walk.scm 355 */
				obj_t BgL_method1502z00_2053;

				{	/* Stackable/walk.scm 355 */
					obj_t BgL_res2269z00_3457;

					{	/* Stackable/walk.scm 355 */
						long BgL_objzd2classzd2numz00_3428;

						BgL_objzd2classzd2numz00_3428 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_77));
						{	/* Stackable/walk.scm 355 */
							obj_t BgL_arg1825z00_3429;

							BgL_arg1825z00_3429 =
								PROCEDURE_REF(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 355 */
								int BgL_offsetz00_3432;

								BgL_offsetz00_3432 = (int) (BgL_objzd2classzd2numz00_3428);
								{	/* Stackable/walk.scm 355 */
									long BgL_offsetz00_3433;

									BgL_offsetz00_3433 =
										((long) (BgL_offsetz00_3432) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 355 */
										long BgL_modz00_3434;

										BgL_modz00_3434 =
											(BgL_offsetz00_3433 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 355 */
											long BgL_restz00_3436;

											BgL_restz00_3436 =
												(BgL_offsetz00_3433 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 355 */

												{	/* Stackable/walk.scm 355 */
													obj_t BgL_bucketz00_3438;

													BgL_bucketz00_3438 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3429), BgL_modz00_3434);
													BgL_res2269z00_3457 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3438), BgL_restz00_3436);
					}}}}}}}}
					BgL_method1502z00_2053 = BgL_res2269z00_3457;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1502z00_2053)) (BgL_method1502z00_2053,
					((obj_t) BgL_nodez00_77), BgL_ctxz00_78, BEOA);
			}
		}

	}



/* &node-escape */
	obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t BgL_envz00_4492,
		obj_t BgL_nodez00_4493, obj_t BgL_ctxz00_4494)
	{
		{	/* Stackable/walk.scm 355 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4493), BgL_ctxz00_4494);
		}

	}



/* lift-let! */
	BgL_nodez00_bglt BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_84)
	{
		{	/* Stackable/walk.scm 387 */
			{	/* Stackable/walk.scm 387 */
				obj_t BgL_method1508z00_2054;

				{	/* Stackable/walk.scm 387 */
					obj_t BgL_res2274z00_3488;

					{	/* Stackable/walk.scm 387 */
						long BgL_objzd2classzd2numz00_3459;

						BgL_objzd2classzd2numz00_3459 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_84));
						{	/* Stackable/walk.scm 387 */
							obj_t BgL_arg1825z00_3460;

							BgL_arg1825z00_3460 =
								PROCEDURE_REF(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 387 */
								int BgL_offsetz00_3463;

								BgL_offsetz00_3463 = (int) (BgL_objzd2classzd2numz00_3459);
								{	/* Stackable/walk.scm 387 */
									long BgL_offsetz00_3464;

									BgL_offsetz00_3464 =
										((long) (BgL_offsetz00_3463) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 387 */
										long BgL_modz00_3465;

										BgL_modz00_3465 =
											(BgL_offsetz00_3464 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 387 */
											long BgL_restz00_3467;

											BgL_restz00_3467 =
												(BgL_offsetz00_3464 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 387 */

												{	/* Stackable/walk.scm 387 */
													obj_t BgL_bucketz00_3469;

													BgL_bucketz00_3469 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3460), BgL_modz00_3465);
													BgL_res2274z00_3488 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3469), BgL_restz00_3467);
					}}}}}}}}
					BgL_method1508z00_2054 = BgL_res2274z00_3488;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1508z00_2054)) (BgL_method1508z00_2054,
						((obj_t) BgL_nodez00_84), BEOA));
			}
		}

	}



/* &lift-let! */
	BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t
		BgL_envz00_4489, obj_t BgL_nodez00_4490)
	{
		{	/* Stackable/walk.scm 387 */
			return
				BGl_liftzd2letz12zc0zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4490));
		}

	}



/* depth-let */
	obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_87,
		obj_t BgL_depthz00_88, obj_t BgL_funz00_89)
	{
		{	/* Stackable/walk.scm 455 */
			{	/* Stackable/walk.scm 455 */
				obj_t BgL_method1512z00_2055;

				{	/* Stackable/walk.scm 455 */
					obj_t BgL_res2279z00_3519;

					{	/* Stackable/walk.scm 455 */
						long BgL_objzd2classzd2numz00_3490;

						BgL_objzd2classzd2numz00_3490 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_87));
						{	/* Stackable/walk.scm 455 */
							obj_t BgL_arg1825z00_3491;

							BgL_arg1825z00_3491 =
								PROCEDURE_REF(BGl_depthzd2letzd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 455 */
								int BgL_offsetz00_3494;

								BgL_offsetz00_3494 = (int) (BgL_objzd2classzd2numz00_3490);
								{	/* Stackable/walk.scm 455 */
									long BgL_offsetz00_3495;

									BgL_offsetz00_3495 =
										((long) (BgL_offsetz00_3494) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 455 */
										long BgL_modz00_3496;

										BgL_modz00_3496 =
											(BgL_offsetz00_3495 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 455 */
											long BgL_restz00_3498;

											BgL_restz00_3498 =
												(BgL_offsetz00_3495 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 455 */

												{	/* Stackable/walk.scm 455 */
													obj_t BgL_bucketz00_3500;

													BgL_bucketz00_3500 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3491), BgL_modz00_3496);
													BgL_res2279z00_3519 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3500), BgL_restz00_3498);
					}}}}}}}}
					BgL_method1512z00_2055 = BgL_res2279z00_3519;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1512z00_2055)) (BgL_method1512z00_2055,
					((obj_t) BgL_nodez00_87), BgL_depthz00_88, BgL_funz00_89, BEOA);
			}
		}

	}



/* &depth-let */
	obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t BgL_envz00_4484,
		obj_t BgL_nodez00_4485, obj_t BgL_depthz00_4486, obj_t BgL_funz00_4487)
	{
		{	/* Stackable/walk.scm 455 */
			return
				BGl_depthzd2letzd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4485), BgL_depthz00_4486,
				BgL_funz00_4487);
		}

	}



/* init-stackable */
	obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_106)
	{
		{	/* Stackable/walk.scm 535 */
			{	/* Stackable/walk.scm 535 */
				obj_t BgL_method1524z00_2056;

				{	/* Stackable/walk.scm 535 */
					obj_t BgL_res2284z00_3550;

					{	/* Stackable/walk.scm 535 */
						long BgL_objzd2classzd2numz00_3521;

						BgL_objzd2classzd2numz00_3521 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_106));
						{	/* Stackable/walk.scm 535 */
							obj_t BgL_arg1825z00_3522;

							BgL_arg1825z00_3522 =
								PROCEDURE_REF(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 535 */
								int BgL_offsetz00_3525;

								BgL_offsetz00_3525 = (int) (BgL_objzd2classzd2numz00_3521);
								{	/* Stackable/walk.scm 535 */
									long BgL_offsetz00_3526;

									BgL_offsetz00_3526 =
										((long) (BgL_offsetz00_3525) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 535 */
										long BgL_modz00_3527;

										BgL_modz00_3527 =
											(BgL_offsetz00_3526 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 535 */
											long BgL_restz00_3529;

											BgL_restz00_3529 =
												(BgL_offsetz00_3526 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 535 */

												{	/* Stackable/walk.scm 535 */
													obj_t BgL_bucketz00_3531;

													BgL_bucketz00_3531 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_3522), BgL_modz00_3527);
													BgL_res2284z00_3550 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3531), BgL_restz00_3529);
					}}}}}}}}
					BgL_method1524z00_2056 = BgL_res2284z00_3550;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1524z00_2056)) (BgL_method1524z00_2056,
					((obj_t) BgL_nodez00_106), BEOA);
			}
		}

	}



/* &init-stackable */
	obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t BgL_envz00_4481,
		obj_t BgL_nodez00_4482)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_initzd2stackablezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4482));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_localzf2depthzf2zzstackable_walkz00,
				BGl_proc2348z00zzstackable_walkz00,
				BGl_string2349z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
				BGl_appzf2depthzf2zzstackable_walkz00,
				BGl_proc2350z00zzstackable_walkz00,
				BGl_string2351z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2352z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2354z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2355z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2356z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2357z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2358z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2359z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2360z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2361z00zzstackable_walkz00,
				BGl_string2353z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_globalz00zzast_varz00,
				BGl_proc2362z00zzstackable_walkz00,
				BGl_string2363z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_localz00zzast_varz00,
				BGl_proc2364z00zzstackable_walkz00,
				BGl_string2363z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc2365z00zzstackable_walkz00,
				BGl_string2363z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2366z00zzstackable_walkz00,
				BGl_string2363z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2367z00zzstackable_walkz00,
				BGl_string2363z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2368z00zzstackable_walkz00,
				BGl_string2369z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2370z00zzstackable_walkz00,
				BGl_string2371z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2372z00zzstackable_walkz00,
				BGl_string2371z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2373z00zzstackable_walkz00,
				BGl_string2374z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2375z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2377z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2378z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2379z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2380z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2381z00zzstackable_walkz00,
				BGl_string2382z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2383z00zzstackable_walkz00,
				BGl_string2382z00zzstackable_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2384z00zzstackable_walkz00,
				BGl_string2382z00zzstackable_walkz00);
		}

	}



/* &init-stackable-closu1530 */
	obj_t BGl_z62initzd2stackablezd2closu1530z62zzstackable_walkz00(obj_t
		BgL_envz00_4556, obj_t BgL_nodez00_4557)
	{
		{	/* Stackable/walk.scm 557 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_closurez00_bglt) BgL_nodez00_4557)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			{	/* Stackable/walk.scm 559 */
				BgL_variablez00_bglt BgL_vz00_4751;

				BgL_vz00_4751 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_4557))))->BgL_variablez00);
				{	/* Stackable/walk.scm 559 */
					BgL_valuez00_bglt BgL_fz00_4752;

					BgL_fz00_4752 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4751))->BgL_valuez00);
					{	/* Stackable/walk.scm 560 */

						return
							((((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_fz00_4752)))->BgL_stackablez00) =
							((obj_t) BTRUE), BUNSPEC);
					}
				}
			}
		}

	}



/* &init-stackable-make-1528 */
	obj_t BGl_z62initzd2stackablezd2makezd21528zb0zzstackable_walkz00(obj_t
		BgL_envz00_4558, obj_t BgL_nodez00_4559)
	{
		{	/* Stackable/walk.scm 549 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_makezd2boxzd2_bglt) BgL_nodez00_4559)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
								BgL_nodez00_4559)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &init-stackable-app1526 */
	obj_t BGl_z62initzd2stackablezd2app1526z62zzstackable_walkz00(obj_t
		BgL_envz00_4560, obj_t BgL_nodez00_4561)
	{
		{	/* Stackable/walk.scm 541 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_appz00_bglt) BgL_nodez00_4561)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
								BgL_nodez00_4561)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &depth-let-set-ex-it1522 */
	obj_t BGl_z62depthzd2letzd2setzd2exzd2it1522z62zzstackable_walkz00(obj_t
		BgL_envz00_4562, obj_t BgL_nodez00_4563, obj_t BgL_depthz00_4564,
		obj_t BgL_funz00_4565)
	{
		{	/* Stackable/walk.scm 513 */
			{

				BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4563)),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4564,
					BgL_funz00_4565);
				{	/* Stackable/walk.scm 516 */
					BgL_varz00_bglt BgL_i1253z00_4757;

					BgL_i1253z00_4757 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4563)))->BgL_varz00);
					{	/* Stackable/walk.scm 517 */
						BgL_localz00_bglt BgL_i1254z00_4758;

						BgL_i1254z00_4758 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1253z00_4757))->
								BgL_variablez00));
						((((BgL_localz00_bglt) COBJECT(BgL_i1254z00_4758))->
								BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
					}
					{	/* Stackable/walk.scm 519 */
						BgL_localz00_bglt BgL_tmp1255z00_4759;

						BgL_tmp1255z00_4759 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1253z00_4757))->
								BgL_variablez00));
						{	/* Stackable/walk.scm 519 */
							BgL_localzf2depthzf2_bglt BgL_wide1257z00_4760;

							BgL_wide1257z00_4760 =
								((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localzf2depthzf2_bgl))));
							{	/* Stackable/walk.scm 519 */
								obj_t BgL_auxz00_6111;
								BgL_objectz00_bglt BgL_tmpz00_6108;

								BgL_auxz00_6111 = ((obj_t) BgL_wide1257z00_4760);
								BgL_tmpz00_6108 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1255z00_4759));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6108, BgL_auxz00_6111);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1255z00_4759));
							{	/* Stackable/walk.scm 519 */
								long BgL_arg2173z00_4761;

								BgL_arg2173z00_4761 =
									BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4759)),
									BgL_arg2173z00_4761);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1255z00_4759));
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6122;

							{
								obj_t BgL_auxz00_6123;

								{	/* Stackable/walk.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_6124;

									BgL_tmpz00_6124 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4759));
									BgL_auxz00_6123 = BGL_OBJECT_WIDENING(BgL_tmpz00_6124);
								}
								BgL_auxz00_6122 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6123);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6122))->
									BgL_depthz00) =
								((long) ((long) CINT(BgL_depthz00_4564) + ((long) 1))),
								BUNSPEC);
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6132;

							{
								obj_t BgL_auxz00_6133;

								{	/* Stackable/walk.scm 520 */
									BgL_objectz00_bglt BgL_tmpz00_6134;

									BgL_tmpz00_6134 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1255z00_4759));
									BgL_auxz00_6133 = BGL_OBJECT_WIDENING(BgL_tmpz00_6134);
								}
								BgL_auxz00_6132 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6133);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6132))->
									BgL_ownerz00) = ((obj_t) BgL_funz00_4565), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_tmp1255z00_4759);
				}}
				{	/* Stackable/walk.scm 522 */
					BgL_nodez00_bglt BgL_arg2174z00_4762;
					long BgL_arg2175z00_4763;

					BgL_arg2174z00_4762 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4563)))->BgL_bodyz00);
					BgL_arg2175z00_4763 = ((long) CINT(BgL_depthz00_4564) + ((long) 1));
					return
						BGl_depthzd2letzd2zzstackable_walkz00(BgL_arg2174z00_4762,
						BINT(BgL_arg2175z00_4763), BgL_funz00_4565);
				}
			}
		}

	}



/* &depth-let-app1520 */
	obj_t BGl_z62depthzd2letzd2app1520z62zzstackable_walkz00(obj_t
		BgL_envz00_4566, obj_t BgL_nodez00_4567, obj_t BgL_depthz00_4568,
		obj_t BgL_funz00_4569)
	{
		{	/* Stackable/walk.scm 506 */
			{
				BgL_appz00_bglt BgL_auxz00_6147;

				{

					BGl_walk2z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_4567)),
						BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4568,
						BgL_funz00_4569);
					{	/* Stackable/walk.scm 508 */
						BgL_appzf2depthzf2_bglt BgL_wide1250z00_4766;

						BgL_wide1250z00_4766 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 508 */
							obj_t BgL_auxz00_6156;
							BgL_objectz00_bglt BgL_tmpz00_6152;

							BgL_auxz00_6156 = ((obj_t) BgL_wide1250z00_4766);
							BgL_tmpz00_6152 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4567)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6152, BgL_auxz00_6156);
						}
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4567)));
						{	/* Stackable/walk.scm 508 */
							long BgL_arg2169z00_4767;

							BgL_arg2169z00_4767 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4567))),
								BgL_arg2169z00_4767);
						}
						((BgL_appz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4567)));
					}
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_6170;

						{
							obj_t BgL_auxz00_6171;

							{	/* Stackable/walk.scm 508 */
								BgL_objectz00_bglt BgL_tmpz00_6172;

								BgL_tmpz00_6172 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4567)));
								BgL_auxz00_6171 = BGL_OBJECT_WIDENING(BgL_tmpz00_6172);
							}
							BgL_auxz00_6170 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_6171);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_6170))->
								BgL_depthz00) =
							((long) (long) CINT(BgL_depthz00_4568)), BUNSPEC);
					}
					BgL_auxz00_6147 =
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4567));
				}
				return ((obj_t) BgL_auxz00_6147);
			}
		}

	}



/* &depth-let-let-fun1518 */
	obj_t BGl_z62depthzd2letzd2letzd2fun1518zb0zzstackable_walkz00(obj_t
		BgL_envz00_4570, obj_t BgL_nodez00_4571, obj_t BgL_depthz00_4572,
		obj_t BgL_funz00_4573)
	{
		{	/* Stackable/walk.scm 485 */
			{	/* Stackable/walk.scm 486 */
				long BgL_depthz00_4769;

				BgL_depthz00_4769 = ((long) CINT(BgL_depthz00_4572) + ((long) 1));
				{	/* Stackable/walk.scm 488 */
					obj_t BgL_g1456z00_4770;

					BgL_g1456z00_4770 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4571)))->BgL_localsz00);
					{
						obj_t BgL_l1454z00_4772;

						BgL_l1454z00_4772 = BgL_g1456z00_4770;
					BgL_zc3z04anonymousza32155ze3z87_4771:
						if (PAIRP(BgL_l1454z00_4772))
							{	/* Stackable/walk.scm 488 */
								{	/* Stackable/walk.scm 489 */
									obj_t BgL_localz00_4773;

									BgL_localz00_4773 = CAR(BgL_l1454z00_4772);
									{	/* Stackable/walk.scm 490 */
										BgL_localzf2depthzf2_bglt BgL_wide1241z00_4774;

										BgL_wide1241z00_4774 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 490 */
											obj_t BgL_auxz00_6195;
											BgL_objectz00_bglt BgL_tmpz00_6191;

											BgL_auxz00_6195 = ((obj_t) BgL_wide1241z00_4774);
											BgL_tmpz00_6191 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4773)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6191, BgL_auxz00_6195);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4773)));
										{	/* Stackable/walk.scm 490 */
											long BgL_arg2157z00_4775;

											BgL_arg2157z00_4775 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4773))),
												BgL_arg2157z00_4775);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4773)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6209;

										{
											obj_t BgL_auxz00_6210;

											{	/* Stackable/walk.scm 492 */
												BgL_objectz00_bglt BgL_tmpz00_6211;

												BgL_tmpz00_6211 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4773)));
												BgL_auxz00_6210 = BGL_OBJECT_WIDENING(BgL_tmpz00_6211);
											}
											BgL_auxz00_6209 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6210);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6209))->
												BgL_depthz00) = ((long) BgL_depthz00_4769), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6218;

										{
											obj_t BgL_auxz00_6219;

											{	/* Stackable/walk.scm 491 */
												BgL_objectz00_bglt BgL_tmpz00_6220;

												BgL_tmpz00_6220 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4773)));
												BgL_auxz00_6219 = BGL_OBJECT_WIDENING(BgL_tmpz00_6220);
											}
											BgL_auxz00_6218 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6219);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6218))->
												BgL_ownerz00) = ((obj_t) BgL_funz00_4573), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_4773));
									{	/* Stackable/walk.scm 493 */
										BgL_sfunz00_bglt BgL_i1243z00_4776;

										BgL_i1243z00_4776 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_4773))))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 494 */
											obj_t BgL_g1453z00_4777;

											BgL_g1453z00_4777 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1243z00_4776))->
												BgL_argsz00);
											{
												obj_t BgL_l1451z00_4779;

												BgL_l1451z00_4779 = BgL_g1453z00_4777;
											BgL_zc3z04anonymousza32158ze3z87_4778:
												if (PAIRP(BgL_l1451z00_4779))
													{	/* Stackable/walk.scm 494 */
														{	/* Stackable/walk.scm 495 */
															obj_t BgL_az00_4780;

															BgL_az00_4780 = CAR(BgL_l1451z00_4779);
															{	/* Stackable/walk.scm 495 */
																BgL_localzf2depthzf2_bglt BgL_wide1246z00_4781;

																BgL_wide1246z00_4781 =
																	((BgL_localzf2depthzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_localzf2depthzf2_bgl))));
																{	/* Stackable/walk.scm 495 */
																	obj_t BgL_auxz00_6242;
																	BgL_objectz00_bglt BgL_tmpz00_6238;

																	BgL_auxz00_6242 =
																		((obj_t) BgL_wide1246z00_4781);
																	BgL_tmpz00_6238 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_az00_4780)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6238,
																		BgL_auxz00_6242);
																}
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4780)));
																{	/* Stackable/walk.scm 495 */
																	long BgL_arg2160z00_4782;

																	BgL_arg2160z00_4782 =
																		BGL_CLASS_NUM
																		(BGl_localzf2depthzf2zzstackable_walkz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) ((BgL_localz00_bglt)
																					BgL_az00_4780))),
																		BgL_arg2160z00_4782);
																}
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4780)));
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6256;

																{
																	obj_t BgL_auxz00_6257;

																	{	/* Stackable/walk.scm 497 */
																		BgL_objectz00_bglt BgL_tmpz00_6258;

																		BgL_tmpz00_6258 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4780)));
																		BgL_auxz00_6257 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6258);
																	}
																	BgL_auxz00_6256 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6257);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6256))->BgL_depthz00) =
																	((long) (BgL_depthz00_4769 + ((long) 1))),
																	BUNSPEC);
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6266;

																{
																	obj_t BgL_auxz00_6267;

																	{	/* Stackable/walk.scm 496 */
																		BgL_objectz00_bglt BgL_tmpz00_6268;

																		BgL_tmpz00_6268 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4780)));
																		BgL_auxz00_6267 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6268);
																	}
																	BgL_auxz00_6266 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6267);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6266))->BgL_ownerz00) =
																	((obj_t) BgL_localz00_4773), BUNSPEC);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_az00_4780));
														}
														{
															obj_t BgL_l1451z00_6277;

															BgL_l1451z00_6277 = CDR(BgL_l1451z00_4779);
															BgL_l1451z00_4779 = BgL_l1451z00_6277;
															goto BgL_zc3z04anonymousza32158ze3z87_4778;
														}
													}
												else
													{	/* Stackable/walk.scm 494 */
														((bool_t) 1);
													}
											}
										}
										{	/* Stackable/walk.scm 499 */
											obj_t BgL_arg2162z00_4783;
											long BgL_arg2163z00_4784;

											BgL_arg2162z00_4783 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1243z00_4776))->
												BgL_bodyz00);
											BgL_arg2163z00_4784 = (BgL_depthz00_4769 + ((long) 1));
											BGl_depthzd2letzd2zzstackable_walkz00(
												((BgL_nodez00_bglt) BgL_arg2162z00_4783),
												BINT(BgL_arg2163z00_4784), BgL_localz00_4773);
								}}}
								{
									obj_t BgL_l1454z00_6284;

									BgL_l1454z00_6284 = CDR(BgL_l1454z00_4772);
									BgL_l1454z00_4772 = BgL_l1454z00_6284;
									goto BgL_zc3z04anonymousza32155ze3z87_4771;
								}
							}
						else
							{	/* Stackable/walk.scm 488 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4571)))->BgL_bodyz00),
					BINT(BgL_depthz00_4769), BgL_funz00_4573);
			}
		}

	}



/* &depth-let-let-var1516 */
	obj_t BGl_z62depthzd2letzd2letzd2var1516zb0zzstackable_walkz00(obj_t
		BgL_envz00_4574, obj_t BgL_nodez00_4575, obj_t BgL_depthz00_4576,
		obj_t BgL_funz00_4577)
	{
		{	/* Stackable/walk.scm 471 */
			{	/* Stackable/walk.scm 472 */
				long BgL_depthz00_4786;

				BgL_depthz00_4786 = ((long) CINT(BgL_depthz00_4576) + ((long) 1));
				{	/* Stackable/walk.scm 474 */
					obj_t BgL_g1450z00_4787;

					BgL_g1450z00_4787 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4575)))->BgL_bindingsz00);
					{
						obj_t BgL_l1448z00_4789;

						BgL_l1448z00_4789 = BgL_g1450z00_4787;
					BgL_zc3z04anonymousza32146ze3z87_4788:
						if (PAIRP(BgL_l1448z00_4789))
							{	/* Stackable/walk.scm 474 */
								{	/* Stackable/walk.scm 477 */
									obj_t BgL_bindingz00_4790;

									BgL_bindingz00_4790 = CAR(BgL_l1448z00_4789);
									{	/* Stackable/walk.scm 475 */
										BgL_localz00_bglt BgL_tmp1233z00_4791;

										BgL_tmp1233z00_4791 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_4790)));
										{	/* Stackable/walk.scm 475 */
											BgL_localzf2depthzf2_bglt BgL_wide1235z00_4792;

											BgL_wide1235z00_4792 =
												((BgL_localzf2depthzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2depthzf2_bgl))));
											{	/* Stackable/walk.scm 475 */
												obj_t BgL_auxz00_6304;
												BgL_objectz00_bglt BgL_tmpz00_6301;

												BgL_auxz00_6304 = ((obj_t) BgL_wide1235z00_4792);
												BgL_tmpz00_6301 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1233z00_4791));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6301,
													BgL_auxz00_6304);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1233z00_4791));
											{	/* Stackable/walk.scm 475 */
												long BgL_arg2148z00_4793;

												BgL_arg2148z00_4793 =
													BGL_CLASS_NUM
													(BGl_localzf2depthzf2zzstackable_walkz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1233z00_4791)),
													BgL_arg2148z00_4793);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1233z00_4791));
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6315;

											{
												obj_t BgL_auxz00_6316;

												{	/* Stackable/walk.scm 477 */
													BgL_objectz00_bglt BgL_tmpz00_6317;

													BgL_tmpz00_6317 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1233z00_4791));
													BgL_auxz00_6316 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6317);
												}
												BgL_auxz00_6315 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6316);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6315))->
													BgL_depthz00) = ((long) BgL_depthz00_4786), BUNSPEC);
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6323;

											{
												obj_t BgL_auxz00_6324;

												{	/* Stackable/walk.scm 476 */
													BgL_objectz00_bglt BgL_tmpz00_6325;

													BgL_tmpz00_6325 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1233z00_4791));
													BgL_auxz00_6324 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6325);
												}
												BgL_auxz00_6323 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6324);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6323))->
													BgL_ownerz00) = ((obj_t) BgL_funz00_4577), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1233z00_4791);
									}
									{	/* Stackable/walk.scm 478 */
										obj_t BgL_arg2149z00_4794;

										BgL_arg2149z00_4794 = CDR(((obj_t) BgL_bindingz00_4790));
										BGl_depthzd2letzd2zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg2149z00_4794),
											BINT(BgL_depthz00_4786), BgL_funz00_4577);
								}}
								{
									obj_t BgL_l1448z00_6337;

									BgL_l1448z00_6337 = CDR(BgL_l1448z00_4789);
									BgL_l1448z00_4789 = BgL_l1448z00_6337;
									goto BgL_zc3z04anonymousza32146ze3z87_4788;
								}
							}
						else
							{	/* Stackable/walk.scm 474 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4575)))->BgL_bodyz00),
					BINT(BgL_depthz00_4786), BgL_funz00_4577);
			}
		}

	}



/* &depth-let-var1514 */
	obj_t BGl_z62depthzd2letzd2var1514z62zzstackable_walkz00(obj_t
		BgL_envz00_4578, obj_t BgL_nodez00_4579, obj_t BgL_depthz00_4580,
		obj_t BgL_funz00_4581)
	{
		{	/* Stackable/walk.scm 461 */
			{	/* Stackable/walk.scm 463 */
				bool_t BgL_test2526z00_6343;

				{	/* Stackable/walk.scm 463 */
					BgL_variablez00_bglt BgL_arg2142z00_4796;

					BgL_arg2142z00_4796 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4579)))->BgL_variablez00);
					{	/* Stackable/walk.scm 463 */
						obj_t BgL_classz00_4797;

						BgL_classz00_4797 = BGl_localzf2depthzf2zzstackable_walkz00;
						{	/* Stackable/walk.scm 463 */
							obj_t BgL_oclassz00_4798;

							{	/* Stackable/walk.scm 463 */
								long BgL_arg1828z00_4799;

								{	/* Stackable/walk.scm 463 */
									long BgL_arg1829z00_4800;

									BgL_arg1829z00_4800 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg2142z00_4796));
									BgL_arg1828z00_4799 = (BgL_arg1829z00_4800 - OBJECT_TYPE);
								}
								BgL_oclassz00_4798 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_4799);
							}
							BgL_test2526z00_6343 = (BgL_oclassz00_4798 == BgL_classz00_4797);
				}}}
				if (BgL_test2526z00_6343)
					{	/* Stackable/walk.scm 464 */
						BgL_localz00_bglt BgL_i1231z00_4801;

						BgL_i1231z00_4801 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4579)))->BgL_variablez00));
						{	/* Stackable/walk.scm 465 */
							bool_t BgL_test2527z00_6354;

							{	/* Stackable/walk.scm 465 */
								obj_t BgL_arg2141z00_4802;

								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_6355;

									{
										obj_t BgL_auxz00_6356;

										{	/* Stackable/walk.scm 465 */
											BgL_objectz00_bglt BgL_tmpz00_6357;

											BgL_tmpz00_6357 =
												((BgL_objectz00_bglt) BgL_i1231z00_4801);
											BgL_auxz00_6356 = BGL_OBJECT_WIDENING(BgL_tmpz00_6357);
										}
										BgL_auxz00_6355 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_6356);
									}
									BgL_arg2141z00_4802 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6355))->
										BgL_ownerz00);
								}
								BgL_test2527z00_6354 = (BgL_arg2141z00_4802 == BgL_funz00_4581);
							}
							if (BgL_test2527z00_6354)
								{	/* Stackable/walk.scm 465 */
									return BFALSE;
								}
							else
								{	/* Stackable/walk.scm 465 */
									return
										((((BgL_localz00_bglt) COBJECT(
													((BgL_localz00_bglt) BgL_i1231z00_4801)))->
											BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
						}
					}
				else
					{	/* Stackable/walk.scm 463 */
						return BFALSE;
					}
			}
		}

	}



/* &lift-let!-let-var1510 */
	BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1510za2zzstackable_walkz00(obj_t
		BgL_envz00_4582, obj_t BgL_nodez00_4583)
	{
		{	/* Stackable/walk.scm 393 */
			{	/* Stackable/walk.scm 429 */
				obj_t BgL_lbindingsz00_4804;

				BgL_lbindingsz00_4804 =
					BGl_zc3z04anonymousza32085ze3ze70z60zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4583)))->BgL_bindingsz00));
				if (PAIRP(BgL_lbindingsz00_4804))
					{	/* Stackable/walk.scm 432 */
						BgL_letzd2varzd2_bglt BgL_arg2083z00_4805;

						{	/* Stackable/walk.scm 432 */
							BgL_letzd2varzd2_bglt BgL_new1217z00_4806;

							{	/* Stackable/walk.scm 432 */
								BgL_letzd2varzd2_bglt BgL_new1223z00_4807;

								BgL_new1223z00_4807 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Stackable/walk.scm 432 */
									long BgL_arg2084z00_4808;

									BgL_arg2084z00_4808 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1223z00_4807),
										BgL_arg2084z00_4808);
								}
								{	/* Stackable/walk.scm 432 */
									BgL_objectz00_bglt BgL_tmpz00_6374;

									BgL_tmpz00_6374 = ((BgL_objectz00_bglt) BgL_new1223z00_4807);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6374, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1223z00_4807);
								BgL_new1217z00_4806 = BgL_new1223z00_4807;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1217z00_4806)))->BgL_locz00) =
								((obj_t) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4583))))->BgL_locz00)), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1217z00_4806)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4583))))->BgL_typez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1217z00_4806)))->BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4583)))))->
										BgL_sidezd2effectzd2)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1217z00_4806)))->BgL_keyz00) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4583)))))->
										BgL_keyz00)), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1217z00_4806))->
									BgL_bindingsz00) = ((obj_t) BgL_lbindingsz00_4804), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1217z00_4806))->
									BgL_bodyz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
											BgL_nodez00_4583))), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1217z00_4806))->
									BgL_removablezf3zf3) =
								((bool_t) (((BgL_letzd2varzd2_bglt)
											COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4583)))))->
										BgL_removablezf3zf3)), BUNSPEC);
							BgL_arg2083z00_4805 = BgL_new1217z00_4806;
						}
						return
							BGl_liftzd2letz12zc0zzstackable_walkz00(
							((BgL_nodez00_bglt) BgL_arg2083z00_4805));
					}
				else
					{	/* Stackable/walk.scm 430 */
						return
							BGl_walk0z12z12zzast_walkz00(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4583)),
							BGl_liftzd2letz12zd2envz12zzstackable_walkz00);
					}
			}
		}

	}



/* liftable?~0 */
	bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t BgL_nodez00_2671)
	{
		{	/* Stackable/walk.scm 415 */
		BGl_liftablezf3ze70z14zzstackable_walkz00:
			{	/* Stackable/walk.scm 401 */
				bool_t BgL_test2529z00_6414;

				{	/* Stackable/walk.scm 401 */
					obj_t BgL_classz00_4049;

					BgL_classz00_4049 = BGl_letzd2varzd2zzast_nodez00;
					if (BGL_OBJECTP(BgL_nodez00_2671))
						{	/* Stackable/walk.scm 401 */
							BgL_objectz00_bglt BgL_arg1820z00_4051;

							BgL_arg1820z00_4051 = (BgL_objectz00_bglt) (BgL_nodez00_2671);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Stackable/walk.scm 401 */
									long BgL_idxz00_4057;

									BgL_idxz00_4057 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4051);
									BgL_test2529z00_6414 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4057 + ((long) 3))) == BgL_classz00_4049);
								}
							else
								{	/* Stackable/walk.scm 401 */
									bool_t BgL_res2299z00_4079;

									{	/* Stackable/walk.scm 401 */
										obj_t BgL_oclassz00_4065;

										{	/* Stackable/walk.scm 401 */
											long BgL_arg1828z00_4071;

											{	/* Stackable/walk.scm 401 */
												long BgL_arg1829z00_4072;

												BgL_arg1829z00_4072 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4051);
												BgL_arg1828z00_4071 =
													(BgL_arg1829z00_4072 - OBJECT_TYPE);
											}
											BgL_oclassz00_4065 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_4071);
										}
										{	/* Stackable/walk.scm 401 */
											bool_t BgL__ortest_1111z00_4066;

											BgL__ortest_1111z00_4066 =
												(BgL_classz00_4049 == BgL_oclassz00_4065);
											if (BgL__ortest_1111z00_4066)
												{	/* Stackable/walk.scm 401 */
													BgL_res2299z00_4079 = BgL__ortest_1111z00_4066;
												}
											else
												{	/* Stackable/walk.scm 401 */
													long BgL_odepthz00_4067;

													BgL_odepthz00_4067 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4065);
													if ((((long) 3) < BgL_odepthz00_4067))
														{	/* Stackable/walk.scm 401 */
															obj_t BgL_arg1816z00_4069;

															BgL_arg1816z00_4069 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4065,
																((long) 3));
															BgL_res2299z00_4079 =
																(BgL_arg1816z00_4069 == BgL_classz00_4049);
														}
													else
														{	/* Stackable/walk.scm 401 */
															BgL_res2299z00_4079 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2529z00_6414 = BgL_res2299z00_4079;
								}
						}
					else
						{	/* Stackable/walk.scm 401 */
							BgL_test2529z00_6414 = ((bool_t) 0);
						}
				}
				if (BgL_test2529z00_6414)
					{	/* Stackable/walk.scm 403 */
						bool_t BgL_test2534z00_6434;

						{	/* Stackable/walk.scm 403 */
							obj_t BgL_tmpz00_6435;

							BgL_tmpz00_6435 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2671)))->
								BgL_bindingsz00);
							BgL_test2534z00_6434 = PAIRP(BgL_tmpz00_6435);
						}
						if (BgL_test2534z00_6434)
							{	/* Stackable/walk.scm 404 */
								bool_t BgL_test2535z00_6439;

								{	/* Stackable/walk.scm 404 */
									obj_t BgL_tmpz00_6440;

									{	/* Stackable/walk.scm 404 */
										obj_t BgL_pairz00_4080;

										BgL_pairz00_4080 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2671)))->
											BgL_bindingsz00);
										BgL_tmpz00_6440 = CDR(BgL_pairz00_4080);
									}
									BgL_test2535z00_6439 = NULLP(BgL_tmpz00_6440);
								}
								if (BgL_test2535z00_6439)
									{	/* Stackable/walk.scm 405 */
										bool_t BgL_test2536z00_6445;

										{	/* Stackable/walk.scm 405 */
											obj_t BgL_arg2098z00_2679;

											{	/* Stackable/walk.scm 405 */
												obj_t BgL_pairz00_4081;

												BgL_pairz00_4081 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2671)))->
													BgL_bindingsz00);
												BgL_arg2098z00_2679 = CDR(CAR(BgL_pairz00_4081));
											}
											BgL_test2536z00_6445 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2098z00_2679);
										}
										if (BgL_test2536z00_6445)
											{	/* Stackable/walk.scm 406 */
												BgL_nodez00_bglt BgL_arg2097z00_2678;

												BgL_arg2097z00_2678 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2671)))->
													BgL_bodyz00);
												{
													obj_t BgL_nodez00_6453;

													BgL_nodez00_6453 = ((obj_t) BgL_arg2097z00_2678);
													BgL_nodez00_2671 = BgL_nodez00_6453;
													goto BGl_liftablezf3ze70z14zzstackable_walkz00;
												}
											}
										else
											{	/* Stackable/walk.scm 405 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Stackable/walk.scm 404 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Stackable/walk.scm 403 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Stackable/walk.scm 407 */
						bool_t BgL_test2537z00_6455;

						{	/* Stackable/walk.scm 407 */
							obj_t BgL_classz00_4085;

							BgL_classz00_4085 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_nodez00_2671))
								{	/* Stackable/walk.scm 407 */
									BgL_objectz00_bglt BgL_arg1820z00_4087;

									BgL_arg1820z00_4087 = (BgL_objectz00_bglt) (BgL_nodez00_2671);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Stackable/walk.scm 407 */
											long BgL_idxz00_4093;

											BgL_idxz00_4093 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4087);
											BgL_test2537z00_6455 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4093 + ((long) 2))) == BgL_classz00_4085);
										}
									else
										{	/* Stackable/walk.scm 407 */
											bool_t BgL_res2300z00_4115;

											{	/* Stackable/walk.scm 407 */
												obj_t BgL_oclassz00_4101;

												{	/* Stackable/walk.scm 407 */
													long BgL_arg1828z00_4107;

													{	/* Stackable/walk.scm 407 */
														long BgL_arg1829z00_4108;

														BgL_arg1829z00_4108 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4087);
														BgL_arg1828z00_4107 =
															(BgL_arg1829z00_4108 - OBJECT_TYPE);
													}
													BgL_oclassz00_4101 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_4107);
												}
												{	/* Stackable/walk.scm 407 */
													bool_t BgL__ortest_1111z00_4102;

													BgL__ortest_1111z00_4102 =
														(BgL_classz00_4085 == BgL_oclassz00_4101);
													if (BgL__ortest_1111z00_4102)
														{	/* Stackable/walk.scm 407 */
															BgL_res2300z00_4115 = BgL__ortest_1111z00_4102;
														}
													else
														{	/* Stackable/walk.scm 407 */
															long BgL_odepthz00_4103;

															BgL_odepthz00_4103 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4101);
															if ((((long) 2) < BgL_odepthz00_4103))
																{	/* Stackable/walk.scm 407 */
																	obj_t BgL_arg1816z00_4105;

																	BgL_arg1816z00_4105 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4101,
																		((long) 2));
																	BgL_res2300z00_4115 =
																		(BgL_arg1816z00_4105 == BgL_classz00_4085);
																}
															else
																{	/* Stackable/walk.scm 407 */
																	BgL_res2300z00_4115 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2537z00_6455 = BgL_res2300z00_4115;
										}
								}
							else
								{	/* Stackable/walk.scm 407 */
									BgL_test2537z00_6455 = ((bool_t) 0);
								}
						}
						if (BgL_test2537z00_6455)
							{	/* Stackable/walk.scm 408 */
								BgL_variablez00_bglt BgL_arg2104z00_2685;

								BgL_arg2104z00_2685 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2671)))->BgL_variablez00);
								{	/* Stackable/walk.scm 408 */
									obj_t BgL_classz00_4117;

									BgL_classz00_4117 = BGl_localz00zzast_varz00;
									{	/* Stackable/walk.scm 408 */
										BgL_objectz00_bglt BgL_arg1820z00_4119;

										{	/* Stackable/walk.scm 408 */
											obj_t BgL_tmpz00_6477;

											BgL_tmpz00_6477 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2104z00_2685));
											BgL_arg1820z00_4119 =
												(BgL_objectz00_bglt) (BgL_tmpz00_6477);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Stackable/walk.scm 408 */
												long BgL_idxz00_4125;

												BgL_idxz00_4125 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4119);
												return
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4125 + ((long) 2))) ==
													BgL_classz00_4117);
											}
										else
											{	/* Stackable/walk.scm 408 */
												bool_t BgL_res2301z00_4147;

												{	/* Stackable/walk.scm 408 */
													obj_t BgL_oclassz00_4133;

													{	/* Stackable/walk.scm 408 */
														long BgL_arg1828z00_4139;

														{	/* Stackable/walk.scm 408 */
															long BgL_arg1829z00_4140;

															BgL_arg1829z00_4140 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4119);
															BgL_arg1828z00_4139 =
																(BgL_arg1829z00_4140 - OBJECT_TYPE);
														}
														BgL_oclassz00_4133 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_4139);
													}
													{	/* Stackable/walk.scm 408 */
														bool_t BgL__ortest_1111z00_4134;

														BgL__ortest_1111z00_4134 =
															(BgL_classz00_4117 == BgL_oclassz00_4133);
														if (BgL__ortest_1111z00_4134)
															{	/* Stackable/walk.scm 408 */
																BgL_res2301z00_4147 = BgL__ortest_1111z00_4134;
															}
														else
															{	/* Stackable/walk.scm 408 */
																long BgL_odepthz00_4135;

																BgL_odepthz00_4135 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4133);
																if ((((long) 2) < BgL_odepthz00_4135))
																	{	/* Stackable/walk.scm 408 */
																		obj_t BgL_arg1816z00_4137;

																		BgL_arg1816z00_4137 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4133, ((long) 2));
																		BgL_res2301z00_4147 =
																			(BgL_arg1816z00_4137 ==
																			BgL_classz00_4117);
																	}
																else
																	{	/* Stackable/walk.scm 408 */
																		BgL_res2301z00_4147 = ((bool_t) 0);
																	}
															}
													}
												}
												return BgL_res2301z00_4147;
											}
									}
								}
							}
						else
							{	/* Stackable/walk.scm 409 */
								bool_t BgL_test2545z00_6497;

								{	/* Stackable/walk.scm 409 */
									obj_t BgL_classz00_4148;

									BgL_classz00_4148 = BGl_appz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_nodez00_2671))
										{	/* Stackable/walk.scm 409 */
											BgL_objectz00_bglt BgL_arg1820z00_4150;

											BgL_arg1820z00_4150 =
												(BgL_objectz00_bglt) (BgL_nodez00_2671);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Stackable/walk.scm 409 */
													long BgL_idxz00_4156;

													BgL_idxz00_4156 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4150);
													BgL_test2545z00_6497 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4156 + ((long) 3))) ==
														BgL_classz00_4148);
												}
											else
												{	/* Stackable/walk.scm 409 */
													bool_t BgL_res2302z00_4178;

													{	/* Stackable/walk.scm 409 */
														obj_t BgL_oclassz00_4164;

														{	/* Stackable/walk.scm 409 */
															long BgL_arg1828z00_4170;

															{	/* Stackable/walk.scm 409 */
																long BgL_arg1829z00_4171;

																BgL_arg1829z00_4171 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4150);
																BgL_arg1828z00_4170 =
																	(BgL_arg1829z00_4171 - OBJECT_TYPE);
															}
															BgL_oclassz00_4164 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4170);
														}
														{	/* Stackable/walk.scm 409 */
															bool_t BgL__ortest_1111z00_4165;

															BgL__ortest_1111z00_4165 =
																(BgL_classz00_4148 == BgL_oclassz00_4164);
															if (BgL__ortest_1111z00_4165)
																{	/* Stackable/walk.scm 409 */
																	BgL_res2302z00_4178 =
																		BgL__ortest_1111z00_4165;
																}
															else
																{	/* Stackable/walk.scm 409 */
																	long BgL_odepthz00_4166;

																	BgL_odepthz00_4166 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4164);
																	if ((((long) 3) < BgL_odepthz00_4166))
																		{	/* Stackable/walk.scm 409 */
																			obj_t BgL_arg1816z00_4168;

																			BgL_arg1816z00_4168 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4164, ((long) 3));
																			BgL_res2302z00_4178 =
																				(BgL_arg1816z00_4168 ==
																				BgL_classz00_4148);
																		}
																	else
																		{	/* Stackable/walk.scm 409 */
																			BgL_res2302z00_4178 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2545z00_6497 = BgL_res2302z00_4178;
												}
										}
									else
										{	/* Stackable/walk.scm 409 */
											BgL_test2545z00_6497 = ((bool_t) 0);
										}
								}
								if (BgL_test2545z00_6497)
									{	/* Stackable/walk.scm 411 */
										BgL_variablez00_bglt BgL_vz00_2688;

										BgL_vz00_2688 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2671)))->
														BgL_funz00)))->BgL_variablez00);
										{	/* Stackable/walk.scm 412 */
											bool_t BgL_test2550z00_6520;

											{	/* Stackable/walk.scm 412 */
												obj_t BgL_classz00_4180;

												BgL_classz00_4180 = BGl_globalz00zzast_varz00;
												{	/* Stackable/walk.scm 412 */
													BgL_objectz00_bglt BgL_arg1820z00_4182;

													{	/* Stackable/walk.scm 412 */
														obj_t BgL_tmpz00_6521;

														BgL_tmpz00_6521 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2688));
														BgL_arg1820z00_4182 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6521);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Stackable/walk.scm 412 */
															long BgL_idxz00_4188;

															BgL_idxz00_4188 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4182);
															BgL_test2550z00_6520 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4188 + ((long) 2))) ==
																BgL_classz00_4180);
														}
													else
														{	/* Stackable/walk.scm 412 */
															bool_t BgL_res2303z00_4210;

															{	/* Stackable/walk.scm 412 */
																obj_t BgL_oclassz00_4196;

																{	/* Stackable/walk.scm 412 */
																	long BgL_arg1828z00_4202;

																	{	/* Stackable/walk.scm 412 */
																		long BgL_arg1829z00_4203;

																		BgL_arg1829z00_4203 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4182);
																		BgL_arg1828z00_4202 =
																			(BgL_arg1829z00_4203 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4196 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4202);
																}
																{	/* Stackable/walk.scm 412 */
																	bool_t BgL__ortest_1111z00_4197;

																	BgL__ortest_1111z00_4197 =
																		(BgL_classz00_4180 == BgL_oclassz00_4196);
																	if (BgL__ortest_1111z00_4197)
																		{	/* Stackable/walk.scm 412 */
																			BgL_res2303z00_4210 =
																				BgL__ortest_1111z00_4197;
																		}
																	else
																		{	/* Stackable/walk.scm 412 */
																			long BgL_odepthz00_4198;

																			BgL_odepthz00_4198 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4196);
																			if ((((long) 2) < BgL_odepthz00_4198))
																				{	/* Stackable/walk.scm 412 */
																					obj_t BgL_arg1816z00_4200;

																					BgL_arg1816z00_4200 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4196, ((long) 2));
																					BgL_res2303z00_4210 =
																						(BgL_arg1816z00_4200 ==
																						BgL_classz00_4180);
																				}
																			else
																				{	/* Stackable/walk.scm 412 */
																					BgL_res2303z00_4210 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2550z00_6520 = BgL_res2303z00_4210;
														}
												}
											}
											if (BgL_test2550z00_6520)
												{	/* Stackable/walk.scm 413 */
													obj_t BgL_tmpz00_6541;

													BgL_tmpz00_6541 =
														(((BgL_funz00_bglt) COBJECT(
																((BgL_funz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_2688))))->
																		BgL_valuez00))))->BgL_stackzd2allocatorzd2);
													return PAIRP(BgL_tmpz00_6541);
												}
											else
												{	/* Stackable/walk.scm 412 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* Stackable/walk.scm 415 */
										obj_t BgL_classz00_4213;

										BgL_classz00_4213 = BGl_makezd2boxzd2zzast_nodez00;
										if (BGL_OBJECTP(BgL_nodez00_2671))
											{	/* Stackable/walk.scm 415 */
												BgL_objectz00_bglt BgL_arg1820z00_4215;

												BgL_arg1820z00_4215 =
													(BgL_objectz00_bglt) (BgL_nodez00_2671);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Stackable/walk.scm 415 */
														long BgL_idxz00_4221;

														BgL_idxz00_4221 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4215);
														return
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4221 + ((long) 3))) ==
															BgL_classz00_4213);
													}
												else
													{	/* Stackable/walk.scm 415 */
														bool_t BgL_res2304z00_4243;

														{	/* Stackable/walk.scm 415 */
															obj_t BgL_oclassz00_4229;

															{	/* Stackable/walk.scm 415 */
																long BgL_arg1828z00_4235;

																{	/* Stackable/walk.scm 415 */
																	long BgL_arg1829z00_4236;

																	BgL_arg1829z00_4236 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4215);
																	BgL_arg1828z00_4235 =
																		(BgL_arg1829z00_4236 - OBJECT_TYPE);
																}
																BgL_oclassz00_4229 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_4235);
															}
															{	/* Stackable/walk.scm 415 */
																bool_t BgL__ortest_1111z00_4230;

																BgL__ortest_1111z00_4230 =
																	(BgL_classz00_4213 == BgL_oclassz00_4229);
																if (BgL__ortest_1111z00_4230)
																	{	/* Stackable/walk.scm 415 */
																		BgL_res2304z00_4243 =
																			BgL__ortest_1111z00_4230;
																	}
																else
																	{	/* Stackable/walk.scm 415 */
																		long BgL_odepthz00_4231;

																		BgL_odepthz00_4231 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4229);
																		if ((((long) 3) < BgL_odepthz00_4231))
																			{	/* Stackable/walk.scm 415 */
																				obj_t BgL_arg1816z00_4233;

																				BgL_arg1816z00_4233 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4229, ((long) 3));
																				BgL_res2304z00_4243 =
																					(BgL_arg1816z00_4233 ==
																					BgL_classz00_4213);
																			}
																		else
																			{	/* Stackable/walk.scm 415 */
																				BgL_res2304z00_4243 = ((bool_t) 0);
																			}
																	}
															}
														}
														return BgL_res2304z00_4243;
													}
											}
										else
											{	/* Stackable/walk.scm 415 */
												return ((bool_t) 0);
											}
									}
							}
					}
			}
		}

	}



/* <@anonymous:2085>~0 */
	obj_t BGl_zc3z04anonymousza32085ze3ze70z60zzstackable_walkz00(obj_t
		BgL_l1443z00_2658)
	{
		{	/* Stackable/walk.scm 429 */
			{
				obj_t BgL_bindingz00_2693;

				if (NULLP(BgL_l1443z00_2658))
					{	/* Stackable/walk.scm 429 */
						return BNIL;
					}
				else
					{	/* Stackable/walk.scm 429 */
						obj_t BgL_arg2087z00_2661;
						obj_t BgL_arg2088z00_2662;

						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2089z00_2663;

							BgL_arg2089z00_2663 = CAR(((obj_t) BgL_l1443z00_2658));
							BgL_bindingz00_2693 = BgL_arg2089z00_2663;
							{	/* Stackable/walk.scm 418 */
								bool_t BgL_test2559z00_6571;

								{	/* Stackable/walk.scm 418 */
									bool_t BgL_test2560z00_6572;

									{	/* Stackable/walk.scm 418 */
										obj_t BgL_arg2135z00_2729;

										BgL_arg2135z00_2729 = CDR(((obj_t) BgL_bindingz00_2693));
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_classz00_4245;

											BgL_classz00_4245 = BGl_letzd2varzd2zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2135z00_2729))
												{	/* Stackable/walk.scm 418 */
													BgL_objectz00_bglt BgL_arg1820z00_4247;

													BgL_arg1820z00_4247 =
														(BgL_objectz00_bglt) (BgL_arg2135z00_2729);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Stackable/walk.scm 418 */
															long BgL_idxz00_4253;

															BgL_idxz00_4253 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4247);
															BgL_test2560z00_6572 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4253 + ((long) 3))) ==
																BgL_classz00_4245);
														}
													else
														{	/* Stackable/walk.scm 418 */
															bool_t BgL_res2305z00_4275;

															{	/* Stackable/walk.scm 418 */
																obj_t BgL_oclassz00_4261;

																{	/* Stackable/walk.scm 418 */
																	long BgL_arg1828z00_4267;

																	{	/* Stackable/walk.scm 418 */
																		long BgL_arg1829z00_4268;

																		BgL_arg1829z00_4268 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4247);
																		BgL_arg1828z00_4267 =
																			(BgL_arg1829z00_4268 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4261 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1828z00_4267);
																}
																{	/* Stackable/walk.scm 418 */
																	bool_t BgL__ortest_1111z00_4262;

																	BgL__ortest_1111z00_4262 =
																		(BgL_classz00_4245 == BgL_oclassz00_4261);
																	if (BgL__ortest_1111z00_4262)
																		{	/* Stackable/walk.scm 418 */
																			BgL_res2305z00_4275 =
																				BgL__ortest_1111z00_4262;
																		}
																	else
																		{	/* Stackable/walk.scm 418 */
																			long BgL_odepthz00_4263;

																			BgL_odepthz00_4263 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4261);
																			if ((((long) 3) < BgL_odepthz00_4263))
																				{	/* Stackable/walk.scm 418 */
																					obj_t BgL_arg1816z00_4265;

																					BgL_arg1816z00_4265 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4261, ((long) 3));
																					BgL_res2305z00_4275 =
																						(BgL_arg1816z00_4265 ==
																						BgL_classz00_4245);
																				}
																			else
																				{	/* Stackable/walk.scm 418 */
																					BgL_res2305z00_4275 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2560z00_6572 = BgL_res2305z00_4275;
														}
												}
											else
												{	/* Stackable/walk.scm 418 */
													BgL_test2560z00_6572 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2560z00_6572)
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_arg2134z00_2728;

											BgL_arg2134z00_2728 = CDR(((obj_t) BgL_bindingz00_2693));
											BgL_test2559z00_6571 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2134z00_2728);
										}
									else
										{	/* Stackable/walk.scm 418 */
											BgL_test2559z00_6571 = ((bool_t) 0);
										}
								}
								if (BgL_test2559z00_6571)
									{	/* Stackable/walk.scm 419 */
										BgL_letzd2varzd2_bglt BgL_i1215z00_2700;

										BgL_i1215z00_2700 =
											((BgL_letzd2varzd2_bglt)
											CDR(((obj_t) BgL_bindingz00_2693)));
										{	/* Stackable/walk.scm 421 */
											obj_t BgL_arg2116z00_2701;
											obj_t BgL_arg2117z00_2702;
											obj_t BgL_arg2118z00_2703;

											BgL_arg2116z00_2701 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(((obj_t) BgL_bindingz00_2693)))))->BgL_idz00);
											{	/* Stackable/walk.scm 422 */
												obj_t BgL_l1437z00_2712;

												BgL_l1437z00_2712 =
													(((BgL_letzd2varzd2_bglt)
														COBJECT(BgL_i1215z00_2700))->BgL_bindingsz00);
												if (NULLP(BgL_l1437z00_2712))
													{	/* Stackable/walk.scm 422 */
														BgL_arg2117z00_2702 = BNIL;
													}
												else
													{	/* Stackable/walk.scm 422 */
														obj_t BgL_head1439z00_2714;

														BgL_head1439z00_2714 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1437z00_2716;
															obj_t BgL_tail1440z00_2717;

															BgL_l1437z00_2716 = BgL_l1437z00_2712;
															BgL_tail1440z00_2717 = BgL_head1439z00_2714;
														BgL_zc3z04anonymousza32128ze3z87_2718:
															if (NULLP(BgL_l1437z00_2716))
																{	/* Stackable/walk.scm 422 */
																	BgL_arg2117z00_2702 =
																		CDR(BgL_head1439z00_2714);
																}
															else
																{	/* Stackable/walk.scm 422 */
																	obj_t BgL_newtail1441z00_2720;

																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2131z00_2722;

																		{
																			BgL_variablez00_bglt BgL_auxz00_6611;

																			{	/* Stackable/walk.scm 422 */
																				obj_t BgL_pairz00_4282;

																				BgL_pairz00_4282 =
																					CAR(((obj_t) BgL_l1437z00_2716));
																				BgL_auxz00_6611 =
																					((BgL_variablez00_bglt)
																					CAR(BgL_pairz00_4282));
																			}
																			BgL_arg2131z00_2722 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_auxz00_6611))->BgL_idz00);
																		}
																		BgL_newtail1441z00_2720 =
																			MAKE_YOUNG_PAIR(BgL_arg2131z00_2722,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1440z00_2717,
																		BgL_newtail1441z00_2720);
																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2130z00_2721;

																		BgL_arg2130z00_2721 =
																			CDR(((obj_t) BgL_l1437z00_2716));
																		{
																			obj_t BgL_tail1440z00_6622;
																			obj_t BgL_l1437z00_6621;

																			BgL_l1437z00_6621 = BgL_arg2130z00_2721;
																			BgL_tail1440z00_6622 =
																				BgL_newtail1441z00_2720;
																			BgL_tail1440z00_2717 =
																				BgL_tail1440z00_6622;
																			BgL_l1437z00_2716 = BgL_l1437z00_6621;
																			goto
																				BgL_zc3z04anonymousza32128ze3z87_2718;
																		}
																	}
																}
														}
													}
											}
											BgL_arg2118z00_2703 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_i1215z00_2700)))->
												BgL_locz00);
											{	/* Stackable/walk.scm 420 */
												obj_t BgL_list2119z00_2704;

												{	/* Stackable/walk.scm 420 */
													obj_t BgL_arg2120z00_2705;

													{	/* Stackable/walk.scm 420 */
														obj_t BgL_arg2121z00_2706;

														{	/* Stackable/walk.scm 420 */
															obj_t BgL_arg2122z00_2707;

															{	/* Stackable/walk.scm 420 */
																obj_t BgL_arg2123z00_2708;

																{	/* Stackable/walk.scm 420 */
																	obj_t BgL_arg2124z00_2709;

																	{	/* Stackable/walk.scm 420 */
																		obj_t BgL_arg2125z00_2710;

																		BgL_arg2125z00_2710 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2385z00zzstackable_walkz00,
																			BNIL);
																		BgL_arg2124z00_2709 =
																			MAKE_YOUNG_PAIR(BgL_arg2118z00_2703,
																			BgL_arg2125z00_2710);
																	}
																	BgL_arg2123z00_2708 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2386z00zzstackable_walkz00,
																		BgL_arg2124z00_2709);
																}
																BgL_arg2122z00_2707 =
																	MAKE_YOUNG_PAIR(BgL_arg2117z00_2702,
																	BgL_arg2123z00_2708);
															}
															BgL_arg2121z00_2706 =
																MAKE_YOUNG_PAIR
																(BGl_string2387z00zzstackable_walkz00,
																BgL_arg2122z00_2707);
														}
														BgL_arg2120z00_2705 =
															MAKE_YOUNG_PAIR(BgL_arg2116z00_2701,
															BgL_arg2121z00_2706);
													}
													BgL_list2119z00_2704 =
														MAKE_YOUNG_PAIR
														(BGl_string2388z00zzstackable_walkz00,
														BgL_arg2120z00_2705);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list2119z00_2704);
										}}
										{	/* Stackable/walk.scm 424 */
											BgL_nodez00_bglt BgL_arg2133z00_2726;

											BgL_arg2133z00_2726 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1215z00_2700))->
												BgL_bodyz00);
											{	/* Stackable/walk.scm 424 */
												obj_t BgL_auxz00_6637;
												obj_t BgL_tmpz00_6635;

												BgL_auxz00_6637 = ((obj_t) BgL_arg2133z00_2726);
												BgL_tmpz00_6635 = ((obj_t) BgL_bindingz00_2693);
												SET_CDR(BgL_tmpz00_6635, BgL_auxz00_6637);
										}}
										BgL_arg2087z00_2661 =
											(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1215z00_2700))->
											BgL_bindingsz00);
									}
								else
									{	/* Stackable/walk.scm 418 */
										BgL_arg2087z00_2661 = BNIL;
									}
							}
						}
						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2091z00_2664;

							BgL_arg2091z00_2664 = CDR(((obj_t) BgL_l1443z00_2658));
							BgL_arg2088z00_2662 =
								BGl_zc3z04anonymousza32085ze3ze70z60zzstackable_walkz00
								(BgL_arg2091z00_2664);
						}
						return bgl_append2(BgL_arg2087z00_2661, BgL_arg2088z00_2662);
					}
			}
		}

	}



/* &node-escape-make-box1506 */
	obj_t BGl_z62nodezd2escapezd2makezd2box1506zb0zzstackable_walkz00(obj_t
		BgL_envz00_4584, obj_t BgL_nodez00_4585, obj_t BgL_ctxz00_4586)
	{
		{	/* Stackable/walk.scm 367 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4585)), BgL_ctxz00_4586);
		}

	}



/* &node-escape-app1504 */
	obj_t BGl_z62nodezd2escapezd2app1504z62zzstackable_walkz00(obj_t
		BgL_envz00_4587, obj_t BgL_nodez00_4588, obj_t BgL_ctxz00_4589)
	{
		{	/* Stackable/walk.scm 361 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4588)), BgL_ctxz00_4589);
		}

	}



/* &escape!-closure1500 */
	obj_t BGl_z62escapez12zd2closure1500za2zzstackable_walkz00(obj_t
		BgL_envz00_4590, obj_t BgL_nodez00_4591, obj_t BgL_ctxz00_4592)
	{
		{	/* Stackable/walk.scm 343 */
			{

				BGl_walk1z12z12zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_closurez00_bglt) BgL_nodez00_4591)),
					BGl_escapez12zd2envzc0zzstackable_walkz00, BgL_ctxz00_4592);
				{	/* Stackable/walk.scm 345 */
					BgL_variablez00_bglt BgL_vz00_4813;

					BgL_vz00_4813 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4591))))->BgL_variablez00);
					{	/* Stackable/walk.scm 345 */
						BgL_valuez00_bglt BgL_fz00_4814;

						BgL_fz00_4814 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4813))->BgL_valuez00);
						{	/* Stackable/walk.scm 346 */

							if (CBOOL(
									(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_fz00_4814)))->
										BgL_stackablez00)))
								{	/* Stackable/walk.scm 348 */
									{	/* Stackable/walk.scm 349 */
										obj_t BgL_tmpz00_6662;

										BgL_tmpz00_6662 = ((obj_t) BgL_ctxz00_4592);
										SET_CAR(BgL_tmpz00_6662, BFALSE);
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_4814)))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								}
							else
								{	/* Stackable/walk.scm 348 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* &escape!-make-box1498 */
	obj_t BGl_z62escapez12zd2makezd2box1498z70zzstackable_walkz00(obj_t
		BgL_envz00_4593, obj_t BgL_nodez00_4594, obj_t BgL_ctxz00_4595)
	{
		{	/* Stackable/walk.scm 333 */
			if (CBOOL(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4594)))->
						BgL_stackablez00)))
				{	/* Stackable/walk.scm 335 */
					{	/* Stackable/walk.scm 336 */
						obj_t BgL_tmpz00_6671;

						BgL_tmpz00_6671 = ((obj_t) BgL_ctxz00_4595);
						SET_CAR(BgL_tmpz00_6671, BFALSE);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4594)))->
							BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
					{	/* Stackable/walk.scm 338 */
						BgL_nodez00_bglt BgL_arg2071z00_4816;

						BgL_arg2071z00_4816 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4594)))->BgL_valuez00);
						return
							BGl_escapez12z12zzstackable_walkz00(
							((obj_t) BgL_arg2071z00_4816), BgL_ctxz00_4595);
					}
				}
			else
				{	/* Stackable/walk.scm 335 */
					return BFALSE;
				}
		}

	}



/* &escape!-app1496 */
	obj_t BGl_z62escapez12zd2app1496za2zzstackable_walkz00(obj_t BgL_envz00_4596,
		obj_t BgL_nodez00_4597, obj_t BgL_ctxz00_4598)
	{
		{	/* Stackable/walk.scm 324 */
			if (CBOOL(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4597)))->BgL_stackablez00)))
				{	/* Stackable/walk.scm 326 */
					{	/* Stackable/walk.scm 327 */
						obj_t BgL_tmpz00_6684;

						BgL_tmpz00_6684 = ((obj_t) BgL_ctxz00_4598);
						SET_CAR(BgL_tmpz00_6684, BFALSE);
					}
					return
						((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_4597)))->BgL_stackablez00) =
						((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 326 */
					return BFALSE;
				}
		}

	}



/* &escape!-node1494 */
	obj_t BGl_z62escapez12zd2node1494za2zzstackable_walkz00(obj_t BgL_envz00_4599,
		obj_t BgL_nodez00_4600, obj_t BgL_ctxz00_4601)
	{
		{	/* Stackable/walk.scm 318 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4600), BgL_ctxz00_4601);
		}

	}



/* &escape!-local1492 */
	obj_t BGl_z62escapez12zd2local1492za2zzstackable_walkz00(obj_t
		BgL_envz00_4602, obj_t BgL_varz00_4603, obj_t BgL_ctxz00_4604)
	{
		{	/* Stackable/walk.scm 309 */
			if (
				((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_varz00_4603)))->
						BgL_valzd2noescapezd2) == BTRUE))
				{	/* Stackable/walk.scm 311 */
					{	/* Stackable/walk.scm 312 */
						obj_t BgL_tmpz00_6695;

						BgL_tmpz00_6695 = ((obj_t) BgL_ctxz00_4604);
						SET_CAR(BgL_tmpz00_6695, BFALSE);
					}
					return
						((((BgL_localz00_bglt) COBJECT(
									((BgL_localz00_bglt) BgL_varz00_4603)))->
							BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 311 */
					return BFALSE;
				}
		}

	}



/* &escape!-global1489 */
	obj_t BGl_z62escapez12zd2global1489za2zzstackable_walkz00(obj_t
		BgL_envz00_4605, obj_t BgL_varz00_4606, obj_t BgL_ctxz00_4607)
	{
		{	/* Stackable/walk.scm 303 */
			return BUNSPEC;
		}

	}



/* &stackable-sequence1485 */
	obj_t BGl_z62stackablezd2sequence1485zb0zzstackable_walkz00(obj_t
		BgL_envz00_4608, obj_t BgL_nodez00_4609, obj_t BgL_escpz00_4610,
		obj_t BgL_depthz00_4611, obj_t BgL_ctxz00_4612)
	{
		{	/* Stackable/walk.scm 280 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4609)))->BgL_nodesz00)))
				{	/* Stackable/walk.scm 282 */
					return BFALSE;
				}
			else
				{
					obj_t BgL_nodesz00_4824;

					BgL_nodesz00_4824 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4609)))->BgL_nodesz00);
				BgL_loopz00_4823:
					if (NULLP(CDR(((obj_t) BgL_nodesz00_4824))))
						{	/* Stackable/walk.scm 285 */
							obj_t BgL_arg2057z00_4825;

							BgL_arg2057z00_4825 = CAR(((obj_t) BgL_nodesz00_4824));
							return
								BGl_stackablez00zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg2057z00_4825),
								CBOOL(BgL_escpz00_4610),
								(long) CINT(BgL_depthz00_4611), ((obj_t) BgL_ctxz00_4612));
						}
					else
						{	/* Stackable/walk.scm 284 */
							{	/* Stackable/walk.scm 287 */
								obj_t BgL_arg2058z00_4826;

								BgL_arg2058z00_4826 = CAR(((obj_t) BgL_nodesz00_4824));
								BGl_stackablez00zzstackable_walkz00(
									((BgL_nodez00_bglt) BgL_arg2058z00_4826), ((bool_t) 0),
									((long) 100000), ((obj_t) BgL_ctxz00_4612));
							}
							{	/* Stackable/walk.scm 288 */
								obj_t BgL_arg2060z00_4827;

								BgL_arg2060z00_4827 = CDR(((obj_t) BgL_nodesz00_4824));
								{
									obj_t BgL_nodesz00_6722;

									BgL_nodesz00_6722 = BgL_arg2060z00_4827;
									BgL_nodesz00_4824 = BgL_nodesz00_6722;
									goto BgL_loopz00_4823;
								}
							}
						}
				}
		}

	}



/* &stackable-funcall1483 */
	obj_t BGl_z62stackablezd2funcall1483zb0zzstackable_walkz00(obj_t
		BgL_envz00_4613, obj_t BgL_nodez00_4614, obj_t BgL_escpz00_4615,
		obj_t BgL_depthz00_4616, obj_t BgL_ctxz00_4617)
	{
		{	/* Stackable/walk.scm 273 */
			{	/* Stackable/walk.scm 273 */
				obj_t BgL_escpz00_4829;

				BgL_escpz00_4829 = BgL_escpz00_4615;
				{

					BgL_escpz00_4829 = BTRUE;
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_4614)),
						BGl_stackablezd2envzd2zzstackable_walkz00, BgL_escpz00_4829,
						BgL_depthz00_4616, ((obj_t) BgL_ctxz00_4617));
				}
			}
		}

	}



/* &stackable-app1481 */
	obj_t BGl_z62stackablezd2app1481zb0zzstackable_walkz00(obj_t BgL_envz00_4618,
		obj_t BgL_nodez00_4619, obj_t BgL_escpz00_4620, obj_t BgL_depthz00_4621,
		obj_t BgL_ctxz00_4622)
	{
		{	/* Stackable/walk.scm 189 */
			{	/* Stackable/walk.scm 189 */
				bool_t BgL_tmpz00_6729;

				{
					obj_t BgL_argsz00_4835;

					{	/* Stackable/walk.scm 225 */
						BgL_variablez00_bglt BgL_vz00_4913;

						BgL_vz00_4913 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_4619)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Stackable/walk.scm 225 */
							BgL_valuez00_bglt BgL_fz00_4914;

							BgL_fz00_4914 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4913))->BgL_valuez00);
							{	/* Stackable/walk.scm 226 */

								{	/* Stackable/walk.scm 228 */
									bool_t BgL_test2573z00_6734;

									if (CBOOL(BgL_escpz00_4620))
										{	/* Stackable/walk.scm 228 */
											BgL_test2573z00_6734 = ((bool_t) 1);
										}
									else
										{	/* Stackable/walk.scm 228 */
											long BgL_arg1958z00_4915;

											{
												BgL_appzf2depthzf2_bglt BgL_auxz00_6737;

												{
													obj_t BgL_auxz00_6738;

													{	/* Stackable/walk.scm 228 */
														BgL_objectz00_bglt BgL_tmpz00_6739;

														BgL_tmpz00_6739 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4619)));
														BgL_auxz00_6738 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6739);
													}
													BgL_auxz00_6737 =
														((BgL_appzf2depthzf2_bglt) BgL_auxz00_6738);
												}
												BgL_arg1958z00_4915 =
													(((BgL_appzf2depthzf2_bglt)
														COBJECT(BgL_auxz00_6737))->BgL_depthz00);
											}
											BgL_test2573z00_6734 =
												((long) CINT(BgL_depthz00_4621) < BgL_arg1958z00_4915);
										}
									if (BgL_test2573z00_6734)
										{	/* Stackable/walk.scm 229 */
											bool_t BgL_test2575z00_6748;

											{	/* Stackable/walk.scm 229 */
												bool_t BgL_test2576z00_6749;

												{	/* Stackable/walk.scm 229 */
													obj_t BgL_classz00_4916;

													BgL_classz00_4916 = BGl_globalz00zzast_varz00;
													{	/* Stackable/walk.scm 229 */
														BgL_objectz00_bglt BgL_arg1820z00_4917;

														{	/* Stackable/walk.scm 229 */
															obj_t BgL_tmpz00_6750;

															BgL_tmpz00_6750 =
																((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4913));
															BgL_arg1820z00_4917 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6750);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Stackable/walk.scm 229 */
																long BgL_idxz00_4918;

																BgL_idxz00_4918 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4917);
																BgL_test2576z00_6749 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4918 + ((long) 2))) ==
																	BgL_classz00_4916);
															}
														else
															{	/* Stackable/walk.scm 229 */
																bool_t BgL_res2294z00_4921;

																{	/* Stackable/walk.scm 229 */
																	obj_t BgL_oclassz00_4922;

																	{	/* Stackable/walk.scm 229 */
																		long BgL_arg1828z00_4923;

																		{	/* Stackable/walk.scm 229 */
																			long BgL_arg1829z00_4924;

																			BgL_arg1829z00_4924 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4917);
																			BgL_arg1828z00_4923 =
																				(BgL_arg1829z00_4924 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4922 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4923);
																	}
																	{	/* Stackable/walk.scm 229 */
																		bool_t BgL__ortest_1111z00_4925;

																		BgL__ortest_1111z00_4925 =
																			(BgL_classz00_4916 == BgL_oclassz00_4922);
																		if (BgL__ortest_1111z00_4925)
																			{	/* Stackable/walk.scm 229 */
																				BgL_res2294z00_4921 =
																					BgL__ortest_1111z00_4925;
																			}
																		else
																			{	/* Stackable/walk.scm 229 */
																				long BgL_odepthz00_4926;

																				BgL_odepthz00_4926 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4922);
																				if ((((long) 2) < BgL_odepthz00_4926))
																					{	/* Stackable/walk.scm 229 */
																						obj_t BgL_arg1816z00_4927;

																						BgL_arg1816z00_4927 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4922, ((long) 2));
																						BgL_res2294z00_4921 =
																							(BgL_arg1816z00_4927 ==
																							BgL_classz00_4916);
																					}
																				else
																					{	/* Stackable/walk.scm 229 */
																						BgL_res2294z00_4921 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2576z00_6749 = BgL_res2294z00_4921;
															}
													}
												}
												if (BgL_test2576z00_6749)
													{	/* Stackable/walk.scm 229 */
														if (
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_vz00_4913)))->
																	BgL_modulez00) == CNST_TABLE_REF(((long) 9))))
															{	/* Stackable/walk.scm 231 */
																BgL_test2575z00_6748 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	((((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt) (
																							(BgL_globalz00_bglt)
																							BgL_vz00_4913))))->BgL_idz00),
																		CNST_TABLE_REF(((long) 10))));
															}
														else
															{	/* Stackable/walk.scm 231 */
																BgL_test2575z00_6748 = ((bool_t) 0);
															}
													}
												else
													{	/* Stackable/walk.scm 229 */
														BgL_test2575z00_6748 = ((bool_t) 0);
													}
											}
											if (BgL_test2575z00_6748)
												{	/* Stackable/walk.scm 229 */
													BFALSE;
												}
											else
												{	/* Stackable/walk.scm 229 */
													BGl_escapez12z12zzstackable_walkz00(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_4619)),
														((obj_t) BgL_ctxz00_4622));
												}
										}
									else
										{	/* Stackable/walk.scm 228 */
											BFALSE;
										}
								}
								{	/* Stackable/walk.scm 235 */
									bool_t BgL_test2581z00_6785;

									{	/* Stackable/walk.scm 235 */
										obj_t BgL_classz00_4928;

										BgL_classz00_4928 = BGl_localz00zzast_varz00;
										{	/* Stackable/walk.scm 235 */
											BgL_objectz00_bglt BgL_arg1820z00_4929;

											{	/* Stackable/walk.scm 235 */
												obj_t BgL_tmpz00_6786;

												BgL_tmpz00_6786 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4913));
												BgL_arg1820z00_4929 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6786);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Stackable/walk.scm 235 */
													long BgL_idxz00_4930;

													BgL_idxz00_4930 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_4929);
													BgL_test2581z00_6785 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4930 + ((long) 2))) ==
														BgL_classz00_4928);
												}
											else
												{	/* Stackable/walk.scm 235 */
													bool_t BgL_res2295z00_4933;

													{	/* Stackable/walk.scm 235 */
														obj_t BgL_oclassz00_4934;

														{	/* Stackable/walk.scm 235 */
															long BgL_arg1828z00_4935;

															{	/* Stackable/walk.scm 235 */
																long BgL_arg1829z00_4936;

																BgL_arg1829z00_4936 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_4929);
																BgL_arg1828z00_4935 =
																	(BgL_arg1829z00_4936 - OBJECT_TYPE);
															}
															BgL_oclassz00_4934 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_4935);
														}
														{	/* Stackable/walk.scm 235 */
															bool_t BgL__ortest_1111z00_4937;

															BgL__ortest_1111z00_4937 =
																(BgL_classz00_4928 == BgL_oclassz00_4934);
															if (BgL__ortest_1111z00_4937)
																{	/* Stackable/walk.scm 235 */
																	BgL_res2295z00_4933 =
																		BgL__ortest_1111z00_4937;
																}
															else
																{	/* Stackable/walk.scm 235 */
																	long BgL_odepthz00_4938;

																	BgL_odepthz00_4938 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4934);
																	if ((((long) 2) < BgL_odepthz00_4938))
																		{	/* Stackable/walk.scm 235 */
																			obj_t BgL_arg1816z00_4939;

																			BgL_arg1816z00_4939 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4934, ((long) 2));
																			BgL_res2295z00_4933 =
																				(BgL_arg1816z00_4939 ==
																				BgL_classz00_4928);
																		}
																	else
																		{	/* Stackable/walk.scm 235 */
																			BgL_res2295z00_4933 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2581z00_6785 = BgL_res2295z00_4933;
												}
										}
									}
									if (BgL_test2581z00_6785)
										{	/* Stackable/walk.scm 237 */
											obj_t BgL_g1419z00_4940;

											BgL_g1419z00_4940 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4619)))->
												BgL_argsz00);
											{
												obj_t BgL_l1417z00_4942;

												BgL_l1417z00_4942 = BgL_g1419z00_4940;
											BgL_zc3z04anonymousza31960ze3z87_4941:
												if (PAIRP(BgL_l1417z00_4942))
													{	/* Stackable/walk.scm 237 */
														{	/* Stackable/walk.scm 237 */
															obj_t BgL_az00_4943;

															BgL_az00_4943 = CAR(BgL_l1417z00_4942);
															BGl_stackablez00zzstackable_walkz00(
																((BgL_nodez00_bglt) BgL_az00_4943),
																((bool_t) 1), ((long) 100000),
																((obj_t) BgL_ctxz00_4622));
														}
														{
															obj_t BgL_l1417z00_6814;

															BgL_l1417z00_6814 = CDR(BgL_l1417z00_4942);
															BgL_l1417z00_4942 = BgL_l1417z00_6814;
															goto BgL_zc3z04anonymousza31960ze3z87_4941;
														}
													}
												else
													{	/* Stackable/walk.scm 237 */
														BgL_tmpz00_6729 = ((bool_t) 1);
													}
											}
										}
									else
										{	/* Stackable/walk.scm 238 */
											bool_t BgL_test2586z00_6816;

											{	/* Stackable/walk.scm 238 */
												bool_t BgL_test2587z00_6817;

												{	/* Stackable/walk.scm 238 */
													obj_t BgL_classz00_4944;

													BgL_classz00_4944 = BGl_sfunz00zzast_varz00;
													{	/* Stackable/walk.scm 238 */
														BgL_objectz00_bglt BgL_arg1820z00_4945;

														{	/* Stackable/walk.scm 238 */
															obj_t BgL_tmpz00_6818;

															BgL_tmpz00_6818 =
																((obj_t) ((BgL_objectz00_bglt) BgL_fz00_4914));
															BgL_arg1820z00_4945 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6818);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Stackable/walk.scm 238 */
																long BgL_idxz00_4946;

																BgL_idxz00_4946 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_4945);
																BgL_test2587z00_6817 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4946 + ((long) 3))) ==
																	BgL_classz00_4944);
															}
														else
															{	/* Stackable/walk.scm 238 */
																bool_t BgL_res2296z00_4949;

																{	/* Stackable/walk.scm 238 */
																	obj_t BgL_oclassz00_4950;

																	{	/* Stackable/walk.scm 238 */
																		long BgL_arg1828z00_4951;

																		{	/* Stackable/walk.scm 238 */
																			long BgL_arg1829z00_4952;

																			BgL_arg1829z00_4952 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_4945);
																			BgL_arg1828z00_4951 =
																				(BgL_arg1829z00_4952 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4950 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_4951);
																	}
																	{	/* Stackable/walk.scm 238 */
																		bool_t BgL__ortest_1111z00_4953;

																		BgL__ortest_1111z00_4953 =
																			(BgL_classz00_4944 == BgL_oclassz00_4950);
																		if (BgL__ortest_1111z00_4953)
																			{	/* Stackable/walk.scm 238 */
																				BgL_res2296z00_4949 =
																					BgL__ortest_1111z00_4953;
																			}
																		else
																			{	/* Stackable/walk.scm 238 */
																				long BgL_odepthz00_4954;

																				BgL_odepthz00_4954 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4950);
																				if ((((long) 3) < BgL_odepthz00_4954))
																					{	/* Stackable/walk.scm 238 */
																						obj_t BgL_arg1816z00_4955;

																						BgL_arg1816z00_4955 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4950, ((long) 3));
																						BgL_res2296z00_4949 =
																							(BgL_arg1816z00_4955 ==
																							BgL_classz00_4944);
																					}
																				else
																					{	/* Stackable/walk.scm 238 */
																						BgL_res2296z00_4949 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2587z00_6817 = BgL_res2296z00_4949;
															}
													}
												}
												if (BgL_test2587z00_6817)
													{	/* Stackable/walk.scm 238 */
														if (BGl_importzf3zf3zzstackable_walkz00
															(BgL_vz00_4913))
															{	/* Stackable/walk.scm 238 */
																BgL_test2586z00_6816 = ((bool_t) 0);
															}
														else
															{	/* Stackable/walk.scm 238 */
																BgL_test2586z00_6816 = ((bool_t) 1);
															}
													}
												else
													{	/* Stackable/walk.scm 238 */
														BgL_test2586z00_6816 = ((bool_t) 0);
													}
											}
											if (BgL_test2586z00_6816)
												{	/* Stackable/walk.scm 238 */
													BGl_varzd2stackablezd2zzstackable_walkz00
														(BgL_vz00_4913, ((obj_t) BgL_ctxz00_4622));
													{	/* Stackable/walk.scm 241 */
														obj_t BgL_g1423z00_4956;
														obj_t BgL_g1424z00_4957;

														BgL_g1423z00_4956 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_4914)))->
															BgL_argsz00);
														BgL_g1424z00_4957 =
															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																		BgL_nodez00_4619)))->BgL_argsz00);
														{
															obj_t BgL_ll1420z00_4959;
															obj_t BgL_ll1421z00_4960;

															BgL_ll1420z00_4959 = BgL_g1423z00_4956;
															BgL_ll1421z00_4960 = BgL_g1424z00_4957;
														BgL_zc3z04anonymousza31967ze3z87_4958:
															if (NULLP(BgL_ll1420z00_4959))
																{	/* Stackable/walk.scm 241 */
																	BgL_tmpz00_6729 = ((bool_t) 1);
																}
															else
																{	/* Stackable/walk.scm 241 */
																	{	/* Stackable/walk.scm 242 */
																		obj_t BgL_pz00_4961;
																		obj_t BgL_az00_4962;

																		BgL_pz00_4961 =
																			CAR(((obj_t) BgL_ll1420z00_4959));
																		BgL_az00_4962 =
																			CAR(((obj_t) BgL_ll1421z00_4960));
																		{	/* Stackable/walk.scm 242 */
																			bool_t BgL_test2593z00_6852;

																			{	/* Stackable/walk.scm 242 */
																				obj_t BgL_classz00_4963;

																				BgL_classz00_4963 =
																					BGl_localz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_pz00_4961))
																					{	/* Stackable/walk.scm 242 */
																						BgL_objectz00_bglt
																							BgL_arg1820z00_4964;
																						BgL_arg1820z00_4964 =
																							(BgL_objectz00_bglt)
																							(BgL_pz00_4961);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Stackable/walk.scm 242 */
																								long BgL_idxz00_4965;

																								BgL_idxz00_4965 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1820z00_4964);
																								BgL_test2593z00_6852 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4965 +
																											((long) 2))) ==
																									BgL_classz00_4963);
																							}
																						else
																							{	/* Stackable/walk.scm 242 */
																								bool_t BgL_res2297z00_4968;

																								{	/* Stackable/walk.scm 242 */
																									obj_t BgL_oclassz00_4969;

																									{	/* Stackable/walk.scm 242 */
																										long BgL_arg1828z00_4970;

																										{	/* Stackable/walk.scm 242 */
																											long BgL_arg1829z00_4971;

																											BgL_arg1829z00_4971 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1820z00_4964);
																											BgL_arg1828z00_4970 =
																												(BgL_arg1829z00_4971 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4969 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1828z00_4970);
																									}
																									{	/* Stackable/walk.scm 242 */
																										bool_t
																											BgL__ortest_1111z00_4972;
																										BgL__ortest_1111z00_4972 =
																											(BgL_classz00_4963 ==
																											BgL_oclassz00_4969);
																										if (BgL__ortest_1111z00_4972)
																											{	/* Stackable/walk.scm 242 */
																												BgL_res2297z00_4968 =
																													BgL__ortest_1111z00_4972;
																											}
																										else
																											{	/* Stackable/walk.scm 242 */
																												long BgL_odepthz00_4973;

																												BgL_odepthz00_4973 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_4969);
																												if ((((long) 2) <
																														BgL_odepthz00_4973))
																													{	/* Stackable/walk.scm 242 */
																														obj_t
																															BgL_arg1816z00_4974;
																														BgL_arg1816z00_4974
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_4969,
																															((long) 2));
																														BgL_res2297z00_4968
																															=
																															(BgL_arg1816z00_4974
																															==
																															BgL_classz00_4963);
																													}
																												else
																													{	/* Stackable/walk.scm 242 */
																														BgL_res2297z00_4968
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2593z00_6852 =
																									BgL_res2297z00_4968;
																							}
																					}
																				else
																					{	/* Stackable/walk.scm 242 */
																						BgL_test2593z00_6852 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2593z00_6852)
																				{	/* Stackable/walk.scm 244 */
																					bool_t BgL_arg1970z00_4975;

																					if (CBOOL(
																							(((BgL_localz00_bglt) COBJECT(
																										((BgL_localz00_bglt)
																											BgL_pz00_4961)))->
																								BgL_valzd2noescapezd2)))
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1970z00_4975 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1970z00_4975 =
																								((bool_t) 1);
																						}
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_4962),
																						BgL_arg1970z00_4975,
																						((long) 100000),
																						((obj_t) BgL_ctxz00_4622));
																				}
																			else
																				{	/* Stackable/walk.scm 242 */
																					BFALSE;
																				}
																		}
																	}
																	{	/* Stackable/walk.scm 241 */
																		obj_t BgL_arg1973z00_4976;
																		obj_t BgL_arg1974z00_4977;

																		BgL_arg1973z00_4976 =
																			CDR(((obj_t) BgL_ll1420z00_4959));
																		BgL_arg1974z00_4977 =
																			CDR(((obj_t) BgL_ll1421z00_4960));
																		{
																			obj_t BgL_ll1421z00_6884;
																			obj_t BgL_ll1420z00_6883;

																			BgL_ll1420z00_6883 = BgL_arg1973z00_4976;
																			BgL_ll1421z00_6884 = BgL_arg1974z00_4977;
																			BgL_ll1421z00_4960 = BgL_ll1421z00_6884;
																			BgL_ll1420z00_4959 = BgL_ll1420z00_6883;
																			goto
																				BgL_zc3z04anonymousza31967ze3z87_4958;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Stackable/walk.scm 246 */
													bool_t BgL_test2599z00_6885;

													{	/* Stackable/walk.scm 246 */
														obj_t BgL_classz00_4978;

														BgL_classz00_4978 = BGl_funz00zzast_varz00;
														{	/* Stackable/walk.scm 246 */
															BgL_objectz00_bglt BgL_arg1820z00_4979;

															{	/* Stackable/walk.scm 246 */
																obj_t BgL_tmpz00_6886;

																BgL_tmpz00_6886 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_fz00_4914));
																BgL_arg1820z00_4979 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_6886);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Stackable/walk.scm 246 */
																	long BgL_idxz00_4980;

																	BgL_idxz00_4980 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1820z00_4979);
																	BgL_test2599z00_6885 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4980 + ((long) 2))) ==
																		BgL_classz00_4978);
																}
															else
																{	/* Stackable/walk.scm 246 */
																	bool_t BgL_res2298z00_4983;

																	{	/* Stackable/walk.scm 246 */
																		obj_t BgL_oclassz00_4984;

																		{	/* Stackable/walk.scm 246 */
																			long BgL_arg1828z00_4985;

																			{	/* Stackable/walk.scm 246 */
																				long BgL_arg1829z00_4986;

																				BgL_arg1829z00_4986 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1820z00_4979);
																				BgL_arg1828z00_4985 =
																					(BgL_arg1829z00_4986 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4984 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1828z00_4985);
																		}
																		{	/* Stackable/walk.scm 246 */
																			bool_t BgL__ortest_1111z00_4987;

																			BgL__ortest_1111z00_4987 =
																				(BgL_classz00_4978 ==
																				BgL_oclassz00_4984);
																			if (BgL__ortest_1111z00_4987)
																				{	/* Stackable/walk.scm 246 */
																					BgL_res2298z00_4983 =
																						BgL__ortest_1111z00_4987;
																				}
																			else
																				{	/* Stackable/walk.scm 246 */
																					long BgL_odepthz00_4988;

																					BgL_odepthz00_4988 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4984);
																					if ((((long) 2) < BgL_odepthz00_4988))
																						{	/* Stackable/walk.scm 246 */
																							obj_t BgL_arg1816z00_4989;

																							BgL_arg1816z00_4989 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4984,
																								((long) 2));
																							BgL_res2298z00_4983 =
																								(BgL_arg1816z00_4989 ==
																								BgL_classz00_4978);
																						}
																					else
																						{	/* Stackable/walk.scm 246 */
																							BgL_res2298z00_4983 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2599z00_6885 = BgL_res2298z00_4983;
																}
														}
													}
													if (BgL_test2599z00_6885)
														{	/* Stackable/walk.scm 246 */
															if (
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt) BgL_fz00_4914)))->
																		BgL_argszd2noescapezd2) ==
																	CNST_TABLE_REF(((long) 11))))
																{	/* Stackable/walk.scm 250 */
																	obj_t BgL_g1427z00_4990;

																	BgL_g1427z00_4990 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_4619)))->
																		BgL_argsz00);
																	{
																		obj_t BgL_l1425z00_4992;

																		BgL_l1425z00_4992 = BgL_g1427z00_4990;
																	BgL_zc3z04anonymousza31978ze3z87_4991:
																		if (PAIRP(BgL_l1425z00_4992))
																			{	/* Stackable/walk.scm 250 */
																				{	/* Stackable/walk.scm 250 */
																					obj_t BgL_az00_4993;

																					BgL_az00_4993 =
																						CAR(BgL_l1425z00_4992);
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_4993),
																						((bool_t) 0), ((long) 100000),
																						((obj_t) BgL_ctxz00_4622));
																				}
																				{
																					obj_t BgL_l1425z00_6919;

																					BgL_l1425z00_6919 =
																						CDR(BgL_l1425z00_4992);
																					BgL_l1425z00_4992 = BgL_l1425z00_6919;
																					goto
																						BgL_zc3z04anonymousza31978ze3z87_4991;
																				}
																			}
																		else
																			{	/* Stackable/walk.scm 250 */
																				BgL_tmpz00_6729 = ((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Stackable/walk.scm 251 */
																	bool_t BgL_test2605z00_6921;

																	if (
																		((((BgL_funz00_bglt) COBJECT(
																						((BgL_funz00_bglt)
																							BgL_fz00_4914)))->
																				BgL_argszd2retescapezd2) ==
																			CNST_TABLE_REF(((long) 11))))
																		{	/* Stackable/walk.scm 251 */
																			if (CBOOL(
																					(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4619)))->
																						BgL_stackablez00)))
																				{	/* Stackable/walk.scm 251 */
																					BgL_argsz00_4835 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4619)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1414z00_4837;

																						BgL_l1414z00_4837 =
																							BgL_argsz00_4835;
																					BgL_zc3z04anonymousza32034ze3z87_4836:
																						if (NULLP
																							(BgL_l1414z00_4837))
																							{	/* Stackable/walk.scm 207 */
																								BgL_test2605z00_6921 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Stackable/walk.scm 209 */
																								obj_t BgL_nvz00_4838;

																								{	/* Stackable/walk.scm 209 */
																									obj_t BgL_az00_4839;

																									BgL_az00_4839 =
																										CAR(
																										((obj_t)
																											BgL_l1414z00_4837));
																									{	/* Stackable/walk.scm 209 */
																										bool_t BgL_test2609z00_6935;

																										{	/* Stackable/walk.scm 209 */
																											obj_t BgL_classz00_4840;

																											BgL_classz00_4840 =
																												BGl_appz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_az00_4839))
																												{	/* Stackable/walk.scm 209 */
																													BgL_objectz00_bglt
																														BgL_arg1820z00_4841;
																													BgL_arg1820z00_4841 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_4839);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Stackable/walk.scm 209 */
																															long
																																BgL_idxz00_4842;
																															BgL_idxz00_4842 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1820z00_4841);
																															BgL_test2609z00_6935
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4842
																																		+
																																		((long) 3)))
																																==
																																BgL_classz00_4840);
																														}
																													else
																														{	/* Stackable/walk.scm 209 */
																															bool_t
																																BgL_res2288z00_4845;
																															{	/* Stackable/walk.scm 209 */
																																obj_t
																																	BgL_oclassz00_4846;
																																{	/* Stackable/walk.scm 209 */
																																	long
																																		BgL_arg1828z00_4847;
																																	{	/* Stackable/walk.scm 209 */
																																		long
																																			BgL_arg1829z00_4848;
																																		BgL_arg1829z00_4848
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1820z00_4841);
																																		BgL_arg1828z00_4847
																																			=
																																			(BgL_arg1829z00_4848
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4846
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1828z00_4847);
																																}
																																{	/* Stackable/walk.scm 209 */
																																	bool_t
																																		BgL__ortest_1111z00_4849;
																																	BgL__ortest_1111z00_4849
																																		=
																																		(BgL_classz00_4840
																																		==
																																		BgL_oclassz00_4846);
																																	if (BgL__ortest_1111z00_4849)
																																		{	/* Stackable/walk.scm 209 */
																																			BgL_res2288z00_4845
																																				=
																																				BgL__ortest_1111z00_4849;
																																		}
																																	else
																																		{	/* Stackable/walk.scm 209 */
																																			long
																																				BgL_odepthz00_4850;
																																			BgL_odepthz00_4850
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_4846);
																																			if ((((long) 3) < BgL_odepthz00_4850))
																																				{	/* Stackable/walk.scm 209 */
																																					obj_t
																																						BgL_arg1816z00_4851;
																																					BgL_arg1816z00_4851
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_4846,
																																						((long) 3));
																																					BgL_res2288z00_4845
																																						=
																																						(BgL_arg1816z00_4851
																																						==
																																						BgL_classz00_4840);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 209 */
																																					BgL_res2288z00_4845
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2609z00_6935
																																=
																																BgL_res2288z00_4845;
																														}
																												}
																											else
																												{	/* Stackable/walk.scm 209 */
																													BgL_test2609z00_6935 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2609z00_6935)
																											{	/* Stackable/walk.scm 209 */
																												BgL_nvz00_4838 =
																													(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_az00_4839)))->
																													BgL_stackablez00);
																											}
																										else
																											{	/* Stackable/walk.scm 211 */
																												bool_t
																													BgL_test2614z00_6957;
																												{	/* Stackable/walk.scm 211 */
																													obj_t
																														BgL_classz00_4852;
																													BgL_classz00_4852 =
																														BGl_makezd2boxzd2zzast_nodez00;
																													if (BGL_OBJECTP
																														(BgL_az00_4839))
																														{	/* Stackable/walk.scm 211 */
																															BgL_objectz00_bglt
																																BgL_arg1820z00_4853;
																															BgL_arg1820z00_4853
																																=
																																(BgL_objectz00_bglt)
																																(BgL_az00_4839);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Stackable/walk.scm 211 */
																																	long
																																		BgL_idxz00_4854;
																																	BgL_idxz00_4854
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1820z00_4853);
																																	BgL_test2614z00_6957
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_4854
																																				+
																																				((long)
																																					3)))
																																		==
																																		BgL_classz00_4852);
																																}
																															else
																																{	/* Stackable/walk.scm 211 */
																																	bool_t
																																		BgL_res2289z00_4857;
																																	{	/* Stackable/walk.scm 211 */
																																		obj_t
																																			BgL_oclassz00_4858;
																																		{	/* Stackable/walk.scm 211 */
																																			long
																																				BgL_arg1828z00_4859;
																																			{	/* Stackable/walk.scm 211 */
																																				long
																																					BgL_arg1829z00_4860;
																																				BgL_arg1829z00_4860
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1820z00_4853);
																																				BgL_arg1828z00_4859
																																					=
																																					(BgL_arg1829z00_4860
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_4858
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1828z00_4859);
																																		}
																																		{	/* Stackable/walk.scm 211 */
																																			bool_t
																																				BgL__ortest_1111z00_4861;
																																			BgL__ortest_1111z00_4861
																																				=
																																				(BgL_classz00_4852
																																				==
																																				BgL_oclassz00_4858);
																																			if (BgL__ortest_1111z00_4861)
																																				{	/* Stackable/walk.scm 211 */
																																					BgL_res2289z00_4857
																																						=
																																						BgL__ortest_1111z00_4861;
																																				}
																																			else
																																				{	/* Stackable/walk.scm 211 */
																																					long
																																						BgL_odepthz00_4862;
																																					BgL_odepthz00_4862
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_4858);
																																					if ((((long) 3) < BgL_odepthz00_4862))
																																						{	/* Stackable/walk.scm 211 */
																																							obj_t
																																								BgL_arg1816z00_4863;
																																							BgL_arg1816z00_4863
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_4858,
																																								((long) 3));
																																							BgL_res2289z00_4857
																																								=
																																								(BgL_arg1816z00_4863
																																								==
																																								BgL_classz00_4852);
																																						}
																																					else
																																						{	/* Stackable/walk.scm 211 */
																																							BgL_res2289z00_4857
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2614z00_6957
																																		=
																																		BgL_res2289z00_4857;
																																}
																														}
																													else
																														{	/* Stackable/walk.scm 211 */
																															BgL_test2614z00_6957
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2614z00_6957)
																													{	/* Stackable/walk.scm 211 */
																														BgL_nvz00_4838 =
																															(((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt) BgL_az00_4839)))->BgL_stackablez00);
																													}
																												else
																													{	/* Stackable/walk.scm 213 */
																														bool_t
																															BgL_test2619z00_6979;
																														{	/* Stackable/walk.scm 213 */
																															obj_t
																																BgL_classz00_4864;
																															BgL_classz00_4864
																																=
																																BGl_varz00zzast_nodez00;
																															if (BGL_OBJECTP
																																(BgL_az00_4839))
																																{	/* Stackable/walk.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_arg1820z00_4865;
																																	BgL_arg1820z00_4865
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_az00_4839);
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Stackable/walk.scm 213 */
																																			long
																																				BgL_idxz00_4866;
																																			BgL_idxz00_4866
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1820z00_4865);
																																			BgL_test2619z00_6979
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4866
																																						+
																																						((long) 2))) == BgL_classz00_4864);
																																		}
																																	else
																																		{	/* Stackable/walk.scm 213 */
																																			bool_t
																																				BgL_res2290z00_4869;
																																			{	/* Stackable/walk.scm 213 */
																																				obj_t
																																					BgL_oclassz00_4870;
																																				{	/* Stackable/walk.scm 213 */
																																					long
																																						BgL_arg1828z00_4871;
																																					{	/* Stackable/walk.scm 213 */
																																						long
																																							BgL_arg1829z00_4872;
																																						BgL_arg1829z00_4872
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1820z00_4865);
																																						BgL_arg1828z00_4871
																																							=
																																							(BgL_arg1829z00_4872
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4870
																																						=
																																						VECTOR_REF
																																						(BGl_za2classesza2z00zz__objectz00,
																																						BgL_arg1828z00_4871);
																																				}
																																				{	/* Stackable/walk.scm 213 */
																																					bool_t
																																						BgL__ortest_1111z00_4873;
																																					BgL__ortest_1111z00_4873
																																						=
																																						(BgL_classz00_4864
																																						==
																																						BgL_oclassz00_4870);
																																					if (BgL__ortest_1111z00_4873)
																																						{	/* Stackable/walk.scm 213 */
																																							BgL_res2290z00_4869
																																								=
																																								BgL__ortest_1111z00_4873;
																																						}
																																					else
																																						{	/* Stackable/walk.scm 213 */
																																							long
																																								BgL_odepthz00_4874;
																																							BgL_odepthz00_4874
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_oclassz00_4870);
																																							if ((((long) 2) < BgL_odepthz00_4874))
																																								{	/* Stackable/walk.scm 213 */
																																									obj_t
																																										BgL_arg1816z00_4875;
																																									BgL_arg1816z00_4875
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_oclassz00_4870,
																																										((long) 2));
																																									BgL_res2290z00_4869
																																										=
																																										(BgL_arg1816z00_4875
																																										==
																																										BgL_classz00_4864);
																																								}
																																							else
																																								{	/* Stackable/walk.scm 213 */
																																									BgL_res2290z00_4869
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test2619z00_6979
																																				=
																																				BgL_res2290z00_4869;
																																		}
																																}
																															else
																																{	/* Stackable/walk.scm 213 */
																																	BgL_test2619z00_6979
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test2619z00_6979)
																															{	/* Stackable/walk.scm 215 */
																																bool_t
																																	BgL_test2624z00_6999;
																																{	/* Stackable/walk.scm 215 */
																																	BgL_variablez00_bglt
																																		BgL_arg2043z00_4876;
																																	BgL_arg2043z00_4876
																																		=
																																		(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4839)))->BgL_variablez00);
																																	{	/* Stackable/walk.scm 215 */
																																		obj_t
																																			BgL_classz00_4877;
																																		BgL_classz00_4877
																																			=
																																			BGl_localz00zzast_varz00;
																																		{	/* Stackable/walk.scm 215 */
																																			BgL_objectz00_bglt
																																				BgL_arg1820z00_4878;
																																			{	/* Stackable/walk.scm 215 */
																																				obj_t
																																					BgL_tmpz00_7002;
																																				BgL_tmpz00_7002
																																					=
																																					(
																																					(obj_t)
																																					((BgL_objectz00_bglt) BgL_arg2043z00_4876));
																																				BgL_arg1820z00_4878
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_tmpz00_7002);
																																			}
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Stackable/walk.scm 215 */
																																					long
																																						BgL_idxz00_4879;
																																					BgL_idxz00_4879
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1820z00_4878);
																																					BgL_test2624z00_6999
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4879
																																								+
																																								((long) 2))) == BgL_classz00_4877);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 215 */
																																					bool_t
																																						BgL_res2291z00_4882;
																																					{	/* Stackable/walk.scm 215 */
																																						obj_t
																																							BgL_oclassz00_4883;
																																						{	/* Stackable/walk.scm 215 */
																																							long
																																								BgL_arg1828z00_4884;
																																							{	/* Stackable/walk.scm 215 */
																																								long
																																									BgL_arg1829z00_4885;
																																								BgL_arg1829z00_4885
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1820z00_4878);
																																								BgL_arg1828z00_4884
																																									=
																																									(BgL_arg1829z00_4885
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4883
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1828z00_4884);
																																						}
																																						{	/* Stackable/walk.scm 215 */
																																							bool_t
																																								BgL__ortest_1111z00_4886;
																																							BgL__ortest_1111z00_4886
																																								=
																																								(BgL_classz00_4877
																																								==
																																								BgL_oclassz00_4883);
																																							if (BgL__ortest_1111z00_4886)
																																								{	/* Stackable/walk.scm 215 */
																																									BgL_res2291z00_4882
																																										=
																																										BgL__ortest_1111z00_4886;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 215 */
																																									long
																																										BgL_odepthz00_4887;
																																									BgL_odepthz00_4887
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_4883);
																																									if ((((long) 2) < BgL_odepthz00_4887))
																																										{	/* Stackable/walk.scm 215 */
																																											obj_t
																																												BgL_arg1816z00_4888;
																																											BgL_arg1816z00_4888
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_4883,
																																												((long) 2));
																																											BgL_res2291z00_4882
																																												=
																																												(BgL_arg1816z00_4888
																																												==
																																												BgL_classz00_4877);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 215 */
																																											BgL_res2291z00_4882
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2624z00_6999
																																						=
																																						BgL_res2291z00_4882;
																																				}
																																		}
																																	}
																																}
																																if (BgL_test2624z00_6999)
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4838
																																			=
																																			(((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) (((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4839)))->BgL_variablez00))))->BgL_valzd2noescapezd2);
																																	}
																																else
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4838
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Stackable/walk.scm 218 */
																																bool_t
																																	BgL_test2628z00_7026;
																																{	/* Stackable/walk.scm 218 */
																																	obj_t
																																		BgL_classz00_4889;
																																	BgL_classz00_4889
																																		=
																																		BGl_atomz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_az00_4839))
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_objectz00_bglt
																																				BgL_arg1820z00_4890;
																																			BgL_arg1820z00_4890
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_az00_4839);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Stackable/walk.scm 218 */
																																					long
																																						BgL_idxz00_4891;
																																					BgL_idxz00_4891
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1820z00_4890);
																																					BgL_test2628z00_7026
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4891
																																								+
																																								((long) 2))) == BgL_classz00_4889);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 218 */
																																					bool_t
																																						BgL_res2292z00_4894;
																																					{	/* Stackable/walk.scm 218 */
																																						obj_t
																																							BgL_oclassz00_4895;
																																						{	/* Stackable/walk.scm 218 */
																																							long
																																								BgL_arg1828z00_4896;
																																							{	/* Stackable/walk.scm 218 */
																																								long
																																									BgL_arg1829z00_4897;
																																								BgL_arg1829z00_4897
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1820z00_4890);
																																								BgL_arg1828z00_4896
																																									=
																																									(BgL_arg1829z00_4897
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4895
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1828z00_4896);
																																						}
																																						{	/* Stackable/walk.scm 218 */
																																							bool_t
																																								BgL__ortest_1111z00_4898;
																																							BgL__ortest_1111z00_4898
																																								=
																																								(BgL_classz00_4889
																																								==
																																								BgL_oclassz00_4895);
																																							if (BgL__ortest_1111z00_4898)
																																								{	/* Stackable/walk.scm 218 */
																																									BgL_res2292z00_4894
																																										=
																																										BgL__ortest_1111z00_4898;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_odepthz00_4899;
																																									BgL_odepthz00_4899
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_4895);
																																									if ((((long) 2) < BgL_odepthz00_4899))
																																										{	/* Stackable/walk.scm 218 */
																																											obj_t
																																												BgL_arg1816z00_4900;
																																											BgL_arg1816z00_4900
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_4895,
																																												((long) 2));
																																											BgL_res2292z00_4894
																																												=
																																												(BgL_arg1816z00_4900
																																												==
																																												BgL_classz00_4889);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 218 */
																																											BgL_res2292z00_4894
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2628z00_7026
																																						=
																																						BgL_res2292z00_4894;
																																				}
																																		}
																																	else
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_test2628z00_7026
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2628z00_7026)
																																	{	/* Stackable/walk.scm 218 */
																																		BgL_nvz00_4838
																																			= BTRUE;
																																	}
																																else
																																	{	/* Stackable/walk.scm 218 */
																																		obj_t
																																			BgL_classz00_4901;
																																		BgL_classz00_4901
																																			=
																																			BGl_kwotez00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_az00_4839))
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_objectz00_bglt
																																					BgL_arg1820z00_4902;
																																				BgL_arg1820z00_4902
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_az00_4839);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Stackable/walk.scm 218 */
																																						long
																																							BgL_idxz00_4903;
																																						BgL_idxz00_4903
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1820z00_4902);
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_arg1814z00_4904;
																																							BgL_arg1814z00_4904
																																								=
																																								VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_4903
																																									+
																																									((long) 2)));
																																							BgL_nvz00_4838
																																								=
																																								BBOOL
																																								(
																																								(BgL_arg1814z00_4904
																																									==
																																									BgL_classz00_4901));
																																					}}
																																				else
																																					{	/* Stackable/walk.scm 218 */
																																						bool_t
																																							BgL_res2293z00_4906;
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_oclassz00_4907;
																																							{	/* Stackable/walk.scm 218 */
																																								long
																																									BgL_arg1828z00_4908;
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_arg1829z00_4909;
																																									BgL_arg1829z00_4909
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1820z00_4902);
																																									BgL_arg1828z00_4908
																																										=
																																										(BgL_arg1829z00_4909
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_4907
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1828z00_4908);
																																							}
																																							{	/* Stackable/walk.scm 218 */
																																								bool_t
																																									BgL__ortest_1111z00_4910;
																																								BgL__ortest_1111z00_4910
																																									=
																																									(BgL_classz00_4901
																																									==
																																									BgL_oclassz00_4907);
																																								if (BgL__ortest_1111z00_4910)
																																									{	/* Stackable/walk.scm 218 */
																																										BgL_res2293z00_4906
																																											=
																																											BgL__ortest_1111z00_4910;
																																									}
																																								else
																																									{	/* Stackable/walk.scm 218 */
																																										long
																																											BgL_odepthz00_4911;
																																										BgL_odepthz00_4911
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_4907);
																																										if ((((long) 2) < BgL_odepthz00_4911))
																																											{	/* Stackable/walk.scm 218 */
																																												obj_t
																																													BgL_arg1816z00_4912;
																																												BgL_arg1816z00_4912
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_4907,
																																													((long) 2));
																																												BgL_res2293z00_4906
																																													=
																																													(BgL_arg1816z00_4912
																																													==
																																													BgL_classz00_4901);
																																											}
																																										else
																																											{	/* Stackable/walk.scm 218 */
																																												BgL_res2293z00_4906
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_nvz00_4838
																																							=
																																							BBOOL
																																							(BgL_res2293z00_4906);
																																					}
																																			}
																																		else
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_nvz00_4838
																																					=
																																					BFALSE;
																																			}
																																	}
																															}
																													}
																											}
																									}
																								}
																								if (CBOOL(BgL_nvz00_4838))
																									{
																										obj_t BgL_l1414z00_7069;

																										BgL_l1414z00_7069 =
																											CDR(
																											((obj_t)
																												BgL_l1414z00_4837));
																										BgL_l1414z00_4837 =
																											BgL_l1414z00_7069;
																										goto
																											BgL_zc3z04anonymousza32034ze3z87_4836;
																									}
																								else
																									{	/* Stackable/walk.scm 207 */
																										BgL_test2605z00_6921 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Stackable/walk.scm 251 */
																					BgL_test2605z00_6921 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Stackable/walk.scm 251 */
																			BgL_test2605z00_6921 = ((bool_t) 0);
																		}
																	if (BgL_test2605z00_6921)
																		{	/* Stackable/walk.scm 252 */
																			obj_t BgL_g1430z00_4994;

																			BgL_g1430z00_4994 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_4619)))->BgL_argsz00);
																			{
																				obj_t BgL_l1428z00_4996;

																				BgL_l1428z00_4996 = BgL_g1430z00_4994;
																			BgL_zc3z04anonymousza31988ze3z87_4995:
																				if (PAIRP(BgL_l1428z00_4996))
																					{	/* Stackable/walk.scm 252 */
																						{	/* Stackable/walk.scm 252 */
																							obj_t BgL_az00_4997;

																							BgL_az00_4997 =
																								CAR(BgL_l1428z00_4996);
																							BGl_stackablez00zzstackable_walkz00
																								(((BgL_nodez00_bglt)
																									BgL_az00_4997), ((bool_t) 0),
																								(long) CINT(BgL_depthz00_4621),
																								((obj_t) BgL_ctxz00_4622));
																						}
																						{
																							obj_t BgL_l1428z00_7083;

																							BgL_l1428z00_7083 =
																								CDR(BgL_l1428z00_4996);
																							BgL_l1428z00_4996 =
																								BgL_l1428z00_7083;
																							goto
																								BgL_zc3z04anonymousza31988ze3z87_4995;
																						}
																					}
																				else
																					{	/* Stackable/walk.scm 252 */
																						BgL_tmpz00_6729 = ((bool_t) 1);
																					}
																			}
																		}
																	else
																		{	/* Stackable/walk.scm 253 */
																			bool_t BgL_test2639z00_7085;

																			{	/* Stackable/walk.scm 253 */
																				bool_t BgL_test2640z00_7086;

																				{	/* Stackable/walk.scm 253 */
																					obj_t BgL_tmpz00_7087;

																					BgL_tmpz00_7087 =
																						(((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_fz00_4914)))->
																						BgL_argszd2noescapezd2);
																					BgL_test2640z00_7086 =
																						PAIRP(BgL_tmpz00_7087);
																				}
																				if (BgL_test2640z00_7086)
																					{	/* Stackable/walk.scm 253 */
																						BgL_test2639z00_7085 = ((bool_t) 1);
																					}
																				else
																					{	/* Stackable/walk.scm 253 */
																						obj_t BgL_tmpz00_7091;

																						BgL_tmpz00_7091 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										BgL_fz00_4914)))->
																							BgL_argszd2retescapezd2);
																						BgL_test2639z00_7085 =
																							PAIRP(BgL_tmpz00_7091);
																					}
																			}
																			if (BgL_test2639z00_7085)
																				{
																					long BgL_iz00_4999;
																					obj_t BgL_argsz00_5000;

																					BgL_iz00_4999 = ((long) 0);
																					BgL_argsz00_5000 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4619)))->
																						BgL_argsz00);
																				BgL_loopz00_4998:
																					if (PAIRP(BgL_argsz00_5000))
																						{	/* Stackable/walk.scm 256 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BINT(BgL_iz00_4999),
																										(((BgL_funz00_bglt)
																												COBJECT((
																														(BgL_funz00_bglt)
																														BgL_fz00_4914)))->
																											BgL_argszd2noescapezd2))))
																								{	/* Stackable/walk.scm 259 */
																									obj_t BgL_arg2001z00_5001;

																									BgL_arg2001z00_5001 =
																										CAR(BgL_argsz00_5000);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_arg2001z00_5001),
																										((bool_t) 0),
																										((long) 100000),
																										((obj_t) BgL_ctxz00_4622));
																								}
																							else
																								{	/* Stackable/walk.scm 260 */
																									bool_t BgL_test2643z00_7107;

																									if (CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																											(BINT(BgL_iz00_4999),
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_fz00_4914)))->
																													BgL_argszd2retescapezd2))))
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2643z00_7107 =
																												CBOOL(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_4619)))->
																													BgL_stackablez00));
																										}
																									else
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2643z00_7107 =
																												((bool_t) 0);
																										}
																									if (BgL_test2643z00_7107)
																										{	/* Stackable/walk.scm 261 */
																											obj_t BgL_arg2007z00_5002;
																											bool_t
																												BgL_arg2008z00_5003;
																											BgL_arg2007z00_5002 =
																												CAR(BgL_argsz00_5000);
																											if (CBOOL(((
																															(BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_nodez00_4619)))->
																														BgL_stackablez00)))
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2008z00_5003 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2008z00_5003 =
																														((bool_t) 1);
																												}
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2007z00_5002),
																												BgL_arg2008z00_5003,
																												(long)
																												CINT(BgL_depthz00_4621),
																												((obj_t)
																													BgL_ctxz00_4622));
																										}
																									else
																										{	/* Stackable/walk.scm 263 */
																											obj_t BgL_arg2010z00_5004;

																											BgL_arg2010z00_5004 =
																												CAR(BgL_argsz00_5000);
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2010z00_5004),
																												((bool_t) 1),
																												(long)
																												CINT(BgL_depthz00_4621),
																												((obj_t)
																													BgL_ctxz00_4622));
																								}}
																							{
																								obj_t BgL_argsz00_7133;
																								long BgL_iz00_7131;

																								BgL_iz00_7131 =
																									(BgL_iz00_4999 + ((long) 1));
																								BgL_argsz00_7133 =
																									CDR(BgL_argsz00_5000);
																								BgL_argsz00_5000 =
																									BgL_argsz00_7133;
																								BgL_iz00_4999 = BgL_iz00_7131;
																								goto BgL_loopz00_4998;
																							}
																						}
																					else
																						{	/* Stackable/walk.scm 256 */
																							BgL_tmpz00_6729 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Stackable/walk.scm 266 */
																					obj_t BgL_g1433z00_5005;

																					BgL_g1433z00_5005 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4619)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1431z00_5007;

																						BgL_l1431z00_5007 =
																							BgL_g1433z00_5005;
																					BgL_zc3z04anonymousza32015ze3z87_5006:
																						if (PAIRP
																							(BgL_l1431z00_5007))
																							{	/* Stackable/walk.scm 266 */
																								{	/* Stackable/walk.scm 266 */
																									obj_t BgL_az00_5008;

																									BgL_az00_5008 =
																										CAR(BgL_l1431z00_5007);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_az00_5008),
																										((bool_t) 1),
																										((long) 100000),
																										((obj_t) BgL_ctxz00_4622));
																								}
																								{
																									obj_t BgL_l1431z00_7145;

																									BgL_l1431z00_7145 =
																										CDR(BgL_l1431z00_5007);
																									BgL_l1431z00_5007 =
																										BgL_l1431z00_7145;
																									goto
																										BgL_zc3z04anonymousza32015ze3z87_5006;
																								}
																							}
																						else
																							{	/* Stackable/walk.scm 266 */
																								BgL_tmpz00_6729 = ((bool_t) 1);
																							}
																					}
																				}
																		}
																}
														}
													else
														{	/* Stackable/walk.scm 268 */
															obj_t BgL_g1436z00_5009;

															BgL_g1436z00_5009 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4619)))->
																BgL_argsz00);
															{
																obj_t BgL_l1434z00_5011;

																BgL_l1434z00_5011 = BgL_g1436z00_5009;
															BgL_zc3z04anonymousza32024ze3z87_5010:
																if (PAIRP(BgL_l1434z00_5011))
																	{	/* Stackable/walk.scm 268 */
																		{	/* Stackable/walk.scm 268 */
																			obj_t BgL_az00_5012;

																			BgL_az00_5012 = CAR(BgL_l1434z00_5011);
																			BGl_stackablez00zzstackable_walkz00(
																				((BgL_nodez00_bglt) BgL_az00_5012),
																				((bool_t) 1), ((long) 100000),
																				((obj_t) BgL_ctxz00_4622));
																		}
																		{
																			obj_t BgL_l1434z00_7155;

																			BgL_l1434z00_7155 =
																				CDR(BgL_l1434z00_5011);
																			BgL_l1434z00_5011 = BgL_l1434z00_7155;
																			goto
																				BgL_zc3z04anonymousza32024ze3z87_5010;
																		}
																	}
																else
																	{	/* Stackable/walk.scm 268 */
																		BgL_tmpz00_6729 = ((bool_t) 1);
																	}
															}
														}
												}
										}
								}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_6729);
			}
		}

	}



/* &stackable-let-fun1479 */
	obj_t BGl_z62stackablezd2letzd2fun1479z62zzstackable_walkz00(obj_t
		BgL_envz00_4623, obj_t BgL_nodez00_4624, obj_t BgL_escpz00_4625,
		obj_t BgL_depthz00_4626, obj_t BgL_ctxz00_4627)
	{
		{	/* Stackable/walk.scm 177 */
			{	/* Stackable/walk.scm 179 */
				obj_t BgL_g1413z00_5015;

				BgL_g1413z00_5015 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4624)))->BgL_localsz00);
				{
					obj_t BgL_l1411z00_5017;

					BgL_l1411z00_5017 = BgL_g1413z00_5015;
				BgL_zc3z04anonymousza31941ze3z87_5016:
					if (PAIRP(BgL_l1411z00_5017))
						{	/* Stackable/walk.scm 179 */
							{	/* Stackable/walk.scm 180 */
								obj_t BgL_localz00_5018;

								BgL_localz00_5018 = CAR(BgL_l1411z00_5017);
								{	/* Stackable/walk.scm 181 */
									BgL_sfunz00_bglt BgL_i1191z00_5019;

									BgL_i1191z00_5019 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5018))))->
											BgL_valuez00));
									{	/* Stackable/walk.scm 182 */
										obj_t BgL_arg1943z00_5020;
										long BgL_arg1944z00_5021;

										BgL_arg1943z00_5020 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1191z00_5019))->
											BgL_bodyz00);
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7168;

											{
												obj_t BgL_auxz00_7169;

												{	/* Stackable/walk.scm 182 */
													BgL_objectz00_bglt BgL_tmpz00_7170;

													BgL_tmpz00_7170 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5018));
													BgL_auxz00_7169 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7170);
												}
												BgL_auxz00_7168 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7169);
											}
											BgL_arg1944z00_5021 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7168))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg1943z00_5020), ((bool_t) 0),
											BgL_arg1944z00_5021, ((obj_t) BgL_ctxz00_4627));
							}}}
							{
								obj_t BgL_l1411z00_7179;

								BgL_l1411z00_7179 = CDR(BgL_l1411z00_5017);
								BgL_l1411z00_5017 = BgL_l1411z00_7179;
								goto BgL_zc3z04anonymousza31941ze3z87_5016;
							}
						}
					else
						{	/* Stackable/walk.scm 179 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4624)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4625),
				(long) CINT(BgL_depthz00_4626), ((obj_t) BgL_ctxz00_4627));
		}

	}



/* &stackable-let-var1477 */
	obj_t BGl_z62stackablezd2letzd2var1477z62zzstackable_walkz00(obj_t
		BgL_envz00_4628, obj_t BgL_nodez00_4629, obj_t BgL_escpz00_4630,
		obj_t BgL_depthz00_4631, obj_t BgL_ctxz00_4632)
	{
		{	/* Stackable/walk.scm 164 */
			{	/* Stackable/walk.scm 166 */
				obj_t BgL_g1410z00_5024;

				BgL_g1410z00_5024 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4629)))->BgL_bindingsz00);
				{
					obj_t BgL_l1408z00_5026;

					BgL_l1408z00_5026 = BgL_g1410z00_5024;
				BgL_zc3z04anonymousza31930ze3z87_5025:
					if (PAIRP(BgL_l1408z00_5026))
						{	/* Stackable/walk.scm 166 */
							{	/* Stackable/walk.scm 167 */
								obj_t BgL_bindz00_5027;

								BgL_bindz00_5027 = CAR(BgL_l1408z00_5026);
								{	/* Stackable/walk.scm 167 */
									obj_t BgL_varz00_5028;
									obj_t BgL_valz00_5029;

									BgL_varz00_5028 = CAR(((obj_t) BgL_bindz00_5027));
									BgL_valz00_5029 = CDR(((obj_t) BgL_bindz00_5027));
									{	/* Stackable/walk.scm 170 */
										bool_t BgL_arg1932z00_5030;
										long BgL_arg1933z00_5031;

										if (CBOOL(
												(((BgL_localz00_bglt) COBJECT(
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5028))))->
													BgL_valzd2noescapezd2)))
											{	/* Stackable/walk.scm 170 */
												BgL_arg1932z00_5030 = ((bool_t) 0);
											}
										else
											{	/* Stackable/walk.scm 170 */
												BgL_arg1932z00_5030 = ((bool_t) 1);
											}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7201;

											{
												obj_t BgL_auxz00_7202;

												{	/* Stackable/walk.scm 170 */
													BgL_objectz00_bglt BgL_tmpz00_7203;

													BgL_tmpz00_7203 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5028));
													BgL_auxz00_7202 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7203);
												}
												BgL_auxz00_7201 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7202);
											}
											BgL_arg1933z00_5031 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7201))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_valz00_5029), BgL_arg1932z00_5030,
											BgL_arg1933z00_5031, ((obj_t) BgL_ctxz00_4632));
									}
								}
							}
							{
								obj_t BgL_l1408z00_7212;

								BgL_l1408z00_7212 = CDR(BgL_l1408z00_5026);
								BgL_l1408z00_5026 = BgL_l1408z00_7212;
								goto BgL_zc3z04anonymousza31930ze3z87_5025;
							}
						}
					else
						{	/* Stackable/walk.scm 166 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4629)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4630),
				(long) CINT(BgL_depthz00_4631), ((obj_t) BgL_ctxz00_4632));
		}

	}



/* &stackable-conditiona1475 */
	obj_t BGl_z62stackablezd2conditiona1475zb0zzstackable_walkz00(obj_t
		BgL_envz00_4633, obj_t BgL_nodez00_4634, obj_t BgL_escpz00_4635,
		obj_t BgL_depthz00_4636, obj_t BgL_ctxz00_4637)
	{
		{	/* Stackable/walk.scm 155 */
			BGl_stackablez00zzstackable_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4634)))->BgL_testz00),
				((bool_t) 0), (long) CINT(BgL_depthz00_4636),
				((obj_t) BgL_ctxz00_4637));
			BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4634)))->
					BgL_truez00), CBOOL(BgL_escpz00_4635), (long) CINT(BgL_depthz00_4636),
				((obj_t) BgL_ctxz00_4637));
			return BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4634)))->
					BgL_falsez00), CBOOL(BgL_escpz00_4635),
				(long) CINT(BgL_depthz00_4636), ((obj_t) BgL_ctxz00_4637));
		}

	}



/* &stackable-setq1473 */
	obj_t BGl_z62stackablezd2setq1473zb0zzstackable_walkz00(obj_t BgL_envz00_4638,
		obj_t BgL_nodez00_4639, obj_t BgL_escpz00_4640, obj_t BgL_depthz00_4641,
		obj_t BgL_ctxz00_4642)
	{
		{	/* Stackable/walk.scm 144 */
			{	/* Stackable/walk.scm 146 */
				BgL_varz00_bglt BgL_i1184z00_5036;

				BgL_i1184z00_5036 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4639)))->BgL_varz00);
				{	/* Stackable/walk.scm 147 */
					bool_t BgL_test2651z00_7239;

					{	/* Stackable/walk.scm 147 */
						BgL_variablez00_bglt BgL_arg1919z00_5037;

						BgL_arg1919z00_5037 =
							(((BgL_varz00_bglt) COBJECT(BgL_i1184z00_5036))->BgL_variablez00);
						{	/* Stackable/walk.scm 147 */
							obj_t BgL_classz00_5038;

							BgL_classz00_5038 = BGl_globalz00zzast_varz00;
							{	/* Stackable/walk.scm 147 */
								BgL_objectz00_bglt BgL_arg1820z00_5039;

								{	/* Stackable/walk.scm 147 */
									obj_t BgL_tmpz00_7241;

									BgL_tmpz00_7241 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1919z00_5037));
									BgL_arg1820z00_5039 = (BgL_objectz00_bglt) (BgL_tmpz00_7241);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Stackable/walk.scm 147 */
										long BgL_idxz00_5040;

										BgL_idxz00_5040 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5039);
										BgL_test2651z00_7239 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5040 + ((long) 2))) == BgL_classz00_5038);
									}
								else
									{	/* Stackable/walk.scm 147 */
										bool_t BgL_res2287z00_5043;

										{	/* Stackable/walk.scm 147 */
											obj_t BgL_oclassz00_5044;

											{	/* Stackable/walk.scm 147 */
												long BgL_arg1828z00_5045;

												{	/* Stackable/walk.scm 147 */
													long BgL_arg1829z00_5046;

													BgL_arg1829z00_5046 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5039);
													BgL_arg1828z00_5045 =
														(BgL_arg1829z00_5046 - OBJECT_TYPE);
												}
												BgL_oclassz00_5044 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5045);
											}
											{	/* Stackable/walk.scm 147 */
												bool_t BgL__ortest_1111z00_5047;

												BgL__ortest_1111z00_5047 =
													(BgL_classz00_5038 == BgL_oclassz00_5044);
												if (BgL__ortest_1111z00_5047)
													{	/* Stackable/walk.scm 147 */
														BgL_res2287z00_5043 = BgL__ortest_1111z00_5047;
													}
												else
													{	/* Stackable/walk.scm 147 */
														long BgL_odepthz00_5048;

														BgL_odepthz00_5048 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5044);
														if ((((long) 2) < BgL_odepthz00_5048))
															{	/* Stackable/walk.scm 147 */
																obj_t BgL_arg1816z00_5049;

																BgL_arg1816z00_5049 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5044,
																	((long) 2));
																BgL_res2287z00_5043 =
																	(BgL_arg1816z00_5049 == BgL_classz00_5038);
															}
														else
															{	/* Stackable/walk.scm 147 */
																BgL_res2287z00_5043 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2651z00_7239 = BgL_res2287z00_5043;
									}
							}
						}
					}
					if (BgL_test2651z00_7239)
						{	/* Stackable/walk.scm 147 */
							return
								BGl_stackablez00zzstackable_walkz00(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4639)))->BgL_valuez00),
								((bool_t) 1), ((long) -1), ((obj_t) BgL_ctxz00_4642));
						}
					else
						{	/* Stackable/walk.scm 149 */
							BgL_localz00_bglt BgL_i1185z00_5050;

							BgL_i1185z00_5050 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(BgL_i1184z00_5036))->
									BgL_variablez00));
							{	/* Stackable/walk.scm 150 */
								BgL_nodez00_bglt BgL_arg1917z00_5051;
								long BgL_arg1918z00_5052;

								BgL_arg1917z00_5051 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4639)))->BgL_valuez00);
								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_7269;

									{
										obj_t BgL_auxz00_7270;

										{	/* Stackable/walk.scm 150 */
											BgL_objectz00_bglt BgL_tmpz00_7271;

											BgL_tmpz00_7271 =
												((BgL_objectz00_bglt) BgL_i1185z00_5050);
											BgL_auxz00_7270 = BGL_OBJECT_WIDENING(BgL_tmpz00_7271);
										}
										BgL_auxz00_7269 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_7270);
									}
									BgL_arg1918z00_5052 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7269))->
										BgL_depthz00);
								}
								return
									BGl_stackablez00zzstackable_walkz00(BgL_arg1917z00_5051,
									CBOOL(BgL_escpz00_4640), BgL_arg1918z00_5052,
									((obj_t) BgL_ctxz00_4642));
							}
						}
				}
			}
		}

	}



/* &stackable-closure1471 */
	obj_t BGl_z62stackablezd2closure1471zb0zzstackable_walkz00(obj_t
		BgL_envz00_4643, obj_t BgL_nodez00_4644, obj_t BgL_escpz00_4645,
		obj_t BgL_depthz00_4646, obj_t BgL_ctxz00_4647)
	{
		{	/* Stackable/walk.scm 130 */
			{

				{	/* Stackable/walk.scm 130 */
					obj_t BgL_nextzd2method1470zd2_5056;

					BgL_nextzd2method1470zd2_5056 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) BgL_nodez00_4644)),
						BGl_stackablezd2envzd2zzstackable_walkz00,
						BGl_closurez00zzast_nodez00);
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_nextzd2method1470zd2_5056))
						(BgL_nextzd2method1470zd2_5056,
						((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4644)),
						BgL_escpz00_4645, BgL_depthz00_4646, ((obj_t) BgL_ctxz00_4647),
						BEOA);
				}
				{	/* Stackable/walk.scm 132 */
					BgL_variablez00_bglt BgL_vz00_5057;

					BgL_vz00_5057 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4644))))->BgL_variablez00);
					{	/* Stackable/walk.scm 133 */
						bool_t BgL_test2655z00_7295;

						{	/* Stackable/walk.scm 133 */
							obj_t BgL_classz00_5058;

							BgL_classz00_5058 = BGl_localz00zzast_varz00;
							{	/* Stackable/walk.scm 133 */
								BgL_objectz00_bglt BgL_arg1820z00_5059;

								{	/* Stackable/walk.scm 133 */
									obj_t BgL_tmpz00_7296;

									BgL_tmpz00_7296 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5057));
									BgL_arg1820z00_5059 = (BgL_objectz00_bglt) (BgL_tmpz00_7296);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Stackable/walk.scm 133 */
										long BgL_idxz00_5060;

										BgL_idxz00_5060 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5059);
										BgL_test2655z00_7295 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5060 + ((long) 2))) == BgL_classz00_5058);
									}
								else
									{	/* Stackable/walk.scm 133 */
										bool_t BgL_res2286z00_5063;

										{	/* Stackable/walk.scm 133 */
											obj_t BgL_oclassz00_5064;

											{	/* Stackable/walk.scm 133 */
												long BgL_arg1828z00_5065;

												{	/* Stackable/walk.scm 133 */
													long BgL_arg1829z00_5066;

													BgL_arg1829z00_5066 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5059);
													BgL_arg1828z00_5065 =
														(BgL_arg1829z00_5066 - OBJECT_TYPE);
												}
												BgL_oclassz00_5064 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_5065);
											}
											{	/* Stackable/walk.scm 133 */
												bool_t BgL__ortest_1111z00_5067;

												BgL__ortest_1111z00_5067 =
													(BgL_classz00_5058 == BgL_oclassz00_5064);
												if (BgL__ortest_1111z00_5067)
													{	/* Stackable/walk.scm 133 */
														BgL_res2286z00_5063 = BgL__ortest_1111z00_5067;
													}
												else
													{	/* Stackable/walk.scm 133 */
														long BgL_odepthz00_5068;

														BgL_odepthz00_5068 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5064);
														if ((((long) 2) < BgL_odepthz00_5068))
															{	/* Stackable/walk.scm 133 */
																obj_t BgL_arg1816z00_5069;

																BgL_arg1816z00_5069 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5064,
																	((long) 2));
																BgL_res2286z00_5063 =
																	(BgL_arg1816z00_5069 == BgL_classz00_5058);
															}
														else
															{	/* Stackable/walk.scm 133 */
																BgL_res2286z00_5063 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2655z00_7295 = BgL_res2286z00_5063;
									}
							}
						}
						if (BgL_test2655z00_7295)
							{	/* Stackable/walk.scm 134 */
								BgL_valuez00_bglt BgL_fz00_5070;

								BgL_fz00_5070 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5057))->
									BgL_valuez00);
								{	/* Stackable/walk.scm 137 */
									bool_t BgL_test2659z00_7317;

									if (CBOOL(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_5070)))->
												BgL_stackablez00)))
										{	/* Stackable/walk.scm 137 */
											if (CBOOL(BgL_escpz00_4645))
												{	/* Stackable/walk.scm 137 */
													BgL_test2659z00_7317 = CBOOL(BgL_escpz00_4645);
												}
											else
												{	/* Stackable/walk.scm 137 */
													if (CBOOL(
															(((BgL_localz00_bglt) COBJECT(
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_vz00_5057))))->
																BgL_valzd2noescapezd2)))
														{	/* Stackable/walk.scm 137 */
															BgL_test2659z00_7317 = ((bool_t) 0);
														}
													else
														{	/* Stackable/walk.scm 137 */
															BgL_test2659z00_7317 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Stackable/walk.scm 137 */
											BgL_test2659z00_7317 = ((bool_t) 0);
										}
									if (BgL_test2659z00_7317)
										{	/* Stackable/walk.scm 137 */
											{	/* Stackable/walk.scm 138 */
												obj_t BgL_tmpz00_7330;

												BgL_tmpz00_7330 = ((obj_t) BgL_ctxz00_4647);
												SET_CAR(BgL_tmpz00_7330, BFALSE);
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_fz00_5070)))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Stackable/walk.scm 137 */
											return BFALSE;
										}
								}
							}
						else
							{	/* Stackable/walk.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* &stackable-var1469 */
	obj_t BGl_z62stackablezd2var1469zb0zzstackable_walkz00(obj_t BgL_envz00_4648,
		obj_t BgL_nodez00_4649, obj_t BgL_escpz00_4650, obj_t BgL_depthz00_4651,
		obj_t BgL_ctxz00_4652)
	{
		{	/* Stackable/walk.scm 120 */
			{	/* Stackable/walk.scm 122 */
				bool_t BgL_test2663z00_7335;

				{	/* Stackable/walk.scm 122 */
					BgL_variablez00_bglt BgL_arg1902z00_5073;

					BgL_arg1902z00_5073 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4649)))->BgL_variablez00);
					{	/* Stackable/walk.scm 122 */
						obj_t BgL_classz00_5074;

						BgL_classz00_5074 = BGl_localz00zzast_varz00;
						{	/* Stackable/walk.scm 122 */
							BgL_objectz00_bglt BgL_arg1820z00_5075;

							{	/* Stackable/walk.scm 122 */
								obj_t BgL_tmpz00_7338;

								BgL_tmpz00_7338 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1902z00_5073));
								BgL_arg1820z00_5075 = (BgL_objectz00_bglt) (BgL_tmpz00_7338);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Stackable/walk.scm 122 */
									long BgL_idxz00_5076;

									BgL_idxz00_5076 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_5075);
									BgL_test2663z00_7335 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5076 + ((long) 2))) == BgL_classz00_5074);
								}
							else
								{	/* Stackable/walk.scm 122 */
									bool_t BgL_res2285z00_5079;

									{	/* Stackable/walk.scm 122 */
										obj_t BgL_oclassz00_5080;

										{	/* Stackable/walk.scm 122 */
											long BgL_arg1828z00_5081;

											{	/* Stackable/walk.scm 122 */
												long BgL_arg1829z00_5082;

												BgL_arg1829z00_5082 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_5075);
												BgL_arg1828z00_5081 =
													(BgL_arg1829z00_5082 - OBJECT_TYPE);
											}
											BgL_oclassz00_5080 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1828z00_5081);
										}
										{	/* Stackable/walk.scm 122 */
											bool_t BgL__ortest_1111z00_5083;

											BgL__ortest_1111z00_5083 =
												(BgL_classz00_5074 == BgL_oclassz00_5080);
											if (BgL__ortest_1111z00_5083)
												{	/* Stackable/walk.scm 122 */
													BgL_res2285z00_5079 = BgL__ortest_1111z00_5083;
												}
											else
												{	/* Stackable/walk.scm 122 */
													long BgL_odepthz00_5084;

													BgL_odepthz00_5084 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5080);
													if ((((long) 2) < BgL_odepthz00_5084))
														{	/* Stackable/walk.scm 122 */
															obj_t BgL_arg1816z00_5085;

															BgL_arg1816z00_5085 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5080,
																((long) 2));
															BgL_res2285z00_5079 =
																(BgL_arg1816z00_5085 == BgL_classz00_5074);
														}
													else
														{	/* Stackable/walk.scm 122 */
															BgL_res2285z00_5079 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2663z00_7335 = BgL_res2285z00_5079;
								}
						}
					}
				}
				if (BgL_test2663z00_7335)
					{	/* Stackable/walk.scm 123 */
						BgL_localz00_bglt BgL_i1179z00_5086;

						BgL_i1179z00_5086 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4649)))->BgL_variablez00));
						{	/* Stackable/walk.scm 124 */
							bool_t BgL_test2667z00_7361;

							if (CBOOL(BgL_escpz00_4650))
								{	/* Stackable/walk.scm 124 */
									BgL_test2667z00_7361 = ((bool_t) 1);
								}
							else
								{	/* Stackable/walk.scm 124 */
									long BgL_arg1901z00_5087;

									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_7364;

										{
											obj_t BgL_auxz00_7365;

											{	/* Stackable/walk.scm 124 */
												BgL_objectz00_bglt BgL_tmpz00_7366;

												BgL_tmpz00_7366 =
													((BgL_objectz00_bglt) BgL_i1179z00_5086);
												BgL_auxz00_7365 = BGL_OBJECT_WIDENING(BgL_tmpz00_7366);
											}
											BgL_auxz00_7364 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_7365);
										}
										BgL_arg1901z00_5087 =
											(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7364))->
											BgL_depthz00);
									}
									BgL_test2667z00_7361 =
										((long) CINT(BgL_depthz00_4651) < BgL_arg1901z00_5087);
								}
							if (BgL_test2667z00_7361)
								{	/* Stackable/walk.scm 125 */
									BgL_variablez00_bglt BgL_arg1900z00_5088;

									BgL_arg1900z00_5088 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4649)))->
										BgL_variablez00);
									return BGl_escapez12z12zzstackable_walkz00(((obj_t)
											BgL_arg1900z00_5088), ((obj_t) BgL_ctxz00_4652));
								}
							else
								{	/* Stackable/walk.scm 124 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Stackable/walk.scm 122 */
						return BFALSE;
					}
			}
		}

	}



/* &node->sexp-app/depth1464 */
	obj_t BGl_z62nodezd2ze3sexpzd2appzf2depth1464z73zzstackable_walkz00(obj_t
		BgL_envz00_4653, obj_t BgL_nodez00_4654)
	{
		{	/* Stackable/walk.scm 57 */
			{

				{	/* Stackable/walk.scm 59 */
					obj_t BgL_nz00_5092;

					{	/* Stackable/walk.scm 57 */
						obj_t BgL_nextzd2method1463zd2_5091;

						BgL_nextzd2method1463zd2_5091 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4654)),
							BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
							BGl_appzf2depthzf2zzstackable_walkz00);
						BgL_nz00_5092 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1463zd2_5091))
							(BgL_nextzd2method1463zd2_5091,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4654)), BEOA);
					}
					{	/* Stackable/walk.scm 60 */
						bool_t BgL_test2669z00_7387;

						{	/* Stackable/walk.scm 60 */
							bool_t BgL_test2670z00_7388;

							{	/* Stackable/walk.scm 60 */
								obj_t BgL_tmpz00_7389;

								BgL_tmpz00_7389 = CAR(((obj_t) BgL_nz00_5092));
								BgL_test2670z00_7388 = SYMBOLP(BgL_tmpz00_7389);
							}
							if (BgL_test2670z00_7388)
								{	/* Stackable/walk.scm 60 */
									BgL_test2669z00_7387 =
										CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00);
								}
							else
								{	/* Stackable/walk.scm 60 */
									BgL_test2669z00_7387 = ((bool_t) 0);
								}
						}
						if (BgL_test2669z00_7387)
							{	/* Stackable/walk.scm 61 */
								obj_t BgL_arg1882z00_5093;
								obj_t BgL_arg1883z00_5094;

								{	/* Stackable/walk.scm 61 */
									obj_t BgL_arg1884z00_5095;

									{	/* Stackable/walk.scm 61 */
										obj_t BgL_arg1885z00_5096;
										obj_t BgL_arg1886z00_5097;

										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1887z00_5098;

											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1888z00_5099;

												{	/* Stackable/walk.scm 61 */
													long BgL_arg1889z00_5100;

													{
														BgL_appzf2depthzf2_bglt BgL_auxz00_7394;

														{
															obj_t BgL_auxz00_7395;

															{	/* Stackable/walk.scm 61 */
																BgL_objectz00_bglt BgL_tmpz00_7396;

																BgL_tmpz00_7396 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4654));
																BgL_auxz00_7395 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7396);
															}
															BgL_auxz00_7394 =
																((BgL_appzf2depthzf2_bglt) BgL_auxz00_7395);
														}
														BgL_arg1889z00_5100 =
															(((BgL_appzf2depthzf2_bglt)
																COBJECT(BgL_auxz00_7394))->BgL_depthz00);
													}
													{	/* Stackable/walk.scm 61 */
														obj_t BgL_list1890z00_5101;

														BgL_list1890z00_5101 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1889z00_5100), BNIL);
														BgL_arg1888z00_5099 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2389z00zzstackable_walkz00,
															BgL_list1890z00_5101);
												}}
												BgL_arg1887z00_5098 =
													bstring_to_symbol(BgL_arg1888z00_5099);
											}
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1469z00_5102;

												BgL_arg1469z00_5102 =
													SYMBOL_TO_STRING(BgL_arg1887z00_5098);
												BgL_arg1885z00_5096 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_5102);
										}}
										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1891z00_5103;

											BgL_arg1891z00_5103 = CAR(((obj_t) BgL_nz00_5092));
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1469z00_5104;

												BgL_arg1469z00_5104 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1891z00_5103));
												BgL_arg1886z00_5097 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_5104);
										}}
										BgL_arg1884z00_5095 =
											string_append(BgL_arg1885z00_5096, BgL_arg1886z00_5097);
									}
									BgL_arg1882z00_5093 = bstring_to_symbol(BgL_arg1884z00_5095);
								}
								BgL_arg1883z00_5094 = CDR(((obj_t) BgL_nz00_5092));
								return
									MAKE_YOUNG_PAIR(BgL_arg1882z00_5093, BgL_arg1883z00_5094);
							}
						else
							{	/* Stackable/walk.scm 60 */
								return BgL_nz00_5092;
							}
					}
				}
			}
		}

	}



/* &shape-local/depth1462 */
	obj_t BGl_z62shapezd2localzf2depth1462z42zzstackable_walkz00(obj_t
		BgL_envz00_4655, obj_t BgL_varz00_4656)
	{
		{	/* Stackable/walk.scm 48 */
			if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 51 */
					obj_t BgL_arg1870z00_5106;

					{	/* Stackable/walk.scm 51 */
						long BgL_arg1871z00_5107;
						obj_t BgL_arg1873z00_5108;

						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_7420;

							{
								obj_t BgL_auxz00_7421;

								{	/* Stackable/walk.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_7422;

									BgL_tmpz00_7422 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_4656));
									BgL_auxz00_7421 = BGL_OBJECT_WIDENING(BgL_tmpz00_7422);
								}
								BgL_auxz00_7420 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_7421);
							}
							BgL_arg1871z00_5107 =
								(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7420))->
								BgL_depthz00);
						}
						BgL_arg1873z00_5108 =
							BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
							((BgL_localz00_bglt) BgL_varz00_4656));
						{	/* Stackable/walk.scm 51 */
							obj_t BgL_list1874z00_5109;

							{	/* Stackable/walk.scm 51 */
								obj_t BgL_arg1875z00_5110;

								BgL_arg1875z00_5110 =
									MAKE_YOUNG_PAIR(BgL_arg1873z00_5108, BNIL);
								BgL_list1874z00_5109 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg1871z00_5107),
									BgL_arg1875z00_5110);
							}
							BgL_arg1870z00_5106 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2390z00zzstackable_walkz00, BgL_list1874z00_5109);
					}}
					return bstring_to_symbol(BgL_arg1870z00_5106);
				}
			else
				{	/* Stackable/walk.scm 50 */
					return
						BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
						((BgL_localz00_bglt) BgL_varz00_4656));
				}
		}

	}



/* call-next-method~0 */
	obj_t BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt
		BgL_varz00_4657)
	{
		{	/* Stackable/walk.scm 48 */
			{	/* Stackable/walk.scm 48 */
				obj_t BgL_nextzd2method1461zd2_2066;

				BgL_nextzd2method1461zd2_2066 =
					BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
					((BgL_objectz00_bglt) BgL_varz00_4657),
					BGl_shapezd2envzd2zztools_shapez00,
					BGl_localzf2depthzf2zzstackable_walkz00);
				return ((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_nextzd2method1461zd2_2066))
					(BgL_nextzd2method1461zd2_2066, ((obj_t) BgL_varz00_4657), BEOA);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00(void)
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2391z00zzstackable_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
