/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1360z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1377z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1332z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern bool_t BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1351z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1336zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1334zb0zztrace_walkz00(obj_t,
		obj_t);
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1358z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zztrace_walkz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1341zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1362z62zztrace_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00(void);
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1375z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1349z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1347z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1330zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21353z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1381zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21402zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21404zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21406zb0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2node1323z62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1364zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1388z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1339zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00(void);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zztrace_walkz00(void);
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1328zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1368z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1385z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1343zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1326zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2switch1379z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2node1354zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1366z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2switc1345zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1383zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1370z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121394za2zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62toplevelzd2tracezd2node1395z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1390zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1392zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1373z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2188z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2130z00zztrace_walkz00,
		BgL_bgl_string2130za700za7za7t2189za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2131z00zztrace_walkz00,
		BgL_bgl_string2131za700za7za7t2190za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2132z00zztrace_walkz00,
		BgL_bgl_string2132za700za7za7t2191za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2133z00zztrace_walkz00,
		BgL_bgl_string2133za700za7za7t2192za7, " error", 6);
	      DEFINE_STRING(BGl_string2134z00zztrace_walkz00,
		BgL_bgl_string2134za700za7za7t2193za7, "s", 1);
	      DEFINE_STRING(BGl_string2135z00zztrace_walkz00,
		BgL_bgl_string2135za700za7za7t2194za7, "", 0);
	      DEFINE_STRING(BGl_string2136z00zztrace_walkz00,
		BgL_bgl_string2136za700za7za7t2195za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2137z00zztrace_walkz00,
		BgL_bgl_string2137za700za7za7t2196za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2138z00zztrace_walkz00,
		BgL_bgl_string2138za700za7za7t2197za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2139z00zztrace_walkz00,
		BgL_bgl_string2139za700za7za7t2198za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2141z00zztrace_walkz00,
		BgL_bgl_string2141za700za7za7t2199za7, "find-last-node1323", 18);
	      DEFINE_STRING(BGl_string2143z00zztrace_walkz00,
		BgL_bgl_string2143za700za7za7t2200za7, "trace-node1354", 14);
	      DEFINE_STRING(BGl_string2145z00zztrace_walkz00,
		BgL_bgl_string2145za700za7za7t2201za7, "toplevel-trace-node1395", 23);
	      DEFINE_STRING(BGl_string2147z00zztrace_walkz00,
		BgL_bgl_string2147za700za7za7t2202za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2203za7,
		BGl_z62findzd2lastzd2node1323z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12204z00,
		BGl_z62tracezd2node1354zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2205z00,
		BGl_z62toplevelzd2tracezd2node1395z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2206za7,
		BGl_z62findzd2lastzd2nodezd2seque1326zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2207za7,
		BGl_z62findzd2lastzd2nodezd2sync1328zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2208za7,
		BGl_z62findzd2lastzd2nodezd2app1330zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2209za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1332z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2210za7,
		BGl_z62findzd2lastzd2nodezd2funca1334zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2211za7,
		BGl_z62findzd2lastzd2nodezd2exter1336zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2212za7,
		BGl_z62findzd2lastzd2nodezd2setq1339zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2213za7,
		BGl_z62findzd2lastzd2nodezd2condi1341zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2214za7,
		BGl_z62findzd2lastzd2nodezd2fail1343zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2162z00zztrace_walkz00,
		BgL_bgl_string2162za700za7za7t2215za7, "trace-node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2216za7,
		BGl_z62findzd2lastzd2nodezd2switc1345zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2217za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1347z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2218za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1349z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2219za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1351z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2220za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21353z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72221za7,
		BGl_z62tracezd2nodezd2sequence1358z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72222za7,
		BGl_z62tracezd2nodezd2sync1360z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72223za7,
		BGl_z62tracezd2nodezd2app1362z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72224za7,
		BGl_z62tracezd2nodezd2appzd2ly1364zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72225za7,
		BGl_z62tracezd2nodezd2funcall1366z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72226za7,
		BGl_z62tracezd2nodezd2extern1368z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72227za7,
		BGl_z62tracezd2nodezd2cast1370z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72228za7,
		BGl_z62tracezd2nodezd2setq1373z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72229za7,
		BGl_z62tracezd2nodezd2condition1375z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72230za7,
		BGl_z62tracezd2nodezd2fail1377z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72231za7,
		BGl_z62tracezd2nodezd2switch1379z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72232za7,
		BGl_z62tracezd2nodezd2letzd2fun1381zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72233za7,
		BGl_z62tracezd2nodezd2letzd2var1383zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2181z00zztrace_walkz00,
		BgL_bgl_string2181za700za7za7t2234za7, "toplevel-trace-node", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72235za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1385z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72236za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1388z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72237za7,
		BGl_z62tracezd2nodezd2makezd2box1390zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2184z00zztrace_walkz00,
		BgL_bgl_string2184za700za7za7t2238za7, "trace_walk", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72239za7,
		BGl_z62tracezd2nodezd2boxzd2ref1392zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2185z00zztrace_walkz00,
		BgL_bgl_string2185za700za7za7t2240za7,
		"|:| value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72241za7,
		BGl_z62tracezd2nodezd2boxzd2setz121394za2zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2242z00,
		BGl_z62toplevelzd2tracezd2nodezd21402zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2243z00,
		BGl_z62toplevelzd2tracezd2nodezd21404zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2244z00,
		BGl_z62toplevelzd2tracezd2nodezd21406zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72245za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72246za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2247za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3574, char *BgL_fromz00_3575)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_walkz00();
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BGl_toplevelzd2initzd2zztrace_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3403;

				{	/* Trace/walk.scm 15 */
					obj_t BgL_stringz00_3410;

					BgL_stringz00_3410 = BGl_string2185z00zztrace_walkz00;
					{	/* Trace/walk.scm 15 */
						obj_t BgL_startz00_3411;

						BgL_startz00_3411 = BINT(((long) 0));
						{	/* Trace/walk.scm 15 */
							obj_t BgL_endz00_3412;

							BgL_endz00_3412 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3410)));
							{	/* Trace/walk.scm 15 */

								BgL_cportz00_3403 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3410, BgL_startz00_3411, BgL_endz00_3412);
				}}}}
				{
					long BgL_iz00_3404;

					BgL_iz00_3404 = ((long) 20);
				BgL_loopz00_3405:
					if ((BgL_iz00_3404 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2187z00_3406;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3408;

										BgL_locationz00_3408 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2187z00_3406 =
												BGl_readz00zz__readerz00(BgL_cportz00_3403,
												BgL_locationz00_3408);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_tmpz00_3610;

									BgL_tmpz00_3610 = (int) (BgL_iz00_3404);
									CNST_TABLE_SET(BgL_tmpz00_3610, BgL_arg2187z00_3406);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3409;

								BgL_auxz00_3409 = (int) ((BgL_iz00_3404 - ((long) 1)));
								{
									long BgL_iz00_3615;

									BgL_iz00_3615 = (long) (BgL_auxz00_3409);
									BgL_iz00_3404 = BgL_iz00_3615;
									goto BgL_loopz00_3405;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Trace/walk.scm 39 */
			{	/* Trace/walk.scm 40 */
				obj_t BgL_list1468z00_1566;

				{	/* Trace/walk.scm 40 */
					obj_t BgL_arg1482z00_1567;

					{	/* Trace/walk.scm 40 */
						obj_t BgL_arg1484z00_1568;

						BgL_arg1484z00_1568 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1482z00_1567 =
							MAKE_YOUNG_PAIR(BGl_string2130z00zztrace_walkz00,
							BgL_arg1484z00_1568);
					}
					BgL_list1468z00_1566 =
						MAKE_YOUNG_PAIR(BGl_string2131z00zztrace_walkz00,
						BgL_arg1482z00_1567);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1468z00_1566);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2130z00zztrace_walkz00;
			{	/* Trace/walk.scm 40 */
				obj_t BgL_g1108z00_1569;

				BgL_g1108z00_1569 = BNIL;
				{
					obj_t BgL_hooksz00_1572;
					obj_t BgL_hnamesz00_1573;

					BgL_hooksz00_1572 = BgL_g1108z00_1569;
					BgL_hnamesz00_1573 = BNIL;
				BgL_zc3z04anonymousza31485ze3z87_1574:
					if (NULLP(BgL_hooksz00_1572))
						{	/* Trace/walk.scm 40 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Trace/walk.scm 40 */
							bool_t BgL_test2251z00_3628;

							{	/* Trace/walk.scm 40 */
								obj_t BgL_fun1511z00_1581;

								BgL_fun1511z00_1581 = CAR(((obj_t) BgL_hooksz00_1572));
								BgL_test2251z00_3628 =
									CBOOL(
									((obj_t(*)(obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1511z00_1581)) (BgL_fun1511z00_1581,
										BEOA));
							}
							if (BgL_test2251z00_3628)
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1496z00_1578;
									obj_t BgL_arg1506z00_1579;

									BgL_arg1496z00_1578 = CDR(((obj_t) BgL_hooksz00_1572));
									BgL_arg1506z00_1579 = CDR(((obj_t) BgL_hnamesz00_1573));
									{
										obj_t BgL_hnamesz00_3640;
										obj_t BgL_hooksz00_3639;

										BgL_hooksz00_3639 = BgL_arg1496z00_1578;
										BgL_hnamesz00_3640 = BgL_arg1506z00_1579;
										BgL_hnamesz00_1573 = BgL_hnamesz00_3640;
										BgL_hooksz00_1572 = BgL_hooksz00_3639;
										goto BgL_zc3z04anonymousza31485ze3z87_1574;
									}
								}
							else
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1510z00_1580;

									BgL_arg1510z00_1580 = CAR(((obj_t) BgL_hnamesz00_1573));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2130z00zztrace_walkz00,
										BGl_string2132z00zztrace_walkz00, BgL_arg1510z00_1580);
								}
						}
				}
			}
			{	/* Trace/walk.scm 46 */
				obj_t BgL_idz00_1584;

				BgL_idz00_1584 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 46 */
					obj_t BgL_gloz00_1585;

					{	/* Trace/walk.scm 47 */
						obj_t BgL_list1522z00_1589;

						BgL_list1522z00_1589 =
							MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1585 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1584,
							BgL_list1522z00_1589);
					}
					{	/* Trace/walk.scm 47 */

						{	/* Trace/walk.scm 48 */
							bool_t BgL_test2252z00_3647;

							{	/* Trace/walk.scm 48 */
								obj_t BgL_classz00_2395;

								BgL_classz00_2395 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gloz00_1585))
									{	/* Trace/walk.scm 48 */
										BgL_objectz00_bglt BgL_arg1820z00_2397;

										BgL_arg1820z00_2397 =
											(BgL_objectz00_bglt) (BgL_gloz00_1585);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Trace/walk.scm 48 */
												long BgL_idxz00_2403;

												BgL_idxz00_2403 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2397);
												BgL_test2252z00_3647 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2403 + ((long) 2))) ==
													BgL_classz00_2395);
											}
										else
											{	/* Trace/walk.scm 48 */
												bool_t BgL_res2091z00_2425;

												{	/* Trace/walk.scm 48 */
													obj_t BgL_oclassz00_2411;

													{	/* Trace/walk.scm 48 */
														long BgL_arg1828z00_2417;

														{	/* Trace/walk.scm 48 */
															long BgL_arg1829z00_2418;

															BgL_arg1829z00_2418 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2397);
															BgL_arg1828z00_2417 =
																(BgL_arg1829z00_2418 - OBJECT_TYPE);
														}
														BgL_oclassz00_2411 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2417);
													}
													{	/* Trace/walk.scm 48 */
														bool_t BgL__ortest_1111z00_2412;

														BgL__ortest_1111z00_2412 =
															(BgL_classz00_2395 == BgL_oclassz00_2411);
														if (BgL__ortest_1111z00_2412)
															{	/* Trace/walk.scm 48 */
																BgL_res2091z00_2425 = BgL__ortest_1111z00_2412;
															}
														else
															{	/* Trace/walk.scm 48 */
																long BgL_odepthz00_2413;

																BgL_odepthz00_2413 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2411);
																if ((((long) 2) < BgL_odepthz00_2413))
																	{	/* Trace/walk.scm 48 */
																		obj_t BgL_arg1816z00_2415;

																		BgL_arg1816z00_2415 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2411, ((long) 2));
																		BgL_res2091z00_2425 =
																			(BgL_arg1816z00_2415 ==
																			BgL_classz00_2395);
																	}
																else
																	{	/* Trace/walk.scm 48 */
																		BgL_res2091z00_2425 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2252z00_3647 = BgL_res2091z00_2425;
											}
									}
								else
									{	/* Trace/walk.scm 48 */
										BgL_test2252z00_3647 = ((bool_t) 0);
									}
							}
							if (BgL_test2252z00_3647)
								{	/* Trace/walk.scm 49 */
									BgL_sfunz00_bglt BgL_i1110z00_1587;

									BgL_i1110z00_1587 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_gloz00_1585))))->
											BgL_valuez00));
									{
										obj_t BgL_auxz00_3671;

										{	/* Trace/walk.scm 50 */
											obj_t BgL_arg1521z00_1588;

											BgL_arg1521z00_1588 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1110z00_1587))->
												BgL_bodyz00);
											BgL_auxz00_3671 =
												((obj_t)
												BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
														(BgL_nodez00_bglt) BgL_arg1521z00_1588)));
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_i1110z00_1587))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_3671), BUNSPEC);
									}
								}
							else
								{	/* Trace/walk.scm 48 */
									BFALSE;
								}
						}
					}
				}
			}
			{
				obj_t BgL_l1311z00_1591;

				BgL_l1311z00_1591 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31523ze3z87_1592:
				if (PAIRP(BgL_l1311z00_1591))
					{	/* Trace/walk.scm 52 */
						{	/* Trace/walk.scm 52 */
							obj_t BgL_vz00_1594;

							BgL_vz00_1594 = CAR(BgL_l1311z00_1591);
							BGl_tracezd2funz12zc0zztrace_walkz00(BgL_vz00_1594, BNIL,
								BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00);
						}
						{
							obj_t BgL_l1311z00_3681;

							BgL_l1311z00_3681 = CDR(BgL_l1311z00_1591);
							BgL_l1311z00_1591 = BgL_l1311z00_3681;
							goto BgL_zc3z04anonymousza31523ze3z87_1592;
						}
					}
				else
					{	/* Trace/walk.scm 52 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 53 */
					{	/* Trace/walk.scm 53 */
						obj_t BgL_port1313z00_1599;

						{	/* Trace/walk.scm 53 */
							obj_t BgL_tmpz00_3686;

							BgL_tmpz00_3686 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1313z00_1599 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3686);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1313z00_1599);
						bgl_display_string(BGl_string2133z00zztrace_walkz00,
							BgL_port1313z00_1599);
						{	/* Trace/walk.scm 53 */
							obj_t BgL_arg1529z00_1600;

							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2259z00_3691;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 53 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 53 */
												BgL_test2259z00_3691 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 53 */
												BgL_test2259z00_3691 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 53 */
										BgL_test2259z00_3691 = ((bool_t) 0);
									}
								if (BgL_test2259z00_3691)
									{	/* Trace/walk.scm 53 */
										BgL_arg1529z00_1600 = BGl_string2134z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 53 */
										BgL_arg1529z00_1600 = BGl_string2135z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1529z00_1600, BgL_port1313z00_1599);
						}
						bgl_display_string(BGl_string2136z00zztrace_walkz00,
							BgL_port1313z00_1599);
						bgl_display_char(((unsigned char) 10), BgL_port1313z00_1599);
					}
					{	/* Trace/walk.scm 53 */
						obj_t BgL_list1532z00_1604;

						BgL_list1532z00_1604 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1532z00_1604);
					}
				}
			else
				{	/* Trace/walk.scm 53 */
					obj_t BgL_g1111z00_1605;

					BgL_g1111z00_1605 = BNIL;
					{
						obj_t BgL_hooksz00_1608;
						obj_t BgL_hnamesz00_1609;

						BgL_hooksz00_1608 = BgL_g1111z00_1605;
						BgL_hnamesz00_1609 = BNIL;
					BgL_zc3z04anonymousza31533ze3z87_1610:
						if (NULLP(BgL_hooksz00_1608))
							{	/* Trace/walk.scm 53 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2263z00_3708;

								{	/* Trace/walk.scm 53 */
									obj_t BgL_fun1562z00_1617;

									BgL_fun1562z00_1617 = CAR(((obj_t) BgL_hooksz00_1608));
									BgL_test2263z00_3708 =
										CBOOL(
										((obj_t(*)(obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun1562z00_1617))
										(BgL_fun1562z00_1617, BEOA));
								}
								if (BgL_test2263z00_3708)
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1558z00_1614;
										obj_t BgL_arg1559z00_1615;

										BgL_arg1558z00_1614 = CDR(((obj_t) BgL_hooksz00_1608));
										BgL_arg1559z00_1615 = CDR(((obj_t) BgL_hnamesz00_1609));
										{
											obj_t BgL_hnamesz00_3720;
											obj_t BgL_hooksz00_3719;

											BgL_hooksz00_3719 = BgL_arg1558z00_1614;
											BgL_hnamesz00_3720 = BgL_arg1559z00_1615;
											BgL_hnamesz00_1609 = BgL_hnamesz00_3720;
											BgL_hooksz00_1608 = BgL_hooksz00_3719;
											goto BgL_zc3z04anonymousza31533ze3z87_1610;
										}
									}
								else
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1561z00_1616;

										BgL_arg1561z00_1616 = CAR(((obj_t) BgL_hnamesz00_1609));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2137z00zztrace_walkz00, BgL_arg1561z00_1616);
									}
							}
					}
				}
		}

	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3240,
		obj_t BgL_globalsz00_3241)
	{
		{	/* Trace/walk.scm 39 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3241);
		}

	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		{	/* Trace/walk.scm 64 */
			{	/* Trace/walk.scm 66 */
				bool_t BgL_test2264z00_3725;

				{	/* Trace/walk.scm 66 */
					bool_t BgL_test2265z00_3726;

					{	/* Trace/walk.scm 66 */
						obj_t BgL_classz00_2442;

						BgL_classz00_2442 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_vz00_18))
							{	/* Trace/walk.scm 66 */
								BgL_objectz00_bglt BgL_arg1820z00_2444;

								BgL_arg1820z00_2444 = (BgL_objectz00_bglt) (BgL_vz00_18);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Trace/walk.scm 66 */
										long BgL_idxz00_2450;

										BgL_idxz00_2450 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2444);
										BgL_test2265z00_3726 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2450 + ((long) 2))) == BgL_classz00_2442);
									}
								else
									{	/* Trace/walk.scm 66 */
										bool_t BgL_res2093z00_2472;

										{	/* Trace/walk.scm 66 */
											obj_t BgL_oclassz00_2458;

											{	/* Trace/walk.scm 66 */
												long BgL_arg1828z00_2464;

												{	/* Trace/walk.scm 66 */
													long BgL_arg1829z00_2465;

													BgL_arg1829z00_2465 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2444);
													BgL_arg1828z00_2464 =
														(BgL_arg1829z00_2465 - OBJECT_TYPE);
												}
												BgL_oclassz00_2458 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2464);
											}
											{	/* Trace/walk.scm 66 */
												bool_t BgL__ortest_1111z00_2459;

												BgL__ortest_1111z00_2459 =
													(BgL_classz00_2442 == BgL_oclassz00_2458);
												if (BgL__ortest_1111z00_2459)
													{	/* Trace/walk.scm 66 */
														BgL_res2093z00_2472 = BgL__ortest_1111z00_2459;
													}
												else
													{	/* Trace/walk.scm 66 */
														long BgL_odepthz00_2460;

														BgL_odepthz00_2460 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2458);
														if ((((long) 2) < BgL_odepthz00_2460))
															{	/* Trace/walk.scm 66 */
																obj_t BgL_arg1816z00_2462;

																BgL_arg1816z00_2462 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2458,
																	((long) 2));
																BgL_res2093z00_2472 =
																	(BgL_arg1816z00_2462 == BgL_classz00_2442);
															}
														else
															{	/* Trace/walk.scm 66 */
																BgL_res2093z00_2472 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2265z00_3726 = BgL_res2093z00_2472;
									}
							}
						else
							{	/* Trace/walk.scm 66 */
								BgL_test2265z00_3726 = ((bool_t) 0);
							}
					}
					if (BgL_test2265z00_3726)
						{	/* Trace/walk.scm 66 */
							BgL_test2264z00_3725 =
								(
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
								CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* Trace/walk.scm 66 */
							BgL_test2264z00_3725 = ((bool_t) 0);
						}
				}
				if (BgL_test2264z00_3725)
					{	/* Trace/walk.scm 67 */
						obj_t BgL_arg1567z00_1623;

						{	/* Trace/walk.scm 67 */
							obj_t BgL_arg1570z00_1624;
							obj_t BgL_arg1572z00_1625;

							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1580z00_1626;

								BgL_arg1580z00_1626 =
									bstring_to_symbol(BGl_string2138z00zztrace_walkz00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1469z00_2476;

									BgL_arg1469z00_2476 = SYMBOL_TO_STRING(BgL_arg1580z00_1626);
									BgL_arg1570z00_1624 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1469z00_2476);
								}
							}
							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1581z00_1627;

								BgL_arg1581z00_1627 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1469z00_2479;

									BgL_arg1469z00_2479 = SYMBOL_TO_STRING(BgL_arg1581z00_1627);
									BgL_arg1572z00_1625 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1469z00_2479);
								}
							}
							BgL_arg1567z00_1623 =
								string_append(BgL_arg1570z00_1624, BgL_arg1572z00_1625);
						}
						return bstring_to_symbol(BgL_arg1567z00_1623);
					}
				else
					{	/* Trace/walk.scm 68 */
						bool_t BgL_test2270z00_3760;

						{	/* Trace/walk.scm 68 */
							bool_t BgL_test2271z00_3761;

							{	/* Trace/walk.scm 68 */
								obj_t BgL_classz00_2481;

								BgL_classz00_2481 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_18))
									{	/* Trace/walk.scm 68 */
										BgL_objectz00_bglt BgL_arg1820z00_2483;

										BgL_arg1820z00_2483 = (BgL_objectz00_bglt) (BgL_vz00_18);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Trace/walk.scm 68 */
												long BgL_idxz00_2489;

												BgL_idxz00_2489 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2483);
												BgL_test2271z00_3761 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2489 + ((long) 2))) ==
													BgL_classz00_2481);
											}
										else
											{	/* Trace/walk.scm 68 */
												bool_t BgL_res2094z00_2511;

												{	/* Trace/walk.scm 68 */
													obj_t BgL_oclassz00_2497;

													{	/* Trace/walk.scm 68 */
														long BgL_arg1828z00_2503;

														{	/* Trace/walk.scm 68 */
															long BgL_arg1829z00_2504;

															BgL_arg1829z00_2504 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2483);
															BgL_arg1828z00_2503 =
																(BgL_arg1829z00_2504 - OBJECT_TYPE);
														}
														BgL_oclassz00_2497 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_2503);
													}
													{	/* Trace/walk.scm 68 */
														bool_t BgL__ortest_1111z00_2498;

														BgL__ortest_1111z00_2498 =
															(BgL_classz00_2481 == BgL_oclassz00_2497);
														if (BgL__ortest_1111z00_2498)
															{	/* Trace/walk.scm 68 */
																BgL_res2094z00_2511 = BgL__ortest_1111z00_2498;
															}
														else
															{	/* Trace/walk.scm 68 */
																long BgL_odepthz00_2499;

																BgL_odepthz00_2499 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2497);
																if ((((long) 2) < BgL_odepthz00_2499))
																	{	/* Trace/walk.scm 68 */
																		obj_t BgL_arg1816z00_2501;

																		BgL_arg1816z00_2501 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2497, ((long) 2));
																		BgL_res2094z00_2511 =
																			(BgL_arg1816z00_2501 ==
																			BgL_classz00_2481);
																	}
																else
																	{	/* Trace/walk.scm 68 */
																		BgL_res2094z00_2511 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2271z00_3761 = BgL_res2094z00_2511;
											}
									}
								else
									{	/* Trace/walk.scm 68 */
										BgL_test2271z00_3761 = ((bool_t) 0);
									}
							}
							if (BgL_test2271z00_3761)
								{	/* Trace/walk.scm 68 */
									BgL_test2270z00_3760 =
										(
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Trace/walk.scm 68 */
									BgL_test2270z00_3760 = ((bool_t) 0);
								}
						}
						if (BgL_test2270z00_3760)
							{	/* Trace/walk.scm 69 */
								obj_t BgL_arg1590z00_1631;

								{	/* Trace/walk.scm 69 */
									obj_t BgL_arg1598z00_1632;
									obj_t BgL_arg1599z00_1633;

									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1600z00_1634;

										BgL_arg1600z00_1634 =
											bstring_to_symbol(BGl_string2139z00zztrace_walkz00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1469z00_2515;

											BgL_arg1469z00_2515 =
												SYMBOL_TO_STRING(BgL_arg1600z00_1634);
											BgL_arg1598z00_1632 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_2515);
										}
									}
									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1610z00_1635;

										BgL_arg1610z00_1635 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1469z00_2518;

											BgL_arg1469z00_2518 =
												SYMBOL_TO_STRING(BgL_arg1610z00_1635);
											BgL_arg1599z00_1633 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_2518);
										}
									}
									BgL_arg1590z00_1631 =
										string_append(BgL_arg1598z00_1632, BgL_arg1599z00_1633);
								}
								return bstring_to_symbol(BgL_arg1590z00_1631);
							}
						else
							{	/* Trace/walk.scm 70 */
								bool_t BgL_test2276z00_3795;

								{	/* Trace/walk.scm 70 */
									obj_t BgL_classz00_2520;

									BgL_classz00_2520 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_vz00_18))
										{	/* Trace/walk.scm 70 */
											BgL_objectz00_bglt BgL_arg1820z00_2522;

											BgL_arg1820z00_2522 = (BgL_objectz00_bglt) (BgL_vz00_18);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Trace/walk.scm 70 */
													long BgL_idxz00_2528;

													BgL_idxz00_2528 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_2522);
													BgL_test2276z00_3795 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2528 + ((long) 2))) ==
														BgL_classz00_2520);
												}
											else
												{	/* Trace/walk.scm 70 */
													bool_t BgL_res2095z00_2550;

													{	/* Trace/walk.scm 70 */
														obj_t BgL_oclassz00_2536;

														{	/* Trace/walk.scm 70 */
															long BgL_arg1828z00_2542;

															{	/* Trace/walk.scm 70 */
																long BgL_arg1829z00_2543;

																BgL_arg1829z00_2543 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_2522);
																BgL_arg1828z00_2542 =
																	(BgL_arg1829z00_2543 - OBJECT_TYPE);
															}
															BgL_oclassz00_2536 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1828z00_2542);
														}
														{	/* Trace/walk.scm 70 */
															bool_t BgL__ortest_1111z00_2537;

															BgL__ortest_1111z00_2537 =
																(BgL_classz00_2520 == BgL_oclassz00_2536);
															if (BgL__ortest_1111z00_2537)
																{	/* Trace/walk.scm 70 */
																	BgL_res2095z00_2550 =
																		BgL__ortest_1111z00_2537;
																}
															else
																{	/* Trace/walk.scm 70 */
																	long BgL_odepthz00_2538;

																	BgL_odepthz00_2538 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2536);
																	if ((((long) 2) < BgL_odepthz00_2538))
																		{	/* Trace/walk.scm 70 */
																			obj_t BgL_arg1816z00_2540;

																			BgL_arg1816z00_2540 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2536, ((long) 2));
																			BgL_res2095z00_2550 =
																				(BgL_arg1816z00_2540 ==
																				BgL_classz00_2520);
																		}
																	else
																		{	/* Trace/walk.scm 70 */
																			BgL_res2095z00_2550 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2276z00_3795 = BgL_res2095z00_2550;
												}
										}
									else
										{	/* Trace/walk.scm 70 */
											BgL_test2276z00_3795 = ((bool_t) 0);
										}
								}
								if (BgL_test2276z00_3795)
									{	/* Trace/walk.scm 71 */
										obj_t BgL_arg1614z00_1637;
										obj_t BgL_arg1615z00_1638;

										BgL_arg1614z00_1637 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg1615z00_1638 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 71 */
											obj_t BgL_list1616z00_1639;

											{	/* Trace/walk.scm 71 */
												obj_t BgL_arg1625z00_1640;

												{	/* Trace/walk.scm 71 */
													obj_t BgL_arg1629z00_1641;

													BgL_arg1629z00_1641 =
														MAKE_YOUNG_PAIR(BgL_arg1615z00_1638, BNIL);
													BgL_arg1625z00_1640 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg1629z00_1641);
												}
												BgL_list1616z00_1639 =
													MAKE_YOUNG_PAIR(BgL_arg1614z00_1637,
													BgL_arg1625z00_1640);
											}
											BGL_TAIL return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1616z00_1639);
										}
									}
								else
									{	/* Trace/walk.scm 70 */
										return
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}

	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20, obj_t BgL_levelz00_21)
	{
		{	/* Trace/walk.scm 81 */
			{	/* Trace/walk.scm 82 */
				BgL_valuez00_bglt BgL_funz00_1646;

				BgL_funz00_1646 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 82 */
					obj_t BgL_bodyz00_1647;

					BgL_bodyz00_1647 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1646)))->BgL_bodyz00);
					{	/* Trace/walk.scm 83 */
						obj_t BgL_llocz00_1648;

						BgL_llocz00_1648 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1646)))->BgL_locz00);
						{	/* Trace/walk.scm 87 */

							{	/* Trace/walk.scm 88 */
								bool_t BgL_test2281z00_3833;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_funz00_1646)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 88 */
										BgL_test2281z00_3833 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 88 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_funz00_1646)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 89 */
												BgL_test2281z00_3833 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 90 */
												obj_t BgL_arg1697z00_1692;

												BgL_arg1697z00_1692 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_test2281z00_3833 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg1697z00_1692);
											}
									}
								if (BgL_test2281z00_3833)
									{	/* Trace/walk.scm 88 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 92 */
											obj_t BgL_bdz00_1656;

											{	/* Trace/walk.scm 92 */
												bool_t BgL_test2284z00_3849;

												if (((long) CINT(BgL_levelz00_21) > ((long) 1)))
													{	/* Trace/walk.scm 92 */
														BgL_test2284z00_3849 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 93 */
														bool_t BgL_test2286z00_3853;

														{	/* Trace/walk.scm 93 */
															obj_t BgL_classz00_2561;

															BgL_classz00_2561 = BGl_globalz00zzast_varz00;
															if (BGL_OBJECTP(BgL_varz00_19))
																{	/* Trace/walk.scm 93 */
																	BgL_objectz00_bglt BgL_arg1820z00_2563;

																	BgL_arg1820z00_2563 =
																		(BgL_objectz00_bglt) (BgL_varz00_19);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Trace/walk.scm 93 */
																			long BgL_idxz00_2569;

																			BgL_idxz00_2569 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_2563);
																			BgL_test2286z00_3853 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2569 + ((long) 2))) ==
																				BgL_classz00_2561);
																		}
																	else
																		{	/* Trace/walk.scm 93 */
																			bool_t BgL_res2096z00_2591;

																			{	/* Trace/walk.scm 93 */
																				obj_t BgL_oclassz00_2577;

																				{	/* Trace/walk.scm 93 */
																					long BgL_arg1828z00_2583;

																					{	/* Trace/walk.scm 93 */
																						long BgL_arg1829z00_2584;

																						BgL_arg1829z00_2584 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_2563);
																						BgL_arg1828z00_2583 =
																							(BgL_arg1829z00_2584 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2577 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_2583);
																				}
																				{	/* Trace/walk.scm 93 */
																					bool_t BgL__ortest_1111z00_2578;

																					BgL__ortest_1111z00_2578 =
																						(BgL_classz00_2561 ==
																						BgL_oclassz00_2577);
																					if (BgL__ortest_1111z00_2578)
																						{	/* Trace/walk.scm 93 */
																							BgL_res2096z00_2591 =
																								BgL__ortest_1111z00_2578;
																						}
																					else
																						{	/* Trace/walk.scm 93 */
																							long BgL_odepthz00_2579;

																							BgL_odepthz00_2579 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2577);
																							if ((((long) 2) <
																									BgL_odepthz00_2579))
																								{	/* Trace/walk.scm 93 */
																									obj_t BgL_arg1816z00_2581;

																									BgL_arg1816z00_2581 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2577,
																										((long) 2));
																									BgL_res2096z00_2591 =
																										(BgL_arg1816z00_2581 ==
																										BgL_classz00_2561);
																								}
																							else
																								{	/* Trace/walk.scm 93 */
																									BgL_res2096z00_2591 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2286z00_3853 =
																				BgL_res2096z00_2591;
																		}
																}
															else
																{	/* Trace/walk.scm 93 */
																	BgL_test2286z00_3853 = ((bool_t) 0);
																}
														}
														if (BgL_test2286z00_3853)
															{	/* Trace/walk.scm 94 */
																bool_t BgL__ortest_1114z00_1685;

																BgL__ortest_1114z00_1685 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1114z00_1685)
																	{	/* Trace/walk.scm 94 */
																		BgL_test2284z00_3849 =
																			BgL__ortest_1114z00_1685;
																	}
																else
																	{	/* Trace/walk.scm 95 */
																		bool_t BgL__ortest_1115z00_1686;

																		BgL__ortest_1115z00_1686 =
																			(
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1115z00_1686)
																			{	/* Trace/walk.scm 95 */
																				BgL_test2284z00_3849 =
																					BgL__ortest_1115z00_1686;
																			}
																		else
																			{	/* Trace/walk.scm 95 */
																				BgL_test2284z00_3849 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 93 */
																BgL_test2284z00_3849 = ((bool_t) 0);
															}
													}
												if (BgL_test2284z00_3849)
													{	/* Trace/walk.scm 104 */
														bool_t BgL_test2293z00_3890;

														{	/* Trace/walk.scm 104 */
															bool_t BgL_test2294z00_3891;

															{	/* Trace/walk.scm 104 */
																obj_t BgL_classz00_2595;

																BgL_classz00_2595 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_varz00_19))
																	{	/* Trace/walk.scm 104 */
																		BgL_objectz00_bglt BgL_arg1820z00_2597;

																		BgL_arg1820z00_2597 =
																			(BgL_objectz00_bglt) (BgL_varz00_19);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Trace/walk.scm 104 */
																				long BgL_idxz00_2603;

																				BgL_idxz00_2603 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1820z00_2597);
																				BgL_test2294z00_3891 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2603 + ((long) 2))) ==
																					BgL_classz00_2595);
																			}
																		else
																			{	/* Trace/walk.scm 104 */
																				bool_t BgL_res2097z00_2625;

																				{	/* Trace/walk.scm 104 */
																					obj_t BgL_oclassz00_2611;

																					{	/* Trace/walk.scm 104 */
																						long BgL_arg1828z00_2617;

																						{	/* Trace/walk.scm 104 */
																							long BgL_arg1829z00_2618;

																							BgL_arg1829z00_2618 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1820z00_2597);
																							BgL_arg1828z00_2617 =
																								(BgL_arg1829z00_2618 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2611 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1828z00_2617);
																					}
																					{	/* Trace/walk.scm 104 */
																						bool_t BgL__ortest_1111z00_2612;

																						BgL__ortest_1111z00_2612 =
																							(BgL_classz00_2595 ==
																							BgL_oclassz00_2611);
																						if (BgL__ortest_1111z00_2612)
																							{	/* Trace/walk.scm 104 */
																								BgL_res2097z00_2625 =
																									BgL__ortest_1111z00_2612;
																							}
																						else
																							{	/* Trace/walk.scm 104 */
																								long BgL_odepthz00_2613;

																								BgL_odepthz00_2613 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2611);
																								if ((((long) 2) <
																										BgL_odepthz00_2613))
																									{	/* Trace/walk.scm 104 */
																										obj_t BgL_arg1816z00_2615;

																										BgL_arg1816z00_2615 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2611,
																											((long) 2));
																										BgL_res2097z00_2625 =
																											(BgL_arg1816z00_2615 ==
																											BgL_classz00_2595);
																									}
																								else
																									{	/* Trace/walk.scm 104 */
																										BgL_res2097z00_2625 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2294z00_3891 =
																					BgL_res2097z00_2625;
																			}
																	}
																else
																	{	/* Trace/walk.scm 104 */
																		BgL_test2294z00_3891 = ((bool_t) 0);
																	}
															}
															if (BgL_test2294z00_3891)
																{	/* Trace/walk.scm 104 */
																	BgL_test2293z00_3890 = ((bool_t) 1);
																}
															else
																{	/* Trace/walk.scm 104 */
																	if (
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5))))
																		{	/* Trace/walk.scm 105 */
																			BgL_test2293z00_3890 = ((bool_t) 1);
																		}
																	else
																		{	/* Trace/walk.scm 105 */
																			BgL_test2293z00_3890 =
																				(
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_varz00_19))))->
																					BgL_idz00) ==
																				CNST_TABLE_REF(((long) 6)));
														}}}
														if (BgL_test2293z00_3890)
															{	/* Trace/walk.scm 107 */
																long BgL_arg1674z00_1676;

																BgL_arg1674z00_1676 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1656 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1647),
																		BgL_stackz00_20,
																		BINT(BgL_arg1674z00_1676)));
															}
														else
															{	/* Trace/walk.scm 108 */
																obj_t BgL_arg1677z00_1677;
																long BgL_arg1680z00_1678;

																BgL_arg1677z00_1677 =
																	MAKE_YOUNG_PAIR(BgL_varz00_19,
																	BgL_stackz00_20);
																BgL_arg1680z00_1678 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1656 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00((
																			(BgL_nodez00_bglt) BgL_bodyz00_1647),
																		BgL_arg1677z00_1677,
																		BINT(BgL_arg1680z00_1678)));
													}}
												else
													{	/* Trace/walk.scm 92 */
														BgL_bdz00_1656 = BgL_bodyz00_1647;
													}
											}
											{	/* Trace/walk.scm 92 */
												BgL_typez00_bglt BgL_tz00_1657;

												{	/* Trace/walk.scm 110 */
													BgL_typez00_bglt BgL_arg1646z00_1660;
													BgL_typez00_bglt BgL_arg1648z00_1661;

													BgL_arg1646z00_1660 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_bodyz00_1647)))->
														BgL_typez00);
													BgL_arg1648z00_1661 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1657 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1646z00_1660, BgL_arg1648z00_1661);
												}
												{	/* Trace/walk.scm 110 */
													obj_t BgL_idz00_1658;

													BgL_idz00_1658 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 111 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1659;

														BgL_nbodyz00_1659 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1656),
															BgL_tz00_1657, BgL_idz00_1658, BgL_llocz00_1648,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 112 */

															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_funz00_1646)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1659)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 88 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}

	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_nodez00_bglt
		BgL_sexpz00_22)
	{
		{	/* Trace/walk.scm 123 */
			{
				obj_t BgL_sexpz00_1695;
				obj_t BgL_resz00_1696;

				BgL_sexpz00_1695 = ((obj_t) BgL_sexpz00_22);
				BgL_resz00_1696 = ((obj_t) BgL_sexpz00_22);
			BgL_zc3z04anonymousza31699ze3z87_1697:
				if (PAIRP(BgL_sexpz00_1695))
					{	/* Trace/walk.scm 129 */
						bool_t BgL_test2301z00_3949;

						{	/* Trace/walk.scm 129 */
							obj_t BgL_tmpz00_3950;

							BgL_tmpz00_3950 = CDR(BgL_sexpz00_1695);
							BgL_test2301z00_3949 = PAIRP(BgL_tmpz00_3950);
						}
						if (BgL_test2301z00_3949)
							{
								obj_t BgL_resz00_3955;
								obj_t BgL_sexpz00_3953;

								BgL_sexpz00_3953 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1695);
								BgL_resz00_3955 = BgL_sexpz00_1695;
								BgL_resz00_1696 = BgL_resz00_3955;
								BgL_sexpz00_1695 = BgL_sexpz00_3953;
								goto BgL_zc3z04anonymousza31699ze3z87_1697;
							}
						else
							{
								obj_t BgL_resz00_3958;
								obj_t BgL_sexpz00_3956;

								BgL_sexpz00_3956 = CAR(BgL_sexpz00_1695);
								BgL_resz00_3958 = BgL_sexpz00_1695;
								BgL_resz00_1696 = BgL_resz00_3958;
								BgL_sexpz00_1695 = BgL_sexpz00_3956;
								goto BgL_zc3z04anonymousza31699ze3z87_1697;
							}
					}
				else
					{	/* Trace/walk.scm 127 */
						return BgL_resz00_1696;
					}
			}
		}

	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38,
		BgL_typez00_bglt BgL_typez00_39, obj_t BgL_symbolz00_40,
		obj_t BgL_llocz00_41, obj_t BgL_stackz00_42)
	{
		{	/* Trace/walk.scm 246 */
			{	/* Trace/walk.scm 253 */
				obj_t BgL_locz00_1706;

				BgL_locz00_1706 =
					(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_38))->BgL_locz00);
				{	/* Trace/walk.scm 253 */
					obj_t BgL_auxz00_1707;

					BgL_auxz00_1707 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 254 */
						obj_t BgL_tauxz00_1708;

						BgL_tauxz00_1708 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1707,
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_39))->BgL_idz00));
						{	/* Trace/walk.scm 255 */
							obj_t BgL_tmp1z00_1709;

							BgL_tmp1z00_1709 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 256 */
								obj_t BgL_tmp2z00_1710;

								BgL_tmp2z00_1710 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 257 */
									obj_t BgL_tmp3z00_1711;

									BgL_tmp3z00_1711 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 258 */
										obj_t BgL_symz00_1712;

										{	/* Trace/walk.scm 259 */
											bool_t BgL_test2302z00_3976;

											if (PAIRP(BgL_stackz00_42))
												{	/* Trace/walk.scm 259 */
													obj_t BgL_arg1840z00_1763;

													BgL_arg1840z00_1763 = CAR(BgL_stackz00_42);
													{	/* Trace/walk.scm 259 */
														obj_t BgL_classz00_2640;

														BgL_classz00_2640 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1840z00_1763))
															{	/* Trace/walk.scm 259 */
																BgL_objectz00_bglt BgL_arg1820z00_2642;

																BgL_arg1820z00_2642 =
																	(BgL_objectz00_bglt) (BgL_arg1840z00_1763);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Trace/walk.scm 259 */
																		long BgL_idxz00_2648;

																		BgL_idxz00_2648 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_2642);
																		BgL_test2302z00_3976 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2648 + ((long) 1))) ==
																			BgL_classz00_2640);
																	}
																else
																	{	/* Trace/walk.scm 259 */
																		bool_t BgL_res2098z00_2670;

																		{	/* Trace/walk.scm 259 */
																			obj_t BgL_oclassz00_2656;

																			{	/* Trace/walk.scm 259 */
																				long BgL_arg1828z00_2662;

																				{	/* Trace/walk.scm 259 */
																					long BgL_arg1829z00_2663;

																					BgL_arg1829z00_2663 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_2642);
																					BgL_arg1828z00_2662 =
																						(BgL_arg1829z00_2663 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2656 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_2662);
																			}
																			{	/* Trace/walk.scm 259 */
																				bool_t BgL__ortest_1111z00_2657;

																				BgL__ortest_1111z00_2657 =
																					(BgL_classz00_2640 ==
																					BgL_oclassz00_2656);
																				if (BgL__ortest_1111z00_2657)
																					{	/* Trace/walk.scm 259 */
																						BgL_res2098z00_2670 =
																							BgL__ortest_1111z00_2657;
																					}
																				else
																					{	/* Trace/walk.scm 259 */
																						long BgL_odepthz00_2658;

																						BgL_odepthz00_2658 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2656);
																						if ((((long) 1) <
																								BgL_odepthz00_2658))
																							{	/* Trace/walk.scm 259 */
																								obj_t BgL_arg1816z00_2660;

																								BgL_arg1816z00_2660 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2656,
																									((long) 1));
																								BgL_res2098z00_2670 =
																									(BgL_arg1816z00_2660 ==
																									BgL_classz00_2640);
																							}
																						else
																							{	/* Trace/walk.scm 259 */
																								BgL_res2098z00_2670 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2302z00_3976 = BgL_res2098z00_2670;
																	}
															}
														else
															{	/* Trace/walk.scm 259 */
																BgL_test2302z00_3976 = ((bool_t) 0);
															}
													}
												}
											else
												{	/* Trace/walk.scm 259 */
													BgL_test2302z00_3976 = ((bool_t) 0);
												}
											if (BgL_test2302z00_3976)
												{	/* Trace/walk.scm 259 */
													BgL_symz00_1712 =
														BGl_fqnameze70ze7zztrace_walkz00(BgL_symbolz00_40,
														BgL_stackz00_42);
												}
											else
												{	/* Trace/walk.scm 259 */
													BgL_symz00_1712 = BgL_symbolz00_40;
												}
										}
										{	/* Trace/walk.scm 259 */
											obj_t BgL_lz00_1713;

											{	/* Trace/walk.scm 263 */
												bool_t BgL_test2308z00_4000;

												if (STRUCTP(BgL_locz00_1706))
													{	/* Trace/walk.scm 263 */
														BgL_test2308z00_4000 =
															(STRUCT_KEY(BgL_locz00_1706) ==
															CNST_TABLE_REF(((long) 11)));
													}
												else
													{	/* Trace/walk.scm 263 */
														BgL_test2308z00_4000 = ((bool_t) 0);
													}
												if (BgL_test2308z00_4000)
													{	/* Trace/walk.scm 264 */
														obj_t BgL_arg1821z00_1755;

														{	/* Trace/walk.scm 264 */
															obj_t BgL_arg1822z00_1756;
															obj_t BgL_arg1830z00_1757;

															BgL_arg1822z00_1756 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1706);
															BgL_arg1830z00_1757 =
																MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_1706,
																	(int) (((long) 1))), BNIL);
															BgL_arg1821z00_1755 =
																MAKE_YOUNG_PAIR(BgL_arg1822z00_1756,
																BgL_arg1830z00_1757);
														}
														BgL_lz00_1713 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1821z00_1755);
													}
												else
													{	/* Trace/walk.scm 263 */
														BgL_lz00_1713 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 263 */
												obj_t BgL_expz00_1714;

												{	/* Trace/walk.scm 265 */
													obj_t BgL_arg1728z00_1718;

													{	/* Trace/walk.scm 265 */
														obj_t BgL_arg1730z00_1719;
														obj_t BgL_arg1731z00_1720;

														{	/* Trace/walk.scm 265 */
															obj_t BgL_arg1734z00_1721;
															obj_t BgL_arg1736z00_1722;

															{	/* Trace/walk.scm 265 */
																obj_t BgL_arg1738z00_1723;

																{	/* Trace/walk.scm 265 */
																	obj_t BgL_arg1741z00_1724;

																	{	/* Trace/walk.scm 265 */
																		obj_t BgL_arg1745z00_1725;

																		BgL_arg1745z00_1725 =
																			MAKE_YOUNG_PAIR(BgL_symz00_1712, BNIL);
																		BgL_arg1741z00_1724 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					13)), BgL_arg1745z00_1725);
																	}
																	BgL_arg1738z00_1723 =
																		MAKE_YOUNG_PAIR(BgL_arg1741z00_1724, BNIL);
																}
																BgL_arg1734z00_1721 =
																	MAKE_YOUNG_PAIR(BgL_tmp1z00_1709,
																	BgL_arg1738z00_1723);
															}
															{	/* Trace/walk.scm 266 */
																obj_t BgL_arg1746z00_1726;
																obj_t BgL_arg1749z00_1727;

																{	/* Trace/walk.scm 266 */
																	obj_t BgL_arg1750z00_1728;

																	{	/* Trace/walk.scm 266 */
																		obj_t BgL_arg1751z00_1729;

																		{	/* Trace/walk.scm 266 */
																			obj_t BgL_arg1752z00_1730;

																			BgL_arg1752z00_1730 =
																				MAKE_YOUNG_PAIR(BgL_lz00_1713, BNIL);
																			BgL_arg1751z00_1729 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						13)), BgL_arg1752z00_1730);
																		}
																		BgL_arg1750z00_1728 =
																			MAKE_YOUNG_PAIR(BgL_arg1751z00_1729,
																			BNIL);
																	}
																	BgL_arg1746z00_1726 =
																		MAKE_YOUNG_PAIR(BgL_tmp2z00_1710,
																		BgL_arg1750z00_1728);
																}
																{	/* Trace/walk.scm 267 */
																	obj_t BgL_arg1753z00_1731;

																	{	/* Trace/walk.scm 267 */
																		obj_t BgL_arg1754z00_1732;
																		obj_t BgL_arg1755z00_1733;

																		BgL_arg1754z00_1732 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1711,
																			CNST_TABLE_REF(((long) 14)));
																		{	/* Trace/walk.scm 267 */
																			obj_t BgL_arg1756z00_1734;

																			BgL_arg1756z00_1734 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						15)), BNIL);
																			BgL_arg1755z00_1733 =
																				MAKE_YOUNG_PAIR(BgL_arg1756z00_1734,
																				BNIL);
																		}
																		BgL_arg1753z00_1731 =
																			MAKE_YOUNG_PAIR(BgL_arg1754z00_1732,
																			BgL_arg1755z00_1733);
																	}
																	BgL_arg1749z00_1727 =
																		MAKE_YOUNG_PAIR(BgL_arg1753z00_1731, BNIL);
																}
																BgL_arg1736z00_1722 =
																	MAKE_YOUNG_PAIR(BgL_arg1746z00_1726,
																	BgL_arg1749z00_1727);
															}
															BgL_arg1730z00_1719 =
																MAKE_YOUNG_PAIR(BgL_arg1734z00_1721,
																BgL_arg1736z00_1722);
														}
														{	/* Trace/walk.scm 269 */
															obj_t BgL_arg1757z00_1735;

															{	/* Trace/walk.scm 269 */
																obj_t BgL_arg1763z00_1736;

																{	/* Trace/walk.scm 269 */
																	obj_t BgL_arg1765z00_1737;

																	{	/* Trace/walk.scm 269 */
																		obj_t BgL_arg1766z00_1738;
																		obj_t BgL_arg1769z00_1739;

																		{	/* Trace/walk.scm 269 */
																			obj_t BgL_arg1770z00_1740;

																			{	/* Trace/walk.scm 269 */
																				obj_t BgL_arg1771z00_1741;

																				{	/* Trace/walk.scm 269 */
																					obj_t BgL_arg1777z00_1742;

																					BgL_arg1777z00_1742 =
																						MAKE_YOUNG_PAIR(BgL_tmp2z00_1710,
																						BNIL);
																					BgL_arg1771z00_1741 =
																						MAKE_YOUNG_PAIR(BgL_tmp1z00_1709,
																						BgL_arg1777z00_1742);
																				}
																				BgL_arg1770z00_1740 =
																					MAKE_YOUNG_PAIR(BgL_tmp3z00_1711,
																					BgL_arg1771z00_1741);
																			}
																			BgL_arg1766z00_1738 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						16)), BgL_arg1770z00_1740);
																		}
																		{	/* Trace/walk.scm 270 */
																			obj_t BgL_arg1778z00_1743;

																			{	/* Trace/walk.scm 270 */
																				obj_t BgL_arg1781z00_1744;

																				{	/* Trace/walk.scm 270 */
																					obj_t BgL_arg1785z00_1745;
																					obj_t BgL_arg1787z00_1746;

																					{	/* Trace/walk.scm 270 */
																						obj_t BgL_arg1789z00_1747;

																						{	/* Trace/walk.scm 270 */
																							obj_t BgL_arg1790z00_1748;

																							BgL_arg1790z00_1748 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_nodez00_38), BNIL);
																							BgL_arg1789z00_1747 =
																								MAKE_YOUNG_PAIR
																								(BgL_tauxz00_1708,
																								BgL_arg1790z00_1748);
																						}
																						BgL_arg1785z00_1745 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1789z00_1747, BNIL);
																					}
																					{	/* Trace/walk.scm 271 */
																						obj_t BgL_arg1811z00_1749;
																						obj_t BgL_arg1812z00_1750;

																						{	/* Trace/walk.scm 271 */
																							bool_t BgL_test2310z00_4041;

																							if (STRUCTP(BgL_llocz00_41))
																								{	/* Trace/walk.scm 271 */
																									BgL_test2310z00_4041 =
																										(STRUCT_KEY(BgL_llocz00_41)
																										==
																										CNST_TABLE_REF(((long)
																												11)));
																								}
																							else
																								{	/* Trace/walk.scm 271 */
																									BgL_test2310z00_4041 =
																										((bool_t) 0);
																								}
																							if (BgL_test2310z00_4041)
																								{	/* Trace/walk.scm 273 */
																									obj_t BgL_arg1817z00_1752;

																									{	/* Trace/walk.scm 273 */
																										obj_t BgL_res2101z00_2680;

																										BgL_res2101z00_2680 =
																											MAKE_YOUNG_EPAIR
																											(BgL_tmp3z00_1711, BNIL,
																											BgL_llocz00_41);
																										BgL_arg1817z00_1752 =
																											BgL_res2101z00_2680;
																									}
																									{	/* Trace/walk.scm 272 */
																										obj_t BgL_res2102z00_2682;

																										{	/* Trace/walk.scm 272 */
																											obj_t BgL_obj1z00_2681;

																											BgL_obj1z00_2681 =
																												CNST_TABLE_REF(((long)
																													17));
																											BgL_res2102z00_2682 =
																												MAKE_YOUNG_EPAIR
																												(BgL_obj1z00_2681,
																												BgL_arg1817z00_1752,
																												BgL_llocz00_41);
																										}
																										BgL_arg1811z00_1749 =
																											BgL_res2102z00_2682;
																								}}
																							else
																								{	/* Trace/walk.scm 275 */
																									obj_t BgL_arg1819z00_1753;

																									BgL_arg1819z00_1753 =
																										MAKE_YOUNG_PAIR
																										(BgL_tmp3z00_1711, BNIL);
																									BgL_arg1811z00_1749 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												17)),
																										BgL_arg1819z00_1753);
																						}}
																						BgL_arg1812z00_1750 =
																							MAKE_YOUNG_PAIR(BgL_auxz00_1707,
																							BNIL);
																						BgL_arg1787z00_1746 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1811z00_1749,
																							BgL_arg1812z00_1750);
																					}
																					BgL_arg1781z00_1744 =
																						MAKE_YOUNG_PAIR(BgL_arg1785z00_1745,
																						BgL_arg1787z00_1746);
																				}
																				BgL_arg1778z00_1743 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							18)), BgL_arg1781z00_1744);
																			}
																			BgL_arg1769z00_1739 =
																				MAKE_YOUNG_PAIR(BgL_arg1778z00_1743,
																				BNIL);
																		}
																		BgL_arg1765z00_1737 =
																			MAKE_YOUNG_PAIR(BgL_arg1766z00_1738,
																			BgL_arg1769z00_1739);
																	}
																	BgL_arg1763z00_1736 =
																		MAKE_YOUNG_PAIR(BNIL, BgL_arg1765z00_1737);
																}
																BgL_arg1757z00_1735 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg1763z00_1736);
															}
															BgL_arg1731z00_1720 =
																MAKE_YOUNG_PAIR(BgL_arg1757z00_1735, BNIL);
														}
														BgL_arg1728z00_1718 =
															MAKE_YOUNG_PAIR(BgL_arg1730z00_1719,
															BgL_arg1731z00_1720);
													}
													BgL_expz00_1714 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1728z00_1718);
												}
												{	/* Trace/walk.scm 265 */
													BgL_nodez00_bglt BgL_nnodez00_1715;

													BgL_nnodez00_1715 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1714,
														BNIL, BgL_locz00_1706, CNST_TABLE_REF(((long) 19)));
													{	/* Trace/walk.scm 277 */

														{	/* Trace/walk.scm 278 */
															bool_t BgL_arg1721z00_1716;

															{	/* Trace/walk.scm 278 */
																obj_t BgL_arg1723z00_1717;

																BgL_arg1723z00_1717 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1721z00_1716 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1723z00_1717)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1715)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg1721z00_1716), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1715);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* fqname~0 */
	obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t BgL_symz00_1769,
		obj_t BgL_stackz00_1770)
	{
		{	/* Trace/walk.scm 251 */
			if (NULLP(BgL_stackz00_1770))
				{	/* Trace/walk.scm 249 */
					return BgL_symz00_1769;
				}
			else
				{	/* Trace/walk.scm 251 */
					obj_t BgL_arg1851z00_1773;

					{	/* Trace/walk.scm 251 */
						obj_t BgL_arg1857z00_1777;
						obj_t BgL_arg1859z00_1778;

						{	/* Trace/walk.scm 251 */
							obj_t BgL_arg1860z00_1779;

							BgL_arg1860z00_1779 = CAR(((obj_t) BgL_stackz00_1770));
							BgL_arg1857z00_1777 =
								BGl_tracezd2idzd2zztrace_walkz00(BgL_arg1860z00_1779);
						}
						BgL_arg1859z00_1778 = CDR(((obj_t) BgL_stackz00_1770));
						BgL_arg1851z00_1773 =
							BGl_fqnameze70ze7zztrace_walkz00(BgL_arg1857z00_1777,
							BgL_arg1859z00_1778);
					}
					{	/* Trace/walk.scm 251 */
						obj_t BgL_list1852z00_1774;

						{	/* Trace/walk.scm 251 */
							obj_t BgL_arg1854z00_1775;

							{	/* Trace/walk.scm 251 */
								obj_t BgL_arg1856z00_1776;

								BgL_arg1856z00_1776 =
									MAKE_YOUNG_PAIR(BgL_arg1851z00_1773, BNIL);
								BgL_arg1854z00_1775 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
									BgL_arg1856z00_1776);
							}
							BgL_list1852z00_1774 =
								MAKE_YOUNG_PAIR(BgL_symz00_1769, BgL_arg1854z00_1775);
						}
						return
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1852z00_1774);
					}
				}
		}

	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_100,
		obj_t BgL_stackz00_101, obj_t BgL_levelz00_102)
	{
		{	/* Trace/walk.scm 451 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_100))
				{	/* Trace/walk.scm 452 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 452 */
					{	/* Trace/walk.scm 453 */
						BgL_nodez00_bglt BgL_arg1862z00_1782;

						{	/* Trace/walk.scm 453 */
							obj_t BgL_arg1864z00_1783;

							BgL_arg1864z00_1783 = CAR(((obj_t) BgL_nodeza2za2_100));
							BgL_arg1862z00_1782 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1864z00_1783), BgL_stackz00_101,
								BgL_levelz00_102);
						}
						{	/* Trace/walk.scm 453 */
							obj_t BgL_auxz00_4096;
							obj_t BgL_tmpz00_4094;

							BgL_auxz00_4096 = ((obj_t) BgL_arg1862z00_1782);
							BgL_tmpz00_4094 = ((obj_t) BgL_nodeza2za2_100);
							SET_CAR(BgL_tmpz00_4094, BgL_auxz00_4096);
						}
					}
					{	/* Trace/walk.scm 454 */
						obj_t BgL_arg1865z00_1784;

						BgL_arg1865z00_1784 = CDR(((obj_t) BgL_nodeza2za2_100));
						{
							obj_t BgL_nodeza2za2_4101;

							BgL_nodeza2za2_4101 = BgL_arg1865z00_1784;
							BgL_nodeza2za2_100 = BgL_nodeza2za2_4101;
							goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
						}
					}
				}
		}

	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_107)
	{
		{	/* Trace/walk.scm 502 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_107))
				{	/* Trace/walk.scm 503 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 503 */
					{	/* Trace/walk.scm 504 */
						BgL_nodez00_bglt BgL_arg1867z00_1786;

						{	/* Trace/walk.scm 504 */
							obj_t BgL_arg1868z00_1787;

							BgL_arg1868z00_1787 = CAR(((obj_t) BgL_nodeza2za2_107));
							BgL_arg1867z00_1786 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1868z00_1787));
						}
						{	/* Trace/walk.scm 504 */
							obj_t BgL_auxz00_4110;
							obj_t BgL_tmpz00_4108;

							BgL_auxz00_4110 = ((obj_t) BgL_arg1867z00_1786);
							BgL_tmpz00_4108 = ((obj_t) BgL_nodeza2za2_107);
							SET_CAR(BgL_tmpz00_4108, BgL_auxz00_4110);
						}
					}
					{	/* Trace/walk.scm 505 */
						obj_t BgL_arg1870z00_1788;

						BgL_arg1870z00_1788 = CDR(((obj_t) BgL_nodeza2za2_107));
						{
							obj_t BgL_nodeza2za2_4115;

							BgL_nodeza2za2_4115 = BgL_arg1870z00_1788;
							BgL_nodeza2za2_107 = BgL_nodeza2za2_4115;
							goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2140z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2141z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2142z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2143z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2144z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2145z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node1395 */
	obj_t BGl_z62toplevelzd2tracezd2node1395z62zztrace_walkz00(obj_t
		BgL_envz00_3245, obj_t BgL_nodez00_3246)
	{
		{	/* Trace/walk.scm 459 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3246));
		}

	}



/* &trace-node1354 */
	obj_t BGl_z62tracezd2node1354zb0zztrace_walkz00(obj_t BgL_envz00_3247,
		obj_t BgL_nodez00_3248, obj_t BgL_stackz00_3249, obj_t BgL_levelz00_3250)
	{
		{	/* Trace/walk.scm 284 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3248));
		}

	}



/* &find-last-node1323 */
	obj_t BGl_z62findzd2lastzd2node1323z62zztrace_walkz00(obj_t BgL_envz00_3251,
		obj_t BgL_nodez00_3252)
	{
		{	/* Trace/walk.scm 140 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3252));
		}

	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_23)
	{
		{	/* Trace/walk.scm 140 */
			{	/* Trace/walk.scm 140 */
				obj_t BgL_method1324z00_1803;

				{	/* Trace/walk.scm 140 */
					obj_t BgL_res2107z00_2723;

					{	/* Trace/walk.scm 140 */
						long BgL_objzd2classzd2numz00_2694;

						BgL_objzd2classzd2numz00_2694 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Trace/walk.scm 140 */
							obj_t BgL_arg1825z00_2695;

							BgL_arg1825z00_2695 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 140 */
								int BgL_offsetz00_2698;

								BgL_offsetz00_2698 = (int) (BgL_objzd2classzd2numz00_2694);
								{	/* Trace/walk.scm 140 */
									long BgL_offsetz00_2699;

									BgL_offsetz00_2699 =
										((long) (BgL_offsetz00_2698) - OBJECT_TYPE);
									{	/* Trace/walk.scm 140 */
										long BgL_modz00_2700;

										BgL_modz00_2700 =
											(BgL_offsetz00_2699 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 140 */
											long BgL_restz00_2702;

											BgL_restz00_2702 =
												(BgL_offsetz00_2699 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 140 */

												{	/* Trace/walk.scm 140 */
													obj_t BgL_bucketz00_2704;

													BgL_bucketz00_2704 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2695), BgL_modz00_2700);
													BgL_res2107z00_2723 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2704), BgL_restz00_2702);
					}}}}}}}}
					BgL_method1324z00_1803 = BgL_res2107z00_2723;
				}
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1324z00_1803)) (BgL_method1324z00_1803,
					((obj_t) BgL_nodez00_23), BEOA);
			}
		}

	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3253,
		obj_t BgL_nodez00_3254)
	{
		{	/* Trace/walk.scm 140 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3254));
		}

	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_43, obj_t BgL_stackz00_44, obj_t BgL_levelz00_45)
	{
		{	/* Trace/walk.scm 284 */
			{	/* Trace/walk.scm 284 */
				obj_t BgL_method1356z00_1804;

				{	/* Trace/walk.scm 284 */
					obj_t BgL_res2112z00_2754;

					{	/* Trace/walk.scm 284 */
						long BgL_objzd2classzd2numz00_2725;

						BgL_objzd2classzd2numz00_2725 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
						{	/* Trace/walk.scm 284 */
							obj_t BgL_arg1825z00_2726;

							BgL_arg1825z00_2726 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 284 */
								int BgL_offsetz00_2729;

								BgL_offsetz00_2729 = (int) (BgL_objzd2classzd2numz00_2725);
								{	/* Trace/walk.scm 284 */
									long BgL_offsetz00_2730;

									BgL_offsetz00_2730 =
										((long) (BgL_offsetz00_2729) - OBJECT_TYPE);
									{	/* Trace/walk.scm 284 */
										long BgL_modz00_2731;

										BgL_modz00_2731 =
											(BgL_offsetz00_2730 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 284 */
											long BgL_restz00_2733;

											BgL_restz00_2733 =
												(BgL_offsetz00_2730 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 284 */

												{	/* Trace/walk.scm 284 */
													obj_t BgL_bucketz00_2735;

													BgL_bucketz00_2735 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2726), BgL_modz00_2731);
													BgL_res2112z00_2754 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2735), BgL_restz00_2733);
					}}}}}}}}
					BgL_method1356z00_1804 = BgL_res2112z00_2754;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1356z00_1804)) (BgL_method1356z00_1804,
						((obj_t) BgL_nodez00_43), BgL_stackz00_44, BgL_levelz00_45, BEOA));
			}
		}

	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3255,
		obj_t BgL_nodez00_3256, obj_t BgL_stackz00_3257, obj_t BgL_levelz00_3258)
	{
		{	/* Trace/walk.scm 284 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3256), BgL_stackz00_3257,
				BgL_levelz00_3258);
		}

	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_103)
	{
		{	/* Trace/walk.scm 459 */
			{	/* Trace/walk.scm 459 */
				obj_t BgL_method1399z00_1805;

				{	/* Trace/walk.scm 459 */
					obj_t BgL_res2117z00_2785;

					{	/* Trace/walk.scm 459 */
						long BgL_objzd2classzd2numz00_2756;

						BgL_objzd2classzd2numz00_2756 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_103));
						{	/* Trace/walk.scm 459 */
							obj_t BgL_arg1825z00_2757;

							BgL_arg1825z00_2757 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 459 */
								int BgL_offsetz00_2760;

								BgL_offsetz00_2760 = (int) (BgL_objzd2classzd2numz00_2756);
								{	/* Trace/walk.scm 459 */
									long BgL_offsetz00_2761;

									BgL_offsetz00_2761 =
										((long) (BgL_offsetz00_2760) - OBJECT_TYPE);
									{	/* Trace/walk.scm 459 */
										long BgL_modz00_2762;

										BgL_modz00_2762 =
											(BgL_offsetz00_2761 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 459 */
											long BgL_restz00_2764;

											BgL_restz00_2764 =
												(BgL_offsetz00_2761 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 459 */

												{	/* Trace/walk.scm 459 */
													obj_t BgL_bucketz00_2766;

													BgL_bucketz00_2766 =
														VECTOR_REF(
														((obj_t) BgL_arg1825z00_2757), BgL_modz00_2762);
													BgL_res2117z00_2785 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2766), BgL_restz00_2764);
					}}}}}}}}
					BgL_method1399z00_1805 = BgL_res2117z00_2785;
				}
				return
					((BgL_nodez00_bglt)
					((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1399z00_1805)) (BgL_method1399z00_1805,
						((obj_t) BgL_nodez00_103), BEOA));
			}
		}

	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260)
	{
		{	/* Trace/walk.scm 459 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3260));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2146z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2148z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2149z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2150z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2151z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2152z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2153z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2154z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2155z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2156z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2157z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2158z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2159z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2160z00zztrace_walkz00,
				BGl_string2147z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2161z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2163z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2164z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2165z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2166z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2167z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2168z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2169z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2170z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2171z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2172z00zztrace_walkz00, BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2173z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2174z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2175z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2176z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2177z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2178z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2179z00zztrace_walkz00,
				BGl_string2162z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2180z00zztrace_walkz00,
				BGl_string2181z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2182z00zztrace_walkz00,
				BGl_string2181z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2183z00zztrace_walkz00,
				BGl_string2181z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node-1406 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21406zb0zztrace_walkz00(obj_t
		BgL_envz00_3296, obj_t BgL_nodez00_3297)
	{
		{	/* Trace/walk.scm 486 */
			{	/* Trace/walk.scm 488 */
				BgL_varz00_bglt BgL_i1134z00_3418;

				BgL_i1134z00_3418 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3297)))->BgL_varz00);
				{	/* Trace/walk.scm 489 */
					bool_t BgL_test2315z00_4262;

					{	/* Trace/walk.scm 489 */
						bool_t BgL_test2316z00_4263;

						{	/* Trace/walk.scm 489 */
							BgL_variablez00_bglt BgL_arg2023z00_3419;

							BgL_arg2023z00_3419 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1134z00_3418))->
								BgL_variablez00);
							{	/* Trace/walk.scm 489 */
								obj_t BgL_classz00_3420;

								BgL_classz00_3420 = BGl_globalz00zzast_varz00;
								{	/* Trace/walk.scm 489 */
									BgL_objectz00_bglt BgL_arg1820z00_3421;

									{	/* Trace/walk.scm 489 */
										obj_t BgL_tmpz00_4265;

										BgL_tmpz00_4265 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2023z00_3419));
										BgL_arg1820z00_3421 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4265);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/walk.scm 489 */
											long BgL_idxz00_3422;

											BgL_idxz00_3422 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3421);
											BgL_test2316z00_4263 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3422 + ((long) 2))) == BgL_classz00_3420);
										}
									else
										{	/* Trace/walk.scm 489 */
											bool_t BgL_res2118z00_3425;

											{	/* Trace/walk.scm 489 */
												obj_t BgL_oclassz00_3426;

												{	/* Trace/walk.scm 489 */
													long BgL_arg1828z00_3427;

													{	/* Trace/walk.scm 489 */
														long BgL_arg1829z00_3428;

														BgL_arg1829z00_3428 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3421);
														BgL_arg1828z00_3427 =
															(BgL_arg1829z00_3428 - OBJECT_TYPE);
													}
													BgL_oclassz00_3426 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1828z00_3427);
												}
												{	/* Trace/walk.scm 489 */
													bool_t BgL__ortest_1111z00_3429;

													BgL__ortest_1111z00_3429 =
														(BgL_classz00_3420 == BgL_oclassz00_3426);
													if (BgL__ortest_1111z00_3429)
														{	/* Trace/walk.scm 489 */
															BgL_res2118z00_3425 = BgL__ortest_1111z00_3429;
														}
													else
														{	/* Trace/walk.scm 489 */
															long BgL_odepthz00_3430;

															BgL_odepthz00_3430 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3426);
															if ((((long) 2) < BgL_odepthz00_3430))
																{	/* Trace/walk.scm 489 */
																	obj_t BgL_arg1816z00_3431;

																	BgL_arg1816z00_3431 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3426,
																		((long) 2));
																	BgL_res2118z00_3425 =
																		(BgL_arg1816z00_3431 == BgL_classz00_3420);
																}
															else
																{	/* Trace/walk.scm 489 */
																	BgL_res2118z00_3425 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2316z00_4263 = BgL_res2118z00_3425;
										}
								}
							}
						}
						if (BgL_test2316z00_4263)
							{	/* Trace/walk.scm 490 */
								bool_t BgL_test2320z00_4285;

								{	/* Trace/walk.scm 490 */
									bool_t BgL_test2321z00_4286;

									{	/* Trace/walk.scm 490 */
										BgL_nodez00_bglt BgL_arg2022z00_3432;

										BgL_arg2022z00_3432 =
											(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3297)))->
											BgL_valuez00);
										{	/* Trace/walk.scm 490 */
											obj_t BgL_classz00_3433;

											BgL_classz00_3433 = BGl_atomz00zzast_nodez00;
											{	/* Trace/walk.scm 490 */
												BgL_objectz00_bglt BgL_arg1820z00_3434;

												{	/* Trace/walk.scm 490 */
													obj_t BgL_tmpz00_4289;

													BgL_tmpz00_4289 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2022z00_3432));
													BgL_arg1820z00_3434 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4289);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Trace/walk.scm 490 */
														long BgL_idxz00_3435;

														BgL_idxz00_3435 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3434);
														BgL_test2321z00_4286 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3435 + ((long) 2))) ==
															BgL_classz00_3433);
													}
												else
													{	/* Trace/walk.scm 490 */
														bool_t BgL_res2119z00_3438;

														{	/* Trace/walk.scm 490 */
															obj_t BgL_oclassz00_3439;

															{	/* Trace/walk.scm 490 */
																long BgL_arg1828z00_3440;

																{	/* Trace/walk.scm 490 */
																	long BgL_arg1829z00_3441;

																	BgL_arg1829z00_3441 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3434);
																	BgL_arg1828z00_3440 =
																		(BgL_arg1829z00_3441 - OBJECT_TYPE);
																}
																BgL_oclassz00_3439 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_3440);
															}
															{	/* Trace/walk.scm 490 */
																bool_t BgL__ortest_1111z00_3442;

																BgL__ortest_1111z00_3442 =
																	(BgL_classz00_3433 == BgL_oclassz00_3439);
																if (BgL__ortest_1111z00_3442)
																	{	/* Trace/walk.scm 490 */
																		BgL_res2119z00_3438 =
																			BgL__ortest_1111z00_3442;
																	}
																else
																	{	/* Trace/walk.scm 490 */
																		long BgL_odepthz00_3443;

																		BgL_odepthz00_3443 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3439);
																		if ((((long) 2) < BgL_odepthz00_3443))
																			{	/* Trace/walk.scm 490 */
																				obj_t BgL_arg1816z00_3444;

																				BgL_arg1816z00_3444 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3439, ((long) 2));
																				BgL_res2119z00_3438 =
																					(BgL_arg1816z00_3444 ==
																					BgL_classz00_3433);
																			}
																		else
																			{	/* Trace/walk.scm 490 */
																				BgL_res2119z00_3438 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2321z00_4286 = BgL_res2119z00_3438;
													}
											}
										}
									}
									if (BgL_test2321z00_4286)
										{	/* Trace/walk.scm 490 */
											BgL_test2320z00_4285 = ((bool_t) 1);
										}
									else
										{	/* Trace/walk.scm 491 */
											bool_t BgL_test2325z00_4309;

											{	/* Trace/walk.scm 491 */
												BgL_nodez00_bglt BgL_arg2021z00_3445;

												BgL_arg2021z00_3445 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3297)))->
													BgL_valuez00);
												{	/* Trace/walk.scm 491 */
													obj_t BgL_classz00_3446;

													BgL_classz00_3446 = BGl_varz00zzast_nodez00;
													{	/* Trace/walk.scm 491 */
														BgL_objectz00_bglt BgL_arg1820z00_3447;

														{	/* Trace/walk.scm 491 */
															obj_t BgL_tmpz00_4312;

															BgL_tmpz00_4312 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2021z00_3445));
															BgL_arg1820z00_3447 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4312);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Trace/walk.scm 491 */
																long BgL_idxz00_3448;

																BgL_idxz00_3448 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1820z00_3447);
																BgL_test2325z00_4309 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3448 + ((long) 2))) ==
																	BgL_classz00_3446);
															}
														else
															{	/* Trace/walk.scm 491 */
																bool_t BgL_res2120z00_3451;

																{	/* Trace/walk.scm 491 */
																	obj_t BgL_oclassz00_3452;

																	{	/* Trace/walk.scm 491 */
																		long BgL_arg1828z00_3453;

																		{	/* Trace/walk.scm 491 */
																			long BgL_arg1829z00_3454;

																			BgL_arg1829z00_3454 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1820z00_3447);
																			BgL_arg1828z00_3453 =
																				(BgL_arg1829z00_3454 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3452 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1828z00_3453);
																	}
																	{	/* Trace/walk.scm 491 */
																		bool_t BgL__ortest_1111z00_3455;

																		BgL__ortest_1111z00_3455 =
																			(BgL_classz00_3446 == BgL_oclassz00_3452);
																		if (BgL__ortest_1111z00_3455)
																			{	/* Trace/walk.scm 491 */
																				BgL_res2120z00_3451 =
																					BgL__ortest_1111z00_3455;
																			}
																		else
																			{	/* Trace/walk.scm 491 */
																				long BgL_odepthz00_3456;

																				BgL_odepthz00_3456 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3452);
																				if ((((long) 2) < BgL_odepthz00_3456))
																					{	/* Trace/walk.scm 491 */
																						obj_t BgL_arg1816z00_3457;

																						BgL_arg1816z00_3457 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3452, ((long) 2));
																						BgL_res2120z00_3451 =
																							(BgL_arg1816z00_3457 ==
																							BgL_classz00_3446);
																					}
																				else
																					{	/* Trace/walk.scm 491 */
																						BgL_res2120z00_3451 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2325z00_4309 = BgL_res2120z00_3451;
															}
													}
												}
											}
											if (BgL_test2325z00_4309)
												{	/* Trace/walk.scm 491 */
													BgL_test2320z00_4285 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 492 */
													bool_t BgL_test2329z00_4332;

													{	/* Trace/walk.scm 492 */
														BgL_nodez00_bglt BgL_arg2020z00_3458;

														BgL_arg2020z00_3458 =
															(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3297)))->
															BgL_valuez00);
														{	/* Trace/walk.scm 492 */
															obj_t BgL_classz00_3459;

															BgL_classz00_3459 = BGl_kwotez00zzast_nodez00;
															{	/* Trace/walk.scm 492 */
																BgL_objectz00_bglt BgL_arg1820z00_3460;

																{	/* Trace/walk.scm 492 */
																	obj_t BgL_tmpz00_4335;

																	BgL_tmpz00_4335 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2020z00_3458));
																	BgL_arg1820z00_3460 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4335);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Trace/walk.scm 492 */
																		long BgL_idxz00_3461;

																		BgL_idxz00_3461 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1820z00_3460);
																		BgL_test2329z00_4332 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3461 + ((long) 2))) ==
																			BgL_classz00_3459);
																	}
																else
																	{	/* Trace/walk.scm 492 */
																		bool_t BgL_res2121z00_3464;

																		{	/* Trace/walk.scm 492 */
																			obj_t BgL_oclassz00_3465;

																			{	/* Trace/walk.scm 492 */
																				long BgL_arg1828z00_3466;

																				{	/* Trace/walk.scm 492 */
																					long BgL_arg1829z00_3467;

																					BgL_arg1829z00_3467 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1820z00_3460);
																					BgL_arg1828z00_3466 =
																						(BgL_arg1829z00_3467 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3465 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1828z00_3466);
																			}
																			{	/* Trace/walk.scm 492 */
																				bool_t BgL__ortest_1111z00_3468;

																				BgL__ortest_1111z00_3468 =
																					(BgL_classz00_3459 ==
																					BgL_oclassz00_3465);
																				if (BgL__ortest_1111z00_3468)
																					{	/* Trace/walk.scm 492 */
																						BgL_res2121z00_3464 =
																							BgL__ortest_1111z00_3468;
																					}
																				else
																					{	/* Trace/walk.scm 492 */
																						long BgL_odepthz00_3469;

																						BgL_odepthz00_3469 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3465);
																						if ((((long) 2) <
																								BgL_odepthz00_3469))
																							{	/* Trace/walk.scm 492 */
																								obj_t BgL_arg1816z00_3470;

																								BgL_arg1816z00_3470 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3465,
																									((long) 2));
																								BgL_res2121z00_3464 =
																									(BgL_arg1816z00_3470 ==
																									BgL_classz00_3459);
																							}
																						else
																							{	/* Trace/walk.scm 492 */
																								BgL_res2121z00_3464 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2329z00_4332 = BgL_res2121z00_3464;
																	}
															}
														}
													}
													if (BgL_test2329z00_4332)
														{	/* Trace/walk.scm 492 */
															BgL_test2320z00_4285 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 493 */
															BgL_nodez00_bglt BgL_arg2019z00_3471;

															BgL_arg2019z00_3471 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3297)))->
																BgL_valuez00);
															{	/* Trace/walk.scm 493 */
																obj_t BgL_classz00_3472;

																BgL_classz00_3472 = BGl_pragmaz00zzast_nodez00;
																{	/* Trace/walk.scm 493 */
																	BgL_objectz00_bglt BgL_arg1820z00_3473;

																	{	/* Trace/walk.scm 493 */
																		obj_t BgL_tmpz00_4357;

																		BgL_tmpz00_4357 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2019z00_3471));
																		BgL_arg1820z00_3473 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_4357);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Trace/walk.scm 493 */
																			long BgL_idxz00_3474;

																			BgL_idxz00_3474 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1820z00_3473);
																			BgL_test2320z00_4285 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3474 + ((long) 4))) ==
																				BgL_classz00_3472);
																		}
																	else
																		{	/* Trace/walk.scm 493 */
																			bool_t BgL_res2122z00_3477;

																			{	/* Trace/walk.scm 493 */
																				obj_t BgL_oclassz00_3478;

																				{	/* Trace/walk.scm 493 */
																					long BgL_arg1828z00_3479;

																					{	/* Trace/walk.scm 493 */
																						long BgL_arg1829z00_3480;

																						BgL_arg1829z00_3480 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1820z00_3473);
																						BgL_arg1828z00_3479 =
																							(BgL_arg1829z00_3480 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3478 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1828z00_3479);
																				}
																				{	/* Trace/walk.scm 493 */
																					bool_t BgL__ortest_1111z00_3481;

																					BgL__ortest_1111z00_3481 =
																						(BgL_classz00_3472 ==
																						BgL_oclassz00_3478);
																					if (BgL__ortest_1111z00_3481)
																						{	/* Trace/walk.scm 493 */
																							BgL_res2122z00_3477 =
																								BgL__ortest_1111z00_3481;
																						}
																					else
																						{	/* Trace/walk.scm 493 */
																							long BgL_odepthz00_3482;

																							BgL_odepthz00_3482 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3478);
																							if ((((long) 4) <
																									BgL_odepthz00_3482))
																								{	/* Trace/walk.scm 493 */
																									obj_t BgL_arg1816z00_3483;

																									BgL_arg1816z00_3483 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3478,
																										((long) 4));
																									BgL_res2122z00_3477 =
																										(BgL_arg1816z00_3483 ==
																										BgL_classz00_3472);
																								}
																							else
																								{	/* Trace/walk.scm 493 */
																									BgL_res2122z00_3477 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2320z00_4285 =
																				BgL_res2122z00_3477;
																		}
																}
															}
														}
												}
										}
								}
								if (BgL_test2320z00_4285)
									{	/* Trace/walk.scm 490 */
										BgL_test2315z00_4262 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 490 */
										BgL_test2315z00_4262 = ((bool_t) 1);
									}
							}
						else
							{	/* Trace/walk.scm 489 */
								BgL_test2315z00_4262 = ((bool_t) 0);
							}
					}
					if (BgL_test2315z00_4262)
						{	/* Trace/walk.scm 494 */
							BgL_typez00_bglt BgL_tz00_3484;

							{	/* Trace/walk.scm 494 */
								BgL_typez00_bglt BgL_arg2014z00_3485;
								BgL_typez00_bglt BgL_arg2015z00_3486;

								BgL_arg2014z00_3485 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_3297)))->
												BgL_valuez00)))->BgL_typez00);
								BgL_arg2015z00_3486 =
									(((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
															(BgL_varz00_bglt) COBJECT(BgL_i1134z00_3418))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_tz00_3484 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2014z00_3485,
									BgL_arg2015z00_3486);
							}
							{	/* Trace/walk.scm 494 */
								BgL_letzd2varzd2_bglt BgL_tracez00_3487;

								{	/* Trace/walk.scm 495 */
									BgL_nodez00_bglt BgL_arg2010z00_3488;
									obj_t BgL_arg2011z00_3489;
									obj_t BgL_arg2012z00_3490;

									BgL_arg2010z00_3488 =
										(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_3297)))->BgL_valuez00);
									{	/* Trace/walk.scm 495 */
										BgL_variablez00_bglt BgL_arg2013z00_3491;

										BgL_arg2013z00_3491 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1134z00_3418))->
											BgL_variablez00);
										BgL_arg2011z00_3489 =
											BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
												BgL_arg2013z00_3491));
									}
									BgL_arg2012z00_3490 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_3297))))->BgL_locz00);
									BgL_tracez00_3487 =
										BGl_makezd2tracedzd2nodez00zztrace_walkz00
										(BgL_arg2010z00_3488, BgL_tz00_3484, BgL_arg2011z00_3489,
										BgL_arg2012z00_3490, BNIL);
								}
								{	/* Trace/walk.scm 495 */

									((((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3297)))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_tracez00_3487)),
										BUNSPEC);
								}
							}
						}
					else
						{	/* Trace/walk.scm 489 */
							BFALSE;
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3297));
		}

	}



/* &toplevel-trace-node-1404 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21404zb0zztrace_walkz00(obj_t
		BgL_envz00_3298, obj_t BgL_nodez00_3299)
	{
		{	/* Trace/walk.scm 472 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3299)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3299)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3299)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3299)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3299)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3299)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3299));
		}

	}



/* &toplevel-trace-node-1402 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21402zb0zztrace_walkz00(obj_t
		BgL_envz00_3300, obj_t BgL_nodez00_3301)
	{
		{	/* Trace/walk.scm 465 */
			BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3301)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3301));
		}

	}



/* &trace-node-box-set!1394 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121394za2zztrace_walkz00(obj_t
		BgL_envz00_3302, obj_t BgL_nodez00_3303, obj_t BgL_stackz00_3304,
		obj_t BgL_levelz00_3305)
	{
		{	/* Trace/walk.scm 442 */
			{
				BgL_varz00_bglt BgL_auxz00_4421;

				{	/* Trace/walk.scm 444 */
					BgL_varz00_bglt BgL_arg1981z00_3495;

					BgL_arg1981z00_3495 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3303)))->BgL_varz00);
					BgL_auxz00_4421 =
						((BgL_varz00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1981z00_3495), BgL_stackz00_3304,
							BgL_levelz00_3305));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3303)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4421), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4429;

				{	/* Trace/walk.scm 445 */
					BgL_nodez00_bglt BgL_arg1982z00_3496;

					BgL_arg1982z00_3496 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3303)))->BgL_valuez00);
					BgL_auxz00_4429 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1982z00_3496,
						BgL_stackz00_3304, BgL_levelz00_3305);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3303)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4429), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3303));
		}

	}



/* &trace-node-box-ref1392 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1392zb0zztrace_walkz00(obj_t
		BgL_envz00_3306, obj_t BgL_nodez00_3307, obj_t BgL_stackz00_3308,
		obj_t BgL_levelz00_3309)
	{
		{	/* Trace/walk.scm 435 */
			{	/* Trace/walk.scm 436 */
				BgL_nodez00_bglt BgL_arg1979z00_3498;

				{	/* Trace/walk.scm 436 */
					BgL_varz00_bglt BgL_arg1980z00_3499;

					BgL_arg1980z00_3499 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3307)))->BgL_varz00);
					BgL_arg1979z00_3498 =
						BGl_tracezd2nodezd2zztrace_walkz00(
						((BgL_nodez00_bglt) BgL_arg1980z00_3499), BgL_stackz00_3308,
						BgL_levelz00_3309);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3307)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1979z00_3498)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3307));
		}

	}



/* &trace-node-make-box1390 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1390zb0zztrace_walkz00(obj_t
		BgL_envz00_3310, obj_t BgL_nodez00_3311, obj_t BgL_stackz00_3312,
		obj_t BgL_levelz00_3313)
	{
		{	/* Trace/walk.scm 428 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3311)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3311)))->
							BgL_valuez00), BgL_stackz00_3312, BgL_levelz00_3313)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3311));
		}

	}



/* &trace-node-jump-ex-i1388 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1388z62zztrace_walkz00(obj_t
		BgL_envz00_3314, obj_t BgL_nodez00_3315, obj_t BgL_stackz00_3316,
		obj_t BgL_levelz00_3317)
	{
		{	/* Trace/walk.scm 419 */
			{
				BgL_nodez00_bglt BgL_auxz00_4453;

				{	/* Trace/walk.scm 421 */
					BgL_nodez00_bglt BgL_arg1975z00_3502;

					BgL_arg1975z00_3502 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3315)))->BgL_exitz00);
					BgL_auxz00_4453 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1975z00_3502,
						BgL_stackz00_3316, BgL_levelz00_3317);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3315)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4453), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4459;

				{	/* Trace/walk.scm 422 */
					BgL_nodez00_bglt BgL_arg1976z00_3503;

					BgL_arg1976z00_3503 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3315)))->
						BgL_valuez00);
					BgL_auxz00_4459 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1976z00_3503,
						BgL_stackz00_3316, BgL_levelz00_3317);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3315)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4459), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3315));
		}

	}



/* &trace-node-set-ex-it1385 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1385z62zztrace_walkz00(obj_t
		BgL_envz00_3318, obj_t BgL_nodez00_3319, obj_t BgL_stackz00_3320,
		obj_t BgL_levelz00_3321)
	{
		{	/* Trace/walk.scm 411 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3319)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3319)))->
							BgL_bodyz00), BgL_stackz00_3320, BgL_levelz00_3321)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3319)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3319)))->
							BgL_onexitz00), BgL_stackz00_3320, BgL_levelz00_3321)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3319));
		}

	}



/* &trace-node-let-var1383 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1383zb0zztrace_walkz00(obj_t
		BgL_envz00_3322, obj_t BgL_nodez00_3323, obj_t BgL_stackz00_3324,
		obj_t BgL_levelz00_3325)
	{
		{	/* Trace/walk.scm 400 */
			{	/* Trace/walk.scm 402 */
				obj_t BgL_g1322z00_3506;

				BgL_g1322z00_3506 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3323)))->BgL_bindingsz00);
				{
					obj_t BgL_l1320z00_3508;

					BgL_l1320z00_3508 = BgL_g1322z00_3506;
				BgL_zc3z04anonymousza31965ze3z87_3507:
					if (PAIRP(BgL_l1320z00_3508))
						{	/* Trace/walk.scm 402 */
							{	/* Trace/walk.scm 403 */
								obj_t BgL_bindingz00_3509;

								BgL_bindingz00_3509 = CAR(BgL_l1320z00_3508);
								{	/* Trace/walk.scm 403 */
									BgL_nodez00_bglt BgL_arg1967z00_3510;

									{	/* Trace/walk.scm 403 */
										obj_t BgL_arg1968z00_3511;

										BgL_arg1968z00_3511 = CDR(((obj_t) BgL_bindingz00_3509));
										BgL_arg1967z00_3510 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1968z00_3511),
											BgL_stackz00_3324, BgL_levelz00_3325);
									}
									{	/* Trace/walk.scm 403 */
										obj_t BgL_auxz00_4490;
										obj_t BgL_tmpz00_4488;

										BgL_auxz00_4490 = ((obj_t) BgL_arg1967z00_3510);
										BgL_tmpz00_4488 = ((obj_t) BgL_bindingz00_3509);
										SET_CDR(BgL_tmpz00_4488, BgL_auxz00_4490);
									}
								}
							}
							{
								obj_t BgL_l1320z00_4493;

								BgL_l1320z00_4493 = CDR(BgL_l1320z00_3508);
								BgL_l1320z00_3508 = BgL_l1320z00_4493;
								goto BgL_zc3z04anonymousza31965ze3z87_3507;
							}
						}
					else
						{	/* Trace/walk.scm 402 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4495;

				{	/* Trace/walk.scm 405 */
					BgL_nodez00_bglt BgL_arg1970z00_3512;

					BgL_arg1970z00_3512 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3323)))->BgL_bodyz00);
					BgL_auxz00_4495 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1970z00_3512,
						BgL_stackz00_3324, BgL_levelz00_3325);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3323)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4495), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3323));
		}

	}



/* &trace-node-let-fun1381 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1381zb0zztrace_walkz00(obj_t
		BgL_envz00_3326, obj_t BgL_nodez00_3327, obj_t BgL_stackz00_3328,
		obj_t BgL_levelz00_3329)
	{
		{	/* Trace/walk.scm 384 */
			if (BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))
				{	/* Trace/walk.scm 385 */
					{	/* Trace/walk.scm 387 */
						obj_t BgL_varz00_3514;

						BgL_varz00_3514 =
							CAR(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->
								BgL_localsz00));
						{	/* Trace/walk.scm 387 */
							BgL_typez00_bglt BgL_tz00_3515;

							{	/* Trace/walk.scm 388 */
								BgL_typez00_bglt BgL_arg1957z00_3516;
								BgL_typez00_bglt BgL_arg1958z00_3517;

								BgL_arg1957z00_3516 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg1958z00_3517 =
									(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
												BgL_varz00_3514)))->BgL_typez00);
								BgL_tz00_3515 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1957z00_3516,
									BgL_arg1958z00_3517);
							}
							{	/* Trace/walk.scm 388 */
								obj_t BgL_idz00_3518;

								BgL_idz00_3518 =
									BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_3514);
								{	/* Trace/walk.scm 389 */

									{
										BgL_nodez00_bglt BgL_auxz00_4516;

										{	/* Trace/walk.scm 390 */
											BgL_nodez00_bglt BgL_arg1955z00_3519;
											obj_t BgL_arg1956z00_3520;

											BgL_arg1955z00_3519 =
												(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->
												BgL_bodyz00);
											BgL_arg1956z00_3520 =
												(((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
																BgL_nodez00_3327))))->BgL_locz00);
											BgL_auxz00_4516 =
												((BgL_nodez00_bglt)
												BGl_makezd2tracedzd2nodez00zztrace_walkz00
												(BgL_arg1955z00_3519, BgL_tz00_3515, BgL_idz00_3518,
													BgL_arg1956z00_3520, BNIL));
										}
										((((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_4516), BUNSPEC);
									}
								}
							}
						}
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3327));
				}
			else
				{	/* Trace/walk.scm 385 */
					{	/* Trace/walk.scm 393 */
						obj_t BgL_g1319z00_3521;

						BgL_g1319z00_3521 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->BgL_localsz00);
						{
							obj_t BgL_l1317z00_3523;

							BgL_l1317z00_3523 = BgL_g1319z00_3521;
						BgL_zc3z04anonymousza31961ze3z87_3522:
							if (PAIRP(BgL_l1317z00_3523))
								{	/* Trace/walk.scm 393 */
									BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1317z00_3523),
										BgL_stackz00_3328, BgL_levelz00_3329);
									{
										obj_t BgL_l1317z00_4534;

										BgL_l1317z00_4534 = CDR(BgL_l1317z00_3523);
										BgL_l1317z00_3523 = BgL_l1317z00_4534;
										goto BgL_zc3z04anonymousza31961ze3z87_3522;
									}
								}
							else
								{	/* Trace/walk.scm 393 */
									((bool_t) 1);
								}
						}
					}
					{
						BgL_nodez00_bglt BgL_auxz00_4536;

						{	/* Trace/walk.scm 394 */
							BgL_nodez00_bglt BgL_arg1964z00_3524;

							BgL_arg1964z00_3524 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->BgL_bodyz00);
							BgL_auxz00_4536 =
								BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1964z00_3524,
								BgL_stackz00_3328, BgL_levelz00_3329);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3327)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_4536), BUNSPEC);
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3327));
				}
		}

	}



/* &trace-node-switch1379 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2switch1379z62zztrace_walkz00(obj_t
		BgL_envz00_3330, obj_t BgL_nodez00_3331, obj_t BgL_stackz00_3332,
		obj_t BgL_levelz00_3333)
	{
		{	/* Trace/walk.scm 373 */
			{
				BgL_nodez00_bglt BgL_auxz00_4544;

				{	/* Trace/walk.scm 375 */
					BgL_nodez00_bglt BgL_arg1948z00_3526;

					BgL_arg1948z00_3526 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3331)))->BgL_testz00);
					BgL_auxz00_4544 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1948z00_3526,
						BgL_stackz00_3332, BgL_levelz00_3333);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3331)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4544), BUNSPEC);
			}
			{	/* Trace/walk.scm 376 */
				obj_t BgL_g1316z00_3527;

				BgL_g1316z00_3527 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3331)))->BgL_clausesz00);
				{
					obj_t BgL_l1314z00_3529;

					BgL_l1314z00_3529 = BgL_g1316z00_3527;
				BgL_zc3z04anonymousza31949ze3z87_3528:
					if (PAIRP(BgL_l1314z00_3529))
						{	/* Trace/walk.scm 376 */
							{	/* Trace/walk.scm 377 */
								obj_t BgL_clausez00_3530;

								BgL_clausez00_3530 = CAR(BgL_l1314z00_3529);
								{	/* Trace/walk.scm 377 */
									BgL_nodez00_bglt BgL_arg1951z00_3531;

									{	/* Trace/walk.scm 377 */
										obj_t BgL_arg1952z00_3532;

										BgL_arg1952z00_3532 = CDR(((obj_t) BgL_clausez00_3530));
										BgL_arg1951z00_3531 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1952z00_3532),
											BgL_stackz00_3332, BgL_levelz00_3333);
									}
									{	/* Trace/walk.scm 377 */
										obj_t BgL_auxz00_4561;
										obj_t BgL_tmpz00_4559;

										BgL_auxz00_4561 = ((obj_t) BgL_arg1951z00_3531);
										BgL_tmpz00_4559 = ((obj_t) BgL_clausez00_3530);
										SET_CDR(BgL_tmpz00_4559, BgL_auxz00_4561);
									}
								}
							}
							{
								obj_t BgL_l1314z00_4564;

								BgL_l1314z00_4564 = CDR(BgL_l1314z00_3529);
								BgL_l1314z00_3529 = BgL_l1314z00_4564;
								goto BgL_zc3z04anonymousza31949ze3z87_3528;
							}
						}
					else
						{	/* Trace/walk.scm 376 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3331));
		}

	}



/* &trace-node-fail1377 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1377z62zztrace_walkz00(obj_t
		BgL_envz00_3334, obj_t BgL_nodez00_3335, obj_t BgL_stackz00_3336,
		obj_t BgL_levelz00_3337)
	{
		{	/* Trace/walk.scm 363 */
			{
				BgL_nodez00_bglt BgL_auxz00_4568;

				{	/* Trace/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg1945z00_3534;

					BgL_arg1945z00_3534 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_procz00);
					BgL_auxz00_4568 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1945z00_3534,
						BgL_stackz00_3336, BgL_levelz00_3337);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4568), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4574;

				{	/* Trace/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg1946z00_3535;

					BgL_arg1946z00_3535 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_msgz00);
					BgL_auxz00_4574 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1946z00_3535,
						BgL_stackz00_3336, BgL_levelz00_3337);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4574), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4580;

				{	/* Trace/walk.scm 367 */
					BgL_nodez00_bglt BgL_arg1947z00_3536;

					BgL_arg1947z00_3536 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_objz00);
					BgL_auxz00_4580 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1947z00_3536,
						BgL_stackz00_3336, BgL_levelz00_3337);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3335)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4580), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3335));
		}

	}



/* &trace-node-condition1375 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1375z62zztrace_walkz00(obj_t
		BgL_envz00_3338, obj_t BgL_nodez00_3339, obj_t BgL_stackz00_3340,
		obj_t BgL_levelz00_3341)
	{
		{	/* Trace/walk.scm 353 */
			{
				BgL_nodez00_bglt BgL_auxz00_4588;

				{	/* Trace/walk.scm 355 */
					BgL_nodez00_bglt BgL_arg1942z00_3538;

					BgL_arg1942z00_3538 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_testz00);
					BgL_auxz00_4588 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1942z00_3538,
						BgL_stackz00_3340, BgL_levelz00_3341);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4588), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4594;

				{	/* Trace/walk.scm 356 */
					BgL_nodez00_bglt BgL_arg1943z00_3539;

					BgL_arg1943z00_3539 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_truez00);
					BgL_auxz00_4594 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1943z00_3539,
						BgL_stackz00_3340, BgL_levelz00_3341);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4594), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4600;

				{	/* Trace/walk.scm 357 */
					BgL_nodez00_bglt BgL_arg1944z00_3540;

					BgL_arg1944z00_3540 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_falsez00);
					BgL_auxz00_4600 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1944z00_3540,
						BgL_stackz00_3340, BgL_levelz00_3341);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3339)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4600), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3339));
		}

	}



/* &trace-node-setq1373 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1373z62zztrace_walkz00(obj_t
		BgL_envz00_3342, obj_t BgL_nodez00_3343, obj_t BgL_stackz00_3344,
		obj_t BgL_levelz00_3345)
	{
		{	/* Trace/walk.scm 346 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3343)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3343)))->BgL_valuez00),
						BgL_stackz00_3344, BgL_levelz00_3345)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3343));
		}

	}



/* &trace-node-cast1370 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1370z62zztrace_walkz00(obj_t
		BgL_envz00_3346, obj_t BgL_nodez00_3347, obj_t BgL_stackz00_3348,
		obj_t BgL_levelz00_3349)
	{
		{	/* Trace/walk.scm 339 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3347)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3347)))->BgL_argz00),
						BgL_stackz00_3348, BgL_levelz00_3349)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3347));
		}

	}



/* &trace-node-extern1368 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1368z62zztrace_walkz00(obj_t
		BgL_envz00_3350, obj_t BgL_nodez00_3351, obj_t BgL_stackz00_3352,
		obj_t BgL_levelz00_3353)
	{
		{	/* Trace/walk.scm 332 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3351)))->BgL_exprza2za2),
				BgL_stackz00_3352, BgL_levelz00_3353);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3351));
		}

	}



/* &trace-node-funcall1366 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1366z62zztrace_walkz00(obj_t
		BgL_envz00_3354, obj_t BgL_nodez00_3355, obj_t BgL_stackz00_3356,
		obj_t BgL_levelz00_3357)
	{
		{	/* Trace/walk.scm 323 */
			{
				BgL_nodez00_bglt BgL_auxz00_4627;

				{	/* Trace/walk.scm 325 */
					BgL_nodez00_bglt BgL_arg1934z00_3545;

					BgL_arg1934z00_3545 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3355)))->BgL_funz00);
					BgL_auxz00_4627 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1934z00_3545,
						BgL_stackz00_3356, BgL_levelz00_3357);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3355)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4627), BUNSPEC);
			}
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3355)))->BgL_argsz00),
				BgL_stackz00_3356, BgL_levelz00_3357);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3355));
		}

	}



/* &trace-node-app-ly1364 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1364zb0zztrace_walkz00(obj_t
		BgL_envz00_3358, obj_t BgL_nodez00_3359, obj_t BgL_stackz00_3360,
		obj_t BgL_levelz00_3361)
	{
		{	/* Trace/walk.scm 314 */
			{
				BgL_nodez00_bglt BgL_auxz00_4638;

				{	/* Trace/walk.scm 316 */
					BgL_nodez00_bglt BgL_arg1932z00_3547;

					BgL_arg1932z00_3547 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3359)))->BgL_funz00);
					BgL_auxz00_4638 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1932z00_3547,
						BgL_stackz00_3360, BgL_levelz00_3361);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3359)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4638), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4644;

				{	/* Trace/walk.scm 317 */
					BgL_nodez00_bglt BgL_arg1933z00_3548;

					BgL_arg1933z00_3548 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3359)))->BgL_argz00);
					BgL_auxz00_4644 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1933z00_3548,
						BgL_stackz00_3360, BgL_levelz00_3361);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3359)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4644), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3359));
		}

	}



/* &trace-node-app1362 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1362z62zztrace_walkz00(obj_t
		BgL_envz00_3362, obj_t BgL_nodez00_3363, obj_t BgL_stackz00_3364,
		obj_t BgL_levelz00_3365)
	{
		{	/* Trace/walk.scm 307 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3363)))->BgL_argsz00),
				BgL_stackz00_3364, BgL_levelz00_3365);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3363));
		}

	}



/* &trace-node-sync1360 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1360z62zztrace_walkz00(obj_t
		BgL_envz00_3366, obj_t BgL_nodez00_3367, obj_t BgL_stackz00_3368,
		obj_t BgL_levelz00_3369)
	{
		{	/* Trace/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_4657;

				{	/* Trace/walk.scm 299 */
					BgL_nodez00_bglt BgL_arg1928z00_3551;

					BgL_arg1928z00_3551 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_mutexz00);
					BgL_auxz00_4657 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1928z00_3551,
						BgL_stackz00_3368, BgL_levelz00_3369);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4657), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4663;

				{	/* Trace/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg1929z00_3552;

					BgL_arg1929z00_3552 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_prelockz00);
					BgL_auxz00_4663 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1929z00_3552,
						BgL_stackz00_3368, BgL_levelz00_3369);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4663), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4669;

				{	/* Trace/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg1930z00_3553;

					BgL_arg1930z00_3553 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_bodyz00);
					BgL_auxz00_4669 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1930z00_3553,
						BgL_stackz00_3368, BgL_levelz00_3369);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3367)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4669), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3367));
		}

	}



/* &trace-node-sequence1358 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1358z62zztrace_walkz00(obj_t
		BgL_envz00_3370, obj_t BgL_nodez00_3371, obj_t BgL_stackz00_3372,
		obj_t BgL_levelz00_3373)
	{
		{	/* Trace/walk.scm 290 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3371)))->BgL_nodesz00),
				BgL_stackz00_3372, BgL_levelz00_3373);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3371));
		}

	}



/* &find-last-node-jump-1353 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21353z62zztrace_walkz00(obj_t
		BgL_envz00_3374, obj_t BgL_nodez00_3375)
	{
		{	/* Trace/walk.scm 240 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3375)))->BgL_valuez00));
		}

	}



/* &find-last-node-set-e1351 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1351z62zztrace_walkz00(obj_t
		BgL_envz00_3376, obj_t BgL_nodez00_3377)
	{
		{	/* Trace/walk.scm 234 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3377)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-f1349 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1349z62zztrace_walkz00(obj_t
		BgL_envz00_3378, obj_t BgL_nodez00_3379)
	{
		{	/* Trace/walk.scm 228 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3379)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-v1347 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1347z62zztrace_walkz00(obj_t
		BgL_envz00_3380, obj_t BgL_nodez00_3381)
	{
		{	/* Trace/walk.scm 222 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3381)))->BgL_bodyz00));
		}

	}



/* &find-last-node-switc1345 */
	obj_t BGl_z62findzd2lastzd2nodezd2switc1345zb0zztrace_walkz00(obj_t
		BgL_envz00_3382, obj_t BgL_nodez00_3383)
	{
		{	/* Trace/walk.scm 213 */
			{	/* Trace/walk.scm 215 */
				bool_t BgL_test2340z00_4694;

				{	/* Trace/walk.scm 215 */
					obj_t BgL_tmpz00_4695;

					BgL_tmpz00_4695 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3383)))->BgL_clausesz00);
					BgL_test2340z00_4694 = PAIRP(BgL_tmpz00_4695);
				}
				if (BgL_test2340z00_4694)
					{	/* Trace/walk.scm 216 */
						obj_t BgL_arg1917z00_3560;

						BgL_arg1917z00_3560 =
							CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_3383)))->
									BgL_clausesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1917z00_3560));
					}
				else
					{	/* Trace/walk.scm 215 */
						return
							BGl_findzd2lastzd2sexpz00zztrace_walkz00(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_3383)))->BgL_testz00));
					}
			}
		}

	}



/* &find-last-node-fail1343 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1343zb0zztrace_walkz00(obj_t
		BgL_envz00_3384, obj_t BgL_nodez00_3385)
	{
		{	/* Trace/walk.scm 207 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3385)))->BgL_objz00));
		}

	}



/* &find-last-node-condi1341 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1341zb0zztrace_walkz00(obj_t
		BgL_envz00_3386, obj_t BgL_nodez00_3387)
	{
		{	/* Trace/walk.scm 201 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3387)))->BgL_falsez00));
		}

	}



/* &find-last-node-setq1339 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1339zb0zztrace_walkz00(obj_t
		BgL_envz00_3388, obj_t BgL_nodez00_3389)
	{
		{	/* Trace/walk.scm 195 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3389)))->BgL_valuez00));
		}

	}



/* &find-last-node-exter1336 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1336zb0zztrace_walkz00(obj_t
		BgL_envz00_3390, obj_t BgL_nodez00_3391)
	{
		{	/* Trace/walk.scm 186 */
			if (NULLP(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3391)))->BgL_exprza2za2)))
				{	/* Trace/walk.scm 188 */
					return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_3391));
				}
			else
				{	/* Trace/walk.scm 189 */
					obj_t BgL_arg1904z00_3565;

					BgL_arg1904z00_3565 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_3391)))->
								BgL_exprza2za2)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1904z00_3565));
				}
		}

	}



/* &find-last-node-funca1334 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1334zb0zztrace_walkz00(obj_t
		BgL_envz00_3392, obj_t BgL_nodez00_3393)
	{
		{	/* Trace/walk.scm 177 */
			{	/* Trace/walk.scm 179 */
				bool_t BgL_test2342z00_4729;

				{	/* Trace/walk.scm 179 */
					obj_t BgL_tmpz00_4730;

					BgL_tmpz00_4730 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3393)))->BgL_argsz00);
					BgL_test2342z00_4729 = PAIRP(BgL_tmpz00_4730);
				}
				if (BgL_test2342z00_4729)
					{	/* Trace/walk.scm 180 */
						obj_t BgL_arg1894z00_3567;

						BgL_arg1894z00_3567 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_3393)))->
									BgL_argsz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1894z00_3567));
					}
				else
					{	/* Trace/walk.scm 179 */
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_3393)))->BgL_funz00));
					}
			}
		}

	}



/* &find-last-node-app-l1332 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1332z62zztrace_walkz00(obj_t
		BgL_envz00_3394, obj_t BgL_nodez00_3395)
	{
		{	/* Trace/walk.scm 171 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3395)))->BgL_argz00));
		}

	}



/* &find-last-node-app1330 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1330zb0zztrace_walkz00(obj_t
		BgL_envz00_3396, obj_t BgL_nodez00_3397)
	{
		{	/* Trace/walk.scm 162 */
			{	/* Trace/walk.scm 164 */
				bool_t BgL_test2343z00_4746;

				{	/* Trace/walk.scm 164 */
					obj_t BgL_tmpz00_4747;

					BgL_tmpz00_4747 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3397)))->BgL_argsz00);
					BgL_test2343z00_4746 = PAIRP(BgL_tmpz00_4747);
				}
				if (BgL_test2343z00_4746)
					{	/* Trace/walk.scm 165 */
						obj_t BgL_arg1886z00_3570;

						BgL_arg1886z00_3570 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3397)))->BgL_argsz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1886z00_3570));
					}
				else
					{	/* Trace/walk.scm 164 */
						return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3397));
					}
			}
		}

	}



/* &find-last-node-sync1328 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1328zb0zztrace_walkz00(obj_t
		BgL_envz00_3398, obj_t BgL_nodez00_3399)
	{
		{	/* Trace/walk.scm 155 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3399)))->BgL_bodyz00));
		}

	}



/* &find-last-node-seque1326 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1326zb0zztrace_walkz00(obj_t
		BgL_envz00_3400, obj_t BgL_nodez00_3401)
	{
		{	/* Trace/walk.scm 146 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3401)))->BgL_nodesz00)))
				{	/* Trace/walk.scm 148 */
					return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_3401));
				}
			else
				{	/* Trace/walk.scm 149 */
					obj_t BgL_arg1877z00_3573;

					BgL_arg1877z00_3573 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_3401)))->
								BgL_nodesz00)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1877z00_3573));
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00(void)
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztrace_isloopz00(((long) 332486922),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2184z00zztrace_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
