/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol2800z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2720z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static obj_t BGl_symbol2802z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2722z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2804z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2724z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2806z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2726z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2808z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2728z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol2810z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
static obj_t BGl_symbol2730z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2812z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2732z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2814z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2733z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol2816z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2735z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_symbol2818z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2737z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol2739z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__evaluatez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_symbol2820z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2741z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2824z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2743z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static obj_t BGl_symbol2745z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2747z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2749z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_expandz00zz__expandz00(obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2751z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2753z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2755z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2757z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol2759z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol2761z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2763z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2765z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2767z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2769z00zz__evaluatez00 = BUNSPEC;
extern int bgl_debug(void);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2771z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2773z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol2775z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2777z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2779z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00(void);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol2781z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void);
static obj_t BGl_symbol2786z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void);
static obj_t BGl_symbol2789z00zz__evaluatez00 = BUNSPEC;
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00(void);
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol2791z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2794z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_symbol2796z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2798z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00(void);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00(void);
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_keyword2822z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void);
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol2707z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2715z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2717z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2719z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2760z00zz__evaluatez00, BgL_bgl_string2760za700za7za7_2827za7, "o", 1 );
DEFINE_STRING( BGl_string2762z00zz__evaluatez00, BgL_bgl_string2762za700za7za7_2828za7, "quote", 5 );
DEFINE_STRING( BGl_string2764z00zz__evaluatez00, BgL_bgl_string2764za700za7za7_2829za7, "class-exists", 12 );
DEFINE_STRING( BGl_string2766z00zz__evaluatez00, BgL_bgl_string2766za700za7za7_2830za7, "c", 1 );
DEFINE_STRING( BGl_string2768z00zz__evaluatez00, BgL_bgl_string2768za700za7za7_2831za7, "isa?", 4 );
DEFINE_STRING( BGl_string2770z00zz__evaluatez00, BgL_bgl_string2770za700za7za7_2832za7, "if", 2 );
DEFINE_STRING( BGl_string2772z00zz__evaluatez00, BgL_bgl_string2772za700za7za7_2833za7, "let", 3 );
DEFINE_STRING( BGl_string2774z00zz__evaluatez00, BgL_bgl_string2774za700za7za7_2834za7, "lambda", 6 );
DEFINE_STRING( BGl_string2776z00zz__evaluatez00, BgL_bgl_string2776za700za7za7_2835za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string2778z00zz__evaluatez00, BgL_bgl_string2778za700za7za7_2836za7, "bigloo-type-error", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2837z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat2838z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2780z00zz__evaluatez00, BgL_bgl_string2780za700za7za7_2839za7, "at", 2 );
DEFINE_STRING( BGl_string2782z00zz__evaluatez00, BgL_bgl_string2782za700za7za7_2840za7, "tmp", 3 );
DEFINE_STRING( BGl_string2783z00zz__evaluatez00, BgL_bgl_string2783za700za7za7_2841za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string2784z00zz__evaluatez00, BgL_bgl_string2784za700za7za7_2842za7, "free-pragma", 11 );
DEFINE_STRING( BGl_string2785z00zz__evaluatez00, BgL_bgl_string2785za700za7za7_2843za7, "not supported in eval", 21 );
DEFINE_STRING( BGl_string2787z00zz__evaluatez00, BgL_bgl_string2787za700za7za7_2844za7, "\\@", 2 );
DEFINE_STRING( BGl_string2788z00zz__evaluatez00, BgL_bgl_string2788za700za7za7_2845za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string2790z00zz__evaluatez00, BgL_bgl_string2790za700za7za7_2846za7, "begin", 5 );
DEFINE_STRING( BGl_string2792z00zz__evaluatez00, BgL_bgl_string2792za700za7za7_2847za7, " ", 1 );
DEFINE_STRING( BGl_string2793z00zz__evaluatez00, BgL_bgl_string2793za700za7za7_2848za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string2795z00zz__evaluatez00, BgL_bgl_string2795za700za7za7_2849za7, "module", 6 );
DEFINE_STRING( BGl_string2797z00zz__evaluatez00, BgL_bgl_string2797za700za7za7_2850za7, "@", 1 );
DEFINE_STRING( BGl_string2799z00zz__evaluatez00, BgL_bgl_string2799za700za7za7_2851za7, "->", 2 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2852z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat2853z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2701z00zz__evaluatez00, BgL_bgl_string2701za700za7za7_2854za7, "", 0 );
DEFINE_STRING( BGl_string2702z00zz__evaluatez00, BgL_bgl_string2702za700za7za7_2855za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Eval/evaluate.scm", 61 );
DEFINE_STRING( BGl_string2703z00zz__evaluatez00, BgL_bgl_string2703za700za7za7_2856za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2704z00zz__evaluatez00, BgL_bgl_string2704za700za7za7_2857za7, "bint", 4 );
DEFINE_STRING( BGl_string2705z00zz__evaluatez00, BgL_bgl_string2705za700za7za7_2858za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2706z00zz__evaluatez00, BgL_bgl_string2706za700za7za7_2859za7, "vector", 6 );
DEFINE_STRING( BGl_string2708z00zz__evaluatez00, BgL_bgl_string2708za700za7za7_2860za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2709z00zz__evaluatez00, BgL_bgl_string2709za700za7za7_2861za7, "eval", 4 );
DEFINE_STRING( BGl_string2710z00zz__evaluatez00, BgL_bgl_string2710za700za7za7_2862za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2711z00zz__evaluatez00, BgL_bgl_string2711za700za7za7_2863za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2712z00zz__evaluatez00, BgL_bgl_string2712za700za7za7_2864za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2713z00zz__evaluatez00, BgL_bgl_string2713za700za7za7_2865za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2714z00zz__evaluatez00, BgL_bgl_string2714za700za7za7_2866za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2716z00zz__evaluatez00, BgL_bgl_string2716za700za7za7_2867za7, "pair", 4 );
DEFINE_STRING( BGl_string2718z00zz__evaluatez00, BgL_bgl_string2718za700za7za7_2868za7, "pair?", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za72869za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2801z00zz__evaluatez00, BgL_bgl_string2801za700za7za7_2870za7, "trap", 4 );
DEFINE_STRING( BGl_string2721z00zz__evaluatez00, BgL_bgl_string2721za700za7za7_2871za7, "vector?", 7 );
DEFINE_STRING( BGl_string2803z00zz__evaluatez00, BgL_bgl_string2803za700za7za7_2872za7, "or", 2 );
DEFINE_STRING( BGl_string2723z00zz__evaluatez00, BgL_bgl_string2723za700za7za7_2873za7, "symbol", 6 );
DEFINE_STRING( BGl_string2805z00zz__evaluatez00, BgL_bgl_string2805za700za7za7_2874za7, "and", 3 );
DEFINE_STRING( BGl_string2725z00zz__evaluatez00, BgL_bgl_string2725za700za7za7_2875za7, "symbol?", 7 );
DEFINE_STRING( BGl_string2807z00zz__evaluatez00, BgL_bgl_string2807za700za7za7_2876za7, "let*", 4 );
DEFINE_STRING( BGl_string2727z00zz__evaluatez00, BgL_bgl_string2727za700za7za7_2877za7, "char", 4 );
DEFINE_STRING( BGl_string2809z00zz__evaluatez00, BgL_bgl_string2809za700za7za7_2878za7, "letrec", 6 );
DEFINE_STRING( BGl_string2729z00zz__evaluatez00, BgL_bgl_string2729za700za7za7_2879za7, "char?", 5 );
DEFINE_STRING( BGl_string2811z00zz__evaluatez00, BgL_bgl_string2811za700za7za7_2880za7, "set!", 4 );
DEFINE_STRING( BGl_string2731z00zz__evaluatez00, BgL_bgl_string2731za700za7za7_2881za7, "int", 3 );
DEFINE_STRING( BGl_string2813z00zz__evaluatez00, BgL_bgl_string2813za700za7za7_2882za7, "define", 6 );
DEFINE_STRING( BGl_string2815z00zz__evaluatez00, BgL_bgl_string2815za700za7za7_2883za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string2734z00zz__evaluatez00, BgL_bgl_string2734za700za7za7_2884za7, "integer?", 8 );
DEFINE_STRING( BGl_string2817z00zz__evaluatez00, BgL_bgl_string2817za700za7za7_2885za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string2736z00zz__evaluatez00, BgL_bgl_string2736za700za7za7_2886za7, "real", 4 );
DEFINE_STRING( BGl_string2819z00zz__evaluatez00, BgL_bgl_string2819za700za7za7_2887za7, "with-handler", 12 );
DEFINE_STRING( BGl_string2738z00zz__evaluatez00, BgL_bgl_string2738za700za7za7_2888za7, "breal", 5 );
DEFINE_STRING( BGl_string2821z00zz__evaluatez00, BgL_bgl_string2821za700za7za7_2889za7, "synchronize", 11 );
DEFINE_STRING( BGl_string2740z00zz__evaluatez00, BgL_bgl_string2740za700za7za7_2890za7, "real?", 5 );
DEFINE_STRING( BGl_string2823z00zz__evaluatez00, BgL_bgl_string2823za700za7za7_2891za7, "prelock", 7 );
DEFINE_STRING( BGl_string2742z00zz__evaluatez00, BgL_bgl_string2742za700za7za7_2892za7, "bool", 4 );
DEFINE_STRING( BGl_string2825z00zz__evaluatez00, BgL_bgl_string2825za700za7za7_2893za7, "free-pragma::obj", 16 );
DEFINE_STRING( BGl_string2744z00zz__evaluatez00, BgL_bgl_string2744za700za7za7_2894za7, "boolean?", 8 );
DEFINE_STRING( BGl_string2826z00zz__evaluatez00, BgL_bgl_string2826za700za7za7_2895za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2746z00zz__evaluatez00, BgL_bgl_string2746za700za7za7_2896za7, "struct", 6 );
DEFINE_STRING( BGl_string2748z00zz__evaluatez00, BgL_bgl_string2748za700za7za7_2897za7, "struct?", 7 );
DEFINE_STRING( BGl_string2750z00zz__evaluatez00, BgL_bgl_string2750za700za7za7_2898za7, "class", 5 );
DEFINE_STRING( BGl_string2752z00zz__evaluatez00, BgL_bgl_string2752za700za7za7_2899za7, "class?", 6 );
DEFINE_STRING( BGl_string2754z00zz__evaluatez00, BgL_bgl_string2754za700za7za7_2900za7, "string", 6 );
DEFINE_STRING( BGl_string2756z00zz__evaluatez00, BgL_bgl_string2756za700za7za7_2901za7, "bstring", 7 );
DEFINE_STRING( BGl_string2758z00zz__evaluatez00, BgL_bgl_string2758za700za7za7_2902za7, "string?", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2800z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2720z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2802z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2722z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2804z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2724z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2806z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2726z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2808z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2728z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2810z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2730z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2812z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2732z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2814z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2733z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2816z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2735z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2818z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2737z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2739z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2820z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2741z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2824z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2743z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2745z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2747z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2749z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2751z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2753z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2755z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2757z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2759z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2761z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2763z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2765z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2767z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2769z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2771z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2773z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2775z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2777z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2779z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2781z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2786z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2789z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2791z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2794z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2796z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2798z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword2822z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2707z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2715z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2717z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2719z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1362>\" \"Eval/evaluate.scm\" 4796) \"BGl_z62zc3z04anonymousza31362ze3ze5zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5084) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5377) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5715) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6016) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6437) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7149) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7530) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8597) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 9944) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10386) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10822) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11104) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12230) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12330) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12883) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13355) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13921) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13488) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13727) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17675) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14468) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13794) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4402, char * BgL_fromz00_4403)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
BGl_symbol2707z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2708z00zz__evaluatez00); 
BGl_symbol2715z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2716z00zz__evaluatez00); 
BGl_symbol2717z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2718z00zz__evaluatez00); 
BGl_symbol2719z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2706z00zz__evaluatez00); 
BGl_symbol2720z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2721z00zz__evaluatez00); 
BGl_symbol2722z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2723z00zz__evaluatez00); 
BGl_symbol2724z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2725z00zz__evaluatez00); 
BGl_symbol2726z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2727z00zz__evaluatez00); 
BGl_symbol2728z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2729z00zz__evaluatez00); 
BGl_symbol2730z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2731z00zz__evaluatez00); 
BGl_symbol2732z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2704z00zz__evaluatez00); 
BGl_symbol2733z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2734z00zz__evaluatez00); 
BGl_symbol2735z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2736z00zz__evaluatez00); 
BGl_symbol2737z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2738z00zz__evaluatez00); 
BGl_symbol2739z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2740z00zz__evaluatez00); 
BGl_symbol2741z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2742z00zz__evaluatez00); 
BGl_symbol2743z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2744z00zz__evaluatez00); 
BGl_symbol2745z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2746z00zz__evaluatez00); 
BGl_symbol2747z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2748z00zz__evaluatez00); 
BGl_symbol2749z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2750z00zz__evaluatez00); 
BGl_symbol2751z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2752z00zz__evaluatez00); 
BGl_symbol2753z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2754z00zz__evaluatez00); 
BGl_symbol2755z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2756z00zz__evaluatez00); 
BGl_symbol2757z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2758z00zz__evaluatez00); 
BGl_symbol2759z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2760z00zz__evaluatez00); 
BGl_symbol2761z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2762z00zz__evaluatez00); 
BGl_symbol2763z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2764z00zz__evaluatez00); 
BGl_symbol2765z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2766z00zz__evaluatez00); 
BGl_symbol2767z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2768z00zz__evaluatez00); 
BGl_symbol2769z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2770z00zz__evaluatez00); 
BGl_symbol2771z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2772z00zz__evaluatez00); 
BGl_symbol2773z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2774z00zz__evaluatez00); 
BGl_symbol2775z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2776z00zz__evaluatez00); 
BGl_symbol2777z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2778z00zz__evaluatez00); 
BGl_symbol2779z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2780z00zz__evaluatez00); 
BGl_symbol2781z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2782z00zz__evaluatez00); 
BGl_symbol2786z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2787z00zz__evaluatez00); 
BGl_symbol2789z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2790z00zz__evaluatez00); 
BGl_symbol2791z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2792z00zz__evaluatez00); 
BGl_symbol2794z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2795z00zz__evaluatez00); 
BGl_symbol2796z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2797z00zz__evaluatez00); 
BGl_symbol2798z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2799z00zz__evaluatez00); 
BGl_symbol2800z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2801z00zz__evaluatez00); 
BGl_symbol2802z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2803z00zz__evaluatez00); 
BGl_symbol2804z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2805z00zz__evaluatez00); 
BGl_symbol2806z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2807z00zz__evaluatez00); 
BGl_symbol2808z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2809z00zz__evaluatez00); 
BGl_symbol2810z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2811z00zz__evaluatez00); 
BGl_symbol2812z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2813z00zz__evaluatez00); 
BGl_symbol2814z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2815z00zz__evaluatez00); 
BGl_symbol2816z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2817z00zz__evaluatez00); 
BGl_symbol2818z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2819z00zz__evaluatez00); 
BGl_symbol2820z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2821z00zz__evaluatez00); 
BGl_keyword2822z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string2823z00zz__evaluatez00); 
return ( 
BGl_symbol2824z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2825z00zz__evaluatez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1189;
BgL_headz00_1189 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1190; obj_t BgL_tailz00_1191;
BgL_prevz00_1190 = BgL_headz00_1189; 
BgL_tailz00_1191 = BgL_l1z00_1; 
BgL_loopz00_1192:
if(
PAIRP(BgL_tailz00_1191))
{ 
 obj_t BgL_newzd2prevzd2_1194;
BgL_newzd2prevzd2_1194 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1191), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1190, BgL_newzd2prevzd2_1194); 
{ 
 obj_t BgL_tailz00_4475; obj_t BgL_prevz00_4474;
BgL_prevz00_4474 = BgL_newzd2prevzd2_1194; 
BgL_tailz00_4475 = 
CDR(BgL_tailz00_1191); 
BgL_tailz00_1191 = BgL_tailz00_4475; 
BgL_prevz00_1190 = BgL_prevz00_4474; 
goto BgL_loopz00_1192;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1189);} } } 

}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_stringz00_1197;
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_arg2516z00_3197;
BgL_arg2516z00_3197 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_stringz00_1197 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3197); } 
{ /* Eval/evaluate.scm 74 */
 long BgL_lenz00_1198;
BgL_lenz00_1198 = 
STRING_LENGTH(BgL_stringz00_1197); 
{ /* Eval/evaluate.scm 75 */

{ 
 long BgL_walkerz00_1200;
BgL_walkerz00_1200 = ((long)0); 
BgL_zc3z04anonymousza31330ze3z87_1201:
if(
(BgL_walkerz00_1200==BgL_lenz00_1198))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
 bool_t BgL_test2906z00_4484;
if(
(
STRING_REF(BgL_stringz00_1197, BgL_walkerz00_1200)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1200<
(BgL_lenz00_1198-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_test2906z00_4484 = 
(
STRING_REF(BgL_stringz00_1197, 
(BgL_walkerz00_1200+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_test2906z00_4484 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_test2906z00_4484 = ((bool_t)0)
; } 
if(BgL_test2906z00_4484)
{ /* Eval/evaluate.scm 83 */
 obj_t BgL_arg1341z00_1212; obj_t BgL_arg1342z00_1213;
BgL_arg1341z00_1212 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1197, ((long)0), BgL_walkerz00_1200)); 
{ /* Eval/evaluate.scm 84 */
 obj_t BgL_arg1344z00_1215;
{ /* Eval/evaluate.scm 84 */
 long BgL_arg1345z00_1216;
BgL_arg1345z00_1216 = 
(BgL_walkerz00_1200+((long)2)); 
{ /* Ieee/string.scm 190 */
 long BgL_endz00_1219;
BgL_endz00_1219 = 
STRING_LENGTH(BgL_stringz00_1197); 
{ /* Ieee/string.scm 190 */

BgL_arg1344z00_1215 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1197, BgL_arg1345z00_1216, BgL_endz00_1219); } } } 
BgL_arg1342z00_1213 = 
bstring_to_symbol(BgL_arg1344z00_1215); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1341z00_1212, BgL_arg1342z00_1213);}  else 
{ 
 long BgL_walkerz00_4501;
BgL_walkerz00_4501 = 
(BgL_walkerz00_1200+((long)1)); 
BgL_walkerz00_1200 = BgL_walkerz00_4501; 
goto BgL_zc3z04anonymousza31330ze3z87_1201;} } } } } } } 

}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
 obj_t BgL_sz00_1228;
BgL_sz00_1228 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
 obj_t BgL_bpz00_1229;
BgL_bpz00_1229 = 
VECTOR_REF(
((obj_t)BgL_sz00_1228),((long)0)); 
{ /* Eval/evaluate.scm 94 */
 obj_t BgL_rz00_1230;
BgL_rz00_1230 = 
make_vector(
(long)CINT(BgL_bpz00_1229), BGl_string2701z00zz__evaluatez00); 
{ 
 long BgL_iz00_1232;
BgL_iz00_1232 = ((long)0); 
BgL_zc3z04anonymousza31353ze3z87_1233:
if(
(BgL_iz00_1232<
(long)CINT(BgL_bpz00_1229)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
 obj_t BgL_arg1355z00_1235;
BgL_arg1355z00_1235 = 
VECTOR_REF(
((obj_t)BgL_sz00_1228),BgL_iz00_1232); 
VECTOR_SET(BgL_rz00_1230,BgL_iz00_1232,BgL_arg1355z00_1235); } 
{ 
 long BgL_iz00_4514;
BgL_iz00_4514 = 
(BgL_iz00_1232+((long)1)); 
BgL_iz00_1232 = BgL_iz00_4514; 
goto BgL_zc3z04anonymousza31353ze3z87_1233;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1230;} } } } 

}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4352)
{
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 

}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
 obj_t BgL_sz00_1238;
BgL_sz00_1238 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
 obj_t BgL_bpz00_1239;
BgL_bpz00_1239 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
 long BgL_iz00_1241;
{ /* Eval/evaluate.scm 107 */
 bool_t BgL_tmpz00_4520;
BgL_iz00_1241 = ((long)0); 
BgL_zc3z04anonymousza31357ze3z87_1242:
if(
(BgL_iz00_1241<
(long)CINT(BgL_bpz00_1239)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
 obj_t BgL_arg1359z00_1244;
BgL_arg1359z00_1244 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1241); 
VECTOR_SET(
((obj_t)BgL_sz00_1238),BgL_iz00_1241,BgL_arg1359z00_1244); } 
{ 
 long BgL_iz00_4528;
BgL_iz00_4528 = 
(BgL_iz00_1241+((long)1)); 
BgL_iz00_1241 = BgL_iz00_4528; 
goto BgL_zc3z04anonymousza31357ze3z87_1242;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4520 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4520);} } } } } 

}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4353, obj_t BgL_vz00_4354)
{
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4354);} 

}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_sz00_1247;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4532;
BgL_tmpz00_4532 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1247 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4532); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1247),((long)0),
BINT(BgL_bpz00_5));} } 

}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4355, obj_t BgL_bpz00_4356)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 int BgL_auxz00_4538;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4539;
if(
INTEGERP(BgL_bpz00_4356))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4539 = BgL_bpz00_4356
; }  else 
{ 
 obj_t BgL_auxz00_4542;
BgL_auxz00_4542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2702z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2703z00zz__evaluatez00, BGl_string2704z00zz__evaluatez00, BgL_bpz00_4356); 
FAILURE(BgL_auxz00_4542,BFALSE,BFALSE);} 
BgL_auxz00_4538 = 
CINT(BgL_tmpz00_4539); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4538);} } 

}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
 obj_t BgL_tmpz00_4548;
BgL_tmpz00_4548 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4548, BgL_statez00_6);} } 

}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4357, obj_t BgL_statez00_4358)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
 obj_t BgL_auxz00_4551;
if(
VECTORP(BgL_statez00_4358))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4551 = BgL_statez00_4358
; }  else 
{ 
 obj_t BgL_auxz00_4554;
BgL_auxz00_4554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2702z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2705z00zz__evaluatez00, BGl_string2706z00zz__evaluatez00, BgL_statez00_4358); 
FAILURE(BgL_auxz00_4554,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4551);} } 

}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
 BgL_ev_exprz00_bglt BgL_astz00_1250;
{ /* Eval/evaluate.scm 130 */
 obj_t BgL_arg1363z00_1260;
BgL_arg1363z00_1260 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1250 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1363z00_1260)); } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1250); 
{ /* Eval/evaluate.scm 132 */
 int BgL_nz00_1251;
BgL_nz00_1251 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1250); 
{ /* Eval/evaluate.scm 133 */
 obj_t BgL_fz00_1252;
BgL_fz00_1252 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1250); 
{ /* Eval/evaluate.scm 134 */
 obj_t BgL_sz00_1253;
BgL_sz00_1253 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 135 */
 obj_t BgL_bpz00_1254;
BgL_bpz00_1254 = 
VECTOR_REF(
((obj_t)BgL_sz00_1253),((long)0)); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_exitd1063z00_1255;
BgL_exitd1063z00_1255 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_zc3z04anonymousza31362ze3z87_4359;
BgL_zc3z04anonymousza31362ze3z87_4359 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31362ze3ze5zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31362ze3z87_4359, 
(int)(((long)0)), BgL_sz00_1253); 
PROCEDURE_SET(BgL_zc3z04anonymousza31362ze3z87_4359, 
(int)(((long)1)), BgL_bpz00_1254); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2683z00_3239;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2684z00_3240;
BgL_arg2684z00_3240 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1255); 
BgL_arg2683z00_3239 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31362ze3z87_4359, BgL_arg2684z00_3240); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1063z00_1255, BgL_arg2683z00_3239); BUNSPEC; } 
{ /* Eval/evaluate.scm 137 */
 obj_t BgL_tmp1065z00_1257;
BgL_tmp1065z00_1257 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_1252))(BgL_fz00_1252, BgL_sz00_1253, BEOA); 
{ /* Eval/evaluate.scm 136 */
 bool_t BgL_test2913z00_4583;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2682z00_3242;
BgL_arg2682z00_3242 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1255); 
BgL_test2913z00_4583 = 
PAIRP(BgL_arg2682z00_3242); } 
if(BgL_test2913z00_4583)
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2680z00_3243;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2681z00_3244;
BgL_arg2681z00_3244 = 
BGL_EXITD_PROTECT(BgL_exitd1063z00_1255); 
BgL_arg2680z00_3243 = 
CDR(
((obj_t)BgL_arg2681z00_3244)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1063z00_1255, BgL_arg2680z00_3243); BUNSPEC; }  else 
{ /* Eval/evaluate.scm 136 */BFALSE; } } 
BGl_z62zc3z04anonymousza31362ze3ze5zz__evaluatez00(BgL_zc3z04anonymousza31362ze3z87_4359); 
return BgL_tmp1065z00_1257;} } } } } } } } } 

}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4360, obj_t BgL_sexpz00_4361, obj_t BgL_envz00_4362, obj_t BgL_locz00_4363)
{
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4361, BgL_envz00_4362, BgL_locz00_4363);} 

}



/* &<@anonymous:1362> */
obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__evaluatez00(obj_t BgL_envz00_4364)
{
{ /* Eval/evaluate.scm 136 */
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_sz00_4365; obj_t BgL_bpz00_4366;
BgL_sz00_4365 = 
PROCEDURE_REF(BgL_envz00_4364, 
(int)(((long)0))); 
BgL_bpz00_4366 = 
PROCEDURE_REF(BgL_envz00_4364, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4365),((long)0),BgL_bpz00_4366);} } 

}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{
{ /* Eval/evaluate.scm 143 */
{ /* Eval/evaluate.scm 144 */
 obj_t BgL__ortest_1067z00_1261;
BgL__ortest_1067z00_1261 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1067z00_1261))
{ /* Eval/evaluate.scm 144 */
return BgL__ortest_1067z00_1261;}  else 
{ /* Eval/evaluate.scm 144 */
return BgL_locz00_11;} } } 

}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{
{ /* Eval/evaluate.scm 149 */
{ /* Eval/evaluate.scm 150 */
 obj_t BgL__ortest_1068z00_1262;
BgL__ortest_1068z00_1262 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1068z00_1262))
{ /* Eval/evaluate.scm 150 */
return BgL__ortest_1068z00_1262;}  else 
{ /* Eval/evaluate.scm 151 */
 obj_t BgL__ortest_1069z00_1263;
BgL__ortest_1069z00_1263 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1069z00_1263))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1069z00_1263;}  else 
{ /* Eval/evaluate.scm 151 */
return BgL_locz00_14;} } } } 

}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{
{ /* Eval/evaluate.scm 157 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2707z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 

}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{
{ /* Eval/evaluate.scm 163 */
{ 
 obj_t BgL_lz00_1265;
BgL_lz00_1265 = BgL_localsz00_19; 
BgL_zc3z04anonymousza31364ze3z87_1266:
if(
NULLP(BgL_lz00_1265))
{ /* Eval/evaluate.scm 165 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 167 */
 obj_t BgL_rvz00_1268;
BgL_rvz00_1268 = 
CAR(
((obj_t)BgL_lz00_1265)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1268)))->BgL_namez00)))
{ /* Eval/evaluate.scm 169 */
return BgL_rvz00_1268;}  else 
{ 
 obj_t BgL_lz00_4616;
BgL_lz00_4616 = 
CDR(
((obj_t)BgL_lz00_1265)); 
BgL_lz00_1265 = BgL_lz00_4616; 
goto BgL_zc3z04anonymousza31364ze3z87_1266;} } } } 

}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{
{ /* Eval/evaluate.scm 176 */
{ /* Eval/evaluate.scm 177 */
 obj_t BgL_locz00_1275;
BgL_locz00_1275 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
 obj_t BgL_e1z00_1279; obj_t BgL_rz00_1280; obj_t BgL_ez00_1277;
if(
NULLP(BgL_lz00_20))
{ 
 BgL_ev_littz00_bglt BgL_auxz00_4622;
{ /* Eval/evaluate.scm 180 */
 BgL_ev_littz00_bglt BgL_new1072z00_1292;
{ /* Eval/evaluate.scm 181 */
 BgL_ev_littz00_bglt BgL_new1071z00_1293;
BgL_new1071z00_1293 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 181 */
 long BgL_arg1378z00_1294;
BgL_arg1378z00_1294 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_1293), BgL_arg1378z00_1294); } 
BgL_new1072z00_1292 = BgL_new1071z00_1293; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1072z00_1292))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4622 = BgL_new1072z00_1292; } 
return 
((obj_t)BgL_auxz00_4622);}  else 
{ /* Eval/evaluate.scm 178 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 178 */
if(
NULLP(
CDR(
((obj_t)BgL_lz00_20))))
{ /* Eval/evaluate.scm 178 */
 obj_t BgL_arg1374z00_1288;
BgL_arg1374z00_1288 = 
CAR(
((obj_t)BgL_lz00_20)); 
BgL_ez00_1277 = BgL_arg1374z00_1288; 
BGL_TAIL return 
BGl_convz00zz__evaluatez00(BgL_ez00_1277, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1277, BgL_locz00_1275), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 178 */
 obj_t BgL_arg1375z00_1289; obj_t BgL_arg1376z00_1290;
BgL_arg1375z00_1289 = 
CAR(
((obj_t)BgL_lz00_20)); 
BgL_arg1376z00_1290 = 
CDR(
((obj_t)BgL_lz00_20)); 
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_4643;
BgL_e1z00_1279 = BgL_arg1375z00_1289; 
BgL_rz00_1280 = BgL_arg1376z00_1290; 
{ /* Eval/evaluate.scm 185 */
 BgL_ev_prog2z00_bglt BgL_new1074z00_1296;
{ /* Eval/evaluate.scm 186 */
 BgL_ev_prog2z00_bglt BgL_new1073z00_1298;
BgL_new1073z00_1298 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 186 */
 long BgL_arg1381z00_1299;
BgL_arg1381z00_1299 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1298), BgL_arg1381z00_1299); } 
BgL_new1074z00_1296 = BgL_new1073z00_1298; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4648;
{ /* Eval/evaluate.scm 186 */
 obj_t BgL_arg1380z00_1297;
BgL_arg1380z00_1297 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1279, BgL_locz00_1275); 
BgL_auxz00_4648 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1279, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1380z00_1297, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1296))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4648),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1074z00_1296))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1280, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1275, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4643 = BgL_new1074z00_1296; } 
return 
((obj_t)BgL_auxz00_4643);} } }  else 
{ /* Eval/evaluate.scm 178 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1275, BGl_string2709z00zz__evaluatez00, BGl_string2710z00zz__evaluatez00, BgL_lz00_20);} } } } } 

}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{
{ /* Eval/evaluate.scm 194 */
{ /* Eval/evaluate.scm 195 */
 BgL_ev_globalz00_bglt BgL_new1076z00_1300;
{ /* Eval/evaluate.scm 196 */
 BgL_ev_globalz00_bglt BgL_new1075z00_1302;
BgL_new1075z00_1302 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 196 */
 long BgL_arg1384z00_1303;
BgL_arg1384z00_1303 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1302), BgL_arg1384z00_1303); } 
BgL_new1076z00_1300 = BgL_new1075z00_1302; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1300))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1300))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4664;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4664 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4664 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1076z00_1300))->BgL_modz00)=((obj_t)BgL_auxz00_4664),BUNSPEC); } 
return BgL_new1076z00_1300;} } 

}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{
{ /* Eval/evaluate.scm 203 */
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_lz00_1304;
BgL_lz00_1304 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_vz00_1305;
BgL_vz00_1305 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1304)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 205 */

{ /* Eval/evaluate.scm 206 */
 bool_t BgL_test2923z00_4674;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_classz00_3263;
BgL_classz00_3263 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1305))
{ /* Eval/evaluate.scm 206 */
 BgL_objectz00_bglt BgL_arg2666z00_3265;
BgL_arg2666z00_3265 = 
(BgL_objectz00_bglt)(BgL_vz00_1305); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate.scm 206 */
 long BgL_idxz00_3271;
BgL_idxz00_3271 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2666z00_3265); 
BgL_test2923z00_4674 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3271+((long)2)))==BgL_classz00_3263); }  else 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL_res2685z00_3293;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_oclassz00_3279;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2673z00_3285;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2674z00_3286;
BgL_arg2674z00_3286 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2666z00_3265); 
BgL_arg2673z00_3285 = 
(BgL_arg2674z00_3286-OBJECT_TYPE); } 
BgL_oclassz00_3279 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2673z00_3285); } 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL__ortest_1195z00_3280;
BgL__ortest_1195z00_3280 = 
(BgL_classz00_3263==BgL_oclassz00_3279); 
if(BgL__ortest_1195z00_3280)
{ /* Eval/evaluate.scm 206 */
BgL_res2685z00_3293 = BgL__ortest_1195z00_3280; }  else 
{ /* Eval/evaluate.scm 206 */
 long BgL_odepthz00_3281;
BgL_odepthz00_3281 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3279); 
if(
(((long)2)<BgL_odepthz00_3281))
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_arg2663z00_3283;
BgL_arg2663z00_3283 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3279, ((long)2)); 
BgL_res2685z00_3293 = 
(BgL_arg2663z00_3283==BgL_classz00_3263); }  else 
{ /* Eval/evaluate.scm 206 */
BgL_res2685z00_3293 = ((bool_t)0); } } } } 
BgL_test2923z00_4674 = BgL_res2685z00_3293; } }  else 
{ /* Eval/evaluate.scm 206 */
BgL_test2923z00_4674 = ((bool_t)0)
; } } 
if(BgL_test2923z00_4674)
{ /* Eval/evaluate.scm 208 */
 obj_t BgL_g1078z00_1308; obj_t BgL_g1079z00_1309;
{ /* Eval/evaluate.scm 209 */
 obj_t BgL_arg1401z00_1332;
BgL_arg1401z00_1332 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1305)))->BgL_typez00); 
BgL_g1078z00_1308 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1401z00_1332); } 
BgL_g1079z00_1309 = 
CDR(
((obj_t)BgL_lz00_1304)); 
{ 
 obj_t BgL_nodez00_1311; obj_t BgL_klassz00_1312; obj_t BgL_fieldsz00_1313;
BgL_nodez00_1311 = BgL_vz00_1305; 
BgL_klassz00_1312 = BgL_g1078z00_1308; 
BgL_fieldsz00_1313 = BgL_g1079z00_1309; 
BgL_zc3z04anonymousza31386ze3z87_1314:
if(
NULLP(BgL_fieldsz00_1313))
{ /* Eval/evaluate.scm 212 */
return BgL_nodez00_1311;}  else 
{ /* Eval/evaluate.scm 212 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1312))
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_fieldz00_1317;
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_arg1398z00_1328;
BgL_arg1398z00_1328 = 
CAR(
((obj_t)BgL_fieldsz00_1313)); 
BgL_fieldz00_1317 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1312, BgL_arg1398z00_1328); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1317))
{ /* Eval/evaluate.scm 217 */
 BgL_ev_appz00_bglt BgL_nodez00_1319;
BgL_nodez00_1319 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1317, BgL_nodez00_1311, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 220 */
 obj_t BgL_arg1390z00_1320; obj_t BgL_arg1391z00_1321;
BgL_arg1390z00_1320 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1317); 
BgL_arg1391z00_1321 = 
CDR(
((obj_t)BgL_fieldsz00_1313)); 
{ 
 obj_t BgL_fieldsz00_4715; obj_t BgL_klassz00_4714; obj_t BgL_nodez00_4712;
BgL_nodez00_4712 = 
((obj_t)BgL_nodez00_1319); 
BgL_klassz00_4714 = BgL_arg1390z00_1320; 
BgL_fieldsz00_4715 = BgL_arg1391z00_1321; 
BgL_fieldsz00_1313 = BgL_fieldsz00_4715; 
BgL_klassz00_1312 = BgL_klassz00_4714; 
BgL_nodez00_1311 = BgL_nodez00_4712; 
goto BgL_zc3z04anonymousza31386ze3z87_1314;} } }  else 
{ /* Eval/evaluate.scm 222 */
 obj_t BgL_arg1392z00_1322; obj_t BgL_arg1393z00_1323;
BgL_arg1392z00_1322 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1305)))->BgL_typez00); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1394z00_1324; obj_t BgL_arg1395z00_1325;
BgL_arg1394z00_1324 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1305)))->BgL_typez00); 
BgL_arg1395z00_1325 = 
CAR(
((obj_t)BgL_fieldsz00_1313)); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_list1396z00_1326;
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1397z00_1327;
BgL_arg1397z00_1327 = 
MAKE_YOUNG_PAIR(BgL_arg1395z00_1325, BNIL); 
BgL_list1396z00_1326 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_1324, BgL_arg1397z00_1327); } 
BgL_arg1393z00_1323 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2711z00zz__evaluatez00, BgL_list1396z00_1326); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1392z00_1322, BgL_arg1393z00_1323, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 226 */
 obj_t BgL_arg1399z00_1329;
{ /* Eval/evaluate.scm 226 */
 obj_t BgL__ortest_1080z00_1330;
BgL__ortest_1080z00_1330 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1305)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1080z00_1330))
{ /* Eval/evaluate.scm 226 */
BgL_arg1399z00_1329 = BgL__ortest_1080z00_1330; }  else 
{ /* Eval/evaluate.scm 226 */
BgL_arg1399z00_1329 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1305)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1399z00_1329, BGl_string2712z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_arg1402z00_1333;
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_pairz00_3301;
BgL_pairz00_3301 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1402z00_1333 = 
CAR(BgL_pairz00_3301); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1402z00_1333, BGl_string2713z00zz__evaluatez00, BgL_ez00_30);} } } } } } 

}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{
{ /* Eval/evaluate.scm 233 */
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_vz00_1335;
BgL_vz00_1335 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_e2z00_1336;
BgL_e2z00_1336 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 235 */

{ /* Eval/evaluate.scm 236 */
 bool_t BgL_test2932z00_4740;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_classz00_3303;
BgL_classz00_3303 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1335))
{ /* Eval/evaluate.scm 236 */
 BgL_objectz00_bglt BgL_arg2666z00_3305;
BgL_arg2666z00_3305 = 
(BgL_objectz00_bglt)(BgL_vz00_1335); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate.scm 236 */
 long BgL_idxz00_3311;
BgL_idxz00_3311 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2666z00_3305); 
BgL_test2932z00_4740 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3311+((long)2)))==BgL_classz00_3303); }  else 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL_res2686z00_3333;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_oclassz00_3319;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2673z00_3325;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2674z00_3326;
BgL_arg2674z00_3326 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2666z00_3305); 
BgL_arg2673z00_3325 = 
(BgL_arg2674z00_3326-OBJECT_TYPE); } 
BgL_oclassz00_3319 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2673z00_3325); } 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL__ortest_1195z00_3320;
BgL__ortest_1195z00_3320 = 
(BgL_classz00_3303==BgL_oclassz00_3319); 
if(BgL__ortest_1195z00_3320)
{ /* Eval/evaluate.scm 236 */
BgL_res2686z00_3333 = BgL__ortest_1195z00_3320; }  else 
{ /* Eval/evaluate.scm 236 */
 long BgL_odepthz00_3321;
BgL_odepthz00_3321 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3319); 
if(
(((long)2)<BgL_odepthz00_3321))
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_arg2663z00_3323;
BgL_arg2663z00_3323 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3319, ((long)2)); 
BgL_res2686z00_3333 = 
(BgL_arg2663z00_3323==BgL_classz00_3303); }  else 
{ /* Eval/evaluate.scm 236 */
BgL_res2686z00_3333 = ((bool_t)0); } } } } 
BgL_test2932z00_4740 = BgL_res2686z00_3333; } }  else 
{ /* Eval/evaluate.scm 236 */
BgL_test2932z00_4740 = ((bool_t)0)
; } } 
if(BgL_test2932z00_4740)
{ /* Eval/evaluate.scm 238 */
 obj_t BgL_g1082z00_1339; obj_t BgL_g1083z00_1340;
{ /* Eval/evaluate.scm 239 */
 obj_t BgL_arg1427z00_1371;
BgL_arg1427z00_1371 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1335)))->BgL_typez00); 
BgL_g1082z00_1339 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1427z00_1371); } 
BgL_g1083z00_1340 = 
CDR(BgL_lz00_37); 
{ 
 obj_t BgL_nodez00_1342; obj_t BgL_klassz00_1343; obj_t BgL_fieldsz00_1344;
BgL_nodez00_1342 = BgL_vz00_1335; 
BgL_klassz00_1343 = BgL_g1082z00_1339; 
BgL_fieldsz00_1344 = BgL_g1083z00_1340; 
BgL_zc3z04anonymousza31405ze3z87_1345:
if(
NULLP(BgL_fieldsz00_1344))
{ /* Eval/evaluate.scm 242 */
return BgL_nodez00_1342;}  else 
{ /* Eval/evaluate.scm 242 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1343))
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_fieldz00_1348;
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_arg1425z00_1367;
BgL_arg1425z00_1367 = 
CAR(
((obj_t)BgL_fieldsz00_1344)); 
BgL_fieldz00_1348 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1343, BgL_arg1425z00_1367); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1348))
{ /* Eval/evaluate.scm 246 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1344))))
{ /* Eval/evaluate.scm 247 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1348))
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1412z00_1353;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_list1413z00_1354;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1414z00_1355;
BgL_arg1414z00_1355 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1336, BNIL); 
BgL_list1413z00_1354 = 
MAKE_YOUNG_PAIR(BgL_nodez00_1342, BgL_arg1414z00_1355); } 
BgL_arg1412z00_1353 = BgL_list1413z00_1354; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1348, BgL_arg1412z00_1353, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 251 */
 obj_t BgL_arg1415z00_1356;
BgL_arg1415z00_1356 = 
CAR(
((obj_t)BgL_fieldsz00_1344)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1415z00_1356, BGl_string2714z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 254 */
 BgL_ev_appz00_bglt BgL_nodez00_1357;
BgL_nodez00_1357 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1348, BgL_nodez00_1342, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 257 */
 obj_t BgL_arg1416z00_1358; obj_t BgL_arg1417z00_1359;
BgL_arg1416z00_1358 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1348); 
BgL_arg1417z00_1359 = 
CDR(
((obj_t)BgL_fieldsz00_1344)); 
{ 
 obj_t BgL_fieldsz00_4793; obj_t BgL_klassz00_4792; obj_t BgL_nodez00_4790;
BgL_nodez00_4790 = 
((obj_t)BgL_nodez00_1357); 
BgL_klassz00_4792 = BgL_arg1416z00_1358; 
BgL_fieldsz00_4793 = BgL_arg1417z00_1359; 
BgL_fieldsz00_1344 = BgL_fieldsz00_4793; 
BgL_klassz00_1343 = BgL_klassz00_4792; 
BgL_nodez00_1342 = BgL_nodez00_4790; 
goto BgL_zc3z04anonymousza31405ze3z87_1345;} } } }  else 
{ /* Eval/evaluate.scm 259 */
 obj_t BgL_arg1419z00_1361; obj_t BgL_arg1420z00_1362;
BgL_arg1419z00_1361 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1335)))->BgL_typez00); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1421z00_1363; obj_t BgL_arg1422z00_1364;
BgL_arg1421z00_1363 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1335)))->BgL_typez00); 
BgL_arg1422z00_1364 = 
CAR(
((obj_t)BgL_fieldsz00_1344)); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_list1423z00_1365;
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1424z00_1366;
BgL_arg1424z00_1366 = 
MAKE_YOUNG_PAIR(BgL_arg1422z00_1364, BNIL); 
BgL_list1423z00_1365 = 
MAKE_YOUNG_PAIR(BgL_arg1421z00_1363, BgL_arg1424z00_1366); } 
BgL_arg1420z00_1362 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2711z00zz__evaluatez00, BgL_list1423z00_1365); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1419z00_1361, BgL_arg1420z00_1362, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 264 */
 obj_t BgL_arg1426z00_1368;
{ /* Eval/evaluate.scm 264 */
 obj_t BgL__ortest_1084z00_1369;
BgL__ortest_1084z00_1369 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1335)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1084z00_1369))
{ /* Eval/evaluate.scm 264 */
BgL_arg1426z00_1368 = BgL__ortest_1084z00_1369; }  else 
{ /* Eval/evaluate.scm 264 */
BgL_arg1426z00_1368 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1335)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1426z00_1368, BGl_string2712z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 236 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2713z00zz__evaluatez00, BgL_ez00_39);} } } } } } 

}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, obj_t BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{
{ /* Eval/evaluate.scm 270 */
{ /* Eval/evaluate.scm 271 */
 obj_t BgL_getz00_1374;
BgL_getz00_1374 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 272 */
 BgL_ev_appz00_bglt BgL_new1086z00_1375;
{ /* Eval/evaluate.scm 273 */
 BgL_ev_appz00_bglt BgL_new1085z00_1380;
BgL_new1085z00_1380 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 273 */
 long BgL_arg1432z00_1381;
BgL_arg1432z00_1381 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_1380), BgL_arg1432z00_1381); } 
BgL_new1086z00_1375 = BgL_new1085z00_1380; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1375))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4819;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1088z00_1376;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1087z00_1377;
BgL_new1087z00_1377 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
 long BgL_arg1430z00_1378;
{ /* Eval/evaluate.scm 274 */
 obj_t BgL_classz00_3345;
BgL_classz00_3345 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1430z00_1378 = 
BGL_CLASS_NUM(BgL_classz00_3345); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_1377), BgL_arg1430z00_1378); } 
BgL_new1088z00_1376 = BgL_new1087z00_1377; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1088z00_1376))->BgL_valuez00)=((obj_t)BgL_getz00_1374),BUNSPEC); 
BgL_auxz00_4819 = 
((BgL_ev_exprz00_bglt)BgL_new1088z00_1376); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1375))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4819),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_4827;
{ /* Eval/evaluate.scm 275 */
 obj_t BgL_list1431z00_1379;
BgL_list1431z00_1379 = 
MAKE_YOUNG_PAIR(BgL_argz00_47, BNIL); 
BgL_auxz00_4827 = BgL_list1431z00_1379; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1375))->BgL_argsz00)=((obj_t)BgL_auxz00_4827),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1375))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1086z00_1375;} } } 

}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{
{ /* Eval/evaluate.scm 281 */
{ /* Eval/evaluate.scm 282 */
 obj_t BgL_setz00_1382;
BgL_setz00_1382 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 283 */
 BgL_ev_appz00_bglt BgL_new1090z00_1383;
{ /* Eval/evaluate.scm 284 */
 BgL_ev_appz00_bglt BgL_new1089z00_1387;
BgL_new1089z00_1387 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 284 */
 long BgL_arg1434z00_1388;
BgL_arg1434z00_1388 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_1387), BgL_arg1434z00_1388); } 
BgL_new1090z00_1383 = BgL_new1089z00_1387; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1383))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4837;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1092z00_1384;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1091z00_1385;
BgL_new1091z00_1385 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
 long BgL_arg1433z00_1386;
{ /* Eval/evaluate.scm 285 */
 obj_t BgL_classz00_3352;
BgL_classz00_3352 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1433z00_1386 = 
BGL_CLASS_NUM(BgL_classz00_3352); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1385), BgL_arg1433z00_1386); } 
BgL_new1092z00_1384 = BgL_new1091z00_1385; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1092z00_1384))->BgL_valuez00)=((obj_t)BgL_setz00_1382),BUNSPEC); 
BgL_auxz00_4837 = 
((BgL_ev_exprz00_bglt)BgL_new1092z00_1384); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1383))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4837),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1383))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1383))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1090z00_1383;} } } 

}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{
{ /* Eval/evaluate.scm 292 */
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_arg1437z00_1389; obj_t BgL_arg1438z00_1390;
BgL_arg1437z00_1389 = 
CAR(BgL_pz00_54); 
BgL_arg1438z00_1390 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_res2689z00_3357;
BgL_res2689z00_3357 = 
MAKE_YOUNG_EPAIR(BgL_arg1437z00_1389, BgL_arg1438z00_1390, BgL_locz00_55); 
return BgL_res2689z00_3357;} } } 

}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{
{ /* Eval/evaluate.scm 298 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 301 */
 obj_t BgL_predz00_1392;
if(
(BgL_tnamez00_57==BGl_symbol2715z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2717z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2719z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2720z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2722z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2724z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2726z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2728z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2948z00_4860;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1093z00_1468;
BgL__ortest_1093z00_1468 = 
(BgL_tnamez00_57==BGl_symbol2730z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1468)
{ /* Eval/evaluate.scm 301 */
BgL_test2948z00_4860 = BgL__ortest_1093z00_1468
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2948z00_4860 = 
(BgL_tnamez00_57==BGl_symbol2732z00zz__evaluatez00)
; } } 
if(BgL_test2948z00_4860)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2733z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2950z00_4864;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1094z00_1467;
BgL__ortest_1094z00_1467 = 
(BgL_tnamez00_57==BGl_symbol2735z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1467)
{ /* Eval/evaluate.scm 301 */
BgL_test2950z00_4864 = BgL__ortest_1094z00_1467
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2950z00_4864 = 
(BgL_tnamez00_57==BGl_symbol2737z00zz__evaluatez00)
; } } 
if(BgL_test2950z00_4864)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2739z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2741z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2743z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2745z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2747z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2749z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2751z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2955z00_4874;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1095z00_1466;
BgL__ortest_1095z00_1466 = 
(BgL_tnamez00_57==BGl_symbol2753z00zz__evaluatez00); 
if(BgL__ortest_1095z00_1466)
{ /* Eval/evaluate.scm 301 */
BgL_test2955z00_4874 = BgL__ortest_1095z00_1466
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2955z00_4874 = 
(BgL_tnamez00_57==BGl_symbol2755z00zz__evaluatez00)
; } } 
if(BgL_test2955z00_4874)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1392 = BGl_symbol2757z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1485z00_1446;
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1486z00_1447; obj_t BgL_arg1488z00_1448;
BgL_arg1486z00_1447 = 
MAKE_YOUNG_PAIR(BGl_symbol2759z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1490z00_1449;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1491z00_1450;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1492z00_1451; obj_t BgL_arg1493z00_1452;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1494z00_1453;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1495z00_1454;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1496z00_1455;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1497z00_1456;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1498z00_1457;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1499z00_1458;
BgL_arg1499z00_1458 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1498z00_1457 = 
MAKE_YOUNG_PAIR(BGl_symbol2761z00zz__evaluatez00, BgL_arg1499z00_1458); } 
BgL_arg1497z00_1456 = 
MAKE_YOUNG_PAIR(BgL_arg1498z00_1457, BNIL); } 
BgL_arg1496z00_1455 = 
MAKE_YOUNG_PAIR(BGl_symbol2763z00zz__evaluatez00, BgL_arg1497z00_1456); } 
BgL_arg1495z00_1454 = 
MAKE_YOUNG_PAIR(BgL_arg1496z00_1455, BNIL); } 
BgL_arg1494z00_1453 = 
MAKE_YOUNG_PAIR(BGl_symbol2765z00zz__evaluatez00, BgL_arg1495z00_1454); } 
BgL_arg1492z00_1451 = 
MAKE_YOUNG_PAIR(BgL_arg1494z00_1453, BNIL); } 
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1501z00_1459;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1502z00_1460;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1503z00_1461;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1504z00_1462; obj_t BgL_arg1505z00_1463;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1506z00_1464;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1507z00_1465;
BgL_arg1507z00_1465 = 
MAKE_YOUNG_PAIR(BGl_symbol2765z00zz__evaluatez00, BNIL); 
BgL_arg1506z00_1464 = 
MAKE_YOUNG_PAIR(BGl_symbol2759z00zz__evaluatez00, BgL_arg1507z00_1465); } 
BgL_arg1504z00_1462 = 
MAKE_YOUNG_PAIR(BGl_symbol2767z00zz__evaluatez00, BgL_arg1506z00_1464); } 
BgL_arg1505z00_1463 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1503z00_1461 = 
MAKE_YOUNG_PAIR(BgL_arg1504z00_1462, BgL_arg1505z00_1463); } 
BgL_arg1502z00_1460 = 
MAKE_YOUNG_PAIR(BGl_symbol2765z00zz__evaluatez00, BgL_arg1503z00_1461); } 
BgL_arg1501z00_1459 = 
MAKE_YOUNG_PAIR(BGl_symbol2769z00zz__evaluatez00, BgL_arg1502z00_1460); } 
BgL_arg1493z00_1452 = 
MAKE_YOUNG_PAIR(BgL_arg1501z00_1459, BNIL); } 
BgL_arg1491z00_1450 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_1451, BgL_arg1493z00_1452); } 
BgL_arg1490z00_1449 = 
MAKE_YOUNG_PAIR(BGl_symbol2771z00zz__evaluatez00, BgL_arg1491z00_1450); } 
BgL_arg1488z00_1448 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_1449, BNIL); } 
BgL_arg1485z00_1446 = 
MAKE_YOUNG_PAIR(BgL_arg1486z00_1447, BgL_arg1488z00_1448); } 
BgL_predz00_1392 = 
MAKE_YOUNG_PAIR(BGl_symbol2773z00zz__evaluatez00, BgL_arg1485z00_1446); } } } } } } } } } } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1440z00_1393;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1441z00_1394;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1442z00_1395; obj_t BgL_arg1443z00_1396;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1444z00_1397;
BgL_arg1444z00_1397 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1442z00_1395 = 
MAKE_YOUNG_PAIR(BgL_predz00_1392, BgL_arg1444z00_1397); } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1445z00_1398;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1446z00_1399;
{ 
 obj_t BgL_fnamez00_1400; obj_t BgL_posz00_1401;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2138zd2_1406;
BgL_cdrzd2138zd2_1406 = 
CDR(
((obj_t)BgL_locz00_58)); 
if(
(
CAR(
((obj_t)BgL_locz00_58))==BGl_symbol2779z00zz__evaluatez00))
{ /* Eval/evaluate.scm 316 */
if(
PAIRP(BgL_cdrzd2138zd2_1406))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2142zd2_1410;
BgL_cdrzd2142zd2_1410 = 
CDR(BgL_cdrzd2138zd2_1406); 
if(
PAIRP(BgL_cdrzd2142zd2_1410))
{ /* Eval/evaluate.scm 316 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1410)))
{ /* Eval/evaluate.scm 316 */
BgL_fnamez00_1400 = 
CAR(BgL_cdrzd2138zd2_1406); 
BgL_posz00_1401 = 
CAR(BgL_cdrzd2142zd2_1410); 
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1458z00_1418;
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1459z00_1419; obj_t BgL_arg1460z00_1420;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg2516z00_3366;
BgL_arg2516z00_3366 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1459z00_1419 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3366); }  else 
{ /* Eval/evaluate.scm 321 */
BgL_arg1459z00_1419 = BFALSE; } 
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg1462z00_1422; obj_t BgL_arg1463z00_1423;
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg2516z00_3368;
BgL_arg2516z00_3368 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1462z00_1422 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3368); } 
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1464z00_1424;
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1465z00_1425;
BgL_arg1465z00_1425 = 
MAKE_YOUNG_PAIR(BgL_posz00_1401, BNIL); 
BgL_arg1464z00_1424 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1400, BgL_arg1465z00_1425); } 
BgL_arg1463z00_1423 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1464z00_1424); } 
BgL_arg1460z00_1420 = 
MAKE_YOUNG_PAIR(BgL_arg1462z00_1422, BgL_arg1463z00_1423); } 
BgL_arg1458z00_1418 = 
MAKE_YOUNG_PAIR(BgL_arg1459z00_1419, BgL_arg1460z00_1420); } 
BgL_arg1446z00_1399 = 
MAKE_YOUNG_PAIR(BGl_symbol2775z00zz__evaluatez00, BgL_arg1458z00_1418); } }  else 
{ /* Eval/evaluate.scm 316 */
BgL_tagzd2131zd2_1403:
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1466z00_1426;
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1467z00_1427; obj_t BgL_arg1468z00_1428;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg2516z00_3370;
BgL_arg2516z00_3370 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1467z00_1427 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3370); }  else 
{ /* Eval/evaluate.scm 326 */
BgL_arg1467z00_1427 = BFALSE; } 
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg1470z00_1430; obj_t BgL_arg1474z00_1431;
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg2516z00_3372;
BgL_arg2516z00_3372 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1470z00_1430 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3372); } 
BgL_arg1474z00_1431 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1468z00_1428 = 
MAKE_YOUNG_PAIR(BgL_arg1470z00_1430, BgL_arg1474z00_1431); } 
BgL_arg1466z00_1426 = 
MAKE_YOUNG_PAIR(BgL_arg1467z00_1427, BgL_arg1468z00_1428); } 
BgL_arg1446z00_1399 = 
MAKE_YOUNG_PAIR(BGl_symbol2777z00zz__evaluatez00, BgL_arg1466z00_1426); } } }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1403;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1403;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1403;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1403;} } 
BgL_arg1445z00_1398 = 
MAKE_YOUNG_PAIR(BgL_arg1446z00_1399, BNIL); } 
BgL_arg1443z00_1396 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1445z00_1398); } 
BgL_arg1441z00_1394 = 
MAKE_YOUNG_PAIR(BgL_arg1442z00_1395, BgL_arg1443z00_1396); } 
BgL_arg1440z00_1393 = 
MAKE_YOUNG_PAIR(BGl_symbol2769z00zz__evaluatez00, BgL_arg1441z00_1394); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1440z00_1393, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 300 */
return BgL_bodyz00_60;} } 

}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{
{ /* Eval/evaluate.scm 334 */
{ /* Eval/evaluate.scm 335 */
 bool_t BgL_test2964z00_4948;
{ /* Eval/evaluate.scm 335 */
 int BgL_arg1520z00_1487;
BgL_arg1520z00_1487 = 
bgl_debug(); 
BgL_test2964z00_4948 = 
(
(long)(BgL_arg1520z00_1487)<=((long)0)); } 
if(BgL_test2964z00_4948)
{ /* Eval/evaluate.scm 335 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 335 */
BGL_TAIL return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4398, obj_t BgL_procnamez00_4397, obj_t BgL_locz00_4396, obj_t BgL_varsz00_1472, obj_t BgL_srcsz00_1473)
{
{ /* Eval/evaluate.scm 337 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1472))
{ /* Eval/evaluate.scm 339 */
return BgL_bodyz00_4398;}  else 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_vz00_1476;
BgL_vz00_1476 = 
CAR(
((obj_t)BgL_varsz00_1472)); 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_idz00_1477;
BgL_idz00_1477 = 
CAR(
((obj_t)BgL_vz00_1476)); 
{ /* Eval/evaluate.scm 342 */
 obj_t BgL_tnamez00_1478;
BgL_tnamez00_1478 = 
CDR(
((obj_t)BgL_vz00_1476)); 
{ /* Eval/evaluate.scm 343 */

if(
CBOOL(BgL_tnamez00_1478))
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_locz00_1479;
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_arg1517z00_1483;
BgL_arg1517z00_1483 = 
CAR(
((obj_t)BgL_srcsz00_1473)); 
BgL_locz00_1479 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1517z00_1483, BgL_srcsz00_1473, BgL_locz00_4396); } 
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1512z00_1480;
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1513z00_1481; obj_t BgL_arg1516z00_1482;
BgL_arg1513z00_1481 = 
CDR(
((obj_t)BgL_varsz00_1472)); 
BgL_arg1516z00_1482 = 
CDR(
((obj_t)BgL_srcsz00_1473)); 
BgL_arg1512z00_1480 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4398, BgL_procnamez00_4397, BgL_locz00_4396, BgL_arg1513z00_1481, BgL_arg1516z00_1482); } 
BGL_TAIL return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1477, BgL_tnamez00_1478, BgL_locz00_1479, BgL_procnamez00_4397, BgL_arg1512z00_1480);} }  else 
{ /* Eval/evaluate.scm 348 */
 obj_t BgL_arg1518z00_1484; obj_t BgL_arg1519z00_1485;
BgL_arg1518z00_1484 = 
CDR(
((obj_t)BgL_varsz00_1472)); 
BgL_arg1519z00_1485 = 
CDR(
((obj_t)BgL_srcsz00_1473)); 
{ 
 obj_t BgL_srcsz00_4977; obj_t BgL_varsz00_4976;
BgL_varsz00_4976 = BgL_arg1518z00_1484; 
BgL_srcsz00_4977 = BgL_arg1519z00_1485; 
BgL_srcsz00_1473 = BgL_srcsz00_4977; 
BgL_varsz00_1472 = BgL_varsz00_4976; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 

}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{
{ /* Eval/evaluate.scm 353 */
{ /* Eval/evaluate.scm 354 */
 bool_t BgL_test2967z00_4978;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 354 */
 int BgL_arg1538z00_1502;
BgL_arg1538z00_1502 = 
bgl_debug(); 
BgL_test2967z00_4978 = 
(
(long)(BgL_arg1538z00_1502)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 354 */
BgL_test2967z00_4978 = ((bool_t)0)
; } 
if(BgL_test2967z00_4978)
{ /* Eval/evaluate.scm 355 */
 obj_t BgL_tmpz00_1490;
BgL_tmpz00_1490 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol2781z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1523z00_1491; obj_t BgL_arg1524z00_1492;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1525z00_1493;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1528z00_1494; obj_t BgL_arg1531z00_1495;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1532z00_1496;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1533z00_1497; obj_t BgL_arg1534z00_1498;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1535z00_1499;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_list1536z00_1500;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1537z00_1501;
BgL_arg1537z00_1501 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1536z00_1500 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1490, BgL_arg1537z00_1501); } 
BgL_arg1535z00_1499 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2783z00zz__evaluatez00, BgL_list1536z00_1500); } 
BgL_arg1533z00_1497 = 
bstring_to_symbol(BgL_arg1535z00_1499); } 
BgL_arg1534z00_1498 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1532z00_1496 = 
MAKE_YOUNG_PAIR(BgL_arg1533z00_1497, BgL_arg1534z00_1498); } 
BgL_arg1528z00_1494 = 
MAKE_YOUNG_PAIR(BgL_arg1532z00_1496, BNIL); } 
BgL_arg1531z00_1495 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1490, BNIL); 
BgL_arg1525z00_1493 = 
MAKE_YOUNG_PAIR(BgL_arg1528z00_1494, BgL_arg1531z00_1495); } 
BgL_arg1523z00_1491 = 
MAKE_YOUNG_PAIR(BGl_symbol2771z00zz__evaluatez00, BgL_arg1525z00_1493); } 
BgL_arg1524z00_1492 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1523z00_1491, BgL_arg1524z00_1492);} }  else 
{ /* Eval/evaluate.scm 354 */
return BgL_bodyz00_67;} } } 

}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{
{ /* Eval/evaluate.scm 365 */
BGl_convz00zz__evaluatez00:
{ 
 obj_t BgL_ez00_2688; obj_t BgL_locz00_2689; obj_t BgL_wherez00_2690; obj_t BgL_ez00_2698; obj_t BgL_wherez00_2699;
{ 
 obj_t BgL_xz00_1511; obj_t BgL_bahz00_1513; obj_t BgL_idz00_1515; obj_t BgL_modnamez00_1516; obj_t BgL_lz00_1518; obj_t BgL_funz00_1520; obj_t BgL_argsz00_1521; obj_t BgL_ez00_1523; obj_t BgL_vz00_1525; obj_t BgL_pz00_1527; obj_t BgL_tz00_1528; obj_t BgL_oz00_1529; obj_t BgL_pz00_1531; obj_t BgL_tz00_1532; obj_t BgL_argsz00_1534; obj_t BgL_argsz00_1536; obj_t BgL_lz00_1538; obj_t BgL_bindsz00_1540; obj_t BgL_bodyz00_1541; obj_t BgL_bindsz00_1543; obj_t BgL_bodyz00_1544; obj_t BgL_bindsz00_1546; obj_t BgL_bodyz00_1547; obj_t BgL_idz00_1549; obj_t BgL_modnamez00_1550; obj_t BgL_ez00_1551; obj_t BgL_lz00_1553; obj_t BgL_e2z00_1554; obj_t BgL_vz00_1556; obj_t BgL_ez00_1557; obj_t BgL_gvz00_1560; obj_t BgL_formalsz00_1561; obj_t BgL_bodyz00_1562; obj_t BgL_gvz00_1564; obj_t BgL_gez00_1565; obj_t BgL_vz00_1567; obj_t BgL_bodyz00_1568; obj_t BgL_ez00_1570; obj_t BgL_bodyz00_1571; obj_t BgL_hz00_1573; obj_t BgL_bodyz00_1574; obj_t BgL_mz00_1576; obj_t BgL_pz00_1577; obj_t BgL_bodyz00_1578; obj_t BgL_mz00_1580; obj_t BgL_bodyz00_1581; obj_t BgL_formalsz00_1583; obj_t BgL_bodyz00_1584; obj_t BgL_fz00_1587; obj_t BgL_argsz00_1588;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2794z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1544z00_1595;
BgL_arg1544z00_1595 = 
CDR(
((obj_t)BgL_ez00_69)); 
BgL_bahz00_1513 = BgL_arg1544z00_1595; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 432 */
 obj_t BgL_formsz00_2378;
BgL_formsz00_2378 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 433 */
 obj_t BgL_arg2215z00_2379; obj_t BgL_arg2216z00_2380;
BgL_arg2215z00_2379 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2378); 
BgL_arg2216z00_2380 = 
BGL_MODULE(); 
{ 
 bool_t BgL_topzf3zf3_5014; obj_t BgL_wherez00_5013; obj_t BgL_tailzf3zf3_5012; obj_t BgL_globalsz00_5011; obj_t BgL_ez00_5010;
BgL_ez00_5010 = BgL_arg2215z00_2379; 
BgL_globalsz00_5011 = BgL_arg2216z00_2380; 
BgL_tailzf3zf3_5012 = BgL_wherez00_73; 
BgL_wherez00_5013 = BFALSE; 
BgL_topzf3zf3_5014 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5014; 
BgL_wherez00_73 = BgL_wherez00_5013; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5012; 
BgL_globalsz00_71 = BgL_globalsz00_5011; 
BgL_ez00_69 = BgL_ez00_5010; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 431 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2709z00zz__evaluatez00, BGl_string2793z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd2250zd2_1596;
BgL_cdrzd2250zd2_1596 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2796z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1596))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2253zd2_1600; obj_t BgL_cdrzd2254zd2_1601;
BgL_carzd2253zd2_1600 = 
CAR(BgL_cdrzd2250zd2_1596); 
BgL_cdrzd2254zd2_1601 = 
CDR(BgL_cdrzd2250zd2_1596); 
if(
SYMBOLP(BgL_carzd2253zd2_1600))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2254zd2_1601))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2258zd2_1604;
BgL_carzd2258zd2_1604 = 
CAR(BgL_cdrzd2254zd2_1601); 
if(
SYMBOLP(BgL_carzd2258zd2_1604))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2254zd2_1601)))
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5036;
BgL_idz00_1515 = BgL_carzd2253zd2_1600; 
BgL_modnamez00_1516 = BgL_carzd2258zd2_1604; 
{ /* Eval/evaluate.scm 437 */
 BgL_ev_globalz00_bglt BgL_new1105z00_2382;
{ /* Eval/evaluate.scm 438 */
 BgL_ev_globalz00_bglt BgL_new1104z00_2383;
BgL_new1104z00_2383 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 438 */
 long BgL_arg2218z00_2384;
BgL_arg2218z00_2384 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_2383), BgL_arg2218z00_2384); } 
BgL_new1105z00_2382 = BgL_new1104z00_2383; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2382))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2382))->BgL_namez00)=((obj_t)BgL_idz00_1515),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1105z00_2382))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1516)),BUNSPEC); 
BgL_auxz00_5036 = BgL_new1105z00_2382; } 
return 
((obj_t)BgL_auxz00_5036);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2303zd2_1608;
BgL_carzd2303zd2_1608 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd2303zd2_1608))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2303zd2_1608, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5053;
BgL_funz00_1520 = BgL_carzd2303zd2_1608; 
BgL_argsz00_1521 = BgL_cdrzd2250zd2_1596; 
BgL_tagzd2152zd2_1522:
{ /* Eval/evaluate.scm 449 */
 obj_t BgL_funz00_2411; obj_t BgL_argsz00_2412;
BgL_funz00_2411 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1520); 
BgL_argsz00_2412 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1521); 
{ /* Eval/evaluate.scm 450 */
 BgL_ev_appz00_bglt BgL_new1107z00_2413;
{ /* Eval/evaluate.scm 451 */
 BgL_ev_appz00_bglt BgL_new1106z00_2414;
BgL_new1106z00_2414 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 451 */
 long BgL_arg2232z00_2415;
BgL_arg2232z00_2415 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_2414), BgL_arg2232z00_2415); } 
BgL_new1107z00_2413 = BgL_new1106z00_2414; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2413))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2413))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2411)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2413))->BgL_argsz00)=((obj_t)BgL_argsz00_2412),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1107z00_2413))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5053 = BgL_new1107z00_2413; } } 
return 
((obj_t)BgL_auxz00_5053);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5066;
BgL_fz00_1587 = BgL_carzd2303zd2_1608; 
BgL_argsz00_1588 = BgL_cdrzd2250zd2_1596; 
BgL_tagzd2176zd2_1589:
{ /* Eval/evaluate.scm 599 */
 obj_t BgL_funz00_2677; obj_t BgL_argsz00_2678;
BgL_funz00_2677 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1587); 
BgL_argsz00_2678 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1588); 
{ /* Eval/evaluate.scm 600 */
 BgL_ev_appz00_bglt BgL_new1156z00_2679;
{ /* Eval/evaluate.scm 601 */
 BgL_ev_appz00_bglt BgL_new1155z00_2680;
BgL_new1155z00_2680 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 601 */
 long BgL_arg2352z00_2681;
BgL_arg2352z00_2681 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2680), BgL_arg2352z00_2681); } 
BgL_new1156z00_2679 = BgL_new1155z00_2680; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2679))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2679))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2677)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2679))->BgL_argsz00)=((obj_t)BgL_argsz00_2678),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2679))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5066 = BgL_new1156z00_2679; } } 
return 
((obj_t)BgL_auxz00_5066);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5079;
{ 
 obj_t BgL_argsz00_5081; obj_t BgL_fz00_5080;
BgL_fz00_5080 = BgL_carzd2303zd2_1608; 
BgL_argsz00_5081 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5081; 
BgL_fz00_1587 = BgL_fz00_5080; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5079);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21010zd2_1619;
BgL_carzd21010zd2_1619 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd21010zd2_1619))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21010zd2_1619, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5090;
{ 
 obj_t BgL_argsz00_5092; obj_t BgL_funz00_5091;
BgL_funz00_5091 = BgL_carzd21010zd2_1619; 
BgL_argsz00_5092 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1521 = BgL_argsz00_5092; 
BgL_funz00_1520 = BgL_funz00_5091; 
goto BgL_tagzd2152zd2_1522;} 
return 
((obj_t)BgL_auxz00_5090);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5094;
{ 
 obj_t BgL_argsz00_5096; obj_t BgL_fz00_5095;
BgL_fz00_5095 = BgL_carzd21010zd2_1619; 
BgL_argsz00_5096 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5096; 
BgL_fz00_1587 = BgL_fz00_5095; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5094);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5098;
{ 
 obj_t BgL_argsz00_5100; obj_t BgL_fz00_5099;
BgL_fz00_5099 = BgL_carzd21010zd2_1619; 
BgL_argsz00_5100 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5100; 
BgL_fz00_1587 = BgL_fz00_5099; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5098);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21717zd2_1629;
BgL_carzd21717zd2_1629 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd21717zd2_1629))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21717zd2_1629, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5109;
{ 
 obj_t BgL_argsz00_5111; obj_t BgL_funz00_5110;
BgL_funz00_5110 = BgL_carzd21717zd2_1629; 
BgL_argsz00_5111 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1521 = BgL_argsz00_5111; 
BgL_funz00_1520 = BgL_funz00_5110; 
goto BgL_tagzd2152zd2_1522;} 
return 
((obj_t)BgL_auxz00_5109);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5113;
{ 
 obj_t BgL_argsz00_5115; obj_t BgL_fz00_5114;
BgL_fz00_5114 = BgL_carzd21717zd2_1629; 
BgL_argsz00_5115 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5115; 
BgL_fz00_1587 = BgL_fz00_5114; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5113);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5117;
{ 
 obj_t BgL_argsz00_5119; obj_t BgL_fz00_5118;
BgL_fz00_5118 = BgL_carzd21717zd2_1629; 
BgL_argsz00_5119 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5119; 
BgL_fz00_1587 = BgL_fz00_5118; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5117);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd22424zd2_1639;
BgL_carzd22424zd2_1639 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd22424zd2_1639))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22424zd2_1639, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5128;
{ 
 obj_t BgL_argsz00_5130; obj_t BgL_funz00_5129;
BgL_funz00_5129 = BgL_carzd22424zd2_1639; 
BgL_argsz00_5130 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1521 = BgL_argsz00_5130; 
BgL_funz00_1520 = BgL_funz00_5129; 
goto BgL_tagzd2152zd2_1522;} 
return 
((obj_t)BgL_auxz00_5128);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5132;
{ 
 obj_t BgL_argsz00_5134; obj_t BgL_fz00_5133;
BgL_fz00_5133 = BgL_carzd22424zd2_1639; 
BgL_argsz00_5134 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5134; 
BgL_fz00_1587 = BgL_fz00_5133; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5132);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5136;
{ 
 obj_t BgL_argsz00_5138; obj_t BgL_fz00_5137;
BgL_fz00_5137 = BgL_carzd22424zd2_1639; 
BgL_argsz00_5138 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5138; 
BgL_fz00_1587 = BgL_fz00_5137; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5136);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23131zd2_1649;
BgL_carzd23131zd2_1649 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd23131zd2_1649))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23131zd2_1649, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5147;
{ 
 obj_t BgL_argsz00_5149; obj_t BgL_funz00_5148;
BgL_funz00_5148 = BgL_carzd23131zd2_1649; 
BgL_argsz00_5149 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1521 = BgL_argsz00_5149; 
BgL_funz00_1520 = BgL_funz00_5148; 
goto BgL_tagzd2152zd2_1522;} 
return 
((obj_t)BgL_auxz00_5147);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5151;
{ 
 obj_t BgL_argsz00_5153; obj_t BgL_fz00_5152;
BgL_fz00_5152 = BgL_carzd23131zd2_1649; 
BgL_argsz00_5153 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5153; 
BgL_fz00_1587 = BgL_fz00_5152; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5151);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5155;
{ 
 obj_t BgL_argsz00_5157; obj_t BgL_fz00_5156;
BgL_fz00_5156 = BgL_carzd23131zd2_1649; 
BgL_argsz00_5157 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1588 = BgL_argsz00_5157; 
BgL_fz00_1587 = BgL_fz00_5156; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5155);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1518 = BgL_cdrzd2250zd2_1596; 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2989z00_5163;
if(
PAIRP(BgL_lz00_1518))
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2991z00_5166;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5167;
BgL_tmpz00_5167 = 
CDR(BgL_lz00_1518); 
BgL_test2991z00_5166 = 
PAIRP(BgL_tmpz00_5167); } 
if(BgL_test2991z00_5166)
{ 
 obj_t BgL_l1207z00_2402;
BgL_l1207z00_2402 = BgL_lz00_1518; 
BgL_zc3z04anonymousza32228ze3z87_2403:
if(
NULLP(BgL_l1207z00_2402))
{ /* Eval/evaluate.scm 442 */
BgL_test2989z00_5163 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2993z00_5172;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5173;
BgL_tmpz00_5173 = 
CAR(
((obj_t)BgL_l1207z00_2402)); 
BgL_test2993z00_5172 = 
SYMBOLP(BgL_tmpz00_5173); } 
if(BgL_test2993z00_5172)
{ 
 obj_t BgL_l1207z00_5177;
BgL_l1207z00_5177 = 
CDR(
((obj_t)BgL_l1207z00_2402)); 
BgL_l1207z00_2402 = BgL_l1207z00_5177; 
goto BgL_zc3z04anonymousza32228ze3z87_2403;}  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2989z00_5163 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2989z00_5163 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2989z00_5163 = ((bool_t)0)
; } 
if(BgL_test2989z00_5163)
{ /* Eval/evaluate.scm 442 */
BGL_TAIL return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 442 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2709z00zz__evaluatez00, BGl_string2788z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23841zd2_1662;
BgL_carzd23841zd2_1662 = 
CAR(
((obj_t)BgL_ez00_69)); 
if(
SYMBOLP(BgL_carzd23841zd2_1662))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23841zd2_1662, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5189;
{ 
 obj_t BgL_argsz00_5191; obj_t BgL_funz00_5190;
BgL_funz00_5190 = BgL_carzd23841zd2_1662; 
BgL_argsz00_5191 = BgL_cdrzd2250zd2_1596; 
BgL_argsz00_1521 = BgL_argsz00_5191; 
BgL_funz00_1520 = BgL_funz00_5190; 
goto BgL_tagzd2152zd2_1522;} 
return 
((obj_t)BgL_auxz00_5189);}  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1662==BGl_symbol2800z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1596))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1596)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1610z00_1673;
BgL_arg1610z00_1673 = 
CAR(BgL_cdrzd2250zd2_1596); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5201;
BgL_ez00_1523 = BgL_arg1610z00_1673; 
BgL_tagzd2153zd2_1524:
{ /* Eval/evaluate.scm 456 */
 BgL_ev_trapz00_bglt BgL_new1109z00_2416;
{ /* Eval/evaluate.scm 457 */
 BgL_ev_trapz00_bglt BgL_new1108z00_2417;
BgL_new1108z00_2417 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 457 */
 long BgL_arg2233z00_2418;
BgL_arg2233z00_2418 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_2417), BgL_arg2233z00_2418); } 
BgL_new1109z00_2416 = BgL_new1108z00_2417; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1109z00_2416)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1523))),BUNSPEC); 
BgL_auxz00_5201 = BgL_new1109z00_2416; } 
return 
((obj_t)BgL_auxz00_5201);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1611z00_1674; obj_t BgL_arg1612z00_1675;
BgL_arg1611z00_1674 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1612z00_1675 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5215;
{ 
 obj_t BgL_argsz00_5217; obj_t BgL_fz00_5216;
BgL_fz00_5216 = BgL_arg1611z00_1674; 
BgL_argsz00_5217 = BgL_arg1612z00_1675; 
BgL_argsz00_1588 = BgL_argsz00_5217; 
BgL_fz00_1587 = BgL_fz00_5216; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5215);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1614z00_1677; obj_t BgL_arg1615z00_1678;
BgL_arg1614z00_1677 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1615z00_1678 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5223;
{ 
 obj_t BgL_argsz00_5225; obj_t BgL_fz00_5224;
BgL_fz00_5224 = BgL_arg1614z00_1677; 
BgL_argsz00_5225 = BgL_arg1615z00_1678; 
BgL_argsz00_1588 = BgL_argsz00_5225; 
BgL_fz00_1587 = BgL_fz00_5224; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5223);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd24514zd2_1679;
BgL_cdrzd24514zd2_1679 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2761z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1679))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd24514zd2_1679)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1621z00_1685;
BgL_arg1621z00_1685 = 
CAR(BgL_cdrzd24514zd2_1679); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5239;
BgL_vz00_1525 = BgL_arg1621z00_1685; 
BgL_tagzd2154zd2_1526:
{ /* Eval/evaluate.scm 459 */
 BgL_ev_littz00_bglt BgL_new1111z00_2419;
{ /* Eval/evaluate.scm 460 */
 BgL_ev_littz00_bglt BgL_new1110z00_2420;
BgL_new1110z00_2420 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 460 */
 long BgL_arg2234z00_2421;
BgL_arg2234z00_2421 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_2420), BgL_arg2234z00_2421); } 
BgL_new1111z00_2419 = BgL_new1110z00_2420; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1111z00_2419))->BgL_valuez00)=((obj_t)BgL_vz00_1525),BUNSPEC); 
BgL_auxz00_5239 = BgL_new1111z00_2419; } 
return 
((obj_t)BgL_auxz00_5239);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1622z00_1686;
BgL_arg1622z00_1686 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5248;
{ 
 obj_t BgL_argsz00_5250; obj_t BgL_fz00_5249;
BgL_fz00_5249 = BgL_arg1622z00_1686; 
BgL_argsz00_5250 = BgL_cdrzd24514zd2_1679; 
BgL_argsz00_1588 = BgL_argsz00_5250; 
BgL_fz00_1587 = BgL_fz00_5249; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5248);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1625z00_1689;
BgL_arg1625z00_1689 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5254;
{ 
 obj_t BgL_argsz00_5256; obj_t BgL_fz00_5255;
BgL_fz00_5255 = BgL_arg1625z00_1689; 
BgL_argsz00_5256 = BgL_cdrzd24514zd2_1679; 
BgL_argsz00_1588 = BgL_argsz00_5256; 
BgL_fz00_1587 = BgL_fz00_5255; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5254);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2769z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1679))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25128zd2_1695;
BgL_cdrzd25128zd2_1695 = 
CDR(BgL_cdrzd24514zd2_1679); 
if(
PAIRP(BgL_cdrzd25128zd2_1695))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25133zd2_1697;
BgL_cdrzd25133zd2_1697 = 
CDR(BgL_cdrzd25128zd2_1695); 
if(
PAIRP(BgL_cdrzd25133zd2_1697))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd25133zd2_1697)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1634z00_1701; obj_t BgL_arg1635z00_1702; obj_t BgL_arg1636z00_1703;
BgL_arg1634z00_1701 = 
CAR(BgL_cdrzd24514zd2_1679); 
BgL_arg1635z00_1702 = 
CAR(BgL_cdrzd25128zd2_1695); 
BgL_arg1636z00_1703 = 
CAR(BgL_cdrzd25133zd2_1697); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5276;
BgL_pz00_1527 = BgL_arg1634z00_1701; 
BgL_tz00_1528 = BgL_arg1635z00_1702; 
BgL_oz00_1529 = BgL_arg1636z00_1703; 
BgL_tagzd2155zd2_1530:
{ /* Eval/evaluate.scm 462 */
 BgL_ev_ifz00_bglt BgL_new1114z00_2422;
{ /* Eval/evaluate.scm 463 */
 BgL_ev_ifz00_bglt BgL_new1113z00_2426;
BgL_new1113z00_2426 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 463 */
 long BgL_arg2238z00_2427;
BgL_arg2238z00_2427 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_2426), BgL_arg2238z00_2427); } 
BgL_new1114z00_2422 = BgL_new1113z00_2426; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5281;
{ /* Eval/evaluate.scm 463 */
 obj_t BgL_arg2235z00_2423;
BgL_arg2235z00_2423 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1527, BgL_locz00_74); 
BgL_auxz00_5281 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1527, BgL_arg2235z00_2423)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2422))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5281),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5286;
{ /* Eval/evaluate.scm 464 */
 obj_t BgL_arg2236z00_2424;
BgL_arg2236z00_2424 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1528, BgL_locz00_74); 
BgL_auxz00_5286 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1528, BgL_arg2236z00_2424)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2422))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5286),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5291;
{ /* Eval/evaluate.scm 465 */
 obj_t BgL_arg2237z00_2425;
BgL_arg2237z00_2425 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1529, BgL_locz00_74); 
BgL_auxz00_5291 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1529, BgL_arg2237z00_2425)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2422))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5291),BUNSPEC); } 
BgL_auxz00_5276 = BgL_new1114z00_2422; } 
return 
((obj_t)BgL_auxz00_5276);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1637z00_1704; obj_t BgL_arg1638z00_1705;
BgL_arg1637z00_1704 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1638z00_1705 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5301;
{ 
 obj_t BgL_argsz00_5303; obj_t BgL_fz00_5302;
BgL_fz00_5302 = BgL_arg1637z00_1704; 
BgL_argsz00_5303 = BgL_arg1638z00_1705; 
BgL_argsz00_1588 = BgL_argsz00_5303; 
BgL_fz00_1587 = BgL_fz00_5302; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5301);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25433zd2_1707;
BgL_cdrzd25433zd2_1707 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25439zd2_1708;
BgL_cdrzd25439zd2_1708 = 
CDR(
((obj_t)BgL_cdrzd25433zd2_1707)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25439zd2_1708))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1642z00_1711; obj_t BgL_arg1643z00_1712;
BgL_arg1642z00_1711 = 
CAR(
((obj_t)BgL_cdrzd25433zd2_1707)); 
BgL_arg1643z00_1712 = 
CAR(
((obj_t)BgL_cdrzd25439zd2_1708)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5317;
BgL_pz00_1531 = BgL_arg1642z00_1711; 
BgL_tz00_1532 = BgL_arg1643z00_1712; 
BgL_tagzd2156zd2_1533:
{ /* Eval/evaluate.scm 467 */
 BgL_ev_ifz00_bglt BgL_new1116z00_2428;
{ /* Eval/evaluate.scm 468 */
 BgL_ev_ifz00_bglt BgL_new1115z00_2432;
BgL_new1115z00_2432 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 468 */
 long BgL_arg2242z00_2433;
BgL_arg2242z00_2433 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_2432), BgL_arg2242z00_2433); } 
BgL_new1116z00_2428 = BgL_new1115z00_2432; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5322;
{ /* Eval/evaluate.scm 468 */
 obj_t BgL_arg2239z00_2429;
BgL_arg2239z00_2429 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1531, BgL_locz00_74); 
BgL_auxz00_5322 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1531, BgL_arg2239z00_2429)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2428))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5322),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5327;
{ /* Eval/evaluate.scm 469 */
 obj_t BgL_arg2240z00_2430;
BgL_arg2240z00_2430 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1532, BgL_locz00_74); 
BgL_auxz00_5327 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1532, BgL_arg2240z00_2430)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2428))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5327),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5332;
{ /* Eval/evaluate.scm 470 */
 obj_t BgL_arg2241z00_2431;
BgL_arg2241z00_2431 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5332 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2241z00_2431)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2428))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5332),BUNSPEC); } 
BgL_auxz00_5317 = BgL_new1116z00_2428; } 
return 
((obj_t)BgL_auxz00_5317);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1644z00_1713;
BgL_arg1644z00_1713 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5340;
{ 
 obj_t BgL_argsz00_5342; obj_t BgL_fz00_5341;
BgL_fz00_5341 = BgL_arg1644z00_1713; 
BgL_argsz00_5342 = BgL_cdrzd25433zd2_1707; 
BgL_argsz00_1588 = BgL_argsz00_5342; 
BgL_fz00_1587 = BgL_fz00_5341; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5340);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1647z00_1716; obj_t BgL_arg1649z00_1717;
BgL_arg1647z00_1716 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1649z00_1717 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5348;
{ 
 obj_t BgL_argsz00_5350; obj_t BgL_fz00_5349;
BgL_fz00_5349 = BgL_arg1647z00_1716; 
BgL_argsz00_5350 = BgL_arg1649z00_1717; 
BgL_argsz00_1588 = BgL_argsz00_5350; 
BgL_fz00_1587 = BgL_fz00_5349; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5348);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1650z00_1718; obj_t BgL_arg1651z00_1719;
BgL_arg1650z00_1718 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1651z00_1719 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5356;
{ 
 obj_t BgL_argsz00_5358; obj_t BgL_fz00_5357;
BgL_fz00_5357 = BgL_arg1650z00_1718; 
BgL_argsz00_5358 = BgL_arg1651z00_1719; 
BgL_argsz00_1588 = BgL_argsz00_5358; 
BgL_fz00_1587 = BgL_fz00_5357; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5356);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2802z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1655z00_1722;
BgL_arg1655z00_1722 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5366;
BgL_argsz00_1534 = BgL_arg1655z00_1722; 
BgL_tagzd2157zd2_1535:
{ /* Eval/evaluate.scm 472 */
 BgL_ev_orz00_bglt BgL_new1118z00_2434;
{ /* Eval/evaluate.scm 473 */
 BgL_ev_orz00_bglt BgL_new1117z00_2435;
BgL_new1117z00_2435 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 473 */
 long BgL_arg2243z00_2436;
BgL_arg2243z00_2436 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_2435), BgL_arg2243z00_2436); } 
BgL_new1118z00_2434 = BgL_new1117z00_2435; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1118z00_2434)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1534)),BUNSPEC); 
BgL_auxz00_5366 = BgL_new1118z00_2434; } 
return 
((obj_t)BgL_auxz00_5366);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2804z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1659z00_1725;
BgL_arg1659z00_1725 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5381;
BgL_argsz00_1536 = BgL_arg1659z00_1725; 
BgL_tagzd2158zd2_1537:
{ /* Eval/evaluate.scm 475 */
 BgL_ev_andz00_bglt BgL_new1120z00_2437;
{ /* Eval/evaluate.scm 476 */
 BgL_ev_andz00_bglt BgL_new1119z00_2438;
BgL_new1119z00_2438 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 476 */
 long BgL_arg2244z00_2439;
BgL_arg2244z00_2439 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_2438), BgL_arg2244z00_2439); } 
BgL_new1120z00_2437 = BgL_new1119z00_2438; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1120z00_2437)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1536)),BUNSPEC); 
BgL_auxz00_5381 = BgL_new1120z00_2437; } 
return 
((obj_t)BgL_auxz00_5381);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2789z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1662z00_1728;
BgL_arg1662z00_1728 = 
CDR(
((obj_t)BgL_ez00_69)); 
BgL_lz00_1538 = BgL_arg1662z00_1728; 
BgL_tagzd2159zd2_1539:
BGL_TAIL return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1538, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26338zd2_1729;
BgL_cdrzd26338zd2_1729 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2771z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1729))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1666z00_1733; obj_t BgL_arg1669z00_1734;
BgL_arg1666z00_1733 = 
CAR(BgL_cdrzd26338zd2_1729); 
BgL_arg1669z00_1734 = 
CDR(BgL_cdrzd26338zd2_1729); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_5407;
BgL_bindsz00_1540 = BgL_arg1666z00_1733; 
BgL_bodyz00_1541 = BgL_arg1669z00_1734; 
BgL_tagzd2160zd2_1542:
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_ubindsz00_2440;
if(
NULLP(BgL_bindsz00_1540))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2440 = BNIL; }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_head1212z00_2485;
BgL_head1212z00_2485 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1210z00_2487; obj_t BgL_tail1213z00_2488;
BgL_l1210z00_2487 = BgL_bindsz00_1540; 
BgL_tail1213z00_2488 = BgL_head1212z00_2485; 
BgL_zc3z04anonymousza32263ze3z87_2489:
if(
NULLP(BgL_l1210z00_2487))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2440 = 
CDR(BgL_head1212z00_2485); }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_newtail1214z00_2491;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2266z00_2493;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_bz00_2494;
BgL_bz00_2494 = 
CAR(
((obj_t)BgL_l1210z00_2487)); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2267z00_2495;
BgL_arg2267z00_2495 = 
CAR(
((obj_t)BgL_bz00_2494)); 
BgL_arg2266z00_2493 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2267z00_2495); } } 
BgL_newtail1214z00_2491 = 
MAKE_YOUNG_PAIR(BgL_arg2266z00_2493, BNIL); } 
SET_CDR(BgL_tail1213z00_2488, BgL_newtail1214z00_2491); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2265z00_2492;
BgL_arg2265z00_2492 = 
CDR(
((obj_t)BgL_l1210z00_2487)); 
{ 
 obj_t BgL_tail1213z00_5424; obj_t BgL_l1210z00_5423;
BgL_l1210z00_5423 = BgL_arg2265z00_2492; 
BgL_tail1213z00_5424 = BgL_newtail1214z00_2491; 
BgL_tail1213z00_2488 = BgL_tail1213z00_5424; 
BgL_l1210z00_2487 = BgL_l1210z00_5423; 
goto BgL_zc3z04anonymousza32263ze3z87_2489;} } } } } 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_varsz00_2441;
if(
NULLP(BgL_ubindsz00_2440))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2441 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_head1217z00_2469;
BgL_head1217z00_2469 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1215z00_2471; obj_t BgL_tail1218z00_2472;
BgL_l1215z00_2471 = BgL_ubindsz00_2440; 
BgL_tail1218z00_2472 = BgL_head1217z00_2469; 
BgL_zc3z04anonymousza32257ze3z87_2473:
if(
NULLP(BgL_l1215z00_2471))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2441 = 
CDR(BgL_head1217z00_2469); }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_newtail1219z00_2475;
{ /* Eval/evaluate.scm 481 */
 BgL_ev_varz00_bglt BgL_arg2260z00_2477;
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_iz00_2478;
BgL_iz00_2478 = 
CAR(
((obj_t)BgL_l1215z00_2471)); 
{ /* Eval/evaluate.scm 482 */
 BgL_ev_varz00_bglt BgL_new1122z00_2479;
{ /* Eval/evaluate.scm 484 */
 BgL_ev_varz00_bglt BgL_new1121z00_2480;
BgL_new1121z00_2480 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 484 */
 long BgL_arg2261z00_2481;
BgL_arg2261z00_2481 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_2480), BgL_arg2261z00_2481); } 
BgL_new1122z00_2479 = BgL_new1121z00_2480; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2479))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2478))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2479))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2479))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2478))),BUNSPEC); 
BgL_arg2260z00_2477 = BgL_new1122z00_2479; } } 
BgL_newtail1219z00_2475 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2260z00_2477), BNIL); } 
SET_CDR(BgL_tail1218z00_2472, BgL_newtail1219z00_2475); 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_arg2259z00_2476;
BgL_arg2259z00_2476 = 
CDR(
((obj_t)BgL_l1215z00_2471)); 
{ 
 obj_t BgL_tail1218z00_5450; obj_t BgL_l1215z00_5449;
BgL_l1215z00_5449 = BgL_arg2259z00_2476; 
BgL_tail1218z00_5450 = BgL_newtail1219z00_2475; 
BgL_tail1218z00_2472 = BgL_tail1218z00_5450; 
BgL_l1215z00_2471 = BgL_l1215z00_5449; 
goto BgL_zc3z04anonymousza32257ze3z87_2473;} } } } } 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_bodyz00_2442;
{ /* Eval/evaluate.scm 486 */
 bool_t BgL_test3017z00_5451;
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tmpz00_5452;
BgL_tmpz00_5452 = 
CDR(
((obj_t)BgL_bodyz00_1541)); 
BgL_test3017z00_5451 = 
PAIRP(BgL_tmpz00_5452); } 
if(BgL_test3017z00_5451)
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_res2690z00_3455;
BgL_res2690z00_3455 = 
MAKE_YOUNG_EPAIR(BGl_symbol2789z00zz__evaluatez00, BgL_bodyz00_1541, BgL_locz00_74); 
BgL_bodyz00_2442 = BgL_res2690z00_3455; }  else 
{ /* Eval/evaluate.scm 486 */
BgL_bodyz00_2442 = 
CAR(
((obj_t)BgL_bodyz00_1541)); } } 
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tbodyz00_2443;
BgL_tbodyz00_2443 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2440, BgL_bindsz00_1540, BgL_bodyz00_2442, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 487 */

{ /* Eval/evaluate.scm 488 */
 obj_t BgL_blocz00_2444;
BgL_blocz00_2444 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1540, BgL_locz00_74); 
{ /* Eval/evaluate.scm 489 */
 BgL_ev_letz00_bglt BgL_new1124z00_2445;
{ /* Eval/evaluate.scm 490 */
 BgL_ev_letz00_bglt BgL_new1123z00_2462;
BgL_new1123z00_2462 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 490 */
 long BgL_arg2252z00_2463;
BgL_arg2252z00_2463 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_2462), BgL_arg2252z00_2463); } 
BgL_new1124z00_2445 = BgL_new1123z00_2462; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2445)))->BgL_varsz00)=((obj_t)BgL_varsz00_2441),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5467;
if(
NULLP(BgL_bindsz00_1540))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5467 = BNIL
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_head1222z00_2448;
BgL_head1222z00_2448 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1220z00_2450; obj_t BgL_tail1223z00_2451;
BgL_l1220z00_2450 = BgL_bindsz00_1540; 
BgL_tail1223z00_2451 = BgL_head1222z00_2448; 
BgL_zc3z04anonymousza32246ze3z87_2452:
if(
NULLP(BgL_l1220z00_2450))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5467 = 
CDR(BgL_head1222z00_2448)
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_newtail1224z00_2454;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2249z00_2456;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_bz00_2457;
BgL_bz00_2457 = 
CAR(
((obj_t)BgL_l1220z00_2450)); 
{ /* Eval/evaluate.scm 492 */
 obj_t BgL_locz00_2458;
BgL_locz00_2458 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2457, BgL_blocz00_2444); 
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_arg2250z00_2459;
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_pairz00_3465;
BgL_pairz00_3465 = 
CDR(
((obj_t)BgL_bz00_2457)); 
BgL_arg2250z00_2459 = 
CAR(BgL_pairz00_3465); } 
BgL_arg2249z00_2456 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2250z00_2459, BgL_locz00_2458); } } } 
BgL_newtail1224z00_2454 = 
MAKE_YOUNG_PAIR(BgL_arg2249z00_2456, BNIL); } 
SET_CDR(BgL_tail1223z00_2451, BgL_newtail1224z00_2454); 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2248z00_2455;
BgL_arg2248z00_2455 = 
CDR(
((obj_t)BgL_l1220z00_2450)); 
{ 
 obj_t BgL_tail1223z00_5487; obj_t BgL_l1220z00_5486;
BgL_l1220z00_5486 = BgL_arg2248z00_2455; 
BgL_tail1223z00_5487 = BgL_newtail1224z00_2454; 
BgL_tail1223z00_2451 = BgL_tail1223z00_5487; 
BgL_l1220z00_2450 = BgL_l1220z00_5486; 
goto BgL_zc3z04anonymousza32246ze3z87_2452;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2445)))->BgL_valsz00)=((obj_t)BgL_auxz00_5467),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5489;
{ /* Eval/evaluate.scm 495 */
 obj_t BgL_arg2251z00_2461;
BgL_arg2251z00_2461 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2441, BgL_localsz00_70); 
BgL_auxz00_5489 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2443, BgL_arg2251z00_2461, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2445)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5489),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1124z00_2445))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5407 = BgL_new1124z00_2445; } } } } } } } 
return 
((obj_t)BgL_auxz00_5407);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1670z00_1735;
BgL_arg1670z00_1735 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5499;
{ 
 obj_t BgL_argsz00_5501; obj_t BgL_fz00_5500;
BgL_fz00_5500 = BgL_arg1670z00_1735; 
BgL_argsz00_5501 = BgL_cdrzd26338zd2_1729; 
BgL_argsz00_1588 = BgL_argsz00_5501; 
BgL_fz00_1587 = BgL_fz00_5500; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5499);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2806z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1729))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1678z00_1741; obj_t BgL_arg1679z00_1742;
BgL_arg1678z00_1741 = 
CAR(BgL_cdrzd26338zd2_1729); 
BgL_arg1679z00_1742 = 
CDR(BgL_cdrzd26338zd2_1729); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_5511;
BgL_bindsz00_1543 = BgL_arg1678z00_1741; 
BgL_bodyz00_1544 = BgL_arg1679z00_1742; 
BgL_tagzd2161zd2_1545:
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_varsz00_2498; obj_t BgL_blocz00_2499;
if(
NULLP(BgL_bindsz00_1543))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2498 = BNIL; }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_head1227z00_2507;
BgL_head1227z00_2507 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1225z00_2509; obj_t BgL_tail1228z00_2510;
BgL_l1225z00_2509 = BgL_bindsz00_1543; 
BgL_tail1228z00_2510 = BgL_head1227z00_2507; 
BgL_zc3z04anonymousza32272ze3z87_2511:
if(
NULLP(BgL_l1225z00_2509))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2498 = 
CDR(BgL_head1227z00_2507); }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_newtail1229z00_2513;
{ /* Eval/evaluate.scm 503 */
 BgL_ev_varz00_bglt BgL_arg2275z00_2515;
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_bz00_2516;
BgL_bz00_2516 = 
CAR(
((obj_t)BgL_l1225z00_2509)); 
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_iz00_2517;
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_arg2277z00_2521;
BgL_arg2277z00_2521 = 
CAR(
((obj_t)BgL_bz00_2516)); 
BgL_iz00_2517 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2277z00_2521); } 
{ /* Eval/evaluate.scm 505 */
 BgL_ev_varz00_bglt BgL_new1126z00_2518;
{ /* Eval/evaluate.scm 507 */
 BgL_ev_varz00_bglt BgL_new1125z00_2519;
BgL_new1125z00_2519 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 507 */
 long BgL_arg2276z00_2520;
BgL_arg2276z00_2520 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2519), BgL_arg2276z00_2520); } 
BgL_new1126z00_2518 = BgL_new1125z00_2519; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2518))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2517)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2518))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2518))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2517)),BUNSPEC); 
BgL_arg2275z00_2515 = BgL_new1126z00_2518; } } } 
BgL_newtail1229z00_2513 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2275z00_2515), BNIL); } 
SET_CDR(BgL_tail1228z00_2510, BgL_newtail1229z00_2513); 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_arg2274z00_2514;
BgL_arg2274z00_2514 = 
CDR(
((obj_t)BgL_l1225z00_2509)); 
{ 
 obj_t BgL_tail1228z00_5538; obj_t BgL_l1225z00_5537;
BgL_l1225z00_5537 = BgL_arg2274z00_2514; 
BgL_tail1228z00_5538 = BgL_newtail1229z00_2513; 
BgL_tail1228z00_2510 = BgL_tail1228z00_5538; 
BgL_l1225z00_2509 = BgL_l1225z00_5537; 
goto BgL_zc3z04anonymousza32272ze3z87_2511;} } } } } 
BgL_blocz00_2499 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1543, BgL_locz00_74); 
{ /* Eval/evaluate.scm 510 */
 BgL_ev_letza2za2_bglt BgL_new1128z00_2500;
{ /* Eval/evaluate.scm 511 */
 BgL_ev_letza2za2_bglt BgL_new1127z00_2503;
BgL_new1127z00_2503 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 511 */
 long BgL_arg2270z00_2504;
BgL_arg2270z00_2504 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_2503), BgL_arg2270z00_2504); } 
BgL_new1128z00_2500 = BgL_new1127z00_2503; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2500)))->BgL_varsz00)=((obj_t)BgL_varsz00_2498),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2500)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1543, BgL_varsz00_2498, BgL_localsz00_70, BgL_blocz00_2499)),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5549;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2268z00_2501;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2269z00_2502;
BgL_arg2269z00_2502 = 
bgl_reverse(BgL_varsz00_2498); 
BgL_arg2268z00_2501 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_arg2269z00_2502, BgL_localsz00_70); } 
BgL_auxz00_5549 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1544, BgL_arg2268z00_2501, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2500)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5549),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1128z00_2500))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5511 = BgL_new1128z00_2500; } } 
return 
((obj_t)BgL_auxz00_5511);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1681z00_1743; obj_t BgL_arg1686z00_1744;
BgL_arg1681z00_1743 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1686z00_1744 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5562;
{ 
 obj_t BgL_argsz00_5564; obj_t BgL_fz00_5563;
BgL_fz00_5563 = BgL_arg1681z00_1743; 
BgL_argsz00_5564 = BgL_arg1686z00_1744; 
BgL_argsz00_1588 = BgL_argsz00_5564; 
BgL_fz00_1587 = BgL_fz00_5563; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5562);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26736zd2_1745;
BgL_cdrzd26736zd2_1745 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2808z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1745))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1691z00_1749; obj_t BgL_arg1693z00_1750;
BgL_arg1691z00_1749 = 
CAR(BgL_cdrzd26736zd2_1745); 
BgL_arg1693z00_1750 = 
CDR(BgL_cdrzd26736zd2_1745); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_5576;
BgL_bindsz00_1546 = BgL_arg1691z00_1749; 
BgL_bodyz00_1547 = BgL_arg1693z00_1750; 
BgL_tagzd2162zd2_1548:
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_ubindsz00_2539;
if(
NULLP(BgL_bindsz00_1546))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2539 = BNIL; }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_head1232z00_2589;
BgL_head1232z00_2589 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1230z00_2591; obj_t BgL_tail1233z00_2592;
BgL_l1230z00_2591 = BgL_bindsz00_1546; 
BgL_tail1233z00_2592 = BgL_head1232z00_2589; 
BgL_zc3z04anonymousza32311ze3z87_2593:
if(
NULLP(BgL_l1230z00_2591))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2539 = 
CDR(BgL_head1232z00_2589); }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_newtail1234z00_2595;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2314z00_2597;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_bz00_2598;
BgL_bz00_2598 = 
CAR(
((obj_t)BgL_l1230z00_2591)); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2315z00_2599;
BgL_arg2315z00_2599 = 
CAR(
((obj_t)BgL_bz00_2598)); 
BgL_arg2314z00_2597 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2315z00_2599); } } 
BgL_newtail1234z00_2595 = 
MAKE_YOUNG_PAIR(BgL_arg2314z00_2597, BNIL); } 
SET_CDR(BgL_tail1233z00_2592, BgL_newtail1234z00_2595); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2313z00_2596;
BgL_arg2313z00_2596 = 
CDR(
((obj_t)BgL_l1230z00_2591)); 
{ 
 obj_t BgL_tail1233z00_5593; obj_t BgL_l1230z00_5592;
BgL_l1230z00_5592 = BgL_arg2313z00_2596; 
BgL_tail1233z00_5593 = BgL_newtail1234z00_2595; 
BgL_tail1233z00_2592 = BgL_tail1233z00_5593; 
BgL_l1230z00_2591 = BgL_l1230z00_5592; 
goto BgL_zc3z04anonymousza32311ze3z87_2593;} } } } } 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_varsz00_2540;
if(
NULLP(BgL_ubindsz00_2539))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2540 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_head1237z00_2573;
BgL_head1237z00_2573 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1235z00_2575; obj_t BgL_tail1238z00_2576;
BgL_l1235z00_2575 = BgL_ubindsz00_2539; 
BgL_tail1238z00_2576 = BgL_head1237z00_2573; 
BgL_zc3z04anonymousza32305ze3z87_2577:
if(
NULLP(BgL_l1235z00_2575))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2540 = 
CDR(BgL_head1237z00_2573); }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_newtail1239z00_2579;
{ /* Eval/evaluate.scm 516 */
 BgL_ev_varz00_bglt BgL_arg2308z00_2581;
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_iz00_2582;
BgL_iz00_2582 = 
CAR(
((obj_t)BgL_l1235z00_2575)); 
{ /* Eval/evaluate.scm 517 */
 BgL_ev_varz00_bglt BgL_new1130z00_2583;
{ /* Eval/evaluate.scm 519 */
 BgL_ev_varz00_bglt BgL_new1129z00_2584;
BgL_new1129z00_2584 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 519 */
 long BgL_arg2309z00_2585;
BgL_arg2309z00_2585 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2584), BgL_arg2309z00_2585); } 
BgL_new1130z00_2583 = BgL_new1129z00_2584; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2583))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2582))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2583))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2583))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2582))),BUNSPEC); 
BgL_arg2308z00_2581 = BgL_new1130z00_2583; } } 
BgL_newtail1239z00_2579 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2308z00_2581), BNIL); } 
SET_CDR(BgL_tail1238z00_2576, BgL_newtail1239z00_2579); 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_arg2307z00_2580;
BgL_arg2307z00_2580 = 
CDR(
((obj_t)BgL_l1235z00_2575)); 
{ 
 obj_t BgL_tail1238z00_5619; obj_t BgL_l1235z00_5618;
BgL_l1235z00_5618 = BgL_arg2307z00_2580; 
BgL_tail1238z00_5619 = BgL_newtail1239z00_2579; 
BgL_tail1238z00_2576 = BgL_tail1238z00_5619; 
BgL_l1235z00_2575 = BgL_l1235z00_5618; 
goto BgL_zc3z04anonymousza32305ze3z87_2577;} } } } } 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_localsz00_2541;
BgL_localsz00_2541 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2540, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 521 */
 obj_t BgL_bodyz00_2542;
{ /* Eval/evaluate.scm 522 */
 bool_t BgL_test3030z00_5621;
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tmpz00_5622;
BgL_tmpz00_5622 = 
CDR(
((obj_t)BgL_bodyz00_1547)); 
BgL_test3030z00_5621 = 
PAIRP(BgL_tmpz00_5622); } 
if(BgL_test3030z00_5621)
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_res2691z00_3507;
BgL_res2691z00_3507 = 
MAKE_YOUNG_EPAIR(BGl_symbol2789z00zz__evaluatez00, BgL_bodyz00_1547, BgL_locz00_74); 
BgL_bodyz00_2542 = BgL_res2691z00_3507; }  else 
{ /* Eval/evaluate.scm 522 */
BgL_bodyz00_2542 = 
CAR(
((obj_t)BgL_bodyz00_1547)); } } 
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tbodyz00_2543;
BgL_tbodyz00_2543 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2539, BgL_bindsz00_1546, BgL_bodyz00_2542, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 523 */
 obj_t BgL_blocz00_2544;
BgL_blocz00_2544 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1546, BgL_locz00_74); 
{ /* Eval/evaluate.scm 524 */

{ /* Eval/evaluate.scm 525 */
 BgL_ev_letrecz00_bglt BgL_new1132z00_2545;
{ /* Eval/evaluate.scm 526 */
 BgL_ev_letrecz00_bglt BgL_new1131z00_2566;
BgL_new1131z00_2566 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 526 */
 long BgL_arg2300z00_2567;
BgL_arg2300z00_2567 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_2566), BgL_arg2300z00_2567); } 
BgL_new1132z00_2545 = BgL_new1131z00_2566; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2545)))->BgL_varsz00)=((obj_t)BgL_varsz00_2540),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5637;
if(
NULLP(BgL_bindsz00_1546))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5637 = BNIL
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_head1242z00_2548;
BgL_head1242z00_2548 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1240z00_2550; obj_t BgL_tail1243z00_2551;
BgL_l1240z00_2550 = BgL_bindsz00_1546; 
BgL_tail1243z00_2551 = BgL_head1242z00_2548; 
BgL_zc3z04anonymousza32289ze3z87_2552:
if(
NULLP(BgL_l1240z00_2550))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5637 = 
CDR(BgL_head1242z00_2548)
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_newtail1244z00_2554;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2292z00_2556;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_bz00_2557;
BgL_bz00_2557 = 
CAR(
((obj_t)BgL_l1240z00_2550)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2293z00_2558; obj_t BgL_arg2294z00_2559; obj_t BgL_arg2295z00_2560;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_pairz00_3517;
BgL_pairz00_3517 = 
CDR(
((obj_t)BgL_bz00_2557)); 
BgL_arg2293z00_2558 = 
CAR(BgL_pairz00_3517); } 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2296z00_2561;
BgL_arg2296z00_2561 = 
CAR(
((obj_t)BgL_bz00_2557)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_list2297z00_2562;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2298z00_2563;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2299z00_2564;
BgL_arg2299z00_2564 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2298z00_2563 = 
MAKE_YOUNG_PAIR(BGl_symbol2791z00zz__evaluatez00, BgL_arg2299z00_2564); } 
BgL_list2297z00_2562 = 
MAKE_YOUNG_PAIR(BgL_arg2296z00_2561, BgL_arg2298z00_2563); } 
BgL_arg2294z00_2559 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2297z00_2562); } } 
BgL_arg2295z00_2560 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2557, BgL_blocz00_2544); 
BgL_arg2292z00_2556 = 
BGl_convz00zz__evaluatez00(BgL_arg2293z00_2558, BgL_localsz00_2541, BgL_globalsz00_71, BFALSE, BgL_arg2294z00_2559, BgL_arg2295z00_2560, ((bool_t)0)); } } 
BgL_newtail1244z00_2554 = 
MAKE_YOUNG_PAIR(BgL_arg2292z00_2556, BNIL); } 
SET_CDR(BgL_tail1243z00_2551, BgL_newtail1244z00_2554); 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2291z00_2555;
BgL_arg2291z00_2555 = 
CDR(
((obj_t)BgL_l1240z00_2550)); 
{ 
 obj_t BgL_tail1243z00_5663; obj_t BgL_l1240z00_5662;
BgL_l1240z00_5662 = BgL_arg2291z00_2555; 
BgL_tail1243z00_5663 = BgL_newtail1244z00_2554; 
BgL_tail1243z00_2551 = BgL_tail1243z00_5663; 
BgL_l1240z00_2550 = BgL_l1240z00_5662; 
goto BgL_zc3z04anonymousza32289ze3z87_2552;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2545)))->BgL_valsz00)=((obj_t)BgL_auxz00_5637),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2545)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2543, BgL_localsz00_2541, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5576 = BgL_new1132z00_2545; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5576);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1694z00_1751;
BgL_arg1694z00_1751 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5672;
{ 
 obj_t BgL_argsz00_5674; obj_t BgL_fz00_5673;
BgL_fz00_5673 = BgL_arg1694z00_1751; 
BgL_argsz00_5674 = BgL_cdrzd26736zd2_1745; 
BgL_argsz00_1588 = BgL_argsz00_5674; 
BgL_fz00_1587 = BgL_fz00_5673; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5672);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2810z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1745))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26912zd2_1757; obj_t BgL_cdrzd26913zd2_1758;
BgL_carzd26912zd2_1757 = 
CAR(BgL_cdrzd26736zd2_1745); 
BgL_cdrzd26913zd2_1758 = 
CDR(BgL_cdrzd26736zd2_1745); 
if(
PAIRP(BgL_carzd26912zd2_1757))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26917zd2_1760;
BgL_cdrzd26917zd2_1760 = 
CDR(BgL_carzd26912zd2_1757); 
if(
(
CAR(BgL_carzd26912zd2_1757)==BGl_symbol2796z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26917zd2_1760))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26920zd2_1764; obj_t BgL_cdrzd26921zd2_1765;
BgL_carzd26920zd2_1764 = 
CAR(BgL_cdrzd26917zd2_1760); 
BgL_cdrzd26921zd2_1765 = 
CDR(BgL_cdrzd26917zd2_1760); 
if(
SYMBOLP(BgL_carzd26920zd2_1764))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26921zd2_1765))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26925zd2_1768;
BgL_carzd26925zd2_1768 = 
CAR(BgL_cdrzd26921zd2_1765); 
if(
SYMBOLP(BgL_carzd26925zd2_1768))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26921zd2_1765)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26913zd2_1758))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26913zd2_1758)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1713z00_1775;
BgL_arg1713z00_1775 = 
CAR(BgL_cdrzd26913zd2_1758); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5710;
BgL_idz00_1549 = BgL_carzd26920zd2_1764; 
BgL_modnamez00_1550 = BgL_carzd26925zd2_1768; 
BgL_ez00_1551 = BgL_arg1713z00_1775; 
BgL_tagzd2163zd2_1552:
{ /* Eval/evaluate.scm 531 */
 BgL_ev_setglobalz00_bglt BgL_new1134z00_2601;
{ /* Eval/evaluate.scm 535 */
 BgL_ev_setglobalz00_bglt BgL_new1133z00_2602;
BgL_new1133z00_2602 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 535 */
 long BgL_arg2316z00_2603;
BgL_arg2316z00_2603 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_2602), BgL_arg2316z00_2603); } 
BgL_new1134z00_2601 = BgL_new1133z00_2602; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1134z00_2601)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1551))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2601))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2601))->BgL_namez00)=((obj_t)BgL_idz00_1549),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2601))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1550)),BUNSPEC); 
BgL_auxz00_5710 = BgL_new1134z00_2601; } 
return 
((obj_t)BgL_auxz00_5710);} }  else 
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2166zd2_1559:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2709z00zz__evaluatez00, BGl_string2788z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27041zd2_1777;
BgL_cdrzd27041zd2_1777 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27045zd2_1778;
BgL_cdrzd27045zd2_1778 = 
CDR(
((obj_t)BgL_cdrzd27041zd2_1777)); 
if(
PAIRP(BgL_cdrzd27045zd2_1778))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27045zd2_1778)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1718z00_1782; obj_t BgL_arg1719z00_1783;
BgL_arg1718z00_1782 = 
CAR(
((obj_t)BgL_cdrzd27041zd2_1777)); 
BgL_arg1719z00_1783 = 
CAR(BgL_cdrzd27045zd2_1778); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5737;
BgL_vz00_1556 = BgL_arg1718z00_1782; 
BgL_ez00_1557 = BgL_arg1719z00_1783; 
BgL_tagzd2165zd2_1558:
{ /* Eval/evaluate.scm 541 */
 obj_t BgL_cvz00_2630; obj_t BgL_ez00_2631;
BgL_cvz00_2630 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1556, BgL_localsz00_70); 
BgL_ez00_2631 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1557); 
if(
CBOOL(BgL_cvz00_2630))
{ /* Eval/evaluate.scm 543 */
 BgL_ev_setlocalz00_bglt BgL_new1136z00_2632;
{ /* Eval/evaluate.scm 545 */
 BgL_ev_setlocalz00_bglt BgL_new1135z00_2633;
BgL_new1135z00_2633 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 545 */
 long BgL_arg2330z00_2634;
BgL_arg2330z00_2634 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_2633), BgL_arg2330z00_2634); } 
BgL_new1136z00_2632 = BgL_new1135z00_2633; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1136z00_2632)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2631)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1136z00_2632))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2630)),BUNSPEC); 
BgL_auxz00_5737 = 
((BgL_ev_hookz00_bglt)BgL_new1136z00_2632); }  else 
{ /* Eval/evaluate.scm 546 */
 BgL_ev_setglobalz00_bglt BgL_new1138z00_2635;
{ /* Eval/evaluate.scm 550 */
 BgL_ev_setglobalz00_bglt BgL_new1137z00_2637;
BgL_new1137z00_2637 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 550 */
 long BgL_arg2332z00_2638;
BgL_arg2332z00_2638 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_2637), BgL_arg2332z00_2638); } 
BgL_new1138z00_2635 = BgL_new1137z00_2637; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1138z00_2635)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2631)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2635))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2635))->BgL_namez00)=((obj_t)BgL_vz00_1556),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5761;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5761 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5761 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2635))->BgL_modz00)=((obj_t)BgL_auxz00_5761),BUNSPEC); } 
BgL_auxz00_5737 = 
((BgL_ev_hookz00_bglt)BgL_new1138z00_2635); } } 
return 
((obj_t)BgL_auxz00_5737);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27102zd2_1786;
BgL_cdrzd27102zd2_1786 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27106zd2_1787;
BgL_cdrzd27106zd2_1787 = 
CDR(
((obj_t)BgL_cdrzd27102zd2_1786)); 
if(
PAIRP(BgL_cdrzd27106zd2_1787))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27106zd2_1787)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1725z00_1791; obj_t BgL_arg1726z00_1792;
BgL_arg1725z00_1791 = 
CAR(
((obj_t)BgL_cdrzd27102zd2_1786)); 
BgL_arg1726z00_1792 = 
CAR(BgL_cdrzd27106zd2_1787); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5780;
{ 
 obj_t BgL_ez00_5782; obj_t BgL_vz00_5781;
BgL_vz00_5781 = BgL_arg1725z00_1791; 
BgL_ez00_5782 = BgL_arg1726z00_1792; 
BgL_ez00_1557 = BgL_ez00_5782; 
BgL_vz00_1556 = BgL_vz00_5781; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5780);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27163zd2_1794;
BgL_cdrzd27163zd2_1794 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27167zd2_1795;
BgL_cdrzd27167zd2_1795 = 
CDR(
((obj_t)BgL_cdrzd27163zd2_1794)); 
if(
PAIRP(BgL_cdrzd27167zd2_1795))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27167zd2_1795)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1731z00_1799; obj_t BgL_arg1732z00_1800;
BgL_arg1731z00_1799 = 
CAR(
((obj_t)BgL_cdrzd27163zd2_1794)); 
BgL_arg1732z00_1800 = 
CAR(BgL_cdrzd27167zd2_1795); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5796;
{ 
 obj_t BgL_ez00_5798; obj_t BgL_vz00_5797;
BgL_vz00_5797 = BgL_arg1731z00_1799; 
BgL_ez00_5798 = BgL_arg1732z00_1800; 
BgL_ez00_1557 = BgL_ez00_5798; 
BgL_vz00_1556 = BgL_vz00_5797; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5796);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27224zd2_1802;
BgL_cdrzd27224zd2_1802 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27228zd2_1803;
BgL_cdrzd27228zd2_1803 = 
CDR(
((obj_t)BgL_cdrzd27224zd2_1802)); 
if(
PAIRP(BgL_cdrzd27228zd2_1803))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27228zd2_1803)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1737z00_1807; obj_t BgL_arg1738z00_1808;
BgL_arg1737z00_1807 = 
CAR(
((obj_t)BgL_cdrzd27224zd2_1802)); 
BgL_arg1738z00_1808 = 
CAR(BgL_cdrzd27228zd2_1803); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5812;
{ 
 obj_t BgL_ez00_5814; obj_t BgL_vz00_5813;
BgL_vz00_5813 = BgL_arg1737z00_1807; 
BgL_ez00_5814 = BgL_arg1738z00_1808; 
BgL_ez00_1557 = BgL_ez00_5814; 
BgL_vz00_1556 = BgL_vz00_5813; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5812);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27285zd2_1810;
BgL_cdrzd27285zd2_1810 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27289zd2_1811;
BgL_cdrzd27289zd2_1811 = 
CDR(
((obj_t)BgL_cdrzd27285zd2_1810)); 
if(
PAIRP(BgL_cdrzd27289zd2_1811))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27289zd2_1811)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1744z00_1815; obj_t BgL_arg1745z00_1816;
BgL_arg1744z00_1815 = 
CAR(
((obj_t)BgL_cdrzd27285zd2_1810)); 
BgL_arg1745z00_1816 = 
CAR(BgL_cdrzd27289zd2_1811); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5828;
{ 
 obj_t BgL_ez00_5830; obj_t BgL_vz00_5829;
BgL_vz00_5829 = BgL_arg1744z00_1815; 
BgL_ez00_5830 = BgL_arg1745z00_1816; 
BgL_ez00_1557 = BgL_ez00_5830; 
BgL_vz00_1556 = BgL_vz00_5829; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5828);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27333zd2_1818;
BgL_cdrzd27333zd2_1818 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27336zd2_1819; obj_t BgL_cdrzd27337zd2_1820;
BgL_carzd27336zd2_1819 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1818)); 
BgL_cdrzd27337zd2_1820 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1818)); 
if(
(
CAR(
((obj_t)BgL_carzd27336zd2_1819))==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27337zd2_1820))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27337zd2_1820)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1752z00_1826; obj_t BgL_arg1753z00_1827;
BgL_arg1752z00_1826 = 
CDR(
((obj_t)BgL_carzd27336zd2_1819)); 
BgL_arg1753z00_1827 = 
CAR(BgL_cdrzd27337zd2_1820); 
BgL_lz00_1553 = BgL_arg1752z00_1826; 
BgL_e2z00_1554 = BgL_arg1753z00_1827; 
BgL_tagzd2164zd2_1555:
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3059z00_5850;
if(
PAIRP(BgL_lz00_1553))
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3061z00_5853;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5854;
BgL_tmpz00_5854 = 
CDR(BgL_lz00_1553); 
BgL_test3061z00_5853 = 
PAIRP(BgL_tmpz00_5854); } 
if(BgL_test3061z00_5853)
{ 
 obj_t BgL_l1245z00_2621;
BgL_l1245z00_2621 = BgL_lz00_1553; 
BgL_zc3z04anonymousza32326ze3z87_2622:
if(
NULLP(BgL_l1245z00_2621))
{ /* Eval/evaluate.scm 537 */
BgL_test3059z00_5850 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3063z00_5859;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5860;
BgL_tmpz00_5860 = 
CAR(
((obj_t)BgL_l1245z00_2621)); 
BgL_test3063z00_5859 = 
SYMBOLP(BgL_tmpz00_5860); } 
if(BgL_test3063z00_5859)
{ 
 obj_t BgL_l1245z00_5864;
BgL_l1245z00_5864 = 
CDR(
((obj_t)BgL_l1245z00_2621)); 
BgL_l1245z00_2621 = BgL_l1245z00_5864; 
goto BgL_zc3z04anonymousza32326ze3z87_2622;}  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3059z00_5850 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3059z00_5850 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3059z00_5850 = ((bool_t)0)
; } 
if(BgL_test3059z00_5850)
{ /* Eval/evaluate.scm 537 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1553, BgL_e2z00_1554, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 537 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2709z00zz__evaluatez00, BGl_string2788z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27413zd2_1830;
BgL_cdrzd27413zd2_1830 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1818)); 
if(
PAIRP(BgL_cdrzd27413zd2_1830))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27413zd2_1830)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1758z00_1834; obj_t BgL_arg1759z00_1835;
BgL_arg1758z00_1834 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1818)); 
BgL_arg1759z00_1835 = 
CAR(BgL_cdrzd27413zd2_1830); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5879;
{ 
 obj_t BgL_ez00_5881; obj_t BgL_vz00_5880;
BgL_vz00_5880 = BgL_arg1758z00_1834; 
BgL_ez00_5881 = BgL_arg1759z00_1835; 
BgL_ez00_1557 = BgL_ez00_5881; 
BgL_vz00_1556 = BgL_vz00_5880; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5879);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27470zd2_1839;
BgL_cdrzd27470zd2_1839 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27474zd2_1840;
BgL_cdrzd27474zd2_1840 = 
CDR(
((obj_t)BgL_cdrzd27470zd2_1839)); 
if(
PAIRP(BgL_cdrzd27474zd2_1840))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27474zd2_1840)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1766z00_1844; obj_t BgL_arg1767z00_1845;
BgL_arg1766z00_1844 = 
CAR(
((obj_t)BgL_cdrzd27470zd2_1839)); 
BgL_arg1767z00_1845 = 
CAR(BgL_cdrzd27474zd2_1840); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5895;
{ 
 obj_t BgL_ez00_5897; obj_t BgL_vz00_5896;
BgL_vz00_5896 = BgL_arg1766z00_1844; 
BgL_ez00_5897 = BgL_arg1767z00_1845; 
BgL_ez00_1557 = BgL_ez00_5897; 
BgL_vz00_1556 = BgL_vz00_5896; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_5895);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27595zd2_1847;
BgL_cdrzd27595zd2_1847 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2812z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1847))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27600zd2_1851;
BgL_cdrzd27600zd2_1851 = 
CDR(BgL_cdrzd27595zd2_1847); 
if(
PAIRP(BgL_cdrzd27600zd2_1851))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27604zd2_1853;
BgL_carzd27604zd2_1853 = 
CAR(BgL_cdrzd27600zd2_1851); 
if(
PAIRP(BgL_carzd27604zd2_1853))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27609zd2_1855;
BgL_cdrzd27609zd2_1855 = 
CDR(BgL_carzd27604zd2_1853); 
if(
(
CAR(BgL_carzd27604zd2_1853)==BGl_symbol2773z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27609zd2_1855))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27613zd2_1859;
BgL_cdrzd27613zd2_1859 = 
CDR(BgL_cdrzd27609zd2_1855); 
if(
PAIRP(BgL_cdrzd27613zd2_1859))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27613zd2_1859)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27600zd2_1851)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1782z00_1865; obj_t BgL_arg1783z00_1866; obj_t BgL_arg1784z00_1867;
BgL_arg1782z00_1865 = 
CAR(BgL_cdrzd27595zd2_1847); 
BgL_arg1783z00_1866 = 
CAR(BgL_cdrzd27609zd2_1855); 
BgL_arg1784z00_1867 = 
CAR(BgL_cdrzd27613zd2_1859); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5931;
BgL_gvz00_1560 = BgL_arg1782z00_1865; 
BgL_formalsz00_1561 = BgL_arg1783z00_1866; 
BgL_bodyz00_1562 = BgL_arg1784z00_1867; 
BgL_tagzd2167zd2_1563:
{ /* Eval/evaluate.scm 554 */
 obj_t BgL_tidz00_2639;
BgL_tidz00_2639 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1560); 
{ /* Eval/evaluate.scm 555 */
 BgL_ev_defglobalz00_bglt BgL_new1140z00_2640;
{ /* Eval/evaluate.scm 559 */
 BgL_ev_defglobalz00_bglt BgL_new1139z00_2643;
BgL_new1139z00_2643 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 559 */
 long BgL_arg2335z00_2644;
BgL_arg2335z00_2644 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2643), BgL_arg2335z00_2644); } 
BgL_new1140z00_2640 = BgL_new1139z00_2643; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5937;
{ /* Eval/evaluate.scm 559 */
 obj_t BgL_arg2333z00_2641;
BgL_arg2333z00_2641 = 
CDR(BgL_tidz00_2639); 
BgL_auxz00_5937 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1561, BgL_bodyz00_1562, BgL_gvz00_1560, BgL_arg2333z00_2641)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1140z00_2640)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5937),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2640)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2640)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2639)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5948;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5948 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5948 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2640)))->BgL_modz00)=((obj_t)BgL_auxz00_5948),BUNSPEC); } 
BgL_auxz00_5931 = BgL_new1140z00_2640; } } 
return 
((obj_t)BgL_auxz00_5931);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1785z00_1868;
BgL_arg1785z00_1868 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5957;
{ 
 obj_t BgL_argsz00_5959; obj_t BgL_fz00_5958;
BgL_fz00_5958 = BgL_arg1785z00_1868; 
BgL_argsz00_5959 = BgL_cdrzd27595zd2_1847; 
BgL_argsz00_1588 = BgL_argsz00_5959; 
BgL_fz00_1587 = BgL_fz00_5958; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_5957);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27715zd2_1872;
BgL_cdrzd27715zd2_1872 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27715zd2_1872))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1790z00_1875; obj_t BgL_arg1792z00_1876;
BgL_arg1790z00_1875 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
BgL_arg1792z00_1876 = 
CAR(
((obj_t)BgL_cdrzd27715zd2_1872)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5971;
BgL_gvz00_1564 = BgL_arg1790z00_1875; 
BgL_gez00_1565 = BgL_arg1792z00_1876; 
BgL_tagzd2168zd2_1566:
{ /* Eval/evaluate.scm 561 */
 obj_t BgL_tidz00_2645;
BgL_tidz00_2645 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1564); 
{ /* Eval/evaluate.scm 562 */
 BgL_ev_defglobalz00_bglt BgL_new1142z00_2646;
{ /* Eval/evaluate.scm 566 */
 BgL_ev_defglobalz00_bglt BgL_new1141z00_2651;
BgL_new1141z00_2651 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 566 */
 long BgL_arg2340z00_2652;
BgL_arg2340z00_2652 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2651), BgL_arg2340z00_2652); } 
BgL_new1142z00_2646 = BgL_new1141z00_2651; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5977;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2336z00_2647;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2338z00_2649;
BgL_arg2338z00_2649 = 
CDR(BgL_tidz00_2645); 
BgL_arg2336z00_2647 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2338z00_2649, BgL_gez00_1565, BgL_locz00_74); } 
{ 
 obj_t BgL_auxz00_5981;
BgL_ez00_2698 = BgL_arg2336z00_2647; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2699 = BgL_gvz00_1564; }  else 
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2699 = BgL_wherez00_73; } 
BgL_ez00_2688 = BgL_ez00_2698; 
BgL_locz00_2689 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2698, BgL_locz00_74); 
BgL_wherez00_2690 = BgL_wherez00_2699; 
BgL_auxz00_5981 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2688, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2690, BgL_locz00_2689, ((bool_t)0)); 
BgL_auxz00_5977 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5981); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1142z00_2646)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5977),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2646)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2646)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2645)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5992;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5992 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5992 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2646)))->BgL_modz00)=((obj_t)BgL_auxz00_5992),BUNSPEC); } 
BgL_auxz00_5971 = BgL_new1142z00_2646; } } 
return 
((obj_t)BgL_auxz00_5971);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1793z00_1877; obj_t BgL_arg1794z00_1878;
BgL_arg1793z00_1877 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1794z00_1878 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6003;
{ 
 obj_t BgL_argsz00_6005; obj_t BgL_fz00_6004;
BgL_fz00_6004 = BgL_arg1793z00_1877; 
BgL_argsz00_6005 = BgL_arg1794z00_1878; 
BgL_argsz00_1588 = BgL_argsz00_6005; 
BgL_fz00_1587 = BgL_fz00_6004; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6003);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27804zd2_1882;
BgL_cdrzd27804zd2_1882 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27804zd2_1882))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1800z00_1885; obj_t BgL_arg1801z00_1886;
BgL_arg1800z00_1885 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
BgL_arg1801z00_1886 = 
CAR(
((obj_t)BgL_cdrzd27804zd2_1882)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6017;
{ 
 obj_t BgL_gez00_6019; obj_t BgL_gvz00_6018;
BgL_gvz00_6018 = BgL_arg1800z00_1885; 
BgL_gez00_6019 = BgL_arg1801z00_1886; 
BgL_gez00_1565 = BgL_gez00_6019; 
BgL_gvz00_1564 = BgL_gvz00_6018; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6017);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1802z00_1887; obj_t BgL_arg1803z00_1888;
BgL_arg1802z00_1887 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1803z00_1888 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6025;
{ 
 obj_t BgL_argsz00_6027; obj_t BgL_fz00_6026;
BgL_fz00_6026 = BgL_arg1802z00_1887; 
BgL_argsz00_6027 = BgL_arg1803z00_1888; 
BgL_argsz00_1588 = BgL_argsz00_6027; 
BgL_fz00_1587 = BgL_fz00_6026; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6025);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27893zd2_1891;
BgL_cdrzd27893zd2_1891 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27893zd2_1891))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1807z00_1894; obj_t BgL_arg1808z00_1895;
BgL_arg1807z00_1894 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
BgL_arg1808z00_1895 = 
CAR(
((obj_t)BgL_cdrzd27893zd2_1891)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6039;
{ 
 obj_t BgL_gez00_6041; obj_t BgL_gvz00_6040;
BgL_gvz00_6040 = BgL_arg1807z00_1894; 
BgL_gez00_6041 = BgL_arg1808z00_1895; 
BgL_gez00_1565 = BgL_gez00_6041; 
BgL_gvz00_1564 = BgL_gvz00_6040; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6039);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1809z00_1896; obj_t BgL_arg1810z00_1897;
BgL_arg1809z00_1896 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1810z00_1897 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6047;
{ 
 obj_t BgL_argsz00_6049; obj_t BgL_fz00_6048;
BgL_fz00_6048 = BgL_arg1809z00_1896; 
BgL_argsz00_6049 = BgL_arg1810z00_1897; 
BgL_argsz00_1588 = BgL_argsz00_6049; 
BgL_fz00_1587 = BgL_fz00_6048; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6047);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27982zd2_1900;
BgL_cdrzd27982zd2_1900 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27982zd2_1900))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1814z00_1903; obj_t BgL_arg1815z00_1904;
BgL_arg1814z00_1903 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
BgL_arg1815z00_1904 = 
CAR(
((obj_t)BgL_cdrzd27982zd2_1900)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6061;
{ 
 obj_t BgL_gez00_6063; obj_t BgL_gvz00_6062;
BgL_gvz00_6062 = BgL_arg1814z00_1903; 
BgL_gez00_6063 = BgL_arg1815z00_1904; 
BgL_gez00_1565 = BgL_gez00_6063; 
BgL_gvz00_1564 = BgL_gvz00_6062; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6061);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1816z00_1905; obj_t BgL_arg1817z00_1906;
BgL_arg1816z00_1905 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1817z00_1906 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6069;
{ 
 obj_t BgL_argsz00_6071; obj_t BgL_fz00_6070;
BgL_fz00_6070 = BgL_arg1816z00_1905; 
BgL_argsz00_6071 = BgL_arg1817z00_1906; 
BgL_argsz00_1588 = BgL_argsz00_6071; 
BgL_fz00_1587 = BgL_fz00_6070; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6069);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28071zd2_1910;
BgL_cdrzd28071zd2_1910 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28071zd2_1910))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1822z00_1913; obj_t BgL_arg1823z00_1914;
BgL_arg1822z00_1913 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1847)); 
BgL_arg1823z00_1914 = 
CAR(
((obj_t)BgL_cdrzd28071zd2_1910)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6083;
{ 
 obj_t BgL_gez00_6085; obj_t BgL_gvz00_6084;
BgL_gvz00_6084 = BgL_arg1822z00_1913; 
BgL_gez00_6085 = BgL_arg1823z00_1914; 
BgL_gez00_1565 = BgL_gez00_6085; 
BgL_gvz00_1564 = BgL_gvz00_6084; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6083);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1824z00_1915; obj_t BgL_arg1825z00_1916;
BgL_arg1824z00_1915 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1825z00_1916 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6091;
{ 
 obj_t BgL_argsz00_6093; obj_t BgL_fz00_6092;
BgL_fz00_6092 = BgL_arg1824z00_1915; 
BgL_argsz00_6093 = BgL_arg1825z00_1916; 
BgL_argsz00_1588 = BgL_argsz00_6093; 
BgL_fz00_1587 = BgL_fz00_6092; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6091);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1827z00_1918;
BgL_arg1827z00_1918 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6097;
{ 
 obj_t BgL_argsz00_6099; obj_t BgL_fz00_6098;
BgL_fz00_6098 = BgL_arg1827z00_1918; 
BgL_argsz00_6099 = BgL_cdrzd27595zd2_1847; 
BgL_argsz00_1588 = BgL_argsz00_6099; 
BgL_fz00_1587 = BgL_fz00_6098; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6097);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1829z00_1920;
BgL_arg1829z00_1920 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6103;
{ 
 obj_t BgL_argsz00_6105; obj_t BgL_fz00_6104;
BgL_fz00_6104 = BgL_arg1829z00_1920; 
BgL_argsz00_6105 = BgL_cdrzd27595zd2_1847; 
BgL_argsz00_1588 = BgL_argsz00_6105; 
BgL_fz00_1587 = BgL_fz00_6104; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6103);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2814z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1847))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd28319zd2_1926;
BgL_carzd28319zd2_1926 = 
CAR(BgL_cdrzd27595zd2_1847); 
if(
PAIRP(BgL_carzd28319zd2_1926))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd28319zd2_1926)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1837z00_1930; obj_t BgL_arg1839z00_1931;
BgL_arg1837z00_1930 = 
CAR(BgL_carzd28319zd2_1926); 
BgL_arg1839z00_1931 = 
CDR(BgL_cdrzd27595zd2_1847); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6121;
BgL_vz00_1567 = BgL_arg1837z00_1930; 
BgL_bodyz00_1568 = BgL_arg1839z00_1931; 
BgL_tagzd2169zd2_1569:
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_varz00_2653;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1144z00_2658;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1143z00_2659;
BgL_new1143z00_2659 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 570 */
 long BgL_arg2343z00_2660;
BgL_arg2343z00_2660 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2659), BgL_arg2343z00_2660); } 
BgL_new1144z00_2658 = BgL_new1143z00_2659; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2658))->BgL_namez00)=((obj_t)BgL_vz00_1567),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2658))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2658))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2653 = BgL_new1144z00_2658; } 
{ /* Eval/evaluate.scm 571 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1146z00_2654;
{ /* Eval/evaluate.scm 572 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2656;
BgL_new1145z00_2656 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 572 */
 long BgL_arg2342z00_2657;
BgL_arg2342z00_2657 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_2656), BgL_arg2342z00_2657); } 
BgL_new1146z00_2654 = BgL_new1145z00_2656; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2654))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2653),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_6134;
{ /* Eval/evaluate.scm 573 */
 obj_t BgL_arg2341z00_2655;
BgL_arg2341z00_2655 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2653), BgL_localsz00_70); 
BgL_auxz00_6134 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1568, BgL_arg2341z00_2655, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2654))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6134),BUNSPEC); } 
BgL_auxz00_6121 = BgL_new1146z00_2654; } } 
return 
((obj_t)BgL_auxz00_6121);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1840z00_1932; obj_t BgL_arg1842z00_1933;
BgL_arg1840z00_1932 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1842z00_1933 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6145;
{ 
 obj_t BgL_argsz00_6147; obj_t BgL_fz00_6146;
BgL_fz00_6146 = BgL_arg1840z00_1932; 
BgL_argsz00_6147 = BgL_arg1842z00_1933; 
BgL_argsz00_1588 = BgL_argsz00_6147; 
BgL_fz00_1587 = BgL_fz00_6146; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6145);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1844z00_1935; obj_t BgL_arg1845z00_1936;
BgL_arg1844z00_1935 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1845z00_1936 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6153;
{ 
 obj_t BgL_argsz00_6155; obj_t BgL_fz00_6154;
BgL_fz00_6154 = BgL_arg1844z00_1935; 
BgL_argsz00_6155 = BgL_arg1845z00_1936; 
BgL_argsz00_1588 = BgL_argsz00_6155; 
BgL_fz00_1587 = BgL_fz00_6154; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6153);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1846z00_1937; obj_t BgL_arg1847z00_1938;
BgL_arg1846z00_1937 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1847z00_1938 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6161;
{ 
 obj_t BgL_argsz00_6163; obj_t BgL_fz00_6162;
BgL_fz00_6162 = BgL_arg1846z00_1937; 
BgL_argsz00_6163 = BgL_arg1847z00_1938; 
BgL_argsz00_1588 = BgL_argsz00_6163; 
BgL_fz00_1587 = BgL_fz00_6162; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6161);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28490zd2_1939;
BgL_cdrzd28490zd2_1939 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2816z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1939))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1851z00_1943; obj_t BgL_arg1852z00_1944;
BgL_arg1851z00_1943 = 
CAR(BgL_cdrzd28490zd2_1939); 
BgL_arg1852z00_1944 = 
CDR(BgL_cdrzd28490zd2_1939); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6175;
BgL_ez00_1570 = BgL_arg1851z00_1943; 
BgL_bodyz00_1571 = BgL_arg1852z00_1944; 
BgL_tagzd2170zd2_1572:
{ /* Eval/evaluate.scm 575 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1148z00_2661;
{ /* Eval/evaluate.scm 576 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2662;
BgL_new1147z00_2662 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 576 */
 long BgL_arg2344z00_2663;
BgL_arg2344z00_2663 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_2662), BgL_arg2344z00_2663); } 
BgL_new1148z00_2661 = BgL_new1147z00_2662; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2661))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1570))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2661))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1571, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6175 = BgL_new1148z00_2661; } 
return 
((obj_t)BgL_auxz00_6175);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1853z00_1945;
BgL_arg1853z00_1945 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6189;
{ 
 obj_t BgL_argsz00_6191; obj_t BgL_fz00_6190;
BgL_fz00_6190 = BgL_arg1853z00_1945; 
BgL_argsz00_6191 = BgL_cdrzd28490zd2_1939; 
BgL_argsz00_1588 = BgL_argsz00_6191; 
BgL_fz00_1587 = BgL_fz00_6190; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6189);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2818z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1939))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1858z00_1951; obj_t BgL_arg1859z00_1952;
BgL_arg1858z00_1951 = 
CAR(BgL_cdrzd28490zd2_1939); 
BgL_arg1859z00_1952 = 
CDR(BgL_cdrzd28490zd2_1939); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6201;
BgL_hz00_1573 = BgL_arg1858z00_1951; 
BgL_bodyz00_1574 = BgL_arg1859z00_1952; 
BgL_tagzd2171zd2_1575:
{ /* Eval/evaluate.scm 579 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1150z00_2664;
{ /* Eval/evaluate.scm 580 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2665;
BgL_new1149z00_2665 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 580 */
 long BgL_arg2345z00_2666;
BgL_arg2345z00_2666 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_2665), BgL_arg2345z00_2666); } 
BgL_new1150z00_2664 = BgL_new1149z00_2665; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2664))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1573))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2664))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1574, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6201 = BgL_new1150z00_2664; } 
return 
((obj_t)BgL_auxz00_6201);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1860z00_1953; obj_t BgL_arg1861z00_1954;
BgL_arg1860z00_1953 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1861z00_1954 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6217;
{ 
 obj_t BgL_argsz00_6219; obj_t BgL_fz00_6218;
BgL_fz00_6218 = BgL_arg1860z00_1953; 
BgL_argsz00_6219 = BgL_arg1861z00_1954; 
BgL_argsz00_1588 = BgL_argsz00_6219; 
BgL_fz00_1587 = BgL_fz00_6218; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6217);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28597zd2_1955;
BgL_cdrzd28597zd2_1955 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2820z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1955))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28602zd2_1959;
BgL_cdrzd28602zd2_1959 = 
CDR(BgL_cdrzd28597zd2_1955); 
if(
PAIRP(BgL_cdrzd28602zd2_1959))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28607zd2_1961;
BgL_cdrzd28607zd2_1961 = 
CDR(BgL_cdrzd28602zd2_1959); 
if(
(
CAR(BgL_cdrzd28602zd2_1959)==BGl_keyword2822z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28607zd2_1961))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1869z00_1965; obj_t BgL_arg1870z00_1966; obj_t BgL_arg1871z00_1967;
BgL_arg1869z00_1965 = 
CAR(BgL_cdrzd28597zd2_1955); 
BgL_arg1870z00_1966 = 
CAR(BgL_cdrzd28607zd2_1961); 
BgL_arg1871z00_1967 = 
CDR(BgL_cdrzd28607zd2_1961); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6241;
BgL_mz00_1576 = BgL_arg1869z00_1965; 
BgL_pz00_1577 = BgL_arg1870z00_1966; 
BgL_bodyz00_1578 = BgL_arg1871z00_1967; 
BgL_tagzd2172zd2_1579:
{ /* Eval/evaluate.scm 583 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2667;
{ /* Eval/evaluate.scm 584 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2668;
BgL_new1151z00_2668 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 584 */
 long BgL_arg2346z00_2669;
BgL_arg2346z00_2669 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_2668), BgL_arg2346z00_2669); } 
BgL_new1152z00_2667 = BgL_new1151z00_2668; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2667))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2667))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1576))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2667))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1577))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2667))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1578, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6241 = BgL_new1152z00_2667; } 
return 
((obj_t)BgL_auxz00_6241);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1872z00_1969; obj_t BgL_arg1873z00_1970;
BgL_arg1872z00_1969 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
BgL_arg1873z00_1970 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6261;
BgL_mz00_1580 = BgL_arg1872z00_1969; 
BgL_bodyz00_1581 = BgL_arg1873z00_1970; 
BgL_tagzd2173zd2_1582:
{ /* Eval/evaluate.scm 589 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1154z00_2670;
{ /* Eval/evaluate.scm 590 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2671;
BgL_new1153z00_2671 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 590 */
 long BgL_arg2347z00_2672;
BgL_arg2347z00_2672 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2671), BgL_arg2347z00_2672); } 
BgL_new1154z00_2670 = BgL_new1153z00_2671; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2670))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2670))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1580))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2670))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2670))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1581, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6261 = BgL_new1154z00_2670; } 
return 
((obj_t)BgL_auxz00_6261);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1874z00_1972; obj_t BgL_arg1875z00_1973;
BgL_arg1874z00_1972 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
BgL_arg1875z00_1973 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6281;
{ 
 obj_t BgL_bodyz00_6283; obj_t BgL_mz00_6282;
BgL_mz00_6282 = BgL_arg1874z00_1972; 
BgL_bodyz00_6283 = BgL_arg1875z00_1973; 
BgL_bodyz00_1581 = BgL_bodyz00_6283; 
BgL_mz00_1580 = BgL_mz00_6282; 
goto BgL_tagzd2173zd2_1582;} 
return 
((obj_t)BgL_auxz00_6281);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1878z00_1976; obj_t BgL_arg1880z00_1977;
BgL_arg1878z00_1976 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
BgL_arg1880z00_1977 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1955)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6289;
{ 
 obj_t BgL_bodyz00_6291; obj_t BgL_mz00_6290;
BgL_mz00_6290 = BgL_arg1878z00_1976; 
BgL_bodyz00_6291 = BgL_arg1880z00_1977; 
BgL_bodyz00_1581 = BgL_bodyz00_6291; 
BgL_mz00_1580 = BgL_mz00_6290; 
goto BgL_tagzd2173zd2_1582;} 
return 
((obj_t)BgL_auxz00_6289);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1881z00_1978;
BgL_arg1881z00_1978 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6295;
{ 
 obj_t BgL_argsz00_6297; obj_t BgL_fz00_6296;
BgL_fz00_6296 = BgL_arg1881z00_1978; 
BgL_argsz00_6297 = BgL_cdrzd28597zd2_1955; 
BgL_argsz00_1588 = BgL_argsz00_6297; 
BgL_fz00_1587 = BgL_fz00_6296; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6295);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2773z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1955))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28709zd2_1984;
BgL_cdrzd28709zd2_1984 = 
CDR(BgL_cdrzd28597zd2_1955); 
if(
PAIRP(BgL_cdrzd28709zd2_1984))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd28709zd2_1984)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1889z00_1988; obj_t BgL_arg1890z00_1989;
BgL_arg1889z00_1988 = 
CAR(BgL_cdrzd28597zd2_1955); 
BgL_arg1890z00_1989 = 
CAR(BgL_cdrzd28709zd2_1984); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_6313;
BgL_formalsz00_1583 = BgL_arg1889z00_1988; 
BgL_bodyz00_1584 = BgL_arg1890z00_1989; 
BgL_tagzd2174zd2_1585:
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2348z00_2673;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2349z00_2674;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2350z00_2675; obj_t BgL_arg2351z00_2676;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_symbolz00_3561;
BgL_symbolz00_3561 = BGl_symbol2786z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2516z00_3562;
BgL_arg2516z00_3562 = 
SYMBOL_TO_STRING(BgL_symbolz00_3561); 
BgL_arg2350z00_2675 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3562); } } 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2516z00_3564;
BgL_arg2516z00_3564 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_arg2351z00_2676 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2516z00_3564); } 
BgL_arg2349z00_2674 = 
string_append(BgL_arg2350z00_2675, BgL_arg2351z00_2676); } 
BgL_arg2348z00_2673 = 
bstring_to_symbol(BgL_arg2349z00_2674); } 
BgL_auxz00_6313 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1583, BgL_bodyz00_1584, BgL_arg2348z00_2673, BFALSE); } 
return 
((obj_t)BgL_auxz00_6313);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1891z00_1990; obj_t BgL_arg1892z00_1991;
BgL_arg1891z00_1990 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1892z00_1991 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6327;
{ 
 obj_t BgL_argsz00_6329; obj_t BgL_fz00_6328;
BgL_fz00_6328 = BgL_arg1891z00_1990; 
BgL_argsz00_6329 = BgL_arg1892z00_1991; 
BgL_argsz00_1588 = BgL_argsz00_6329; 
BgL_fz00_1587 = BgL_fz00_6328; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6327);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1894z00_1993; obj_t BgL_arg1895z00_1994;
BgL_arg1894z00_1993 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1895z00_1994 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6335;
{ 
 obj_t BgL_argsz00_6337; obj_t BgL_fz00_6336;
BgL_fz00_6336 = BgL_arg1894z00_1993; 
BgL_argsz00_6337 = BgL_arg1895z00_1994; 
BgL_argsz00_1588 = BgL_argsz00_6337; 
BgL_fz00_1587 = BgL_fz00_6336; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6335);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1896z00_1995; obj_t BgL_arg1897z00_1996;
BgL_arg1896z00_1995 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1897z00_1996 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6343;
{ 
 obj_t BgL_argsz00_6345; obj_t BgL_fz00_6344;
BgL_fz00_6344 = BgL_arg1896z00_1995; 
BgL_argsz00_6345 = BgL_arg1897z00_1996; 
BgL_argsz00_1588 = BgL_argsz00_6345; 
BgL_fz00_1587 = BgL_fz00_6344; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6343);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2824z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2175zd2_1586:
return 
BGl_errorz00zz__errorz00(BGl_string2784z00zz__evaluatez00, BGl_string2785z00zz__evaluatez00, BgL_ez00_69);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1900z00_1999; obj_t BgL_arg1901z00_2000;
BgL_arg1900z00_1999 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1901z00_2000 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6356;
{ 
 obj_t BgL_argsz00_6358; obj_t BgL_fz00_6357;
BgL_fz00_6357 = BgL_arg1900z00_1999; 
BgL_argsz00_6358 = BgL_arg1901z00_2000; 
BgL_argsz00_1588 = BgL_argsz00_6358; 
BgL_fz00_1587 = BgL_fz00_6357; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6356);} } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1662==BGl_symbol2800z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1596))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1596)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1924z00_2025;
BgL_arg1924z00_2025 = 
CAR(BgL_cdrzd2250zd2_1596); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_6368;
{ 
 obj_t BgL_ez00_6369;
BgL_ez00_6369 = BgL_arg1924z00_2025; 
BgL_ez00_1523 = BgL_ez00_6369; 
goto BgL_tagzd2153zd2_1524;} 
return 
((obj_t)BgL_auxz00_6368);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1925z00_2026; obj_t BgL_arg1926z00_2027;
BgL_arg1925z00_2026 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1926z00_2027 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6375;
{ 
 obj_t BgL_argsz00_6377; obj_t BgL_fz00_6376;
BgL_fz00_6376 = BgL_arg1925z00_2026; 
BgL_argsz00_6377 = BgL_arg1926z00_2027; 
BgL_argsz00_1588 = BgL_argsz00_6377; 
BgL_fz00_1587 = BgL_fz00_6376; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6375);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1928z00_2029; obj_t BgL_arg1929z00_2030;
BgL_arg1928z00_2029 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1929z00_2030 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6383;
{ 
 obj_t BgL_argsz00_6385; obj_t BgL_fz00_6384;
BgL_fz00_6384 = BgL_arg1928z00_2029; 
BgL_argsz00_6385 = BgL_arg1929z00_2030; 
BgL_argsz00_1588 = BgL_argsz00_6385; 
BgL_fz00_1587 = BgL_fz00_6384; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6383);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd29422zd2_2031;
BgL_cdrzd29422zd2_2031 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2761z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2031))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29422zd2_2031)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1935z00_2037;
BgL_arg1935z00_2037 = 
CAR(BgL_cdrzd29422zd2_2031); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_6399;
{ 
 obj_t BgL_vz00_6400;
BgL_vz00_6400 = BgL_arg1935z00_2037; 
BgL_vz00_1525 = BgL_vz00_6400; 
goto BgL_tagzd2154zd2_1526;} 
return 
((obj_t)BgL_auxz00_6399);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1936z00_2038;
BgL_arg1936z00_2038 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6404;
{ 
 obj_t BgL_argsz00_6406; obj_t BgL_fz00_6405;
BgL_fz00_6405 = BgL_arg1936z00_2038; 
BgL_argsz00_6406 = BgL_cdrzd29422zd2_2031; 
BgL_argsz00_1588 = BgL_argsz00_6406; 
BgL_fz00_1587 = BgL_fz00_6405; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6404);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1939z00_2041;
BgL_arg1939z00_2041 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6410;
{ 
 obj_t BgL_argsz00_6412; obj_t BgL_fz00_6411;
BgL_fz00_6411 = BgL_arg1939z00_2041; 
BgL_argsz00_6412 = BgL_cdrzd29422zd2_2031; 
BgL_argsz00_1588 = BgL_argsz00_6412; 
BgL_fz00_1587 = BgL_fz00_6411; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6410);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2769z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2031))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210036zd2_2047;
BgL_cdrzd210036zd2_2047 = 
CDR(BgL_cdrzd29422zd2_2031); 
if(
PAIRP(BgL_cdrzd210036zd2_2047))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210041zd2_2049;
BgL_cdrzd210041zd2_2049 = 
CDR(BgL_cdrzd210036zd2_2047); 
if(
PAIRP(BgL_cdrzd210041zd2_2049))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd210041zd2_2049)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1948z00_2053; obj_t BgL_arg1949z00_2054; obj_t BgL_arg1950z00_2055;
BgL_arg1948z00_2053 = 
CAR(BgL_cdrzd29422zd2_2031); 
BgL_arg1949z00_2054 = 
CAR(BgL_cdrzd210036zd2_2047); 
BgL_arg1950z00_2055 = 
CAR(BgL_cdrzd210041zd2_2049); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6432;
{ 
 obj_t BgL_oz00_6435; obj_t BgL_tz00_6434; obj_t BgL_pz00_6433;
BgL_pz00_6433 = BgL_arg1948z00_2053; 
BgL_tz00_6434 = BgL_arg1949z00_2054; 
BgL_oz00_6435 = BgL_arg1950z00_2055; 
BgL_oz00_1529 = BgL_oz00_6435; 
BgL_tz00_1528 = BgL_tz00_6434; 
BgL_pz00_1527 = BgL_pz00_6433; 
goto BgL_tagzd2155zd2_1530;} 
return 
((obj_t)BgL_auxz00_6432);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1951z00_2056; obj_t BgL_arg1952z00_2057;
BgL_arg1951z00_2056 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1952z00_2057 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6441;
{ 
 obj_t BgL_argsz00_6443; obj_t BgL_fz00_6442;
BgL_fz00_6442 = BgL_arg1951z00_2056; 
BgL_argsz00_6443 = BgL_arg1952z00_2057; 
BgL_argsz00_1588 = BgL_argsz00_6443; 
BgL_fz00_1587 = BgL_fz00_6442; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6441);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210341zd2_2059;
BgL_cdrzd210341zd2_2059 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210347zd2_2060;
BgL_cdrzd210347zd2_2060 = 
CDR(
((obj_t)BgL_cdrzd210341zd2_2059)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210347zd2_2060))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1956z00_2063; obj_t BgL_arg1957z00_2064;
BgL_arg1956z00_2063 = 
CAR(
((obj_t)BgL_cdrzd210341zd2_2059)); 
BgL_arg1957z00_2064 = 
CAR(
((obj_t)BgL_cdrzd210347zd2_2060)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6457;
{ 
 obj_t BgL_tz00_6459; obj_t BgL_pz00_6458;
BgL_pz00_6458 = BgL_arg1956z00_2063; 
BgL_tz00_6459 = BgL_arg1957z00_2064; 
BgL_tz00_1532 = BgL_tz00_6459; 
BgL_pz00_1531 = BgL_pz00_6458; 
goto BgL_tagzd2156zd2_1533;} 
return 
((obj_t)BgL_auxz00_6457);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1958z00_2065;
BgL_arg1958z00_2065 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6463;
{ 
 obj_t BgL_argsz00_6465; obj_t BgL_fz00_6464;
BgL_fz00_6464 = BgL_arg1958z00_2065; 
BgL_argsz00_6465 = BgL_cdrzd210341zd2_2059; 
BgL_argsz00_1588 = BgL_argsz00_6465; 
BgL_fz00_1587 = BgL_fz00_6464; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6463);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1961z00_2068; obj_t BgL_arg1962z00_2069;
BgL_arg1961z00_2068 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1962z00_2069 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6471;
{ 
 obj_t BgL_argsz00_6473; obj_t BgL_fz00_6472;
BgL_fz00_6472 = BgL_arg1961z00_2068; 
BgL_argsz00_6473 = BgL_arg1962z00_2069; 
BgL_argsz00_1588 = BgL_argsz00_6473; 
BgL_fz00_1587 = BgL_fz00_6472; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6471);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1963z00_2070; obj_t BgL_arg1964z00_2071;
BgL_arg1963z00_2070 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1964z00_2071 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6479;
{ 
 obj_t BgL_argsz00_6481; obj_t BgL_fz00_6480;
BgL_fz00_6480 = BgL_arg1963z00_2070; 
BgL_argsz00_6481 = BgL_arg1964z00_2071; 
BgL_argsz00_1588 = BgL_argsz00_6481; 
BgL_fz00_1587 = BgL_fz00_6480; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6479);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2802z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1967z00_2074;
BgL_arg1967z00_2074 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_6489;
{ 
 obj_t BgL_argsz00_6490;
BgL_argsz00_6490 = BgL_arg1967z00_2074; 
BgL_argsz00_1534 = BgL_argsz00_6490; 
goto BgL_tagzd2157zd2_1535;} 
return 
((obj_t)BgL_auxz00_6489);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2804z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1970z00_2077;
BgL_arg1970z00_2077 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_6498;
{ 
 obj_t BgL_argsz00_6499;
BgL_argsz00_6499 = BgL_arg1970z00_2077; 
BgL_argsz00_1536 = BgL_argsz00_6499; 
goto BgL_tagzd2158zd2_1537;} 
return 
((obj_t)BgL_auxz00_6498);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2789z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1973z00_2080;
BgL_arg1973z00_2080 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 obj_t BgL_lz00_6507;
BgL_lz00_6507 = BgL_arg1973z00_2080; 
BgL_lz00_1538 = BgL_lz00_6507; 
goto BgL_tagzd2159zd2_1539;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211246zd2_2081;
BgL_cdrzd211246zd2_2081 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2771z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2081))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1977z00_2085; obj_t BgL_arg1978z00_2086;
BgL_arg1977z00_2085 = 
CAR(BgL_cdrzd211246zd2_2081); 
BgL_arg1978z00_2086 = 
CDR(BgL_cdrzd211246zd2_2081); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_6518;
{ 
 obj_t BgL_bodyz00_6520; obj_t BgL_bindsz00_6519;
BgL_bindsz00_6519 = BgL_arg1977z00_2085; 
BgL_bodyz00_6520 = BgL_arg1978z00_2086; 
BgL_bodyz00_1541 = BgL_bodyz00_6520; 
BgL_bindsz00_1540 = BgL_bindsz00_6519; 
goto BgL_tagzd2160zd2_1542;} 
return 
((obj_t)BgL_auxz00_6518);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1979z00_2087;
BgL_arg1979z00_2087 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6524;
{ 
 obj_t BgL_argsz00_6526; obj_t BgL_fz00_6525;
BgL_fz00_6525 = BgL_arg1979z00_2087; 
BgL_argsz00_6526 = BgL_cdrzd211246zd2_2081; 
BgL_argsz00_1588 = BgL_argsz00_6526; 
BgL_fz00_1587 = BgL_fz00_6525; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6524);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2806z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2081))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1984z00_2093; obj_t BgL_arg1985z00_2094;
BgL_arg1984z00_2093 = 
CAR(BgL_cdrzd211246zd2_2081); 
BgL_arg1985z00_2094 = 
CDR(BgL_cdrzd211246zd2_2081); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_6536;
{ 
 obj_t BgL_bodyz00_6538; obj_t BgL_bindsz00_6537;
BgL_bindsz00_6537 = BgL_arg1984z00_2093; 
BgL_bodyz00_6538 = BgL_arg1985z00_2094; 
BgL_bodyz00_1544 = BgL_bodyz00_6538; 
BgL_bindsz00_1543 = BgL_bindsz00_6537; 
goto BgL_tagzd2161zd2_1545;} 
return 
((obj_t)BgL_auxz00_6536);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1986z00_2095; obj_t BgL_arg1987z00_2096;
BgL_arg1986z00_2095 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg1987z00_2096 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6544;
{ 
 obj_t BgL_argsz00_6546; obj_t BgL_fz00_6545;
BgL_fz00_6545 = BgL_arg1986z00_2095; 
BgL_argsz00_6546 = BgL_arg1987z00_2096; 
BgL_argsz00_1588 = BgL_argsz00_6546; 
BgL_fz00_1587 = BgL_fz00_6545; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6544);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211644zd2_2097;
BgL_cdrzd211644zd2_2097 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2808z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2097))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1991z00_2101; obj_t BgL_arg1992z00_2102;
BgL_arg1991z00_2101 = 
CAR(BgL_cdrzd211644zd2_2097); 
BgL_arg1992z00_2102 = 
CDR(BgL_cdrzd211644zd2_2097); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_6558;
{ 
 obj_t BgL_bodyz00_6560; obj_t BgL_bindsz00_6559;
BgL_bindsz00_6559 = BgL_arg1991z00_2101; 
BgL_bodyz00_6560 = BgL_arg1992z00_2102; 
BgL_bodyz00_1547 = BgL_bodyz00_6560; 
BgL_bindsz00_1546 = BgL_bindsz00_6559; 
goto BgL_tagzd2162zd2_1548;} 
return 
((obj_t)BgL_auxz00_6558);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1993z00_2103;
BgL_arg1993z00_2103 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6564;
{ 
 obj_t BgL_argsz00_6566; obj_t BgL_fz00_6565;
BgL_fz00_6565 = BgL_arg1993z00_2103; 
BgL_argsz00_6566 = BgL_cdrzd211644zd2_2097; 
BgL_argsz00_1588 = BgL_argsz00_6566; 
BgL_fz00_1587 = BgL_fz00_6565; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6564);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2810z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2097))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211820zd2_2109; obj_t BgL_cdrzd211821zd2_2110;
BgL_carzd211820zd2_2109 = 
CAR(BgL_cdrzd211644zd2_2097); 
BgL_cdrzd211821zd2_2110 = 
CDR(BgL_cdrzd211644zd2_2097); 
if(
PAIRP(BgL_carzd211820zd2_2109))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211825zd2_2112;
BgL_cdrzd211825zd2_2112 = 
CDR(BgL_carzd211820zd2_2109); 
if(
(
CAR(BgL_carzd211820zd2_2109)==BGl_symbol2796z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211825zd2_2112))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211828zd2_2116; obj_t BgL_cdrzd211829zd2_2117;
BgL_carzd211828zd2_2116 = 
CAR(BgL_cdrzd211825zd2_2112); 
BgL_cdrzd211829zd2_2117 = 
CDR(BgL_cdrzd211825zd2_2112); 
if(
SYMBOLP(BgL_carzd211828zd2_2116))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211829zd2_2117))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211833zd2_2120;
BgL_carzd211833zd2_2120 = 
CAR(BgL_cdrzd211829zd2_2117); 
if(
SYMBOLP(BgL_carzd211833zd2_2120))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211829zd2_2117)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211821zd2_2110))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211821zd2_2110)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2010z00_2127;
BgL_arg2010z00_2127 = 
CAR(BgL_cdrzd211821zd2_2110); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_6602;
{ 
 obj_t BgL_ez00_6605; obj_t BgL_modnamez00_6604; obj_t BgL_idz00_6603;
BgL_idz00_6603 = BgL_carzd211828zd2_2116; 
BgL_modnamez00_6604 = BgL_carzd211833zd2_2120; 
BgL_ez00_6605 = BgL_arg2010z00_2127; 
BgL_ez00_1551 = BgL_ez00_6605; 
BgL_modnamez00_1550 = BgL_modnamez00_6604; 
BgL_idz00_1549 = BgL_idz00_6603; 
goto BgL_tagzd2163zd2_1552;} 
return 
((obj_t)BgL_auxz00_6602);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211949zd2_2129;
BgL_cdrzd211949zd2_2129 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211953zd2_2130;
BgL_cdrzd211953zd2_2130 = 
CDR(
((obj_t)BgL_cdrzd211949zd2_2129)); 
if(
PAIRP(BgL_cdrzd211953zd2_2130))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211953zd2_2130)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2015z00_2134; obj_t BgL_arg2016z00_2135;
BgL_arg2015z00_2134 = 
CAR(
((obj_t)BgL_cdrzd211949zd2_2129)); 
BgL_arg2016z00_2135 = 
CAR(BgL_cdrzd211953zd2_2130); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6619;
{ 
 obj_t BgL_ez00_6621; obj_t BgL_vz00_6620;
BgL_vz00_6620 = BgL_arg2015z00_2134; 
BgL_ez00_6621 = BgL_arg2016z00_2135; 
BgL_ez00_1557 = BgL_ez00_6621; 
BgL_vz00_1556 = BgL_vz00_6620; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6619);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212010zd2_2138;
BgL_cdrzd212010zd2_2138 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212014zd2_2139;
BgL_cdrzd212014zd2_2139 = 
CDR(
((obj_t)BgL_cdrzd212010zd2_2138)); 
if(
PAIRP(BgL_cdrzd212014zd2_2139))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212014zd2_2139)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2022z00_2143; obj_t BgL_arg2023z00_2144;
BgL_arg2022z00_2143 = 
CAR(
((obj_t)BgL_cdrzd212010zd2_2138)); 
BgL_arg2023z00_2144 = 
CAR(BgL_cdrzd212014zd2_2139); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6635;
{ 
 obj_t BgL_ez00_6637; obj_t BgL_vz00_6636;
BgL_vz00_6636 = BgL_arg2022z00_2143; 
BgL_ez00_6637 = BgL_arg2023z00_2144; 
BgL_ez00_1557 = BgL_ez00_6637; 
BgL_vz00_1556 = BgL_vz00_6636; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6635);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212071zd2_2146;
BgL_cdrzd212071zd2_2146 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212075zd2_2147;
BgL_cdrzd212075zd2_2147 = 
CDR(
((obj_t)BgL_cdrzd212071zd2_2146)); 
if(
PAIRP(BgL_cdrzd212075zd2_2147))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212075zd2_2147)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2028z00_2151; obj_t BgL_arg2029z00_2152;
BgL_arg2028z00_2151 = 
CAR(
((obj_t)BgL_cdrzd212071zd2_2146)); 
BgL_arg2029z00_2152 = 
CAR(BgL_cdrzd212075zd2_2147); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6651;
{ 
 obj_t BgL_ez00_6653; obj_t BgL_vz00_6652;
BgL_vz00_6652 = BgL_arg2028z00_2151; 
BgL_ez00_6653 = BgL_arg2029z00_2152; 
BgL_ez00_1557 = BgL_ez00_6653; 
BgL_vz00_1556 = BgL_vz00_6652; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6651);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212132zd2_2154;
BgL_cdrzd212132zd2_2154 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212136zd2_2155;
BgL_cdrzd212136zd2_2155 = 
CDR(
((obj_t)BgL_cdrzd212132zd2_2154)); 
if(
PAIRP(BgL_cdrzd212136zd2_2155))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212136zd2_2155)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2034z00_2159; obj_t BgL_arg2035z00_2160;
BgL_arg2034z00_2159 = 
CAR(
((obj_t)BgL_cdrzd212132zd2_2154)); 
BgL_arg2035z00_2160 = 
CAR(BgL_cdrzd212136zd2_2155); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6667;
{ 
 obj_t BgL_ez00_6669; obj_t BgL_vz00_6668;
BgL_vz00_6668 = BgL_arg2034z00_2159; 
BgL_ez00_6669 = BgL_arg2035z00_2160; 
BgL_ez00_1557 = BgL_ez00_6669; 
BgL_vz00_1556 = BgL_vz00_6668; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6667);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212193zd2_2162;
BgL_cdrzd212193zd2_2162 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212197zd2_2163;
BgL_cdrzd212197zd2_2163 = 
CDR(
((obj_t)BgL_cdrzd212193zd2_2162)); 
if(
PAIRP(BgL_cdrzd212197zd2_2163))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212197zd2_2163)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2040z00_2167; obj_t BgL_arg2041z00_2168;
BgL_arg2040z00_2167 = 
CAR(
((obj_t)BgL_cdrzd212193zd2_2162)); 
BgL_arg2041z00_2168 = 
CAR(BgL_cdrzd212197zd2_2163); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6683;
{ 
 obj_t BgL_ez00_6685; obj_t BgL_vz00_6684;
BgL_vz00_6684 = BgL_arg2040z00_2167; 
BgL_ez00_6685 = BgL_arg2041z00_2168; 
BgL_ez00_1557 = BgL_ez00_6685; 
BgL_vz00_1556 = BgL_vz00_6684; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6683);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212241zd2_2170;
BgL_cdrzd212241zd2_2170 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212244zd2_2171; obj_t BgL_cdrzd212245zd2_2172;
BgL_carzd212244zd2_2171 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2170)); 
BgL_cdrzd212245zd2_2172 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2170)); 
if(
(
CAR(
((obj_t)BgL_carzd212244zd2_2171))==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212245zd2_2172))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212245zd2_2172)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2048z00_2178; obj_t BgL_arg2049z00_2179;
BgL_arg2048z00_2178 = 
CDR(
((obj_t)BgL_carzd212244zd2_2171)); 
BgL_arg2049z00_2179 = 
CAR(BgL_cdrzd212245zd2_2172); 
{ 
 obj_t BgL_e2z00_6706; obj_t BgL_lz00_6705;
BgL_lz00_6705 = BgL_arg2048z00_2178; 
BgL_e2z00_6706 = BgL_arg2049z00_2179; 
BgL_e2z00_1554 = BgL_e2z00_6706; 
BgL_lz00_1553 = BgL_lz00_6705; 
goto BgL_tagzd2164zd2_1555;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212321zd2_2182;
BgL_cdrzd212321zd2_2182 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2170)); 
if(
PAIRP(BgL_cdrzd212321zd2_2182))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212321zd2_2182)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2054z00_2186; obj_t BgL_arg2055z00_2187;
BgL_arg2054z00_2186 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2170)); 
BgL_arg2055z00_2187 = 
CAR(BgL_cdrzd212321zd2_2182); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6717;
{ 
 obj_t BgL_ez00_6719; obj_t BgL_vz00_6718;
BgL_vz00_6718 = BgL_arg2054z00_2186; 
BgL_ez00_6719 = BgL_arg2055z00_2187; 
BgL_ez00_1557 = BgL_ez00_6719; 
BgL_vz00_1556 = BgL_vz00_6718; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6717);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212378zd2_2191;
BgL_cdrzd212378zd2_2191 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212382zd2_2192;
BgL_cdrzd212382zd2_2192 = 
CDR(
((obj_t)BgL_cdrzd212378zd2_2191)); 
if(
PAIRP(BgL_cdrzd212382zd2_2192))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212382zd2_2192)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2062z00_2196; obj_t BgL_arg2063z00_2197;
BgL_arg2062z00_2196 = 
CAR(
((obj_t)BgL_cdrzd212378zd2_2191)); 
BgL_arg2063z00_2197 = 
CAR(BgL_cdrzd212382zd2_2192); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6733;
{ 
 obj_t BgL_ez00_6735; obj_t BgL_vz00_6734;
BgL_vz00_6734 = BgL_arg2062z00_2196; 
BgL_ez00_6735 = BgL_arg2063z00_2197; 
BgL_ez00_1557 = BgL_ez00_6735; 
BgL_vz00_1556 = BgL_vz00_6734; 
goto BgL_tagzd2165zd2_1558;} 
return 
((obj_t)BgL_auxz00_6733);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1559;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212503zd2_2199;
BgL_cdrzd212503zd2_2199 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2812z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2199))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212508zd2_2203;
BgL_cdrzd212508zd2_2203 = 
CDR(BgL_cdrzd212503zd2_2199); 
if(
PAIRP(BgL_cdrzd212508zd2_2203))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212512zd2_2205;
BgL_carzd212512zd2_2205 = 
CAR(BgL_cdrzd212508zd2_2203); 
if(
PAIRP(BgL_carzd212512zd2_2205))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212517zd2_2207;
BgL_cdrzd212517zd2_2207 = 
CDR(BgL_carzd212512zd2_2205); 
if(
(
CAR(BgL_carzd212512zd2_2205)==BGl_symbol2773z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212517zd2_2207))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212521zd2_2211;
BgL_cdrzd212521zd2_2211 = 
CDR(BgL_cdrzd212517zd2_2207); 
if(
PAIRP(BgL_cdrzd212521zd2_2211))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212521zd2_2211)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212508zd2_2203)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2078z00_2217; obj_t BgL_arg2079z00_2218; obj_t BgL_arg2080z00_2219;
BgL_arg2078z00_2217 = 
CAR(BgL_cdrzd212503zd2_2199); 
BgL_arg2079z00_2218 = 
CAR(BgL_cdrzd212517zd2_2207); 
BgL_arg2080z00_2219 = 
CAR(BgL_cdrzd212521zd2_2211); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6769;
{ 
 obj_t BgL_bodyz00_6772; obj_t BgL_formalsz00_6771; obj_t BgL_gvz00_6770;
BgL_gvz00_6770 = BgL_arg2078z00_2217; 
BgL_formalsz00_6771 = BgL_arg2079z00_2218; 
BgL_bodyz00_6772 = BgL_arg2080z00_2219; 
BgL_bodyz00_1562 = BgL_bodyz00_6772; 
BgL_formalsz00_1561 = BgL_formalsz00_6771; 
BgL_gvz00_1560 = BgL_gvz00_6770; 
goto BgL_tagzd2167zd2_1563;} 
return 
((obj_t)BgL_auxz00_6769);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2081z00_2220;
BgL_arg2081z00_2220 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6776;
{ 
 obj_t BgL_argsz00_6778; obj_t BgL_fz00_6777;
BgL_fz00_6777 = BgL_arg2081z00_2220; 
BgL_argsz00_6778 = BgL_cdrzd212503zd2_2199; 
BgL_argsz00_1588 = BgL_argsz00_6778; 
BgL_fz00_1587 = BgL_fz00_6777; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6776);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212623zd2_2224;
BgL_cdrzd212623zd2_2224 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212623zd2_2224))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2086z00_2227; obj_t BgL_arg2087z00_2228;
BgL_arg2086z00_2227 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
BgL_arg2087z00_2228 = 
CAR(
((obj_t)BgL_cdrzd212623zd2_2224)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6790;
{ 
 obj_t BgL_gez00_6792; obj_t BgL_gvz00_6791;
BgL_gvz00_6791 = BgL_arg2086z00_2227; 
BgL_gez00_6792 = BgL_arg2087z00_2228; 
BgL_gez00_1565 = BgL_gez00_6792; 
BgL_gvz00_1564 = BgL_gvz00_6791; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6790);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2088z00_2229; obj_t BgL_arg2089z00_2230;
BgL_arg2088z00_2229 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2089z00_2230 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6798;
{ 
 obj_t BgL_argsz00_6800; obj_t BgL_fz00_6799;
BgL_fz00_6799 = BgL_arg2088z00_2229; 
BgL_argsz00_6800 = BgL_arg2089z00_2230; 
BgL_argsz00_1588 = BgL_argsz00_6800; 
BgL_fz00_1587 = BgL_fz00_6799; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6798);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212712zd2_2234;
BgL_cdrzd212712zd2_2234 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212712zd2_2234))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2094z00_2237; obj_t BgL_arg2095z00_2238;
BgL_arg2094z00_2237 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
BgL_arg2095z00_2238 = 
CAR(
((obj_t)BgL_cdrzd212712zd2_2234)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6812;
{ 
 obj_t BgL_gez00_6814; obj_t BgL_gvz00_6813;
BgL_gvz00_6813 = BgL_arg2094z00_2237; 
BgL_gez00_6814 = BgL_arg2095z00_2238; 
BgL_gez00_1565 = BgL_gez00_6814; 
BgL_gvz00_1564 = BgL_gvz00_6813; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6812);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2096z00_2239; obj_t BgL_arg2097z00_2240;
BgL_arg2096z00_2239 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2097z00_2240 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6820;
{ 
 obj_t BgL_argsz00_6822; obj_t BgL_fz00_6821;
BgL_fz00_6821 = BgL_arg2096z00_2239; 
BgL_argsz00_6822 = BgL_arg2097z00_2240; 
BgL_argsz00_1588 = BgL_argsz00_6822; 
BgL_fz00_1587 = BgL_fz00_6821; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6820);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212801zd2_2243;
BgL_cdrzd212801zd2_2243 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212801zd2_2243))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2101z00_2246; obj_t BgL_arg2102z00_2247;
BgL_arg2101z00_2246 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
BgL_arg2102z00_2247 = 
CAR(
((obj_t)BgL_cdrzd212801zd2_2243)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6834;
{ 
 obj_t BgL_gez00_6836; obj_t BgL_gvz00_6835;
BgL_gvz00_6835 = BgL_arg2101z00_2246; 
BgL_gez00_6836 = BgL_arg2102z00_2247; 
BgL_gez00_1565 = BgL_gez00_6836; 
BgL_gvz00_1564 = BgL_gvz00_6835; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6834);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2103z00_2248; obj_t BgL_arg2104z00_2249;
BgL_arg2103z00_2248 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2104z00_2249 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6842;
{ 
 obj_t BgL_argsz00_6844; obj_t BgL_fz00_6843;
BgL_fz00_6843 = BgL_arg2103z00_2248; 
BgL_argsz00_6844 = BgL_arg2104z00_2249; 
BgL_argsz00_1588 = BgL_argsz00_6844; 
BgL_fz00_1587 = BgL_fz00_6843; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6842);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212890zd2_2252;
BgL_cdrzd212890zd2_2252 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212890zd2_2252))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2108z00_2255; obj_t BgL_arg2109z00_2256;
BgL_arg2108z00_2255 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
BgL_arg2109z00_2256 = 
CAR(
((obj_t)BgL_cdrzd212890zd2_2252)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6856;
{ 
 obj_t BgL_gez00_6858; obj_t BgL_gvz00_6857;
BgL_gvz00_6857 = BgL_arg2108z00_2255; 
BgL_gez00_6858 = BgL_arg2109z00_2256; 
BgL_gez00_1565 = BgL_gez00_6858; 
BgL_gvz00_1564 = BgL_gvz00_6857; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6856);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2110z00_2257; obj_t BgL_arg2111z00_2258;
BgL_arg2110z00_2257 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2111z00_2258 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6864;
{ 
 obj_t BgL_argsz00_6866; obj_t BgL_fz00_6865;
BgL_fz00_6865 = BgL_arg2110z00_2257; 
BgL_argsz00_6866 = BgL_arg2111z00_2258; 
BgL_argsz00_1588 = BgL_argsz00_6866; 
BgL_fz00_1587 = BgL_fz00_6865; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6864);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212979zd2_2262;
BgL_cdrzd212979zd2_2262 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212979zd2_2262))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2116z00_2265; obj_t BgL_arg2117z00_2266;
BgL_arg2116z00_2265 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2199)); 
BgL_arg2117z00_2266 = 
CAR(
((obj_t)BgL_cdrzd212979zd2_2262)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6878;
{ 
 obj_t BgL_gez00_6880; obj_t BgL_gvz00_6879;
BgL_gvz00_6879 = BgL_arg2116z00_2265; 
BgL_gez00_6880 = BgL_arg2117z00_2266; 
BgL_gez00_1565 = BgL_gez00_6880; 
BgL_gvz00_1564 = BgL_gvz00_6879; 
goto BgL_tagzd2168zd2_1566;} 
return 
((obj_t)BgL_auxz00_6878);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2118z00_2267; obj_t BgL_arg2119z00_2268;
BgL_arg2118z00_2267 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2119z00_2268 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6886;
{ 
 obj_t BgL_argsz00_6888; obj_t BgL_fz00_6887;
BgL_fz00_6887 = BgL_arg2118z00_2267; 
BgL_argsz00_6888 = BgL_arg2119z00_2268; 
BgL_argsz00_1588 = BgL_argsz00_6888; 
BgL_fz00_1587 = BgL_fz00_6887; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6886);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2121z00_2270;
BgL_arg2121z00_2270 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6892;
{ 
 obj_t BgL_argsz00_6894; obj_t BgL_fz00_6893;
BgL_fz00_6893 = BgL_arg2121z00_2270; 
BgL_argsz00_6894 = BgL_cdrzd212503zd2_2199; 
BgL_argsz00_1588 = BgL_argsz00_6894; 
BgL_fz00_1587 = BgL_fz00_6893; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6892);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2123z00_2272;
BgL_arg2123z00_2272 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6898;
{ 
 obj_t BgL_argsz00_6900; obj_t BgL_fz00_6899;
BgL_fz00_6899 = BgL_arg2123z00_2272; 
BgL_argsz00_6900 = BgL_cdrzd212503zd2_2199; 
BgL_argsz00_1588 = BgL_argsz00_6900; 
BgL_fz00_1587 = BgL_fz00_6899; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6898);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2814z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2199))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd213227zd2_2278;
BgL_carzd213227zd2_2278 = 
CAR(BgL_cdrzd212503zd2_2199); 
if(
PAIRP(BgL_carzd213227zd2_2278))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd213227zd2_2278)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2131z00_2282; obj_t BgL_arg2132z00_2283;
BgL_arg2131z00_2282 = 
CAR(BgL_carzd213227zd2_2278); 
BgL_arg2132z00_2283 = 
CDR(BgL_cdrzd212503zd2_2199); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6916;
{ 
 obj_t BgL_bodyz00_6918; obj_t BgL_vz00_6917;
BgL_vz00_6917 = BgL_arg2131z00_2282; 
BgL_bodyz00_6918 = BgL_arg2132z00_2283; 
BgL_bodyz00_1568 = BgL_bodyz00_6918; 
BgL_vz00_1567 = BgL_vz00_6917; 
goto BgL_tagzd2169zd2_1569;} 
return 
((obj_t)BgL_auxz00_6916);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2133z00_2284; obj_t BgL_arg2134z00_2285;
BgL_arg2133z00_2284 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2134z00_2285 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6924;
{ 
 obj_t BgL_argsz00_6926; obj_t BgL_fz00_6925;
BgL_fz00_6925 = BgL_arg2133z00_2284; 
BgL_argsz00_6926 = BgL_arg2134z00_2285; 
BgL_argsz00_1588 = BgL_argsz00_6926; 
BgL_fz00_1587 = BgL_fz00_6925; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6924);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2136z00_2287; obj_t BgL_arg2137z00_2288;
BgL_arg2136z00_2287 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2137z00_2288 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6932;
{ 
 obj_t BgL_argsz00_6934; obj_t BgL_fz00_6933;
BgL_fz00_6933 = BgL_arg2136z00_2287; 
BgL_argsz00_6934 = BgL_arg2137z00_2288; 
BgL_argsz00_1588 = BgL_argsz00_6934; 
BgL_fz00_1587 = BgL_fz00_6933; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6932);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2138z00_2289; obj_t BgL_arg2139z00_2290;
BgL_arg2138z00_2289 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2139z00_2290 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6940;
{ 
 obj_t BgL_argsz00_6942; obj_t BgL_fz00_6941;
BgL_fz00_6941 = BgL_arg2138z00_2289; 
BgL_argsz00_6942 = BgL_arg2139z00_2290; 
BgL_argsz00_1588 = BgL_argsz00_6942; 
BgL_fz00_1587 = BgL_fz00_6941; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6940);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213398zd2_2291;
BgL_cdrzd213398zd2_2291 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2816z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2291))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2143z00_2295; obj_t BgL_arg2144z00_2296;
BgL_arg2143z00_2295 = 
CAR(BgL_cdrzd213398zd2_2291); 
BgL_arg2144z00_2296 = 
CDR(BgL_cdrzd213398zd2_2291); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6954;
{ 
 obj_t BgL_bodyz00_6956; obj_t BgL_ez00_6955;
BgL_ez00_6955 = BgL_arg2143z00_2295; 
BgL_bodyz00_6956 = BgL_arg2144z00_2296; 
BgL_bodyz00_1571 = BgL_bodyz00_6956; 
BgL_ez00_1570 = BgL_ez00_6955; 
goto BgL_tagzd2170zd2_1572;} 
return 
((obj_t)BgL_auxz00_6954);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2145z00_2297;
BgL_arg2145z00_2297 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6960;
{ 
 obj_t BgL_argsz00_6962; obj_t BgL_fz00_6961;
BgL_fz00_6961 = BgL_arg2145z00_2297; 
BgL_argsz00_6962 = BgL_cdrzd213398zd2_2291; 
BgL_argsz00_1588 = BgL_argsz00_6962; 
BgL_fz00_1587 = BgL_fz00_6961; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6960);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2818z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2291))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2150z00_2303; obj_t BgL_arg2151z00_2304;
BgL_arg2150z00_2303 = 
CAR(BgL_cdrzd213398zd2_2291); 
BgL_arg2151z00_2304 = 
CDR(BgL_cdrzd213398zd2_2291); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6972;
{ 
 obj_t BgL_bodyz00_6974; obj_t BgL_hz00_6973;
BgL_hz00_6973 = BgL_arg2150z00_2303; 
BgL_bodyz00_6974 = BgL_arg2151z00_2304; 
BgL_bodyz00_1574 = BgL_bodyz00_6974; 
BgL_hz00_1573 = BgL_hz00_6973; 
goto BgL_tagzd2171zd2_1575;} 
return 
((obj_t)BgL_auxz00_6972);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2152z00_2305; obj_t BgL_arg2153z00_2306;
BgL_arg2152z00_2305 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2153z00_2306 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6980;
{ 
 obj_t BgL_argsz00_6982; obj_t BgL_fz00_6981;
BgL_fz00_6981 = BgL_arg2152z00_2305; 
BgL_argsz00_6982 = BgL_arg2153z00_2306; 
BgL_argsz00_1588 = BgL_argsz00_6982; 
BgL_fz00_1587 = BgL_fz00_6981; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_6980);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213505zd2_2307;
BgL_cdrzd213505zd2_2307 = 
CDR(
((obj_t)BgL_ez00_69)); 
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2820z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2307))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213510zd2_2311;
BgL_cdrzd213510zd2_2311 = 
CDR(BgL_cdrzd213505zd2_2307); 
if(
PAIRP(BgL_cdrzd213510zd2_2311))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213515zd2_2313;
BgL_cdrzd213515zd2_2313 = 
CDR(BgL_cdrzd213510zd2_2311); 
if(
(
CAR(BgL_cdrzd213510zd2_2311)==BGl_keyword2822z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213515zd2_2313))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2161z00_2317; obj_t BgL_arg2162z00_2318; obj_t BgL_arg2163z00_2319;
BgL_arg2161z00_2317 = 
CAR(BgL_cdrzd213505zd2_2307); 
BgL_arg2162z00_2318 = 
CAR(BgL_cdrzd213515zd2_2313); 
BgL_arg2163z00_2319 = 
CDR(BgL_cdrzd213515zd2_2313); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7004;
{ 
 obj_t BgL_bodyz00_7007; obj_t BgL_pz00_7006; obj_t BgL_mz00_7005;
BgL_mz00_7005 = BgL_arg2161z00_2317; 
BgL_pz00_7006 = BgL_arg2162z00_2318; 
BgL_bodyz00_7007 = BgL_arg2163z00_2319; 
BgL_bodyz00_1578 = BgL_bodyz00_7007; 
BgL_pz00_1577 = BgL_pz00_7006; 
BgL_mz00_1576 = BgL_mz00_7005; 
goto BgL_tagzd2172zd2_1579;} 
return 
((obj_t)BgL_auxz00_7004);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2164z00_2321; obj_t BgL_arg2165z00_2322;
BgL_arg2164z00_2321 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
BgL_arg2165z00_2322 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7013;
{ 
 obj_t BgL_bodyz00_7015; obj_t BgL_mz00_7014;
BgL_mz00_7014 = BgL_arg2164z00_2321; 
BgL_bodyz00_7015 = BgL_arg2165z00_2322; 
BgL_bodyz00_1581 = BgL_bodyz00_7015; 
BgL_mz00_1580 = BgL_mz00_7014; 
goto BgL_tagzd2173zd2_1582;} 
return 
((obj_t)BgL_auxz00_7013);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2166z00_2324; obj_t BgL_arg2167z00_2325;
BgL_arg2166z00_2324 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
BgL_arg2167z00_2325 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7021;
{ 
 obj_t BgL_bodyz00_7023; obj_t BgL_mz00_7022;
BgL_mz00_7022 = BgL_arg2166z00_2324; 
BgL_bodyz00_7023 = BgL_arg2167z00_2325; 
BgL_bodyz00_1581 = BgL_bodyz00_7023; 
BgL_mz00_1580 = BgL_mz00_7022; 
goto BgL_tagzd2173zd2_1582;} 
return 
((obj_t)BgL_auxz00_7021);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2169z00_2328; obj_t BgL_arg2170z00_2329;
BgL_arg2169z00_2328 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
BgL_arg2170z00_2329 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2307)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_7029;
{ 
 obj_t BgL_bodyz00_7031; obj_t BgL_mz00_7030;
BgL_mz00_7030 = BgL_arg2169z00_2328; 
BgL_bodyz00_7031 = BgL_arg2170z00_2329; 
BgL_bodyz00_1581 = BgL_bodyz00_7031; 
BgL_mz00_1580 = BgL_mz00_7030; 
goto BgL_tagzd2173zd2_1582;} 
return 
((obj_t)BgL_auxz00_7029);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2171z00_2330;
BgL_arg2171z00_2330 = 
CAR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7035;
{ 
 obj_t BgL_argsz00_7037; obj_t BgL_fz00_7036;
BgL_fz00_7036 = BgL_arg2171z00_2330; 
BgL_argsz00_7037 = BgL_cdrzd213505zd2_2307; 
BgL_argsz00_1588 = BgL_argsz00_7037; 
BgL_fz00_1587 = BgL_fz00_7036; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_7035);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2773z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2307))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213617zd2_2336;
BgL_cdrzd213617zd2_2336 = 
CDR(BgL_cdrzd213505zd2_2307); 
if(
PAIRP(BgL_cdrzd213617zd2_2336))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd213617zd2_2336)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2179z00_2340; obj_t BgL_arg2180z00_2341;
BgL_arg2179z00_2340 = 
CAR(BgL_cdrzd213505zd2_2307); 
BgL_arg2180z00_2341 = 
CAR(BgL_cdrzd213617zd2_2336); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_7053;
{ 
 obj_t BgL_bodyz00_7055; obj_t BgL_formalsz00_7054;
BgL_formalsz00_7054 = BgL_arg2179z00_2340; 
BgL_bodyz00_7055 = BgL_arg2180z00_2341; 
BgL_bodyz00_1584 = BgL_bodyz00_7055; 
BgL_formalsz00_1583 = BgL_formalsz00_7054; 
goto BgL_tagzd2174zd2_1585;} 
return 
((obj_t)BgL_auxz00_7053);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2181z00_2342; obj_t BgL_arg2183z00_2343;
BgL_arg2181z00_2342 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2183z00_2343 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7061;
{ 
 obj_t BgL_argsz00_7063; obj_t BgL_fz00_7062;
BgL_fz00_7062 = BgL_arg2181z00_2342; 
BgL_argsz00_7063 = BgL_arg2183z00_2343; 
BgL_argsz00_1588 = BgL_argsz00_7063; 
BgL_fz00_1587 = BgL_fz00_7062; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_7061);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2185z00_2345; obj_t BgL_arg2186z00_2346;
BgL_arg2185z00_2345 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2186z00_2346 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7069;
{ 
 obj_t BgL_argsz00_7071; obj_t BgL_fz00_7070;
BgL_fz00_7070 = BgL_arg2185z00_2345; 
BgL_argsz00_7071 = BgL_arg2186z00_2346; 
BgL_argsz00_1588 = BgL_argsz00_7071; 
BgL_fz00_1587 = BgL_fz00_7070; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_7069);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2187z00_2347; obj_t BgL_arg2188z00_2348;
BgL_arg2187z00_2347 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2188z00_2348 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7077;
{ 
 obj_t BgL_argsz00_7079; obj_t BgL_fz00_7078;
BgL_fz00_7078 = BgL_arg2187z00_2347; 
BgL_argsz00_7079 = BgL_arg2188z00_2348; 
BgL_argsz00_1588 = BgL_argsz00_7079; 
BgL_fz00_1587 = BgL_fz00_7078; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_7077);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(
((obj_t)BgL_ez00_69))==BGl_symbol2824z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2175zd2_1586;}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2191z00_2351; obj_t BgL_arg2192z00_2352;
BgL_arg2191z00_2351 = 
CAR(
((obj_t)BgL_ez00_69)); 
BgL_arg2192z00_2352 = 
CDR(
((obj_t)BgL_ez00_69)); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_7089;
{ 
 obj_t BgL_argsz00_7091; obj_t BgL_fz00_7090;
BgL_fz00_7090 = BgL_arg2191z00_2351; 
BgL_argsz00_7091 = BgL_arg2192z00_2352; 
BgL_argsz00_1588 = BgL_argsz00_7091; 
BgL_fz00_1587 = BgL_fz00_7090; 
goto BgL_tagzd2176zd2_1589;} 
return 
((obj_t)BgL_auxz00_7089);} } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
BgL_xz00_1511 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1511))
{ /* Eval/evaluate.scm 427 */
 obj_t BgL__ortest_1101z00_2374;
BgL__ortest_1101z00_2374 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1511, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1101z00_2374))
{ /* Eval/evaluate.scm 427 */
return BgL__ortest_1101z00_2374;}  else 
{ /* Eval/evaluate.scm 427 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1511, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 428 */
 BgL_ev_littz00_bglt BgL_new1103z00_2375;
{ /* Eval/evaluate.scm 429 */
 BgL_ev_littz00_bglt BgL_new1102z00_2376;
BgL_new1102z00_2376 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 429 */
 long BgL_arg2214z00_2377;
BgL_arg2214z00_2377 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2376), BgL_arg2214z00_2377); } 
BgL_new1103z00_2375 = BgL_new1102z00_2376; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1103z00_2375))->BgL_valuez00)=((obj_t)BgL_xz00_1511),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_2375);} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4374, obj_t BgL_globalsz00_4373, obj_t BgL_localsz00_4372, obj_t BgL_locz00_4371, obj_t BgL_esz00_2705)
{
{ /* Eval/evaluate.scm 386 */
if(
NULLP(BgL_esz00_2705))
{ /* Eval/evaluate.scm 387 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 389 */
 obj_t BgL_ez00_2708;
BgL_ez00_2708 = 
CAR(
((obj_t)BgL_esz00_2705)); 
{ /* Eval/evaluate.scm 390 */
 obj_t BgL_arg2365z00_2709; obj_t BgL_arg2366z00_2710;
BgL_arg2365z00_2709 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2708, BgL_localsz00_4372, BgL_globalsz00_4373, BFALSE, BgL_wherez00_4374, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2708, BgL_esz00_2705, BgL_locz00_4371), ((bool_t)0)); 
{ /* Eval/evaluate.scm 391 */
 obj_t BgL_arg2368z00_2712;
BgL_arg2368z00_2712 = 
CDR(
((obj_t)BgL_esz00_2705)); 
BgL_arg2366z00_2710 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4374, BgL_globalsz00_4373, BgL_localsz00_4372, BgL_locz00_4371, BgL_arg2368z00_2712); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2365z00_2709, BgL_arg2366z00_2710);} } } 

}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4378, obj_t BgL_tailzf3zf3_4377, obj_t BgL_globalsz00_4376, obj_t BgL_localsz00_4375, obj_t BgL_ez00_2682, obj_t BgL_locz00_2683)
{
{ /* Eval/evaluate.scm 368 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2682, BgL_localsz00_4375, BgL_globalsz00_4376, BgL_tailzf3zf3_4377, BgL_wherez00_4378, BgL_locz00_2683, ((bool_t)0));} 

}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4381, obj_t BgL_globalsz00_4380, obj_t BgL_localsz00_4379, obj_t BgL_ez00_2692, obj_t BgL_locz00_2693)
{
{ /* Eval/evaluate.scm 377 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2692, BgL_localsz00_4379, BgL_globalsz00_4380, BFALSE, BgL_wherez00_4381, BgL_locz00_2693, ((bool_t)0));} 

}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4383, obj_t BgL_globalsz00_4382, obj_t BgL_lz00_2523, obj_t BgL_varsz00_2524, obj_t BgL_localsz00_2525, obj_t BgL_locz00_2526)
{
{ /* Eval/evaluate.scm 502 */
if(
NULLP(BgL_lz00_2523))
{ /* Eval/evaluate.scm 498 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_locz00_2529;
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_arg2287z00_2537;
BgL_arg2287z00_2537 = 
CAR(
((obj_t)BgL_lz00_2523)); 
BgL_locz00_2529 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2287z00_2537, BgL_locz00_2526); } 
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2280z00_2530; obj_t BgL_arg2281z00_2531;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2282z00_2532;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3474;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3473;
BgL_pairz00_3473 = 
CAR(
((obj_t)BgL_lz00_2523)); 
BgL_pairz00_3474 = 
CDR(BgL_pairz00_3473); } 
BgL_arg2282z00_2532 = 
CAR(BgL_pairz00_3474); } 
BgL_arg2280z00_2530 = 
BGl_convz00zz__evaluatez00(BgL_arg2282z00_2532, BgL_localsz00_2525, BgL_globalsz00_4382, BFALSE, BgL_wherez00_4383, BgL_locz00_2529, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2283z00_2533; obj_t BgL_arg2284z00_2534; obj_t BgL_arg2285z00_2535;
BgL_arg2283z00_2533 = 
CDR(
((obj_t)BgL_lz00_2523)); 
BgL_arg2284z00_2534 = 
CDR(
((obj_t)BgL_varsz00_2524)); 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2286z00_2536;
BgL_arg2286z00_2536 = 
CAR(
((obj_t)BgL_varsz00_2524)); 
BgL_arg2285z00_2535 = 
MAKE_YOUNG_PAIR(BgL_arg2286z00_2536, BgL_localsz00_2525); } 
BgL_arg2281z00_2531 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4383, BgL_globalsz00_4382, BgL_arg2283z00_2533, BgL_arg2284z00_2534, BgL_arg2285z00_2535, BgL_locz00_2529); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2280z00_2530, BgL_arg2281z00_2531);} } } 

}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4387, obj_t BgL_localsz00_4386, obj_t BgL_ez00_4385, obj_t BgL_locz00_4384, obj_t BgL_formalsz00_2714, obj_t BgL_bodyz00_2715, obj_t BgL_wherez00_2716, obj_t BgL_typez00_2717)
{
{ /* Eval/evaluate.scm 404 */
{ 
 obj_t BgL_lz00_2748;
{ /* Eval/evaluate.scm 406 */
 obj_t BgL_argsz00_2720;
BgL_lz00_2748 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2714, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
 obj_t BgL_rz00_2752; obj_t BgL_flatz00_2753; long BgL_arityz00_2754;
BgL_rz00_2752 = BgL_lz00_2748; 
BgL_flatz00_2753 = BNIL; 
BgL_arityz00_2754 = ((long)0); 
BgL_zc3z04anonymousza32382ze3z87_2755:
if(
NULLP(BgL_rz00_2752))
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_val0_1198z00_2757;
BgL_val0_1198z00_2757 = 
bgl_reverse_bang(BgL_flatz00_2753); 
{ /* Eval/evaluate.scm 399 */
 int BgL_tmpz00_7140;
BgL_tmpz00_7140 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7140); } 
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_auxz00_7145; int BgL_tmpz00_7143;
BgL_auxz00_7145 = 
BINT(BgL_arityz00_2754); 
BgL_tmpz00_7143 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7143, BgL_auxz00_7145); } 
BgL_argsz00_2720 = BgL_val0_1198z00_2757; }  else 
{ /* Eval/evaluate.scm 398 */
if(
PAIRP(BgL_rz00_2752))
{ /* Eval/evaluate.scm 403 */
 obj_t BgL_arg2385z00_2760; obj_t BgL_arg2386z00_2761; long BgL_arg2387z00_2762;
BgL_arg2385z00_2760 = 
CDR(BgL_rz00_2752); 
BgL_arg2386z00_2761 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2752)), BgL_flatz00_2753); 
BgL_arg2387z00_2762 = 
(BgL_arityz00_2754+((long)1)); 
{ 
 long BgL_arityz00_7157; obj_t BgL_flatz00_7156; obj_t BgL_rz00_7155;
BgL_rz00_7155 = BgL_arg2385z00_2760; 
BgL_flatz00_7156 = BgL_arg2386z00_2761; 
BgL_arityz00_7157 = BgL_arg2387z00_2762; 
BgL_arityz00_2754 = BgL_arityz00_7157; 
BgL_flatz00_2753 = BgL_flatz00_7156; 
BgL_rz00_2752 = BgL_rz00_7155; 
goto BgL_zc3z04anonymousza32382ze3z87_2755;} }  else 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_val0_1200z00_2765; long BgL_val1_1201z00_2766;
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_arg2390z00_2767;
BgL_arg2390z00_2767 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2752), BgL_flatz00_2753); 
BgL_val0_1200z00_2765 = 
bgl_reverse_bang(BgL_arg2390z00_2767); } 
BgL_val1_1201z00_2766 = 
(((long)-1)-BgL_arityz00_2754); 
{ /* Eval/evaluate.scm 401 */
 int BgL_tmpz00_7162;
BgL_tmpz00_7162 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7162); } 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_auxz00_7167; int BgL_tmpz00_7165;
BgL_auxz00_7167 = 
BINT(BgL_val1_1201z00_2766); 
BgL_tmpz00_7165 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7165, BgL_auxz00_7167); } 
BgL_argsz00_2720 = BgL_val0_1200z00_2765; } } } 
{ /* Eval/evaluate.scm 407 */
 obj_t BgL_arityz00_2721;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_tmpz00_3396;
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7171;
BgL_tmpz00_7171 = 
(int)(((long)1)); 
BgL_tmpz00_3396 = 
BGL_MVALUES_VAL(BgL_tmpz00_7171); } 
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7174;
BgL_tmpz00_7174 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7174, BUNSPEC); } 
BgL_arityz00_2721 = BgL_tmpz00_3396; } 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_varsz00_2722; obj_t BgL_bodyz00_2723; obj_t BgL_nlocz00_2724;
if(
NULLP(BgL_argsz00_2720))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2722 = BNIL; }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_head1204z00_2731;
BgL_head1204z00_2731 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1202z00_2733; obj_t BgL_tail1205z00_2734;
BgL_l1202z00_2733 = BgL_argsz00_2720; 
BgL_tail1205z00_2734 = BgL_head1204z00_2731; 
BgL_zc3z04anonymousza32373ze3z87_2735:
if(
NULLP(BgL_l1202z00_2733))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2722 = 
CDR(BgL_head1204z00_2731); }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_newtail1206z00_2737;
{ /* Eval/evaluate.scm 408 */
 BgL_ev_varz00_bglt BgL_arg2376z00_2739;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_vz00_2740;
BgL_vz00_2740 = 
CAR(
((obj_t)BgL_l1202z00_2733)); 
{ /* Eval/evaluate.scm 409 */
 BgL_ev_varz00_bglt BgL_new1098z00_2741;
{ /* Eval/evaluate.scm 411 */
 BgL_ev_varz00_bglt BgL_new1097z00_2742;
BgL_new1097z00_2742 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 411 */
 long BgL_arg2377z00_2743;
BgL_arg2377z00_2743 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_2742), BgL_arg2377z00_2743); } 
BgL_new1098z00_2741 = BgL_new1097z00_2742; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2741))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2740))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2741))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2741))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2740))),BUNSPEC); 
BgL_arg2376z00_2739 = BgL_new1098z00_2741; } } 
BgL_newtail1206z00_2737 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2376z00_2739), BNIL); } 
SET_CDR(BgL_tail1205z00_2734, BgL_newtail1206z00_2737); 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_arg2375z00_2738;
BgL_arg2375z00_2738 = 
CDR(
((obj_t)BgL_l1202z00_2733)); 
{ 
 obj_t BgL_tail1205z00_7202; obj_t BgL_l1202z00_7201;
BgL_l1202z00_7201 = BgL_arg2375z00_2738; 
BgL_tail1205z00_7202 = BgL_newtail1206z00_2737; 
BgL_tail1205z00_2734 = BgL_tail1205z00_7202; 
BgL_l1202z00_2733 = BgL_l1202z00_7201; 
goto BgL_zc3z04anonymousza32373ze3z87_2735;} } } } } 
BgL_bodyz00_2723 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4385, BgL_formalsz00_2714, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2720, BgL_argsz00_2720, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2717, BgL_bodyz00_2715, BgL_locz00_4384), BgL_locz00_4384, BgL_wherez00_2716), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2724 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2715, BgL_locz00_4384); 
{ /* Eval/evaluate.scm 417 */
 BgL_ev_absz00_bglt BgL_new1100z00_2725;
{ /* Eval/evaluate.scm 418 */
 BgL_ev_absz00_bglt BgL_new1099z00_2727;
BgL_new1099z00_2727 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 418 */
 long BgL_arg2371z00_2728;
BgL_arg2371z00_2728 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2727), BgL_arg2371z00_2728); } 
BgL_new1100z00_2725 = BgL_new1099z00_2727; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_locz00)=((obj_t)BgL_locz00_4384),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_wherez00)=((obj_t)BgL_wherez00_2716),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_arityz00)=((obj_t)BgL_arityz00_2721),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_varsz00)=((obj_t)BgL_varsz00_2722),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_7215;
{ /* Eval/evaluate.scm 422 */
 obj_t BgL_arg2370z00_2726;
BgL_arg2370z00_2726 = 
BGl_appendzd221009zd2zz__evaluatez00(BgL_varsz00_2722, BgL_localsz00_4386); 
BgL_auxz00_7215 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2723, BgL_arg2370z00_2726, BgL_globalsz00_4387, BTRUE, BgL_wherez00_2716, BgL_nlocz00_2724, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7215),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2725))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1100z00_2725;} } } } } } 

}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4391, obj_t BgL_wherez00_4390, obj_t BgL_globalsz00_4389, obj_t BgL_localsz00_4388, obj_t BgL_ez00_2695)
{
{ /* Eval/evaluate.scm 380 */
BGL_TAIL return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4390, BgL_globalsz00_4389, BgL_localsz00_4388, BgL_ez00_2695, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2695, BgL_locz00_4391));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void)
{
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)481261960), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)242777169), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)43892022), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)207454816), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string2826z00zz__evaluatez00));} 

}

#ifdef __cplusplus
}
#endif
